%--------------------------------------------------------------------------
% File     : SYN434-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=40, K=3, D=1, P=0, Index=037
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-40-3-1-037.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.33 v6.1.0, 0.20 v6.0.0, 0.33 v5.5.0, 0.00 v5.4.0, 0.17 v5.3.0, 0.20 v5.2.0, 0.00 v5.0.0, 0.43 v4.1.0, 0.25 v4.0.1, 0.00 v3.1.0, 0.17 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.20 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  252 (  39 non-Horn;   0 unit; 245 RR)
%            Number of atoms       :  695 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   60 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( hskp0
    | hskp25
    | hskp26 )).

cnf(clause55,negated_conjecture,
    ( hskp2
    | hskp3
    | hskp4 )).

cnf(clause56,negated_conjecture,
    ( hskp17
    | hskp39
    | hskp40 )).

cnf(clause57,negated_conjecture,
    ( hskp41
    | hskp2
    | hskp42 )).

cnf(clause58,negated_conjecture,
    ( hskp19
    | hskp45
    | hskp46 )).

cnf(clause59,negated_conjecture,
    ( hskp20
    | hskp47
    | hskp48 )).

cnf(clause60,negated_conjecture,
    ( hskp49
    | hskp50
    | hskp13 )).

cnf(clause61,negated_conjecture,
    ( hskp23
    | hskp52
    | hskp30 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp52
    | c0_1(a279) )).

cnf(clause63,negated_conjecture,
    ( ~ hskp52
    | c3_1(a279) )).

cnf(clause64,negated_conjecture,
    ( ~ hskp52
    | c2_1(a279) )).

cnf(clause65,negated_conjecture,
    ( ~ hskp51
    | c3_1(a276) )).

cnf(clause66,negated_conjecture,
    ( ~ hskp50
    | c3_1(a273) )).

cnf(clause67,negated_conjecture,
    ( ~ hskp50
    | c1_1(a273) )).

cnf(clause68,negated_conjecture,
    ( ~ hskp50
    | c2_1(a273) )).

cnf(clause69,negated_conjecture,
    ( ~ hskp49
    | c3_1(a272) )).

cnf(clause70,negated_conjecture,
    ( ~ hskp48
    | c1_1(a270) )).

cnf(clause71,negated_conjecture,
    ( ~ hskp47
    | c1_1(a269) )).

cnf(clause72,negated_conjecture,
    ( ~ hskp47
    | c3_1(a269) )).

cnf(clause73,negated_conjecture,
    ( ~ hskp47
    | c0_1(a269) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp46
    | c0_1(a266) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp46
    | c1_1(a266) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp46
    | c3_1(a266) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp45
    | c0_1(a265) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp45
    | c1_1(a265) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp44
    | c3_1(a262) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp43
    | c2_1(a261) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp43
    | c1_1(a261) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp43
    | c0_1(a261) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp42
    | c3_1(a260) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp41
    | c2_1(a258) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp41
    | c0_1(a258) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp41
    | c1_1(a258) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp40
    | c2_1(a257) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp39
    | c3_1(a256) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp39
    | c2_1(a256) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp39
    | c1_1(a256) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp38
    | c2_1(a254) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp38
    | c3_1(a254) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp37
    | c3_1(a251) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp36
    | c1_1(a250) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp35
    | c0_1(a248) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp34
    | c3_1(a247) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp34
    | c0_1(a247) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp34
    | c1_1(a247) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp33
    | c0_1(a244) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp32
    | c1_1(a242) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp31
    | c2_1(a237) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp31
    | c3_1(a237) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp30
    | c0_1(a236) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp30
    | c1_1(a236) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp29
    | c0_1(a235) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp28
    | c0_1(a232) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp28
    | c2_1(a232) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp27
    | c1_1(a231) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp27
    | c2_1(a231) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp27
    | c0_1(a231) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp26
    | c3_1(a225) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp26
    | c2_1(a225) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp25
    | c0_1(a224) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp24
    | c0_1(a281) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp23
    | c2_1(a278) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp22
    | c1_1(a277) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp19
    | c0_1(a264) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp18
    | c2_1(a263) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp18
    | c1_1(a263) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp17
    | c2_1(a255) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp17
    | c3_1(a255) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp16
    | c3_1(a253) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp15
    | c0_1(a252) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp14
    | c2_1(a249) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp14
    | c0_1(a249) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp13
    | c1_1(a246) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp12
    | c3_1(a245) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp11
    | c0_1(a243) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp11
    | c1_1(a243) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp10
    | c1_1(a240) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp10
    | c0_1(a240) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp8
    | c2_1(a238) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp8
    | c0_1(a238) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp7
    | c0_1(a234) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp6
    | c2_1(a233) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp5
    | c1_1(a230) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp5
    | c3_1(a230) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp4
    | c2_1(a229) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp3
    | c1_1(a228) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp2
    | c1_1(a227) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp1
    | c1_1(a226) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp1
    | c3_1(a226) )).

cnf(clause143,negated_conjecture,
    ( ~ c1_1(a276)
    | ~ hskp51 )).

cnf(clause144,negated_conjecture,
    ( ~ c2_1(a276)
    | ~ hskp51 )).

cnf(clause145,negated_conjecture,
    ( ~ c2_1(a272)
    | ~ hskp49 )).

cnf(clause146,negated_conjecture,
    ( ~ c1_1(a272)
    | ~ hskp49 )).

cnf(clause147,negated_conjecture,
    ( ~ c0_1(a270)
    | ~ hskp48 )).

cnf(clause148,negated_conjecture,
    ( ~ c3_1(a270)
    | ~ hskp48 )).

cnf(clause149,negated_conjecture,
    ( ~ c3_1(a265)
    | ~ hskp45 )).

cnf(clause150,negated_conjecture,
    ( ~ c0_1(a262)
    | ~ hskp44 )).

cnf(clause151,negated_conjecture,
    ( ~ c1_1(a262)
    | ~ hskp44 )).

cnf(clause152,negated_conjecture,
    ( ~ c2_1(a260)
    | ~ hskp42 )).

cnf(clause153,negated_conjecture,
    ( ~ c0_1(a260)
    | ~ hskp42 )).

cnf(clause154,negated_conjecture,
    ( ~ c3_1(a257)
    | ~ hskp40 )).

cnf(clause155,negated_conjecture,
    ( ~ c1_1(a257)
    | ~ hskp40 )).

cnf(clause156,negated_conjecture,
    ( ~ c0_1(a254)
    | ~ hskp38 )).

cnf(clause157,negated_conjecture,
    ( ~ c1_1(a251)
    | ~ hskp37 )).

cnf(clause158,negated_conjecture,
    ( ~ c0_1(a251)
    | ~ hskp37 )).

cnf(clause159,negated_conjecture,
    ( ~ c3_1(a250)
    | ~ hskp36 )).

cnf(clause160,negated_conjecture,
    ( ~ c2_1(a250)
    | ~ hskp36 )).

cnf(clause161,negated_conjecture,
    ( ~ c1_1(a248)
    | ~ hskp35 )).

cnf(clause162,negated_conjecture,
    ( ~ c3_1(a248)
    | ~ hskp35 )).

cnf(clause163,negated_conjecture,
    ( ~ c3_1(a244)
    | ~ hskp33 )).

cnf(clause164,negated_conjecture,
    ( ~ c1_1(a244)
    | ~ hskp33 )).

cnf(clause165,negated_conjecture,
    ( ~ c0_1(a242)
    | ~ hskp32 )).

cnf(clause166,negated_conjecture,
    ( ~ c2_1(a242)
    | ~ hskp32 )).

cnf(clause167,negated_conjecture,
    ( ~ c0_1(a237)
    | ~ hskp31 )).

cnf(clause168,negated_conjecture,
    ( ~ c2_1(a236)
    | ~ hskp30 )).

cnf(clause169,negated_conjecture,
    ( ~ c2_1(a235)
    | ~ hskp29 )).

cnf(clause170,negated_conjecture,
    ( ~ c3_1(a235)
    | ~ hskp29 )).

cnf(clause171,negated_conjecture,
    ( ~ c3_1(a232)
    | ~ hskp28 )).

cnf(clause172,negated_conjecture,
    ( ~ c0_1(a225)
    | ~ hskp26 )).

cnf(clause173,negated_conjecture,
    ( ~ c2_1(a224)
    | ~ hskp25 )).

cnf(clause174,negated_conjecture,
    ( ~ c1_1(a224)
    | ~ hskp25 )).

cnf(clause175,negated_conjecture,
    ( ~ c2_1(a281)
    | ~ hskp24 )).

cnf(clause176,negated_conjecture,
    ( ~ c1_1(a281)
    | ~ hskp24 )).

cnf(clause177,negated_conjecture,
    ( ~ c1_1(a278)
    | ~ hskp23 )).

cnf(clause178,negated_conjecture,
    ( ~ c0_1(a278)
    | ~ hskp23 )).

cnf(clause179,negated_conjecture,
    ( ~ c3_1(a277)
    | ~ hskp22 )).

cnf(clause180,negated_conjecture,
    ( ~ c2_1(a277)
    | ~ hskp22 )).

cnf(clause181,negated_conjecture,
    ( ~ c0_1(a271)
    | ~ hskp21 )).

cnf(clause182,negated_conjecture,
    ( ~ c1_1(a271)
    | ~ hskp21 )).

cnf(clause183,negated_conjecture,
    ( ~ c2_1(a271)
    | ~ hskp21 )).

cnf(clause184,negated_conjecture,
    ( ~ c1_1(a268)
    | ~ hskp20 )).

cnf(clause185,negated_conjecture,
    ( ~ c3_1(a268)
    | ~ hskp20 )).

cnf(clause186,negated_conjecture,
    ( ~ c2_1(a268)
    | ~ hskp20 )).

cnf(clause187,negated_conjecture,
    ( ~ c2_1(a264)
    | ~ hskp19 )).

cnf(clause188,negated_conjecture,
    ( ~ c1_1(a264)
    | ~ hskp19 )).

cnf(clause189,negated_conjecture,
    ( ~ c3_1(a263)
    | ~ hskp18 )).

cnf(clause190,negated_conjecture,
    ( ~ c1_1(a255)
    | ~ hskp17 )).

cnf(clause191,negated_conjecture,
    ( ~ c2_1(a253)
    | ~ hskp16 )).

cnf(clause192,negated_conjecture,
    ( ~ c1_1(a253)
    | ~ hskp16 )).

cnf(clause193,negated_conjecture,
    ( ~ c3_1(a252)
    | ~ hskp15 )).

cnf(clause194,negated_conjecture,
    ( ~ c2_1(a252)
    | ~ hskp15 )).

cnf(clause195,negated_conjecture,
    ( ~ c1_1(a249)
    | ~ hskp14 )).

cnf(clause196,negated_conjecture,
    ( ~ c3_1(a246)
    | ~ hskp13 )).

cnf(clause197,negated_conjecture,
    ( ~ c2_1(a246)
    | ~ hskp13 )).

cnf(clause198,negated_conjecture,
    ( ~ c0_1(a245)
    | ~ hskp12 )).

cnf(clause199,negated_conjecture,
    ( ~ c1_1(a245)
    | ~ hskp12 )).

cnf(clause200,negated_conjecture,
    ( ~ c2_1(a243)
    | ~ hskp11 )).

cnf(clause201,negated_conjecture,
    ( ~ c3_1(a240)
    | ~ hskp10 )).

cnf(clause202,negated_conjecture,
    ( ~ c2_1(a239)
    | ~ hskp9 )).

cnf(clause203,negated_conjecture,
    ( ~ c1_1(a239)
    | ~ hskp9 )).

cnf(clause204,negated_conjecture,
    ( ~ c3_1(a239)
    | ~ hskp9 )).

cnf(clause205,negated_conjecture,
    ( ~ c3_1(a238)
    | ~ hskp8 )).

cnf(clause206,negated_conjecture,
    ( ~ c3_1(a234)
    | ~ hskp7 )).

cnf(clause207,negated_conjecture,
    ( ~ c1_1(a234)
    | ~ hskp7 )).

cnf(clause208,negated_conjecture,
    ( ~ c1_1(a233)
    | ~ hskp6 )).

cnf(clause209,negated_conjecture,
    ( ~ c0_1(a233)
    | ~ hskp6 )).

cnf(clause210,negated_conjecture,
    ( ~ c0_1(a230)
    | ~ hskp5 )).

cnf(clause211,negated_conjecture,
    ( ~ c0_1(a229)
    | ~ hskp4 )).

cnf(clause212,negated_conjecture,
    ( ~ c1_1(a229)
    | ~ hskp4 )).

cnf(clause213,negated_conjecture,
    ( ~ c3_1(a228)
    | ~ hskp3 )).

cnf(clause214,negated_conjecture,
    ( ~ c0_1(a228)
    | ~ hskp3 )).

cnf(clause215,negated_conjecture,
    ( ~ c3_1(a227)
    | ~ hskp2 )).

cnf(clause216,negated_conjecture,
    ( ~ c0_1(a227)
    | ~ hskp2 )).

cnf(clause217,negated_conjecture,
    ( ~ c2_1(a226)
    | ~ hskp1 )).

cnf(clause218,negated_conjecture,
    ( ~ c1_1(a223)
    | ~ hskp0 )).

cnf(clause219,negated_conjecture,
    ( ~ c2_1(a223)
    | ~ hskp0 )).

cnf(clause220,negated_conjecture,
    ( ~ c3_1(a223)
    | ~ hskp0 )).

cnf(clause221,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c1_1(U)
    | c2_1(U)
    | hskp10
    | hskp8 )).

cnf(clause222,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c2_1(U)
    | hskp15
    | hskp16 )).

cnf(clause223,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp30 )).

cnf(clause224,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp31
    | hskp8 )).

cnf(clause225,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c1_1(U)
    | hskp33
    | hskp12 )).

cnf(clause226,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | hskp43
    | hskp44 )).

cnf(clause227,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp27
    | hskp28 )).

cnf(clause228,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp13
    | hskp34 )).

cnf(clause229,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp36
    | hskp37 )).

cnf(clause230,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | hskp32
    | hskp11 )).

cnf(clause231,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(U)
    | c3_1(U)
    | c1_1(V)
    | c0_1(V)
    | hskp1 )).

cnf(clause232,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(V)
    | c2_1(V)
    | c0_1(V)
    | hskp29 )).

cnf(clause233,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(U)
    | c1_1(U)
    | c3_1(V)
    | c1_1(V)
    | hskp35 )).

cnf(clause234,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(U)
    | c2_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp18 )).

cnf(clause235,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c0_1(U)
    | c3_1(V)
    | c2_1(V)
    | c1_1(V)
    | c1_1(U)
    | hskp21 )).

cnf(clause236,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp6 )).

cnf(clause237,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | c2_1(U)
    | c3_1(V)
    | hskp9 )).

cnf(clause238,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c0_1(U)
    | c2_1(V)
    | hskp14 )).

cnf(clause239,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(U)
    | c3_1(V)
    | c2_1(V)
    | hskp16 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp40 )).

cnf(clause241,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c0_1(U)
    | c2_1(V)
    | hskp51 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c1_1(U)
    | c0_1(V)
    | hskp24 )).

cnf(clause243,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c3_1(U)
    | c2_1(V)
    | hskp5 )).

cnf(clause244,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c0_1(U)
    | c1_1(U)
    | hskp7 )).

cnf(clause245,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | c3_1(U)
    | c1_1(V)
    | hskp22 )).

cnf(clause246,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | ~ c2_1(V)
    | c3_1(W)
    | c0_1(W)
    | c2_1(W)
    | c0_1(U)
    | c2_1(U)
    | c3_1(V)
    | c1_1(V) )).

cnf(clause247,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c1_1(V)
    | c3_1(W)
    | c0_1(W)
    | c2_1(W)
    | c1_1(U)
    | c0_1(U)
    | c0_1(V)
    | c2_1(V) )).

cnf(clause248,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | ~ c1_1(V)
    | hskp38 )).

cnf(clause249,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c0_1(U)
    | c2_1(U)
    | c3_1(V)
    | c1_1(W)
    | c3_1(W)
    | c2_1(W) )).

cnf(clause250,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | ~ c1_1(W)
    | c3_1(U)
    | c0_1(U)
    | c2_1(V)
    | c2_1(W)
    | c0_1(W) )).

cnf(clause251,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c1_1(W)
    | ~ c0_1(W)
    | ~ c2_1(W)
    | c0_1(U)
    | c1_1(U)
    | c0_1(V) )).

cnf(clause252,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c1_1(W)
    | ~ c0_1(W)
    | c1_1(U)
    | c3_1(W) )).

%--------------------------------------------------------------------------
