%--------------------------------------------------------------------------
% File     : SYN441-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=010
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-010.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.33 v6.1.0, 0.40 v6.0.0, 0.33 v5.5.0, 0.00 v5.4.0, 0.33 v5.3.0, 0.40 v5.2.0, 0.00 v5.0.0, 0.57 v4.1.0, 0.38 v4.0.1, 0.00 v3.7.0, 0.33 v3.5.0, 0.25 v3.4.0, 0.40 v3.3.0, 0.33 v3.2.0, 0.17 v3.1.0, 0.33 v2.7.0, 0.50 v2.6.0, 0.67 v2.5.0, 0.80 v2.4.0, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  364 (  60 non-Horn;   0 unit; 345 RR)
%            Number of atoms       : 1029 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   81 (  77 propositional; 0-1 arity)
%            Number of functors    :   76 (  76 constant; 0-0 arity)
%            Number of variables   :   94 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp75
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp74
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp73
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp72
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp71
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp70
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp69
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp68
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp67
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp66
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp65
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp64
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause66,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause67,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause68,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause69,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause70,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause71,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause72,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause73,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause74,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause75,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause76,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause77,negated_conjecture,
    ( hskp11
    | hskp12
    | hskp56 )).

cnf(clause78,negated_conjecture,
    ( hskp13
    | hskp14
    | hskp57 )).

cnf(clause79,negated_conjecture,
    ( hskp20
    | hskp21
    | hskp22 )).

cnf(clause80,negated_conjecture,
    ( hskp25
    | hskp11
    | hskp26 )).

cnf(clause81,negated_conjecture,
    ( hskp27
    | hskp28
    | hskp42 )).

cnf(clause82,negated_conjecture,
    ( hskp67
    | hskp68
    | hskp69 )).

cnf(clause83,negated_conjecture,
    ( ~ hskp75
    | c2_1(a1902) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp75
    | c1_1(a1902) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp74
    | c0_1(a1899) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp74
    | c1_1(a1899) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp73
    | c3_1(a1898) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp73
    | c1_1(a1898) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp73
    | c0_1(a1898) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp72
    | c2_1(a1897) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp71
    | c3_1(a1894) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp71
    | c0_1(a1894) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp70
    | c1_1(a1889) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp70
    | c2_1(a1889) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp70
    | c3_1(a1889) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp69
    | c0_1(a1887) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp69
    | c1_1(a1887) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp68
    | c3_1(a1886) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp68
    | c0_1(a1886) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp68
    | c1_1(a1886) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp67
    | c3_1(a1885) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp67
    | c2_1(a1885) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp66
    | c1_1(a1879) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp65
    | c3_1(a1878) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp65
    | c1_1(a1878) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp64
    | c3_1(a1874) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp64
    | c1_1(a1874) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp64
    | c2_1(a1874) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp63
    | c1_1(a1868) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp63
    | c3_1(a1868) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp62
    | c2_1(a1867) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp62
    | c3_1(a1867) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp62
    | c0_1(a1867) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp61
    | c1_1(a1863) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp60
    | c1_1(a1860) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp60
    | c0_1(a1860) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp60
    | c3_1(a1860) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp59
    | c1_1(a1852) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp59
    | c0_1(a1852) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp59
    | c2_1(a1852) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp58
    | c2_1(a1849) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp58
    | c3_1(a1849) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp58
    | c1_1(a1849) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp57
    | c3_1(a1848) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp56
    | c0_1(a1845) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp55
    | c0_1(a1842) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp55
    | c3_1(a1842) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp54
    | c1_1(a1839) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp53
    | c0_1(a1838) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp52
    | c0_1(a1836) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp52
    | c2_1(a1836) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp51
    | c0_1(a1835) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp51
    | c3_1(a1835) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp51
    | c2_1(a1835) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp50
    | c0_1(a1834) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp50
    | c2_1(a1834) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp49
    | c3_1(a1830) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp49
    | c0_1(a1830) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp49
    | c2_1(a1830) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp48
    | c2_1(a1827) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp47
    | c2_1(a1825) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp47
    | c3_1(a1825) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp46
    | c2_1(a1823) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp46
    | c3_1(a1823) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp45
    | c0_1(a1822) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp45
    | c2_1(a1822) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp45
    | c3_1(a1822) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp44
    | c3_1(a1821) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp44
    | c0_1(a1821) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp43
    | c2_1(a1820) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp42
    | c2_1(a1819) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp42
    | c0_1(a1819) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp42
    | c3_1(a1819) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp40
    | c1_1(a1900) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp38
    | c1_1(a1895) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp37
    | c0_1(a1892) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp36
    | c3_1(a1891) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp36
    | c1_1(a1891) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp35
    | c1_1(a1890) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp34
    | c3_1(a1882) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp34
    | c1_1(a1882) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp32
    | c2_1(a1876) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp31
    | c3_1(a1875) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp31
    | c2_1(a1875) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp30
    | c2_1(a1873) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp30
    | c1_1(a1873) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp29
    | c0_1(a1872) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp27
    | c0_1(a1869) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp27
    | c3_1(a1869) )).

cnf(clause170,negated_conjecture,
    ( ~ hskp25
    | c2_1(a1864) )).

cnf(clause171,negated_conjecture,
    ( ~ hskp24
    | c3_1(a1862) )).

cnf(clause172,negated_conjecture,
    ( ~ hskp24
    | c0_1(a1862) )).

cnf(clause173,negated_conjecture,
    ( ~ hskp22
    | c0_1(a1858) )).

cnf(clause174,negated_conjecture,
    ( ~ hskp21
    | c3_1(a1857) )).

cnf(clause175,negated_conjecture,
    ( ~ hskp21
    | c2_1(a1857) )).

cnf(clause176,negated_conjecture,
    ( ~ hskp19
    | c1_1(a1855) )).

cnf(clause177,negated_conjecture,
    ( ~ hskp18
    | c0_1(a1854) )).

cnf(clause178,negated_conjecture,
    ( ~ hskp17
    | c0_1(a1853) )).

cnf(clause179,negated_conjecture,
    ( ~ hskp17
    | c2_1(a1853) )).

cnf(clause180,negated_conjecture,
    ( ~ hskp16
    | c1_1(a1851) )).

cnf(clause181,negated_conjecture,
    ( ~ hskp15
    | c3_1(a1850) )).

cnf(clause182,negated_conjecture,
    ( ~ hskp14
    | c3_1(a1847) )).

cnf(clause183,negated_conjecture,
    ( ~ hskp13
    | c1_1(a1846) )).

cnf(clause184,negated_conjecture,
    ( ~ hskp13
    | c3_1(a1846) )).

cnf(clause185,negated_conjecture,
    ( ~ hskp11
    | c3_1(a1843) )).

cnf(clause186,negated_conjecture,
    ( ~ hskp10
    | c2_1(a1841) )).

cnf(clause187,negated_conjecture,
    ( ~ hskp9
    | c2_1(a1840) )).

cnf(clause188,negated_conjecture,
    ( ~ hskp9
    | c0_1(a1840) )).

cnf(clause189,negated_conjecture,
    ( ~ hskp8
    | c1_1(a1837) )).

cnf(clause190,negated_conjecture,
    ( ~ hskp8
    | c0_1(a1837) )).

cnf(clause191,negated_conjecture,
    ( ~ hskp7
    | c3_1(a1833) )).

cnf(clause192,negated_conjecture,
    ( ~ hskp5
    | c1_1(a1831) )).

cnf(clause193,negated_conjecture,
    ( ~ hskp3
    | c3_1(a1828) )).

cnf(clause194,negated_conjecture,
    ( ~ hskp2
    | c3_1(a1826) )).

cnf(clause195,negated_conjecture,
    ( ~ hskp2
    | c0_1(a1826) )).

cnf(clause196,negated_conjecture,
    ( ~ c3_1(a1902)
    | ~ hskp75 )).

cnf(clause197,negated_conjecture,
    ( ~ c3_1(a1899)
    | ~ hskp74 )).

cnf(clause198,negated_conjecture,
    ( ~ c0_1(a1897)
    | ~ hskp72 )).

cnf(clause199,negated_conjecture,
    ( ~ c1_1(a1897)
    | ~ hskp72 )).

cnf(clause200,negated_conjecture,
    ( ~ c1_1(a1894)
    | ~ hskp71 )).

cnf(clause201,negated_conjecture,
    ( ~ c3_1(a1887)
    | ~ hskp69 )).

cnf(clause202,negated_conjecture,
    ( ~ c1_1(a1885)
    | ~ hskp67 )).

cnf(clause203,negated_conjecture,
    ( ~ c0_1(a1879)
    | ~ hskp66 )).

cnf(clause204,negated_conjecture,
    ( ~ c2_1(a1879)
    | ~ hskp66 )).

cnf(clause205,negated_conjecture,
    ( ~ c0_1(a1878)
    | ~ hskp65 )).

cnf(clause206,negated_conjecture,
    ( ~ c0_1(a1868)
    | ~ hskp63 )).

cnf(clause207,negated_conjecture,
    ( ~ c3_1(a1863)
    | ~ hskp61 )).

cnf(clause208,negated_conjecture,
    ( ~ c0_1(a1863)
    | ~ hskp61 )).

cnf(clause209,negated_conjecture,
    ( ~ c0_1(a1848)
    | ~ hskp57 )).

cnf(clause210,negated_conjecture,
    ( ~ c1_1(a1848)
    | ~ hskp57 )).

cnf(clause211,negated_conjecture,
    ( ~ c2_1(a1845)
    | ~ hskp56 )).

cnf(clause212,negated_conjecture,
    ( ~ c3_1(a1845)
    | ~ hskp56 )).

cnf(clause213,negated_conjecture,
    ( ~ c2_1(a1842)
    | ~ hskp55 )).

cnf(clause214,negated_conjecture,
    ( ~ c2_1(a1839)
    | ~ hskp54 )).

cnf(clause215,negated_conjecture,
    ( ~ c0_1(a1839)
    | ~ hskp54 )).

cnf(clause216,negated_conjecture,
    ( ~ c2_1(a1838)
    | ~ hskp53 )).

cnf(clause217,negated_conjecture,
    ( ~ c1_1(a1838)
    | ~ hskp53 )).

cnf(clause218,negated_conjecture,
    ( ~ c3_1(a1836)
    | ~ hskp52 )).

cnf(clause219,negated_conjecture,
    ( ~ c1_1(a1834)
    | ~ hskp50 )).

cnf(clause220,negated_conjecture,
    ( ~ c3_1(a1827)
    | ~ hskp48 )).

cnf(clause221,negated_conjecture,
    ( ~ c1_1(a1827)
    | ~ hskp48 )).

cnf(clause222,negated_conjecture,
    ( ~ c0_1(a1825)
    | ~ hskp47 )).

cnf(clause223,negated_conjecture,
    ( ~ c0_1(a1823)
    | ~ hskp46 )).

cnf(clause224,negated_conjecture,
    ( ~ c2_1(a1821)
    | ~ hskp44 )).

cnf(clause225,negated_conjecture,
    ( ~ c1_1(a1820)
    | ~ hskp43 )).

cnf(clause226,negated_conjecture,
    ( ~ c0_1(a1820)
    | ~ hskp43 )).

cnf(clause227,negated_conjecture,
    ( ~ c1_1(a1901)
    | ~ hskp41 )).

cnf(clause228,negated_conjecture,
    ( ~ c3_1(a1901)
    | ~ hskp41 )).

cnf(clause229,negated_conjecture,
    ( ~ c2_1(a1901)
    | ~ hskp41 )).

cnf(clause230,negated_conjecture,
    ( ~ c3_1(a1900)
    | ~ hskp40 )).

cnf(clause231,negated_conjecture,
    ( ~ c0_1(a1900)
    | ~ hskp40 )).

cnf(clause232,negated_conjecture,
    ( ~ c0_1(a1896)
    | ~ hskp39 )).

cnf(clause233,negated_conjecture,
    ( ~ c1_1(a1896)
    | ~ hskp39 )).

cnf(clause234,negated_conjecture,
    ( ~ c3_1(a1896)
    | ~ hskp39 )).

cnf(clause235,negated_conjecture,
    ( ~ c2_1(a1895)
    | ~ hskp38 )).

cnf(clause236,negated_conjecture,
    ( ~ c0_1(a1895)
    | ~ hskp38 )).

cnf(clause237,negated_conjecture,
    ( ~ c1_1(a1892)
    | ~ hskp37 )).

cnf(clause238,negated_conjecture,
    ( ~ c3_1(a1892)
    | ~ hskp37 )).

cnf(clause239,negated_conjecture,
    ( ~ c2_1(a1891)
    | ~ hskp36 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(a1890)
    | ~ hskp35 )).

cnf(clause241,negated_conjecture,
    ( ~ c0_1(a1890)
    | ~ hskp35 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(a1882)
    | ~ hskp34 )).

cnf(clause243,negated_conjecture,
    ( ~ c1_1(a1881)
    | ~ hskp33 )).

cnf(clause244,negated_conjecture,
    ( ~ c0_1(a1881)
    | ~ hskp33 )).

cnf(clause245,negated_conjecture,
    ( ~ c3_1(a1881)
    | ~ hskp33 )).

cnf(clause246,negated_conjecture,
    ( ~ c1_1(a1876)
    | ~ hskp32 )).

cnf(clause247,negated_conjecture,
    ( ~ c3_1(a1876)
    | ~ hskp32 )).

cnf(clause248,negated_conjecture,
    ( ~ c1_1(a1875)
    | ~ hskp31 )).

cnf(clause249,negated_conjecture,
    ( ~ c0_1(a1873)
    | ~ hskp30 )).

cnf(clause250,negated_conjecture,
    ( ~ c3_1(a1872)
    | ~ hskp29 )).

cnf(clause251,negated_conjecture,
    ( ~ c1_1(a1872)
    | ~ hskp29 )).

cnf(clause252,negated_conjecture,
    ( ~ c1_1(a1870)
    | ~ hskp28 )).

cnf(clause253,negated_conjecture,
    ( ~ c2_1(a1870)
    | ~ hskp28 )).

cnf(clause254,negated_conjecture,
    ( ~ c0_1(a1870)
    | ~ hskp28 )).

cnf(clause255,negated_conjecture,
    ( ~ c2_1(a1869)
    | ~ hskp27 )).

cnf(clause256,negated_conjecture,
    ( ~ c0_1(a1866)
    | ~ hskp26 )).

cnf(clause257,negated_conjecture,
    ( ~ c2_1(a1866)
    | ~ hskp26 )).

cnf(clause258,negated_conjecture,
    ( ~ c1_1(a1866)
    | ~ hskp26 )).

cnf(clause259,negated_conjecture,
    ( ~ c0_1(a1864)
    | ~ hskp25 )).

cnf(clause260,negated_conjecture,
    ( ~ c3_1(a1864)
    | ~ hskp25 )).

cnf(clause261,negated_conjecture,
    ( ~ c2_1(a1862)
    | ~ hskp24 )).

cnf(clause262,negated_conjecture,
    ( ~ c2_1(a1859)
    | ~ hskp23 )).

cnf(clause263,negated_conjecture,
    ( ~ c3_1(a1859)
    | ~ hskp23 )).

cnf(clause264,negated_conjecture,
    ( ~ c1_1(a1859)
    | ~ hskp23 )).

cnf(clause265,negated_conjecture,
    ( ~ c2_1(a1858)
    | ~ hskp22 )).

cnf(clause266,negated_conjecture,
    ( ~ c3_1(a1858)
    | ~ hskp22 )).

cnf(clause267,negated_conjecture,
    ( ~ c0_1(a1857)
    | ~ hskp21 )).

cnf(clause268,negated_conjecture,
    ( ~ c0_1(a1856)
    | ~ hskp20 )).

cnf(clause269,negated_conjecture,
    ( ~ c1_1(a1856)
    | ~ hskp20 )).

cnf(clause270,negated_conjecture,
    ( ~ c2_1(a1856)
    | ~ hskp20 )).

cnf(clause271,negated_conjecture,
    ( ~ c0_1(a1855)
    | ~ hskp19 )).

cnf(clause272,negated_conjecture,
    ( ~ c2_1(a1855)
    | ~ hskp19 )).

cnf(clause273,negated_conjecture,
    ( ~ c1_1(a1854)
    | ~ hskp18 )).

cnf(clause274,negated_conjecture,
    ( ~ c3_1(a1854)
    | ~ hskp18 )).

cnf(clause275,negated_conjecture,
    ( ~ c1_1(a1853)
    | ~ hskp17 )).

cnf(clause276,negated_conjecture,
    ( ~ c2_1(a1851)
    | ~ hskp16 )).

cnf(clause277,negated_conjecture,
    ( ~ c3_1(a1851)
    | ~ hskp16 )).

cnf(clause278,negated_conjecture,
    ( ~ c1_1(a1850)
    | ~ hskp15 )).

cnf(clause279,negated_conjecture,
    ( ~ c0_1(a1850)
    | ~ hskp15 )).

cnf(clause280,negated_conjecture,
    ( ~ c2_1(a1847)
    | ~ hskp14 )).

cnf(clause281,negated_conjecture,
    ( ~ c0_1(a1847)
    | ~ hskp14 )).

cnf(clause282,negated_conjecture,
    ( ~ c2_1(a1846)
    | ~ hskp13 )).

cnf(clause283,negated_conjecture,
    ( ~ c3_1(a1844)
    | ~ hskp12 )).

cnf(clause284,negated_conjecture,
    ( ~ c0_1(a1844)
    | ~ hskp12 )).

cnf(clause285,negated_conjecture,
    ( ~ c2_1(a1844)
    | ~ hskp12 )).

cnf(clause286,negated_conjecture,
    ( ~ c2_1(a1843)
    | ~ hskp11 )).

cnf(clause287,negated_conjecture,
    ( ~ c0_1(a1843)
    | ~ hskp11 )).

cnf(clause288,negated_conjecture,
    ( ~ c0_1(a1841)
    | ~ hskp10 )).

cnf(clause289,negated_conjecture,
    ( ~ c1_1(a1841)
    | ~ hskp10 )).

cnf(clause290,negated_conjecture,
    ( ~ c3_1(a1840)
    | ~ hskp9 )).

cnf(clause291,negated_conjecture,
    ( ~ c3_1(a1837)
    | ~ hskp8 )).

cnf(clause292,negated_conjecture,
    ( ~ c2_1(a1833)
    | ~ hskp7 )).

cnf(clause293,negated_conjecture,
    ( ~ c1_1(a1833)
    | ~ hskp7 )).

cnf(clause294,negated_conjecture,
    ( ~ c3_1(a1832)
    | ~ hskp6 )).

cnf(clause295,negated_conjecture,
    ( ~ c1_1(a1832)
    | ~ hskp6 )).

cnf(clause296,negated_conjecture,
    ( ~ c0_1(a1832)
    | ~ hskp6 )).

cnf(clause297,negated_conjecture,
    ( ~ c0_1(a1831)
    | ~ hskp5 )).

cnf(clause298,negated_conjecture,
    ( ~ c2_1(a1831)
    | ~ hskp5 )).

cnf(clause299,negated_conjecture,
    ( ~ c3_1(a1829)
    | ~ hskp4 )).

cnf(clause300,negated_conjecture,
    ( ~ c1_1(a1829)
    | ~ hskp4 )).

cnf(clause301,negated_conjecture,
    ( ~ c2_1(a1829)
    | ~ hskp4 )).

cnf(clause302,negated_conjecture,
    ( ~ c1_1(a1828)
    | ~ hskp3 )).

cnf(clause303,negated_conjecture,
    ( ~ c0_1(a1828)
    | ~ hskp3 )).

cnf(clause304,negated_conjecture,
    ( ~ c1_1(a1826)
    | ~ hskp2 )).

cnf(clause305,negated_conjecture,
    ( ~ c0_1(a1824)
    | ~ hskp1 )).

cnf(clause306,negated_conjecture,
    ( ~ c3_1(a1824)
    | ~ hskp1 )).

cnf(clause307,negated_conjecture,
    ( ~ c1_1(a1824)
    | ~ hskp1 )).

cnf(clause308,negated_conjecture,
    ( ~ c1_1(a1818)
    | ~ hskp0 )).

cnf(clause309,negated_conjecture,
    ( ~ c2_1(a1818)
    | ~ hskp0 )).

cnf(clause310,negated_conjecture,
    ( ~ c3_1(a1818)
    | ~ hskp0 )).

cnf(clause311,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c1_1(U)
    | c2_1(U)
    | hskp6
    | hskp7 )).

cnf(clause312,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c1_1(U)
    | hskp18
    | hskp19 )).

cnf(clause313,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | c0_1(U)
    | hskp29
    | hskp30 )).

cnf(clause314,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c3_1(U)
    | c1_1(U)
    | hskp31
    | hskp32 )).

cnf(clause315,negated_conjecture,
    ( ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | c3_1(U)
    | hskp71
    | hskp38 )).

cnf(clause316,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp45
    | hskp46 )).

cnf(clause317,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | hskp58
    | hskp15 )).

cnf(clause318,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | hskp65
    | hskp66 )).

cnf(clause319,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp32
    | hskp33 )).

cnf(clause320,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | hskp40
    | hskp41 )).

cnf(clause321,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp1
    | hskp47 )).

cnf(clause322,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp23
    | hskp60 )).

cnf(clause323,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp24
    | hskp61 )).

cnf(clause324,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp62
    | hskp63 )).

cnf(clause325,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp47
    | hskp22 )).

cnf(clause326,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp73
    | hskp74 )).

cnf(clause327,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | hskp48
    | hskp3 )).

cnf(clause328,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp49
    | hskp5 )).

cnf(clause329,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | hskp53
    | hskp54 )).

cnf(clause330,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp59
    | hskp17 )).

cnf(clause331,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | hskp61
    | hskp70 )).

cnf(clause332,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp37
    | hskp28 )).

cnf(clause333,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp39
    | hskp72 )).

cnf(clause334,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c1_1(V)
    | c0_1(U)
    | c2_1(V)
    | c3_1(V) )).

cnf(clause335,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c1_1(V)
    | hskp43 )).

cnf(clause336,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | c0_1(V)
    | c3_1(V)
    | c2_1(V)
    | c2_1(U)
    | c1_1(U)
    | hskp44 )).

cnf(clause337,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | c0_1(V)
    | c2_1(V)
    | c3_1(V)
    | c0_1(U)
    | c2_1(U)
    | hskp4 )).

cnf(clause338,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | c1_1(V)
    | c0_1(V)
    | c2_1(V)
    | c1_1(U)
    | c0_1(U)
    | hskp55 )).

cnf(clause339,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(U)
    | c2_1(U)
    | c3_1(V)
    | c1_1(V)
    | hskp10 )).

cnf(clause340,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp49 )).

cnf(clause341,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c2_1(U)
    | c3_1(V)
    | c0_1(V)
    | hskp64 )).

cnf(clause342,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | c3_1(V)
    | hskp34 )).

cnf(clause343,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(V)
    | c1_1(V)
    | c0_1(V)
    | hskp36 )).

cnf(clause344,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp2 )).

cnf(clause345,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c0_1(U)
    | c3_1(U)
    | c0_1(V)
    | hskp50 )).

cnf(clause346,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp9 )).

cnf(clause347,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(V)
    | c3_1(V)
    | c1_1(V)
    | hskp16 )).

cnf(clause348,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(U)
    | c3_1(V)
    | c0_1(V)
    | hskp63 )).

cnf(clause349,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c0_1(V)
    | hskp51 )).

cnf(clause350,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c1_1(V)
    | c3_1(V)
    | hskp52 )).

cnf(clause351,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(V)
    | c2_1(V)
    | hskp8 )).

cnf(clause352,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c3_1(U)
    | hskp35 )).

cnf(clause353,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp75 )).

cnf(clause354,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c1_1(U)
    | hskp0 )).

cnf(clause355,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(V)
    | c2_1(V)
    | hskp42 )).

cnf(clause356,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c0_1(U)
    | c2_1(U)
    | c1_1(W)
    | c2_1(W)
    | c0_1(W)
    | c0_1(V) )).

cnf(clause357,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c0_1(V)
    | c2_1(U)
    | c1_1(U)
    | c2_1(W)
    | c3_1(W)
    | c0_1(W) )).

cnf(clause358,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c3_1(W)
    | c0_1(U)
    | c3_1(U)
    | c3_1(V)
    | c0_1(W)
    | c1_1(W) )).

cnf(clause359,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | ~ c3_1(W)
    | c1_1(U)
    | c3_1(V)
    | c0_1(W)
    | c1_1(W) )).

cnf(clause360,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c1_1(W)
    | ~ c2_1(W)
    | c0_1(U)
    | c2_1(U)
    | c0_1(V)
    | c3_1(W) )).

cnf(clause361,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c3_1(W)
    | c2_1(W)
    | c1_1(W)
    | c0_1(V) )).

cnf(clause362,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(V)
    | c3_1(V)
    | c2_1(W)
    | c3_1(W)
    | c0_1(W) )).

cnf(clause363,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c0_1(W)
    | ~ c1_1(W)
    | c3_1(U)
    | c2_1(U)
    | c3_1(W) )).

cnf(clause364,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c3_1(V)
    | ~ c3_1(W)
    | ~ c0_1(W)
    | c0_1(U)
    | c2_1(U)
    | c1_1(W) )).

%--------------------------------------------------------------------------
