%--------------------------------------------------------------------------
% File     : SYN453-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=044
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-044.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.33 v6.1.0, 0.40 v6.0.0, 0.33 v5.5.0, 0.00 v5.4.0, 0.33 v5.3.0, 0.40 v5.2.0, 0.00 v5.0.0, 0.57 v4.1.0, 0.38 v4.0.1, 0.00 v3.7.0, 0.33 v3.5.0, 0.00 v3.4.0, 0.20 v3.3.0, 0.33 v3.2.0, 0.00 v3.1.0, 0.33 v2.7.0, 0.50 v2.5.0, 0.60 v2.4.0, 0.33 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  344 (  58 non-Horn;   0 unit; 335 RR)
%            Number of atoms       :  971 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   76 (  72 propositional; 0-1 arity)
%            Number of functors    :   71 (  71 constant; 0-0 arity)
%            Number of variables   :   86 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp70
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp69
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp68
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp67
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp66
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp65
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp64
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp63
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp62
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp61
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp60
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp59
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause61,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause62,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause63,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause64,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause65,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause66,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause67,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause68,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause69,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause70,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause71,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause72,negated_conjecture,
    ( hskp13
    | hskp38
    | hskp45 )).

cnf(clause73,negated_conjecture,
    ( hskp48
    | hskp49
    | hskp50 )).

cnf(clause74,negated_conjecture,
    ( hskp17
    | hskp53
    | hskp18 )).

cnf(clause75,negated_conjecture,
    ( hskp19
    | hskp47
    | hskp41 )).

cnf(clause76,negated_conjecture,
    ( hskp55
    | hskp56
    | hskp57 )).

cnf(clause77,negated_conjecture,
    ( hskp23
    | hskp58
    | hskp59 )).

cnf(clause78,negated_conjecture,
    ( hskp49
    | hskp26
    | hskp6 )).

cnf(clause79,negated_conjecture,
    ( hskp21
    | hskp68
    | hskp69 )).

cnf(clause80,negated_conjecture,
    ( ~ hskp70
    | c2_1(a2078) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp70
    | c0_1(a2078) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp70
    | c3_1(a2078) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp69
    | c0_1(a2074) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp68
    | c1_1(a2073) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp68
    | c0_1(a2073) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp67
    | c3_1(a2070) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp66
    | c0_1(a2067) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp66
    | c3_1(a2067) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp66
    | c2_1(a2067) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp65
    | c0_1(a2063) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp65
    | c1_1(a2063) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp64
    | c3_1(a2061) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp64
    | c1_1(a2061) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp63
    | c2_1(a2059) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp63
    | c1_1(a2059) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp62
    | c1_1(a2058) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp62
    | c3_1(a2058) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp61
    | c1_1(a2054) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp61
    | c2_1(a2054) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp61
    | c3_1(a2054) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp60
    | c0_1(a2053) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp60
    | c1_1(a2053) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp59
    | c0_1(a2052) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp59
    | c2_1(a2052) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp58
    | c3_1(a2051) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp57
    | c0_1(a2048) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp56
    | c3_1(a2047) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp56
    | c0_1(a2047) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp55
    | c0_1(a2046) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp55
    | c1_1(a2046) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp55
    | c2_1(a2046) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp54
    | c2_1(a2037) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp54
    | c3_1(a2037) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp53
    | c2_1(a2035) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp53
    | c1_1(a2035) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp52
    | c2_1(a2033) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp51
    | c2_1(a2030) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp51
    | c1_1(a2030) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp50
    | c1_1(a2029) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp50
    | c2_1(a2029) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp49
    | c0_1(a2028) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp49
    | c3_1(a2028) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp48
    | c1_1(a2027) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp48
    | c3_1(a2027) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp48
    | c0_1(a2027) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp47
    | c2_1(a2026) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp47
    | c0_1(a2026) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp46
    | c3_1(a2025) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp46
    | c0_1(a2025) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp45
    | c2_1(a2022) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp45
    | c3_1(a2022) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp44
    | c2_1(a2018) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp44
    | c0_1(a2018) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp43
    | c2_1(a2017) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp42
    | c3_1(a2010) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp42
    | c2_1(a2010) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp41
    | c3_1(a2007) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp41
    | c1_1(a2007) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp41
    | c0_1(a2007) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp40
    | c0_1(a2005) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp39
    | c0_1(a2004) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp39
    | c2_1(a2004) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp39
    | c1_1(a2004) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp38
    | c3_1(a2003) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp37
    | c3_1(a2002) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp37
    | c1_1(a2002) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp36
    | c1_1(a1997) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp35
    | c2_1(a1996) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp35
    | c3_1(a1996) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp35
    | c0_1(a1996) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp34
    | c0_1(a1995) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp34
    | c1_1(a1995) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp33
    | c2_1(a1993) )).

cnf(clause154,negated_conjecture,
    ( ~ hskp33
    | c1_1(a1993) )).

cnf(clause155,negated_conjecture,
    ( ~ hskp33
    | c0_1(a1993) )).

cnf(clause156,negated_conjecture,
    ( ~ hskp29
    | c3_1(a2079) )).

cnf(clause157,negated_conjecture,
    ( ~ hskp29
    | c2_1(a2079) )).

cnf(clause158,negated_conjecture,
    ( ~ hskp28
    | c1_1(a2069) )).

cnf(clause159,negated_conjecture,
    ( ~ hskp28
    | c2_1(a2069) )).

cnf(clause160,negated_conjecture,
    ( ~ hskp27
    | c0_1(a2068) )).

cnf(clause161,negated_conjecture,
    ( ~ hskp27
    | c1_1(a2068) )).

cnf(clause162,negated_conjecture,
    ( ~ hskp26
    | c3_1(a2065) )).

cnf(clause163,negated_conjecture,
    ( ~ hskp26
    | c2_1(a2065) )).

cnf(clause164,negated_conjecture,
    ( ~ hskp24
    | c2_1(a2057) )).

cnf(clause165,negated_conjecture,
    ( ~ hskp22
    | c2_1(a2045) )).

cnf(clause166,negated_conjecture,
    ( ~ hskp21
    | c3_1(a2044) )).

cnf(clause167,negated_conjecture,
    ( ~ hskp20
    | c1_1(a2041) )).

cnf(clause168,negated_conjecture,
    ( ~ hskp20
    | c3_1(a2041) )).

cnf(clause169,negated_conjecture,
    ( ~ hskp19
    | c1_1(a2038) )).

cnf(clause170,negated_conjecture,
    ( ~ hskp19
    | c0_1(a2038) )).

cnf(clause171,negated_conjecture,
    ( ~ hskp18
    | c3_1(a2036) )).

cnf(clause172,negated_conjecture,
    ( ~ hskp18
    | c0_1(a2036) )).

cnf(clause173,negated_conjecture,
    ( ~ hskp16
    | c0_1(a2032) )).

cnf(clause174,negated_conjecture,
    ( ~ hskp14
    | c2_1(a2023) )).

cnf(clause175,negated_conjecture,
    ( ~ hskp14
    | c0_1(a2023) )).

cnf(clause176,negated_conjecture,
    ( ~ hskp13
    | c1_1(a2020) )).

cnf(clause177,negated_conjecture,
    ( ~ hskp11
    | c0_1(a2016) )).

cnf(clause178,negated_conjecture,
    ( ~ hskp11
    | c2_1(a2016) )).

cnf(clause179,negated_conjecture,
    ( ~ hskp10
    | c3_1(a2015) )).

cnf(clause180,negated_conjecture,
    ( ~ hskp10
    | c1_1(a2015) )).

cnf(clause181,negated_conjecture,
    ( ~ hskp7
    | c0_1(a2011) )).

cnf(clause182,negated_conjecture,
    ( ~ hskp6
    | c3_1(a2009) )).

cnf(clause183,negated_conjecture,
    ( ~ hskp5
    | c2_1(a2006) )).

cnf(clause184,negated_conjecture,
    ( ~ hskp3
    | c1_1(a2000) )).

cnf(clause185,negated_conjecture,
    ( ~ hskp2
    | c1_1(a1999) )).

cnf(clause186,negated_conjecture,
    ( ~ hskp1
    | c0_1(a1998) )).

cnf(clause187,negated_conjecture,
    ( ~ hskp1
    | c3_1(a1998) )).

cnf(clause188,negated_conjecture,
    ( ~ hskp0
    | c0_1(a1994) )).

cnf(clause189,negated_conjecture,
    ( ~ c2_1(a2074)
    | ~ hskp69 )).

cnf(clause190,negated_conjecture,
    ( ~ c3_1(a2074)
    | ~ hskp69 )).

cnf(clause191,negated_conjecture,
    ( ~ c2_1(a2073)
    | ~ hskp68 )).

cnf(clause192,negated_conjecture,
    ( ~ c1_1(a2070)
    | ~ hskp67 )).

cnf(clause193,negated_conjecture,
    ( ~ c0_1(a2070)
    | ~ hskp67 )).

cnf(clause194,negated_conjecture,
    ( ~ c3_1(a2063)
    | ~ hskp65 )).

cnf(clause195,negated_conjecture,
    ( ~ c2_1(a2061)
    | ~ hskp64 )).

cnf(clause196,negated_conjecture,
    ( ~ c3_1(a2059)
    | ~ hskp63 )).

cnf(clause197,negated_conjecture,
    ( ~ c2_1(a2058)
    | ~ hskp62 )).

cnf(clause198,negated_conjecture,
    ( ~ c2_1(a2053)
    | ~ hskp60 )).

cnf(clause199,negated_conjecture,
    ( ~ c1_1(a2052)
    | ~ hskp59 )).

cnf(clause200,negated_conjecture,
    ( ~ c2_1(a2051)
    | ~ hskp58 )).

cnf(clause201,negated_conjecture,
    ( ~ c1_1(a2051)
    | ~ hskp58 )).

cnf(clause202,negated_conjecture,
    ( ~ c3_1(a2048)
    | ~ hskp57 )).

cnf(clause203,negated_conjecture,
    ( ~ c1_1(a2048)
    | ~ hskp57 )).

cnf(clause204,negated_conjecture,
    ( ~ c2_1(a2047)
    | ~ hskp56 )).

cnf(clause205,negated_conjecture,
    ( ~ c0_1(a2037)
    | ~ hskp54 )).

cnf(clause206,negated_conjecture,
    ( ~ c0_1(a2035)
    | ~ hskp53 )).

cnf(clause207,negated_conjecture,
    ( ~ c3_1(a2033)
    | ~ hskp52 )).

cnf(clause208,negated_conjecture,
    ( ~ c1_1(a2033)
    | ~ hskp52 )).

cnf(clause209,negated_conjecture,
    ( ~ c0_1(a2030)
    | ~ hskp51 )).

cnf(clause210,negated_conjecture,
    ( ~ c3_1(a2029)
    | ~ hskp50 )).

cnf(clause211,negated_conjecture,
    ( ~ c1_1(a2028)
    | ~ hskp49 )).

cnf(clause212,negated_conjecture,
    ( ~ c3_1(a2026)
    | ~ hskp47 )).

cnf(clause213,negated_conjecture,
    ( ~ c2_1(a2025)
    | ~ hskp46 )).

cnf(clause214,negated_conjecture,
    ( ~ c0_1(a2022)
    | ~ hskp45 )).

cnf(clause215,negated_conjecture,
    ( ~ c1_1(a2018)
    | ~ hskp44 )).

cnf(clause216,negated_conjecture,
    ( ~ c1_1(a2017)
    | ~ hskp43 )).

cnf(clause217,negated_conjecture,
    ( ~ c0_1(a2017)
    | ~ hskp43 )).

cnf(clause218,negated_conjecture,
    ( ~ c0_1(a2010)
    | ~ hskp42 )).

cnf(clause219,negated_conjecture,
    ( ~ c1_1(a2005)
    | ~ hskp40 )).

cnf(clause220,negated_conjecture,
    ( ~ c3_1(a2005)
    | ~ hskp40 )).

cnf(clause221,negated_conjecture,
    ( ~ c1_1(a2003)
    | ~ hskp38 )).

cnf(clause222,negated_conjecture,
    ( ~ c2_1(a2003)
    | ~ hskp38 )).

cnf(clause223,negated_conjecture,
    ( ~ c0_1(a2002)
    | ~ hskp37 )).

cnf(clause224,negated_conjecture,
    ( ~ c2_1(a1997)
    | ~ hskp36 )).

cnf(clause225,negated_conjecture,
    ( ~ c3_1(a1997)
    | ~ hskp36 )).

cnf(clause226,negated_conjecture,
    ( ~ c3_1(a1995)
    | ~ hskp34 )).

cnf(clause227,negated_conjecture,
    ( ~ c2_1(a2083)
    | ~ hskp32 )).

cnf(clause228,negated_conjecture,
    ( ~ c3_1(a2083)
    | ~ hskp32 )).

cnf(clause229,negated_conjecture,
    ( ~ c1_1(a2083)
    | ~ hskp32 )).

cnf(clause230,negated_conjecture,
    ( ~ c1_1(a2081)
    | ~ hskp31 )).

cnf(clause231,negated_conjecture,
    ( ~ c3_1(a2081)
    | ~ hskp31 )).

cnf(clause232,negated_conjecture,
    ( ~ c2_1(a2081)
    | ~ hskp31 )).

cnf(clause233,negated_conjecture,
    ( ~ c1_1(a2080)
    | ~ hskp30 )).

cnf(clause234,negated_conjecture,
    ( ~ c0_1(a2080)
    | ~ hskp30 )).

cnf(clause235,negated_conjecture,
    ( ~ c2_1(a2080)
    | ~ hskp30 )).

cnf(clause236,negated_conjecture,
    ( ~ c1_1(a2079)
    | ~ hskp29 )).

cnf(clause237,negated_conjecture,
    ( ~ c0_1(a2069)
    | ~ hskp28 )).

cnf(clause238,negated_conjecture,
    ( ~ c2_1(a2068)
    | ~ hskp27 )).

cnf(clause239,negated_conjecture,
    ( ~ c0_1(a2065)
    | ~ hskp26 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(a2062)
    | ~ hskp25 )).

cnf(clause241,negated_conjecture,
    ( ~ c1_1(a2062)
    | ~ hskp25 )).

cnf(clause242,negated_conjecture,
    ( ~ c2_1(a2062)
    | ~ hskp25 )).

cnf(clause243,negated_conjecture,
    ( ~ c3_1(a2057)
    | ~ hskp24 )).

cnf(clause244,negated_conjecture,
    ( ~ c0_1(a2057)
    | ~ hskp24 )).

cnf(clause245,negated_conjecture,
    ( ~ c2_1(a2050)
    | ~ hskp23 )).

cnf(clause246,negated_conjecture,
    ( ~ c0_1(a2050)
    | ~ hskp23 )).

cnf(clause247,negated_conjecture,
    ( ~ c3_1(a2050)
    | ~ hskp23 )).

cnf(clause248,negated_conjecture,
    ( ~ c0_1(a2045)
    | ~ hskp22 )).

cnf(clause249,negated_conjecture,
    ( ~ c3_1(a2045)
    | ~ hskp22 )).

cnf(clause250,negated_conjecture,
    ( ~ c1_1(a2044)
    | ~ hskp21 )).

cnf(clause251,negated_conjecture,
    ( ~ c0_1(a2044)
    | ~ hskp21 )).

cnf(clause252,negated_conjecture,
    ( ~ c0_1(a2041)
    | ~ hskp20 )).

cnf(clause253,negated_conjecture,
    ( ~ c3_1(a2038)
    | ~ hskp19 )).

cnf(clause254,negated_conjecture,
    ( ~ c1_1(a2036)
    | ~ hskp18 )).

cnf(clause255,negated_conjecture,
    ( ~ c2_1(a2034)
    | ~ hskp17 )).

cnf(clause256,negated_conjecture,
    ( ~ c1_1(a2034)
    | ~ hskp17 )).

cnf(clause257,negated_conjecture,
    ( ~ c0_1(a2034)
    | ~ hskp17 )).

cnf(clause258,negated_conjecture,
    ( ~ c1_1(a2032)
    | ~ hskp16 )).

cnf(clause259,negated_conjecture,
    ( ~ c2_1(a2032)
    | ~ hskp16 )).

cnf(clause260,negated_conjecture,
    ( ~ c2_1(a2031)
    | ~ hskp15 )).

cnf(clause261,negated_conjecture,
    ( ~ c3_1(a2031)
    | ~ hskp15 )).

cnf(clause262,negated_conjecture,
    ( ~ c0_1(a2031)
    | ~ hskp15 )).

cnf(clause263,negated_conjecture,
    ( ~ c3_1(a2023)
    | ~ hskp14 )).

cnf(clause264,negated_conjecture,
    ( ~ c3_1(a2020)
    | ~ hskp13 )).

cnf(clause265,negated_conjecture,
    ( ~ c2_1(a2020)
    | ~ hskp13 )).

cnf(clause266,negated_conjecture,
    ( ~ c1_1(a2019)
    | ~ hskp12 )).

cnf(clause267,negated_conjecture,
    ( ~ c2_1(a2019)
    | ~ hskp12 )).

cnf(clause268,negated_conjecture,
    ( ~ c0_1(a2019)
    | ~ hskp12 )).

cnf(clause269,negated_conjecture,
    ( ~ c1_1(a2016)
    | ~ hskp11 )).

cnf(clause270,negated_conjecture,
    ( ~ c0_1(a2015)
    | ~ hskp10 )).

cnf(clause271,negated_conjecture,
    ( ~ c3_1(a2014)
    | ~ hskp9 )).

cnf(clause272,negated_conjecture,
    ( ~ c2_1(a2014)
    | ~ hskp9 )).

cnf(clause273,negated_conjecture,
    ( ~ c0_1(a2014)
    | ~ hskp9 )).

cnf(clause274,negated_conjecture,
    ( ~ c3_1(a2013)
    | ~ hskp8 )).

cnf(clause275,negated_conjecture,
    ( ~ c0_1(a2013)
    | ~ hskp8 )).

cnf(clause276,negated_conjecture,
    ( ~ c1_1(a2013)
    | ~ hskp8 )).

cnf(clause277,negated_conjecture,
    ( ~ c3_1(a2011)
    | ~ hskp7 )).

cnf(clause278,negated_conjecture,
    ( ~ c2_1(a2011)
    | ~ hskp7 )).

cnf(clause279,negated_conjecture,
    ( ~ c0_1(a2009)
    | ~ hskp6 )).

cnf(clause280,negated_conjecture,
    ( ~ c1_1(a2009)
    | ~ hskp6 )).

cnf(clause281,negated_conjecture,
    ( ~ c1_1(a2006)
    | ~ hskp5 )).

cnf(clause282,negated_conjecture,
    ( ~ c0_1(a2006)
    | ~ hskp5 )).

cnf(clause283,negated_conjecture,
    ( ~ c3_1(a2001)
    | ~ hskp4 )).

cnf(clause284,negated_conjecture,
    ( ~ c2_1(a2001)
    | ~ hskp4 )).

cnf(clause285,negated_conjecture,
    ( ~ c1_1(a2001)
    | ~ hskp4 )).

cnf(clause286,negated_conjecture,
    ( ~ c3_1(a2000)
    | ~ hskp3 )).

cnf(clause287,negated_conjecture,
    ( ~ c0_1(a2000)
    | ~ hskp3 )).

cnf(clause288,negated_conjecture,
    ( ~ c2_1(a1999)
    | ~ hskp2 )).

cnf(clause289,negated_conjecture,
    ( ~ c3_1(a1999)
    | ~ hskp2 )).

cnf(clause290,negated_conjecture,
    ( ~ c1_1(a1998)
    | ~ hskp1 )).

cnf(clause291,negated_conjecture,
    ( ~ c1_1(a1994)
    | ~ hskp0 )).

cnf(clause292,negated_conjecture,
    ( ~ c3_1(a1994)
    | ~ hskp0 )).

cnf(clause293,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c2_1(U)
    | hskp41
    | hskp37 )).

cnf(clause294,negated_conjecture,
    ( ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | c0_1(U)
    | hskp2
    | hskp64 )).

cnf(clause295,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | c3_1(U)
    | hskp31
    | hskp47 )).

cnf(clause296,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | hskp34
    | hskp35 )).

cnf(clause297,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | hskp4
    | hskp37 )).

cnf(clause298,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | hskp40
    | hskp5 )).

cnf(clause299,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp51
    | hskp15 )).

cnf(clause300,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | hskp16
    | hskp52 )).

cnf(clause301,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | hskp60
    | hskp61 )).

cnf(clause302,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp62
    | hskp63 )).

cnf(clause303,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp25
    | hskp65 )).

cnf(clause304,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp70
    | hskp29 )).

cnf(clause305,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp36
    | hskp1 )).

cnf(clause306,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp44
    | hskp12 )).

cnf(clause307,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp5
    | hskp46 )).

cnf(clause308,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp43
    | hskp48 )).

cnf(clause309,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp21
    | hskp22 )).

cnf(clause310,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp33
    | hskp59 )).

cnf(clause311,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp67
    | hskp10 )).

cnf(clause312,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp48
    | hskp54 )).

cnf(clause313,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp32
    | hskp10 )).

cnf(clause314,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | hskp2
    | hskp8 )).

cnf(clause315,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | c1_1(V)
    | c0_1(V)
    | c2_1(V)
    | hskp7 )).

cnf(clause316,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | c2_1(V)
    | c1_1(V)
    | hskp14 )).

cnf(clause317,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | c3_1(V)
    | c1_1(V)
    | hskp20 )).

cnf(clause318,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | ~ c3_1(U)
    | c0_1(V)
    | c3_1(V)
    | c1_1(V)
    | c0_1(U)
    | hskp3 )).

cnf(clause319,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c2_1(V)
    | c0_1(V)
    | hskp11 )).

cnf(clause320,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(U)
    | c0_1(U)
    | c0_1(V)
    | c2_1(V)
    | hskp43 )).

cnf(clause321,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c1_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp47 )).

cnf(clause322,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(V)
    | c0_1(V)
    | c1_1(V)
    | hskp66 )).

cnf(clause323,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(U)
    | c1_1(V)
    | c0_1(V)
    | hskp33 )).

cnf(clause324,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c3_1(U)
    | c0_1(U)
    | c1_1(V)
    | hskp2 )).

cnf(clause325,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c0_1(U)
    | c1_1(V)
    | hskp38 )).

cnf(clause326,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(V)
    | c0_1(V)
    | hskp39 )).

cnf(clause327,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c1_1(U)
    | c3_1(U)
    | c1_1(V)
    | hskp6 )).

cnf(clause328,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c2_1(U)
    | c3_1(V)
    | c0_1(V)
    | hskp9 )).

cnf(clause329,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | c3_1(U)
    | c1_1(U)
    | c2_1(V)
    | hskp54 )).

cnf(clause330,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(U)
    | c3_1(V)
    | c2_1(V)
    | hskp27 )).

cnf(clause331,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(U)
    | c3_1(V)
    | c1_1(V)
    | hskp28 )).

cnf(clause332,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c3_1(U)
    | c0_1(V)
    | hskp20 )).

cnf(clause333,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c2_1(U)
    | c3_1(V)
    | hskp10 )).

cnf(clause334,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c3_1(V)
    | ~ c1_1(V)
    | ~ c0_1(V)
    | ~ ndr1_0
    | ~ c1_1(U)
    | c2_1(U) )).

cnf(clause335,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp42 )).

cnf(clause336,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c2_1(V)
    | c1_1(U)
    | hskp42 )).

cnf(clause337,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c0_1(V)
    | hskp56 )).

cnf(clause338,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c2_1(U)
    | hskp24 )).

cnf(clause339,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c3_1(U)
    | hskp30 )).

cnf(clause340,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | ~ c3_1(V)
    | hskp0 )).

cnf(clause341,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c0_1(U)
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c1_1(W)
    | c3_1(W)
    | c2_1(W)
    | c1_1(U)
    | c3_1(V) )).

cnf(clause342,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c2_1(V)
    | ~ c1_1(W)
    | ~ c2_1(W)
    | c2_1(U)
    | c0_1(U)
    | c0_1(W) )).

cnf(clause343,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(W)
    | ~ c1_1(W)
    | ~ c0_1(W)
    | c2_1(U)
    | c0_1(V)
    | c3_1(V) )).

cnf(clause344,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c1_1(V)
    | ~ c0_1(W)
    | ~ c3_1(W)
    | c1_1(U)
    | c1_1(W) )).

%--------------------------------------------------------------------------
