%--------------------------------------------------------------------------
% File     : SYN542-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=6, R=1, L=54, K=3, D=1, P=0, Index=075
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-6-1-54-3-1-075.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.33 v6.1.0, 0.20 v6.0.0, 0.33 v5.5.0, 0.00 v5.4.0, 0.33 v5.3.0, 0.40 v5.2.0, 0.00 v5.0.0, 0.57 v4.1.0, 0.38 v4.0.1, 0.00 v3.7.0, 0.33 v3.5.0, 0.00 v3.4.0, 0.20 v3.3.0, 0.33 v3.2.0, 0.17 v3.1.0, 0.33 v2.7.0, 0.25 v2.6.0, 0.50 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  290 (  53 non-Horn;   0 unit; 281 RR)
%            Number of atoms       :  852 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   66 (  60 propositional; 0-1 arity)
%            Number of functors    :   59 (  59 constant; 0-0 arity)
%            Number of variables   :   85 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp58
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp57
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp56
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp55
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp54
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp53
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause55,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause56,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause57,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause59,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause60,negated_conjecture,
    ( hskp56
    | hskp40
    | hskp41 )).

cnf(clause61,negated_conjecture,
    ( hskp57
    | hskp58
    | hskp7 )).

cnf(clause62,negated_conjecture,
    ( hskp42
    | hskp43
    | hskp44 )).

cnf(clause63,negated_conjecture,
    ( hskp33
    | hskp34
    | hskp45 )).

cnf(clause64,negated_conjecture,
    ( hskp17
    | hskp46
    | hskp9 )).

cnf(clause65,negated_conjecture,
    ( hskp47
    | hskp48
    | hskp44 )).

cnf(clause66,negated_conjecture,
    ( ~ hskp58
    | c1_1(a64) )).

cnf(clause67,negated_conjecture,
    ( ~ hskp58
    | c2_1(a64) )).

cnf(clause68,negated_conjecture,
    ( ~ hskp58
    | c3_1(a64) )).

cnf(clause69,negated_conjecture,
    ( ~ hskp57
    | c0_1(a63) )).

cnf(clause70,negated_conjecture,
    ( ~ hskp57
    | c2_1(a63) )).

cnf(clause71,negated_conjecture,
    ( ~ hskp57
    | c3_1(a63) )).

cnf(clause72,negated_conjecture,
    ( ~ hskp56
    | c0_1(a60) )).

cnf(clause73,negated_conjecture,
    ( ~ hskp56
    | c1_1(a60) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp56
    | c2_1(a60) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp55
    | c2_1(a56) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp55
    | c3_1(a56) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp55
    | c4_1(a56) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp54
    | c1_1(a47) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp54
    | c2_1(a47) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp54
    | c4_1(a47) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp53
    | c0_1(a44) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp53
    | c3_1(a44) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp53
    | c4_1(a44) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp52
    | c1_1(a42) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp52
    | c2_1(a42) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp52
    | c5_1(a42) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp51
    | c0_1(a40) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp51
    | c2_1(a40) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp51
    | c4_1(a40) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp50
    | c2_1(a4) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp50
    | c4_1(a4) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp50
    | c5_1(a4) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp49
    | c0_1(a2) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp49
    | c1_1(a2) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp49
    | c4_1(a2) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp48
    | c5_1(a76) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp47
    | c3_1(a75) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp47
    | c5_1(a75) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp46
    | c2_1(a73) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp45
    | c3_1(a71) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp45
    | c5_1(a71) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp43
    | c3_1(a67) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp42
    | c0_1(a66) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp42
    | c5_1(a66) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp41
    | c1_1(a62) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp41
    | c5_1(a62) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp40
    | c0_1(a61) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp38
    | c3_1(a54) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp37
    | c1_1(a51) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp37
    | c3_1(a51) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp35
    | c2_1(a49) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp34
    | c3_1(a46) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp34
    | c4_1(a46) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp33
    | c0_1(a45) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp30
    | c4_1(a36) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp30
    | c5_1(a36) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp29
    | c2_1(a35) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp29
    | c5_1(a35) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp28
    | c5_1(a34) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp27
    | c1_1(a33) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp27
    | c2_1(a33) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp26
    | c1_1(a32) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp26
    | c3_1(a32) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp25
    | c0_1(a31) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp25
    | c1_1(a31) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp23
    | c1_1(a29) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp22
    | c0_1(a28) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp20
    | c2_1(a26) )).

cnf(clause129,negated_conjecture,
    ( ~ hskp20
    | c5_1(a26) )).

cnf(clause130,negated_conjecture,
    ( ~ hskp19
    | c2_1(a25) )).

cnf(clause131,negated_conjecture,
    ( ~ hskp18
    | c3_1(a24) )).

cnf(clause132,negated_conjecture,
    ( ~ hskp18
    | c4_1(a24) )).

cnf(clause133,negated_conjecture,
    ( ~ hskp17
    | c2_1(a23) )).

cnf(clause134,negated_conjecture,
    ( ~ hskp17
    | c3_1(a23) )).

cnf(clause135,negated_conjecture,
    ( ~ hskp15
    | c4_1(a21) )).

cnf(clause136,negated_conjecture,
    ( ~ hskp14
    | c0_1(a20) )).

cnf(clause137,negated_conjecture,
    ( ~ hskp13
    | c5_1(a19) )).

cnf(clause138,negated_conjecture,
    ( ~ hskp11
    | c3_1(a15) )).

cnf(clause139,negated_conjecture,
    ( ~ hskp11
    | c4_1(a15) )).

cnf(clause140,negated_conjecture,
    ( ~ hskp10
    | c0_1(a14) )).

cnf(clause141,negated_conjecture,
    ( ~ hskp10
    | c2_1(a14) )).

cnf(clause142,negated_conjecture,
    ( ~ hskp9
    | c2_1(a12) )).

cnf(clause143,negated_conjecture,
    ( ~ hskp8
    | c1_1(a11) )).

cnf(clause144,negated_conjecture,
    ( ~ hskp8
    | c3_1(a11) )).

cnf(clause145,negated_conjecture,
    ( ~ hskp6
    | c1_1(a9) )).

cnf(clause146,negated_conjecture,
    ( ~ hskp5
    | c1_1(a8) )).

cnf(clause147,negated_conjecture,
    ( ~ hskp5
    | c4_1(a8) )).

cnf(clause148,negated_conjecture,
    ( ~ hskp4
    | c2_1(a7) )).

cnf(clause149,negated_conjecture,
    ( ~ hskp3
    | c0_1(a6) )).

cnf(clause150,negated_conjecture,
    ( ~ hskp3
    | c3_1(a6) )).

cnf(clause151,negated_conjecture,
    ( ~ hskp2
    | c1_1(a5) )).

cnf(clause152,negated_conjecture,
    ( ~ hskp0
    | c2_1(a1) )).

cnf(clause153,negated_conjecture,
    ( ~ hskp0
    | c4_1(a1) )).

cnf(clause154,negated_conjecture,
    ( ~ c1_1(a76)
    | ~ hskp48 )).

cnf(clause155,negated_conjecture,
    ( ~ c3_1(a76)
    | ~ hskp48 )).

cnf(clause156,negated_conjecture,
    ( ~ c1_1(a75)
    | ~ hskp47 )).

cnf(clause157,negated_conjecture,
    ( ~ c0_1(a73)
    | ~ hskp46 )).

cnf(clause158,negated_conjecture,
    ( ~ c1_1(a73)
    | ~ hskp46 )).

cnf(clause159,negated_conjecture,
    ( ~ c0_1(a71)
    | ~ hskp45 )).

cnf(clause160,negated_conjecture,
    ( ~ c3_1(a68)
    | ~ hskp44 )).

cnf(clause161,negated_conjecture,
    ( ~ c4_1(a68)
    | ~ hskp44 )).

cnf(clause162,negated_conjecture,
    ( ~ c5_1(a68)
    | ~ hskp44 )).

cnf(clause163,negated_conjecture,
    ( ~ c2_1(a67)
    | ~ hskp43 )).

cnf(clause164,negated_conjecture,
    ( ~ c5_1(a67)
    | ~ hskp43 )).

cnf(clause165,negated_conjecture,
    ( ~ c1_1(a66)
    | ~ hskp42 )).

cnf(clause166,negated_conjecture,
    ( ~ c4_1(a62)
    | ~ hskp41 )).

cnf(clause167,negated_conjecture,
    ( ~ c4_1(a61)
    | ~ hskp40 )).

cnf(clause168,negated_conjecture,
    ( ~ c5_1(a61)
    | ~ hskp40 )).

cnf(clause169,negated_conjecture,
    ( ~ c0_1(a59)
    | ~ hskp39 )).

cnf(clause170,negated_conjecture,
    ( ~ c2_1(a59)
    | ~ hskp39 )).

cnf(clause171,negated_conjecture,
    ( ~ c5_1(a59)
    | ~ hskp39 )).

cnf(clause172,negated_conjecture,
    ( ~ c0_1(a54)
    | ~ hskp38 )).

cnf(clause173,negated_conjecture,
    ( ~ c1_1(a54)
    | ~ hskp38 )).

cnf(clause174,negated_conjecture,
    ( ~ c5_1(a51)
    | ~ hskp37 )).

cnf(clause175,negated_conjecture,
    ( ~ c1_1(a50)
    | ~ hskp36 )).

cnf(clause176,negated_conjecture,
    ( ~ c3_1(a50)
    | ~ hskp36 )).

cnf(clause177,negated_conjecture,
    ( ~ c4_1(a50)
    | ~ hskp36 )).

cnf(clause178,negated_conjecture,
    ( ~ c0_1(a49)
    | ~ hskp35 )).

cnf(clause179,negated_conjecture,
    ( ~ c4_1(a49)
    | ~ hskp35 )).

cnf(clause180,negated_conjecture,
    ( ~ c2_1(a46)
    | ~ hskp34 )).

cnf(clause181,negated_conjecture,
    ( ~ c2_1(a45)
    | ~ hskp33 )).

cnf(clause182,negated_conjecture,
    ( ~ c3_1(a45)
    | ~ hskp33 )).

cnf(clause183,negated_conjecture,
    ( ~ c1_1(a41)
    | ~ hskp32 )).

cnf(clause184,negated_conjecture,
    ( ~ c3_1(a41)
    | ~ hskp32 )).

cnf(clause185,negated_conjecture,
    ( ~ c5_1(a41)
    | ~ hskp32 )).

cnf(clause186,negated_conjecture,
    ( ~ c1_1(a37)
    | ~ hskp31 )).

cnf(clause187,negated_conjecture,
    ( ~ c2_1(a37)
    | ~ hskp31 )).

cnf(clause188,negated_conjecture,
    ( ~ c3_1(a37)
    | ~ hskp31 )).

cnf(clause189,negated_conjecture,
    ( ~ c2_1(a36)
    | ~ hskp30 )).

cnf(clause190,negated_conjecture,
    ( ~ c3_1(a35)
    | ~ hskp29 )).

cnf(clause191,negated_conjecture,
    ( ~ c0_1(a34)
    | ~ hskp28 )).

cnf(clause192,negated_conjecture,
    ( ~ c4_1(a34)
    | ~ hskp28 )).

cnf(clause193,negated_conjecture,
    ( ~ c0_1(a33)
    | ~ hskp27 )).

cnf(clause194,negated_conjecture,
    ( ~ c0_1(a32)
    | ~ hskp26 )).

cnf(clause195,negated_conjecture,
    ( ~ c4_1(a31)
    | ~ hskp25 )).

cnf(clause196,negated_conjecture,
    ( ~ c0_1(a30)
    | ~ hskp24 )).

cnf(clause197,negated_conjecture,
    ( ~ c2_1(a30)
    | ~ hskp24 )).

cnf(clause198,negated_conjecture,
    ( ~ c4_1(a30)
    | ~ hskp24 )).

cnf(clause199,negated_conjecture,
    ( ~ c4_1(a29)
    | ~ hskp23 )).

cnf(clause200,negated_conjecture,
    ( ~ c5_1(a29)
    | ~ hskp23 )).

cnf(clause201,negated_conjecture,
    ( ~ c1_1(a28)
    | ~ hskp22 )).

cnf(clause202,negated_conjecture,
    ( ~ c5_1(a28)
    | ~ hskp22 )).

cnf(clause203,negated_conjecture,
    ( ~ c0_1(a27)
    | ~ hskp21 )).

cnf(clause204,negated_conjecture,
    ( ~ c1_1(a27)
    | ~ hskp21 )).

cnf(clause205,negated_conjecture,
    ( ~ c4_1(a27)
    | ~ hskp21 )).

cnf(clause206,negated_conjecture,
    ( ~ c0_1(a26)
    | ~ hskp20 )).

cnf(clause207,negated_conjecture,
    ( ~ c1_1(a25)
    | ~ hskp19 )).

cnf(clause208,negated_conjecture,
    ( ~ c4_1(a25)
    | ~ hskp19 )).

cnf(clause209,negated_conjecture,
    ( ~ c0_1(a24)
    | ~ hskp18 )).

cnf(clause210,negated_conjecture,
    ( ~ c1_1(a23)
    | ~ hskp17 )).

cnf(clause211,negated_conjecture,
    ( ~ c0_1(a22)
    | ~ hskp16 )).

cnf(clause212,negated_conjecture,
    ( ~ c4_1(a22)
    | ~ hskp16 )).

cnf(clause213,negated_conjecture,
    ( ~ c5_1(a22)
    | ~ hskp16 )).

cnf(clause214,negated_conjecture,
    ( ~ c2_1(a21)
    | ~ hskp15 )).

cnf(clause215,negated_conjecture,
    ( ~ c5_1(a21)
    | ~ hskp15 )).

cnf(clause216,negated_conjecture,
    ( ~ c2_1(a20)
    | ~ hskp14 )).

cnf(clause217,negated_conjecture,
    ( ~ c5_1(a20)
    | ~ hskp14 )).

cnf(clause218,negated_conjecture,
    ( ~ c0_1(a19)
    | ~ hskp13 )).

cnf(clause219,negated_conjecture,
    ( ~ c3_1(a19)
    | ~ hskp13 )).

cnf(clause220,negated_conjecture,
    ( ~ c0_1(a17)
    | ~ hskp12 )).

cnf(clause221,negated_conjecture,
    ( ~ c1_1(a17)
    | ~ hskp12 )).

cnf(clause222,negated_conjecture,
    ( ~ c2_1(a17)
    | ~ hskp12 )).

cnf(clause223,negated_conjecture,
    ( ~ c1_1(a15)
    | ~ hskp11 )).

cnf(clause224,negated_conjecture,
    ( ~ c4_1(a14)
    | ~ hskp10 )).

cnf(clause225,negated_conjecture,
    ( ~ c1_1(a12)
    | ~ hskp9 )).

cnf(clause226,negated_conjecture,
    ( ~ c3_1(a12)
    | ~ hskp9 )).

cnf(clause227,negated_conjecture,
    ( ~ c4_1(a11)
    | ~ hskp8 )).

cnf(clause228,negated_conjecture,
    ( ~ c2_1(a10)
    | ~ hskp7 )).

cnf(clause229,negated_conjecture,
    ( ~ c3_1(a10)
    | ~ hskp7 )).

cnf(clause230,negated_conjecture,
    ( ~ c4_1(a10)
    | ~ hskp7 )).

cnf(clause231,negated_conjecture,
    ( ~ c2_1(a9)
    | ~ hskp6 )).

cnf(clause232,negated_conjecture,
    ( ~ c3_1(a9)
    | ~ hskp6 )).

cnf(clause233,negated_conjecture,
    ( ~ c0_1(a8)
    | ~ hskp5 )).

cnf(clause234,negated_conjecture,
    ( ~ c3_1(a7)
    | ~ hskp4 )).

cnf(clause235,negated_conjecture,
    ( ~ c4_1(a7)
    | ~ hskp4 )).

cnf(clause236,negated_conjecture,
    ( ~ c5_1(a6)
    | ~ hskp3 )).

cnf(clause237,negated_conjecture,
    ( ~ c0_1(a5)
    | ~ hskp2 )).

cnf(clause238,negated_conjecture,
    ( ~ c2_1(a5)
    | ~ hskp2 )).

cnf(clause239,negated_conjecture,
    ( ~ c0_1(a3)
    | ~ hskp1 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(a3)
    | ~ hskp1 )).

cnf(clause241,negated_conjecture,
    ( ~ c5_1(a3)
    | ~ hskp1 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(a1)
    | ~ hskp0 )).

cnf(clause243,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c4_1(U)
    | c5_1(U)
    | hskp3
    | hskp4 )).

cnf(clause244,negated_conjecture,
    ( ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | c4_1(U)
    | hskp14
    | hskp15 )).

cnf(clause245,negated_conjecture,
    ( ~ c5_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c2_1(U)
    | hskp4
    | hskp13 )).

cnf(clause246,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c4_1(U)
    | hskp17
    | hskp18 )).

cnf(clause247,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c4_1(U)
    | hskp27
    | hskp28 )).

cnf(clause248,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c4_1(U)
    | hskp27
    | hskp0 )).

cnf(clause249,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c4_1(U)
    | hskp51
    | hskp32 )).

cnf(clause250,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | c5_1(U)
    | hskp33
    | hskp34 )).

cnf(clause251,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp6
    | hskp7 )).

cnf(clause252,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp8
    | hskp9 )).

cnf(clause253,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp10
    | hskp11 )).

cnf(clause254,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp29
    | hskp30 )).

cnf(clause255,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp52
    | hskp24 )).

cnf(clause256,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | hskp54
    | hskp8 )).

cnf(clause257,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c4_1(U)
    | hskp35
    | hskp36 )).

cnf(clause258,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | hskp34
    | hskp38 )).

cnf(clause259,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp37
    | hskp55 )).

cnf(clause260,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | hskp20
    | hskp39 )).

cnf(clause261,negated_conjecture,
    ( ~ ndr1_0
    | ~ c4_1(U)
    | c0_1(V)
    | c2_1(V)
    | c3_1(V)
    | c0_1(U)
    | c1_1(U)
    | hskp0 )).

cnf(clause262,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c0_1(V)
    | c3_1(V)
    | c5_1(V)
    | hskp50 )).

cnf(clause263,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | c4_1(V)
    | hskp5 )).

cnf(clause264,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c5_1(U)
    | c1_1(V)
    | c2_1(V)
    | c4_1(V)
    | hskp0 )).

cnf(clause265,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | c1_1(U)
    | c5_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp16 )).

cnf(clause266,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c5_1(V)
    | c2_1(U)
    | c4_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp25 )).

cnf(clause267,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | c0_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp49 )).

cnf(clause268,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(U)
    | c1_1(V)
    | c5_1(V)
    | hskp20 )).

cnf(clause269,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c4_1(V)
    | c3_1(U)
    | c4_1(U)
    | c1_1(V)
    | hskp24 )).

cnf(clause270,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c5_1(V)
    | c2_1(U)
    | c2_1(V)
    | c3_1(V)
    | hskp26 )).

cnf(clause271,negated_conjecture,
    ( ~ c4_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c4_1(V)
    | c3_1(U)
    | c5_1(U)
    | c2_1(V)
    | hskp31 )).

cnf(clause272,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c4_1(U)
    | c4_1(V)
    | c5_1(V)
    | hskp53 )).

cnf(clause273,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c5_1(V)
    | c0_1(V)
    | c2_1(V)
    | hskp1 )).

cnf(clause274,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp2 )).

cnf(clause275,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c5_1(V)
    | c1_1(U)
    | c0_1(V)
    | hskp4 )).

cnf(clause276,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c4_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp12 )).

cnf(clause277,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(V)
    | c4_1(V)
    | hskp19 )).

cnf(clause278,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c4_1(U)
    | c1_1(V)
    | hskp23 )).

cnf(clause279,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c5_1(U)
    | c4_1(V)
    | hskp37 )).

cnf(clause280,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c4_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c5_1(U)
    | c5_1(V)
    | hskp22 )).

cnf(clause281,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c5_1(U)
    | c1_1(V)
    | c3_1(V)
    | c4_1(V)
    | c0_1(W)
    | c2_1(W)
    | c4_1(W) )).

cnf(clause282,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c1_1(V)
    | hskp21 )).

cnf(clause283,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c4_1(V)
    | c1_1(V)
    | hskp22 )).

cnf(clause284,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c1_1(U)
    | c4_1(U)
    | c0_1(V)
    | c4_1(V)
    | c0_1(W)
    | c2_1(W)
    | c5_1(W) )).

cnf(clause285,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c4_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c4_1(V)
    | ~ c5_1(V)
    | hskp8 )).

cnf(clause286,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(W)
    | c4_1(U)
    | c4_1(V)
    | c5_1(V)
    | c2_1(W)
    | c4_1(W) )).

cnf(clause287,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c4_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c4_1(V)
    | c3_1(V)
    | c0_1(W)
    | c1_1(W)
    | c2_1(W) )).

cnf(clause288,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c4_1(V)
    | ~ c2_1(W)
    | c3_1(U)
    | c0_1(V)
    | c0_1(W)
    | c5_1(W) )).

cnf(clause289,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(W)
    | ~ c2_1(W)
    | c5_1(U)
    | c4_1(V)
    | c5_1(V)
    | c0_1(W) )).

cnf(clause290,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c5_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c5_1(V)
    | ~ c4_1(W)
    | c3_1(U)
    | c2_1(V)
    | c1_1(W)
    | c5_1(W) )).

%--------------------------------------------------------------------------
