%------------------------------------------------------------------------------
% File     : HWV078-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Hardware Verification
% Problem  : QBFLib problem from the FPGA_PLB_FIT_SLOW family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : lut4_2_f2-shuffled [Sei12]

% Status   : Unsatisfiable
% Rating   : 0.88 v6.0.0
% Syntax   : Number of clauses     :  449 ( 432 non-Horn;   3 unit; 331 RR)
%            Number of atoms       : 2808 (   1 equality)
%            Maximal clause size   :    8 (   6 average)
%            Number of predicates  :   65 (  53 propositional; 0-7 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 2044 ( 588 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_2,axiom,
    ( p(X5)
    | esk33_0
    | esk34_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk35_0 )).

cnf(i_0_3,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_4,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_5,axiom,
    ( ~ esk46_0
    | ~ esk49_0
    | esk47_0
    | ~ esk45_0
    | ~ esk48_0
    | esk50_0 )).

cnf(i_0_6,axiom,
    ( esk40_0
    | esk53_0
    | esk41_0
    | esk52_0
    | esk39_0
    | esk51_0 )).

cnf(i_0_7,axiom,
    ( p(X2)
    | p(X7)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_8,axiom,
    ( ~ esk33_0
    | esk34_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X6)
    | ~ esk35_0 )).

cnf(i_0_9,axiom,
    ( esk46_0
    | esk43_0
    | ~ esk45_0
    | esk44_0
    | esk47_0
    | ~ esk42_0 )).

cnf(i_0_10,axiom,
    ( ~ esk46_0
    | p(X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk45_0
    | ~ esk47_0 )).

cnf(i_0_11,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_12,axiom,
    ( ~ esk40_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk39_0
    | p(X7)
    | ~ esk41_0 )).

cnf(i_0_13,axiom,
    ( ~ p(X5)
    | esk49_0
    | ~ esk50_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk48_0 )).

cnf(i_0_14,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X7)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3) )).

cnf(i_0_15,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | p(X3)
    | p(X6) )).

cnf(i_0_16,axiom,
    ( ~ esk53_0
    | ~ esk51_0
    | ~ esk52_0 )).

cnf(i_0_17,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk11_0
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_18,axiom,
    ( esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk52_0
    | esk51_0
    | ~ p(X5)
    | ~ esk53_0 )).

cnf(i_0_19,axiom,
    ( ~ esk48_0
    | ~ esk33_0
    | esk35_0
    | esk34_0
    | esk49_0
    | esk50_0 )).

cnf(i_0_20,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X6)
    | p(X4)
    | p(X2) )).

cnf(i_0_21,axiom,
    ( esk42_0
    | esk46_0
    | esk47_0
    | esk45_0
    | esk43_0
    | esk44_0 )).

cnf(i_0_22,axiom,
    ( ~ esk43_0
    | esk44_0
    | esk42_0
    | ~ p(X3)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_23,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk21_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_24,axiom,
    ( esk34_0
    | esk51_0
    | esk52_0
    | esk53_0
    | esk33_0
    | esk35_0 )).

cnf(i_0_25,axiom,
    ( ~ p(X6)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk50_0
    | ~ esk48_0
    | esk49_0 )).

cnf(i_0_26,axiom,
    ( esk35_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk39_0
    | esk41_0
    | ~ esk40_0 )).

cnf(i_0_27,axiom,
    ( p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_28,axiom,
    ( ~ esk35_0
    | ~ esk34_0
    | ~ esk33_0 )).

cnf(i_0_29,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3)
    | p(X2) )).

cnf(i_0_30,axiom,
    ( esk33_0
    | esk40_0
    | esk34_0
    | ~ esk35_0
    | ~ esk41_0
    | esk39_0 )).

cnf(i_0_31,axiom,
    ( p(X1)
    | esk49_0
    | esk48_0
    | esk50_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_32,axiom,
    ( esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk24_0 )).

cnf(i_0_33,axiom,
    ( ~ esk52_0
    | ~ esk46_0
    | ~ esk53_0
    | esk51_0
    | esk45_0
    | ~ esk47_0 )).

cnf(i_0_34,axiom,
    ( esk35_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk33_0
    | ~ esk34_0
    | p(X4) )).

cnf(i_0_35,axiom,
    ( esk9_0
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_36,axiom,
    ( ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_37,axiom,
    ( ~ p(X2)
    | ~ esk45_0
    | esk47_0
    | esk46_0
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_38,axiom,
    ( esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk17_0
    | esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_39,axiom,
    ( ~ esk52_0
    | ~ esk51_0
    | ~ esk37_0
    | esk38_0
    | ~ esk36_0
    | esk53_0 )).

cnf(i_0_40,axiom,
    ( ~ esk49_0
    | ~ esk50_0
    | ~ esk48_0 )).

cnf(i_0_41,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_42,axiom,
    ( esk42_0
    | esk46_0
    | esk43_0
    | ~ esk47_0
    | ~ esk44_0
    | esk45_0 )).

cnf(i_0_43,axiom,
    ( esk14_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_44,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_45,axiom,
    ( ~ esk53_0
    | ~ esk34_0
    | esk33_0
    | ~ esk35_0
    | esk51_0
    | ~ esk52_0 )).

cnf(i_0_46,axiom,
    ( esk36_0
    | esk41_0
    | esk38_0
    | ~ esk40_0
    | esk39_0
    | ~ esk37_0 )).

cnf(i_0_47,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_48,axiom,
    ( p(X2)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3) )).

cnf(i_0_49,axiom,
    ( esk42_0
    | ~ esk43_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk44_0
    | p(X3) )).

cnf(i_0_50,axiom,
    ( ~ esk49_0
    | esk48_0
    | ~ esk50_0
    | ~ esk44_0
    | esk42_0
    | ~ esk43_0 )).

cnf(i_0_51,axiom,
    ( ~ esk40_0
    | ~ esk46_0
    | esk47_0
    | esk45_0
    | esk41_0
    | esk39_0 )).

cnf(i_0_52,axiom,
    ( esk43_0
    | esk49_0
    | ~ esk48_0
    | ~ esk42_0
    | esk50_0
    | esk44_0 )).

cnf(i_0_53,axiom,
    ( esk40_0
    | ~ esk51_0
    | esk53_0
    | ~ esk39_0
    | esk41_0
    | esk52_0 )).

cnf(i_0_54,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_55,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk6_0 )).

cnf(i_0_56,axiom,
    ( ~ esk42_0
    | esk44_0
    | esk41_0
    | ~ esk40_0
    | ~ esk43_0
    | ~ esk39_0 )).

cnf(i_0_57,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3)
    | p(X2) )).

cnf(i_0_58,axiom,
    ( p(X3)
    | p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_59,axiom,
    ( ~ esk36_0
    | esk35_0
    | esk34_0
    | esk37_0
    | esk38_0
    | ~ esk33_0 )).

cnf(i_0_60,axiom,
    ( p(X5)
    | esk39_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk40_0
    | ~ esk41_0 )).

cnf(i_0_61,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk4_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_62,axiom,
    ( ~ esk5_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_63,axiom,
    ( esk40_0
    | esk41_0
    | esk48_0
    | esk49_0
    | esk39_0
    | esk50_0 )).

cnf(i_0_64,axiom,
    ( ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk15_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_65,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk25_0
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_66,axiom,
    ( esk49_0
    | esk50_0
    | ~ esk48_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2) )).

cnf(i_0_67,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5) )).

cnf(i_0_68,axiom,
    ( p(X5)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_69,axiom,
    ( esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk21_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_70,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk3_0 )).

cnf(i_0_71,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_72,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk41_0
    | esk39_0
    | esk40_0
    | ~ p(X1) )).

cnf(i_0_73,axiom,
    ( ~ esk52_0
    | ~ esk51_0
    | ~ esk34_0
    | esk53_0
    | esk35_0
    | ~ esk33_0 )).

cnf(i_0_74,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_75,axiom,
    ( p(X6)
    | p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_76,axiom,
    ( ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk28_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_77,axiom,
    ( esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk22_0
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_78,axiom,
    ( ~ esk49_0
    | p(X4)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk50_0
    | ~ esk48_0 )).

cnf(i_0_79,axiom,
    ( ~ esk34_0
    | esk39_0
    | ~ esk41_0
    | esk33_0
    | ~ esk40_0
    | ~ esk35_0 )).

cnf(i_0_80,axiom,
    ( esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk33_0
    | esk35_0
    | ~ p(X3)
    | ~ esk34_0 )).

cnf(i_0_81,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_82,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_83,axiom,
    ( esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk45_0
    | ~ p(X4)
    | ~ esk46_0
    | esk47_0 )).

cnf(i_0_84,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_85,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_86,axiom,
    ( p(X1)
    | p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_87,axiom,
    ( p(X1)
    | ~ p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_88,axiom,
    ( esk35_0
    | esk33_0
    | esk34_0
    | esk45_0
    | esk47_0
    | esk46_0 )).

cnf(i_0_89,axiom,
    ( ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | esk42_0
    | esk43_0
    | ~ esk44_0 )).

cnf(i_0_90,axiom,
    ( p(X6)
    | p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X7) )).

cnf(i_0_91,axiom,
    ( ~ esk35_0
    | esk52_0
    | ~ esk51_0
    | ~ esk53_0
    | ~ esk33_0
    | esk34_0 )).

cnf(i_0_92,axiom,
    ( ~ esk52_0
    | ~ esk37_0
    | esk36_0
    | esk51_0
    | ~ esk38_0
    | ~ esk53_0 )).

cnf(i_0_93,axiom,
    ( ~ esk51_0
    | ~ esk53_0
    | p(X6)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk52_0 )).

cnf(i_0_94,axiom,
    ( esk39_0
    | esk36_0
    | ~ esk38_0
    | ~ esk41_0
    | esk40_0
    | esk37_0 )).

cnf(i_0_95,axiom,
    ( esk46_0
    | ~ esk36_0
    | esk37_0
    | ~ esk45_0
    | esk47_0
    | esk38_0 )).

cnf(i_0_96,axiom,
    ( ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk29_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_97,axiom,
    ( ~ esk50_0
    | esk49_0
    | ~ esk41_0
    | esk48_0
    | esk39_0
    | esk40_0 )).

cnf(i_0_98,axiom,
    ( ~ esk29_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_99,axiom,
    ( esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk32_0
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_100,axiom,
    ( esk36_0
    | esk38_0
    | ~ esk49_0
    | ~ esk37_0
    | esk50_0
    | esk48_0 )).

cnf(i_0_101,axiom,
    ( ~ esk43_0
    | esk39_0
    | esk42_0
    | ~ esk40_0
    | ~ esk44_0
    | ~ esk41_0 )).

cnf(i_0_102,axiom,
    ( esk52_0
    | esk48_0
    | esk51_0
    | ~ esk50_0
    | esk49_0
    | ~ esk53_0 )).

cnf(i_0_103,axiom,
    ( ~ esk52_0
    | esk36_0
    | ~ esk37_0
    | esk53_0
    | esk38_0
    | esk51_0 )).

cnf(i_0_104,axiom,
    ( esk44_0
    | ~ esk43_0
    | ~ p(X4)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk42_0 )).

cnf(i_0_105,axiom,
    ( esk45_0
    | esk47_0
    | ~ p(X1)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk46_0 )).

cnf(i_0_106,axiom,
    ( esk46_0
    | esk49_0
    | ~ esk47_0
    | ~ esk45_0
    | ~ esk50_0
    | ~ esk48_0 )).

cnf(i_0_107,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk8_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_108,axiom,
    ( esk47_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk46_0
    | p(X1)
    | esk45_0 )).

cnf(i_0_109,axiom,
    ( esk42_0
    | esk39_0
    | ~ esk44_0
    | esk40_0
    | esk43_0
    | ~ esk41_0 )).

cnf(i_0_110,axiom,
    ( ~ p(X6)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_111,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_112,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3) )).

cnf(i_0_113,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_114,axiom,
    ( esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_115,axiom,
    ( esk51_0
    | esk53_0
    | ~ esk52_0
    | esk50_0
    | esk48_0
    | ~ esk49_0 )).

cnf(i_0_116,axiom,
    ( p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_117,axiom,
    ( ~ esk50_0
    | esk36_0
    | ~ esk37_0
    | esk48_0
    | ~ esk49_0
    | ~ esk38_0 )).

cnf(i_0_118,axiom,
    ( ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk30_0
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_119,axiom,
    ( esk50_0
    | esk49_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ esk48_0 )).

cnf(i_0_120,axiom,
    ( ~ esk53_0
    | ~ esk38_0
    | esk37_0
    | ~ esk51_0
    | esk52_0
    | ~ esk36_0 )).

cnf(i_0_121,axiom,
    ( esk7_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_122,axiom,
    ( esk37_0
    | esk52_0
    | ~ esk36_0
    | esk53_0
    | esk38_0
    | ~ esk51_0 )).

cnf(i_0_123,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X4)
    | p(X5)
    | p(X1) )).

cnf(i_0_124,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk44_0
    | esk42_0
    | ~ p(X7)
    | ~ esk43_0 )).

cnf(i_0_125,axiom,
    ( esk43_0
    | esk34_0
    | ~ esk33_0
    | esk35_0
    | ~ esk42_0
    | esk44_0 )).

cnf(i_0_126,axiom,
    ( ~ p(X7)
    | ~ esk50_0
    | esk48_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk49_0 )).

cnf(i_0_127,axiom,
    ( ~ esk37_0
    | ~ esk36_0
    | esk50_0
    | ~ esk49_0
    | ~ esk48_0
    | esk38_0 )).

cnf(i_0_128,axiom,
    ( ~ esk44_0
    | ~ esk42_0
    | esk43_0
    | p(X6)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_129,axiom,
    ( ~ esk20_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_130,axiom,
    ( ~ esk37_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk36_0
    | ~ esk38_0
    | ~ p(X7) )).

cnf(i_0_131,axiom,
    ( ~ esk37_0
    | ~ p(X3)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk36_0
    | esk38_0 )).

cnf(i_0_132,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_133,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk14_0
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_134,axiom,
    ( esk50_0
    | ~ esk48_0
    | ~ esk40_0
    | ~ esk39_0
    | esk41_0
    | ~ esk49_0 )).

cnf(i_0_135,axiom,
    ( esk53_0
    | esk51_0
    | esk44_0
    | ~ esk43_0
    | esk42_0
    | ~ esk52_0 )).

cnf(i_0_136,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_137,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk52_0
    | ~ esk51_0
    | esk53_0
    | p(X2) )).

cnf(i_0_138,axiom,
    ( ~ p(X1)
    | esk35_0
    | esk34_0
    | esk33_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_139,axiom,
    ( ~ esk39_0
    | esk40_0
    | esk43_0
    | ~ esk42_0
    | ~ esk44_0
    | ~ esk41_0 )).

cnf(i_0_140,axiom,
    ( ~ esk34_0
    | esk36_0
    | esk33_0
    | esk38_0
    | esk35_0
    | ~ esk37_0 )).

cnf(i_0_141,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_142,axiom,
    ( esk53_0
    | ~ esk39_0
    | ~ esk51_0
    | esk41_0
    | ~ esk40_0
    | ~ esk52_0 )).

cnf(i_0_143,axiom,
    ( ~ esk43_0
    | esk41_0
    | esk39_0
    | esk42_0
    | esk44_0
    | ~ esk40_0 )).

cnf(i_0_144,axiom,
    ( ~ esk33_0
    | esk52_0
    | esk53_0
    | ~ esk51_0
    | esk34_0
    | esk35_0 )).

cnf(i_0_145,axiom,
    ( ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk11_0 )).

cnf(i_0_146,axiom,
    ( ~ p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X5) )).

cnf(i_0_147,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_148,axiom,
    ( ~ esk33_0
    | esk46_0
    | ~ esk35_0
    | esk34_0
    | ~ esk45_0
    | ~ esk47_0 )).

cnf(i_0_149,axiom,
    ( ~ esk38_0
    | esk43_0
    | ~ esk42_0
    | esk37_0
    | ~ esk44_0
    | ~ esk36_0 )).

cnf(i_0_150,axiom,
    ( esk53_0
    | esk51_0
    | esk45_0
    | esk47_0
    | esk46_0
    | esk52_0 )).

cnf(i_0_151,axiom,
    ( ~ esk33_0
    | esk37_0
    | ~ esk35_0
    | ~ esk36_0
    | esk34_0
    | ~ esk38_0 )).

cnf(i_0_152,axiom,
    ( esk42_0
    | esk44_0
    | esk35_0
    | ~ esk43_0
    | esk33_0
    | ~ esk34_0 )).

cnf(i_0_153,axiom,
    ( ~ esk41_0
    | ~ esk47_0
    | esk39_0
    | esk45_0
    | ~ esk46_0
    | ~ esk40_0 )).

cnf(i_0_154,axiom,
    ( p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | p(X5)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_155,axiom,
    ( ~ esk45_0
    | ~ esk52_0
    | esk53_0
    | ~ esk46_0
    | ~ esk51_0
    | esk47_0 )).

cnf(i_0_156,axiom,
    ( esk40_0
    | ~ esk45_0
    | esk46_0
    | ~ esk39_0
    | esk47_0
    | esk41_0 )).

cnf(i_0_157,axiom,
    ( ~ esk42_0
    | esk37_0
    | ~ esk36_0
    | esk43_0
    | esk44_0
    | esk38_0 )).

cnf(i_0_158,axiom,
    ( ~ esk37_0
    | esk47_0
    | ~ esk46_0
    | esk38_0
    | esk45_0
    | esk36_0 )).

cnf(i_0_159,axiom,
    ( esk36_0
    | esk49_0
    | esk37_0
    | ~ esk38_0
    | ~ esk50_0
    | esk48_0 )).

cnf(i_0_160,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_161,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_162,axiom,
    ( esk38_0
    | esk44_0
    | esk36_0
    | esk37_0
    | esk42_0
    | esk43_0 )).

cnf(i_0_163,axiom,
    ( esk53_0
    | esk52_0
    | esk51_0
    | esk44_0
    | esk42_0
    | esk43_0 )).

cnf(i_0_164,axiom,
    ( esk48_0
    | ~ esk49_0
    | p(X3)
    | esk50_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_165,axiom,
    ( ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk9_0
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_166,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_167,axiom,
    ( ~ esk38_0
    | ~ esk37_0
    | ~ esk36_0 )).

cnf(i_0_168,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_169,axiom,
    ( esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk18_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_170,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_171,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_172,axiom,
    ( esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_173,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_174,axiom,
    ( ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk20_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_175,axiom,
    ( esk52_0
    | esk43_0
    | ~ esk42_0
    | ~ esk51_0
    | ~ esk44_0
    | ~ esk53_0 )).

cnf(i_0_176,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_177,axiom,
    ( ~ esk41_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk40_0
    | p(X6)
    | ~ esk39_0 )).

cnf(i_0_178,axiom,
    ( ~ esk40_0
    | ~ esk52_0
    | ~ esk53_0
    | esk39_0
    | ~ esk41_0
    | esk51_0 )).

cnf(i_0_179,axiom,
    ( ~ esk33_0
    | esk50_0
    | ~ esk34_0
    | esk35_0
    | ~ esk48_0
    | ~ esk49_0 )).

cnf(i_0_180,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk2_0 )).

cnf(i_0_181,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk31_0
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_182,axiom,
    ( esk43_0
    | ~ esk33_0
    | ~ esk35_0
    | ~ esk44_0
    | esk34_0
    | ~ esk42_0 )).

cnf(i_0_183,axiom,
    ( esk45_0
    | esk46_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ esk47_0 )).

cnf(i_0_184,axiom,
    ( ~ esk48_0
    | ~ esk50_0
    | ~ esk36_0
    | ~ esk38_0
    | esk49_0
    | esk37_0 )).

cnf(i_0_185,axiom,
    ( esk51_0
    | esk34_0
    | ~ esk35_0
    | ~ esk53_0
    | esk52_0
    | esk33_0 )).

cnf(i_0_186,axiom,
    ( ~ p(X6)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk42_0
    | esk43_0
    | ~ esk44_0 )).

cnf(i_0_187,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_188,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_189,axiom,
    ( ~ esk44_0
    | ~ esk42_0
    | ~ esk43_0 )).

cnf(i_0_190,axiom,
    ( ~ esk49_0
    | ~ esk50_0
    | ~ esk46_0
    | ~ esk47_0
    | esk45_0
    | esk48_0 )).

cnf(i_0_191,axiom,
    ( esk50_0
    | ~ esk42_0
    | ~ esk48_0
    | esk44_0
    | ~ esk43_0
    | ~ esk49_0 )).

cnf(i_0_192,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_193,axiom,
    ( esk34_0
    | esk41_0
    | esk35_0
    | ~ esk39_0
    | esk40_0
    | ~ esk33_0 )).

cnf(i_0_194,axiom,
    ( esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk27_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_195,axiom,
    ( ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk16_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_196,axiom,
    ( ~ esk51_0
    | esk44_0
    | esk53_0
    | ~ esk42_0
    | ~ esk52_0
    | ~ esk43_0 )).

cnf(i_0_197,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | p(X6)
    | p(X1)
    | p(X5) )).

cnf(i_0_198,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_199,axiom,
    ( esk44_0
    | esk48_0
    | ~ esk43_0
    | esk42_0
    | ~ esk49_0
    | esk50_0 )).

cnf(i_0_200,axiom,
    ( ~ p(X2)
    | p(X7)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_201,axiom,
    ( esk45_0
    | esk46_0
    | ~ esk41_0
    | esk39_0
    | esk40_0
    | ~ esk47_0 )).

cnf(i_0_202,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_203,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_204,axiom,
    ( ~ esk34_0
    | esk35_0
    | esk51_0
    | ~ esk52_0
    | esk33_0
    | esk53_0 )).

cnf(i_0_205,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk26_0
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_206,axiom,
    ( esk34_0
    | esk38_0
    | esk35_0
    | esk37_0
    | esk33_0
    | esk36_0 )).

cnf(i_0_207,axiom,
    ( esk40_0
    | esk35_0
    | esk39_0
    | esk41_0
    | esk34_0
    | esk33_0 )).

cnf(i_0_208,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk31_0 )).

cnf(i_0_209,axiom,
    ( esk37_0
    | esk48_0
    | esk49_0
    | esk38_0
    | esk36_0
    | esk50_0 )).

cnf(i_0_210,axiom,
    ( esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk33_0
    | esk35_0
    | ~ p(X4)
    | ~ esk34_0 )).

cnf(i_0_211,axiom,
    ( ~ esk37_0
    | esk36_0
    | ~ esk44_0
    | ~ esk43_0
    | ~ esk38_0
    | esk42_0 )).

cnf(i_0_212,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_213,axiom,
    ( esk37_0
    | esk46_0
    | ~ esk45_0
    | ~ esk38_0
    | ~ esk47_0
    | ~ esk36_0 )).

cnf(i_0_214,axiom,
    ( ~ esk46_0
    | ~ esk45_0
    | ~ esk47_0 )).

cnf(i_0_215,axiom,
    ( ~ esk39_0
    | ~ esk41_0
    | esk46_0
    | esk40_0
    | ~ esk45_0
    | ~ esk47_0 )).

cnf(i_0_216,axiom,
    ( esk51_0
    | esk36_0
    | esk38_0
    | esk52_0
    | esk53_0
    | esk37_0 )).

cnf(i_0_217,axiom,
    ( ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk12_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_218,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_219,axiom,
    ( ~ p(X4)
    | ~ esk48_0
    | ~ esk49_0
    | esk50_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_220,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | esk43_0
    | ~ esk42_0
    | esk44_0 )).

cnf(i_0_221,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk7_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_222,axiom,
    ( ~ p(X4)
    | ~ esk51_0
    | esk53_0
    | ~ esk52_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_223,axiom,
    ( ~ esk38_0
    | p(X5)
    | esk37_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk36_0 )).

cnf(i_0_224,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_225,axiom,
    ( ~ esk39_0
    | esk40_0
    | esk41_0
    | esk43_0
    | esk44_0
    | ~ esk42_0 )).

cnf(i_0_226,axiom,
    ( ~ esk42_0
    | ~ esk43_0
    | ~ esk37_0
    | ~ esk36_0
    | esk44_0
    | esk38_0 )).

cnf(i_0_227,axiom,
    ( ~ p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_228,axiom,
    ( esk52_0
    | esk53_0
    | esk51_0
    | ~ p(X1)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_229,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X5) )).

cnf(i_0_230,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5) )).

cnf(i_0_231,axiom,
    ( ~ esk48_0
    | esk49_0
    | ~ esk45_0
    | esk46_0
    | esk50_0
    | esk47_0 )).

cnf(i_0_232,axiom,
    ( esk33_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk34_0
    | ~ p(X5)
    | ~ esk35_0 )).

cnf(i_0_233,axiom,
    ( esk46_0
    | esk34_0
    | esk33_0
    | ~ esk35_0
    | esk45_0
    | ~ esk47_0 )).

cnf(i_0_234,axiom,
    ( esk36_0
    | ~ esk38_0
    | esk43_0
    | esk42_0
    | esk37_0
    | ~ esk44_0 )).

cnf(i_0_235,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_236,axiom,
    ( ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk24_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_237,axiom,
    ( ~ esk37_0
    | esk38_0
    | esk41_0
    | ~ esk40_0
    | ~ esk39_0
    | ~ esk36_0 )).

cnf(i_0_238,axiom,
    ( esk53_0
    | ~ esk52_0
    | ~ esk40_0
    | esk39_0
    | esk51_0
    | esk41_0 )).

cnf(i_0_239,axiom,
    ( ~ esk38_0
    | esk51_0
    | ~ esk53_0
    | esk37_0
    | esk36_0
    | esk52_0 )).

cnf(i_0_240,axiom,
    ( esk33_0
    | ~ esk34_0
    | esk48_0
    | ~ esk49_0
    | esk35_0
    | esk50_0 )).

cnf(i_0_241,axiom,
    ( ~ esk50_0
    | ~ esk49_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | esk48_0 )).

cnf(i_0_242,axiom,
    ( esk43_0
    | esk42_0
    | ~ esk35_0
    | ~ esk44_0
    | esk33_0
    | esk34_0 )).

cnf(i_0_243,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_244,axiom,
    ( ~ esk46_0
    | esk44_0
    | ~ esk45_0
    | ~ esk42_0
    | ~ esk43_0
    | esk47_0 )).

cnf(i_0_245,axiom,
    ( ~ esk46_0
    | ~ esk47_0
    | esk36_0
    | ~ esk37_0
    | esk45_0
    | ~ esk38_0 )).

cnf(i_0_246,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1) )).

cnf(i_0_247,axiom,
    ( ~ esk47_0
    | esk46_0
    | ~ p(X5)
    | esk45_0
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_248,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1) )).

cnf(i_0_249,axiom,
    ( esk48_0
    | esk49_0
    | esk50_0
    | esk51_0
    | esk52_0
    | esk53_0 )).

cnf(i_0_250,axiom,
    ( ~ esk37_0
    | p(X7)
    | esk36_0
    | ~ esk38_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_251,axiom,
    ( ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk47_0
    | ~ esk45_0
    | p(X2)
    | esk46_0 )).

cnf(i_0_252,axiom,
    ( p(X2)
    | p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_253,axiom,
    ( esk33_0
    | esk44_0
    | esk42_0
    | esk43_0
    | esk35_0
    | esk34_0 )).

cnf(i_0_254,axiom,
    ( ~ esk40_0
    | ~ esk41_0
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | esk39_0 )).

cnf(i_0_255,axiom,
    ( ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk41_0
    | esk40_0
    | p(X2)
    | ~ esk39_0 )).

cnf(i_0_256,axiom,
    ( ~ esk35_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | esk34_0
    | ~ esk33_0 )).

cnf(i_0_257,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_258,axiom,
    ( p(X6)
    | esk37_0
    | ~ esk36_0
    | ~ esk38_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_259,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_260,axiom,
    ( esk49_0
    | esk48_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | esk50_0 )).

cnf(i_0_261,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_262,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_263,axiom,
    ( ~ esk41_0
    | ~ p(X5)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk39_0
    | esk40_0 )).

cnf(i_0_264,axiom,
    ( ~ esk42_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk44_0
    | p(X4)
    | ~ esk43_0 )).

cnf(i_0_265,axiom,
    ( ~ esk52_0
    | ~ esk44_0
    | esk51_0
    | ~ esk53_0
    | ~ esk43_0
    | esk42_0 )).

cnf(i_0_266,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_267,axiom,
    ( esk39_0
    | esk41_0
    | esk40_0
    | esk38_0
    | esk36_0
    | esk37_0 )).

cnf(i_0_268,axiom,
    ( esk41_0
    | ~ esk40_0
    | ~ p(X3)
    | esk39_0
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_269,axiom,
    ( ~ esk53_0
    | ~ esk50_0
    | ~ esk48_0
    | esk52_0
    | ~ esk51_0
    | esk49_0 )).

cnf(i_0_270,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ esk53_0
    | esk51_0
    | esk52_0 )).

cnf(i_0_271,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk3_0
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_272,axiom,
    ( ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_273,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk51_0
    | ~ esk52_0
    | esk53_0
    | p(X3) )).

cnf(i_0_274,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5) )).

cnf(i_0_275,axiom,
    ( ~ esk40_0
    | esk39_0
    | esk41_0
    | esk50_0
    | ~ esk49_0
    | esk48_0 )).

cnf(i_0_276,axiom,
    ( esk38_0
    | esk36_0
    | esk47_0
    | esk37_0
    | esk45_0
    | esk46_0 )).

cnf(i_0_277,axiom,
    ( esk41_0
    | ~ p(X2)
    | esk40_0
    | ~ esk39_0
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_278,axiom,
    ( ~ esk38_0
    | esk37_0
    | ~ esk36_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X6) )).

cnf(i_0_279,axiom,
    ( ~ esk38_0
    | ~ esk41_0
    | ~ esk39_0
    | esk40_0
    | ~ esk36_0
    | esk37_0 )).

cnf(i_0_280,axiom,
    ( esk33_0
    | ~ esk34_0
    | ~ esk49_0
    | ~ esk35_0
    | ~ esk50_0
    | esk48_0 )).

cnf(i_0_281,axiom,
    ( ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk13_0 )).

cnf(i_0_282,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7) )).

cnf(i_0_283,axiom,
    ( ~ esk50_0
    | esk48_0
    | ~ esk44_0
    | esk42_0
    | esk49_0
    | esk43_0 )).

cnf(i_0_284,axiom,
    ( esk49_0
    | esk48_0
    | esk47_0
    | esk50_0
    | esk46_0
    | esk45_0 )).

cnf(i_0_285,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk41_0
    | ~ p(X4)
    | ~ esk39_0
    | ~ esk40_0 )).

cnf(i_0_286,axiom,
    ( esk45_0
    | ~ esk46_0
    | ~ esk34_0
    | ~ esk47_0
    | ~ esk35_0
    | esk33_0 )).

cnf(i_0_287,axiom,
    ( p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_288,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_289,axiom,
    ( p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5) )).

cnf(i_0_290,axiom,
    ( ~ esk33_0
    | ~ esk41_0
    | esk40_0
    | ~ esk35_0
    | esk34_0
    | ~ esk39_0 )).

cnf(i_0_291,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_292,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_293,axiom,
    ( esk46_0
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk47_0
    | ~ p(X6)
    | ~ esk45_0 )).

cnf(i_0_294,axiom,
    ( p(X6)
    | esk46_0
    | ~ esk47_0
    | ~ esk45_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_295,axiom,
    ( ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk19_0
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_296,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_297,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7) )).

cnf(i_0_298,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | esk53_0
    | esk52_0
    | esk51_0 )).

cnf(i_0_299,axiom,
    ( ~ p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_300,axiom,
    ( esk47_0
    | esk53_0
    | ~ esk46_0
    | esk45_0
    | ~ esk52_0
    | esk51_0 )).

cnf(i_0_301,axiom,
    ( ~ esk44_0
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk43_0
    | esk42_0
    | ~ p(X5) )).

cnf(i_0_302,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | p(X5)
    | p(X3) )).

cnf(i_0_303,axiom,
    ( ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk8_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_304,axiom,
    ( esk48_0
    | ~ esk41_0
    | esk39_0
    | ~ esk40_0
    | ~ esk49_0
    | ~ esk50_0 )).

cnf(i_0_305,axiom,
    ( ~ esk44_0
    | ~ esk47_0
    | ~ esk46_0
    | esk45_0
    | esk42_0
    | ~ esk43_0 )).

cnf(i_0_306,axiom,
    ( ~ esk39_0
    | ~ esk50_0
    | ~ esk48_0
    | esk49_0
    | ~ esk41_0
    | esk40_0 )).

cnf(i_0_307,axiom,
    ( ~ esk33_0
    | esk46_0
    | esk35_0
    | esk47_0
    | ~ esk45_0
    | esk34_0 )).

cnf(i_0_308,axiom,
    ( ~ esk46_0
    | esk33_0
    | esk35_0
    | esk47_0
    | ~ esk34_0
    | esk45_0 )).

cnf(i_0_309,axiom,
    ( esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk30_0 )).

cnf(i_0_310,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2) )).

cnf(i_0_311,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_312,axiom,
    ( ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk6_0 )).

cnf(i_0_313,axiom,
    ( p(X2)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk35_0
    | esk34_0
    | ~ esk33_0 )).

cnf(i_0_314,axiom,
    ( ~ esk50_0
    | p(X5)
    | esk48_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk49_0 )).

cnf(i_0_315,axiom,
    ( esk53_0
    | esk51_0
    | ~ esk52_0
    | ~ p(X3)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_316,axiom,
    ( p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_317,axiom,
    ( p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2) )).

cnf(i_0_318,axiom,
    ( esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ esk36_0
    | esk38_0
    | esk37_0 )).

cnf(i_0_319,axiom,
    ( esk33_0
    | esk49_0
    | esk48_0
    | esk35_0
    | esk50_0
    | esk34_0 )).

cnf(i_0_320,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_321,axiom,
    ( esk38_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk37_0
    | ~ esk36_0
    | ~ p(X4) )).

cnf(i_0_322,axiom,
    ( esk39_0
    | esk44_0
    | esk43_0
    | esk42_0
    | esk40_0
    | esk41_0 )).

cnf(i_0_323,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X6) )).

cnf(i_0_324,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk12_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_325,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_326,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_327,axiom,
    ( p(X3)
    | esk39_0
    | ~ esk40_0
    | esk41_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_328,axiom,
    ( ~ esk41_0
    | esk36_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk40_0
    | esk39_0 )).

cnf(i_0_329,axiom,
    ( esk34_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk33_0
    | esk35_0
    | ~ p(X2) )).

cnf(i_0_330,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk1_0
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_331,axiom,
    ( esk50_0
    | esk48_0
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X3)
    | ~ esk49_0 )).

cnf(i_0_332,axiom,
    ( ~ esk45_0
    | ~ esk47_0
    | esk43_0
    | ~ esk42_0
    | esk46_0
    | ~ esk44_0 )).

cnf(i_0_333,axiom,
    ( p(X6)
    | esk49_0
    | ~ esk50_0
    | ~ esk48_0
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_334,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_335,axiom,
    ( ~ esk46_0
    | esk41_0
    | ~ esk39_0
    | ~ esk45_0
    | ~ esk40_0
    | esk47_0 )).

cnf(i_0_336,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk16_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_337,axiom,
    ( esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_338,axiom,
    ( esk5_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_339,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_340,axiom,
    ( p(X3)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk47_0
    | ~ esk46_0
    | esk45_0 )).

cnf(i_0_341,axiom,
    ( esk43_0
    | esk42_0
    | esk51_0
    | ~ esk53_0
    | esk52_0
    | ~ esk44_0 )).

cnf(i_0_342,axiom,
    ( esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_343,axiom,
    ( esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | esk52_0
    | esk53_0
    | ~ esk51_0 )).

cnf(i_0_344,axiom,
    ( ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk52_0
    | esk51_0
    | p(X7)
    | ~ esk53_0 )).

cnf(i_0_345,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_346,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_347,axiom,
    ( ~ esk18_0
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_348,axiom,
    ( esk33_0
    | ~ esk35_0
    | esk34_0
    | esk49_0
    | esk48_0
    | ~ esk50_0 )).

cnf(i_0_349,axiom,
    ( esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk13_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_350,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5) )).

cnf(i_0_351,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_352,axiom,
    ( ~ esk48_0
    | esk52_0
    | esk50_0
    | ~ esk51_0
    | esk53_0
    | esk49_0 )).

cnf(i_0_353,axiom,
    ( ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk28_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_354,axiom,
    ( p(X1)
    | esk36_0
    | esk38_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk37_0 )).

cnf(i_0_355,axiom,
    ( ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk33_0
    | esk34_0
    | p(X1)
    | esk35_0 )).

cnf(i_0_356,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_357,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_358,axiom,
    ( p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X3) )).

cnf(i_0_359,axiom,
    ( esk46_0
    | ~ esk53_0
    | esk52_0
    | ~ esk47_0
    | esk45_0
    | esk51_0 )).

cnf(i_0_360,axiom,
    ( ~ esk37_0
    | esk38_0
    | ~ esk36_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4) )).

cnf(i_0_361,axiom,
    ( p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_362,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk2_0
    | esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_363,axiom,
    ( esk35_0
    | esk47_0
    | ~ esk46_0
    | ~ esk34_0
    | ~ esk45_0
    | ~ esk33_0 )).

cnf(i_0_364,axiom,
    ( ~ esk46_0
    | esk45_0
    | ~ p(X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk47_0 )).

cnf(i_0_365,axiom,
    ( ~ esk35_0
    | ~ esk34_0
    | ~ esk38_0
    | ~ esk37_0
    | esk36_0
    | esk33_0 )).

cnf(i_0_366,axiom,
    ( esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk26_0 )).

cnf(i_0_367,axiom,
    ( ~ esk37_0
    | esk47_0
    | ~ esk46_0
    | ~ esk45_0
    | ~ esk36_0
    | esk38_0 )).

cnf(i_0_368,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X6)
    | p(X1) )).

cnf(i_0_369,axiom,
    ( esk38_0
    | p(X3)
    | esk36_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk37_0 )).

cnf(i_0_370,axiom,
    ( esk46_0
    | esk39_0
    | esk45_0
    | esk47_0
    | esk40_0
    | esk41_0 )).

cnf(i_0_371,axiom,
    ( esk42_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk43_0
    | p(X1)
    | esk44_0 )).

cnf(i_0_372,axiom,
    ( p(X3)
    | ~ esk34_0
    | esk33_0
    | esk35_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_373,axiom,
    ( esk47_0
    | esk45_0
    | ~ esk49_0
    | esk48_0
    | ~ esk46_0
    | esk50_0 )).

cnf(i_0_374,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk4_0
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_375,axiom,
    ( p(X4)
    | esk47_0
    | ~ esk45_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk46_0 )).

cnf(i_0_376,axiom,
    ( esk52_0
    | esk43_0
    | esk53_0
    | ~ esk51_0
    | ~ esk42_0
    | esk44_0 )).

cnf(i_0_377,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | p(X1)
    | p(X5) )).

cnf(i_0_378,axiom,
    ( esk40_0
    | ~ esk53_0
    | esk39_0
    | esk52_0
    | ~ esk41_0
    | esk51_0 )).

cnf(i_0_379,axiom,
    ( esk41_0
    | ~ esk40_0
    | p(X4)
    | ~ esk39_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_380,axiom,
    ( ~ esk36_0
    | esk38_0
    | ~ esk48_0
    | esk50_0
    | esk49_0
    | esk37_0 )).

cnf(i_0_381,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X1)
    | esk43_0
    | esk42_0
    | esk44_0 )).

cnf(i_0_382,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | p(X6) )).

cnf(i_0_383,axiom,
    ( ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk10_0 )).

cnf(i_0_384,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_385,axiom,
    ( esk45_0
    | esk46_0
    | ~ esk47_0
    | ~ esk50_0
    | esk49_0
    | esk48_0 )).

cnf(i_0_386,axiom,
    ( p(X1)
    | esk41_0
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk40_0
    | esk39_0 )).

cnf(i_0_387,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_388,axiom,
    ( esk39_0
    | ~ esk34_0
    | esk33_0
    | esk41_0
    | ~ esk40_0
    | esk35_0 )).

cnf(i_0_389,axiom,
    ( esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | esk1_0
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk56_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_390,axiom,
    ( ~ esk50_0
    | esk43_0
    | ~ esk48_0
    | ~ esk44_0
    | ~ esk42_0
    | esk49_0 )).

cnf(i_0_391,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk27_0
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_392,axiom,
    ( p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_393,axiom,
    ( ~ esk53_0
    | esk51_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ esk52_0 )).

cnf(i_0_394,axiom,
    ( ~ esk41_0
    | ~ esk39_0
    | ~ esk40_0 )).

cnf(i_0_395,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_396,axiom,
    ( ~ esk52_0
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk51_0
    | esk53_0
    | p(X4) )).

cnf(i_0_397,axiom,
    ( ~ esk51_0
    | ~ esk53_0
    | esk46_0
    | ~ esk45_0
    | esk52_0
    | ~ esk47_0 )).

cnf(i_0_398,axiom,
    ( ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk23_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_399,axiom,
    ( esk48_0
    | esk49_0
    | esk44_0
    | esk42_0
    | esk50_0
    | esk43_0 )).

cnf(i_0_400,axiom,
    ( ~ esk53_0
    | ~ esk51_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk52_0
    | ~ p(X6) )).

cnf(i_0_401,axiom,
    ( ~ p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_402,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_403,axiom,
    ( ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_404,axiom,
    ( esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk25_0 )).

cnf(i_0_405,axiom,
    ( ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk37_0
    | p(X2)
    | ~ esk36_0
    | esk38_0 )).

cnf(i_0_406,axiom,
    ( esk57_7(X1,X2,X3,X4,X5,X6,X7)
    | esk40_0
    | ~ esk41_0
    | ~ p(X6)
    | ~ esk39_0 )).

cnf(i_0_407,axiom,
    ( ~ esk10_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_408,axiom,
    ( ~ esk38_0
    | esk36_0
    | esk37_0
    | esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5) )).

cnf(i_0_409,axiom,
    ( ~ esk35_0
    | esk34_0
    | ~ esk48_0
    | ~ esk50_0
    | esk49_0
    | ~ esk33_0 )).

cnf(i_0_410,axiom,
    ( ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk32_0
    | ~ esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_411,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X6) )).

cnf(i_0_412,axiom,
    ( esk37_0
    | esk45_0
    | ~ esk47_0
    | ~ esk38_0
    | esk46_0
    | esk36_0 )).

cnf(i_0_413,axiom,
    ( ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_414,axiom,
    ( ~ esk42_0
    | esk43_0
    | p(X2)
    | esk44_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_415,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_416,axiom,
    ( esk42_0
    | p(X7)
    | ~ esk44_0
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk43_0 )).

cnf(i_0_417,axiom,
    ( ~ esk46_0
    | esk45_0
    | esk47_0
    | ~ p(X3)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_418,axiom,
    ( esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk17_0
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk62_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_419,axiom,
    ( ~ esk15_0
    | esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk58_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk57_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_420,axiom,
    ( esk56_7(X1,X2,X3,X4,X5,X6,X7)
    | esk37_0
    | esk36_0
    | ~ p(X1)
    | esk38_0 )).

cnf(i_0_421,axiom,
    ( esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_422,axiom,
    ( esk47_0
    | ~ esk45_0
    | ~ esk51_0
    | esk53_0
    | esk52_0
    | esk46_0 )).

cnf(i_0_423,axiom,
    ( ~ esk35_0
    | ~ p(X7)
    | esk33_0
    | esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk34_0 )).

cnf(i_0_424,axiom,
    ( esk52_0
    | ~ esk41_0
    | ~ esk53_0
    | esk40_0
    | ~ esk51_0
    | ~ esk39_0 )).

cnf(i_0_425,axiom,
    ( ~ esk49_0
    | esk50_0
    | ~ esk48_0
    | ~ esk52_0
    | ~ esk51_0
    | esk53_0 )).

cnf(i_0_426,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk23_0
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_427,axiom,
    ( ~ esk34_0
    | ~ esk43_0
    | ~ esk44_0
    | esk33_0
    | ~ esk35_0
    | esk42_0 )).

cnf(i_0_428,axiom,
    ( p(X2)
    | p(X1)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_429,axiom,
    ( ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_430,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_431,axiom,
    ( esk49_0
    | esk41_0
    | esk50_0
    | ~ esk39_0
    | esk40_0
    | ~ esk48_0 )).

cnf(i_0_432,axiom,
    ( esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk19_0
    | esk61_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk60_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_433,axiom,
    ( ~ esk34_0
    | p(X7)
    | esk33_0
    | ~ esk55_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk35_0 )).

cnf(i_0_434,axiom,
    ( esk36_0
    | esk42_0
    | esk44_0
    | ~ esk43_0
    | esk38_0
    | ~ esk37_0 )).

cnf(i_0_435,axiom,
    ( esk36_0
    | ~ esk35_0
    | ~ esk38_0
    | esk33_0
    | esk34_0
    | esk37_0 )).

cnf(i_0_436,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_437,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X6)
    | p(X5)
    | p(X7)
    | p(X4)
    | p(X2) )).

cnf(i_0_438,axiom,
    ( ~ esk33_0
    | ~ esk42_0
    | esk35_0
    | ~ esk34_0
    | ~ esk43_0
    | esk44_0 )).

cnf(i_0_439,axiom,
    ( ~ esk53_0
    | ~ esk52_0
    | esk51_0
    | ~ esk49_0
    | ~ esk50_0
    | esk48_0 )).

cnf(i_0_440,axiom,
    ( ~ p(X5)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_441,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_442,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ esk54_7(X1,X2,X3,X4,X5,X6,X7)
    | p(X2)
    | p(X1) )).

cnf(i_0_443,axiom,
    ( esk47_0
    | esk42_0
    | ~ esk43_0
    | esk44_0
    | ~ esk46_0
    | esk45_0 )).

cnf(i_0_444,axiom,
    ( esk40_0
    | ~ esk39_0
    | esk37_0
    | esk38_0
    | esk41_0
    | ~ esk36_0 )).

cnf(i_0_445,axiom,
    ( ~ esk60_7(X1,X2,X3,X4,X5,X6,X7)
    | esk22_0
    | ~ esk62_7(X1,X2,X3,X4,X5,X6,X7)
    | ~ esk63_7(X1,X2,X3,X4,X5,X6,X7)
    | esk59_7(X1,X2,X3,X4,X5,X6,X7)
    | esk61_7(X1,X2,X3,X4,X5,X6,X7) )).

cnf(i_0_446,axiom,
    ( ~ esk36_0
    | ~ esk37_0
    | ~ esk33_0
    | esk38_0
    | esk35_0
    | ~ esk34_0 )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
