%------------------------------------------------------------------------------
% File     : SWV421-1.205 : TPTP v6.1.0. Released v3.5.0.
% Domain   : Software Verification
% Problem  : Mutex algorithm first process access B k=205
% Version  : Especial.
% English  : Model checking of an Mutex algorithm. The property to check is
%            that if the first process asks for access to the critical section,
%            it will be eventually granted.

% Refs     : [CC+02] Cimatti et al (2002), NuSmv 2 An OpenSource Tool for S
%          : [NV07a] Navarro (2007), Email to Geoff Sutcliffe
%          : [NV07b] Navarro & Voronkov (2007), Encodings of Bounded LTL Mo
% Source   : [NV07a]
% Names    : example_cmu/mutex.smv (property 2) [CC+02]
%          : mutex1b-k205 [NV07a]

% Status   : Unsatisfiable
% Rating   : 0.50 v6.1.0, 0.62 v6.0.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.33 v5.0.0, 0.67 v4.1.0, 0.40 v4.0.1, 0.80 v3.7.0, 0.75 v3.5.0
% Syntax   : Number of clauses     :  285 (  20 non-Horn; 209 unit; 282 RR)
%            Number of atoms       :  655 (   0 equality)
%            Maximal clause size   :  206 (   2 average)
%            Number of predicates  :   31 (   1 propositional; 0-2 arity)
%            Number of functors    :  213 ( 213 constant; 0-0 arity)
%            Number of variables   :  112 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments : When solved by Darwin there seems to be two trendlines with
%            different difficulty:
%              An "easy" one when k = 0, 3 (mod 4)
%              A "hard" one when k = 1, 2 (mod 4)
%            Darwin run times seem to have a growth of order k^3.
%          : Translated from [CC+02] using [NV07b]
%------------------------------------------------------------------------------
cnf(bound1,axiom,
    ( succ(s0,s1) )).

cnf(bound2,axiom,
    ( succ(s1,s2) )).

cnf(bound3,axiom,
    ( succ(s2,s3) )).

cnf(bound4,axiom,
    ( succ(s3,s4) )).

cnf(bound5,axiom,
    ( succ(s4,s5) )).

cnf(bound6,axiom,
    ( succ(s5,s6) )).

cnf(bound7,axiom,
    ( succ(s6,s7) )).

cnf(bound8,axiom,
    ( succ(s7,s8) )).

cnf(bound9,axiom,
    ( succ(s8,s9) )).

cnf(bound10,axiom,
    ( succ(s9,s10) )).

cnf(bound11,axiom,
    ( succ(s10,s11) )).

cnf(bound12,axiom,
    ( succ(s11,s12) )).

cnf(bound13,axiom,
    ( succ(s12,s13) )).

cnf(bound14,axiom,
    ( succ(s13,s14) )).

cnf(bound15,axiom,
    ( succ(s14,s15) )).

cnf(bound16,axiom,
    ( succ(s15,s16) )).

cnf(bound17,axiom,
    ( succ(s16,s17) )).

cnf(bound18,axiom,
    ( succ(s17,s18) )).

cnf(bound19,axiom,
    ( succ(s18,s19) )).

cnf(bound20,axiom,
    ( succ(s19,s20) )).

cnf(bound21,axiom,
    ( succ(s20,s21) )).

cnf(bound22,axiom,
    ( succ(s21,s22) )).

cnf(bound23,axiom,
    ( succ(s22,s23) )).

cnf(bound24,axiom,
    ( succ(s23,s24) )).

cnf(bound25,axiom,
    ( succ(s24,s25) )).

cnf(bound26,axiom,
    ( succ(s25,s26) )).

cnf(bound27,axiom,
    ( succ(s26,s27) )).

cnf(bound28,axiom,
    ( succ(s27,s28) )).

cnf(bound29,axiom,
    ( succ(s28,s29) )).

cnf(bound30,axiom,
    ( succ(s29,s30) )).

cnf(bound31,axiom,
    ( succ(s30,s31) )).

cnf(bound32,axiom,
    ( succ(s31,s32) )).

cnf(bound33,axiom,
    ( succ(s32,s33) )).

cnf(bound34,axiom,
    ( succ(s33,s34) )).

cnf(bound35,axiom,
    ( succ(s34,s35) )).

cnf(bound36,axiom,
    ( succ(s35,s36) )).

cnf(bound37,axiom,
    ( succ(s36,s37) )).

cnf(bound38,axiom,
    ( succ(s37,s38) )).

cnf(bound39,axiom,
    ( succ(s38,s39) )).

cnf(bound40,axiom,
    ( succ(s39,s40) )).

cnf(bound41,axiom,
    ( succ(s40,s41) )).

cnf(bound42,axiom,
    ( succ(s41,s42) )).

cnf(bound43,axiom,
    ( succ(s42,s43) )).

cnf(bound44,axiom,
    ( succ(s43,s44) )).

cnf(bound45,axiom,
    ( succ(s44,s45) )).

cnf(bound46,axiom,
    ( succ(s45,s46) )).

cnf(bound47,axiom,
    ( succ(s46,s47) )).

cnf(bound48,axiom,
    ( succ(s47,s48) )).

cnf(bound49,axiom,
    ( succ(s48,s49) )).

cnf(bound50,axiom,
    ( succ(s49,s50) )).

cnf(bound51,axiom,
    ( succ(s50,s51) )).

cnf(bound52,axiom,
    ( succ(s51,s52) )).

cnf(bound53,axiom,
    ( succ(s52,s53) )).

cnf(bound54,axiom,
    ( succ(s53,s54) )).

cnf(bound55,axiom,
    ( succ(s54,s55) )).

cnf(bound56,axiom,
    ( succ(s55,s56) )).

cnf(bound57,axiom,
    ( succ(s56,s57) )).

cnf(bound58,axiom,
    ( succ(s57,s58) )).

cnf(bound59,axiom,
    ( succ(s58,s59) )).

cnf(bound60,axiom,
    ( succ(s59,s60) )).

cnf(bound61,axiom,
    ( succ(s60,s61) )).

cnf(bound62,axiom,
    ( succ(s61,s62) )).

cnf(bound63,axiom,
    ( succ(s62,s63) )).

cnf(bound64,axiom,
    ( succ(s63,s64) )).

cnf(bound65,axiom,
    ( succ(s64,s65) )).

cnf(bound66,axiom,
    ( succ(s65,s66) )).

cnf(bound67,axiom,
    ( succ(s66,s67) )).

cnf(bound68,axiom,
    ( succ(s67,s68) )).

cnf(bound69,axiom,
    ( succ(s68,s69) )).

cnf(bound70,axiom,
    ( succ(s69,s70) )).

cnf(bound71,axiom,
    ( succ(s70,s71) )).

cnf(bound72,axiom,
    ( succ(s71,s72) )).

cnf(bound73,axiom,
    ( succ(s72,s73) )).

cnf(bound74,axiom,
    ( succ(s73,s74) )).

cnf(bound75,axiom,
    ( succ(s74,s75) )).

cnf(bound76,axiom,
    ( succ(s75,s76) )).

cnf(bound77,axiom,
    ( succ(s76,s77) )).

cnf(bound78,axiom,
    ( succ(s77,s78) )).

cnf(bound79,axiom,
    ( succ(s78,s79) )).

cnf(bound80,axiom,
    ( succ(s79,s80) )).

cnf(bound81,axiom,
    ( succ(s80,s81) )).

cnf(bound82,axiom,
    ( succ(s81,s82) )).

cnf(bound83,axiom,
    ( succ(s82,s83) )).

cnf(bound84,axiom,
    ( succ(s83,s84) )).

cnf(bound85,axiom,
    ( succ(s84,s85) )).

cnf(bound86,axiom,
    ( succ(s85,s86) )).

cnf(bound87,axiom,
    ( succ(s86,s87) )).

cnf(bound88,axiom,
    ( succ(s87,s88) )).

cnf(bound89,axiom,
    ( succ(s88,s89) )).

cnf(bound90,axiom,
    ( succ(s89,s90) )).

cnf(bound91,axiom,
    ( succ(s90,s91) )).

cnf(bound92,axiom,
    ( succ(s91,s92) )).

cnf(bound93,axiom,
    ( succ(s92,s93) )).

cnf(bound94,axiom,
    ( succ(s93,s94) )).

cnf(bound95,axiom,
    ( succ(s94,s95) )).

cnf(bound96,axiom,
    ( succ(s95,s96) )).

cnf(bound97,axiom,
    ( succ(s96,s97) )).

cnf(bound98,axiom,
    ( succ(s97,s98) )).

cnf(bound99,axiom,
    ( succ(s98,s99) )).

cnf(bound100,axiom,
    ( succ(s99,s100) )).

cnf(bound101,axiom,
    ( succ(s100,s101) )).

cnf(bound102,axiom,
    ( succ(s101,s102) )).

cnf(bound103,axiom,
    ( succ(s102,s103) )).

cnf(bound104,axiom,
    ( succ(s103,s104) )).

cnf(bound105,axiom,
    ( succ(s104,s105) )).

cnf(bound106,axiom,
    ( succ(s105,s106) )).

cnf(bound107,axiom,
    ( succ(s106,s107) )).

cnf(bound108,axiom,
    ( succ(s107,s108) )).

cnf(bound109,axiom,
    ( succ(s108,s109) )).

cnf(bound110,axiom,
    ( succ(s109,s110) )).

cnf(bound111,axiom,
    ( succ(s110,s111) )).

cnf(bound112,axiom,
    ( succ(s111,s112) )).

cnf(bound113,axiom,
    ( succ(s112,s113) )).

cnf(bound114,axiom,
    ( succ(s113,s114) )).

cnf(bound115,axiom,
    ( succ(s114,s115) )).

cnf(bound116,axiom,
    ( succ(s115,s116) )).

cnf(bound117,axiom,
    ( succ(s116,s117) )).

cnf(bound118,axiom,
    ( succ(s117,s118) )).

cnf(bound119,axiom,
    ( succ(s118,s119) )).

cnf(bound120,axiom,
    ( succ(s119,s120) )).

cnf(bound121,axiom,
    ( succ(s120,s121) )).

cnf(bound122,axiom,
    ( succ(s121,s122) )).

cnf(bound123,axiom,
    ( succ(s122,s123) )).

cnf(bound124,axiom,
    ( succ(s123,s124) )).

cnf(bound125,axiom,
    ( succ(s124,s125) )).

cnf(bound126,axiom,
    ( succ(s125,s126) )).

cnf(bound127,axiom,
    ( succ(s126,s127) )).

cnf(bound128,axiom,
    ( succ(s127,s128) )).

cnf(bound129,axiom,
    ( succ(s128,s129) )).

cnf(bound130,axiom,
    ( succ(s129,s130) )).

cnf(bound131,axiom,
    ( succ(s130,s131) )).

cnf(bound132,axiom,
    ( succ(s131,s132) )).

cnf(bound133,axiom,
    ( succ(s132,s133) )).

cnf(bound134,axiom,
    ( succ(s133,s134) )).

cnf(bound135,axiom,
    ( succ(s134,s135) )).

cnf(bound136,axiom,
    ( succ(s135,s136) )).

cnf(bound137,axiom,
    ( succ(s136,s137) )).

cnf(bound138,axiom,
    ( succ(s137,s138) )).

cnf(bound139,axiom,
    ( succ(s138,s139) )).

cnf(bound140,axiom,
    ( succ(s139,s140) )).

cnf(bound141,axiom,
    ( succ(s140,s141) )).

cnf(bound142,axiom,
    ( succ(s141,s142) )).

cnf(bound143,axiom,
    ( succ(s142,s143) )).

cnf(bound144,axiom,
    ( succ(s143,s144) )).

cnf(bound145,axiom,
    ( succ(s144,s145) )).

cnf(bound146,axiom,
    ( succ(s145,s146) )).

cnf(bound147,axiom,
    ( succ(s146,s147) )).

cnf(bound148,axiom,
    ( succ(s147,s148) )).

cnf(bound149,axiom,
    ( succ(s148,s149) )).

cnf(bound150,axiom,
    ( succ(s149,s150) )).

cnf(bound151,axiom,
    ( succ(s150,s151) )).

cnf(bound152,axiom,
    ( succ(s151,s152) )).

cnf(bound153,axiom,
    ( succ(s152,s153) )).

cnf(bound154,axiom,
    ( succ(s153,s154) )).

cnf(bound155,axiom,
    ( succ(s154,s155) )).

cnf(bound156,axiom,
    ( succ(s155,s156) )).

cnf(bound157,axiom,
    ( succ(s156,s157) )).

cnf(bound158,axiom,
    ( succ(s157,s158) )).

cnf(bound159,axiom,
    ( succ(s158,s159) )).

cnf(bound160,axiom,
    ( succ(s159,s160) )).

cnf(bound161,axiom,
    ( succ(s160,s161) )).

cnf(bound162,axiom,
    ( succ(s161,s162) )).

cnf(bound163,axiom,
    ( succ(s162,s163) )).

cnf(bound164,axiom,
    ( succ(s163,s164) )).

cnf(bound165,axiom,
    ( succ(s164,s165) )).

cnf(bound166,axiom,
    ( succ(s165,s166) )).

cnf(bound167,axiom,
    ( succ(s166,s167) )).

cnf(bound168,axiom,
    ( succ(s167,s168) )).

cnf(bound169,axiom,
    ( succ(s168,s169) )).

cnf(bound170,axiom,
    ( succ(s169,s170) )).

cnf(bound171,axiom,
    ( succ(s170,s171) )).

cnf(bound172,axiom,
    ( succ(s171,s172) )).

cnf(bound173,axiom,
    ( succ(s172,s173) )).

cnf(bound174,axiom,
    ( succ(s173,s174) )).

cnf(bound175,axiom,
    ( succ(s174,s175) )).

cnf(bound176,axiom,
    ( succ(s175,s176) )).

cnf(bound177,axiom,
    ( succ(s176,s177) )).

cnf(bound178,axiom,
    ( succ(s177,s178) )).

cnf(bound179,axiom,
    ( succ(s178,s179) )).

cnf(bound180,axiom,
    ( succ(s179,s180) )).

cnf(bound181,axiom,
    ( succ(s180,s181) )).

cnf(bound182,axiom,
    ( succ(s181,s182) )).

cnf(bound183,axiom,
    ( succ(s182,s183) )).

cnf(bound184,axiom,
    ( succ(s183,s184) )).

cnf(bound185,axiom,
    ( succ(s184,s185) )).

cnf(bound186,axiom,
    ( succ(s185,s186) )).

cnf(bound187,axiom,
    ( succ(s186,s187) )).

cnf(bound188,axiom,
    ( succ(s187,s188) )).

cnf(bound189,axiom,
    ( succ(s188,s189) )).

cnf(bound190,axiom,
    ( succ(s189,s190) )).

cnf(bound191,axiom,
    ( succ(s190,s191) )).

cnf(bound192,axiom,
    ( succ(s191,s192) )).

cnf(bound193,axiom,
    ( succ(s192,s193) )).

cnf(bound194,axiom,
    ( succ(s193,s194) )).

cnf(bound195,axiom,
    ( succ(s194,s195) )).

cnf(bound196,axiom,
    ( succ(s195,s196) )).

cnf(bound197,axiom,
    ( succ(s196,s197) )).

cnf(bound198,axiom,
    ( succ(s197,s198) )).

cnf(bound199,axiom,
    ( succ(s198,s199) )).

cnf(bound200,axiom,
    ( succ(s199,s200) )).

cnf(bound201,axiom,
    ( succ(s200,s201) )).

cnf(bound202,axiom,
    ( succ(s201,s202) )).

cnf(bound203,axiom,
    ( succ(s202,s203) )).

cnf(bound204,axiom,
    ( succ(s203,s204) )).

cnf(bound205,axiom,
    ( last(s204) )).

cnf(bound206,axiom,
    ( ~ succ(X,Y)
    | trans(X,Y) )).

cnf(bound207,axiom,
    ( ~ loop
    | trans(s204,s0)
    | trans(s204,s1)
    | trans(s204,s2)
    | trans(s204,s3)
    | trans(s204,s4)
    | trans(s204,s5)
    | trans(s204,s6)
    | trans(s204,s7)
    | trans(s204,s8)
    | trans(s204,s9)
    | trans(s204,s10)
    | trans(s204,s11)
    | trans(s204,s12)
    | trans(s204,s13)
    | trans(s204,s14)
    | trans(s204,s15)
    | trans(s204,s16)
    | trans(s204,s17)
    | trans(s204,s18)
    | trans(s204,s19)
    | trans(s204,s20)
    | trans(s204,s21)
    | trans(s204,s22)
    | trans(s204,s23)
    | trans(s204,s24)
    | trans(s204,s25)
    | trans(s204,s26)
    | trans(s204,s27)
    | trans(s204,s28)
    | trans(s204,s29)
    | trans(s204,s30)
    | trans(s204,s31)
    | trans(s204,s32)
    | trans(s204,s33)
    | trans(s204,s34)
    | trans(s204,s35)
    | trans(s204,s36)
    | trans(s204,s37)
    | trans(s204,s38)
    | trans(s204,s39)
    | trans(s204,s40)
    | trans(s204,s41)
    | trans(s204,s42)
    | trans(s204,s43)
    | trans(s204,s44)
    | trans(s204,s45)
    | trans(s204,s46)
    | trans(s204,s47)
    | trans(s204,s48)
    | trans(s204,s49)
    | trans(s204,s50)
    | trans(s204,s51)
    | trans(s204,s52)
    | trans(s204,s53)
    | trans(s204,s54)
    | trans(s204,s55)
    | trans(s204,s56)
    | trans(s204,s57)
    | trans(s204,s58)
    | trans(s204,s59)
    | trans(s204,s60)
    | trans(s204,s61)
    | trans(s204,s62)
    | trans(s204,s63)
    | trans(s204,s64)
    | trans(s204,s65)
    | trans(s204,s66)
    | trans(s204,s67)
    | trans(s204,s68)
    | trans(s204,s69)
    | trans(s204,s70)
    | trans(s204,s71)
    | trans(s204,s72)
    | trans(s204,s73)
    | trans(s204,s74)
    | trans(s204,s75)
    | trans(s204,s76)
    | trans(s204,s77)
    | trans(s204,s78)
    | trans(s204,s79)
    | trans(s204,s80)
    | trans(s204,s81)
    | trans(s204,s82)
    | trans(s204,s83)
    | trans(s204,s84)
    | trans(s204,s85)
    | trans(s204,s86)
    | trans(s204,s87)
    | trans(s204,s88)
    | trans(s204,s89)
    | trans(s204,s90)
    | trans(s204,s91)
    | trans(s204,s92)
    | trans(s204,s93)
    | trans(s204,s94)
    | trans(s204,s95)
    | trans(s204,s96)
    | trans(s204,s97)
    | trans(s204,s98)
    | trans(s204,s99)
    | trans(s204,s100)
    | trans(s204,s101)
    | trans(s204,s102)
    | trans(s204,s103)
    | trans(s204,s104)
    | trans(s204,s105)
    | trans(s204,s106)
    | trans(s204,s107)
    | trans(s204,s108)
    | trans(s204,s109)
    | trans(s204,s110)
    | trans(s204,s111)
    | trans(s204,s112)
    | trans(s204,s113)
    | trans(s204,s114)
    | trans(s204,s115)
    | trans(s204,s116)
    | trans(s204,s117)
    | trans(s204,s118)
    | trans(s204,s119)
    | trans(s204,s120)
    | trans(s204,s121)
    | trans(s204,s122)
    | trans(s204,s123)
    | trans(s204,s124)
    | trans(s204,s125)
    | trans(s204,s126)
    | trans(s204,s127)
    | trans(s204,s128)
    | trans(s204,s129)
    | trans(s204,s130)
    | trans(s204,s131)
    | trans(s204,s132)
    | trans(s204,s133)
    | trans(s204,s134)
    | trans(s204,s135)
    | trans(s204,s136)
    | trans(s204,s137)
    | trans(s204,s138)
    | trans(s204,s139)
    | trans(s204,s140)
    | trans(s204,s141)
    | trans(s204,s142)
    | trans(s204,s143)
    | trans(s204,s144)
    | trans(s204,s145)
    | trans(s204,s146)
    | trans(s204,s147)
    | trans(s204,s148)
    | trans(s204,s149)
    | trans(s204,s150)
    | trans(s204,s151)
    | trans(s204,s152)
    | trans(s204,s153)
    | trans(s204,s154)
    | trans(s204,s155)
    | trans(s204,s156)
    | trans(s204,s157)
    | trans(s204,s158)
    | trans(s204,s159)
    | trans(s204,s160)
    | trans(s204,s161)
    | trans(s204,s162)
    | trans(s204,s163)
    | trans(s204,s164)
    | trans(s204,s165)
    | trans(s204,s166)
    | trans(s204,s167)
    | trans(s204,s168)
    | trans(s204,s169)
    | trans(s204,s170)
    | trans(s204,s171)
    | trans(s204,s172)
    | trans(s204,s173)
    | trans(s204,s174)
    | trans(s204,s175)
    | trans(s204,s176)
    | trans(s204,s177)
    | trans(s204,s178)
    | trans(s204,s179)
    | trans(s204,s180)
    | trans(s204,s181)
    | trans(s204,s182)
    | trans(s204,s183)
    | trans(s204,s184)
    | trans(s204,s185)
    | trans(s204,s186)
    | trans(s204,s187)
    | trans(s204,s188)
    | trans(s204,s189)
    | trans(s204,s190)
    | trans(s204,s191)
    | trans(s204,s192)
    | trans(s204,s193)
    | trans(s204,s194)
    | trans(s204,s195)
    | trans(s204,s196)
    | trans(s204,s197)
    | trans(s204,s198)
    | trans(s204,s199)
    | trans(s204,s200)
    | trans(s204,s201)
    | trans(s204,s202)
    | trans(s204,s203)
    | trans(s204,s204) )).


cnf(m_main_1,axiom,
    ( m_main_v_state1(X,c_n1)
    | m_main_v_state1(X,c_t1)
    | m_main_v_state1(X,c_c1) )).


cnf(m_main_2,axiom,
    ( ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state1(X,c_t1) )).

cnf(m_main_3,axiom,
    ( ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state1(X,c_c1) )).

cnf(m_main_4,axiom,
    ( ~ m_main_v_state1(X,c_t1)
    | ~ m_main_v_state1(X,c_c1) )).


cnf(m_main_5,axiom,
    ( m_main_v_state2(X,c_n2)
    | m_main_v_state2(X,c_t2)
    | m_main_v_state2(X,c_c2) )).


cnf(m_main_6,axiom,
    ( ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state2(X,c_t2) )).

cnf(m_main_7,axiom,
    ( ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state2(X,c_c2) )).

cnf(m_main_8,axiom,
    ( ~ m_main_v_state2(X,c_t2)
    | ~ m_main_v_state2(X,c_c2) )).


cnf(m_main_9,axiom,
    ( m_main_v_turn(X,c_1)
    | m_main_v_turn(X,c_2) )).


cnf(m_main_10,axiom,
    ( ~ m_main_v_turn(X,c_1)
    | ~ m_main_v_turn(X,c_2) )).


cnf(m_main_11,axiom,
    ( m_main_v_state1(s0,c_n1) )).


cnf(m_main_12,axiom,
    ( m_main_v_state2(s0,c_n2) )).


cnf(m_main_13,axiom,
    ( m_main_v_turn(s0,c_1) )).


cnf(m_main_14,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node1(X) )).

cnf(m_main_15,axiom,
    ( m_main_v_state2(X,c_t2)
    | ~ node1(X) )).

cnf(m_main_16,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node2(X) )).

cnf(m_main_17,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node2(X) )).

cnf(m_main_18,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node3(X) )).

cnf(m_main_19,axiom,
    ( m_main_v_state2(X,c_c2)
    | ~ node3(X) )).

cnf(m_main_20,axiom,
    ( m_main_v_state1(X,c_t1)
    | ~ node4(X) )).

cnf(m_main_21,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node4(X) )).

cnf(m_main_22,axiom,
    ( m_main_v_state1(X,c_t1)
    | ~ node5(X) )).

cnf(m_main_23,axiom,
    ( m_main_v_state2(X,c_t2)
    | ~ node5(X) )).

cnf(m_main_24,axiom,
    ( m_main_v_turn(X,c_1)
    | ~ node5(X) )).

cnf(m_main_25,axiom,
    ( m_main_v_state1(Y,V)
    | ~ m_main_v_state1(X,V)
    | ~ node6(X,Y) )).

cnf(m_main_26,axiom,
    ( ~ m_main_v_state1(Y,V)
    | m_main_v_state1(X,V)
    | ~ node6(X,Y) )).

cnf(m_main_27,axiom,
    ( ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state2(X,c_t2)
    | m_main_v_state1(Y,c_t1)
    | ~ node7(X,Y) )).

cnf(m_main_28,axiom,
    ( node1(X)
    | ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state2(X,c_n2)
    | m_main_v_state1(Y,c_t1)
    | ~ node7(X,Y) )).

cnf(m_main_29,axiom,
    ( node1(X)
    | node2(X)
    | ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state2(X,c_c2)
    | m_main_v_state1(Y,c_t1)
    | ~ node7(X,Y) )).

cnf(m_main_30,axiom,
    ( node1(X)
    | node2(X)
    | node3(X)
    | ~ m_main_v_state1(X,c_t1)
    | ~ m_main_v_state2(X,c_n2)
    | m_main_v_state1(Y,c_c1)
    | ~ node7(X,Y) )).

cnf(m_main_31,axiom,
    ( node1(X)
    | node2(X)
    | node3(X)
    | node4(X)
    | ~ m_main_v_state1(X,c_t1)
    | ~ m_main_v_state2(X,c_t2)
    | ~ m_main_v_turn(X,c_1)
    | m_main_v_state1(Y,c_c1)
    | ~ node7(X,Y) )).

cnf(m_main_32,axiom,
    ( node1(X)
    | node2(X)
    | node3(X)
    | node4(X)
    | node5(X)
    | ~ m_main_v_state1(X,c_c1)
    | m_main_v_state1(Y,c_n1)
    | ~ node7(X,Y) )).

cnf(m_main_33,axiom,
    ( node1(X)
    | node2(X)
    | node3(X)
    | node4(X)
    | node5(X)
    | m_main_v_state1(X,c_c1)
    | node6(X,Y)
    | ~ node7(X,Y) )).

cnf(m_main_34,axiom,
    ( ~ trans(X,Y)
    | node7(X,Y) )).


cnf(m_main_35,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node8(X) )).

cnf(m_main_36,axiom,
    ( m_main_v_state1(X,c_t1)
    | ~ node8(X) )).

cnf(m_main_37,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node9(X) )).

cnf(m_main_38,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node9(X) )).

cnf(m_main_39,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node10(X) )).

cnf(m_main_40,axiom,
    ( m_main_v_state1(X,c_c1)
    | ~ node10(X) )).

cnf(m_main_41,axiom,
    ( m_main_v_state2(X,c_t2)
    | ~ node11(X) )).

cnf(m_main_42,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node11(X) )).

cnf(m_main_43,axiom,
    ( m_main_v_state2(X,c_t2)
    | ~ node12(X) )).

cnf(m_main_44,axiom,
    ( m_main_v_state1(X,c_t1)
    | ~ node12(X) )).

cnf(m_main_45,axiom,
    ( m_main_v_turn(X,c_2)
    | ~ node12(X) )).

cnf(m_main_46,axiom,
    ( m_main_v_state2(Y,V)
    | ~ m_main_v_state2(X,V)
    | ~ node13(X,Y) )).

cnf(m_main_47,axiom,
    ( ~ m_main_v_state2(Y,V)
    | m_main_v_state2(X,V)
    | ~ node13(X,Y) )).

cnf(m_main_48,axiom,
    ( ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state1(X,c_t1)
    | m_main_v_state2(Y,c_t2)
    | ~ node14(X,Y) )).

cnf(m_main_49,axiom,
    ( node8(X)
    | ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state1(X,c_n1)
    | m_main_v_state2(Y,c_t2)
    | ~ node14(X,Y) )).

cnf(m_main_50,axiom,
    ( node8(X)
    | node9(X)
    | ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state1(X,c_c1)
    | m_main_v_state2(Y,c_t2)
    | ~ node14(X,Y) )).

cnf(m_main_51,axiom,
    ( node8(X)
    | node9(X)
    | node10(X)
    | ~ m_main_v_state2(X,c_t2)
    | ~ m_main_v_state1(X,c_n1)
    | m_main_v_state2(Y,c_c2)
    | ~ node14(X,Y) )).

cnf(m_main_52,axiom,
    ( node8(X)
    | node9(X)
    | node10(X)
    | node11(X)
    | ~ m_main_v_state2(X,c_t2)
    | ~ m_main_v_state1(X,c_t1)
    | ~ m_main_v_turn(X,c_2)
    | m_main_v_state2(Y,c_c2)
    | ~ node14(X,Y) )).

cnf(m_main_53,axiom,
    ( node8(X)
    | node9(X)
    | node10(X)
    | node11(X)
    | node12(X)
    | ~ m_main_v_state2(X,c_c2)
    | m_main_v_state2(Y,c_n2)
    | ~ node14(X,Y) )).

cnf(m_main_54,axiom,
    ( node8(X)
    | node9(X)
    | node10(X)
    | node11(X)
    | node12(X)
    | m_main_v_state2(X,c_c2)
    | node13(X,Y)
    | ~ node14(X,Y) )).

cnf(m_main_55,axiom,
    ( ~ trans(X,Y)
    | node14(X,Y) )).


cnf(m_main_56,axiom,
    ( m_main_v_state1(X,c_n1)
    | ~ node15(X) )).

cnf(m_main_57,axiom,
    ( m_main_v_state2(X,c_t2)
    | ~ node15(X) )).

cnf(m_main_58,axiom,
    ( m_main_v_state2(X,c_n2)
    | ~ node16(X) )).

cnf(m_main_59,axiom,
    ( m_main_v_state1(X,c_t1)
    | ~ node16(X) )).

cnf(m_main_60,axiom,
    ( m_main_v_turn(Y,V)
    | ~ m_main_v_turn(X,V)
    | ~ node17(X,Y) )).

cnf(m_main_61,axiom,
    ( ~ m_main_v_turn(Y,V)
    | m_main_v_turn(X,V)
    | ~ node17(X,Y) )).

cnf(m_main_62,axiom,
    ( ~ m_main_v_state1(X,c_n1)
    | ~ m_main_v_state2(X,c_t2)
    | m_main_v_turn(Y,c_2)
    | ~ node18(X,Y) )).

cnf(m_main_63,axiom,
    ( node15(X)
    | ~ m_main_v_state2(X,c_n2)
    | ~ m_main_v_state1(X,c_t1)
    | m_main_v_turn(Y,c_1)
    | ~ node18(X,Y) )).

cnf(m_main_64,axiom,
    ( node15(X)
    | node16(X)
    | node17(X,Y)
    | ~ node18(X,Y) )).

cnf(m_main_65,axiom,
    ( ~ trans(X,Y)
    | node18(X,Y) )).


cnf(prpty1,negated_conjecture,
    ( ~ m_main_v_state1(X,c_c1)
    | ~ always19(X) )).

cnf(prpty2,negated_conjecture,
    ( always19(Y)
    | ~ trans(X,Y)
    | ~ always19(X) )).

cnf(prpty3,negated_conjecture,
    ( loop
    | ~ always19(X)
    | ~ last(X) )).

cnf(prpty4,negated_conjecture,
    ( m_main_v_state1(X,c_t1)
    | ~ node20(X) )).

cnf(prpty5,negated_conjecture,
    ( always19(X)
    | ~ node20(X) )).

cnf(prpty6,negated_conjecture,
    ( node20(X)
    | xuntil22(X)
    | ~ until21(X) )).

cnf(prpty7,negated_conjecture,
    ( until21(Y)
    | ~ succ(X,Y)
    | ~ xuntil22(X) )).

cnf(prpty8,negated_conjecture,
    ( loop
    | ~ last(X)
    | ~ xuntil22(X) )).

cnf(prpty9,negated_conjecture,
    ( until2p23(Y)
    | ~ trans(X,Y)
    | ~ last(X)
    | ~ xuntil22(X) )).

cnf(prpty10,negated_conjecture,
    ( node20(X)
    | xuntil2p24(X)
    | ~ until2p23(X) )).

cnf(prpty11,negated_conjecture,
    ( until2p23(Y)
    | ~ succ(X,Y)
    | ~ xuntil2p24(X) )).

cnf(prpty12,negated_conjecture,
    ( ~ last(X)
    | ~ xuntil2p24(X) )).

cnf(prpty13,negated_conjecture,
    ( until21(s0) )).

%------------------------------------------------------------------------------
