%--------------------------------------------------------------------------
% File     : SYN439-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=48, K=3, D=1, P=0, Index=090
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-48-3-1-090.cnf [Wei97]

% Status   : Unsatisfiable
% Rating   : 0.38 v6.0.0, 0.25 v5.5.0, 0.20 v5.4.0, 0.00 v5.2.0, 0.33 v5.0.0, 0.17 v4.1.0, 0.20 v4.0.1, 0.40 v3.7.0, 0.25 v3.5.0, 0.00 v3.3.0, 0.67 v3.2.0, 0.33 v3.1.0, 0.56 v2.7.0, 0.67 v2.5.0, 0.25 v2.4.0, 0.50 v2.3.0, 0.67 v2.2.1, 1.00 v2.1.0
% Syntax   : Number of clauses     :  260 (  48 non-Horn;   0 unit; 249 RR)
%            Number of atoms       :  773 (   0 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   58 (  54 propositional; 0-1 arity)
%            Number of functors    :   53 (  53 constant; 0-0 arity)
%            Number of variables   :   81 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp52
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp51
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp50
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp49
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp48
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp47
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp46
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp45
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp44
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp43
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp42
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp41
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp40
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp39
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp38
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp37
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp36
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp35
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp34
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp33
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp32
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp31
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp30
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp29
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause31,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause32,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause33,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause35,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause36,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause37,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause38,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause39,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause40,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause41,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause42,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause43,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause44,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause45,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause46,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause47,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause48,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause49,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause50,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause51,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause52,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause53,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause54,negated_conjecture,
    ( hskp36
    | hskp34
    | hskp3 )).

cnf(clause55,negated_conjecture,
    ( hskp16
    | hskp17
    | hskp18 )).

cnf(clause56,negated_conjecture,
    ( hskp6
    | hskp27
    | hskp4 )).

cnf(clause57,negated_conjecture,
    ( hskp40
    | hskp31
    | hskp52 )).

cnf(clause58,negated_conjecture,
    ( ~ hskp52
    | c2_1(a595) )).

cnf(clause59,negated_conjecture,
    ( ~ hskp52
    | c1_1(a595) )).

cnf(clause60,negated_conjecture,
    ( ~ hskp51
    | c0_1(a583) )).

cnf(clause61,negated_conjecture,
    ( ~ hskp51
    | c3_1(a583) )).

cnf(clause62,negated_conjecture,
    ( ~ hskp50
    | c0_1(a574) )).

cnf(clause63,negated_conjecture,
    ( ~ hskp50
    | c1_1(a574) )).

cnf(clause64,negated_conjecture,
    ( ~ hskp49
    | c2_1(a568) )).

cnf(clause65,negated_conjecture,
    ( ~ hskp48
    | c1_1(a566) )).

cnf(clause66,negated_conjecture,
    ( ~ hskp47
    | c0_1(a564) )).

cnf(clause67,negated_conjecture,
    ( ~ hskp47
    | c1_1(a564) )).

cnf(clause68,negated_conjecture,
    ( ~ hskp46
    | c1_1(a562) )).

cnf(clause69,negated_conjecture,
    ( ~ hskp45
    | c0_1(a561) )).

cnf(clause70,negated_conjecture,
    ( ~ hskp44
    | c0_1(a559) )).

cnf(clause71,negated_conjecture,
    ( ~ hskp44
    | c2_1(a559) )).

cnf(clause72,negated_conjecture,
    ( ~ hskp43
    | c3_1(a557) )).

cnf(clause73,negated_conjecture,
    ( ~ hskp43
    | c0_1(a557) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp42
    | c1_1(a556) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp42
    | c3_1(a556) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp41
    | c3_1(a555) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp41
    | c0_1(a555) )).

cnf(clause78,negated_conjecture,
    ( ~ hskp40
    | c3_1(a551) )).

cnf(clause79,negated_conjecture,
    ( ~ hskp40
    | c2_1(a551) )).

cnf(clause80,negated_conjecture,
    ( ~ hskp39
    | c3_1(a549) )).

cnf(clause81,negated_conjecture,
    ( ~ hskp39
    | c2_1(a549) )).

cnf(clause82,negated_conjecture,
    ( ~ hskp39
    | c1_1(a549) )).

cnf(clause83,negated_conjecture,
    ( ~ hskp38
    | c2_1(a547) )).

cnf(clause84,negated_conjecture,
    ( ~ hskp38
    | c1_1(a547) )).

cnf(clause85,negated_conjecture,
    ( ~ hskp38
    | c0_1(a547) )).

cnf(clause86,negated_conjecture,
    ( ~ hskp37
    | c1_1(a544) )).

cnf(clause87,negated_conjecture,
    ( ~ hskp36
    | c0_1(a541) )).

cnf(clause88,negated_conjecture,
    ( ~ hskp36
    | c1_1(a541) )).

cnf(clause89,negated_conjecture,
    ( ~ hskp36
    | c2_1(a541) )).

cnf(clause90,negated_conjecture,
    ( ~ hskp35
    | c2_1(a538) )).

cnf(clause91,negated_conjecture,
    ( ~ hskp35
    | c1_1(a538) )).

cnf(clause92,negated_conjecture,
    ( ~ hskp35
    | c3_1(a538) )).

cnf(clause93,negated_conjecture,
    ( ~ hskp34
    | c0_1(a537) )).

cnf(clause94,negated_conjecture,
    ( ~ hskp34
    | c3_1(a537) )).

cnf(clause95,negated_conjecture,
    ( ~ hskp33
    | c1_1(a536) )).

cnf(clause96,negated_conjecture,
    ( ~ hskp33
    | c2_1(a536) )).

cnf(clause97,negated_conjecture,
    ( ~ hskp33
    | c0_1(a536) )).

cnf(clause98,negated_conjecture,
    ( ~ hskp32
    | c0_1(a596) )).

cnf(clause99,negated_conjecture,
    ( ~ hskp30
    | c1_1(a591) )).

cnf(clause100,negated_conjecture,
    ( ~ hskp28
    | c2_1(a589) )).

cnf(clause101,negated_conjecture,
    ( ~ hskp28
    | c3_1(a589) )).

cnf(clause102,negated_conjecture,
    ( ~ hskp27
    | c1_1(a586) )).

cnf(clause103,negated_conjecture,
    ( ~ hskp26
    | c0_1(a584) )).

cnf(clause104,negated_conjecture,
    ( ~ hskp26
    | c1_1(a584) )).

cnf(clause105,negated_conjecture,
    ( ~ hskp24
    | c2_1(a581) )).

cnf(clause106,negated_conjecture,
    ( ~ hskp23
    | c3_1(a578) )).

cnf(clause107,negated_conjecture,
    ( ~ hskp22
    | c1_1(a577) )).

cnf(clause108,negated_conjecture,
    ( ~ hskp21
    | c1_1(a576) )).

cnf(clause109,negated_conjecture,
    ( ~ hskp18
    | c0_1(a572) )).

cnf(clause110,negated_conjecture,
    ( ~ hskp17
    | c0_1(a571) )).

cnf(clause111,negated_conjecture,
    ( ~ hskp17
    | c3_1(a571) )).

cnf(clause112,negated_conjecture,
    ( ~ hskp16
    | c3_1(a570) )).

cnf(clause113,negated_conjecture,
    ( ~ hskp16
    | c1_1(a570) )).

cnf(clause114,negated_conjecture,
    ( ~ hskp14
    | c0_1(a567) )).

cnf(clause115,negated_conjecture,
    ( ~ hskp13
    | c3_1(a565) )).

cnf(clause116,negated_conjecture,
    ( ~ hskp13
    | c2_1(a565) )).

cnf(clause117,negated_conjecture,
    ( ~ hskp12
    | c3_1(a563) )).

cnf(clause118,negated_conjecture,
    ( ~ hskp11
    | c1_1(a560) )).

cnf(clause119,negated_conjecture,
    ( ~ hskp10
    | c3_1(a558) )).

cnf(clause120,negated_conjecture,
    ( ~ hskp7
    | c0_1(a550) )).

cnf(clause121,negated_conjecture,
    ( ~ hskp7
    | c3_1(a550) )).

cnf(clause122,negated_conjecture,
    ( ~ hskp6
    | c3_1(a548) )).

cnf(clause123,negated_conjecture,
    ( ~ hskp5
    | c2_1(a546) )).

cnf(clause124,negated_conjecture,
    ( ~ hskp4
    | c1_1(a545) )).

cnf(clause125,negated_conjecture,
    ( ~ hskp2
    | c2_1(a540) )).

cnf(clause126,negated_conjecture,
    ( ~ hskp2
    | c1_1(a540) )).

cnf(clause127,negated_conjecture,
    ( ~ hskp0
    | c1_1(a535) )).

cnf(clause128,negated_conjecture,
    ( ~ hskp0
    | c0_1(a535) )).

cnf(clause129,negated_conjecture,
    ( ~ c0_1(a595)
    | ~ hskp52 )).

cnf(clause130,negated_conjecture,
    ( ~ c2_1(a583)
    | ~ hskp51 )).

cnf(clause131,negated_conjecture,
    ( ~ c3_1(a574)
    | ~ hskp50 )).

cnf(clause132,negated_conjecture,
    ( ~ c0_1(a568)
    | ~ hskp49 )).

cnf(clause133,negated_conjecture,
    ( ~ c1_1(a568)
    | ~ hskp49 )).

cnf(clause134,negated_conjecture,
    ( ~ c3_1(a566)
    | ~ hskp48 )).

cnf(clause135,negated_conjecture,
    ( ~ c2_1(a566)
    | ~ hskp48 )).

cnf(clause136,negated_conjecture,
    ( ~ c2_1(a564)
    | ~ hskp47 )).

cnf(clause137,negated_conjecture,
    ( ~ c3_1(a562)
    | ~ hskp46 )).

cnf(clause138,negated_conjecture,
    ( ~ c0_1(a562)
    | ~ hskp46 )).

cnf(clause139,negated_conjecture,
    ( ~ c3_1(a561)
    | ~ hskp45 )).

cnf(clause140,negated_conjecture,
    ( ~ c2_1(a561)
    | ~ hskp45 )).

cnf(clause141,negated_conjecture,
    ( ~ c3_1(a559)
    | ~ hskp44 )).

cnf(clause142,negated_conjecture,
    ( ~ c1_1(a557)
    | ~ hskp43 )).

cnf(clause143,negated_conjecture,
    ( ~ c2_1(a556)
    | ~ hskp42 )).

cnf(clause144,negated_conjecture,
    ( ~ c2_1(a555)
    | ~ hskp41 )).

cnf(clause145,negated_conjecture,
    ( ~ c0_1(a551)
    | ~ hskp40 )).

cnf(clause146,negated_conjecture,
    ( ~ c2_1(a544)
    | ~ hskp37 )).

cnf(clause147,negated_conjecture,
    ( ~ c3_1(a544)
    | ~ hskp37 )).

cnf(clause148,negated_conjecture,
    ( ~ c1_1(a537)
    | ~ hskp34 )).

cnf(clause149,negated_conjecture,
    ( ~ c3_1(a596)
    | ~ hskp32 )).

cnf(clause150,negated_conjecture,
    ( ~ c2_1(a596)
    | ~ hskp32 )).

cnf(clause151,negated_conjecture,
    ( ~ c0_1(a594)
    | ~ hskp31 )).

cnf(clause152,negated_conjecture,
    ( ~ c3_1(a594)
    | ~ hskp31 )).

cnf(clause153,negated_conjecture,
    ( ~ c1_1(a594)
    | ~ hskp31 )).

cnf(clause154,negated_conjecture,
    ( ~ c2_1(a591)
    | ~ hskp30 )).

cnf(clause155,negated_conjecture,
    ( ~ c0_1(a591)
    | ~ hskp30 )).

cnf(clause156,negated_conjecture,
    ( ~ c3_1(a590)
    | ~ hskp29 )).

cnf(clause157,negated_conjecture,
    ( ~ c0_1(a590)
    | ~ hskp29 )).

cnf(clause158,negated_conjecture,
    ( ~ c1_1(a590)
    | ~ hskp29 )).

cnf(clause159,negated_conjecture,
    ( ~ c0_1(a589)
    | ~ hskp28 )).

cnf(clause160,negated_conjecture,
    ( ~ c0_1(a586)
    | ~ hskp27 )).

cnf(clause161,negated_conjecture,
    ( ~ c3_1(a586)
    | ~ hskp27 )).

cnf(clause162,negated_conjecture,
    ( ~ c3_1(a584)
    | ~ hskp26 )).

cnf(clause163,negated_conjecture,
    ( ~ c3_1(a582)
    | ~ hskp25 )).

cnf(clause164,negated_conjecture,
    ( ~ c2_1(a582)
    | ~ hskp25 )).

cnf(clause165,negated_conjecture,
    ( ~ c1_1(a582)
    | ~ hskp25 )).

cnf(clause166,negated_conjecture,
    ( ~ c1_1(a581)
    | ~ hskp24 )).

cnf(clause167,negated_conjecture,
    ( ~ c3_1(a581)
    | ~ hskp24 )).

cnf(clause168,negated_conjecture,
    ( ~ c0_1(a578)
    | ~ hskp23 )).

cnf(clause169,negated_conjecture,
    ( ~ c1_1(a578)
    | ~ hskp23 )).

cnf(clause170,negated_conjecture,
    ( ~ c3_1(a577)
    | ~ hskp22 )).

cnf(clause171,negated_conjecture,
    ( ~ c0_1(a577)
    | ~ hskp22 )).

cnf(clause172,negated_conjecture,
    ( ~ c0_1(a576)
    | ~ hskp21 )).

cnf(clause173,negated_conjecture,
    ( ~ c3_1(a576)
    | ~ hskp21 )).

cnf(clause174,negated_conjecture,
    ( ~ c2_1(a575)
    | ~ hskp20 )).

cnf(clause175,negated_conjecture,
    ( ~ c0_1(a575)
    | ~ hskp20 )).

cnf(clause176,negated_conjecture,
    ( ~ c3_1(a575)
    | ~ hskp20 )).

cnf(clause177,negated_conjecture,
    ( ~ c2_1(a573)
    | ~ hskp19 )).

cnf(clause178,negated_conjecture,
    ( ~ c0_1(a573)
    | ~ hskp19 )).

cnf(clause179,negated_conjecture,
    ( ~ c1_1(a573)
    | ~ hskp19 )).

cnf(clause180,negated_conjecture,
    ( ~ c3_1(a572)
    | ~ hskp18 )).

cnf(clause181,negated_conjecture,
    ( ~ c1_1(a572)
    | ~ hskp18 )).

cnf(clause182,negated_conjecture,
    ( ~ c2_1(a571)
    | ~ hskp17 )).

cnf(clause183,negated_conjecture,
    ( ~ c0_1(a570)
    | ~ hskp16 )).

cnf(clause184,negated_conjecture,
    ( ~ c0_1(a569)
    | ~ hskp15 )).

cnf(clause185,negated_conjecture,
    ( ~ c1_1(a569)
    | ~ hskp15 )).

cnf(clause186,negated_conjecture,
    ( ~ c2_1(a569)
    | ~ hskp15 )).

cnf(clause187,negated_conjecture,
    ( ~ c1_1(a567)
    | ~ hskp14 )).

cnf(clause188,negated_conjecture,
    ( ~ c3_1(a567)
    | ~ hskp14 )).

cnf(clause189,negated_conjecture,
    ( ~ c1_1(a565)
    | ~ hskp13 )).

cnf(clause190,negated_conjecture,
    ( ~ c0_1(a563)
    | ~ hskp12 )).

cnf(clause191,negated_conjecture,
    ( ~ c2_1(a563)
    | ~ hskp12 )).

cnf(clause192,negated_conjecture,
    ( ~ c3_1(a560)
    | ~ hskp11 )).

cnf(clause193,negated_conjecture,
    ( ~ c0_1(a560)
    | ~ hskp11 )).

cnf(clause194,negated_conjecture,
    ( ~ c1_1(a558)
    | ~ hskp10 )).

cnf(clause195,negated_conjecture,
    ( ~ c0_1(a558)
    | ~ hskp10 )).

cnf(clause196,negated_conjecture,
    ( ~ c0_1(a554)
    | ~ hskp9 )).

cnf(clause197,negated_conjecture,
    ( ~ c2_1(a554)
    | ~ hskp9 )).

cnf(clause198,negated_conjecture,
    ( ~ c1_1(a554)
    | ~ hskp9 )).

cnf(clause199,negated_conjecture,
    ( ~ c3_1(a552)
    | ~ hskp8 )).

cnf(clause200,negated_conjecture,
    ( ~ c1_1(a552)
    | ~ hskp8 )).

cnf(clause201,negated_conjecture,
    ( ~ c2_1(a552)
    | ~ hskp8 )).

cnf(clause202,negated_conjecture,
    ( ~ c1_1(a550)
    | ~ hskp7 )).

cnf(clause203,negated_conjecture,
    ( ~ c2_1(a548)
    | ~ hskp6 )).

cnf(clause204,negated_conjecture,
    ( ~ c0_1(a548)
    | ~ hskp6 )).

cnf(clause205,negated_conjecture,
    ( ~ c3_1(a546)
    | ~ hskp5 )).

cnf(clause206,negated_conjecture,
    ( ~ c1_1(a546)
    | ~ hskp5 )).

cnf(clause207,negated_conjecture,
    ( ~ c2_1(a545)
    | ~ hskp4 )).

cnf(clause208,negated_conjecture,
    ( ~ c0_1(a545)
    | ~ hskp4 )).

cnf(clause209,negated_conjecture,
    ( ~ c1_1(a543)
    | ~ hskp3 )).

cnf(clause210,negated_conjecture,
    ( ~ c0_1(a543)
    | ~ hskp3 )).

cnf(clause211,negated_conjecture,
    ( ~ c3_1(a543)
    | ~ hskp3 )).

cnf(clause212,negated_conjecture,
    ( ~ c3_1(a540)
    | ~ hskp2 )).

cnf(clause213,negated_conjecture,
    ( ~ c2_1(a539)
    | ~ hskp1 )).

cnf(clause214,negated_conjecture,
    ( ~ c1_1(a539)
    | ~ hskp1 )).

cnf(clause215,negated_conjecture,
    ( ~ c0_1(a539)
    | ~ hskp1 )).

cnf(clause216,negated_conjecture,
    ( ~ c2_1(a535)
    | ~ hskp0 )).

cnf(clause217,negated_conjecture,
    ( ~ ndr1_0
    | hskp28
    | c1_1(U)
    | c0_1(U)
    | c2_1(U) )).

cnf(clause218,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | hskp44
    | hskp11 )).

cnf(clause219,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp13
    | hskp48 )).

cnf(clause220,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | hskp19
    | hskp50 )).

cnf(clause221,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(U)
    | hskp39
    | hskp24 )).

cnf(clause222,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(U)
    | hskp29
    | hskp30 )).

cnf(clause223,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp7
    | hskp40 )).

cnf(clause224,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp9
    | hskp41 )).

cnf(clause225,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp20
    | hskp21 )).

cnf(clause226,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp22
    | hskp23 )).

cnf(clause227,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | hskp1
    | hskp2 )).

cnf(clause228,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c3_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp38 )).

cnf(clause229,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | c3_1(V)
    | c2_1(V)
    | c1_1(V)
    | hskp14 )).

cnf(clause230,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c2_1(V)
    | c3_1(V)
    | c0_1(V)
    | hskp33 )).

cnf(clause231,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c0_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp6 )).

cnf(clause232,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | c3_1(V)
    | hskp45 )).

cnf(clause233,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp12 )).

cnf(clause234,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(V)
    | c2_1(V)
    | c1_1(V)
    | hskp51 )).

cnf(clause235,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c0_1(U)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp26 )).

cnf(clause236,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp0 )).

cnf(clause237,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp34 )).

cnf(clause238,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(U)
    | c3_1(V)
    | hskp35 )).

cnf(clause239,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c1_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp37 )).

cnf(clause240,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(U)
    | c3_1(V)
    | hskp5 )).

cnf(clause241,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c2_1(U)
    | c3_1(V)
    | c0_1(V)
    | hskp39 )).

cnf(clause242,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c1_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp8 )).

cnf(clause243,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | hskp43 )).

cnf(clause244,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c2_1(V)
    | hskp49 )).

cnf(clause245,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c3_1(U)
    | c2_1(U)
    | c1_1(V)
    | hskp15 )).

cnf(clause246,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c2_1(V)
    | c0_1(V)
    | hskp46 )).

cnf(clause247,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(V)
    | c0_1(V)
    | hskp4 )).

cnf(clause248,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c0_1(V)
    | hskp46 )).

cnf(clause249,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c3_1(U)
    | c0_1(V)
    | hskp47 )).

cnf(clause250,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c3_1(V)
    | c0_1(V)
    | hskp34 )).

cnf(clause251,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(V)
    | c0_1(V)
    | hskp46 )).

cnf(clause252,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c3_1(U)
    | c3_1(V)
    | hskp32 )).

cnf(clause253,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c1_1(V)
    | hskp38 )).

cnf(clause254,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c2_1(U)
    | hskp42 )).

cnf(clause255,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c0_1(V)
    | hskp10 )).

cnf(clause256,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | c2_1(V)
    | hskp25 )).

cnf(clause257,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(W)
    | ~ c0_1(W)
    | c0_1(U)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | c2_1(W) )).

cnf(clause258,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c2_1(U)
    | c2_1(W)
    | c3_1(W)
    | c1_1(W)
    | c1_1(V) )).

cnf(clause259,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c0_1(W)
    | ~ c3_1(W)
    | c2_1(U)
    | c1_1(V)
    | c3_1(V)
    | c1_1(W) )).

cnf(clause260,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | ~ c1_1(W)
    | ~ c0_1(W)
    | c2_1(V)
    | c1_1(V)
    | c2_1(W) )).

%--------------------------------------------------------------------------
