%--------------------------------------------------------------------------
% File     : SYN459-1 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=60, K=3, D=1, P=0, Index=073
% Version  : Especial.
% English  :

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-60-3-1-073.cnf [Wei97]

% Status   : Unsatisfiable
% Rating   : 0.25 v6.1.0, 0.00 v4.0.1, 0.20 v3.7.0, 0.00 v3.1.0, 0.11 v2.7.0, 0.33 v2.6.0, 0.44 v2.5.0, 0.00 v2.4.0, 0.50 v2.3.0, 0.33 v2.2.1, 0.00 v2.2.0, 0.67 v2.1.0
% Syntax   : Number of clauses     :  163 (  59 non-Horn;   0 unit; 155 RR)
%            Number of atoms       :  631 (   0 equality)
%            Maximal clause size   :   10 (   4 average)
%            Number of predicates  :   31 (  27 propositional; 0-1 arity)
%            Number of functors    :   26 (  26 constant; 0-0 arity)
%            Number of variables   :   98 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments : These ALC problems have been translated from propositional
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( hskp25
    | hskp15
    | hskp2 )).

cnf(clause28,negated_conjecture,
    ( hskp23
    | hskp9
    | hskp2 )).

cnf(clause29,negated_conjecture,
    ( hskp1
    | hskp9
    | hskp0 )).

cnf(clause30,negated_conjecture,
    ( hskp5
    | hskp15
    | hskp21 )).

cnf(clause31,negated_conjecture,
    ( hskp24
    | hskp22
    | hskp2 )).

cnf(clause32,negated_conjecture,
    ( hskp7
    | hskp14
    | hskp9 )).

cnf(clause33,negated_conjecture,
    ( hskp14
    | hskp15
    | hskp12 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp25
    | c0_1(a230) )).

cnf(clause35,negated_conjecture,
    ( ~ hskp25
    | c1_1(a230) )).

cnf(clause36,negated_conjecture,
    ( ~ hskp25
    | c2_1(a230) )).

cnf(clause37,negated_conjecture,
    ( ~ hskp24
    | c1_1(a215) )).

cnf(clause38,negated_conjecture,
    ( ~ hskp24
    | c2_1(a215) )).

cnf(clause39,negated_conjecture,
    ( ~ hskp24
    | c3_1(a215) )).

cnf(clause40,negated_conjecture,
    ( ~ hskp23
    | c0_1(a189) )).

cnf(clause41,negated_conjecture,
    ( ~ hskp23
    | c1_1(a189) )).

cnf(clause42,negated_conjecture,
    ( ~ hskp23
    | c3_1(a189) )).

cnf(clause43,negated_conjecture,
    ( ~ hskp22
    | c3_1(a259) )).

cnf(clause44,negated_conjecture,
    ( ~ hskp21
    | c2_1(a257) )).

cnf(clause45,negated_conjecture,
    ( ~ hskp20
    | c2_1(a233) )).

cnf(clause46,negated_conjecture,
    ( ~ hskp20
    | c3_1(a233) )).

cnf(clause47,negated_conjecture,
    ( ~ hskp19
    | c3_1(a225) )).

cnf(clause48,negated_conjecture,
    ( ~ hskp18
    | c3_1(a223) )).

cnf(clause49,negated_conjecture,
    ( ~ hskp17
    | c1_1(a222) )).

cnf(clause50,negated_conjecture,
    ( ~ hskp17
    | c2_1(a222) )).

cnf(clause51,negated_conjecture,
    ( ~ hskp15
    | c2_1(a214) )).

cnf(clause52,negated_conjecture,
    ( ~ hskp14
    | c2_1(a210) )).

cnf(clause53,negated_conjecture,
    ( ~ hskp14
    | c3_1(a210) )).

cnf(clause54,negated_conjecture,
    ( ~ hskp13
    | c1_1(a209) )).

cnf(clause55,negated_conjecture,
    ( ~ hskp13
    | c3_1(a209) )).

cnf(clause56,negated_conjecture,
    ( ~ hskp11
    | c0_1(a202) )).

cnf(clause57,negated_conjecture,
    ( ~ hskp10
    | c0_1(a200) )).

cnf(clause58,negated_conjecture,
    ( ~ hskp10
    | c3_1(a200) )).

cnf(clause59,negated_conjecture,
    ( ~ hskp9
    | c2_1(a199) )).

cnf(clause60,negated_conjecture,
    ( ~ hskp8
    | c1_1(a198) )).

cnf(clause61,negated_conjecture,
    ( ~ hskp8
    | c3_1(a198) )).

cnf(clause62,negated_conjecture,
    ( ~ hskp7
    | c1_1(a197) )).

cnf(clause63,negated_conjecture,
    ( ~ hskp6
    | c0_1(a195) )).

cnf(clause64,negated_conjecture,
    ( ~ hskp5
    | c0_1(a194) )).

cnf(clause65,negated_conjecture,
    ( ~ hskp4
    | c1_1(a193) )).

cnf(clause66,negated_conjecture,
    ( ~ hskp3
    | c0_1(a192) )).

cnf(clause67,negated_conjecture,
    ( ~ hskp3
    | c1_1(a192) )).

cnf(clause68,negated_conjecture,
    ( ~ hskp1
    | c0_1(a190) )).

cnf(clause69,negated_conjecture,
    ( ~ hskp1
    | c2_1(a190) )).

cnf(clause70,negated_conjecture,
    ( ~ c0_1(a259)
    | ~ hskp22 )).

cnf(clause71,negated_conjecture,
    ( ~ c2_1(a259)
    | ~ hskp22 )).

cnf(clause72,negated_conjecture,
    ( ~ c1_1(a257)
    | ~ hskp21 )).

cnf(clause73,negated_conjecture,
    ( ~ c3_1(a257)
    | ~ hskp21 )).

cnf(clause74,negated_conjecture,
    ( ~ c0_1(a233)
    | ~ hskp20 )).

cnf(clause75,negated_conjecture,
    ( ~ c0_1(a225)
    | ~ hskp19 )).

cnf(clause76,negated_conjecture,
    ( ~ c1_1(a225)
    | ~ hskp19 )).

cnf(clause77,negated_conjecture,
    ( ~ c1_1(a223)
    | ~ hskp18 )).

cnf(clause78,negated_conjecture,
    ( ~ c2_1(a223)
    | ~ hskp18 )).

cnf(clause79,negated_conjecture,
    ( ~ c3_1(a222)
    | ~ hskp17 )).

cnf(clause80,negated_conjecture,
    ( ~ c0_1(a221)
    | ~ hskp16 )).

cnf(clause81,negated_conjecture,
    ( ~ c1_1(a221)
    | ~ hskp16 )).

cnf(clause82,negated_conjecture,
    ( ~ c2_1(a221)
    | ~ hskp16 )).

cnf(clause83,negated_conjecture,
    ( ~ c0_1(a214)
    | ~ hskp15 )).

cnf(clause84,negated_conjecture,
    ( ~ c3_1(a214)
    | ~ hskp15 )).

cnf(clause85,negated_conjecture,
    ( ~ c1_1(a210)
    | ~ hskp14 )).

cnf(clause86,negated_conjecture,
    ( ~ c0_1(a209)
    | ~ hskp13 )).

cnf(clause87,negated_conjecture,
    ( ~ c0_1(a206)
    | ~ hskp12 )).

cnf(clause88,negated_conjecture,
    ( ~ c2_1(a206)
    | ~ hskp12 )).

cnf(clause89,negated_conjecture,
    ( ~ c3_1(a206)
    | ~ hskp12 )).

cnf(clause90,negated_conjecture,
    ( ~ c2_1(a202)
    | ~ hskp11 )).

cnf(clause91,negated_conjecture,
    ( ~ c3_1(a202)
    | ~ hskp11 )).

cnf(clause92,negated_conjecture,
    ( ~ c1_1(a200)
    | ~ hskp10 )).

cnf(clause93,negated_conjecture,
    ( ~ c0_1(a199)
    | ~ hskp9 )).

cnf(clause94,negated_conjecture,
    ( ~ c1_1(a199)
    | ~ hskp9 )).

cnf(clause95,negated_conjecture,
    ( ~ c2_1(a198)
    | ~ hskp8 )).

cnf(clause96,negated_conjecture,
    ( ~ c0_1(a197)
    | ~ hskp7 )).

cnf(clause97,negated_conjecture,
    ( ~ c2_1(a197)
    | ~ hskp7 )).

cnf(clause98,negated_conjecture,
    ( ~ c1_1(a195)
    | ~ hskp6 )).

cnf(clause99,negated_conjecture,
    ( ~ c3_1(a195)
    | ~ hskp6 )).

cnf(clause100,negated_conjecture,
    ( ~ c1_1(a194)
    | ~ hskp5 )).

cnf(clause101,negated_conjecture,
    ( ~ c2_1(a194)
    | ~ hskp5 )).

cnf(clause102,negated_conjecture,
    ( ~ c0_1(a193)
    | ~ hskp4 )).

cnf(clause103,negated_conjecture,
    ( ~ c3_1(a193)
    | ~ hskp4 )).

cnf(clause104,negated_conjecture,
    ( ~ c3_1(a192)
    | ~ hskp3 )).

cnf(clause105,negated_conjecture,
    ( ~ c1_1(a191)
    | ~ hskp2 )).

cnf(clause106,negated_conjecture,
    ( ~ c2_1(a191)
    | ~ hskp2 )).

cnf(clause107,negated_conjecture,
    ( ~ c3_1(a191)
    | ~ hskp2 )).

cnf(clause108,negated_conjecture,
    ( ~ c3_1(a190)
    | ~ hskp1 )).

cnf(clause109,negated_conjecture,
    ( ~ c0_1(a188)
    | ~ hskp0 )).

cnf(clause110,negated_conjecture,
    ( ~ c1_1(a188)
    | ~ hskp0 )).

cnf(clause111,negated_conjecture,
    ( ~ c3_1(a188)
    | ~ hskp0 )).

cnf(clause112,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | c3_1(U)
    | hskp1 )).

cnf(clause113,negated_conjecture,
    ( ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c3_1(U)
    | hskp6 )).

cnf(clause114,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c1_1(U)
    | hskp3
    | hskp4 )).

cnf(clause115,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | hskp8
    | hskp9 )).

cnf(clause116,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c3_1(U)
    | hskp11
    | hskp9 )).

cnf(clause117,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp23
    | hskp16 )).

cnf(clause118,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c3_1(U)
    | hskp17
    | hskp18 )).

cnf(clause119,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | hskp3
    | hskp12 )).

cnf(clause120,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp8
    | hskp4 )).

cnf(clause121,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp25
    | hskp16 )).

cnf(clause122,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | hskp4
    | hskp20 )).

cnf(clause123,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp7
    | hskp4 )).

cnf(clause124,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp7
    | hskp9 )).

cnf(clause125,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp10
    | hskp24 )).

cnf(clause126,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp1
    | hskp2 )).

cnf(clause127,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp23
    | hskp5 )).

cnf(clause128,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | hskp16
    | hskp12 )).

cnf(clause129,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | c2_1(U)
    | c0_1(V)
    | c1_1(V)
    | c3_1(V)
    | hskp23 )).

cnf(clause130,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp15 )).

cnf(clause131,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp0 )).

cnf(clause132,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c0_1(V)
    | c2_1(V)
    | hskp10 )).

cnf(clause133,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(U)
    | c3_1(U)
    | c0_1(V)
    | c3_1(V)
    | hskp5 )).

cnf(clause134,negated_conjecture,
    ( ~ ndr1_0
    | ~ c1_1(U)
    | ~ c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | c0_1(U)
    | hskp10 )).

cnf(clause135,negated_conjecture,
    ( ~ ndr1_0
    | ~ c2_1(U)
    | ~ c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | c0_1(U)
    | hskp13 )).

cnf(clause136,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c2_1(U)
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | hskp1 )).

cnf(clause137,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c3_1(U)
    | c0_1(V)
    | c1_1(V)
    | hskp2 )).

cnf(clause138,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | hskp2 )).

cnf(clause139,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c1_1(U)
    | c1_1(V)
    | c2_1(V)
    | hskp24 )).

cnf(clause140,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | hskp1 )).

cnf(clause141,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c3_1(V)
    | c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | hskp13 )).

cnf(clause142,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c2_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp24 )).

cnf(clause143,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c3_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp19 )).

cnf(clause144,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | c0_1(V)
    | c2_1(V)
    | hskp7 )).

cnf(clause145,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c2_1(U)
    | c0_1(V)
    | hskp0 )).

cnf(clause146,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c3_1(U)
    | c0_1(V)
    | hskp12 )).

cnf(clause147,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c1_1(U)
    | c0_1(V)
    | hskp14 )).

cnf(clause148,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c1_1(V)
    | c2_1(V)
    | hskp9 )).

cnf(clause149,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | c2_1(V)
    | c3_1(V)
    | hskp13 )).

cnf(clause150,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | c3_1(U)
    | c2_1(V)
    | hskp12 )).

cnf(clause151,negated_conjecture,
    ( ~ ndr1_0
    | ~ c3_1(U)
    | c1_1(V)
    | c2_1(V)
    | c3_1(V)
    | c0_1(U)
    | c2_1(U)
    | c0_1(W)
    | c1_1(W)
    | c2_1(W) )).

cnf(clause152,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | c0_1(V)
    | hskp6 )).

cnf(clause153,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(V)
    | c0_1(V)
    | hskp7 )).

cnf(clause154,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c2_1(W)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | c0_1(W)
    | c1_1(W) )).

cnf(clause155,negated_conjecture,
    ( ~ c0_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c3_1(V)
    | ~ c2_1(W)
    | c1_1(U)
    | c2_1(U)
    | c0_1(V)
    | c0_1(W)
    | c1_1(W) )).

cnf(clause156,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c3_1(W)
    | c3_1(U)
    | c1_1(V)
    | c3_1(V)
    | c0_1(W)
    | c2_1(W) )).

cnf(clause157,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c3_1(W)
    | c1_1(U)
    | c0_1(V)
    | c0_1(W)
    | c2_1(W) )).

cnf(clause158,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(W)
    | c2_1(V)
    | c3_1(V)
    | c0_1(W)
    | c3_1(W) )).

cnf(clause159,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c0_1(W)
    | c2_1(V)
    | c3_1(V)
    | c1_1(W)
    | c2_1(W) )).

cnf(clause160,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c0_1(W)
    | ~ c2_1(W)
    | c2_1(V)
    | c3_1(V)
    | c1_1(W) )).

cnf(clause161,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c3_1(V)
    | ~ c2_1(W)
    | ~ c3_1(W)
    | c3_1(U)
    | c2_1(V)
    | c1_1(W) )).

cnf(clause162,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c2_1(V)
    | ~ c0_1(W)
    | c3_1(V)
    | c2_1(W)
    | c3_1(W) )).

cnf(clause163,negated_conjecture,
    ( ~ c0_1(U)
    | ~ c2_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c1_1(V)
    | ~ c3_1(V)
    | ~ c0_1(W)
    | c1_1(W)
    | c3_1(W) )).

%--------------------------------------------------------------------------
