%------------------------------------------------------------------------------
% File     : LCL673+1.005 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal Logic)
% Problem  : In S4, A5 not provable, size 5
% Version  : Especial.
% English  :

% Refs     : [BHS00] Balsiger et al. (2000), A Benchmark Method for the Pro
%          : [Kam08] Kaminski (2008), Email to G. Sutcliffe
% Source   : [Kam08]
% Names    : s4_45_n [BHS00]

% Status   : CounterSatisfiable
% Rating   : 0.33 v6.1.0, 0.20 v6.0.0, 0.14 v5.5.0, 0.29 v5.4.0, 0.80 v5.3.0, 0.85 v5.2.0, 0.62 v5.0.0, 0.67 v4.1.0, 0.50 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       :  684 (   0 equality)
%            Maximal formula depth :   68 (  25 average)
%            Number of connectives : 1453 ( 772 ~  ; 494  |; 186  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  405 (   0 singleton; 404 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_CSA_RFO_NEQ

% Comments : A naive relational encoding of the modal logic problem into
%            first-order logic.
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : r1(X,X) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] :
      ( ( r1(X,Y)
        & r1(Y,Z) )
     => r1(X,Z) ) )).

fof(main,conjecture,(
    ~ ( ? [X] :
          ~ ( ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ p1(Y)
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X) )
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X)
                                                                              | ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ ( ~ p1(Y)
                                                                                          & ! [X] :
                                                                                              ( ~ r1(Y,X)
                                                                                              | p1(X) ) ) ) ) )
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X)
                                                                              | ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ p1(Y)
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ ( ! [X] :
                                                                                              ( ~ r1(Y,X)
                                                                                              | ~ p1(X) ) ) ) ) )
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ p1(Y) ) ) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p2(Y) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) ) )
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X) ) ) ) )
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | p1(Y) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ p1(X)
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y) )
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y)
                                                                  | ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ ( ~ p1(X)
                                                                              & ! [Y] :
                                                                                  ( ~ r1(X,Y)
                                                                                  | p1(Y) ) ) ) ) )
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y)
                                                                  | ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ p1(X)
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ ( ! [Y] :
                                                                                  ( ~ r1(X,Y)
                                                                                  | ~ p1(Y) ) ) ) ) )
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ p1(X) ) ) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p2(X) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) ) )
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y) ) ) ) )
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | p1(X) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ p1(Y)
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X) )
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X)
                                                      | ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ ( ~ p1(Y)
                                                                  & ! [X] :
                                                                      ( ~ r1(Y,X)
                                                                      | p1(X) ) ) ) ) )
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X)
                                                      | ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ p1(Y)
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ ( ! [X] :
                                                                      ( ~ r1(Y,X)
                                                                      | ~ p1(X) ) ) ) ) )
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ p1(Y) ) ) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p2(Y) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) ) )
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X) ) ) ) )
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | p1(Y) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ p1(X)
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y) )
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ ( ~ p1(X)
                                                      & ! [Y] :
                                                          ( ~ r1(X,Y)
                                                          | p1(Y) ) ) ) ) )
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ p1(X)
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ ( ! [Y] :
                                                          ( ~ r1(X,Y)
                                                          | ~ p1(Y) ) ) ) ) )
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ p1(X) ) ) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p2(X) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) ) )
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y) ) ) ) )
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | p1(X) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ p1(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X)
                              | ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y) ) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ ( ~ p1(Y)
                                          & ! [X] :
                                              ( ~ r1(Y,X)
                                              | p1(X) ) ) ) ) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X)
                              | ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y) ) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ p1(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ ( ! [X] :
                                              ( ~ r1(Y,X)
                                              | ~ p1(X) ) ) ) ) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ p1(Y) ) ) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ( ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p2(Y) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y) ) ) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X) ) ) ) )
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | p1(Y) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p2(Y) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p2(X) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p2(Y) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p2(X) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p2(Y) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | p1(Y) ) ) ) )).

%------------------------------------------------------------------------------
