%------------------------------------------------------------------------------
% File     : LAT386+1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Lattice Theory
% Problem  : Tarski-Knaster fixed point theorem 03_01_03, 00 expansion
% Version  : Especial.
% English  :

% Refs     : [VLP07] Verchinine et al. (2007), System for Automated Deduction
%          : [Pas08] Paskevich (2008), Email to G. Sutcliffe
%          : [VL+08] Verchinine et al. (2008), On Correctness of Mathematic
% Source   : [Pas08]
% Names    : tarski_03_01_03.00 [Pas08]

% Status   : CounterSatisfiable
% Rating   : 0.27 v6.1.0, 0.36 v6.0.0, 0.54 v5.5.0, 0.12 v5.4.0, 0.29 v5.3.0, 0.57 v5.2.0, 0.50 v5.0.0, 0.57 v4.1.0, 0.80 v4.0.0
% Syntax   : Number of formulae    :   29 (   4 unit)
%            Number of atoms       :  107 (   8 equality)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   79 (   1 ~  ;   0  |;  25  &)
%                                         (  10 <=>;  43 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :   16 (   0 propositional; 1-3 arity)
%            Number of functors    :   11 (   6 constant; 0-3 arity)
%            Number of variables   :   57 (   0 singleton;  54 !;   3 ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_CSA_RFO_SEQ

% Comments : Problem generated by the SAD system [VLP07]
%------------------------------------------------------------------------------
fof(mSetSort,axiom,(
    ! [W0] :
      ( aSet0(W0)
     => $true ) )).

fof(mElmSort,axiom,(
    ! [W0] :
      ( aElement0(W0)
     => $true ) )).

fof(mEOfElem,axiom,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aElementOf0(W1,W0)
         => aElement0(W1) ) ) )).

fof(mDefEmpty,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ( isEmpty0(W0)
      <=> ~ ( ? [W1] : aElementOf0(W1,W0) ) ) ) )).

fof(mDefSub,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
        <=> ( aSet0(W1)
            & ! [W2] :
                ( aElementOf0(W2,W1)
               => aElementOf0(W2,W0) ) ) ) ) )).

fof(mLessRel,axiom,(
    ! [W0,W1] :
      ( ( aElement0(W0)
        & aElement0(W1) )
     => ( sdtlseqdt0(W0,W1)
       => $true ) ) )).

fof(mARefl,axiom,(
    ! [W0] :
      ( aElement0(W0)
     => sdtlseqdt0(W0,W0) ) )).

fof(mASymm,axiom,(
    ! [W0,W1] :
      ( ( aElement0(W0)
        & aElement0(W1) )
     => ( ( sdtlseqdt0(W0,W1)
          & sdtlseqdt0(W1,W0) )
       => W0 = W1 ) ) )).

fof(mTrans,axiom,(
    ! [W0,W1,W2] :
      ( ( aElement0(W0)
        & aElement0(W1)
        & aElement0(W2) )
     => ( ( sdtlseqdt0(W0,W1)
          & sdtlseqdt0(W1,W2) )
       => sdtlseqdt0(W0,W2) ) ) )).

fof(mDefLB,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2] :
              ( aLowerBoundOfIn0(W2,W1,W0)
            <=> ( aElementOf0(W2,W0)
                & ! [W3] :
                    ( aElementOf0(W3,W1)
                   => sdtlseqdt0(W2,W3) ) ) ) ) ) )).

fof(mDefUB,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2] :
              ( aUpperBoundOfIn0(W2,W1,W0)
            <=> ( aElementOf0(W2,W0)
                & ! [W3] :
                    ( aElementOf0(W3,W1)
                   => sdtlseqdt0(W3,W2) ) ) ) ) ) )).

fof(mDefInf,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2] :
              ( aInfimumOfIn0(W2,W1,W0)
            <=> ( aElementOf0(W2,W0)
                & aLowerBoundOfIn0(W2,W1,W0)
                & ! [W3] :
                    ( aLowerBoundOfIn0(W3,W1,W0)
                   => sdtlseqdt0(W3,W2) ) ) ) ) ) )).

fof(mDefSup,definition,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2] :
              ( aSupremumOfIn0(W2,W1,W0)
            <=> ( aElementOf0(W2,W0)
                & aUpperBoundOfIn0(W2,W1,W0)
                & ! [W3] :
                    ( aUpperBoundOfIn0(W3,W1,W0)
                   => sdtlseqdt0(W2,W3) ) ) ) ) ) )).

fof(mSupUn,axiom,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2,W3] :
              ( ( aSupremumOfIn0(W2,W1,W0)
                & aSupremumOfIn0(W3,W1,W0) )
             => W2 = W3 ) ) ) )).

fof(mInfUn,axiom,(
    ! [W0] :
      ( aSet0(W0)
     => ! [W1] :
          ( aSubsetOf0(W1,W0)
         => ! [W2,W3] :
              ( ( aInfimumOfIn0(W2,W1,W0)
                & aInfimumOfIn0(W3,W1,W0) )
             => W2 = W3 ) ) ) )).

fof(mDefCLat,definition,(
    ! [W0] :
      ( aCompleteLattice0(W0)
    <=> ( aSet0(W0)
        & ! [W1] :
            ( aSubsetOf0(W1,W0)
           => ? [W2] :
                ( aInfimumOfIn0(W2,W1,W0)
                & ? [W3] : aSupremumOfIn0(W3,W1,W0) ) ) ) ) )).

fof(mConMap,axiom,(
    ! [W0] :
      ( aFunction0(W0)
     => $true ) )).

fof(mDomSort,axiom,(
    ! [W0] :
      ( aFunction0(W0)
     => aSet0(szDzozmdt0(W0)) ) )).

fof(mRanSort,axiom,(
    ! [W0] :
      ( aFunction0(W0)
     => aSet0(szRzazndt0(W0)) ) )).

fof(mDefDom,definition,(
    ! [W0,W1] :
      ( ( aFunction0(W0)
        & aSet0(W1) )
     => ( isOn0(W0,W1)
      <=> ( szDzozmdt0(W0) = szRzazndt0(W0)
          & szRzazndt0(W0) = W1 ) ) ) )).

fof(mImgSort,axiom,(
    ! [W0] :
      ( aFunction0(W0)
     => ! [W1] :
          ( aElementOf0(W1,szDzozmdt0(W0))
         => aElementOf0(sdtlpdtrp0(W0,W1),szRzazndt0(W0)) ) ) )).

fof(mDefFix,definition,(
    ! [W0] :
      ( aFunction0(W0)
     => ! [W1] :
          ( aFixedPointOf0(W1,W0)
        <=> ( aElementOf0(W1,szDzozmdt0(W0))
            & sdtlpdtrp0(W0,W1) = W1 ) ) ) )).

fof(mDefMonot,definition,(
    ! [W0] :
      ( aFunction0(W0)
     => ( isMonotone0(W0)
      <=> ! [W1,W2] :
            ( ( aElementOf0(W1,szDzozmdt0(W0))
              & aElementOf0(W2,szDzozmdt0(W0)) )
           => ( sdtlseqdt0(W1,W2)
             => sdtlseqdt0(sdtlpdtrp0(W0,W1),sdtlpdtrp0(W0,W2)) ) ) ) ) )).

fof(m__1123,hypothesis,
    ( aCompleteLattice0(xU)
    & aFunction0(xf)
    & isMonotone0(xf)
    & isOn0(xf,xU) )).

fof(m__1144,hypothesis,(
    xS = cS1142(xf) )).

fof(m__1173,hypothesis,(
    aSubsetOf0(xT,xS) )).

fof(m__1244,hypothesis,(
    xP = cS1241(xU,xf,xT) )).

fof(m__1261,hypothesis,(
    aInfimumOfIn0(xp,xP,xU) )).

fof(m__,conjecture,
    ( aLowerBoundOfIn0(sdtlpdtrp0(xf,xp),xP,xU)
    & aUpperBoundOfIn0(sdtlpdtrp0(xf,xp),xT,xU) )).

%------------------------------------------------------------------------------
