%------------------------------------------------------------------------------
% File     : KLE148+2 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Kleene Algebra (Demonic Refinement Algebra)
% Problem  : Blocking law
% Version  : [Hoe08] axioms.
% English  : If y is blocked by x then x before strong iteration of y reduces
%            to x.

% Refs     : [vW02]  von Wright (2002), From Kleene Algebra to Refinement A
%          : [HS07]  Hoefner & Struth (2007), Automated Reasoning in Kleene
%          : [Hoe08] Hoefner (2008), Email to G. Sutcliffe
% Source   : [Hoe08]
% Names    :

% Status   : Theorem
% Rating   : 0.40 v6.1.0, 0.47 v6.0.0, 0.48 v5.5.0, 0.59 v5.4.0, 0.57 v5.3.0, 0.67 v5.2.0, 0.55 v5.1.0, 0.57 v5.0.0, 0.50 v4.1.0, 0.48 v4.0.0
% Syntax   : Number of formulae    :   19 (  14 unit)
%            Number of atoms       :   25 (  16 equality)
%            Maximal formula depth :    5 (   3 average)
%            Number of connectives :    6 (   0 ~  ;   0  |;   1  &)
%                                         (   1 <=>;   4 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   36 (   0 singleton;  36 !;   0 ?)
%            Maximal term depth    :    4 (   2 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%---Include axioms for demonic refinement algebra
include('Axioms/KLE004+0.ax').
%------------------------------------------------------------------------------
fof(goals,conjecture,(
    ! [X0,X1] :
      ( ( multiplication(X0,X1) = zero
       => leq(multiplication(X0,strong_iteration(X1)),X0) )
      & leq(X0,multiplication(X0,strong_iteration(X1))) ) )).

%------------------------------------------------------------------------------
