%------------------------------------------------------------------------------
% File     : NUM511+3 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Number Theory
% Problem  : Square root of a prime is irrational 14_03_03_05_02, 02 expansion
% Version  : Especial.
% English  :

% Refs     : [LPV06] Lyaletski et al. (2006), SAD as a Mathematical Assista
%          : [VLP07] Verchinine et al. (2007), System for Automated Deduction
%          : [Pas08] Paskevich (2008), Email to G. Sutcliffe
% Source   : [Pas08]
% Names    : primes_14_03_03_05_02.02 [Pas08]

% Status   : Theorem
% Rating   : 0.68 v6.1.0, 0.77 v6.0.0, 0.74 v5.5.0, 0.78 v5.4.0, 0.79 v5.3.0, 0.89 v5.2.0, 0.80 v5.1.0, 0.86 v5.0.0, 0.88 v4.1.0, 0.91 v4.0.0
% Syntax   : Number of formulae    :   54 (   1 unit)
%            Number of atoms       :  285 ( 101 equality)
%            Maximal formula depth :   16 (   6 average)
%            Number of connectives :  266 (  35 ~  ;  20  |; 139  &)
%                                         (   5 <=>;  67 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    6 (   0 propositional; 1-2 arity)
%            Number of functors    :   11 (   7 constant; 0-2 arity)
%            Number of variables   :  108 (   0 singleton;  85 !;  23 ?)
%            Maximal term depth    :    3 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments : Problem generated by the SAD system [VLP07]
%------------------------------------------------------------------------------
fof(mNatSort,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => $true ) )).

fof(mSortsC,axiom,(
    aNaturalNumber0(sz00) )).

fof(mSortsC_01,axiom,
    ( aNaturalNumber0(sz10)
    & sz10 != sz00 )).

fof(mSortsB,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => aNaturalNumber0(sdtpldt0(W0,W1)) ) )).

fof(mSortsB_02,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => aNaturalNumber0(sdtasdt0(W0,W1)) ) )).

fof(mAddComm,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => sdtpldt0(W0,W1) = sdtpldt0(W1,W0) ) )).

fof(mAddAsso,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => sdtpldt0(sdtpldt0(W0,W1),W2) = sdtpldt0(W0,sdtpldt0(W1,W2)) ) )).

fof(m_AddZero,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( sdtpldt0(W0,sz00) = W0
        & W0 = sdtpldt0(sz00,W0) ) ) )).

fof(mMulComm,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => sdtasdt0(W0,W1) = sdtasdt0(W1,W0) ) )).

fof(mMulAsso,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => sdtasdt0(sdtasdt0(W0,W1),W2) = sdtasdt0(W0,sdtasdt0(W1,W2)) ) )).

fof(m_MulUnit,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( sdtasdt0(W0,sz10) = W0
        & W0 = sdtasdt0(sz10,W0) ) ) )).

fof(m_MulZero,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( sdtasdt0(W0,sz00) = sz00
        & sz00 = sdtasdt0(sz00,W0) ) ) )).

fof(mAMDistr,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( sdtasdt0(W0,sdtpldt0(W1,W2)) = sdtpldt0(sdtasdt0(W0,W1),sdtasdt0(W0,W2))
        & sdtasdt0(sdtpldt0(W1,W2),W0) = sdtpldt0(sdtasdt0(W1,W0),sdtasdt0(W2,W0)) ) ) )).

fof(mAddCanc,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( sdtpldt0(W0,W1) = sdtpldt0(W0,W2)
          | sdtpldt0(W1,W0) = sdtpldt0(W2,W0) )
       => W1 = W2 ) ) )).

fof(mMulCanc,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( W0 != sz00
       => ! [W1,W2] :
            ( ( aNaturalNumber0(W1)
              & aNaturalNumber0(W2) )
           => ( ( sdtasdt0(W0,W1) = sdtasdt0(W0,W2)
                | sdtasdt0(W1,W0) = sdtasdt0(W2,W0) )
             => W1 = W2 ) ) ) ) )).

fof(mZeroAdd,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( sdtpldt0(W0,W1) = sz00
       => ( W0 = sz00
          & W1 = sz00 ) ) ) )).

fof(mZeroMul,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( sdtasdt0(W0,W1) = sz00
       => ( W0 = sz00
          | W1 = sz00 ) ) ) )).

fof(mDefLE,definition,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( sdtlseqdt0(W0,W1)
      <=> ? [W2] :
            ( aNaturalNumber0(W2)
            & sdtpldt0(W0,W2) = W1 ) ) ) )).

fof(mDefDiff,definition,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( sdtlseqdt0(W0,W1)
       => ! [W2] :
            ( W2 = sdtmndt0(W1,W0)
          <=> ( aNaturalNumber0(W2)
              & sdtpldt0(W0,W2) = W1 ) ) ) ) )).

fof(mLERefl,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => sdtlseqdt0(W0,W0) ) )).

fof(mLEAsym,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( sdtlseqdt0(W0,W1)
          & sdtlseqdt0(W1,W0) )
       => W0 = W1 ) ) )).

fof(mLETran,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( sdtlseqdt0(W0,W1)
          & sdtlseqdt0(W1,W2) )
       => sdtlseqdt0(W0,W2) ) ) )).

fof(mLETotal,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( sdtlseqdt0(W0,W1)
        | ( W1 != W0
          & sdtlseqdt0(W1,W0) ) ) ) )).

fof(mMonAdd,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( W0 != W1
          & sdtlseqdt0(W0,W1) )
       => ! [W2] :
            ( aNaturalNumber0(W2)
           => ( sdtpldt0(W2,W0) != sdtpldt0(W2,W1)
              & sdtlseqdt0(sdtpldt0(W2,W0),sdtpldt0(W2,W1))
              & sdtpldt0(W0,W2) != sdtpldt0(W1,W2)
              & sdtlseqdt0(sdtpldt0(W0,W2),sdtpldt0(W1,W2)) ) ) ) ) )).

fof(mMonMul,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( W0 != sz00
          & W1 != W2
          & sdtlseqdt0(W1,W2) )
       => ( sdtasdt0(W0,W1) != sdtasdt0(W0,W2)
          & sdtlseqdt0(sdtasdt0(W0,W1),sdtasdt0(W0,W2))
          & sdtasdt0(W1,W0) != sdtasdt0(W2,W0)
          & sdtlseqdt0(sdtasdt0(W1,W0),sdtasdt0(W2,W0)) ) ) ) )).

fof(mLENTr,axiom,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( W0 = sz00
        | W0 = sz10
        | ( sz10 != W0
          & sdtlseqdt0(sz10,W0) ) ) ) )).

fof(mMonMul2,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( W0 != sz00
       => sdtlseqdt0(W1,sdtasdt0(W1,W0)) ) ) )).

fof(mIH,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( iLess0(W0,W1)
       => $true ) ) )).

fof(mIH_03,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( W0 != W1
          & sdtlseqdt0(W0,W1) )
       => iLess0(W0,W1) ) ) )).

fof(mDefDiv,definition,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( doDivides0(W0,W1)
      <=> ? [W2] :
            ( aNaturalNumber0(W2)
            & W1 = sdtasdt0(W0,W2) ) ) ) )).

fof(mDefQuot,definition,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( W0 != sz00
          & doDivides0(W0,W1) )
       => ! [W2] :
            ( W2 = sdtsldt0(W1,W0)
          <=> ( aNaturalNumber0(W2)
              & W1 = sdtasdt0(W0,W2) ) ) ) ) )).

fof(mDivTrans,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( doDivides0(W0,W1)
          & doDivides0(W1,W2) )
       => doDivides0(W0,W2) ) ) )).

fof(mDivSum,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( doDivides0(W0,W1)
          & doDivides0(W0,W2) )
       => doDivides0(W0,sdtpldt0(W1,W2)) ) ) )).

fof(mDivMin,axiom,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( doDivides0(W0,W1)
          & doDivides0(W0,sdtpldt0(W1,W2)) )
       => doDivides0(W0,W2) ) ) )).

fof(mDivLE,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( doDivides0(W0,W1)
          & W1 != sz00 )
       => sdtlseqdt0(W0,W1) ) ) )).

fof(mDivAsso,axiom,(
    ! [W0,W1] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1) )
     => ( ( W0 != sz00
          & doDivides0(W0,W1) )
       => ! [W2] :
            ( aNaturalNumber0(W2)
           => sdtasdt0(W2,sdtsldt0(W1,W0)) = sdtsldt0(sdtasdt0(W2,W1),W0) ) ) ) )).

fof(mDefPrime,definition,(
    ! [W0] :
      ( aNaturalNumber0(W0)
     => ( isPrime0(W0)
      <=> ( W0 != sz00
          & W0 != sz10
          & ! [W1] :
              ( ( aNaturalNumber0(W1)
                & doDivides0(W1,W0) )
             => ( W1 = sz10
                | W1 = W0 ) ) ) ) ) )).

fof(mPrimDiv,axiom,(
    ! [W0] :
      ( ( aNaturalNumber0(W0)
        & W0 != sz00
        & W0 != sz10 )
     => ? [W1] :
          ( aNaturalNumber0(W1)
          & doDivides0(W1,W0)
          & isPrime0(W1) ) ) )).

fof(m__1837,hypothesis,
    ( aNaturalNumber0(xn)
    & aNaturalNumber0(xm)
    & aNaturalNumber0(xp) )).

fof(m__1799,hypothesis,(
    ! [W0,W1,W2] :
      ( ( aNaturalNumber0(W0)
        & aNaturalNumber0(W1)
        & aNaturalNumber0(W2) )
     => ( ( ( ( W2 != sz00
              & W2 != sz10
              & ! [W3] :
                  ( ( aNaturalNumber0(W3)
                    & ? [W4] :
                        ( aNaturalNumber0(W4)
                        & W2 = sdtasdt0(W3,W4) )
                    & doDivides0(W3,W2) )
                 => ( W3 = sz10
                    | W3 = W2 ) ) )
            | isPrime0(W2) )
          & ( ? [W3] :
                ( aNaturalNumber0(W3)
                & sdtasdt0(W0,W1) = sdtasdt0(W2,W3) )
            | doDivides0(W2,sdtasdt0(W0,W1)) ) )
       => ( iLess0(sdtpldt0(sdtpldt0(W0,W1),W2),sdtpldt0(sdtpldt0(xn,xm),xp))
         => ( ( ? [W3] :
                  ( aNaturalNumber0(W3)
                  & W0 = sdtasdt0(W2,W3) )
              & doDivides0(W2,W0) )
            | ( ? [W3] :
                  ( aNaturalNumber0(W3)
                  & W1 = sdtasdt0(W2,W3) )
              & doDivides0(W2,W1) ) ) ) ) ) )).

fof(m__1860,hypothesis,
    ( xp != sz00
    & xp != sz10
    & ! [W0] :
        ( ( aNaturalNumber0(W0)
          & ( ? [W1] :
                ( aNaturalNumber0(W1)
                & xp = sdtasdt0(W0,W1) )
            | doDivides0(W0,xp) ) )
       => ( W0 = sz10
          | W0 = xp ) )
    & isPrime0(xp)
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtasdt0(xn,xm) = sdtasdt0(xp,W0) )
    & doDivides0(xp,sdtasdt0(xn,xm)) )).

fof(m__1870,hypothesis,(
    ~ ( ? [W0] :
          ( aNaturalNumber0(W0)
          & sdtpldt0(xp,W0) = xn )
      | sdtlseqdt0(xp,xn) ) )).

fof(m__2075,hypothesis,(
    ~ ( ? [W0] :
          ( aNaturalNumber0(W0)
          & sdtpldt0(xp,W0) = xm )
      | sdtlseqdt0(xp,xm) ) )).

fof(m__2287,hypothesis,
    ( xn != xp
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtpldt0(xn,W0) = xp )
    & sdtlseqdt0(xn,xp)
    & xm != xp
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtpldt0(xm,W0) = xp )
    & sdtlseqdt0(xm,xp) )).

fof(m__2306,hypothesis,
    ( aNaturalNumber0(xk)
    & sdtasdt0(xn,xm) = sdtasdt0(xp,xk)
    & xk = sdtsldt0(sdtasdt0(xn,xm),xp) )).

fof(m__2315,hypothesis,(
    ~ ( xk = sz00
      | xk = sz10 ) )).

fof(m__2327,hypothesis,
    ( xk != sz00
    & xk != sz10 )).

fof(m__2342,hypothesis,
    ( aNaturalNumber0(xr)
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & xk = sdtasdt0(xr,W0) )
    & doDivides0(xr,xk)
    & xr != sz00
    & xr != sz10
    & ! [W0] :
        ( ( aNaturalNumber0(W0)
          & ( ? [W1] :
                ( aNaturalNumber0(W1)
                & xr = sdtasdt0(W0,W1) )
            | doDivides0(W0,xr) ) )
       => ( W0 = sz10
          | W0 = xr ) )
    & isPrime0(xr) )).

fof(m__2362,hypothesis,
    ( ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtpldt0(xr,W0) = xk )
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtasdt0(xn,xm) = sdtasdt0(xr,W0) )
    & doDivides0(xr,sdtasdt0(xn,xm)) )).

fof(m__2377,hypothesis,
    ( xk != xp
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtpldt0(xk,W0) = xp )
    & sdtlseqdt0(xk,xp) )).

fof(m__2449,hypothesis,
    ( ( ? [W0] :
          ( aNaturalNumber0(W0)
          & xn = sdtasdt0(xr,W0) )
      & doDivides0(xr,xn) )
    | ( ? [W0] :
          ( aNaturalNumber0(W0)
          & xm = sdtasdt0(xr,W0) )
      & doDivides0(xr,xm) ) )).

fof(m__2487,hypothesis,
    ( ? [W0] :
        ( aNaturalNumber0(W0)
        & xn = sdtasdt0(xr,W0) )
    & doDivides0(xr,xn) )).

fof(m__2504,hypothesis,
    ( ~ ( ( aNaturalNumber0(sdtsldt0(xn,xr))
          & xn = sdtasdt0(xr,sdtsldt0(xn,xr)) )
       => sdtsldt0(xn,xr) = xn )
    & aNaturalNumber0(sdtsldt0(xn,xr))
    & xn = sdtasdt0(xr,sdtsldt0(xn,xr))
    & ? [W0] :
        ( aNaturalNumber0(W0)
        & sdtpldt0(sdtsldt0(xn,xr),W0) = xn )
    & sdtlseqdt0(sdtsldt0(xn,xr),xn) )).

fof(m__,conjecture,
    ( ( aNaturalNumber0(sdtsldt0(xn,xr))
      & xn = sdtasdt0(xr,sdtsldt0(xn,xr)) )
   => ( ? [W0] :
          ( aNaturalNumber0(W0)
          & sdtasdt0(sdtsldt0(xn,xr),xm) = sdtasdt0(xp,W0) )
      | doDivides0(xp,sdtasdt0(sdtsldt0(xn,xr),xm)) ) )).

%------------------------------------------------------------------------------
