%------------------------------------------------------------------------------
% File     : REL029+4 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Relation Algebra
% Problem  : Distributivity of subidentities
% Version  : [Mad95] (equational) axioms : Augmented.
% English  : For subidentities, sequential composition distributes over meet.

% Refs     : [Mad95] Maddux (1995), Relation-Algebraic Semantics
%          : [Hoe08] Hoefner (2008), Email to G. Sutcliffe
% Source   : [Hoe08]
% Names    :

% Status   : Theorem
% Rating   : 0.73 v6.1.0, 0.83 v5.5.0, 0.75 v5.4.0, 0.78 v5.3.0, 0.67 v5.2.0, 0.71 v5.0.0, 0.88 v4.1.0, 0.91 v4.0.1, 0.90 v4.0.0
% Syntax   : Number of formulae    :   17 (  16 unit)
%            Number of atoms       :   20 (  20 equality)
%            Maximal formula depth :    6 (   3 average)
%            Number of connectives :    3 (   0 ~  ;   0  |;   2  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   3 constant; 0-2 arity)
%            Number of variables   :   37 (   0 singleton;  37 !;   0 ?)
%            Maximal term depth    :    7 (   3 average)
% SPC      : FOF_THM_RFO_PEQ

% Comments : Proof goal is split into 2 inequations (encoded again as
%            equations).
%------------------------------------------------------------------------------
%---Include axioms for relation algebra
include('Axioms/REL001+0.ax').
%---Include Dedekind and modular laws
include('Axioms/REL001+1.ax').
%------------------------------------------------------------------------------
fof(goals,conjecture,(
    ! [X0,X1,X2] :
      ( ( join(X0,one) = one
        & join(X1,one) = one )
     => ( join(meet(composition(X0,X2),composition(X1,X2)),composition(meet(X0,X1),X2)) = composition(meet(X0,X1),X2)
        & join(composition(meet(X0,X1),X2),meet(composition(X0,X2),composition(X1,X2))) = meet(composition(X0,X2),composition(X1,X2)) ) ) )).

%------------------------------------------------------------------------------
