%------------------------------------------------------------------------------
% File     : SWB043+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Singleton Property Chain As Subsumption
% Version  : [Sch11] axioms.
% English  : A sub property chain axiom with a single chain property 
%            corresponds to a sub property axiom.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-chain-subprop [Sch11]

% Status   : Theorem
% Rating   : 0.72 v6.1.0, 0.77 v6.0.0, 0.83 v5.5.0, 0.85 v5.4.0, 0.82 v5.3.0, 0.85 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1776 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1352 ( 136   ~;  35   |; 760   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  159 ( 158 constant; 0-2 arity)
%            Number of variables   :  974 (   0 sgn; 911   !;  63   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_chain_subprop,conjecture,(
    iext(uri_rdfs_subPropertyOf,uri_ex_p1,uri_ex_p) )).

fof(premise_rdfbased_sem_chain_subprop,axiom,(
    ? [X0] :
      ( iext(uri_owl_propertyChainAxiom,uri_ex_p,X0)
      & iext(uri_rdf_first,X0,uri_ex_p1)
      & iext(uri_rdf_rest,X0,uri_rdf_nil) ) )).

%------------------------------------------------------------------------------
