%------------------------------------------------------------------------------
% File     : SWB047+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Functional Inverse Property As Inverse-Functional
% Version  : [Sch11] axioms.
% English  : The inverse of a functional property is an inverse functional 
%            property.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-char-inversefunc-term [Sch11]

% Status   : Theorem
% Rating   : 0.60 v6.1.0, 0.77 v6.0.0, 0.87 v5.5.0, 0.89 v5.4.0, 0.86 v5.3.0, 0.89 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1775 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1351 ( 136   ~;  35   |; 759   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  159 ( 158 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_char_inversefunc_term,conjecture,(
    iext(uri_rdf_type,uri_ex_p2,uri_owl_InverseFunctionalProperty) )).

fof(premise_rdfbased_sem_char_inversefunc_term,axiom,
    ( iext(uri_owl_inverseOf,uri_ex_p2,uri_ex_p1)
    & iext(uri_rdf_type,uri_ex_p1,uri_owl_FunctionalProperty) )).

%------------------------------------------------------------------------------
