%------------------------------------------------------------------------------
% File     : SWB049+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Reflexive Property Extensional
% Version  : [Sch11] axioms.
% English  : If the extension of a property is reflexive, then the property 
%            itself is. Note that reflexivity is globally defined on the whole 
%            universe, which has infinite cardinality under the RDF-Based 
%            Semantics. Therefore, instead of explicitly defining the 
%            extension of some custom property, the extension of the built-in 
%            property owl:topObjectProperty is referred to.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-char-reflexive-ext [Sch11]

% Status   : Theorem
% Rating   : 0.52 v6.1.0, 0.60 v6.0.0, 0.74 v5.4.0, 0.71 v5.3.0, 0.74 v5.2.0
% Syntax   : Number of formulae    :  560 ( 198 unit)
%            Number of atoms       : 1774 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1350 ( 136   ~;  35   |; 758   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  158 ( 157 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_char_reflexive_ext,conjecture,(
    iext(uri_rdf_type,uri_ex_p,uri_owl_ReflexiveProperty) )).

fof(premise_rdfbased_sem_char_reflexive_ext,axiom,(
    iext(uri_owl_equivalentProperty,uri_ex_p,uri_owl_topObjectProperty) )).

%------------------------------------------------------------------------------
