%------------------------------------------------------------------------------
% File     : SWB056+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Individual Enumeration Closed
% Version  : [Sch11] axioms.
% English  : If a class defines an enumeration class expression from two 
%            individuals, and if an individual is an instance of the class but 
%            is different from one of the two component individuals, then the 
%            individual equals the remaining component individual.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-enum-inst-closed [Sch11]

% Status   : Theorem
% Rating   : 0.64 v6.1.0, 0.67 v6.0.0, 0.78 v5.5.0, 0.85 v5.4.0, 0.86 v5.3.0, 0.89 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1780 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1356 ( 136   ~;  35   |; 764   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  161 ( 160 constant; 0-2 arity)
%            Number of variables   :  975 (   0 sgn; 911   !;  64   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_enum_inst_closed,conjecture,(
    iext(uri_owl_sameAs,uri_ex_z,uri_ex_y) )).

fof(premise_rdfbased_sem_enum_inst_closed,axiom,(
    ? [X0,X1] :
      ( iext(uri_rdf_type,uri_ex_z,uri_ex_e)
      & iext(uri_owl_differentFrom,uri_ex_z,uri_ex_x)
      & iext(uri_owl_oneOf,uri_ex_e,X0)
      & iext(uri_rdf_first,X0,uri_ex_x)
      & iext(uri_rdf_rest,X0,X1)
      & iext(uri_rdf_first,X1,uri_ex_y)
      & iext(uri_rdf_rest,X1,uri_rdf_nil) ) )).

%------------------------------------------------------------------------------
