%------------------------------------------------------------------------------
% File     : SWB064+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Property Equivalence Extensional
% Version  : [Sch11] axioms.
% English  : If the extensions of two properties are equal, then the 
%            properties themselves are equivalent.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-eqdis-eqprop-ext [Sch11]

% Status   : Theorem
% Rating   : 0.80 v6.1.0, 0.90 v6.0.0, 0.91 v5.5.0, 0.93 v5.3.0, 0.96 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1785 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1361 ( 136   ~;  35   |; 769   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  163 ( 162 constant; 0-2 arity)
%            Number of variables   :  975 (   0 sgn; 911   !;  64   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_eqdis_eqprop_ext,conjecture,(
    iext(uri_owl_equivalentProperty,uri_ex_p1,uri_ex_p2) )).

fof(premise_rdfbased_sem_eqdis_eqprop_ext,axiom,(
    ? [X1,X0] :
      ( iext(uri_rdfs_domain,uri_ex_p1,uri_ex_x)
      & iext(uri_rdfs_range,uri_ex_p1,uri_ex_y)
      & iext(uri_ex_p1,uri_ex_s,uri_ex_o)
      & iext(uri_ex_p2,uri_ex_s,uri_ex_o)
      & iext(uri_owl_oneOf,uri_ex_x,X0)
      & iext(uri_rdfs_domain,uri_ex_p2,uri_ex_x)
      & iext(uri_rdfs_range,uri_ex_p2,uri_ex_y)
      & iext(uri_rdf_first,X0,uri_ex_s)
      & iext(uri_rdf_rest,X0,uri_rdf_nil)
      & iext(uri_owl_oneOf,uri_ex_y,X1)
      & iext(uri_rdf_first,X1,uri_ex_o)
      & iext(uri_rdf_rest,X1,uri_rdf_nil) ) )).

%------------------------------------------------------------------------------
