%------------------------------------------------------------------------------
% File     : SWB082+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Universal Restriction Comparison By Property
% Version  : [Sch11] axioms.
% English  : A universal restriction on some property and some class is a sub 
%            class of another universal restriction on the same class but on a 
%            sub property.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-restrict-allvalues-cmp-prop [Sch11]

% Status   : Theorem
% Rating   : 0.80 v6.1.0, 0.83 v6.0.0, 0.91 v5.5.0, 0.93 v5.3.0, 0.96 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1778 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1354 ( 136   ~;  35   |; 762   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  162 ( 161 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_restrict_allvalues_cmp_prop,conjecture,(
    iext(uri_rdfs_subClassOf,uri_ex_x2,uri_ex_x1) )).

fof(premise_rdfbased_sem_restrict_allvalues_cmp_prop,axiom,
    ( iext(uri_owl_allValuesFrom,uri_ex_x2,uri_ex_c)
    & iext(uri_owl_onProperty,uri_ex_x2,uri_ex_p2)
    & iext(uri_owl_allValuesFrom,uri_ex_x1,uri_ex_c)
    & iext(uri_owl_onProperty,uri_ex_x1,uri_ex_p1)
    & iext(uri_rdfs_subPropertyOf,uri_ex_p1,uri_ex_p2) )).

%------------------------------------------------------------------------------
