%------------------------------------------------------------------------------
% File     : SWB089+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Max-QCR Comparison By Class
% Version  : [Sch11] axioms.
% English  : A max-QCR for some cardinality on some property and to some class 
%            is a subclass of another max-QCR for the same cardinality on the 
%            same property and to some sub class.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-restrict-maxqcr-cmp-class [Sch11]

% Status   : Theorem
% Rating   : 0.84 v6.1.0, 0.90 v6.0.0, 0.96 v5.5.0, 1.00 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1780 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1356 ( 136   ~;  35   |; 764   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  162 ( 161 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_restrict_maxqcr_cmp_class,conjecture,(
    iext(uri_rdfs_subClassOf,uri_ex_x1,uri_ex_x2) )).

fof(premise_rdfbased_sem_restrict_maxqcr_cmp_class,axiom,
    ( iext(uri_owl_maxQualifiedCardinality,uri_ex_x2,literal_typed(dat_str_1,uri_xsd_nonNegativeInteger))
    & iext(uri_owl_onProperty,uri_ex_x2,uri_ex_p)
    & iext(uri_owl_onClass,uri_ex_x2,uri_ex_c2)
    & iext(uri_rdfs_subClassOf,uri_ex_c2,uri_ex_c1)
    & iext(uri_owl_maxQualifiedCardinality,uri_ex_x1,literal_typed(dat_str_1,uri_xsd_nonNegativeInteger))
    & iext(uri_owl_onProperty,uri_ex_x1,uri_ex_p)
    & iext(uri_owl_onClass,uri_ex_x1,uri_ex_c1) )).

%------------------------------------------------------------------------------
