%------------------------------------------------------------------------------
% File     : SWB106+1 : TPTP v6.1.0. Released v5.2.0.
% Domain   : Semantic Web
% Problem  : Self-Restriction As Existential Restriction
% Version  : [Sch11] axioms.
% English  : Self restrictions are more specific than unconstrained 
%            existential restrictions.

% Refs     : [Sch11] Schneider, M. (2011), Email to G. Sutcliffe
% Source   : [Sch11]
% Names    : rdfbased-sem-restrict-term-selfsome [Sch11]

% Status   : Theorem
% Rating   : 0.72 v6.1.0, 0.80 v6.0.0, 0.91 v5.5.0, 0.93 v5.3.0, 0.96 v5.2.0
% Syntax   : Number of formulae    :  560 ( 197 unit)
%            Number of atoms       : 1777 (  90 equality)
%            Maximal formula depth :   27 (   5 average)
%            Number of connectives : 1353 ( 136   ~;  35   |; 761   &)
%                                         ( 126 <=>; 295  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of predicates  :   13 (   1 propositional; 0-3 arity)
%            Number of functors    :  161 ( 160 constant; 0-2 arity)
%            Number of variables   :  973 (   0 sgn; 911   !;  62   ?)
%            Maximal term depth    :    2 (   1 average)
% SPC      : FOF_THM_RFO_SEQ

% Comments :
%------------------------------------------------------------------------------
%----Include OWL 2 Full axioms
include('Axioms/SWB001+0.ax').
%------------------------------------------------------------------------------
fof(conclusion_rdfbased_sem_restrict_term_selfsome,conjecture,(
    iext(uri_rdfs_subClassOf,uri_ex_z1,uri_ex_z2) )).

fof(premise_rdfbased_sem_restrict_term_selfsome,axiom,
    ( iext(uri_owl_someValuesFrom,uri_ex_z2,uri_owl_Thing)
    & iext(uri_owl_onProperty,uri_ex_z2,uri_ex_p)
    & iext(uri_owl_hasSelf,uri_ex_z1,literal_typed(dat_str_true,uri_xsd_boolean))
    & iext(uri_owl_onProperty,uri_ex_z1,uri_ex_p) )).

%------------------------------------------------------------------------------
