%------------------------------------------------------------------------------
% File     : LCL648+1.010 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal Logic)
% Problem  : In K, pigeonhole formulae, size 10
% Version  : Especial.
% English  :

% Refs     : [BHS00] Balsiger et al. (2000), A Benchmark Method for the Pro
%          : [Kam08] Kaminski (2008), Email to G. Sutcliffe
% Source   : [Kam08]
% Names    : k_ph_p [BHS00]

% Status   : Theorem
% Rating   : 0.64 v6.1.0, 0.76 v6.0.0, 0.50 v5.5.0, 0.92 v5.4.0, 0.87 v5.3.0, 0.91 v5.2.0, 0.86 v5.0.0, 0.95 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit)
%            Number of atoms       : 1707 (   0 equality)
%            Maximal formula depth :  559 ( 559 average)
%            Number of connectives : 2208 ( 502 ~  ;1146  |; 560  &)
%                                         (   0 <=>;   0 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :  111 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  498 (   0 singleton; 497 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_NEQ

% Comments : A naive relational encoding of the modal logic problem into
%            first-order logic.
%------------------------------------------------------------------------------
fof(main,conjecture,(
    ~ ( ? [X] :
          ~ ( ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | ~ ( ( p1110(Y)
                          & p1010(Y) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) ) )
                        | ( p1110(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( p1010(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p910(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p810(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p710(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p610(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p510(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p410(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p310(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p210(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p110(X) ) )
                        | ( p1109(Y)
                          & p1009(Y) )
                        | ( p1109(Y)
                          & p909(Y) )
                        | ( p1009(Y)
                          & p909(Y) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) ) )
                        | ( p1109(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( p1009(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( p909(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p809(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p709(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p609(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p509(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p409(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p309(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p209(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p109(X) ) )
                        | ( p1108(Y)
                          & p1008(Y) )
                        | ( p1108(Y)
                          & p908(Y) )
                        | ( p1008(Y)
                          & p908(Y) )
                        | ( p1108(Y)
                          & p808(Y) )
                        | ( p1008(Y)
                          & p808(Y) )
                        | ( p908(Y)
                          & p808(Y) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) ) )
                        | ( p1108(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( p1008(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( p908(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( p808(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p708(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p608(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p508(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p408(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p308(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p208(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p108(X) ) )
                        | ( p1107(Y)
                          & p1007(Y) )
                        | ( p1107(Y)
                          & p907(Y) )
                        | ( p1007(Y)
                          & p907(Y) )
                        | ( p1107(Y)
                          & p807(Y) )
                        | ( p1007(Y)
                          & p807(Y) )
                        | ( p907(Y)
                          & p807(Y) )
                        | ( p1107(Y)
                          & p707(Y) )
                        | ( p1007(Y)
                          & p707(Y) )
                        | ( p907(Y)
                          & p707(Y) )
                        | ( p807(Y)
                          & p707(Y) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) ) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) ) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) ) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) ) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) ) )
                        | ( p1107(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( p1007(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( p907(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( p807(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( p707(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p607(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p507(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p407(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p307(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p207(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p107(X) ) )
                        | ( p1106(Y)
                          & p1006(Y) )
                        | ( p1106(Y)
                          & p906(Y) )
                        | ( p1006(Y)
                          & p906(Y) )
                        | ( p1106(Y)
                          & p806(Y) )
                        | ( p1006(Y)
                          & p806(Y) )
                        | ( p906(Y)
                          & p806(Y) )
                        | ( p1106(Y)
                          & p706(Y) )
                        | ( p1006(Y)
                          & p706(Y) )
                        | ( p906(Y)
                          & p706(Y) )
                        | ( p806(Y)
                          & p706(Y) )
                        | ( p1106(Y)
                          & p606(Y) )
                        | ( p1006(Y)
                          & p606(Y) )
                        | ( p906(Y)
                          & p606(Y) )
                        | ( p806(Y)
                          & p606(Y) )
                        | ( p706(Y)
                          & p606(Y) )
                        | ( p1106(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p1006(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p906(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p806(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p706(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p606(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) ) )
                        | ( p1106(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p1006(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p906(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p806(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p706(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p606(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) ) )
                        | ( p1106(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p1006(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p906(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p806(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p706(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p606(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) ) )
                        | ( p1106(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p1006(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p906(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p806(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p706(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p606(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) ) )
                        | ( p1106(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p1006(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p906(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p806(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p706(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p606(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p506(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p406(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p306(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p206(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p106(X) ) )
                        | ( p1105(Y)
                          & p1005(Y) )
                        | ( p1105(Y)
                          & p905(Y) )
                        | ( p1005(Y)
                          & p905(Y) )
                        | ( p1105(Y)
                          & p805(Y) )
                        | ( p1005(Y)
                          & p805(Y) )
                        | ( p905(Y)
                          & p805(Y) )
                        | ( p1105(Y)
                          & p705(Y) )
                        | ( p1005(Y)
                          & p705(Y) )
                        | ( p905(Y)
                          & p705(Y) )
                        | ( p805(Y)
                          & p705(Y) )
                        | ( p1105(Y)
                          & p605(Y) )
                        | ( p1005(Y)
                          & p605(Y) )
                        | ( p905(Y)
                          & p605(Y) )
                        | ( p805(Y)
                          & p605(Y) )
                        | ( p705(Y)
                          & p605(Y) )
                        | ( p1105(Y)
                          & p505(Y) )
                        | ( p1005(Y)
                          & p505(Y) )
                        | ( p905(Y)
                          & p505(Y) )
                        | ( p805(Y)
                          & p505(Y) )
                        | ( p705(Y)
                          & p505(Y) )
                        | ( p605(Y)
                          & p505(Y) )
                        | ( p1105(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p1005(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p905(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p805(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p705(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p605(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p505(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) ) )
                        | ( p1105(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p1005(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p905(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p805(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p705(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p605(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p505(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) ) )
                        | ( p1105(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p1005(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p905(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p805(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p705(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p605(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p505(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) ) )
                        | ( p1105(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p1005(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p905(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p805(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p705(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p605(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p505(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p405(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p305(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p205(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p105(X) ) )
                        | ( p1104(Y)
                          & p1004(Y) )
                        | ( p1104(Y)
                          & p904(Y) )
                        | ( p1004(Y)
                          & p904(Y) )
                        | ( p1104(Y)
                          & p804(Y) )
                        | ( p1004(Y)
                          & p804(Y) )
                        | ( p904(Y)
                          & p804(Y) )
                        | ( p1104(Y)
                          & p704(Y) )
                        | ( p1004(Y)
                          & p704(Y) )
                        | ( p904(Y)
                          & p704(Y) )
                        | ( p804(Y)
                          & p704(Y) )
                        | ( p1104(Y)
                          & p604(Y) )
                        | ( p1004(Y)
                          & p604(Y) )
                        | ( p904(Y)
                          & p604(Y) )
                        | ( p804(Y)
                          & p604(Y) )
                        | ( p704(Y)
                          & p604(Y) )
                        | ( p1104(Y)
                          & p504(Y) )
                        | ( p1004(Y)
                          & p504(Y) )
                        | ( p904(Y)
                          & p504(Y) )
                        | ( p804(Y)
                          & p504(Y) )
                        | ( p704(Y)
                          & p504(Y) )
                        | ( p604(Y)
                          & p504(Y) )
                        | ( p1104(Y)
                          & p404(Y) )
                        | ( p1004(Y)
                          & p404(Y) )
                        | ( p904(Y)
                          & p404(Y) )
                        | ( p804(Y)
                          & p404(Y) )
                        | ( p704(Y)
                          & p404(Y) )
                        | ( p604(Y)
                          & p404(Y) )
                        | ( p504(Y)
                          & p404(Y) )
                        | ( p1104(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p1004(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p904(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p804(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p704(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p604(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p504(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p404(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) ) )
                        | ( p1104(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p1004(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p904(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p804(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p704(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p604(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p504(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p404(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) ) )
                        | ( p1104(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p1004(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p904(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p804(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p704(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p604(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p504(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p404(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p304(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p204(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p104(X) ) )
                        | ( p1103(Y)
                          & p1003(Y) )
                        | ( p1103(Y)
                          & p903(Y) )
                        | ( p1003(Y)
                          & p903(Y) )
                        | ( p1103(Y)
                          & p803(Y) )
                        | ( p1003(Y)
                          & p803(Y) )
                        | ( p903(Y)
                          & p803(Y) )
                        | ( p1103(Y)
                          & p703(Y) )
                        | ( p1003(Y)
                          & p703(Y) )
                        | ( p903(Y)
                          & p703(Y) )
                        | ( p803(Y)
                          & p703(Y) )
                        | ( p1103(Y)
                          & p603(Y) )
                        | ( p1003(Y)
                          & p603(Y) )
                        | ( p903(Y)
                          & p603(Y) )
                        | ( p803(Y)
                          & p603(Y) )
                        | ( p703(Y)
                          & p603(Y) )
                        | ( p1103(Y)
                          & p503(Y) )
                        | ( p1003(Y)
                          & p503(Y) )
                        | ( p903(Y)
                          & p503(Y) )
                        | ( p803(Y)
                          & p503(Y) )
                        | ( p703(Y)
                          & p503(Y) )
                        | ( p603(Y)
                          & p503(Y) )
                        | ( p1103(Y)
                          & p403(Y) )
                        | ( p1003(Y)
                          & p403(Y) )
                        | ( p903(Y)
                          & p403(Y) )
                        | ( p803(Y)
                          & p403(Y) )
                        | ( p703(Y)
                          & p403(Y) )
                        | ( p603(Y)
                          & p403(Y) )
                        | ( p503(Y)
                          & p403(Y) )
                        | ( p1103(Y)
                          & p303(Y) )
                        | ( p1003(Y)
                          & p303(Y) )
                        | ( p903(Y)
                          & p303(Y) )
                        | ( p803(Y)
                          & p303(Y) )
                        | ( p703(Y)
                          & p303(Y) )
                        | ( p603(Y)
                          & p303(Y) )
                        | ( p503(Y)
                          & p303(Y) )
                        | ( p403(Y)
                          & p303(Y) )
                        | ( p1103(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p1003(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p903(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p803(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p703(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p603(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p503(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p403(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p303(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) ) )
                        | ( p1103(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p1003(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p903(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p803(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p703(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p603(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p503(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p403(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p303(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( ! [X] :
                              ( ~ r1(Y,X)
                              | p203(X) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p103(X) ) )
                        | ( p1102(Y)
                          & p1002(Y) )
                        | ( p1102(Y)
                          & p902(Y) )
                        | ( p1002(Y)
                          & p902(Y) )
                        | ( p1102(Y)
                          & p802(Y) )
                        | ( p1002(Y)
                          & p802(Y) )
                        | ( p902(Y)
                          & p802(Y) )
                        | ( p1102(Y)
                          & p702(Y) )
                        | ( p1002(Y)
                          & p702(Y) )
                        | ( p902(Y)
                          & p702(Y) )
                        | ( p802(Y)
                          & p702(Y) )
                        | ( p1102(Y)
                          & p602(Y) )
                        | ( p1002(Y)
                          & p602(Y) )
                        | ( p902(Y)
                          & p602(Y) )
                        | ( p802(Y)
                          & p602(Y) )
                        | ( p702(Y)
                          & p602(Y) )
                        | ( p1102(Y)
                          & p502(Y) )
                        | ( p1002(Y)
                          & p502(Y) )
                        | ( p902(Y)
                          & p502(Y) )
                        | ( p802(Y)
                          & p502(Y) )
                        | ( p702(Y)
                          & p502(Y) )
                        | ( p602(Y)
                          & p502(Y) )
                        | ( p1102(Y)
                          & p402(Y) )
                        | ( p1002(Y)
                          & p402(Y) )
                        | ( p902(Y)
                          & p402(Y) )
                        | ( p802(Y)
                          & p402(Y) )
                        | ( p702(Y)
                          & p402(Y) )
                        | ( p602(Y)
                          & p402(Y) )
                        | ( p502(Y)
                          & p402(Y) )
                        | ( p1102(Y)
                          & p302(Y) )
                        | ( p1002(Y)
                          & p302(Y) )
                        | ( p902(Y)
                          & p302(Y) )
                        | ( p802(Y)
                          & p302(Y) )
                        | ( p702(Y)
                          & p302(Y) )
                        | ( p602(Y)
                          & p302(Y) )
                        | ( p502(Y)
                          & p302(Y) )
                        | ( p402(Y)
                          & p302(Y) )
                        | ( p1102(Y)
                          & p202(Y) )
                        | ( p1002(Y)
                          & p202(Y) )
                        | ( p902(Y)
                          & p202(Y) )
                        | ( p802(Y)
                          & p202(Y) )
                        | ( p702(Y)
                          & p202(Y) )
                        | ( p602(Y)
                          & p202(Y) )
                        | ( p502(Y)
                          & p202(Y) )
                        | ( p402(Y)
                          & p202(Y) )
                        | ( p302(Y)
                          & p202(Y) )
                        | ( p1102(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p1002(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p902(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p802(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p702(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p602(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p502(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p402(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p302(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p202(Y)
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p102(X) ) )
                        | ( p1101(Y)
                          & p1001(Y) )
                        | ( p1101(Y)
                          & p901(Y) )
                        | ( p1001(Y)
                          & p901(Y) )
                        | ( p1101(Y)
                          & p801(Y) )
                        | ( p1001(Y)
                          & p801(Y) )
                        | ( p901(Y)
                          & p801(Y) )
                        | ( p1101(Y)
                          & p701(Y) )
                        | ( p1001(Y)
                          & p701(Y) )
                        | ( p901(Y)
                          & p701(Y) )
                        | ( p801(Y)
                          & p701(Y) )
                        | ( p1101(Y)
                          & p601(Y) )
                        | ( p1001(Y)
                          & p601(Y) )
                        | ( p901(Y)
                          & p601(Y) )
                        | ( p801(Y)
                          & p601(Y) )
                        | ( p701(Y)
                          & p601(Y) )
                        | ( p1101(Y)
                          & p501(Y) )
                        | ( p1001(Y)
                          & p501(Y) )
                        | ( p901(Y)
                          & p501(Y) )
                        | ( p801(Y)
                          & p501(Y) )
                        | ( p701(Y)
                          & p501(Y) )
                        | ( p601(Y)
                          & p501(Y) )
                        | ( p1101(Y)
                          & p401(Y) )
                        | ( p1001(Y)
                          & p401(Y) )
                        | ( p901(Y)
                          & p401(Y) )
                        | ( p801(Y)
                          & p401(Y) )
                        | ( p701(Y)
                          & p401(Y) )
                        | ( p601(Y)
                          & p401(Y) )
                        | ( p501(Y)
                          & p401(Y) )
                        | ( p1101(Y)
                          & p301(Y) )
                        | ( p1001(Y)
                          & p301(Y) )
                        | ( p901(Y)
                          & p301(Y) )
                        | ( p801(Y)
                          & p301(Y) )
                        | ( p701(Y)
                          & p301(Y) )
                        | ( p601(Y)
                          & p301(Y) )
                        | ( p501(Y)
                          & p301(Y) )
                        | ( p401(Y)
                          & p301(Y) )
                        | ( p1101(Y)
                          & p201(Y) )
                        | ( p1001(Y)
                          & p201(Y) )
                        | ( p901(Y)
                          & p201(Y) )
                        | ( p801(Y)
                          & p201(Y) )
                        | ( p701(Y)
                          & p201(Y) )
                        | ( p601(Y)
                          & p201(Y) )
                        | ( p501(Y)
                          & p201(Y) )
                        | ( p401(Y)
                          & p201(Y) )
                        | ( p301(Y)
                          & p201(Y) )
                        | ( p1101(Y)
                          & p101(Y) )
                        | ( p1001(Y)
                          & p101(Y) )
                        | ( p901(Y)
                          & p101(Y) )
                        | ( p801(Y)
                          & p101(Y) )
                        | ( p701(Y)
                          & p101(Y) )
                        | ( p601(Y)
                          & p101(Y) )
                        | ( p501(Y)
                          & p101(Y) )
                        | ( p401(Y)
                          & p101(Y) )
                        | ( p301(Y)
                          & p101(Y) )
                        | ( p201(Y)
                          & p101(Y) ) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ~ ( ( p1110(Y)
                      | p1109(Y)
                      | p1108(Y)
                      | p1107(Y)
                      | p1106(Y)
                      | p1105(Y)
                      | p1104(Y)
                      | p1103(Y)
                      | p1102(Y)
                      | p1101(Y) )
                    & ( p1010(Y)
                      | p1009(Y)
                      | p1008(Y)
                      | p1007(Y)
                      | p1006(Y)
                      | p1005(Y)
                      | p1004(Y)
                      | p1003(Y)
                      | p1002(Y)
                      | p1001(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p910(X) )
                      | p909(Y)
                      | p908(Y)
                      | p907(Y)
                      | p906(Y)
                      | p905(Y)
                      | p904(Y)
                      | p903(Y)
                      | p902(Y)
                      | p901(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p810(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p809(X) )
                      | p808(Y)
                      | p807(Y)
                      | p806(Y)
                      | p805(Y)
                      | p804(Y)
                      | p803(Y)
                      | p802(Y)
                      | p801(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p710(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p709(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p708(X) )
                      | p707(Y)
                      | p706(Y)
                      | p705(Y)
                      | p704(Y)
                      | p703(Y)
                      | p702(Y)
                      | p701(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p610(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p609(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p608(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p607(X) )
                      | p606(Y)
                      | p605(Y)
                      | p604(Y)
                      | p603(Y)
                      | p602(Y)
                      | p601(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p510(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p509(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p508(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p507(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p506(X) )
                      | p505(Y)
                      | p504(Y)
                      | p503(Y)
                      | p502(Y)
                      | p501(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p410(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p409(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p408(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p407(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p406(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p405(X) )
                      | p404(Y)
                      | p403(Y)
                      | p402(Y)
                      | p401(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p310(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p309(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p308(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p307(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p306(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p305(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p304(X) )
                      | p303(Y)
                      | p302(Y)
                      | p301(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p210(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p209(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p208(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p207(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p206(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p205(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p204(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p203(X) )
                      | p202(Y)
                      | p201(Y) )
                    & ( ! [X] :
                          ( ~ r1(Y,X)
                          | p110(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p109(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p108(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p107(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p106(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p105(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p104(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p103(X) )
                      | ! [X] :
                          ( ~ r1(Y,X)
                          | p102(X) )
                      | p101(Y) ) ) ) ) ) )).

%------------------------------------------------------------------------------
