%------------------------------------------------------------------------------
% File     : LCL688+1.015 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Modal Logic)
% Problem  : In S4, formula with T and A4, size 15
% Version  : Especial.
% English  : T{dia p0/p0} & box T{~box dia p0/p0} & A4{dia p0/p0} &
%            box(dia box dia p0 -> (p0 -> box p0)) -> dia box p0 |
%            dia box ~p0.

% Refs     : [BHS00] Balsiger et al. (2000), A Benchmark Method for the Pro
%          : [Kam08] Kaminski (2008), Email to G. Sutcliffe
% Source   : [Kam08]
% Names    : s4_t4p_p [BHS00]

% Status   : Theorem
% Rating   : 0.91 v6.1.0, 1.00 v5.2.0, 0.86 v5.0.0, 0.95 v4.1.0, 0.94 v4.0.1, 0.95 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit)
%            Number of atoms       :  538 (   0 equality)
%            Maximal formula depth :  167 (  58 average)
%            Number of connectives : 1181 ( 646 ~  ; 444  |;  90  &)
%                                         (   0 <=>;   1 =>;   0 <=)
%                                         (   0 <~>;   0 ~|;   0 ~&)
%            Number of predicates  :    5 (   0 propositional; 1-2 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  326 (   0 singleton; 325 !;   1 ?)
%            Maximal term depth    :    1 (   1 average)
% SPC      : FOF_THM_RFO_NEQ

% Comments : A naive relational encoding of the modal logic problem into
%            first-order logic.
%------------------------------------------------------------------------------
fof(reflexivity,axiom,(
    ! [X] : r1(X,X) )).

fof(transitivity,axiom,(
    ! [X,Y,Z] :
      ( ( r1(X,Y)
        & r1(Y,Z) )
     => r1(X,Z) ) )).

fof(main,conjecture,(
    ~ ( ? [X] :
          ~ ( ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | ~ p4(Y) ) )
            | ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | ~ ( ~ ( ! [X] :
                                ( ~ r1(Y,X)
                                | ~ ( ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | ~ ( ~ ( ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | ~ ( ~ ( ! [Y] :
                                                                    ( ~ r1(X,Y)
                                                                    | ~ ( ~ ( ! [X] :
                                                                                ( ~ r1(Y,X)
                                                                                | ~ ( ~ ( ! [Y] :
                                                                                            ( ~ r1(X,Y)
                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                        ( ~ r1(Y,X)
                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                    ( ~ r1(X,Y)
                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                                                                        ( ~ r1(Y,X)
                                                                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                                                                    ( ~ r1(X,Y)
                                                                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                        ( ~ r1(Y,X)
                                                                                                                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                    ( ~ r1(X,Y)
                                                                                                                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                        ( ~ r1(Y,X)
                                                                                                                                                                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                    ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                        ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                    ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                            | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                        ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                        | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                    ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                    | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                                | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                                        ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                                        | ! [X] :
                                                                                                                                                                                                                                                                                                                                                                                            ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                                            | p3(X) )
                                                                                                                                                                                                                                                                                                                                                                                        | ~ p2(Y) ) ) ) )
                                                                                                                                                                                                                                                                                                                                                                        | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                                ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                                | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                                            | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                                                    ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                                                    | p3(X) )
                                                                                                                                                                                                                                                                                                                                                                                                | ~ p2(Y) ) ) )
                                                                                                                                                                                                                                                                                                                                                                                    & p2(X)
                                                                                                                                                                                                                                                                                                                                                                                    & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                                            | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                                                    ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                                                    | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                                                            ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                                                            | ~ p2(Y) ) ) ) ) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                                                                            | ( ~ p1(X)
                                                                                                                                                                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                                                                                                                                                                                                              & ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                  | p1(Y)
                                                                                                                                                                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                                      | p1(Y) ) )
                                                                                                                                                                                                                                                                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                                                                | ( ~ p1(Y)
                                                                                                                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                                                                                                                  & ! [X] :
                                                                                                                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                      | p1(X)
                                                                                                                                                                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                                          | p1(X) ) )
                                                                                                                                                                                                                                                                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                                                    | ( ~ p1(X)
                                                                                                                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                                                                                                                                                                      & ! [Y] :
                                                                                                                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                          | p1(Y)
                                                                                                                                                                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                                              | p1(Y) ) )
                                                                                                                                                                                                                                                                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                                        | ( ~ p1(Y)
                                                                                                                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                                                                                          & ! [X] :
                                                                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                              | p1(X)
                                                                                                                                                                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                                                  | p1(X) ) )
                                                                                                                                                                                                                                                                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                            | ( ~ p1(X)
                                                                                                                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                                                                                                                                                              & ! [Y] :
                                                                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                  | p1(Y)
                                                                                                                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                                      | p1(Y) ) )
                                                                                                                                                                                                                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                                | ( ~ p1(Y)
                                                                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                                                                  & ! [X] :
                                                                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                      | p1(X)
                                                                                                                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                                          | p1(X) ) )
                                                                                                                                                                                                                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                                    | ( ~ p1(X)
                                                                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                                                                                                                      & ! [Y] :
                                                                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                          | p1(Y)
                                                                                                                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                                              | p1(Y) ) )
                                                                                                                                                                                                                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                                        | ( ~ p1(Y)
                                                                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                                          & ! [X] :
                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                              | p1(X)
                                                                                                                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                                                  | p1(X) ) )
                                                                                                                                                                                                                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                            | ( ~ p1(X)
                                                                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                                                                                                              & ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | p1(Y)
                                                                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                                      | p1(Y) ) )
                                                                                                                                                                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                                | ( ~ p1(Y)
                                                                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                                                                  & ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | p1(X)
                                                                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                                                                          | p1(X) ) )
                                                                                                                                                                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                                    | ( ~ p1(X)
                                                                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                                                                      & ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | p1(Y)
                                                                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                                                                              | p1(Y) ) )
                                                                                                                                                                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                                        | ( ~ p1(Y)
                                                                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                                                                          & ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | p1(X)
                                                                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                                                                  | p1(X) ) )
                                                                                                                                                                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                                            | ( ~ p1(X)
                                                                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                                                                              & ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | p1(Y)
                                                                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                                                                      | p1(Y) ) )
                                                                                                                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                                                | ( ~ p1(Y)
                                                                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                                                                  & ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | p1(X)
                                                                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                                                                          | p1(X) ) )
                                                                                                                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                                                    | ( ~ p1(X)
                                                                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                                                                      & ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | p1(Y)
                                                                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                                                                              | p1(Y) ) )
                                                                                                                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                                        | ( ~ p1(Y)
                                                                                                                                                                          & ~ ( ! [X] :
                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                                                                          & ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | p1(X)
                                                                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                                                                  | p1(X) ) )
                                                                                                                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                                            | ( ~ p1(X)
                                                                                                                                                              & ~ ( ! [Y] :
                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                      | ~ ( ! [X] :
                                                                                                                                                                              ( ~ r1(Y,X)
                                                                                                                                                                              | p1(X) ) ) ) )
                                                                                                                                                              & ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | p1(Y)
                                                                                                                                                                  | ~ ( ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                                                                      | p1(Y) ) )
                                                                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                                                                | ( ~ p1(Y)
                                                                                                                                                  & ~ ( ! [X] :
                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                          | ~ ( ! [Y] :
                                                                                                                                                                  ( ~ r1(X,Y)
                                                                                                                                                                  | p1(Y) ) ) ) )
                                                                                                                                                  & ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | p1(X)
                                                                                                                                                      | ~ ( ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                                                                          ( ~ r1(Y,X)
                                                                                                                                                                          | p1(X) ) )
                                                                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                                                                    | ( ~ p1(X)
                                                                                                                                      & ~ ( ! [Y] :
                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                              | ~ ( ! [X] :
                                                                                                                                                      ( ~ r1(Y,X)
                                                                                                                                                      | p1(X) ) ) ) )
                                                                                                                                      & ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | p1(Y)
                                                                                                                                          | ~ ( ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                                                                              ( ~ r1(X,Y)
                                                                                                                                                              | p1(Y) ) )
                                                                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                                                                        | ( ~ p1(Y)
                                                                                                                          & ~ ( ! [X] :
                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                  | ~ ( ! [Y] :
                                                                                                                                          ( ~ r1(X,Y)
                                                                                                                                          | p1(Y) ) ) ) )
                                                                                                                          & ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | p1(X)
                                                                                                                              | ~ ( ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                                                                  ( ~ r1(Y,X)
                                                                                                                                                  | p1(X) ) )
                                                                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                                                                            | ( ~ p1(X)
                                                                                                              & ~ ( ! [Y] :
                                                                                                                      ( ~ r1(X,Y)
                                                                                                                      | ~ ( ! [X] :
                                                                                                                              ( ~ r1(Y,X)
                                                                                                                              | p1(X) ) ) ) )
                                                                                                              & ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | p1(Y)
                                                                                                                  | ~ ( ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | ~ ( ~ ( ! [Y] :
                                                                                                                                      ( ~ r1(X,Y)
                                                                                                                                      | p1(Y) ) )
                                                                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                                                                | ( ~ p1(Y)
                                                                                                  & ~ ( ! [X] :
                                                                                                          ( ~ r1(Y,X)
                                                                                                          | ~ ( ! [Y] :
                                                                                                                  ( ~ r1(X,Y)
                                                                                                                  | p1(Y) ) ) ) )
                                                                                                  & ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | p1(X)
                                                                                                      | ~ ( ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | ~ ( ~ ( ! [X] :
                                                                                                                          ( ~ r1(Y,X)
                                                                                                                          | p1(X) ) )
                                                                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                                                                    | ( ~ p1(X)
                                                                                      & ~ ( ! [Y] :
                                                                                              ( ~ r1(X,Y)
                                                                                              | ~ ( ! [X] :
                                                                                                      ( ~ r1(Y,X)
                                                                                                      | p1(X) ) ) ) )
                                                                                      & ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | p1(Y)
                                                                                          | ~ ( ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | ~ ( ~ ( ! [Y] :
                                                                                                              ( ~ r1(X,Y)
                                                                                                              | p1(Y) ) )
                                                                                                      & p1(X) ) ) ) ) ) ) ) )
                                                                        | ( ~ p1(Y)
                                                                          & ~ ( ! [X] :
                                                                                  ( ~ r1(Y,X)
                                                                                  | ~ ( ! [Y] :
                                                                                          ( ~ r1(X,Y)
                                                                                          | p1(Y) ) ) ) )
                                                                          & ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X)
                                                                              | ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | ~ ( ~ ( ! [X] :
                                                                                                  ( ~ r1(Y,X)
                                                                                                  | p1(X) ) )
                                                                                          & p1(Y) ) ) ) ) ) ) ) )
                                                            | ( ~ p1(X)
                                                              & ~ ( ! [Y] :
                                                                      ( ~ r1(X,Y)
                                                                      | ~ ( ! [X] :
                                                                              ( ~ r1(Y,X)
                                                                              | p1(X) ) ) ) )
                                                              & ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y)
                                                                  | ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | ~ ( ~ ( ! [Y] :
                                                                                      ( ~ r1(X,Y)
                                                                                      | p1(Y) ) )
                                                                              & p1(X) ) ) ) ) ) ) ) )
                                                | ( ~ p1(Y)
                                                  & ~ ( ! [X] :
                                                          ( ~ r1(Y,X)
                                                          | ~ ( ! [Y] :
                                                                  ( ~ r1(X,Y)
                                                                  | p1(Y) ) ) ) )
                                                  & ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X)
                                                      | ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | ~ ( ~ ( ! [X] :
                                                                          ( ~ r1(Y,X)
                                                                          | p1(X) ) )
                                                                  & p1(Y) ) ) ) ) ) ) ) )
                                    | ( ~ p1(X)
                                      & ~ ( ! [Y] :
                                              ( ~ r1(X,Y)
                                              | ~ ( ! [X] :
                                                      ( ~ r1(Y,X)
                                                      | p1(X) ) ) ) )
                                      & ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y)
                                          | ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | ~ ( ~ ( ! [Y] :
                                                              ( ~ r1(X,Y)
                                                              | p1(Y) ) )
                                                      & p1(X) ) ) ) ) ) ) ) )
                        | ( ~ p1(Y)
                          & ~ ( ! [X] :
                                  ( ~ r1(Y,X)
                                  | ~ ( ! [Y] :
                                          ( ~ r1(X,Y)
                                          | p1(Y) ) ) ) )
                          & ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X)
                              | ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | ~ ( ~ ( ! [X] :
                                                  ( ~ r1(Y,X)
                                                  | p1(X) ) )
                                          & p1(Y) ) ) ) ) ) ) ) )
            | ( ~ p1(X)
              & ~ ( ! [Y] :
                      ( ~ r1(X,Y)
                      | ~ ( ! [X] :
                              ( ~ r1(Y,X)
                              | p1(X) ) ) ) )
              & ! [Y] :
                  ( ~ r1(X,Y)
                  | p1(Y)
                  | ~ ( ! [X] :
                          ( ~ r1(Y,X)
                          | ~ ( ~ ( ! [Y] :
                                      ( ~ r1(X,Y)
                                      | p1(Y) ) )
                              & p1(X) ) ) ) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ~ ( ! [Y] :
                            ( ~ r1(X,Y)
                            | p1(Y) ) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | p1(X) ) )
            | ! [Y] :
                ( ~ r1(X,Y)
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ~ ( ! [X] :
                                ( ~ r1(Y,X)
                                | p1(X) ) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | p1(Y) ) )
                | ! [X] :
                    ( ~ r1(Y,X)
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ~ ( ! [Y] :
                                    ( ~ r1(X,Y)
                                    | p1(Y) ) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | p1(X) ) )
                    | ! [Y] :
                        ( ~ r1(X,Y)
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ~ ( ! [X] :
                                        ( ~ r1(Y,X)
                                        | p1(X) ) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | p1(Y) ) )
                        | ! [X] :
                            ( ~ r1(Y,X)
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | p1(Y) ) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | p1(X) ) )
                            | ! [Y] :
                                ( ~ r1(X,Y)
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ~ ( ! [X] :
                                                ( ~ r1(Y,X)
                                                | p1(X) ) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | p1(Y) ) )
                                | ! [X] :
                                    ( ~ r1(Y,X)
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ~ ( ! [Y] :
                                                    ( ~ r1(X,Y)
                                                    | p1(Y) ) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | p1(X) ) )
                                    | ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ~ ( ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | p1(X) ) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | p1(Y) ) )
                                        | ! [X] :
                                            ( ~ r1(Y,X)
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ~ ( ! [Y] :
                                                            ( ~ r1(X,Y)
                                                            | p1(Y) ) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | p1(X) ) )
                                            | ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ~ ( ! [X] :
                                                                ( ~ r1(Y,X)
                                                                | p1(X) ) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | p1(Y) ) )
                                                | ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ~ ( ! [Y] :
                                                                    ( ~ r1(X,Y)
                                                                    | p1(Y) ) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | p1(X) ) )
                                                    | ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ~ ( ! [X] :
                                                                        ( ~ r1(Y,X)
                                                                        | p1(X) ) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | p1(Y) ) )
                                                        | ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ~ ( ! [Y] :
                                                                            ( ~ r1(X,Y)
                                                                            | p1(Y) ) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | p1(X) ) )
                                                            | ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ~ ( ! [X] :
                                                                                ( ~ r1(Y,X)
                                                                                | p1(X) ) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | p1(Y) ) )
                                                                | ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ~ ( ! [Y] :
                                                                                    ( ~ r1(X,Y)
                                                                                    | p1(Y) ) ) )
                                                                        | ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | p1(X) ) )
                                                                    | ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ~ ( ! [X] :
                                                                                ( ~ r1(Y,X)
                                                                                | ~ ( ! [Y] :
                                                                                        ( ~ r1(X,Y)
                                                                                        | p2(Y) ) ) ) ) )
                                                                    | ~ ( ! [Y] :
                                                                            ( ~ r1(X,Y)
                                                                            | ! [X] :
                                                                                ( ~ r1(Y,X)
                                                                                | ! [Y] :
                                                                                    ( ~ r1(X,Y)
                                                                                    | ~ p1(Y) ) )
                                                                            | ~ ( ! [X] :
                                                                                    ( ~ r1(Y,X)
                                                                                    | ~ p1(X) ) ) ) ) )
                                                                | ~ ( ! [X] :
                                                                        ( ~ r1(Y,X)
                                                                        | ! [Y] :
                                                                            ( ~ r1(X,Y)
                                                                            | ! [X] :
                                                                                ( ~ r1(Y,X)
                                                                                | ~ p1(X) ) )
                                                                        | ~ ( ! [Y] :
                                                                                ( ~ r1(X,Y)
                                                                                | ~ p1(Y) ) ) ) ) )
                                                            | ~ ( ! [Y] :
                                                                    ( ~ r1(X,Y)
                                                                    | ! [X] :
                                                                        ( ~ r1(Y,X)
                                                                        | ! [Y] :
                                                                            ( ~ r1(X,Y)
                                                                            | ~ p1(Y) ) )
                                                                    | ~ ( ! [X] :
                                                                            ( ~ r1(Y,X)
                                                                            | ~ p1(X) ) ) ) ) )
                                                        | ~ ( ! [X] :
                                                                ( ~ r1(Y,X)
                                                                | ! [Y] :
                                                                    ( ~ r1(X,Y)
                                                                    | ! [X] :
                                                                        ( ~ r1(Y,X)
                                                                        | ~ p1(X) ) )
                                                                | ~ ( ! [Y] :
                                                                        ( ~ r1(X,Y)
                                                                        | ~ p1(Y) ) ) ) ) )
                                                    | ~ ( ! [Y] :
                                                            ( ~ r1(X,Y)
                                                            | ! [X] :
                                                                ( ~ r1(Y,X)
                                                                | ! [Y] :
                                                                    ( ~ r1(X,Y)
                                                                    | ~ p1(Y) ) )
                                                            | ~ ( ! [X] :
                                                                    ( ~ r1(Y,X)
                                                                    | ~ p1(X) ) ) ) ) )
                                                | ~ ( ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | ! [Y] :
                                                            ( ~ r1(X,Y)
                                                            | ! [X] :
                                                                ( ~ r1(Y,X)
                                                                | ~ p1(X) ) )
                                                        | ~ ( ! [Y] :
                                                                ( ~ r1(X,Y)
                                                                | ~ p1(Y) ) ) ) ) )
                                            | ~ ( ! [Y] :
                                                    ( ~ r1(X,Y)
                                                    | ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | ! [Y] :
                                                            ( ~ r1(X,Y)
                                                            | ~ p1(Y) ) )
                                                    | ~ ( ! [X] :
                                                            ( ~ r1(Y,X)
                                                            | ~ p1(X) ) ) ) ) )
                                        | ~ ( ! [X] :
                                                ( ~ r1(Y,X)
                                                | ! [Y] :
                                                    ( ~ r1(X,Y)
                                                    | ! [X] :
                                                        ( ~ r1(Y,X)
                                                        | ~ p1(X) ) )
                                                | ~ ( ! [Y] :
                                                        ( ~ r1(X,Y)
                                                        | ~ p1(Y) ) ) ) ) )
                                    | ~ ( ! [Y] :
                                            ( ~ r1(X,Y)
                                            | ! [X] :
                                                ( ~ r1(Y,X)
                                                | ! [Y] :
                                                    ( ~ r1(X,Y)
                                                    | ~ p1(Y) ) )
                                            | ~ ( ! [X] :
                                                    ( ~ r1(Y,X)
                                                    | ~ p1(X) ) ) ) ) )
                                | ~ ( ! [X] :
                                        ( ~ r1(Y,X)
                                        | ! [Y] :
                                            ( ~ r1(X,Y)
                                            | ! [X] :
                                                ( ~ r1(Y,X)
                                                | ~ p1(X) ) )
                                        | ~ ( ! [Y] :
                                                ( ~ r1(X,Y)
                                                | ~ p1(Y) ) ) ) ) )
                            | ~ ( ! [Y] :
                                    ( ~ r1(X,Y)
                                    | ! [X] :
                                        ( ~ r1(Y,X)
                                        | ! [Y] :
                                            ( ~ r1(X,Y)
                                            | ~ p1(Y) ) )
                                    | ~ ( ! [X] :
                                            ( ~ r1(Y,X)
                                            | ~ p1(X) ) ) ) ) )
                        | ~ ( ! [X] :
                                ( ~ r1(Y,X)
                                | ! [Y] :
                                    ( ~ r1(X,Y)
                                    | ! [X] :
                                        ( ~ r1(Y,X)
                                        | ~ p1(X) ) )
                                | ~ ( ! [Y] :
                                        ( ~ r1(X,Y)
                                        | ~ p1(Y) ) ) ) ) )
                    | ~ ( ! [Y] :
                            ( ~ r1(X,Y)
                            | ! [X] :
                                ( ~ r1(Y,X)
                                | ! [Y] :
                                    ( ~ r1(X,Y)
                                    | ~ p1(Y) ) )
                            | ~ ( ! [X] :
                                    ( ~ r1(Y,X)
                                    | ~ p1(X) ) ) ) ) )
                | ~ ( ! [X] :
                        ( ~ r1(Y,X)
                        | ! [Y] :
                            ( ~ r1(X,Y)
                            | ! [X] :
                                ( ~ r1(Y,X)
                                | ~ p1(X) ) )
                        | ~ ( ! [Y] :
                                ( ~ r1(X,Y)
                                | ~ p1(Y) ) ) ) ) )
            | ~ ( ! [Y] :
                    ( ~ r1(X,Y)
                    | ! [X] :
                        ( ~ r1(Y,X)
                        | ! [Y] :
                            ( ~ r1(X,Y)
                            | ~ p1(Y) ) )
                    | ~ ( ! [X] :
                            ( ~ r1(Y,X)
                            | ~ p1(X) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
