%------------------------------------------------------------------------------
% File     : DAT009=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Every element greater than its index
% Version  : [PW06] axioms.
% English  :

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (33) [PW06]

% Status   : Theorem
% Rating   : 0.38 v6.1.0, 0.44 v6.0.0, 0.43 v5.5.0, 0.56 v5.4.0, 0.62 v5.3.0, 0.60 v5.2.0, 0.83 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :    6 (   2 unit;   3 type)
%            Number of atoms       :   14 (   4 equality)
%            Maximal formula depth :    7 (   5 average)
%            Number of connectives :    3 (   0   ~;   1   |;   1   &)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    5 (   2   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :    7 (   5 propositional; 0-2 arity)
%            Number of functors    :    4 (   1 constant; 0-3 arity)
%            Number of variables   :   12 (   0 sgn;  12   !;   0   ?)
%            Maximal term depth    :    3 (   2 average)
%            Arithmetic symbols    :    4 (   2 pred;    1 func;    1 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
%----Includes axioms for arrays
include('Axioms/DAT001=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: array,V: array,W: $int] :
      ( ( ! [X: $int] : $greater(read(V,X),X)
        & U = write(V,W,$sum(W,3)) )
     => ! [Y: $int] : $greater(read(U,Y),Y) ) )).
%------------------------------------------------------------------------------
