%------------------------------------------------------------------------------
% File     : DAT027=1 : TPTP v6.1.0. Released v5.0.0.
% Domain   : Data Structures
% Problem  : Replacing 2 by something positive keeps elements positive
% Version  : [PW06] axioms.
% English  : 

% Refs     : [PW06]  Prevosto & Waldmann (2006), SPASS+T
%          : [Wal10] Waldmann (2010), Email to Geoff Sutcliffe
% Source   : [Wal10]
% Names    : (50) [PW06]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.56 v6.0.0, 0.57 v5.5.0, 0.56 v5.4.0, 0.62 v5.3.0, 0.60 v5.2.0, 0.83 v5.1.0, 0.80 v5.0.0
% Syntax   : Number of formulae    :   11 (   5 unit;   5 type)
%            Number of atoms       :   27 (   3 equality)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   13 (   3   ~;   1   |;   4   &)
%                                         (   2 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    6 (   3   >;   3   *;   0   +;   0  <<)
%            Number of predicates  :   12 (   8 propositional; 0-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   17 (   0 sgn;  17   !;   0   ?)
%            Maximal term depth    :    3 (   1 average)
%            Arithmetic symbols    :    5 (   3 pred;    1 func;    1 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments : 
%------------------------------------------------------------------------------
%----Includes axioms for collections
include('Axioms/DAT002=0.ax').
%------------------------------------------------------------------------------
tff(co1,conjecture,(
    ! [U: collection,V: collection,W: $int,X: $int] :
      ( ( ! [Y: $int] :
            ( in(Y,V)
           => $greater(Y,0) )
        & in(W,V)
        & $greatereq(X,0)
        & U = add($sum(W,X),remove(W,V)) )
     => ! [Z: $int] :
          ( in(Z,U)
         => $greater(Z,0) ) ) )).
%------------------------------------------------------------------------------
