%------------------------------------------------------------------------------
% File     : SWW656=2 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Software Verification
% Problem  : Verifythis fm2012 LRS-T-le trans
% Version  : Especial : Let and conditional terms encoded away.
% English  :

% Refs     : [Fil14] Filliatre (2014), Email to Geoff Sutcliffe
%          : [BF+]   Bobot et al. (URL), Toccata: Certified Programs and Cert
% Source   : [Fil14]
% Names    : verifythis_fm2012_LRS-T-le_trans [Fil14]

% Status   : Theorem
% Rating   : 0.88 v6.1.0
% Syntax   : Number of formulae    :  131 (  42 unit;  55 type)
%            Number of atoms       :  398 (  57 equality)
%            Maximal formula depth :   20 (   6 average)
%            Number of connectives :  160 (  12   ~;   3   |;  64   &)
%                                         (  17 <=>;  64  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :  119 (  41   >;  78   *;   0   +;   0  <<)
%            Number of predicates  :   79 (  58 propositional; 0-7 arity)
%            Number of functors    :   32 (   6 constant; 0-5 arity)
%            Number of variables   :  277 (   0 sgn; 273   !;   4   ?)
%            Maximal term depth    :    5 (   1 average)
%            Arithmetic symbols    :    8 (   3 pred;    3 func;    2 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
tff(uni,type,(
    uni: $tType )).

tff(ty,type,(
    ty: $tType )).

tff(sort,type,(
    sort1: ( ty * uni ) > $o )).

tff(witness,type,(
    witness1: ty > uni )).

tff(witness_sort1,axiom,(
    ! [A: ty] : sort1(A,witness1(A)) )).

tff(int,type,(
    int: ty )).

tff(real,type,(
    real: ty )).

tff(bool,type,(
    bool1: $tType )).

tff(bool1,type,(
    bool: ty )).

tff(true,type,(
    true1: bool1 )).

tff(false,type,(
    false1: bool1 )).

tff(match_bool,type,(
    match_bool1: ( ty * bool1 * uni * uni ) > uni )).

tff(match_bool_sort2,axiom,(
    ! [A: ty,X: bool1,X1: uni,X2: uni] : sort1(A,match_bool1(A,X,X1,X2)) )).

tff(match_bool_True,axiom,(
    ! [A: ty,Z: uni,Z1: uni] :
      ( sort1(A,Z)
     => match_bool1(A,true1,Z,Z1) = Z ) )).

tff(match_bool_False,axiom,(
    ! [A: ty,Z: uni,Z1: uni] :
      ( sort1(A,Z1)
     => match_bool1(A,false1,Z,Z1) = Z1 ) )).

tff(true_False,axiom,(
    true1 != false1 )).

tff(bool_inversion,axiom,(
    ! [U: bool1] :
      ( U = true1
      | U = false1 ) )).

tff(tuple0,type,(
    tuple02: $tType )).

tff(tuple01,type,(
    tuple0: ty )).

tff(tuple02,type,(
    tuple03: tuple02 )).

tff(tuple0_inversion,axiom,(
    ! [U: tuple02] : U = tuple03 )).

tff(qtmark,type,(
    qtmark: ty )).

tff(compatOrderMult,axiom,(
    ! [X: $int,Y: $int,Z: $int] :
      ( $lesseq(X,Y)
     => ( $lesseq(0,Z)
       => $lesseq($product(X,Z),$product(Y,Z)) ) ) )).

tff(ref,type,(
    ref: ty > ty )).

tff(mk_ref,type,(
    mk_ref: ( ty * uni ) > uni )).

tff(mk_ref_sort1,axiom,(
    ! [A: ty,X: uni] : sort1(ref(A),mk_ref(A,X)) )).

tff(contents,type,(
    contents: ( ty * uni ) > uni )).

tff(contents_sort1,axiom,(
    ! [A: ty,X: uni] : sort1(A,contents(A,X)) )).

tff(contents_def3,axiom,(
    ! [A: ty,U: uni] :
      ( sort1(A,U)
     => contents(A,mk_ref(A,U)) = U ) )).

tff(ref_inversion3,axiom,(
    ! [A: ty,U: uni] :
      ( sort1(ref(A),U)
     => U = mk_ref(A,contents(A,U)) ) )).

tff(map,type,(
    map: ( ty * ty ) > ty )).

tff(get,type,(
    get: ( ty * ty * uni * uni ) > uni )).

tff(get_sort4,axiom,(
    ! [A: ty,B: ty,X: uni,X1: uni] : sort1(B,get(B,A,X,X1)) )).

tff(set,type,(
    set: ( ty * ty * uni * uni * uni ) > uni )).

tff(set_sort4,axiom,(
    ! [A: ty,B: ty,X: uni,X1: uni,X2: uni] : sort1(map(A,B),set(B,A,X,X1,X2)) )).

tff(select_eq,axiom,(
    ! [A: ty,B: ty,M: uni,A1: uni,A2: uni,B1: uni] :
      ( sort1(B,B1)
     => ( A1 = A2
       => get(B,A,set(B,A,M,A1,B1),A2) = B1 ) ) )).

tff(select_neq,axiom,(
    ! [A: ty,B: ty,M: uni,A1: uni,A2: uni] :
      ( sort1(A,A1)
     => ( sort1(A,A2)
       => ! [B1: uni] :
            ( A1 != A2
           => get(B,A,set(B,A,M,A1,B1),A2) = get(B,A,M,A2) ) ) ) )).

tff(const1,type,(
    const: ( ty * ty * uni ) > uni )).

tff(const_sort2,axiom,(
    ! [A: ty,B: ty,X: uni] : sort1(map(A,B),const(B,A,X)) )).

tff(const,axiom,(
    ! [A: ty,B: ty,B1: uni,A1: uni] :
      ( sort1(B,B1)
     => get(B,A,const(B,A,B1),A1) = B1 ) )).

tff(array,type,(
    array: ty > ty )).

tff(mk_array,type,(
    mk_array1: ( ty * $int * uni ) > uni )).

tff(mk_array_sort2,axiom,(
    ! [A: ty,X: $int,X1: uni] : sort1(array(A),mk_array1(A,X,X1)) )).

tff(length,type,(
    length1: ( ty * uni ) > $int )).

tff(length_def3,axiom,(
    ! [A: ty,U: $int,U1: uni] : length1(A,mk_array1(A,U,U1)) = U )).

tff(elts,type,(
    elts: ( ty * uni ) > uni )).

tff(elts_sort2,axiom,(
    ! [A: ty,X: uni] : sort1(map(int,A),elts(A,X)) )).

tff(elts_def3,axiom,(
    ! [A: ty,U: $int,U1: uni] :
      ( sort1(map(int,A),U1)
     => elts(A,mk_array1(A,U,U1)) = U1 ) )).

tff(array_inversion3,axiom,(
    ! [A: ty,U: uni] : U = mk_array1(A,length1(A,U),elts(A,U)) )).

tff(get1,type,(
    get2: ( ty * uni * $int ) > uni )).

tff(get_sort5,axiom,(
    ! [A: ty,X: uni,X1: $int] : sort1(A,get2(A,X,X1)) )).

tff(t2tb,type,(
    t2tb: $int > uni )).

tff(t2tb_sort2,axiom,(
    ! [X: $int] : sort1(int,t2tb(X)) )).

tff(tb2t,type,(
    tb2t: uni > $int )).

tff(bridgeL,axiom,(
    ! [I: $int] : tb2t(t2tb(I)) = I )).

tff(bridgeR,axiom,(
    ! [J: uni] : t2tb(tb2t(J)) = J )).

tff(get_def,axiom,(
    ! [A: ty,A1: uni,I: $int] : get2(A,A1,I) = get(A,int,elts(A,A1),t2tb(I)) )).

tff(set1,type,(
    set2: ( ty * uni * $int * uni ) > uni )).

tff(set_sort5,axiom,(
    ! [A: ty,X: uni,X1: $int,X2: uni] : sort1(array(A),set2(A,X,X1,X2)) )).

tff(set_def,axiom,(
    ! [A: ty,A1: uni,I: $int,V: uni] : set2(A,A1,I,V) = mk_array1(A,length1(A,A1),set(A,int,elts(A,A1),t2tb(I),V)) )).

tff(make,type,(
    make1: ( ty * $int * uni ) > uni )).

tff(make_sort2,axiom,(
    ! [A: ty,X: $int,X1: uni] : sort1(array(A),make1(A,X,X1)) )).

tff(make_def,axiom,(
    ! [A: ty,N: $int,V: uni] : make1(A,N,V) = mk_array1(A,N,const(A,int,V)) )).

tff(array_int,type,(
    array_int: $tType )).

tff(is_common_prefix,type,(
    is_common_prefix1: ( array_int * $int * $int * $int ) > $o )).

tff(t2tb1,type,(
    t2tb1: array_int > uni )).

tff(t2tb_sort3,axiom,(
    ! [X: array_int] : sort1(array(int),t2tb1(X)) )).

tff(tb2t1,type,(
    tb2t1: uni > array_int )).

tff(bridgeL1,axiom,(
    ! [I: array_int] : tb2t1(t2tb1(I)) = I )).

tff(bridgeR1,axiom,(
    ! [J: uni] : t2tb1(tb2t1(J)) = J )).

tff(is_common_prefix_def,axiom,(
    ! [A: array_int,X: $int,Y: $int,L: $int] :
      ( is_common_prefix1(A,X,Y,L)
    <=> ( $lesseq(0,L)
        & $lesseq($sum(X,L),length1(int,t2tb1(A)))
        & $lesseq($sum(Y,L),length1(int,t2tb1(A)))
        & ! [I: $int] :
            ( ( $lesseq(0,I)
              & $less(I,L) )
           => tb2t(get2(int,t2tb1(A),$sum(X,I))) = tb2t(get2(int,t2tb1(A),$sum(Y,I))) ) ) ) )).

tff(not_common_prefix_if_last_char_are_different,axiom,(
    ! [A: array_int,X: $int,Y: $int,L: $int] :
      ( ( $lesseq(0,L)
        & $less($sum(X,L),length1(int,t2tb1(A)))
        & $less($sum(Y,L),length1(int,t2tb1(A)))
        & tb2t(get2(int,t2tb1(A),$sum(X,L))) != tb2t(get2(int,t2tb1(A),$sum(Y,L))) )
     => ~ is_common_prefix1(A,X,Y,$sum(L,1)) ) )).

tff(is_longest_common_prefix,type,(
    is_longest_common_prefix1: ( array_int * $int * $int * $int ) > $o )).

tff(is_longest_common_prefix_def,axiom,(
    ! [A: array_int,X: $int,Y: $int,L: $int] :
      ( is_longest_common_prefix1(A,X,Y,L)
    <=> ( is_common_prefix1(A,X,Y,L)
        & ! [M: $int] :
            ( $less(L,M)
           => ~ is_common_prefix1(A,X,Y,M) ) ) ) )).

tff(longest_common_prefix_succ,axiom,(
    ! [A: array_int,X: $int,Y: $int,L: $int] :
      ( ( is_common_prefix1(A,X,Y,L)
        & ~ is_common_prefix1(A,X,Y,$sum(L,1)) )
     => is_longest_common_prefix1(A,X,Y,L) ) )).

tff(lt,type,(
    lt1: ( array_int * $int * $int ) > $o )).

tff(lt_def,axiom,(
    ! [A: array_int,X: $int,Y: $int] :
      ( lt1(A,X,Y)
    <=> ( $lesseq(0,X)
        & $lesseq(X,length1(int,t2tb1(A)))
        & $lesseq(0,Y)
        & $lesseq(Y,length1(int,t2tb1(A)))
        & ? [L: $int] :
            ( is_common_prefix1(A,X,Y,L)
            & $less($sum(Y,L),length1(int,t2tb1(A)))
            & ( $sum(X,L) = length1(int,t2tb1(A))
              | $less(tb2t(get2(int,t2tb1(A),$sum(X,L))),tb2t(get2(int,t2tb1(A),$sum(Y,L)))) ) ) ) ) )).

tff(map_int_int,type,(
    map_int_int: $tType )).

tff(injective,type,(
    injective1: ( map_int_int * $int ) > $o )).

tff(t2tb2,type,(
    t2tb2: map_int_int > uni )).

tff(t2tb_sort4,axiom,(
    ! [X: map_int_int] : sort1(map(int,int),t2tb2(X)) )).

tff(tb2t2,type,(
    tb2t2: uni > map_int_int )).

tff(bridgeL2,axiom,(
    ! [I: map_int_int] : tb2t2(t2tb2(I)) = I )).

tff(bridgeR2,axiom,(
    ! [J: uni] : t2tb2(tb2t2(J)) = J )).

tff(injective_def,axiom,(
    ! [A: map_int_int,N: $int] :
      ( injective1(A,N)
    <=> ! [I: $int,J: $int] :
          ( ( $lesseq(0,I)
            & $less(I,N) )
         => ( ( $lesseq(0,J)
              & $less(J,N) )
           => ( I != J
             => tb2t(get(int,int,t2tb2(A),t2tb(I))) != tb2t(get(int,int,t2tb2(A),t2tb(J))) ) ) ) ) )).

tff(surjective,type,(
    surjective1: ( map_int_int * $int ) > $o )).

tff(surjective_def,axiom,(
    ! [A: map_int_int,N: $int] :
      ( surjective1(A,N)
    <=> ! [I: $int] :
          ( ( $lesseq(0,I)
            & $less(I,N) )
         => ? [J: $int] :
              ( $lesseq(0,J)
              & $less(J,N)
              & tb2t(get(int,int,t2tb2(A),t2tb(J))) = I ) ) ) )).

tff(range,type,(
    range2: ( map_int_int * $int ) > $o )).

tff(range_def,axiom,(
    ! [A: map_int_int,N: $int] :
      ( range2(A,N)
    <=> ! [I: $int] :
          ( ( $lesseq(0,I)
            & $less(I,N) )
         => ( $lesseq(0,tb2t(get(int,int,t2tb2(A),t2tb(I))))
            & $less(tb2t(get(int,int,t2tb2(A),t2tb(I))),N) ) ) ) )).

tff(injective_surjective,axiom,(
    ! [A: map_int_int,N: $int] :
      ( injective1(A,N)
     => ( range2(A,N)
       => surjective1(A,N) ) ) )).

tff(occ,type,(
    occ1: ( ty * uni * uni * $int * $int ) > $int )).

tff(occ_empty,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( $lesseq(U,L)
     => occ1(A,V,M,L,U) = 0 ) )).

tff(occ_right_no_add,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( sort1(A,V)
     => ( $less(L,U)
       => ( get(A,int,M,t2tb($difference(U,1))) != V
         => occ1(A,V,M,L,U) = occ1(A,V,M,L,$difference(U,1)) ) ) ) )).

tff(occ_right_add,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( $less(L,U)
     => ( get(A,int,M,t2tb($difference(U,1))) = V
       => occ1(A,V,M,L,U) = $sum(1,occ1(A,V,M,L,$difference(U,1))) ) ) )).

tff(occ_bounds,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( $lesseq(L,U)
     => ( $lesseq(0,occ1(A,V,M,L,U))
        & $lesseq(occ1(A,V,M,L,U),$difference(U,L)) ) ) )).

tff(occ_append,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,Mid: $int,U: $int] :
      ( ( $lesseq(L,Mid)
        & $lesseq(Mid,U) )
     => occ1(A,V,M,L,U) = $sum(occ1(A,V,M,L,Mid),occ1(A,V,M,Mid,U)) ) )).

tff(occ_neq,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( sort1(A,V)
     => ( ! [I: $int] :
            ( ( $lesseq(L,I)
              & $less(I,U) )
           => get(A,int,M,t2tb(I)) != V )
       => occ1(A,V,M,L,U) = 0 ) ) )).

tff(occ_exists,axiom,(
    ! [A: ty,V: uni,M: uni,L: $int,U: $int] :
      ( sort1(A,V)
     => ( $less(0,occ1(A,V,M,L,U))
       => ? [I: $int] :
            ( $lesseq(L,I)
            & $less(I,U)
            & get(A,int,M,t2tb(I)) = V ) ) ) )).

tff(occ_pos,axiom,(
    ! [A: ty,M: uni,L: $int,U: $int,I: $int] :
      ( ( $lesseq(L,I)
        & $less(I,U) )
     => $less(0,occ1(A,get(A,int,M,t2tb(I)),M,L,U)) ) )).

tff(occ_eq,axiom,(
    ! [A: ty,V: uni,M1: uni,M2: uni,L: $int,U: $int] :
      ( ! [I: $int] :
          ( ( $lesseq(L,I)
            & $less(I,U) )
         => get(A,int,M1,t2tb(I)) = get(A,int,M2,t2tb(I)) )
     => occ1(A,V,M1,L,U) = occ1(A,V,M2,L,U) ) )).

tff(injection_occ,axiom,(
    ! [M: map_int_int,N: $int] :
      ( injective1(M,N)
    <=> ! [V: $int] : $lesseq(occ1(int,t2tb(V),t2tb2(M),0,N),1) ) )).

tff(range1,type,(
    range3: array_int > $o )).

tff(range_def1,axiom,(
    ! [A: array_int] :
      ( range3(A)
    <=> range2(tb2t2(elts(int,t2tb1(A))),length1(int,t2tb1(A))) ) )).

tff(permut,type,(
    permut2: ( ty * uni * uni * $int * $int ) > $o )).

tff(permut_def,axiom,(
    ! [A: ty,M1: uni,M2: uni,L: $int,U: $int] :
      ( ( permut2(A,M1,M2,L,U)
       => ! [V: uni] : occ1(A,V,M1,L,U) = occ1(A,V,M2,L,U) )
      & ( ! [V: uni] :
            ( sort1(A,V)
           => occ1(A,V,M1,L,U) = occ1(A,V,M2,L,U) )
       => permut2(A,M1,M2,L,U) ) ) )).

tff(permut_trans,axiom,(
    ! [A: ty,A1: uni,A2: uni,A3: uni,L: $int,U: $int] :
      ( permut2(A,A1,A2,L,U)
     => ( permut2(A,A2,A3,L,U)
       => permut2(A,A1,A3,L,U) ) ) )).

tff(permut_exists,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int,I: $int] :
      ( permut2(A,A1,A2,L,U)
     => ( ( $lesseq(L,I)
          & $less(I,U) )
       => ? [J: $int] :
            ( $lesseq(L,J)
            & $less(J,U)
            & get(A,int,A1,t2tb(J)) = get(A,int,A2,t2tb(I)) ) ) ) )).

tff(map_eq_sub,type,(
    map_eq_sub1: ( ty * uni * uni * $int * $int ) > $o )).

tff(map_eq_sub_def,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int] :
      ( map_eq_sub1(A,A1,A2,L,U)
    <=> ! [I: $int] :
          ( ( $lesseq(L,I)
            & $less(I,U) )
         => get(A,int,A1,t2tb(I)) = get(A,int,A2,t2tb(I)) ) ) )).

tff(array_eq_sub,type,(
    array_eq_sub1: ( ty * uni * uni * $int * $int ) > $o )).

tff(array_eq_sub_def,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int] :
      ( array_eq_sub1(A,A1,A2,L,U)
    <=> ( length1(A,A1) = length1(A,A2)
        & $lesseq(0,L)
        & $lesseq(L,length1(A,A1))
        & $lesseq(0,U)
        & $lesseq(U,length1(A,A1))
        & map_eq_sub1(A,elts(A,A1),elts(A,A2),L,U) ) ) )).

tff(array_eq,type,(
    array_eq: ( ty * uni * uni ) > $o )).

tff(array_eq_def,axiom,(
    ! [A: ty,A1: uni,A2: uni] :
      ( array_eq(A,A1,A2)
    <=> ( length1(A,A1) = length1(A,A2)
        & map_eq_sub1(A,elts(A,A1),elts(A,A2),0,length1(A,A1)) ) ) )).

tff(exchange,type,(
    exchange2: ( ty * uni * uni * $int * $int * $int * $int ) > $o )).

tff(exchange_def,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int,I: $int,J: $int] :
      ( exchange2(A,A1,A2,L,U,I,J)
    <=> ( $lesseq(L,I)
        & $less(I,U)
        & $lesseq(L,J)
        & $less(J,U)
        & get(A,int,A1,t2tb(I)) = get(A,int,A2,t2tb(J))
        & get(A,int,A1,t2tb(J)) = get(A,int,A2,t2tb(I))
        & ! [K: $int] :
            ( ( $lesseq(L,K)
              & $less(K,U) )
           => ( K != I
             => ( K != J
               => get(A,int,A1,t2tb(K)) = get(A,int,A2,t2tb(K)) ) ) ) ) ) )).

tff(exchange_set,axiom,(
    ! [A: ty,A1: uni,L: $int,U: $int,I: $int,J: $int] :
      ( ( $lesseq(L,I)
        & $less(I,U) )
     => ( ( $lesseq(L,J)
          & $less(J,U) )
       => exchange2(A,A1,set(A,int,set(A,int,A1,t2tb(I),get(A,int,A1,t2tb(J))),t2tb(J),get(A,int,A1,t2tb(I))),L,U,I,J) ) ) )).

tff(exchange1,type,(
    exchange3: ( ty * uni * uni * $int * $int ) > $o )).

tff(exchange_def1,axiom,(
    ! [A: ty,A1: uni,A2: uni,I: $int,J: $int] :
      ( exchange3(A,A1,A2,I,J)
    <=> ( length1(A,A1) = length1(A,A2)
        & exchange2(A,elts(A,A1),elts(A,A2),0,length1(A,A1),I,J) ) ) )).

tff(permut1,type,(
    permut3: ( ty * uni * uni * $int * $int ) > $o )).

tff(permut_def1,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int] :
      ( permut3(A,A1,A2,L,U)
    <=> ( length1(A,A1) = length1(A,A2)
        & $lesseq(0,L)
        & $lesseq(L,length1(A,A1))
        & $lesseq(0,U)
        & $lesseq(U,length1(A,A1))
        & permut2(A,elts(A,A1),elts(A,A2),L,U) ) ) )).

tff(permut_sub,type,(
    permut_sub1: ( ty * uni * uni * $int * $int ) > $o )).

tff(permut_sub_def,axiom,(
    ! [A: ty,A1: uni,A2: uni,L: $int,U: $int] :
      ( permut_sub1(A,A1,A2,L,U)
    <=> ( map_eq_sub1(A,elts(A,A1),elts(A,A2),0,L)
        & permut3(A,A1,A2,L,U)
        & map_eq_sub1(A,elts(A,A1),elts(A,A2),U,length1(A,A1)) ) ) )).

tff(permut_all,type,(
    permut_all: ( ty * uni * uni ) > $o )).

tff(permut_all_def,axiom,(
    ! [A: ty,A1: uni,A2: uni] :
      ( permut_all(A,A1,A2)
    <=> ( length1(A,A1) = length1(A,A2)
        & permut2(A,elts(A,A1),elts(A,A2),0,length1(A,A1)) ) ) )).

tff(exchange_permut_sub,axiom,(
    ! [A: ty,A1: uni,A2: uni,I: $int,J: $int,L: $int,U: $int] :
      ( exchange3(A,A1,A2,I,J)
     => ( ( $lesseq(L,I)
          & $less(I,U) )
       => ( ( $lesseq(L,J)
            & $less(J,U) )
         => ( $lesseq(0,L)
           => ( $lesseq(U,length1(A,A1))
             => permut_sub1(A,A1,A2,L,U) ) ) ) ) ) )).

tff(permut_sub_weakening,axiom,(
    ! [A: ty,A1: uni,A2: uni,L1: $int,U1: $int,L2: $int,U2: $int] :
      ( permut_sub1(A,A1,A2,L1,U1)
     => ( ( $lesseq(0,L2)
          & $lesseq(L2,L1) )
       => ( ( $lesseq(U1,U2)
            & $lesseq(U2,length1(A,A1)) )
         => permut_sub1(A,A1,A2,L2,U2) ) ) ) )).

tff(exchange_permut_all,axiom,(
    ! [A: ty,A1: uni,A2: uni,I: $int,J: $int] :
      ( exchange3(A,A1,A2,I,J)
     => permut_all(A,A1,A2) ) )).

tff(le,type,(
    le1: ( array_int * $int * $int ) > $o )).

tff(le_def,axiom,(
    ! [A: array_int,X: $int,Y: $int] :
      ( le1(A,X,Y)
    <=> ( X = Y
        | lt1(A,X,Y) ) ) )).

tff(lcp_same_index,axiom,(
    ! [A: array_int,X: $int] :
      ( ( $lesseq(0,X)
        & $lesseq(X,length1(int,t2tb1(A))) )
     => is_longest_common_prefix1(A,X,X,$difference(length1(int,t2tb1(A)),X)) ) )).

tff(le_trans,conjecture,(
    ! [A: array_int,X: $int,Y: $int,Z: $int] :
      ( ( le1(A,X,Y)
        & le1(A,Y,Z) )
     => le1(A,X,Z) ) )).

%------------------------------------------------------------------------------
