%------------------------------------------------------------------------------
% File     : ALG277^5 : TPTP v6.1.0. Bugfixed v5.3.0.
% Domain   : General Algebra
% Problem  : TPS problem from GRP-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0701 [Bro09]

% Status   : Theorem
% Rating   : 0.43 v5.5.0, 0.50 v5.4.0, 0.40 v5.3.0
% Syntax   : Number of formulae    :   10 (   1 unit;   5 type;   4 defn)
%            Number of atoms       :   65 (   8 equality;  29 variable)
%            Maximal formula depth :   11 (   7 average)
%            Number of connectives :   24 (   0   ~;   0   |;   2   &;  21   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   25 (  25   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :   16 (   0 sgn;   8   !;   1   ?;   7   ^)
%                                         (  16   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
% Bugfixes : v5.2.0 - Added missing type declarations.
%          : v5.3.0 - Fixed tType to $tType from last bugfixes.
%------------------------------------------------------------------------------
thf(g_type,type,(
    g: $tType )).

thf(cGROUP3_type,type,(
    cGROUP3: ( g > g > g ) > g > $o )).

thf(cGRP_ASSOC_type,type,(
    cGRP_ASSOC: ( g > g > g ) > $o )).

thf(cGRP_RIGHT_INVERSE_type,type,(
    cGRP_RIGHT_INVERSE: ( g > g > g ) > g > $o )).

thf(cGRP_RIGHT_UNIT_type,type,(
    cGRP_RIGHT_UNIT: ( g > g > g ) > g > $o )).

thf(cGRP_ASSOC_def,definition,
    ( cGRP_ASSOC
    = ( ^ [Xf: g > g > g] :
        ! [Xa: g,Xb: g,Xc: g] :
          ( ( Xf @ ( Xf @ Xa @ Xb ) @ Xc )
          = ( Xf @ Xa @ ( Xf @ Xb @ Xc ) ) ) ) )).

thf(cGRP_RIGHT_INVERSE_def,definition,
    ( cGRP_RIGHT_INVERSE
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
        ? [Xb: g] :
          ( ( Xf @ Xa @ Xb )
          = Xe ) ) )).

thf(cGRP_RIGHT_UNIT_def,definition,
    ( cGRP_RIGHT_UNIT
    = ( ^ [Xf: g > g > g,Xe: g] :
        ! [Xa: g] :
          ( ( Xf @ Xa @ Xe )
          = Xa ) ) )).

thf(cGROUP3_def,definition,
    ( cGROUP3
    = ( ^ [Xf: g > g > g,Xe: g] :
          ( ( cGRP_ASSOC @ Xf )
          & ( cGRP_RIGHT_UNIT @ Xf @ Xe )
          & ( cGRP_RIGHT_INVERSE @ Xf @ Xe ) ) ) )).

thf(cE13A2,conjecture,(
    ! [Xf: g > g > g,Xe: g] :
      ( ( cGROUP3 @ Xf @ Xe )
     => ! [Xa: g] :
          ( ( Xf @ Xe @ Xa )
          = Xa ) ) )).

%------------------------------------------------------------------------------
