%------------------------------------------------------------------------------
% File     : CSR150^3 : TPTP v6.1.0. Released v5.3.0.
% Domain   : Commonsense Reasoning
% Problem  : Did someone like Bill in 2009?
% Version  : Especial.
% English  : During 2009 Mary liked Bill and Sue liked Bill. Is it the case
%            that someone liked Bill during 2009?

% Refs     : [BP10]  Benzmueller & Pease (2010), Progress in Automating Hig
%          : [Ben11] Benzmueller (2011), Email to Geoff Sutcliffe
% Source   : [Ben11]
% Names    :

% Status   : Theorem
% Rating   : 0.71 v6.1.0, 0.86 v5.5.0, 0.83 v5.4.0, 0.80 v5.3.0
% Syntax   : Number of formulae    : 5014 ( 988 unit;1433 type;   0 defn)
%            Number of atoms       : 23567 ( 406 equality;6100 variable)
%            Maximal formula depth :   26 (   4 average)
%            Number of connectives : 16486 (   0   ~;  77   |;1315   &;14039   @)
%                                         ( 107 <=>; 948  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  : 1321 (1321   >;   0   *;   0   +;   0  <<)
%            Number of symbols     : 1439 (1433   :)
%            Number of variables   : 2579 (   0 sgn;2079   !; 496   ?;   4   ^)
%                                         (2579   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments :
%------------------------------------------------------------------------------
%----Include SUMO axioms
include('Axioms/CSR005^0.ax').
%------------------------------------------------------------------------------
%----The extracted Signature
thf(grandchild_THFTYPE_IiioI,type,(
    grandchild_THFTYPE_IiioI: $i > $i > $o )).

thf(grandparent_THFTYPE_IiioI,type,(
    grandparent_THFTYPE_IiioI: $i > $i > $o )).

thf(lJohn_THFTYPE_i,type,(
    lJohn_THFTYPE_i: $i )).

%----The translated axioms
thf(ax,axiom,(
    ! [X: $i,Y: $i] :
      ( ( grandparent_THFTYPE_IiioI @ X @ Y )
    <=> ? [Z: $i] :
          ( ( parent_THFTYPE_IiioI @ X @ Z )
          & ( parent_THFTYPE_IiioI @ Z @ Y ) ) ) )).

thf(ax_001,axiom,
    ( ltet_THFTYPE_IiioI
    @ ( lCardinalityFn_THFTYPE_IIioIiI
      @ ^ [X: $i] :
          ( grandparent_THFTYPE_IiioI @ lJohn_THFTYPE_i @ X ) )
    @ n3_THFTYPE_i )).

thf(ax_002,axiom,(
    ! [X: $i,Y: $i] :
      ( ( grandchild_THFTYPE_IiioI @ X @ Y )
    <=> ? [Z: $i] :
          ( ( parent_THFTYPE_IiioI @ Z @ X )
          & ( parent_THFTYPE_IiioI @ Y @ Z ) ) ) )).

%----The translated conjectures
thf(con,conjecture,(
    ? [Y: $i] :
      ( ltet_THFTYPE_IiioI
      @ ( lCardinalityFn_THFTYPE_IIioIiI
        @ ^ [X: $i] :
            ( grandchild_THFTYPE_IiioI @ X @ lJohn_THFTYPE_i ) )
      @ Y ) )).

%------------------------------------------------------------------------------
