%------------------------------------------------------------------------------
% File     : LCL694^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Logical Calculi
% Problem  : Prove the converse Barcan formula in the CS4 translation
% Version  : [AM+01] axioms.
% English  :

% Refs     : [AM+01] Alechina et al. (2001), Categorical and Kripke Semanti
%          : [Gar09] Garg (2009), Email to Geoff Sutcliffe
% Source   : [Gar09]
% Names    :

% Status   : Theorem
% Rating   : 0.57 v6.0.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.60 v5.1.0, 0.80 v5.0.0, 0.60 v4.1.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :   61 (   2 unit;  31 type;  24 defn)
%            Number of atoms       :  298 (  24 equality;  64 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :  103 (   3   ~;   1   |;   2   &;  96   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  130 ( 130   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   37 (  31   :)
%            Number of variables   :   54 (   2 sgn;  10   !;   4   ?;  40   ^)
%                                         (  54   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of multi-modal logic
include('Axioms/LCL008^0.ax').
%----Include axioms translating constructive S4 (CS4) to bimodal classical
%----S4 (BS4)
include('Axioms/LCL009^0.ax').
%------------------------------------------------------------------------------
thf(cs4_cbarcan,conjecture,(
    ! [A: individuals > $i > $o] :
      ( cs4_valid
      @ ( cs4_impl
        @ ( cs4_box
          @ ( cs4_all
            @ ^ [I: individuals] :
                ( cs4_atom @ ( A @ I ) ) ) )
        @ ( cs4_all
          @ ^ [I: individuals] :
              ( cs4_box @ ( cs4_atom @ ( A @ I ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
