%------------------------------------------------------------------------------
% File     : NUM926^1 : TPTP v6.1.0. Released v5.3.0.
% Domain   : Number Theory
% Problem  : Sum of two squares line 258, 100 axioms selected
% Version  : Especial.
% English  :

% Refs     : [BN10]  Boehme & Nipkow (2010), Sledgehammer: Judgement Day
%          : [Bla11] Blanchette (2011), Email to Geoff Sutcliffe
% Source   : [Bla11]
% Names    : s2s_100_thf_l258 [Bla11]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.43 v5.5.0, 0.50 v5.4.0, 0.60 v5.3.0
% Syntax   : Number of formulae    :  148 (   8 unit;  24 type;   0 defn)
%            Number of atoms       : 1417 (  87 equality; 523 variable)
%            Maximal formula depth :   16 (   7 average)
%            Number of connectives : 1077 (   8   ~;   3   |;   3   &;1010   @)
%                                         (  36 <=>;  17  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   26 (  26   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   27 (  24   :)
%            Number of variables   :  244 (   0 sgn; 238   !;   6   ?;   0   ^)
%                                         ( 244   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This file was generated by Isabelle (most likely Sledgehammer)
%            2011-08-09 19:14:34
%------------------------------------------------------------------------------
%----Should-be-implicit typings (2)
thf(ty_ty_tc__Int__Oint,type,(
    int: $tType )).

thf(ty_ty_tc__Nat__Onat,type,(
    nat: $tType )).

%----Explicit typings (22)
thf(sy_c_Groups_Oone__class_Oone_000tc__Int__Oint,type,(
    one_one_int: int )).

thf(sy_c_Groups_Oone__class_Oone_000tc__Nat__Onat,type,(
    one_one_nat: nat )).

thf(sy_c_Groups_Oplus__class_Oplus_000tc__Int__Oint,type,(
    plus_plus_int: int > int > int )).

thf(sy_c_Groups_Oplus__class_Oplus_000tc__Nat__Onat,type,(
    plus_plus_nat: nat > nat > nat )).

thf(sy_c_Groups_Otimes__class_Otimes_000tc__Int__Oint,type,(
    times_times_int: int > int > int )).

thf(sy_c_Groups_Otimes__class_Otimes_000tc__Nat__Onat,type,(
    times_times_nat: nat > nat > nat )).

thf(sy_c_IntPrimes_Ozprime,type,(
    zprime: int > $o )).

thf(sy_c_Int_OBit0,type,(
    bit0: int > int )).

thf(sy_c_Int_OBit1,type,(
    bit1: int > int )).

thf(sy_c_Int_OPls,type,(
    pls: int )).

thf(sy_c_Int_Onumber__class_Onumber__of_000tc__Int__Oint,type,(
    number_number_of_int: int > int )).

thf(sy_c_Int_Onumber__class_Onumber__of_000tc__Nat__Onat,type,(
    number_number_of_nat: int > nat )).

thf(sy_c_Orderings_Oord__class_Oless_000tc__Int__Oint,type,(
    ord_less_int: int > int > $o )).

thf(sy_c_Orderings_Oord__class_Oless_000tc__Nat__Onat,type,(
    ord_less_nat: nat > nat > $o )).

thf(sy_c_Orderings_Oord__class_Oless__eq_000tc__Int__Oint,type,(
    ord_less_eq_int: int > int > $o )).

thf(sy_c_Orderings_Oord__class_Oless__eq_000tc__Nat__Onat,type,(
    ord_less_eq_nat: nat > nat > $o )).

thf(sy_c_Power_Opower__class_Opower_000tc__Int__Oint,type,(
    power_power_int: int > nat > int )).

thf(sy_c_Power_Opower__class_Opower_000tc__Nat__Onat,type,(
    power_power_nat: nat > nat > nat )).

thf(sy_c_TwoSquares__Mirabelle__fqdbopfjxb_Ois__sum2sq,type,(
    twoSqu1013291560sum2sq: int > $o )).

thf(sy_v_m,type,(
    m: int )).

thf(sy_v_s____,type,(
    s: int )).

thf(sy_v_t____,type,(
    t: int )).

%----Relevant facts (123)
thf(fact_0_tpos,axiom,
    ( ord_less_eq_int @ one_one_int @ t )).

thf(fact_1__096t_A_061_A1_A_061_061_062_AEX_Ax_Ay_O_Ax_A_094_A2_A_L_Ay_A_094_A2_A_06,axiom,
    ( ( t = one_one_int )
   => ? [X: int,Y: int] :
        ( ( plus_plus_int @ ( power_power_int @ X @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( power_power_int @ Y @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) )
        = ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) ) )).

thf(fact_2__0961_A_060_At_A_061_061_062_AEX_Ax_Ay_O_Ax_A_094_A2_A_L_Ay_A_094_A2_A_06,axiom,
    ( ( ord_less_int @ one_one_int @ t )
   => ? [X: int,Y: int] :
        ( ( plus_plus_int @ ( power_power_int @ X @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( power_power_int @ Y @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) )
        = ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) ) )).

thf(fact_3_t__l__p,axiom,
    ( ord_less_int @ t @ ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) )).

thf(fact_4_p,axiom,
    ( zprime @ ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) )).

thf(fact_5_t,axiom,
    ( ( plus_plus_int @ ( power_power_int @ s @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ one_one_int )
    = ( times_times_int @ ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) @ t ) )).

thf(fact_6_qf1pt,axiom,
    ( twoSqu1013291560sum2sq @ ( times_times_int @ ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) @ t ) )).

thf(fact_7_zadd__power2,axiom,(
    ! [A_8: int,B_4: int] :
      ( ( power_power_int @ ( plus_plus_int @ A_8 @ B_4 ) @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( plus_plus_int @ ( plus_plus_int @ ( power_power_int @ A_8 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( times_times_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit1 @ pls ) ) ) @ A_8 ) @ B_4 ) ) @ ( power_power_int @ B_4 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) ) )).

thf(fact_8_zadd__power3,axiom,(
    ! [A_8: int,B_4: int] :
      ( ( power_power_int @ ( plus_plus_int @ A_8 @ B_4 ) @ ( number_number_of_nat @ ( bit1 @ ( bit1 @ pls ) ) ) )
      = ( plus_plus_int @ ( plus_plus_int @ ( plus_plus_int @ ( power_power_int @ A_8 @ ( number_number_of_nat @ ( bit1 @ ( bit1 @ pls ) ) ) ) @ ( times_times_int @ ( times_times_int @ ( number_number_of_int @ ( bit1 @ ( bit1 @ pls ) ) ) @ ( power_power_int @ A_8 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) @ B_4 ) ) @ ( times_times_int @ ( times_times_int @ ( number_number_of_int @ ( bit1 @ ( bit1 @ pls ) ) ) @ A_8 ) @ ( power_power_int @ B_4 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) ) @ ( power_power_int @ B_4 @ ( number_number_of_nat @ ( bit1 @ ( bit1 @ pls ) ) ) ) ) ) )).

thf(fact_9_power2__sum,axiom,(
    ! [X_11: nat,Y_5: nat] :
      ( ( power_power_nat @ ( plus_plus_nat @ X_11 @ Y_5 ) @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( plus_plus_nat @ ( plus_plus_nat @ ( power_power_nat @ X_11 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( power_power_nat @ Y_5 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) @ ( times_times_nat @ ( times_times_nat @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) @ X_11 ) @ Y_5 ) ) ) )).

thf(fact_10_power2__sum,axiom,(
    ! [X_11: int,Y_5: int] :
      ( ( power_power_int @ ( plus_plus_int @ X_11 @ Y_5 ) @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( plus_plus_int @ ( plus_plus_int @ ( power_power_int @ X_11 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( power_power_int @ Y_5 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) @ ( times_times_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit1 @ pls ) ) ) @ X_11 ) @ Y_5 ) ) ) )).

thf(fact_11_power2__eq__square__number__of,axiom,(
    ! [W_5: int] :
      ( ( power_power_int @ ( number_number_of_int @ W_5 ) @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( times_times_int @ ( number_number_of_int @ W_5 ) @ ( number_number_of_int @ W_5 ) ) ) )).

thf(fact_12_power2__eq__square__number__of,axiom,(
    ! [W_5: int] :
      ( ( power_power_nat @ ( number_number_of_nat @ W_5 ) @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( times_times_nat @ ( number_number_of_nat @ W_5 ) @ ( number_number_of_nat @ W_5 ) ) ) )).

thf(fact_13_cube__square,axiom,(
    ! [A_8: int] :
      ( ( times_times_int @ A_8 @ ( power_power_int @ A_8 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) )
      = ( power_power_int @ A_8 @ ( number_number_of_nat @ ( bit1 @ ( bit1 @ pls ) ) ) ) ) )).

thf(fact_14_one__power2,axiom,
    ( ( power_power_nat @ one_one_nat @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
    = one_one_nat )).

thf(fact_15_one__power2,axiom,
    ( ( power_power_int @ one_one_int @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
    = one_one_int )).

thf(fact_16_comm__semiring__1__class_Onormalizing__semiring__rules_I29_J,axiom,(
    ! [X_10: int] :
      ( ( times_times_int @ X_10 @ X_10 )
      = ( power_power_int @ X_10 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) )).

thf(fact_17_comm__semiring__1__class_Onormalizing__semiring__rules_I29_J,axiom,(
    ! [X_10: nat] :
      ( ( times_times_nat @ X_10 @ X_10 )
      = ( power_power_nat @ X_10 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) ) )).

thf(fact_18_power2__eq__square,axiom,(
    ! [A_7: int] :
      ( ( power_power_int @ A_7 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( times_times_int @ A_7 @ A_7 ) ) )).

thf(fact_19_power2__eq__square,axiom,(
    ! [A_7: nat] :
      ( ( power_power_nat @ A_7 @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( times_times_nat @ A_7 @ A_7 ) ) )).

thf(fact_20_comm__semiring__1__class_Onormalizing__semiring__rules_I36_J,axiom,(
    ! [X_9: int,N: nat] :
      ( ( power_power_int @ X_9 @ ( times_times_nat @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) @ N ) )
      = ( times_times_int @ ( power_power_int @ X_9 @ N ) @ ( power_power_int @ X_9 @ N ) ) ) )).

thf(fact_21_comm__semiring__1__class_Onormalizing__semiring__rules_I36_J,axiom,(
    ! [X_9: nat,N: nat] :
      ( ( power_power_nat @ X_9 @ ( times_times_nat @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) @ N ) )
      = ( times_times_nat @ ( power_power_nat @ X_9 @ N ) @ ( power_power_nat @ X_9 @ N ) ) ) )).

thf(fact_22_add__special_I2_J,axiom,(
    ! [W_4: int] :
      ( ( plus_plus_int @ one_one_int @ ( number_number_of_int @ W_4 ) )
      = ( number_number_of_int @ ( plus_plus_int @ ( bit1 @ pls ) @ W_4 ) ) ) )).

thf(fact_23_add__special_I3_J,axiom,(
    ! [V_3: int] :
      ( ( plus_plus_int @ ( number_number_of_int @ V_3 ) @ one_one_int )
      = ( number_number_of_int @ ( plus_plus_int @ V_3 @ ( bit1 @ pls ) ) ) ) )).

thf(fact_24_one__add__one__is__two,axiom,
    ( ( plus_plus_int @ one_one_int @ one_one_int )
    = ( number_number_of_int @ ( bit0 @ ( bit1 @ pls ) ) ) )).

thf(fact_25__096_B_Bthesis_O_A_I_B_Bt_O_As_A_094_A2_A_L_A1_A_061_A_I4_A_K_Am_A_L_A1_,axiom,(
    ~ ( ! [T: int] :
          ( ( plus_plus_int @ ( power_power_int @ s @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ one_one_int )
         != ( times_times_int @ ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) @ T ) ) ) )).

thf(fact_26_zle__refl,axiom,(
    ! [W: int] :
      ( ord_less_eq_int @ W @ W ) )).

thf(fact_27_zle__linear,axiom,(
    ! [Z: int,W: int] :
      ( ( ord_less_eq_int @ Z @ W )
      | ( ord_less_eq_int @ W @ Z ) ) )).

thf(fact_28_zless__le,axiom,(
    ! [Z: int,W: int] :
      ( ( ord_less_int @ Z @ W )
    <=> ( ( ord_less_eq_int @ Z @ W )
        & ( Z != W ) ) ) )).

thf(fact_29_zless__linear,axiom,(
    ! [X_1: int,Y_1: int] :
      ( ( ord_less_int @ X_1 @ Y_1 )
      | ( X_1 = Y_1 )
      | ( ord_less_int @ Y_1 @ X_1 ) ) )).

thf(fact_30_zle__trans,axiom,(
    ! [K: int,I: int,J: int] :
      ( ( ord_less_eq_int @ I @ J )
     => ( ( ord_less_eq_int @ J @ K )
       => ( ord_less_eq_int @ I @ K ) ) ) )).

thf(fact_31_zle__antisym,axiom,(
    ! [Z: int,W: int] :
      ( ( ord_less_eq_int @ Z @ W )
     => ( ( ord_less_eq_int @ W @ Z )
       => ( Z = W ) ) ) )).

thf(fact_32_comm__semiring__1__class_Onormalizing__semiring__rules_I31_J,axiom,(
    ! [X_8: int,P_1: nat,Q_1: nat] :
      ( ( power_power_int @ ( power_power_int @ X_8 @ P_1 ) @ Q_1 )
      = ( power_power_int @ X_8 @ ( times_times_nat @ P_1 @ Q_1 ) ) ) )).

thf(fact_33_comm__semiring__1__class_Onormalizing__semiring__rules_I31_J,axiom,(
    ! [X_8: nat,P_1: nat,Q_1: nat] :
      ( ( power_power_nat @ ( power_power_nat @ X_8 @ P_1 ) @ Q_1 )
      = ( power_power_nat @ X_8 @ ( times_times_nat @ P_1 @ Q_1 ) ) ) )).

thf(fact_34_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [X_7: int] :
      ( ( power_power_int @ X_7 @ one_one_nat )
      = X_7 ) )).

thf(fact_35_comm__semiring__1__class_Onormalizing__semiring__rules_I33_J,axiom,(
    ! [X_7: nat] :
      ( ( power_power_nat @ X_7 @ one_one_nat )
      = X_7 ) )).

thf(fact_36_zpower__zpower,axiom,(
    ! [X_1: int,Y_1: nat,Z: nat] :
      ( ( power_power_int @ ( power_power_int @ X_1 @ Y_1 ) @ Z )
      = ( power_power_int @ X_1 @ ( times_times_nat @ Y_1 @ Z ) ) ) )).

thf(fact_37_le__number__of__eq__not__less,axiom,(
    ! [V_2: int,W_3: int] :
      ( ( ord_less_eq_nat @ ( number_number_of_nat @ V_2 ) @ ( number_number_of_nat @ W_3 ) )
    <=> ~ ( ord_less_nat @ ( number_number_of_nat @ W_3 ) @ ( number_number_of_nat @ V_2 ) ) ) )).

thf(fact_38_le__number__of__eq__not__less,axiom,(
    ! [V_2: int,W_3: int] :
      ( ( ord_less_eq_int @ ( number_number_of_int @ V_2 ) @ ( number_number_of_int @ W_3 ) )
    <=> ~ ( ord_less_int @ ( number_number_of_int @ W_3 ) @ ( number_number_of_int @ V_2 ) ) ) )).

thf(fact_39_less__number__of,axiom,(
    ! [X_6: int,Y_4: int] :
      ( ( ord_less_int @ ( number_number_of_int @ X_6 ) @ ( number_number_of_int @ Y_4 ) )
    <=> ( ord_less_int @ X_6 @ Y_4 ) ) )).

thf(fact_40_le__number__of,axiom,(
    ! [X_5: int,Y_3: int] :
      ( ( ord_less_eq_int @ ( number_number_of_int @ X_5 ) @ ( number_number_of_int @ Y_3 ) )
    <=> ( ord_less_eq_int @ X_5 @ Y_3 ) ) )).

thf(fact_41_zadd__zless__mono,axiom,(
    ! [Z_1: int,Z: int,W_2: int,W: int] :
      ( ( ord_less_int @ W_2 @ W )
     => ( ( ord_less_eq_int @ Z_1 @ Z )
       => ( ord_less_int @ ( plus_plus_int @ W_2 @ Z_1 ) @ ( plus_plus_int @ W @ Z ) ) ) ) )).

thf(fact_42_comm__semiring__1__class_Onormalizing__semiring__rules_I26_J,axiom,(
    ! [X_4: int,P: nat,Q: nat] :
      ( ( times_times_int @ ( power_power_int @ X_4 @ P ) @ ( power_power_int @ X_4 @ Q ) )
      = ( power_power_int @ X_4 @ ( plus_plus_nat @ P @ Q ) ) ) )).

thf(fact_43_comm__semiring__1__class_Onormalizing__semiring__rules_I26_J,axiom,(
    ! [X_4: nat,P: nat,Q: nat] :
      ( ( times_times_nat @ ( power_power_nat @ X_4 @ P ) @ ( power_power_nat @ X_4 @ Q ) )
      = ( power_power_nat @ X_4 @ ( plus_plus_nat @ P @ Q ) ) ) )).

thf(fact_44_zpower__zadd__distrib,axiom,(
    ! [X_1: int,Y_1: nat,Z: nat] :
      ( ( power_power_int @ X_1 @ ( plus_plus_nat @ Y_1 @ Z ) )
      = ( times_times_int @ ( power_power_int @ X_1 @ Y_1 ) @ ( power_power_int @ X_1 @ Z ) ) ) )).

thf(fact_45_nat__mult__2,axiom,(
    ! [Z: nat] :
      ( ( times_times_nat @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) @ Z )
      = ( plus_plus_nat @ Z @ Z ) ) )).

thf(fact_46_nat__mult__2__right,axiom,(
    ! [Z: nat] :
      ( ( times_times_nat @ Z @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )
      = ( plus_plus_nat @ Z @ Z ) ) )).

thf(fact_47_nat__1__add__1,axiom,
    ( ( plus_plus_nat @ one_one_nat @ one_one_nat )
    = ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) )).

thf(fact_48_less__int__code_I16_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_int @ ( bit1 @ K1 ) @ ( bit1 @ K2 ) )
    <=> ( ord_less_int @ K1 @ K2 ) ) )).

thf(fact_49_rel__simps_I17_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_int @ ( bit1 @ K ) @ ( bit1 @ L ) )
    <=> ( ord_less_int @ K @ L ) ) )).

thf(fact_50_less__eq__int__code_I16_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_eq_int @ ( bit1 @ K1 ) @ ( bit1 @ K2 ) )
    <=> ( ord_less_eq_int @ K1 @ K2 ) ) )).

thf(fact_51_rel__simps_I34_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_eq_int @ ( bit1 @ K ) @ ( bit1 @ L ) )
    <=> ( ord_less_eq_int @ K @ L ) ) )).

thf(fact_52_rel__simps_I2_J,axiom,(
    ~ ( ord_less_int @ pls @ pls ) )).

thf(fact_53_less__int__code_I13_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_int @ ( bit0 @ K1 ) @ ( bit0 @ K2 ) )
    <=> ( ord_less_int @ K1 @ K2 ) ) )).

thf(fact_54_rel__simps_I14_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_int @ ( bit0 @ K ) @ ( bit0 @ L ) )
    <=> ( ord_less_int @ K @ L ) ) )).

thf(fact_55_rel__simps_I19_J,axiom,
    ( ord_less_eq_int @ pls @ pls )).

thf(fact_56_less__eq__int__code_I13_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_eq_int @ ( bit0 @ K1 ) @ ( bit0 @ K2 ) )
    <=> ( ord_less_eq_int @ K1 @ K2 ) ) )).

thf(fact_57_rel__simps_I31_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_eq_int @ ( bit0 @ K ) @ ( bit0 @ L ) )
    <=> ( ord_less_eq_int @ K @ L ) ) )).

thf(fact_58_less__number__of__int__code,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_int @ ( number_number_of_int @ K ) @ ( number_number_of_int @ L ) )
    <=> ( ord_less_int @ K @ L ) ) )).

thf(fact_59_less__eq__number__of__int__code,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_eq_int @ ( number_number_of_int @ K ) @ ( number_number_of_int @ L ) )
    <=> ( ord_less_eq_int @ K @ L ) ) )).

thf(fact_60_zadd__strict__right__mono,axiom,(
    ! [K: int,I: int,J: int] :
      ( ( ord_less_int @ I @ J )
     => ( ord_less_int @ ( plus_plus_int @ I @ K ) @ ( plus_plus_int @ J @ K ) ) ) )).

thf(fact_61_zadd__left__mono,axiom,(
    ! [K: int,I: int,J: int] :
      ( ( ord_less_eq_int @ I @ J )
     => ( ord_less_eq_int @ ( plus_plus_int @ K @ I ) @ ( plus_plus_int @ K @ J ) ) ) )).

thf(fact_62_add__nat__number__of,axiom,(
    ! [V_1: int,V: int] :
      ( ( ( ord_less_int @ V @ pls )
       => ( ( plus_plus_nat @ ( number_number_of_nat @ V ) @ ( number_number_of_nat @ V_1 ) )
          = ( number_number_of_nat @ V_1 ) ) )
      & ( ~ ( ord_less_int @ V @ pls )
       => ( ( ( ord_less_int @ V_1 @ pls )
           => ( ( plus_plus_nat @ ( number_number_of_nat @ V ) @ ( number_number_of_nat @ V_1 ) )
              = ( number_number_of_nat @ V ) ) )
          & ( ~ ( ord_less_int @ V_1 @ pls )
           => ( ( plus_plus_nat @ ( number_number_of_nat @ V ) @ ( number_number_of_nat @ V_1 ) )
              = ( number_number_of_nat @ ( plus_plus_int @ V @ V_1 ) ) ) ) ) ) ) )).

thf(fact_63_nat__numeral__1__eq__1,axiom,
    ( ( number_number_of_nat @ ( bit1 @ pls ) )
    = one_one_nat )).

thf(fact_64_Numeral1__eq1__nat,axiom,
    ( one_one_nat
    = ( number_number_of_nat @ ( bit1 @ pls ) ) )).

thf(fact_65_rel__simps_I29_J,axiom,(
    ! [K: int] :
      ( ( ord_less_eq_int @ ( bit1 @ K ) @ pls )
    <=> ( ord_less_int @ K @ pls ) ) )).

thf(fact_66_rel__simps_I5_J,axiom,(
    ! [K: int] :
      ( ( ord_less_int @ pls @ ( bit1 @ K ) )
    <=> ( ord_less_eq_int @ pls @ K ) ) )).

thf(fact_67_less__eq__int__code_I15_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_eq_int @ ( bit1 @ K1 ) @ ( bit0 @ K2 ) )
    <=> ( ord_less_int @ K1 @ K2 ) ) )).

thf(fact_68_rel__simps_I33_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_eq_int @ ( bit1 @ K ) @ ( bit0 @ L ) )
    <=> ( ord_less_int @ K @ L ) ) )).

thf(fact_69_less__int__code_I14_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_int @ ( bit0 @ K1 ) @ ( bit1 @ K2 ) )
    <=> ( ord_less_eq_int @ K1 @ K2 ) ) )).

thf(fact_70_rel__simps_I15_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_int @ ( bit0 @ K ) @ ( bit1 @ L ) )
    <=> ( ord_less_eq_int @ K @ L ) ) )).

thf(fact_71_zless__imp__add1__zle,axiom,(
    ! [W: int,Z: int] :
      ( ( ord_less_int @ W @ Z )
     => ( ord_less_eq_int @ ( plus_plus_int @ W @ one_one_int ) @ Z ) ) )).

thf(fact_72_add1__zle__eq,axiom,(
    ! [W: int,Z: int] :
      ( ( ord_less_eq_int @ ( plus_plus_int @ W @ one_one_int ) @ Z )
    <=> ( ord_less_int @ W @ Z ) ) )).

thf(fact_73_zle__add1__eq__le,axiom,(
    ! [W: int,Z: int] :
      ( ( ord_less_int @ W @ ( plus_plus_int @ Z @ one_one_int ) )
    <=> ( ord_less_eq_int @ W @ Z ) ) )).

thf(fact_74_zprime__2,axiom,
    ( zprime @ ( number_number_of_int @ ( bit0 @ ( bit1 @ pls ) ) ) )).

thf(fact_75_is__mult__sum2sq,axiom,(
    ! [Y_1: int,X_1: int] :
      ( ( twoSqu1013291560sum2sq @ X_1 )
     => ( ( twoSqu1013291560sum2sq @ Y_1 )
       => ( twoSqu1013291560sum2sq @ ( times_times_int @ X_1 @ Y_1 ) ) ) ) )).

thf(fact_76_comm__semiring__1__class_Onormalizing__semiring__rules_I13_J,axiom,(
    ! [Lx_6: int,Ly_4: int,Rx_6: int,Ry_4: int] :
      ( ( times_times_int @ ( times_times_int @ Lx_6 @ Ly_4 ) @ ( times_times_int @ Rx_6 @ Ry_4 ) )
      = ( times_times_int @ ( times_times_int @ Lx_6 @ Rx_6 ) @ ( times_times_int @ Ly_4 @ Ry_4 ) ) ) )).

thf(fact_77_comm__semiring__1__class_Onormalizing__semiring__rules_I13_J,axiom,(
    ! [Lx_6: nat,Ly_4: nat,Rx_6: nat,Ry_4: nat] :
      ( ( times_times_nat @ ( times_times_nat @ Lx_6 @ Ly_4 ) @ ( times_times_nat @ Rx_6 @ Ry_4 ) )
      = ( times_times_nat @ ( times_times_nat @ Lx_6 @ Rx_6 ) @ ( times_times_nat @ Ly_4 @ Ry_4 ) ) ) )).

thf(fact_78_comm__semiring__1__class_Onormalizing__semiring__rules_I15_J,axiom,(
    ! [Lx_5: int,Ly_3: int,Rx_5: int,Ry_3: int] :
      ( ( times_times_int @ ( times_times_int @ Lx_5 @ Ly_3 ) @ ( times_times_int @ Rx_5 @ Ry_3 ) )
      = ( times_times_int @ Rx_5 @ ( times_times_int @ ( times_times_int @ Lx_5 @ Ly_3 ) @ Ry_3 ) ) ) )).

thf(fact_79_comm__semiring__1__class_Onormalizing__semiring__rules_I15_J,axiom,(
    ! [Lx_5: nat,Ly_3: nat,Rx_5: nat,Ry_3: nat] :
      ( ( times_times_nat @ ( times_times_nat @ Lx_5 @ Ly_3 ) @ ( times_times_nat @ Rx_5 @ Ry_3 ) )
      = ( times_times_nat @ Rx_5 @ ( times_times_nat @ ( times_times_nat @ Lx_5 @ Ly_3 ) @ Ry_3 ) ) ) )).

thf(fact_80_comm__semiring__1__class_Onormalizing__semiring__rules_I14_J,axiom,(
    ! [Lx_4: int,Ly_2: int,Rx_4: int,Ry_2: int] :
      ( ( times_times_int @ ( times_times_int @ Lx_4 @ Ly_2 ) @ ( times_times_int @ Rx_4 @ Ry_2 ) )
      = ( times_times_int @ Lx_4 @ ( times_times_int @ Ly_2 @ ( times_times_int @ Rx_4 @ Ry_2 ) ) ) ) )).

thf(fact_81_comm__semiring__1__class_Onormalizing__semiring__rules_I14_J,axiom,(
    ! [Lx_4: nat,Ly_2: nat,Rx_4: nat,Ry_2: nat] :
      ( ( times_times_nat @ ( times_times_nat @ Lx_4 @ Ly_2 ) @ ( times_times_nat @ Rx_4 @ Ry_2 ) )
      = ( times_times_nat @ Lx_4 @ ( times_times_nat @ Ly_2 @ ( times_times_nat @ Rx_4 @ Ry_2 ) ) ) ) )).

thf(fact_82_comm__semiring__1__class_Onormalizing__semiring__rules_I16_J,axiom,(
    ! [Lx_3: int,Ly_1: int,Rx_3: int] :
      ( ( times_times_int @ ( times_times_int @ Lx_3 @ Ly_1 ) @ Rx_3 )
      = ( times_times_int @ ( times_times_int @ Lx_3 @ Rx_3 ) @ Ly_1 ) ) )).

thf(fact_83_comm__semiring__1__class_Onormalizing__semiring__rules_I16_J,axiom,(
    ! [Lx_3: nat,Ly_1: nat,Rx_3: nat] :
      ( ( times_times_nat @ ( times_times_nat @ Lx_3 @ Ly_1 ) @ Rx_3 )
      = ( times_times_nat @ ( times_times_nat @ Lx_3 @ Rx_3 ) @ Ly_1 ) ) )).

thf(fact_84_comm__semiring__1__class_Onormalizing__semiring__rules_I17_J,axiom,(
    ! [Lx_2: int,Ly: int,Rx_2: int] :
      ( ( times_times_int @ ( times_times_int @ Lx_2 @ Ly ) @ Rx_2 )
      = ( times_times_int @ Lx_2 @ ( times_times_int @ Ly @ Rx_2 ) ) ) )).

thf(fact_85_comm__semiring__1__class_Onormalizing__semiring__rules_I17_J,axiom,(
    ! [Lx_2: nat,Ly: nat,Rx_2: nat] :
      ( ( times_times_nat @ ( times_times_nat @ Lx_2 @ Ly ) @ Rx_2 )
      = ( times_times_nat @ Lx_2 @ ( times_times_nat @ Ly @ Rx_2 ) ) ) )).

thf(fact_86_comm__semiring__1__class_Onormalizing__semiring__rules_I18_J,axiom,(
    ! [Lx_1: int,Rx_1: int,Ry_1: int] :
      ( ( times_times_int @ Lx_1 @ ( times_times_int @ Rx_1 @ Ry_1 ) )
      = ( times_times_int @ ( times_times_int @ Lx_1 @ Rx_1 ) @ Ry_1 ) ) )).

thf(fact_87_comm__semiring__1__class_Onormalizing__semiring__rules_I18_J,axiom,(
    ! [Lx_1: nat,Rx_1: nat,Ry_1: nat] :
      ( ( times_times_nat @ Lx_1 @ ( times_times_nat @ Rx_1 @ Ry_1 ) )
      = ( times_times_nat @ ( times_times_nat @ Lx_1 @ Rx_1 ) @ Ry_1 ) ) )).

thf(fact_88_comm__semiring__1__class_Onormalizing__semiring__rules_I19_J,axiom,(
    ! [Lx: int,Rx: int,Ry: int] :
      ( ( times_times_int @ Lx @ ( times_times_int @ Rx @ Ry ) )
      = ( times_times_int @ Rx @ ( times_times_int @ Lx @ Ry ) ) ) )).

thf(fact_89_comm__semiring__1__class_Onormalizing__semiring__rules_I19_J,axiom,(
    ! [Lx: nat,Rx: nat,Ry: nat] :
      ( ( times_times_nat @ Lx @ ( times_times_nat @ Rx @ Ry ) )
      = ( times_times_nat @ Rx @ ( times_times_nat @ Lx @ Ry ) ) ) )).

thf(fact_90_comm__semiring__1__class_Onormalizing__semiring__rules_I7_J,axiom,(
    ! [A_6: int,B_3: int] :
      ( ( times_times_int @ A_6 @ B_3 )
      = ( times_times_int @ B_3 @ A_6 ) ) )).

thf(fact_91_comm__semiring__1__class_Onormalizing__semiring__rules_I7_J,axiom,(
    ! [A_6: nat,B_3: nat] :
      ( ( times_times_nat @ A_6 @ B_3 )
      = ( times_times_nat @ B_3 @ A_6 ) ) )).

thf(fact_92_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [A_5: int,B_2: int,C_5: int,D_2: int] :
      ( ( plus_plus_int @ ( plus_plus_int @ A_5 @ B_2 ) @ ( plus_plus_int @ C_5 @ D_2 ) )
      = ( plus_plus_int @ ( plus_plus_int @ A_5 @ C_5 ) @ ( plus_plus_int @ B_2 @ D_2 ) ) ) )).

thf(fact_93_comm__semiring__1__class_Onormalizing__semiring__rules_I20_J,axiom,(
    ! [A_5: nat,B_2: nat,C_5: nat,D_2: nat] :
      ( ( plus_plus_nat @ ( plus_plus_nat @ A_5 @ B_2 ) @ ( plus_plus_nat @ C_5 @ D_2 ) )
      = ( plus_plus_nat @ ( plus_plus_nat @ A_5 @ C_5 ) @ ( plus_plus_nat @ B_2 @ D_2 ) ) ) )).

thf(fact_94_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [A_4: int,B_1: int,C_4: int] :
      ( ( plus_plus_int @ ( plus_plus_int @ A_4 @ B_1 ) @ C_4 )
      = ( plus_plus_int @ ( plus_plus_int @ A_4 @ C_4 ) @ B_1 ) ) )).

thf(fact_95_comm__semiring__1__class_Onormalizing__semiring__rules_I23_J,axiom,(
    ! [A_4: nat,B_1: nat,C_4: nat] :
      ( ( plus_plus_nat @ ( plus_plus_nat @ A_4 @ B_1 ) @ C_4 )
      = ( plus_plus_nat @ ( plus_plus_nat @ A_4 @ C_4 ) @ B_1 ) ) )).

thf(fact_96_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [A_3: int,B: int,C_3: int] :
      ( ( plus_plus_int @ ( plus_plus_int @ A_3 @ B ) @ C_3 )
      = ( plus_plus_int @ A_3 @ ( plus_plus_int @ B @ C_3 ) ) ) )).

thf(fact_97_comm__semiring__1__class_Onormalizing__semiring__rules_I21_J,axiom,(
    ! [A_3: nat,B: nat,C_3: nat] :
      ( ( plus_plus_nat @ ( plus_plus_nat @ A_3 @ B ) @ C_3 )
      = ( plus_plus_nat @ A_3 @ ( plus_plus_nat @ B @ C_3 ) ) ) )).

thf(fact_98_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [A_2: int,C_2: int,D_1: int] :
      ( ( plus_plus_int @ A_2 @ ( plus_plus_int @ C_2 @ D_1 ) )
      = ( plus_plus_int @ ( plus_plus_int @ A_2 @ C_2 ) @ D_1 ) ) )).

thf(fact_99_comm__semiring__1__class_Onormalizing__semiring__rules_I25_J,axiom,(
    ! [A_2: nat,C_2: nat,D_1: nat] :
      ( ( plus_plus_nat @ A_2 @ ( plus_plus_nat @ C_2 @ D_1 ) )
      = ( plus_plus_nat @ ( plus_plus_nat @ A_2 @ C_2 ) @ D_1 ) ) )).

thf(fact_100_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [A_1: int,C_1: int,D: int] :
      ( ( plus_plus_int @ A_1 @ ( plus_plus_int @ C_1 @ D ) )
      = ( plus_plus_int @ C_1 @ ( plus_plus_int @ A_1 @ D ) ) ) )).

thf(fact_101_comm__semiring__1__class_Onormalizing__semiring__rules_I22_J,axiom,(
    ! [A_1: nat,C_1: nat,D: nat] :
      ( ( plus_plus_nat @ A_1 @ ( plus_plus_nat @ C_1 @ D ) )
      = ( plus_plus_nat @ C_1 @ ( plus_plus_nat @ A_1 @ D ) ) ) )).

thf(fact_102_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [A: int,C: int] :
      ( ( plus_plus_int @ A @ C )
      = ( plus_plus_int @ C @ A ) ) )).

thf(fact_103_comm__semiring__1__class_Onormalizing__semiring__rules_I24_J,axiom,(
    ! [A: nat,C: nat] :
      ( ( plus_plus_nat @ A @ C )
      = ( plus_plus_nat @ C @ A ) ) )).

thf(fact_104_eq__number__of,axiom,(
    ! [X_3: int,Y_2: int] :
      ( ( ( number_number_of_int @ X_3 )
        = ( number_number_of_int @ Y_2 ) )
    <=> ( X_3 = Y_2 ) ) )).

thf(fact_105_number__of__reorient,axiom,(
    ! [W_1: int,X_2: nat] :
      ( ( ( number_number_of_nat @ W_1 )
        = X_2 )
    <=> ( X_2
        = ( number_number_of_nat @ W_1 ) ) ) )).

thf(fact_106_number__of__reorient,axiom,(
    ! [W_1: int,X_2: int] :
      ( ( ( number_number_of_int @ W_1 )
        = X_2 )
    <=> ( X_2
        = ( number_number_of_int @ W_1 ) ) ) )).

thf(fact_107_rel__simps_I51_J,axiom,(
    ! [K: int,L: int] :
      ( ( ( bit1 @ K )
        = ( bit1 @ L ) )
    <=> ( K = L ) ) )).

thf(fact_108_rel__simps_I48_J,axiom,(
    ! [K: int,L: int] :
      ( ( ( bit0 @ K )
        = ( bit0 @ L ) )
    <=> ( K = L ) ) )).

thf(fact_109_zmult__assoc,axiom,(
    ! [Z1: int,Z2: int,Z3: int] :
      ( ( times_times_int @ ( times_times_int @ Z1 @ Z2 ) @ Z3 )
      = ( times_times_int @ Z1 @ ( times_times_int @ Z2 @ Z3 ) ) ) )).

thf(fact_110_zmult__commute,axiom,(
    ! [Z: int,W: int] :
      ( ( times_times_int @ Z @ W )
      = ( times_times_int @ W @ Z ) ) )).

thf(fact_111_number__of__is__id,axiom,(
    ! [K: int] :
      ( ( number_number_of_int @ K )
      = K ) )).

thf(fact_112_zadd__assoc,axiom,(
    ! [Z1: int,Z2: int,Z3: int] :
      ( ( plus_plus_int @ ( plus_plus_int @ Z1 @ Z2 ) @ Z3 )
      = ( plus_plus_int @ Z1 @ ( plus_plus_int @ Z2 @ Z3 ) ) ) )).

thf(fact_113_zadd__left__commute,axiom,(
    ! [X_1: int,Y_1: int,Z: int] :
      ( ( plus_plus_int @ X_1 @ ( plus_plus_int @ Y_1 @ Z ) )
      = ( plus_plus_int @ Y_1 @ ( plus_plus_int @ X_1 @ Z ) ) ) )).

thf(fact_114_zadd__commute,axiom,(
    ! [Z: int,W: int] :
      ( ( plus_plus_int @ Z @ W )
      = ( plus_plus_int @ W @ Z ) ) )).

thf(fact_115_rel__simps_I12_J,axiom,(
    ! [K: int] :
      ( ( ord_less_int @ ( bit1 @ K ) @ pls )
    <=> ( ord_less_int @ K @ pls ) ) )).

thf(fact_116_less__int__code_I15_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_int @ ( bit1 @ K1 ) @ ( bit0 @ K2 ) )
    <=> ( ord_less_int @ K1 @ K2 ) ) )).

thf(fact_117_rel__simps_I16_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_int @ ( bit1 @ K ) @ ( bit0 @ L ) )
    <=> ( ord_less_int @ K @ L ) ) )).

thf(fact_118_rel__simps_I10_J,axiom,(
    ! [K: int] :
      ( ( ord_less_int @ ( bit0 @ K ) @ pls )
    <=> ( ord_less_int @ K @ pls ) ) )).

thf(fact_119_rel__simps_I4_J,axiom,(
    ! [K: int] :
      ( ( ord_less_int @ pls @ ( bit0 @ K ) )
    <=> ( ord_less_int @ pls @ K ) ) )).

thf(fact_120_rel__simps_I22_J,axiom,(
    ! [K: int] :
      ( ( ord_less_eq_int @ pls @ ( bit1 @ K ) )
    <=> ( ord_less_eq_int @ pls @ K ) ) )).

thf(fact_121_less__eq__int__code_I14_J,axiom,(
    ! [K1: int,K2: int] :
      ( ( ord_less_eq_int @ ( bit0 @ K1 ) @ ( bit1 @ K2 ) )
    <=> ( ord_less_eq_int @ K1 @ K2 ) ) )).

thf(fact_122_rel__simps_I32_J,axiom,(
    ! [K: int,L: int] :
      ( ( ord_less_eq_int @ ( bit0 @ K ) @ ( bit1 @ L ) )
    <=> ( ord_less_eq_int @ K @ L ) ) )).

%----Conjectures (1)
thf(conj_0,conjecture,(
    ? [X: int,Y: int] :
      ( ( plus_plus_int @ ( power_power_int @ X @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ ( power_power_int @ Y @ ( number_number_of_nat @ ( bit0 @ ( bit1 @ pls ) ) ) ) )
      = ( plus_plus_int @ ( times_times_int @ ( number_number_of_int @ ( bit0 @ ( bit0 @ ( bit1 @ pls ) ) ) ) @ m ) @ one_one_int ) ) )).

%------------------------------------------------------------------------------
