%------------------------------------------------------------------------------
% File     : SEU918^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM197
% Version  : Especial.
% English  : If there are at least two individuals, then WHAT?

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0110 [Bro09]
%          : THM197 [TPS]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.14 v5.5.0, 0.33 v5.4.0, 0.60 v5.3.0, 0.80 v5.2.0, 0.60 v5.1.0, 0.40 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :   12 (   2 equality;   6 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :    7 (   2   ~;   0   |;   0   &;   4   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    2 (   2   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :    4 (   0 sgn;   2   !;   0   ?;   2   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(b,type,(
    b: $i )).

thf(a,type,(
    a: $i )).

thf(cTHM197_pme,conjecture,
    ( ( a != b )
   => ~ ( ! [Xf: $i > $i,Xg: $i > $i] :
            ( ( ^ [Xx: $i] :
                  ( Xf @ ( Xg @ Xx ) ) )
            = ( ^ [Xx: $i] :
                  ( Xg @ ( Xf @ Xx ) ) ) ) ) )).

%------------------------------------------------------------------------------
