%------------------------------------------------------------------------------
% File     : SEU929^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem THM170
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0246 [Bro09]
%          : THM170 [TPS]

% Status   : Theorem
% Rating   : 0.71 v5.5.0, 0.67 v5.4.0, 0.80 v5.3.0, 1.00 v5.2.0, 0.80 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   21 (   1 equality;   9 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   14 (   0   ~;   0   |;   1   &;  10   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :    5 (   0 sgn;   2   !;   0   ?;   3   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $i > $i )).

thf(g,type,(
    g: $i > $i )).

thf(cTHM170_pme,conjecture,
    ( ! [Xp: ( $i > $i ) > $o] :
        ( ( ( Xp @ f )
          & ! [Xj: $i > $i] :
              ( ( Xp @ Xj )
             => ( Xp
                @ ^ [Xx: $i] :
                    ( f @ ( Xj @ Xx ) ) ) ) )
       => ( Xp @ g ) )
   => ( ( ^ [Xx: $i] :
            ( f @ ( g @ Xx ) ) )
      = ( ^ [Xx: $i] :
            ( g @ ( f @ Xx ) ) ) ) )).

%------------------------------------------------------------------------------
