%------------------------------------------------------------------------------
% File     : SEU957^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Functions)
% Problem  : TPS problem from FUNCTION-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0895 [Bro09]

% Status   : Theorem
% Rating   : 0.86 v6.1.0, 0.71 v5.5.0, 0.83 v5.4.0, 0.60 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :   19 (   3 equality;  14 variable)
%            Maximal formula depth :    9 (   4 average)
%            Number of connectives :   10 (   0   ~;   0   |;   0   &;   6   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    5 (   5   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :    9 (   0 sgn;   4   !;   5   ?;   0   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(cTHM607_pme,conjecture,
    ( ? [Xc: ( a > $o ) > a] :
      ! [X: a > $o] :
        ( ? [Xt: a] :
            ( X @ Xt )
       => ( X @ ( Xc @ X ) ) )
   => ( ? [Xg: a > b] :
        ! [Y: b] :
        ? [X: a] :
          ( ( Xg @ X )
          = Y )
     => ? [Xf: b > a] :
        ! [Xx: b,Xy: b] :
          ( ( ( Xf @ Xx )
            = ( Xf @ Xy ) )
         => ( Xx = Xy ) ) ) )).

%------------------------------------------------------------------------------
