%------------------------------------------------------------------------------
% File     : SEV041^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from EQUIVALENCE-RELATIONS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1215 [Bro09]

% Status   : Theorem
% Rating   : 0.71 v6.1.0, 0.57 v5.5.0, 0.50 v5.4.0, 0.60 v5.2.0, 0.80 v5.1.0, 1.00 v5.0.0, 0.80 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    3 (   2 unit;   2 type;   0 defn)
%            Number of atoms       :  140 (   4 equality; 134 variable)
%            Maximal formula depth :   21 (   8 average)
%            Number of connectives :  129 (   0   ~;   0   |;  12   &;  97   @)
%                                         (   0 <=>;  20  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   19 (  19   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :   45 (   0 sgn;  41   !;   0   ?;   4   ^)
%                                         (  45   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(b_type,type,(
    b: $tType )).

thf(cTHM517_pme,conjecture,(
    ! [Xp: a > a > $o,Xq: a > a > $o,Xr: a > b > b > $o,Xs: a > b > b > $o] :
      ( ( ! [Xx: a,Xy: a] :
            ( ( Xp @ Xx @ Xy )
           => ( Xp @ Xy @ Xx ) )
        & ! [Xx: a,Xy: a,Xz: a] :
            ( ( ( Xp @ Xx @ Xy )
              & ( Xp @ Xy @ Xz ) )
           => ( Xp @ Xx @ Xz ) )
        & ( Xp = Xq ) )
     => ( ! [Xx: a,Xy: a] :
            ( ( Xp @ Xx @ Xy )
           => ( ! [Xx0: b,Xy0: b] :
                  ( ( Xr @ Xx @ Xx0 @ Xy0 )
                 => ( Xr @ Xx @ Xy0 @ Xx0 ) )
              & ! [Xx0: b,Xy0: b,Xz: b] :
                  ( ( ( Xr @ Xx @ Xx0 @ Xy0 )
                    & ( Xr @ Xx @ Xy0 @ Xz ) )
                 => ( Xr @ Xx @ Xx0 @ Xz ) )
              & ( ( Xr @ Xx )
                = ( Xr @ Xy ) ) ) )
       => ( ! [Xx: a] :
              ( ( Xp @ Xx @ Xx )
             => ( ! [Xx0: b,Xy: b] :
                    ( ( Xr @ Xx @ Xx0 @ Xy )
                   => ( Xr @ Xx @ Xy @ Xx0 ) )
                & ! [Xx0: b,Xy: b,Xz: b] :
                    ( ( ( Xr @ Xx @ Xx0 @ Xy )
                      & ( Xr @ Xx @ Xy @ Xz ) )
                   => ( Xr @ Xx @ Xx0 @ Xz ) )
                & ( ( Xr @ Xx )
                  = ( Xs @ Xx ) ) ) )
         => ( ! [Xx: a > b,Xy: a > b] :
                ( ! [Xx0: a,Xy0: a] :
                    ( ( Xp @ Xx0 @ Xy0 )
                   => ( Xr @ Xx0 @ ( Xx @ Xx0 ) @ ( Xy @ Xy0 ) ) )
               => ! [Xx0: a,Xy0: a] :
                    ( ( Xp @ Xx0 @ Xy0 )
                   => ( Xr @ Xx0 @ ( Xy @ Xx0 ) @ ( Xx @ Xy0 ) ) ) )
            & ! [Xx: a > b,Xy: a > b,Xz: a > b] :
                ( ( ! [Xx0: a,Xy0: a] :
                      ( ( Xp @ Xx0 @ Xy0 )
                     => ( Xr @ Xx0 @ ( Xx @ Xx0 ) @ ( Xy @ Xy0 ) ) )
                  & ! [Xx0: a,Xy0: a] :
                      ( ( Xp @ Xx0 @ Xy0 )
                     => ( Xr @ Xx0 @ ( Xy @ Xx0 ) @ ( Xz @ Xy0 ) ) ) )
               => ! [Xx0: a,Xy0: a] :
                    ( ( Xp @ Xx0 @ Xy0 )
                   => ( Xr @ Xx0 @ ( Xx @ Xx0 ) @ ( Xz @ Xy0 ) ) ) )
            & ( ( ^ [Xf: a > b,Xg: a > b] :
                  ! [Xx: a,Xy: a] :
                    ( ( Xp @ Xx @ Xy )
                   => ( Xr @ Xx @ ( Xf @ Xx ) @ ( Xg @ Xy ) ) ) )
              = ( ^ [Xf: a > b,Xg: a > b] :
                  ! [Xx: a,Xy: a] :
                    ( ( Xq @ Xx @ Xy )
                   => ( Xs @ Xx @ ( Xf @ Xx ) @ ( Xg @ Xy ) ) ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
