%------------------------------------------------------------------------------
% File     : SEV222^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem THM60
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0460 [Bro09]
%          : THM60 [TPS]

% Status   : Theorem
% Rating   : 0.43 v6.1.0, 0.29 v5.5.0, 0.33 v5.4.0, 0.40 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    4 (   1 unit;   3 type;   0 defn)
%            Number of atoms       :   22 (   1 equality;  11 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   13 (   0   ~;   2   |;   1   &;   7   @)
%                                         (   1 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   3   :)
%            Number of variables   :    5 (   0 sgn;   3   !;   1   ?;   1   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cZ,type,(
    cZ: a > $o )).

thf(cW,type,(
    cW: ( a > $o ) > $o )).

thf(cTHM60_pme,conjecture,(
    ! [Xx: a] :
      ( ( ! [S: a > $o] :
            ( ( cW @ S )
           => ( S @ Xx ) )
        | ( cZ @ Xx ) )
    <=> ! [S: a > $o] :
          ( ? [Xt: a > $o] :
              ( ( cW @ Xt )
              & ( S
                = ( ^ [Xz: a] :
                      ( ( cZ @ Xz )
                      | ( Xt @ Xz ) ) ) ) )
         => ( S @ Xx ) ) ) )).

%------------------------------------------------------------------------------
