%------------------------------------------------------------------------------
% File     : SEV303^5 : TPTP v6.1.0. Bugfixed v5.2.0.
% Domain   : Set Theory
% Problem  : TPS problem from TTTP-NATS-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1084 [Bro09]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.43 v5.5.0, 0.50 v5.4.0, 0.60 v5.2.0
% Syntax   : Number of formulae    :    7 (   0 unit;   3 type;   3 defn)
%            Number of atoms       :   88 (   4 equality;  52 variable)
%            Maximal formula depth :   18 (   8 average)
%            Number of connectives :   65 (   2   ~;   0   |;  12   &;  37   @)
%                                         (   0 <=>;  14  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   45 (  45   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   3   :)
%            Number of variables   :   19 (   0 sgn;  12   !;   2   ?;   5   ^)
%                                         (  19   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
% Bugfixes : v5.2.0 - Added missing type declarations.
%------------------------------------------------------------------------------
thf(cNAT_type,type,(
    cNAT: ( ( $i > $o ) > $o ) > $o )).

thf(cSUCC_type,type,(
    cSUCC: ( ( $i > $o ) > $o ) > ( $i > $o ) > $o )).

thf(cZERO_type,type,(
    cZERO: ( $i > $o ) > $o )).

thf(cNAT_def,definition,
    ( cNAT
    = ( ^ [Xn: ( $i > $o ) > $o] :
        ! [Xp: ( ( $i > $o ) > $o ) > $o] :
          ( ( ( Xp @ cZERO )
            & ! [Xx: ( $i > $o ) > $o] :
                ( ( Xp @ Xx )
               => ( Xp @ ( cSUCC @ Xx ) ) ) )
         => ( Xp @ Xn ) ) ) )).

thf(cSUCC_def,definition,
    ( cSUCC
    = ( ^ [Xn: ( $i > $o ) > $o,Xp: $i > $o] :
        ? [Xx: $i] :
          ( ( Xp @ Xx )
          & ( Xn
            @ ^ [Xt: $i] :
                ( ( Xt != Xx )
                & ( Xp @ Xt ) ) ) ) ) )).

thf(cZERO_def,definition,
    ( cZERO
    = ( ^ [Xp: $i > $o] :
          ~ ( ? [Xx: $i] :
                ( Xp @ Xx ) ) ) )).

thf(cX6102_C,conjecture,(
    ! [Xp: ( ( $i > $o ) > $o ) > $o] :
      ( ( ( Xp @ cZERO )
        & ! [Xx: ( $i > $o ) > $o] :
            ( ( cNAT @ Xx )
           => ( ( Xp @ Xx )
             => ( Xp @ ( cSUCC @ Xx ) ) ) ) )
     => ! [Xm: ( $i > $o ) > $o] :
          ( ( ( ! [Xp0: ( ( $i > $o ) > $o ) > $o] :
                  ( ( ( Xp0 @ cZERO )
                    & ! [Xx: ( $i > $o ) > $o] :
                        ( ( Xp0 @ Xx )
                       => ( Xp0 @ ( cSUCC @ Xx ) ) ) )
                 => ( Xp0 @ cZERO ) )
              & ( Xp @ cZERO )
              & ! [Xx: ( $i > $o ) > $o] :
                  ( ( ! [Xp0: ( ( $i > $o ) > $o ) > $o] :
                        ( ( ( Xp0 @ cZERO )
                          & ! [Xx0: ( $i > $o ) > $o] :
                              ( ( Xp0 @ Xx0 )
                             => ( Xp0 @ ( cSUCC @ Xx0 ) ) ) )
                       => ( Xp0 @ Xx ) )
                    & ( Xp @ Xx ) )
                 => ( ! [Xp0: ( ( $i > $o ) > $o ) > $o] :
                        ( ( ( Xp0 @ cZERO )
                          & ! [Xx0: ( $i > $o ) > $o] :
                              ( ( Xp0 @ Xx0 )
                             => ( Xp0 @ ( cSUCC @ Xx0 ) ) ) )
                       => ( Xp0 @ ( cSUCC @ Xx ) ) )
                    & ( Xp @ ( cSUCC @ Xx ) ) ) ) )
           => ( ( cNAT @ Xm )
              & ( Xp @ Xm ) ) )
         => ( Xp @ Xm ) ) ) )).

%------------------------------------------------------------------------------
