%------------------------------------------------------------------------------
% File     : SWV446^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Software Verification (Security)
% Problem  : K says ((K says A) => A) in BL
% Version  : [Gar08] axioms.
% English  :

% Refs     : [AM+01] Alechina et al. (2001), Categorical and Kripke Semanti
%          : [Gar08] Garg (2008), Principal-Centric Reasoning in Constructi
%          : [Gar09] Garg (2009), Email to Geoff Sutcliffe
% Source   : [Gar09]
% Names    :

% Status   : Theorem
% Rating   : 0.71 v6.1.0, 0.57 v6.0.0, 0.29 v5.5.0, 0.50 v5.4.0, 0.80 v4.1.0, 1.00 v3.7.0
% Syntax   : Number of formulae    :   84 (   3 unit;  43 type;  34 defn)
%            Number of atoms       :  394 (  34 equality;  76 variable)
%            Maximal formula depth :    9 (   5 average)
%            Number of connectives :  121 (   3   ~;   1   |;   2   &; 114   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  175 ( 175   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   49 (  43   :)
%            Number of variables   :   65 (   2 sgn;  11   !;   4   ?;  50   ^)
%                                         (  65   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Include axioms of multi-modal logic
include('Axioms/LCL008^0.ax').
%----Include axioms translating constructive S4 (CS4) to bimodal classical
%----S4 (BS4)
include('Axioms/LCL009^0.ax').
%----Include axioms for translation from Binder Logic (BL) to CS4
include('Axioms/SWV010^0.ax').
%------------------------------------------------------------------------------
thf(bl_conceit,conjecture,(
    ! [K: individuals,A: $i > $o] :
      ( bl_valid @ ( bl_says @ K @ ( bl_impl @ ( bl_says @ K @ ( bl_atom @ A ) ) @ ( bl_atom @ A ) ) ) ) )).

%------------------------------------------------------------------------------
