%------------------------------------------------------------------------------
% File     : SYN397^7 : TPTP v6.1.0. Released v5.5.0.
% Domain   : Syntactic
% Problem  : Kalish and Montague Problem 204
% Version  : [Ben12] axioms.
% English  :

% Refs     : [Goe69] Goedel (1969), An Interpretation of the Intuitionistic
%          : [KM64]  Kalish & Montegue (1964), Logic: Techniques of Formal
%          : [Ben12] Benzmueller (2012), Email to Geoff Sutcliffe
% Source   : [Ben12]
% Names    : s4-cumul-GSY397+1 [Ben12]

% Status   : Theorem
% Rating   : 0.57 v6.1.0, 0.43 v5.5.0
% Syntax   : Number of formulae    :   74 (   1 unit;  37 type;  32 defn)
%            Number of atoms       :  441 (  36 equality; 147 variable)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :  177 (   5   ~;   5   |;   9   &; 148   @)
%                                         (   0 <=>;  10  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  182 ( 182   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   42 (  37   :)
%            Number of variables   :   94 (   2 sgn;  34   !;   7   ?;  53   ^)
%                                         (  94   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : Goedel translation of SYN397+1
%------------------------------------------------------------------------------
%----Include axioms for Modal logic S4 under cumulative domains
include('Axioms/LCL015^0.ax').
include('Axioms/LCL013^5.ax').
include('Axioms/LCL015^1.ax').
%------------------------------------------------------------------------------
thf(f_type,type,(
    f: mu > $i > $o )).

thf(kalish204,conjecture,
    ( mvalid
    @ ( mand
      @ ( mbox_s4
        @ ( mimplies
          @ ( mbox_s4
            @ ( mnot
              @ ( mexists_ind
                @ ^ [X: mu] :
                    ( mbox_s4 @ ( f @ X ) ) ) ) )
          @ ( mbox_s4
            @ ( mforall_ind
              @ ^ [Y: mu] :
                  ( mbox_s4 @ ( mnot @ ( mbox_s4 @ ( f @ Y ) ) ) ) ) ) ) )
      @ ( mbox_s4
        @ ( mimplies
          @ ( mbox_s4
            @ ( mforall_ind
              @ ^ [Y: mu] :
                  ( mbox_s4 @ ( mnot @ ( mbox_s4 @ ( f @ Y ) ) ) ) ) )
          @ ( mbox_s4
            @ ( mnot
              @ ( mexists_ind
                @ ^ [X: mu] :
                    ( mbox_s4 @ ( f @ X ) ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
