%------------------------------------------------------------------------------
% File     : SYO052^2 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Quantified multimodal logic)
% Problem  : Simple textbook example 9
% Version  : [Ben09] axioms.
%          : Theorem formulation : Accessibility relation not valid
% English  :

% Refs     : [Gol92] Goldblatt (1992), Logics of Time and Computation
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : ex9a.p [Ben09]

% Status   : Theorem
% Rating   : 0.29 v6.1.0, 0.14 v5.5.0, 0.17 v5.4.0, 0.20 v5.2.0, 0.40 v4.1.0, 0.00 v4.0.0
% Syntax   : Number of formulae    :   67 (   1 unit;  35 type;  31 defn)
%            Number of atoms       :  388 (  36 equality; 137 variable)
%            Maximal formula depth :   13 (   6 average)
%            Number of connectives :  139 (   5   ~;   4   |;   8   &; 114   @)
%                                         (   0 <=>;   8  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  176 ( 176   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   40 (  35   :)
%            Number of variables   :   87 (   3 sgn;  29   !;   7   ?;  51   ^)
%                                         (  87   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : 
%------------------------------------------------------------------------------
%----Include embedding of quantified multimodal logic in simple type theory
include('Axioms/LCL013^0.ax').
%------------------------------------------------------------------------------
thf(r,type,(
    r: $i > $i > $o )).

%---- provide a consant for propositions A and B (they could
%---- alternatively become universal variables in conjecture
thf(a,type,(
    a: $i > $o )).

thf(b,type,(
    b: $i > $o )).

%---- conjecture statement
thf(conj,conjecture,(
    ? [R: $i > $i > $o] :
      ~ ( mvalid
        @ ( mforall_prop
          @ ^ [A: $i > $o] :
              ( mforall_prop
              @ ^ [B: $i > $o] :
                  ( mimplies @ ( mbox @ R @ ( mimplies @ A @ B ) ) @ ( mimplies @ ( mbox @ R @ A ) @ ( mdia @ R @ B ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
