%------------------------------------------------------------------------------
% File     : SYO066^4.002 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logic Calculi (Intuitionistic logic)
% Problem  : ILTP Problem SYJ202+1.002
% Version  : [Goe33] axioms.
% English  :

% Refs     : [Goe33] Goedel (1933), An Interpretation of the Intuitionistic
%          : [Gol06] Goldblatt (2006), Mathematical Modal Logic: A View of
%          : [ROK06] Raths et al. (2006), The ILTP Problem Library for Intu
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
%          : [BP10]  Benzmueller & Paulson (2009), Exploring Properties of
% Source   : [Ben09]
% Names    : SYJ202+1.002 [ROK06]

% Status   : Theorem
% Rating   : 0.57 v6.1.0, 0.43 v5.5.0, 0.33 v5.4.0, 0.60 v5.2.0, 0.40 v5.1.0, 0.60 v5.0.0, 0.40 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :   51 (   0 unit;  26 type;  19 defn)
%            Number of atoms       :  266 (  19 equality;  48 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :  105 (   3   ~;   1   |;   2   &;  97   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :  101 ( 101   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :   30 (  26   :)
%            Number of variables   :   40 (   1 sgn;   7   !;   2   ?;  31   ^)
%                                         (  40   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_EQU

% Comments : This is an ILTP problem embedded in TH0
%------------------------------------------------------------------------------
include('Axioms/LCL010^0.ax').
%------------------------------------------------------------------------------
thf(o11_type,type,(
    o11: $i > $o )).

thf(o12_type,type,(
    o12: $i > $o )).

thf(o21_type,type,(
    o21: $i > $o )).

thf(o22_type,type,(
    o22: $i > $o )).

thf(o31_type,type,(
    o31: $i > $o )).

thf(o32_type,type,(
    o32: $i > $o )).

thf(axiom1,axiom,
    ( ivalid @ ( ior @ ( iatom @ o11 ) @ ( iatom @ o12 ) ) )).

thf(axiom2,axiom,
    ( ivalid @ ( ior @ ( iatom @ o21 ) @ ( iatom @ o22 ) ) )).

thf(axiom3,axiom,
    ( ivalid @ ( ior @ ( iatom @ o31 ) @ ( iatom @ o32 ) ) )).

thf(con,conjecture,
    ( ivalid @ ( ior @ ( iand @ ( iatom @ o11 ) @ ( iatom @ o21 ) ) @ ( ior @ ( iand @ ( iatom @ o11 ) @ ( iatom @ o31 ) ) @ ( ior @ ( iand @ ( iatom @ o21 ) @ ( iatom @ o31 ) ) @ ( ior @ ( iand @ ( iatom @ o12 ) @ ( iatom @ o22 ) ) @ ( ior @ ( iand @ ( iatom @ o12 ) @ ( iatom @ o32 ) ) @ ( iand @ ( iatom @ o22 ) @ ( iatom @ o32 ) ) ) ) ) ) ) )).

%------------------------------------------------------------------------------
