%------------------------------------------------------------------------------
% File     : LCL734^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Logical Calculi
% Problem  : TPS problem from AC-THMS
% Version  : Especial.
% English  : Related to the axiom of choice.

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0901 [Bro09]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.50 v5.5.0, 0.80 v5.4.0, 0.75 v5.1.0, 0.50 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   20 (   0 equality;  19 variable)
%            Maximal formula depth :   10 (   6 average)
%            Number of connectives :   18 (   0   ~;   2   |;   0   &;  13   @)
%                                         (   0 <=>;   3  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   13 (  13   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :    9 (   0 sgn;   5   !;   4   ?;   0   ^)
%                                         (   9   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(b_type,type,(
    b: $tType )).

thf(cX5310B,conjecture,
    ( ! [Xr_3: ( b > $o ) > b > $o,Xr_4: ( b > $o ) > b > $o] :
        ( ! [Xx: b > $o] :
          ? [Xy: b] :
            ( ( Xr_3 @ Xx @ Xy )
            | ( Xr_4 @ Xx @ Xy ) )
       => ? [Xf: ( b > $o ) > b] :
          ! [Xx: b > $o] :
            ( ( Xr_3 @ Xx @ ( Xf @ Xx ) )
            | ( Xr_4 @ Xx @ ( Xf @ Xx ) ) ) )
   => ? [Xj: ( b > $o ) > b] :
      ! [Xp: b > $o] :
        ( ? [Xz: b] :
            ( Xp @ Xz )
       => ( Xp @ ( Xj @ Xp ) ) ) )).

%------------------------------------------------------------------------------
