%------------------------------------------------------------------------------
% File     : SEV068^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem THM275A-1
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0448 [Bro09]
%          : THM275A-1 [TPS]

% Status   : Theorem
% Rating   : 0.83 v5.5.0, 0.80 v5.4.0, 0.75 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :   37 (   0 equality;  36 variable)
%            Maximal formula depth :   15 (   8 average)
%            Number of connectives :   35 (   0   ~;   0   |;   5   &;  24   @)
%                                         (   0 <=>;   6  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    3 (   1   :)
%            Number of variables   :   15 (   0 sgn;  14   !;   1   ?;   0   ^)
%                                         (  15   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM275A_1_pme,conjecture,(
    ! [Xr: a > a > $o] :
    ? [Xp: a > a > $o] :
      ( ! [Xx: a,Xy: a] :
          ( ( Xr @ Xx @ Xy )
         => ( Xp @ Xx @ Xy ) )
      & ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( Xp @ Xx @ Xy )
            & ( Xp @ Xy @ Xz ) )
         => ( Xp @ Xx @ Xz ) )
      & ! [Xq: a > a > $o] :
          ( ( ! [Xx: a,Xy: a,Xz: a] :
                ( ( ( Xq @ Xx @ Xy )
                  & ( Xq @ Xy @ Xz ) )
               => ( Xq @ Xx @ Xz ) )
            & ! [Xx: a,Xy: a] :
                ( ( Xr @ Xx @ Xy )
               => ( Xq @ Xx @ Xy ) ) )
         => ! [Xx: a,Xy: a] :
              ( ( Xp @ Xx @ Xy )
             => ( Xq @ Xx @ Xy ) ) ) ) )).

%------------------------------------------------------------------------------
