%------------------------------------------------------------------------------
% File     : SEV091^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from RELN-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1029 [Bro09]

% Status   : Theorem
% Rating   : 0.50 v6.0.0, 0.33 v5.5.0, 0.20 v5.4.0, 0.25 v5.1.0, 0.50 v5.0.0, 0.25 v4.1.0, 0.33 v4.0.1, 0.67 v4.0.0
% Syntax   : Number of formulae    :    3 (   0 unit;   2 type;   0 defn)
%            Number of atoms       :   42 (   0 equality;  24 variable)
%            Maximal formula depth :   11 (   6 average)
%            Number of connectives :   35 (   0   ~;   2   |;   5   &;  24   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :   14 (   0 sgn;  14   !;   0   ?;   0   ^)
%                                         (  14   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(cQ,type,(
    cQ: $i > $i > $o )).

thf(cP,type,(
    cP: $i > $i > $o )).

thf(cCADE13_pme,conjecture,
    ( ( ! [Xx: $i,Xy: $i,Xz: $i] :
          ( ( ( cP @ Xx @ Xy )
            & ( cP @ Xy @ Xz ) )
         => ( cP @ Xx @ Xz ) )
      & ! [Xx: $i,Xy: $i,Xz: $i] :
          ( ( ( cQ @ Xx @ Xy )
            & ( cQ @ Xy @ Xz ) )
         => ( cQ @ Xx @ Xz ) )
      & ! [Xx: $i,Xy: $i] :
          ( ( cQ @ Xx @ Xy )
         => ( cQ @ Xy @ Xx ) )
      & ! [Xx: $i,Xy: $i] :
          ( ( cP @ Xx @ Xy )
          | ( cQ @ Xx @ Xy ) ) )
   => ( ! [Xx: $i,Xy: $i] :
          ( cP @ Xx @ Xy )
      | ! [Xx: $i,Xy: $i] :
          ( cQ @ Xx @ Xy ) ) )).

%------------------------------------------------------------------------------
