%------------------------------------------------------------------------------
% File     : SEV153^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from TRANSITIVE-CLOSURE
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1220 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v6.0.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.50 v5.2.0, 0.75 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :  149 (   0 equality; 148 variable)
%            Maximal formula depth :   23 (  12 average)
%            Number of connectives :  148 (   1   ~;  14   |;  19   &;  88   @)
%                                         (   0 <=>;  26  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   12 (  12   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   1   :)
%            Number of variables   :   41 (   0 sgn;  41   !;   0   ?;   0   ^)
%                                         (  41   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM251H_pme,conjecture,(
    ! [R: a > a > $o,S: a > a > $o,Xx: a,Xy: a] :
      ( ! [Xq: a > $o] :
          ( ( ! [Xw: a] :
                ( ( ( R @ Xx @ Xw )
                  | ( S @ Xx @ Xw ) )
               => ( Xq @ Xw ) )
            & ! [Xu: a,Xv: a] :
                ( ( ( Xq @ Xu )
                  & ( ( R @ Xu @ Xv )
                    | ( S @ Xu @ Xv ) ) )
               => ( Xq @ Xv ) ) )
         => ( Xq @ Xy ) )
      | ( ~ ( ! [Xq: a > $o] :
                ( ( ! [Xw: a] :
                      ( ( ( R @ Xx @ Xw )
                        | ( S @ Xx @ Xw ) )
                     => ( Xq @ Xw ) )
                  & ! [Xu: a,Xv: a] :
                      ( ( ( Xq @ Xu )
                        & ( ( R @ Xu @ Xv )
                          | ( S @ Xu @ Xv ) ) )
                     => ( Xq @ Xv ) ) )
               => ( Xq @ Xy ) ) )
        & ! [Xx0: a,Xy0: a] :
            ( ( ! [Xq: a > $o] :
                  ( ( ! [Xw: a] :
                        ( ( R @ Xx0 @ Xw )
                       => ( Xq @ Xw ) )
                    & ! [Xu: a,Xv: a] :
                        ( ( ( Xq @ Xu )
                          & ( R @ Xu @ Xv ) )
                       => ( Xq @ Xv ) ) )
                 => ( Xq @ Xy0 ) )
              | ! [Xq: a > $o] :
                  ( ( ! [Xw: a] :
                        ( ( S @ Xx0 @ Xw )
                       => ( Xq @ Xw ) )
                    & ! [Xu: a,Xv: a] :
                        ( ( ( Xq @ Xu )
                          & ( S @ Xu @ Xv ) )
                       => ( Xq @ Xv ) ) )
                 => ( Xq @ Xy0 ) ) )
           => ! [Xq: a > $o] :
                ( ( ! [Xw: a] :
                      ( ( ( R @ Xx0 @ Xw )
                        | ( S @ Xx0 @ Xw ) )
                     => ( Xq @ Xw ) )
                  & ! [Xu: a,Xv: a] :
                      ( ( ( Xq @ Xu )
                        & ( ( R @ Xu @ Xv )
                          | ( S @ Xu @ Xv ) ) )
                     => ( Xq @ Xv ) ) )
               => ( Xq @ Xy0 ) ) )
        & ! [Xx0: a,Xy0: a,Xz: a] :
            ( ( ! [Xq: a > $o] :
                  ( ( ! [Xw: a] :
                        ( ( ( R @ Xx0 @ Xw )
                          | ( S @ Xx0 @ Xw ) )
                       => ( Xq @ Xw ) )
                    & ! [Xu: a,Xv: a] :
                        ( ( ( Xq @ Xu )
                          & ( ( R @ Xu @ Xv )
                            | ( S @ Xu @ Xv ) ) )
                       => ( Xq @ Xv ) ) )
                 => ( Xq @ Xy0 ) )
              & ! [Xq: a > $o] :
                  ( ( ! [Xw: a] :
                        ( ( ( R @ Xy0 @ Xw )
                          | ( S @ Xy0 @ Xw ) )
                       => ( Xq @ Xw ) )
                    & ! [Xu: a,Xv: a] :
                        ( ( ( Xq @ Xu )
                          & ( ( R @ Xu @ Xv )
                            | ( S @ Xu @ Xv ) ) )
                       => ( Xq @ Xv ) ) )
                 => ( Xq @ Xz ) ) )
           => ! [Xq: a > $o] :
                ( ( ! [Xw: a] :
                      ( ( ( R @ Xx0 @ Xw )
                        | ( S @ Xx0 @ Xw ) )
                     => ( Xq @ Xw ) )
                  & ! [Xu: a,Xv: a] :
                      ( ( ( Xq @ Xu )
                        & ( ( R @ Xu @ Xv )
                          | ( S @ Xu @ Xv ) ) )
                     => ( Xq @ Xv ) ) )
               => ( Xq @ Xz ) ) ) ) ) )).

%------------------------------------------------------------------------------
