%------------------------------------------------------------------------------
% File     : SEV156^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Relations)
% Problem  : TPS problem from TRANSITIVE-CLOSURE
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1233 [Bro09]

% Status   : Theorem
% Rating   : 0.67 v6.0.0, 0.50 v5.5.0, 0.40 v5.4.0, 0.50 v4.1.0, 1.00 v4.0.0
% Syntax   : Number of formulae    :    2 (   1 unit;   1 type;   0 defn)
%            Number of atoms       :  163 (   0 equality; 162 variable)
%            Maximal formula depth :   23 (  12 average)
%            Number of connectives :  162 (   1   ~;   8   |;  19   &; 108   @)
%                                         (   0 <=>;  26  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   20 (  20   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   1   :)
%            Number of variables   :   57 (   0 sgn;  57   !;   0   ?;   0   ^)
%                                         (  57   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cTHM250H_pme,conjecture,(
    ! [R: a > a > $o,S: a > a > $o,Xx: a,Xy: a] :
      ( ! [Xp1: a > a > $o] :
          ( ( ! [Xx0: a,Xy0: a] :
                ( ( ( R @ Xx0 @ Xy0 )
                  | ( S @ Xx0 @ Xy0 ) )
               => ( Xp1 @ Xx0 @ Xy0 ) )
            & ! [Xx0: a,Xy0: a,Xz: a] :
                ( ( ( Xp1 @ Xx0 @ Xy0 )
                  & ( Xp1 @ Xy0 @ Xz ) )
               => ( Xp1 @ Xx0 @ Xz ) ) )
         => ( Xp1 @ Xx @ Xy ) )
      | ( ~ ( ! [Xp1: a > a > $o] :
                ( ( ! [Xx0: a,Xy0: a] :
                      ( ( ( R @ Xx0 @ Xy0 )
                        | ( S @ Xx0 @ Xy0 ) )
                     => ( Xp1 @ Xx0 @ Xy0 ) )
                  & ! [Xx0: a,Xy0: a,Xz: a] :
                      ( ( ( Xp1 @ Xx0 @ Xy0 )
                        & ( Xp1 @ Xy0 @ Xz ) )
                     => ( Xp1 @ Xx0 @ Xz ) ) )
               => ( Xp1 @ Xx @ Xy ) ) )
        & ! [Xx0: a,Xy0: a] :
            ( ( ! [Xp1: a > a > $o] :
                  ( ( ! [Xx1: a,Xy1: a] :
                        ( ( R @ Xx1 @ Xy1 )
                       => ( Xp1 @ Xx1 @ Xy1 ) )
                    & ! [Xx1: a,Xy1: a,Xz: a] :
                        ( ( ( Xp1 @ Xx1 @ Xy1 )
                          & ( Xp1 @ Xy1 @ Xz ) )
                       => ( Xp1 @ Xx1 @ Xz ) ) )
                 => ( Xp1 @ Xx0 @ Xy0 ) )
              | ! [Xp1: a > a > $o] :
                  ( ( ! [Xx1: a,Xy1: a] :
                        ( ( S @ Xx1 @ Xy1 )
                       => ( Xp1 @ Xx1 @ Xy1 ) )
                    & ! [Xx1: a,Xy1: a,Xz: a] :
                        ( ( ( Xp1 @ Xx1 @ Xy1 )
                          & ( Xp1 @ Xy1 @ Xz ) )
                       => ( Xp1 @ Xx1 @ Xz ) ) )
                 => ( Xp1 @ Xx0 @ Xy0 ) ) )
           => ! [Xp1: a > a > $o] :
                ( ( ! [Xx1: a,Xy1: a] :
                      ( ( ( R @ Xx1 @ Xy1 )
                        | ( S @ Xx1 @ Xy1 ) )
                     => ( Xp1 @ Xx1 @ Xy1 ) )
                  & ! [Xx1: a,Xy1: a,Xz: a] :
                      ( ( ( Xp1 @ Xx1 @ Xy1 )
                        & ( Xp1 @ Xy1 @ Xz ) )
                     => ( Xp1 @ Xx1 @ Xz ) ) )
               => ( Xp1 @ Xx0 @ Xy0 ) ) )
        & ! [Xx0: a,Xy0: a,Xz: a] :
            ( ( ! [Xp1: a > a > $o] :
                  ( ( ! [Xx1: a,Xy1: a] :
                        ( ( ( R @ Xx1 @ Xy1 )
                          | ( S @ Xx1 @ Xy1 ) )
                       => ( Xp1 @ Xx1 @ Xy1 ) )
                    & ! [Xx1: a,Xy1: a,Xz0: a] :
                        ( ( ( Xp1 @ Xx1 @ Xy1 )
                          & ( Xp1 @ Xy1 @ Xz0 ) )
                       => ( Xp1 @ Xx1 @ Xz0 ) ) )
                 => ( Xp1 @ Xx0 @ Xy0 ) )
              & ! [Xp1: a > a > $o] :
                  ( ( ! [Xx1: a,Xy1: a] :
                        ( ( ( R @ Xx1 @ Xy1 )
                          | ( S @ Xx1 @ Xy1 ) )
                       => ( Xp1 @ Xx1 @ Xy1 ) )
                    & ! [Xx1: a,Xy1: a,Xz0: a] :
                        ( ( ( Xp1 @ Xx1 @ Xy1 )
                          & ( Xp1 @ Xy1 @ Xz0 ) )
                       => ( Xp1 @ Xx1 @ Xz0 ) ) )
                 => ( Xp1 @ Xy0 @ Xz ) ) )
           => ! [Xp1: a > a > $o] :
                ( ( ! [Xx1: a,Xy1: a] :
                      ( ( ( R @ Xx1 @ Xy1 )
                        | ( S @ Xx1 @ Xy1 ) )
                     => ( Xp1 @ Xx1 @ Xy1 ) )
                  & ! [Xx1: a,Xy1: a,Xz0: a] :
                      ( ( ( Xp1 @ Xx1 @ Xy1 )
                        & ( Xp1 @ Xy1 @ Xz0 ) )
                     => ( Xp1 @ Xx1 @ Xz0 ) ) )
               => ( Xp1 @ Xx0 @ Xz ) ) ) ) ) )).

%------------------------------------------------------------------------------
