%------------------------------------------------------------------------------
% File     : SEV165^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory
% Problem  : TPS problem EXISTS-CART-SET-PROD
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0457 [Bro09]
%          : EXISTS-CART-SET-PROD [TPS]

% Status   : Theorem
% Rating   : 0.83 v5.5.0, 0.80 v5.4.0, 0.75 v4.1.0, 0.67 v4.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :   10 (   0 equality;  10 variable)
%            Maximal formula depth :   11 (  11 average)
%            Number of connectives :    9 (   0   ~;   0   |;   1   &;   7   @)
%                                         (   1 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   12 (  12   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    2 (   0   :)
%            Number of variables   :    6 (   0 sgn;   4   !;   1   ?;   1   ^)
%                                         (   6   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(cEXISTS_CART_SET_PROD_pme,conjecture,(
    ? [CROSS: ( $i > $o ) > ( $i > $o ) > ( ( $i > $i > $i ) > $i ) > $o] :
    ! [A: $i > $o,B: $i > $o,Xa: $i,Xb: $i] :
      ( ( CROSS @ A @ B
        @ ^ [G: $i > $i > $i] :
            ( G @ Xa @ Xb ) )
    <=> ( ( A @ Xa )
        & ( B @ Xb ) ) ) )).

%------------------------------------------------------------------------------
