%------------------------------------------------------------------------------
% File     : SEV218^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Set Theory (Sets of sets)
% Problem  : TPS problem from CHOICE-COVER-THMS
% Version  : Especial.
% English  :

% Refs     : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_1007 [Bro09]

% Status   : Theorem
% Rating   : 0.50 v6.0.0, 0.33 v5.5.0, 0.20 v5.4.0, 0.25 v5.1.0, 0.50 v5.0.0, 0.25 v4.1.0, 0.33 v4.0.0
% Syntax   : Number of formulae    :    3 (   1 unit;   2 type;   0 defn)
%            Number of atoms       :   37 (   0 equality;  26 variable)
%            Maximal formula depth :   12 (   6 average)
%            Number of connectives :   32 (   0   ~;   0   |;   5   &;  22   @)
%                                         (   1 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    4 (   4   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    4 (   2   :)
%            Number of variables   :   11 (   0 sgn;   9   !;   2   ?;   0   ^)
%                                         (  11   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(cQ,type,(
    cQ: a > a > $o )).

thf(cTHM559A_pme,conjecture,
    ( ? [Xf: a > a > $o] :
      ! [Xx: a] :
        ( ? [Xz: a] :
            ( Xf @ Xx @ Xz )
        & ! [Xx_0: a] :
            ( ( Xf @ Xx @ Xx_0 )
           => ! [Xy: a] :
                ( ( Xf @ Xx @ Xy )
              <=> ( cQ @ Xx_0 @ Xy ) ) )
        & ( Xf @ Xx @ Xx ) )
   => ( ! [Xx: a] :
          ( cQ @ Xx @ Xx )
      & ! [Xx: a,Xy: a] :
          ( ( cQ @ Xx @ Xy )
         => ( cQ @ Xy @ Xx ) )
      & ! [Xx: a,Xy: a,Xz: a] :
          ( ( ( cQ @ Xx @ Xy )
            & ( cQ @ Xy @ Xz ) )
         => ( cQ @ Xx @ Xz ) ) ) )).

%------------------------------------------------------------------------------
