%------------------------------------------------------------------------------
% File     : SYO018^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : Formula requiring b and Eta
% Version  : Especial.
% English  :

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 19 [BB05]

% Status   : Theorem
%          : Without Boolean extensionality : CounterSatisfiable
%          : Without eta extensionality : CounterSatisfiable
% Rating   : 0.50 v6.1.0, 0.33 v6.0.0, 0.17 v5.5.0, 0.20 v5.4.0, 0.25 v5.0.0, 0.50 v4.1.0, 0.67 v4.0.0, 0.33 v3.7.0
% Syntax   : Number of formulae    :    5 (   1 unit;   4 type;   0 defn)
%            Number of atoms       :   24 (   0 equality;   2 variable)
%            Maximal formula depth :   11 (   5 average)
%            Number of connectives :   13 (   0   ~;   0   |;   2   &;  10   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    6 (   6   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :)
%            Number of variables   :    2 (   0 sgn;   0   !;   0   ?;   2   ^)
%                                         (   2   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : 
%------------------------------------------------------------------------------
thf(f,type,(
    f: $o > $i > $i )).

thf(p,type,(
    p: ( $i > $i ) > $o )).

thf(a,type,(
    a: ( $i > $i ) > $o )).

thf(b,type,(
    b: $o )).

thf(conj,conjecture,
    ( ( p
      @ ^ [X: $i] :
          ( f
          @ ( ( a
              @ ^ [X: $i] :
                  ( f @ b @ X ) )
            & b )
          @ X ) )
   => ( p
      @ ( f
        @ ( b
          & ( a @ ( f @ b ) ) ) ) ) )).

%------------------------------------------------------------------------------
