%------------------------------------------------------------------------------
% File     : SYO026^1 : TPTP v6.1.0. Released v3.7.0.
% Domain   : Syntactic
% Problem  : Four functions from truth values to truth values
% Version  : Especial.
% English  : In Henkin semantics there are exactly four functions from truth
%            values to truth values.

% Refs     : [BB05]  Benzmueller & Brown (2005), A Structured Set of Higher
%          : [Ben09] Benzmueller (2009), Email to Geoff Sutcliffe
% Source   : [Ben09]
% Names    : Example 21 [BB05]

% Status   : Theorem
% Rating   : 0.50 v6.1.0, 0.33 v6.0.0, 0.17 v5.5.0, 0.00 v5.4.0, 0.25 v5.3.0, 0.50 v5.1.0, 0.75 v5.0.0, 0.50 v4.1.0, 0.67 v3.7.0
% Syntax   : Number of formulae    :    2 (   0 unit;   1 type;   0 defn)
%            Number of atoms       :   13 (   0 equality;   3 variable)
%            Maximal formula depth :    7 (   6 average)
%            Number of connectives :   10 (   1   ~;   0   |;   3   &;   5   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    5 (   1   :)
%            Number of variables   :    5 (   2 sgn;   1   !;   0   ?;   4   ^)
%                                         (   5   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : 
%------------------------------------------------------------------------------
thf(p_decl,type,(
    p: ( $o > $o ) > $o )).

thf(conj,conjecture,
    ( ( ( p
        @ ^ [X: $o] : X )
      & ( p
        @ ^ [X: $o] : ~ ( X ) )
      & ( p
        @ ^ [X: $o] : $false )
      & ( p
        @ ^ [X: $o] : $true ) )
   => ! [Y: $o > $o] :
        ( p @ Y ) )).

%------------------------------------------------------------------------------
