%------------------------------------------------------------------------------
% File     : SYO258^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem BLEDSOE-FENG-6
% Version  : Especial.
% English  :

% Refs     : [BF93]  Bledsoe & Feng (1993), SET-VAR
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0144 [Bro09]
%          : BLEDSOE-FENG-6 [TPS]
%          : Example 6 [BF93]

% Status   : Theorem
% Rating   : 0.33 v6.1.0, 0.17 v6.0.0, 0.00 v4.0.1, 0.33 v4.0.0
% Syntax   : Number of formulae    :    5 (   2 unit;   4 type;   0 defn)
%            Number of atoms       :   25 (   0 equality;   8 variable)
%            Maximal formula depth :   10 (   5 average)
%            Number of connectives :   15 (   0   ~;   0   |;   3   &;  10   @)
%                                         (   0 <=>;   2  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    7 (   7   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    6 (   4   :)
%            Number of variables   :    4 (   0 sgn;   2   !;   2   ?;   0   ^)
%                                         (   4   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : 
%------------------------------------------------------------------------------
thf(a,type,(
    a: $i )).

thf(cQ,type,(
    cQ: $i > ( $i > $o ) > $o )).

thf(cP,type,(
    cP: $i > $i > $o )).

thf(b,type,(
    b: $i )).

thf(cBLEDSOE_FENG_6,conjecture,
    ( ( ( cP @ a @ b )
      & ! [E: $i > $o] :
          ( cQ @ b @ E ) )
   => ? [A: $i > $o] :
      ! [Xg: $i] :
        ( ( A @ Xg )
       => ( ? [Xx: $i] :
              ( ( cP @ Xg @ Xx )
              & ( cQ @ Xx @ A ) )
          & ( A @ a ) ) ) )).

%------------------------------------------------------------------------------
