%------------------------------------------------------------------------------
% File     : SYO364^5 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Syntactic
% Problem  : TPS problem EDEC
% Version  : Especial.
% English  : Example from [Ben99] about decomposition (using Leibniz equality).

% Refs     : [Ben99] Benzmueller (1999), Equality and Extensionality in Hig
%          : [Bro09] Brown (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : tps_0575 [Bro09]
%          : EDEC [TPS]

% Status   : Theorem
% Rating   : 0.50 v5.5.0, 0.80 v5.4.0, 0.75 v5.0.0, 0.50 v4.1.0, 0.67 v4.0.1, 1.00 v4.0.0
% Syntax   : Number of formulae    :    6 (   1 unit;   5 type;   0 defn)
%            Number of atoms       :   33 (   0 equality;  12 variable)
%            Maximal formula depth :   10 (   4 average)
%            Number of connectives :   19 (   0   ~;   0   |;   1   &;  14   @)
%                                         (   0 <=>;   4  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :   13 (  13   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    7 (   5   :)
%            Number of variables   :    6 (   0 sgn;   6   !;   0   ?;   0   ^)
%                                         (   6   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This problem is from the TPS library. Copyright (c) 2009 The TPS
%            project in the Department of Mathematical Sciences at Carnegie
%            Mellon University. Distributed under the Creative Commons copyleft
%            license: http://creativecommons.org/licenses/by-sa/3.0/
%          : Polymorphic definitions expanded.
%          : 
%------------------------------------------------------------------------------
thf(a_type,type,(
    a: $tType )).

thf(j,type,(
    j: a > a )).

thf(g,type,(
    g: ( a > a ) > a > a )).

thf(h,type,(
    h: a > a )).

thf(f,type,(
    f: ( a > a ) > a > a )).

thf(cEDEC_pme,conjecture,
    ( ( ! [X: a > a,Y: a,Xq: a > $o] :
          ( ( Xq @ ( f @ X @ Y ) )
         => ( Xq @ ( g @ X @ Y ) ) )
      & ! [Z: a,Xq: a > $o] :
          ( ( Xq @ ( h @ Z ) )
         => ( Xq @ ( j @ Z ) ) ) )
   => ! [Xq: ( a > a ) > $o] :
        ( ( Xq @ ( f @ h ) )
       => ( Xq @ ( g @ j ) ) ) )).

%------------------------------------------------------------------------------
