%------------------------------------------------------------------------------
% File     : SYO513^1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Syntactic
% Problem  : There is a choice operator at type o
% Version  : Especial.
% English  : 

% Refs     : [Bro09] Brown E. (2009), Email to Geoff Sutcliffe
% Source   : [Bro09]
% Names    : choiceo [Bro09]

% Status   : Theorem
%          : Without choice : Theorem
% Rating   : 0.33 v6.1.0, 0.00 v5.5.0, 0.20 v5.4.0, 0.50 v5.3.0, 0.75 v5.2.0, 1.00 v4.1.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type;   0 defn)
%            Number of atoms       :    5 (   0 equality;   5 variable)
%            Maximal formula depth :    6 (   6 average)
%            Number of connectives :    4 (   0   ~;   0   |;   0   &;   3   @)
%                                         (   0 <=>;   1  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&;   0  !!;   0  ??)
%            Number of type conns  :    3 (   3   >;   0   *;   0   +;   0  <<)
%            Number of symbols     :    1 (   0   :)
%            Number of variables   :    3 (   0 sgn;   1   !;   2   ?;   0   ^)
%                                         (   3   :;   0  !>;   0  ?*)
%                                         (   0  @-;   0  @+)
% SPC      : TH0_THM_NEQ

% Comments : This theorem is in a sense trivial because the semantics is Henkin
%            with choice. It is also a theorem if we do not assume choice 
%            because \x.x $true is a choice operator at type o.
%------------------------------------------------------------------------------
thf(choiceo,conjecture,(
    ? [C: ( $o > $o ) > $o] :
    ! [P: $o > $o] :
      ( ? [X: $o] :
          ( P @ X )
     => ( P @ ( C @ P ) ) ) )).

%------------------------------------------------------------------------------
