%--------------------------------------------------------------------------
% File     : COL006-6 : TPTP v6.1.0. Released v2.1.0.
% Domain   : Combinatory Logic
% Problem  : Strong fixed point for S and K
% Version  : [WM88] (equality) axioms.
%            Theorem formulation : The fixed point is provided and checked.
% English  : The strong fixed point property holds for the set
%            P consisting of the combinators S and K alone, where
%            ((Sx)y)z = (xz)(yz), (Kx)y = x.

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
% Source   : [TPTP]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.64 v6.1.0, 0.69 v6.0.0, 0.76 v5.5.0, 0.79 v5.4.0, 0.80 v5.3.0, 0.75 v5.2.0, 0.79 v5.1.0, 0.73 v5.0.0, 0.79 v4.1.0, 0.73 v4.0.1, 0.71 v4.0.0, 0.69 v3.7.0, 0.44 v3.4.0, 0.38 v3.3.0, 0.64 v3.1.0, 0.78 v2.7.0, 0.73 v2.6.0, 0.50 v2.5.0, 0.75 v2.4.0, 0.67 v2.2.1, 0.88 v2.2.0, 0.80 v2.1.0
% Syntax   : Number of clauses     :    4 (   0 non-Horn;   4 unit;   2 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   4 constant; 0-2 arity)
%            Number of variables   :    5 (   1 singleton)
%            Maximal term depth    :    8 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%--------------------------------------------------------------------------
cnf(s_definition,axiom,
    ( apply(apply(apply(s,X),Y),Z) = apply(apply(X,Z),apply(Y,Z)) )).

cnf(k_definition,axiom,
    ( apply(apply(k,X),Y) = X )).

cnf(strong_fixed_point,axiom,
    ( strong_fixed_point = apply(apply(s,apply(k,apply(apply(s,apply(apply(s,k),k)),apply(apply(s,k),k)))),apply(apply(s,apply(apply(s,apply(k,s)),k)),apply(k,apply(apply(s,apply(apply(s,k),k)),apply(apply(s,k),k))))) )).

cnf(prove_strong_fixed_point,negated_conjecture,
    (  apply(strong_fixed_point,fixed_pt) != apply(fixed_pt,apply(strong_fixed_point,fixed_pt)) )).

%--------------------------------------------------------------------------
