%--------------------------------------------------------------------------
% File     : COL060-1 : TPTP v6.1.0. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Find combinator equivalent to Q from B and T
% Version  : [WM88] (equality) axioms.
% English  : Construct from B and T alone a combinator that behaves as the
%            combinator Q does, where ((Bx)y)z = x(yz), (Tx)y = yx,
%            ((Qx)y)z = y(xz).

% Refs     : [WM88]  Wos & McCune (1988), Challenge Problems Focusing on Eq
%          : [WW+90] Wos et al. (1990), Automated Reasoning Contributes to
% Source   : [WW+90]
% Names    : CL-1 [WW+90]

% Status   : Unsatisfiable
% Rating   : 0.36 v6.1.0, 0.31 v6.0.0, 0.43 v5.5.0, 0.37 v5.4.0, 0.27 v5.3.0, 0.33 v5.2.0, 0.29 v5.1.0, 0.33 v5.0.0, 0.29 v4.1.0, 0.27 v4.0.1, 0.29 v4.0.0, 0.31 v3.7.0, 0.33 v3.4.0, 0.38 v3.3.0, 0.36 v3.1.0, 0.33 v2.7.0, 0.36 v2.6.0, 0.17 v2.5.0, 0.00 v2.2.1, 0.11 v2.2.0, 0.14 v2.1.0, 0.62 v2.0.0
% Syntax   : Number of clauses     :    3 (   0 non-Horn;   3 unit;   1 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :    6 (   0 singleton)
%            Maximal term depth    :    5 (   4 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%--------------------------------------------------------------------------
cnf(b_definition,axiom,
    ( apply(apply(apply(b,X),Y),Z) = apply(X,apply(Y,Z)) )).

cnf(t_definition,axiom,
    ( apply(apply(t,X),Y) = apply(Y,X) )).

cnf(prove_q_combinator,negated_conjecture,
    (  apply(apply(apply(X,f(X)),g(X)),h(X)) != apply(g(X),apply(f(X),h(X))) )).

%--------------------------------------------------------------------------
