%--------------------------------------------------------------------------
% File     : GRP167-4 : TPTP v6.1.0. Bugfixed v1.2.1.
% Domain   : Group Theory (Lattice Ordered)
% Problem  : Product of positive and negative parts
% Version  : [Fuc94] (equality) axioms : Augmented.
% English  :

% Refs     : [Fuc94] Fuchs (1994), The Application of Goal-Orientated Heuri
%          : [Sch95] Schulz (1995), Explanation Based Learning for Distribu
% Source   : [Sch95]
% Names    : p19 [Sch95]

% Status   : Unsatisfiable
% Rating   : 0.50 v6.1.0, 0.62 v6.0.0, 0.76 v5.5.0, 0.79 v5.4.0, 0.67 v5.3.0, 0.58 v5.2.0, 0.64 v5.1.0, 0.60 v5.0.0, 0.57 v4.1.0, 0.45 v4.0.1, 0.43 v4.0.0, 0.38 v3.7.0, 0.33 v3.4.0, 0.38 v3.3.0, 0.43 v3.1.0, 0.33 v2.7.0, 0.45 v2.6.0, 0.50 v2.5.0, 0.25 v2.4.0, 0.00 v2.2.1, 0.67 v2.2.0, 0.71 v2.1.0, 0.86 v2.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;  19 unit;   2 RR)
%            Number of atoms       :   19 (  19 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   36 (   2 singleton)
%            Maximal term depth    :    3 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : ORDERING LPO inverse > product > greatest_lower_bound >
%            least_upper_bound > identity > a
%          : ORDERING LPO greatest_lower_bound > least_upper_bound >
%            inverse > product > identity > a
% Bugfixes : v1.2.1 - Duplicate axioms in GRP004-2.ax removed.
%--------------------------------------------------------------------------
%----Include equality group theory axioms
include('Axioms/GRP004-0.ax').
%----Include Lattice ordered group (equality) axioms
include('Axioms/GRP004-2.ax').
%--------------------------------------------------------------------------
cnf(p19_1,axiom,
    ( inverse(identity) = identity )).

cnf(p19_2,axiom,
    ( inverse(inverse(X)) = X )).

cnf(p19_3,axiom,
    ( inverse(multiply(X,Y)) = multiply(inverse(Y),inverse(X)) )).

cnf(prove_p19,negated_conjecture,
    (  a != multiply(least_upper_bound(a,identity),greatest_lower_bound(a,identity)) )).

%--------------------------------------------------------------------------
