%------------------------------------------------------------------------------
% File     : GRP686-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : x(y.yz) = (x.yy)z is equivalent to xx.yz = (x.xy)z part 1
% Version  : Especial.
% English  :

% Refs     : [PV05]  Phillips & Vojtechovsky (2005), The Varieties of Loops
%          : [PS08]  Phillips & Stanovsky (2008), Automated Theorem Proving
%          : [Sta08] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08]
% Names    : PV05 [PS08]

% Status   : Unsatisfiable
% Rating   : 0.36 v6.1.0, 0.25 v6.0.0, 0.38 v5.5.0, 0.37 v5.4.0, 0.20 v5.3.0, 0.25 v5.2.0, 0.29 v5.1.0, 0.33 v5.0.0, 0.29 v4.1.0, 0.18 v4.0.1, 0.57 v4.0.0
% Syntax   : Number of clauses     :    8 (   0 non-Horn;   8 unit;   1 RR)
%            Number of atoms       :    8 (   8 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   13 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(c01,axiom,
    ( mult(A,ld(A,B)) = B )).

cnf(c02,axiom,
    ( ld(A,mult(A,B)) = B )).

cnf(c03,axiom,
    ( mult(rd(A,B),B) = A )).

cnf(c04,axiom,
    ( rd(mult(A,B),B) = A )).

cnf(c05,axiom,
    ( mult(A,unit) = A )).

cnf(c06,axiom,
    ( mult(unit,A) = A )).

cnf(c07,axiom,
    ( mult(A,mult(B,mult(B,C))) = mult(mult(A,mult(B,B)),C) )).

cnf(goals,negated_conjecture,
    ( mult(mult(a,a),mult(b,c)) != mult(mult(a,mult(a,b)),c) )).

%------------------------------------------------------------------------------
