%------------------------------------------------------------------------------
% File     : GRP694-1 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : In power associative conjugacy closed loop c^12 is in nucleus - b
% Version  : Especial.
% English  :

% Refs     : [KK06]  Kinyon & Kunen (2006), Power-associative, Conjugacy Cl
%          : [PS08]  Phillips & Stanovsky (2008), Automated Theorem Proving
%          : [Sta08] Stanovsky (2008), Email to G. Sutcliffe
% Source   : [Sta08]
% Names    : KK06 [PS08]

% Status   : Unsatisfiable
% Rating   : 0.79 v6.1.0, 0.88 v6.0.0, 0.95 v5.4.0, 0.93 v5.3.0, 0.92 v5.2.0, 0.93 v4.1.0, 0.91 v4.0.1, 0.93 v4.0.0
% Syntax   : Number of clauses     :   14 (   0 non-Horn;  14 unit;   4 RR)
%            Number of atoms       :   14 (  14 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   11 (   7 constant; 0-2 arity)
%            Number of variables   :   18 (   0 singleton)
%            Maximal term depth    :    4 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(c01,axiom,
    ( mult(A,ld(A,B)) = B )).

cnf(c02,axiom,
    ( ld(A,mult(A,B)) = B )).

cnf(c03,axiom,
    ( mult(rd(A,B),B) = A )).

cnf(c04,axiom,
    ( rd(mult(A,B),B) = A )).

cnf(c05,axiom,
    ( mult(A,unit) = A )).

cnf(c06,axiom,
    ( mult(unit,A) = A )).

cnf(c07,axiom,
    ( mult(A,mult(B,C)) = mult(rd(mult(A,B),A),mult(A,C)) )).

cnf(c08,axiom,
    ( mult(mult(A,B),C) = mult(mult(A,C),ld(C,mult(B,C))) )).

cnf(c09,axiom,
    ( mult(i(A),A) = unit )).

cnf(c10,axiom,
    ( mult(A,i(A)) = unit )).

cnf(c11,axiom,
    ( mult(op_c,mult(op_c,op_c)) = op_d )).

cnf(c12,axiom,
    ( mult(op_d,op_d) = op_e )).

cnf(c13,axiom,
    ( mult(op_e,op_e) = op_f )).

cnf(goals,negated_conjecture,
    ( mult(a,mult(op_f,b)) != mult(mult(a,op_f),b) )).

%------------------------------------------------------------------------------
