%------------------------------------------------------------------------------
% File     : GRP765-1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : Buchsteiner loop lemma 2
% Version  : Especial.
% English  :

% Refs     : [Sta09] Stanovsky (2009), Email to Geoff Sutcliffe
%          : [CDK10] Csoergoe et al. (2010), Buchsteiner Loops
% Source   : [Sta09]
% Names    : buch2 [Sta09]

% Status   : Unsatisfiable
% Rating   : 0.71 v6.1.0, 0.75 v6.0.0, 0.81 v5.5.0, 0.84 v5.4.0, 0.80 v5.3.0, 0.83 v5.2.0, 0.86 v5.1.0, 0.87 v5.0.0, 0.79 v4.1.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;  13 unit;   1 RR)
%            Number of atoms       :   13 (  13 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   3 constant; 0-2 arity)
%            Number of variables   :   20 (   0 singleton)
%            Maximal term depth    :    5 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(sos01,axiom,
    ( product(A,one) = A )).

cnf(sos02,axiom,
    ( product(one,A) = A )).

cnf(sos03,axiom,
    ( product(A,difference(A,B)) = B )).

cnf(sos04,axiom,
    ( difference(A,product(A,B)) = B )).

cnf(sos05,axiom,
    ( quotient(product(A,B),B) = A )).

cnf(sos06,axiom,
    ( product(quotient(A,B),B) = A )).

%----Thm 1.4
cnf(sos07,axiom,
    ( difference(A,product(product(A,B),C)) = quotient(product(B,product(C,A)),A) )).

cnf(sos08,axiom,
    ( difference(product(A,B),product(A,product(B,C))) = quotient(quotient(product(C,product(A,B)),B),A) )).

%----Sec.4
cnf(sos09,axiom,
    ( i(A) = difference(A,one) )).

cnf(sos10,axiom,
    ( j(A) = quotient(one,A) )).

cnf(sos11,axiom,
    ( product(i(A),A) = product(A,j(A)) )).

cnf(sos12,axiom,
    ( eta(A) = product(i(A),A) )).

cnf(goals,negated_conjecture,
    ( product(i(i(x0)),x1) != product(eta(x0),product(x0,x1)) )).

%------------------------------------------------------------------------------
