%------------------------------------------------------------------------------
% File     : GRP767-1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : Buchsteiner loop lemma 4
% Version  : Especial.
% English  :

% Refs     : [Sta09] Stanovsky (2009), Email to Geoff Sutcliffe
%          : [CDK10] Csoergoe et al. (2010), Buchsteiner Loops
% Source   : [Sta09]
% Names    : buch4 [Sta09]

% Status   : Unsatisfiable
% Rating   : 0.50 v6.1.0, 0.62 v6.0.0, 0.71 v5.5.0, 0.68 v5.4.0, 0.60 v5.3.0, 0.58 v5.2.0, 0.57 v5.1.0, 0.60 v5.0.0, 0.57 v4.1.0
% Syntax   : Number of clauses     :   21 (   0 non-Horn;  21 unit;   1 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   11 (   3 constant; 0-3 arity)
%            Number of variables   :   40 (   0 singleton)
%            Maximal term depth    :    5 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(sos01,axiom,
    ( product(A,one) = A )).

cnf(sos02,axiom,
    ( product(one,A) = A )).

cnf(sos03,axiom,
    ( product(A,difference(A,B)) = B )).

cnf(sos04,axiom,
    ( difference(A,product(A,B)) = B )).

cnf(sos05,axiom,
    ( quotient(product(A,B),B) = A )).

cnf(sos06,axiom,
    ( product(quotient(A,B),B) = A )).

%----Thm 1.4
cnf(sos07,axiom,
    ( difference(A,product(product(A,B),C)) = quotient(product(B,product(C,A)),A) )).

cnf(sos08,axiom,
    ( difference(product(A,B),product(A,product(B,C))) = quotient(quotient(product(C,product(A,B)),B),A) )).

%----Sec.4
cnf(sos09,axiom,
    ( i(A) = difference(A,one) )).

cnf(sos10,axiom,
    ( j(A) = quotient(one,A) )).

cnf(sos11,axiom,
    ( product(i(A),A) = product(A,j(A)) )).

cnf(sos12,axiom,
    ( eta(A) = product(i(A),A) )).

cnf(sos13,axiom,
    ( product(i(i(A)),B) = product(eta(A),product(A,B)) )).

cnf(sos14,axiom,
    ( product(A,product(eta(A),B)) = product(j(j(A)),B) )).

cnf(sos15,axiom,
    ( product(A,product(B,eta(A))) = product(product(A,B),eta(A)) )).

cnf(sos16,axiom,
    ( product(eta(A),product(B,C)) = product(product(eta(A),B),C) )).

cnf(sos17,axiom,
    ( l(A,B,C) = difference(product(A,B),product(A,product(B,C))) )).

cnf(sos18,axiom,
    ( l(A,A,product(B,C)) = product(l(A,A,B),l(A,A,C)) )).

cnf(sos19,axiom,
    ( t(A,B) = quotient(product(A,B),A) )).

cnf(sos20,axiom,
    ( t(eta(A),product(B,C)) = product(t(eta(A),B),t(eta(A),C)) )).

cnf(goals,negated_conjecture,
    ( product(j(j(x0)),j(product(x1,x0))) != j(x1) )).

%------------------------------------------------------------------------------
