%------------------------------------------------------------------------------
% File     : GRP772-1 : TPTP v6.1.0. Released v4.1.0.
% Domain   : Group Theory (Quasigroups)
% Problem  : Buchsteiner loop lemma 9
% Version  : Especial.
% English  :

% Refs     : [Sta09] Stanovsky (2009), Email to Geoff Sutcliffe
%          : [CDK10] Csoergoe et al. (2010), Buchsteiner Loops
% Source   : [Sta09]
% Names    : buch9 [Sta09]

% Status   : Unsatisfiable
% Rating   : 0.71 v6.1.0, 0.62 v6.0.0, 0.71 v5.5.0, 0.68 v5.4.0, 0.67 v5.2.0, 0.64 v5.1.0, 0.67 v5.0.0, 0.64 v4.1.0
% Syntax   : Number of clauses     :   33 (   0 non-Horn;  33 unit;   1 RR)
%            Number of atoms       :   33 (  33 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   12 (   3 constant; 0-3 arity)
%            Number of variables   :   77 (   0 singleton)
%            Maximal term depth    :    6 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%------------------------------------------------------------------------------
cnf(sos01,axiom,
    ( product(A,one) = A )).

cnf(sos02,axiom,
    ( product(one,A) = A )).

cnf(sos03,axiom,
    ( product(A,difference(A,B)) = B )).

cnf(sos04,axiom,
    ( difference(A,product(A,B)) = B )).

cnf(sos05,axiom,
    ( quotient(product(A,B),B) = A )).

cnf(sos06,axiom,
    ( product(quotient(A,B),B) = A )).

%----Thm 1.4
cnf(sos07,axiom,
    ( difference(A,product(product(A,B),C)) = quotient(product(B,product(C,A)),A) )).

cnf(sos08,axiom,
    ( difference(product(A,B),product(A,product(B,C))) = quotient(quotient(product(C,product(A,B)),B),A) )).

%----Sec.4
cnf(sos09,axiom,
    ( i(A) = difference(A,one) )).

cnf(sos10,axiom,
    ( j(A) = quotient(one,A) )).

cnf(sos11,axiom,
    ( product(i(A),A) = product(A,j(A)) )).

cnf(sos12,axiom,
    ( eta(A) = product(i(A),A) )).

cnf(sos13,axiom,
    ( product(i(i(A)),B) = product(eta(A),product(A,B)) )).

cnf(sos14,axiom,
    ( product(A,product(eta(A),B)) = product(j(j(A)),B) )).

cnf(sos15,axiom,
    ( product(A,product(B,eta(A))) = product(product(A,B),eta(A)) )).

cnf(sos16,axiom,
    ( product(eta(A),product(B,C)) = product(product(eta(A),B),C) )).

cnf(sos17,axiom,
    ( quotient(j(A),A) = product(j(A),i(A)) )).

cnf(sos18,axiom,
    ( product(product(product(quotient(j(A),A),product(A,A)),B),C) = product(product(quotient(j(A),A),product(A,A)),product(B,C)) )).

cnf(sos19,axiom,
    ( t(A,B) = quotient(product(A,B),A) )).

cnf(sos20,axiom,
    ( t(eta(A),product(B,C)) = product(t(eta(A),B),t(eta(A),C)) )).

%----WWIP
cnf(sos21,axiom,
    ( product(i(product(A,B)),i(i(A))) = i(B) )).

cnf(sos22,axiom,
    ( product(j(j(A)),j(product(B,A))) = j(B) )).

%----Commutativity and associativity
cnf(sos23,axiom,
    ( product(product(A,product(B,C)),a(A,B,C)) = product(product(A,B),C) )).

cnf(sos24,axiom,
    ( product(product(A,B),c(B,A)) = product(B,A) )).

cnf(sos25,axiom,
    ( product(c(A,B),product(C,D)) = product(product(c(A,B),C),D) )).

cnf(sos26,axiom,
    ( product(product(A,B),c(C,D)) = product(A,product(B,c(C,D))) )).

%----Sec.7
cnf(sos27,axiom,
    ( product(a(A,B,C),product(D,E)) = product(product(a(A,B,C),D),E) )).

cnf(sos28,axiom,
    ( product(product(A,B),a(C,D,E)) = product(A,product(B,a(C,D,E))) )).

cnf(sos29,axiom,
    ( product(a(A,B,C),difference(C,product(a(C,A,B),C))) = one )).

cnf(sos30,axiom,
    ( a(A,i(B),C) = a(A,j(B),C) )).

cnf(sos31,axiom,
    ( a(i(A),B,C) = a(j(A),B,C) )).

cnf(sos32,axiom,
    ( a(j(A),B,C) = a(B,C,A) )).

cnf(goals,negated_conjecture,
    ( a(x0,x1,x1) != a(x1,x1,x0) )).

%------------------------------------------------------------------------------
