%--------------------------------------------------------------------------
% File     : LAT070-1 : TPTP v6.1.0. Released v2.6.0.
% Domain   : Lattice Theory (Ortholattices)
% Problem  : Given single axiom OL-23A, prove associativity
% Version  : [MRV03] (equality) axioms.
% English  : Given a single axiom OL-23A for ortholattices (OL) in terms of
%            the Sheffer Stroke, prove a Sheffer stroke form of associativity.

% Refs     : [MRV03] McCune et al. (2003), Sheffer Stroke Bases for Ortholatt
% Source   : [MRV03]
% Names    : OL-23A-associativity [MRV03]

% Status   : Unsatisfiable
% Rating   : 0.93 v6.1.0, 0.88 v6.0.0, 0.90 v5.5.0, 0.89 v5.4.0, 0.93 v5.3.0, 0.92 v5.2.0, 0.93 v4.1.0, 0.91 v4.0.1, 0.93 v4.0.0, 0.92 v3.7.0, 0.89 v3.4.0, 0.88 v3.3.0, 0.93 v3.1.0, 1.00 v2.7.0, 0.91 v2.6.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   2 unit;   1 RR)
%            Number of atoms       :    2 (   2 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    4 (   3 constant; 0-2 arity)
%            Number of variables   :    4 (   1 singleton)
%            Maximal term depth    :    7 (   4 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments :
%--------------------------------------------------------------------------
%----Single axiom OL-23A
cnf(ol_23A,axiom,
    ( f(f(f(f(B,A),f(A,C)),D),f(A,f(f(A,f(f(B,B),B)),C))) = A )).

%----Denial of Sheffer stroke associativity
cnf(associativity,negated_conjecture,
    (  f(a,f(f(b,c),f(b,c))) != f(c,f(f(b,a),f(b,a))) )).

%--------------------------------------------------------------------------
