%------------------------------------------------------------------------------
% File     : REL022-2 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Relation Algebra
% Problem  : Restriction of subidentities
% Version  : [Mad95] (equational) axioms : Augmented.
% English  : For vectors restriction of subidientities equals intersection
%            with vectors.

% Refs     : [Mad95] Maddux (1995), Relation-Algebraic Semantics
%          : [Hoe08] Hoefner (2008), Email to G. Sutcliffe
% Source   : [Hoe08]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.86 v6.1.0, 0.81 v6.0.0, 0.86 v5.5.0, 0.84 v5.4.0, 0.80 v5.3.0, 0.83 v5.2.0, 0.86 v5.1.0, 0.87 v5.0.0, 0.79 v4.1.0, 0.73 v4.0.1, 0.79 v4.0.0
% Syntax   : Number of clauses     :   18 (   0 non-Horn;  18 unit;   2 RR)
%            Number of atoms       :   18 (  18 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   5 constant; 0-2 arity)
%            Number of variables   :   34 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : tptp2X -f tptp:short -t cnf:otter REL022+2.p
%------------------------------------------------------------------------------
%----Include axioms of relation algebra
include('Axioms/REL001-0.ax').
%----Include Dedekind and modular laws
include('Axioms/REL001-1.ax').
%------------------------------------------------------------------------------
cnf(goals_17,negated_conjecture,
    ( composition(sk1,top) = sk1 )).

cnf(goals_18,negated_conjecture,
    ( join(meet(sk1,sk2),composition(meet(sk1,one),sk2)) != composition(meet(sk1,one),sk2) )).
%------------------------------------------------------------------------------
