%------------------------------------------------------------------------------
% File     : REL031-2 : TPTP v6.1.0. Released v4.0.0.
% Domain   : Relation Algebra
% Problem  : Partial functions are closed under composition
% Version  : [Mad95] (equational) axioms : Augmented.
% English  : If x and y are partial functions then x;y is also a partial
%            functions.

% Refs     : [Mad95] Maddux (1995), Relation-Algebraic Semantics
%          : [Hoe08] Hoefner (2008), Email to G. Sutcliffe
% Source   : [Hoe08]
% Names    :

% Status   : Unsatisfiable
% Rating   : 0.71 v6.1.0, 0.69 v6.0.0, 0.86 v5.5.0, 0.84 v5.4.0, 0.80 v5.3.0, 0.83 v5.2.0, 0.79 v5.1.0, 0.80 v5.0.0, 0.71 v4.1.0, 0.64 v4.0.1, 0.71 v4.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;  19 unit;   3 RR)
%            Number of atoms       :   19 (  19 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   10 (   5 constant; 0-2 arity)
%            Number of variables   :   34 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : tptp2X -f tptp:short -t cnf:otter REL031+2.p
%------------------------------------------------------------------------------
%----Include axioms of relation algebra
include('Axioms/REL001-0.ax').
%----Include Dedekind and modular laws
include('Axioms/REL001-1.ax').
%------------------------------------------------------------------------------
cnf(goals_17,negated_conjecture,
    ( join(composition(converse(sk1),sk1),one) = one )).

cnf(goals_18,negated_conjecture,
    ( join(composition(converse(sk2),sk2),one) = one )).

cnf(goals_19,negated_conjecture,
    ( join(composition(converse(composition(sk1,sk2)),composition(sk1,sk2)),one) != one )).
%------------------------------------------------------------------------------
