%--------------------------------------------------------------------------
% File     : RNG027-8 : TPTP v6.1.0. Released v1.0.0.
% Domain   : Ring Theory (Alternative)
% Problem  : Right Moufang identity
% Version  : [Ste87] (equality) axioms.
%            Theorem formulation : Associators.
% English  :

% Refs     : [Ste87] Stevens (1987), Some Experiments in Nonassociative Rin
%          : [Ste88] Stevens (1988), Challenge Problems from Nonassociative
% Source   : [Ste87]
% Names    : m1' [Ste87]

% Status   : Unsatisfiable
% Rating   : 0.93 v6.1.0, 0.94 v6.0.0, 0.95 v5.4.0, 0.87 v5.3.0, 0.83 v5.2.0, 0.86 v5.1.0, 0.93 v4.1.0, 0.91 v4.0.1, 0.93 v4.0.0, 0.92 v3.7.0, 0.78 v3.4.0, 0.75 v3.3.0, 0.86 v3.1.0, 0.89 v2.7.0, 0.91 v2.6.0, 0.83 v2.5.0, 0.75 v2.4.0, 0.67 v2.2.1, 1.00 v2.0.0
% Syntax   : Number of clauses     :   16 (   0 non-Horn;  16 unit;   1 RR)
%            Number of atoms       :   16 (  16 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   4 constant; 0-3 arity)
%            Number of variables   :   27 (   2 singleton)
%            Maximal term depth    :    5 (   2 average)
% SPC      : CNF_UNS_RFO_PEQ_UEQ

% Comments : [Ste88] presents a slightly different set of axioms for proving
%            this theorem. The axioms are so similar to those in RNG004.ax
%            that a separate problems has not been created.
%--------------------------------------------------------------------------
%----Include nonassociative ring axioms
include('Axioms/RNG003-0.ax').
%--------------------------------------------------------------------------
cnf(prove_right_moufang,negated_conjecture,
    (  associator(x,multiply(x,y),z) != multiply(associator(x,y,z),x) )).

%--------------------------------------------------------------------------
