%------------------------------------------------------------------------------
% File     : HWV066-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Hardware Verification
% Problem  : QBFLib problem from the C5315 family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : C5315.blif_0.10_1.00_0_1_inp_exact-shuffled [Sei12]

% Status   : Satisfiable
% Rating   : 0.50 v6.1.0, 0.40 v6.0.0
% Syntax   : Number of clauses     : 15233 (3306 non-Horn;   3 unit;12256 RR)
%            Number of atoms       : 35166 (   1 equality)
%            Maximal clause size   :  110 (   2 average)
%            Number of predicates  : 5607 (   2 propositional; 0-2 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 30460 (  10 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( ~ esk4877_2(X1,X2)
    | ~ esk3360_2(X1,X2) )).

cnf(i_0_2,axiom,
    ( esk622_2(X1,X2)
    | esk621_2(X1,X2) )).

cnf(i_0_3,axiom,
    ( esk1505_2(X1,X2)
    | ~ esk1509_2(X1,X2) )).

cnf(i_0_4,axiom,
    ( ~ esk2903_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_5,axiom,
    ( ~ esk1070_2(X1,X2)
    | esk60_2(X1,X2) )).

cnf(i_0_6,axiom,
    ( ~ esk353_2(X1,X2)
    | esk352_2(X1,X2) )).

cnf(i_0_7,axiom,
    ( esk436_2(X1,X2)
    | esk437_2(X1,X2) )).

cnf(i_0_8,axiom,
    ( esk1571_2(X1,X2)
    | esk1570_2(X1,X2) )).

cnf(i_0_9,axiom,
    ( ~ esk246_2(X1,X2)
    | ~ esk245_2(X1,X2) )).

cnf(i_0_10,axiom,
    ( esk143_2(X1,X2)
    | ~ esk3031_2(X1,X2) )).

cnf(i_0_11,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1608_2(X1,X2) )).

cnf(i_0_12,axiom,
    ( esk56_2(X1,X2)
    | ~ esk1739_2(X1,X2) )).

cnf(i_0_13,axiom,
    ( esk311_2(X1,X2)
    | ~ esk313_2(X1,X2) )).

cnf(i_0_14,axiom,
    ( ~ esk2388_2(X1,X2)
    | ~ esk2364_2(X1,X2) )).

cnf(i_0_15,axiom,
    ( esk3189_2(X1,X2)
    | esk3431_2(X1,X2) )).

cnf(i_0_16,axiom,
    ( esk2942_2(X1,X2)
    | ~ esk4408_2(X1,X2) )).

cnf(i_0_17,axiom,
    ( ~ esk711_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_18,axiom,
    ( esk133_2(X1,X2)
    | ~ esk3311_2(X1,X2) )).

cnf(i_0_19,axiom,
    ( ~ esk1953_2(X1,X2)
    | ~ esk1952_2(X1,X2) )).

cnf(i_0_20,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4994_2(X1,X2) )).

cnf(i_0_21,axiom,
    ( ~ esk2973_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | esk3057_2(X1,X2)
    | ~ esk3056_2(X1,X2) )).

cnf(i_0_22,axiom,
    ( ~ esk2838_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_23,axiom,
    ( ~ esk335_2(X1,X2)
    | ~ esk334_2(X1,X2) )).

cnf(i_0_24,axiom,
    ( ~ esk1038_2(X1,X2)
    | ~ esk1039_2(X1,X2) )).

cnf(i_0_25,axiom,
    ( esk3369_2(X1,X2)
    | ~ esk4852_2(X1,X2) )).

cnf(i_0_26,axiom,
    ( esk938_2(X1,X2)
    | ~ esk939_2(X1,X2) )).

cnf(i_0_27,axiom,
    ( esk1330_2(X1,X2)
    | esk1306_2(X1,X2) )).

cnf(i_0_28,axiom,
    ( esk119_2(X1,X2)
    | esk820_2(X1,X2) )).

cnf(i_0_29,axiom,
    ( ~ esk3800_2(X1,X2)
    | esk3799_2(X1,X2) )).

cnf(i_0_30,axiom,
    ( esk3219_2(X1,X2)
    | ~ esk3220_2(X1,X2) )).

cnf(i_0_31,axiom,
    ( ~ esk2702_2(X1,X2)
    | esk2703_2(X1,X2)
    | ~ esk2698_2(X1,X2) )).

cnf(i_0_32,axiom,
    ( ~ esk4608_2(X1,X2)
    | ~ esk4609_2(X1,X2) )).

cnf(i_0_33,axiom,
    ( ~ esk2339_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_34,axiom,
    ( ~ esk1015_2(X1,X2)
    | ~ esk1020_2(X1,X2) )).

cnf(i_0_35,axiom,
    ( ~ esk3351_2(X1,X2)
    | esk3314_2(X1,X2) )).

cnf(i_0_36,axiom,
    ( ~ esk1538_2(X1,X2)
    | esk1537_2(X1,X2) )).

cnf(i_0_37,axiom,
    ( ~ esk4578_2(X1,X2)
    | ~ esk4583_2(X1,X2)
    | esk4584_2(X1,X2) )).

cnf(i_0_38,axiom,
    ( ~ esk3783_2(X1,X2)
    | ~ esk3784_2(X1,X2) )).

cnf(i_0_39,axiom,
    ( esk1290_2(X1,X2)
    | ~ esk1295_2(X1,X2) )).

cnf(i_0_40,axiom,
    ( esk2670_2(X1,X2)
    | ~ esk2671_2(X1,X2) )).

cnf(i_0_41,axiom,
    ( ~ esk210_2(X1,X2)
    | ~ esk116_2(X1,X2) )).

cnf(i_0_42,axiom,
    ( ~ esk4325_2(X1,X2)
    | ~ esk5567_2(X1,X2)
    | ~ esk1672_2(X1,X2) )).

cnf(i_0_43,axiom,
    ( ~ esk1382_2(X1,X2)
    | ~ esk503_2(X1,X2) )).

cnf(i_0_44,axiom,
    ( esk4771_2(X1,X2)
    | esk4772_2(X1,X2) )).

cnf(i_0_45,axiom,
    ( esk4883_2(X1,X2)
    | esk4884_2(X1,X2) )).

cnf(i_0_46,axiom,
    ( esk4905_2(X1,X2)
    | ~ esk4968_2(X1,X2) )).

cnf(i_0_47,axiom,
    ( ~ esk1989_2(X1,X2)
    | ~ esk1988_2(X1,X2) )).

cnf(i_0_48,axiom,
    ( ~ esk1981_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk1982_2(X1,X2) )).

cnf(i_0_49,axiom,
    ( esk28_2(X1,X2)
    | ~ esk1614_2(X1,X2) )).

cnf(i_0_50,axiom,
    ( ~ esk278_2(X1,X2)
    | ~ esk279_2(X1,X2) )).

cnf(i_0_51,axiom,
    ( esk128_2(X1,X2)
    | ~ esk653_2(X1,X2) )).

cnf(i_0_52,axiom,
    ( ~ esk670_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_53,axiom,
    ( esk4892_2(X1,X2)
    | esk4891_2(X1,X2) )).

cnf(i_0_54,axiom,
    ( ~ esk3904_2(X1,X2)
    | esk3900_2(X1,X2) )).

cnf(i_0_55,axiom,
    ( esk3209_2(X1,X2)
    | esk3208_2(X1,X2) )).

cnf(i_0_56,axiom,
    ( esk3119_2(X1,X2)
    | esk3120_2(X1,X2) )).

cnf(i_0_57,axiom,
    ( ~ esk4012_2(X1,X2)
    | esk4011_2(X1,X2) )).

cnf(i_0_58,axiom,
    ( ~ esk2493_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_59,axiom,
    ( ~ esk2707_2(X1,X2)
    | ~ esk968_2(X1,X2) )).

cnf(i_0_60,axiom,
    ( esk4648_2(X1,X2)
    | ~ esk4649_2(X1,X2) )).

cnf(i_0_61,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4779_2(X1,X2) )).

cnf(i_0_62,axiom,
    ( ~ esk3410_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_63,axiom,
    ( esk3318_2(X1,X2)
    | esk3384_2(X1,X2) )).

cnf(i_0_64,axiom,
    ( ~ esk2909_2(X1,X2)
    | esk5522_2(X1,X2)
    | esk247_2(X1,X2) )).

cnf(i_0_65,axiom,
    ( ~ esk1132_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk45_2(X1,X2)
    | esk1757_2(X1,X2) )).

cnf(i_0_66,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | esk1980_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_67,axiom,
    ( ~ esk439_2(X1,X2)
    | ~ esk442_2(X1,X2) )).

cnf(i_0_68,axiom,
    ( ~ esk195_2(X1,X2)
    | ~ esk196_2(X1,X2) )).

cnf(i_0_69,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk3083_2(X1,X2)
    | esk3084_2(X1,X2)
    | ~ esk2973_2(X1,X2) )).

cnf(i_0_70,axiom,
    ( ~ esk41_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk4495_2(X1,X2) )).

cnf(i_0_71,axiom,
    ( esk104_2(X1,X2)
    | ~ esk5067_2(X1,X2) )).

cnf(i_0_72,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2946_2(X1,X2) )).

cnf(i_0_73,axiom,
    ( esk3999_2(X1,X2)
    | esk1346_2(X1,X2)
    | ~ esk5551_2(X1,X2) )).

cnf(i_0_74,axiom,
    ( ~ esk800_2(X1,X2)
    | ~ esk801_2(X1,X2) )).

cnf(i_0_75,axiom,
    ( esk5366_2(X1,X2)
    | ~ esk5380_2(X1,X2) )).

cnf(i_0_76,axiom,
    ( esk4824_2(X1,X2)
    | esk4823_2(X1,X2) )).

cnf(i_0_77,axiom,
    ( esk4861_2(X1,X2)
    | esk4857_2(X1,X2) )).

cnf(i_0_78,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4543_2(X1,X2) )).

cnf(i_0_79,axiom,
    ( ~ esk1922_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_80,axiom,
    ( ~ esk2153_2(X1,X2)
    | esk2152_2(X1,X2) )).

cnf(i_0_81,axiom,
    ( esk5509_2(X1,X2)
    | ~ esk2856_2(X1,X2)
    | esk194_2(X1,X2) )).

cnf(i_0_82,axiom,
    ( ~ esk654_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_83,axiom,
    ( ~ esk4632_2(X1,X2)
    | esk4626_2(X1,X2) )).

cnf(i_0_84,axiom,
    ( esk2582_2(X1,X2)
    | esk2583_2(X1,X2) )).

cnf(i_0_85,axiom,
    ( esk96_2(X1,X2)
    | ~ esk1_0 )).

cnf(i_0_86,axiom,
    ( esk200_2(X1,X2)
    | ~ esk201_2(X1,X2) )).

cnf(i_0_87,axiom,
    ( ~ esk4257_2(X1,X2)
    | ~ esk4253_2(X1,X2) )).

cnf(i_0_88,axiom,
    ( esk147_2(X1,X2)
    | esk2950_2(X1,X2)
    | esk2953_2(X1,X2)
    | esk2952_2(X1,X2) )).

cnf(i_0_89,axiom,
    ( esk1827_2(X1,X2)
    | esk1826_2(X1,X2) )).

cnf(i_0_90,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk1193_2(X1,X2) )).

cnf(i_0_91,axiom,
    ( ~ esk4572_2(X1,X2)
    | esk4586_2(X1,X2)
    | ~ esk4585_2(X1,X2) )).

cnf(i_0_92,axiom,
    ( ~ esk952_2(X1,X2)
    | esk2652_2(X1,X2)
    | ~ esk523_2(X1,X2) )).

cnf(i_0_93,axiom,
    ( ~ esk1158_2(X1,X2)
    | ~ esk1155_2(X1,X2) )).

cnf(i_0_94,axiom,
    ( ~ esk5176_2(X1,X2)
    | esk5171_2(X1,X2) )).

cnf(i_0_95,axiom,
    ( ~ esk3462_2(X1,X2)
    | ~ esk3463_2(X1,X2) )).

cnf(i_0_96,axiom,
    ( esk382_2(X1,X2)
    | esk380_2(X1,X2)
    | esk383_2(X1,X2) )).

cnf(i_0_97,axiom,
    ( ~ esk2751_2(X1,X2)
    | ~ esk2752_2(X1,X2) )).

cnf(i_0_98,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk680_2(X1,X2)
    | esk1027_2(X1,X2) )).

cnf(i_0_99,axiom,
    ( ~ esk2806_2(X1,X2)
    | ~ esk2805_2(X1,X2) )).

cnf(i_0_100,axiom,
    ( ~ esk3242_2(X1,X2)
    | ~ esk3241_2(X1,X2) )).

cnf(i_0_101,axiom,
    ( esk5180_2(X1,X2)
    | esk5179_2(X1,X2) )).

cnf(i_0_102,axiom,
    ( esk2207_2(X1,X2)
    | esk2206_2(X1,X2) )).

cnf(i_0_103,axiom,
    ( esk1462_2(X1,X2)
    | ~ esk1463_2(X1,X2) )).

cnf(i_0_104,axiom,
    ( ~ esk2062_2(X1,X2)
    | esk2061_2(X1,X2) )).

cnf(i_0_105,axiom,
    ( ~ esk3864_2(X1,X2)
    | ~ esk3471_2(X1,X2) )).

cnf(i_0_106,axiom,
    ( ~ esk164_2(X1,X2)
    | ~ esk2123_2(X1,X2) )).

cnf(i_0_107,axiom,
    ( ~ esk4400_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | esk4469_2(X1,X2)
    | ~ esk4251_2(X1,X2) )).

cnf(i_0_108,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk88_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | esk1654_2(X1,X2) )).

cnf(i_0_109,axiom,
    ( ~ esk414_2(X1,X2)
    | esk413_2(X1,X2) )).

cnf(i_0_110,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk2448_2(X1,X2) )).

cnf(i_0_111,axiom,
    ( esk4706_2(X1,X2)
    | esk4785_2(X1,X2)
    | esk4784_2(X1,X2) )).

cnf(i_0_112,axiom,
    ( esk3844_2(X1,X2)
    | ~ esk4291_2(X1,X2) )).

cnf(i_0_113,axiom,
    ( esk207_2(X1,X2)
    | ~ esk206_2(X1,X2)
    | ~ esk67_2(X1,X2) )).

cnf(i_0_114,axiom,
    ( esk4647_2(X1,X2)
    | ~ esk4651_2(X1,X2) )).

cnf(i_0_115,axiom,
    ( ~ esk1659_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_116,axiom,
    ( esk5135_2(X1,X2)
    | ~ esk5136_2(X1,X2) )).

cnf(i_0_117,axiom,
    ( esk1426_2(X1,X2)
    | esk1427_2(X1,X2) )).

cnf(i_0_118,axiom,
    ( esk425_2(X1,X2)
    | ~ esk431_2(X1,X2) )).

cnf(i_0_119,axiom,
    ( esk176_2(X1,X2)
    | ~ esk3849_2(X1,X2) )).

cnf(i_0_120,axiom,
    ( ~ esk98_2(X1,X2)
    | ~ esk487_2(X1,X2)
    | esk586_2(X1,X2) )).

cnf(i_0_121,axiom,
    ( ~ esk3618_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | esk5149_2(X1,X2) )).

cnf(i_0_122,axiom,
    ( esk76_2(X1,X2)
    | ~ esk1897_2(X1,X2) )).

cnf(i_0_123,axiom,
    ( ~ esk3136_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_124,axiom,
    ( ~ esk734_2(X1,X2)
    | esk2049_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | ~ esk718_2(X1,X2) )).

cnf(i_0_125,axiom,
    ( ~ esk4863_2(X1,X2)
    | ~ esk4862_2(X1,X2) )).

cnf(i_0_126,axiom,
    ( ~ esk1654_2(X1,X2)
    | esk88_2(X1,X2) )).

cnf(i_0_127,axiom,
    ( esk723_2(X1,X2)
    | esk724_2(X1,X2) )).

cnf(i_0_128,axiom,
    ( esk997_2(X1,X2)
    | esk1434_2(X1,X2) )).

cnf(i_0_129,axiom,
    ( ~ esk3023_2(X1,X2)
    | esk3022_2(X1,X2) )).

cnf(i_0_130,axiom,
    ( ~ esk3930_2(X1,X2)
    | esk3934_2(X1,X2)
    | ~ esk3933_2(X1,X2) )).

cnf(i_0_131,axiom,
    ( ~ esk5589_2(X1,X2)
    | esk4492_2(X1,X2)
    | esk1839_2(X1,X2) )).

cnf(i_0_132,axiom,
    ( ~ esk1974_2(X1,X2)
    | ~ esk1977_2(X1,X2) )).

cnf(i_0_133,axiom,
    ( ~ esk5331_2(X1,X2)
    | ~ esk3161_2(X1,X2) )).

cnf(i_0_134,axiom,
    ( esk2055_2(X1,X2)
    | ~ esk1027_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_135,axiom,
    ( esk5258_2(X1,X2)
    | esk5259_2(X1,X2) )).

cnf(i_0_136,axiom,
    ( ~ esk4995_2(X1,X2)
    | ~ esk4994_2(X1,X2) )).

cnf(i_0_137,axiom,
    ( ~ esk2879_2(X1,X2)
    | esk14_2(X1,X2) )).

cnf(i_0_138,axiom,
    ( ~ esk4154_2(X1,X2)
    | ~ esk4155_2(X1,X2) )).

cnf(i_0_139,axiom,
    ( ~ esk983_2(X1,X2)
    | esk647_2(X1,X2) )).

cnf(i_0_140,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk2003_2(X1,X2) )).

cnf(i_0_141,axiom,
    ( ~ esk629_2(X1,X2)
    | ~ esk1530_2(X1,X2) )).

cnf(i_0_142,axiom,
    ( esk179_2(X1,X2)
    | ~ esk3822_2(X1,X2) )).

cnf(i_0_143,axiom,
    ( esk2066_2(X1,X2)
    | esk2065_2(X1,X2) )).

cnf(i_0_144,axiom,
    ( esk460_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_145,axiom,
    ( ~ esk3916_2(X1,X2)
    | ~ esk3917_2(X1,X2) )).

cnf(i_0_146,axiom,
    ( ~ esk5097_2(X1,X2)
    | ~ esk5096_2(X1,X2) )).

cnf(i_0_147,axiom,
    ( esk3501_2(X1,X2)
    | ~ esk3502_2(X1,X2) )).

cnf(i_0_148,axiom,
    ( ~ esk626_2(X1,X2)
    | ~ esk627_2(X1,X2) )).

cnf(i_0_149,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4760_2(X1,X2) )).

cnf(i_0_150,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4344_2(X1,X2) )).

cnf(i_0_151,axiom,
    ( ~ esk1602_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_152,axiom,
    ( ~ esk1133_2(X1,X2)
    | ~ esk1132_2(X1,X2)
    | ~ esk356_2(X1,X2)
    | esk1134_2(X1,X2) )).

cnf(i_0_153,axiom,
    ( ~ esk1143_2(X1,X2)
    | ~ esk1142_2(X1,X2) )).

cnf(i_0_154,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1868_2(X1,X2) )).

cnf(i_0_155,axiom,
    ( ~ esk162_2(X1,X2)
    | esk4543_2(X1,X2)
    | ~ esk77_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_156,axiom,
    ( ~ esk243_2(X1,X2)
    | ~ esk245_2(X1,X2) )).

cnf(i_0_157,axiom,
    ( ~ esk1662_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_158,axiom,
    ( ~ esk3271_2(X1,X2)
    | ~ esk4916_2(X1,X2) )).

cnf(i_0_159,axiom,
    ( esk1894_2(X1,X2)
    | ~ esk1747_2(X1,X2)
    | ~ esk1681_2(X1,X2)
    | ~ esk1680_2(X1,X2) )).

cnf(i_0_160,axiom,
    ( ~ esk5338_2(X1,X2)
    | ~ esk5337_2(X1,X2) )).

cnf(i_0_161,axiom,
    ( ~ esk4476_2(X1,X2)
    | esk4449_2(X1,X2) )).

cnf(i_0_162,axiom,
    ( esk217_2(X1,X2)
    | ~ esk236_2(X1,X2) )).

cnf(i_0_163,axiom,
    ( ~ esk896_2(X1,X2)
    | ~ esk895_2(X1,X2) )).

cnf(i_0_164,axiom,
    ( ~ esk2970_2(X1,X2)
    | esk2956_2(X1,X2) )).

cnf(i_0_165,axiom,
    ( esk4216_2(X1,X2)
    | ~ esk3291_2(X1,X2)
    | ~ esk3279_2(X1,X2) )).

cnf(i_0_166,axiom,
    ( esk4291_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | ~ esk3844_2(X1,X2)
    | ~ esk3842_2(X1,X2) )).

cnf(i_0_167,axiom,
    ( esk281_2(X1,X2)
    | esk280_2(X1,X2) )).

cnf(i_0_168,axiom,
    ( ~ esk3382_2(X1,X2)
    | ~ esk3383_2(X1,X2) )).

cnf(i_0_169,axiom,
    ( ~ esk333_2(X1,X2)
    | ~ esk128_2(X1,X2) )).

cnf(i_0_170,axiom,
    ( esk1667_2(X1,X2)
    | ~ esk1256_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk1581_2(X1,X2) )).

cnf(i_0_171,axiom,
    ( esk952_2(X1,X2)
    | ~ esk2652_2(X1,X2) )).

cnf(i_0_172,axiom,
    ( ~ esk5481_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_173,axiom,
    ( ~ esk4007_2(X1,X2)
    | ~ esk4016_2(X1,X2)
    | esk4017_2(X1,X2) )).

cnf(i_0_174,axiom,
    ( ~ esk617_2(X1,X2)
    | esk1563_2(X1,X2)
    | ~ esk629_2(X1,X2) )).

cnf(i_0_175,axiom,
    ( ~ esk894_2(X1,X2)
    | esk895_2(X1,X2)
    | ~ esk891_2(X1,X2) )).

cnf(i_0_176,axiom,
    ( ~ esk4858_2(X1,X2)
    | ~ esk4857_2(X1,X2)
    | esk4859_2(X1,X2) )).

cnf(i_0_177,axiom,
    ( ~ esk1109_2(X1,X2)
    | ~ esk1110_2(X1,X2) )).

cnf(i_0_178,axiom,
    ( ~ esk2809_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_179,axiom,
    ( esk549_2(X1,X2)
    | esk2612_2(X1,X2) )).

cnf(i_0_180,axiom,
    ( esk98_2(X1,X2)
    | ~ esk3035_2(X1,X2) )).

cnf(i_0_181,axiom,
    ( esk2922_2(X1,X2)
    | esk2921_2(X1,X2) )).

cnf(i_0_182,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1271_2(X1,X2) )).

cnf(i_0_183,axiom,
    ( esk294_2(X1,X2)
    | ~ esk308_2(X1,X2) )).

cnf(i_0_184,axiom,
    ( ~ esk4968_2(X1,X2)
    | ~ esk4971_2(X1,X2) )).

cnf(i_0_185,axiom,
    ( ~ esk1462_2(X1,X2)
    | ~ esk752_2(X1,X2) )).

cnf(i_0_186,axiom,
    ( ~ esk4530_2(X1,X2)
    | ~ esk4531_2(X1,X2) )).

cnf(i_0_187,axiom,
    ( ~ esk231_2(X1,X2)
    | ~ esk230_2(X1,X2) )).

cnf(i_0_188,axiom,
    ( ~ esk1758_2(X1,X2)
    | ~ esk1756_2(X1,X2) )).

cnf(i_0_189,axiom,
    ( ~ esk2462_2(X1,X2)
    | esk2461_2(X1,X2) )).

cnf(i_0_190,axiom,
    ( esk1189_2(X1,X2)
    | ~ esk1612_2(X1,X2) )).

cnf(i_0_191,axiom,
    ( ~ esk871_2(X1,X2)
    | ~ esk872_2(X1,X2) )).

cnf(i_0_192,axiom,
    ( ~ esk3246_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_193,axiom,
    ( esk3285_2(X1,X2)
    | esk3286_2(X1,X2) )).

cnf(i_0_194,axiom,
    ( ~ esk1830_2(X1,X2)
    | esk38_2(X1,X2) )).

cnf(i_0_195,axiom,
    ( esk4278_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_196,axiom,
    ( ~ esk2128_2(X1,X2)
    | ~ esk2129_2(X1,X2) )).

cnf(i_0_197,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk3296_2(X1,X2)
    | ~ esk3628_2(X1,X2)
    | ~ esk3267_2(X1,X2)
    | esk3629_2(X1,X2) )).

cnf(i_0_198,axiom,
    ( ~ esk573_2(X1,X2)
    | ~ esk2636_2(X1,X2) )).

cnf(i_0_199,axiom,
    ( ~ esk4031_2(X1,X2)
    | ~ esk4030_2(X1,X2) )).

cnf(i_0_200,axiom,
    ( ~ esk2536_2(X1,X2)
    | esk2535_2(X1,X2) )).

cnf(i_0_201,axiom,
    ( ~ esk2905_2(X1,X2)
    | ~ esk2907_2(X1,X2) )).

cnf(i_0_202,axiom,
    ( esk974_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk634_2(X1,X2)
    | ~ esk973_2(X1,X2) )).

cnf(i_0_203,axiom,
    ( ~ esk3641_2(X1,X2)
    | ~ esk3756_2(X1,X2) )).

cnf(i_0_204,axiom,
    ( ~ esk3408_2(X1,X2)
    | esk3407_2(X1,X2) )).

cnf(i_0_205,axiom,
    ( ~ esk3911_2(X1,X2)
    | esk3106_2(X1,X2) )).

cnf(i_0_206,axiom,
    ( ~ esk4103_2(X1,X2)
    | esk4099_2(X1,X2) )).

cnf(i_0_207,axiom,
    ( ~ esk884_2(X1,X2)
    | ~ esk96_2(X1,X2) )).

cnf(i_0_208,axiom,
    ( esk40_2(X1,X2)
    | ~ esk5478_2(X1,X2) )).

cnf(i_0_209,axiom,
    ( esk1542_2(X1,X2)
    | ~ esk1543_2(X1,X2) )).

cnf(i_0_210,axiom,
    ( ~ esk4199_2(X1,X2)
    | ~ esk4200_2(X1,X2) )).

cnf(i_0_211,axiom,
    ( esk3399_2(X1,X2)
    | ~ esk3403_2(X1,X2) )).

cnf(i_0_212,axiom,
    ( esk627_2(X1,X2)
    | esk626_2(X1,X2) )).

cnf(i_0_213,axiom,
    ( esk5430_2(X1,X2)
    | esk5304_2(X1,X2) )).

cnf(i_0_214,axiom,
    ( ~ esk4006_2(X1,X2)
    | ~ esk4007_2(X1,X2) )).

cnf(i_0_215,axiom,
    ( ~ esk2074_2(X1,X2)
    | ~ esk2073_2(X1,X2) )).

cnf(i_0_216,axiom,
    ( esk2701_2(X1,X2)
    | ~ esk2705_2(X1,X2) )).

cnf(i_0_217,axiom,
    ( ~ esk327_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | esk328_2(X1,X2) )).

cnf(i_0_218,axiom,
    ( ~ esk3199_2(X1,X2)
    | ~ esk107_2(X1,X2)
    | esk3224_2(X1,X2) )).

cnf(i_0_219,axiom,
    ( ~ esk4394_2(X1,X2)
    | ~ esk4393_2(X1,X2) )).

cnf(i_0_220,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | esk2406_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_221,axiom,
    ( ~ esk4318_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_222,axiom,
    ( ~ esk2994_2(X1,X2)
    | ~ esk2997_2(X1,X2) )).

cnf(i_0_223,axiom,
    ( ~ esk3326_2(X1,X2)
    | ~ esk3834_2(X1,X2) )).

cnf(i_0_224,axiom,
    ( ~ esk2855_2(X1,X2)
    | ~ esk158_2(X1,X2) )).

cnf(i_0_225,axiom,
    ( ~ esk3845_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk3909_2(X1,X2)
    | esk4292_2(X1,X2) )).

cnf(i_0_226,axiom,
    ( ~ esk162_2(X1,X2)
    | esk4536_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk79_2(X1,X2) )).

cnf(i_0_227,axiom,
    ( ~ esk2223_2(X1,X2)
    | ~ esk2222_2(X1,X2) )).

cnf(i_0_228,axiom,
    ( ~ esk173_2(X1,X2)
    | esk4380_2(X1,X2)
    | ~ esk172_2(X1,X2)
    | ~ esk3775_2(X1,X2) )).

cnf(i_0_229,axiom,
    ( esk2583_2(X1,X2)
    | esk2588_2(X1,X2) )).

cnf(i_0_230,axiom,
    ( esk103_2(X1,X2)
    | ~ esk5073_2(X1,X2) )).

cnf(i_0_231,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk4992_2(X1,X2) )).

cnf(i_0_232,axiom,
    ( ~ esk1800_2(X1,X2)
    | ~ esk1801_2(X1,X2) )).

cnf(i_0_233,axiom,
    ( ~ esk1003_2(X1,X2)
    | esk1002_2(X1,X2) )).

cnf(i_0_234,axiom,
    ( esk2113_2(X1,X2)
    | esk2114_2(X1,X2) )).

cnf(i_0_235,axiom,
    ( esk2489_2(X1,X2)
    | esk2490_2(X1,X2) )).

cnf(i_0_236,axiom,
    ( ~ esk2791_2(X1,X2)
    | ~ esk2792_2(X1,X2) )).

cnf(i_0_237,axiom,
    ( ~ esk3996_2(X1,X2)
    | ~ esk3997_2(X1,X2) )).

cnf(i_0_238,axiom,
    ( esk355_2(X1,X2)
    | ~ esk356_2(X1,X2) )).

cnf(i_0_239,axiom,
    ( ~ esk5434_2(X1,X2)
    | ~ esk5433_2(X1,X2) )).

cnf(i_0_240,axiom,
    ( esk3786_2(X1,X2)
    | ~ esk4396_2(X1,X2) )).

cnf(i_0_241,axiom,
    ( esk149_2(X1,X2)
    | ~ esk347_2(X1,X2) )).

cnf(i_0_242,axiom,
    ( esk2357_2(X1,X2)
    | esk2356_2(X1,X2) )).

cnf(i_0_243,axiom,
    ( esk604_2(X1,X2)
    | esk1286_2(X1,X2) )).

cnf(i_0_244,axiom,
    ( esk2326_2(X1,X2)
    | esk2327_2(X1,X2) )).

cnf(i_0_245,axiom,
    ( esk3496_2(X1,X2)
    | esk3497_2(X1,X2) )).

cnf(i_0_246,axiom,
    ( ~ esk4087_2(X1,X2)
    | ~ esk3650_2(X1,X2) )).

cnf(i_0_247,axiom,
    ( ~ esk1223_2(X1,X2)
    | esk1008_2(X1,X2) )).

cnf(i_0_248,axiom,
    ( esk2717_2(X1,X2)
    | ~ esk2722_2(X1,X2) )).

cnf(i_0_249,axiom,
    ( esk4761_2(X1,X2)
    | ~ esk4765_2(X1,X2) )).

cnf(i_0_250,axiom,
    ( esk2981_2(X1,X2)
    | ~ esk3129_2(X1,X2) )).

cnf(i_0_251,axiom,
    ( esk5027_2(X1,X2)
    | esk5028_2(X1,X2) )).

cnf(i_0_252,axiom,
    ( ~ esk503_2(X1,X2)
    | ~ esk507_2(X1,X2) )).

cnf(i_0_253,axiom,
    ( esk161_2(X1,X2)
    | ~ esk5483_2(X1,X2) )).

cnf(i_0_254,axiom,
    ( ~ esk5477_2(X1,X2)
    | ~ esk5479_2(X1,X2) )).

cnf(i_0_255,axiom,
    ( esk968_2(X1,X2)
    | ~ esk2766_2(X1,X2) )).

cnf(i_0_256,axiom,
    ( ~ esk4489_2(X1,X2)
    | ~ esk4491_2(X1,X2) )).

cnf(i_0_257,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4246_2(X1,X2) )).

cnf(i_0_258,axiom,
    ( esk4353_2(X1,X2)
    | esk4354_2(X1,X2) )).

cnf(i_0_259,axiom,
    ( ~ esk5206_2(X1,X2)
    | ~ esk5205_2(X1,X2) )).

cnf(i_0_260,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk660_2(X1,X2) )).

cnf(i_0_261,axiom,
    ( esk1032_2(X1,X2)
    | ~ esk1031_2(X1,X2)
    | ~ esk709_2(X1,X2) )).

cnf(i_0_262,axiom,
    ( ~ esk4670_2(X1,X2)
    | esk4664_2(X1,X2) )).

cnf(i_0_263,axiom,
    ( esk1390_2(X1,X2)
    | esk1391_2(X1,X2) )).

cnf(i_0_264,axiom,
    ( esk5123_2(X1,X2)
    | ~ esk5127_2(X1,X2) )).

cnf(i_0_265,axiom,
    ( esk683_2(X1,X2)
    | ~ esk687_2(X1,X2) )).

cnf(i_0_266,axiom,
    ( esk427_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_267,axiom,
    ( esk2983_2(X1,X2)
    | esk152_2(X1,X2)
    | esk2984_2(X1,X2)
    | esk2980_2(X1,X2) )).

cnf(i_0_268,axiom,
    ( esk788_2(X1,X2)
    | ~ esk792_2(X1,X2) )).

cnf(i_0_269,axiom,
    ( ~ esk4180_2(X1,X2)
    | ~ esk3628_2(X1,X2) )).

cnf(i_0_270,axiom,
    ( esk2140_2(X1,X2)
    | esk2141_2(X1,X2) )).

cnf(i_0_271,axiom,
    ( esk5535_2(X1,X2)
    | esk3644_2(X1,X2)
    | ~ esk991_2(X1,X2) )).

cnf(i_0_272,axiom,
    ( ~ esk3916_2(X1,X2)
    | esk3915_2(X1,X2) )).

cnf(i_0_273,axiom,
    ( esk316_2(X1,X2)
    | esk315_2(X1,X2) )).

cnf(i_0_274,axiom,
    ( ~ esk567_2(X1,X2)
    | esk565_2(X1,X2) )).

cnf(i_0_275,axiom,
    ( esk2647_2(X1,X2)
    | ~ esk2643_2(X1,X2)
    | ~ esk2646_2(X1,X2) )).

cnf(i_0_276,axiom,
    ( esk2437_2(X1,X2)
    | ~ esk2478_2(X1,X2) )).

cnf(i_0_277,axiom,
    ( esk1125_2(X1,X2)
    | ~ esk1126_2(X1,X2) )).

cnf(i_0_278,axiom,
    ( esk151_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_279,axiom,
    ( ~ esk3690_2(X1,X2)
    | ~ esk3691_2(X1,X2) )).

cnf(i_0_280,axiom,
    ( ~ esk793_2(X1,X2)
    | esk1078_2(X1,X2)
    | ~ esk1077_2(X1,X2) )).

cnf(i_0_281,axiom,
    ( ~ esk571_2(X1,X2)
    | ~ esk570_2(X1,X2) )).

cnf(i_0_282,axiom,
    ( esk4669_2(X1,X2)
    | esk4668_2(X1,X2) )).

cnf(i_0_283,axiom,
    ( ~ esk2006_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_284,axiom,
    ( esk3876_2(X1,X2)
    | esk3875_2(X1,X2)
    | esk3878_2(X1,X2)
    | esk3877_2(X1,X2)
    | esk3657_2(X1,X2) )).

cnf(i_0_285,axiom,
    ( esk4972_2(X1,X2)
    | esk4973_2(X1,X2) )).

cnf(i_0_286,axiom,
    ( ~ esk1742_2(X1,X2)
    | ~ esk4395_2(X1,X2)
    | ~ esk5575_2(X1,X2) )).

cnf(i_0_287,axiom,
    ( esk3785_2(X1,X2)
    | ~ esk4410_2(X1,X2) )).

cnf(i_0_288,axiom,
    ( ~ esk1318_2(X1,X2)
    | ~ esk1319_2(X1,X2) )).

cnf(i_0_289,axiom,
    ( esk4410_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk3785_2(X1,X2)
    | ~ esk45_2(X1,X2) )).

cnf(i_0_290,axiom,
    ( ~ esk3918_2(X1,X2)
    | ~ esk3479_2(X1,X2) )).

cnf(i_0_291,axiom,
    ( esk4597_2(X1,X2)
    | esk4596_2(X1,X2) )).

cnf(i_0_292,axiom,
    ( ~ esk5232_2(X1,X2)
    | ~ esk5235_2(X1,X2) )).

cnf(i_0_293,axiom,
    ( ~ esk2204_2(X1,X2)
    | ~ esk2203_2(X1,X2) )).

cnf(i_0_294,axiom,
    ( ~ esk3656_2(X1,X2)
    | esk3655_2(X1,X2) )).

cnf(i_0_295,axiom,
    ( esk561_2(X1,X2)
    | ~ esk2536_2(X1,X2) )).

cnf(i_0_296,axiom,
    ( esk4822_2(X1,X2)
    | ~ esk4818_2(X1,X2)
    | ~ esk4821_2(X1,X2) )).

cnf(i_0_297,axiom,
    ( esk4578_2(X1,X2)
    | esk4577_2(X1,X2) )).

cnf(i_0_298,axiom,
    ( esk993_2(X1,X2)
    | ~ esk515_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_299,axiom,
    ( esk540_2(X1,X2)
    | esk541_2(X1,X2) )).

cnf(i_0_300,axiom,
    ( ~ esk4133_2(X1,X2)
    | ~ esk4132_2(X1,X2) )).

cnf(i_0_301,axiom,
    ( ~ esk4024_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_302,axiom,
    ( ~ esk2205_2(X1,X2)
    | ~ esk1018_2(X1,X2) )).

cnf(i_0_303,axiom,
    ( ~ esk3036_2(X1,X2)
    | ~ esk2981_2(X1,X2)
    | esk3037_2(X1,X2) )).

cnf(i_0_304,axiom,
    ( ~ esk942_2(X1,X2)
    | esk904_2(X1,X2) )).

cnf(i_0_305,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk727_2(X1,X2) )).

cnf(i_0_306,axiom,
    ( ~ esk4496_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_307,axiom,
    ( esk1501_2(X1,X2)
    | esk1502_2(X1,X2) )).

cnf(i_0_308,axiom,
    ( ~ esk1171_2(X1,X2)
    | ~ esk1124_2(X1,X2)
    | esk1606_2(X1,X2)
    | ~ esk1125_2(X1,X2) )).

cnf(i_0_309,axiom,
    ( esk4221_2(X1,X2)
    | esk4220_2(X1,X2) )).

cnf(i_0_310,axiom,
    ( ~ esk536_2(X1,X2)
    | esk969_2(X1,X2)
    | ~ esk968_2(X1,X2) )).

cnf(i_0_311,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4307_2(X1,X2) )).

cnf(i_0_312,axiom,
    ( esk2504_2(X1,X2)
    | esk2505_2(X1,X2) )).

cnf(i_0_313,axiom,
    ( esk4_2(X1,X2)
    | ~ esk3858_2(X1,X2) )).

cnf(i_0_314,axiom,
    ( ~ esk193_2(X1,X2)
    | esk5508_2(X1,X2)
    | esk2855_2(X1,X2) )).

cnf(i_0_315,axiom,
    ( esk4808_2(X1,X2)
    | esk4807_2(X1,X2) )).

cnf(i_0_316,axiom,
    ( ~ esk87_2(X1,X2)
    | esk4542_2(X1,X2)
    | ~ esk4333_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_317,axiom,
    ( ~ esk4189_2(X1,X2)
    | ~ esk4190_2(X1,X2) )).

cnf(i_0_318,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4357_2(X1,X2) )).

cnf(i_0_319,axiom,
    ( ~ esk3016_2(X1,X2)
    | ~ esk3013_2(X1,X2) )).

cnf(i_0_320,axiom,
    ( ~ esk1038_2(X1,X2)
    | ~ esk1035_2(X1,X2) )).

cnf(i_0_321,axiom,
    ( ~ esk3098_2(X1,X2)
    | ~ esk3095_2(X1,X2) )).

cnf(i_0_322,axiom,
    ( esk633_2(X1,X2)
    | esk1715_2(X1,X2) )).

cnf(i_0_323,axiom,
    ( esk2086_2(X1,X2)
    | ~ esk2085_2(X1,X2)
    | ~ esk2081_2(X1,X2) )).

cnf(i_0_324,axiom,
    ( ~ esk4621_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_325,axiom,
    ( esk3753_2(X1,X2)
    | esk3754_2(X1,X2) )).

cnf(i_0_326,axiom,
    ( esk1189_2(X1,X2)
    | esk1188_2(X1,X2) )).

cnf(i_0_327,axiom,
    ( ~ esk3144_2(X1,X2)
    | ~ esk3145_2(X1,X2) )).

cnf(i_0_328,axiom,
    ( ~ esk4787_2(X1,X2)
    | ~ esk4790_2(X1,X2) )).

cnf(i_0_329,axiom,
    ( esk4240_2(X1,X2)
    | esk4239_2(X1,X2) )).

cnf(i_0_330,axiom,
    ( esk1599_2(X1,X2)
    | ~ esk1810_2(X1,X2) )).

cnf(i_0_331,axiom,
    ( ~ esk140_2(X1,X2)
    | ~ esk447_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | esk448_2(X1,X2) )).

cnf(i_0_332,axiom,
    ( esk103_2(X1,X2)
    | ~ esk271_2(X1,X2) )).

cnf(i_0_333,axiom,
    ( esk2885_2(X1,X2)
    | ~ esk2886_2(X1,X2) )).

cnf(i_0_334,axiom,
    ( ~ esk3176_2(X1,X2)
    | ~ esk3177_2(X1,X2) )).

cnf(i_0_335,axiom,
    ( ~ esk238_2(X1,X2)
    | esk257_2(X1,X2)
    | ~ esk239_2(X1,X2) )).

cnf(i_0_336,axiom,
    ( ~ esk2202_2(X1,X2)
    | ~ esk2203_2(X1,X2) )).

cnf(i_0_337,axiom,
    ( ~ esk3768_2(X1,X2)
    | ~ esk3296_2(X1,X2) )).

cnf(i_0_338,axiom,
    ( esk2545_2(X1,X2)
    | esk2544_2(X1,X2) )).

cnf(i_0_339,axiom,
    ( esk687_2(X1,X2)
    | esk688_2(X1,X2) )).

cnf(i_0_340,axiom,
    ( ~ esk1140_2(X1,X2)
    | esk1145_2(X1,X2)
    | ~ esk1144_2(X1,X2) )).

cnf(i_0_341,axiom,
    ( esk2609_2(X1,X2)
    | ~ esk2610_2(X1,X2) )).

cnf(i_0_342,axiom,
    ( ~ esk1512_2(X1,X2)
    | ~ esk1511_2(X1,X2) )).

cnf(i_0_343,axiom,
    ( ~ esk3675_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_344,axiom,
    ( ~ esk1880_2(X1,X2)
    | ~ esk1884_2(X1,X2) )).

cnf(i_0_345,axiom,
    ( ~ esk2408_2(X1,X2)
    | esk2407_2(X1,X2) )).

cnf(i_0_346,axiom,
    ( ~ esk5207_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_347,axiom,
    ( ~ esk3541_2(X1,X2)
    | ~ esk3542_2(X1,X2) )).

cnf(i_0_348,axiom,
    ( ~ esk2375_2(X1,X2)
    | ~ esk2370_2(X1,X2)
    | esk2376_2(X1,X2) )).

cnf(i_0_349,axiom,
    ( ~ esk1723_2(X1,X2)
    | ~ esk1721_2(X1,X2) )).

cnf(i_0_350,axiom,
    ( esk3570_2(X1,X2)
    | ~ esk3569_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_351,axiom,
    ( ~ esk2006_2(X1,X2)
    | ~ esk2009_2(X1,X2) )).

cnf(i_0_352,axiom,
    ( ~ esk4008_2(X1,X2)
    | ~ esk3239_2(X1,X2) )).

cnf(i_0_353,axiom,
    ( ~ esk1515_2(X1,X2)
    | esk1423_2(X1,X2) )).

cnf(i_0_354,axiom,
    ( esk2204_2(X1,X2)
    | ~ esk2206_2(X1,X2) )).

cnf(i_0_355,axiom,
    ( esk604_2(X1,X2)
    | ~ esk1284_2(X1,X2) )).

cnf(i_0_356,axiom,
    ( esk2586_2(X1,X2)
    | esk2587_2(X1,X2) )).

cnf(i_0_357,axiom,
    ( ~ esk2682_2(X1,X2)
    | ~ esk2686_2(X1,X2)
    | esk2687_2(X1,X2) )).

cnf(i_0_358,axiom,
    ( ~ esk2502_2(X1,X2)
    | ~ esk2503_2(X1,X2)
    | esk2504_2(X1,X2) )).

cnf(i_0_359,axiom,
    ( esk4641_2(X1,X2)
    | esk4642_2(X1,X2)
    | esk4639_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_360,axiom,
    ( ~ esk2552_2(X1,X2)
    | ~ esk2553_2(X1,X2) )).

cnf(i_0_361,axiom,
    ( esk3328_2(X1,X2)
    | esk3327_2(X1,X2)
    | esk3329_2(X1,X2) )).

cnf(i_0_362,axiom,
    ( ~ esk130_2(X1,X2)
    | esk1974_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_363,axiom,
    ( ~ esk661_2(X1,X2)
    | esk660_2(X1,X2) )).

cnf(i_0_364,axiom,
    ( ~ esk1846_2(X1,X2)
    | esk1625_2(X1,X2) )).

cnf(i_0_365,axiom,
    ( esk5232_2(X1,X2)
    | esk5233_2(X1,X2)
    | esk5235_2(X1,X2)
    | esk5234_2(X1,X2)
    | esk3614_2(X1,X2) )).

cnf(i_0_366,axiom,
    ( ~ esk5544_2(X1,X2)
    | ~ esk1172_2(X1,X2)
    | ~ esk3825_2(X1,X2) )).

cnf(i_0_367,axiom,
    ( ~ esk2347_2(X1,X2)
    | esk2346_2(X1,X2) )).

cnf(i_0_368,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk5489_2(X1,X2) )).

cnf(i_0_369,axiom,
    ( esk2170_2(X1,X2)
    | esk2171_2(X1,X2) )).

cnf(i_0_370,axiom,
    ( esk144_2(X1,X2)
    | ~ esk475_2(X1,X2) )).

cnf(i_0_371,axiom,
    ( ~ esk3350_2(X1,X2)
    | esk3715_2(X1,X2)
    | ~ esk3714_2(X1,X2) )).

cnf(i_0_372,axiom,
    ( ~ esk4613_2(X1,X2)
    | esk4612_2(X1,X2) )).

cnf(i_0_373,axiom,
    ( esk4613_2(X1,X2)
    | esk4614_2(X1,X2) )).

cnf(i_0_374,axiom,
    ( esk5044_2(X1,X2)
    | ~ esk5043_2(X1,X2)
    | ~ esk5040_2(X1,X2) )).

cnf(i_0_375,axiom,
    ( ~ esk4583_2(X1,X2)
    | ~ esk4582_2(X1,X2) )).

cnf(i_0_376,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3828_2(X1,X2) )).

cnf(i_0_377,axiom,
    ( esk2603_2(X1,X2)
    | esk2602_2(X1,X2) )).

cnf(i_0_378,axiom,
    ( esk5402_2(X1,X2)
    | esk5401_2(X1,X2) )).

cnf(i_0_379,axiom,
    ( ~ esk1222_2(X1,X2)
    | esk1006_2(X1,X2) )).

cnf(i_0_380,axiom,
    ( esk706_2(X1,X2)
    | ~ esk2289_2(X1,X2) )).

cnf(i_0_381,axiom,
    ( ~ esk3370_2(X1,X2)
    | ~ esk4890_2(X1,X2)
    | esk4891_2(X1,X2) )).

cnf(i_0_382,axiom,
    ( ~ esk2577_2(X1,X2)
    | ~ esk2498_2(X1,X2) )).

cnf(i_0_383,axiom,
    ( esk1749_2(X1,X2)
    | esk1750_2(X1,X2)
    | esk1751_2(X1,X2)
    | esk1752_2(X1,X2) )).

cnf(i_0_384,axiom,
    ( ~ esk2642_2(X1,X2)
    | ~ esk2643_2(X1,X2) )).

cnf(i_0_385,axiom,
    ( esk4052_2(X1,X2)
    | ~ esk4056_2(X1,X2) )).

cnf(i_0_386,axiom,
    ( esk954_2(X1,X2)
    | ~ esk2710_2(X1,X2) )).

cnf(i_0_387,axiom,
    ( ~ esk2500_2(X1,X2)
    | esk963_2(X1,X2) )).

cnf(i_0_388,axiom,
    ( esk240_2(X1,X2)
    | ~ esk248_2(X1,X2) )).

cnf(i_0_389,axiom,
    ( ~ esk879_2(X1,X2)
    | esk875_2(X1,X2) )).

cnf(i_0_390,axiom,
    ( ~ esk3760_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_391,axiom,
    ( esk146_2(X1,X2)
    | ~ esk393_2(X1,X2) )).

cnf(i_0_392,axiom,
    ( ~ esk3693_2(X1,X2)
    | ~ esk3692_2(X1,X2) )).

cnf(i_0_393,axiom,
    ( ~ esk4006_2(X1,X2)
    | esk4005_2(X1,X2) )).

cnf(i_0_394,axiom,
    ( esk1036_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_395,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk504_2(X1,X2) )).

cnf(i_0_396,axiom,
    ( ~ esk505_2(X1,X2)
    | esk503_2(X1,X2) )).

cnf(i_0_397,axiom,
    ( esk94_2(X1,X2)
    | ~ esk4998_2(X1,X2) )).

cnf(i_0_398,axiom,
    ( ~ esk510_2(X1,X2)
    | ~ esk511_2(X1,X2) )).

cnf(i_0_399,axiom,
    ( ~ esk1146_2(X1,X2)
    | ~ esk1145_2(X1,X2) )).

cnf(i_0_400,axiom,
    ( ~ esk2682_2(X1,X2)
    | ~ esk2681_2(X1,X2) )).

cnf(i_0_401,axiom,
    ( ~ esk3174_2(X1,X2)
    | esk3149_2(X1,X2) )).

cnf(i_0_402,axiom,
    ( ~ esk4431_2(X1,X2)
    | ~ esk4426_2(X1,X2)
    | esk4432_2(X1,X2) )).

cnf(i_0_403,axiom,
    ( esk154_2(X1,X2)
    | esk205_2(X1,X2) )).

cnf(i_0_404,axiom,
    ( ~ esk4900_2(X1,X2)
    | esk4904_2(X1,X2)
    | ~ esk4903_2(X1,X2) )).

cnf(i_0_405,axiom,
    ( esk4135_2(X1,X2)
    | esk4134_2(X1,X2)
    | esk4121_2(X1,X2) )).

cnf(i_0_406,axiom,
    ( ~ esk4502_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_407,axiom,
    ( esk3728_2(X1,X2)
    | ~ esk3874_2(X1,X2) )).

cnf(i_0_408,axiom,
    ( esk95_2(X1,X2)
    | ~ esk501_2(X1,X2) )).

cnf(i_0_409,axiom,
    ( esk2997_2(X1,X2)
    | esk2998_2(X1,X2) )).

cnf(i_0_410,axiom,
    ( ~ esk949_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_411,axiom,
    ( ~ esk5128_2(X1,X2)
    | ~ esk5127_2(X1,X2) )).

cnf(i_0_412,axiom,
    ( esk3781_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk5_2(X1,X2)
    | ~ esk3777_2(X1,X2) )).

cnf(i_0_413,axiom,
    ( esk629_2(X1,X2)
    | ~ esk1109_2(X1,X2) )).

cnf(i_0_414,axiom,
    ( ~ esk3513_2(X1,X2)
    | ~ esk3512_2(X1,X2) )).

cnf(i_0_415,axiom,
    ( esk3260_2(X1,X2)
    | esk5420_2(X1,X2) )).

cnf(i_0_416,axiom,
    ( esk303_2(X1,X2)
    | ~ esk304_2(X1,X2) )).

cnf(i_0_417,axiom,
    ( esk2853_2(X1,X2)
    | esk5506_2(X1,X2)
    | ~ esk191_2(X1,X2) )).

cnf(i_0_418,axiom,
    ( ~ esk2217_2(X1,X2)
    | esk2216_2(X1,X2) )).

cnf(i_0_419,axiom,
    ( esk105_2(X1,X2)
    | ~ esk923_2(X1,X2) )).

cnf(i_0_420,axiom,
    ( ~ esk3874_2(X1,X2)
    | ~ esk3890_2(X1,X2) )).

cnf(i_0_421,axiom,
    ( esk3215_2(X1,X2)
    | esk3214_2(X1,X2) )).

cnf(i_0_422,axiom,
    ( ~ esk5233_2(X1,X2)
    | esk3618_2(X1,X2) )).

cnf(i_0_423,axiom,
    ( esk1712_2(X1,X2)
    | ~ esk1726_2(X1,X2) )).

cnf(i_0_424,axiom,
    ( ~ esk3492_2(X1,X2)
    | ~ esk3495_2(X1,X2)
    | esk3496_2(X1,X2) )).

cnf(i_0_425,axiom,
    ( esk4137_2(X1,X2)
    | ~ esk4168_2(X1,X2) )).

cnf(i_0_426,axiom,
    ( esk1391_2(X1,X2)
    | esk1392_2(X1,X2) )).

cnf(i_0_427,axiom,
    ( ~ esk3549_2(X1,X2)
    | esk3545_2(X1,X2) )).

cnf(i_0_428,axiom,
    ( esk130_2(X1,X2)
    | esk2974_2(X1,X2) )).

cnf(i_0_429,axiom,
    ( esk4603_2(X1,X2)
    | ~ esk4608_2(X1,X2) )).

cnf(i_0_430,axiom,
    ( ~ esk4250_2(X1,X2)
    | esk4249_2(X1,X2) )).

cnf(i_0_431,axiom,
    ( esk1234_2(X1,X2)
    | esk1422_2(X1,X2) )).

cnf(i_0_432,axiom,
    ( ~ esk5138_2(X1,X2)
    | esk5139_2(X1,X2)
    | ~ esk5134_2(X1,X2) )).

cnf(i_0_433,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4343_2(X1,X2) )).

cnf(i_0_434,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk778_2(X1,X2)
    | esk779_2(X1,X2) )).

cnf(i_0_435,axiom,
    ( esk3971_2(X1,X2)
    | ~ esk3988_2(X1,X2) )).

cnf(i_0_436,axiom,
    ( esk3897_2(X1,X2)
    | esk3896_2(X1,X2) )).

cnf(i_0_437,axiom,
    ( esk5427_2(X1,X2)
    | ~ esk5428_2(X1,X2) )).

cnf(i_0_438,axiom,
    ( ~ esk1030_2(X1,X2)
    | ~ esk1026_2(X1,X2) )).

cnf(i_0_439,axiom,
    ( ~ esk358_2(X1,X2)
    | esk344_2(X1,X2) )).

cnf(i_0_440,axiom,
    ( ~ esk5027_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_441,axiom,
    ( ~ esk5175_2(X1,X2)
    | ~ esk5148_2(X1,X2) )).

cnf(i_0_442,axiom,
    ( esk2089_2(X1,X2)
    | esk2090_2(X1,X2) )).

cnf(i_0_443,axiom,
    ( ~ esk2299_2(X1,X2)
    | ~ esk708_2(X1,X2) )).

cnf(i_0_444,axiom,
    ( esk4228_2(X1,X2)
    | esk4229_2(X1,X2) )).

cnf(i_0_445,axiom,
    ( esk5389_2(X1,X2)
    | ~ esk5393_2(X1,X2) )).

cnf(i_0_446,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk1074_2(X1,X2)
    | ~ esk57_2(X1,X2)
    | esk1271_2(X1,X2) )).

cnf(i_0_447,axiom,
    ( esk1257_2(X1,X2)
    | esk1256_2(X1,X2) )).

cnf(i_0_448,axiom,
    ( esk298_2(X1,X2)
    | esk299_2(X1,X2) )).

cnf(i_0_449,axiom,
    ( ~ esk5423_2(X1,X2)
    | ~ esk5421_2(X1,X2) )).

cnf(i_0_450,axiom,
    ( ~ esk1697_2(X1,X2)
    | esk1256_2(X1,X2) )).

cnf(i_0_451,axiom,
    ( esk2498_2(X1,X2)
    | esk2497_2(X1,X2) )).

cnf(i_0_452,axiom,
    ( esk5339_2(X1,X2)
    | ~ esk5340_2(X1,X2) )).

cnf(i_0_453,axiom,
    ( esk4_2(X1,X2)
    | ~ esk1205_2(X1,X2) )).

cnf(i_0_454,axiom,
    ( ~ esk4933_2(X1,X2)
    | ~ esk4932_2(X1,X2) )).

cnf(i_0_455,axiom,
    ( ~ esk2584_2(X1,X2)
    | ~ esk2588_2(X1,X2)
    | esk2589_2(X1,X2) )).

cnf(i_0_456,axiom,
    ( esk3707_2(X1,X2)
    | esk3708_2(X1,X2) )).

cnf(i_0_457,axiom,
    ( esk5326_2(X1,X2)
    | ~ esk5322_2(X1,X2)
    | ~ esk5325_2(X1,X2) )).

cnf(i_0_458,axiom,
    ( ~ esk602_2(X1,X2)
    | esk118_2(X1,X2) )).

cnf(i_0_459,axiom,
    ( ~ esk161_2(X1,X2)
    | esk5483_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk81_2(X1,X2) )).

cnf(i_0_460,axiom,
    ( ~ esk2385_2(X1,X2)
    | ~ esk2384_2(X1,X2) )).

cnf(i_0_461,axiom,
    ( ~ esk148_2(X1,X2)
    | esk3357_2(X1,X2)
    | ~ esk3356_2(X1,X2) )).

cnf(i_0_462,axiom,
    ( esk1041_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_463,axiom,
    ( esk5596_2(X1,X2)
    | esk4539_2(X1,X2)
    | ~ esk1886_2(X1,X2) )).

cnf(i_0_464,axiom,
    ( ~ esk742_2(X1,X2)
    | ~ esk2174_2(X1,X2) )).

cnf(i_0_465,axiom,
    ( esk126_2(X1,X2)
    | ~ esk3237_2(X1,X2) )).

cnf(i_0_466,axiom,
    ( ~ esk5430_2(X1,X2)
    | ~ esk5304_2(X1,X2) )).

cnf(i_0_467,axiom,
    ( esk2579_2(X1,X2)
    | esk2582_2(X1,X2)
    | esk2581_2(X1,X2)
    | esk2580_2(X1,X2)
    | esk961_2(X1,X2) )).

cnf(i_0_468,axiom,
    ( ~ esk1058_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_469,axiom,
    ( ~ esk1790_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1835_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_470,axiom,
    ( ~ esk4915_2(X1,X2)
    | ~ esk4917_2(X1,X2)
    | esk4918_2(X1,X2) )).

cnf(i_0_471,axiom,
    ( esk90_2(X1,X2)
    | esk474_2(X1,X2) )).

cnf(i_0_472,axiom,
    ( ~ esk2460_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_473,axiom,
    ( esk3976_2(X1,X2)
    | ~ esk3977_2(X1,X2) )).

cnf(i_0_474,axiom,
    ( esk279_2(X1,X2)
    | esk278_2(X1,X2) )).

cnf(i_0_475,axiom,
    ( esk1036_2(X1,X2)
    | ~ esk1037_2(X1,X2) )).

cnf(i_0_476,axiom,
    ( esk763_2(X1,X2)
    | esk762_2(X1,X2) )).

cnf(i_0_477,axiom,
    ( esk148_2(X1,X2)
    | ~ esk269_2(X1,X2) )).

cnf(i_0_478,axiom,
    ( ~ esk2981_2(X1,X2)
    | esk3050_2(X1,X2)
    | ~ esk3049_2(X1,X2) )).

cnf(i_0_479,axiom,
    ( esk3623_2(X1,X2)
    | esk3622_2(X1,X2)
    | esk3610_2(X1,X2) )).

cnf(i_0_480,axiom,
    ( esk3449_2(X1,X2)
    | esk3450_2(X1,X2) )).

cnf(i_0_481,axiom,
    ( esk4942_2(X1,X2)
    | ~ esk4941_2(X1,X2)
    | ~ esk3368_2(X1,X2) )).

cnf(i_0_482,axiom,
    ( ~ esk130_2(X1,X2)
    | ~ esk2974_2(X1,X2) )).

cnf(i_0_483,axiom,
    ( esk4334_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_484,axiom,
    ( ~ esk5153_2(X1,X2)
    | esk3616_2(X1,X2) )).

cnf(i_0_485,axiom,
    ( esk1511_2(X1,X2)
    | ~ esk1510_2(X1,X2)
    | ~ esk1426_2(X1,X2) )).

cnf(i_0_486,axiom,
    ( ~ esk1950_2(X1,X2)
    | ~ esk1951_2(X1,X2) )).

cnf(i_0_487,axiom,
    ( ~ esk4521_2(X1,X2)
    | esk86_2(X1,X2) )).

cnf(i_0_488,axiom,
    ( esk1681_2(X1,X2)
    | ~ esk1901_2(X1,X2) )).

cnf(i_0_489,axiom,
    ( ~ esk2363_2(X1,X2)
    | esk2359_2(X1,X2) )).

cnf(i_0_490,axiom,
    ( ~ esk4650_2(X1,X2)
    | esk4651_2(X1,X2)
    | ~ esk4647_2(X1,X2) )).

cnf(i_0_491,axiom,
    ( ~ esk3172_2(X1,X2)
    | esk3168_2(X1,X2) )).

cnf(i_0_492,axiom,
    ( ~ esk4505_2(X1,X2)
    | ~ esk4509_2(X1,X2) )).

cnf(i_0_493,axiom,
    ( ~ esk4854_2(X1,X2)
    | esk3368_2(X1,X2) )).

cnf(i_0_494,axiom,
    ( ~ esk4488_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_495,axiom,
    ( esk2160_2(X1,X2)
    | ~ esk2161_2(X1,X2) )).

cnf(i_0_496,axiom,
    ( esk4531_2(X1,X2)
    | ~ esk4532_2(X1,X2) )).

cnf(i_0_497,axiom,
    ( ~ esk1391_2(X1,X2)
    | ~ esk1395_2(X1,X2)
    | esk1396_2(X1,X2) )).

cnf(i_0_498,axiom,
    ( ~ esk688_2(X1,X2)
    | ~ esk687_2(X1,X2) )).

cnf(i_0_499,axiom,
    ( esk1793_2(X1,X2)
    | esk1795_2(X1,X2)
    | esk1794_2(X1,X2)
    | esk1792_2(X1,X2) )).

cnf(i_0_500,axiom,
    ( esk182_2(X1,X2)
    | esk5497_2(X1,X2)
    | ~ esk2844_2(X1,X2) )).

cnf(i_0_501,axiom,
    ( esk1682_2(X1,X2)
    | esk1686_2(X1,X2)
    | esk1683_2(X1,X2)
    | esk1685_2(X1,X2)
    | esk1684_2(X1,X2) )).

cnf(i_0_502,axiom,
    ( esk2975_2(X1,X2)
    | esk2976_2(X1,X2)
    | esk2972_2(X1,X2) )).

cnf(i_0_503,axiom,
    ( ~ esk742_2(X1,X2)
    | ~ esk734_2(X1,X2)
    | esk1026_2(X1,X2)
    | ~ esk1025_2(X1,X2) )).

cnf(i_0_504,axiom,
    ( esk3007_2(X1,X2)
    | esk3010_2(X1,X2)
    | esk3009_2(X1,X2) )).

cnf(i_0_505,axiom,
    ( ~ esk3429_2(X1,X2)
    | esk3425_2(X1,X2) )).

cnf(i_0_506,axiom,
    ( esk174_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_507,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk4983_2(X1,X2) )).

cnf(i_0_508,axiom,
    ( ~ esk291_2(X1,X2)
    | ~ esk292_2(X1,X2) )).

cnf(i_0_509,axiom,
    ( esk4252_2(X1,X2)
    | ~ esk4253_2(X1,X2) )).

cnf(i_0_510,axiom,
    ( esk1135_2(X1,X2)
    | ~ esk982_2(X1,X2)
    | ~ esk647_2(X1,X2) )).

cnf(i_0_511,axiom,
    ( esk1604_2(X1,X2)
    | esk1605_2(X1,X2) )).

cnf(i_0_512,axiom,
    ( esk276_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_513,axiom,
    ( ~ esk2176_2(X1,X2)
    | ~ esk2175_2(X1,X2) )).

cnf(i_0_514,axiom,
    ( ~ esk1469_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_515,axiom,
    ( ~ esk174_2(X1,X2)
    | esk1812_2(X1,X2)
    | ~ esk44_2(X1,X2)
    | ~ esk1598_2(X1,X2) )).

cnf(i_0_516,axiom,
    ( ~ esk2574_2(X1,X2)
    | ~ esk2571_2(X1,X2) )).

cnf(i_0_517,axiom,
    ( ~ esk4638_2(X1,X2)
    | ~ esk4637_2(X1,X2) )).

cnf(i_0_518,axiom,
    ( ~ esk3421_2(X1,X2)
    | esk3417_2(X1,X2) )).

cnf(i_0_519,axiom,
    ( esk239_2(X1,X2)
    | ~ esk264_2(X1,X2) )).

cnf(i_0_520,axiom,
    ( ~ esk567_2(X1,X2)
    | ~ esk568_2(X1,X2) )).

cnf(i_0_521,axiom,
    ( ~ esk164_2(X1,X2)
    | ~ esk4776_2(X1,X2) )).

cnf(i_0_522,axiom,
    ( esk485_2(X1,X2)
    | ~ esk486_2(X1,X2) )).

cnf(i_0_523,axiom,
    ( ~ esk5234_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_524,axiom,
    ( ~ esk4289_2(X1,X2)
    | ~ esk4287_2(X1,X2) )).

cnf(i_0_525,axiom,
    ( esk150_2(X1,X2)
    | ~ esk980_2(X1,X2) )).

cnf(i_0_526,axiom,
    ( ~ esk1649_2(X1,X2)
    | esk5564_2(X1,X2)
    | esk4302_2(X1,X2) )).

cnf(i_0_527,axiom,
    ( esk3104_2(X1,X2)
    | esk3105_2(X1,X2) )).

cnf(i_0_528,axiom,
    ( ~ esk334_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_529,axiom,
    ( esk2963_2(X1,X2)
    | esk2962_2(X1,X2) )).

cnf(i_0_530,axiom,
    ( ~ esk3297_2(X1,X2)
    | ~ esk3641_2(X1,X2)
    | esk3642_2(X1,X2) )).

cnf(i_0_531,axiom,
    ( esk589_2(X1,X2)
    | esk802_2(X1,X2) )).

cnf(i_0_532,axiom,
    ( esk3845_2(X1,X2)
    | ~ esk4286_2(X1,X2) )).

cnf(i_0_533,axiom,
    ( esk1827_2(X1,X2)
    | esk4480_2(X1,X2)
    | ~ esk5587_2(X1,X2) )).

cnf(i_0_534,axiom,
    ( ~ esk579_2(X1,X2)
    | esk577_2(X1,X2) )).

cnf(i_0_535,axiom,
    ( esk5377_2(X1,X2)
    | ~ esk5376_2(X1,X2)
    | ~ esk5373_2(X1,X2) )).

cnf(i_0_536,axiom,
    ( ~ esk1633_2(X1,X2)
    | esk1238_2(X1,X2) )).

cnf(i_0_537,axiom,
    ( esk22_2(X1,X2)
    | ~ esk4447_2(X1,X2) )).

cnf(i_0_538,axiom,
    ( esk317_2(X1,X2)
    | ~ esk439_2(X1,X2) )).

cnf(i_0_539,axiom,
    ( ~ esk3962_2(X1,X2)
    | ~ esk3960_2(X1,X2) )).

cnf(i_0_540,axiom,
    ( esk4985_2(X1,X2)
    | ~ esk2332_2(X1,X2)
    | esk5600_2(X1,X2) )).

cnf(i_0_541,axiom,
    ( esk2035_2(X1,X2)
    | esk2036_2(X1,X2) )).

cnf(i_0_542,axiom,
    ( esk698_2(X1,X2)
    | esk2283_2(X1,X2) )).

cnf(i_0_543,axiom,
    ( esk121_2(X1,X2)
    | ~ esk4561_2(X1,X2) )).

cnf(i_0_544,axiom,
    ( esk5130_2(X1,X2)
    | ~ esk5090_2(X1,X2)
    | ~ esk5129_2(X1,X2)
    | ~ esk5126_2(X1,X2) )).

cnf(i_0_545,axiom,
    ( esk915_2(X1,X2)
    | ~ esk919_2(X1,X2) )).

cnf(i_0_546,axiom,
    ( ~ esk835_2(X1,X2)
    | ~ esk836_2(X1,X2) )).

cnf(i_0_547,axiom,
    ( ~ esk4043_2(X1,X2)
    | ~ esk4042_2(X1,X2) )).

cnf(i_0_548,axiom,
    ( esk269_2(X1,X2)
    | esk271_2(X1,X2)
    | esk272_2(X1,X2) )).

cnf(i_0_549,axiom,
    ( esk679_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_550,axiom,
    ( esk4013_2(X1,X2)
    | esk4012_2(X1,X2) )).

cnf(i_0_551,axiom,
    ( ~ esk4471_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_552,axiom,
    ( ~ esk1495_2(X1,X2)
    | ~ esk1496_2(X1,X2) )).

cnf(i_0_553,axiom,
    ( esk4717_2(X1,X2)
    | ~ esk4716_2(X1,X2)
    | ~ esk4713_2(X1,X2) )).

cnf(i_0_554,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4457_2(X1,X2) )).

cnf(i_0_555,axiom,
    ( ~ esk350_2(X1,X2)
    | ~ esk349_2(X1,X2) )).

cnf(i_0_556,axiom,
    ( ~ esk1471_2(X1,X2)
    | ~ esk1469_2(X1,X2) )).

cnf(i_0_557,axiom,
    ( esk137_2(X1,X2)
    | ~ esk2393_2(X1,X2) )).

cnf(i_0_558,axiom,
    ( esk523_2(X1,X2)
    | ~ esk2652_2(X1,X2) )).

cnf(i_0_559,axiom,
    ( ~ esk3753_2(X1,X2)
    | ~ esk3752_2(X1,X2) )).

cnf(i_0_560,axiom,
    ( ~ esk1717_2(X1,X2)
    | ~ esk1716_2(X1,X2) )).

cnf(i_0_561,axiom,
    ( ~ esk1066_2(X1,X2)
    | ~ esk1063_2(X1,X2)
    | esk1067_2(X1,X2) )).

cnf(i_0_562,axiom,
    ( esk4894_2(X1,X2)
    | esk4895_2(X1,X2) )).

cnf(i_0_563,axiom,
    ( ~ esk315_2(X1,X2)
    | ~ esk314_2(X1,X2) )).

cnf(i_0_564,axiom,
    ( esk1235_2(X1,X2)
    | ~ esk1075_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk1234_2(X1,X2) )).

cnf(i_0_565,axiom,
    ( ~ esk5469_2(X1,X2)
    | esk25_2(X1,X2) )).

cnf(i_0_566,axiom,
    ( esk477_2(X1,X2)
    | esk478_2(X1,X2) )).

cnf(i_0_567,axiom,
    ( esk2883_2(X1,X2)
    | esk2882_2(X1,X2)
    | esk2884_2(X1,X2) )).

cnf(i_0_568,axiom,
    ( ~ esk1205_2(X1,X2)
    | ~ esk1206_2(X1,X2) )).

cnf(i_0_569,axiom,
    ( ~ esk3104_2(X1,X2)
    | ~ esk3103_2(X1,X2) )).

cnf(i_0_570,axiom,
    ( esk4368_2(X1,X2)
    | ~ esk4369_2(X1,X2) )).

cnf(i_0_571,axiom,
    ( ~ esk1658_2(X1,X2)
    | esk1657_2(X1,X2) )).

cnf(i_0_572,axiom,
    ( esk3404_2(X1,X2)
    | esk3403_2(X1,X2) )).

cnf(i_0_573,axiom,
    ( ~ esk3660_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_574,axiom,
    ( esk807_2(X1,X2)
    | ~ esk808_2(X1,X2) )).

cnf(i_0_575,axiom,
    ( esk3608_2(X1,X2)
    | esk3604_2(X1,X2)
    | esk3606_2(X1,X2)
    | esk3602_2(X1,X2)
    | esk3609_2(X1,X2) )).

cnf(i_0_576,axiom,
    ( ~ esk2040_2(X1,X2)
    | ~ esk2036_2(X1,X2)
    | esk2041_2(X1,X2) )).

cnf(i_0_577,axiom,
    ( ~ esk54_2(X1,X2)
    | ~ esk3785_2(X1,X2)
    | esk4398_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_578,axiom,
    ( esk1367_2(X1,X2)
    | ~ esk1366_2(X1,X2)
    | ~ esk1362_2(X1,X2) )).

cnf(i_0_579,axiom,
    ( ~ esk4752_2(X1,X2)
    | ~ esk4753_2(X1,X2) )).

cnf(i_0_580,axiom,
    ( esk968_2(X1,X2)
    | esk2707_2(X1,X2) )).

cnf(i_0_581,axiom,
    ( esk5540_2(X1,X2)
    | ~ esk1089_2(X1,X2)
    | esk3742_2(X1,X2) )).

cnf(i_0_582,axiom,
    ( esk1379_2(X1,X2)
    | esk515_2(X1,X2) )).

cnf(i_0_583,axiom,
    ( esk3177_2(X1,X2)
    | ~ esk3603_2(X1,X2) )).

cnf(i_0_584,axiom,
    ( esk3215_2(X1,X2)
    | ~ esk3476_2(X1,X2) )).

cnf(i_0_585,axiom,
    ( ~ esk3727_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_586,axiom,
    ( ~ esk4465_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_587,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk4640_2(X1,X2) )).

cnf(i_0_588,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4282_2(X1,X2) )).

cnf(i_0_589,axiom,
    ( esk3149_2(X1,X2)
    | ~ esk3248_2(X1,X2) )).

cnf(i_0_590,axiom,
    ( ~ esk239_2(X1,X2)
    | ~ esk240_2(X1,X2) )).

cnf(i_0_591,axiom,
    ( ~ esk1201_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_592,axiom,
    ( esk98_2(X1,X2)
    | esk3030_2(X1,X2) )).

cnf(i_0_593,axiom,
    ( ~ esk4782_2(X1,X2)
    | ~ esk4778_2(X1,X2) )).

cnf(i_0_594,axiom,
    ( ~ esk1684_2(X1,X2)
    | esk1680_2(X1,X2) )).

cnf(i_0_595,axiom,
    ( ~ esk5605_2(X1,X2)
    | ~ esk5495_2(X1,X2)
    | ~ esk2842_2(X1,X2) )).

cnf(i_0_596,axiom,
    ( ~ esk4983_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_597,axiom,
    ( esk2741_2(X1,X2)
    | ~ esk2746_2(X1,X2) )).

cnf(i_0_598,axiom,
    ( ~ esk1759_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | esk1828_2(X1,X2) )).

cnf(i_0_599,axiom,
    ( ~ esk4795_2(X1,X2)
    | ~ esk4786_2(X1,X2) )).

cnf(i_0_600,axiom,
    ( esk4589_2(X1,X2)
    | ~ esk4588_2(X1,X2)
    | ~ esk4584_2(X1,X2) )).

cnf(i_0_601,axiom,
    ( ~ esk2103_2(X1,X2)
    | ~ esk2102_2(X1,X2) )).

cnf(i_0_602,axiom,
    ( ~ esk1499_2(X1,X2)
    | esk997_2(X1,X2) )).

cnf(i_0_603,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1660_2(X1,X2) )).

cnf(i_0_604,axiom,
    ( ~ esk5473_2(X1,X2)
    | esk39_2(X1,X2) )).

cnf(i_0_605,axiom,
    ( esk2112_2(X1,X2)
    | esk2113_2(X1,X2) )).

cnf(i_0_606,axiom,
    ( ~ esk2263_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_607,axiom,
    ( ~ esk3117_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_608,axiom,
    ( esk146_2(X1,X2)
    | esk5006_2(X1,X2)
    | esk5004_2(X1,X2)
    | esk5007_2(X1,X2) )).

cnf(i_0_609,axiom,
    ( ~ esk4981_2(X1,X2)
    | esk4980_2(X1,X2) )).

cnf(i_0_610,axiom,
    ( esk5254_2(X1,X2)
    | esk5253_2(X1,X2) )).

cnf(i_0_611,axiom,
    ( esk4885_2(X1,X2)
    | esk3368_2(X1,X2) )).

cnf(i_0_612,axiom,
    ( ~ esk3593_2(X1,X2)
    | ~ esk3592_2(X1,X2) )).

cnf(i_0_613,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk3679_2(X1,X2) )).

cnf(i_0_614,axiom,
    ( ~ esk4749_2(X1,X2)
    | ~ esk4750_2(X1,X2) )).

cnf(i_0_615,axiom,
    ( ~ esk1698_2(X1,X2)
    | ~ esk1700_2(X1,X2) )).

cnf(i_0_616,axiom,
    ( ~ esk125_2(X1,X2)
    | ~ esk3298_2(X1,X2) )).

cnf(i_0_617,axiom,
    ( ~ esk4641_2(X1,X2)
    | esk4640_2(X1,X2) )).

cnf(i_0_618,axiom,
    ( ~ esk1386_2(X1,X2)
    | esk1407_2(X1,X2)
    | ~ esk1399_2(X1,X2)
    | ~ esk1378_2(X1,X2) )).

cnf(i_0_619,axiom,
    ( ~ esk3464_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_620,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk1986_2(X1,X2) )).

cnf(i_0_621,axiom,
    ( ~ esk1714_2(X1,X2)
    | ~ esk1728_2(X1,X2) )).

cnf(i_0_622,axiom,
    ( ~ esk3390_2(X1,X2)
    | ~ esk3391_2(X1,X2) )).

cnf(i_0_623,axiom,
    ( ~ esk2367_2(X1,X2)
    | esk2366_2(X1,X2) )).

cnf(i_0_624,axiom,
    ( ~ esk2037_2(X1,X2)
    | ~ esk2036_2(X1,X2) )).

cnf(i_0_625,axiom,
    ( ~ esk2482_2(X1,X2)
    | esk2483_2(X1,X2)
    | ~ esk2392_2(X1,X2) )).

cnf(i_0_626,axiom,
    ( ~ esk3575_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_627,axiom,
    ( ~ esk104_2(X1,X2)
    | esk2966_2(X1,X2)
    | ~ esk2965_2(X1,X2) )).

cnf(i_0_628,axiom,
    ( ~ esk3968_2(X1,X2)
    | esk3963_2(X1,X2) )).

cnf(i_0_629,axiom,
    ( ~ esk4839_2(X1,X2)
    | ~ esk4843_2(X1,X2)
    | esk4844_2(X1,X2) )).

cnf(i_0_630,axiom,
    ( esk3209_2(X1,X2)
    | ~ esk3210_2(X1,X2) )).

cnf(i_0_631,axiom,
    ( esk4241_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk4240_2(X1,X2) )).

cnf(i_0_632,axiom,
    ( ~ esk2659_2(X1,X2)
    | ~ esk954_2(X1,X2) )).

cnf(i_0_633,axiom,
    ( ~ esk4303_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk4507_2(X1,X2)
    | ~ esk89_2(X1,X2) )).

cnf(i_0_634,axiom,
    ( ~ esk3367_2(X1,X2)
    | esk3366_2(X1,X2) )).

cnf(i_0_635,axiom,
    ( ~ esk2406_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_636,axiom,
    ( esk317_2(X1,X2)
    | ~ esk426_2(X1,X2) )).

cnf(i_0_637,axiom,
    ( esk4252_2(X1,X2)
    | ~ esk4254_2(X1,X2) )).

cnf(i_0_638,axiom,
    ( esk4658_2(X1,X2)
    | ~ esk4655_2(X1,X2)
    | ~ esk4657_2(X1,X2) )).

cnf(i_0_639,axiom,
    ( esk5156_2(X1,X2)
    | ~ esk5157_2(X1,X2) )).

cnf(i_0_640,axiom,
    ( ~ esk3285_2(X1,X2)
    | esk3284_2(X1,X2) )).

cnf(i_0_641,axiom,
    ( ~ esk3728_2(X1,X2)
    | esk5435_2(X1,X2)
    | ~ esk5434_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_642,axiom,
    ( ~ esk1687_2(X1,X2)
    | esk1688_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_643,axiom,
    ( esk1525_2(X1,X2)
    | esk1526_2(X1,X2) )).

cnf(i_0_644,axiom,
    ( esk4531_2(X1,X2)
    | esk4530_2(X1,X2) )).

cnf(i_0_645,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2180_2(X1,X2) )).

cnf(i_0_646,axiom,
    ( ~ esk4990_2(X1,X2)
    | ~ esk4989_2(X1,X2) )).

cnf(i_0_647,axiom,
    ( ~ esk1118_2(X1,X2)
    | esk1114_2(X1,X2) )).

cnf(i_0_648,axiom,
    ( ~ esk5030_2(X1,X2)
    | ~ esk3146_2(X1,X2) )).

cnf(i_0_649,axiom,
    ( ~ esk66_2(X1,X2)
    | esk1872_2(X1,X2)
    | ~ esk1871_2(X1,X2) )).

cnf(i_0_650,axiom,
    ( ~ esk2401_2(X1,X2)
    | esk2400_2(X1,X2) )).

cnf(i_0_651,axiom,
    ( ~ esk3055_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_652,axiom,
    ( ~ esk1853_2(X1,X2)
    | esk1802_2(X1,X2) )).

cnf(i_0_653,axiom,
    ( esk3299_2(X1,X2)
    | ~ esk127_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_654,axiom,
    ( ~ esk5179_2(X1,X2)
    | ~ esk5180_2(X1,X2) )).

cnf(i_0_655,axiom,
    ( ~ esk2856_2(X1,X2)
    | ~ esk157_2(X1,X2) )).

cnf(i_0_656,axiom,
    ( esk2876_2(X1,X2)
    | esk2877_2(X1,X2)
    | esk2875_2(X1,X2) )).

cnf(i_0_657,axiom,
    ( ~ esk2774_2(X1,X2)
    | ~ esk2773_2(X1,X2) )).

cnf(i_0_658,axiom,
    ( ~ esk4703_2(X1,X2)
    | esk4728_2(X1,X2)
    | ~ esk4727_2(X1,X2) )).

cnf(i_0_659,axiom,
    ( esk3587_2(X1,X2)
    | esk3584_2(X1,X2)
    | esk3586_2(X1,X2) )).

cnf(i_0_660,axiom,
    ( ~ esk1860_2(X1,X2)
    | ~ esk1863_2(X1,X2) )).

cnf(i_0_661,axiom,
    ( ~ esk4154_2(X1,X2)
    | ~ esk3646_2(X1,X2) )).

cnf(i_0_662,axiom,
    ( esk4261_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | ~ esk29_2(X1,X2) )).

cnf(i_0_663,axiom,
    ( esk1064_2(X1,X2)
    | ~ esk1065_2(X1,X2) )).

cnf(i_0_664,axiom,
    ( ~ esk4468_2(X1,X2)
    | ~ esk1815_2(X1,X2)
    | ~ esk5585_2(X1,X2) )).

cnf(i_0_665,axiom,
    ( esk5047_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_666,axiom,
    ( esk4768_2(X1,X2)
    | esk4769_2(X1,X2) )).

cnf(i_0_667,axiom,
    ( esk2120_2(X1,X2)
    | ~ esk2119_2(X1,X2)
    | ~ esk2116_2(X1,X2) )).

cnf(i_0_668,axiom,
    ( esk123_2(X1,X2)
    | esk3008_2(X1,X2) )).

cnf(i_0_669,axiom,
    ( ~ esk2999_2(X1,X2)
    | esk2998_2(X1,X2) )).

cnf(i_0_670,axiom,
    ( esk2859_2(X1,X2)
    | esk2858_2(X1,X2) )).

cnf(i_0_671,axiom,
    ( ~ esk381_2(X1,X2)
    | ~ esk96_2(X1,X2) )).

cnf(i_0_672,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk335_2(X1,X2) )).

cnf(i_0_673,axiom,
    ( ~ esk5183_2(X1,X2)
    | ~ esk3211_2(X1,X2) )).

cnf(i_0_674,axiom,
    ( ~ esk4291_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_675,axiom,
    ( ~ esk1065_2(X1,X2)
    | esk1060_2(X1,X2) )).

cnf(i_0_676,axiom,
    ( esk5245_2(X1,X2)
    | esk5244_2(X1,X2) )).

cnf(i_0_677,axiom,
    ( ~ esk3878_2(X1,X2)
    | ~ esk3876_2(X1,X2) )).

cnf(i_0_678,axiom,
    ( ~ esk4598_2(X1,X2)
    | ~ esk4607_2(X1,X2) )).

cnf(i_0_679,axiom,
    ( ~ esk3306_2(X1,X2)
    | esk3301_2(X1,X2) )).

cnf(i_0_680,axiom,
    ( esk2659_2(X1,X2)
    | esk954_2(X1,X2) )).

cnf(i_0_681,axiom,
    ( esk3522_2(X1,X2)
    | esk3521_2(X1,X2) )).

cnf(i_0_682,axiom,
    ( ~ esk1231_2(X1,X2)
    | esk1226_2(X1,X2) )).

cnf(i_0_683,axiom,
    ( esk4361_2(X1,X2)
    | esk4360_2(X1,X2) )).

cnf(i_0_684,axiom,
    ( ~ esk1356_2(X1,X2)
    | esk565_2(X1,X2) )).

cnf(i_0_685,axiom,
    ( ~ esk2172_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_686,axiom,
    ( ~ esk431_2(X1,X2)
    | esk430_2(X1,X2) )).

cnf(i_0_687,axiom,
    ( ~ esk3160_2(X1,X2)
    | esk3159_2(X1,X2) )).

cnf(i_0_688,axiom,
    ( ~ esk1917_2(X1,X2)
    | ~ esk1916_2(X1,X2) )).

cnf(i_0_689,axiom,
    ( esk746_2(X1,X2)
    | esk747_2(X1,X2) )).

cnf(i_0_690,axiom,
    ( ~ esk1048_2(X1,X2)
    | esk1047_2(X1,X2) )).

cnf(i_0_691,axiom,
    ( esk3461_2(X1,X2)
    | ~ esk3462_2(X1,X2) )).

cnf(i_0_692,axiom,
    ( ~ esk2296_2(X1,X2)
    | esk2297_2(X1,X2)
    | ~ esk708_2(X1,X2) )).

cnf(i_0_693,axiom,
    ( esk301_2(X1,X2)
    | esk300_2(X1,X2) )).

cnf(i_0_694,axiom,
    ( ~ esk3169_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(i_0_695,axiom,
    ( esk1118_2(X1,X2)
    | ~ esk1114_2(X1,X2)
    | ~ esk1117_2(X1,X2) )).

cnf(i_0_696,axiom,
    ( ~ esk5044_2(X1,X2)
    | esk5040_2(X1,X2) )).

cnf(i_0_697,axiom,
    ( esk2084_2(X1,X2)
    | ~ esk2088_2(X1,X2) )).

cnf(i_0_698,axiom,
    ( esk262_2(X1,X2)
    | esk266_2(X1,X2)
    | esk264_2(X1,X2)
    | esk263_2(X1,X2)
    | esk265_2(X1,X2) )).

cnf(i_0_699,axiom,
    ( esk2493_2(X1,X2)
    | ~ esk963_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_700,axiom,
    ( esk5348_2(X1,X2)
    | ~ esk5347_2(X1,X2)
    | ~ esk5343_2(X1,X2) )).

cnf(i_0_701,axiom,
    ( ~ esk25_2(X1,X2)
    | esk5463_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_702,axiom,
    ( ~ esk1850_2(X1,X2)
    | ~ esk1849_2(X1,X2) )).

cnf(i_0_703,axiom,
    ( ~ esk1156_2(X1,X2)
    | ~ esk1158_2(X1,X2) )).

cnf(i_0_704,axiom,
    ( esk4448_2(X1,X2)
    | esk4449_2(X1,X2) )).

cnf(i_0_705,axiom,
    ( esk1424_2(X1,X2)
    | esk1011_2(X1,X2)
    | esk1425_2(X1,X2) )).

cnf(i_0_706,axiom,
    ( esk2909_2(X1,X2)
    | ~ esk68_2(X1,X2)
    | ~ esk2908_2(X1,X2) )).

cnf(i_0_707,axiom,
    ( ~ esk4566_2(X1,X2)
    | ~ esk4565_2(X1,X2) )).

cnf(i_0_708,axiom,
    ( esk3166_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_709,axiom,
    ( esk5402_2(X1,X2)
    | ~ esk5407_2(X1,X2) )).

cnf(i_0_710,axiom,
    ( ~ esk3907_2(X1,X2)
    | ~ esk3908_2(X1,X2) )).

cnf(i_0_711,axiom,
    ( ~ esk145_2(X1,X2)
    | esk3182_2(X1,X2)
    | ~ esk3181_2(X1,X2) )).

cnf(i_0_712,axiom,
    ( ~ esk1960_2(X1,X2)
    | ~ esk1961_2(X1,X2) )).

cnf(i_0_713,axiom,
    ( esk4357_2(X1,X2)
    | esk4358_2(X1,X2)
    | esk4356_2(X1,X2)
    | esk4360_2(X1,X2)
    | esk4359_2(X1,X2) )).

cnf(i_0_714,axiom,
    ( esk2292_2(X1,X2)
    | esk2293_2(X1,X2) )).

cnf(i_0_715,axiom,
    ( esk1063_2(X1,X2)
    | esk1062_2(X1,X2) )).

cnf(i_0_716,axiom,
    ( esk3451_2(X1,X2)
    | ~ esk3452_2(X1,X2) )).

cnf(i_0_717,axiom,
    ( ~ esk3206_2(X1,X2)
    | ~ esk3205_2(X1,X2) )).

cnf(i_0_718,axiom,
    ( ~ esk3862_2(X1,X2)
    | ~ esk3863_2(X1,X2) )).

cnf(i_0_719,axiom,
    ( ~ esk2110_2(X1,X2)
    | esk2109_2(X1,X2) )).

cnf(i_0_720,axiom,
    ( ~ esk4914_2(X1,X2)
    | ~ esk4856_2(X1,X2) )).

cnf(i_0_721,axiom,
    ( ~ esk1407_2(X1,X2)
    | esk1378_2(X1,X2) )).

cnf(i_0_722,axiom,
    ( esk103_2(X1,X2)
    | ~ esk3023_2(X1,X2) )).

cnf(i_0_723,axiom,
    ( ~ esk597_2(X1,X2)
    | ~ esk2543_2(X1,X2)
    | esk2544_2(X1,X2) )).

cnf(i_0_724,axiom,
    ( ~ esk1237_2(X1,X2)
    | ~ esk1235_2(X1,X2) )).

cnf(i_0_725,axiom,
    ( ~ esk4968_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_726,axiom,
    ( esk1769_2(X1,X2)
    | ~ esk1770_2(X1,X2) )).

cnf(i_0_727,axiom,
    ( ~ esk82_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk1580_2(X1,X2)
    | esk1584_2(X1,X2) )).

cnf(i_0_728,axiom,
    ( ~ esk4226_2(X1,X2)
    | esk4227_2(X1,X2)
    | ~ esk3757_2(X1,X2) )).

cnf(i_0_729,axiom,
    ( esk4462_2(X1,X2)
    | ~ esk1809_2(X1,X2)
    | esk5584_2(X1,X2) )).

cnf(i_0_730,axiom,
    ( ~ esk282_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_731,axiom,
    ( ~ esk1100_2(X1,X2)
    | ~ esk1099_2(X1,X2) )).

cnf(i_0_732,axiom,
    ( ~ esk591_2(X1,X2)
    | esk589_2(X1,X2) )).

cnf(i_0_733,axiom,
    ( esk2306_2(X1,X2)
    | esk2305_2(X1,X2) )).

cnf(i_0_734,axiom,
    ( esk98_2(X1,X2)
    | esk2458_2(X1,X2) )).

cnf(i_0_735,axiom,
    ( esk1088_2(X1,X2)
    | ~ esk1592_2(X1,X2) )).

cnf(i_0_736,axiom,
    ( ~ esk477_2(X1,X2)
    | ~ esk478_2(X1,X2) )).

cnf(i_0_737,axiom,
    ( ~ esk5055_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_738,axiom,
    ( ~ esk4353_2(X1,X2)
    | ~ esk4349_2(X1,X2) )).

cnf(i_0_739,axiom,
    ( ~ esk5272_2(X1,X2)
    | esk5276_2(X1,X2)
    | ~ esk5275_2(X1,X2) )).

cnf(i_0_740,axiom,
    ( esk4485_2(X1,X2)
    | esk4486_2(X1,X2) )).

cnf(i_0_741,axiom,
    ( esk519_2(X1,X2)
    | ~ esk520_2(X1,X2) )).

cnf(i_0_742,axiom,
    ( ~ esk4456_2(X1,X2)
    | ~ esk4455_2(X1,X2) )).

cnf(i_0_743,axiom,
    ( ~ esk1312_2(X1,X2)
    | esk1311_2(X1,X2) )).

cnf(i_0_744,axiom,
    ( ~ esk3390_2(X1,X2)
    | esk3389_2(X1,X2) )).

cnf(i_0_745,axiom,
    ( ~ esk3963_2(X1,X2)
    | esk3968_2(X1,X2)
    | ~ esk3967_2(X1,X2) )).

cnf(i_0_746,axiom,
    ( esk3028_2(X1,X2)
    | ~ esk366_2(X1,X2)
    | esk5526_2(X1,X2) )).

cnf(i_0_747,axiom,
    ( ~ esk4977_2(X1,X2)
    | esk4976_2(X1,X2) )).

cnf(i_0_748,axiom,
    ( ~ esk216_2(X1,X2)
    | esk218_2(X1,X2)
    | ~ esk217_2(X1,X2) )).

cnf(i_0_749,axiom,
    ( esk1863_2(X1,X2)
    | esk1864_2(X1,X2) )).

cnf(i_0_750,axiom,
    ( ~ esk4346_2(X1,X2)
    | ~ esk4345_2(X1,X2) )).

cnf(i_0_751,axiom,
    ( esk3350_2(X1,X2)
    | esk3349_2(X1,X2) )).

cnf(i_0_752,axiom,
    ( ~ esk5222_2(X1,X2)
    | esk5221_2(X1,X2) )).

cnf(i_0_753,axiom,
    ( ~ esk4173_2(X1,X2)
    | ~ esk3801_2(X1,X2) )).

cnf(i_0_754,axiom,
    ( ~ esk1693_2(X1,X2)
    | ~ esk1691_2(X1,X2) )).

cnf(i_0_755,axiom,
    ( esk4566_2(X1,X2)
    | ~ esk4572_2(X1,X2) )).

cnf(i_0_756,axiom,
    ( ~ esk5532_2(X1,X2)
    | ~ esk880_2(X1,X2)
    | ~ esk3542_2(X1,X2) )).

cnf(i_0_757,axiom,
    ( ~ esk2951_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_758,axiom,
    ( ~ esk3106_2(X1,X2)
    | esk3911_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | ~ esk3728_2(X1,X2) )).

cnf(i_0_759,axiom,
    ( ~ esk2913_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_760,axiom,
    ( ~ esk1002_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_761,axiom,
    ( esk2296_2(X1,X2)
    | ~ esk2297_2(X1,X2) )).

cnf(i_0_762,axiom,
    ( ~ esk3282_2(X1,X2)
    | ~ esk3281_2(X1,X2) )).

cnf(i_0_763,axiom,
    ( ~ esk4853_2(X1,X2)
    | ~ esk4852_2(X1,X2) )).

cnf(i_0_764,axiom,
    ( esk226_2(X1,X2)
    | ~ esk212_2(X1,X2)
    | ~ esk15_2(X1,X2) )).

cnf(i_0_765,axiom,
    ( ~ esk2315_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_766,axiom,
    ( ~ esk4405_2(X1,X2)
    | ~ esk4406_2(X1,X2) )).

cnf(i_0_767,axiom,
    ( ~ esk3267_2(X1,X2)
    | esk3762_2(X1,X2)
    | ~ esk3279_2(X1,X2)
    | ~ esk3291_2(X1,X2) )).

cnf(i_0_768,axiom,
    ( esk5258_2(X1,X2)
    | ~ esk5257_2(X1,X2)
    | ~ esk5253_2(X1,X2) )).

cnf(i_0_769,axiom,
    ( esk2900_2(X1,X2)
    | ~ esk2910_2(X1,X2) )).

cnf(i_0_770,axiom,
    ( ~ esk5045_2(X1,X2)
    | ~ esk5138_2(X1,X2) )).

cnf(i_0_771,axiom,
    ( ~ esk959_2(X1,X2)
    | ~ esk2495_2(X1,X2) )).

cnf(i_0_772,axiom,
    ( esk121_2(X1,X2)
    | ~ esk269_2(X1,X2) )).

cnf(i_0_773,axiom,
    ( ~ esk3449_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_774,axiom,
    ( ~ esk1621_2(X1,X2)
    | ~ esk1622_2(X1,X2) )).

cnf(i_0_775,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk1598_2(X1,X2) )).

cnf(i_0_776,axiom,
    ( ~ esk2730_2(X1,X2)
    | esk2729_2(X1,X2) )).

cnf(i_0_777,axiom,
    ( esk68_2(X1,X2)
    | ~ esk2916_2(X1,X2) )).

cnf(i_0_778,axiom,
    ( ~ esk3862_2(X1,X2)
    | esk3471_2(X1,X2) )).

cnf(i_0_779,axiom,
    ( ~ esk4418_2(X1,X2)
    | ~ esk3601_2(X1,X2) )).

cnf(i_0_780,axiom,
    ( ~ esk428_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_781,axiom,
    ( ~ esk561_2(X1,X2)
    | ~ esk2620_2(X1,X2) )).

cnf(i_0_782,axiom,
    ( ~ esk3212_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_783,axiom,
    ( ~ esk2076_2(X1,X2)
    | ~ esk2075_2(X1,X2) )).

cnf(i_0_784,axiom,
    ( ~ esk1263_2(X1,X2)
    | esk1262_2(X1,X2) )).

cnf(i_0_785,axiom,
    ( esk125_2(X1,X2)
    | esk3262_2(X1,X2) )).

cnf(i_0_786,axiom,
    ( esk696_2(X1,X2)
    | esk695_2(X1,X2) )).

cnf(i_0_787,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1881_2(X1,X2) )).

cnf(i_0_788,axiom,
    ( esk2967_2(X1,X2)
    | esk2968_2(X1,X2) )).

cnf(i_0_789,axiom,
    ( ~ esk1915_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk1916_2(X1,X2) )).

cnf(i_0_790,axiom,
    ( ~ esk1031_2(X1,X2)
    | ~ esk1030_2(X1,X2) )).

cnf(i_0_791,axiom,
    ( ~ esk4907_2(X1,X2)
    | esk4906_2(X1,X2) )).

cnf(i_0_792,axiom,
    ( esk2584_2(X1,X2)
    | ~ esk2589_2(X1,X2) )).

cnf(i_0_793,axiom,
    ( esk208_2(X1,X2)
    | ~ esk2870_2(X1,X2)
    | esk5515_2(X1,X2) )).

cnf(i_0_794,axiom,
    ( esk2414_2(X1,X2)
    | esk2412_2(X1,X2)
    | esk141_2(X1,X2)
    | esk2415_2(X1,X2) )).

cnf(i_0_795,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk2958_2(X1,X2) )).

cnf(i_0_796,axiom,
    ( esk1741_2(X1,X2)
    | esk1742_2(X1,X2) )).

cnf(i_0_797,axiom,
    ( ~ esk3570_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_798,axiom,
    ( esk2000_2(X1,X2)
    | esk1999_2(X1,X2) )).

cnf(i_0_799,axiom,
    ( ~ esk3729_2(X1,X2)
    | esk3093_2(X1,X2) )).

cnf(i_0_800,axiom,
    ( ~ esk4913_2(X1,X2)
    | ~ esk4914_2(X1,X2) )).

cnf(i_0_801,axiom,
    ( ~ esk4165_2(X1,X2)
    | ~ esk4164_2(X1,X2) )).

cnf(i_0_802,axiom,
    ( ~ esk3082_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_803,axiom,
    ( esk1088_2(X1,X2)
    | ~ esk1127_2(X1,X2) )).

cnf(i_0_804,axiom,
    ( esk4532_2(X1,X2)
    | ~ esk1879_2(X1,X2)
    | esk5595_2(X1,X2) )).

cnf(i_0_805,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1819_2(X1,X2) )).

cnf(i_0_806,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4460_2(X1,X2) )).

cnf(i_0_807,axiom,
    ( ~ esk785_2(X1,X2)
    | ~ esk1230_2(X1,X2) )).

cnf(i_0_808,axiom,
    ( esk137_2(X1,X2)
    | esk3451_2(X1,X2) )).

cnf(i_0_809,axiom,
    ( esk3243_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_810,axiom,
    ( esk781_2(X1,X2)
    | ~ esk782_2(X1,X2) )).

cnf(i_0_811,axiom,
    ( ~ esk4756_2(X1,X2)
    | ~ esk4753_2(X1,X2)
    | esk4757_2(X1,X2) )).

cnf(i_0_812,axiom,
    ( esk238_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_813,axiom,
    ( ~ esk1914_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_814,axiom,
    ( esk2182_2(X1,X2)
    | ~ esk2183_2(X1,X2) )).

cnf(i_0_815,axiom,
    ( ~ esk4456_2(X1,X2)
    | esk1803_2(X1,X2)
    | esk5583_2(X1,X2) )).

cnf(i_0_816,axiom,
    ( esk4976_2(X1,X2)
    | esk4850_2(X1,X2) )).

cnf(i_0_817,axiom,
    ( esk1167_2(X1,X2)
    | esk1519_2(X1,X2) )).

cnf(i_0_818,axiom,
    ( esk1753_2(X1,X2)
    | esk1754_2(X1,X2) )).

cnf(i_0_819,axiom,
    ( ~ esk1728_2(X1,X2)
    | ~ esk1727_2(X1,X2) )).

cnf(i_0_820,axiom,
    ( ~ esk680_2(X1,X2)
    | ~ esk1299_2(X1,X2) )).

cnf(i_0_821,axiom,
    ( ~ esk541_2(X1,X2)
    | ~ esk786_2(X1,X2) )).

cnf(i_0_822,axiom,
    ( ~ esk2530_2(X1,X2)
    | ~ esk549_2(X1,X2) )).

cnf(i_0_823,axiom,
    ( ~ esk3645_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_824,axiom,
    ( esk3275_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_825,axiom,
    ( esk3910_2(X1,X2)
    | esk3909_2(X1,X2) )).

cnf(i_0_826,axiom,
    ( esk5269_2(X1,X2)
    | esk5268_2(X1,X2) )).

cnf(i_0_827,axiom,
    ( ~ esk4097_2(X1,X2)
    | ~ esk4096_2(X1,X2) )).

cnf(i_0_828,axiom,
    ( esk1297_2(X1,X2)
    | ~ esk1296_2(X1,X2)
    | ~ esk1293_2(X1,X2) )).

cnf(i_0_829,axiom,
    ( esk925_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_830,axiom,
    ( esk3062_2(X1,X2)
    | ~ esk3063_2(X1,X2) )).

cnf(i_0_831,axiom,
    ( ~ esk309_2(X1,X2)
    | esk310_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_832,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4508_2(X1,X2) )).

cnf(i_0_833,axiom,
    ( esk5297_2(X1,X2)
    | ~ esk5298_2(X1,X2) )).

cnf(i_0_834,axiom,
    ( ~ esk932_2(X1,X2)
    | ~ esk912_2(X1,X2) )).

cnf(i_0_835,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1676_2(X1,X2)
    | ~ esk70_2(X1,X2) )).

cnf(i_0_836,axiom,
    ( ~ esk5448_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_837,axiom,
    ( ~ esk3463_2(X1,X2)
    | ~ esk3447_2(X1,X2)
    | esk3660_2(X1,X2)
    | ~ esk3471_2(X1,X2)
    | ~ esk3659_2(X1,X2) )).

cnf(i_0_838,axiom,
    ( esk3288_2(X1,X2)
    | ~ esk3287_2(X1,X2)
    | ~ esk3283_2(X1,X2) )).

cnf(i_0_839,axiom,
    ( esk4475_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk4406_2(X1,X2)
    | ~ esk4252_2(X1,X2) )).

cnf(i_0_840,axiom,
    ( ~ esk3392_2(X1,X2)
    | esk3393_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_841,axiom,
    ( esk4303_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_842,axiom,
    ( ~ esk1243_2(X1,X2)
    | ~ esk1006_2(X1,X2) )).

cnf(i_0_843,axiom,
    ( ~ esk3964_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | esk3965_2(X1,X2) )).

cnf(i_0_844,axiom,
    ( ~ esk4802_2(X1,X2)
    | ~ esk4805_2(X1,X2)
    | esk4806_2(X1,X2) )).

cnf(i_0_845,axiom,
    ( ~ esk4830_2(X1,X2)
    | esk4826_2(X1,X2) )).

cnf(i_0_846,axiom,
    ( esk142_2(X1,X2)
    | ~ esk4986_2(X1,X2) )).

cnf(i_0_847,axiom,
    ( ~ esk1411_2(X1,X2)
    | ~ esk1370_2(X1,X2)
    | esk1412_2(X1,X2) )).

cnf(i_0_848,axiom,
    ( esk3188_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_849,axiom,
    ( ~ esk1212_2(X1,X2)
    | esk1211_2(X1,X2) )).

cnf(i_0_850,axiom,
    ( esk4036_2(X1,X2)
    | ~ esk4035_2(X1,X2)
    | ~ esk3177_2(X1,X2) )).

cnf(i_0_851,axiom,
    ( ~ esk1403_2(X1,X2)
    | ~ esk1404_2(X1,X2) )).

cnf(i_0_852,axiom,
    ( esk1173_2(X1,X2)
    | esk1186_2(X1,X2)
    | esk1187_2(X1,X2)
    | esk1188_2(X1,X2) )).

cnf(i_0_853,axiom,
    ( ~ esk3927_2(X1,X2)
    | esk1274_2(X1,X2)
    | esk5550_2(X1,X2) )).

cnf(i_0_854,axiom,
    ( ~ esk322_2(X1,X2)
    | ~ esk318_2(X1,X2) )).

cnf(i_0_855,axiom,
    ( ~ esk4848_2(X1,X2)
    | ~ esk4849_2(X1,X2) )).

cnf(i_0_856,axiom,
    ( esk1679_2(X1,X2)
    | esk4332_2(X1,X2)
    | ~ esk5568_2(X1,X2) )).

cnf(i_0_857,axiom,
    ( ~ esk664_2(X1,X2)
    | ~ esk663_2(X1,X2) )).

cnf(i_0_858,axiom,
    ( esk3460_2(X1,X2)
    | esk3461_2(X1,X2) )).

cnf(i_0_859,axiom,
    ( esk3368_2(X1,X2)
    | ~ esk4909_2(X1,X2) )).

cnf(i_0_860,axiom,
    ( ~ esk3708_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | esk3779_2(X1,X2)
    | ~ esk3778_2(X1,X2) )).

cnf(i_0_861,axiom,
    ( esk1004_2(X1,X2)
    | ~ esk1005_2(X1,X2) )).

cnf(i_0_862,axiom,
    ( ~ esk1166_2(X1,X2)
    | ~ esk1167_2(X1,X2) )).

cnf(i_0_863,axiom,
    ( esk1723_2(X1,X2)
    | esk1724_2(X1,X2) )).

cnf(i_0_864,axiom,
    ( ~ esk4510_2(X1,X2)
    | ~ esk4509_2(X1,X2) )).

cnf(i_0_865,axiom,
    ( esk1339_2(X1,X2)
    | ~ esk1340_2(X1,X2) )).

cnf(i_0_866,axiom,
    ( ~ esk4909_2(X1,X2)
    | ~ esk4911_2(X1,X2) )).

cnf(i_0_867,axiom,
    ( ~ esk3034_2(X1,X2)
    | ~ esk3033_2(X1,X2) )).

cnf(i_0_868,axiom,
    ( esk5163_2(X1,X2)
    | ~ esk5168_2(X1,X2) )).

cnf(i_0_869,axiom,
    ( esk363_2(X1,X2)
    | esk362_2(X1,X2) )).

cnf(i_0_870,axiom,
    ( esk2299_2(X1,X2)
    | esk708_2(X1,X2) )).

cnf(i_0_871,axiom,
    ( ~ esk2416_2(X1,X2)
    | ~ esk2415_2(X1,X2) )).

cnf(i_0_872,axiom,
    ( esk2616_2(X1,X2)
    | esk2617_2(X1,X2) )).

cnf(i_0_873,axiom,
    ( ~ esk3802_2(X1,X2)
    | esk3786_2(X1,X2) )).

cnf(i_0_874,axiom,
    ( ~ esk3902_2(X1,X2)
    | esk3901_2(X1,X2) )).

cnf(i_0_875,axiom,
    ( ~ esk4584_2(X1,X2)
    | esk4578_2(X1,X2) )).

cnf(i_0_876,axiom,
    ( ~ esk4624_2(X1,X2)
    | ~ esk4623_2(X1,X2) )).

cnf(i_0_877,axiom,
    ( ~ esk5235_2(X1,X2)
    | ~ esk5236_2(X1,X2) )).

cnf(i_0_878,axiom,
    ( ~ esk4273_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_879,axiom,
    ( esk1187_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | ~ esk52_2(X1,X2) )).

cnf(i_0_880,axiom,
    ( ~ esk3243_2(X1,X2)
    | esk3244_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_881,axiom,
    ( ~ esk1624_2(X1,X2)
    | ~ esk18_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk1628_2(X1,X2) )).

cnf(i_0_882,axiom,
    ( esk2895_2(X1,X2)
    | esk2896_2(X1,X2)
    | esk2894_2(X1,X2) )).

cnf(i_0_883,axiom,
    ( ~ esk301_2(X1,X2)
    | ~ esk300_2(X1,X2) )).

cnf(i_0_884,axiom,
    ( esk3323_2(X1,X2)
    | esk3324_2(X1,X2) )).

cnf(i_0_885,axiom,
    ( ~ esk3860_2(X1,X2)
    | ~ esk3864_2(X1,X2)
    | esk3865_2(X1,X2) )).

cnf(i_0_886,axiom,
    ( esk2280_2(X1,X2)
    | esk2279_2(X1,X2) )).

cnf(i_0_887,axiom,
    ( esk3330_2(X1,X2)
    | ~ esk3977_2(X1,X2) )).

cnf(i_0_888,axiom,
    ( ~ esk5077_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_889,axiom,
    ( esk4775_2(X1,X2)
    | esk4774_2(X1,X2) )).

cnf(i_0_890,axiom,
    ( ~ esk3867_2(X1,X2)
    | esk3866_2(X1,X2) )).

cnf(i_0_891,axiom,
    ( ~ esk2674_2(X1,X2)
    | ~ esk2673_2(X1,X2) )).

cnf(i_0_892,axiom,
    ( ~ esk1634_2(X1,X2)
    | ~ esk1636_2(X1,X2) )).

cnf(i_0_893,axiom,
    ( ~ esk4636_2(X1,X2)
    | ~ esk4637_2(X1,X2) )).

cnf(i_0_894,axiom,
    ( ~ esk2824_2(X1,X2)
    | esk2793_2(X1,X2) )).

cnf(i_0_895,axiom,
    ( esk4759_2(X1,X2)
    | esk4758_2(X1,X2) )).

cnf(i_0_896,axiom,
    ( ~ esk2317_2(X1,X2)
    | esk2316_2(X1,X2) )).

cnf(i_0_897,axiom,
    ( esk3326_2(X1,X2)
    | esk3834_2(X1,X2) )).

cnf(i_0_898,axiom,
    ( ~ esk5007_2(X1,X2)
    | ~ esk5004_2(X1,X2) )).

cnf(i_0_899,axiom,
    ( ~ esk4323_2(X1,X2)
    | ~ esk4322_2(X1,X2) )).

cnf(i_0_900,axiom,
    ( esk1551_2(X1,X2)
    | ~ esk1556_2(X1,X2) )).

cnf(i_0_901,axiom,
    ( esk109_2(X1,X2)
    | ~ esk2406_2(X1,X2) )).

cnf(i_0_902,axiom,
    ( ~ esk2351_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_903,axiom,
    ( ~ esk4635_2(X1,X2)
    | ~ esk4636_2(X1,X2) )).

cnf(i_0_904,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk5007_2(X1,X2) )).

cnf(i_0_905,axiom,
    ( ~ esk2815_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_906,axiom,
    ( esk4202_2(X1,X2)
    | ~ esk4232_2(X1,X2) )).

cnf(i_0_907,axiom,
    ( ~ esk1707_2(X1,X2)
    | ~ esk1708_2(X1,X2) )).

cnf(i_0_908,axiom,
    ( esk4071_2(X1,X2)
    | esk4070_2(X1,X2) )).

cnf(i_0_909,axiom,
    ( esk4547_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk4400_2(X1,X2)
    | ~ esk4333_2(X1,X2) )).

cnf(i_0_910,axiom,
    ( ~ esk420_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_911,axiom,
    ( esk11_2(X1,X2)
    | ~ esk242_2(X1,X2) )).

cnf(i_0_912,axiom,
    ( esk2650_2(X1,X2)
    | esk2569_2(X1,X2)
    | esk2649_2(X1,X2) )).

cnf(i_0_913,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4288_2(X1,X2) )).

cnf(i_0_914,axiom,
    ( ~ esk72_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk1699_2(X1,X2) )).

cnf(i_0_915,axiom,
    ( ~ esk2506_2(X1,X2)
    | ~ esk2502_2(X1,X2) )).

cnf(i_0_916,axiom,
    ( ~ esk3926_2(X1,X2)
    | ~ esk3927_2(X1,X2) )).

cnf(i_0_917,axiom,
    ( esk4854_2(X1,X2)
    | esk3669_2(X1,X2)
    | esk4855_2(X1,X2) )).

cnf(i_0_918,axiom,
    ( ~ esk2167_2(X1,X2)
    | esk2166_2(X1,X2) )).

cnf(i_0_919,axiom,
    ( ~ esk1256_2(X1,X2)
    | ~ esk1257_2(X1,X2) )).

cnf(i_0_920,axiom,
    ( esk5048_2(X1,X2)
    | esk5046_2(X1,X2)
    | esk5049_2(X1,X2) )).

cnf(i_0_921,axiom,
    ( ~ esk4911_2(X1,X2)
    | ~ esk4910_2(X1,X2) )).

cnf(i_0_922,axiom,
    ( esk776_2(X1,X2)
    | esk775_2(X1,X2) )).

cnf(i_0_923,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk4580_2(X1,X2) )).

cnf(i_0_924,axiom,
    ( esk179_2(X1,X2)
    | ~ esk3706_2(X1,X2) )).

cnf(i_0_925,axiom,
    ( ~ esk2448_2(X1,X2)
    | ~ esk2449_2(X1,X2) )).

cnf(i_0_926,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk3778_2(X1,X2)
    | esk4272_2(X1,X2)
    | ~ esk3926_2(X1,X2) )).

cnf(i_0_927,axiom,
    ( ~ esk3253_2(X1,X2)
    | esk3252_2(X1,X2) )).

cnf(i_0_928,axiom,
    ( ~ esk247_2(X1,X2)
    | esk5522_2(X1,X2)
    | esk2909_2(X1,X2) )).

cnf(i_0_929,axiom,
    ( ~ esk4329_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_930,axiom,
    ( ~ esk5080_2(X1,X2)
    | ~ esk5079_2(X1,X2) )).

cnf(i_0_931,axiom,
    ( esk302_2(X1,X2)
    | esk305_2(X1,X2)
    | esk304_2(X1,X2) )).

cnf(i_0_932,axiom,
    ( ~ esk2767_2(X1,X2)
    | ~ esk598_2(X1,X2) )).

cnf(i_0_933,axiom,
    ( ~ esk3713_2(X1,X2)
    | ~ esk3712_2(X1,X2) )).

cnf(i_0_934,axiom,
    ( ~ esk3925_2(X1,X2)
    | ~ esk3926_2(X1,X2) )).

cnf(i_0_935,axiom,
    ( ~ esk461_2(X1,X2)
    | esk311_2(X1,X2) )).

cnf(i_0_936,axiom,
    ( ~ esk4469_2(X1,X2)
    | esk4400_2(X1,X2) )).

cnf(i_0_937,axiom,
    ( esk94_2(X1,X2)
    | ~ esk3055_2(X1,X2) )).

cnf(i_0_938,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4667_2(X1,X2) )).

cnf(i_0_939,axiom,
    ( ~ esk442_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_940,axiom,
    ( ~ esk3480_2(X1,X2)
    | esk3455_2(X1,X2) )).

cnf(i_0_941,axiom,
    ( esk308_2(X1,X2)
    | ~ esk366_2(X1,X2) )).

cnf(i_0_942,axiom,
    ( ~ esk2420_2(X1,X2)
    | esk2419_2(X1,X2) )).

cnf(i_0_943,axiom,
    ( ~ esk2867_2(X1,X2)
    | ~ esk5514_2(X1,X2)
    | ~ esk205_2(X1,X2) )).

cnf(i_0_944,axiom,
    ( ~ esk1923_2(X1,X2)
    | ~ esk1924_2(X1,X2) )).

cnf(i_0_945,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk309_2(X1,X2)
    | esk406_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_946,axiom,
    ( ~ esk4599_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_947,axiom,
    ( ~ esk776_2(X1,X2)
    | esk994_2(X1,X2)
    | ~ esk993_2(X1,X2) )).

cnf(i_0_948,axiom,
    ( esk4723_2(X1,X2)
    | esk4724_2(X1,X2) )).

cnf(i_0_949,axiom,
    ( esk407_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_950,axiom,
    ( ~ esk3342_2(X1,X2)
    | ~ esk3376_2(X1,X2) )).

cnf(i_0_951,axiom,
    ( ~ esk3786_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_952,axiom,
    ( esk3651_2(X1,X2)
    | esk3652_2(X1,X2)
    | esk3649_2(X1,X2)
    | esk3647_2(X1,X2)
    | esk3645_2(X1,X2) )).

cnf(i_0_953,axiom,
    ( ~ esk1649_2(X1,X2)
    | ~ esk5564_2(X1,X2)
    | ~ esk4302_2(X1,X2) )).

cnf(i_0_954,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk3301_2(X1,X2)
    | esk3676_2(X1,X2) )).

cnf(i_0_955,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk3695_2(X1,X2)
    | ~ esk3721_2(X1,X2)
    | esk3722_2(X1,X2) )).

cnf(i_0_956,axiom,
    ( ~ esk2102_2(X1,X2)
    | esk2101_2(X1,X2) )).

cnf(i_0_957,axiom,
    ( esk3610_2(X1,X2)
    | esk3609_2(X1,X2) )).

cnf(i_0_958,axiom,
    ( ~ esk401_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_959,axiom,
    ( ~ esk3280_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_960,axiom,
    ( ~ esk5144_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_961,axiom,
    ( ~ esk1741_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | esk1873_2(X1,X2)
    | ~ esk1651_2(X1,X2) )).

cnf(i_0_962,axiom,
    ( ~ esk4723_2(X1,X2)
    | esk4722_2(X1,X2) )).

cnf(i_0_963,axiom,
    ( ~ esk3113_2(X1,X2)
    | esk3119_2(X1,X2)
    | ~ esk3118_2(X1,X2) )).

cnf(i_0_964,axiom,
    ( esk2389_2(X1,X2)
    | esk2390_2(X1,X2) )).

cnf(i_0_965,axiom,
    ( esk5212_2(X1,X2)
    | ~ esk5213_2(X1,X2) )).

cnf(i_0_966,axiom,
    ( ~ esk556_2(X1,X2)
    | ~ esk559_2(X1,X2)
    | esk560_2(X1,X2) )).

cnf(i_0_967,axiom,
    ( ~ esk2565_2(X1,X2)
    | esk2564_2(X1,X2) )).

cnf(i_0_968,axiom,
    ( ~ esk1030_2(X1,X2)
    | ~ esk1029_2(X1,X2) )).

cnf(i_0_969,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3789_2(X1,X2) )).

cnf(i_0_970,axiom,
    ( esk2433_2(X1,X2)
    | esk2417_2(X1,X2) )).

cnf(i_0_971,axiom,
    ( ~ esk3452_2(X1,X2)
    | esk3203_2(X1,X2) )).

cnf(i_0_972,axiom,
    ( ~ esk4854_2(X1,X2)
    | ~ esk4855_2(X1,X2) )).

cnf(i_0_973,axiom,
    ( ~ esk3743_2(X1,X2)
    | ~ esk3745_2(X1,X2) )).

cnf(i_0_974,axiom,
    ( ~ esk3820_2(X1,X2)
    | ~ esk4172_2(X1,X2) )).

cnf(i_0_975,axiom,
    ( esk2694_2(X1,X2)
    | esk535_2(X1,X2) )).

cnf(i_0_976,axiom,
    ( esk5518_2(X1,X2)
    | esk219_2(X1,X2)
    | ~ esk2881_2(X1,X2) )).

cnf(i_0_977,axiom,
    ( ~ esk3896_2(X1,X2)
    | ~ esk3659_2(X1,X2) )).

cnf(i_0_978,axiom,
    ( ~ esk2836_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_979,axiom,
    ( ~ esk977_2(X1,X2)
    | ~ esk633_2(X1,X2) )).

cnf(i_0_980,axiom,
    ( ~ esk4947_2(X1,X2)
    | ~ esk4948_2(X1,X2) )).

cnf(i_0_981,axiom,
    ( esk4163_2(X1,X2)
    | ~ esk4164_2(X1,X2) )).

cnf(i_0_982,axiom,
    ( esk1096_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_983,axiom,
    ( esk5010_2(X1,X2)
    | esk5009_2(X1,X2) )).

cnf(i_0_984,axiom,
    ( ~ esk1784_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | esk1874_2(X1,X2)
    | ~ esk1651_2(X1,X2) )).

cnf(i_0_985,axiom,
    ( ~ esk1630_2(X1,X2)
    | ~ esk1626_2(X1,X2) )).

cnf(i_0_986,axiom,
    ( esk4813_2(X1,X2)
    | ~ esk4814_2(X1,X2) )).

cnf(i_0_987,axiom,
    ( ~ esk1072_2(X1,X2)
    | ~ esk1073_2(X1,X2) )).

cnf(i_0_988,axiom,
    ( ~ esk1664_2(X1,X2)
    | ~ esk1663_2(X1,X2) )).

cnf(i_0_989,axiom,
    ( ~ esk459_2(X1,X2)
    | ~ esk462_2(X1,X2) )).

cnf(i_0_990,axiom,
    ( ~ esk4610_2(X1,X2)
    | ~ esk4611_2(X1,X2) )).

cnf(i_0_991,axiom,
    ( esk4796_2(X1,X2)
    | ~ esk4795_2(X1,X2)
    | ~ esk4791_2(X1,X2) )).

cnf(i_0_992,axiom,
    ( esk3546_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_993,axiom,
    ( ~ esk1973_2(X1,X2)
    | ~ esk1972_2(X1,X2) )).

cnf(i_0_994,axiom,
    ( esk3593_2(X1,X2)
    | ~ esk3598_2(X1,X2) )).

cnf(i_0_995,axiom,
    ( esk1495_2(X1,X2)
    | esk1494_2(X1,X2) )).

cnf(i_0_996,axiom,
    ( esk2973_2(X1,X2)
    | ~ esk3110_2(X1,X2) )).

cnf(i_0_997,axiom,
    ( esk2901_2(X1,X2)
    | ~ esk2906_2(X1,X2) )).

cnf(i_0_998,axiom,
    ( ~ esk3666_2(X1,X2)
    | ~ esk3665_2(X1,X2) )).

cnf(i_0_999,axiom,
    ( ~ esk4599_2(X1,X2)
    | ~ esk4602_2(X1,X2) )).

cnf(i_0_1000,axiom,
    ( ~ esk548_2(X1,X2)
    | esk547_2(X1,X2) )).

cnf(i_0_1001,axiom,
    ( esk809_2(X1,X2)
    | esk1211_2(X1,X2) )).

cnf(i_0_1002,axiom,
    ( esk1538_2(X1,X2)
    | esk1539_2(X1,X2) )).

cnf(i_0_1003,axiom,
    ( esk315_2(X1,X2)
    | esk314_2(X1,X2) )).

cnf(i_0_1004,axiom,
    ( ~ esk5235_2(X1,X2)
    | ~ esk5234_2(X1,X2) )).

cnf(i_0_1005,axiom,
    ( ~ esk4528_2(X1,X2)
    | esk4303_2(X1,X2) )).

cnf(i_0_1006,axiom,
    ( esk3733_2(X1,X2)
    | ~ esk3734_2(X1,X2) )).

cnf(i_0_1007,axiom,
    ( ~ esk5107_2(X1,X2)
    | ~ esk5104_2(X1,X2) )).

cnf(i_0_1008,axiom,
    ( esk3483_2(X1,X2)
    | ~ esk3482_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_1009,axiom,
    ( ~ esk2623_2(X1,X2)
    | ~ esk2624_2(X1,X2) )).

cnf(i_0_1010,axiom,
    ( ~ esk4965_2(X1,X2)
    | ~ esk4971_2(X1,X2) )).

cnf(i_0_1011,axiom,
    ( esk956_2(X1,X2)
    | esk957_2(X1,X2) )).

cnf(i_0_1012,axiom,
    ( esk3951_2(X1,X2)
    | esk3995_2(X1,X2) )).

cnf(i_0_1013,axiom,
    ( esk4932_2(X1,X2)
    | esk4931_2(X1,X2) )).

cnf(i_0_1014,axiom,
    ( esk4719_2(X1,X2)
    | ~ esk4720_2(X1,X2) )).

cnf(i_0_1015,axiom,
    ( ~ esk1876_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_1016,axiom,
    ( ~ esk370_2(X1,X2)
    | ~ esk371_2(X1,X2) )).

cnf(i_0_1017,axiom,
    ( esk5276_2(X1,X2)
    | esk5277_2(X1,X2) )).

cnf(i_0_1018,axiom,
    ( esk3512_2(X1,X2)
    | esk3513_2(X1,X2) )).

cnf(i_0_1019,axiom,
    ( ~ esk4853_2(X1,X2)
    | ~ esk4851_2(X1,X2) )).

cnf(i_0_1020,axiom,
    ( ~ esk226_2(X1,X2)
    | ~ esk228_2(X1,X2) )).

cnf(i_0_1021,axiom,
    ( esk5502_2(X1,X2)
    | ~ esk187_2(X1,X2)
    | esk2849_2(X1,X2) )).

cnf(i_0_1022,axiom,
    ( ~ esk1594_2(X1,X2)
    | ~ esk1595_2(X1,X2) )).

cnf(i_0_1023,axiom,
    ( esk2660_2(X1,X2)
    | ~ esk2658_2(X1,X2)
    | ~ esk2659_2(X1,X2) )).

cnf(i_0_1024,axiom,
    ( esk418_2(X1,X2)
    | ~ esk419_2(X1,X2) )).

cnf(i_0_1025,axiom,
    ( ~ esk2251_2(X1,X2)
    | esk2247_2(X1,X2) )).

cnf(i_0_1026,axiom,
    ( esk158_2(X1,X2)
    | ~ esk4419_2(X1,X2) )).

cnf(i_0_1027,axiom,
    ( ~ esk1704_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_1028,axiom,
    ( ~ esk5141_2(X1,X2)
    | esk5137_2(X1,X2) )).

cnf(i_0_1029,axiom,
    ( ~ esk2402_2(X1,X2)
    | ~ esk2399_2(X1,X2) )).

cnf(i_0_1030,axiom,
    ( esk105_2(X1,X2)
    | ~ esk3121_2(X1,X2) )).

cnf(i_0_1031,axiom,
    ( ~ esk5308_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_1032,axiom,
    ( ~ esk5268_2(X1,X2)
    | esk5267_2(X1,X2) )).

cnf(i_0_1033,axiom,
    ( ~ esk4469_2(X1,X2)
    | ~ esk4473_2(X1,X2) )).

cnf(i_0_1034,axiom,
    ( esk275_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_1035,axiom,
    ( ~ esk3821_2(X1,X2)
    | ~ esk3823_2(X1,X2) )).

cnf(i_0_1036,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3121_2(X1,X2) )).

cnf(i_0_1037,axiom,
    ( ~ esk1735_2(X1,X2)
    | ~ esk1734_2(X1,X2) )).

cnf(i_0_1038,axiom,
    ( ~ esk1247_2(X1,X2)
    | esk1251_2(X1,X2)
    | ~ esk1250_2(X1,X2) )).

cnf(i_0_1039,axiom,
    ( esk664_2(X1,X2)
    | ~ esk1156_2(X1,X2) )).

cnf(i_0_1040,axiom,
    ( ~ esk1786_2(X1,X2)
    | esk417_2(X1,X2) )).

cnf(i_0_1041,axiom,
    ( esk3262_2(X1,X2)
    | ~ esk3268_2(X1,X2) )).

cnf(i_0_1042,axiom,
    ( ~ esk3062_2(X1,X2)
    | esk3063_2(X1,X2)
    | ~ esk2981_2(X1,X2) )).

cnf(i_0_1043,axiom,
    ( esk1042_2(X1,X2)
    | ~ esk1168_2(X1,X2) )).

cnf(i_0_1044,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3042_2(X1,X2) )).

cnf(i_0_1045,axiom,
    ( ~ esk1541_2(X1,X2)
    | esk1536_2(X1,X2) )).

cnf(i_0_1046,axiom,
    ( ~ esk3360_2(X1,X2)
    | esk3371_2(X1,X2)
    | ~ esk3370_2(X1,X2)
    | ~ esk3368_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_1047,axiom,
    ( ~ esk3106_2(X1,X2)
    | esk3100_2(X1,X2) )).

cnf(i_0_1048,axiom,
    ( esk3078_2(X1,X2)
    | ~ esk3079_2(X1,X2) )).

cnf(i_0_1049,axiom,
    ( ~ esk772_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_1050,axiom,
    ( ~ esk2753_2(X1,X2)
    | esk2754_2(X1,X2)
    | ~ esk2749_2(X1,X2) )).

cnf(i_0_1051,axiom,
    ( ~ esk5115_2(X1,X2)
    | esk5114_2(X1,X2) )).

cnf(i_0_1052,axiom,
    ( ~ esk3868_2(X1,X2)
    | esk3869_2(X1,X2)
    | ~ esk3853_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_1053,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk3514_2(X1,X2) )).

cnf(i_0_1054,axiom,
    ( esk1489_2(X1,X2)
    | ~ esk1488_2(X1,X2)
    | ~ esk776_2(X1,X2) )).

cnf(i_0_1055,axiom,
    ( ~ esk1761_2(X1,X2)
    | esk156_2(X1,X2) )).

cnf(i_0_1056,axiom,
    ( ~ esk1750_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_1057,axiom,
    ( esk5229_2(X1,X2)
    | esk5151_2(X1,X2)
    | esk5230_2(X1,X2) )).

cnf(i_0_1058,axiom,
    ( ~ esk4664_2(X1,X2)
    | esk4670_2(X1,X2)
    | ~ esk4669_2(X1,X2) )).

cnf(i_0_1059,axiom,
    ( ~ esk1650_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_1060,axiom,
    ( esk317_2(X1,X2)
    | ~ esk386_2(X1,X2) )).

cnf(i_0_1061,axiom,
    ( ~ esk3722_2(X1,X2)
    | ~ esk3724_2(X1,X2) )).

cnf(i_0_1062,axiom,
    ( esk5461_2(X1,X2)
    | esk5464_2(X1,X2)
    | esk5451_2(X1,X2)
    | esk5463_2(X1,X2)
    | esk5462_2(X1,X2) )).

cnf(i_0_1063,axiom,
    ( ~ esk5282_2(X1,X2)
    | ~ esk5283_2(X1,X2) )).

cnf(i_0_1064,axiom,
    ( esk160_2(X1,X2)
    | ~ esk2830_2(X1,X2) )).

cnf(i_0_1065,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1859_2(X1,X2) )).

cnf(i_0_1066,axiom,
    ( ~ esk4390_2(X1,X2)
    | esk2968_2(X1,X2) )).

cnf(i_0_1067,axiom,
    ( ~ esk2979_2(X1,X2)
    | ~ esk96_2(X1,X2)
    | esk3048_2(X1,X2) )).

cnf(i_0_1068,axiom,
    ( esk4850_2(X1,X2)
    | ~ esk4974_2(X1,X2) )).

cnf(i_0_1069,axiom,
    ( ~ esk4766_2(X1,X2)
    | ~ esk4770_2(X1,X2)
    | esk4771_2(X1,X2) )).

cnf(i_0_1070,axiom,
    ( esk599_2(X1,X2)
    | esk5528_2(X1,X2)
    | ~ esk3261_2(X1,X2) )).

cnf(i_0_1071,axiom,
    ( esk4999_2(X1,X2)
    | ~ esk5000_2(X1,X2) )).

cnf(i_0_1072,axiom,
    ( ~ esk1593_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_1073,axiom,
    ( esk4277_2(X1,X2)
    | ~ esk4487_2(X1,X2) )).

cnf(i_0_1074,axiom,
    ( esk1712_2(X1,X2)
    | ~ esk1714_2(X1,X2) )).

cnf(i_0_1075,axiom,
    ( esk3618_2(X1,X2)
    | ~ esk5225_2(X1,X2) )).

cnf(i_0_1076,axiom,
    ( ~ esk1221_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_1077,axiom,
    ( esk4111_2(X1,X2)
    | ~ esk4116_2(X1,X2) )).

cnf(i_0_1078,axiom,
    ( ~ esk2064_2(X1,X2)
    | ~ esk2065_2(X1,X2) )).

cnf(i_0_1079,axiom,
    ( esk4996_2(X1,X2)
    | esk4995_2(X1,X2) )).

cnf(i_0_1080,axiom,
    ( esk126_2(X1,X2)
    | ~ esk551_2(X1,X2) )).

cnf(i_0_1081,axiom,
    ( esk4981_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk4980_2(X1,X2)
    | ~ esk3695_2(X1,X2) )).

cnf(i_0_1082,axiom,
    ( ~ esk559_2(X1,X2)
    | ~ esk558_2(X1,X2) )).

cnf(i_0_1083,axiom,
    ( esk3842_2(X1,X2)
    | esk3843_2(X1,X2) )).

cnf(i_0_1084,axiom,
    ( ~ esk4323_2(X1,X2)
    | ~ esk4319_2(X1,X2) )).

cnf(i_0_1085,axiom,
    ( ~ esk3088_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_1086,axiom,
    ( esk3439_2(X1,X2)
    | ~ esk3481_2(X1,X2) )).

cnf(i_0_1087,axiom,
    ( esk2797_2(X1,X2)
    | ~ esk2798_2(X1,X2) )).

cnf(i_0_1088,axiom,
    ( ~ esk1583_2(X1,X2)
    | ~ esk1586_2(X1,X2) )).

cnf(i_0_1089,axiom,
    ( ~ esk1383_2(X1,X2)
    | esk515_2(X1,X2) )).

cnf(i_0_1090,axiom,
    ( esk1493_2(X1,X2)
    | esk1492_2(X1,X2) )).

cnf(i_0_1091,axiom,
    ( ~ esk3333_2(X1,X2)
    | esk3337_2(X1,X2)
    | ~ esk3336_2(X1,X2) )).

cnf(i_0_1092,axiom,
    ( ~ esk906_2(X1,X2)
    | ~ esk907_2(X1,X2) )).

cnf(i_0_1093,axiom,
    ( esk876_2(X1,X2)
    | esk843_2(X1,X2) )).

cnf(i_0_1094,axiom,
    ( esk1213_2(X1,X2)
    | ~ esk1214_2(X1,X2) )).

cnf(i_0_1095,axiom,
    ( ~ esk70_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk1706_2(X1,X2) )).

cnf(i_0_1096,axiom,
    ( esk2686_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_1097,axiom,
    ( esk2975_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | ~ esk2973_2(X1,X2)
    | ~ esk2974_2(X1,X2) )).

cnf(i_0_1098,axiom,
    ( ~ esk88_2(X1,X2)
    | ~ esk4333_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk4337_2(X1,X2) )).

cnf(i_0_1099,axiom,
    ( esk3115_2(X1,X2)
    | ~ esk3116_2(X1,X2) )).

cnf(i_0_1100,axiom,
    ( esk1132_2(X1,X2)
    | ~ esk1134_2(X1,X2) )).

cnf(i_0_1101,axiom,
    ( esk1009_2(X1,X2)
    | ~ esk1008_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | ~ esk817_2(X1,X2)
    | ~ esk785_2(X1,X2)
    | ~ esk809_2(X1,X2) )).

cnf(i_0_1102,axiom,
    ( esk3695_2(X1,X2)
    | ~ esk3839_2(X1,X2) )).

cnf(i_0_1103,axiom,
    ( esk1697_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk1256_2(X1,X2) )).

cnf(i_0_1104,axiom,
    ( ~ esk4916_2(X1,X2)
    | esk4921_2(X1,X2)
    | ~ esk4920_2(X1,X2) )).

cnf(i_0_1105,axiom,
    ( ~ esk255_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_1106,axiom,
    ( ~ esk2287_2(X1,X2)
    | esk2292_2(X1,X2)
    | ~ esk2291_2(X1,X2) )).

cnf(i_0_1107,axiom,
    ( esk421_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_1108,axiom,
    ( ~ esk1787_2(X1,X2)
    | esk1483_2(X1,X2) )).

cnf(i_0_1109,axiom,
    ( ~ esk2274_2(X1,X2)
    | ~ esk2273_2(X1,X2) )).

cnf(i_0_1110,axiom,
    ( ~ esk2186_2(X1,X2)
    | ~ esk2185_2(X1,X2) )).

cnf(i_0_1111,axiom,
    ( ~ esk2155_2(X1,X2)
    | ~ esk2154_2(X1,X2) )).

cnf(i_0_1112,axiom,
    ( ~ esk768_2(X1,X2)
    | esk1445_2(X1,X2)
    | ~ esk1444_2(X1,X2) )).

cnf(i_0_1113,axiom,
    ( esk2184_2(X1,X2)
    | ~ esk2185_2(X1,X2) )).

cnf(i_0_1114,axiom,
    ( esk309_2(X1,X2)
    | esk171_2(X1,X2) )).

cnf(i_0_1115,axiom,
    ( ~ esk1878_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | esk1879_2(X1,X2) )).

cnf(i_0_1116,axiom,
    ( ~ esk3607_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_1117,axiom,
    ( esk2036_2(X1,X2)
    | esk2037_2(X1,X2) )).

cnf(i_0_1118,axiom,
    ( esk4385_2(X1,X2)
    | esk4384_2(X1,X2) )).

cnf(i_0_1119,axiom,
    ( esk4553_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk4552_2(X1,X2) )).

cnf(i_0_1120,axiom,
    ( ~ esk2050_2(X1,X2)
    | ~ esk2077_2(X1,X2) )).

cnf(i_0_1121,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk3353_2(X1,X2) )).

cnf(i_0_1122,axiom,
    ( ~ esk5268_2(X1,X2)
    | esk5264_2(X1,X2) )).

cnf(i_0_1123,axiom,
    ( ~ esk3734_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_1124,axiom,
    ( ~ esk1959_2(X1,X2)
    | esk1960_2(X1,X2)
    | ~ esk1939_2(X1,X2) )).

cnf(i_0_1125,axiom,
    ( esk2617_2(X1,X2)
    | ~ esk2618_2(X1,X2) )).

cnf(i_0_1126,axiom,
    ( esk5197_2(X1,X2)
    | esk5198_2(X1,X2) )).

cnf(i_0_1127,axiom,
    ( ~ esk2901_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | esk2927_2(X1,X2) )).

cnf(i_0_1128,axiom,
    ( esk2480_2(X1,X2)
    | ~ esk2475_2(X1,X2)
    | ~ esk2479_2(X1,X2) )).

cnf(i_0_1129,axiom,
    ( ~ esk3065_2(X1,X2)
    | ~ esk3064_2(X1,X2) )).

cnf(i_0_1130,axiom,
    ( esk3241_2(X1,X2)
    | esk3242_2(X1,X2) )).

cnf(i_0_1131,axiom,
    ( ~ esk2084_2(X1,X2)
    | ~ esk2083_2(X1,X2) )).

cnf(i_0_1132,axiom,
    ( esk2606_2(X1,X2)
    | esk2605_2(X1,X2) )).

cnf(i_0_1133,axiom,
    ( ~ esk3380_2(X1,X2)
    | ~ esk4743_2(X1,X2)
    | esk4744_2(X1,X2) )).

cnf(i_0_1134,axiom,
    ( esk3786_2(X1,X2)
    | ~ esk4390_2(X1,X2) )).

cnf(i_0_1135,axiom,
    ( esk5567_2(X1,X2)
    | ~ esk4325_2(X1,X2)
    | esk1672_2(X1,X2) )).

cnf(i_0_1136,axiom,
    ( esk167_2(X1,X2)
    | esk198_2(X1,X2) )).

cnf(i_0_1137,axiom,
    ( esk4946_2(X1,X2)
    | ~ esk4947_2(X1,X2) )).

cnf(i_0_1138,axiom,
    ( ~ esk2079_2(X1,X2)
    | ~ esk2078_2(X1,X2) )).

cnf(i_0_1139,axiom,
    ( esk4364_2(X1,X2)
    | esk4363_2(X1,X2) )).

cnf(i_0_1140,axiom,
    ( ~ esk1218_2(X1,X2)
    | ~ esk1219_2(X1,X2) )).

cnf(i_0_1141,axiom,
    ( ~ esk393_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_1142,axiom,
    ( esk607_2(X1,X2)
    | ~ esk125_2(X1,X2)
    | ~ esk122_2(X1,X2) )).

cnf(i_0_1143,axiom,
    ( ~ esk5296_2(X1,X2)
    | esk5300_2(X1,X2)
    | ~ esk5299_2(X1,X2) )).

cnf(i_0_1144,axiom,
    ( esk3426_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_1145,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1738_2(X1,X2) )).

cnf(i_0_1146,axiom,
    ( ~ esk2230_2(X1,X2)
    | esk2229_2(X1,X2) )).

cnf(i_0_1147,axiom,
    ( esk1454_2(X1,X2)
    | esk1455_2(X1,X2) )).

cnf(i_0_1148,axiom,
    ( esk4653_2(X1,X2)
    | ~ esk4680_2(X1,X2) )).

cnf(i_0_1149,axiom,
    ( ~ esk3438_2(X1,X2)
    | ~ esk3646_2(X1,X2)
    | esk3647_2(X1,X2) )).

cnf(i_0_1150,axiom,
    ( esk2554_2(X1,X2)
    | ~ esk2555_2(X1,X2) )).

cnf(i_0_1151,axiom,
    ( esk2074_2(X1,X2)
    | ~ esk2075_2(X1,X2) )).

cnf(i_0_1152,axiom,
    ( esk2634_2(X1,X2)
    | esk2635_2(X1,X2) )).

cnf(i_0_1153,axiom,
    ( ~ esk2290_2(X1,X2)
    | ~ esk2289_2(X1,X2) )).

cnf(i_0_1154,axiom,
    ( ~ esk3072_2(X1,X2)
    | ~ esk3071_2(X1,X2) )).

cnf(i_0_1155,axiom,
    ( esk4636_2(X1,X2)
    | esk4637_2(X1,X2) )).

cnf(i_0_1156,axiom,
    ( esk4874_2(X1,X2)
    | esk4873_2(X1,X2) )).

cnf(i_0_1157,axiom,
    ( ~ esk3095_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_1158,axiom,
    ( ~ esk2941_2(X1,X2)
    | esk2942_2(X1,X2)
    | ~ esk2936_2(X1,X2) )).

cnf(i_0_1159,axiom,
    ( ~ esk2923_2(X1,X2)
    | esk2922_2(X1,X2) )).

cnf(i_0_1160,axiom,
    ( ~ esk502_2(X1,X2)
    | ~ esk503_2(X1,X2) )).

cnf(i_0_1161,axiom,
    ( esk4546_2(X1,X2)
    | ~ esk5597_2(X1,X2)
    | esk1893_2(X1,X2) )).

cnf(i_0_1162,axiom,
    ( ~ esk5116_2(X1,X2)
    | ~ esk5115_2(X1,X2) )).

cnf(i_0_1163,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4410_2(X1,X2) )).

cnf(i_0_1164,axiom,
    ( esk394_2(X1,X2)
    | ~ esk395_2(X1,X2) )).

cnf(i_0_1165,axiom,
    ( ~ esk4738_2(X1,X2)
    | esk4739_2(X1,X2)
    | ~ esk4734_2(X1,X2) )).

cnf(i_0_1166,axiom,
    ( ~ esk144_2(X1,X2)
    | ~ esk1777_2(X1,X2) )).

cnf(i_0_1167,axiom,
    ( esk3123_2(X1,X2)
    | ~ esk2973_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk3122_2(X1,X2) )).

cnf(i_0_1168,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk3319_2(X1,X2)
    | esk3320_2(X1,X2) )).

cnf(i_0_1169,axiom,
    ( ~ esk1341_2(X1,X2)
    | ~ esk1340_2(X1,X2) )).

cnf(i_0_1170,axiom,
    ( ~ esk4633_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_1171,axiom,
    ( ~ esk4059_2(X1,X2)
    | esk4055_2(X1,X2) )).

cnf(i_0_1172,axiom,
    ( ~ esk3815_2(X1,X2)
    | ~ esk3814_2(X1,X2) )).

cnf(i_0_1173,axiom,
    ( esk2717_2(X1,X2)
    | esk142_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_1174,axiom,
    ( ~ esk641_2(X1,X2)
    | ~ esk642_2(X1,X2) )).

cnf(i_0_1175,axiom,
    ( ~ esk3023_2(X1,X2)
    | ~ esk3024_2(X1,X2) )).

cnf(i_0_1176,axiom,
    ( ~ esk4446_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_1177,axiom,
    ( esk42_2(X1,X2)
    | ~ esk1843_2(X1,X2) )).

cnf(i_0_1178,axiom,
    ( ~ esk993_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_1179,axiom,
    ( esk111_2(X1,X2)
    | ~ esk420_2(X1,X2) )).

cnf(i_0_1180,axiom,
    ( ~ esk491_2(X1,X2)
    | ~ esk495_2(X1,X2) )).

cnf(i_0_1181,axiom,
    ( esk4985_2(X1,X2)
    | ~ esk5600_2(X1,X2)
    | esk2332_2(X1,X2) )).

cnf(i_0_1182,axiom,
    ( esk140_2(X1,X2)
    | ~ esk3457_2(X1,X2) )).

cnf(i_0_1183,axiom,
    ( ~ esk1843_2(X1,X2)
    | ~ esk1844_2(X1,X2) )).

cnf(i_0_1184,axiom,
    ( ~ esk2175_2(X1,X2)
    | esk2174_2(X1,X2) )).

cnf(i_0_1185,axiom,
    ( ~ esk515_2(X1,X2)
    | ~ esk519_2(X1,X2) )).

cnf(i_0_1186,axiom,
    ( esk161_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_1187,axiom,
    ( ~ esk4859_2(X1,X2)
    | esk4857_2(X1,X2) )).

cnf(i_0_1188,axiom,
    ( ~ esk4956_2(X1,X2)
    | esk4961_2(X1,X2)
    | ~ esk4960_2(X1,X2) )).

cnf(i_0_1189,axiom,
    ( ~ esk328_2(X1,X2)
    | esk311_2(X1,X2) )).

cnf(i_0_1190,axiom,
    ( ~ esk752_2(X1,X2)
    | esk998_2(X1,X2)
    | ~ esk997_2(X1,X2)
    | ~ esk768_2(X1,X2)
    | ~ esk776_2(X1,X2) )).

cnf(i_0_1191,axiom,
    ( ~ esk4184_2(X1,X2)
    | ~ esk4185_2(X1,X2) )).

cnf(i_0_1192,axiom,
    ( ~ esk389_2(X1,X2)
    | ~ esk386_2(X1,X2) )).

cnf(i_0_1193,axiom,
    ( esk3127_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | ~ esk2979_2(X1,X2) )).

cnf(i_0_1194,axiom,
    ( esk2340_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_1195,axiom,
    ( esk2717_2(X1,X2)
    | esk2718_2(X1,X2) )).

cnf(i_0_1196,axiom,
    ( ~ esk4257_2(X1,X2)
    | ~ esk4254_2(X1,X2) )).

cnf(i_0_1197,axiom,
    ( ~ esk3173_2(X1,X2)
    | ~ esk3161_2(X1,X2)
    | esk3198_2(X1,X2)
    | ~ esk3185_2(X1,X2)
    | ~ esk3197_2(X1,X2) )).

cnf(i_0_1198,axiom,
    ( ~ esk4896_2(X1,X2)
    | esk4895_2(X1,X2) )).

cnf(i_0_1199,axiom,
    ( ~ esk2995_2(X1,X2)
    | esk2996_2(X1,X2)
    | ~ esk2981_2(X1,X2) )).

cnf(i_0_1200,axiom,
    ( ~ esk3971_2(X1,X2)
    | ~ esk3986_2(X1,X2)
    | ~ esk3983_2(X1,X2)
    | esk3987_2(X1,X2) )).

cnf(i_0_1201,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4556_2(X1,X2) )).

cnf(i_0_1202,axiom,
    ( ~ esk3811_2(X1,X2)
    | ~ esk3812_2(X1,X2) )).

cnf(i_0_1203,axiom,
    ( esk549_2(X1,X2)
    | esk548_2(X1,X2) )).

cnf(i_0_1204,axiom,
    ( esk2847_2(X1,X2)
    | esk154_2(X1,X2) )).

cnf(i_0_1205,axiom,
    ( ~ esk4437_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk4555_2(X1,X2) )).

cnf(i_0_1206,axiom,
    ( esk3330_2(X1,X2)
    | ~ esk3335_2(X1,X2) )).

cnf(i_0_1207,axiom,
    ( ~ esk4866_2(X1,X2)
    | ~ esk4865_2(X1,X2) )).

cnf(i_0_1208,axiom,
    ( ~ esk3682_2(X1,X2)
    | ~ esk3683_2(X1,X2) )).

cnf(i_0_1209,axiom,
    ( esk3820_2(X1,X2)
    | esk3819_2(X1,X2) )).

cnf(i_0_1210,axiom,
    ( ~ esk576_2(X1,X2)
    | ~ esk574_2(X1,X2) )).

cnf(i_0_1211,axiom,
    ( esk2976_2(X1,X2)
    | esk2977_2(X1,X2) )).

cnf(i_0_1212,axiom,
    ( esk3996_2(X1,X2)
    | esk3997_2(X1,X2) )).

cnf(i_0_1213,axiom,
    ( esk3488_2(X1,X2)
    | esk3489_2(X1,X2) )).

cnf(i_0_1214,axiom,
    ( esk1965_2(X1,X2)
    | ~ esk1964_2(X1,X2)
    | ~ esk1961_2(X1,X2) )).

cnf(i_0_1215,axiom,
    ( ~ esk2867_2(X1,X2)
    | esk5514_2(X1,X2)
    | esk205_2(X1,X2) )).

cnf(i_0_1216,axiom,
    ( ~ esk4367_2(X1,X2)
    | esk2968_2(X1,X2) )).

cnf(i_0_1217,axiom,
    ( esk3764_2(X1,X2)
    | esk3765_2(X1,X2) )).

cnf(i_0_1218,axiom,
    ( ~ esk655_2(X1,X2)
    | ~ esk654_2(X1,X2) )).

cnf(i_0_1219,axiom,
    ( esk2945_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_1220,axiom,
    ( esk3173_2(X1,X2)
    | esk3172_2(X1,X2) )).

cnf(i_0_1221,axiom,
    ( esk1018_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_1222,axiom,
    ( esk4265_2(X1,X2)
    | esk4269_2(X1,X2)
    | esk4267_2(X1,X2)
    | esk4266_2(X1,X2)
    | esk4268_2(X1,X2) )).

cnf(i_0_1223,axiom,
    ( esk3206_2(X1,X2)
    | esk3205_2(X1,X2) )).

cnf(i_0_1224,axiom,
    ( esk3295_2(X1,X2)
    | esk3294_2(X1,X2) )).

cnf(i_0_1225,axiom,
    ( ~ esk589_2(X1,X2)
    | esk1001_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_1226,axiom,
    ( ~ esk100_2(X1,X2)
    | esk2937_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_1227,axiom,
    ( esk4474_2(X1,X2)
    | ~ esk5586_2(X1,X2)
    | esk1821_2(X1,X2) )).

cnf(i_0_1228,axiom,
    ( esk1383_2(X1,X2)
    | ~ esk515_2(X1,X2)
    | ~ esk1382_2(X1,X2) )).

cnf(i_0_1229,axiom,
    ( ~ esk5455_2(X1,X2)
    | ~ esk5454_2(X1,X2) )).

cnf(i_0_1230,axiom,
    ( esk583_2(X1,X2)
    | ~ esk584_2(X1,X2) )).

cnf(i_0_1231,axiom,
    ( esk1589_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_1232,axiom,
    ( esk4406_2(X1,X2)
    | ~ esk4512_2(X1,X2) )).

cnf(i_0_1233,axiom,
    ( ~ esk4108_2(X1,X2)
    | ~ esk4107_2(X1,X2) )).

cnf(i_0_1234,axiom,
    ( esk824_2(X1,X2)
    | esk825_2(X1,X2) )).

cnf(i_0_1235,axiom,
    ( ~ esk2524_2(X1,X2)
    | ~ esk2523_2(X1,X2) )).

cnf(i_0_1236,axiom,
    ( esk149_2(X1,X2)
    | ~ esk4661_2(X1,X2) )).

cnf(i_0_1237,axiom,
    ( ~ esk402_2(X1,X2)
    | ~ esk403_2(X1,X2) )).

cnf(i_0_1238,axiom,
    ( esk5450_2(X1,X2)
    | ~ esk5451_2(X1,X2) )).

cnf(i_0_1239,axiom,
    ( ~ esk3618_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | esk5154_2(X1,X2) )).

cnf(i_0_1240,axiom,
    ( ~ esk3504_2(X1,X2)
    | ~ esk3505_2(X1,X2) )).

cnf(i_0_1241,axiom,
    ( ~ esk2414_2(X1,X2)
    | ~ esk2415_2(X1,X2) )).

cnf(i_0_1242,axiom,
    ( ~ esk2318_2(X1,X2)
    | ~ esk2319_2(X1,X2) )).

cnf(i_0_1243,axiom,
    ( ~ esk4304_2(X1,X2)
    | esk4519_2(X1,X2)
    | ~ esk4400_2(X1,X2)
    | ~ esk4303_2(X1,X2) )).

cnf(i_0_1244,axiom,
    ( ~ esk4025_2(X1,X2)
    | ~ esk4026_2(X1,X2) )).

cnf(i_0_1245,axiom,
    ( esk2385_2(X1,X2)
    | ~ esk2386_2(X1,X2) )).

cnf(i_0_1246,axiom,
    ( ~ esk3388_2(X1,X2)
    | ~ esk4835_2(X1,X2) )).

cnf(i_0_1247,axiom,
    ( ~ esk3530_2(X1,X2)
    | esk3521_2(X1,X2) )).

cnf(i_0_1248,axiom,
    ( ~ esk1037_2(X1,X2)
    | ~ esk1038_2(X1,X2) )).

cnf(i_0_1249,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk707_2(X1,X2) )).

cnf(i_0_1250,axiom,
    ( ~ esk4848_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_1251,axiom,
    ( esk616_2(X1,X2)
    | esk617_2(X1,X2) )).

cnf(i_0_1252,axiom,
    ( esk9_2(X1,X2)
    | ~ esk2918_2(X1,X2) )).

cnf(i_0_1253,axiom,
    ( esk4288_2(X1,X2)
    | ~ esk8_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_1254,axiom,
    ( ~ esk5349_2(X1,X2)
    | ~ esk5346_2(X1,X2)
    | esk5350_2(X1,X2) )).

cnf(i_0_1255,axiom,
    ( esk121_2(X1,X2)
    | esk270_2(X1,X2) )).

cnf(i_0_1256,axiom,
    ( ~ esk260_2(X1,X2)
    | esk261_2(X1,X2)
    | ~ esk68_2(X1,X2) )).

cnf(i_0_1257,axiom,
    ( ~ esk185_2(X1,X2)
    | esk5500_2(X1,X2)
    | esk2847_2(X1,X2) )).

cnf(i_0_1258,axiom,
    ( ~ esk303_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_1259,axiom,
    ( ~ esk117_2(X1,X2)
    | esk295_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_1260,axiom,
    ( esk1530_2(X1,X2)
    | ~ esk1531_2(X1,X2) )).

cnf(i_0_1261,axiom,
    ( ~ esk3482_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_1262,axiom,
    ( ~ esk1601_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_1263,axiom,
    ( esk90_2(X1,X2)
    | ~ esk4421_2(X1,X2) )).

cnf(i_0_1264,axiom,
    ( esk92_2(X1,X2)
    | esk2372_2(X1,X2) )).

cnf(i_0_1265,axiom,
    ( ~ esk2583_2(X1,X2)
    | ~ esk2588_2(X1,X2) )).

cnf(i_0_1266,axiom,
    ( ~ esk165_2(X1,X2)
    | ~ esk2873_2(X1,X2) )).

cnf(i_0_1267,axiom,
    ( ~ esk1804_2(X1,X2)
    | ~ esk1808_2(X1,X2) )).

cnf(i_0_1268,axiom,
    ( ~ esk254_2(X1,X2)
    | ~ esk5523_2(X1,X2)
    | ~ esk2916_2(X1,X2) )).

cnf(i_0_1269,axiom,
    ( esk835_2(X1,X2)
    | esk834_2(X1,X2) )).

cnf(i_0_1270,axiom,
    ( ~ esk1117_2(X1,X2)
    | ~ esk1116_2(X1,X2) )).

cnf(i_0_1271,axiom,
    ( ~ esk4430_2(X1,X2)
    | ~ esk4431_2(X1,X2) )).

cnf(i_0_1272,axiom,
    ( ~ esk1865_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_1273,axiom,
    ( ~ esk1412_2(X1,X2)
    | esk1411_2(X1,X2) )).

cnf(i_0_1274,axiom,
    ( esk5152_2(X1,X2)
    | ~ esk5165_2(X1,X2) )).

cnf(i_0_1275,axiom,
    ( ~ esk3562_2(X1,X2)
    | ~ esk3563_2(X1,X2) )).

cnf(i_0_1276,axiom,
    ( esk130_2(X1,X2)
    | esk320_2(X1,X2) )).

cnf(i_0_1277,axiom,
    ( ~ esk4414_2(X1,X2)
    | ~ esk4419_2(X1,X2)
    | esk4420_2(X1,X2)
    | ~ esk101_2(X1,X2) )).

cnf(i_0_1278,axiom,
    ( ~ esk569_2(X1,X2)
    | ~ esk565_2(X1,X2) )).

cnf(i_0_1279,axiom,
    ( ~ esk2645_2(X1,X2)
    | esk2640_2(X1,X2) )).

cnf(i_0_1280,axiom,
    ( ~ esk2473_2(X1,X2)
    | esk2477_2(X1,X2)
    | ~ esk2437_2(X1,X2)
    | ~ esk2476_2(X1,X2) )).

cnf(i_0_1281,axiom,
    ( esk2666_2(X1,X2)
    | ~ esk2671_2(X1,X2) )).

cnf(i_0_1282,axiom,
    ( esk828_2(X1,X2)
    | ~ esk829_2(X1,X2) )).

cnf(i_0_1283,axiom,
    ( esk2943_2(X1,X2)
    | esk2942_2(X1,X2) )).

cnf(i_0_1284,axiom,
    ( esk204_2(X1,X2)
    | ~ esk5513_2(X1,X2)
    | esk2866_2(X1,X2) )).

cnf(i_0_1285,axiom,
    ( esk4749_2(X1,X2)
    | ~ esk4748_2(X1,X2)
    | ~ esk4745_2(X1,X2) )).

cnf(i_0_1286,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2571_2(X1,X2) )).

cnf(i_0_1287,axiom,
    ( ~ esk3372_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_1288,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk4314_2(X1,X2) )).

cnf(i_0_1289,axiom,
    ( ~ esk4903_2(X1,X2)
    | ~ esk4902_2(X1,X2) )).

cnf(i_0_1290,axiom,
    ( ~ esk2093_2(X1,X2)
    | ~ esk718_2(X1,X2) )).

cnf(i_0_1291,axiom,
    ( esk778_2(X1,X2)
    | ~ esk779_2(X1,X2) )).

cnf(i_0_1292,axiom,
    ( esk1449_2(X1,X2)
    | esk1448_2(X1,X2) )).

cnf(i_0_1293,axiom,
    ( ~ esk2906_2(X1,X2)
    | ~ esk2907_2(X1,X2) )).

cnf(i_0_1294,axiom,
    ( esk3000_2(X1,X2)
    | ~ esk3020_2(X1,X2) )).

cnf(i_0_1295,axiom,
    ( esk5519_2(X1,X2)
    | ~ esk2887_2(X1,X2)
    | esk225_2(X1,X2) )).

cnf(i_0_1296,axiom,
    ( esk1249_2(X1,X2)
    | ~ esk1248_2(X1,X2)
    | ~ esk1244_2(X1,X2) )).

cnf(i_0_1297,axiom,
    ( ~ esk321_2(X1,X2)
    | ~ esk322_2(X1,X2) )).

cnf(i_0_1298,axiom,
    ( ~ esk3267_2(X1,X2)
    | esk4206_2(X1,X2)
    | ~ esk4205_2(X1,X2) )).

cnf(i_0_1299,axiom,
    ( ~ esk4362_2(X1,X2)
    | esk4361_2(X1,X2) )).

cnf(i_0_1300,axiom,
    ( ~ esk127_2(X1,X2)
    | ~ esk2850_2(X1,X2) )).

cnf(i_0_1301,axiom,
    ( esk4730_2(X1,X2)
    | ~ esk4731_2(X1,X2) )).

cnf(i_0_1302,axiom,
    ( ~ esk3664_2(X1,X2)
    | ~ esk3439_2(X1,X2)
    | esk3665_2(X1,X2) )).

cnf(i_0_1303,axiom,
    ( esk5282_2(X1,X2)
    | ~ esk5281_2(X1,X2)
    | ~ esk5277_2(X1,X2) )).

cnf(i_0_1304,axiom,
    ( esk3267_2(X1,X2)
    | ~ esk3627_2(X1,X2) )).

cnf(i_0_1305,axiom,
    ( ~ esk4475_2(X1,X2)
    | ~ esk4479_2(X1,X2) )).

cnf(i_0_1306,axiom,
    ( ~ esk1757_2(X1,X2)
    | ~ esk1758_2(X1,X2) )).

cnf(i_0_1307,axiom,
    ( esk3727_2(X1,X2)
    | ~ esk3874_2(X1,X2) )).

cnf(i_0_1308,axiom,
    ( ~ esk5374_2(X1,X2)
    | ~ esk5369_2(X1,X2) )).

cnf(i_0_1309,axiom,
    ( esk3934_2(X1,X2)
    | esk3935_2(X1,X2) )).

cnf(i_0_1310,axiom,
    ( ~ esk410_2(X1,X2)
    | ~ esk409_2(X1,X2) )).

cnf(i_0_1311,axiom,
    ( ~ esk1828_2(X1,X2)
    | esk1759_2(X1,X2) )).

cnf(i_0_1312,axiom,
    ( ~ esk5416_2(X1,X2)
    | esk5417_2(X1,X2)
    | ~ esk5413_2(X1,X2) )).

cnf(i_0_1313,axiom,
    ( ~ esk376_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_1314,axiom,
    ( ~ esk3247_2(X1,X2)
    | ~ esk5297_2(X1,X2) )).

cnf(i_0_1315,axiom,
    ( esk2390_2(X1,X2)
    | ~ esk2391_2(X1,X2) )).

cnf(i_0_1316,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4484_2(X1,X2) )).

cnf(i_0_1317,axiom,
    ( esk165_2(X1,X2)
    | ~ esk2904_2(X1,X2) )).

cnf(i_0_1318,axiom,
    ( ~ esk1613_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1319,axiom,
    ( ~ esk1887_2(X1,X2)
    | esk1753_2(X1,X2) )).

cnf(i_0_1320,axiom,
    ( esk3416_2(X1,X2)
    | esk3417_2(X1,X2) )).

cnf(i_0_1321,axiom,
    ( esk4914_2(X1,X2)
    | esk4856_2(X1,X2)
    | esk4913_2(X1,X2) )).

cnf(i_0_1322,axiom,
    ( ~ esk1679_2(X1,X2)
    | esk4332_2(X1,X2)
    | esk5568_2(X1,X2) )).

cnf(i_0_1323,axiom,
    ( ~ esk4965_2(X1,X2)
    | esk4776_2(X1,X2) )).

cnf(i_0_1324,axiom,
    ( ~ esk4831_2(X1,X2)
    | ~ esk4835_2(X1,X2)
    | esk4836_2(X1,X2) )).

cnf(i_0_1325,axiom,
    ( ~ esk2332_2(X1,X2)
    | ~ esk2331_2(X1,X2) )).

cnf(i_0_1326,axiom,
    ( ~ esk4665_2(X1,X2)
    | ~ esk4668_2(X1,X2) )).

cnf(i_0_1327,axiom,
    ( esk4041_2(X1,X2)
    | ~ esk3199_2(X1,X2)
    | ~ esk113_2(X1,X2) )).

cnf(i_0_1328,axiom,
    ( ~ esk5113_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_1329,axiom,
    ( esk3198_2(X1,X2)
    | ~ esk3261_2(X1,X2) )).

cnf(i_0_1330,axiom,
    ( ~ esk1448_2(X1,X2)
    | esk1443_2(X1,X2) )).

cnf(i_0_1331,axiom,
    ( esk629_2(X1,X2)
    | ~ esk1563_2(X1,X2) )).

cnf(i_0_1332,axiom,
    ( ~ esk481_2(X1,X2)
    | esk480_2(X1,X2) )).

cnf(i_0_1333,axiom,
    ( esk2814_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | ~ esk2807_2(X1,X2) )).

cnf(i_0_1334,axiom,
    ( esk527_2(X1,X2)
    | esk526_2(X1,X2) )).

cnf(i_0_1335,axiom,
    ( ~ esk1808_2(X1,X2)
    | ~ esk1805_2(X1,X2) )).

cnf(i_0_1336,axiom,
    ( ~ esk121_2(X1,X2)
    | esk3268_2(X1,X2)
    | ~ esk3262_2(X1,X2) )).

cnf(i_0_1337,axiom,
    ( ~ esk3473_2(X1,X2)
    | esk3472_2(X1,X2) )).

cnf(i_0_1338,axiom,
    ( esk79_2(X1,X2)
    | ~ esk1855_2(X1,X2) )).

cnf(i_0_1339,axiom,
    ( ~ esk722_2(X1,X2)
    | ~ esk656_2(X1,X2) )).

cnf(i_0_1340,axiom,
    ( esk2987_2(X1,X2)
    | ~ esk3020_2(X1,X2) )).

cnf(i_0_1341,axiom,
    ( ~ esk405_2(X1,X2)
    | ~ esk392_2(X1,X2)
    | esk419_2(X1,X2)
    | ~ esk379_2(X1,X2)
    | ~ esk418_2(X1,X2) )).

cnf(i_0_1342,axiom,
    ( ~ esk2569_2(X1,X2)
    | esk2568_2(X1,X2) )).

cnf(i_0_1343,axiom,
    ( ~ esk3815_2(X1,X2)
    | esk3819_2(X1,X2) )).

cnf(i_0_1344,axiom,
    ( esk1870_2(X1,X2)
    | esk1871_2(X1,X2) )).

cnf(i_0_1345,axiom,
    ( esk2760_2(X1,X2)
    | ~ esk2764_2(X1,X2) )).

cnf(i_0_1346,axiom,
    ( ~ esk1214_2(X1,X2)
    | esk1210_2(X1,X2) )).

cnf(i_0_1347,axiom,
    ( ~ esk2533_2(X1,X2)
    | ~ esk2534_2(X1,X2) )).

cnf(i_0_1348,axiom,
    ( ~ esk3802_2(X1,X2)
    | ~ esk3804_2(X1,X2) )).

cnf(i_0_1349,axiom,
    ( ~ esk4242_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk4246_2(X1,X2)
    | ~ esk82_2(X1,X2) )).

cnf(i_0_1350,axiom,
    ( ~ esk4272_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1351,axiom,
    ( esk734_2(X1,X2)
    | ~ esk2047_2(X1,X2) )).

cnf(i_0_1352,axiom,
    ( esk109_2(X1,X2)
    | ~ esk433_2(X1,X2) )).

cnf(i_0_1353,axiom,
    ( ~ esk1705_2(X1,X2)
    | esk71_2(X1,X2) )).

cnf(i_0_1354,axiom,
    ( ~ esk4215_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_1355,axiom,
    ( ~ esk4392_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_1356,axiom,
    ( ~ esk2946_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_1357,axiom,
    ( esk4580_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_1358,axiom,
    ( esk4312_2(X1,X2)
    | esk4315_2(X1,X2)
    | esk4313_2(X1,X2)
    | esk4314_2(X1,X2)
    | esk4316_2(X1,X2) )).

cnf(i_0_1359,axiom,
    ( esk822_2(X1,X2)
    | ~ esk826_2(X1,X2) )).

cnf(i_0_1360,axiom,
    ( ~ esk3808_2(X1,X2)
    | ~ esk3811_2(X1,X2) )).

cnf(i_0_1361,axiom,
    ( esk3920_2(X1,X2)
    | esk3919_2(X1,X2) )).

cnf(i_0_1362,axiom,
    ( esk589_2(X1,X2)
    | ~ esk958_2(X1,X2) )).

cnf(i_0_1363,axiom,
    ( ~ esk1697_2(X1,X2)
    | ~ esk1700_2(X1,X2) )).

cnf(i_0_1364,axiom,
    ( ~ esk4560_2(X1,X2)
    | ~ esk1907_2(X1,X2)
    | ~ esk5599_2(X1,X2) )).

cnf(i_0_1365,axiom,
    ( esk4706_2(X1,X2)
    | esk4707_2(X1,X2) )).

cnf(i_0_1366,axiom,
    ( ~ esk1599_2(X1,X2)
    | esk1811_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk1784_2(X1,X2) )).

cnf(i_0_1367,axiom,
    ( esk1625_2(X1,X2)
    | ~ esk1627_2(X1,X2) )).

cnf(i_0_1368,axiom,
    ( esk3183_2(X1,X2)
    | esk3182_2(X1,X2) )).

cnf(i_0_1369,axiom,
    ( esk186_2(X1,X2)
    | ~ esk2848_2(X1,X2)
    | esk5501_2(X1,X2) )).

cnf(i_0_1370,axiom,
    ( ~ esk590_2(X1,X2)
    | esk591_2(X1,X2)
    | ~ esk589_2(X1,X2) )).

cnf(i_0_1371,axiom,
    ( esk1200_2(X1,X2)
    | ~ esk1201_2(X1,X2) )).

cnf(i_0_1372,axiom,
    ( ~ esk545_2(X1,X2)
    | ~ esk541_2(X1,X2) )).

cnf(i_0_1373,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk1594_2(X1,X2)
    | ~ esk83_2(X1,X2) )).

cnf(i_0_1374,axiom,
    ( esk880_2(X1,X2)
    | esk879_2(X1,X2) )).

cnf(i_0_1375,axiom,
    ( ~ esk700_2(X1,X2)
    | ~ esk701_2(X1,X2) )).

cnf(i_0_1376,axiom,
    ( ~ esk891_2(X1,X2)
    | ~ esk890_2(X1,X2) )).

cnf(i_0_1377,axiom,
    ( ~ esk706_2(X1,X2)
    | esk2289_2(X1,X2)
    | ~ esk2288_2(X1,X2) )).

cnf(i_0_1378,axiom,
    ( esk657_2(X1,X2)
    | ~ esk658_2(X1,X2) )).

cnf(i_0_1379,axiom,
    ( esk2685_2(X1,X2)
    | esk2684_2(X1,X2) )).

cnf(i_0_1380,axiom,
    ( ~ esk213_2(X1,X2)
    | esk212_2(X1,X2) )).

cnf(i_0_1381,axiom,
    ( esk100_2(X1,X2)
    | ~ esk1926_2(X1,X2) )).

cnf(i_0_1382,axiom,
    ( esk1695_2(X1,X2)
    | esk4348_2(X1,X2)
    | ~ esk5570_2(X1,X2) )).

cnf(i_0_1383,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk748_2(X1,X2) )).

cnf(i_0_1384,axiom,
    ( ~ esk2146_2(X1,X2)
    | ~ esk2145_2(X1,X2) )).

cnf(i_0_1385,axiom,
    ( ~ esk5508_2(X1,X2)
    | ~ esk2855_2(X1,X2)
    | ~ esk193_2(X1,X2) )).

cnf(i_0_1386,axiom,
    ( esk5066_2(X1,X2)
    | ~ esk5067_2(X1,X2) )).

cnf(i_0_1387,axiom,
    ( ~ esk772_2(X1,X2)
    | esk773_2(X1,X2)
    | ~ esk527_2(X1,X2) )).

cnf(i_0_1388,axiom,
    ( ~ esk3838_2(X1,X2)
    | ~ esk3837_2(X1,X2) )).

cnf(i_0_1389,axiom,
    ( esk1027_2(X1,X2)
    | ~ esk1028_2(X1,X2) )).

cnf(i_0_1390,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1743_2(X1,X2) )).

cnf(i_0_1391,axiom,
    ( ~ esk853_2(X1,X2)
    | ~ esk854_2(X1,X2) )).

cnf(i_0_1392,axiom,
    ( ~ esk1756_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_1393,axiom,
    ( ~ esk104_2(X1,X2)
    | esk5006_2(X1,X2)
    | ~ esk5005_2(X1,X2) )).

cnf(i_0_1394,axiom,
    ( ~ esk175_2(X1,X2)
    | esk1607_2(X1,X2)
    | ~ esk1125_2(X1,X2)
    | ~ esk1238_2(X1,X2) )).

cnf(i_0_1395,axiom,
    ( ~ esk2056_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_1396,axiom,
    ( ~ esk3366_2(X1,X2)
    | ~ esk3365_2(X1,X2) )).

cnf(i_0_1397,axiom,
    ( esk4248_2(X1,X2)
    | esk4245_2(X1,X2)
    | esk4244_2(X1,X2)
    | esk4247_2(X1,X2)
    | esk4246_2(X1,X2) )).

cnf(i_0_1398,axiom,
    ( ~ esk1472_2(X1,X2)
    | ~ esk1473_2(X1,X2) )).

cnf(i_0_1399,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4262_2(X1,X2) )).

cnf(i_0_1400,axiom,
    ( esk800_2(X1,X2)
    | esk801_2(X1,X2) )).

cnf(i_0_1401,axiom,
    ( ~ esk247_2(X1,X2)
    | esk246_2(X1,X2) )).

cnf(i_0_1402,axiom,
    ( esk3843_2(X1,X2)
    | ~ esk1190_2(X1,X2)
    | esk5545_2(X1,X2) )).

cnf(i_0_1403,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5146_2(X1,X2) )).

cnf(i_0_1404,axiom,
    ( esk698_2(X1,X2)
    | ~ esk2222_2(X1,X2) )).

cnf(i_0_1405,axiom,
    ( esk1872_2(X1,X2)
    | ~ esk4525_2(X1,X2)
    | esk5594_2(X1,X2) )).

cnf(i_0_1406,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk4179_2(X1,X2) )).

cnf(i_0_1407,axiom,
    ( esk933_2(X1,X2)
    | ~ esk921_2(X1,X2)
    | ~ esk932_2(X1,X2)
    | ~ esk929_2(X1,X2) )).

cnf(i_0_1408,axiom,
    ( esk2306_2(X1,X2)
    | ~ esk2310_2(X1,X2) )).

cnf(i_0_1409,axiom,
    ( ~ esk2639_2(X1,X2)
    | esk2635_2(X1,X2) )).

cnf(i_0_1410,axiom,
    ( esk5410_2(X1,X2)
    | esk5411_2(X1,X2) )).

cnf(i_0_1411,axiom,
    ( esk3130_2(X1,X2)
    | esk3131_2(X1,X2) )).

cnf(i_0_1412,axiom,
    ( esk493_2(X1,X2)
    | esk494_2(X1,X2) )).

cnf(i_0_1413,axiom,
    ( ~ esk5424_2(X1,X2)
    | esk5423_2(X1,X2) )).

cnf(i_0_1414,axiom,
    ( esk3515_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | ~ esk3514_2(X1,X2) )).

cnf(i_0_1415,axiom,
    ( esk4131_2(X1,X2)
    | esk4130_2(X1,X2) )).

cnf(i_0_1416,axiom,
    ( ~ esk4812_2(X1,X2)
    | ~ esk4813_2(X1,X2) )).

cnf(i_0_1417,axiom,
    ( esk5359_2(X1,X2)
    | ~ esk5361_2(X1,X2) )).

cnf(i_0_1418,axiom,
    ( esk158_2(X1,X2)
    | ~ esk1766_2(X1,X2) )).

cnf(i_0_1419,axiom,
    ( ~ esk2661_2(X1,X2)
    | esk2665_2(X1,X2)
    | ~ esk2664_2(X1,X2) )).

cnf(i_0_1420,axiom,
    ( ~ esk3638_2(X1,X2)
    | esk3338_2(X1,X2) )).

cnf(i_0_1421,axiom,
    ( ~ esk282_2(X1,X2)
    | ~ esk285_2(X1,X2) )).

cnf(i_0_1422,axiom,
    ( esk1132_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_1423,axiom,
    ( esk3725_2(X1,X2)
    | ~ esk4271_2(X1,X2) )).

cnf(i_0_1424,axiom,
    ( ~ esk5299_2(X1,X2)
    | ~ esk5298_2(X1,X2) )).

cnf(i_0_1425,axiom,
    ( ~ esk184_2(X1,X2)
    | ~ esk2846_2(X1,X2)
    | ~ esk5499_2(X1,X2) )).

cnf(i_0_1426,axiom,
    ( ~ esk2459_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_1427,axiom,
    ( ~ esk1609_2(X1,X2)
    | ~ esk1610_2(X1,X2) )).

cnf(i_0_1428,axiom,
    ( esk651_2(X1,X2)
    | ~ esk2062_2(X1,X2) )).

cnf(i_0_1429,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1652_2(X1,X2) )).

cnf(i_0_1430,axiom,
    ( esk489_2(X1,X2)
    | ~ esk126_2(X1,X2)
    | ~ esk97_2(X1,X2) )).

cnf(i_0_1431,axiom,
    ( ~ esk3028_2(X1,X2)
    | esk3027_2(X1,X2) )).

cnf(i_0_1432,axiom,
    ( ~ esk3131_2(X1,X2)
    | esk3132_2(X1,X2)
    | ~ esk3126_2(X1,X2) )).

cnf(i_0_1433,axiom,
    ( ~ esk84_2(X1,X2)
    | esk4314_2(X1,X2)
    | ~ esk4233_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_1434,axiom,
    ( esk451_2(X1,X2)
    | esk450_2(X1,X2) )).

cnf(i_0_1435,axiom,
    ( esk4346_2(X1,X2)
    | esk4347_2(X1,X2) )).

cnf(i_0_1436,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4441_2(X1,X2) )).

cnf(i_0_1437,axiom,
    ( ~ esk2265_2(X1,X2)
    | esk2262_2(X1,X2) )).

cnf(i_0_1438,axiom,
    ( ~ esk998_2(X1,X2)
    | esk997_2(X1,X2) )).

cnf(i_0_1439,axiom,
    ( esk3363_2(X1,X2)
    | ~ esk3367_2(X1,X2) )).

cnf(i_0_1440,axiom,
    ( esk2259_2(X1,X2)
    | esk2258_2(X1,X2) )).

cnf(i_0_1441,axiom,
    ( ~ esk245_2(X1,X2)
    | ~ esk244_2(X1,X2) )).

cnf(i_0_1442,axiom,
    ( ~ esk224_2(X1,X2)
    | ~ esk225_2(X1,X2) )).

cnf(i_0_1443,axiom,
    ( esk4889_2(X1,X2)
    | ~ esk4894_2(X1,X2) )).

cnf(i_0_1444,axiom,
    ( esk5572_2(X1,X2)
    | ~ esk1709_2(X1,X2)
    | esk4362_2(X1,X2) )).

cnf(i_0_1445,axiom,
    ( esk113_2(X1,X2)
    | ~ esk3559_2(X1,X2) )).

cnf(i_0_1446,axiom,
    ( ~ esk3919_2(X1,X2)
    | ~ esk3920_2(X1,X2) )).

cnf(i_0_1447,axiom,
    ( ~ esk2751_2(X1,X2)
    | esk2750_2(X1,X2) )).

cnf(i_0_1448,axiom,
    ( esk4059_2(X1,X2)
    | esk4061_2(X1,X2)
    | esk4060_2(X1,X2) )).

cnf(i_0_1449,axiom,
    ( ~ esk1903_2(X1,X2)
    | esk1680_2(X1,X2) )).

cnf(i_0_1450,axiom,
    ( esk1141_2(X1,X2)
    | esk1140_2(X1,X2) )).

cnf(i_0_1451,axiom,
    ( ~ esk1481_2(X1,X2)
    | esk1426_2(X1,X2) )).

cnf(i_0_1452,axiom,
    ( esk1515_2(X1,X2)
    | ~ esk5553_2(X1,X2)
    | esk4168_2(X1,X2) )).

cnf(i_0_1453,axiom,
    ( esk4580_2(X1,X2)
    | ~ esk4581_2(X1,X2) )).

cnf(i_0_1454,axiom,
    ( esk5537_2(X1,X2)
    | esk1034_2(X1,X2)
    | ~ esk3687_2(X1,X2) )).

cnf(i_0_1455,axiom,
    ( esk1698_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk73_2(X1,X2)
    | ~ esk1589_2(X1,X2) )).

cnf(i_0_1456,axiom,
    ( ~ esk2836_2(X1,X2)
    | esk2827_2(X1,X2) )).

cnf(i_0_1457,axiom,
    ( esk3786_2(X1,X2)
    | ~ esk4409_2(X1,X2) )).

cnf(i_0_1458,axiom,
    ( esk2153_2(X1,X2)
    | ~ esk2152_2(X1,X2)
    | ~ esk2149_2(X1,X2) )).

cnf(i_0_1459,axiom,
    ( ~ esk2041_2(X1,X2)
    | esk2036_2(X1,X2) )).

cnf(i_0_1460,axiom,
    ( ~ esk5488_2(X1,X2)
    | ~ esk5492_2(X1,X2) )).

cnf(i_0_1461,axiom,
    ( esk3265_2(X1,X2)
    | esk3263_2(X1,X2)
    | esk3264_2(X1,X2) )).

cnf(i_0_1462,axiom,
    ( ~ esk2979_2(X1,X2)
    | esk3074_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_1463,axiom,
    ( ~ esk3923_2(X1,X2)
    | esk3922_2(X1,X2) )).

cnf(i_0_1464,axiom,
    ( esk3523_2(X1,X2)
    | esk3529_2(X1,X2) )).

cnf(i_0_1465,axiom,
    ( ~ esk3925_2(X1,X2)
    | ~ esk3911_2(X1,X2) )).

cnf(i_0_1466,axiom,
    ( ~ esk808_2(X1,X2)
    | esk804_2(X1,X2) )).

cnf(i_0_1467,axiom,
    ( esk102_2(X1,X2)
    | ~ esk2393_2(X1,X2) )).

cnf(i_0_1468,axiom,
    ( esk3694_2(X1,X2)
    | ~ esk3710_2(X1,X2) )).

cnf(i_0_1469,axiom,
    ( esk4141_2(X1,X2)
    | esk4140_2(X1,X2) )).

cnf(i_0_1470,axiom,
    ( ~ esk3777_2(X1,X2)
    | esk5462_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk6_2(X1,X2) )).

cnf(i_0_1471,axiom,
    ( ~ esk4892_2(X1,X2)
    | ~ esk4895_2(X1,X2)
    | esk4896_2(X1,X2) )).

cnf(i_0_1472,axiom,
    ( ~ esk2545_2(X1,X2)
    | ~ esk2544_2(X1,X2) )).

cnf(i_0_1473,axiom,
    ( esk19_2(X1,X2)
    | ~ esk1818_2(X1,X2) )).

cnf(i_0_1474,axiom,
    ( ~ esk2829_2(X1,X2)
    | esk80_2(X1,X2) )).

cnf(i_0_1475,axiom,
    ( ~ esk1524_2(X1,X2)
    | ~ esk1525_2(X1,X2) )).

cnf(i_0_1476,axiom,
    ( ~ esk2374_2(X1,X2)
    | ~ esk2373_2(X1,X2) )).

cnf(i_0_1477,axiom,
    ( esk141_2(X1,X2)
    | ~ esk433_2(X1,X2) )).

cnf(i_0_1478,axiom,
    ( esk88_2(X1,X2)
    | ~ esk4337_2(X1,X2) )).

cnf(i_0_1479,axiom,
    ( ~ esk167_2(X1,X2)
    | ~ esk2860_2(X1,X2) )).

cnf(i_0_1480,axiom,
    ( ~ esk3524_2(X1,X2)
    | ~ esk3523_2(X1,X2) )).

cnf(i_0_1481,axiom,
    ( esk867_2(X1,X2)
    | ~ esk868_2(X1,X2) )).

cnf(i_0_1482,axiom,
    ( ~ esk629_2(X1,X2)
    | esk1562_2(X1,X2)
    | ~ esk975_2(X1,X2) )).

cnf(i_0_1483,axiom,
    ( esk179_2(X1,X2)
    | ~ esk2825_2(X1,X2) )).

cnf(i_0_1484,axiom,
    ( ~ esk4777_2(X1,X2)
    | esk4776_2(X1,X2) )).

cnf(i_0_1485,axiom,
    ( esk4823_2(X1,X2)
    | esk4822_2(X1,X2) )).

cnf(i_0_1486,axiom,
    ( ~ esk1900_2(X1,X2)
    | esk5598_2(X1,X2)
    | esk4553_2(X1,X2) )).

cnf(i_0_1487,axiom,
    ( ~ esk3419_2(X1,X2)
    | ~ esk3420_2(X1,X2) )).

cnf(i_0_1488,axiom,
    ( ~ esk5475_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk4233_2(X1,X2)
    | esk5476_2(X1,X2) )).

cnf(i_0_1489,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk4328_2(X1,X2) )).

cnf(i_0_1490,axiom,
    ( esk776_2(X1,X2)
    | ~ esk994_2(X1,X2) )).

cnf(i_0_1491,axiom,
    ( ~ esk4184_2(X1,X2)
    | esk3628_2(X1,X2) )).

cnf(i_0_1492,axiom,
    ( ~ esk4696_2(X1,X2)
    | ~ esk4697_2(X1,X2) )).

cnf(i_0_1493,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4481_2(X1,X2) )).

cnf(i_0_1494,axiom,
    ( esk1814_2(X1,X2)
    | esk1810_2(X1,X2)
    | esk1811_2(X1,X2)
    | esk1813_2(X1,X2)
    | esk1812_2(X1,X2) )).

cnf(i_0_1495,axiom,
    ( ~ esk573_2(X1,X2)
    | ~ esk963_2(X1,X2)
    | esk2571_2(X1,X2)
    | ~ esk585_2(X1,X2) )).

cnf(i_0_1496,axiom,
    ( esk890_2(X1,X2)
    | esk891_2(X1,X2) )).

cnf(i_0_1497,axiom,
    ( esk1656_2(X1,X2)
    | esk1657_2(X1,X2) )).

cnf(i_0_1498,axiom,
    ( esk121_2(X1,X2)
    | esk2938_2(X1,X2) )).

cnf(i_0_1499,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | ~ esk312_2(X1,X2)
    | esk313_2(X1,X2) )).

cnf(i_0_1500,axiom,
    ( ~ esk523_2(X1,X2)
    | ~ esk2699_2(X1,X2)
    | esk2700_2(X1,X2) )).

cnf(i_0_1501,axiom,
    ( ~ esk1052_2(X1,X2)
    | esk1051_2(X1,X2) )).

cnf(i_0_1502,axiom,
    ( esk90_2(X1,X2)
    | ~ esk473_2(X1,X2) )).

cnf(i_0_1503,axiom,
    ( ~ esk5174_2(X1,X2)
    | ~ esk5173_2(X1,X2) )).

cnf(i_0_1504,axiom,
    ( ~ esk1782_2(X1,X2)
    | esk48_2(X1,X2) )).

cnf(i_0_1505,axiom,
    ( ~ esk1600_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_1506,axiom,
    ( esk104_2(X1,X2)
    | ~ esk2014_2(X1,X2) )).

cnf(i_0_1507,axiom,
    ( ~ esk2191_2(X1,X2)
    | ~ esk2192_2(X1,X2) )).

cnf(i_0_1508,axiom,
    ( esk852_2(X1,X2)
    | ~ esk853_2(X1,X2) )).

cnf(i_0_1509,axiom,
    ( ~ esk3215_2(X1,X2)
    | esk4004_2(X1,X2)
    | ~ esk4003_2(X1,X2) )).

cnf(i_0_1510,axiom,
    ( esk647_2(X1,X2)
    | ~ esk1161_2(X1,X2) )).

cnf(i_0_1511,axiom,
    ( ~ esk2846_2(X1,X2)
    | esk158_2(X1,X2) )).

cnf(i_0_1512,axiom,
    ( esk149_2(X1,X2)
    | ~ esk3632_2(X1,X2) )).

cnf(i_0_1513,axiom,
    ( esk3661_2(X1,X2)
    | ~ esk3876_2(X1,X2) )).

cnf(i_0_1514,axiom,
    ( esk3872_2(X1,X2)
    | ~ esk4336_2(X1,X2) )).

cnf(i_0_1515,axiom,
    ( esk4102_2(X1,X2)
    | ~ esk4103_2(X1,X2) )).

cnf(i_0_1516,axiom,
    ( esk1733_2(X1,X2)
    | esk1734_2(X1,X2)
    | esk1735_2(X1,X2) )).

cnf(i_0_1517,axiom,
    ( ~ esk629_2(X1,X2)
    | ~ esk628_2(X1,X2) )).

cnf(i_0_1518,axiom,
    ( ~ esk534_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_1519,axiom,
    ( esk3365_2(X1,X2)
    | ~ esk3364_2(X1,X2)
    | ~ esk147_2(X1,X2) )).

cnf(i_0_1520,axiom,
    ( ~ esk3430_2(X1,X2)
    | ~ esk3650_2(X1,X2)
    | esk4139_2(X1,X2)
    | ~ esk3414_2(X1,X2) )).

cnf(i_0_1521,axiom,
    ( ~ esk2574_2(X1,X2)
    | ~ esk2572_2(X1,X2) )).

cnf(i_0_1522,axiom,
    ( ~ esk4091_2(X1,X2)
    | esk3650_2(X1,X2) )).

cnf(i_0_1523,axiom,
    ( ~ esk4828_2(X1,X2)
    | ~ esk4829_2(X1,X2) )).

cnf(i_0_1524,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk1921_2(X1,X2) )).

cnf(i_0_1525,axiom,
    ( ~ esk74_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | esk1662_2(X1,X2) )).

cnf(i_0_1526,axiom,
    ( ~ esk1358_2(X1,X2)
    | ~ esk577_2(X1,X2)
    | esk1359_2(X1,X2) )).

cnf(i_0_1527,axiom,
    ( esk4574_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_1528,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk3456_2(X1,X2) )).

cnf(i_0_1529,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4982_2(X1,X2) )).

cnf(i_0_1530,axiom,
    ( esk5173_2(X1,X2)
    | esk5174_2(X1,X2) )).

cnf(i_0_1531,axiom,
    ( ~ esk5020_2(X1,X2)
    | esk5019_2(X1,X2) )).

cnf(i_0_1532,axiom,
    ( ~ esk5386_2(X1,X2)
    | ~ esk5387_2(X1,X2) )).

cnf(i_0_1533,axiom,
    ( esk40_2(X1,X2)
    | ~ esk5458_2(X1,X2) )).

cnf(i_0_1534,axiom,
    ( ~ esk5492_2(X1,X2)
    | ~ esk5490_2(X1,X2) )).

cnf(i_0_1535,axiom,
    ( ~ esk2361_2(X1,X2)
    | ~ esk2362_2(X1,X2) )).

cnf(i_0_1536,axiom,
    ( ~ esk3604_2(X1,X2)
    | esk3603_2(X1,X2) )).

cnf(i_0_1537,axiom,
    ( esk664_2(X1,X2)
    | esk1181_2(X1,X2) )).

cnf(i_0_1538,axiom,
    ( ~ esk23_2(X1,X2)
    | ~ esk652_2(X1,X2)
    | esk1058_2(X1,X2) )).

cnf(i_0_1539,axiom,
    ( ~ esk1683_2(X1,X2)
    | ~ esk1686_2(X1,X2) )).

cnf(i_0_1540,axiom,
    ( esk3905_2(X1,X2)
    | ~ esk3906_2(X1,X2) )).

cnf(i_0_1541,axiom,
    ( ~ esk2156_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_1542,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | esk4522_2(X1,X2)
    | ~ esk76_2(X1,X2) )).

cnf(i_0_1543,axiom,
    ( esk4520_2(X1,X2)
    | ~ esk4443_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk4304_2(X1,X2) )).

cnf(i_0_1544,axiom,
    ( ~ esk448_2(X1,X2)
    | esk447_2(X1,X2) )).

cnf(i_0_1545,axiom,
    ( ~ esk2666_2(X1,X2)
    | ~ esk2665_2(X1,X2) )).

cnf(i_0_1546,axiom,
    ( ~ esk254_2(X1,X2)
    | esk2916_2(X1,X2)
    | esk5523_2(X1,X2) )).

cnf(i_0_1547,axiom,
    ( ~ esk4611_2(X1,X2)
    | ~ esk4615_2(X1,X2)
    | esk4616_2(X1,X2) )).

cnf(i_0_1548,axiom,
    ( ~ esk1348_2(X1,X2)
    | esk541_2(X1,X2) )).

cnf(i_0_1549,axiom,
    ( esk4675_2(X1,X2)
    | esk4676_2(X1,X2) )).

cnf(i_0_1550,axiom,
    ( ~ esk4466_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1551,axiom,
    ( ~ esk1377_2(X1,X2)
    | esk1376_2(X1,X2) )).

cnf(i_0_1552,axiom,
    ( esk3909_2(X1,X2)
    | ~ esk4266_2(X1,X2) )).

cnf(i_0_1553,axiom,
    ( esk5021_2(X1,X2)
    | esk5020_2(X1,X2)
    | esk5018_2(X1,X2) )).

cnf(i_0_1554,axiom,
    ( esk146_2(X1,X2)
    | ~ esk508_2(X1,X2) )).

cnf(i_0_1555,axiom,
    ( ~ esk1624_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1834_2(X1,X2)
    | ~ esk1747_2(X1,X2) )).

cnf(i_0_1556,axiom,
    ( ~ esk3513_2(X1,X2)
    | esk3525_2(X1,X2)
    | ~ esk3522_2(X1,X2)
    | ~ esk3524_2(X1,X2) )).

cnf(i_0_1557,axiom,
    ( ~ esk5450_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | esk5466_2(X1,X2)
    | ~ esk3844_2(X1,X2) )).

cnf(i_0_1558,axiom,
    ( ~ esk2245_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | esk2246_2(X1,X2) )).

cnf(i_0_1559,axiom,
    ( ~ esk4687_2(X1,X2)
    | ~ esk4685_2(X1,X2) )).

cnf(i_0_1560,axiom,
    ( esk1967_2(X1,X2)
    | ~ esk2033_2(X1,X2) )).

cnf(i_0_1561,axiom,
    ( esk4391_2(X1,X2)
    | esk4393_2(X1,X2)
    | esk4390_2(X1,X2)
    | esk4392_2(X1,X2) )).

cnf(i_0_1562,axiom,
    ( esk551_2(X1,X2)
    | ~ esk110_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_1563,axiom,
    ( esk4301_2(X1,X2)
    | esk4302_2(X1,X2) )).

cnf(i_0_1564,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk4916_2(X1,X2) )).

cnf(i_0_1565,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4247_2(X1,X2) )).

cnf(i_0_1566,axiom,
    ( esk3251_2(X1,X2)
    | ~ esk3253_2(X1,X2) )).

cnf(i_0_1567,axiom,
    ( esk286_2(X1,X2)
    | esk287_2(X1,X2) )).

cnf(i_0_1568,axiom,
    ( ~ esk1467_2(X1,X2)
    | ~ esk1427_2(X1,X2)
    | esk1468_2(X1,X2) )).

cnf(i_0_1569,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk3231_2(X1,X2) )).

cnf(i_0_1570,axiom,
    ( ~ esk3978_2(X1,X2)
    | ~ esk3977_2(X1,X2) )).

cnf(i_0_1571,axiom,
    ( ~ esk5099_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_1572,axiom,
    ( esk3203_2(X1,X2)
    | esk3202_2(X1,X2) )).

cnf(i_0_1573,axiom,
    ( esk5005_2(X1,X2)
    | ~ esk5006_2(X1,X2) )).

cnf(i_0_1574,axiom,
    ( ~ esk3647_2(X1,X2)
    | ~ esk3652_2(X1,X2) )).

cnf(i_0_1575,axiom,
    ( ~ esk2547_2(X1,X2)
    | ~ esk2548_2(X1,X2) )).

cnf(i_0_1576,axiom,
    ( ~ esk4381_2(X1,X2)
    | ~ esk4379_2(X1,X2) )).

cnf(i_0_1577,axiom,
    ( esk165_2(X1,X2)
    | ~ esk265_2(X1,X2) )).

cnf(i_0_1578,axiom,
    ( esk647_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_1579,axiom,
    ( esk123_2(X1,X2)
    | ~ esk665_2(X1,X2) )).

cnf(i_0_1580,axiom,
    ( esk3914_2(X1,X2)
    | esk3913_2(X1,X2) )).

cnf(i_0_1581,axiom,
    ( ~ esk446_2(X1,X2)
    | ~ esk449_2(X1,X2) )).

cnf(i_0_1582,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1194_2(X1,X2) )).

cnf(i_0_1583,axiom,
    ( ~ esk4635_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_1584,axiom,
    ( esk3387_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_1585,axiom,
    ( ~ esk2240_2(X1,X2)
    | ~ esk708_2(X1,X2) )).

cnf(i_0_1586,axiom,
    ( ~ esk3283_2(X1,X2)
    | ~ esk3282_2(X1,X2) )).

cnf(i_0_1587,axiom,
    ( ~ esk3865_2(X1,X2)
    | esk3864_2(X1,X2) )).

cnf(i_0_1588,axiom,
    ( ~ esk1921_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk1922_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_1589,axiom,
    ( ~ esk5162_2(X1,X2)
    | esk5158_2(X1,X2) )).

cnf(i_0_1590,axiom,
    ( esk1674_2(X1,X2)
    | esk1676_2(X1,X2)
    | esk1677_2(X1,X2)
    | esk1673_2(X1,X2)
    | esk1675_2(X1,X2) )).

cnf(i_0_1591,axiom,
    ( ~ esk1616_2(X1,X2)
    | ~ esk1617_2(X1,X2) )).

cnf(i_0_1592,axiom,
    ( esk175_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_1593,axiom,
    ( esk2537_2(X1,X2)
    | ~ esk2541_2(X1,X2) )).

cnf(i_0_1594,axiom,
    ( esk1124_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1595,axiom,
    ( ~ esk335_2(X1,X2)
    | ~ esk332_2(X1,X2) )).

cnf(i_0_1596,axiom,
    ( ~ esk141_2(X1,X2)
    | ~ esk5068_2(X1,X2) )).

cnf(i_0_1597,axiom,
    ( ~ esk4702_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_1598,axiom,
    ( esk1790_2(X1,X2)
    | ~ esk1867_2(X1,X2) )).

cnf(i_0_1599,axiom,
    ( ~ esk2258_2(X1,X2)
    | ~ esk2256_2(X1,X2) )).

cnf(i_0_1600,axiom,
    ( esk141_2(X1,X2)
    | ~ esk3095_2(X1,X2) )).

cnf(i_0_1601,axiom,
    ( ~ esk3717_2(X1,X2)
    | esk3718_2(X1,X2)
    | ~ esk3713_2(X1,X2) )).

cnf(i_0_1602,axiom,
    ( ~ esk5468_2(X1,X2)
    | esk6_2(X1,X2) )).

cnf(i_0_1603,axiom,
    ( ~ esk115_2(X1,X2)
    | ~ esk1947_2(X1,X2) )).

cnf(i_0_1604,axiom,
    ( ~ esk1590_2(X1,X2)
    | ~ esk2822_2(X1,X2)
    | esk2835_2(X1,X2)
    | ~ esk1589_2(X1,X2) )).

cnf(i_0_1605,axiom,
    ( esk3832_2(X1,X2)
    | esk3833_2(X1,X2) )).

cnf(i_0_1606,axiom,
    ( ~ esk2115_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_1607,axiom,
    ( esk4694_2(X1,X2)
    | esk4695_2(X1,X2) )).

cnf(i_0_1608,axiom,
    ( ~ esk3631_2(X1,X2)
    | ~ esk3643_2(X1,X2) )).

cnf(i_0_1609,axiom,
    ( ~ esk3572_2(X1,X2)
    | ~ esk3573_2(X1,X2) )).

cnf(i_0_1610,axiom,
    ( ~ esk4112_2(X1,X2)
    | ~ esk4111_2(X1,X2) )).

cnf(i_0_1611,axiom,
    ( esk2517_2(X1,X2)
    | esk2518_2(X1,X2) )).

cnf(i_0_1612,axiom,
    ( esk3643_2(X1,X2)
    | esk3644_2(X1,X2) )).

cnf(i_0_1613,axiom,
    ( ~ esk178_2(X1,X2)
    | esk4452_2(X1,X2)
    | ~ esk4085_2(X1,X2)
    | ~ esk3853_2(X1,X2) )).

cnf(i_0_1614,axiom,
    ( esk102_2(X1,X2)
    | ~ esk2001_2(X1,X2) )).

cnf(i_0_1615,axiom,
    ( ~ esk394_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | esk395_2(X1,X2)
    | ~ esk311_2(X1,X2) )).

cnf(i_0_1616,axiom,
    ( ~ esk1333_2(X1,X2)
    | esk1334_2(X1,X2)
    | ~ esk1318_2(X1,X2)
    | ~ esk1330_2(X1,X2) )).

cnf(i_0_1617,axiom,
    ( ~ esk4065_2(X1,X2)
    | esk4064_2(X1,X2) )).

cnf(i_0_1618,axiom,
    ( esk3398_2(X1,X2)
    | esk3399_2(X1,X2) )).

cnf(i_0_1619,axiom,
    ( ~ esk3181_2(X1,X2)
    | ~ esk3177_2(X1,X2) )).

cnf(i_0_1620,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk3361_2(X1,X2) )).

cnf(i_0_1621,axiom,
    ( ~ esk759_2(X1,X2)
    | esk755_2(X1,X2) )).

cnf(i_0_1622,axiom,
    ( esk544_2(X1,X2)
    | esk543_2(X1,X2) )).

cnf(i_0_1623,axiom,
    ( esk5171_2(X1,X2)
    | esk5172_2(X1,X2) )).

cnf(i_0_1624,axiom,
    ( ~ esk3924_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_1625,axiom,
    ( ~ esk2842_2(X1,X2)
    | ~ esk2841_2(X1,X2) )).

cnf(i_0_1626,axiom,
    ( ~ esk4984_2(X1,X2)
    | ~ esk4983_2(X1,X2) )).

cnf(i_0_1627,axiom,
    ( ~ esk359_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_1628,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk3102_2(X1,X2) )).

cnf(i_0_1629,axiom,
    ( esk1695_2(X1,X2)
    | esk5570_2(X1,X2)
    | ~ esk4348_2(X1,X2) )).

cnf(i_0_1630,axiom,
    ( ~ esk585_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | esk2573_2(X1,X2) )).

cnf(i_0_1631,axiom,
    ( ~ esk1046_2(X1,X2)
    | ~ esk1045_2(X1,X2) )).

cnf(i_0_1632,axiom,
    ( esk100_2(X1,X2)
    | ~ esk5004_2(X1,X2) )).

cnf(i_0_1633,axiom,
    ( ~ esk4213_2(X1,X2)
    | esk4214_2(X1,X2)
    | ~ esk3758_2(X1,X2) )).

cnf(i_0_1634,axiom,
    ( esk1414_2(X1,X2)
    | ~ esk1415_2(X1,X2) )).

cnf(i_0_1635,axiom,
    ( ~ esk2649_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_1636,axiom,
    ( esk5280_2(X1,X2)
    | esk5279_2(X1,X2) )).

cnf(i_0_1637,axiom,
    ( ~ esk5550_2(X1,X2)
    | ~ esk1274_2(X1,X2)
    | ~ esk3927_2(X1,X2) )).

cnf(i_0_1638,axiom,
    ( ~ esk3929_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_1639,axiom,
    ( ~ esk2552_2(X1,X2)
    | esk2551_2(X1,X2) )).

cnf(i_0_1640,axiom,
    ( ~ esk1799_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_1641,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4536_2(X1,X2) )).

cnf(i_0_1642,axiom,
    ( ~ esk341_2(X1,X2)
    | ~ esk317_2(X1,X2) )).

cnf(i_0_1643,axiom,
    ( esk914_2(X1,X2)
    | esk915_2(X1,X2) )).

cnf(i_0_1644,axiom,
    ( esk1625_2(X1,X2)
    | ~ esk1840_2(X1,X2) )).

cnf(i_0_1645,axiom,
    ( ~ esk1542_2(X1,X2)
    | ~ esk1541_2(X1,X2) )).

cnf(i_0_1646,axiom,
    ( esk1487_2(X1,X2)
    | esk1488_2(X1,X2) )).

cnf(i_0_1647,axiom,
    ( ~ esk525_2(X1,X2)
    | ~ esk526_2(X1,X2) )).

cnf(i_0_1648,axiom,
    ( ~ esk4992_2(X1,X2)
    | ~ esk4995_2(X1,X2) )).

cnf(i_0_1649,axiom,
    ( ~ esk1542_2(X1,X2)
    | esk1543_2(X1,X2)
    | ~ esk1539_2(X1,X2) )).

cnf(i_0_1650,axiom,
    ( ~ esk3696_2(X1,X2)
    | esk3695_2(X1,X2) )).

cnf(i_0_1651,axiom,
    ( ~ esk4518_2(X1,X2)
    | ~ esk1865_2(X1,X2)
    | ~ esk5593_2(X1,X2) )).

cnf(i_0_1652,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk1645_2(X1,X2) )).

cnf(i_0_1653,axiom,
    ( esk147_2(X1,X2)
    | ~ esk282_2(X1,X2) )).

cnf(i_0_1654,axiom,
    ( esk4500_2(X1,X2)
    | esk4501_2(X1,X2)
    | esk4503_2(X1,X2)
    | esk4502_2(X1,X2)
    | esk4499_2(X1,X2) )).

cnf(i_0_1655,axiom,
    ( esk592_2(X1,X2)
    | esk591_2(X1,X2) )).

cnf(i_0_1656,axiom,
    ( ~ esk4372_2(X1,X2)
    | esk4371_2(X1,X2) )).

cnf(i_0_1657,axiom,
    ( esk523_2(X1,X2)
    | ~ esk2710_2(X1,X2) )).

cnf(i_0_1658,axiom,
    ( ~ esk3811_2(X1,X2)
    | ~ esk3809_2(X1,X2) )).

cnf(i_0_1659,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk2787_2(X1,X2) )).

cnf(i_0_1660,axiom,
    ( esk128_2(X1,X2)
    | esk4634_2(X1,X2) )).

cnf(i_0_1661,axiom,
    ( ~ esk103_2(X1,X2)
    | esk3023_2(X1,X2)
    | ~ esk3022_2(X1,X2) )).

cnf(i_0_1662,axiom,
    ( ~ esk2068_2(X1,X2)
    | ~ esk2067_2(X1,X2) )).

cnf(i_0_1663,axiom,
    ( esk3624_2(X1,X2)
    | ~ esk971_2(X1,X2)
    | esk5534_2(X1,X2) )).

cnf(i_0_1664,axiom,
    ( ~ esk2939_2(X1,X2)
    | esk2938_2(X1,X2) )).

cnf(i_0_1665,axiom,
    ( ~ esk4710_2(X1,X2)
    | ~ esk4709_2(X1,X2) )).

cnf(i_0_1666,axiom,
    ( ~ esk3094_2(X1,X2)
    | ~ esk3120_2(X1,X2)
    | ~ esk3133_2(X1,X2)
    | esk3134_2(X1,X2)
    | ~ esk3107_2(X1,X2) )).

cnf(i_0_1667,axiom,
    ( ~ esk236_2(X1,X2)
    | ~ esk237_2(X1,X2) )).

cnf(i_0_1668,axiom,
    ( ~ esk172_2(X1,X2)
    | ~ esk1713_2(X1,X2) )).

cnf(i_0_1669,axiom,
    ( esk3859_2(X1,X2)
    | esk3860_2(X1,X2) )).

cnf(i_0_1670,axiom,
    ( esk5289_2(X1,X2)
    | ~ esk5290_2(X1,X2) )).

cnf(i_0_1671,axiom,
    ( esk4561_2(X1,X2)
    | esk4564_2(X1,X2)
    | esk4563_2(X1,X2) )).

cnf(i_0_1672,axiom,
    ( ~ esk384_2(X1,X2)
    | ~ esk385_2(X1,X2) )).

cnf(i_0_1673,axiom,
    ( ~ esk3159_2(X1,X2)
    | ~ esk3158_2(X1,X2) )).

cnf(i_0_1674,axiom,
    ( ~ esk1549_2(X1,X2)
    | ~ esk1548_2(X1,X2) )).

cnf(i_0_1675,axiom,
    ( ~ esk4639_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_1676,axiom,
    ( ~ esk296_2(X1,X2)
    | esk297_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_1677,axiom,
    ( ~ esk3235_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | ~ esk3211_2(X1,X2)
    | esk5234_2(X1,X2) )).

cnf(i_0_1678,axiom,
    ( ~ esk4274_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1679,axiom,
    ( ~ esk3144_2(X1,X2)
    | ~ esk3141_2(X1,X2) )).

cnf(i_0_1680,axiom,
    ( ~ esk4266_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1681,axiom,
    ( esk3301_2(X1,X2)
    | esk3392_2(X1,X2) )).

cnf(i_0_1682,axiom,
    ( ~ esk1165_2(X1,X2)
    | ~ esk1162_2(X1,X2)
    | esk1166_2(X1,X2) )).

cnf(i_0_1683,axiom,
    ( esk1991_2(X1,X2)
    | ~ esk1990_2(X1,X2)
    | ~ esk1985_2(X1,X2) )).

cnf(i_0_1684,axiom,
    ( ~ esk150_2(X1,X2)
    | esk339_2(X1,X2)
    | ~ esk309_2(X1,X2) )).

cnf(i_0_1685,axiom,
    ( ~ esk4511_2(X1,X2)
    | ~ esk5592_2(X1,X2)
    | ~ esk1858_2(X1,X2) )).

cnf(i_0_1686,axiom,
    ( ~ esk2098_2(X1,X2)
    | esk2099_2(X1,X2)
    | ~ esk742_2(X1,X2) )).

cnf(i_0_1687,axiom,
    ( ~ esk2059_2(X1,X2)
    | ~ esk2060_2(X1,X2) )).

cnf(i_0_1688,axiom,
    ( ~ esk2989_2(X1,X2)
    | esk2990_2(X1,X2)
    | ~ esk2973_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_1689,axiom,
    ( ~ esk4958_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_1690,axiom,
    ( esk207_2(X1,X2)
    | esk208_2(X1,X2) )).

cnf(i_0_1691,axiom,
    ( esk3029_2(X1,X2)
    | esk3031_2(X1,X2)
    | esk3032_2(X1,X2) )).

cnf(i_0_1692,axiom,
    ( esk1526_2(X1,X2)
    | ~ esk1579_2(X1,X2) )).

cnf(i_0_1693,axiom,
    ( esk1464_2(X1,X2)
    | ~ esk1465_2(X1,X2) )).

cnf(i_0_1694,axiom,
    ( esk3963_2(X1,X2)
    | esk3962_2(X1,X2) )).

cnf(i_0_1695,axiom,
    ( ~ esk867_2(X1,X2)
    | ~ esk864_2(X1,X2)
    | ~ esk859_2(X1,X2)
    | esk868_2(X1,X2) )).

cnf(i_0_1696,axiom,
    ( ~ esk4110_2(X1,X2)
    | ~ esk4111_2(X1,X2) )).

cnf(i_0_1697,axiom,
    ( ~ esk2469_2(X1,X2)
    | ~ esk2470_2(X1,X2) )).

cnf(i_0_1698,axiom,
    ( esk4938_2(X1,X2)
    | esk4937_2(X1,X2) )).

cnf(i_0_1699,axiom,
    ( ~ esk3217_2(X1,X2)
    | ~ esk3218_2(X1,X2) )).

cnf(i_0_1700,axiom,
    ( ~ esk200_2(X1,X2)
    | ~ esk166_2(X1,X2) )).

cnf(i_0_1701,axiom,
    ( esk1653_2(X1,X2)
    | esk1655_2(X1,X2)
    | esk1654_2(X1,X2)
    | esk1652_2(X1,X2)
    | esk1656_2(X1,X2) )).

cnf(i_0_1702,axiom,
    ( ~ esk885_2(X1,X2)
    | ~ esk886_2(X1,X2) )).

cnf(i_0_1703,axiom,
    ( esk3786_2(X1,X2)
    | ~ esk4408_2(X1,X2) )).

cnf(i_0_1704,axiom,
    ( esk3330_2(X1,X2)
    | ~ esk3632_2(X1,X2) )).

cnf(i_0_1705,axiom,
    ( ~ esk3589_2(X1,X2)
    | esk3588_2(X1,X2) )).

cnf(i_0_1706,axiom,
    ( ~ esk2769_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_1707,axiom,
    ( esk1219_2(X1,X2)
    | ~ esk1601_2(X1,X2) )).

cnf(i_0_1708,axiom,
    ( ~ esk726_2(X1,X2)
    | esk2180_2(X1,X2)
    | ~ esk2179_2(X1,X2) )).

cnf(i_0_1709,axiom,
    ( ~ esk3987_2(X1,X2)
    | ~ esk3989_2(X1,X2) )).

cnf(i_0_1710,axiom,
    ( esk3400_2(X1,X2)
    | ~ esk3401_2(X1,X2) )).

cnf(i_0_1711,axiom,
    ( esk5272_2(X1,X2)
    | esk5271_2(X1,X2) )).

cnf(i_0_1712,axiom,
    ( ~ esk4576_2(X1,X2)
    | ~ esk4577_2(X1,X2) )).

cnf(i_0_1713,axiom,
    ( ~ esk113_2(X1,X2)
    | ~ esk3561_2(X1,X2) )).

cnf(i_0_1714,axiom,
    ( esk5152_2(X1,X2)
    | esk5151_2(X1,X2) )).

cnf(i_0_1715,axiom,
    ( esk102_2(X1,X2)
    | ~ esk3688_2(X1,X2) )).

cnf(i_0_1716,axiom,
    ( ~ esk3585_2(X1,X2)
    | ~ esk3565_2(X1,X2) )).

cnf(i_0_1717,axiom,
    ( esk3359_2(X1,X2)
    | ~ esk3358_2(X1,X2)
    | ~ esk3355_2(X1,X2) )).

cnf(i_0_1718,axiom,
    ( ~ esk5210_2(X1,X2)
    | esk5206_2(X1,X2) )).

cnf(i_0_1719,axiom,
    ( ~ esk3778_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_1720,axiom,
    ( esk5190_2(X1,X2)
    | esk5189_2(X1,X2) )).

cnf(i_0_1721,axiom,
    ( esk4607_2(X1,X2)
    | esk4598_2(X1,X2) )).

cnf(i_0_1722,axiom,
    ( esk4697_2(X1,X2)
    | ~ esk5441_2(X1,X2) )).

cnf(i_0_1723,axiom,
    ( ~ esk5490_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_1724,axiom,
    ( ~ esk2356_2(X1,X2)
    | esk2350_2(X1,X2) )).

cnf(i_0_1725,axiom,
    ( esk2322_2(X1,X2)
    | esk2321_2(X1,X2) )).

cnf(i_0_1726,axiom,
    ( ~ esk2400_2(X1,X2)
    | esk2401_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_1727,axiom,
    ( esk3314_2(X1,X2)
    | ~ esk3828_2(X1,X2) )).

cnf(i_0_1728,axiom,
    ( ~ esk5424_2(X1,X2)
    | ~ esk5425_2(X1,X2) )).

cnf(i_0_1729,axiom,
    ( ~ esk1567_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_1730,axiom,
    ( ~ esk2222_2(X1,X2)
    | esk2221_2(X1,X2) )).

cnf(i_0_1731,axiom,
    ( ~ esk4443_2(X1,X2)
    | ~ esk4444_2(X1,X2) )).

cnf(i_0_1732,axiom,
    ( ~ esk847_2(X1,X2)
    | ~ esk134_2(X1,X2) )).

cnf(i_0_1733,axiom,
    ( ~ esk4278_2(X1,X2)
    | esk4487_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk4400_2(X1,X2) )).

cnf(i_0_1734,axiom,
    ( esk2001_2(X1,X2)
    | esk2002_2(X1,X2) )).

cnf(i_0_1735,axiom,
    ( ~ esk2054_2(X1,X2)
    | ~ esk2069_2(X1,X2) )).

cnf(i_0_1736,axiom,
    ( ~ esk1930_2(X1,X2)
    | ~ esk1929_2(X1,X2) )).

cnf(i_0_1737,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk3575_2(X1,X2)
    | esk3576_2(X1,X2) )).

cnf(i_0_1738,axiom,
    ( ~ esk5330_2(X1,X2)
    | ~ esk5329_2(X1,X2) )).

cnf(i_0_1739,axiom,
    ( esk1484_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_1740,axiom,
    ( esk907_2(X1,X2)
    | esk906_2(X1,X2) )).

cnf(i_0_1741,axiom,
    ( esk3778_2(X1,X2)
    | ~ esk4272_2(X1,X2) )).

cnf(i_0_1742,axiom,
    ( esk2624_2(X1,X2)
    | esk2625_2(X1,X2) )).

cnf(i_0_1743,axiom,
    ( esk2256_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | ~ esk1018_2(X1,X2)
    | ~ esk706_2(X1,X2) )).

cnf(i_0_1744,axiom,
    ( esk5108_2(X1,X2)
    | esk5109_2(X1,X2) )).

cnf(i_0_1745,axiom,
    ( ~ esk1684_2(X1,X2)
    | esk88_2(X1,X2) )).

cnf(i_0_1746,axiom,
    ( ~ esk3733_2(X1,X2)
    | ~ esk3455_2(X1,X2) )).

cnf(i_0_1747,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk2407_2(X1,X2) )).

cnf(i_0_1748,axiom,
    ( esk2753_2(X1,X2)
    | esk535_2(X1,X2) )).

cnf(i_0_1749,axiom,
    ( esk3810_2(X1,X2)
    | ~ esk23_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3314_2(X1,X2)
    | ~ esk3326_2(X1,X2) )).

cnf(i_0_1750,axiom,
    ( ~ esk384_2(X1,X2)
    | ~ esk383_2(X1,X2) )).

cnf(i_0_1751,axiom,
    ( esk3891_2(X1,X2)
    | ~ esk4357_2(X1,X2) )).

cnf(i_0_1752,axiom,
    ( ~ esk2817_2(X1,X2)
    | ~ esk2816_2(X1,X2) )).

cnf(i_0_1753,axiom,
    ( ~ esk1814_2(X1,X2)
    | ~ esk1815_2(X1,X2) )).

cnf(i_0_1754,axiom,
    ( esk4212_2(X1,X2)
    | esk4211_2(X1,X2) )).

cnf(i_0_1755,axiom,
    ( ~ esk104_2(X1,X2)
    | esk4667_2(X1,X2)
    | ~ esk4666_2(X1,X2) )).

cnf(i_0_1756,axiom,
    ( esk102_2(X1,X2)
    | ~ esk1768_2(X1,X2) )).

cnf(i_0_1757,axiom,
    ( esk3885_2(X1,X2)
    | esk3884_2(X1,X2) )).

cnf(i_0_1758,axiom,
    ( ~ esk261_2(X1,X2)
    | esk68_2(X1,X2) )).

cnf(i_0_1759,axiom,
    ( esk5334_2(X1,X2)
    | esk5335_2(X1,X2) )).

cnf(i_0_1760,axiom,
    ( esk3738_2(X1,X2)
    | esk3740_2(X1,X2)
    | esk3729_2(X1,X2)
    | esk3739_2(X1,X2) )).

cnf(i_0_1761,axiom,
    ( ~ esk1783_2(X1,X2)
    | ~ esk1782_2(X1,X2) )).

cnf(i_0_1762,axiom,
    ( ~ esk1931_2(X1,X2)
    | ~ esk1932_2(X1,X2) )).

cnf(i_0_1763,axiom,
    ( esk1984_2(X1,X2)
    | esk1985_2(X1,X2) )).

cnf(i_0_1764,axiom,
    ( esk708_2(X1,X2)
    | ~ esk709_2(X1,X2) )).

cnf(i_0_1765,axiom,
    ( ~ esk520_2(X1,X2)
    | ~ esk521_2(X1,X2) )).

cnf(i_0_1766,axiom,
    ( ~ esk3422_2(X1,X2)
    | ~ esk4080_2(X1,X2)
    | esk4081_2(X1,X2) )).

cnf(i_0_1767,axiom,
    ( esk2458_2(X1,X2)
    | ~ esk2459_2(X1,X2) )).

cnf(i_0_1768,axiom,
    ( esk3326_2(X1,X2)
    | ~ esk3810_2(X1,X2) )).

cnf(i_0_1769,axiom,
    ( esk5335_2(X1,X2)
    | esk5336_2(X1,X2) )).

cnf(i_0_1770,axiom,
    ( esk8_2(X1,X2)
    | ~ esk1609_2(X1,X2) )).

cnf(i_0_1771,axiom,
    ( ~ esk766_2(X1,X2)
    | ~ esk765_2(X1,X2) )).

cnf(i_0_1772,axiom,
    ( ~ esk1598_2(X1,X2)
    | ~ esk38_2(X1,X2)
    | esk1830_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_1773,axiom,
    ( ~ esk686_2(X1,X2)
    | ~ esk683_2(X1,X2)
    | esk687_2(X1,X2) )).

cnf(i_0_1774,axiom,
    ( ~ esk606_2(X1,X2)
    | esk600_2(X1,X2) )).

cnf(i_0_1775,axiom,
    ( ~ esk2773_2(X1,X2)
    | esk2778_2(X1,X2)
    | ~ esk2777_2(X1,X2) )).

cnf(i_0_1776,axiom,
    ( esk301_2(X1,X2)
    | ~ esk308_2(X1,X2) )).

cnf(i_0_1777,axiom,
    ( esk2979_2(X1,X2)
    | ~ esk3061_2(X1,X2) )).

cnf(i_0_1778,axiom,
    ( ~ esk4044_2(X1,X2)
    | ~ esk4045_2(X1,X2) )).

cnf(i_0_1779,axiom,
    ( ~ esk2838_2(X1,X2)
    | ~ esk2839_2(X1,X2) )).

cnf(i_0_1780,axiom,
    ( ~ esk2788_2(X1,X2)
    | esk2787_2(X1,X2) )).

cnf(i_0_1781,axiom,
    ( esk2730_2(X1,X2)
    | esk2731_2(X1,X2) )).

cnf(i_0_1782,axiom,
    ( esk33_2(X1,X2)
    | ~ esk262_2(X1,X2) )).

cnf(i_0_1783,axiom,
    ( esk2005_2(X1,X2)
    | ~ esk2019_2(X1,X2) )).

cnf(i_0_1784,axiom,
    ( ~ esk2113_2(X1,X2)
    | ~ esk2112_2(X1,X2) )).

cnf(i_0_1785,axiom,
    ( esk1992_2(X1,X2)
    | esk1991_2(X1,X2) )).

cnf(i_0_1786,axiom,
    ( ~ esk28_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk4293_2(X1,X2)
    | ~ esk3844_2(X1,X2) )).

cnf(i_0_1787,axiom,
    ( esk2658_2(X1,X2)
    | esk2662_2(X1,X2) )).

cnf(i_0_1788,axiom,
    ( esk1548_2(X1,X2)
    | esk1547_2(X1,X2) )).

cnf(i_0_1789,axiom,
    ( ~ esk1886_2(X1,X2)
    | esk1885_2(X1,X2) )).

cnf(i_0_1790,axiom,
    ( esk2963_2(X1,X2)
    | ~ esk2970_2(X1,X2) )).

cnf(i_0_1791,axiom,
    ( ~ esk1125_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk1619_2(X1,X2)
    | ~ esk1273_2(X1,X2) )).

cnf(i_0_1792,axiom,
    ( ~ esk1828_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_1793,axiom,
    ( esk4443_2(X1,X2)
    | ~ esk4548_2(X1,X2) )).

cnf(i_0_1794,axiom,
    ( esk5296_2(X1,X2)
    | ~ esk5300_2(X1,X2) )).

cnf(i_0_1795,axiom,
    ( esk3594_2(X1,X2)
    | ~ esk3595_2(X1,X2) )).

cnf(i_0_1796,axiom,
    ( ~ esk3259_2(X1,X2)
    | ~ esk5199_2(X1,X2) )).

cnf(i_0_1797,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk2984_2(X1,X2) )).

cnf(i_0_1798,axiom,
    ( ~ esk2906_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_1799,axiom,
    ( ~ esk2898_2(X1,X2)
    | esk2897_2(X1,X2) )).

cnf(i_0_1800,axiom,
    ( ~ esk3567_2(X1,X2)
    | esk3566_2(X1,X2) )).

cnf(i_0_1801,axiom,
    ( ~ esk1426_2(X1,X2)
    | esk1430_2(X1,X2)
    | ~ esk1429_2(X1,X2) )).

cnf(i_0_1802,axiom,
    ( ~ esk2025_2(X1,X2)
    | ~ esk2026_2(X1,X2) )).

cnf(i_0_1803,axiom,
    ( esk92_2(X1,X2)
    | esk5019_2(X1,X2) )).

cnf(i_0_1804,axiom,
    ( ~ esk869_2(X1,X2)
    | esk861_2(X1,X2) )).

cnf(i_0_1805,axiom,
    ( ~ esk2443_2(X1,X2)
    | ~ esk2442_2(X1,X2) )).

cnf(i_0_1806,axiom,
    ( ~ esk1134_2(X1,X2)
    | esk356_2(X1,X2) )).

cnf(i_0_1807,axiom,
    ( ~ esk1899_2(X1,X2)
    | ~ esk1898_2(X1,X2) )).

cnf(i_0_1808,axiom,
    ( ~ esk1440_2(X1,X2)
    | esk1436_2(X1,X2) )).

cnf(i_0_1809,axiom,
    ( esk3852_2(X1,X2)
    | ~ esk4453_2(X1,X2) )).

cnf(i_0_1810,axiom,
    ( ~ esk5529_2(X1,X2)
    | ~ esk690_2(X1,X2)
    | ~ esk3352_2(X1,X2) )).

cnf(i_0_1811,axiom,
    ( ~ esk5224_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_1812,axiom,
    ( ~ esk2405_2(X1,X2)
    | ~ esk2404_2(X1,X2) )).

cnf(i_0_1813,axiom,
    ( esk858_2(X1,X2)
    | ~ esk857_2(X1,X2)
    | ~ esk854_2(X1,X2) )).

cnf(i_0_1814,axiom,
    ( ~ esk1507_2(X1,X2)
    | esk1502_2(X1,X2) )).

cnf(i_0_1815,axiom,
    ( ~ esk4727_2(X1,X2)
    | ~ esk4726_2(X1,X2) )).

cnf(i_0_1816,axiom,
    ( esk139_2(X1,X2)
    | ~ esk2439_2(X1,X2) )).

cnf(i_0_1817,axiom,
    ( esk923_2(X1,X2)
    | ~ esk922_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_1818,axiom,
    ( ~ esk595_2(X1,X2)
    | esk596_2(X1,X2)
    | ~ esk592_2(X1,X2) )).

cnf(i_0_1819,axiom,
    ( ~ esk3582_2(X1,X2)
    | ~ esk3581_2(X1,X2) )).

cnf(i_0_1820,axiom,
    ( esk2374_2(X1,X2)
    | esk2371_2(X1,X2)
    | esk145_2(X1,X2)
    | esk2373_2(X1,X2) )).

cnf(i_0_1821,axiom,
    ( esk349_2(X1,X2)
    | esk350_2(X1,X2) )).

cnf(i_0_1822,axiom,
    ( ~ esk1680_2(X1,X2)
    | ~ esk1741_2(X1,X2)
    | ~ esk1681_2(X1,X2)
    | esk1901_2(X1,X2) )).

cnf(i_0_1823,axiom,
    ( esk3837_2(X1,X2)
    | ~ esk3833_2(X1,X2)
    | ~ esk3836_2(X1,X2) )).

cnf(i_0_1824,axiom,
    ( ~ esk1772_2(X1,X2)
    | ~ esk1771_2(X1,X2) )).

cnf(i_0_1825,axiom,
    ( ~ esk1965_2(X1,X2)
    | esk1964_2(X1,X2) )).

cnf(i_0_1826,axiom,
    ( esk3746_2(X1,X2)
    | ~ esk3747_2(X1,X2) )).

cnf(i_0_1827,axiom,
    ( esk1288_2(X1,X2)
    | ~ esk1289_2(X1,X2) )).

cnf(i_0_1828,axiom,
    ( ~ esk4992_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_1829,axiom,
    ( ~ esk1456_2(X1,X2)
    | ~ esk1420_2(X1,X2)
    | ~ esk1433_2(X1,X2)
    | esk1515_2(X1,X2)
    | ~ esk1422_2(X1,X2)
    | ~ esk1484_2(X1,X2)
    | ~ esk1419_2(X1,X2)
    | ~ esk1514_2(X1,X2)
    | ~ esk1423_2(X1,X2)
    | ~ esk1421_2(X1,X2) )).

cnf(i_0_1830,axiom,
    ( ~ esk3669_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_1831,axiom,
    ( ~ esk856_2(X1,X2)
    | esk855_2(X1,X2) )).

cnf(i_0_1832,axiom,
    ( esk678_2(X1,X2)
    | esk677_2(X1,X2)
    | esk679_2(X1,X2) )).

cnf(i_0_1833,axiom,
    ( esk4665_2(X1,X2)
    | esk4668_2(X1,X2)
    | esk149_2(X1,X2)
    | esk4667_2(X1,X2) )).

cnf(i_0_1834,axiom,
    ( ~ esk1170_2(X1,X2)
    | ~ esk1168_2(X1,X2) )).

cnf(i_0_1835,axiom,
    ( ~ esk1686_2(X1,X2)
    | ~ esk1682_2(X1,X2) )).

cnf(i_0_1836,axiom,
    ( ~ esk2220_2(X1,X2)
    | ~ esk2224_2(X1,X2)
    | esk2225_2(X1,X2) )).

cnf(i_0_1837,axiom,
    ( ~ esk4596_2(X1,X2)
    | ~ esk4597_2(X1,X2) )).

cnf(i_0_1838,axiom,
    ( ~ esk3143_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_1839,axiom,
    ( ~ esk5077_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_1840,axiom,
    ( ~ esk248_2(X1,X2)
    | esk12_2(X1,X2) )).

cnf(i_0_1841,axiom,
    ( esk469_2(X1,X2)
    | ~ esk470_2(X1,X2) )).

cnf(i_0_1842,axiom,
    ( ~ esk129_2(X1,X2)
    | ~ esk182_2(X1,X2) )).

cnf(i_0_1843,axiom,
    ( ~ esk1703_2(X1,X2)
    | esk1589_2(X1,X2) )).

cnf(i_0_1844,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk309_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | esk326_2(X1,X2) )).

cnf(i_0_1845,axiom,
    ( ~ esk777_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_1846,axiom,
    ( ~ esk1241_2(X1,X2)
    | esk1008_2(X1,X2) )).

cnf(i_0_1847,axiom,
    ( ~ esk1537_2(X1,X2)
    | ~ esk1536_2(X1,X2) )).

cnf(i_0_1848,axiom,
    ( ~ esk2728_2(X1,X2)
    | ~ esk2727_2(X1,X2) )).

cnf(i_0_1849,axiom,
    ( ~ esk1113_2(X1,X2)
    | esk1112_2(X1,X2) )).

cnf(i_0_1850,axiom,
    ( ~ esk5426_2(X1,X2)
    | ~ esk5427_2(X1,X2) )).

cnf(i_0_1851,axiom,
    ( esk2100_2(X1,X2)
    | esk2099_2(X1,X2) )).

cnf(i_0_1852,axiom,
    ( esk849_2(X1,X2)
    | esk848_2(X1,X2) )).

cnf(i_0_1853,axiom,
    ( ~ esk4522_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_1854,axiom,
    ( ~ esk1076_2(X1,X2)
    | esk431_2(X1,X2) )).

cnf(i_0_1855,axiom,
    ( ~ esk663_2(X1,X2)
    | esk662_2(X1,X2) )).

cnf(i_0_1856,axiom,
    ( ~ esk1926_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_1857,axiom,
    ( ~ esk4987_2(X1,X2)
    | ~ esk96_2(X1,X2) )).

cnf(i_0_1858,axiom,
    ( ~ esk877_2(X1,X2)
    | esk876_2(X1,X2) )).

cnf(i_0_1859,axiom,
    ( esk4198_2(X1,X2)
    | esk4197_2(X1,X2) )).

cnf(i_0_1860,axiom,
    ( ~ esk1927_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk1928_2(X1,X2) )).

cnf(i_0_1861,axiom,
    ( esk1737_2(X1,X2)
    | esk1739_2(X1,X2)
    | esk1740_2(X1,X2)
    | esk1738_2(X1,X2) )).

cnf(i_0_1862,axiom,
    ( esk4165_2(X1,X2)
    | esk4166_2(X1,X2) )).

cnf(i_0_1863,axiom,
    ( ~ esk4441_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_1864,axiom,
    ( ~ esk4316_2(X1,X2)
    | ~ esk4314_2(X1,X2) )).

cnf(i_0_1865,axiom,
    ( ~ esk1107_2(X1,X2)
    | esk973_2(X1,X2) )).

cnf(i_0_1866,axiom,
    ( ~ esk1072_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk1589_2(X1,X2)
    | esk1689_2(X1,X2) )).

cnf(i_0_1867,axiom,
    ( ~ esk4644_2(X1,X2)
    | esk4643_2(X1,X2) )).

cnf(i_0_1868,axiom,
    ( esk5564_2(X1,X2)
    | ~ esk4302_2(X1,X2)
    | esk1649_2(X1,X2) )).

cnf(i_0_1869,axiom,
    ( esk2885_2(X1,X2)
    | esk2884_2(X1,X2) )).

cnf(i_0_1870,axiom,
    ( ~ esk1704_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_1871,axiom,
    ( esk4437_2(X1,X2)
    | ~ esk4527_2(X1,X2) )).

cnf(i_0_1872,axiom,
    ( ~ esk2841_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_1873,axiom,
    ( esk95_2(X1,X2)
    | ~ esk3163_2(X1,X2) )).

cnf(i_0_1874,axiom,
    ( esk123_2(X1,X2)
    | ~ esk4659_2(X1,X2) )).

cnf(i_0_1875,axiom,
    ( ~ esk5235_2(X1,X2)
    | ~ esk5233_2(X1,X2) )).

cnf(i_0_1876,axiom,
    ( esk4053_2(X1,X2)
    | ~ esk4054_2(X1,X2) )).

cnf(i_0_1877,axiom,
    ( ~ esk5095_2(X1,X2)
    | ~ esk5096_2(X1,X2) )).

cnf(i_0_1878,axiom,
    ( ~ esk2979_2(X1,X2)
    | esk3035_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_1879,axiom,
    ( ~ esk5435_2(X1,X2)
    | ~ esk5438_2(X1,X2) )).

cnf(i_0_1880,axiom,
    ( ~ esk4373_2(X1,X2)
    | esk4375_2(X1,X2)
    | ~ esk63_2(X1,X2) )).

cnf(i_0_1881,axiom,
    ( ~ esk4387_2(X1,X2)
    | esk3775_2(X1,X2) )).

cnf(i_0_1882,axiom,
    ( esk1174_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk688_2(X1,X2) )).

cnf(i_0_1883,axiom,
    ( ~ esk4393_2(X1,X2)
    | ~ esk4391_2(X1,X2) )).

cnf(i_0_1884,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk3283_2(X1,X2)
    | esk3626_2(X1,X2) )).

cnf(i_0_1885,axiom,
    ( ~ esk2999_2(X1,X2)
    | esk2993_2(X1,X2) )).

cnf(i_0_1886,axiom,
    ( ~ esk4411_2(X1,X2)
    | ~ esk4412_2(X1,X2) )).

cnf(i_0_1887,axiom,
    ( ~ esk3606_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_1888,axiom,
    ( ~ esk5111_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_1889,axiom,
    ( esk148_2(X1,X2)
    | esk2263_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_1890,axiom,
    ( ~ esk1751_2(X1,X2)
    | esk49_2(X1,X2) )).

cnf(i_0_1891,axiom,
    ( esk94_2(X1,X2)
    | esk5005_2(X1,X2) )).

cnf(i_0_1892,axiom,
    ( ~ esk2384_2(X1,X2)
    | ~ esk2383_2(X1,X2) )).

cnf(i_0_1893,axiom,
    ( esk3279_2(X1,X2)
    | esk3278_2(X1,X2) )).

cnf(i_0_1894,axiom,
    ( ~ esk2214_2(X1,X2)
    | ~ esk2215_2(X1,X2) )).

cnf(i_0_1895,axiom,
    ( ~ esk4950_2(X1,X2)
    | esk4949_2(X1,X2) )).

cnf(i_0_1896,axiom,
    ( ~ esk5434_2(X1,X2)
    | ~ esk5453_2(X1,X2) )).

cnf(i_0_1897,axiom,
    ( ~ esk3583_2(X1,X2)
    | esk3584_2(X1,X2)
    | ~ esk3574_2(X1,X2)
    | ~ esk3565_2(X1,X2) )).

cnf(i_0_1898,axiom,
    ( esk2901_2(X1,X2)
    | ~ esk2920_2(X1,X2) )).

cnf(i_0_1899,axiom,
    ( esk2979_2(X1,X2)
    | ~ esk2994_2(X1,X2) )).

cnf(i_0_1900,axiom,
    ( esk553_2(X1,X2)
    | esk810_2(X1,X2) )).

cnf(i_0_1901,axiom,
    ( ~ esk3856_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_1902,axiom,
    ( ~ esk4723_2(X1,X2)
    | ~ esk4724_2(X1,X2) )).

cnf(i_0_1903,axiom,
    ( ~ esk251_2(X1,X2)
    | ~ esk252_2(X1,X2) )).

cnf(i_0_1904,axiom,
    ( ~ esk4625_2(X1,X2)
    | ~ esk4624_2(X1,X2) )).

cnf(i_0_1905,axiom,
    ( ~ esk4945_2(X1,X2)
    | ~ esk4946_2(X1,X2) )).

cnf(i_0_1906,axiom,
    ( esk1500_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | ~ esk768_2(X1,X2)
    | ~ esk760_2(X1,X2) )).

cnf(i_0_1907,axiom,
    ( esk2850_2(X1,X2)
    | esk127_2(X1,X2) )).

cnf(i_0_1908,axiom,
    ( ~ esk5089_2(X1,X2)
    | esk5085_2(X1,X2) )).

cnf(i_0_1909,axiom,
    ( ~ esk235_2(X1,X2)
    | ~ esk234_2(X1,X2) )).

cnf(i_0_1910,axiom,
    ( ~ esk2221_2(X1,X2)
    | ~ esk2220_2(X1,X2) )).

cnf(i_0_1911,axiom,
    ( ~ esk1672_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_1912,axiom,
    ( ~ esk767_2(X1,X2)
    | esk766_2(X1,X2) )).

cnf(i_0_1913,axiom,
    ( esk5146_2(X1,X2)
    | esk5147_2(X1,X2)
    | esk5145_2(X1,X2)
    | esk5148_2(X1,X2)
    | esk3612_2(X1,X2) )).

cnf(i_0_1914,axiom,
    ( esk494_2(X1,X2)
    | ~ esk498_2(X1,X2) )).

cnf(i_0_1915,axiom,
    ( ~ esk574_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_1916,axiom,
    ( ~ esk911_2(X1,X2)
    | esk910_2(X1,X2) )).

cnf(i_0_1917,axiom,
    ( esk128_2(X1,X2)
    | ~ esk326_2(X1,X2) )).

cnf(i_0_1918,axiom,
    ( ~ esk4476_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_1919,axiom,
    ( ~ esk1238_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | esk1633_2(X1,X2) )).

cnf(i_0_1920,axiom,
    ( ~ esk4575_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_1921,axiom,
    ( esk4552_2(X1,X2)
    | esk4551_2(X1,X2) )).

cnf(i_0_1922,axiom,
    ( ~ esk115_2(X1,X2)
    | esk3494_2(X1,X2)
    | ~ esk3493_2(X1,X2) )).

cnf(i_0_1923,axiom,
    ( ~ esk125_2(X1,X2)
    | esk649_2(X1,X2)
    | ~ esk133_2(X1,X2) )).

cnf(i_0_1924,axiom,
    ( ~ esk4371_2(X1,X2)
    | ~ esk4370_2(X1,X2) )).

cnf(i_0_1925,axiom,
    ( esk768_2(X1,X2)
    | ~ esk1470_2(X1,X2) )).

cnf(i_0_1926,axiom,
    ( esk2082_2(X1,X2)
    | esk2081_2(X1,X2) )).

cnf(i_0_1927,axiom,
    ( esk1055_2(X1,X2)
    | ~ esk1582_2(X1,X2) )).

cnf(i_0_1928,axiom,
    ( ~ esk5352_2(X1,X2)
    | ~ esk5351_2(X1,X2) )).

cnf(i_0_1929,axiom,
    ( ~ esk2054_2(X1,X2)
    | ~ esk2053_2(X1,X2) )).

cnf(i_0_1930,axiom,
    ( esk3583_2(X1,X2)
    | esk3582_2(X1,X2) )).

cnf(i_0_1931,axiom,
    ( ~ esk2926_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_1932,axiom,
    ( ~ esk3806_2(X1,X2)
    | ~ esk1153_2(X1,X2)
    | ~ esk5543_2(X1,X2) )).

cnf(i_0_1933,axiom,
    ( esk2558_2(X1,X2)
    | esk2557_2(X1,X2) )).

cnf(i_0_1934,axiom,
    ( ~ esk5148_2(X1,X2)
    | ~ esk5147_2(X1,X2) )).

cnf(i_0_1935,axiom,
    ( ~ esk4658_2(X1,X2)
    | esk4657_2(X1,X2) )).

cnf(i_0_1936,axiom,
    ( ~ esk1443_2(X1,X2)
    | ~ esk1447_2(X1,X2)
    | esk1448_2(X1,X2) )).

cnf(i_0_1937,axiom,
    ( ~ esk4682_2(X1,X2)
    | esk4678_2(X1,X2) )).

cnf(i_0_1938,axiom,
    ( ~ esk161_2(X1,X2)
    | esk4238_2(X1,X2)
    | ~ esk83_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_1939,axiom,
    ( ~ esk1450_2(X1,X2)
    | esk1449_2(X1,X2) )).

cnf(i_0_1940,axiom,
    ( esk4381_2(X1,X2)
    | esk4382_2(X1,X2) )).

cnf(i_0_1941,axiom,
    ( esk3555_2(X1,X2)
    | esk3554_2(X1,X2) )).

cnf(i_0_1942,axiom,
    ( ~ esk3586_2(X1,X2)
    | ~ esk3587_2(X1,X2) )).

cnf(i_0_1943,axiom,
    ( ~ esk204_2(X1,X2)
    | ~ esk203_2(X1,X2) )).

cnf(i_0_1944,axiom,
    ( ~ esk231_2(X1,X2)
    | esk5520_2(X1,X2)
    | esk2893_2(X1,X2) )).

cnf(i_0_1945,axiom,
    ( ~ esk2834_2(X1,X2)
    | ~ esk2833_2(X1,X2) )).

cnf(i_0_1946,axiom,
    ( esk86_2(X1,X2)
    | ~ esk1896_2(X1,X2) )).

cnf(i_0_1947,axiom,
    ( ~ esk2548_2(X1,X2)
    | esk2549_2(X1,X2)
    | ~ esk2545_2(X1,X2) )).

cnf(i_0_1948,axiom,
    ( ~ esk172_2(X1,X2)
    | ~ esk4366_2(X1,X2) )).

cnf(i_0_1949,axiom,
    ( ~ esk4944_2(X1,X2)
    | ~ esk3368_2(X1,X2) )).

cnf(i_0_1950,axiom,
    ( ~ esk1688_2(X1,X2)
    | ~ esk4341_2(X1,X2)
    | ~ esk5569_2(X1,X2) )).

cnf(i_0_1951,axiom,
    ( ~ esk2952_2(X1,X2)
    | esk2951_2(X1,X2) )).

cnf(i_0_1952,axiom,
    ( esk3328_2(X1,X2)
    | ~ esk124_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_1953,axiom,
    ( ~ esk1699_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_1954,axiom,
    ( ~ esk2339_2(X1,X2)
    | ~ esk2342_2(X1,X2) )).

cnf(i_0_1955,axiom,
    ( esk2146_2(X1,X2)
    | ~ esk2151_2(X1,X2) )).

cnf(i_0_1956,axiom,
    ( ~ esk3659_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_1957,axiom,
    ( esk1326_2(X1,X2)
    | esk1327_2(X1,X2) )).

cnf(i_0_1958,axiom,
    ( ~ esk1214_2(X1,X2)
    | ~ esk1215_2(X1,X2) )).

cnf(i_0_1959,axiom,
    ( ~ esk1107_2(X1,X2)
    | ~ esk1110_2(X1,X2) )).

cnf(i_0_1960,axiom,
    ( esk250_2(X1,X2)
    | ~ esk238_2(X1,X2)
    | ~ esk239_2(X1,X2) )).

cnf(i_0_1961,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3814_2(X1,X2) )).

cnf(i_0_1962,axiom,
    ( esk887_2(X1,X2)
    | esk888_2(X1,X2) )).

cnf(i_0_1963,axiom,
    ( ~ esk3058_2(X1,X2)
    | ~ esk3057_2(X1,X2) )).

cnf(i_0_1964,axiom,
    ( esk420_2(X1,X2)
    | esk422_2(X1,X2)
    | esk423_2(X1,X2) )).

cnf(i_0_1965,axiom,
    ( ~ esk4685_2(X1,X2)
    | esk4681_2(X1,X2) )).

cnf(i_0_1966,axiom,
    ( ~ esk3642_2(X1,X2)
    | esk3297_2(X1,X2) )).

cnf(i_0_1967,axiom,
    ( esk593_2(X1,X2)
    | ~ esk594_2(X1,X2) )).

cnf(i_0_1968,axiom,
    ( ~ esk764_2(X1,X2)
    | esk765_2(X1,X2)
    | ~ esk503_2(X1,X2) )).

cnf(i_0_1969,axiom,
    ( ~ esk3609_2(X1,X2)
    | ~ esk3610_2(X1,X2) )).

cnf(i_0_1970,axiom,
    ( esk3239_2(X1,X2)
    | esk3238_2(X1,X2) )).

cnf(i_0_1971,axiom,
    ( ~ esk3388_2(X1,X2)
    | esk4833_2(X1,X2)
    | ~ esk4832_2(X1,X2) )).

cnf(i_0_1972,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk1638_2(X1,X2) )).

cnf(i_0_1973,axiom,
    ( esk2880_2(X1,X2)
    | esk2881_2(X1,X2) )).

cnf(i_0_1974,axiom,
    ( ~ esk1695_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_1975,axiom,
    ( ~ esk1477_2(X1,X2)
    | esk1472_2(X1,X2) )).

cnf(i_0_1976,axiom,
    ( esk1743_2(X1,X2)
    | ~ esk1132_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk300_2(X1,X2) )).

cnf(i_0_1977,axiom,
    ( ~ esk3342_2(X1,X2)
    | esk3347_2(X1,X2)
    | ~ esk3346_2(X1,X2) )).

cnf(i_0_1978,axiom,
    ( ~ esk4790_2(X1,X2)
    | ~ esk4791_2(X1,X2) )).

cnf(i_0_1979,axiom,
    ( esk1110_2(X1,X2)
    | esk1111_2(X1,X2) )).

cnf(i_0_1980,axiom,
    ( ~ esk4816_2(X1,X2)
    | ~ esk4815_2(X1,X2) )).

cnf(i_0_1981,axiom,
    ( esk3215_2(X1,X2)
    | esk4000_2(X1,X2) )).

cnf(i_0_1982,axiom,
    ( esk2405_2(X1,X2)
    | esk2404_2(X1,X2) )).

cnf(i_0_1983,axiom,
    ( esk83_2(X1,X2)
    | ~ esk4247_2(X1,X2) )).

cnf(i_0_1984,axiom,
    ( ~ esk3858_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_1985,axiom,
    ( esk651_2(X1,X2)
    | esk1314_2(X1,X2) )).

cnf(i_0_1986,axiom,
    ( ~ esk2970_2(X1,X2)
    | esk2943_2(X1,X2) )).

cnf(i_0_1987,axiom,
    ( ~ esk2399_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_1988,axiom,
    ( ~ esk3165_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | esk3605_2(X1,X2) )).

cnf(i_0_1989,axiom,
    ( esk3741_2(X1,X2)
    | esk3740_2(X1,X2) )).

cnf(i_0_1990,axiom,
    ( ~ esk115_2(X1,X2)
    | ~ esk4600_2(X1,X2) )).

cnf(i_0_1991,axiom,
    ( ~ esk1277_2(X1,X2)
    | esk1281_2(X1,X2)
    | ~ esk1280_2(X1,X2) )).

cnf(i_0_1992,axiom,
    ( esk5126_2(X1,X2)
    | ~ esk5130_2(X1,X2) )).

cnf(i_0_1993,axiom,
    ( ~ esk1092_2(X1,X2)
    | ~ esk1093_2(X1,X2) )).

cnf(i_0_1994,axiom,
    ( esk5523_2(X1,X2)
    | esk254_2(X1,X2)
    | ~ esk2916_2(X1,X2) )).

cnf(i_0_1995,axiom,
    ( ~ esk1719_2(X1,X2)
    | ~ esk1720_2(X1,X2) )).

cnf(i_0_1996,axiom,
    ( ~ esk3438_2(X1,X2)
    | ~ esk4156_2(X1,X2)
    | esk4157_2(X1,X2) )).

cnf(i_0_1997,axiom,
    ( ~ esk5082_2(X1,X2)
    | esk5081_2(X1,X2) )).

cnf(i_0_1998,axiom,
    ( ~ esk2208_2(X1,X2)
    | ~ esk2204_2(X1,X2) )).

cnf(i_0_1999,axiom,
    ( ~ esk565_2(X1,X2)
    | ~ esk794_2(X1,X2) )).

cnf(i_0_2000,axiom,
    ( ~ esk5514_2(X1,X2)
    | esk205_2(X1,X2)
    | esk2867_2(X1,X2) )).

cnf(i_0_2001,axiom,
    ( esk4442_2(X1,X2)
    | esk4443_2(X1,X2) )).

cnf(i_0_2002,axiom,
    ( ~ esk1375_2(X1,X2)
    | esk1374_2(X1,X2) )).

cnf(i_0_2003,axiom,
    ( ~ esk4167_2(X1,X2)
    | ~ esk4166_2(X1,X2) )).

cnf(i_0_2004,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1621_2(X1,X2) )).

cnf(i_0_2005,axiom,
    ( ~ esk1085_2(X1,X2)
    | ~ esk1087_2(X1,X2) )).

cnf(i_0_2006,axiom,
    ( ~ esk5254_2(X1,X2)
    | esk5255_2(X1,X2)
    | ~ esk5228_2(X1,X2) )).

cnf(i_0_2007,axiom,
    ( esk2100_2(X1,X2)
    | ~ esk2104_2(X1,X2) )).

cnf(i_0_2008,axiom,
    ( ~ esk1089_2(X1,X2)
    | ~ esk1088_2(X1,X2) )).

cnf(i_0_2009,axiom,
    ( ~ esk1445_2(X1,X2)
    | esk1444_2(X1,X2) )).

cnf(i_0_2010,axiom,
    ( ~ esk4853_2(X1,X2)
    | ~ esk3266_2(X1,X2) )).

cnf(i_0_2011,axiom,
    ( ~ esk99_2(X1,X2)
    | esk3249_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_2012,axiom,
    ( ~ esk1186_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_2013,axiom,
    ( ~ esk3655_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_2014,axiom,
    ( ~ esk629_2(X1,X2)
    | ~ esk1527_2(X1,X2)
    | esk1528_2(X1,X2) )).

cnf(i_0_2015,axiom,
    ( ~ esk3932_2(X1,X2)
    | esk3931_2(X1,X2) )).

cnf(i_0_2016,axiom,
    ( ~ esk5147_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_2017,axiom,
    ( ~ esk5561_2(X1,X2)
    | ~ esk4284_2(X1,X2)
    | ~ esk1631_2(X1,X2) )).

cnf(i_0_2018,axiom,
    ( ~ esk2268_2(X1,X2)
    | esk2267_2(X1,X2) )).

cnf(i_0_2019,axiom,
    ( esk157_2(X1,X2)
    | ~ esk4414_2(X1,X2) )).

cnf(i_0_2020,axiom,
    ( ~ esk3260_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_2021,axiom,
    ( ~ esk837_2(X1,X2)
    | esk836_2(X1,X2) )).

cnf(i_0_2022,axiom,
    ( ~ esk5078_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_2023,axiom,
    ( esk166_2(X1,X2)
    | esk2862_2(X1,X2) )).

cnf(i_0_2024,axiom,
    ( ~ esk4214_2(X1,X2)
    | esk3758_2(X1,X2) )).

cnf(i_0_2025,axiom,
    ( esk5109_2(X1,X2)
    | ~ esk5115_2(X1,X2) )).

cnf(i_0_2026,axiom,
    ( ~ esk2930_2(X1,X2)
    | esk5525_2(X1,X2)
    | esk268_2(X1,X2) )).

cnf(i_0_2027,axiom,
    ( esk585_2(X1,X2)
    | ~ esk2642_2(X1,X2) )).

cnf(i_0_2028,axiom,
    ( esk2361_2(X1,X2)
    | esk2362_2(X1,X2) )).

cnf(i_0_2029,axiom,
    ( ~ esk1353_2(X1,X2)
    | esk1349_2(X1,X2) )).

cnf(i_0_2030,axiom,
    ( ~ esk4623_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_2031,axiom,
    ( ~ esk4478_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_2032,axiom,
    ( esk2743_2(X1,X2)
    | ~ esk2742_2(X1,X2)
    | ~ esk511_2(X1,X2) )).

cnf(i_0_2033,axiom,
    ( esk178_2(X1,X2)
    | ~ esk3821_2(X1,X2) )).

cnf(i_0_2034,axiom,
    ( esk3741_2(X1,X2)
    | ~ esk3780_2(X1,X2) )).

cnf(i_0_2035,axiom,
    ( ~ esk2175_2(X1,X2)
    | esk2170_2(X1,X2) )).

cnf(i_0_2036,axiom,
    ( ~ esk3250_2(X1,X2)
    | ~ esk3249_2(X1,X2) )).

cnf(i_0_2037,axiom,
    ( esk3536_2(X1,X2)
    | ~ esk3505_2(X1,X2)
    | ~ esk3535_2(X1,X2) )).

cnf(i_0_2038,axiom,
    ( ~ esk3738_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_2039,axiom,
    ( esk1512_2(X1,X2)
    | esk1497_2(X1,X2)
    | esk1511_2(X1,X2) )).

cnf(i_0_2040,axiom,
    ( esk148_2(X1,X2)
    | esk691_2(X1,X2) )).

cnf(i_0_2041,axiom,
    ( ~ esk2625_2(X1,X2)
    | ~ esk2624_2(X1,X2) )).

cnf(i_0_2042,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk413_2(X1,X2) )).

cnf(i_0_2043,axiom,
    ( ~ esk976_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_2044,axiom,
    ( ~ esk4709_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_2045,axiom,
    ( esk2004_2(X1,X2)
    | esk2003_2(X1,X2) )).

cnf(i_0_2046,axiom,
    ( ~ esk965_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | esk2501_2(X1,X2) )).

cnf(i_0_2047,axiom,
    ( esk306_2(X1,X2)
    | ~ esk1737_2(X1,X2) )).

cnf(i_0_2048,axiom,
    ( esk559_2(X1,X2)
    | ~ esk560_2(X1,X2) )).

cnf(i_0_2049,axiom,
    ( ~ esk3582_2(X1,X2)
    | ~ esk3588_2(X1,X2) )).

cnf(i_0_2050,axiom,
    ( ~ esk169_2(X1,X2)
    | ~ esk319_2(X1,X2) )).

cnf(i_0_2051,axiom,
    ( ~ esk4214_2(X1,X2)
    | esk4213_2(X1,X2) )).

cnf(i_0_2052,axiom,
    ( esk159_2(X1,X2)
    | ~ esk5302_2(X1,X2) )).

cnf(i_0_2053,axiom,
    ( esk3857_2(X1,X2)
    | esk3859_2(X1,X2)
    | esk3655_2(X1,X2)
    | esk3855_2(X1,X2)
    | esk3858_2(X1,X2)
    | esk3856_2(X1,X2) )).

cnf(i_0_2054,axiom,
    ( esk4325_2(X1,X2)
    | ~ esk4324_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_2055,axiom,
    ( esk3940_2(X1,X2)
    | ~ esk3295_2(X1,X2)
    | ~ esk3939_2(X1,X2) )).

cnf(i_0_2056,axiom,
    ( esk3863_2(X1,X2)
    | esk3862_2(X1,X2) )).

cnf(i_0_2057,axiom,
    ( esk3581_2(X1,X2)
    | esk3582_2(X1,X2) )).

cnf(i_0_2058,axiom,
    ( esk311_2(X1,X2)
    | ~ esk435_2(X1,X2) )).

cnf(i_0_2059,axiom,
    ( ~ esk5042_2(X1,X2)
    | ~ esk5043_2(X1,X2) )).

cnf(i_0_2060,axiom,
    ( ~ esk730_2(X1,X2)
    | ~ esk150_2(X1,X2)
    | esk731_2(X1,X2) )).

cnf(i_0_2061,axiom,
    ( ~ esk577_2(X1,X2)
    | ~ esk1355_2(X1,X2) )).

cnf(i_0_2062,axiom,
    ( ~ esk1689_2(X1,X2)
    | esk1072_2(X1,X2) )).

cnf(i_0_2063,axiom,
    ( ~ esk5336_2(X1,X2)
    | ~ esk5335_2(X1,X2) )).

cnf(i_0_2064,axiom,
    ( ~ esk128_2(X1,X2)
    | esk653_2(X1,X2)
    | ~ esk636_2(X1,X2) )).

cnf(i_0_2065,axiom,
    ( ~ esk2976_2(X1,X2)
    | ~ esk2972_2(X1,X2) )).

cnf(i_0_2066,axiom,
    ( ~ esk3716_2(X1,X2)
    | ~ esk3719_2(X1,X2)
    | esk3720_2(X1,X2) )).

cnf(i_0_2067,axiom,
    ( ~ esk4061_2(X1,X2)
    | ~ esk4059_2(X1,X2) )).

cnf(i_0_2068,axiom,
    ( ~ esk2027_2(X1,X2)
    | ~ esk2030_2(X1,X2) )).

cnf(i_0_2069,axiom,
    ( ~ esk5112_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_2070,axiom,
    ( ~ esk103_2(X1,X2)
    | esk2408_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | ~ esk2407_2(X1,X2) )).

cnf(i_0_2071,axiom,
    ( ~ esk1113_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_2072,axiom,
    ( ~ esk3649_2(X1,X2)
    | ~ esk3652_2(X1,X2) )).

cnf(i_0_2073,axiom,
    ( esk2290_2(X1,X2)
    | ~ esk2294_2(X1,X2) )).

cnf(i_0_2074,axiom,
    ( ~ esk983_2(X1,X2)
    | esk676_2(X1,X2) )).

cnf(i_0_2075,axiom,
    ( esk1178_2(X1,X2)
    | ~ esk1179_2(X1,X2) )).

cnf(i_0_2076,axiom,
    ( ~ esk678_2(X1,X2)
    | ~ esk679_2(X1,X2) )).

cnf(i_0_2077,axiom,
    ( esk1080_2(X1,X2)
    | ~ esk1081_2(X1,X2) )).

cnf(i_0_2078,axiom,
    ( esk4868_2(X1,X2)
    | esk4867_2(X1,X2) )).

cnf(i_0_2079,axiom,
    ( ~ esk4267_2(X1,X2)
    | ~ esk4269_2(X1,X2) )).

cnf(i_0_2080,axiom,
    ( ~ esk666_2(X1,X2)
    | esk124_2(X1,X2) )).

cnf(i_0_2081,axiom,
    ( ~ esk485_2(X1,X2)
    | ~ esk484_2(X1,X2) )).

cnf(i_0_2082,axiom,
    ( ~ esk167_2(X1,X2)
    | ~ esk198_2(X1,X2) )).

cnf(i_0_2083,axiom,
    ( ~ esk2808_2(X1,X2)
    | ~ esk2811_2(X1,X2) )).

cnf(i_0_2084,axiom,
    ( ~ esk2719_2(X1,X2)
    | esk2718_2(X1,X2) )).

cnf(i_0_2085,axiom,
    ( esk3298_2(X1,X2)
    | ~ esk3315_2(X1,X2) )).

cnf(i_0_2086,axiom,
    ( ~ esk2967_2(X1,X2)
    | ~ esk2966_2(X1,X2) )).

cnf(i_0_2087,axiom,
    ( esk4695_2(X1,X2)
    | ~ esk4696_2(X1,X2) )).

cnf(i_0_2088,axiom,
    ( esk5323_2(X1,X2)
    | esk5307_2(X1,X2) )).

cnf(i_0_2089,axiom,
    ( esk1351_2(X1,X2)
    | esk1352_2(X1,X2) )).

cnf(i_0_2090,axiom,
    ( esk2197_2(X1,X2)
    | ~ esk2321_2(X1,X2) )).

cnf(i_0_2091,axiom,
    ( ~ esk1911_2(X1,X2)
    | ~ esk1910_2(X1,X2) )).

cnf(i_0_2092,axiom,
    ( esk1234_2(X1,X2)
    | esk1233_2(X1,X2) )).

cnf(i_0_2093,axiom,
    ( esk3360_2(X1,X2)
    | ~ esk3371_2(X1,X2) )).

cnf(i_0_2094,axiom,
    ( esk2751_2(X1,X2)
    | ~ esk2750_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_2095,axiom,
    ( ~ esk4233_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk4321_2(X1,X2)
    | ~ esk73_2(X1,X2) )).

cnf(i_0_2096,axiom,
    ( ~ esk785_2(X1,X2)
    | ~ esk1227_2(X1,X2)
    | esk1228_2(X1,X2) )).

cnf(i_0_2097,axiom,
    ( ~ esk2164_2(X1,X2)
    | ~ esk2165_2(X1,X2) )).

cnf(i_0_2098,axiom,
    ( ~ esk3976_2(X1,X2)
    | ~ esk3301_2(X1,X2) )).

cnf(i_0_2099,axiom,
    ( esk367_2(X1,X2)
    | esk370_2(X1,X2)
    | esk369_2(X1,X2) )).

cnf(i_0_2100,axiom,
    ( ~ esk2321_2(X1,X2)
    | esk2320_2(X1,X2) )).

cnf(i_0_2101,axiom,
    ( esk3615_2(X1,X2)
    | ~ esk3259_2(X1,X2)
    | ~ esk3614_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_2102,axiom,
    ( ~ esk4856_2(X1,X2)
    | ~ esk4857_2(X1,X2) )).

cnf(i_0_2103,axiom,
    ( ~ esk1208_2(X1,X2)
    | esk1209_2(X1,X2)
    | ~ esk809_2(X1,X2) )).

cnf(i_0_2104,axiom,
    ( ~ esk1123_2(X1,X2)
    | ~ esk1122_2(X1,X2) )).

cnf(i_0_2105,axiom,
    ( ~ esk5409_2(X1,X2)
    | esk5405_2(X1,X2) )).

cnf(i_0_2106,axiom,
    ( ~ esk576_2(X1,X2)
    | ~ esk575_2(X1,X2) )).

cnf(i_0_2107,axiom,
    ( esk5161_2(X1,X2)
    | esk5160_2(X1,X2) )).

cnf(i_0_2108,axiom,
    ( esk176_2(X1,X2)
    | ~ esk5469_2(X1,X2) )).

cnf(i_0_2109,axiom,
    ( ~ esk4863_2(X1,X2)
    | esk4864_2(X1,X2)
    | ~ esk4860_2(X1,X2) )).

cnf(i_0_2110,axiom,
    ( ~ esk708_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | esk1017_2(X1,X2)
    | ~ esk1016_2(X1,X2) )).

cnf(i_0_2111,axiom,
    ( esk3405_2(X1,X2)
    | esk4966_2(X1,X2) )).

cnf(i_0_2112,axiom,
    ( esk142_2(X1,X2)
    | ~ esk3416_2(X1,X2) )).

cnf(i_0_2113,axiom,
    ( esk5289_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_2114,axiom,
    ( ~ esk698_2(X1,X2)
    | ~ esk697_2(X1,X2) )).

cnf(i_0_2115,axiom,
    ( ~ esk3661_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_2116,axiom,
    ( ~ esk5447_2(X1,X2)
    | esk5445_2(X1,X2) )).

cnf(i_0_2117,axiom,
    ( ~ esk4028_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_2118,axiom,
    ( esk3092_2(X1,X2)
    | esk3091_2(X1,X2) )).

cnf(i_0_2119,axiom,
    ( ~ esk1816_2(X1,X2)
    | esk1747_2(X1,X2) )).

cnf(i_0_2120,axiom,
    ( ~ esk5080_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_2121,axiom,
    ( ~ esk4662_2(X1,X2)
    | ~ esk4659_2(X1,X2) )).

cnf(i_0_2122,axiom,
    ( esk2415_2(X1,X2)
    | esk2416_2(X1,X2) )).

cnf(i_0_2123,axiom,
    ( ~ esk635_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_2124,axiom,
    ( ~ esk4424_2(X1,X2)
    | ~ esk4421_2(X1,X2) )).

cnf(i_0_2125,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk1286_2(X1,X2) )).

cnf(i_0_2126,axiom,
    ( ~ esk5442_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk5443_2(X1,X2) )).

cnf(i_0_2127,axiom,
    ( ~ esk3069_2(X1,X2)
    | ~ esk145_2(X1,X2)
    | esk3070_2(X1,X2)
    | ~ esk2973_2(X1,X2) )).

cnf(i_0_2128,axiom,
    ( ~ esk1967_2(X1,X2)
    | ~ esk1999_2(X1,X2)
    | ~ esk2025_2(X1,X2)
    | esk2033_2(X1,X2) )).

cnf(i_0_2129,axiom,
    ( ~ esk2105_2(X1,X2)
    | ~ esk2109_2(X1,X2)
    | esk2110_2(X1,X2) )).

cnf(i_0_2130,axiom,
    ( esk965_2(X1,X2)
    | ~ esk966_2(X1,X2) )).

cnf(i_0_2131,axiom,
    ( ~ esk4781_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_2132,axiom,
    ( esk3178_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_2133,axiom,
    ( ~ esk3318_2(X1,X2)
    | esk3382_2(X1,X2)
    | ~ esk3381_2(X1,X2) )).

cnf(i_0_2134,axiom,
    ( ~ esk3454_2(X1,X2)
    | ~ esk3455_2(X1,X2) )).

cnf(i_0_2135,axiom,
    ( ~ esk2572_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_2136,axiom,
    ( ~ esk5269_2(X1,X2)
    | ~ esk5270_2(X1,X2) )).

cnf(i_0_2137,axiom,
    ( esk1438_2(X1,X2)
    | esk1439_2(X1,X2) )).

cnf(i_0_2138,axiom,
    ( ~ esk3650_2(X1,X2)
    | esk4122_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_2139,axiom,
    ( ~ esk4259_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_2140,axiom,
    ( ~ esk3339_2(X1,X2)
    | ~ esk3341_2(X1,X2) )).

cnf(i_0_2141,axiom,
    ( ~ esk1702_2(X1,X2)
    | esk4355_2(X1,X2)
    | esk5571_2(X1,X2) )).

cnf(i_0_2142,axiom,
    ( esk396_2(X1,X2)
    | esk397_2(X1,X2) )).

cnf(i_0_2143,axiom,
    ( esk183_2(X1,X2)
    | esk133_2(X1,X2) )).

cnf(i_0_2144,axiom,
    ( esk4644_2(X1,X2)
    | esk4645_2(X1,X2) )).

cnf(i_0_2145,axiom,
    ( ~ esk1075_2(X1,X2)
    | ~ esk2490_2(X1,X2)
    | esk2491_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_2146,axiom,
    ( ~ esk1474_2(X1,X2)
    | esk1473_2(X1,X2) )).

cnf(i_0_2147,axiom,
    ( ~ esk2872_2(X1,X2)
    | ~ esk210_2(X1,X2)
    | ~ esk5517_2(X1,X2) )).

cnf(i_0_2148,axiom,
    ( esk1238_2(X1,X2)
    | ~ esk1607_2(X1,X2) )).

cnf(i_0_2149,axiom,
    ( ~ esk4484_2(X1,X2)
    | ~ esk4485_2(X1,X2) )).

cnf(i_0_2150,axiom,
    ( esk365_2(X1,X2)
    | esk364_2(X1,X2) )).

cnf(i_0_2151,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk407_2(X1,X2) )).

cnf(i_0_2152,axiom,
    ( ~ esk5151_2(X1,X2)
    | ~ esk5230_2(X1,X2) )).

cnf(i_0_2153,axiom,
    ( ~ esk2633_2(X1,X2)
    | ~ esk2632_2(X1,X2) )).

cnf(i_0_2154,axiom,
    ( ~ esk2329_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_2155,axiom,
    ( esk792_2(X1,X2)
    | esk793_2(X1,X2) )).

cnf(i_0_2156,axiom,
    ( ~ esk125_2(X1,X2)
    | ~ esk600_2(X1,X2) )).

cnf(i_0_2157,axiom,
    ( ~ esk1312_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_2158,axiom,
    ( esk126_2(X1,X2)
    | esk487_2(X1,X2) )).

cnf(i_0_2159,axiom,
    ( esk829_2(X1,X2)
    | esk830_2(X1,X2) )).

cnf(i_0_2160,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk691_2(X1,X2) )).

cnf(i_0_2161,axiom,
    ( esk4750_2(X1,X2)
    | ~ esk4755_2(X1,X2) )).

cnf(i_0_2162,axiom,
    ( esk4663_2(X1,X2)
    | esk4662_2(X1,X2) )).

cnf(i_0_2163,axiom,
    ( ~ esk1026_2(X1,X2)
    | esk1025_2(X1,X2) )).

cnf(i_0_2164,axiom,
    ( esk429_2(X1,X2)
    | esk137_2(X1,X2)
    | esk426_2(X1,X2)
    | esk428_2(X1,X2) )).

cnf(i_0_2165,axiom,
    ( esk1404_2(X1,X2)
    | ~ esk1409_2(X1,X2) )).

cnf(i_0_2166,axiom,
    ( ~ esk5250_2(X1,X2)
    | esk5245_2(X1,X2) )).

cnf(i_0_2167,axiom,
    ( esk2277_2(X1,X2)
    | ~ esk2278_2(X1,X2) )).

cnf(i_0_2168,axiom,
    ( ~ esk360_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_2169,axiom,
    ( ~ esk4312_2(X1,X2)
    | esk4233_2(X1,X2) )).

cnf(i_0_2170,axiom,
    ( esk5405_2(X1,X2)
    | esk5404_2(X1,X2) )).

cnf(i_0_2171,axiom,
    ( ~ esk3124_2(X1,X2)
    | ~ esk3121_2(X1,X2) )).

cnf(i_0_2172,axiom,
    ( esk5506_2(X1,X2)
    | esk191_2(X1,X2)
    | ~ esk2853_2(X1,X2) )).

cnf(i_0_2173,axiom,
    ( esk2640_2(X1,X2)
    | esk2639_2(X1,X2) )).

cnf(i_0_2174,axiom,
    ( esk2879_2(X1,X2)
    | ~ esk2892_2(X1,X2) )).

cnf(i_0_2175,axiom,
    ( ~ esk4723_2(X1,X2)
    | esk4718_2(X1,X2) )).

cnf(i_0_2176,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3790_2(X1,X2) )).

cnf(i_0_2177,axiom,
    ( ~ esk4908_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_2178,axiom,
    ( ~ esk3225_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_2179,axiom,
    ( ~ esk5022_2(X1,X2)
    | ~ esk5023_2(X1,X2) )).

cnf(i_0_2180,axiom,
    ( esk1643_2(X1,X2)
    | ~ esk4296_2(X1,X2)
    | esk5563_2(X1,X2) )).

cnf(i_0_2181,axiom,
    ( ~ esk3153_2(X1,X2)
    | ~ esk3415_2(X1,X2) )).

cnf(i_0_2182,axiom,
    ( ~ esk3660_2(X1,X2)
    | esk3471_2(X1,X2) )).

cnf(i_0_2183,axiom,
    ( esk1906_2(X1,X2)
    | esk1905_2(X1,X2) )).

cnf(i_0_2184,axiom,
    ( ~ esk923_2(X1,X2)
    | ~ esk924_2(X1,X2) )).

cnf(i_0_2185,axiom,
    ( ~ esk1078_2(X1,X2)
    | esk1077_2(X1,X2) )).

cnf(i_0_2186,axiom,
    ( esk125_2(X1,X2)
    | ~ esk666_2(X1,X2) )).

cnf(i_0_2187,axiom,
    ( ~ esk617_2(X1,X2)
    | ~ esk616_2(X1,X2) )).

cnf(i_0_2188,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3007_2(X1,X2) )).

cnf(i_0_2189,axiom,
    ( ~ esk4766_2(X1,X2)
    | ~ esk4767_2(X1,X2) )).

cnf(i_0_2190,axiom,
    ( ~ esk3608_2(X1,X2)
    | esk3173_2(X1,X2) )).

cnf(i_0_2191,axiom,
    ( ~ esk940_2(X1,X2)
    | ~ esk941_2(X1,X2) )).

cnf(i_0_2192,axiom,
    ( esk4868_2(X1,X2)
    | ~ esk4872_2(X1,X2) )).

cnf(i_0_2193,axiom,
    ( esk103_2(X1,X2)
    | ~ esk1770_2(X1,X2) )).

cnf(i_0_2194,axiom,
    ( esk2817_2(X1,X2)
    | esk2813_2(X1,X2)
    | esk2814_2(X1,X2)
    | esk2815_2(X1,X2)
    | esk2816_2(X1,X2) )).

cnf(i_0_2195,axiom,
    ( esk1122_2(X1,X2)
    | ~ esk1731_2(X1,X2) )).

cnf(i_0_2196,axiom,
    ( ~ esk2722_2(X1,X2)
    | esk2721_2(X1,X2) )).

cnf(i_0_2197,axiom,
    ( ~ esk3229_2(X1,X2)
    | ~ esk3230_2(X1,X2) )).

cnf(i_0_2198,axiom,
    ( esk212_2(X1,X2)
    | esk211_2(X1,X2) )).

cnf(i_0_2199,axiom,
    ( esk4058_2(X1,X2)
    | esk4052_2(X1,X2) )).

cnf(i_0_2200,axiom,
    ( ~ esk2910_2(X1,X2)
    | ~ esk2914_2(X1,X2) )).

cnf(i_0_2201,axiom,
    ( esk5284_2(X1,X2)
    | esk5285_2(X1,X2) )).

cnf(i_0_2202,axiom,
    ( esk1708_2(X1,X2)
    | esk1707_2(X1,X2) )).

cnf(i_0_2203,axiom,
    ( ~ esk2132_2(X1,X2)
    | ~ esk2133_2(X1,X2) )).

cnf(i_0_2204,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4470_2(X1,X2) )).

cnf(i_0_2205,axiom,
    ( esk3578_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_2206,axiom,
    ( ~ esk268_2(X1,X2)
    | esk267_2(X1,X2) )).

cnf(i_0_2207,axiom,
    ( ~ esk4238_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_2208,axiom,
    ( esk4817_2(X1,X2)
    | esk4818_2(X1,X2) )).

cnf(i_0_2209,axiom,
    ( esk5481_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk5480_2(X1,X2) )).

cnf(i_0_2210,axiom,
    ( ~ esk3727_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk3739_2(X1,X2)
    | ~ esk50_2(X1,X2) )).

cnf(i_0_2211,axiom,
    ( esk1961_2(X1,X2)
    | esk1960_2(X1,X2) )).

cnf(i_0_2212,axiom,
    ( ~ esk4780_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_2213,axiom,
    ( ~ esk1501_2(X1,X2)
    | ~ esk1499_2(X1,X2) )).

cnf(i_0_2214,axiom,
    ( ~ esk3006_2(X1,X2)
    | ~ esk3005_2(X1,X2) )).

cnf(i_0_2215,axiom,
    ( ~ esk984_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_2216,axiom,
    ( esk3435_2(X1,X2)
    | esk3436_2(X1,X2) )).

cnf(i_0_2217,axiom,
    ( esk3585_2(X1,X2)
    | ~ esk3586_2(X1,X2) )).

cnf(i_0_2218,axiom,
    ( esk3314_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_2219,axiom,
    ( esk137_2(X1,X2)
    | ~ esk3084_2(X1,X2) )).

cnf(i_0_2220,axiom,
    ( ~ esk126_2(X1,X2)
    | ~ esk91_2(X1,X2)
    | esk3187_2(X1,X2) )).

cnf(i_0_2221,axiom,
    ( ~ esk479_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_2222,axiom,
    ( ~ esk94_2(X1,X2)
    | esk2_0 )).

cnf(i_0_2223,axiom,
    ( esk1378_2(X1,X2)
    | esk1377_2(X1,X2) )).

cnf(i_0_2224,axiom,
    ( ~ esk368_2(X1,X2)
    | esk369_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_2225,axiom,
    ( ~ esk5523_2(X1,X2)
    | esk2916_2(X1,X2)
    | esk254_2(X1,X2) )).

cnf(i_0_2226,axiom,
    ( ~ esk2095_2(X1,X2)
    | ~ esk2092_2(X1,X2)
    | esk2096_2(X1,X2) )).

cnf(i_0_2227,axiom,
    ( ~ esk1844_2(X1,X2)
    | ~ esk1842_2(X1,X2) )).

cnf(i_0_2228,axiom,
    ( esk4757_2(X1,X2)
    | esk4758_2(X1,X2) )).

cnf(i_0_2229,axiom,
    ( esk5370_2(X1,X2)
    | ~ esk5375_2(X1,X2) )).

cnf(i_0_2230,axiom,
    ( ~ esk4707_2(X1,X2)
    | esk4720_2(X1,X2)
    | ~ esk4719_2(X1,X2) )).

cnf(i_0_2231,axiom,
    ( ~ esk1217_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_2232,axiom,
    ( esk3773_2(X1,X2)
    | ~ esk3757_2(X1,X2)
    | ~ esk3772_2(X1,X2) )).

cnf(i_0_2233,axiom,
    ( esk3471_2(X1,X2)
    | ~ esk3480_2(X1,X2) )).

cnf(i_0_2234,axiom,
    ( ~ esk3200_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_2235,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | esk1831_2(X1,X2)
    | ~ esk17_2(X1,X2) )).

cnf(i_0_2236,axiom,
    ( ~ esk831_2(X1,X2)
    | esk832_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_2237,axiom,
    ( esk4380_2(X1,X2)
    | esk4378_2(X1,X2)
    | esk4381_2(X1,X2)
    | esk4379_2(X1,X2)
    | esk4367_2(X1,X2) )).

cnf(i_0_2238,axiom,
    ( esk141_2(X1,X2)
    | ~ esk558_2(X1,X2) )).

cnf(i_0_2239,axiom,
    ( esk101_2(X1,X2)
    | ~ esk4420_2(X1,X2) )).

cnf(i_0_2240,axiom,
    ( ~ esk1325_2(X1,X2)
    | ~ esk1322_2(X1,X2)
    | esk1326_2(X1,X2) )).

cnf(i_0_2241,axiom,
    ( esk5498_2(X1,X2)
    | esk2845_2(X1,X2)
    | ~ esk183_2(X1,X2) )).

cnf(i_0_2242,axiom,
    ( ~ esk3253_2(X1,X2)
    | ~ esk3254_2(X1,X2) )).

cnf(i_0_2243,axiom,
    ( ~ esk1111_2(X1,X2)
    | ~ esk1110_2(X1,X2) )).

cnf(i_0_2244,axiom,
    ( ~ esk5027_2(X1,X2)
    | ~ esk5028_2(X1,X2) )).

cnf(i_0_2245,axiom,
    ( ~ esk2896_2(X1,X2)
    | ~ esk2897_2(X1,X2) )).

cnf(i_0_2246,axiom,
    ( esk4473_2(X1,X2)
    | esk4474_2(X1,X2) )).

cnf(i_0_2247,axiom,
    ( ~ esk2882_2(X1,X2)
    | ~ esk2884_2(X1,X2) )).

cnf(i_0_2248,axiom,
    ( ~ esk378_2(X1,X2)
    | esk377_2(X1,X2) )).

cnf(i_0_2249,axiom,
    ( ~ esk3829_2(X1,X2)
    | ~ esk3828_2(X1,X2) )).

cnf(i_0_2250,axiom,
    ( ~ esk855_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_2251,axiom,
    ( ~ esk4880_2(X1,X2)
    | esk4876_2(X1,X2) )).

cnf(i_0_2252,axiom,
    ( ~ esk2582_2(X1,X2)
    | ~ esk2579_2(X1,X2) )).

cnf(i_0_2253,axiom,
    ( esk4109_2(X1,X2)
    | esk4108_2(X1,X2) )).

cnf(i_0_2254,axiom,
    ( esk1920_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_2255,axiom,
    ( esk4206_2(X1,X2)
    | esk4207_2(X1,X2) )).

cnf(i_0_2256,axiom,
    ( esk4255_2(X1,X2)
    | esk4257_2(X1,X2)
    | esk4254_2(X1,X2)
    | esk4256_2(X1,X2)
    | esk4253_2(X1,X2) )).

cnf(i_0_2257,axiom,
    ( ~ esk1011_2(X1,X2)
    | esk1012_2(X1,X2)
    | ~ esk777_2(X1,X2) )).

cnf(i_0_2258,axiom,
    ( ~ esk3754_2(X1,X2)
    | ~ esk3758_2(X1,X2)
    | esk3759_2(X1,X2) )).

cnf(i_0_2259,axiom,
    ( esk1625_2(X1,X2)
    | ~ esk1841_2(X1,X2) )).

cnf(i_0_2260,axiom,
    ( ~ esk4307_2(X1,X2)
    | esk88_2(X1,X2) )).

cnf(i_0_2261,axiom,
    ( ~ esk5402_2(X1,X2)
    | ~ esk5401_2(X1,X2) )).

cnf(i_0_2262,axiom,
    ( ~ esk1999_2(X1,X2)
    | ~ esk1998_2(X1,X2) )).

cnf(i_0_2263,axiom,
    ( esk634_2(X1,X2)
    | ~ esk976_2(X1,X2) )).

cnf(i_0_2264,axiom,
    ( ~ esk3032_2(X1,X2)
    | ~ esk3029_2(X1,X2) )).

cnf(i_0_2265,axiom,
    ( ~ esk2100_2(X1,X2)
    | ~ esk2099_2(X1,X2) )).

cnf(i_0_2266,axiom,
    ( esk1061_2(X1,X2)
    | ~ esk1062_2(X1,X2) )).

cnf(i_0_2267,axiom,
    ( ~ esk5459_2(X1,X2)
    | ~ esk5457_2(X1,X2) )).

cnf(i_0_2268,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4315_2(X1,X2) )).

cnf(i_0_2269,axiom,
    ( ~ esk996_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_2270,axiom,
    ( esk4047_2(X1,X2)
    | ~ esk4051_2(X1,X2) )).

cnf(i_0_2271,axiom,
    ( ~ esk3958_2(X1,X2)
    | esk3957_2(X1,X2) )).

cnf(i_0_2272,axiom,
    ( ~ esk4520_2(X1,X2)
    | esk4443_2(X1,X2) )).

cnf(i_0_2273,axiom,
    ( ~ esk3883_2(X1,X2)
    | ~ esk3879_2(X1,X2)
    | esk3884_2(X1,X2) )).

cnf(i_0_2274,axiom,
    ( esk4417_2(X1,X2)
    | esk3542_2(X1,X2) )).

cnf(i_0_2275,axiom,
    ( ~ esk1726_2(X1,X2)
    | ~ esk1728_2(X1,X2) )).

cnf(i_0_2276,axiom,
    ( esk4572_2(X1,X2)
    | ~ esk4571_2(X1,X2)
    | ~ esk4566_2(X1,X2) )).

cnf(i_0_2277,axiom,
    ( ~ esk3701_2(X1,X2)
    | ~ esk3702_2(X1,X2) )).

cnf(i_0_2278,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1258_2(X1,X2) )).

cnf(i_0_2279,axiom,
    ( esk2705_2(X1,X2)
    | esk2706_2(X1,X2) )).

cnf(i_0_2280,axiom,
    ( esk3918_2(X1,X2)
    | ~ esk3919_2(X1,X2) )).

cnf(i_0_2281,axiom,
    ( ~ esk2810_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_2282,axiom,
    ( esk3840_2(X1,X2)
    | esk3839_2(X1,X2)
    | esk3841_2(X1,X2)
    | esk3826_2(X1,X2) )).

cnf(i_0_2283,axiom,
    ( esk5487_2(X1,X2)
    | esk5486_2(X1,X2) )).

cnf(i_0_2284,axiom,
    ( ~ esk5374_2(X1,X2)
    | esk5375_2(X1,X2)
    | ~ esk5370_2(X1,X2) )).

cnf(i_0_2285,axiom,
    ( esk142_2(X1,X2)
    | ~ esk2335_2(X1,X2) )).

cnf(i_0_2286,axiom,
    ( ~ esk731_2(X1,X2)
    | esk730_2(X1,X2) )).

cnf(i_0_2287,axiom,
    ( esk3430_2(X1,X2)
    | esk4100_2(X1,X2) )).

cnf(i_0_2288,axiom,
    ( ~ esk5404_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_2289,axiom,
    ( esk152_2(X1,X2)
    | esk3346_2(X1,X2) )).

cnf(i_0_2290,axiom,
    ( ~ esk431_2(X1,X2)
    | ~ esk432_2(X1,X2) )).

cnf(i_0_2291,axiom,
    ( ~ esk5003_2(X1,X2)
    | ~ esk5008_2(X1,X2)
    | esk5009_2(X1,X2) )).

cnf(i_0_2292,axiom,
    ( esk2935_2(X1,X2)
    | esk2936_2(X1,X2) )).

cnf(i_0_2293,axiom,
    ( esk3430_2(X1,X2)
    | esk4090_2(X1,X2) )).

cnf(i_0_2294,axiom,
    ( esk4581_2(X1,X2)
    | esk4582_2(X1,X2)
    | esk147_2(X1,X2)
    | esk4579_2(X1,X2) )).

cnf(i_0_2295,axiom,
    ( esk2187_2(X1,X2)
    | ~ esk2188_2(X1,X2) )).

cnf(i_0_2296,axiom,
    ( ~ esk3600_2(X1,X2)
    | ~ esk3601_2(X1,X2) )).

cnf(i_0_2297,axiom,
    ( ~ esk438_2(X1,X2)
    | ~ esk443_2(X1,X2)
    | esk444_2(X1,X2) )).

cnf(i_0_2298,axiom,
    ( esk5555_2(X1,X2)
    | ~ esk4241_2(X1,X2)
    | esk1588_2(X1,X2) )).

cnf(i_0_2299,axiom,
    ( ~ esk607_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_2300,axiom,
    ( esk1898_2(X1,X2)
    | esk1899_2(X1,X2) )).

cnf(i_0_2301,axiom,
    ( ~ esk4346_2(X1,X2)
    | ~ esk4347_2(X1,X2) )).

cnf(i_0_2302,axiom,
    ( esk605_2(X1,X2)
    | ~ esk1109_2(X1,X2) )).

cnf(i_0_2303,axiom,
    ( ~ esk4277_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_2304,axiom,
    ( esk103_2(X1,X2)
    | ~ esk284_2(X1,X2) )).

cnf(i_0_2305,axiom,
    ( esk3733_2(X1,X2)
    | esk3455_2(X1,X2) )).

cnf(i_0_2306,axiom,
    ( esk4634_2(X1,X2)
    | ~ esk4635_2(X1,X2) )).

cnf(i_0_2307,axiom,
    ( esk2577_2(X1,X2)
    | esk2578_2(X1,X2) )).

cnf(i_0_2308,axiom,
    ( esk5299_2(X1,X2)
    | esk5298_2(X1,X2) )).

cnf(i_0_2309,axiom,
    ( esk4630_2(X1,X2)
    | esk4631_2(X1,X2) )).

cnf(i_0_2310,axiom,
    ( ~ esk306_2(X1,X2)
    | ~ esk305_2(X1,X2) )).

cnf(i_0_2311,axiom,
    ( ~ esk4519_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_2312,axiom,
    ( ~ esk4480_2(X1,X2)
    | esk5587_2(X1,X2)
    | esk1827_2(X1,X2) )).

cnf(i_0_2313,axiom,
    ( esk4413_2(X1,X2)
    | esk4412_2(X1,X2) )).

cnf(i_0_2314,axiom,
    ( esk3477_2(X1,X2)
    | ~ esk3478_2(X1,X2) )).

cnf(i_0_2315,axiom,
    ( esk1568_2(X1,X2)
    | esk1567_2(X1,X2) )).

cnf(i_0_2316,axiom,
    ( ~ esk652_2(X1,X2)
    | ~ esk651_2(X1,X2) )).

cnf(i_0_2317,axiom,
    ( esk714_2(X1,X2)
    | ~ esk715_2(X1,X2) )).

cnf(i_0_2318,axiom,
    ( ~ esk3850_2(X1,X2)
    | ~ esk3851_2(X1,X2) )).

cnf(i_0_2319,axiom,
    ( esk2863_2(X1,X2)
    | esk2864_2(X1,X2) )).

cnf(i_0_2320,axiom,
    ( ~ esk3340_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_2321,axiom,
    ( esk340_2(X1,X2)
    | ~ esk343_2(X1,X2) )).

cnf(i_0_2322,axiom,
    ( ~ esk5016_2(X1,X2)
    | esk5015_2(X1,X2) )).

cnf(i_0_2323,axiom,
    ( ~ esk4971_2(X1,X2)
    | ~ esk4970_2(X1,X2) )).

cnf(i_0_2324,axiom,
    ( ~ esk351_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_2325,axiom,
    ( ~ esk5181_2(X1,X2)
    | ~ esk5182_2(X1,X2) )).

cnf(i_0_2326,axiom,
    ( ~ esk3839_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_2327,axiom,
    ( ~ esk4363_2(X1,X2)
    | esk180_2(X1,X2) )).

cnf(i_0_2328,axiom,
    ( esk1152_2(X1,X2)
    | ~ esk1682_2(X1,X2) )).

cnf(i_0_2329,axiom,
    ( ~ esk4022_2(X1,X2)
    | esk4021_2(X1,X2) )).

cnf(i_0_2330,axiom,
    ( ~ esk680_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | esk984_2(X1,X2) )).

cnf(i_0_2331,axiom,
    ( esk4234_2(X1,X2)
    | ~ esk4312_2(X1,X2) )).

cnf(i_0_2332,axiom,
    ( ~ esk1963_2(X1,X2)
    | ~ esk1964_2(X1,X2) )).

cnf(i_0_2333,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk2013_2(X1,X2) )).

cnf(i_0_2334,axiom,
    ( ~ esk4906_2(X1,X2)
    | esk4967_2(X1,X2)
    | ~ esk4966_2(X1,X2) )).

cnf(i_0_2335,axiom,
    ( ~ esk4299_2(X1,X2)
    | esk26_2(X1,X2) )).

cnf(i_0_2336,axiom,
    ( esk209_2(X1,X2)
    | esk206_2(X1,X2) )).

cnf(i_0_2337,axiom,
    ( ~ esk3940_2(X1,X2)
    | esk3939_2(X1,X2) )).

cnf(i_0_2338,axiom,
    ( esk3053_2(X1,X2)
    | ~ esk4451_2(X1,X2) )).

cnf(i_0_2339,axiom,
    ( ~ esk5048_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_2340,axiom,
    ( ~ esk3877_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_2341,axiom,
    ( ~ esk3198_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_2342,axiom,
    ( ~ esk1235_2(X1,X2)
    | esk1234_2(X1,X2) )).

cnf(i_0_2343,axiom,
    ( esk2282_2(X1,X2)
    | ~ esk2286_2(X1,X2) )).

cnf(i_0_2344,axiom,
    ( ~ esk1841_2(X1,X2)
    | ~ esk1844_2(X1,X2) )).

cnf(i_0_2345,axiom,
    ( esk5333_2(X1,X2)
    | esk5332_2(X1,X2) )).

cnf(i_0_2346,axiom,
    ( ~ esk4589_2(X1,X2)
    | esk4588_2(X1,X2) )).

cnf(i_0_2347,axiom,
    ( ~ esk973_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_2348,axiom,
    ( ~ esk2281_2(X1,X2)
    | ~ esk2282_2(X1,X2) )).

cnf(i_0_2349,axiom,
    ( esk1075_2(X1,X2)
    | ~ esk2782_2(X1,X2) )).

cnf(i_0_2350,axiom,
    ( ~ esk271_2(X1,X2)
    | esk270_2(X1,X2) )).

cnf(i_0_2351,axiom,
    ( esk1299_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_2352,axiom,
    ( esk2772_2(X1,X2)
    | esk2773_2(X1,X2) )).

cnf(i_0_2353,axiom,
    ( ~ esk4771_2(X1,X2)
    | esk4770_2(X1,X2) )).

cnf(i_0_2354,axiom,
    ( esk537_2(X1,X2)
    | ~ esk562_2(X1,X2) )).

cnf(i_0_2355,axiom,
    ( esk5345_2(X1,X2)
    | esk5346_2(X1,X2) )).

cnf(i_0_2356,axiom,
    ( esk105_2(X1,X2)
    | ~ esk3127_2(X1,X2) )).

cnf(i_0_2357,axiom,
    ( ~ esk252_2(X1,X2)
    | ~ esk248_2(X1,X2) )).

cnf(i_0_2358,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2395_2(X1,X2) )).

cnf(i_0_2359,axiom,
    ( ~ esk3297_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_2360,axiom,
    ( ~ esk2437_2(X1,X2)
    | ~ esk2436_2(X1,X2) )).

cnf(i_0_2361,axiom,
    ( ~ esk163_2(X1,X2)
    | esk4556_2(X1,X2)
    | ~ esk85_2(X1,X2)
    | ~ esk4333_2(X1,X2) )).

cnf(i_0_2362,axiom,
    ( ~ esk4033_2(X1,X2)
    | esk3165_2(X1,X2) )).

cnf(i_0_2363,axiom,
    ( ~ esk528_2(X1,X2)
    | ~ esk527_2(X1,X2)
    | esk529_2(X1,X2) )).

cnf(i_0_2364,axiom,
    ( esk4020_2(X1,X2)
    | esk4021_2(X1,X2) )).

cnf(i_0_2365,axiom,
    ( ~ esk1221_2(X1,X2)
    | ~ esk1237_2(X1,X2) )).

cnf(i_0_2366,axiom,
    ( ~ esk2561_2(X1,X2)
    | ~ esk2564_2(X1,X2)
    | esk2565_2(X1,X2) )).

cnf(i_0_2367,axiom,
    ( ~ esk2799_2(X1,X2)
    | ~ esk2802_2(X1,X2) )).

cnf(i_0_2368,axiom,
    ( esk2667_2(X1,X2)
    | ~ esk2668_2(X1,X2) )).

cnf(i_0_2369,axiom,
    ( ~ esk165_2(X1,X2)
    | esk2906_2(X1,X2)
    | ~ esk2901_2(X1,X2) )).

cnf(i_0_2370,axiom,
    ( ~ esk966_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_2371,axiom,
    ( ~ esk102_2(X1,X2)
    | esk4654_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_2372,axiom,
    ( ~ esk4947_2(X1,X2)
    | esk4943_2(X1,X2) )).

cnf(i_0_2373,axiom,
    ( ~ esk2112_2(X1,X2)
    | esk2108_2(X1,X2) )).

cnf(i_0_2374,axiom,
    ( ~ esk3987_2(X1,X2)
    | esk3983_2(X1,X2) )).

cnf(i_0_2375,axiom,
    ( ~ esk630_2(X1,X2)
    | esk600_2(X1,X2) )).

cnf(i_0_2376,axiom,
    ( ~ esk245_2(X1,X2)
    | ~ esk242_2(X1,X2) )).

cnf(i_0_2377,axiom,
    ( esk104_2(X1,X2)
    | ~ esk1948_2(X1,X2) )).

cnf(i_0_2378,axiom,
    ( esk2955_2(X1,X2)
    | ~ esk2949_2(X1,X2)
    | ~ esk2954_2(X1,X2) )).

cnf(i_0_2379,axiom,
    ( ~ esk2679_2(X1,X2)
    | esk2674_2(X1,X2) )).

cnf(i_0_2380,axiom,
    ( ~ esk114_2(X1,X2)
    | esk1389_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_2381,axiom,
    ( esk3583_2(X1,X2)
    | ~ esk3584_2(X1,X2) )).

cnf(i_0_2382,axiom,
    ( ~ esk573_2(X1,X2)
    | ~ esk597_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | esk964_2(X1,X2)
    | ~ esk963_2(X1,X2) )).

cnf(i_0_2383,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk2958_2(X1,X2)
    | esk2959_2(X1,X2) )).

cnf(i_0_2384,axiom,
    ( ~ esk4337_2(X1,X2)
    | ~ esk4339_2(X1,X2) )).

cnf(i_0_2385,axiom,
    ( ~ esk166_2(X1,X2)
    | ~ esk2862_2(X1,X2) )).

cnf(i_0_2386,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5225_2(X1,X2) )).

cnf(i_0_2387,axiom,
    ( esk527_2(X1,X2)
    | esk1395_2(X1,X2) )).

cnf(i_0_2388,axiom,
    ( ~ esk5074_2(X1,X2)
    | ~ esk5071_2(X1,X2) )).

cnf(i_0_2389,axiom,
    ( ~ esk3265_2(X1,X2)
    | ~ esk3264_2(X1,X2) )).

cnf(i_0_2390,axiom,
    ( ~ esk3536_2(X1,X2)
    | esk3535_2(X1,X2) )).

cnf(i_0_2391,axiom,
    ( ~ esk1993_2(X1,X2)
    | ~ esk1994_2(X1,X2) )).

cnf(i_0_2392,axiom,
    ( ~ esk4571_2(X1,X2)
    | ~ esk4570_2(X1,X2) )).

cnf(i_0_2393,axiom,
    ( esk2505_2(X1,X2)
    | ~ esk2509_2(X1,X2) )).

cnf(i_0_2394,axiom,
    ( ~ esk3455_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | esk3912_2(X1,X2) )).

cnf(i_0_2395,axiom,
    ( esk3201_2(X1,X2)
    | esk3202_2(X1,X2)
    | esk3200_2(X1,X2) )).

cnf(i_0_2396,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4496_2(X1,X2) )).

cnf(i_0_2397,axiom,
    ( esk2506_2(X1,X2)
    | esk2502_2(X1,X2) )).

cnf(i_0_2398,axiom,
    ( ~ esk2592_2(X1,X2)
    | ~ esk2591_2(X1,X2) )).

cnf(i_0_2399,axiom,
    ( ~ esk4197_2(X1,X2)
    | ~ esk4198_2(X1,X2) )).

cnf(i_0_2400,axiom,
    ( esk1001_2(X1,X2)
    | esk1005_2(X1,X2)
    | esk1007_2(X1,X2)
    | esk1010_2(X1,X2)
    | esk1003_2(X1,X2)
    | esk1009_2(X1,X2) )).

cnf(i_0_2401,axiom,
    ( esk568_2(X1,X2)
    | ~ esk572_2(X1,X2) )).

cnf(i_0_2402,axiom,
    ( ~ esk4601_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_2403,axiom,
    ( ~ esk1161_2(X1,X2)
    | ~ esk1162_2(X1,X2) )).

cnf(i_0_2404,axiom,
    ( ~ esk2758_2(X1,X2)
    | ~ esk2757_2(X1,X2) )).

cnf(i_0_2405,axiom,
    ( esk3197_2(X1,X2)
    | ~ esk3198_2(X1,X2) )).

cnf(i_0_2406,axiom,
    ( ~ esk2663_2(X1,X2)
    | esk2662_2(X1,X2) )).

cnf(i_0_2407,axiom,
    ( ~ esk4499_2(X1,X2)
    | esk4412_2(X1,X2) )).

cnf(i_0_2408,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4550_2(X1,X2) )).

cnf(i_0_2409,axiom,
    ( ~ esk826_2(X1,X2)
    | ~ esk827_2(X1,X2) )).

cnf(i_0_2410,axiom,
    ( esk61_2(X1,X2)
    | ~ esk1169_2(X1,X2) )).

cnf(i_0_2411,axiom,
    ( ~ esk1125_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_2412,axiom,
    ( ~ esk1059_2(X1,X2)
    | ~ esk1058_2(X1,X2) )).

cnf(i_0_2413,axiom,
    ( ~ esk329_2(X1,X2)
    | ~ esk330_2(X1,X2) )).

cnf(i_0_2414,axiom,
    ( ~ esk3888_2(X1,X2)
    | ~ esk3890_2(X1,X2) )).

cnf(i_0_2415,axiom,
    ( esk5145_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | ~ esk3614_2(X1,X2) )).

cnf(i_0_2416,axiom,
    ( esk515_2(X1,X2)
    | ~ esk950_2(X1,X2) )).

cnf(i_0_2417,axiom,
    ( ~ esk1628_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_2418,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk5396_2(X1,X2) )).

cnf(i_0_2419,axiom,
    ( ~ esk1527_2(X1,X2)
    | ~ esk975_2(X1,X2) )).

cnf(i_0_2420,axiom,
    ( ~ esk757_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_2421,axiom,
    ( esk1440_2(X1,X2)
    | ~ esk1436_2(X1,X2)
    | ~ esk1439_2(X1,X2) )).

cnf(i_0_2422,axiom,
    ( ~ esk177_2(X1,X2)
    | esk1629_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk16_2(X1,X2) )).

cnf(i_0_2423,axiom,
    ( ~ esk4536_2(X1,X2)
    | ~ esk4537_2(X1,X2) )).

cnf(i_0_2424,axiom,
    ( ~ esk4494_2(X1,X2)
    | esk4278_2(X1,X2) )).

cnf(i_0_2425,axiom,
    ( ~ esk4464_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_2426,axiom,
    ( ~ esk3858_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_2427,axiom,
    ( esk4181_2(X1,X2)
    | ~ esk4180_2(X1,X2)
    | ~ esk3291_2(X1,X2) )).

cnf(i_0_2428,axiom,
    ( ~ esk143_2(X1,X2)
    | ~ esk3255_2(X1,X2)
    | esk3256_2(X1,X2) )).

cnf(i_0_2429,axiom,
    ( esk2542_2(X1,X2)
    | ~ esk2547_2(X1,X2) )).

cnf(i_0_2430,axiom,
    ( esk863_2(X1,X2)
    | esk866_2(X1,X2)
    | esk865_2(X1,X2) )).

cnf(i_0_2431,axiom,
    ( esk1849_2(X1,X2)
    | esk1847_2(X1,X2)
    | esk1846_2(X1,X2)
    | esk1848_2(X1,X2)
    | esk1850_2(X1,X2) )).

cnf(i_0_2432,axiom,
    ( ~ esk1418_2(X1,X2)
    | ~ esk1763_2(X1,X2) )).

cnf(i_0_2433,axiom,
    ( ~ esk1500_2(X1,X2)
    | esk760_2(X1,X2) )).

cnf(i_0_2434,axiom,
    ( ~ esk3362_2(X1,X2)
    | esk3361_2(X1,X2) )).

cnf(i_0_2435,axiom,
    ( ~ esk3503_2(X1,X2)
    | ~ esk3502_2(X1,X2) )).

cnf(i_0_2436,axiom,
    ( esk707_2(X1,X2)
    | ~ esk709_2(X1,X2) )).

cnf(i_0_2437,axiom,
    ( ~ esk4512_2(X1,X2)
    | ~ esk4516_2(X1,X2) )).

cnf(i_0_2438,axiom,
    ( esk5211_2(X1,X2)
    | esk5210_2(X1,X2) )).

cnf(i_0_2439,axiom,
    ( esk4078_2(X1,X2)
    | esk4079_2(X1,X2) )).

cnf(i_0_2440,axiom,
    ( ~ esk4063_2(X1,X2)
    | esk4068_2(X1,X2)
    | ~ esk4067_2(X1,X2) )).

cnf(i_0_2441,axiom,
    ( esk123_2(X1,X2)
    | esk861_2(X1,X2) )).

cnf(i_0_2442,axiom,
    ( esk5080_2(X1,X2)
    | esk5081_2(X1,X2) )).

cnf(i_0_2443,axiom,
    ( ~ esk2274_2(X1,X2)
    | esk2278_2(X1,X2)
    | ~ esk2277_2(X1,X2) )).

cnf(i_0_2444,axiom,
    ( esk2907_2(X1,X2)
    | esk2903_2(X1,X2)
    | esk2904_2(X1,X2)
    | esk2905_2(X1,X2)
    | esk2906_2(X1,X2) )).

cnf(i_0_2445,axiom,
    ( ~ esk126_2(X1,X2)
    | ~ esk3149_2(X1,X2) )).

cnf(i_0_2446,axiom,
    ( ~ esk2400_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_2447,axiom,
    ( esk3552_2(X1,X2)
    | esk3553_2(X1,X2) )).

cnf(i_0_2448,axiom,
    ( ~ esk1570_2(X1,X2)
    | esk1565_2(X1,X2) )).

cnf(i_0_2449,axiom,
    ( ~ esk3723_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_2450,axiom,
    ( ~ esk3679_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_2451,axiom,
    ( ~ esk2983_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_2452,axiom,
    ( esk4567_2(X1,X2)
    | esk4570_2(X1,X2)
    | esk4569_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_2453,axiom,
    ( esk1027_2(X1,X2)
    | ~ esk2055_2(X1,X2) )).

cnf(i_0_2454,axiom,
    ( ~ esk1896_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_2455,axiom,
    ( ~ esk4158_2(X1,X2)
    | esk4162_2(X1,X2)
    | ~ esk4161_2(X1,X2) )).

cnf(i_0_2456,axiom,
    ( ~ esk1164_2(X1,X2)
    | ~ esk1165_2(X1,X2) )).

cnf(i_0_2457,axiom,
    ( ~ esk675_2(X1,X2)
    | ~ esk676_2(X1,X2) )).

cnf(i_0_2458,axiom,
    ( esk3411_2(X1,X2)
    | esk3412_2(X1,X2) )).

cnf(i_0_2459,axiom,
    ( ~ esk637_2(X1,X2)
    | esk127_2(X1,X2) )).

cnf(i_0_2460,axiom,
    ( ~ esk3498_2(X1,X2)
    | ~ esk3497_2(X1,X2) )).

cnf(i_0_2461,axiom,
    ( esk54_2(X1,X2)
    | ~ esk1745_2(X1,X2) )).

cnf(i_0_2462,axiom,
    ( esk2891_2(X1,X2)
    | esk2890_2(X1,X2) )).

cnf(i_0_2463,axiom,
    ( esk4258_2(X1,X2)
    | esk4257_2(X1,X2) )).

cnf(i_0_2464,axiom,
    ( esk3158_2(X1,X2)
    | esk3159_2(X1,X2) )).

cnf(i_0_2465,axiom,
    ( esk1460_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | ~ esk1459_2(X1,X2) )).

cnf(i_0_2466,axiom,
    ( esk600_2(X1,X2)
    | ~ esk618_2(X1,X2) )).

cnf(i_0_2467,axiom,
    ( esk3695_2(X1,X2)
    | ~ esk3705_2(X1,X2) )).

cnf(i_0_2468,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk1802_2(X1,X2)
    | esk1829_2(X1,X2)
    | ~ esk1599_2(X1,X2) )).

cnf(i_0_2469,axiom,
    ( esk989_2(X1,X2)
    | ~ esk988_2(X1,X2)
    | ~ esk635_2(X1,X2) )).

cnf(i_0_2470,axiom,
    ( ~ esk976_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_2471,axiom,
    ( esk2511_2(X1,X2)
    | esk2510_2(X1,X2) )).

cnf(i_0_2472,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1869_2(X1,X2) )).

cnf(i_0_2473,axiom,
    ( ~ esk2777_2(X1,X2)
    | ~ esk2651_2(X1,X2) )).

cnf(i_0_2474,axiom,
    ( ~ esk3852_2(X1,X2)
    | esk4435_2(X1,X2)
    | ~ esk48_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_2475,axiom,
    ( esk617_2(X1,X2)
    | ~ esk1563_2(X1,X2) )).

cnf(i_0_2476,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1854_2(X1,X2) )).

cnf(i_0_2477,axiom,
    ( esk728_2(X1,X2)
    | esk729_2(X1,X2) )).

cnf(i_0_2478,axiom,
    ( esk1856_2(X1,X2)
    | esk1857_2(X1,X2) )).

cnf(i_0_2479,axiom,
    ( ~ esk2510_2(X1,X2)
    | ~ esk2511_2(X1,X2) )).

cnf(i_0_2480,axiom,
    ( ~ esk5391_2(X1,X2)
    | esk5390_2(X1,X2) )).

cnf(i_0_2481,axiom,
    ( ~ esk2987_2(X1,X2)
    | ~ esk2986_2(X1,X2) )).

cnf(i_0_2482,axiom,
    ( esk4751_2(X1,X2)
    | esk4750_2(X1,X2) )).

cnf(i_0_2483,axiom,
    ( ~ esk3846_2(X1,X2)
    | ~ esk3850_2(X1,X2) )).

cnf(i_0_2484,axiom,
    ( ~ esk4297_2(X1,X2)
    | ~ esk4301_2(X1,X2) )).

cnf(i_0_2485,axiom,
    ( ~ esk2896_2(X1,X2)
    | ~ esk2895_2(X1,X2) )).

cnf(i_0_2486,axiom,
    ( esk2085_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_2487,axiom,
    ( ~ esk4997_2(X1,X2)
    | ~ esk5013_2(X1,X2) )).

cnf(i_0_2488,axiom,
    ( ~ esk3212_2(X1,X2)
    | ~ esk3214_2(X1,X2) )).

cnf(i_0_2489,axiom,
    ( esk4568_2(X1,X2)
    | ~ esk4569_2(X1,X2) )).

cnf(i_0_2490,axiom,
    ( ~ esk3441_2(X1,X2)
    | esk3440_2(X1,X2) )).

cnf(i_0_2491,axiom,
    ( esk3046_2(X1,X2)
    | esk3047_2(X1,X2) )).

cnf(i_0_2492,axiom,
    ( esk640_2(X1,X2)
    | ~ esk641_2(X1,X2) )).

cnf(i_0_2493,axiom,
    ( esk178_2(X1,X2)
    | ~ esk1149_2(X1,X2) )).

cnf(i_0_2494,axiom,
    ( esk3216_2(X1,X2)
    | ~ esk3217_2(X1,X2) )).

cnf(i_0_2495,axiom,
    ( ~ esk2029_2(X1,X2)
    | ~ esk2030_2(X1,X2) )).

cnf(i_0_2496,axiom,
    ( esk837_2(X1,X2)
    | esk838_2(X1,X2) )).

cnf(i_0_2497,axiom,
    ( ~ esk500_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_2498,axiom,
    ( esk2853_2(X1,X2)
    | esk191_2(X1,X2)
    | ~ esk5506_2(X1,X2) )).

cnf(i_0_2499,axiom,
    ( esk3211_2(X1,X2)
    | ~ esk5181_2(X1,X2) )).

cnf(i_0_2500,axiom,
    ( esk20_2(X1,X2)
    | ~ esk1819_2(X1,X2) )).

cnf(i_0_2501,axiom,
    ( ~ esk1274_2(X1,X2)
    | esk5550_2(X1,X2)
    | esk3927_2(X1,X2) )).

cnf(i_0_2502,axiom,
    ( esk817_2(X1,X2)
    | ~ esk818_2(X1,X2) )).

cnf(i_0_2503,axiom,
    ( esk5215_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_2504,axiom,
    ( ~ esk1135_2(X1,X2)
    | esk647_2(X1,X2) )).

cnf(i_0_2505,axiom,
    ( ~ esk1019_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_2506,axiom,
    ( esk503_2(X1,X2)
    | esk1382_2(X1,X2) )).

cnf(i_0_2507,axiom,
    ( ~ esk737_2(X1,X2)
    | ~ esk740_2(X1,X2)
    | esk741_2(X1,X2) )).

cnf(i_0_2508,axiom,
    ( esk1171_2(X1,X2)
    | ~ esk1606_2(X1,X2) )).

cnf(i_0_2509,axiom,
    ( esk791_2(X1,X2)
    | esk790_2(X1,X2) )).

cnf(i_0_2510,axiom,
    ( ~ esk5484_2(X1,X2)
    | ~ esk5482_2(X1,X2) )).

cnf(i_0_2511,axiom,
    ( esk4510_2(X1,X2)
    | esk4509_2(X1,X2) )).

cnf(i_0_2512,axiom,
    ( esk2568_2(X1,X2)
    | ~ esk2708_2(X1,X2) )).

cnf(i_0_2513,axiom,
    ( ~ esk4793_2(X1,X2)
    | esk4792_2(X1,X2) )).

cnf(i_0_2514,axiom,
    ( ~ esk1036_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_2515,axiom,
    ( ~ esk5439_2(X1,X2)
    | ~ esk5438_2(X1,X2) )).

cnf(i_0_2516,axiom,
    ( esk4877_2(X1,X2)
    | ~ esk4878_2(X1,X2) )).

cnf(i_0_2517,axiom,
    ( esk589_2(X1,X2)
    | esk588_2(X1,X2) )).

cnf(i_0_2518,axiom,
    ( esk4244_2(X1,X2)
    | ~ esk3708_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | ~ esk4243_2(X1,X2) )).

cnf(i_0_2519,axiom,
    ( ~ esk2901_2(X1,X2)
    | ~ esk2868_2(X1,X2) )).

cnf(i_0_2520,axiom,
    ( ~ esk823_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_2521,axiom,
    ( ~ esk1836_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_2522,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk5476_2(X1,X2) )).

cnf(i_0_2523,axiom,
    ( ~ esk101_2(X1,X2)
    | ~ esk1761_2(X1,X2)
    | ~ esk1766_2(X1,X2)
    | esk1767_2(X1,X2) )).

cnf(i_0_2524,axiom,
    ( ~ esk4036_2(X1,X2)
    | ~ esk4037_2(X1,X2) )).

cnf(i_0_2525,axiom,
    ( ~ esk417_2(X1,X2)
    | ~ esk418_2(X1,X2) )).

cnf(i_0_2526,axiom,
    ( ~ esk126_2(X1,X2)
    | esk563_2(X1,X2)
    | ~ esk108_2(X1,X2) )).

cnf(i_0_2527,axiom,
    ( ~ esk558_2(X1,X2)
    | esk557_2(X1,X2) )).

cnf(i_0_2528,axiom,
    ( esk3368_2(X1,X2)
    | esk3367_2(X1,X2) )).

cnf(i_0_2529,axiom,
    ( esk3288_2(X1,X2)
    | esk3289_2(X1,X2) )).

cnf(i_0_2530,axiom,
    ( esk3140_2(X1,X2)
    | esk3139_2(X1,X2) )).

cnf(i_0_2531,axiom,
    ( esk3631_2(X1,X2)
    | esk3642_2(X1,X2)
    | esk3643_2(X1,X2) )).

cnf(i_0_2532,axiom,
    ( ~ esk3663_2(X1,X2)
    | ~ esk3660_2(X1,X2) )).

cnf(i_0_2533,axiom,
    ( esk3279_2(X1,X2)
    | ~ esk4174_2(X1,X2) )).

cnf(i_0_2534,axiom,
    ( ~ esk3468_2(X1,X2)
    | esk3251_2(X1,X2) )).

cnf(i_0_2535,axiom,
    ( ~ esk2753_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_2536,axiom,
    ( esk4797_2(X1,X2)
    | ~ esk4798_2(X1,X2) )).

cnf(i_0_2537,axiom,
    ( esk76_2(X1,X2)
    | ~ esk1869_2(X1,X2) )).

cnf(i_0_2538,axiom,
    ( ~ esk3001_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_2539,axiom,
    ( ~ esk3020_2(X1,X2)
    | esk3028_2(X1,X2)
    | ~ esk3027_2(X1,X2)
    | ~ esk2970_2(X1,X2) )).

cnf(i_0_2540,axiom,
    ( ~ esk669_2(X1,X2)
    | esk670_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_2541,axiom,
    ( ~ esk2826_2(X1,X2)
    | ~ esk2825_2(X1,X2) )).

cnf(i_0_2542,axiom,
    ( esk4325_2(X1,X2)
    | ~ esk1672_2(X1,X2)
    | esk5567_2(X1,X2) )).

cnf(i_0_2543,axiom,
    ( ~ esk555_2(X1,X2)
    | esk553_2(X1,X2) )).

cnf(i_0_2544,axiom,
    ( ~ esk3203_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | esk3661_2(X1,X2) )).

cnf(i_0_2545,axiom,
    ( esk2384_2(X1,X2)
    | ~ esk2389_2(X1,X2) )).

cnf(i_0_2546,axiom,
    ( esk4938_2(X1,X2)
    | ~ esk4939_2(X1,X2) )).

cnf(i_0_2547,axiom,
    ( ~ esk3956_2(X1,X2)
    | ~ esk3957_2(X1,X2) )).

cnf(i_0_2548,axiom,
    ( ~ esk3782_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_2549,axiom,
    ( esk650_2(X1,X2)
    | esk648_2(X1,X2)
    | esk649_2(X1,X2) )).

cnf(i_0_2550,axiom,
    ( ~ esk3896_2(X1,X2)
    | ~ esk3897_2(X1,X2) )).

cnf(i_0_2551,axiom,
    ( esk1936_2(X1,X2)
    | esk1937_2(X1,X2) )).

cnf(i_0_2552,axiom,
    ( ~ esk1835_2(X1,X2)
    | ~ esk1838_2(X1,X2) )).

cnf(i_0_2553,axiom,
    ( esk688_2(X1,X2)
    | ~ esk1175_2(X1,X2) )).

cnf(i_0_2554,axiom,
    ( esk94_2(X1,X2)
    | ~ esk5004_2(X1,X2) )).

cnf(i_0_2555,axiom,
    ( esk126_2(X1,X2)
    | ~ esk4042_2(X1,X2) )).

cnf(i_0_2556,axiom,
    ( esk4015_2(X1,X2)
    | esk4014_2(X1,X2) )).

cnf(i_0_2557,axiom,
    ( ~ esk3470_2(X1,X2)
    | ~ esk3471_2(X1,X2) )).

cnf(i_0_2558,axiom,
    ( ~ esk2006_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_2559,axiom,
    ( ~ esk5113_2(X1,X2)
    | ~ esk5110_2(X1,X2) )).

cnf(i_0_2560,axiom,
    ( esk29_2(X1,X2)
    | ~ esk4287_2(X1,X2) )).

cnf(i_0_2561,axiom,
    ( ~ esk2893_2(X1,X2)
    | esk5520_2(X1,X2)
    | esk231_2(X1,X2) )).

cnf(i_0_2562,axiom,
    ( ~ esk1666_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_2563,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1737_2(X1,X2) )).

cnf(i_0_2564,axiom,
    ( ~ esk4564_2(X1,X2)
    | ~ esk4561_2(X1,X2) )).

cnf(i_0_2565,axiom,
    ( ~ esk1684_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_2566,axiom,
    ( esk152_2(X1,X2)
    | esk3373_2(X1,X2) )).

cnf(i_0_2567,axiom,
    ( ~ esk2762_2(X1,X2)
    | ~ esk2763_2(X1,X2) )).

cnf(i_0_2568,axiom,
    ( ~ esk2258_2(X1,X2)
    | ~ esk2257_2(X1,X2) )).

cnf(i_0_2569,axiom,
    ( ~ esk4411_2(X1,X2)
    | ~ esk4408_2(X1,X2) )).

cnf(i_0_2570,axiom,
    ( esk1939_2(X1,X2)
    | esk1938_2(X1,X2) )).

cnf(i_0_2571,axiom,
    ( esk2705_2(X1,X2)
    | ~ esk2701_2(X1,X2)
    | ~ esk2704_2(X1,X2) )).

cnf(i_0_2572,axiom,
    ( esk4404_2(X1,X2)
    | esk4403_2(X1,X2)
    | esk4405_2(X1,X2)
    | esk4402_2(X1,X2) )).

cnf(i_0_2573,axiom,
    ( esk3679_2(X1,X2)
    | esk3677_2(X1,X2)
    | esk3683_2(X1,X2)
    | esk3681_2(X1,X2)
    | esk3682_2(X1,X2)
    | esk3675_2(X1,X2) )).

cnf(i_0_2574,axiom,
    ( ~ esk2804_2(X1,X2)
    | esk2803_2(X1,X2) )).

cnf(i_0_2575,axiom,
    ( esk3989_2(X1,X2)
    | esk3987_2(X1,X2)
    | esk3988_2(X1,X2) )).

cnf(i_0_2576,axiom,
    ( ~ esk126_2(X1,X2)
    | ~ esk99_2(X1,X2)
    | esk587_2(X1,X2) )).

cnf(i_0_2577,axiom,
    ( ~ esk2126_2(X1,X2)
    | ~ esk2129_2(X1,X2) )).

cnf(i_0_2578,axiom,
    ( esk5378_2(X1,X2)
    | ~ esk5383_2(X1,X2) )).

cnf(i_0_2579,axiom,
    ( ~ esk5162_2(X1,X2)
    | ~ esk5163_2(X1,X2) )).

cnf(i_0_2580,axiom,
    ( ~ esk2600_2(X1,X2)
    | ~ esk2604_2(X1,X2)
    | esk2605_2(X1,X2) )).

cnf(i_0_2581,axiom,
    ( ~ esk5398_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_2582,axiom,
    ( ~ esk4299_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_2583,axiom,
    ( esk1729_2(X1,X2)
    | esk1728_2(X1,X2) )).

cnf(i_0_2584,axiom,
    ( esk4156_2(X1,X2)
    | esk4155_2(X1,X2) )).

cnf(i_0_2585,axiom,
    ( ~ esk5054_2(X1,X2)
    | esk5053_2(X1,X2) )).

cnf(i_0_2586,axiom,
    ( ~ esk5535_2(X1,X2)
    | ~ esk991_2(X1,X2)
    | ~ esk3644_2(X1,X2) )).

cnf(i_0_2587,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2453_2(X1,X2) )).

cnf(i_0_2588,axiom,
    ( ~ esk972_2(X1,X2)
    | ~ esk977_2(X1,X2) )).

cnf(i_0_2589,axiom,
    ( ~ esk1500_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_2590,axiom,
    ( esk89_2(X1,X2)
    | ~ esk1854_2(X1,X2) )).

cnf(i_0_2591,axiom,
    ( esk3966_2(X1,X2)
    | esk3965_2(X1,X2) )).

cnf(i_0_2592,axiom,
    ( esk2334_2(X1,X2)
    | ~ esk2335_2(X1,X2) )).

cnf(i_0_2593,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1897_2(X1,X2) )).

cnf(i_0_2594,axiom,
    ( ~ esk4702_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_2595,axiom,
    ( ~ esk3388_2(X1,X2)
    | ~ esk3380_2(X1,X2)
    | esk4789_2(X1,X2)
    | ~ esk3372_2(X1,X2) )).

cnf(i_0_2596,axiom,
    ( ~ esk3961_2(X1,X2)
    | ~ esk3962_2(X1,X2) )).

cnf(i_0_2597,axiom,
    ( esk5065_2(X1,X2)
    | esk5068_2(X1,X2)
    | esk5067_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_2598,axiom,
    ( esk4882_2(X1,X2)
    | esk4881_2(X1,X2) )).

cnf(i_0_2599,axiom,
    ( ~ esk4813_2(X1,X2)
    | ~ esk4810_2(X1,X2)
    | esk4814_2(X1,X2) )).

cnf(i_0_2600,axiom,
    ( esk96_2(X1,X2)
    | esk387_2(X1,X2) )).

cnf(i_0_2601,axiom,
    ( ~ esk2784_2(X1,X2)
    | ~ esk2785_2(X1,X2) )).

cnf(i_0_2602,axiom,
    ( esk1544_2(X1,X2)
    | esk1545_2(X1,X2) )).

cnf(i_0_2603,axiom,
    ( esk3521_2(X1,X2)
    | esk3520_2(X1,X2) )).

cnf(i_0_2604,axiom,
    ( esk5386_2(X1,X2)
    | ~ esk5391_2(X1,X2) )).

cnf(i_0_2605,axiom,
    ( ~ esk1497_2(X1,X2)
    | esk1427_2(X1,X2) )).

cnf(i_0_2606,axiom,
    ( ~ esk115_2(X1,X2)
    | ~ esk3490_2(X1,X2) )).

cnf(i_0_2607,axiom,
    ( esk5045_2(X1,X2)
    | esk5138_2(X1,X2) )).

cnf(i_0_2608,axiom,
    ( ~ esk3430_2(X1,X2)
    | ~ esk4097_2(X1,X2)
    | esk4098_2(X1,X2) )).

cnf(i_0_2609,axiom,
    ( esk1597_2(X1,X2)
    | ~ esk5556_2(X1,X2)
    | esk4250_2(X1,X2) )).

cnf(i_0_2610,axiom,
    ( ~ esk1548_2(X1,X2)
    | ~ esk1547_2(X1,X2) )).

cnf(i_0_2611,axiom,
    ( ~ esk419_2(X1,X2)
    | esk392_2(X1,X2) )).

cnf(i_0_2612,axiom,
    ( ~ esk38_2(X1,X2)
    | esk4501_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk4277_2(X1,X2) )).

cnf(i_0_2613,axiom,
    ( esk1637_2(X1,X2)
    | esk1636_2(X1,X2) )).

cnf(i_0_2614,axiom,
    ( ~ esk278_2(X1,X2)
    | ~ esk275_2(X1,X2) )).

cnf(i_0_2615,axiom,
    ( ~ esk3323_2(X1,X2)
    | esk3322_2(X1,X2) )).

cnf(i_0_2616,axiom,
    ( esk1687_2(X1,X2)
    | esk1686_2(X1,X2) )).

cnf(i_0_2617,axiom,
    ( ~ esk1686_2(X1,X2)
    | ~ esk1684_2(X1,X2) )).

cnf(i_0_2618,axiom,
    ( ~ esk1856_2(X1,X2)
    | ~ esk1853_2(X1,X2) )).

cnf(i_0_2619,axiom,
    ( esk4462_2(X1,X2)
    | esk4461_2(X1,X2) )).

cnf(i_0_2620,axiom,
    ( ~ esk5195_2(X1,X2)
    | ~ esk5196_2(X1,X2) )).

cnf(i_0_2621,axiom,
    ( esk445_2(X1,X2)
    | ~ esk472_2(X1,X2) )).

cnf(i_0_2622,axiom,
    ( ~ esk1924_2(X1,X2)
    | ~ esk1925_2(X1,X2) )).

cnf(i_0_2623,axiom,
    ( ~ esk4553_2(X1,X2)
    | ~ esk1900_2(X1,X2)
    | ~ esk5598_2(X1,X2) )).

cnf(i_0_2624,axiom,
    ( ~ esk643_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_2625,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk4171_2(X1,X2) )).

cnf(i_0_2626,axiom,
    ( esk1590_2(X1,X2)
    | ~ esk1689_2(X1,X2) )).

cnf(i_0_2627,axiom,
    ( esk656_2(X1,X2)
    | ~ esk1300_2(X1,X2) )).

cnf(i_0_2628,axiom,
    ( ~ esk683_2(X1,X2)
    | ~ esk682_2(X1,X2) )).

cnf(i_0_2629,axiom,
    ( ~ esk577_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | esk959_2(X1,X2) )).

cnf(i_0_2630,axiom,
    ( ~ esk553_2(X1,X2)
    | esk814_2(X1,X2)
    | ~ esk813_2(X1,X2) )).

cnf(i_0_2631,axiom,
    ( ~ esk1747_2(X1,X2)
    | ~ esk1748_2(X1,X2) )).

cnf(i_0_2632,axiom,
    ( ~ esk2716_2(X1,X2)
    | ~ esk2718_2(X1,X2)
    | esk2719_2(X1,X2) )).

cnf(i_0_2633,axiom,
    ( ~ esk1590_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_2634,axiom,
    ( ~ esk491_2(X1,X2)
    | ~ esk753_2(X1,X2) )).

cnf(i_0_2635,axiom,
    ( ~ esk973_2(X1,X2)
    | esk1090_2(X1,X2)
    | ~ esk605_2(X1,X2) )).

cnf(i_0_2636,axiom,
    ( esk1314_2(X1,X2)
    | ~ esk1315_2(X1,X2) )).

cnf(i_0_2637,axiom,
    ( ~ esk3665_2(X1,X2)
    | esk3439_2(X1,X2) )).

cnf(i_0_2638,axiom,
    ( esk3931_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_2639,axiom,
    ( ~ esk5571_2(X1,X2)
    | ~ esk4355_2(X1,X2)
    | ~ esk1702_2(X1,X2) )).

cnf(i_0_2640,axiom,
    ( ~ esk956_2(X1,X2)
    | ~ esk953_2(X1,X2) )).

cnf(i_0_2641,axiom,
    ( ~ esk2043_2(X1,X2)
    | ~ esk2044_2(X1,X2) )).

cnf(i_0_2642,axiom,
    ( esk3487_2(X1,X2)
    | esk3486_2(X1,X2) )).

cnf(i_0_2643,axiom,
    ( esk668_2(X1,X2)
    | ~ esk1324_2(X1,X2) )).

cnf(i_0_2644,axiom,
    ( ~ esk3629_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_2645,axiom,
    ( esk700_2(X1,X2)
    | esk701_2(X1,X2) )).

cnf(i_0_2646,axiom,
    ( ~ esk2181_2(X1,X2)
    | ~ esk2180_2(X1,X2) )).

cnf(i_0_2647,axiom,
    ( esk1591_2(X1,X2)
    | esk1594_2(X1,X2)
    | esk1593_2(X1,X2)
    | esk1592_2(X1,X2)
    | esk1595_2(X1,X2) )).

cnf(i_0_2648,axiom,
    ( ~ esk2147_2(X1,X2)
    | esk2148_2(X1,X2)
    | ~ esk2130_2(X1,X2) )).

cnf(i_0_2649,axiom,
    ( esk46_2(X1,X2)
    | ~ esk1800_2(X1,X2) )).

cnf(i_0_2650,axiom,
    ( esk2461_2(X1,X2)
    | esk2460_2(X1,X2) )).

cnf(i_0_2651,axiom,
    ( ~ esk1827_2(X1,X2)
    | ~ esk1826_2(X1,X2) )).

cnf(i_0_2652,axiom,
    ( ~ esk3384_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | esk3385_2(X1,X2) )).

cnf(i_0_2653,axiom,
    ( ~ esk4808_2(X1,X2)
    | ~ esk4807_2(X1,X2) )).

cnf(i_0_2654,axiom,
    ( esk2916_2(X1,X2)
    | ~ esk68_2(X1,X2)
    | ~ esk2915_2(X1,X2) )).

cnf(i_0_2655,axiom,
    ( esk2016_2(X1,X2)
    | esk2015_2(X1,X2) )).

cnf(i_0_2656,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4709_2(X1,X2) )).

cnf(i_0_2657,axiom,
    ( esk1354_2(X1,X2)
    | esk1353_2(X1,X2) )).

cnf(i_0_2658,axiom,
    ( ~ esk1330_2(X1,X2)
    | ~ esk1306_2(X1,X2) )).

cnf(i_0_2659,axiom,
    ( esk708_2(X1,X2)
    | esk633_2(X1,X2) )).

cnf(i_0_2660,axiom,
    ( esk1104_2(X1,X2)
    | ~ esk1574_2(X1,X2) )).

cnf(i_0_2661,axiom,
    ( ~ esk1871_2(X1,X2)
    | ~ esk1870_2(X1,X2) )).

cnf(i_0_2662,axiom,
    ( ~ esk3225_2(X1,X2)
    | esk108_2(X1,X2) )).

cnf(i_0_2663,axiom,
    ( ~ esk4942_2(X1,X2)
    | ~ esk4943_2(X1,X2) )).

cnf(i_0_2664,axiom,
    ( esk96_2(X1,X2)
    | ~ esk882_2(X1,X2) )).

cnf(i_0_2665,axiom,
    ( ~ esk2729_2(X1,X2)
    | ~ esk2713_2(X1,X2) )).

cnf(i_0_2666,axiom,
    ( ~ esk3874_2(X1,X2)
    | esk3132_2(X1,X2) )).

cnf(i_0_2667,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk3389_2(X1,X2) )).

cnf(i_0_2668,axiom,
    ( esk104_2(X1,X2)
    | ~ esk5079_2(X1,X2) )).

cnf(i_0_2669,axiom,
    ( ~ esk4111_2(X1,X2)
    | ~ esk4115_2(X1,X2)
    | esk4116_2(X1,X2) )).

cnf(i_0_2670,axiom,
    ( ~ esk4704_2(X1,X2)
    | ~ esk4705_2(X1,X2) )).

cnf(i_0_2671,axiom,
    ( esk721_2(X1,X2)
    | ~ esk725_2(X1,X2) )).

cnf(i_0_2672,axiom,
    ( esk1631_2(X1,X2)
    | esk1630_2(X1,X2) )).

cnf(i_0_2673,axiom,
    ( ~ esk5146_2(X1,X2)
    | ~ esk5148_2(X1,X2) )).

cnf(i_0_2674,axiom,
    ( esk5096_2(X1,X2)
    | esk5097_2(X1,X2) )).

cnf(i_0_2675,axiom,
    ( esk1055_2(X1,X2)
    | esk1054_2(X1,X2) )).

cnf(i_0_2676,axiom,
    ( esk2057_2(X1,X2)
    | esk2055_2(X1,X2)
    | esk2056_2(X1,X2)
    | esk1025_2(X1,X2) )).

cnf(i_0_2677,axiom,
    ( esk1936_2(X1,X2)
    | ~ esk1935_2(X1,X2)
    | ~ esk1931_2(X1,X2) )).

cnf(i_0_2678,axiom,
    ( ~ esk924_2(X1,X2)
    | esk928_2(X1,X2)
    | ~ esk927_2(X1,X2) )).

cnf(i_0_2679,axiom,
    ( ~ esk596_2(X1,X2)
    | esk592_2(X1,X2) )).

cnf(i_0_2680,axiom,
    ( esk4379_2(X1,X2)
    | ~ esk56_2(X1,X2)
    | ~ esk4365_2(X1,X2)
    | ~ esk172_2(X1,X2) )).

cnf(i_0_2681,axiom,
    ( ~ esk5113_2(X1,X2)
    | ~ esk5114_2(X1,X2) )).

cnf(i_0_2682,axiom,
    ( ~ esk394_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_2683,axiom,
    ( ~ esk4503_2(X1,X2)
    | ~ esk4500_2(X1,X2) )).

cnf(i_0_2684,axiom,
    ( ~ esk1416_2(X1,X2)
    | ~ esk1415_2(X1,X2) )).

cnf(i_0_2685,axiom,
    ( ~ esk3350_2(X1,X2)
    | ~ esk3349_2(X1,X2) )).

cnf(i_0_2686,axiom,
    ( ~ esk96_2(X1,X2)
    | esk2339_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_2687,axiom,
    ( ~ esk1633_2(X1,X2)
    | ~ esk1636_2(X1,X2) )).

cnf(i_0_2688,axiom,
    ( ~ esk972_2(X1,X2)
    | esk604_2(X1,X2) )).

cnf(i_0_2689,axiom,
    ( ~ esk1553_2(X1,X2)
    | esk1552_2(X1,X2) )).

cnf(i_0_2690,axiom,
    ( ~ esk3451_2(X1,X2)
    | ~ esk3203_2(X1,X2)
    | esk3452_2(X1,X2) )).

cnf(i_0_2691,axiom,
    ( esk684_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_2692,axiom,
    ( ~ esk3723_2(X1,X2)
    | esk60_2(X1,X2) )).

cnf(i_0_2693,axiom,
    ( esk3689_2(X1,X2)
    | ~ esk3690_2(X1,X2) )).

cnf(i_0_2694,axiom,
    ( ~ esk310_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_2695,axiom,
    ( ~ esk1793_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_2696,axiom,
    ( ~ esk3970_2(X1,X2)
    | esk3966_2(X1,X2) )).

cnf(i_0_2697,axiom,
    ( esk959_2(X1,X2)
    | esk2574_2(X1,X2)
    | esk2573_2(X1,X2)
    | esk2571_2(X1,X2)
    | esk2572_2(X1,X2)
    | esk2570_2(X1,X2) )).

cnf(i_0_2698,axiom,
    ( esk718_2(X1,X2)
    | ~ esk2135_2(X1,X2) )).

cnf(i_0_2699,axiom,
    ( ~ esk2803_2(X1,X2)
    | ~ esk2802_2(X1,X2) )).

cnf(i_0_2700,axiom,
    ( ~ esk4490_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_2701,axiom,
    ( esk2874_2(X1,X2)
    | ~ esk2894_2(X1,X2) )).

cnf(i_0_2702,axiom,
    ( esk139_2(X1,X2)
    | ~ esk3441_2(X1,X2) )).

cnf(i_0_2703,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk2946_2(X1,X2)
    | ~ esk2945_2(X1,X2) )).

cnf(i_0_2704,axiom,
    ( esk267_2(X1,X2)
    | esk266_2(X1,X2) )).

cnf(i_0_2705,axiom,
    ( esk4_2(X1,X2)
    | ~ esk1081_2(X1,X2) )).

cnf(i_0_2706,axiom,
    ( esk541_2(X1,X2)
    | ~ esk965_2(X1,X2) )).

cnf(i_0_2707,axiom,
    ( ~ esk3008_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_2708,axiom,
    ( ~ esk3738_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_2709,axiom,
    ( esk215_2(X1,X2)
    | esk216_2(X1,X2) )).

cnf(i_0_2710,axiom,
    ( ~ esk1873_2(X1,X2)
    | esk1650_2(X1,X2) )).

cnf(i_0_2711,axiom,
    ( esk2352_2(X1,X2)
    | ~ esk2353_2(X1,X2) )).

cnf(i_0_2712,axiom,
    ( ~ esk4214_2(X1,X2)
    | ~ esk4228_2(X1,X2) )).

cnf(i_0_2713,axiom,
    ( ~ esk333_2(X1,X2)
    | esk334_2(X1,X2)
    | ~ esk319_2(X1,X2) )).

cnf(i_0_2714,axiom,
    ( esk1398_2(X1,X2)
    | esk1399_2(X1,X2) )).

cnf(i_0_2715,axiom,
    ( ~ esk4542_2(X1,X2)
    | esk4333_2(X1,X2) )).

cnf(i_0_2716,axiom,
    ( ~ esk3682_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_2717,axiom,
    ( esk3798_2(X1,X2)
    | esk3799_2(X1,X2) )).

cnf(i_0_2718,axiom,
    ( ~ esk376_2(X1,X2)
    | ~ esk375_2(X1,X2) )).

cnf(i_0_2719,axiom,
    ( esk3419_2(X1,X2)
    | esk3420_2(X1,X2) )).

cnf(i_0_2720,axiom,
    ( ~ esk1759_2(X1,X2)
    | ~ esk1651_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | esk1852_2(X1,X2) )).

cnf(i_0_2721,axiom,
    ( ~ esk3247_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | esk5146_2(X1,X2)
    | ~ esk3616_2(X1,X2) )).

cnf(i_0_2722,axiom,
    ( esk4304_2(X1,X2)
    | ~ esk4527_2(X1,X2) )).

cnf(i_0_2723,axiom,
    ( esk817_2(X1,X2)
    | ~ esk1242_2(X1,X2) )).

cnf(i_0_2724,axiom,
    ( esk726_2(X1,X2)
    | ~ esk743_2(X1,X2) )).

cnf(i_0_2725,axiom,
    ( ~ esk1852_2(X1,X2)
    | esk1651_2(X1,X2) )).

cnf(i_0_2726,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1578_2(X1,X2) )).

cnf(i_0_2727,axiom,
    ( ~ esk1140_2(X1,X2)
    | ~ esk1139_2(X1,X2) )).

cnf(i_0_2728,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk2838_2(X1,X2)
    | ~ esk81_2(X1,X2) )).

cnf(i_0_2729,axiom,
    ( esk2575_2(X1,X2)
    | esk2604_2(X1,X2) )).

cnf(i_0_2730,axiom,
    ( ~ esk905_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_2731,axiom,
    ( esk718_2(X1,X2)
    | ~ esk2136_2(X1,X2) )).

cnf(i_0_2732,axiom,
    ( esk1735_2(X1,X2)
    | esk1736_2(X1,X2) )).

cnf(i_0_2733,axiom,
    ( esk948_2(X1,X2)
    | ~ esk3601_2(X1,X2)
    | esk5533_2(X1,X2) )).

cnf(i_0_2734,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1196_2(X1,X2) )).

cnf(i_0_2735,axiom,
    ( ~ esk5254_2(X1,X2)
    | ~ esk5253_2(X1,X2) )).

cnf(i_0_2736,axiom,
    ( ~ esk3672_2(X1,X2)
    | ~ esk3673_2(X1,X2) )).

cnf(i_0_2737,axiom,
    ( ~ esk1890_2(X1,X2)
    | ~ esk1891_2(X1,X2) )).

cnf(i_0_2738,axiom,
    ( ~ esk2587_2(X1,X2)
    | ~ esk2590_2(X1,X2)
    | esk2591_2(X1,X2) )).

cnf(i_0_2739,axiom,
    ( esk4866_2(X1,X2)
    | esk4865_2(X1,X2) )).

cnf(i_0_2740,axiom,
    ( esk3438_2(X1,X2)
    | ~ esk4142_2(X1,X2) )).

cnf(i_0_2741,axiom,
    ( ~ esk2221_2(X1,X2)
    | esk2222_2(X1,X2)
    | ~ esk698_2(X1,X2) )).

cnf(i_0_2742,axiom,
    ( ~ esk1133_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_2743,axiom,
    ( ~ esk3021_2(X1,X2)
    | ~ esk3024_2(X1,X2) )).

cnf(i_0_2744,axiom,
    ( esk4967_2(X1,X2)
    | esk4969_2(X1,X2) )).

cnf(i_0_2745,axiom,
    ( ~ esk150_2(X1,X2)
    | esk3303_2(X1,X2)
    | ~ esk3302_2(X1,X2) )).

cnf(i_0_2746,axiom,
    ( ~ esk1550_2(X1,X2)
    | esk975_2(X1,X2) )).

cnf(i_0_2747,axiom,
    ( esk4752_2(X1,X2)
    | ~ esk4751_2(X1,X2)
    | ~ esk3404_2(X1,X2) )).

cnf(i_0_2748,axiom,
    ( esk5108_2(X1,X2)
    | esk5107_2(X1,X2) )).

cnf(i_0_2749,axiom,
    ( esk3014_2(X1,X2)
    | ~ esk3015_2(X1,X2) )).

cnf(i_0_2750,axiom,
    ( esk4355_2(X1,X2)
    | ~ esk4354_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_2751,axiom,
    ( esk2212_2(X1,X2)
    | ~ esk2217_2(X1,X2) )).

cnf(i_0_2752,axiom,
    ( ~ esk4041_2(X1,X2)
    | esk3199_2(X1,X2) )).

cnf(i_0_2753,axiom,
    ( esk3587_2(X1,X2)
    | ~ esk3592_2(X1,X2) )).

cnf(i_0_2754,axiom,
    ( esk585_2(X1,X2)
    | ~ esk2560_2(X1,X2) )).

cnf(i_0_2755,axiom,
    ( ~ esk3624_2(X1,X2)
    | ~ esk971_2(X1,X2)
    | ~ esk5534_2(X1,X2) )).

cnf(i_0_2756,axiom,
    ( ~ esk768_2(X1,X2)
    | ~ esk767_2(X1,X2) )).

cnf(i_0_2757,axiom,
    ( esk2526_2(X1,X2)
    | esk2527_2(X1,X2) )).

cnf(i_0_2758,axiom,
    ( esk2025_2(X1,X2)
    | ~ esk2029_2(X1,X2) )).

cnf(i_0_2759,axiom,
    ( ~ esk2979_2(X1,X2)
    | ~ esk94_2(X1,X2)
    | esk3061_2(X1,X2) )).

cnf(i_0_2760,axiom,
    ( ~ esk4991_2(X1,X2)
    | ~ esk4996_2(X1,X2)
    | esk4997_2(X1,X2) )).

cnf(i_0_2761,axiom,
    ( esk2676_2(X1,X2)
    | esk2677_2(X1,X2) )).

cnf(i_0_2762,axiom,
    ( ~ esk688_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | esk1156_2(X1,X2) )).

cnf(i_0_2763,axiom,
    ( ~ esk2884_2(X1,X2)
    | ~ esk2885_2(X1,X2) )).

cnf(i_0_2764,axiom,
    ( ~ esk4656_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_2765,axiom,
    ( ~ esk1009_2(X1,X2)
    | ~ esk1010_2(X1,X2) )).

cnf(i_0_2766,axiom,
    ( esk1006_2(X1,X2)
    | ~ esk1007_2(X1,X2) )).

cnf(i_0_2767,axiom,
    ( esk4670_2(X1,X2)
    | esk4671_2(X1,X2) )).

cnf(i_0_2768,axiom,
    ( esk516_2(X1,X2)
    | ~ esk517_2(X1,X2) )).

cnf(i_0_2769,axiom,
    ( esk5343_2(X1,X2)
    | ~ esk5348_2(X1,X2) )).

cnf(i_0_2770,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4460_2(X1,X2) )).

cnf(i_0_2771,axiom,
    ( ~ esk4555_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_2772,axiom,
    ( ~ esk3308_2(X1,X2)
    | esk3304_2(X1,X2) )).

cnf(i_0_2773,axiom,
    ( ~ esk1042_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1052_2(X1,X2)
    | ~ esk1051_2(X1,X2) )).

cnf(i_0_2774,axiom,
    ( ~ esk3022_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_2775,axiom,
    ( esk1747_2(X1,X2)
    | ~ esk1866_2(X1,X2) )).

cnf(i_0_2776,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk4011_2(X1,X2) )).

cnf(i_0_2777,axiom,
    ( esk2123_2(X1,X2)
    | ~ esk2124_2(X1,X2) )).

cnf(i_0_2778,axiom,
    ( ~ esk146_2(X1,X2)
    | esk762_2(X1,X2)
    | ~ esk761_2(X1,X2) )).

cnf(i_0_2779,axiom,
    ( esk4832_2(X1,X2)
    | ~ esk4833_2(X1,X2) )).

cnf(i_0_2780,axiom,
    ( ~ esk36_2(X1,X2)
    | ~ esk2874_2(X1,X2)
    | esk2875_2(X1,X2) )).

cnf(i_0_2781,axiom,
    ( ~ esk2928_2(X1,X2)
    | ~ esk2926_2(X1,X2) )).

cnf(i_0_2782,axiom,
    ( ~ esk3329_2(X1,X2)
    | ~ esk3327_2(X1,X2) )).

cnf(i_0_2783,axiom,
    ( esk809_2(X1,X2)
    | ~ esk1209_2(X1,X2) )).

cnf(i_0_2784,axiom,
    ( ~ esk5191_2(X1,X2)
    | ~ esk3223_2(X1,X2) )).

cnf(i_0_2785,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk2783_2(X1,X2) )).

cnf(i_0_2786,axiom,
    ( esk4652_2(X1,X2)
    | ~ esk4685_2(X1,X2) )).

cnf(i_0_2787,axiom,
    ( esk864_2(X1,X2)
    | ~ esk868_2(X1,X2) )).

cnf(i_0_2788,axiom,
    ( ~ esk4237_2(X1,X2)
    | esk82_2(X1,X2) )).

cnf(i_0_2789,axiom,
    ( esk634_2(X1,X2)
    | ~ esk974_2(X1,X2) )).

cnf(i_0_2790,axiom,
    ( esk3326_2(X1,X2)
    | ~ esk3790_2(X1,X2) )).

cnf(i_0_2791,axiom,
    ( ~ esk986_2(X1,X2)
    | esk676_2(X1,X2) )).

cnf(i_0_2792,axiom,
    ( ~ esk1806_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_2793,axiom,
    ( ~ esk2959_2(X1,X2)
    | esk2958_2(X1,X2) )).

cnf(i_0_2794,axiom,
    ( ~ esk543_2(X1,X2)
    | ~ esk544_2(X1,X2) )).

cnf(i_0_2795,axiom,
    ( ~ esk2515_2(X1,X2)
    | ~ esk2516_2(X1,X2) )).

cnf(i_0_2796,axiom,
    ( ~ esk3498_2(X1,X2)
    | ~ esk3489_2(X1,X2)
    | esk3499_2(X1,X2) )).

cnf(i_0_2797,axiom,
    ( ~ esk4809_2(X1,X2)
    | ~ esk4810_2(X1,X2) )).

cnf(i_0_2798,axiom,
    ( esk4303_2(X1,X2)
    | ~ esk4519_2(X1,X2) )).

cnf(i_0_2799,axiom,
    ( ~ esk3047_2(X1,X2)
    | ~ esk3046_2(X1,X2) )).

cnf(i_0_2800,axiom,
    ( esk4478_2(X1,X2)
    | ~ esk42_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_2801,axiom,
    ( esk4946_2(X1,X2)
    | esk4945_2(X1,X2) )).

cnf(i_0_2802,axiom,
    ( ~ esk1592_2(X1,X2)
    | ~ esk1595_2(X1,X2) )).

cnf(i_0_2803,axiom,
    ( ~ esk1025_2(X1,X2)
    | ~ esk2137_2(X1,X2) )).

cnf(i_0_2804,axiom,
    ( ~ esk1477_2(X1,X2)
    | esk1476_2(X1,X2) )).

cnf(i_0_2805,axiom,
    ( esk718_2(X1,X2)
    | esk717_2(X1,X2) )).

cnf(i_0_2806,axiom,
    ( esk4797_2(X1,X2)
    | esk4796_2(X1,X2) )).

cnf(i_0_2807,axiom,
    ( ~ esk5481_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_2808,axiom,
    ( ~ esk607_2(X1,X2)
    | esk122_2(X1,X2) )).

cnf(i_0_2809,axiom,
    ( ~ esk3747_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_2810,axiom,
    ( ~ esk527_2(X1,X2)
    | ~ esk526_2(X1,X2) )).

cnf(i_0_2811,axiom,
    ( esk2488_2(X1,X2)
    | ~ esk2487_2(X1,X2)
    | ~ esk2484_2(X1,X2) )).

cnf(i_0_2812,axiom,
    ( esk4674_2(X1,X2)
    | ~ esk4675_2(X1,X2) )).

cnf(i_0_2813,axiom,
    ( ~ esk1171_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk1589_2(X1,X2)
    | esk1703_2(X1,X2) )).

cnf(i_0_2814,axiom,
    ( ~ esk1149_2(X1,X2)
    | esk1148_2(X1,X2) )).

cnf(i_0_2815,axiom,
    ( ~ esk3185_2(X1,X2)
    | esk5353_2(X1,X2)
    | ~ esk5352_2(X1,X2) )).

cnf(i_0_2816,axiom,
    ( ~ esk3940_2(X1,X2)
    | esk3295_2(X1,X2) )).

cnf(i_0_2817,axiom,
    ( esk5206_2(X1,X2)
    | esk5205_2(X1,X2) )).

cnf(i_0_2818,axiom,
    ( ~ esk599_2(X1,X2)
    | esk598_2(X1,X2) )).

cnf(i_0_2819,axiom,
    ( esk1577_2(X1,X2)
    | esk1576_2(X1,X2) )).

cnf(i_0_2820,axiom,
    ( esk98_2(X1,X2)
    | esk922_2(X1,X2) )).

cnf(i_0_2821,axiom,
    ( esk3011_2(X1,X2)
    | esk3012_2(X1,X2) )).

cnf(i_0_2822,axiom,
    ( ~ esk3950_2(X1,X2)
    | ~ esk3951_2(X1,X2) )).

cnf(i_0_2823,axiom,
    ( ~ esk1458_2(X1,X2)
    | ~ esk1457_2(X1,X2) )).

cnf(i_0_2824,axiom,
    ( esk2572_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk965_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_2825,axiom,
    ( ~ esk3274_2(X1,X2)
    | esk3278_2(X1,X2)
    | ~ esk3277_2(X1,X2) )).

cnf(i_0_2826,axiom,
    ( ~ esk751_2(X1,X2)
    | esk747_2(X1,X2) )).

cnf(i_0_2827,axiom,
    ( esk3992_2(X1,X2)
    | esk3991_2(X1,X2) )).

cnf(i_0_2828,axiom,
    ( esk220_2(X1,X2)
    | esk222_2(X1,X2)
    | esk221_2(X1,X2) )).

cnf(i_0_2829,axiom,
    ( esk17_2(X1,X2)
    | ~ esk4484_2(X1,X2) )).

cnf(i_0_2830,axiom,
    ( esk178_2(X1,X2)
    | ~ esk3722_2(X1,X2) )).

cnf(i_0_2831,axiom,
    ( ~ esk4955_2(X1,X2)
    | esk4954_2(X1,X2) )).

cnf(i_0_2832,axiom,
    ( ~ esk1605_2(X1,X2)
    | ~ esk5557_2(X1,X2)
    | ~ esk4258_2(X1,X2) )).

cnf(i_0_2833,axiom,
    ( ~ esk998_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_2834,axiom,
    ( ~ esk3099_2(X1,X2)
    | ~ esk3100_2(X1,X2) )).

cnf(i_0_2835,axiom,
    ( esk311_2(X1,X2)
    | ~ esk369_2(X1,X2) )).

cnf(i_0_2836,axiom,
    ( esk4899_2(X1,X2)
    | esk4900_2(X1,X2) )).

cnf(i_0_2837,axiom,
    ( ~ esk4093_2(X1,X2)
    | esk4089_2(X1,X2) )).

cnf(i_0_2838,axiom,
    ( esk1421_2(X1,X2)
    | esk1252_2(X1,X2) )).

cnf(i_0_2839,axiom,
    ( esk813_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_2840,axiom,
    ( esk1517_2(X1,X2)
    | esk1068_2(X1,X2) )).

cnf(i_0_2841,axiom,
    ( esk4273_2(X1,X2)
    | esk4275_2(X1,X2)
    | esk4274_2(X1,X2)
    | esk4272_2(X1,X2)
    | esk4271_2(X1,X2) )).

cnf(i_0_2842,axiom,
    ( ~ esk2264_2(X1,X2)
    | ~ esk2263_2(X1,X2) )).

cnf(i_0_2843,axiom,
    ( esk2768_2(X1,X2)
    | ~ esk2767_2(X1,X2)
    | ~ esk2707_2(X1,X2) )).

cnf(i_0_2844,axiom,
    ( ~ esk354_2(X1,X2)
    | ~ esk353_2(X1,X2) )).

cnf(i_0_2845,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1627_2(X1,X2)
    | ~ esk1219_2(X1,X2) )).

cnf(i_0_2846,axiom,
    ( ~ esk5142_2(X1,X2)
    | ~ esk5143_2(X1,X2) )).

cnf(i_0_2847,axiom,
    ( ~ esk5227_2(X1,X2)
    | ~ esk5223_2(X1,X2) )).

cnf(i_0_2848,axiom,
    ( ~ esk3821_2(X1,X2)
    | esk3820_2(X1,X2) )).

cnf(i_0_2849,axiom,
    ( ~ esk1170_2(X1,X2)
    | ~ esk1171_2(X1,X2) )).

cnf(i_0_2850,axiom,
    ( ~ esk3705_2(X1,X2)
    | ~ esk3707_2(X1,X2) )).

cnf(i_0_2851,axiom,
    ( esk1039_2(X1,X2)
    | esk1038_2(X1,X2) )).

cnf(i_0_2852,axiom,
    ( esk3457_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk3456_2(X1,X2) )).

cnf(i_0_2853,axiom,
    ( esk29_2(X1,X2)
    | ~ esk4261_2(X1,X2) )).

cnf(i_0_2854,axiom,
    ( ~ esk2618_2(X1,X2)
    | ~ esk2619_2(X1,X2) )).

cnf(i_0_2855,axiom,
    ( ~ esk3819_2(X1,X2)
    | ~ esk3820_2(X1,X2) )).

cnf(i_0_2856,axiom,
    ( ~ esk3423_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(i_0_2857,axiom,
    ( ~ esk3150_2(X1,X2)
    | ~ esk3152_2(X1,X2) )).

cnf(i_0_2858,axiom,
    ( esk1090_2(X1,X2)
    | esk1092_2(X1,X2)
    | esk604_2(X1,X2)
    | esk1091_2(X1,X2) )).

cnf(i_0_2859,axiom,
    ( ~ esk3779_2(X1,X2)
    | ~ esk3783_2(X1,X2) )).

cnf(i_0_2860,axiom,
    ( esk1865_2(X1,X2)
    | esk5593_2(X1,X2)
    | ~ esk4518_2(X1,X2) )).

cnf(i_0_2861,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5232_2(X1,X2) )).

cnf(i_0_2862,axiom,
    ( esk1427_2(X1,X2)
    | ~ esk1442_2(X1,X2) )).

cnf(i_0_2863,axiom,
    ( ~ esk1642_2(X1,X2)
    | ~ esk1643_2(X1,X2) )).

cnf(i_0_2864,axiom,
    ( ~ esk2508_2(X1,X2)
    | ~ esk2505_2(X1,X2)
    | esk2509_2(X1,X2) )).

cnf(i_0_2865,axiom,
    ( esk3024_2(X1,X2)
    | esk3025_2(X1,X2) )).

cnf(i_0_2866,axiom,
    ( esk143_2(X1,X2)
    | ~ esk367_2(X1,X2) )).

cnf(i_0_2867,axiom,
    ( esk410_2(X1,X2)
    | esk411_2(X1,X2) )).

cnf(i_0_2868,axiom,
    ( ~ esk3909_2(X1,X2)
    | esk4320_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk4234_2(X1,X2) )).

cnf(i_0_2869,axiom,
    ( esk28_2(X1,X2)
    | ~ esk4293_2(X1,X2) )).

cnf(i_0_2870,axiom,
    ( esk511_2(X1,X2)
    | ~ esk2655_2(X1,X2) )).

cnf(i_0_2871,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1812_2(X1,X2) )).

cnf(i_0_2872,axiom,
    ( esk2751_2(X1,X2)
    | esk2752_2(X1,X2) )).

cnf(i_0_2873,axiom,
    ( ~ esk2066_2(X1,X2)
    | ~ esk2065_2(X1,X2) )).

cnf(i_0_2874,axiom,
    ( esk4375_2(X1,X2)
    | esk4374_2(X1,X2)
    | esk4376_2(X1,X2) )).

cnf(i_0_2875,axiom,
    ( ~ esk4359_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_2876,axiom,
    ( esk5077_2(X1,X2)
    | esk5080_2(X1,X2)
    | esk5079_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_2877,axiom,
    ( ~ esk1075_2(X1,X2)
    | ~ esk1084_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1085_2(X1,X2) )).

cnf(i_0_2878,axiom,
    ( ~ esk4136_2(X1,X2)
    | ~ esk4135_2(X1,X2) )).

cnf(i_0_2879,axiom,
    ( esk4196_2(X1,X2)
    | esk4197_2(X1,X2) )).

cnf(i_0_2880,axiom,
    ( ~ esk1324_2(X1,X2)
    | esk1323_2(X1,X2) )).

cnf(i_0_2881,axiom,
    ( esk4558_2(X1,X2)
    | esk4559_2(X1,X2) )).

cnf(i_0_2882,axiom,
    ( esk707_2(X1,X2)
    | esk2307_2(X1,X2) )).

cnf(i_0_2883,axiom,
    ( esk1153_2(X1,X2)
    | ~ esk5543_2(X1,X2)
    | esk3806_2(X1,X2) )).

cnf(i_0_2884,axiom,
    ( ~ esk534_2(X1,X2)
    | esk530_2(X1,X2) )).

cnf(i_0_2885,axiom,
    ( esk3745_2(X1,X2)
    | esk3744_2(X1,X2)
    | esk3266_2(X1,X2)
    | esk3743_2(X1,X2) )).

cnf(i_0_2886,axiom,
    ( ~ esk2078_2(X1,X2)
    | esk2073_2(X1,X2) )).

cnf(i_0_2887,axiom,
    ( esk971_2(X1,X2)
    | esk5534_2(X1,X2)
    | ~ esk3624_2(X1,X2) )).

cnf(i_0_2888,axiom,
    ( esk3613_2(X1,X2)
    | esk3611_2(X1,X2)
    | esk3617_2(X1,X2)
    | esk3620_2(X1,X2)
    | esk3615_2(X1,X2)
    | esk3619_2(X1,X2) )).

cnf(i_0_2889,axiom,
    ( esk178_2(X1,X2)
    | ~ esk1216_2(X1,X2) )).

cnf(i_0_2890,axiom,
    ( ~ esk5258_2(X1,X2)
    | esk5257_2(X1,X2) )).

cnf(i_0_2891,axiom,
    ( ~ esk3757_2(X1,X2)
    | esk4199_2(X1,X2)
    | ~ esk4198_2(X1,X2) )).

cnf(i_0_2892,axiom,
    ( ~ esk2878_2(X1,X2)
    | ~ esk2877_2(X1,X2) )).

cnf(i_0_2893,axiom,
    ( ~ esk139_2(X1,X2)
    | esk1002_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_2894,axiom,
    ( ~ esk707_2(X1,X2)
    | ~ esk2248_2(X1,X2) )).

cnf(i_0_2895,axiom,
    ( esk3256_2(X1,X2)
    | esk3257_2(X1,X2) )).

cnf(i_0_2896,axiom,
    ( esk3464_2(X1,X2)
    | esk3251_2(X1,X2) )).

cnf(i_0_2897,axiom,
    ( ~ esk1811_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_2898,axiom,
    ( ~ esk1722_2(X1,X2)
    | esk63_2(X1,X2) )).

cnf(i_0_2899,axiom,
    ( esk2219_2(X1,X2)
    | esk2220_2(X1,X2) )).

cnf(i_0_2900,axiom,
    ( ~ esk2198_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_2901,axiom,
    ( ~ esk3972_2(X1,X2)
    | ~ esk3971_2(X1,X2) )).

cnf(i_0_2902,axiom,
    ( ~ esk3704_2(X1,X2)
    | ~ esk3703_2(X1,X2) )).

cnf(i_0_2903,axiom,
    ( esk2070_2(X1,X2)
    | ~ esk2069_2(X1,X2)
    | ~ esk2065_2(X1,X2) )).

cnf(i_0_2904,axiom,
    ( ~ esk2287_2(X1,X2)
    | ~ esk2288_2(X1,X2) )).

cnf(i_0_2905,axiom,
    ( esk725_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_2906,axiom,
    ( ~ esk4389_2(X1,X2)
    | ~ esk1736_2(X1,X2)
    | ~ esk5574_2(X1,X2) )).

cnf(i_0_2907,axiom,
    ( esk144_2(X1,X2)
    | ~ esk3432_2(X1,X2) )).

cnf(i_0_2908,axiom,
    ( ~ esk3076_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_2909,axiom,
    ( ~ esk4756_2(X1,X2)
    | ~ esk4755_2(X1,X2) )).

cnf(i_0_2910,axiom,
    ( ~ esk2119_2(X1,X2)
    | ~ esk2118_2(X1,X2) )).

cnf(i_0_2911,axiom,
    ( esk5175_2(X1,X2)
    | esk5148_2(X1,X2) )).

cnf(i_0_2912,axiom,
    ( ~ esk3497_2(X1,X2)
    | esk3502_2(X1,X2)
    | ~ esk3501_2(X1,X2) )).

cnf(i_0_2913,axiom,
    ( esk3890_2(X1,X2)
    | esk3889_2(X1,X2)
    | esk3888_2(X1,X2)
    | esk3874_2(X1,X2) )).

cnf(i_0_2914,axiom,
    ( ~ esk1940_2(X1,X2)
    | ~ esk1943_2(X1,X2) )).

cnf(i_0_2915,axiom,
    ( ~ esk3297_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_2916,axiom,
    ( ~ esk3822_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_2917,axiom,
    ( esk3433_2(X1,X2)
    | ~ esk3437_2(X1,X2) )).

cnf(i_0_2918,axiom,
    ( ~ esk56_2(X1,X2)
    | esk1726_2(X1,X2)
    | ~ esk1712_2(X1,X2)
    | ~ esk172_2(X1,X2) )).

cnf(i_0_2919,axiom,
    ( ~ esk495_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | esk496_2(X1,X2) )).

cnf(i_0_2920,axiom,
    ( esk90_2(X1,X2)
    | ~ esk3186_2(X1,X2) )).

cnf(i_0_2921,axiom,
    ( esk3274_2(X1,X2)
    | esk3273_2(X1,X2) )).

cnf(i_0_2922,axiom,
    ( ~ esk4506_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_2923,axiom,
    ( esk4238_2(X1,X2)
    | esk4236_2(X1,X2)
    | esk4239_2(X1,X2)
    | esk4235_2(X1,X2)
    | esk4237_2(X1,X2) )).

cnf(i_0_2924,axiom,
    ( ~ esk1808_2(X1,X2)
    | ~ esk1807_2(X1,X2) )).

cnf(i_0_2925,axiom,
    ( ~ esk981_2(X1,X2)
    | ~ esk987_2(X1,X2) )).

cnf(i_0_2926,axiom,
    ( esk1935_2(X1,X2)
    | ~ esk1936_2(X1,X2) )).

cnf(i_0_2927,axiom,
    ( esk5032_2(X1,X2)
    | esk5031_2(X1,X2) )).

cnf(i_0_2928,axiom,
    ( esk899_2(X1,X2)
    | esk898_2(X1,X2) )).

cnf(i_0_2929,axiom,
    ( esk111_2(X1,X2)
    | esk2394_2(X1,X2) )).

cnf(i_0_2930,axiom,
    ( ~ esk3937_2(X1,X2)
    | esk3266_2(X1,X2) )).

cnf(i_0_2931,axiom,
    ( ~ esk3246_2(X1,X2)
    | esk3242_2(X1,X2) )).

cnf(i_0_2932,axiom,
    ( esk2126_2(X1,X2)
    | ~ esk1027_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_2933,axiom,
    ( ~ esk329_2(X1,X2)
    | ~ esk328_2(X1,X2) )).

cnf(i_0_2934,axiom,
    ( esk749_2(X1,X2)
    | esk750_2(X1,X2) )).

cnf(i_0_2935,axiom,
    ( ~ esk565_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | esk1004_2(X1,X2) )).

cnf(i_0_2936,axiom,
    ( esk3110_2(X1,X2)
    | esk3108_2(X1,X2)
    | esk3111_2(X1,X2) )).

cnf(i_0_2937,axiom,
    ( ~ esk952_2(X1,X2)
    | esk2709_2(X1,X2)
    | ~ esk523_2(X1,X2) )).

cnf(i_0_2938,axiom,
    ( esk651_2(X1,X2)
    | ~ esk2135_2(X1,X2) )).

cnf(i_0_2939,axiom,
    ( ~ esk5170_2(X1,X2)
    | esk5169_2(X1,X2) )).

cnf(i_0_2940,axiom,
    ( ~ esk2805_2(X1,X2)
    | esk40_2(X1,X2) )).

cnf(i_0_2941,axiom,
    ( ~ esk3716_2(X1,X2)
    | ~ esk3715_2(X1,X2) )).

cnf(i_0_2942,axiom,
    ( ~ esk4558_2(X1,X2)
    | ~ esk4559_2(X1,X2) )).

cnf(i_0_2943,axiom,
    ( esk688_2(X1,X2)
    | ~ esk986_2(X1,X2) )).

cnf(i_0_2944,axiom,
    ( ~ esk4632_2(X1,X2)
    | esk4646_2(X1,X2)
    | ~ esk4645_2(X1,X2) )).

cnf(i_0_2945,axiom,
    ( esk3644_2(X1,X2)
    | esk991_2(X1,X2)
    | ~ esk5535_2(X1,X2) )).

cnf(i_0_2946,axiom,
    ( ~ esk4936_2(X1,X2)
    | ~ esk3360_2(X1,X2) )).

cnf(i_0_2947,axiom,
    ( ~ esk3781_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_2948,axiom,
    ( esk1443_2(X1,X2)
    | esk142_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_2949,axiom,
    ( ~ esk763_2(X1,X2)
    | ~ esk762_2(X1,X2) )).

cnf(i_0_2950,axiom,
    ( esk3414_2(X1,X2)
    | ~ esk4152_2(X1,X2) )).

cnf(i_0_2951,axiom,
    ( esk1032_2(X1,X2)
    | esk1021_2(X1,X2)
    | esk1033_2(X1,X2) )).

cnf(i_0_2952,axiom,
    ( esk107_2(X1,X2)
    | ~ esk2424_2(X1,X2) )).

cnf(i_0_2953,axiom,
    ( ~ esk1085_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_2954,axiom,
    ( ~ esk3683_2(X1,X2)
    | ~ esk3677_2(X1,X2) )).

cnf(i_0_2955,axiom,
    ( ~ esk4556_2(X1,X2)
    | ~ esk4558_2(X1,X2) )).

cnf(i_0_2956,axiom,
    ( esk130_2(X1,X2)
    | ~ esk318_2(X1,X2) )).

cnf(i_0_2957,axiom,
    ( ~ esk3608_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_2958,axiom,
    ( esk5349_2(X1,X2)
    | esk5348_2(X1,X2) )).

cnf(i_0_2959,axiom,
    ( ~ esk3754_2(X1,X2)
    | ~ esk3753_2(X1,X2) )).

cnf(i_0_2960,axiom,
    ( ~ esk4308_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_2961,axiom,
    ( ~ esk4622_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_2962,axiom,
    ( esk527_2(X1,X2)
    | ~ esk992_2(X1,X2) )).

cnf(i_0_2963,axiom,
    ( ~ esk1224_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_2964,axiom,
    ( ~ esk2086_2(X1,X2)
    | esk2085_2(X1,X2) )).

cnf(i_0_2965,axiom,
    ( ~ esk5573_2(X1,X2)
    | ~ esk1730_2(X1,X2)
    | ~ esk4383_2(X1,X2) )).

cnf(i_0_2966,axiom,
    ( esk3059_2(X1,X2)
    | esk3060_2(X1,X2) )).

cnf(i_0_2967,axiom,
    ( esk3667_2(X1,X2)
    | esk5536_2(X1,X2)
    | ~ esk1014_2(X1,X2) )).

cnf(i_0_2968,axiom,
    ( ~ esk4454_2(X1,X2)
    | ~ esk4452_2(X1,X2) )).

cnf(i_0_2969,axiom,
    ( esk1599_2(X1,X2)
    | ~ esk1600_2(X1,X2) )).

cnf(i_0_2970,axiom,
    ( ~ esk4461_2(X1,X2)
    | ~ esk4460_2(X1,X2) )).

cnf(i_0_2971,axiom,
    ( ~ esk817_2(X1,X2)
    | ~ esk1008_2(X1,X2)
    | esk1204_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | ~ esk785_2(X1,X2) )).

cnf(i_0_2972,axiom,
    ( ~ esk2608_2(X1,X2)
    | ~ esk2609_2(X1,X2) )).

cnf(i_0_2973,axiom,
    ( esk2690_2(X1,X2)
    | esk2691_2(X1,X2) )).

cnf(i_0_2974,axiom,
    ( esk103_2(X1,X2)
    | ~ esk5000_2(X1,X2) )).

cnf(i_0_2975,axiom,
    ( ~ esk4233_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_2976,axiom,
    ( ~ esk2626_2(X1,X2)
    | ~ esk2627_2(X1,X2) )).

cnf(i_0_2977,axiom,
    ( ~ esk2481_2(X1,X2)
    | ~ esk2480_2(X1,X2) )).

cnf(i_0_2978,axiom,
    ( ~ esk2831_2(X1,X2)
    | ~ esk2832_2(X1,X2) )).

cnf(i_0_2979,axiom,
    ( esk150_2(X1,X2)
    | esk100_2(X1,X2)
    | esk4656_2(X1,X2) )).

cnf(i_0_2980,axiom,
    ( ~ esk996_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_2981,axiom,
    ( ~ esk2810_2(X1,X2)
    | ~ esk2811_2(X1,X2) )).

cnf(i_0_2982,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5223_2(X1,X2) )).

cnf(i_0_2983,axiom,
    ( ~ esk2121_2(X1,X2)
    | ~ esk2120_2(X1,X2) )).

cnf(i_0_2984,axiom,
    ( ~ esk4981_2(X1,X2)
    | esk3695_2(X1,X2) )).

cnf(i_0_2985,axiom,
    ( ~ esk4041_2(X1,X2)
    | esk113_2(X1,X2) )).

cnf(i_0_2986,axiom,
    ( ~ esk2121_2(X1,X2)
    | ~ esk2122_2(X1,X2) )).

cnf(i_0_2987,axiom,
    ( esk2053_2(X1,X2)
    | esk2131_2(X1,X2)
    | esk2132_2(X1,X2) )).

cnf(i_0_2988,axiom,
    ( ~ esk2198_2(X1,X2)
    | ~ esk2200_2(X1,X2) )).

cnf(i_0_2989,axiom,
    ( ~ esk1261_2(X1,X2)
    | ~ esk1260_2(X1,X2) )).

cnf(i_0_2990,axiom,
    ( esk3863_2(X1,X2)
    | ~ esk3867_2(X1,X2) )).

cnf(i_0_2991,axiom,
    ( esk971_2(X1,X2)
    | esk970_2(X1,X2) )).

cnf(i_0_2992,axiom,
    ( ~ esk1717_2(X1,X2)
    | ~ esk1718_2(X1,X2) )).

cnf(i_0_2993,axiom,
    ( ~ esk3429_2(X1,X2)
    | esk3428_2(X1,X2) )).

cnf(i_0_2994,axiom,
    ( esk3313_2(X1,X2)
    | esk3967_2(X1,X2) )).

cnf(i_0_2995,axiom,
    ( esk3561_2(X1,X2)
    | esk113_2(X1,X2) )).

cnf(i_0_2996,axiom,
    ( ~ esk3638_2(X1,X2)
    | esk3309_2(X1,X2) )).

cnf(i_0_2997,axiom,
    ( ~ esk3189_2(X1,X2)
    | ~ esk4045_2(X1,X2)
    | esk4046_2(X1,X2) )).

cnf(i_0_2998,axiom,
    ( ~ esk4664_2(X1,X2)
    | ~ esk4663_2(X1,X2) )).

cnf(i_0_2999,axiom,
    ( esk103_2(X1,X2)
    | ~ esk361_2(X1,X2) )).

cnf(i_0_3000,axiom,
    ( ~ esk5131_2(X1,X2)
    | esk5058_2(X1,X2) )).

cnf(i_0_3001,axiom,
    ( esk2981_2(X1,X2)
    | ~ esk3063_2(X1,X2) )).

cnf(i_0_3002,axiom,
    ( esk23_2(X1,X2)
    | esk3697_2(X1,X2) )).

cnf(i_0_3003,axiom,
    ( esk3671_2(X1,X2)
    | ~ esk3672_2(X1,X2) )).

cnf(i_0_3004,axiom,
    ( esk1167_2(X1,X2)
    | ~ esk1168_2(X1,X2) )).

cnf(i_0_3005,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk3405_2(X1,X2) )).

cnf(i_0_3006,axiom,
    ( ~ esk5148_2(X1,X2)
    | ~ esk5145_2(X1,X2) )).

cnf(i_0_3007,axiom,
    ( esk1998_2(X1,X2)
    | esk1999_2(X1,X2) )).

cnf(i_0_3008,axiom,
    ( esk5003_2(X1,X2)
    | esk5002_2(X1,X2) )).

cnf(i_0_3009,axiom,
    ( esk3438_2(X1,X2)
    | ~ esk3649_2(X1,X2) )).

cnf(i_0_3010,axiom,
    ( esk5422_2(X1,X2)
    | esk5425_2(X1,X2)
    | esk5419_2(X1,X2)
    | esk5424_2(X1,X2)
    | esk5361_2(X1,X2) )).

cnf(i_0_3011,axiom,
    ( esk4871_2(X1,X2)
    | esk4870_2(X1,X2) )).

cnf(i_0_3012,axiom,
    ( ~ esk103_2(X1,X2)
    | esk5061_2(X1,X2)
    | ~ esk5060_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_3013,axiom,
    ( ~ esk3155_2(X1,X2)
    | esk3154_2(X1,X2) )).

cnf(i_0_3014,axiom,
    ( esk3381_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_3015,axiom,
    ( ~ esk4649_2(X1,X2)
    | esk4644_2(X1,X2) )).

cnf(i_0_3016,axiom,
    ( ~ esk1618_2(X1,X2)
    | esk1072_2(X1,X2) )).

cnf(i_0_3017,axiom,
    ( esk30_2(X1,X2)
    | ~ esk255_2(X1,X2) )).

cnf(i_0_3018,axiom,
    ( esk5597_2(X1,X2)
    | ~ esk1893_2(X1,X2)
    | esk4546_2(X1,X2) )).

cnf(i_0_3019,axiom,
    ( esk702_2(X1,X2)
    | ~ esk703_2(X1,X2) )).

cnf(i_0_3020,axiom,
    ( ~ esk3662_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_3021,axiom,
    ( esk96_2(X1,X2)
    | esk2334_2(X1,X2) )).

cnf(i_0_3022,axiom,
    ( ~ esk4381_2(X1,X2)
    | ~ esk4378_2(X1,X2) )).

cnf(i_0_3023,axiom,
    ( ~ esk1130_2(X1,X2)
    | ~ esk1127_2(X1,X2) )).

cnf(i_0_3024,axiom,
    ( esk3795_2(X1,X2)
    | ~ esk3794_2(X1,X2)
    | ~ esk3338_2(X1,X2) )).

cnf(i_0_3025,axiom,
    ( esk3603_2(X1,X2)
    | esk5306_2(X1,X2)
    | esk5307_2(X1,X2)
    | esk5305_2(X1,X2) )).

cnf(i_0_3026,axiom,
    ( ~ esk1795_2(X1,X2)
    | ~ esk1793_2(X1,X2) )).

cnf(i_0_3027,axiom,
    ( ~ esk189_2(X1,X2)
    | ~ esk2851_2(X1,X2)
    | ~ esk5504_2(X1,X2) )).

cnf(i_0_3028,axiom,
    ( esk2301_2(X1,X2)
    | ~ esk2302_2(X1,X2) )).

cnf(i_0_3029,axiom,
    ( ~ esk4780_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_3030,axiom,
    ( esk139_2(X1,X2)
    | esk5100_2(X1,X2)
    | esk5101_2(X1,X2)
    | esk5098_2(X1,X2) )).

cnf(i_0_3031,axiom,
    ( esk120_2(X1,X2)
    | ~ esk3281_2(X1,X2) )).

cnf(i_0_3032,axiom,
    ( ~ esk5251_2(X1,X2)
    | esk5252_2(X1,X2)
    | ~ esk5248_2(X1,X2) )).

cnf(i_0_3033,axiom,
    ( esk739_2(X1,X2)
    | esk740_2(X1,X2) )).

cnf(i_0_3034,axiom,
    ( esk1232_2(X1,X2)
    | esk1231_2(X1,X2) )).

cnf(i_0_3035,axiom,
    ( ~ esk2436_2(X1,X2)
    | esk2435_2(X1,X2) )).

cnf(i_0_3036,axiom,
    ( esk1199_2(X1,X2)
    | ~ esk1792_2(X1,X2) )).

cnf(i_0_3037,axiom,
    ( esk3994_2(X1,X2)
    | esk3993_2(X1,X2) )).

cnf(i_0_3038,axiom,
    ( ~ esk3763_2(X1,X2)
    | ~ esk3761_2(X1,X2) )).

cnf(i_0_3039,axiom,
    ( esk3775_2(X1,X2)
    | esk3774_2(X1,X2) )).

cnf(i_0_3040,axiom,
    ( esk3506_2(X1,X2)
    | ~ esk3507_2(X1,X2) )).

cnf(i_0_3041,axiom,
    ( esk1407_2(X1,X2)
    | esk1408_2(X1,X2)
    | esk1406_2(X1,X2) )).

cnf(i_0_3042,axiom,
    ( esk1855_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk79_2(X1,X2) )).

cnf(i_0_3043,axiom,
    ( esk111_2(X1,X2)
    | ~ esk426_2(X1,X2) )).

cnf(i_0_3044,axiom,
    ( ~ esk2094_2(X1,X2)
    | esk2089_2(X1,X2) )).

cnf(i_0_3045,axiom,
    ( ~ esk2910_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_3046,axiom,
    ( ~ esk2096_2(X1,X2)
    | esk2095_2(X1,X2) )).

cnf(i_0_3047,axiom,
    ( esk1994_2(X1,X2)
    | esk1993_2(X1,X2) )).

cnf(i_0_3048,axiom,
    ( ~ esk2705_2(X1,X2)
    | esk2704_2(X1,X2) )).

cnf(i_0_3049,axiom,
    ( ~ esk4508_2(X1,X2)
    | esk79_2(X1,X2) )).

cnf(i_0_3050,axiom,
    ( ~ esk66_2(X1,X2)
    | ~ esk4340_2(X1,X2)
    | esk4341_2(X1,X2) )).

cnf(i_0_3051,axiom,
    ( esk609_2(X1,X2)
    | ~ esk1276_2(X1,X2) )).

cnf(i_0_3052,axiom,
    ( ~ esk945_2(X1,X2)
    | esk940_2(X1,X2) )).

cnf(i_0_3053,axiom,
    ( esk2744_2(X1,X2)
    | ~ esk2748_2(X1,X2) )).

cnf(i_0_3054,axiom,
    ( ~ esk257_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_3055,axiom,
    ( ~ esk2463_2(X1,X2)
    | ~ esk2462_2(X1,X2) )).

cnf(i_0_3056,axiom,
    ( ~ esk2314_2(X1,X2)
    | ~ esk2316_2(X1,X2) )).

cnf(i_0_3057,axiom,
    ( esk4559_2(X1,X2)
    | ~ esk4560_2(X1,X2) )).

cnf(i_0_3058,axiom,
    ( ~ esk4498_2(X1,X2)
    | ~ esk4497_2(X1,X2) )).

cnf(i_0_3059,axiom,
    ( esk141_2(X1,X2)
    | ~ esk435_2(X1,X2) )).

cnf(i_0_3060,axiom,
    ( ~ esk5370_2(X1,X2)
    | ~ esk5371_2(X1,X2) )).

cnf(i_0_3061,axiom,
    ( ~ esk3922_2(X1,X2)
    | ~ esk4073_2(X1,X2) )).

cnf(i_0_3062,axiom,
    ( ~ esk482_2(X1,X2)
    | ~ esk481_2(X1,X2) )).

cnf(i_0_3063,axiom,
    ( esk1843_2(X1,X2)
    | esk1842_2(X1,X2)
    | esk1840_2(X1,X2)
    | esk1841_2(X1,X2)
    | esk1844_2(X1,X2) )).

cnf(i_0_3064,axiom,
    ( esk5082_2(X1,X2)
    | ~ esk5087_2(X1,X2) )).

cnf(i_0_3065,axiom,
    ( ~ esk476_2(X1,X2)
    | ~ esk477_2(X1,X2) )).

cnf(i_0_3066,axiom,
    ( ~ esk1723_2(X1,X2)
    | ~ esk1722_2(X1,X2) )).

cnf(i_0_3067,axiom,
    ( ~ esk2178_2(X1,X2)
    | ~ esk2182_2(X1,X2)
    | esk2183_2(X1,X2) )).

cnf(i_0_3068,axiom,
    ( esk3574_2(X1,X2)
    | ~ esk3586_2(X1,X2) )).

cnf(i_0_3069,axiom,
    ( esk1325_2(X1,X2)
    | ~ esk1326_2(X1,X2) )).

cnf(i_0_3070,axiom,
    ( ~ esk2871_2(X1,X2)
    | ~ esk5516_2(X1,X2)
    | ~ esk209_2(X1,X2) )).

cnf(i_0_3071,axiom,
    ( ~ esk2353_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_3072,axiom,
    ( ~ esk2634_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_3073,axiom,
    ( ~ esk2964_2(X1,X2)
    | ~ esk2967_2(X1,X2) )).

cnf(i_0_3074,axiom,
    ( esk1778_2(X1,X2)
    | esk1777_2(X1,X2) )).

cnf(i_0_3075,axiom,
    ( ~ esk476_2(X1,X2)
    | ~ esk475_2(X1,X2) )).

cnf(i_0_3076,axiom,
    ( ~ esk3371_2(X1,X2)
    | esk3368_2(X1,X2) )).

cnf(i_0_3077,axiom,
    ( esk2879_2(X1,X2)
    | ~ esk13_2(X1,X2)
    | ~ esk14_2(X1,X2) )).

cnf(i_0_3078,axiom,
    ( ~ esk5257_2(X1,X2)
    | ~ esk5228_2(X1,X2) )).

cnf(i_0_3079,axiom,
    ( esk1627_2(X1,X2)
    | esk1630_2(X1,X2)
    | esk1628_2(X1,X2)
    | esk1629_2(X1,X2)
    | esk1626_2(X1,X2) )).

cnf(i_0_3080,axiom,
    ( esk5327_2(X1,X2)
    | esk5328_2(X1,X2) )).

cnf(i_0_3081,axiom,
    ( ~ esk4138_2(X1,X2)
    | ~ esk4140_2(X1,X2) )).

cnf(i_0_3082,axiom,
    ( ~ esk3433_2(X1,X2)
    | ~ esk3432_2(X1,X2) )).

cnf(i_0_3083,axiom,
    ( ~ esk733_2(X1,X2)
    | esk729_2(X1,X2) )).

cnf(i_0_3084,axiom,
    ( esk1718_2(X1,X2)
    | ~ esk1721_2(X1,X2) )).

cnf(i_0_3085,axiom,
    ( ~ esk4506_2(X1,X2)
    | ~ esk4509_2(X1,X2) )).

cnf(i_0_3086,axiom,
    ( esk4201_2(X1,X2)
    | ~ esk4403_2(X1,X2) )).

cnf(i_0_3087,axiom,
    ( esk4338_2(X1,X2)
    | esk4339_2(X1,X2)
    | esk4337_2(X1,X2)
    | esk4335_2(X1,X2)
    | esk4336_2(X1,X2) )).

cnf(i_0_3088,axiom,
    ( ~ esk448_2(X1,X2)
    | ~ esk449_2(X1,X2) )).

cnf(i_0_3089,axiom,
    ( ~ esk4275_2(X1,X2)
    | ~ esk4274_2(X1,X2) )).

cnf(i_0_3090,axiom,
    ( esk4678_2(X1,X2)
    | esk4677_2(X1,X2) )).

cnf(i_0_3091,axiom,
    ( esk5135_2(X1,X2)
    | esk5134_2(X1,X2) )).

cnf(i_0_3092,axiom,
    ( ~ esk3596_2(X1,X2)
    | esk3600_2(X1,X2)
    | ~ esk3599_2(X1,X2) )).

cnf(i_0_3093,axiom,
    ( ~ esk3342_2(X1,X2)
    | ~ esk3343_2(X1,X2) )).

cnf(i_0_3094,axiom,
    ( ~ esk1364_2(X1,X2)
    | esk1354_2(X1,X2) )).

cnf(i_0_3095,axiom,
    ( esk4516_2(X1,X2)
    | esk4514_2(X1,X2)
    | esk4515_2(X1,X2)
    | esk4512_2(X1,X2)
    | esk4513_2(X1,X2) )).

cnf(i_0_3096,axiom,
    ( esk178_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_3097,axiom,
    ( ~ esk3211_2(X1,X2)
    | ~ esk3259_2(X1,X2)
    | esk3260_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | ~ esk3223_2(X1,X2) )).

cnf(i_0_3098,axiom,
    ( ~ esk4074_2(X1,X2)
    | esk4168_2(X1,X2)
    | ~ esk4137_2(X1,X2)
    | ~ esk4072_2(X1,X2)
    | ~ esk4109_2(X1,X2)
    | ~ esk4086_2(X1,X2)
    | ~ esk4167_2(X1,X2)
    | ~ esk4073_2(X1,X2)
    | ~ esk4076_2(X1,X2)
    | ~ esk4075_2(X1,X2) )).

cnf(i_0_3099,axiom,
    ( ~ esk2786_2(X1,X2)
    | ~ esk2785_2(X1,X2) )).

cnf(i_0_3100,axiom,
    ( esk639_2(X1,X2)
    | esk638_2(X1,X2) )).

cnf(i_0_3101,axiom,
    ( ~ esk3239_2(X1,X2)
    | ~ esk4011_2(X1,X2)
    | esk4012_2(X1,X2) )).

cnf(i_0_3102,axiom,
    ( ~ esk132_2(X1,X2)
    | esk3310_2(X1,X2)
    | ~ esk3298_2(X1,X2) )).

cnf(i_0_3103,axiom,
    ( ~ esk3986_2(X1,X2)
    | ~ esk3980_2(X1,X2) )).

cnf(i_0_3104,axiom,
    ( esk2771_2(X1,X2)
    | esk2769_2(X1,X2)
    | esk2708_2(X1,X2)
    | esk2772_2(X1,X2)
    | esk2766_2(X1,X2) )).

cnf(i_0_3105,axiom,
    ( esk4805_2(X1,X2)
    | ~ esk4806_2(X1,X2) )).

cnf(i_0_3106,axiom,
    ( ~ esk463_2(X1,X2)
    | ~ esk462_2(X1,X2) )).

cnf(i_0_3107,axiom,
    ( esk2152_2(X1,X2)
    | esk2151_2(X1,X2) )).

cnf(i_0_3108,axiom,
    ( ~ esk2875_2(X1,X2)
    | ~ esk2877_2(X1,X2) )).

cnf(i_0_3109,axiom,
    ( esk123_2(X1,X2)
    | esk346_2(X1,X2) )).

cnf(i_0_3110,axiom,
    ( esk1356_2(X1,X2)
    | ~ esk1355_2(X1,X2)
    | ~ esk565_2(X1,X2) )).

cnf(i_0_3111,axiom,
    ( ~ esk232_2(X1,X2)
    | esk212_2(X1,X2) )).

cnf(i_0_3112,axiom,
    ( ~ esk497_2(X1,X2)
    | ~ esk496_2(X1,X2) )).

cnf(i_0_3113,axiom,
    ( esk4629_2(X1,X2)
    | ~ esk4628_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_3114,axiom,
    ( esk5032_2(X1,X2)
    | ~ esk5036_2(X1,X2) )).

cnf(i_0_3115,axiom,
    ( esk3628_2(X1,X2)
    | ~ esk4203_2(X1,X2) )).

cnf(i_0_3116,axiom,
    ( ~ esk3309_2(X1,X2)
    | ~ esk3637_2(X1,X2)
    | esk3789_2(X1,X2)
    | ~ esk3326_2(X1,X2) )).

cnf(i_0_3117,axiom,
    ( esk2033_2(X1,X2)
    | esk2032_2(X1,X2)
    | esk2034_2(X1,X2) )).

cnf(i_0_3118,axiom,
    ( ~ esk5261_2(X1,X2)
    | ~ esk5265_2(X1,X2)
    | esk5266_2(X1,X2) )).

cnf(i_0_3119,axiom,
    ( esk1173_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | ~ esk337_2(X1,X2) )).

cnf(i_0_3120,axiom,
    ( ~ esk4487_2(X1,X2)
    | ~ esk4491_2(X1,X2) )).

cnf(i_0_3121,axiom,
    ( ~ esk868_2(X1,X2)
    | esk859_2(X1,X2) )).

cnf(i_0_3122,axiom,
    ( ~ esk4665_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_3123,axiom,
    ( ~ esk5084_2(X1,X2)
    | esk5083_2(X1,X2) )).

cnf(i_0_3124,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk3083_2(X1,X2) )).

cnf(i_0_3125,axiom,
    ( esk139_2(X1,X2)
    | ~ esk779_2(X1,X2) )).

cnf(i_0_3126,axiom,
    ( ~ esk175_2(X1,X2)
    | esk4484_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk17_2(X1,X2) )).

cnf(i_0_3127,axiom,
    ( ~ esk1785_2(X1,X2)
    | ~ esk5580_2(X1,X2)
    | ~ esk4438_2(X1,X2) )).

cnf(i_0_3128,axiom,
    ( esk4430_2(X1,X2)
    | esk4431_2(X1,X2) )).

cnf(i_0_3129,axiom,
    ( ~ esk4556_2(X1,X2)
    | esk85_2(X1,X2) )).

cnf(i_0_3130,axiom,
    ( esk1718_2(X1,X2)
    | ~ esk1719_2(X1,X2) )).

cnf(i_0_3131,axiom,
    ( esk96_2(X1,X2)
    | ~ esk4986_2(X1,X2) )).

cnf(i_0_3132,axiom,
    ( ~ esk3538_2(X1,X2)
    | ~ esk3505_2(X1,X2) )).

cnf(i_0_3133,axiom,
    ( ~ esk5410_2(X1,X2)
    | ~ esk5411_2(X1,X2) )).

cnf(i_0_3134,axiom,
    ( ~ esk4450_2(X1,X2)
    | ~ esk5582_2(X1,X2)
    | ~ esk1797_2(X1,X2) )).

cnf(i_0_3135,axiom,
    ( ~ esk2879_2(X1,X2)
    | esk2898_2(X1,X2)
    | ~ esk2897_2(X1,X2) )).

cnf(i_0_3136,axiom,
    ( ~ esk3694_2(X1,X2)
    | ~ esk2986_2(X1,X2)
    | ~ esk3695_2(X1,X2)
    | esk3710_2(X1,X2) )).

cnf(i_0_3137,axiom,
    ( ~ esk1888_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_3138,axiom,
    ( ~ esk1630_2(X1,X2)
    | ~ esk1629_2(X1,X2) )).

cnf(i_0_3139,axiom,
    ( ~ esk899_2(X1,X2)
    | esk903_2(X1,X2)
    | ~ esk902_2(X1,X2) )).

cnf(i_0_3140,axiom,
    ( ~ esk2901_2(X1,X2)
    | ~ esk2902_2(X1,X2) )).

cnf(i_0_3141,axiom,
    ( esk2220_2(X1,X2)
    | esk2221_2(X1,X2) )).

cnf(i_0_3142,axiom,
    ( ~ esk551_2(X1,X2)
    | ~ esk552_2(X1,X2) )).

cnf(i_0_3143,axiom,
    ( esk1444_2(X1,X2)
    | esk1443_2(X1,X2) )).

cnf(i_0_3144,axiom,
    ( esk90_2(X1,X2)
    | ~ esk3547_2(X1,X2) )).

cnf(i_0_3145,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1205_2(X1,X2) )).

cnf(i_0_3146,axiom,
    ( ~ esk3119_2(X1,X2)
    | esk3113_2(X1,X2) )).

cnf(i_0_3147,axiom,
    ( ~ esk1648_2(X1,X2)
    | ~ esk1646_2(X1,X2) )).

cnf(i_0_3148,axiom,
    ( ~ esk4150_2(X1,X2)
    | esk4149_2(X1,X2) )).

cnf(i_0_3149,axiom,
    ( esk177_2(X1,X2)
    | ~ esk3848_2(X1,X2) )).

cnf(i_0_3150,axiom,
    ( ~ esk1023_2(X1,X2)
    | ~ esk2050_2(X1,X2) )).

cnf(i_0_3151,axiom,
    ( ~ esk4692_2(X1,X2)
    | esk4696_2(X1,X2)
    | ~ esk4695_2(X1,X2) )).

cnf(i_0_3152,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4279_2(X1,X2) )).

cnf(i_0_3153,axiom,
    ( ~ esk2576_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_3154,axiom,
    ( ~ esk649_2(X1,X2)
    | esk133_2(X1,X2) )).

cnf(i_0_3155,axiom,
    ( ~ esk2403_2(X1,X2)
    | ~ esk2402_2(X1,X2) )).

cnf(i_0_3156,axiom,
    ( esk4909_2(X1,X2)
    | ~ esk3368_2(X1,X2)
    | ~ esk3369_2(X1,X2)
    | ~ esk3671_2(X1,X2) )).

cnf(i_0_3157,axiom,
    ( ~ esk505_2(X1,X2)
    | ~ esk506_2(X1,X2) )).

cnf(i_0_3158,axiom,
    ( ~ esk285_2(X1,X2)
    | ~ esk286_2(X1,X2) )).

cnf(i_0_3159,axiom,
    ( ~ esk3647_2(X1,X2)
    | esk3438_2(X1,X2) )).

cnf(i_0_3160,axiom,
    ( ~ esk966_2(X1,X2)
    | ~ esk967_2(X1,X2) )).

cnf(i_0_3161,axiom,
    ( ~ esk3257_2(X1,X2)
    | ~ esk3254_2(X1,X2)
    | esk3258_2(X1,X2) )).

cnf(i_0_3162,axiom,
    ( esk656_2(X1,X2)
    | ~ esk661_2(X1,X2) )).

cnf(i_0_3163,axiom,
    ( esk4080_2(X1,X2)
    | ~ esk4081_2(X1,X2) )).

cnf(i_0_3164,axiom,
    ( esk525_2(X1,X2)
    | ~ esk126_2(X1,X2)
    | ~ esk91_2(X1,X2) )).

cnf(i_0_3165,axiom,
    ( ~ esk2041_2(X1,X2)
    | ~ esk2042_2(X1,X2) )).

cnf(i_0_3166,axiom,
    ( ~ esk2425_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_3167,axiom,
    ( esk1551_2(X1,X2)
    | esk1552_2(X1,X2) )).

cnf(i_0_3168,axiom,
    ( ~ esk4449_2(X1,X2)
    | ~ esk4450_2(X1,X2) )).

cnf(i_0_3169,axiom,
    ( esk2116_2(X1,X2)
    | esk2115_2(X1,X2) )).

cnf(i_0_3170,axiom,
    ( ~ esk5232_2(X1,X2)
    | esk3616_2(X1,X2) )).

cnf(i_0_3171,axiom,
    ( ~ esk2860_2(X1,X2)
    | esk2861_2(X1,X2)
    | ~ esk65_2(X1,X2) )).

cnf(i_0_3172,axiom,
    ( ~ esk3266_2(X1,X2)
    | ~ esk3939_2(X1,X2) )).

cnf(i_0_3173,axiom,
    ( ~ esk1076_2(X1,X2)
    | ~ esk1087_2(X1,X2) )).

cnf(i_0_3174,axiom,
    ( ~ esk382_2(X1,X2)
    | esk381_2(X1,X2) )).

cnf(i_0_3175,axiom,
    ( ~ esk5132_2(X1,X2)
    | ~ esk5131_2(X1,X2) )).

cnf(i_0_3176,axiom,
    ( esk2432_2(X1,X2)
    | ~ esk2436_2(X1,X2) )).

cnf(i_0_3177,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk722_2(X1,X2)
    | esk723_2(X1,X2) )).

cnf(i_0_3178,axiom,
    ( ~ esk182_2(X1,X2)
    | ~ esk5497_2(X1,X2)
    | ~ esk2844_2(X1,X2) )).

cnf(i_0_3179,axiom,
    ( esk4948_2(X1,X2)
    | ~ esk4953_2(X1,X2) )).

cnf(i_0_3180,axiom,
    ( ~ esk3875_2(X1,X2)
    | esk3659_2(X1,X2) )).

cnf(i_0_3181,axiom,
    ( ~ esk1849_2(X1,X2)
    | esk17_2(X1,X2) )).

cnf(i_0_3182,axiom,
    ( esk3911_2(X1,X2)
    | esk3923_2(X1,X2)
    | esk3924_2(X1,X2)
    | esk3925_2(X1,X2) )).

cnf(i_0_3183,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk5019_2(X1,X2)
    | esk5020_2(X1,X2) )).

cnf(i_0_3184,axiom,
    ( esk5275_2(X1,X2)
    | esk5274_2(X1,X2) )).

cnf(i_0_3185,axiom,
    ( esk319_2(X1,X2)
    | esk169_2(X1,X2) )).

cnf(i_0_3186,axiom,
    ( esk121_2(X1,X2)
    | esk4568_2(X1,X2) )).

cnf(i_0_3187,axiom,
    ( esk3185_2(X1,X2)
    | ~ esk5306_2(X1,X2) )).

cnf(i_0_3188,axiom,
    ( ~ esk4274_2(X1,X2)
    | esk27_2(X1,X2) )).

cnf(i_0_3189,axiom,
    ( ~ esk2197_2(X1,X2)
    | ~ esk2323_2(X1,X2) )).

cnf(i_0_3190,axiom,
    ( esk5366_2(X1,X2)
    | esk5382_2(X1,X2) )).

cnf(i_0_3191,axiom,
    ( ~ esk5194_2(X1,X2)
    | ~ esk5195_2(X1,X2) )).

cnf(i_0_3192,axiom,
    ( esk4064_2(X1,X2)
    | esk4063_2(X1,X2) )).

cnf(i_0_3193,axiom,
    ( esk2981_2(X1,X2)
    | ~ esk3050_2(X1,X2) )).

cnf(i_0_3194,axiom,
    ( esk4365_2(X1,X2)
    | esk173_2(X1,X2) )).

cnf(i_0_3195,axiom,
    ( ~ esk383_2(X1,X2)
    | ~ esk382_2(X1,X2) )).

cnf(i_0_3196,axiom,
    ( esk1400_2(X1,X2)
    | esk1399_2(X1,X2) )).

cnf(i_0_3197,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk781_2(X1,X2) )).

cnf(i_0_3198,axiom,
    ( esk2009_2(X1,X2)
    | esk2010_2(X1,X2) )).

cnf(i_0_3199,axiom,
    ( ~ esk3453_2(X1,X2)
    | esk3454_2(X1,X2)
    | ~ esk3450_2(X1,X2) )).

cnf(i_0_3200,axiom,
    ( ~ esk5080_2(X1,X2)
    | ~ esk5081_2(X1,X2) )).

cnf(i_0_3201,axiom,
    ( esk1967_2(X1,X2)
    | esk364_2(X1,X2) )).

cnf(i_0_3202,axiom,
    ( esk319_2(X1,X2)
    | ~ esk441_2(X1,X2) )).

cnf(i_0_3203,axiom,
    ( ~ esk4128_2(X1,X2)
    | ~ esk4127_2(X1,X2) )).

cnf(i_0_3204,axiom,
    ( ~ esk3850_2(X1,X2)
    | ~ esk3848_2(X1,X2) )).

cnf(i_0_3205,axiom,
    ( ~ esk342_2(X1,X2)
    | ~ esk341_2(X1,X2) )).

cnf(i_0_3206,axiom,
    ( esk1027_2(X1,X2)
    | ~ esk2126_2(X1,X2) )).

cnf(i_0_3207,axiom,
    ( ~ esk2260_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_3208,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk1705_2(X1,X2) )).

cnf(i_0_3209,axiom,
    ( ~ esk4327_2(X1,X2)
    | ~ esk4330_2(X1,X2) )).

cnf(i_0_3210,axiom,
    ( ~ esk5345_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_3211,axiom,
    ( ~ esk2452_2(X1,X2)
    | esk2453_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_3212,axiom,
    ( ~ esk148_2(X1,X2)
    | esk269_2(X1,X2)
    | ~ esk121_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_3213,axiom,
    ( esk2442_2(X1,X2)
    | esk2443_2(X1,X2) )).

cnf(i_0_3214,axiom,
    ( ~ esk2169_2(X1,X2)
    | ~ esk2170_2(X1,X2) )).

cnf(i_0_3215,axiom,
    ( esk3758_2(X1,X2)
    | ~ esk4188_2(X1,X2) )).

cnf(i_0_3216,axiom,
    ( ~ esk1205_2(X1,X2)
    | esk817_2(X1,X2) )).

cnf(i_0_3217,axiom,
    ( esk3845_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_3218,axiom,
    ( esk4930_2(X1,X2)
    | ~ esk4931_2(X1,X2) )).

cnf(i_0_3219,axiom,
    ( ~ esk1564_2(X1,X2)
    | ~ esk1562_2(X1,X2) )).

cnf(i_0_3220,axiom,
    ( ~ esk712_2(X1,X2)
    | esk711_2(X1,X2) )).

cnf(i_0_3221,axiom,
    ( ~ esk3726_2(X1,X2)
    | esk5539_2(X1,X2)
    | esk1073_2(X1,X2) )).

cnf(i_0_3222,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk3418_2(X1,X2) )).

cnf(i_0_3223,axiom,
    ( esk604_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_3224,axiom,
    ( esk1423_2(X1,X2)
    | esk1215_2(X1,X2) )).

cnf(i_0_3225,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1652_2(X1,X2) )).

cnf(i_0_3226,axiom,
    ( ~ esk1830_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_3227,axiom,
    ( esk152_2(X1,X2)
    | ~ esk3377_2(X1,X2) )).

cnf(i_0_3228,axiom,
    ( esk2733_2(X1,X2)
    | esk2732_2(X1,X2) )).

cnf(i_0_3229,axiom,
    ( ~ esk594_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_3230,axiom,
    ( ~ esk1561_2(X1,X2)
    | esk1105_2(X1,X2) )).

cnf(i_0_3231,axiom,
    ( ~ esk3694_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_3232,axiom,
    ( ~ esk3090_2(X1,X2)
    | ~ esk3091_2(X1,X2) )).

cnf(i_0_3233,axiom,
    ( ~ esk2146_2(X1,X2)
    | ~ esk2150_2(X1,X2)
    | esk2151_2(X1,X2) )).

cnf(i_0_3234,axiom,
    ( ~ esk2725_2(X1,X2)
    | ~ esk2724_2(X1,X2) )).

cnf(i_0_3235,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk117_2(X1,X2)
    | esk2957_2(X1,X2) )).

cnf(i_0_3236,axiom,
    ( esk2856_2(X1,X2)
    | esk157_2(X1,X2) )).

cnf(i_0_3237,axiom,
    ( esk879_2(X1,X2)
    | ~ esk878_2(X1,X2)
    | ~ esk875_2(X1,X2) )).

cnf(i_0_3238,axiom,
    ( esk561_2(X1,X2)
    | ~ esk2580_2(X1,X2) )).

cnf(i_0_3239,axiom,
    ( esk1931_2(X1,X2)
    | esk1932_2(X1,X2) )).

cnf(i_0_3240,axiom,
    ( ~ esk2747_2(X1,X2)
    | esk2748_2(X1,X2)
    | ~ esk2744_2(X1,X2) )).

cnf(i_0_3241,axiom,
    ( ~ esk826_2(X1,X2)
    | esk825_2(X1,X2) )).

cnf(i_0_3242,axiom,
    ( esk159_2(X1,X2)
    | esk2568_2(X1,X2) )).

cnf(i_0_3243,axiom,
    ( ~ esk4413_2(X1,X2)
    | ~ esk4412_2(X1,X2) )).

cnf(i_0_3244,axiom,
    ( esk4645_2(X1,X2)
    | ~ esk4646_2(X1,X2) )).

cnf(i_0_3245,axiom,
    ( esk826_2(X1,X2)
    | esk827_2(X1,X2) )).

cnf(i_0_3246,axiom,
    ( ~ esk1377_2(X1,X2)
    | ~ esk1378_2(X1,X2) )).

cnf(i_0_3247,axiom,
    ( ~ esk1272_2(X1,X2)
    | ~ esk1271_2(X1,X2) )).

cnf(i_0_3248,axiom,
    ( esk5229_2(X1,X2)
    | ~ esk3211_2(X1,X2)
    | ~ esk3223_2(X1,X2) )).

cnf(i_0_3249,axiom,
    ( esk2869_2(X1,X2)
    | esk2870_2(X1,X2) )).

cnf(i_0_3250,axiom,
    ( esk3509_2(X1,X2)
    | esk134_2(X1,X2) )).

cnf(i_0_3251,axiom,
    ( esk178_2(X1,X2)
    | ~ esk2328_2(X1,X2) )).

cnf(i_0_3252,axiom,
    ( esk3824_2(X1,X2)
    | ~ esk4326_2(X1,X2) )).

cnf(i_0_3253,axiom,
    ( esk3423_2(X1,X2)
    | esk3165_2(X1,X2) )).

cnf(i_0_3254,axiom,
    ( esk22_2(X1,X2)
    | ~ esk1794_2(X1,X2) )).

cnf(i_0_3255,axiom,
    ( ~ esk773_2(X1,X2)
    | esk772_2(X1,X2) )).

cnf(i_0_3256,axiom,
    ( ~ esk4332_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_3257,axiom,
    ( ~ esk3462_2(X1,X2)
    | esk3458_2(X1,X2) )).

cnf(i_0_3258,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1869_2(X1,X2) )).

cnf(i_0_3259,axiom,
    ( esk2478_2(X1,X2)
    | esk2479_2(X1,X2)
    | esk2477_2(X1,X2) )).

cnf(i_0_3260,axiom,
    ( ~ esk3184_2(X1,X2)
    | esk3183_2(X1,X2) )).

cnf(i_0_3261,axiom,
    ( esk38_2(X1,X2)
    | ~ esk4483_2(X1,X2) )).

cnf(i_0_3262,axiom,
    ( ~ esk3395_2(X1,X2)
    | esk3391_2(X1,X2) )).

cnf(i_0_3263,axiom,
    ( ~ esk1315_2(X1,X2)
    | esk1310_2(X1,X2) )).

cnf(i_0_3264,axiom,
    ( esk4468_2(X1,X2)
    | ~ esk5585_2(X1,X2)
    | esk1815_2(X1,X2) )).

cnf(i_0_3265,axiom,
    ( ~ esk5050_2(X1,X2)
    | ~ esk5051_2(X1,X2) )).

cnf(i_0_3266,axiom,
    ( esk4007_2(X1,X2)
    | ~ esk4017_2(X1,X2) )).

cnf(i_0_3267,axiom,
    ( ~ esk556_2(X1,X2)
    | ~ esk555_2(X1,X2) )).

cnf(i_0_3268,axiom,
    ( esk912_2(X1,X2)
    | esk932_2(X1,X2) )).

cnf(i_0_3269,axiom,
    ( esk5310_2(X1,X2)
    | esk5311_2(X1,X2) )).

cnf(i_0_3270,axiom,
    ( ~ esk2382_2(X1,X2)
    | ~ esk2379_2(X1,X2)
    | esk2383_2(X1,X2) )).

cnf(i_0_3271,axiom,
    ( ~ esk1591_2(X1,X2)
    | esk1055_2(X1,X2) )).

cnf(i_0_3272,axiom,
    ( esk3043_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_3273,axiom,
    ( ~ esk2038_2(X1,X2)
    | ~ esk2039_2(X1,X2) )).

cnf(i_0_3274,axiom,
    ( ~ esk4311_2(X1,X2)
    | esk4310_2(X1,X2) )).

cnf(i_0_3275,axiom,
    ( ~ esk4367_2(X1,X2)
    | ~ esk4381_2(X1,X2) )).

cnf(i_0_3276,axiom,
    ( esk121_2(X1,X2)
    | ~ esk2931_2(X1,X2) )).

cnf(i_0_3277,axiom,
    ( ~ esk263_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_3278,axiom,
    ( ~ esk1338_2(X1,X2)
    | ~ esk1337_2(X1,X2) )).

cnf(i_0_3279,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4341_2(X1,X2) )).

cnf(i_0_3280,axiom,
    ( esk3372_2(X1,X2)
    | ~ esk3405_2(X1,X2) )).

cnf(i_0_3281,axiom,
    ( esk2630_2(X1,X2)
    | esk2629_2(X1,X2) )).

cnf(i_0_3282,axiom,
    ( ~ esk3740_2(X1,X2)
    | ~ esk3729_2(X1,X2) )).

cnf(i_0_3283,axiom,
    ( esk1203_2(X1,X2)
    | ~ esk785_2(X1,X2)
    | ~ esk1006_2(X1,X2)
    | ~ esk801_2(X1,X2) )).

cnf(i_0_3284,axiom,
    ( esk620_2(X1,X2)
    | esk621_2(X1,X2) )).

cnf(i_0_3285,axiom,
    ( ~ esk4742_2(X1,X2)
    | ~ esk4746_2(X1,X2)
    | esk4747_2(X1,X2) )).

cnf(i_0_3286,axiom,
    ( ~ esk1533_2(X1,X2)
    | ~ esk1534_2(X1,X2) )).

cnf(i_0_3287,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1057_2(X1,X2) )).

cnf(i_0_3288,axiom,
    ( esk643_2(X1,X2)
    | ~ esk644_2(X1,X2) )).

cnf(i_0_3289,axiom,
    ( esk3775_2(X1,X2)
    | ~ esk4391_2(X1,X2) )).

cnf(i_0_3290,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk5053_2(X1,X2) )).

cnf(i_0_3291,axiom,
    ( ~ esk3406_2(X1,X2)
    | esk3371_2(X1,X2) )).

cnf(i_0_3292,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk1624_2(X1,X2) )).

cnf(i_0_3293,axiom,
    ( ~ esk3769_2(X1,X2)
    | esk3768_2(X1,X2) )).

cnf(i_0_3294,axiom,
    ( esk672_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_3295,axiom,
    ( ~ esk2997_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_3296,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4352_2(X1,X2) )).

cnf(i_0_3297,axiom,
    ( esk2471_2(X1,X2)
    | ~ esk2472_2(X1,X2) )).

cnf(i_0_3298,axiom,
    ( ~ esk1195_2(X1,X2)
    | esk1191_2(X1,X2) )).

cnf(i_0_3299,axiom,
    ( ~ esk4070_2(X1,X2)
    | ~ esk4071_2(X1,X2) )).

cnf(i_0_3300,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2933_2(X1,X2) )).

cnf(i_0_3301,axiom,
    ( ~ esk809_2(X1,X2)
    | ~ esk1211_2(X1,X2) )).

cnf(i_0_3302,axiom,
    ( ~ esk460_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_3303,axiom,
    ( esk150_2(X1,X2)
    | ~ esk3633_2(X1,X2) )).

cnf(i_0_3304,axiom,
    ( esk3109_2(X1,X2)
    | ~ esk3110_2(X1,X2) )).

cnf(i_0_3305,axiom,
    ( ~ esk2520_2(X1,X2)
    | esk2495_2(X1,X2) )).

cnf(i_0_3306,axiom,
    ( esk796_2(X1,X2)
    | ~ esk800_2(X1,X2) )).

cnf(i_0_3307,axiom,
    ( ~ esk3066_2(X1,X2)
    | esk3060_2(X1,X2) )).

cnf(i_0_3308,axiom,
    ( ~ esk560_2(X1,X2)
    | ~ esk561_2(X1,X2) )).

cnf(i_0_3309,axiom,
    ( ~ esk5552_2(X1,X2)
    | ~ esk4071_2(X1,X2)
    | ~ esk1418_2(X1,X2) )).

cnf(i_0_3310,axiom,
    ( esk874_2(X1,X2)
    | ~ esk843_2(X1,X2)
    | ~ esk873_2(X1,X2) )).

cnf(i_0_3311,axiom,
    ( ~ esk155_2(X1,X2)
    | ~ esk2854_2(X1,X2) )).

cnf(i_0_3312,axiom,
    ( ~ esk1674_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_3313,axiom,
    ( esk19_2(X1,X2)
    | ~ esk1836_2(X1,X2) )).

cnf(i_0_3314,axiom,
    ( esk2819_2(X1,X2)
    | esk2820_2(X1,X2)
    | esk2821_2(X1,X2) )).

cnf(i_0_3315,axiom,
    ( esk111_2(X1,X2)
    | ~ esk3562_2(X1,X2) )).

cnf(i_0_3316,axiom,
    ( esk5529_2(X1,X2)
    | ~ esk690_2(X1,X2)
    | esk3352_2(X1,X2) )).

cnf(i_0_3317,axiom,
    ( ~ esk2704_2(X1,X2)
    | ~ esk2703_2(X1,X2) )).

cnf(i_0_3318,axiom,
    ( ~ esk4120_2(X1,X2)
    | ~ esk4080_2(X1,X2)
    | esk4121_2(X1,X2) )).

cnf(i_0_3319,axiom,
    ( esk1307_2(X1,X2)
    | esk1308_2(X1,X2)
    | esk1309_2(X1,X2) )).

cnf(i_0_3320,axiom,
    ( ~ esk103_2(X1,X2)
    | esk5094_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk5093_2(X1,X2) )).

cnf(i_0_3321,axiom,
    ( ~ esk4537_2(X1,X2)
    | ~ esk4533_2(X1,X2) )).

cnf(i_0_3322,axiom,
    ( ~ esk3866_2(X1,X2)
    | ~ esk3865_2(X1,X2) )).

cnf(i_0_3323,axiom,
    ( ~ esk4442_2(X1,X2)
    | ~ esk4441_2(X1,X2) )).

cnf(i_0_3324,axiom,
    ( ~ esk842_2(X1,X2)
    | esk838_2(X1,X2) )).

cnf(i_0_3325,axiom,
    ( ~ esk2654_2(X1,X2)
    | ~ esk950_2(X1,X2) )).

cnf(i_0_3326,axiom,
    ( esk899_2(X1,X2)
    | ~ esk903_2(X1,X2) )).

cnf(i_0_3327,axiom,
    ( esk1018_2(X1,X2)
    | ~ esk2201_2(X1,X2) )).

cnf(i_0_3328,axiom,
    ( ~ esk329_2(X1,X2)
    | ~ esk326_2(X1,X2) )).

cnf(i_0_3329,axiom,
    ( esk4395_2(X1,X2)
    | esk4394_2(X1,X2) )).

cnf(i_0_3330,axiom,
    ( esk3650_2(X1,X2)
    | ~ esk4139_2(X1,X2) )).

cnf(i_0_3331,axiom,
    ( ~ esk4564_2(X1,X2)
    | ~ esk4565_2(X1,X2) )).

cnf(i_0_3332,axiom,
    ( ~ esk1515_2(X1,X2)
    | ~ esk4168_2(X1,X2)
    | ~ esk5553_2(X1,X2) )).

cnf(i_0_3333,axiom,
    ( ~ esk4904_2(X1,X2)
    | esk4903_2(X1,X2) )).

cnf(i_0_3334,axiom,
    ( esk5599_2(X1,X2)
    | ~ esk4560_2(X1,X2)
    | esk1907_2(X1,X2) )).

cnf(i_0_3335,axiom,
    ( esk5317_2(X1,X2)
    | esk5316_2(X1,X2) )).

cnf(i_0_3336,axiom,
    ( ~ esk162_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk1238_2(X1,X2)
    | esk1704_2(X1,X2) )).

cnf(i_0_3337,axiom,
    ( esk851_2(X1,X2)
    | ~ esk863_2(X1,X2) )).

cnf(i_0_3338,axiom,
    ( ~ esk573_2(X1,X2)
    | esk2580_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | ~ esk965_2(X1,X2) )).

cnf(i_0_3339,axiom,
    ( esk1285_2(X1,X2)
    | ~ esk1289_2(X1,X2) )).

cnf(i_0_3340,axiom,
    ( esk3714_2(X1,X2)
    | ~ esk3715_2(X1,X2) )).

cnf(i_0_3341,axiom,
    ( ~ esk1034_2(X1,X2)
    | ~ esk1033_2(X1,X2) )).

cnf(i_0_3342,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3001_2(X1,X2) )).

cnf(i_0_3343,axiom,
    ( ~ esk4344_2(X1,X2)
    | ~ esk4346_2(X1,X2) )).

cnf(i_0_3344,axiom,
    ( esk479_2(X1,X2)
    | ~ esk90_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_3345,axiom,
    ( esk2409_2(X1,X2)
    | esk2406_2(X1,X2)
    | esk2408_2(X1,X2) )).

cnf(i_0_3346,axiom,
    ( ~ esk5601_2(X1,X2)
    | esk2786_2(X1,X2)
    | esk5439_2(X1,X2) )).

cnf(i_0_3347,axiom,
    ( ~ esk4491_2(X1,X2)
    | ~ esk4492_2(X1,X2) )).

cnf(i_0_3348,axiom,
    ( ~ esk4079_2(X1,X2)
    | ~ esk4105_2(X1,X2)
    | esk4106_2(X1,X2) )).

cnf(i_0_3349,axiom,
    ( esk1587_2(X1,X2)
    | ~ esk1588_2(X1,X2) )).

cnf(i_0_3350,axiom,
    ( ~ esk3838_2(X1,X2)
    | esk3839_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk3695_2(X1,X2) )).

cnf(i_0_3351,axiom,
    ( ~ esk2648_2(X1,X2)
    | ~ esk2647_2(X1,X2) )).

cnf(i_0_3352,axiom,
    ( ~ esk3614_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | esk5223_2(X1,X2) )).

cnf(i_0_3353,axiom,
    ( ~ esk4151_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_3354,axiom,
    ( esk4039_2(X1,X2)
    | esk4038_2(X1,X2) )).

cnf(i_0_3355,axiom,
    ( esk3499_2(X1,X2)
    | esk3500_2(X1,X2) )).

cnf(i_0_3356,axiom,
    ( ~ esk2544_2(X1,X2)
    | esk2543_2(X1,X2) )).

cnf(i_0_3357,axiom,
    ( ~ esk3030_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_3358,axiom,
    ( ~ esk3430_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | ~ esk3650_2(X1,X2)
    | esk4152_2(X1,X2) )).

cnf(i_0_3359,axiom,
    ( ~ esk3953_2(X1,X2)
    | ~ esk3954_2(X1,X2) )).

cnf(i_0_3360,axiom,
    ( esk1701_2(X1,X2)
    | ~ esk1702_2(X1,X2) )).

cnf(i_0_3361,axiom,
    ( ~ esk3397_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_3362,axiom,
    ( ~ esk2765_2(X1,X2)
    | ~ esk2764_2(X1,X2) )).

cnf(i_0_3363,axiom,
    ( esk66_2(X1,X2)
    | ~ esk2833_2(X1,X2) )).

cnf(i_0_3364,axiom,
    ( ~ esk266_2(X1,X2)
    | ~ esk267_2(X1,X2) )).

cnf(i_0_3365,axiom,
    ( ~ esk2936_2(X1,X2)
    | ~ esk2935_2(X1,X2) )).

cnf(i_0_3366,axiom,
    ( ~ esk4194_2(X1,X2)
    | esk4193_2(X1,X2) )).

cnf(i_0_3367,axiom,
    ( esk3942_2(X1,X2)
    | ~ esk3941_2(X1,X2)
    | ~ esk3938_2(X1,X2) )).

cnf(i_0_3368,axiom,
    ( ~ esk4622_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk4623_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_3369,axiom,
    ( esk5540_2(X1,X2)
    | ~ esk3742_2(X1,X2)
    | esk1089_2(X1,X2) )).

cnf(i_0_3370,axiom,
    ( esk1386_2(X1,X2)
    | ~ esk1406_2(X1,X2) )).

cnf(i_0_3371,axiom,
    ( esk4412_2(X1,X2)
    | ~ esk4533_2(X1,X2) )).

cnf(i_0_3372,axiom,
    ( ~ esk4251_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | esk4477_2(X1,X2)
    | ~ esk41_2(X1,X2) )).

cnf(i_0_3373,axiom,
    ( ~ esk2531_2(X1,X2)
    | esk2526_2(X1,X2) )).

cnf(i_0_3374,axiom,
    ( esk2881_2(X1,X2)
    | esk219_2(X1,X2)
    | ~ esk5518_2(X1,X2) )).

cnf(i_0_3375,axiom,
    ( esk2194_2(X1,X2)
    | esk2193_2(X1,X2) )).

cnf(i_0_3376,axiom,
    ( ~ esk2008_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_3377,axiom,
    ( ~ esk3258_2(X1,X2)
    | esk3254_2(X1,X2) )).

cnf(i_0_3378,axiom,
    ( esk808_2(X1,X2)
    | esk809_2(X1,X2) )).

cnf(i_0_3379,axiom,
    ( ~ esk1454_2(X1,X2)
    | ~ esk1453_2(X1,X2) )).

cnf(i_0_3380,axiom,
    ( esk1515_2(X1,X2)
    | esk5553_2(X1,X2)
    | ~ esk4168_2(X1,X2) )).

cnf(i_0_3381,axiom,
    ( esk2094_2(X1,X2)
    | ~ esk2089_2(X1,X2)
    | ~ esk2093_2(X1,X2) )).

cnf(i_0_3382,axiom,
    ( ~ esk1966_2(X1,X2)
    | ~ esk2040_2(X1,X2) )).

cnf(i_0_3383,axiom,
    ( esk173_2(X1,X2)
    | ~ esk4378_2(X1,X2) )).

cnf(i_0_3384,axiom,
    ( esk4734_2(X1,X2)
    | ~ esk4739_2(X1,X2) )).

cnf(i_0_3385,axiom,
    ( esk2002_2(X1,X2)
    | ~ esk2005_2(X1,X2) )).

cnf(i_0_3386,axiom,
    ( esk2872_2(X1,X2)
    | esk116_2(X1,X2) )).

cnf(i_0_3387,axiom,
    ( ~ esk255_2(X1,X2)
    | ~ esk259_2(X1,X2) )).

cnf(i_0_3388,axiom,
    ( esk965_2(X1,X2)
    | ~ esk2501_2(X1,X2) )).

cnf(i_0_3389,axiom,
    ( esk3951_2(X1,X2)
    | ~ esk3993_2(X1,X2) )).

cnf(i_0_3390,axiom,
    ( ~ esk2918_2(X1,X2)
    | ~ esk2921_2(X1,X2) )).

cnf(i_0_3391,axiom,
    ( esk4591_2(X1,X2)
    | esk4592_2(X1,X2) )).

cnf(i_0_3392,axiom,
    ( ~ esk2226_2(X1,X2)
    | ~ esk2225_2(X1,X2) )).

cnf(i_0_3393,axiom,
    ( esk1295_2(X1,X2)
    | esk1296_2(X1,X2) )).

cnf(i_0_3394,axiom,
    ( ~ esk3266_2(X1,X2)
    | ~ esk3267_2(X1,X2) )).

cnf(i_0_3395,axiom,
    ( ~ esk883_2(X1,X2)
    | ~ esk882_2(X1,X2) )).

cnf(i_0_3396,axiom,
    ( ~ esk450_2(X1,X2)
    | ~ esk449_2(X1,X2) )).

cnf(i_0_3397,axiom,
    ( esk3482_2(X1,X2)
    | ~ esk3483_2(X1,X2) )).

cnf(i_0_3398,axiom,
    ( ~ esk3692_2(X1,X2)
    | ~ esk3691_2(X1,X2) )).

cnf(i_0_3399,axiom,
    ( esk4491_2(X1,X2)
    | esk4492_2(X1,X2) )).

cnf(i_0_3400,axiom,
    ( esk4178_2(X1,X2)
    | ~ esk4409_2(X1,X2) )).

cnf(i_0_3401,axiom,
    ( esk2250_2(X1,X2)
    | esk2249_2(X1,X2) )).

cnf(i_0_3402,axiom,
    ( esk3980_2(X1,X2)
    | esk3981_2(X1,X2) )).

cnf(i_0_3403,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk2938_2(X1,X2)
    | esk2939_2(X1,X2) )).

cnf(i_0_3404,axiom,
    ( esk2564_2(X1,X2)
    | esk2563_2(X1,X2) )).

cnf(i_0_3405,axiom,
    ( ~ esk1656_2(X1,X2)
    | ~ esk1654_2(X1,X2) )).

cnf(i_0_3406,axiom,
    ( ~ esk3465_2(X1,X2)
    | ~ esk3466_2(X1,X2) )).

cnf(i_0_3407,axiom,
    ( ~ esk3934_2(X1,X2)
    | esk3933_2(X1,X2) )).

cnf(i_0_3408,axiom,
    ( ~ esk2940_2(X1,X2)
    | ~ esk2937_2(X1,X2) )).

cnf(i_0_3409,axiom,
    ( ~ esk4272_2(X1,X2)
    | esk3926_2(X1,X2) )).

cnf(i_0_3410,axiom,
    ( esk3177_2(X1,X2)
    | esk4032_2(X1,X2) )).

cnf(i_0_3411,axiom,
    ( esk991_2(X1,X2)
    | esk990_2(X1,X2) )).

cnf(i_0_3412,axiom,
    ( ~ esk1535_2(X1,X2)
    | ~ esk1547_2(X1,X2) )).

cnf(i_0_3413,axiom,
    ( ~ esk1012_2(X1,X2)
    | esk777_2(X1,X2) )).

cnf(i_0_3414,axiom,
    ( esk150_2(X1,X2)
    | ~ esk3393_2(X1,X2) )).

cnf(i_0_3415,axiom,
    ( ~ esk3971_2(X1,X2)
    | ~ esk3970_2(X1,X2) )).

cnf(i_0_3416,axiom,
    ( ~ esk2281_2(X1,X2)
    | esk2280_2(X1,X2) )).

cnf(i_0_3417,axiom,
    ( esk5535_2(X1,X2)
    | ~ esk3644_2(X1,X2)
    | esk991_2(X1,X2) )).

cnf(i_0_3418,axiom,
    ( ~ esk3115_2(X1,X2)
    | ~ esk2981_2(X1,X2)
    | esk3116_2(X1,X2) )).

cnf(i_0_3419,axiom,
    ( esk1121_2(X1,X2)
    | esk1120_2(X1,X2)
    | esk1106_2(X1,X2) )).

cnf(i_0_3420,axiom,
    ( ~ esk478_2(X1,X2)
    | esk484_2(X1,X2)
    | ~ esk483_2(X1,X2) )).

cnf(i_0_3421,axiom,
    ( ~ esk1633_2(X1,X2)
    | esk1192_2(X1,X2) )).

cnf(i_0_3422,axiom,
    ( ~ esk144_2(X1,X2)
    | esk3135_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_3423,axiom,
    ( esk5397_2(X1,X2)
    | ~ esk5401_2(X1,X2) )).

cnf(i_0_3424,axiom,
    ( ~ esk444_2(X1,X2)
    | ~ esk1075_2(X1,X2)
    | esk1258_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_3425,axiom,
    ( esk2745_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_3426,axiom,
    ( ~ esk2242_2(X1,X2)
    | ~ esk2241_2(X1,X2) )).

cnf(i_0_3427,axiom,
    ( esk145_2(X1,X2)
    | ~ esk950_2(X1,X2) )).

cnf(i_0_3428,axiom,
    ( esk2686_2(X1,X2)
    | ~ esk2687_2(X1,X2) )).

cnf(i_0_3429,axiom,
    ( esk1431_2(X1,X2)
    | esk1428_2(X1,X2)
    | esk1430_2(X1,X2) )).

cnf(i_0_3430,axiom,
    ( esk3828_2(X1,X2)
    | ~ esk3314_2(X1,X2)
    | ~ esk23_2(X1,X2)
    | ~ esk3350_2(X1,X2) )).

cnf(i_0_3431,axiom,
    ( ~ esk4521_2(X1,X2)
    | ~ esk4523_2(X1,X2) )).

cnf(i_0_3432,axiom,
    ( esk5089_2(X1,X2)
    | ~ esk5085_2(X1,X2)
    | ~ esk5088_2(X1,X2) )).

cnf(i_0_3433,axiom,
    ( ~ esk608_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_3434,axiom,
    ( esk3625_2(X1,X2)
    | esk3630_2(X1,X2)
    | esk3627_2(X1,X2)
    | esk3629_2(X1,X2)
    | esk3295_2(X1,X2) )).

cnf(i_0_3435,axiom,
    ( ~ esk5031_2(X1,X2)
    | ~ esk5032_2(X1,X2) )).

cnf(i_0_3436,axiom,
    ( esk1446_2(X1,X2)
    | ~ esk1450_2(X1,X2) )).

cnf(i_0_3437,axiom,
    ( esk118_2(X1,X2)
    | ~ esk3264_2(X1,X2) )).

cnf(i_0_3438,axiom,
    ( esk111_2(X1,X2)
    | ~ esk2393_2(X1,X2) )).

cnf(i_0_3439,axiom,
    ( esk1067_2(X1,X2)
    | esk1068_2(X1,X2) )).

cnf(i_0_3440,axiom,
    ( esk1700_2(X1,X2)
    | esk1701_2(X1,X2) )).

cnf(i_0_3441,axiom,
    ( ~ esk4896_2(X1,X2)
    | ~ esk4897_2(X1,X2) )).

cnf(i_0_3442,axiom,
    ( ~ esk3854_2(X1,X2)
    | esk3040_2(X1,X2) )).

cnf(i_0_3443,axiom,
    ( ~ esk315_2(X1,X2)
    | ~ esk316_2(X1,X2) )).

cnf(i_0_3444,axiom,
    ( ~ esk4494_2(X1,X2)
    | ~ esk4497_2(X1,X2) )).

cnf(i_0_3445,axiom,
    ( esk3889_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk59_2(X1,X2)
    | ~ esk3727_2(X1,X2) )).

cnf(i_0_3446,axiom,
    ( esk3322_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_3447,axiom,
    ( ~ esk2738_2(X1,X2)
    | esk2733_2(X1,X2) )).

cnf(i_0_3448,axiom,
    ( ~ esk2633_2(X1,X2)
    | esk2634_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_3449,axiom,
    ( ~ esk2769_2(X1,X2)
    | ~ esk2772_2(X1,X2) )).

cnf(i_0_3450,axiom,
    ( ~ esk3038_2(X1,X2)
    | ~ esk3035_2(X1,X2) )).

cnf(i_0_3451,axiom,
    ( esk4896_2(X1,X2)
    | esk4897_2(X1,X2) )).

cnf(i_0_3452,axiom,
    ( esk3061_2(X1,X2)
    | esk3063_2(X1,X2)
    | esk3064_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_3453,axiom,
    ( ~ esk5326_2(X1,X2)
    | ~ esk5327_2(X1,X2) )).

cnf(i_0_3454,axiom,
    ( esk770_2(X1,X2)
    | ~ esk769_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_3455,axiom,
    ( ~ esk2099_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_3456,axiom,
    ( ~ esk3852_2(X1,X2)
    | ~ esk55_2(X1,X2)
    | esk3870_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_3457,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk557_2(X1,X2) )).

cnf(i_0_3458,axiom,
    ( esk23_2(X1,X2)
    | ~ esk3701_2(X1,X2) )).

cnf(i_0_3459,axiom,
    ( ~ esk101_2(X1,X2)
    | ~ esk191_2(X1,X2) )).

cnf(i_0_3460,axiom,
    ( ~ esk4434_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_3461,axiom,
    ( ~ esk3020_2(X1,X2)
    | esk3019_2(X1,X2) )).

cnf(i_0_3462,axiom,
    ( ~ esk3682_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_3463,axiom,
    ( ~ esk103_2(X1,X2)
    | esk1970_2(X1,X2)
    | ~ esk1969_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_3464,axiom,
    ( ~ esk5037_2(X1,X2)
    | ~ esk5038_2(X1,X2) )).

cnf(i_0_3465,axiom,
    ( esk523_2(X1,X2)
    | esk2702_2(X1,X2) )).

cnf(i_0_3466,axiom,
    ( esk4097_2(X1,X2)
    | esk4096_2(X1,X2) )).

cnf(i_0_3467,axiom,
    ( ~ esk4940_2(X1,X2)
    | ~ esk4944_2(X1,X2)
    | esk4945_2(X1,X2) )).

cnf(i_0_3468,axiom,
    ( ~ esk24_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk3849_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_3469,axiom,
    ( ~ esk3852_2(X1,X2)
    | ~ esk4432_2(X1,X2)
    | esk4433_2(X1,X2)
    | ~ esk3853_2(X1,X2) )).

cnf(i_0_3470,axiom,
    ( esk2599_2(X1,X2)
    | esk2600_2(X1,X2) )).

cnf(i_0_3471,axiom,
    ( esk2437_2(X1,X2)
    | esk2438_2(X1,X2) )).

cnf(i_0_3472,axiom,
    ( ~ esk5001_2(X1,X2)
    | ~ esk5002_2(X1,X2) )).

cnf(i_0_3473,axiom,
    ( ~ esk776_2(X1,X2)
    | ~ esk1491_2(X1,X2) )).

cnf(i_0_3474,axiom,
    ( ~ esk3058_2(X1,X2)
    | ~ esk3059_2(X1,X2) )).

cnf(i_0_3475,axiom,
    ( esk1544_2(X1,X2)
    | esk1543_2(X1,X2) )).

cnf(i_0_3476,axiom,
    ( ~ esk3650_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_3477,axiom,
    ( ~ esk4360_2(X1,X2)
    | ~ esk4361_2(X1,X2) )).

cnf(i_0_3478,axiom,
    ( ~ esk4168_2(X1,X2)
    | esk4086_2(X1,X2) )).

cnf(i_0_3479,axiom,
    ( ~ esk2097_2(X1,X2)
    | esk2102_2(X1,X2)
    | ~ esk2101_2(X1,X2) )).

cnf(i_0_3480,axiom,
    ( esk1959_2(X1,X2)
    | ~ esk1960_2(X1,X2) )).

cnf(i_0_3481,axiom,
    ( ~ esk262_2(X1,X2)
    | ~ esk266_2(X1,X2) )).

cnf(i_0_3482,axiom,
    ( ~ esk3651_2(X1,X2)
    | esk3438_2(X1,X2) )).

cnf(i_0_3483,axiom,
    ( esk5265_2(X1,X2)
    | esk3211_2(X1,X2) )).

cnf(i_0_3484,axiom,
    ( esk963_2(X1,X2)
    | ~ esk2579_2(X1,X2) )).

cnf(i_0_3485,axiom,
    ( ~ esk2990_2(X1,X2)
    | ~ esk2991_2(X1,X2) )).

cnf(i_0_3486,axiom,
    ( ~ esk3650_2(X1,X2)
    | esk4091_2(X1,X2)
    | ~ esk4090_2(X1,X2) )).

cnf(i_0_3487,axiom,
    ( esk3835_2(X1,X2)
    | esk3836_2(X1,X2) )).

cnf(i_0_3488,axiom,
    ( esk1597_2(X1,X2)
    | ~ esk4250_2(X1,X2)
    | esk5556_2(X1,X2) )).

cnf(i_0_3489,axiom,
    ( ~ esk1576_2(X1,X2)
    | ~ esk1577_2(X1,X2) )).

cnf(i_0_3490,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk2835_2(X1,X2) )).

cnf(i_0_3491,axiom,
    ( ~ esk2903_2(X1,X2)
    | esk10_2(X1,X2) )).

cnf(i_0_3492,axiom,
    ( ~ esk2889_2(X1,X2)
    | esk37_2(X1,X2) )).

cnf(i_0_3493,axiom,
    ( ~ esk2727_2(X1,X2)
    | esk2726_2(X1,X2) )).

cnf(i_0_3494,axiom,
    ( ~ esk5183_2(X1,X2)
    | ~ esk5179_2(X1,X2)
    | esk5184_2(X1,X2) )).

cnf(i_0_3495,axiom,
    ( esk1442_2(X1,X2)
    | esk1454_2(X1,X2)
    | esk1453_2(X1,X2) )).

cnf(i_0_3496,axiom,
    ( ~ esk2662_2(X1,X2)
    | ~ esk954_2(X1,X2)
    | esk2663_2(X1,X2) )).

cnf(i_0_3497,axiom,
    ( esk3932_2(X1,X2)
    | esk3933_2(X1,X2) )).

cnf(i_0_3498,axiom,
    ( ~ esk1157_2(X1,X2)
    | esk652_2(X1,X2) )).

cnf(i_0_3499,axiom,
    ( ~ esk1680_2(X1,X2)
    | esk1880_2(X1,X2)
    | ~ esk1759_2(X1,X2)
    | ~ esk1681_2(X1,X2) )).

cnf(i_0_3500,axiom,
    ( esk107_2(X1,X2)
    | esk5072_2(X1,X2) )).

cnf(i_0_3501,axiom,
    ( esk1795_2(X1,X2)
    | esk1796_2(X1,X2) )).

cnf(i_0_3502,axiom,
    ( ~ esk319_2(X1,X2)
    | ~ esk352_2(X1,X2)
    | esk353_2(X1,X2) )).

cnf(i_0_3503,axiom,
    ( ~ esk2649_2(X1,X2)
    | ~ esk2650_2(X1,X2) )).

cnf(i_0_3504,axiom,
    ( esk4383_2(X1,X2)
    | ~ esk4364_2(X1,X2)
    | ~ esk4382_2(X1,X2) )).

cnf(i_0_3505,axiom,
    ( esk2283_2(X1,X2)
    | ~ esk2284_2(X1,X2) )).

cnf(i_0_3506,axiom,
    ( esk2566_2(X1,X2)
    | esk2567_2(X1,X2) )).

cnf(i_0_3507,axiom,
    ( ~ esk3720_2(X1,X2)
    | esk3719_2(X1,X2) )).

cnf(i_0_3508,axiom,
    ( ~ esk1259_2(X1,X2)
    | ~ esk1260_2(X1,X2) )).

cnf(i_0_3509,axiom,
    ( esk3853_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_3510,axiom,
    ( ~ esk2444_2(X1,X2)
    | ~ esk2443_2(X1,X2) )).

cnf(i_0_3511,axiom,
    ( ~ esk521_2(X1,X2)
    | esk522_2(X1,X2)
    | ~ esk518_2(X1,X2) )).

cnf(i_0_3512,axiom,
    ( esk3620_2(X1,X2)
    | esk3621_2(X1,X2) )).

cnf(i_0_3513,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk1589_2(X1,X2)
    | esk1705_2(X1,X2)
    | ~ esk71_2(X1,X2) )).

cnf(i_0_3514,axiom,
    ( ~ esk5021_2(X1,X2)
    | ~ esk5022_2(X1,X2) )).

cnf(i_0_3515,axiom,
    ( ~ esk4965_2(X1,X2)
    | esk3684_2(X1,X2) )).

cnf(i_0_3516,axiom,
    ( esk520_2(X1,X2)
    | esk521_2(X1,X2) )).

cnf(i_0_3517,axiom,
    ( esk3886_2(X1,X2)
    | esk3887_2(X1,X2) )).

cnf(i_0_3518,axiom,
    ( ~ esk2628_2(X1,X2)
    | esk2629_2(X1,X2)
    | ~ esk2624_2(X1,X2) )).

cnf(i_0_3519,axiom,
    ( ~ esk3700_2(X1,X2)
    | ~ esk3314_2(X1,X2) )).

cnf(i_0_3520,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1199_2(X1,X2) )).

cnf(i_0_3521,axiom,
    ( ~ esk1223_2(X1,X2)
    | esk817_2(X1,X2) )).

cnf(i_0_3522,axiom,
    ( ~ esk4605_2(X1,X2)
    | esk4598_2(X1,X2) )).

cnf(i_0_3523,axiom,
    ( esk1141_2(X1,X2)
    | ~ esk1142_2(X1,X2) )).

cnf(i_0_3524,axiom,
    ( esk56_2(X1,X2)
    | ~ esk4392_2(X1,X2) )).

cnf(i_0_3525,axiom,
    ( ~ esk3968_2(X1,X2)
    | ~ esk3969_2(X1,X2) )).

cnf(i_0_3526,axiom,
    ( ~ esk4867_2(X1,X2)
    | esk4853_2(X1,X2) )).

cnf(i_0_3527,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk2446_2(X1,X2) )).

cnf(i_0_3528,axiom,
    ( esk5501_2(X1,X2)
    | ~ esk186_2(X1,X2)
    | esk2848_2(X1,X2) )).

cnf(i_0_3529,axiom,
    ( ~ esk4981_2(X1,X2)
    | ~ esk4984_2(X1,X2) )).

cnf(i_0_3530,axiom,
    ( ~ esk2547_2(X1,X2)
    | esk2546_2(X1,X2) )).

cnf(i_0_3531,axiom,
    ( ~ esk5045_2(X1,X2)
    | esk5136_2(X1,X2)
    | ~ esk5135_2(X1,X2) )).

cnf(i_0_3532,axiom,
    ( ~ esk767_2(X1,X2)
    | esk763_2(X1,X2) )).

cnf(i_0_3533,axiom,
    ( esk4414_2(X1,X2)
    | ~ esk4420_2(X1,X2) )).

cnf(i_0_3534,axiom,
    ( ~ esk2421_2(X1,X2)
    | ~ esk2418_2(X1,X2) )).

cnf(i_0_3535,axiom,
    ( ~ esk4684_2(X1,X2)
    | esk4685_2(X1,X2)
    | ~ esk4681_2(X1,X2)
    | ~ esk4652_2(X1,X2) )).

cnf(i_0_3536,axiom,
    ( ~ esk4747_2(X1,X2)
    | esk4746_2(X1,X2) )).

cnf(i_0_3537,axiom,
    ( esk178_2(X1,X2)
    | ~ esk5454_2(X1,X2) )).

cnf(i_0_3538,axiom,
    ( esk2696_2(X1,X2)
    | ~ esk2697_2(X1,X2) )).

cnf(i_0_3539,axiom,
    ( ~ esk4967_2(X1,X2)
    | ~ esk4905_2(X1,X2)
    | ~ esk164_2(X1,X2)
    | esk4968_2(X1,X2) )).

cnf(i_0_3540,axiom,
    ( ~ esk2737_2(X1,X2)
    | ~ esk2733_2(X1,X2)
    | esk2738_2(X1,X2) )).

cnf(i_0_3541,axiom,
    ( ~ esk3485_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_3542,axiom,
    ( esk102_2(X1,X2)
    | ~ esk1920_2(X1,X2) )).

cnf(i_0_3543,axiom,
    ( esk144_2(X1,X2)
    | esk3434_2(X1,X2) )).

cnf(i_0_3544,axiom,
    ( esk3474_2(X1,X2)
    | esk3473_2(X1,X2) )).

cnf(i_0_3545,axiom,
    ( esk3330_2(X1,X2)
    | esk3329_2(X1,X2) )).

cnf(i_0_3546,axiom,
    ( esk1122_2(X1,X2)
    | esk1123_2(X1,X2) )).

cnf(i_0_3547,axiom,
    ( esk4898_2(X1,X2)
    | ~ esk4899_2(X1,X2) )).

cnf(i_0_3548,axiom,
    ( esk1410_2(X1,X2)
    | ~ esk1415_2(X1,X2) )).

cnf(i_0_3549,axiom,
    ( esk4516_2(X1,X2)
    | esk4517_2(X1,X2) )).

cnf(i_0_3550,axiom,
    ( esk675_2(X1,X2)
    | ~ esk674_2(X1,X2)
    | ~ esk671_2(X1,X2) )).

cnf(i_0_3551,axiom,
    ( esk961_2(X1,X2)
    | ~ esk2492_2(X1,X2) )).

cnf(i_0_3552,axiom,
    ( esk4025_2(X1,X2)
    | ~ esk4024_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_3553,axiom,
    ( esk3904_2(X1,X2)
    | ~ esk3900_2(X1,X2)
    | ~ esk3903_2(X1,X2) )).

cnf(i_0_3554,axiom,
    ( esk2311_2(X1,X2)
    | ~ esk2312_2(X1,X2) )).

cnf(i_0_3555,axiom,
    ( ~ esk2439_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_3556,axiom,
    ( ~ esk3734_2(X1,X2)
    | ~ esk3735_2(X1,X2) )).

cnf(i_0_3557,axiom,
    ( ~ esk4513_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_3558,axiom,
    ( ~ esk2565_2(X1,X2)
    | esk2561_2(X1,X2) )).

cnf(i_0_3559,axiom,
    ( ~ esk4114_2(X1,X2)
    | ~ esk4117_2(X1,X2)
    | esk4118_2(X1,X2) )).

cnf(i_0_3560,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1549_2(X1,X2) )).

cnf(i_0_3561,axiom,
    ( esk165_2(X1,X2)
    | ~ esk256_2(X1,X2) )).

cnf(i_0_3562,axiom,
    ( esk119_2(X1,X2)
    | esk1927_2(X1,X2) )).

cnf(i_0_3563,axiom,
    ( ~ esk58_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | esk3907_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_3564,axiom,
    ( esk3248_2(X1,X2)
    | esk3249_2(X1,X2)
    | esk3250_2(X1,X2) )).

cnf(i_0_3565,axiom,
    ( esk4826_2(X1,X2)
    | esk4825_2(X1,X2) )).

cnf(i_0_3566,axiom,
    ( esk4906_2(X1,X2)
    | esk3684_2(X1,X2) )).

cnf(i_0_3567,axiom,
    ( esk594_2(X1,X2)
    | esk595_2(X1,X2) )).

cnf(i_0_3568,axiom,
    ( ~ esk2768_2(X1,X2)
    | esk2769_2(X1,X2)
    | ~ esk159_2(X1,X2)
    | ~ esk2706_2(X1,X2) )).

cnf(i_0_3569,axiom,
    ( esk111_2(X1,X2)
    | esk5053_2(X1,X2) )).

cnf(i_0_3570,axiom,
    ( ~ esk2967_2(X1,X2)
    | ~ esk2968_2(X1,X2) )).

cnf(i_0_3571,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1847_2(X1,X2) )).

cnf(i_0_3572,axiom,
    ( esk2359_2(X1,X2)
    | esk2358_2(X1,X2) )).

cnf(i_0_3573,axiom,
    ( esk1242_2(X1,X2)
    | esk1243_2(X1,X2)
    | esk1241_2(X1,X2)
    | esk1006_2(X1,X2) )).

cnf(i_0_3574,axiom,
    ( esk4669_2(X1,X2)
    | ~ esk4670_2(X1,X2) )).

cnf(i_0_3575,axiom,
    ( ~ esk1799_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_3576,axiom,
    ( ~ esk4464_2(X1,X2)
    | ~ esk4467_2(X1,X2) )).

cnf(i_0_3577,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk3154_2(X1,X2) )).

cnf(i_0_3578,axiom,
    ( ~ esk1194_2(X1,X2)
    | esk1088_2(X1,X2) )).

cnf(i_0_3579,axiom,
    ( ~ esk3267_2(X1,X2)
    | esk4220_2(X1,X2)
    | ~ esk4219_2(X1,X2) )).

cnf(i_0_3580,axiom,
    ( ~ esk143_2(X1,X2)
    | ~ esk3038_2(X1,X2) )).

cnf(i_0_3581,axiom,
    ( ~ esk4575_2(X1,X2)
    | esk4574_2(X1,X2) )).

cnf(i_0_3582,axiom,
    ( ~ esk3921_2(X1,X2)
    | ~ esk3922_2(X1,X2) )).

cnf(i_0_3583,axiom,
    ( ~ esk925_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | esk926_2(X1,X2) )).

cnf(i_0_3584,axiom,
    ( ~ esk879_2(X1,X2)
    | esk878_2(X1,X2) )).

cnf(i_0_3585,axiom,
    ( esk2988_2(X1,X2)
    | ~ esk128_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_3586,axiom,
    ( esk2245_2(X1,X2)
    | esk2244_2(X1,X2) )).

cnf(i_0_3587,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk4508_2(X1,X2)
    | ~ esk79_2(X1,X2) )).

cnf(i_0_3588,axiom,
    ( esk4114_2(X1,X2)
    | esk4113_2(X1,X2) )).

cnf(i_0_3589,axiom,
    ( ~ esk4955_2(X1,X2)
    | esk4951_2(X1,X2) )).

cnf(i_0_3590,axiom,
    ( esk2948_2(X1,X2)
    | esk2949_2(X1,X2) )).

cnf(i_0_3591,axiom,
    ( esk149_2(X1,X2)
    | esk735_2(X1,X2) )).

cnf(i_0_3592,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk2402_2(X1,X2) )).

cnf(i_0_3593,axiom,
    ( esk3327_2(X1,X2)
    | ~ esk123_2(X1,X2)
    | ~ esk3262_2(X1,X2) )).

cnf(i_0_3594,axiom,
    ( esk435_2(X1,X2)
    | ~ esk434_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | ~ esk311_2(X1,X2) )).

cnf(i_0_3595,axiom,
    ( esk909_2(X1,X2)
    | esk910_2(X1,X2) )).

cnf(i_0_3596,axiom,
    ( ~ esk1745_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_3597,axiom,
    ( ~ esk1287_2(X1,X2)
    | esk1286_2(X1,X2) )).

cnf(i_0_3598,axiom,
    ( ~ esk2653_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_3599,axiom,
    ( esk1306_2(X1,X2)
    | ~ esk1329_2(X1,X2) )).

cnf(i_0_3600,axiom,
    ( ~ esk3215_2(X1,X2)
    | ~ esk3214_2(X1,X2) )).

cnf(i_0_3601,axiom,
    ( ~ esk1008_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_3602,axiom,
    ( ~ esk3168_2(X1,X2)
    | ~ esk3167_2(X1,X2) )).

cnf(i_0_3603,axiom,
    ( esk2649_2(X1,X2)
    | ~ esk159_2(X1,X2)
    | ~ esk2648_2(X1,X2) )).

cnf(i_0_3604,axiom,
    ( ~ esk3172_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_3605,axiom,
    ( ~ esk3826_2(X1,X2)
    | ~ esk3841_2(X1,X2) )).

cnf(i_0_3606,axiom,
    ( ~ esk1395_2(X1,X2)
    | ~ esk527_2(X1,X2) )).

cnf(i_0_3607,axiom,
    ( ~ esk4417_2(X1,X2)
    | ~ esk3542_2(X1,X2) )).

cnf(i_0_3608,axiom,
    ( ~ esk254_2(X1,X2)
    | esk253_2(X1,X2) )).

cnf(i_0_3609,axiom,
    ( esk3879_2(X1,X2)
    | esk3878_2(X1,X2) )).

cnf(i_0_3610,axiom,
    ( ~ esk3691_2(X1,X2)
    | ~ esk3688_2(X1,X2) )).

cnf(i_0_3611,axiom,
    ( esk2895_2(X1,X2)
    | ~ esk34_2(X1,X2)
    | ~ esk2873_2(X1,X2) )).

cnf(i_0_3612,axiom,
    ( esk2165_2(X1,X2)
    | esk2164_2(X1,X2) )).

cnf(i_0_3613,axiom,
    ( ~ esk1782_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_3614,axiom,
    ( ~ esk888_2(X1,X2)
    | esk898_2(X1,X2)
    | ~ esk897_2(X1,X2) )).

cnf(i_0_3615,axiom,
    ( esk4856_2(X1,X2)
    | esk4857_2(X1,X2) )).

cnf(i_0_3616,axiom,
    ( ~ esk2755_2(X1,X2)
    | ~ esk2752_2(X1,X2)
    | esk2756_2(X1,X2) )).

cnf(i_0_3617,axiom,
    ( ~ esk4690_2(X1,X2)
    | ~ esk4689_2(X1,X2) )).

cnf(i_0_3618,axiom,
    ( ~ esk4992_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_3619,axiom,
    ( ~ esk353_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_3620,axiom,
    ( ~ esk638_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_3621,axiom,
    ( esk2656_2(X1,X2)
    | esk2657_2(X1,X2) )).

cnf(i_0_3622,axiom,
    ( ~ esk1171_2(X1,X2)
    | ~ esk1172_2(X1,X2) )).

cnf(i_0_3623,axiom,
    ( ~ esk4371_2(X1,X2)
    | ~ esk4373_2(X1,X2)
    | esk4374_2(X1,X2) )).

cnf(i_0_3624,axiom,
    ( esk103_2(X1,X2)
    | ~ esk4661_2(X1,X2) )).

cnf(i_0_3625,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2127_2(X1,X2) )).

cnf(i_0_3626,axiom,
    ( ~ esk4502_2(X1,X2)
    | esk17_2(X1,X2) )).

cnf(i_0_3627,axiom,
    ( ~ esk4488_2(X1,X2)
    | ~ esk4491_2(X1,X2) )).

cnf(i_0_3628,axiom,
    ( ~ esk527_2(X1,X2)
    | esk949_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_3629,axiom,
    ( esk1918_2(X1,X2)
    | esk1917_2(X1,X2) )).

cnf(i_0_3630,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1807_2(X1,X2) )).

cnf(i_0_3631,axiom,
    ( esk935_2(X1,X2)
    | esk929_2(X1,X2) )).

cnf(i_0_3632,axiom,
    ( ~ esk1641_2(X1,X2)
    | esk7_2(X1,X2) )).

cnf(i_0_3633,axiom,
    ( esk3215_2(X1,X2)
    | esk3219_2(X1,X2) )).

cnf(i_0_3634,axiom,
    ( ~ esk3435_2(X1,X2)
    | ~ esk3436_2(X1,X2) )).

cnf(i_0_3635,axiom,
    ( esk98_2(X1,X2)
    | ~ esk5110_2(X1,X2) )).

cnf(i_0_3636,axiom,
    ( ~ esk4350_2(X1,X2)
    | ~ esk4353_2(X1,X2) )).

cnf(i_0_3637,axiom,
    ( ~ esk1825_2(X1,X2)
    | esk42_2(X1,X2) )).

cnf(i_0_3638,axiom,
    ( ~ esk3313_2(X1,X2)
    | ~ esk3314_2(X1,X2) )).

cnf(i_0_3639,axiom,
    ( ~ esk2410_2(X1,X2)
    | ~ esk2411_2(X1,X2) )).

cnf(i_0_3640,axiom,
    ( ~ esk654_2(X1,X2)
    | esk129_2(X1,X2) )).

cnf(i_0_3641,axiom,
    ( esk2896_2(X1,X2)
    | esk2897_2(X1,X2) )).

cnf(i_0_3642,axiom,
    ( esk4146_2(X1,X2)
    | ~ esk4147_2(X1,X2) )).

cnf(i_0_3643,axiom,
    ( esk4003_2(X1,X2)
    | ~ esk4004_2(X1,X2) )).

cnf(i_0_3644,axiom,
    ( ~ esk4056_2(X1,X2)
    | ~ esk4057_2(X1,X2) )).

cnf(i_0_3645,axiom,
    ( ~ esk2245_2(X1,X2)
    | ~ esk2244_2(X1,X2) )).

cnf(i_0_3646,axiom,
    ( ~ esk3259_2(X1,X2)
    | ~ esk5278_2(X1,X2)
    | esk5279_2(X1,X2) )).

cnf(i_0_3647,axiom,
    ( esk2379_2(X1,X2)
    | ~ esk2383_2(X1,X2) )).

cnf(i_0_3648,axiom,
    ( ~ esk4252_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk4437_2(X1,X2)
    | esk4464_2(X1,X2) )).

cnf(i_0_3649,axiom,
    ( ~ esk3189_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | esk3602_2(X1,X2) )).

cnf(i_0_3650,axiom,
    ( ~ esk3667_2(X1,X2)
    | esk1014_2(X1,X2)
    | esk5536_2(X1,X2) )).

cnf(i_0_3651,axiom,
    ( esk5561_2(X1,X2)
    | ~ esk1631_2(X1,X2)
    | esk4284_2(X1,X2) )).

cnf(i_0_3652,axiom,
    ( ~ esk5496_2(X1,X2)
    | esk2843_2(X1,X2)
    | esk181_2(X1,X2) )).

cnf(i_0_3653,axiom,
    ( ~ esk1345_2(X1,X2)
    | ~ esk1346_2(X1,X2) )).

cnf(i_0_3654,axiom,
    ( ~ esk2667_2(X1,X2)
    | ~ esk2666_2(X1,X2) )).

cnf(i_0_3655,axiom,
    ( ~ esk2345_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_3656,axiom,
    ( ~ esk3640_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_3657,axiom,
    ( esk2701_2(X1,X2)
    | esk2700_2(X1,X2) )).

cnf(i_0_3658,axiom,
    ( ~ esk941_2(X1,X2)
    | ~ esk904_2(X1,X2)
    | esk942_2(X1,X2) )).

cnf(i_0_3659,axiom,
    ( ~ esk1897_2(X1,X2)
    | ~ esk1898_2(X1,X2) )).

cnf(i_0_3660,axiom,
    ( esk3852_2(X1,X2)
    | ~ esk4447_2(X1,X2) )).

cnf(i_0_3661,axiom,
    ( ~ esk4049_2(X1,X2)
    | esk4048_2(X1,X2) )).

cnf(i_0_3662,axiom,
    ( esk3718_2(X1,X2)
    | esk3719_2(X1,X2) )).

cnf(i_0_3663,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk41_2(X1,X2)
    | ~ esk1624_2(X1,X2)
    | esk1842_2(X1,X2) )).

cnf(i_0_3664,axiom,
    ( esk2053_2(X1,X2)
    | esk2052_2(X1,X2) )).

cnf(i_0_3665,axiom,
    ( ~ esk911_2(X1,X2)
    | esk907_2(X1,X2) )).

cnf(i_0_3666,axiom,
    ( esk777_2(X1,X2)
    | ~ esk819_2(X1,X2) )).

cnf(i_0_3667,axiom,
    ( ~ esk541_2(X1,X2)
    | esk790_2(X1,X2)
    | ~ esk789_2(X1,X2) )).

cnf(i_0_3668,axiom,
    ( ~ esk4849_2(X1,X2)
    | ~ esk4777_2(X1,X2) )).

cnf(i_0_3669,axiom,
    ( ~ esk3435_2(X1,X2)
    | esk3434_2(X1,X2) )).

cnf(i_0_3670,axiom,
    ( ~ esk3061_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_3671,axiom,
    ( ~ esk1806_2(X1,X2)
    | esk44_2(X1,X2) )).

cnf(i_0_3672,axiom,
    ( ~ esk4880_2(X1,X2)
    | ~ esk4881_2(X1,X2) )).

cnf(i_0_3673,axiom,
    ( esk2985_2(X1,X2)
    | esk2984_2(X1,X2) )).

cnf(i_0_3674,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk503_2(X1,X2)
    | esk952_2(X1,X2) )).

cnf(i_0_3675,axiom,
    ( ~ esk3202_2(X1,X2)
    | ~ esk3200_2(X1,X2) )).

cnf(i_0_3676,axiom,
    ( ~ esk2741_2(X1,X2)
    | esk2746_2(X1,X2)
    | ~ esk2745_2(X1,X2) )).

cnf(i_0_3677,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4300_2(X1,X2) )).

cnf(i_0_3678,axiom,
    ( esk3228_2(X1,X2)
    | ~ esk3229_2(X1,X2) )).

cnf(i_0_3679,axiom,
    ( ~ esk583_2(X1,X2)
    | ~ esk582_2(X1,X2) )).

cnf(i_0_3680,axiom,
    ( ~ esk2450_2(X1,X2)
    | ~ esk2466_2(X1,X2) )).

cnf(i_0_3681,axiom,
    ( esk3220_2(X1,X2)
    | esk3221_2(X1,X2) )).

cnf(i_0_3682,axiom,
    ( esk2997_2(X1,X2)
    | esk151_2(X1,X2)
    | esk2994_2(X1,X2)
    | esk2996_2(X1,X2) )).

cnf(i_0_3683,axiom,
    ( esk178_2(X1,X2)
    | ~ esk4397_2(X1,X2) )).

cnf(i_0_3684,axiom,
    ( ~ esk480_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk481_2(X1,X2) )).

cnf(i_0_3685,axiom,
    ( ~ esk4605_2(X1,X2)
    | esk4604_2(X1,X2) )).

cnf(i_0_3686,axiom,
    ( ~ esk2893_2(X1,X2)
    | ~ esk2892_2(X1,X2) )).

cnf(i_0_3687,axiom,
    ( ~ esk1055_2(X1,X2)
    | ~ esk1581_2(X1,X2)
    | esk1582_2(X1,X2)
    | ~ esk1580_2(X1,X2) )).

cnf(i_0_3688,axiom,
    ( ~ esk3512_2(X1,X2)
    | esk3511_2(X1,X2) )).

cnf(i_0_3689,axiom,
    ( ~ esk4397_2(X1,X2)
    | esk3786_2(X1,X2) )).

cnf(i_0_3690,axiom,
    ( ~ esk2186_2(X1,X2)
    | ~ esk2187_2(X1,X2) )).

cnf(i_0_3691,axiom,
    ( ~ esk3605_2(X1,X2)
    | esk5362_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_3692,axiom,
    ( ~ esk3340_2(X1,X2)
    | ~ esk3341_2(X1,X2) )).

cnf(i_0_3693,axiom,
    ( esk5294_2(X1,X2)
    | esk5293_2(X1,X2) )).

cnf(i_0_3694,axiom,
    ( ~ esk4458_2(X1,X2)
    | esk4437_2(X1,X2) )).

cnf(i_0_3695,axiom,
    ( ~ esk3803_2(X1,X2)
    | ~ esk3804_2(X1,X2) )).

cnf(i_0_3696,axiom,
    ( ~ esk88_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk1684_2(X1,X2)
    | ~ esk1680_2(X1,X2) )).

cnf(i_0_3697,axiom,
    ( ~ esk4430_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_3698,axiom,
    ( ~ esk1272_2(X1,X2)
    | ~ esk1273_2(X1,X2) )).

cnf(i_0_3699,axiom,
    ( esk299_2(X1,X2)
    | esk300_2(X1,X2) )).

cnf(i_0_3700,axiom,
    ( ~ esk3256_2(X1,X2)
    | ~ esk3257_2(X1,X2) )).

cnf(i_0_3701,axiom,
    ( ~ esk970_2(X1,X2)
    | ~ esk969_2(X1,X2) )).

cnf(i_0_3702,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk4304_2(X1,X2) )).

cnf(i_0_3703,axiom,
    ( ~ esk4294_2(X1,X2)
    | ~ esk4295_2(X1,X2) )).

cnf(i_0_3704,axiom,
    ( esk2593_2(X1,X2)
    | esk2592_2(X1,X2) )).

cnf(i_0_3705,axiom,
    ( esk1229_2(X1,X2)
    | ~ esk1233_2(X1,X2) )).

cnf(i_0_3706,axiom,
    ( esk3748_2(X1,X2)
    | ~ esk3752_2(X1,X2) )).

cnf(i_0_3707,axiom,
    ( ~ esk600_2(X1,X2)
    | esk665_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_3708,axiom,
    ( esk668_2(X1,X2)
    | ~ esk673_2(X1,X2) )).

cnf(i_0_3709,axiom,
    ( esk2979_2(X1,X2)
    | ~ esk2980_2(X1,X2) )).

cnf(i_0_3710,axiom,
    ( esk1721_2(X1,X2)
    | ~ esk1718_2(X1,X2)
    | ~ esk1720_2(X1,X2) )).

cnf(i_0_3711,axiom,
    ( ~ esk3648_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | esk4151_2(X1,X2) )).

cnf(i_0_3712,axiom,
    ( ~ esk456_2(X1,X2)
    | ~ esk455_2(X1,X2) )).

cnf(i_0_3713,axiom,
    ( ~ esk2578_2(X1,X2)
    | ~ esk2596_2(X1,X2) )).

cnf(i_0_3714,axiom,
    ( ~ esk2148_2(X1,X2)
    | esk2147_2(X1,X2) )).

cnf(i_0_3715,axiom,
    ( ~ esk340_2(X1,X2)
    | ~ esk342_2(X1,X2)
    | esk343_2(X1,X2) )).

cnf(i_0_3716,axiom,
    ( ~ esk1043_2(X1,X2)
    | esk1040_2(X1,X2) )).

cnf(i_0_3717,axiom,
    ( esk734_2(X1,X2)
    | ~ esk2126_2(X1,X2) )).

cnf(i_0_3718,axiom,
    ( esk1072_2(X1,X2)
    | esk1073_2(X1,X2) )).

cnf(i_0_3719,axiom,
    ( ~ esk4304_2(X1,X2)
    | esk4512_2(X1,X2)
    | ~ esk4303_2(X1,X2)
    | ~ esk4406_2(X1,X2) )).

cnf(i_0_3720,axiom,
    ( esk3259_2(X1,X2)
    | esk5199_2(X1,X2) )).

cnf(i_0_3721,axiom,
    ( ~ esk141_2(X1,X2)
    | ~ esk3215_2(X1,X2)
    | esk3659_2(X1,X2) )).

cnf(i_0_3722,axiom,
    ( ~ esk4255_2(X1,X2)
    | esk18_2(X1,X2) )).

cnf(i_0_3723,axiom,
    ( esk497_2(X1,X2)
    | ~ esk498_2(X1,X2) )).

cnf(i_0_3724,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk291_2(X1,X2) )).

cnf(i_0_3725,axiom,
    ( esk329_2(X1,X2)
    | esk330_2(X1,X2) )).

cnf(i_0_3726,axiom,
    ( ~ esk4372_2(X1,X2)
    | esk63_2(X1,X2) )).

cnf(i_0_3727,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk7_2(X1,X2)
    | esk4268_2(X1,X2) )).

cnf(i_0_3728,axiom,
    ( esk5249_2(X1,X2)
    | ~ esk5250_2(X1,X2) )).

cnf(i_0_3729,axiom,
    ( esk5471_2(X1,X2)
    | esk5603_2(X1,X2)
    | ~ esk2818_2(X1,X2) )).

cnf(i_0_3730,axiom,
    ( esk3054_2(X1,X2)
    | esk3053_2(X1,X2) )).

cnf(i_0_3731,axiom,
    ( esk5517_2(X1,X2)
    | esk210_2(X1,X2)
    | ~ esk2872_2(X1,X2) )).

cnf(i_0_3732,axiom,
    ( esk3986_2(X1,X2)
    | esk3980_2(X1,X2) )).

cnf(i_0_3733,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk756_2(X1,X2) )).

cnf(i_0_3734,axiom,
    ( ~ esk5211_2(X1,X2)
    | ~ esk5215_2(X1,X2)
    | esk5216_2(X1,X2) )).

cnf(i_0_3735,axiom,
    ( esk1380_2(X1,X2)
    | esk1381_2(X1,X2) )).

cnf(i_0_3736,axiom,
    ( esk5414_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_3737,axiom,
    ( ~ esk858_2(X1,X2)
    | esk857_2(X1,X2) )).

cnf(i_0_3738,axiom,
    ( ~ esk5154_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_3739,axiom,
    ( ~ esk175_2(X1,X2)
    | esk1615_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk7_2(X1,X2) )).

cnf(i_0_3740,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1794_2(X1,X2) )).

cnf(i_0_3741,axiom,
    ( esk4341_2(X1,X2)
    | esk1688_2(X1,X2)
    | ~ esk5569_2(X1,X2) )).

cnf(i_0_3742,axiom,
    ( ~ esk4391_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_3743,axiom,
    ( ~ esk3238_2(X1,X2)
    | ~ esk3237_2(X1,X2) )).

cnf(i_0_3744,axiom,
    ( esk1273_2(X1,X2)
    | ~ esk1619_2(X1,X2) )).

cnf(i_0_3745,axiom,
    ( esk2703_2(X1,X2)
    | esk2704_2(X1,X2) )).

cnf(i_0_3746,axiom,
    ( esk2733_2(X1,X2)
    | esk2734_2(X1,X2) )).

cnf(i_0_3747,axiom,
    ( ~ esk4714_2(X1,X2)
    | ~ esk4710_2(X1,X2) )).

cnf(i_0_3748,axiom,
    ( esk1316_2(X1,X2)
    | esk1315_2(X1,X2) )).

cnf(i_0_3749,axiom,
    ( ~ esk399_2(X1,X2)
    | ~ esk402_2(X1,X2) )).

cnf(i_0_3750,axiom,
    ( ~ esk174_2(X1,X2)
    | esk4262_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk8_2(X1,X2) )).

cnf(i_0_3751,axiom,
    ( ~ esk4803_2(X1,X2)
    | ~ esk4799_2(X1,X2)
    | esk4804_2(X1,X2) )).

cnf(i_0_3752,axiom,
    ( ~ esk2057_2(X1,X2)
    | ~ esk2056_2(X1,X2) )).

cnf(i_0_3753,axiom,
    ( ~ esk524_2(X1,X2)
    | esk487_2(X1,X2) )).

cnf(i_0_3754,axiom,
    ( esk3745_2(X1,X2)
    | ~ esk3750_2(X1,X2) )).

cnf(i_0_3755,axiom,
    ( esk1365_2(X1,X2)
    | esk1364_2(X1,X2) )).

cnf(i_0_3756,axiom,
    ( ~ esk3975_2(X1,X2)
    | ~ esk3974_2(X1,X2) )).

cnf(i_0_3757,axiom,
    ( ~ esk4196_2(X1,X2)
    | esk4195_2(X1,X2) )).

cnf(i_0_3758,axiom,
    ( esk160_2(X1,X2)
    | esk4233_2(X1,X2) )).

cnf(i_0_3759,axiom,
    ( ~ esk788_2(X1,X2)
    | ~ esk787_2(X1,X2) )).

cnf(i_0_3760,axiom,
    ( esk795_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk794_2(X1,X2) )).

cnf(i_0_3761,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1132_2(X1,X2) )).

cnf(i_0_3762,axiom,
    ( ~ esk526_2(X1,X2)
    | ~ esk524_2(X1,X2) )).

cnf(i_0_3763,axiom,
    ( ~ esk3888_2(X1,X2)
    | esk3887_2(X1,X2) )).

cnf(i_0_3764,axiom,
    ( esk94_2(X1,X2)
    | esk394_2(X1,X2) )).

cnf(i_0_3765,axiom,
    ( ~ esk4531_2(X1,X2)
    | esk4532_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_3766,axiom,
    ( esk148_2(X1,X2)
    | ~ esk271_2(X1,X2) )).

cnf(i_0_3767,axiom,
    ( esk3239_2(X1,X2)
    | ~ esk3612_2(X1,X2) )).

cnf(i_0_3768,axiom,
    ( ~ esk5090_2(X1,X2)
    | ~ esk5091_2(X1,X2) )).

cnf(i_0_3769,axiom,
    ( ~ esk5280_2(X1,X2)
    | ~ esk5283_2(X1,X2)
    | esk5284_2(X1,X2) )).

cnf(i_0_3770,axiom,
    ( ~ esk4691_2(X1,X2)
    | esk4690_2(X1,X2) )).

cnf(i_0_3771,axiom,
    ( esk752_2(X1,X2)
    | ~ esk777_2(X1,X2) )).

cnf(i_0_3772,axiom,
    ( ~ esk1953_2(X1,X2)
    | ~ esk1956_2(X1,X2)
    | esk1957_2(X1,X2) )).

cnf(i_0_3773,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1601_2(X1,X2) )).

cnf(i_0_3774,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk109_2(X1,X2)
    | esk5065_2(X1,X2) )).

cnf(i_0_3775,axiom,
    ( ~ esk401_2(X1,X2)
    | ~ esk402_2(X1,X2) )).

cnf(i_0_3776,axiom,
    ( ~ esk793_2(X1,X2)
    | esk1259_2(X1,X2)
    | ~ esk4_2(X1,X2) )).

cnf(i_0_3777,axiom,
    ( esk645_2(X1,X2)
    | ~ esk646_2(X1,X2) )).

cnf(i_0_3778,axiom,
    ( esk3453_2(X1,X2)
    | esk3452_2(X1,X2) )).

cnf(i_0_3779,axiom,
    ( esk2570_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_3780,axiom,
    ( esk2554_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_3781,axiom,
    ( esk3640_2(X1,X2)
    | esk3636_2(X1,X2)
    | esk3634_2(X1,X2)
    | esk3639_2(X1,X2)
    | esk3632_2(X1,X2)
    | esk3638_2(X1,X2) )).

cnf(i_0_3782,axiom,
    ( ~ esk589_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | esk958_2(X1,X2) )).

cnf(i_0_3783,axiom,
    ( ~ esk1745_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_3784,axiom,
    ( ~ esk1207_2(X1,X2)
    | esk1212_2(X1,X2)
    | ~ esk1211_2(X1,X2) )).

cnf(i_0_3785,axiom,
    ( ~ esk2025_2(X1,X2)
    | ~ esk2031_2(X1,X2) )).

cnf(i_0_3786,axiom,
    ( ~ esk27_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk4274_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_3787,axiom,
    ( ~ esk1062_2(X1,X2)
    | esk688_2(X1,X2) )).

cnf(i_0_3788,axiom,
    ( esk1911_2(X1,X2)
    | esk1912_2(X1,X2) )).

cnf(i_0_3789,axiom,
    ( esk821_2(X1,X2)
    | esk822_2(X1,X2) )).

cnf(i_0_3790,axiom,
    ( esk98_2(X1,X2)
    | esk2452_2(X1,X2) )).

cnf(i_0_3791,axiom,
    ( esk503_2(X1,X2)
    | ~ esk765_2(X1,X2) )).

cnf(i_0_3792,axiom,
    ( ~ esk2713_2(X1,X2)
    | ~ esk2712_2(X1,X2) )).

cnf(i_0_3793,axiom,
    ( ~ esk4575_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_3794,axiom,
    ( esk4623_2(X1,X2)
    | esk4621_2(X1,X2)
    | esk4624_2(X1,X2) )).

cnf(i_0_3795,axiom,
    ( ~ esk3398_2(X1,X2)
    | esk3330_2(X1,X2) )).

cnf(i_0_3796,axiom,
    ( esk4412_2(X1,X2)
    | esk4411_2(X1,X2) )).

cnf(i_0_3797,axiom,
    ( ~ esk1553_2(X1,X2)
    | ~ esk1554_2(X1,X2) )).

cnf(i_0_3798,axiom,
    ( esk2527_2(X1,X2)
    | ~ esk2528_2(X1,X2) )).

cnf(i_0_3799,axiom,
    ( esk542_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_3800,axiom,
    ( ~ esk1027_2(X1,X2)
    | esk2048_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_3801,axiom,
    ( ~ esk3016_2(X1,X2)
    | ~ esk3015_2(X1,X2) )).

cnf(i_0_3802,axiom,
    ( esk5278_2(X1,X2)
    | esk5277_2(X1,X2) )).

cnf(i_0_3803,axiom,
    ( ~ esk698_2(X1,X2)
    | esk2260_2(X1,X2)
    | ~ esk706_2(X1,X2) )).

cnf(i_0_3804,axiom,
    ( esk148_2(X1,X2)
    | ~ esk695_2(X1,X2) )).

cnf(i_0_3805,axiom,
    ( ~ esk1805_2(X1,X2)
    | esk1625_2(X1,X2) )).

cnf(i_0_3806,axiom,
    ( ~ esk4553_2(X1,X2)
    | esk4552_2(X1,X2) )).

cnf(i_0_3807,axiom,
    ( esk137_2(X1,X2)
    | ~ esk3618_2(X1,X2) )).

cnf(i_0_3808,axiom,
    ( ~ esk3042_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_3809,axiom,
    ( ~ esk1419_2(X1,X2)
    | ~ esk1084_2(X1,X2) )).

cnf(i_0_3810,axiom,
    ( ~ esk731_2(X1,X2)
    | ~ esk732_2(X1,X2) )).

cnf(i_0_3811,axiom,
    ( ~ esk1532_2(X1,X2)
    | ~ esk1531_2(X1,X2) )).

cnf(i_0_3812,axiom,
    ( ~ esk2828_2(X1,X2)
    | ~ esk2831_2(X1,X2) )).

cnf(i_0_3813,axiom,
    ( esk2508_2(X1,X2)
    | esk2507_2(X1,X2) )).

cnf(i_0_3814,axiom,
    ( ~ esk3764_2(X1,X2)
    | esk3769_2(X1,X2)
    | ~ esk3768_2(X1,X2) )).

cnf(i_0_3815,axiom,
    ( esk2508_2(X1,X2)
    | ~ esk2509_2(X1,X2) )).

cnf(i_0_3816,axiom,
    ( ~ esk5019_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_3817,axiom,
    ( ~ esk963_2(X1,X2)
    | esk553_2(X1,X2) )).

cnf(i_0_3818,axiom,
    ( esk3671_2(X1,X2)
    | ~ esk4862_2(X1,X2) )).

cnf(i_0_3819,axiom,
    ( ~ esk2240_2(X1,X2)
    | esk2241_2(X1,X2)
    | ~ esk2236_2(X1,X2) )).

cnf(i_0_3820,axiom,
    ( esk126_2(X1,X2)
    | ~ esk513_2(X1,X2) )).

cnf(i_0_3821,axiom,
    ( ~ esk859_2(X1,X2)
    | esk869_2(X1,X2)
    | ~ esk861_2(X1,X2)
    | ~ esk851_2(X1,X2) )).

cnf(i_0_3822,axiom,
    ( ~ esk1184_2(X1,X2)
    | esk1183_2(X1,X2) )).

cnf(i_0_3823,axiom,
    ( ~ esk4886_2(X1,X2)
    | esk4881_2(X1,X2) )).

cnf(i_0_3824,axiom,
    ( esk2044_2(X1,X2)
    | esk2045_2(X1,X2) )).

cnf(i_0_3825,axiom,
    ( esk3659_2(X1,X2)
    | ~ esk3856_2(X1,X2) )).

cnf(i_0_3826,axiom,
    ( ~ esk3810_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_3827,axiom,
    ( esk2356_2(X1,X2)
    | ~ esk2361_2(X1,X2) )).

cnf(i_0_3828,axiom,
    ( esk2456_2(X1,X2)
    | esk2455_2(X1,X2) )).

cnf(i_0_3829,axiom,
    ( ~ esk3703_2(X1,X2)
    | esk3699_2(X1,X2) )).

cnf(i_0_3830,axiom,
    ( ~ esk968_2(X1,X2)
    | esk2766_2(X1,X2)
    | ~ esk2765_2(X1,X2)
    | ~ esk2568_2(X1,X2) )).

cnf(i_0_3831,axiom,
    ( ~ esk4570_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_3832,axiom,
    ( ~ esk5155_2(X1,X2)
    | esk5157_2(X1,X2)
    | ~ esk5156_2(X1,X2) )).

cnf(i_0_3833,axiom,
    ( esk42_2(X1,X2)
    | ~ esk4496_2(X1,X2) )).

cnf(i_0_3834,axiom,
    ( ~ esk1932_2(X1,X2)
    | ~ esk1919_2(X1,X2)
    | esk1933_2(X1,X2) )).

cnf(i_0_3835,axiom,
    ( ~ esk1365_2(X1,X2)
    | ~ esk1364_2(X1,X2) )).

cnf(i_0_3836,axiom,
    ( esk125_2(X1,X2)
    | ~ esk3281_2(X1,X2) )).

cnf(i_0_3837,axiom,
    ( ~ esk2911_2(X1,X2)
    | esk32_2(X1,X2) )).

cnf(i_0_3838,axiom,
    ( esk1918_2(X1,X2)
    | ~ esk1919_2(X1,X2) )).

cnf(i_0_3839,axiom,
    ( esk5239_2(X1,X2)
    | esk5240_2(X1,X2) )).

cnf(i_0_3840,axiom,
    ( ~ esk2818_2(X1,X2)
    | ~ esk2817_2(X1,X2) )).

cnf(i_0_3841,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1890_2(X1,X2) )).

cnf(i_0_3842,axiom,
    ( ~ esk3248_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_3843,axiom,
    ( ~ esk2386_2(X1,X2)
    | esk2364_2(X1,X2) )).

cnf(i_0_3844,axiom,
    ( esk2470_2(X1,X2)
    | ~ esk2478_2(X1,X2) )).

cnf(i_0_3845,axiom,
    ( ~ esk706_2(X1,X2)
    | ~ esk2232_2(X1,X2) )).

cnf(i_0_3846,axiom,
    ( esk3311_2(X1,X2)
    | ~ esk133_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_3847,axiom,
    ( ~ esk1820_2(X1,X2)
    | ~ esk1818_2(X1,X2) )).

cnf(i_0_3848,axiom,
    ( esk142_2(X1,X2)
    | esk756_2(X1,X2) )).

cnf(i_0_3849,axiom,
    ( ~ esk420_2(X1,X2)
    | ~ esk423_2(X1,X2) )).

cnf(i_0_3850,axiom,
    ( ~ esk3645_2(X1,X2)
    | ~ esk3652_2(X1,X2) )).

cnf(i_0_3851,axiom,
    ( esk1264_2(X1,X2)
    | esk1263_2(X1,X2) )).

cnf(i_0_3852,axiom,
    ( esk337_2(X1,X2)
    | ~ esk336_2(X1,X2)
    | ~ esk331_2(X1,X2) )).

cnf(i_0_3853,axiom,
    ( ~ esk3849_2(X1,X2)
    | esk24_2(X1,X2) )).

cnf(i_0_3854,axiom,
    ( ~ esk2979_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | esk2980_2(X1,X2) )).

cnf(i_0_3855,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk3240_2(X1,X2) )).

cnf(i_0_3856,axiom,
    ( ~ esk695_2(X1,X2)
    | esk694_2(X1,X2) )).

cnf(i_0_3857,axiom,
    ( ~ esk3126_2(X1,X2)
    | ~ esk3125_2(X1,X2) )).

cnf(i_0_3858,axiom,
    ( ~ esk4476_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_3859,axiom,
    ( ~ esk621_2(X1,X2)
    | ~ esk622_2(X1,X2) )).

cnf(i_0_3860,axiom,
    ( esk2248_2(X1,X2)
    | ~ esk2249_2(X1,X2) )).

cnf(i_0_3861,axiom,
    ( esk1312_2(X1,X2)
    | esk1313_2(X1,X2) )).

cnf(i_0_3862,axiom,
    ( ~ esk5169_2(X1,X2)
    | esk5170_2(X1,X2)
    | ~ esk5166_2(X1,X2) )).

cnf(i_0_3863,axiom,
    ( esk104_2(X1,X2)
    | ~ esk2447_2(X1,X2) )).

cnf(i_0_3864,axiom,
    ( ~ esk5509_2(X1,X2)
    | ~ esk194_2(X1,X2)
    | ~ esk2856_2(X1,X2) )).

cnf(i_0_3865,axiom,
    ( ~ esk1350_2(X1,X2)
    | ~ esk541_2(X1,X2) )).

cnf(i_0_3866,axiom,
    ( ~ esk4619_2(X1,X2)
    | ~ esk4690_2(X1,X2)
    | esk4691_2(X1,X2) )).

cnf(i_0_3867,axiom,
    ( ~ esk3296_2(X1,X2)
    | esk3297_2(X1,X2)
    | ~ esk3267_2(X1,X2)
    | ~ esk3279_2(X1,X2)
    | ~ esk3291_2(X1,X2) )).

cnf(i_0_3868,axiom,
    ( esk3957_2(X1,X2)
    | esk3956_2(X1,X2) )).

cnf(i_0_3869,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3068_2(X1,X2) )).

cnf(i_0_3870,axiom,
    ( ~ esk1303_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_3871,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk5446_2(X1,X2) )).

cnf(i_0_3872,axiom,
    ( ~ esk23_2(X1,X2)
    | esk1175_2(X1,X2)
    | ~ esk652_2(X1,X2)
    | ~ esk688_2(X1,X2) )).

cnf(i_0_3873,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk3619_2(X1,X2) )).

cnf(i_0_3874,axiom,
    ( esk3463_2(X1,X2)
    | esk3901_2(X1,X2) )).

cnf(i_0_3875,axiom,
    ( ~ esk1699_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_3876,axiom,
    ( esk1371_2(X1,X2)
    | ~ esk1372_2(X1,X2) )).

cnf(i_0_3877,axiom,
    ( esk975_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_3878,axiom,
    ( esk2081_2(X1,X2)
    | ~ esk2086_2(X1,X2) )).

cnf(i_0_3879,axiom,
    ( esk811_2(X1,X2)
    | esk812_2(X1,X2) )).

cnf(i_0_3880,axiom,
    ( esk1947_2(X1,X2)
    | ~ esk1948_2(X1,X2) )).

cnf(i_0_3881,axiom,
    ( ~ esk4133_2(X1,X2)
    | esk4134_2(X1,X2)
    | ~ esk4079_2(X1,X2) )).

cnf(i_0_3882,axiom,
    ( esk130_2(X1,X2)
    | esk855_2(X1,X2) )).

cnf(i_0_3883,axiom,
    ( ~ esk2350_2(X1,X2)
    | ~ esk2349_2(X1,X2) )).

cnf(i_0_3884,axiom,
    ( esk2345_2(X1,X2)
    | esk2348_2(X1,X2)
    | esk2347_2(X1,X2) )).

cnf(i_0_3885,axiom,
    ( esk160_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_3886,axiom,
    ( esk3291_2(X1,X2)
    | esk3290_2(X1,X2) )).

cnf(i_0_3887,axiom,
    ( ~ esk525_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_3888,axiom,
    ( ~ esk3801_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk3802_2(X1,X2)
    | ~ esk3786_2(X1,X2) )).

cnf(i_0_3889,axiom,
    ( ~ esk4166_2(X1,X2)
    | ~ esk4165_2(X1,X2) )).

cnf(i_0_3890,axiom,
    ( ~ esk2528_2(X1,X2)
    | esk549_2(X1,X2) )).

cnf(i_0_3891,axiom,
    ( ~ esk2956_2(X1,X2)
    | ~ esk2969_2(X1,X2)
    | ~ esk2943_2(X1,X2)
    | esk2970_2(X1,X2)
    | ~ esk2963_2(X1,X2) )).

cnf(i_0_3892,axiom,
    ( esk2121_2(X1,X2)
    | esk2122_2(X1,X2) )).

cnf(i_0_3893,axiom,
    ( ~ esk4429_2(X1,X2)
    | esk4428_2(X1,X2) )).

cnf(i_0_3894,axiom,
    ( esk944_2(X1,X2)
    | ~ esk945_2(X1,X2) )).

cnf(i_0_3895,axiom,
    ( esk4869_2(X1,X2)
    | ~ esk4870_2(X1,X2) )).

cnf(i_0_3896,axiom,
    ( esk2338_2(X1,X2)
    | ~ esk2344_2(X1,X2) )).

cnf(i_0_3897,axiom,
    ( esk5083_2(X1,X2)
    | esk5082_2(X1,X2) )).

cnf(i_0_3898,axiom,
    ( ~ esk4142_2(X1,X2)
    | ~ esk4143_2(X1,X2) )).

cnf(i_0_3899,axiom,
    ( ~ esk3082_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_3900,axiom,
    ( ~ esk2494_2(X1,X2)
    | ~ esk2495_2(X1,X2) )).

cnf(i_0_3901,axiom,
    ( ~ esk3296_2(X1,X2)
    | ~ esk3746_2(X1,X2)
    | esk3747_2(X1,X2) )).

cnf(i_0_3902,axiom,
    ( ~ esk4823_2(X1,X2)
    | esk4828_2(X1,X2)
    | ~ esk4827_2(X1,X2) )).

cnf(i_0_3903,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4267_2(X1,X2) )).

cnf(i_0_3904,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk4428_2(X1,X2)
    | esk4429_2(X1,X2) )).

cnf(i_0_3905,axiom,
    ( esk453_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_3906,axiom,
    ( ~ esk66_2(X1,X2)
    | esk4362_2(X1,X2)
    | ~ esk4361_2(X1,X2) )).

cnf(i_0_3907,axiom,
    ( ~ esk609_2(X1,X2)
    | ~ esk694_2(X1,X2) )).

cnf(i_0_3908,axiom,
    ( ~ esk3369_2(X1,X2)
    | ~ esk4898_2(X1,X2)
    | esk4899_2(X1,X2) )).

cnf(i_0_3909,axiom,
    ( ~ esk4305_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_3910,axiom,
    ( esk139_2(X1,X2)
    | esk781_2(X1,X2) )).

cnf(i_0_3911,axiom,
    ( esk1124_2(X1,X2)
    | ~ esk1606_2(X1,X2) )).

cnf(i_0_3912,axiom,
    ( esk636_2(X1,X2)
    | ~ esk677_2(X1,X2) )).

cnf(i_0_3913,axiom,
    ( ~ esk162_2(X1,X2)
    | ~ esk1680_2(X1,X2) )).

cnf(i_0_3914,axiom,
    ( esk4284_2(X1,X2)
    | esk1631_2(X1,X2)
    | ~ esk5561_2(X1,X2) )).

cnf(i_0_3915,axiom,
    ( esk5304_2(X1,X2)
    | ~ esk5428_2(X1,X2) )).

cnf(i_0_3916,axiom,
    ( ~ esk4695_2(X1,X2)
    | ~ esk4694_2(X1,X2) )).

cnf(i_0_3917,axiom,
    ( esk1741_2(X1,X2)
    | ~ esk1810_2(X1,X2) )).

cnf(i_0_3918,axiom,
    ( esk1590_2(X1,X2)
    | ~ esk1690_2(X1,X2) )).

cnf(i_0_3919,axiom,
    ( ~ esk3395_2(X1,X2)
    | esk3394_2(X1,X2) )).

cnf(i_0_3920,axiom,
    ( esk4999_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_3921,axiom,
    ( ~ esk538_2(X1,X2)
    | esk537_2(X1,X2) )).

cnf(i_0_3922,axiom,
    ( ~ esk657_2(X1,X2)
    | ~ esk656_2(X1,X2) )).

cnf(i_0_3923,axiom,
    ( esk1249_2(X1,X2)
    | esk1250_2(X1,X2) )).

cnf(i_0_3924,axiom,
    ( esk1705_2(X1,X2)
    | esk1706_2(X1,X2)
    | esk1703_2(X1,X2)
    | esk1704_2(X1,X2)
    | esk1707_2(X1,X2) )).

cnf(i_0_3925,axiom,
    ( ~ esk1868_2(X1,X2)
    | esk86_2(X1,X2) )).

cnf(i_0_3926,axiom,
    ( esk137_2(X1,X2)
    | ~ esk787_2(X1,X2) )).

cnf(i_0_3927,axiom,
    ( esk860_2(X1,X2)
    | esk859_2(X1,X2) )).

cnf(i_0_3928,axiom,
    ( ~ esk714_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | esk715_2(X1,X2) )).

cnf(i_0_3929,axiom,
    ( ~ esk4289_2(X1,X2)
    | ~ esk4285_2(X1,X2) )).

cnf(i_0_3930,axiom,
    ( esk1316_2(X1,X2)
    | ~ esk1317_2(X1,X2) )).

cnf(i_0_3931,axiom,
    ( ~ esk467_2(X1,X2)
    | ~ esk468_2(X1,X2) )).

cnf(i_0_3932,axiom,
    ( esk91_2(X1,X2)
    | ~ esk525_2(X1,X2) )).

cnf(i_0_3933,axiom,
    ( esk92_2(X1,X2)
    | ~ esk512_2(X1,X2) )).

cnf(i_0_3934,axiom,
    ( ~ esk985_2(X1,X2)
    | esk664_2(X1,X2) )).

cnf(i_0_3935,axiom,
    ( esk4189_2(X1,X2)
    | ~ esk4194_2(X1,X2) )).

cnf(i_0_3936,axiom,
    ( ~ esk3803_2(X1,X2)
    | esk21_2(X1,X2) )).

cnf(i_0_3937,axiom,
    ( ~ esk3827_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_3938,axiom,
    ( ~ esk3141_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_3939,axiom,
    ( ~ esk530_2(X1,X2)
    | ~ esk529_2(X1,X2) )).

cnf(i_0_3940,axiom,
    ( esk3230_2(X1,X2)
    | esk3229_2(X1,X2) )).

cnf(i_0_3941,axiom,
    ( esk2470_2(X1,X2)
    | esk2469_2(X1,X2) )).

cnf(i_0_3942,axiom,
    ( ~ esk3072_2(X1,X2)
    | ~ esk3073_2(X1,X2) )).

cnf(i_0_3943,axiom,
    ( ~ esk1373_2(X1,X2)
    | ~ esk1376_2(X1,X2)
    | esk1377_2(X1,X2) )).

cnf(i_0_3944,axiom,
    ( esk2513_2(X1,X2)
    | esk2512_2(X1,X2) )).

cnf(i_0_3945,axiom,
    ( ~ esk1331_2(X1,X2)
    | esk1330_2(X1,X2) )).

cnf(i_0_3946,axiom,
    ( esk913_2(X1,X2)
    | ~ esk914_2(X1,X2) )).

cnf(i_0_3947,axiom,
    ( ~ esk3009_2(X1,X2)
    | esk3008_2(X1,X2) )).

cnf(i_0_3948,axiom,
    ( ~ esk3611_2(X1,X2)
    | ~ esk3620_2(X1,X2) )).

cnf(i_0_3949,axiom,
    ( esk2675_2(X1,X2)
    | esk2674_2(X1,X2) )).

cnf(i_0_3950,axiom,
    ( esk4678_2(X1,X2)
    | esk4679_2(X1,X2) )).

cnf(i_0_3951,axiom,
    ( esk119_2(X1,X2)
    | esk289_2(X1,X2) )).

cnf(i_0_3952,axiom,
    ( esk5090_2(X1,X2)
    | esk5091_2(X1,X2) )).

cnf(i_0_3953,axiom,
    ( ~ esk2122_2(X1,X2)
    | ~ esk2123_2(X1,X2)
    | esk2124_2(X1,X2) )).

cnf(i_0_3954,axiom,
    ( ~ esk3707_2(X1,X2)
    | ~ esk3708_2(X1,X2) )).

cnf(i_0_3955,axiom,
    ( ~ esk1811_2(X1,X2)
    | esk1784_2(X1,X2) )).

cnf(i_0_3956,axiom,
    ( ~ esk5167_2(X1,X2)
    | ~ esk5152_2(X1,X2) )).

cnf(i_0_3957,axiom,
    ( esk2800_2(X1,X2)
    | ~ esk2801_2(X1,X2) )).

cnf(i_0_3958,axiom,
    ( ~ esk3518_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_3959,axiom,
    ( esk5120_2(X1,X2)
    | esk5121_2(X1,X2) )).

cnf(i_0_3960,axiom,
    ( esk4996_2(X1,X2)
    | ~ esk4997_2(X1,X2) )).

cnf(i_0_3961,axiom,
    ( esk896_2(X1,X2)
    | esk897_2(X1,X2) )).

cnf(i_0_3962,axiom,
    ( ~ esk3334_2(X1,X2)
    | esk3335_2(X1,X2)
    | ~ esk3330_2(X1,X2) )).

cnf(i_0_3963,axiom,
    ( ~ esk100_2(X1,X2)
    | esk1926_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_3964,axiom,
    ( esk1625_2(X1,X2)
    | ~ esk1847_2(X1,X2) )).

cnf(i_0_3965,axiom,
    ( ~ esk3607_2(X1,X2)
    | ~ esk3197_2(X1,X2)
    | esk3608_2(X1,X2)
    | ~ esk3173_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_3966,axiom,
    ( ~ esk4451_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_3967,axiom,
    ( esk3593_2(X1,X2)
    | esk3592_2(X1,X2) )).

cnf(i_0_3968,axiom,
    ( ~ esk325_2(X1,X2)
    | ~ esk324_2(X1,X2) )).

cnf(i_0_3969,axiom,
    ( ~ esk3990_2(X1,X2)
    | esk3989_2(X1,X2) )).

cnf(i_0_3970,axiom,
    ( ~ esk4338_2(X1,X2)
    | esk78_2(X1,X2) )).

cnf(i_0_3971,axiom,
    ( esk2394_2(X1,X2)
    | ~ esk2395_2(X1,X2) )).

cnf(i_0_3972,axiom,
    ( ~ esk4934_2(X1,X2)
    | esk4933_2(X1,X2) )).

cnf(i_0_3973,axiom,
    ( esk2748_2(X1,X2)
    | esk2749_2(X1,X2) )).

cnf(i_0_3974,axiom,
    ( esk2259_2(X1,X2)
    | ~ esk2273_2(X1,X2) )).

cnf(i_0_3975,axiom,
    ( esk2411_2(X1,X2)
    | esk2410_2(X1,X2) )).

cnf(i_0_3976,axiom,
    ( ~ esk4490_2(X1,X2)
    | esk20_2(X1,X2) )).

cnf(i_0_3977,axiom,
    ( ~ esk173_2(X1,X2)
    | ~ esk4366_2(X1,X2)
    | ~ esk4377_2(X1,X2)
    | esk4378_2(X1,X2) )).

cnf(i_0_3978,axiom,
    ( esk343_2(X1,X2)
    | esk344_2(X1,X2) )).

cnf(i_0_3979,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk317_2(X1,X2)
    | esk351_2(X1,X2) )).

cnf(i_0_3980,axiom,
    ( esk1214_2(X1,X2)
    | ~ esk1210_2(X1,X2)
    | ~ esk1213_2(X1,X2) )).

cnf(i_0_3981,axiom,
    ( ~ esk3946_2(X1,X2)
    | ~ esk3945_2(X1,X2) )).

cnf(i_0_3982,axiom,
    ( esk1861_2(X1,X2)
    | esk1863_2(X1,X2)
    | esk1862_2(X1,X2)
    | esk1860_2(X1,X2)
    | esk1859_2(X1,X2) )).

cnf(i_0_3983,axiom,
    ( esk4154_2(X1,X2)
    | esk4155_2(X1,X2) )).

cnf(i_0_3984,axiom,
    ( esk18_2(X1,X2)
    | ~ esk4281_2(X1,X2) )).

cnf(i_0_3985,axiom,
    ( ~ esk589_2(X1,X2)
    | ~ esk593_2(X1,X2) )).

cnf(i_0_3986,axiom,
    ( ~ esk2972_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_3987,axiom,
    ( ~ esk2978_2(X1,X2)
    | ~ esk2985_2(X1,X2)
    | esk2986_2(X1,X2) )).

cnf(i_0_3988,axiom,
    ( esk151_2(X1,X2)
    | ~ esk2988_2(X1,X2) )).

cnf(i_0_3989,axiom,
    ( ~ esk280_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | esk1755_2(X1,X2)
    | ~ esk1132_2(X1,X2) )).

cnf(i_0_3990,axiom,
    ( ~ esk1882_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_3991,axiom,
    ( esk1903_2(X1,X2)
    | esk1902_2(X1,X2)
    | esk1905_2(X1,X2)
    | esk1904_2(X1,X2)
    | esk1901_2(X1,X2) )).

cnf(i_0_3992,axiom,
    ( esk2481_2(X1,X2)
    | ~ esk2486_2(X1,X2) )).

cnf(i_0_3993,axiom,
    ( ~ esk4104_2(X1,X2)
    | ~ esk4105_2(X1,X2) )).

cnf(i_0_3994,axiom,
    ( esk45_2(X1,X2)
    | ~ esk4410_2(X1,X2) )).

cnf(i_0_3995,axiom,
    ( ~ esk4100_2(X1,X2)
    | esk4101_2(X1,X2)
    | ~ esk4096_2(X1,X2) )).

cnf(i_0_3996,axiom,
    ( esk835_2(X1,X2)
    | esk836_2(X1,X2) )).

cnf(i_0_3997,axiom,
    ( esk4366_2(X1,X2)
    | ~ esk4367_2(X1,X2) )).

cnf(i_0_3998,axiom,
    ( esk4924_2(X1,X2)
    | esk4925_2(X1,X2) )).

cnf(i_0_3999,axiom,
    ( esk4958_2(X1,X2)
    | ~ esk4957_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_4000,axiom,
    ( esk94_2(X1,X2)
    | ~ esk2351_2(X1,X2) )).

cnf(i_0_4001,axiom,
    ( esk5346_2(X1,X2)
    | ~ esk5350_2(X1,X2) )).

cnf(i_0_4002,axiom,
    ( ~ esk5187_2(X1,X2)
    | ~ esk5186_2(X1,X2) )).

cnf(i_0_4003,axiom,
    ( ~ esk4277_2(X1,X2)
    | esk4499_2(X1,X2)
    | ~ esk4412_2(X1,X2)
    | ~ esk4278_2(X1,X2) )).

cnf(i_0_4004,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4313_2(X1,X2) )).

cnf(i_0_4005,axiom,
    ( esk1381_2(X1,X2)
    | ~ esk1385_2(X1,X2) )).

cnf(i_0_4006,axiom,
    ( esk785_2(X1,X2)
    | esk1230_2(X1,X2) )).

cnf(i_0_4007,axiom,
    ( ~ esk5459_2(X1,X2)
    | ~ esk5458_2(X1,X2) )).

cnf(i_0_4008,axiom,
    ( ~ esk3673_2(X1,X2)
    | ~ esk3668_2(X1,X2) )).

cnf(i_0_4009,axiom,
    ( ~ esk3428_2(X1,X2)
    | ~ esk3425_2(X1,X2)
    | esk3429_2(X1,X2) )).

cnf(i_0_4010,axiom,
    ( esk2360_2(X1,X2)
    | esk2344_2(X1,X2) )).

cnf(i_0_4011,axiom,
    ( esk5473_2(X1,X2)
    | esk5474_2(X1,X2)
    | esk5472_2(X1,X2) )).

cnf(i_0_4012,axiom,
    ( ~ esk1700_2(X1,X2)
    | ~ esk1701_2(X1,X2) )).

cnf(i_0_4013,axiom,
    ( esk4240_2(X1,X2)
    | ~ esk4241_2(X1,X2) )).

cnf(i_0_4014,axiom,
    ( esk2218_2(X1,X2)
    | ~ esk2219_2(X1,X2) )).

cnf(i_0_4015,axiom,
    ( esk553_2(X1,X2)
    | esk552_2(X1,X2) )).

cnf(i_0_4016,axiom,
    ( esk1418_2(X1,X2)
    | esk4071_2(X1,X2)
    | ~ esk5552_2(X1,X2) )).

cnf(i_0_4017,axiom,
    ( esk4659_2(X1,X2)
    | esk4661_2(X1,X2)
    | esk4662_2(X1,X2) )).

cnf(i_0_4018,axiom,
    ( esk597_2(X1,X2)
    | ~ esk962_2(X1,X2) )).

cnf(i_0_4019,axiom,
    ( esk2487_2(X1,X2)
    | esk2486_2(X1,X2) )).

cnf(i_0_4020,axiom,
    ( esk2375_2(X1,X2)
    | ~ esk2376_2(X1,X2) )).

cnf(i_0_4021,axiom,
    ( ~ esk2863_2(X1,X2)
    | esk13_2(X1,X2) )).

cnf(i_0_4022,axiom,
    ( ~ esk4711_2(X1,X2)
    | ~ esk4710_2(X1,X2)
    | esk4712_2(X1,X2) )).

cnf(i_0_4023,axiom,
    ( ~ esk4266_2(X1,X2)
    | ~ esk4269_2(X1,X2) )).

cnf(i_0_4024,axiom,
    ( ~ esk75_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk1904_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_4025,axiom,
    ( ~ esk5447_2(X1,X2)
    | esk5446_2(X1,X2) )).

cnf(i_0_4026,axiom,
    ( ~ esk3260_2(X1,X2)
    | esk3211_2(X1,X2) )).

cnf(i_0_4027,axiom,
    ( ~ esk832_2(X1,X2)
    | ~ esk833_2(X1,X2) )).

cnf(i_0_4028,axiom,
    ( esk1528_2(X1,X2)
    | esk1529_2(X1,X2) )).

cnf(i_0_4029,axiom,
    ( ~ esk3606_2(X1,X2)
    | esk3605_2(X1,X2) )).

cnf(i_0_4030,axiom,
    ( ~ esk5224_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_4031,axiom,
    ( esk5192_2(X1,X2)
    | esk5193_2(X1,X2) )).

cnf(i_0_4032,axiom,
    ( ~ esk2940_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_4033,axiom,
    ( ~ esk304_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_4034,axiom,
    ( esk1320_2(X1,X2)
    | ~ esk1321_2(X1,X2) )).

cnf(i_0_4035,axiom,
    ( esk5437_2(X1,X2)
    | esk5438_2(X1,X2)
    | esk5435_2(X1,X2)
    | esk5436_2(X1,X2)
    | esk5144_2(X1,X2) )).

cnf(i_0_4036,axiom,
    ( ~ esk600_2(X1,X2)
    | ~ esk115_2(X1,X2)
    | esk630_2(X1,X2) )).

cnf(i_0_4037,axiom,
    ( esk955_2(X1,X2)
    | esk951_2(X1,X2)
    | esk956_2(X1,X2)
    | esk949_2(X1,X2)
    | esk953_2(X1,X2) )).

cnf(i_0_4038,axiom,
    ( ~ esk4037_2(X1,X2)
    | ~ esk4034_2(X1,X2)
    | esk4038_2(X1,X2) )).

cnf(i_0_4039,axiom,
    ( ~ esk4674_2(X1,X2)
    | ~ esk4658_2(X1,X2) )).

cnf(i_0_4040,axiom,
    ( esk1483_2(X1,X2)
    | esk1482_2(X1,X2) )).

cnf(i_0_4041,axiom,
    ( ~ esk5366_2(X1,X2)
    | ~ esk5365_2(X1,X2) )).

cnf(i_0_4042,axiom,
    ( esk2210_2(X1,X2)
    | ~ esk2211_2(X1,X2) )).

cnf(i_0_4043,axiom,
    ( ~ esk2353_2(X1,X2)
    | ~ esk2354_2(X1,X2) )).

cnf(i_0_4044,axiom,
    ( ~ esk2203_2(X1,X2)
    | ~ esk2261_2(X1,X2) )).

cnf(i_0_4045,axiom,
    ( esk151_2(X1,X2)
    | ~ esk1025_2(X1,X2) )).

cnf(i_0_4046,axiom,
    ( ~ esk149_2(X1,X2)
    | esk739_2(X1,X2)
    | ~ esk738_2(X1,X2) )).

cnf(i_0_4047,axiom,
    ( esk786_2(X1,X2)
    | ~ esk787_2(X1,X2) )).

cnf(i_0_4048,axiom,
    ( ~ esk3727_2(X1,X2)
    | ~ esk5143_2(X1,X2)
    | ~ esk3728_2(X1,X2)
    | esk5144_2(X1,X2) )).

cnf(i_0_4049,axiom,
    ( esk3575_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_4050,axiom,
    ( ~ esk842_2(X1,X2)
    | esk841_2(X1,X2) )).

cnf(i_0_4051,axiom,
    ( ~ esk930_2(X1,X2)
    | esk931_2(X1,X2)
    | ~ esk912_2(X1,X2)
    | ~ esk921_2(X1,X2) )).

cnf(i_0_4052,axiom,
    ( esk4440_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk4136_2(X1,X2)
    | ~ esk3853_2(X1,X2) )).

cnf(i_0_4053,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4569_2(X1,X2) )).

cnf(i_0_4054,axiom,
    ( ~ esk997_2(X1,X2)
    | esk1457_2(X1,X2)
    | ~ esk768_2(X1,X2) )).

cnf(i_0_4055,axiom,
    ( esk569_2(X1,X2)
    | ~ esk570_2(X1,X2) )).

cnf(i_0_4056,axiom,
    ( esk1478_2(X1,X2)
    | esk1477_2(X1,X2) )).

cnf(i_0_4057,axiom,
    ( ~ esk1292_2(X1,X2)
    | esk1282_2(X1,X2) )).

cnf(i_0_4058,axiom,
    ( esk1016_2(X1,X2)
    | ~ esk1017_2(X1,X2) )).

cnf(i_0_4059,axiom,
    ( ~ esk5106_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_4060,axiom,
    ( ~ esk1877_2(X1,X2)
    | ~ esk1878_2(X1,X2) )).

cnf(i_0_4061,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4547_2(X1,X2) )).

cnf(i_0_4062,axiom,
    ( esk4823_2(X1,X2)
    | ~ esk4828_2(X1,X2) )).

cnf(i_0_4063,axiom,
    ( esk15_2(X1,X2)
    | ~ esk226_2(X1,X2) )).

cnf(i_0_4064,axiom,
    ( esk3422_2(X1,X2)
    | ~ esk4123_2(X1,X2) )).

cnf(i_0_4065,axiom,
    ( esk4905_2(X1,X2)
    | esk4904_2(X1,X2) )).

cnf(i_0_4066,axiom,
    ( esk202_2(X1,X2)
    | ~ esk2864_2(X1,X2)
    | esk5512_2(X1,X2) )).

cnf(i_0_4067,axiom,
    ( ~ esk5137_2(X1,X2)
    | ~ esk5136_2(X1,X2) )).

cnf(i_0_4068,axiom,
    ( esk3543_2(X1,X2)
    | ~ esk3544_2(X1,X2) )).

cnf(i_0_4069,axiom,
    ( ~ esk4991_2(X1,X2)
    | ~ esk4990_2(X1,X2) )).

cnf(i_0_4070,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1744_2(X1,X2) )).

cnf(i_0_4071,axiom,
    ( esk2731_2(X1,X2)
    | ~ esk2732_2(X1,X2) )).

cnf(i_0_4072,axiom,
    ( ~ esk3519_2(X1,X2)
    | esk3520_2(X1,X2)
    | ~ esk3516_2(X1,X2) )).

cnf(i_0_4073,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1519_2(X1,X2) )).

cnf(i_0_4074,axiom,
    ( ~ esk3174_2(X1,X2)
    | ~ esk3176_2(X1,X2) )).

cnf(i_0_4075,axiom,
    ( ~ esk5505_2(X1,X2)
    | ~ esk2852_2(X1,X2)
    | ~ esk190_2(X1,X2) )).

cnf(i_0_4076,axiom,
    ( esk145_2(X1,X2)
    | esk3410_2(X1,X2) )).

cnf(i_0_4077,axiom,
    ( ~ esk516_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_4078,axiom,
    ( esk637_2(X1,X2)
    | ~ esk127_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_4079,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk4443_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | esk4470_2(X1,X2) )).

cnf(i_0_4080,axiom,
    ( ~ esk2206_2(X1,X2)
    | ~ esk2207_2(X1,X2) )).

cnf(i_0_4081,axiom,
    ( ~ esk528_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_4082,axiom,
    ( esk39_2(X1,X2)
    | ~ esk5448_2(X1,X2) )).

cnf(i_0_4083,axiom,
    ( ~ esk3297_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_4084,axiom,
    ( ~ esk877_2(X1,X2)
    | esk872_2(X1,X2) )).

cnf(i_0_4085,axiom,
    ( ~ esk3093_2(X1,X2)
    | esk3087_2(X1,X2) )).

cnf(i_0_4086,axiom,
    ( esk5119_2(X1,X2)
    | ~ esk5120_2(X1,X2) )).

cnf(i_0_4087,axiom,
    ( esk1510_2(X1,X2)
    | ~ esk1511_2(X1,X2) )).

cnf(i_0_4088,axiom,
    ( ~ esk541_2(X1,X2)
    | esk543_2(X1,X2)
    | ~ esk542_2(X1,X2) )).

cnf(i_0_4089,axiom,
    ( ~ esk2204_2(X1,X2)
    | ~ esk2205_2(X1,X2)
    | esk2206_2(X1,X2) )).

cnf(i_0_4090,axiom,
    ( ~ esk3285_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_4091,axiom,
    ( ~ esk2533_2(X1,X2)
    | esk2529_2(X1,X2) )).

cnf(i_0_4092,axiom,
    ( ~ esk1483_2(X1,X2)
    | ~ esk1482_2(X1,X2) )).

cnf(i_0_4093,axiom,
    ( esk109_2(X1,X2)
    | esk440_2(X1,X2) )).

cnf(i_0_4094,axiom,
    ( esk4136_2(X1,X2)
    | esk4137_2(X1,X2) )).

cnf(i_0_4095,axiom,
    ( ~ esk817_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk793_2(X1,X2)
    | esk1205_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | ~ esk785_2(X1,X2) )).

cnf(i_0_4096,axiom,
    ( ~ esk130_2(X1,X2)
    | ~ esk4628_2(X1,X2) )).

cnf(i_0_4097,axiom,
    ( ~ esk4771_2(X1,X2)
    | esk4766_2(X1,X2) )).

cnf(i_0_4098,axiom,
    ( ~ esk3070_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_4099,axiom,
    ( esk4437_2(X1,X2)
    | ~ esk4464_2(X1,X2) )).

cnf(i_0_4100,axiom,
    ( ~ esk719_2(X1,X2)
    | ~ esk656_2(X1,X2)
    | esk720_2(X1,X2) )).

cnf(i_0_4101,axiom,
    ( ~ esk162_2(X1,X2)
    | ~ esk1589_2(X1,X2) )).

cnf(i_0_4102,axiom,
    ( ~ esk3096_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | ~ esk2973_2(X1,X2)
    | esk3097_2(X1,X2) )).

cnf(i_0_4103,axiom,
    ( esk1421_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_4104,axiom,
    ( esk1838_2(X1,X2)
    | esk1839_2(X1,X2) )).

cnf(i_0_4105,axiom,
    ( esk4128_2(X1,X2)
    | ~ esk4132_2(X1,X2) )).

cnf(i_0_4106,axiom,
    ( ~ esk4134_2(X1,X2)
    | esk4133_2(X1,X2) )).

cnf(i_0_4107,axiom,
    ( ~ esk406_2(X1,X2)
    | ~ esk409_2(X1,X2) )).

cnf(i_0_4108,axiom,
    ( ~ esk1883_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_4109,axiom,
    ( esk3358_2(X1,X2)
    | ~ esk3359_2(X1,X2) )).

cnf(i_0_4110,axiom,
    ( esk3291_2(X1,X2)
    | ~ esk4181_2(X1,X2) )).

cnf(i_0_4111,axiom,
    ( ~ esk3201_2(X1,X2)
    | ~ esk3202_2(X1,X2) )).

cnf(i_0_4112,axiom,
    ( esk2949_2(X1,X2)
    | ~ esk2955_2(X1,X2) )).

cnf(i_0_4113,axiom,
    ( ~ esk4089_2(X1,X2)
    | ~ esk4092_2(X1,X2)
    | esk4093_2(X1,X2) )).

cnf(i_0_4114,axiom,
    ( ~ esk2968_2(X1,X2)
    | ~ esk2969_2(X1,X2) )).

cnf(i_0_4115,axiom,
    ( ~ esk970_2(X1,X2)
    | ~ esk957_2(X1,X2) )).

cnf(i_0_4116,axiom,
    ( ~ esk2935_2(X1,X2)
    | ~ esk2934_2(X1,X2) )).

cnf(i_0_4117,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1831_2(X1,X2) )).

cnf(i_0_4118,axiom,
    ( esk1441_2(X1,X2)
    | esk1440_2(X1,X2) )).

cnf(i_0_4119,axiom,
    ( ~ esk2564_2(X1,X2)
    | ~ esk2563_2(X1,X2) )).

cnf(i_0_4120,axiom,
    ( esk1396_2(X1,X2)
    | esk1397_2(X1,X2) )).

cnf(i_0_4121,axiom,
    ( ~ esk5117_2(X1,X2)
    | ~ esk5118_2(X1,X2) )).

cnf(i_0_4122,axiom,
    ( ~ esk1200_2(X1,X2)
    | ~ esk1483_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1787_2(X1,X2) )).

cnf(i_0_4123,axiom,
    ( esk5485_2(X1,X2)
    | esk5484_2(X1,X2) )).

cnf(i_0_4124,axiom,
    ( esk1504_2(X1,X2)
    | esk1505_2(X1,X2) )).

cnf(i_0_4125,axiom,
    ( esk143_2(X1,X2)
    | ~ esk3256_2(X1,X2) )).

cnf(i_0_4126,axiom,
    ( ~ esk4881_2(X1,X2)
    | esk4886_2(X1,X2)
    | ~ esk4885_2(X1,X2) )).

cnf(i_0_4127,axiom,
    ( ~ esk4825_2(X1,X2)
    | esk4824_2(X1,X2) )).

cnf(i_0_4128,axiom,
    ( ~ esk1389_2(X1,X2)
    | esk114_2(X1,X2) )).

cnf(i_0_4129,axiom,
    ( esk515_2(X1,X2)
    | ~ esk993_2(X1,X2) )).

cnf(i_0_4130,axiom,
    ( ~ esk4706_2(X1,X2)
    | ~ esk4705_2(X1,X2) )).

cnf(i_0_4131,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4487_2(X1,X2) )).

cnf(i_0_4132,axiom,
    ( esk3851_2(X1,X2)
    | esk3850_2(X1,X2) )).

cnf(i_0_4133,axiom,
    ( ~ esk1011_2(X1,X2)
    | ~ esk1425_2(X1,X2) )).

cnf(i_0_4134,axiom,
    ( ~ esk3960_2(X1,X2)
    | esk3298_2(X1,X2) )).

cnf(i_0_4135,axiom,
    ( esk3926_2(X1,X2)
    | ~ esk4343_2(X1,X2) )).

cnf(i_0_4136,axiom,
    ( ~ esk3059_2(X1,X2)
    | ~ esk3060_2(X1,X2) )).

cnf(i_0_4137,axiom,
    ( ~ esk3942_2(X1,X2)
    | esk3941_2(X1,X2) )).

cnf(i_0_4138,axiom,
    ( ~ esk633_2(X1,X2)
    | ~ esk632_2(X1,X2) )).

cnf(i_0_4139,axiom,
    ( ~ esk2991_2(X1,X2)
    | ~ esk2992_2(X1,X2) )).

cnf(i_0_4140,axiom,
    ( ~ esk1253_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_4141,axiom,
    ( esk4443_2(X1,X2)
    | ~ esk4488_2(X1,X2) )).

cnf(i_0_4142,axiom,
    ( esk5516_2(X1,X2)
    | esk2871_2(X1,X2)
    | ~ esk209_2(X1,X2) )).

cnf(i_0_4143,axiom,
    ( ~ esk1624_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1846_2(X1,X2)
    | ~ esk1759_2(X1,X2) )).

cnf(i_0_4144,axiom,
    ( ~ esk3869_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_4145,axiom,
    ( ~ esk3872_2(X1,X2)
    | esk4336_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_4146,axiom,
    ( ~ esk612_2(X1,X2)
    | ~ esk611_2(X1,X2) )).

cnf(i_0_4147,axiom,
    ( esk3728_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_4148,axiom,
    ( esk4289_2(X1,X2)
    | esk4288_2(X1,X2)
    | esk4286_2(X1,X2)
    | esk4287_2(X1,X2)
    | esk4285_2(X1,X2) )).

cnf(i_0_4149,axiom,
    ( esk409_2(X1,X2)
    | esk408_2(X1,X2)
    | esk406_2(X1,X2) )).

cnf(i_0_4150,axiom,
    ( esk1172_2(X1,X2)
    | esk3825_2(X1,X2)
    | ~ esk5544_2(X1,X2) )).

cnf(i_0_4151,axiom,
    ( esk3235_2(X1,X2)
    | esk5207_2(X1,X2) )).

cnf(i_0_4152,axiom,
    ( ~ esk5092_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_4153,axiom,
    ( esk1655_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk78_2(X1,X2) )).

cnf(i_0_4154,axiom,
    ( ~ esk1790_2(X1,X2)
    | ~ esk1789_2(X1,X2) )).

cnf(i_0_4155,axiom,
    ( esk2596_2(X1,X2)
    | ~ esk2597_2(X1,X2) )).

cnf(i_0_4156,axiom,
    ( esk3215_2(X1,X2)
    | ~ esk4004_2(X1,X2) )).

cnf(i_0_4157,axiom,
    ( esk4803_2(X1,X2)
    | esk4783_2(X1,X2) )).

cnf(i_0_4158,axiom,
    ( esk4249_2(X1,X2)
    | esk4248_2(X1,X2) )).

cnf(i_0_4159,axiom,
    ( ~ esk1622_2(X1,X2)
    | ~ esk1623_2(X1,X2) )).

cnf(i_0_4160,axiom,
    ( esk2164_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk2163_2(X1,X2) )).

cnf(i_0_4161,axiom,
    ( ~ esk4320_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_4162,axiom,
    ( esk103_2(X1,X2)
    | ~ esk4563_2(X1,X2) )).

cnf(i_0_4163,axiom,
    ( ~ esk3211_2(X1,X2)
    | esk5181_2(X1,X2)
    | ~ esk5180_2(X1,X2) )).

cnf(i_0_4164,axiom,
    ( esk4799_2(X1,X2)
    | esk4800_2(X1,X2) )).

cnf(i_0_4165,axiom,
    ( ~ esk2900_2(X1,X2)
    | ~ esk165_2(X1,X2) )).

cnf(i_0_4166,axiom,
    ( ~ esk4078_2(X1,X2)
    | ~ esk3664_2(X1,X2) )).

cnf(i_0_4167,axiom,
    ( ~ esk2925_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_4168,axiom,
    ( ~ esk636_2(X1,X2)
    | ~ esk132_2(X1,X2)
    | esk648_2(X1,X2) )).

cnf(i_0_4169,axiom,
    ( ~ esk5377_2(X1,X2)
    | ~ esk5378_2(X1,X2) )).

cnf(i_0_4170,axiom,
    ( esk3728_2(X1,X2)
    | ~ esk3888_2(X1,X2) )).

cnf(i_0_4171,axiom,
    ( ~ esk219_2(X1,X2)
    | esk5518_2(X1,X2)
    | esk2881_2(X1,X2) )).

cnf(i_0_4172,axiom,
    ( esk5217_2(X1,X2)
    | esk5216_2(X1,X2) )).

cnf(i_0_4173,axiom,
    ( ~ esk1693_2(X1,X2)
    | ~ esk1689_2(X1,X2) )).

cnf(i_0_4174,axiom,
    ( ~ esk997_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_4175,axiom,
    ( ~ esk3889_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_4176,axiom,
    ( ~ esk3745_2(X1,X2)
    | ~ esk3744_2(X1,X2) )).

cnf(i_0_4177,axiom,
    ( ~ esk2795_2(X1,X2)
    | esk39_2(X1,X2) )).

cnf(i_0_4178,axiom,
    ( ~ esk415_2(X1,X2)
    | ~ esk416_2(X1,X2) )).

cnf(i_0_4179,axiom,
    ( esk3929_2(X1,X2)
    | esk3930_2(X1,X2) )).

cnf(i_0_4180,axiom,
    ( esk997_2(X1,X2)
    | ~ esk1469_2(X1,X2) )).

cnf(i_0_4181,axiom,
    ( ~ esk4394_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk4278_2(X1,X2)
    | esk4457_2(X1,X2) )).

cnf(i_0_4182,axiom,
    ( esk4103_2(X1,X2)
    | esk4104_2(X1,X2) )).

cnf(i_0_4183,axiom,
    ( esk3058_2(X1,X2)
    | esk3055_2(X1,X2)
    | esk3057_2(X1,X2) )).

cnf(i_0_4184,axiom,
    ( esk2462_2(X1,X2)
    | ~ esk2467_2(X1,X2) )).

cnf(i_0_4185,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4534_2(X1,X2) )).

cnf(i_0_4186,axiom,
    ( ~ esk434_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_4187,axiom,
    ( ~ esk1018_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_4188,axiom,
    ( esk5395_2(X1,X2)
    | ~ esk5396_2(X1,X2) )).

cnf(i_0_4189,axiom,
    ( ~ esk979_2(X1,X2)
    | esk668_2(X1,X2) )).

cnf(i_0_4190,axiom,
    ( ~ esk4124_2(X1,X2)
    | ~ esk3648_2(X1,X2) )).

cnf(i_0_4191,axiom,
    ( ~ esk4251_2(X1,X2)
    | ~ esk18_2(X1,X2)
    | esk4255_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_4192,axiom,
    ( ~ esk5457_2(X1,X2)
    | esk5456_2(X1,X2) )).

cnf(i_0_4193,axiom,
    ( ~ esk1216_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_4194,axiom,
    ( ~ esk2003_2(X1,X2)
    | ~ esk2004_2(X1,X2) )).

cnf(i_0_4195,axiom,
    ( ~ esk3352_2(X1,X2)
    | esk5529_2(X1,X2)
    | esk690_2(X1,X2) )).

cnf(i_0_4196,axiom,
    ( esk3968_2(X1,X2)
    | esk3969_2(X1,X2) )).

cnf(i_0_4197,axiom,
    ( esk3497_2(X1,X2)
    | ~ esk3502_2(X1,X2) )).

cnf(i_0_4198,axiom,
    ( esk178_2(X1,X2)
    | ~ esk2784_2(X1,X2) )).

cnf(i_0_4199,axiom,
    ( ~ esk2369_2(X1,X2)
    | ~ esk2370_2(X1,X2) )).

cnf(i_0_4200,axiom,
    ( esk1014_2(X1,X2)
    | esk1013_2(X1,X2) )).

cnf(i_0_4201,axiom,
    ( esk3396_2(X1,X2)
    | esk4770_2(X1,X2) )).

cnf(i_0_4202,axiom,
    ( ~ esk3855_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_4203,axiom,
    ( esk2945_2(X1,X2)
    | ~ esk2946_2(X1,X2) )).

cnf(i_0_4204,axiom,
    ( esk706_2(X1,X2)
    | ~ esk2201_2(X1,X2) )).

cnf(i_0_4205,axiom,
    ( esk5055_2(X1,X2)
    | esk5056_2(X1,X2) )).

cnf(i_0_4206,axiom,
    ( ~ esk531_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | esk532_2(X1,X2) )).

cnf(i_0_4207,axiom,
    ( ~ esk3241_2(X1,X2)
    | esk3240_2(X1,X2) )).

cnf(i_0_4208,axiom,
    ( ~ esk4489_2(X1,X2)
    | esk19_2(X1,X2) )).

cnf(i_0_4209,axiom,
    ( ~ esk1502_2(X1,X2)
    | ~ esk1501_2(X1,X2) )).

cnf(i_0_4210,axiom,
    ( ~ esk561_2(X1,X2)
    | esk2496_2(X1,X2)
    | ~ esk965_2(X1,X2) )).

cnf(i_0_4211,axiom,
    ( ~ esk4343_2(X1,X2)
    | ~ esk4346_2(X1,X2) )).

cnf(i_0_4212,axiom,
    ( ~ esk5465_2(X1,X2)
    | ~ esk5602_2(X1,X2)
    | ~ esk2812_2(X1,X2) )).

cnf(i_0_4213,axiom,
    ( ~ esk709_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_4214,axiom,
    ( ~ esk5251_2(X1,X2)
    | ~ esk5250_2(X1,X2) )).

cnf(i_0_4215,axiom,
    ( ~ esk4738_2(X1,X2)
    | ~ esk3372_2(X1,X2) )).

cnf(i_0_4216,axiom,
    ( ~ esk1201_2(X1,X2)
    | ~ esk1218_2(X1,X2) )).

cnf(i_0_4217,axiom,
    ( ~ esk2519_2(X1,X2)
    | ~ esk2518_2(X1,X2) )).

cnf(i_0_4218,axiom,
    ( ~ esk4506_2(X1,X2)
    | esk4455_2(X1,X2) )).

cnf(i_0_4219,axiom,
    ( esk3498_2(X1,X2)
    | esk3497_2(X1,X2) )).

cnf(i_0_4220,axiom,
    ( esk3843_2(X1,X2)
    | ~ esk5545_2(X1,X2)
    | esk1190_2(X1,X2) )).

cnf(i_0_4221,axiom,
    ( esk421_2(X1,X2)
    | ~ esk422_2(X1,X2) )).

cnf(i_0_4222,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk852_2(X1,X2) )).

cnf(i_0_4223,axiom,
    ( esk5043_2(X1,X2)
    | esk5042_2(X1,X2) )).

cnf(i_0_4224,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk1347_2(X1,X2) )).

cnf(i_0_4225,axiom,
    ( esk734_2(X1,X2)
    | ~ esk743_2(X1,X2) )).

cnf(i_0_4226,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk3262_2(X1,X2)
    | esk3263_2(X1,X2) )).

cnf(i_0_4227,axiom,
    ( ~ esk2795_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_4228,axiom,
    ( ~ esk4165_2(X1,X2)
    | ~ esk4150_2(X1,X2) )).

cnf(i_0_4229,axiom,
    ( ~ esk3852_2(X1,X2)
    | esk4439_2(X1,X2)
    | ~ esk3079_2(X1,X2)
    | ~ esk3853_2(X1,X2) )).

cnf(i_0_4230,axiom,
    ( ~ esk126_2(X1,X2)
    | ~ esk537_2(X1,X2) )).

cnf(i_0_4231,axiom,
    ( esk109_2(X1,X2)
    | ~ esk3095_2(X1,X2) )).

cnf(i_0_4232,axiom,
    ( esk4498_2(X1,X2)
    | esk5590_2(X1,X2)
    | ~ esk1845_2(X1,X2) )).

cnf(i_0_4233,axiom,
    ( ~ esk2811_2(X1,X2)
    | ~ esk2812_2(X1,X2) )).

cnf(i_0_4234,axiom,
    ( esk102_2(X1,X2)
    | ~ esk2418_2(X1,X2) )).

cnf(i_0_4235,axiom,
    ( ~ esk4278_2(X1,X2)
    | ~ esk3872_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk4280_2(X1,X2) )).

cnf(i_0_4236,axiom,
    ( esk2319_2(X1,X2)
    | esk2320_2(X1,X2) )).

cnf(i_0_4237,axiom,
    ( ~ esk1206_2(X1,X2)
    | ~ esk1202_2(X1,X2) )).

cnf(i_0_4238,axiom,
    ( ~ esk3523_2(X1,X2)
    | ~ esk3526_2(X1,X2)
    | ~ esk3522_2(X1,X2)
    | esk3527_2(X1,X2) )).

cnf(i_0_4239,axiom,
    ( esk3842_2(X1,X2)
    | ~ esk4265_2(X1,X2) )).

cnf(i_0_4240,axiom,
    ( ~ esk5531_2(X1,X2)
    | esk3481_2(X1,X2)
    | esk819_2(X1,X2) )).

cnf(i_0_4241,axiom,
    ( esk963_2(X1,X2)
    | ~ esk2493_2(X1,X2) )).

cnf(i_0_4242,axiom,
    ( ~ esk770_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_4243,axiom,
    ( esk2808_2(X1,X2)
    | ~ esk2807_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk1125_2(X1,X2) )).

cnf(i_0_4244,axiom,
    ( esk3984_2(X1,X2)
    | esk3982_2(X1,X2)
    | esk3985_2(X1,X2) )).

cnf(i_0_4245,axiom,
    ( ~ esk2007_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk2008_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_4246,axiom,
    ( esk152_2(X1,X2)
    | esk321_2(X1,X2)
    | esk322_2(X1,X2)
    | esk318_2(X1,X2) )).

cnf(i_0_4247,axiom,
    ( ~ esk1538_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_4248,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1223_2(X1,X2) )).

cnf(i_0_4249,axiom,
    ( ~ esk3491_2(X1,X2)
    | ~ esk3492_2(X1,X2) )).

cnf(i_0_4250,axiom,
    ( ~ esk2662_2(X1,X2)
    | ~ esk2658_2(X1,X2) )).

cnf(i_0_4251,axiom,
    ( ~ esk5567_2(X1,X2)
    | esk4325_2(X1,X2)
    | esk1672_2(X1,X2) )).

cnf(i_0_4252,axiom,
    ( esk2042_2(X1,X2)
    | ~ esk2043_2(X1,X2) )).

cnf(i_0_4253,axiom,
    ( ~ esk2557_2(X1,X2)
    | esk2553_2(X1,X2) )).

cnf(i_0_4254,axiom,
    ( ~ esk3185_2(X1,X2)
    | esk5364_2(X1,X2)
    | ~ esk3161_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_4255,axiom,
    ( ~ esk3935_2(X1,X2)
    | ~ esk3934_2(X1,X2) )).

cnf(i_0_4256,axiom,
    ( ~ esk1907_2(X1,X2)
    | esk4560_2(X1,X2)
    | esk5599_2(X1,X2) )).

cnf(i_0_4257,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1818_2(X1,X2) )).

cnf(i_0_4258,axiom,
    ( esk4125_2(X1,X2)
    | esk4126_2(X1,X2) )).

cnf(i_0_4259,axiom,
    ( ~ esk107_2(X1,X2)
    | ~ esk913_2(X1,X2) )).

cnf(i_0_4260,axiom,
    ( ~ esk3627_2(X1,X2)
    | ~ esk3630_2(X1,X2) )).

cnf(i_0_4261,axiom,
    ( ~ esk3530_2(X1,X2)
    | esk3529_2(X1,X2) )).

cnf(i_0_4262,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk278_2(X1,X2) )).

cnf(i_0_4263,axiom,
    ( ~ esk2144_2(X1,X2)
    | esk2145_2(X1,X2)
    | ~ esk2141_2(X1,X2) )).

cnf(i_0_4264,axiom,
    ( esk3469_2(X1,X2)
    | esk3468_2(X1,X2) )).

cnf(i_0_4265,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1517_2(X1,X2) )).

cnf(i_0_4266,axiom,
    ( ~ esk625_2(X1,X2)
    | ~ esk621_2(X1,X2)
    | esk626_2(X1,X2) )).

cnf(i_0_4267,axiom,
    ( esk1598_2(X1,X2)
    | ~ esk1818_2(X1,X2) )).

cnf(i_0_4268,axiom,
    ( esk1764_2(X1,X2)
    | esk880_2(X1,X2) )).

cnf(i_0_4269,axiom,
    ( ~ esk1000_2(X1,X2)
    | ~ esk999_2(X1,X2) )).

cnf(i_0_4270,axiom,
    ( ~ esk686_2(X1,X2)
    | ~ esk685_2(X1,X2) )).

cnf(i_0_4271,axiom,
    ( ~ esk5074_2(X1,X2)
    | ~ esk5073_2(X1,X2) )).

cnf(i_0_4272,axiom,
    ( esk690_2(X1,X2)
    | ~ esk635_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_4273,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4520_2(X1,X2) )).

cnf(i_0_4274,axiom,
    ( esk4015_2(X1,X2)
    | esk4016_2(X1,X2) )).

cnf(i_0_4275,axiom,
    ( ~ esk1515_2(X1,X2)
    | esk1433_2(X1,X2) )).

cnf(i_0_4276,axiom,
    ( esk5387_2(X1,X2)
    | ~ esk5388_2(X1,X2) )).

cnf(i_0_4277,axiom,
    ( esk3102_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_4278,axiom,
    ( esk5010_2(X1,X2)
    | ~ esk5011_2(X1,X2) )).

cnf(i_0_4279,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk2491_2(X1,X2) )).

cnf(i_0_4280,axiom,
    ( ~ esk1667_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_4281,axiom,
    ( esk1295_2(X1,X2)
    | ~ esk1290_2(X1,X2)
    | ~ esk1294_2(X1,X2) )).

cnf(i_0_4282,axiom,
    ( ~ esk3876_2(X1,X2)
    | esk3479_2(X1,X2) )).

cnf(i_0_4283,axiom,
    ( ~ esk70_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk4359_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_4284,axiom,
    ( esk1121_2(X1,X2)
    | esk1122_2(X1,X2) )).

cnf(i_0_4285,axiom,
    ( esk656_2(X1,X2)
    | ~ esk720_2(X1,X2) )).

cnf(i_0_4286,axiom,
    ( esk3886_2(X1,X2)
    | ~ esk3882_2(X1,X2)
    | ~ esk3885_2(X1,X2) )).

cnf(i_0_4287,axiom,
    ( ~ esk3377_2(X1,X2)
    | ~ esk3378_2(X1,X2) )).

cnf(i_0_4288,axiom,
    ( esk2139_2(X1,X2)
    | ~ esk2140_2(X1,X2) )).

cnf(i_0_4289,axiom,
    ( esk719_2(X1,X2)
    | ~ esk720_2(X1,X2) )).

cnf(i_0_4290,axiom,
    ( esk4481_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk4412_2(X1,X2) )).

cnf(i_0_4291,axiom,
    ( ~ esk144_2(X1,X2)
    | esk3194_2(X1,X2)
    | ~ esk3193_2(X1,X2) )).

cnf(i_0_4292,axiom,
    ( ~ esk4702_2(X1,X2)
    | ~ esk4703_2(X1,X2) )).

cnf(i_0_4293,axiom,
    ( esk4348_2(X1,X2)
    | ~ esk1695_2(X1,X2)
    | esk5570_2(X1,X2) )).

cnf(i_0_4294,axiom,
    ( ~ esk953_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_4295,axiom,
    ( ~ esk3134_2(X1,X2)
    | esk3133_2(X1,X2) )).

cnf(i_0_4296,axiom,
    ( esk1364_2(X1,X2)
    | ~ esk1363_2(X1,X2)
    | ~ esk1354_2(X1,X2) )).

cnf(i_0_4297,axiom,
    ( esk144_2(X1,X2)
    | ~ esk992_2(X1,X2) )).

cnf(i_0_4298,axiom,
    ( ~ esk2185_2(X1,X2)
    | esk2181_2(X1,X2) )).

cnf(i_0_4299,axiom,
    ( ~ esk2493_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_4300,axiom,
    ( ~ esk3971_2(X1,X2)
    | esk3988_2(X1,X2)
    | ~ esk3980_2(X1,X2)
    | ~ esk3959_2(X1,X2) )).

cnf(i_0_4301,axiom,
    ( esk109_2(X1,X2)
    | esk5060_2(X1,X2) )).

cnf(i_0_4302,axiom,
    ( ~ esk4479_2(X1,X2)
    | ~ esk4476_2(X1,X2) )).

cnf(i_0_4303,axiom,
    ( ~ esk1670_2(X1,X2)
    | ~ esk1667_2(X1,X2) )).

cnf(i_0_4304,axiom,
    ( ~ esk3958_2(X1,X2)
    | ~ esk3959_2(X1,X2) )).

cnf(i_0_4305,axiom,
    ( esk1535_2(X1,X2)
    | ~ esk1105_2(X1,X2)
    | ~ esk1534_2(X1,X2) )).

cnf(i_0_4306,axiom,
    ( esk3194_2(X1,X2)
    | esk3195_2(X1,X2) )).

cnf(i_0_4307,axiom,
    ( ~ esk482_2(X1,X2)
    | ~ esk479_2(X1,X2) )).

cnf(i_0_4308,axiom,
    ( ~ esk3680_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_4309,axiom,
    ( ~ esk1624_2(X1,X2)
    | ~ esk1753_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1840_2(X1,X2) )).

cnf(i_0_4310,axiom,
    ( esk5001_2(X1,X2)
    | esk5002_2(X1,X2) )).

cnf(i_0_4311,axiom,
    ( esk889_2(X1,X2)
    | ~ esk890_2(X1,X2) )).

cnf(i_0_4312,axiom,
    ( ~ esk1736_2(X1,X2)
    | esk4389_2(X1,X2)
    | esk5574_2(X1,X2) )).

cnf(i_0_4313,axiom,
    ( ~ esk4152_2(X1,X2)
    | esk3650_2(X1,X2) )).

cnf(i_0_4314,axiom,
    ( ~ esk934_2(X1,X2)
    | ~ esk933_2(X1,X2) )).

cnf(i_0_4315,axiom,
    ( esk2271_2(X1,X2)
    | esk2270_2(X1,X2) )).

cnf(i_0_4316,axiom,
    ( esk707_2(X1,X2)
    | ~ esk2199_2(X1,X2) )).

cnf(i_0_4317,axiom,
    ( ~ esk3544_2(X1,X2)
    | ~ esk3545_2(X1,X2) )).

cnf(i_0_4318,axiom,
    ( ~ esk473_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_4319,axiom,
    ( ~ esk746_2(X1,X2)
    | ~ esk747_2(X1,X2) )).

cnf(i_0_4320,axiom,
    ( ~ esk1173_2(X1,X2)
    | esk337_2(X1,X2) )).

cnf(i_0_4321,axiom,
    ( ~ esk3662_2(X1,X2)
    | esk3661_2(X1,X2) )).

cnf(i_0_4322,axiom,
    ( ~ esk1571_2(X1,X2)
    | ~ esk1570_2(X1,X2) )).

cnf(i_0_4323,axiom,
    ( esk685_2(X1,X2)
    | ~ esk684_2(X1,X2)
    | ~ esk680_2(X1,X2) )).

cnf(i_0_4324,axiom,
    ( ~ esk1529_2(X1,X2)
    | ~ esk1528_2(X1,X2) )).

cnf(i_0_4325,axiom,
    ( ~ esk4546_2(X1,X2)
    | ~ esk5597_2(X1,X2)
    | ~ esk1893_2(X1,X2) )).

cnf(i_0_4326,axiom,
    ( esk4465_2(X1,X2)
    | ~ esk44_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_4327,axiom,
    ( esk5460_2(X1,X2)
    | ~ esk5467_2(X1,X2) )).

cnf(i_0_4328,axiom,
    ( ~ esk917_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_4329,axiom,
    ( esk179_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_4330,axiom,
    ( esk1207_2(X1,X2)
    | esk1206_2(X1,X2) )).

cnf(i_0_4331,axiom,
    ( ~ esk1137_2(X1,X2)
    | esk647_2(X1,X2) )).

cnf(i_0_4332,axiom,
    ( esk2314_2(X1,X2)
    | esk2316_2(X1,X2) )).

cnf(i_0_4333,axiom,
    ( ~ esk311_2(X1,X2)
    | esk461_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk460_2(X1,X2) )).

cnf(i_0_4334,axiom,
    ( esk4079_2(X1,X2)
    | ~ esk4134_2(X1,X2) )).

cnf(i_0_4335,axiom,
    ( esk3272_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_4336,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4560_2(X1,X2) )).

cnf(i_0_4337,axiom,
    ( ~ esk1238_2(X1,X2)
    | ~ esk1237_2(X1,X2) )).

cnf(i_0_4338,axiom,
    ( ~ esk4398_2(X1,X2)
    | esk54_2(X1,X2) )).

cnf(i_0_4339,axiom,
    ( esk2873_2(X1,X2)
    | ~ esk2895_2(X1,X2) )).

cnf(i_0_4340,axiom,
    ( ~ esk2585_2(X1,X2)
    | ~ esk2584_2(X1,X2) )).

cnf(i_0_4341,axiom,
    ( esk151_2(X1,X2)
    | ~ esk1980_2(X1,X2) )).

cnf(i_0_4342,axiom,
    ( ~ esk5293_2(X1,X2)
    | ~ esk5292_2(X1,X2) )).

cnf(i_0_4343,axiom,
    ( ~ esk5020_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_4344,axiom,
    ( ~ esk5266_2(X1,X2)
    | esk5261_2(X1,X2) )).

cnf(i_0_4345,axiom,
    ( esk3463_2(X1,X2)
    | ~ esk3876_2(X1,X2) )).

cnf(i_0_4346,axiom,
    ( ~ esk832_2(X1,X2)
    | esk115_2(X1,X2) )).

cnf(i_0_4347,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1861_2(X1,X2) )).

cnf(i_0_4348,axiom,
    ( esk2277_2(X1,X2)
    | esk2276_2(X1,X2) )).

cnf(i_0_4349,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk3891_2(X1,X2)
    | esk4357_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_4350,axiom,
    ( esk2401_2(X1,X2)
    | esk2402_2(X1,X2)
    | esk2399_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_4351,axiom,
    ( esk886_2(X1,X2)
    | esk885_2(X1,X2) )).

cnf(i_0_4352,axiom,
    ( ~ esk1933_2(X1,X2)
    | esk1919_2(X1,X2) )).

cnf(i_0_4353,axiom,
    ( ~ esk4443_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk4548_2(X1,X2)
    | ~ esk4334_2(X1,X2) )).

cnf(i_0_4354,axiom,
    ( ~ esk5157_2(X1,X2)
    | esk5155_2(X1,X2) )).

cnf(i_0_4355,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk1194_2(X1,X2) )).

cnf(i_0_4356,axiom,
    ( ~ esk1665_2(X1,X2)
    | esk1664_2(X1,X2) )).

cnf(i_0_4357,axiom,
    ( esk3571_2(X1,X2)
    | esk3570_2(X1,X2) )).

cnf(i_0_4358,axiom,
    ( ~ esk2675_2(X1,X2)
    | ~ esk2674_2(X1,X2) )).

cnf(i_0_4359,axiom,
    ( esk1352_2(X1,X2)
    | ~ esk1353_2(X1,X2) )).

cnf(i_0_4360,axiom,
    ( ~ esk5107_2(X1,X2)
    | ~ esk5106_2(X1,X2) )).

cnf(i_0_4361,axiom,
    ( esk785_2(X1,X2)
    | ~ esk1228_2(X1,X2) )).

cnf(i_0_4362,axiom,
    ( esk3279_2(X1,X2)
    | ~ esk4216_2(X1,X2) )).

cnf(i_0_4363,axiom,
    ( ~ esk3437_2(X1,X2)
    | esk3436_2(X1,X2) )).

cnf(i_0_4364,axiom,
    ( ~ esk621_2(X1,X2)
    | ~ esk699_2(X1,X2)
    | esk700_2(X1,X2) )).

cnf(i_0_4365,axiom,
    ( esk96_2(X1,X2)
    | ~ esk2333_2(X1,X2) )).

cnf(i_0_4366,axiom,
    ( ~ esk631_2(X1,X2)
    | ~ esk632_2(X1,X2) )).

cnf(i_0_4367,axiom,
    ( ~ esk3871_2(X1,X2)
    | ~ esk3869_2(X1,X2) )).

cnf(i_0_4368,axiom,
    ( ~ esk743_2(X1,X2)
    | esk744_2(X1,X2)
    | ~ esk709_2(X1,X2) )).

cnf(i_0_4369,axiom,
    ( ~ esk300_2(X1,X2)
    | ~ esk299_2(X1,X2) )).

cnf(i_0_4370,axiom,
    ( esk102_2(X1,X2)
    | ~ esk4573_2(X1,X2) )).

cnf(i_0_4371,axiom,
    ( ~ esk1616_2(X1,X2)
    | ~ esk1612_2(X1,X2) )).

cnf(i_0_4372,axiom,
    ( esk90_2(X1,X2)
    | esk1769_2(X1,X2) )).

cnf(i_0_4373,axiom,
    ( ~ esk2398_2(X1,X2)
    | ~ esk2397_2(X1,X2) )).

cnf(i_0_4374,axiom,
    ( ~ esk2137_2(X1,X2)
    | ~ esk2136_2(X1,X2) )).

cnf(i_0_4375,axiom,
    ( esk5394_2(X1,X2)
    | esk5395_2(X1,X2) )).

cnf(i_0_4376,axiom,
    ( esk1318_2(X1,X2)
    | ~ esk1334_2(X1,X2) )).

cnf(i_0_4377,axiom,
    ( ~ esk1041_2(X1,X2)
    | ~ esk2045_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | esk2046_2(X1,X2) )).

cnf(i_0_4378,axiom,
    ( esk2944_2(X1,X2)
    | esk2946_2(X1,X2)
    | esk2947_2(X1,X2) )).

cnf(i_0_4379,axiom,
    ( ~ esk621_2(X1,X2)
    | ~ esk702_2(X1,X2) )).

cnf(i_0_4380,axiom,
    ( ~ esk5302_2(X1,X2)
    | ~ esk5303_2(X1,X2) )).

cnf(i_0_4381,axiom,
    ( esk5171_2(X1,X2)
    | esk5170_2(X1,X2) )).

cnf(i_0_4382,axiom,
    ( esk1680_2(X1,X2)
    | ~ esk1880_2(X1,X2) )).

cnf(i_0_4383,axiom,
    ( esk5394_2(X1,X2)
    | esk5393_2(X1,X2) )).

cnf(i_0_4384,axiom,
    ( ~ esk3775_2(X1,X2)
    | ~ esk3774_2(X1,X2) )).

cnf(i_0_4385,axiom,
    ( esk160_2(X1,X2)
    | ~ esk2828_2(X1,X2) )).

cnf(i_0_4386,axiom,
    ( ~ esk1326_2(X1,X2)
    | esk1322_2(X1,X2) )).

cnf(i_0_4387,axiom,
    ( esk45_2(X1,X2)
    | ~ esk1757_2(X1,X2) )).

cnf(i_0_4388,axiom,
    ( ~ esk4304_2(X1,X2)
    | esk4306_2(X1,X2)
    | ~ esk3872_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_4389,axiom,
    ( ~ esk2622_2(X1,X2)
    | esk2623_2(X1,X2)
    | ~ esk2619_2(X1,X2) )).

cnf(i_0_4390,axiom,
    ( ~ esk3279_2(X1,X2)
    | ~ esk4175_2(X1,X2) )).

cnf(i_0_4391,axiom,
    ( ~ esk4950_2(X1,X2)
    | esk3370_2(X1,X2) )).

cnf(i_0_4392,axiom,
    ( ~ esk3213_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_4393,axiom,
    ( esk102_2(X1,X2)
    | ~ esk2333_2(X1,X2) )).

cnf(i_0_4394,axiom,
    ( ~ esk4260_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_4395,axiom,
    ( esk4303_2(X1,X2)
    | ~ esk4512_2(X1,X2) )).

cnf(i_0_4396,axiom,
    ( esk3177_2(X1,X2)
    | esk3407_2(X1,X2) )).

cnf(i_0_4397,axiom,
    ( esk82_2(X1,X2)
    | ~ esk1584_2(X1,X2) )).

cnf(i_0_4398,axiom,
    ( ~ esk1636_2(X1,X2)
    | ~ esk1632_2(X1,X2) )).

cnf(i_0_4399,axiom,
    ( esk2981_2(X1,X2)
    | ~ esk3103_2(X1,X2) )).

cnf(i_0_4400,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk282_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_4401,axiom,
    ( esk524_2(X1,X2)
    | esk525_2(X1,X2)
    | esk526_2(X1,X2) )).

cnf(i_0_4402,axiom,
    ( esk147_2(X1,X2)
    | ~ esk3365_2(X1,X2) )).

cnf(i_0_4403,axiom,
    ( ~ esk4899_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_4404,axiom,
    ( ~ esk1495_2(X1,X2)
    | ~ esk1494_2(X1,X2) )).

cnf(i_0_4405,axiom,
    ( ~ esk5060_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_4406,axiom,
    ( esk2645_2(X1,X2)
    | esk2646_2(X1,X2) )).

cnf(i_0_4407,axiom,
    ( ~ esk2365_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_4408,axiom,
    ( ~ esk4160_2(X1,X2)
    | esk4159_2(X1,X2) )).

cnf(i_0_4409,axiom,
    ( esk3369_2(X1,X2)
    | esk4901_2(X1,X2) )).

cnf(i_0_4410,axiom,
    ( ~ esk3483_2(X1,X2)
    | ~ esk3484_2(X1,X2) )).

cnf(i_0_4411,axiom,
    ( esk5370_2(X1,X2)
    | esk5371_2(X1,X2) )).

cnf(i_0_4412,axiom,
    ( esk2429_2(X1,X2)
    | esk2430_2(X1,X2) )).

cnf(i_0_4413,axiom,
    ( esk2868_2(X1,X2)
    | esk2871_2(X1,X2) )).

cnf(i_0_4414,axiom,
    ( ~ esk1028_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_4415,axiom,
    ( esk2043_2(X1,X2)
    | esk2044_2(X1,X2) )).

cnf(i_0_4416,axiom,
    ( esk5033_2(X1,X2)
    | ~ esk5034_2(X1,X2) )).

cnf(i_0_4417,axiom,
    ( ~ esk3401_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_4418,axiom,
    ( esk3891_2(X1,X2)
    | esk3890_2(X1,X2) )).

cnf(i_0_4419,axiom,
    ( esk4085_2(X1,X2)
    | esk4086_2(X1,X2) )).

cnf(i_0_4420,axiom,
    ( esk2510_2(X1,X2)
    | ~ esk2515_2(X1,X2) )).

cnf(i_0_4421,axiom,
    ( esk885_2(X1,X2)
    | ~ esk884_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_4422,axiom,
    ( ~ esk3651_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_4423,axiom,
    ( ~ esk960_2(X1,X2)
    | esk597_2(X1,X2) )).

cnf(i_0_4424,axiom,
    ( ~ esk3267_2(X1,X2)
    | ~ esk4222_2(X1,X2) )).

cnf(i_0_4425,axiom,
    ( ~ esk5476_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_4426,axiom,
    ( esk2994_2(X1,X2)
    | ~ esk128_2(X1,X2)
    | ~ esk2979_2(X1,X2) )).

cnf(i_0_4427,axiom,
    ( ~ esk4801_2(X1,X2)
    | esk4800_2(X1,X2) )).

cnf(i_0_4428,axiom,
    ( esk3173_2(X1,X2)
    | esk5398_2(X1,X2) )).

cnf(i_0_4429,axiom,
    ( esk2469_2(X1,X2)
    | ~ esk2465_2(X1,X2)
    | ~ esk2468_2(X1,X2) )).

cnf(i_0_4430,axiom,
    ( ~ esk731_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_4431,axiom,
    ( ~ esk3016_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_4432,axiom,
    ( esk1775_2(X1,X2)
    | ~ esk1776_2(X1,X2) )).

cnf(i_0_4433,axiom,
    ( esk1660_2(X1,X2)
    | esk1662_2(X1,X2)
    | esk1663_2(X1,X2)
    | esk1659_2(X1,X2)
    | esk1661_2(X1,X2) )).

cnf(i_0_4434,axiom,
    ( esk277_2(X1,X2)
    | esk148_2(X1,X2)
    | esk278_2(X1,X2)
    | esk275_2(X1,X2) )).

cnf(i_0_4435,axiom,
    ( esk4394_2(X1,X2)
    | ~ esk4554_2(X1,X2) )).

cnf(i_0_4436,axiom,
    ( ~ esk795_2(X1,X2)
    | esk794_2(X1,X2) )).

cnf(i_0_4437,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk3909_2(X1,X2)
    | esk4266_2(X1,X2)
    | ~ esk3778_2(X1,X2) )).

cnf(i_0_4438,axiom,
    ( ~ esk3792_2(X1,X2)
    | ~ esk3633_2(X1,X2) )).

cnf(i_0_4439,axiom,
    ( ~ esk5125_2(X1,X2)
    | esk5058_2(X1,X2) )).

cnf(i_0_4440,axiom,
    ( esk5494_2(X1,X2)
    | esk5495_2(X1,X2) )).

cnf(i_0_4441,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3471_2(X1,X2)
    | esk3662_2(X1,X2)
    | ~ esk3661_2(X1,X2)
    | ~ esk3463_2(X1,X2)
    | ~ esk3447_2(X1,X2) )).

cnf(i_0_4442,axiom,
    ( esk1012_2(X1,X2)
    | esk1013_2(X1,X2)
    | esk1000_2(X1,X2) )).

cnf(i_0_4443,axiom,
    ( esk4523_2(X1,X2)
    | esk4524_2(X1,X2) )).

cnf(i_0_4444,axiom,
    ( esk2440_2(X1,X2)
    | ~ esk2441_2(X1,X2) )).

cnf(i_0_4445,axiom,
    ( ~ esk2898_2(X1,X2)
    | esk2879_2(X1,X2) )).

cnf(i_0_4446,axiom,
    ( ~ esk1644_2(X1,X2)
    | esk1192_2(X1,X2) )).

cnf(i_0_4447,axiom,
    ( ~ esk4297_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_4448,axiom,
    ( esk4950_2(X1,X2)
    | ~ esk3370_2(X1,X2)
    | ~ esk4949_2(X1,X2) )).

cnf(i_0_4449,axiom,
    ( esk5261_2(X1,X2)
    | esk5260_2(X1,X2) )).

cnf(i_0_4450,axiom,
    ( esk1437_2(X1,X2)
    | ~ esk1438_2(X1,X2) )).

cnf(i_0_4451,axiom,
    ( ~ esk4168_2(X1,X2)
    | esk4167_2(X1,X2) )).

cnf(i_0_4452,axiom,
    ( ~ esk651_2(X1,X2)
    | ~ esk710_2(X1,X2) )).

cnf(i_0_4453,axiom,
    ( ~ esk3360_2(X1,X2)
    | ~ esk3359_2(X1,X2) )).

cnf(i_0_4454,axiom,
    ( esk993_2(X1,X2)
    | esk1487_2(X1,X2)
    | esk1485_2(X1,X2)
    | esk1486_2(X1,X2) )).

cnf(i_0_4455,axiom,
    ( ~ esk1282_2(X1,X2)
    | ~ esk1294_2(X1,X2) )).

cnf(i_0_4456,axiom,
    ( ~ esk1792_2(X1,X2)
    | ~ esk1795_2(X1,X2) )).

cnf(i_0_4457,axiom,
    ( esk2238_2(X1,X2)
    | esk2239_2(X1,X2) )).

cnf(i_0_4458,axiom,
    ( esk1291_2(X1,X2)
    | ~ esk1292_2(X1,X2) )).

cnf(i_0_4459,axiom,
    ( esk2736_2(X1,X2)
    | esk2735_2(X1,X2) )).

cnf(i_0_4460,axiom,
    ( ~ esk1936_2(X1,X2)
    | esk1931_2(X1,X2) )).

cnf(i_0_4461,axiom,
    ( ~ esk1501_2(X1,X2)
    | ~ esk993_2(X1,X2) )).

cnf(i_0_4462,axiom,
    ( esk535_2(X1,X2)
    | esk534_2(X1,X2) )).

cnf(i_0_4463,axiom,
    ( esk77_2(X1,X2)
    | ~ esk1862_2(X1,X2) )).

cnf(i_0_4464,axiom,
    ( ~ esk3860_2(X1,X2)
    | ~ esk3861_2(X1,X2) )).

cnf(i_0_4465,axiom,
    ( ~ esk2033_2(X1,X2)
    | esk2025_2(X1,X2) )).

cnf(i_0_4466,axiom,
    ( ~ esk4383_2(X1,X2)
    | esk4382_2(X1,X2) )).

cnf(i_0_4467,axiom,
    ( esk4349_2(X1,X2)
    | ~ esk4243_2(X1,X2)
    | ~ esk3842_2(X1,X2)
    | ~ esk4242_2(X1,X2) )).

cnf(i_0_4468,axiom,
    ( esk2939_2(X1,X2)
    | esk148_2(X1,X2)
    | esk2940_2(X1,X2)
    | esk2937_2(X1,X2) )).

cnf(i_0_4469,axiom,
    ( ~ esk3064_2(X1,X2)
    | ~ esk3061_2(X1,X2) )).

cnf(i_0_4470,axiom,
    ( ~ esk2845_2(X1,X2)
    | ~ esk133_2(X1,X2) )).

cnf(i_0_4471,axiom,
    ( ~ esk4660_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_4472,axiom,
    ( esk1924_2(X1,X2)
    | esk1923_2(X1,X2) )).

cnf(i_0_4473,axiom,
    ( ~ esk4390_2(X1,X2)
    | esk3785_2(X1,X2) )).

cnf(i_0_4474,axiom,
    ( esk69_2(X1,X2)
    | ~ esk2852_2(X1,X2) )).

cnf(i_0_4475,axiom,
    ( esk1049_2(X1,X2)
    | ~ esk1050_2(X1,X2) )).

cnf(i_0_4476,axiom,
    ( ~ esk1177_2(X1,X2)
    | ~ esk1178_2(X1,X2) )).

cnf(i_0_4477,axiom,
    ( ~ esk5001_2(X1,X2)
    | ~ esk5000_2(X1,X2) )).

cnf(i_0_4478,axiom,
    ( esk4610_2(X1,X2)
    | esk4611_2(X1,X2) )).

cnf(i_0_4479,axiom,
    ( esk4706_2(X1,X2)
    | esk4705_2(X1,X2) )).

cnf(i_0_4480,axiom,
    ( ~ esk374_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_4481,axiom,
    ( ~ esk3749_2(X1,X2)
    | ~ esk3296_2(X1,X2) )).

cnf(i_0_4482,axiom,
    ( ~ esk2333_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_4483,axiom,
    ( ~ esk5167_2(X1,X2)
    | esk5168_2(X1,X2)
    | ~ esk5163_2(X1,X2) )).

cnf(i_0_4484,axiom,
    ( esk2392_2(X1,X2)
    | esk2485_2(X1,X2) )).

cnf(i_0_4485,axiom,
    ( ~ esk4614_2(X1,X2)
    | ~ esk4613_2(X1,X2) )).

cnf(i_0_4486,axiom,
    ( esk2543_2(X1,X2)
    | esk2542_2(X1,X2) )).

cnf(i_0_4487,axiom,
    ( esk4020_2(X1,X2)
    | ~ esk4019_2(X1,X2)
    | ~ esk4015_2(X1,X2) )).

cnf(i_0_4488,axiom,
    ( esk4603_2(X1,X2)
    | esk4604_2(X1,X2) )).

cnf(i_0_4489,axiom,
    ( esk4606_2(X1,X2)
    | ~ esk4610_2(X1,X2) )).

cnf(i_0_4490,axiom,
    ( ~ esk2782_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_4491,axiom,
    ( ~ esk1103_2(X1,X2)
    | ~ esk1102_2(X1,X2) )).

cnf(i_0_4492,axiom,
    ( ~ esk4392_2(X1,X2)
    | esk3785_2(X1,X2) )).

cnf(i_0_4493,axiom,
    ( esk2466_2(X1,X2)
    | esk2450_2(X1,X2) )).

cnf(i_0_4494,axiom,
    ( esk4780_2(X1,X2)
    | esk4778_2(X1,X2)
    | esk3676_2(X1,X2)
    | esk4779_2(X1,X2)
    | esk4781_2(X1,X2)
    | esk4782_2(X1,X2) )).

cnf(i_0_4495,axiom,
    ( esk1438_2(X1,X2)
    | ~ esk1437_2(X1,X2)
    | ~ esk997_2(X1,X2) )).

cnf(i_0_4496,axiom,
    ( ~ esk3024_2(X1,X2)
    | ~ esk3025_2(X1,X2) )).

cnf(i_0_4497,axiom,
    ( esk128_2(X1,X2)
    | esk333_2(X1,X2) )).

cnf(i_0_4498,axiom,
    ( ~ esk4209_2(X1,X2)
    | esk4208_2(X1,X2) )).

cnf(i_0_4499,axiom,
    ( ~ esk4619_2(X1,X2)
    | ~ esk4618_2(X1,X2) )).

cnf(i_0_4500,axiom,
    ( esk5283_2(X1,X2)
    | esk5282_2(X1,X2) )).

cnf(i_0_4501,axiom,
    ( esk115_2(X1,X2)
    | ~ esk3494_2(X1,X2) )).

cnf(i_0_4502,axiom,
    ( esk141_2(X1,X2)
    | ~ esk963_2(X1,X2) )).

cnf(i_0_4503,axiom,
    ( esk1212_2(X1,X2)
    | esk1213_2(X1,X2) )).

cnf(i_0_4504,axiom,
    ( esk1573_2(X1,X2)
    | ~ esk1574_2(X1,X2) )).

cnf(i_0_4505,axiom,
    ( ~ esk1594_2(X1,X2)
    | esk83_2(X1,X2) )).

cnf(i_0_4506,axiom,
    ( esk3820_2(X1,X2)
    | esk4172_2(X1,X2) )).

cnf(i_0_4507,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4701_2(X1,X2) )).

cnf(i_0_4508,axiom,
    ( ~ esk964_2(X1,X2)
    | ~ esk967_2(X1,X2) )).

cnf(i_0_4509,axiom,
    ( ~ esk4090_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_4510,axiom,
    ( ~ esk1920_2(X1,X2)
    | ~ esk1923_2(X1,X2) )).

cnf(i_0_4511,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1692_2(X1,X2) )).

cnf(i_0_4512,axiom,
    ( ~ esk404_2(X1,X2)
    | esk398_2(X1,X2) )).

cnf(i_0_4513,axiom,
    ( ~ esk66_2(X1,X2)
    | ~ esk1864_2(X1,X2)
    | esk1865_2(X1,X2) )).

cnf(i_0_4514,axiom,
    ( esk4902_2(X1,X2)
    | esk4903_2(X1,X2) )).

cnf(i_0_4515,axiom,
    ( ~ esk4293_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_4516,axiom,
    ( ~ esk3259_2(X1,X2)
    | ~ esk5281_2(X1,X2) )).

cnf(i_0_4517,axiom,
    ( esk2892_2(X1,X2)
    | esk2893_2(X1,X2) )).

cnf(i_0_4518,axiom,
    ( esk237_2(X1,X2)
    | esk236_2(X1,X2) )).

cnf(i_0_4519,axiom,
    ( ~ esk108_2(X1,X2)
    | ~ esk126_2(X1,X2)
    | esk3225_2(X1,X2) )).

cnf(i_0_4520,axiom,
    ( ~ esk807_2(X1,X2)
    | ~ esk804_2(X1,X2)
    | esk808_2(X1,X2) )).

cnf(i_0_4521,axiom,
    ( esk742_2(X1,X2)
    | ~ esk1026_2(X1,X2) )).

cnf(i_0_4522,axiom,
    ( ~ esk482_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_4523,axiom,
    ( esk5262_2(X1,X2)
    | esk5261_2(X1,X2) )).

cnf(i_0_4524,axiom,
    ( ~ esk1149_2(X1,X2)
    | esk1133_2(X1,X2) )).

cnf(i_0_4525,axiom,
    ( esk87_2(X1,X2)
    | ~ esk4514_2(X1,X2) )).

cnf(i_0_4526,axiom,
    ( esk133_2(X1,X2)
    | esk2845_2(X1,X2) )).

cnf(i_0_4527,axiom,
    ( ~ esk5026_2(X1,X2)
    | esk5025_2(X1,X2) )).

cnf(i_0_4528,axiom,
    ( ~ esk3658_2(X1,X2)
    | esk3471_2(X1,X2) )).

cnf(i_0_4529,axiom,
    ( ~ esk5158_2(X1,X2)
    | ~ esk5157_2(X1,X2) )).

cnf(i_0_4530,axiom,
    ( esk4212_2(X1,X2)
    | esk4213_2(X1,X2) )).

cnf(i_0_4531,axiom,
    ( esk98_2(X1,X2)
    | esk5111_2(X1,X2) )).

cnf(i_0_4532,axiom,
    ( ~ esk4652_2(X1,X2)
    | ~ esk4653_2(X1,X2) )).

cnf(i_0_4533,axiom,
    ( esk2214_2(X1,X2)
    | ~ esk2200_2(X1,X2)
    | ~ esk2213_2(X1,X2) )).

cnf(i_0_4534,axiom,
    ( esk103_2(X1,X2)
    | ~ esk1982_2(X1,X2) )).

cnf(i_0_4535,axiom,
    ( ~ esk1225_2(X1,X2)
    | ~ esk1226_2(X1,X2) )).

cnf(i_0_4536,axiom,
    ( ~ esk4669_2(X1,X2)
    | ~ esk4668_2(X1,X2) )).

cnf(i_0_4537,axiom,
    ( ~ esk1691_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_4538,axiom,
    ( ~ esk2917_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_4539,axiom,
    ( ~ esk4683_2(X1,X2)
    | ~ esk4682_2(X1,X2) )).

cnf(i_0_4540,axiom,
    ( ~ esk1812_2(X1,X2)
    | esk44_2(X1,X2) )).

cnf(i_0_4541,axiom,
    ( ~ esk3980_2(X1,X2)
    | ~ esk3981_2(X1,X2) )).

cnf(i_0_4542,axiom,
    ( esk2349_2(X1,X2)
    | esk2350_2(X1,X2) )).

cnf(i_0_4543,axiom,
    ( esk3887_2(X1,X2)
    | esk4075_2(X1,X2) )).

cnf(i_0_4544,axiom,
    ( ~ esk3111_2(X1,X2)
    | ~ esk3110_2(X1,X2) )).

cnf(i_0_4545,axiom,
    ( ~ esk3414_2(X1,X2)
    | ~ esk4115_2(X1,X2) )).

cnf(i_0_4546,axiom,
    ( esk4932_2(X1,X2)
    | ~ esk4937_2(X1,X2) )).

cnf(i_0_4547,axiom,
    ( ~ esk838_2(X1,X2)
    | esk842_2(X1,X2)
    | ~ esk841_2(X1,X2) )).

cnf(i_0_4548,axiom,
    ( ~ esk3521_2(X1,X2)
    | ~ esk3520_2(X1,X2) )).

cnf(i_0_4549,axiom,
    ( ~ esk776_2(X1,X2)
    | ~ esk1506_2(X1,X2) )).

cnf(i_0_4550,axiom,
    ( ~ esk5267_2(X1,X2)
    | esk5268_2(X1,X2)
    | ~ esk5264_2(X1,X2) )).

cnf(i_0_4551,axiom,
    ( ~ esk5482_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_4552,axiom,
    ( esk4810_2(X1,X2)
    | esk4809_2(X1,X2) )).

cnf(i_0_4553,axiom,
    ( ~ esk5316_2(X1,X2)
    | esk5315_2(X1,X2) )).

cnf(i_0_4554,axiom,
    ( esk5035_2(X1,X2)
    | ~ esk5036_2(X1,X2) )).

cnf(i_0_4555,axiom,
    ( ~ esk3303_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_4556,axiom,
    ( ~ esk1521_2(X1,X2)
    | esk617_2(X1,X2) )).

cnf(i_0_4557,axiom,
    ( esk664_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_4558,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk3455_2(X1,X2)
    | esk3895_2(X1,X2) )).

cnf(i_0_4559,axiom,
    ( esk535_2(X1,X2)
    | ~ esk536_2(X1,X2) )).

cnf(i_0_4560,axiom,
    ( esk2305_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | ~ esk2304_2(X1,X2) )).

cnf(i_0_4561,axiom,
    ( ~ esk2002_2(X1,X2)
    | ~ esk2004_2(X1,X2)
    | esk2005_2(X1,X2) )).

cnf(i_0_4562,axiom,
    ( ~ esk4182_2(X1,X2)
    | ~ esk4185_2(X1,X2)
    | esk4186_2(X1,X2) )).

cnf(i_0_4563,axiom,
    ( ~ esk66_2(X1,X2)
    | ~ esk5493_2(X1,X2)
    | esk5494_2(X1,X2) )).

cnf(i_0_4564,axiom,
    ( ~ esk3283_2(X1,X2)
    | esk3932_2(X1,X2)
    | ~ esk3931_2(X1,X2) )).

cnf(i_0_4565,axiom,
    ( esk1640_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk28_2(X1,X2) )).

cnf(i_0_4566,axiom,
    ( esk5067_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | ~ esk5066_2(X1,X2) )).

cnf(i_0_4567,axiom,
    ( esk2327_2(X1,X2)
    | esk2789_2(X1,X2) )).

cnf(i_0_4568,axiom,
    ( ~ esk2907_2(X1,X2)
    | ~ esk2908_2(X1,X2) )).

cnf(i_0_4569,axiom,
    ( ~ esk453_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_4570,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4528_2(X1,X2) )).

cnf(i_0_4571,axiom,
    ( ~ esk4439_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_4572,axiom,
    ( ~ esk4079_2(X1,X2)
    | ~ esk4078_2(X1,X2) )).

cnf(i_0_4573,axiom,
    ( esk4571_2(X1,X2)
    | ~ esk4572_2(X1,X2) )).

cnf(i_0_4574,axiom,
    ( ~ esk5070_2(X1,X2)
    | esk5064_2(X1,X2) )).

cnf(i_0_4575,axiom,
    ( ~ esk3343_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | esk3344_2(X1,X2) )).

cnf(i_0_4576,axiom,
    ( ~ esk4176_2(X1,X2)
    | esk3757_2(X1,X2) )).

cnf(i_0_4577,axiom,
    ( ~ esk4900_2(X1,X2)
    | ~ esk4899_2(X1,X2) )).

cnf(i_0_4578,axiom,
    ( ~ esk1738_2(X1,X2)
    | ~ esk1740_2(X1,X2) )).

cnf(i_0_4579,axiom,
    ( esk2627_2(X1,X2)
    | ~ esk2631_2(X1,X2) )).

cnf(i_0_4580,axiom,
    ( esk1005_2(X1,X2)
    | ~ esk785_2(X1,X2)
    | ~ esk1004_2(X1,X2)
    | ~ esk809_2(X1,X2) )).

cnf(i_0_4581,axiom,
    ( esk2666_2(X1,X2)
    | esk2665_2(X1,X2) )).

cnf(i_0_4582,axiom,
    ( ~ esk1154_2(X1,X2)
    | esk343_2(X1,X2) )).

cnf(i_0_4583,axiom,
    ( ~ esk4209_2(X1,X2)
    | ~ esk4210_2(X1,X2) )).

cnf(i_0_4584,axiom,
    ( ~ esk5274_2(X1,X2)
    | esk5273_2(X1,X2) )).

cnf(i_0_4585,axiom,
    ( ~ esk5488_2(X1,X2)
    | esk4243_2(X1,X2) )).

cnf(i_0_4586,axiom,
    ( esk5377_2(X1,X2)
    | esk5378_2(X1,X2) )).

cnf(i_0_4587,axiom,
    ( ~ esk1816_2(X1,X2)
    | ~ esk1820_2(X1,X2) )).

cnf(i_0_4588,axiom,
    ( ~ esk3916_2(X1,X2)
    | esk3479_2(X1,X2) )).

cnf(i_0_4589,axiom,
    ( ~ esk2983_2(X1,X2)
    | ~ esk2984_2(X1,X2) )).

cnf(i_0_4590,axiom,
    ( ~ esk5150_2(X1,X2)
    | ~ esk5149_2(X1,X2) )).

cnf(i_0_4591,axiom,
    ( esk163_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_4592,axiom,
    ( esk2354_2(X1,X2)
    | esk2351_2(X1,X2)
    | esk146_2(X1,X2)
    | esk2353_2(X1,X2) )).

cnf(i_0_4593,axiom,
    ( ~ esk3315_2(X1,X2)
    | ~ esk3317_2(X1,X2) )).

cnf(i_0_4594,axiom,
    ( esk701_2(X1,X2)
    | ~ esk705_2(X1,X2) )).

cnf(i_0_4595,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk2932_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk2933_2(X1,X2) )).

cnf(i_0_4596,axiom,
    ( esk115_2(X1,X2)
    | ~ esk302_2(X1,X2) )).

cnf(i_0_4597,axiom,
    ( ~ esk2844_2(X1,X2)
    | ~ esk129_2(X1,X2) )).

cnf(i_0_4598,axiom,
    ( ~ esk4730_2(X1,X2)
    | ~ esk4726_2(X1,X2)
    | esk4731_2(X1,X2) )).

cnf(i_0_4599,axiom,
    ( ~ esk4145_2(X1,X2)
    | ~ esk4146_2(X1,X2) )).

cnf(i_0_4600,axiom,
    ( esk847_2(X1,X2)
    | ~ esk848_2(X1,X2) )).

cnf(i_0_4601,axiom,
    ( ~ esk3335_2(X1,X2)
    | ~ esk3336_2(X1,X2) )).

cnf(i_0_4602,axiom,
    ( ~ esk1675_2(X1,X2)
    | esk71_2(X1,X2) )).

cnf(i_0_4603,axiom,
    ( ~ esk3332_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_4604,axiom,
    ( ~ esk5200_2(X1,X2)
    | esk5195_2(X1,X2) )).

cnf(i_0_4605,axiom,
    ( ~ esk5307_2(X1,X2)
    | ~ esk5306_2(X1,X2) )).

cnf(i_0_4606,axiom,
    ( esk3004_2(X1,X2)
    | esk3003_2(X1,X2) )).

cnf(i_0_4607,axiom,
    ( ~ esk4969_2(X1,X2)
    | ~ esk4967_2(X1,X2) )).

cnf(i_0_4608,axiom,
    ( ~ esk2465_2(X1,X2)
    | ~ esk2464_2(X1,X2) )).

cnf(i_0_4609,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1903_2(X1,X2) )).

cnf(i_0_4610,axiom,
    ( ~ esk2815_2(X1,X2)
    | ~ esk2817_2(X1,X2) )).

cnf(i_0_4611,axiom,
    ( esk1491_2(X1,X2)
    | ~ esk1492_2(X1,X2) )).

cnf(i_0_4612,axiom,
    ( esk3415_2(X1,X2)
    | ~ esk3416_2(X1,X2) )).

cnf(i_0_4613,axiom,
    ( ~ esk1586_2(X1,X2)
    | ~ esk1584_2(X1,X2) )).

cnf(i_0_4614,axiom,
    ( esk3517_2(X1,X2)
    | ~ esk3518_2(X1,X2) )).

cnf(i_0_4615,axiom,
    ( ~ esk90_2(X1,X2)
    | esk3547_2(X1,X2)
    | ~ esk3546_2(X1,X2) )).

cnf(i_0_4616,axiom,
    ( esk5458_2(X1,X2)
    | esk5459_2(X1,X2)
    | esk5457_2(X1,X2) )).

cnf(i_0_4617,axiom,
    ( esk2346_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_4618,axiom,
    ( ~ esk2933_2(X1,X2)
    | esk2932_2(X1,X2) )).

cnf(i_0_4619,axiom,
    ( ~ esk3787_2(X1,X2)
    | esk3018_2(X1,X2) )).

cnf(i_0_4620,axiom,
    ( esk2000_2(X1,X2)
    | ~ esk2029_2(X1,X2) )).

cnf(i_0_4621,axiom,
    ( ~ esk3895_2(X1,X2)
    | ~ esk3896_2(X1,X2) )).

cnf(i_0_4622,axiom,
    ( esk112_2(X1,X2)
    | ~ esk3201_2(X1,X2) )).

cnf(i_0_4623,axiom,
    ( ~ esk98_2(X1,X2)
    | esk373_2(X1,X2)
    | ~ esk317_2(X1,X2) )).

cnf(i_0_4624,axiom,
    ( esk1741_2(X1,X2)
    | ~ esk1873_2(X1,X2) )).

cnf(i_0_4625,axiom,
    ( esk4022_2(X1,X2)
    | esk4023_2(X1,X2) )).

cnf(i_0_4626,axiom,
    ( ~ esk3480_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_4627,axiom,
    ( ~ esk5355_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_4628,axiom,
    ( ~ esk1072_2(X1,X2)
    | esk1644_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk1192_2(X1,X2) )).

cnf(i_0_4629,axiom,
    ( ~ esk5009_2(X1,X2)
    | ~ esk5013_2(X1,X2)
    | esk5014_2(X1,X2) )).

cnf(i_0_4630,axiom,
    ( esk3373_2(X1,X2)
    | ~ esk3374_2(X1,X2) )).

cnf(i_0_4631,axiom,
    ( ~ esk4140_2(X1,X2)
    | ~ esk4139_2(X1,X2) )).

cnf(i_0_4632,axiom,
    ( ~ esk3755_2(X1,X2)
    | esk3351_2(X1,X2) )).

cnf(i_0_4633,axiom,
    ( ~ esk1644_2(X1,X2)
    | esk1072_2(X1,X2) )).

cnf(i_0_4634,axiom,
    ( esk681_2(X1,X2)
    | ~ esk682_2(X1,X2) )).

cnf(i_0_4635,axiom,
    ( ~ esk1000_2(X1,X2)
    | ~ esk1013_2(X1,X2) )).

cnf(i_0_4636,axiom,
    ( esk199_2(X1,X2)
    | ~ esk5511_2(X1,X2)
    | esk2861_2(X1,X2) )).

cnf(i_0_4637,axiom,
    ( esk4459_2(X1,X2)
    | ~ esk44_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_4638,axiom,
    ( ~ esk5525_2(X1,X2)
    | ~ esk2930_2(X1,X2)
    | ~ esk268_2(X1,X2) )).

cnf(i_0_4639,axiom,
    ( ~ esk4154_2(X1,X2)
    | ~ esk4153_2(X1,X2) )).

cnf(i_0_4640,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk2342_2(X1,X2) )).

cnf(i_0_4641,axiom,
    ( esk3865_2(X1,X2)
    | esk3866_2(X1,X2) )).

cnf(i_0_4642,axiom,
    ( esk4180_2(X1,X2)
    | esk3628_2(X1,X2) )).

cnf(i_0_4643,axiom,
    ( ~ esk742_2(X1,X2)
    | esk1024_2(X1,X2)
    | ~ esk1023_2(X1,X2) )).

cnf(i_0_4644,axiom,
    ( esk324_2(X1,X2)
    | esk325_2(X1,X2) )).

cnf(i_0_4645,axiom,
    ( ~ esk1595_2(X1,X2)
    | ~ esk1591_2(X1,X2) )).

cnf(i_0_4646,axiom,
    ( ~ esk2819_2(X1,X2)
    | esk2793_2(X1,X2) )).

cnf(i_0_4647,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | ~ esk85_2(X1,X2)
    | esk1875_2(X1,X2) )).

cnf(i_0_4648,axiom,
    ( esk130_2(X1,X2)
    | esk1975_2(X1,X2) )).

cnf(i_0_4649,axiom,
    ( ~ esk3038_2(X1,X2)
    | ~ esk3039_2(X1,X2) )).

cnf(i_0_4650,axiom,
    ( esk1461_2(X1,X2)
    | esk1460_2(X1,X2) )).

cnf(i_0_4651,axiom,
    ( ~ esk2137_2(X1,X2)
    | ~ esk2135_2(X1,X2) )).

cnf(i_0_4652,axiom,
    ( ~ esk3788_2(X1,X2)
    | ~ esk3792_2(X1,X2) )).

cnf(i_0_4653,axiom,
    ( ~ esk2900_2(X1,X2)
    | ~ esk2901_2(X1,X2)
    | esk2926_2(X1,X2) )).

cnf(i_0_4654,axiom,
    ( esk2054_2(X1,X2)
    | esk2069_2(X1,X2) )).

cnf(i_0_4655,axiom,
    ( ~ esk1959_2(X1,X2)
    | ~ esk1958_2(X1,X2) )).

cnf(i_0_4656,axiom,
    ( esk3986_2(X1,X2)
    | ~ esk3987_2(X1,X2) )).

cnf(i_0_4657,axiom,
    ( esk5231_2(X1,X2)
    | esk5249_2(X1,X2) )).

cnf(i_0_4658,axiom,
    ( esk4237_2(X1,X2)
    | ~ esk4233_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk82_2(X1,X2) )).

cnf(i_0_4659,axiom,
    ( ~ esk3596_2(X1,X2)
    | ~ esk3595_2(X1,X2) )).

cnf(i_0_4660,axiom,
    ( ~ esk1154_2(X1,X2)
    | ~ esk1170_2(X1,X2) )).

cnf(i_0_4661,axiom,
    ( ~ esk263_2(X1,X2)
    | esk31_2(X1,X2) )).

cnf(i_0_4662,axiom,
    ( ~ esk3266_2(X1,X2)
    | ~ esk3763_2(X1,X2) )).

cnf(i_0_4663,axiom,
    ( ~ esk4516_2(X1,X2)
    | ~ esk4514_2(X1,X2) )).

cnf(i_0_4664,axiom,
    ( ~ esk2663_2(X1,X2)
    | esk954_2(X1,X2) )).

cnf(i_0_4665,axiom,
    ( ~ esk676_2(X1,X2)
    | ~ esk647_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | esk985_2(X1,X2)
    | ~ esk984_2(X1,X2) )).

cnf(i_0_4666,axiom,
    ( ~ esk4790_2(X1,X2)
    | ~ esk4788_2(X1,X2) )).

cnf(i_0_4667,axiom,
    ( ~ esk4935_2(X1,X2)
    | ~ esk4934_2(X1,X2) )).

cnf(i_0_4668,axiom,
    ( ~ esk3192_2(X1,X2)
    | ~ esk3191_2(X1,X2) )).

cnf(i_0_4669,axiom,
    ( ~ esk2926_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_4670,axiom,
    ( ~ esk641_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_4671,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk4234_2(X1,X2) )).

cnf(i_0_4672,axiom,
    ( esk668_2(X1,X2)
    | ~ esk736_2(X1,X2) )).

cnf(i_0_4673,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk3373_2(X1,X2) )).

cnf(i_0_4674,axiom,
    ( esk578_2(X1,X2)
    | ~ esk579_2(X1,X2) )).

cnf(i_0_4675,axiom,
    ( ~ esk5155_2(X1,X2)
    | ~ esk3614_2(X1,X2) )).

cnf(i_0_4676,axiom,
    ( esk3730_2(X1,X2)
    | ~ esk3731_2(X1,X2) )).

cnf(i_0_4677,axiom,
    ( ~ esk1255_2(X1,X2)
    | ~ esk1240_2(X1,X2) )).

cnf(i_0_4678,axiom,
    ( ~ esk1669_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_4679,axiom,
    ( esk549_2(X1,X2)
    | esk2530_2(X1,X2) )).

cnf(i_0_4680,axiom,
    ( ~ esk248_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_4681,axiom,
    ( ~ esk4538_2(X1,X2)
    | esk4539_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_4682,axiom,
    ( esk165_2(X1,X2)
    | ~ esk244_2(X1,X2) )).

cnf(i_0_4683,axiom,
    ( esk3292_2(X1,X2)
    | ~ esk3262_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_4684,axiom,
    ( ~ esk1866_2(X1,X2)
    | esk1650_2(X1,X2) )).

cnf(i_0_4685,axiom,
    ( ~ esk2148_2(X1,X2)
    | ~ esk2149_2(X1,X2) )).

cnf(i_0_4686,axiom,
    ( ~ esk2904_2(X1,X2)
    | esk11_2(X1,X2) )).

cnf(i_0_4687,axiom,
    ( ~ esk4039_2(X1,X2)
    | esk4060_2(X1,X2)
    | ~ esk4052_2(X1,X2)
    | ~ esk4031_2(X1,X2) )).

cnf(i_0_4688,axiom,
    ( ~ esk2885_2(X1,X2)
    | esk2886_2(X1,X2)
    | ~ esk2879_2(X1,X2) )).

cnf(i_0_4689,axiom,
    ( esk4312_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk4233_2(X1,X2)
    | ~ esk3725_2(X1,X2) )).

cnf(i_0_4690,axiom,
    ( esk1207_2(X1,X2)
    | ~ esk1212_2(X1,X2) )).

cnf(i_0_4691,axiom,
    ( esk809_2(X1,X2)
    | ~ esk1009_2(X1,X2) )).

cnf(i_0_4692,axiom,
    ( ~ esk3937_2(X1,X2)
    | ~ esk3938_2(X1,X2) )).

cnf(i_0_4693,axiom,
    ( ~ esk467_2(X1,X2)
    | esk466_2(X1,X2) )).

cnf(i_0_4694,axiom,
    ( esk5004_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_4695,axiom,
    ( esk4395_2(X1,X2)
    | esk5575_2(X1,X2)
    | ~ esk1742_2(X1,X2) )).

cnf(i_0_4696,axiom,
    ( ~ esk1680_2(X1,X2)
    | ~ esk1152_2(X1,X2)
    | ~ esk1681_2(X1,X2)
    | esk1682_2(X1,X2) )).

cnf(i_0_4697,axiom,
    ( esk1269_2(X1,X2)
    | esk1268_2(X1,X2) )).

cnf(i_0_4698,axiom,
    ( ~ esk1644_2(X1,X2)
    | ~ esk1648_2(X1,X2) )).

cnf(i_0_4699,axiom,
    ( ~ esk4579_2(X1,X2)
    | ~ esk4582_2(X1,X2) )).

cnf(i_0_4700,axiom,
    ( ~ esk3990_2(X1,X2)
    | esk3985_2(X1,X2) )).

cnf(i_0_4701,axiom,
    ( esk1425_2(X1,X2)
    | esk1426_2(X1,X2) )).

cnf(i_0_4702,axiom,
    ( ~ esk1679_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_4703,axiom,
    ( ~ esk2315_2(X1,X2)
    | ~ esk2318_2(X1,X2) )).

cnf(i_0_4704,axiom,
    ( ~ esk1009_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_4705,axiom,
    ( esk7_2(X1,X2)
    | ~ esk1615_2(X1,X2) )).

cnf(i_0_4706,axiom,
    ( esk146_2(X1,X2)
    | ~ esk2347_2(X1,X2) )).

cnf(i_0_4707,axiom,
    ( ~ esk564_2(X1,X2)
    | ~ esk565_2(X1,X2) )).

cnf(i_0_4708,axiom,
    ( esk2144_2(X1,X2)
    | ~ esk2145_2(X1,X2) )).

cnf(i_0_4709,axiom,
    ( ~ esk3011_2(X1,X2)
    | ~ esk3010_2(X1,X2) )).

cnf(i_0_4710,axiom,
    ( esk502_2(X1,X2)
    | esk500_2(X1,X2)
    | esk501_2(X1,X2) )).

cnf(i_0_4711,axiom,
    ( ~ esk5485_2(X1,X2)
    | esk5486_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_4712,axiom,
    ( ~ esk134_2(X1,X2)
    | ~ esk636_2(X1,X2)
    | esk1307_2(X1,X2) )).

cnf(i_0_4713,axiom,
    ( ~ esk3723_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_4714,axiom,
    ( ~ esk2602_2(X1,X2)
    | esk2575_2(X1,X2) )).

cnf(i_0_4715,axiom,
    ( ~ esk5372_2(X1,X2)
    | esk5371_2(X1,X2) )).

cnf(i_0_4716,axiom,
    ( ~ esk4741_2(X1,X2)
    | ~ esk4742_2(X1,X2) )).

cnf(i_0_4717,axiom,
    ( ~ esk3909_2(X1,X2)
    | ~ esk3908_2(X1,X2) )).

cnf(i_0_4718,axiom,
    ( ~ esk1922_2(X1,X2)
    | esk1921_2(X1,X2) )).

cnf(i_0_4719,axiom,
    ( ~ esk1773_2(X1,X2)
    | ~ esk1772_2(X1,X2) )).

cnf(i_0_4720,axiom,
    ( esk3405_2(X1,X2)
    | ~ esk3406_2(X1,X2) )).

cnf(i_0_4721,axiom,
    ( esk331_2(X1,X2)
    | ~ esk337_2(X1,X2) )).

cnf(i_0_4722,axiom,
    ( ~ esk3536_2(X1,X2)
    | ~ esk3537_2(X1,X2) )).

cnf(i_0_4723,axiom,
    ( esk5375_2(X1,X2)
    | esk5376_2(X1,X2) )).

cnf(i_0_4724,axiom,
    ( ~ esk2527_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | esk2528_2(X1,X2) )).

cnf(i_0_4725,axiom,
    ( ~ esk3651_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_4726,axiom,
    ( esk4071_2(X1,X2)
    | esk4416_2(X1,X2) )).

cnf(i_0_4727,axiom,
    ( esk132_2(X1,X2)
    | ~ esk1035_2(X1,X2) )).

cnf(i_0_4728,axiom,
    ( ~ esk3757_2(X1,X2)
    | ~ esk4175_2(X1,X2)
    | esk4176_2(X1,X2) )).

cnf(i_0_4729,axiom,
    ( ~ esk1592_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_4730,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk4231_2(X1,X2) )).

cnf(i_0_4731,axiom,
    ( ~ esk4300_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_4732,axiom,
    ( ~ esk447_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_4733,axiom,
    ( ~ esk3053_2(X1,X2)
    | esk3052_2(X1,X2) )).

cnf(i_0_4734,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1009_2(X1,X2) )).

cnf(i_0_4735,axiom,
    ( ~ esk3129_2(X1,X2)
    | esk3128_2(X1,X2) )).

cnf(i_0_4736,axiom,
    ( ~ esk1914_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_4737,axiom,
    ( esk4486_2(X1,X2)
    | esk1833_2(X1,X2)
    | ~ esk5588_2(X1,X2) )).

cnf(i_0_4738,axiom,
    ( esk5265_2(X1,X2)
    | ~ esk5266_2(X1,X2) )).

cnf(i_0_4739,axiom,
    ( ~ esk2593_2(X1,X2)
    | ~ esk2592_2(X1,X2) )).

cnf(i_0_4740,axiom,
    ( ~ esk4505_2(X1,X2)
    | esk4412_2(X1,X2) )).

cnf(i_0_4741,axiom,
    ( ~ esk1649_2(X1,X2)
    | ~ esk1648_2(X1,X2) )).

cnf(i_0_4742,axiom,
    ( esk2223_2(X1,X2)
    | esk2222_2(X1,X2) )).

cnf(i_0_4743,axiom,
    ( ~ esk2770_2(X1,X2)
    | esk2771_2(X1,X2)
    | ~ esk159_2(X1,X2)
    | ~ esk2765_2(X1,X2) )).

cnf(i_0_4744,axiom,
    ( ~ esk3251_2(X1,X2)
    | esk3253_2(X1,X2)
    | ~ esk3252_2(X1,X2) )).

cnf(i_0_4745,axiom,
    ( esk5309_2(X1,X2)
    | esk3605_2(X1,X2)
    | esk5308_2(X1,X2) )).

cnf(i_0_4746,axiom,
    ( esk5011_2(X1,X2)
    | esk5012_2(X1,X2) )).

cnf(i_0_4747,axiom,
    ( ~ esk2255_2(X1,X2)
    | ~ esk2258_2(X1,X2) )).

cnf(i_0_4748,axiom,
    ( esk982_2(X1,X2)
    | ~ esk656_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_4749,axiom,
    ( esk51_2(X1,X2)
    | ~ esk2783_2(X1,X2) )).

cnf(i_0_4750,axiom,
    ( ~ esk74_2(X1,X2)
    | esk1692_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_4751,axiom,
    ( ~ esk1479_2(X1,X2)
    | ~ esk1480_2(X1,X2) )).

cnf(i_0_4752,axiom,
    ( esk2596_2(X1,X2)
    | esk2578_2(X1,X2) )).

cnf(i_0_4753,axiom,
    ( esk5231_2(X1,X2)
    | esk5230_2(X1,X2) )).

cnf(i_0_4754,axiom,
    ( esk3978_2(X1,X2)
    | ~ esk3979_2(X1,X2) )).

cnf(i_0_4755,axiom,
    ( ~ esk3368_2(X1,X2)
    | ~ esk3367_2(X1,X2) )).

cnf(i_0_4756,axiom,
    ( esk1713_2(X1,X2)
    | esk172_2(X1,X2) )).

cnf(i_0_4757,axiom,
    ( ~ esk1203_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_4758,axiom,
    ( ~ esk1301_2(X1,X2)
    | ~ esk1304_2(X1,X2)
    | esk1305_2(X1,X2) )).

cnf(i_0_4759,axiom,
    ( esk2279_2(X1,X2)
    | esk2278_2(X1,X2) )).

cnf(i_0_4760,axiom,
    ( esk718_2(X1,X2)
    | ~ esk2128_2(X1,X2) )).

cnf(i_0_4761,axiom,
    ( esk3845_2(X1,X2)
    | ~ esk4285_2(X1,X2) )).

cnf(i_0_4762,axiom,
    ( ~ esk1372_2(X1,X2)
    | esk589_2(X1,X2) )).

cnf(i_0_4763,axiom,
    ( ~ esk954_2(X1,X2)
    | ~ esk535_2(X1,X2)
    | ~ esk523_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | esk955_2(X1,X2) )).

cnf(i_0_4764,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1904_2(X1,X2) )).

cnf(i_0_4765,axiom,
    ( esk726_2(X1,X2)
    | ~ esk1029_2(X1,X2) )).

cnf(i_0_4766,axiom,
    ( esk1697_2(X1,X2)
    | esk1699_2(X1,X2)
    | esk1696_2(X1,X2)
    | esk1698_2(X1,X2)
    | esk1700_2(X1,X2) )).

cnf(i_0_4767,axiom,
    ( esk664_2(X1,X2)
    | ~ esk1179_2(X1,X2) )).

cnf(i_0_4768,axiom,
    ( ~ esk3060_2(X1,X2)
    | esk3066_2(X1,X2)
    | ~ esk3065_2(X1,X2) )).

cnf(i_0_4769,axiom,
    ( ~ esk2164_2(X1,X2)
    | esk2163_2(X1,X2) )).

cnf(i_0_4770,axiom,
    ( ~ esk4672_2(X1,X2)
    | esk4658_2(X1,X2) )).

cnf(i_0_4771,axiom,
    ( ~ esk4544_2(X1,X2)
    | ~ esk4541_2(X1,X2) )).

cnf(i_0_4772,axiom,
    ( ~ esk3887_2(X1,X2)
    | ~ esk3886_2(X1,X2) )).

cnf(i_0_4773,axiom,
    ( esk139_2(X1,X2)
    | ~ esk5092_2(X1,X2) )).

cnf(i_0_4774,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4788_2(X1,X2) )).

cnf(i_0_4775,axiom,
    ( esk1995_2(X1,X2)
    | esk1979_2(X1,X2) )).

cnf(i_0_4776,axiom,
    ( esk3727_2(X1,X2)
    | ~ esk3907_2(X1,X2) )).

cnf(i_0_4777,axiom,
    ( ~ esk4236_2(X1,X2)
    | esk3741_2(X1,X2) )).

cnf(i_0_4778,axiom,
    ( esk251_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | ~ esk239_2(X1,X2) )).

cnf(i_0_4779,axiom,
    ( esk3938_2(X1,X2)
    | esk3937_2(X1,X2) )).

cnf(i_0_4780,axiom,
    ( esk2960_2(X1,X2)
    | esk2961_2(X1,X2) )).

cnf(i_0_4781,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1836_2(X1,X2) )).

cnf(i_0_4782,axiom,
    ( ~ esk380_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_4783,axiom,
    ( ~ esk1307_2(X1,X2)
    | esk636_2(X1,X2) )).

cnf(i_0_4784,axiom,
    ( ~ esk5582_2(X1,X2)
    | esk4450_2(X1,X2)
    | esk1797_2(X1,X2) )).

cnf(i_0_4785,axiom,
    ( ~ esk569_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | esk570_2(X1,X2) )).

cnf(i_0_4786,axiom,
    ( ~ esk2363_2(X1,X2)
    | esk2362_2(X1,X2) )).

cnf(i_0_4787,axiom,
    ( esk743_2(X1,X2)
    | ~ esk744_2(X1,X2) )).

cnf(i_0_4788,axiom,
    ( ~ esk579_2(X1,X2)
    | ~ esk580_2(X1,X2) )).

cnf(i_0_4789,axiom,
    ( ~ esk634_2(X1,X2)
    | ~ esk1115_2(X1,X2) )).

cnf(i_0_4790,axiom,
    ( esk4234_2(X1,X2)
    | ~ esk4326_2(X1,X2) )).

cnf(i_0_4791,axiom,
    ( ~ esk376_2(X1,X2)
    | ~ esk373_2(X1,X2) )).

cnf(i_0_4792,axiom,
    ( ~ esk3405_2(X1,X2)
    | ~ esk4966_2(X1,X2) )).

cnf(i_0_4793,axiom,
    ( esk1338_2(X1,X2)
    | esk1337_2(X1,X2) )).

cnf(i_0_4794,axiom,
    ( esk3382_2(X1,X2)
    | esk3383_2(X1,X2) )).

cnf(i_0_4795,axiom,
    ( esk3716_2(X1,X2)
    | ~ esk3720_2(X1,X2) )).

cnf(i_0_4796,axiom,
    ( esk2118_2(X1,X2)
    | ~ esk2113_2(X1,X2)
    | ~ esk2117_2(X1,X2) )).

cnf(i_0_4797,axiom,
    ( esk558_2(X1,X2)
    | esk559_2(X1,X2) )).

cnf(i_0_4798,axiom,
    ( esk140_2(X1,X2)
    | ~ esk795_2(X1,X2) )).

cnf(i_0_4799,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk3267_2(X1,X2)
    | esk3761_2(X1,X2)
    | ~ esk3628_2(X1,X2) )).

cnf(i_0_4800,axiom,
    ( ~ esk4000_2(X1,X2)
    | ~ esk3215_2(X1,X2) )).

cnf(i_0_4801,axiom,
    ( ~ esk1335_2(X1,X2)
    | esk1306_2(X1,X2) )).

cnf(i_0_4802,axiom,
    ( ~ esk1836_2(X1,X2)
    | ~ esk1838_2(X1,X2) )).

cnf(i_0_4803,axiom,
    ( esk2902_2(X1,X2)
    | ~ esk2911_2(X1,X2) )).

cnf(i_0_4804,axiom,
    ( ~ esk2115_2(X1,X2)
    | esk2114_2(X1,X2) )).

cnf(i_0_4805,axiom,
    ( ~ esk5461_2(X1,X2)
    | esk5460_2(X1,X2) )).

cnf(i_0_4806,axiom,
    ( ~ esk2045_2(X1,X2)
    | ~ esk2044_2(X1,X2) )).

cnf(i_0_4807,axiom,
    ( esk2241_2(X1,X2)
    | esk2242_2(X1,X2) )).

cnf(i_0_4808,axiom,
    ( ~ esk2642_2(X1,X2)
    | esk2641_2(X1,X2) )).

cnf(i_0_4809,axiom,
    ( esk633_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_4810,axiom,
    ( ~ esk3446_2(X1,X2)
    | esk3442_2(X1,X2) )).

cnf(i_0_4811,axiom,
    ( esk2589_2(X1,X2)
    | esk2590_2(X1,X2) )).

cnf(i_0_4812,axiom,
    ( ~ esk51_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | esk5436_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_4813,axiom,
    ( esk16_2(X1,X2)
    | ~ esk4282_2(X1,X2) )).

cnf(i_0_4814,axiom,
    ( esk4991_2(X1,X2)
    | esk4990_2(X1,X2) )).

cnf(i_0_4815,axiom,
    ( esk3695_2(X1,X2)
    | ~ esk3807_2(X1,X2) )).

cnf(i_0_4816,axiom,
    ( esk1238_2(X1,X2)
    | esk1237_2(X1,X2) )).

cnf(i_0_4817,axiom,
    ( ~ esk4961_2(X1,X2)
    | esk4960_2(X1,X2) )).

cnf(i_0_4818,axiom,
    ( esk854_2(X1,X2)
    | esk853_2(X1,X2) )).

cnf(i_0_4819,axiom,
    ( esk3645_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | ~ esk3189_2(X1,X2) )).

cnf(i_0_4820,axiom,
    ( esk2873_2(X1,X2)
    | ~ esk2883_2(X1,X2) )).

cnf(i_0_4821,axiom,
    ( ~ esk5132_2(X1,X2)
    | ~ esk5130_2(X1,X2) )).

cnf(i_0_4822,axiom,
    ( ~ esk2495_2(X1,X2)
    | ~ esk2522_2(X1,X2) )).

cnf(i_0_4823,axiom,
    ( esk113_2(X1,X2)
    | ~ esk1388_2(X1,X2) )).

cnf(i_0_4824,axiom,
    ( ~ esk3675_2(X1,X2)
    | ~ esk3683_2(X1,X2) )).

cnf(i_0_4825,axiom,
    ( esk503_2(X1,X2)
    | ~ esk952_2(X1,X2) )).

cnf(i_0_4826,axiom,
    ( esk2776_2(X1,X2)
    | esk2775_2(X1,X2) )).

cnf(i_0_4827,axiom,
    ( ~ esk5227_2(X1,X2)
    | ~ esk3612_2(X1,X2) )).

cnf(i_0_4828,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk3965_2(X1,X2) )).

cnf(i_0_4829,axiom,
    ( ~ esk3512_2(X1,X2)
    | esk3508_2(X1,X2) )).

cnf(i_0_4830,axiom,
    ( ~ esk3239_2(X1,X2)
    | esk3444_2(X1,X2)
    | ~ esk3443_2(X1,X2) )).

cnf(i_0_4831,axiom,
    ( ~ esk2064_2(X1,X2)
    | esk2063_2(X1,X2) )).

cnf(i_0_4832,axiom,
    ( ~ esk3687_2(X1,X2)
    | ~ esk3686_2(X1,X2) )).

cnf(i_0_4833,axiom,
    ( ~ esk5098_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_4834,axiom,
    ( ~ esk5275_2(X1,X2)
    | ~ esk5274_2(X1,X2) )).

cnf(i_0_4835,axiom,
    ( ~ esk2043_2(X1,X2)
    | esk2039_2(X1,X2) )).

cnf(i_0_4836,axiom,
    ( ~ esk4222_2(X1,X2)
    | ~ esk4218_2(X1,X2)
    | esk4223_2(X1,X2) )).

cnf(i_0_4837,axiom,
    ( ~ esk3670_2(X1,X2)
    | esk3370_2(X1,X2) )).

cnf(i_0_4838,axiom,
    ( ~ esk3671_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_4839,axiom,
    ( ~ esk2795_2(X1,X2)
    | ~ esk2796_2(X1,X2) )).

cnf(i_0_4840,axiom,
    ( ~ esk1492_2(X1,X2)
    | ~ esk1493_2(X1,X2) )).

cnf(i_0_4841,axiom,
    ( esk4225_2(X1,X2)
    | ~ esk4221_2(X1,X2)
    | ~ esk4224_2(X1,X2) )).

cnf(i_0_4842,axiom,
    ( ~ esk3207_2(X1,X2)
    | esk3208_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_4843,axiom,
    ( esk5177_2(X1,X2)
    | esk5176_2(X1,X2) )).

cnf(i_0_4844,axiom,
    ( ~ esk2196_2(X1,X2)
    | ~ esk2195_2(X1,X2) )).

cnf(i_0_4845,axiom,
    ( esk1709_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk1708_2(X1,X2) )).

cnf(i_0_4846,axiom,
    ( ~ esk229_2(X1,X2)
    | ~ esk228_2(X1,X2) )).

cnf(i_0_4847,axiom,
    ( ~ esk5489_2(X1,X2)
    | ~ esk5492_2(X1,X2) )).

cnf(i_0_4848,axiom,
    ( ~ esk925_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_4849,axiom,
    ( ~ esk3260_2(X1,X2)
    | ~ esk5420_2(X1,X2) )).

cnf(i_0_4850,axiom,
    ( ~ esk375_2(X1,X2)
    | esk374_2(X1,X2) )).

cnf(i_0_4851,axiom,
    ( esk5250_2(X1,X2)
    | esk5251_2(X1,X2) )).

cnf(i_0_4852,axiom,
    ( ~ esk2453_2(X1,X2)
    | ~ esk2454_2(X1,X2) )).

cnf(i_0_4853,axiom,
    ( esk801_2(X1,X2)
    | ~ esk818_2(X1,X2) )).

cnf(i_0_4854,axiom,
    ( ~ esk5000_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_4855,axiom,
    ( ~ esk658_2(X1,X2)
    | ~ esk659_2(X1,X2) )).

cnf(i_0_4856,axiom,
    ( ~ esk3852_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk46_2(X1,X2)
    | esk4453_2(X1,X2) )).

cnf(i_0_4857,axiom,
    ( esk3949_2(X1,X2)
    | ~ esk3950_2(X1,X2) )).

cnf(i_0_4858,axiom,
    ( esk4067_2(X1,X2)
    | esk4023_2(X1,X2) )).

cnf(i_0_4859,axiom,
    ( ~ esk462_2(X1,X2)
    | ~ esk461_2(X1,X2) )).

cnf(i_0_4860,axiom,
    ( ~ esk2381_2(X1,X2)
    | ~ esk2382_2(X1,X2) )).

cnf(i_0_4861,axiom,
    ( ~ esk3259_2(X1,X2)
    | ~ esk5196_2(X1,X2)
    | esk5197_2(X1,X2) )).

cnf(i_0_4862,axiom,
    ( esk309_2(X1,X2)
    | ~ esk459_2(X1,X2) )).

cnf(i_0_4863,axiom,
    ( ~ esk1858_2(X1,X2)
    | esk1857_2(X1,X2) )).

cnf(i_0_4864,axiom,
    ( ~ esk4910_2(X1,X2)
    | esk3360_2(X1,X2) )).

cnf(i_0_4865,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1709_2(X1,X2) )).

cnf(i_0_4866,axiom,
    ( esk2689_2(X1,X2)
    | esk2690_2(X1,X2) )).

cnf(i_0_4867,axiom,
    ( ~ esk251_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_4868,axiom,
    ( ~ esk3738_2(X1,X2)
    | ~ esk3740_2(X1,X2) )).

cnf(i_0_4869,axiom,
    ( esk3369_2(X1,X2)
    | ~ esk3371_2(X1,X2) )).

cnf(i_0_4870,axiom,
    ( ~ esk2947_2(X1,X2)
    | ~ esk2944_2(X1,X2) )).

cnf(i_0_4871,axiom,
    ( ~ esk5164_2(X1,X2)
    | ~ esk5163_2(X1,X2) )).

cnf(i_0_4872,axiom,
    ( ~ esk2290_2(X1,X2)
    | ~ esk2293_2(X1,X2)
    | esk2294_2(X1,X2) )).

cnf(i_0_4873,axiom,
    ( ~ esk613_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_4874,axiom,
    ( ~ esk3203_2(X1,X2)
    | ~ esk3207_2(X1,X2) )).

cnf(i_0_4875,axiom,
    ( ~ esk4643_2(X1,X2)
    | ~ esk4638_2(X1,X2)
    | esk4644_2(X1,X2) )).

cnf(i_0_4876,axiom,
    ( ~ esk2717_2(X1,X2)
    | ~ esk491_2(X1,X2) )).

cnf(i_0_4877,axiom,
    ( ~ esk5314_2(X1,X2)
    | ~ esk5317_2(X1,X2)
    | esk5318_2(X1,X2) )).

cnf(i_0_4878,axiom,
    ( esk1068_2(X1,X2)
    | ~ esk1069_2(X1,X2) )).

cnf(i_0_4879,axiom,
    ( esk2018_2(X1,X2)
    | esk2017_2(X1,X2) )).

cnf(i_0_4880,axiom,
    ( esk4849_2(X1,X2)
    | esk4850_2(X1,X2) )).

cnf(i_0_4881,axiom,
    ( ~ esk1675_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_4882,axiom,
    ( ~ esk1201_2(X1,X2)
    | esk378_2(X1,X2) )).

cnf(i_0_4883,axiom,
    ( ~ esk4793_2(X1,X2)
    | ~ esk4794_2(X1,X2) )).

cnf(i_0_4884,axiom,
    ( esk954_2(X1,X2)
    | ~ esk955_2(X1,X2) )).

cnf(i_0_4885,axiom,
    ( ~ esk2878_2(X1,X2)
    | esk2880_2(X1,X2)
    | ~ esk2879_2(X1,X2) )).

cnf(i_0_4886,axiom,
    ( esk2870_2(X1,X2)
    | ~ esk5515_2(X1,X2)
    | esk208_2(X1,X2) )).

cnf(i_0_4887,axiom,
    ( ~ esk1606_2(X1,X2)
    | esk1125_2(X1,X2) )).

cnf(i_0_4888,axiom,
    ( ~ esk2285_2(X1,X2)
    | ~ esk2284_2(X1,X2) )).

cnf(i_0_4889,axiom,
    ( ~ esk2975_2(X1,X2)
    | esk2974_2(X1,X2) )).

cnf(i_0_4890,axiom,
    ( ~ esk2749_2(X1,X2)
    | ~ esk2748_2(X1,X2) )).

cnf(i_0_4891,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk892_2(X1,X2) )).

cnf(i_0_4892,axiom,
    ( ~ esk291_2(X1,X2)
    | ~ esk290_2(X1,X2) )).

cnf(i_0_4893,axiom,
    ( ~ esk664_2(X1,X2)
    | ~ esk1178_2(X1,X2)
    | esk1179_2(X1,X2) )).

cnf(i_0_4894,axiom,
    ( esk2757_2(X1,X2)
    | ~ esk2762_2(X1,X2) )).

cnf(i_0_4895,axiom,
    ( esk3709_2(X1,X2)
    | esk1056_2(X1,X2)
    | ~ esk5538_2(X1,X2) )).

cnf(i_0_4896,axiom,
    ( ~ esk4598_2(X1,X2)
    | ~ esk4597_2(X1,X2) )).

cnf(i_0_4897,axiom,
    ( esk4742_2(X1,X2)
    | ~ esk4747_2(X1,X2) )).

cnf(i_0_4898,axiom,
    ( esk4128_2(X1,X2)
    | esk4127_2(X1,X2) )).

cnf(i_0_4899,axiom,
    ( esk4989_2(X1,X2)
    | esk4990_2(X1,X2) )).

cnf(i_0_4900,axiom,
    ( esk4606_2(X1,X2)
    | esk4605_2(X1,X2) )).

cnf(i_0_4901,axiom,
    ( esk3745_2(X1,X2)
    | esk3746_2(X1,X2) )).

cnf(i_0_4902,axiom,
    ( ~ esk98_2(X1,X2)
    | ~ esk2452_2(X1,X2) )).

cnf(i_0_4903,axiom,
    ( esk881_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_4904,axiom,
    ( esk2239_2(X1,X2)
    | ~ esk2243_2(X1,X2) )).

cnf(i_0_4905,axiom,
    ( ~ esk5103_2(X1,X2)
    | esk5097_2(X1,X2) )).

cnf(i_0_4906,axiom,
    ( ~ esk4209_2(X1,X2)
    | esk4204_2(X1,X2) )).

cnf(i_0_4907,axiom,
    ( esk2646_2(X1,X2)
    | ~ esk2647_2(X1,X2) )).

cnf(i_0_4908,axiom,
    ( ~ esk189_2(X1,X2)
    | ~ esk131_2(X1,X2) )).

cnf(i_0_4909,axiom,
    ( esk3791_2(X1,X2)
    | esk3633_2(X1,X2)
    | esk3788_2(X1,X2)
    | esk3790_2(X1,X2)
    | esk3792_2(X1,X2)
    | esk3789_2(X1,X2) )).

cnf(i_0_4910,axiom,
    ( ~ esk5047_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | esk5048_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_4911,axiom,
    ( ~ esk3722_2(X1,X2)
    | esk3721_2(X1,X2) )).

cnf(i_0_4912,axiom,
    ( ~ esk2669_2(X1,X2)
    | ~ esk2668_2(X1,X2) )).

cnf(i_0_4913,axiom,
    ( ~ esk1790_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | esk1817_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_4914,axiom,
    ( ~ esk4650_2(X1,X2)
    | ~ esk4649_2(X1,X2) )).

cnf(i_0_4915,axiom,
    ( esk511_2(X1,X2)
    | ~ esk2711_2(X1,X2) )).

cnf(i_0_4916,axiom,
    ( esk3378_2(X1,X2)
    | ~ esk3379_2(X1,X2) )).

cnf(i_0_4917,axiom,
    ( ~ esk2772_2(X1,X2)
    | ~ esk2708_2(X1,X2) )).

cnf(i_0_4918,axiom,
    ( ~ esk522_2(X1,X2)
    | esk518_2(X1,X2) )).

cnf(i_0_4919,axiom,
    ( esk2107_2(X1,X2)
    | esk2108_2(X1,X2) )).

cnf(i_0_4920,axiom,
    ( ~ esk141_2(X1,X2)
    | esk558_2(X1,X2)
    | ~ esk557_2(X1,X2) )).

cnf(i_0_4921,axiom,
    ( ~ esk1023_2(X1,X2)
    | ~ esk2129_2(X1,X2) )).

cnf(i_0_4922,axiom,
    ( ~ esk4519_2(X1,X2)
    | esk4400_2(X1,X2) )).

cnf(i_0_4923,axiom,
    ( ~ esk4888_2(X1,X2)
    | esk4887_2(X1,X2) )).

cnf(i_0_4924,axiom,
    ( ~ esk1777_2(X1,X2)
    | ~ esk1776_2(X1,X2) )).

cnf(i_0_4925,axiom,
    ( ~ esk1474_2(X1,X2)
    | ~ esk1475_2(X1,X2) )).

cnf(i_0_4926,axiom,
    ( esk178_2(X1,X2)
    | esk5440_2(X1,X2) )).

cnf(i_0_4927,axiom,
    ( esk1709_2(X1,X2)
    | esk5572_2(X1,X2)
    | ~ esk4362_2(X1,X2) )).

cnf(i_0_4928,axiom,
    ( ~ esk5142_2(X1,X2)
    | ~ esk5141_2(X1,X2) )).

cnf(i_0_4929,axiom,
    ( ~ esk317_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | esk318_2(X1,X2) )).

cnf(i_0_4930,axiom,
    ( esk4806_2(X1,X2)
    | esk4807_2(X1,X2) )).

cnf(i_0_4931,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5154_2(X1,X2) )).

cnf(i_0_4932,axiom,
    ( esk2677_2(X1,X2)
    | ~ esk2681_2(X1,X2) )).

cnf(i_0_4933,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4489_2(X1,X2) )).

cnf(i_0_4934,axiom,
    ( ~ esk995_2(X1,X2)
    | ~ esk1471_2(X1,X2) )).

cnf(i_0_4935,axiom,
    ( ~ esk5387_2(X1,X2)
    | esk5388_2(X1,X2)
    | ~ esk3161_2(X1,X2) )).

cnf(i_0_4936,axiom,
    ( ~ esk4589_2(X1,X2)
    | ~ esk4590_2(X1,X2) )).

cnf(i_0_4937,axiom,
    ( ~ esk3444_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_4938,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1635_2(X1,X2) )).

cnf(i_0_4939,axiom,
    ( esk1107_2(X1,X2)
    | esk1108_2(X1,X2)
    | esk604_2(X1,X2)
    | esk1109_2(X1,X2)
    | esk1110_2(X1,X2) )).

cnf(i_0_4940,axiom,
    ( esk1362_2(X1,X2)
    | esk1361_2(X1,X2) )).

cnf(i_0_4941,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4536_2(X1,X2) )).

cnf(i_0_4942,axiom,
    ( esk5122_2(X1,X2)
    | esk5123_2(X1,X2) )).

cnf(i_0_4943,axiom,
    ( ~ esk726_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk742_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk734_2(X1,X2)
    | esk1029_2(X1,X2) )).

cnf(i_0_4944,axiom,
    ( esk714_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_4945,axiom,
    ( esk3388_2(X1,X2)
    | esk4835_2(X1,X2) )).

cnf(i_0_4946,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4477_2(X1,X2) )).

cnf(i_0_4947,axiom,
    ( esk3844_2(X1,X2)
    | ~ esk4297_2(X1,X2) )).

cnf(i_0_4948,axiom,
    ( ~ esk865_2(X1,X2)
    | esk864_2(X1,X2) )).

cnf(i_0_4949,axiom,
    ( ~ esk1490_2(X1,X2)
    | ~ esk1493_2(X1,X2)
    | esk1494_2(X1,X2) )).

cnf(i_0_4950,axiom,
    ( esk718_2(X1,X2)
    | esk2093_2(X1,X2) )).

cnf(i_0_4951,axiom,
    ( ~ esk4192_2(X1,X2)
    | ~ esk4191_2(X1,X2) )).

cnf(i_0_4952,axiom,
    ( ~ esk5212_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | esk5213_2(X1,X2) )).

cnf(i_0_4953,axiom,
    ( ~ esk304_2(X1,X2)
    | ~ esk305_2(X1,X2) )).

cnf(i_0_4954,axiom,
    ( ~ esk4754_2(X1,X2)
    | ~ esk3404_2(X1,X2) )).

cnf(i_0_4955,axiom,
    ( esk130_2(X1,X2)
    | ~ esk677_2(X1,X2) )).

cnf(i_0_4956,axiom,
    ( esk4716_2(X1,X2)
    | esk4715_2(X1,X2) )).

cnf(i_0_4957,axiom,
    ( esk143_2(X1,X2)
    | ~ esk2453_2(X1,X2) )).

cnf(i_0_4958,axiom,
    ( ~ esk2634_2(X1,X2)
    | esk2633_2(X1,X2) )).

cnf(i_0_4959,axiom,
    ( esk4281_2(X1,X2)
    | esk4279_2(X1,X2)
    | esk4283_2(X1,X2)
    | esk4280_2(X1,X2)
    | esk4282_2(X1,X2) )).

cnf(i_0_4960,axiom,
    ( esk1744_2(X1,X2)
    | ~ esk1576_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_4961,axiom,
    ( ~ esk1635_2(X1,X2)
    | esk8_2(X1,X2) )).

cnf(i_0_4962,axiom,
    ( ~ esk1876_2(X1,X2)
    | ~ esk1877_2(X1,X2) )).

cnf(i_0_4963,axiom,
    ( ~ esk893_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_4964,axiom,
    ( ~ esk4549_2(X1,X2)
    | esk86_2(X1,X2) )).

cnf(i_0_4965,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk4237_2(X1,X2) )).

cnf(i_0_4966,axiom,
    ( esk2091_2(X1,X2)
    | esk2092_2(X1,X2) )).

cnf(i_0_4967,axiom,
    ( esk2951_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_4968,axiom,
    ( esk4923_2(X1,X2)
    | esk4924_2(X1,X2) )).

cnf(i_0_4969,axiom,
    ( ~ esk1968_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_4970,axiom,
    ( ~ esk1585_2(X1,X2)
    | ~ esk1586_2(X1,X2) )).

cnf(i_0_4971,axiom,
    ( ~ esk4619_2(X1,X2)
    | ~ esk4693_2(X1,X2) )).

cnf(i_0_4972,axiom,
    ( ~ esk2388_2(X1,X2)
    | esk2389_2(X1,X2)
    | ~ esk2384_2(X1,X2) )).

cnf(i_0_4973,axiom,
    ( ~ esk3137_2(X1,X2)
    | ~ esk3138_2(X1,X2) )).

cnf(i_0_4974,axiom,
    ( esk3388_2(X1,X2)
    | esk4762_2(X1,X2) )).

cnf(i_0_4975,axiom,
    ( ~ esk881_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_4976,axiom,
    ( ~ esk4672_2(X1,X2)
    | esk4671_2(X1,X2) )).

cnf(i_0_4977,axiom,
    ( esk3558_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_4978,axiom,
    ( esk718_2(X1,X2)
    | ~ esk2164_2(X1,X2) )).

cnf(i_0_4979,axiom,
    ( ~ esk2603_2(X1,X2)
    | ~ esk2606_2(X1,X2)
    | esk2607_2(X1,X2) )).

cnf(i_0_4980,axiom,
    ( esk2137_2(X1,X2)
    | esk2138_2(X1,X2) )).

cnf(i_0_4981,axiom,
    ( esk4955_2(X1,X2)
    | esk4956_2(X1,X2) )).

cnf(i_0_4982,axiom,
    ( ~ esk5598_2(X1,X2)
    | esk1900_2(X1,X2)
    | esk4553_2(X1,X2) )).

cnf(i_0_4983,axiom,
    ( ~ esk463_2(X1,X2)
    | ~ esk464_2(X1,X2) )).

cnf(i_0_4984,axiom,
    ( esk2103_2(X1,X2)
    | esk2102_2(X1,X2) )).

cnf(i_0_4985,axiom,
    ( esk5127_2(X1,X2)
    | ~ esk5123_2(X1,X2)
    | ~ esk5126_2(X1,X2)
    | ~ esk5091_2(X1,X2) )).

cnf(i_0_4986,axiom,
    ( esk2965_2(X1,X2)
    | esk115_2(X1,X2) )).

cnf(i_0_4987,axiom,
    ( esk1959_2(X1,X2)
    | esk1958_2(X1,X2) )).

cnf(i_0_4988,axiom,
    ( ~ esk104_2(X1,X2)
    | esk2447_2(X1,X2)
    | ~ esk2446_2(X1,X2) )).

cnf(i_0_4989,axiom,
    ( ~ esk3868_2(X1,X2)
    | ~ esk3867_2(X1,X2) )).

cnf(i_0_4990,axiom,
    ( ~ esk1774_2(X1,X2)
    | ~ esk1777_2(X1,X2) )).

cnf(i_0_4991,axiom,
    ( esk4919_2(X1,X2)
    | ~ esk4923_2(X1,X2) )).

cnf(i_0_4992,axiom,
    ( ~ esk4864_2(X1,X2)
    | esk4863_2(X1,X2) )).

cnf(i_0_4993,axiom,
    ( esk1025_2(X1,X2)
    | ~ esk2047_2(X1,X2) )).

cnf(i_0_4994,axiom,
    ( ~ esk4255_2(X1,X2)
    | ~ esk4257_2(X1,X2) )).

cnf(i_0_4995,axiom,
    ( esk2333_2(X1,X2)
    | esk2335_2(X1,X2)
    | esk2336_2(X1,X2) )).

cnf(i_0_4996,axiom,
    ( ~ esk4765_2(X1,X2)
    | ~ esk4766_2(X1,X2) )).

cnf(i_0_4997,axiom,
    ( esk3785_2(X1,X2)
    | ~ esk4404_2(X1,X2) )).

cnf(i_0_4998,axiom,
    ( esk4150_2(X1,X2)
    | ~ esk4149_2(X1,X2)
    | ~ esk4080_2(X1,X2) )).

cnf(i_0_4999,axiom,
    ( esk382_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk381_2(X1,X2) )).

cnf(i_0_5000,axiom,
    ( ~ esk141_2(X1,X2)
    | esk811_2(X1,X2)
    | ~ esk810_2(X1,X2) )).

cnf(i_0_5001,axiom,
    ( esk722_2(X1,X2)
    | esk656_2(X1,X2) )).

cnf(i_0_5002,axiom,
    ( esk1060_2(X1,X2)
    | esk1059_2(X1,X2) )).

cnf(i_0_5003,axiom,
    ( ~ esk3006_2(X1,X2)
    | ~ esk3019_2(X1,X2)
    | esk3020_2(X1,X2)
    | ~ esk2987_2(X1,X2)
    | ~ esk3000_2(X1,X2) )).

cnf(i_0_5004,axiom,
    ( esk2962_2(X1,X2)
    | ~ esk4396_2(X1,X2) )).

cnf(i_0_5005,axiom,
    ( esk4370_2(X1,X2)
    | esk4369_2(X1,X2)
    | esk4368_2(X1,X2) )).

cnf(i_0_5006,axiom,
    ( ~ esk2586_2(X1,X2)
    | ~ esk2587_2(X1,X2) )).

cnf(i_0_5007,axiom,
    ( esk162_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_5008,axiom,
    ( esk4303_2(X1,X2)
    | ~ esk4507_2(X1,X2) )).

cnf(i_0_5009,axiom,
    ( esk4680_2(X1,X2)
    | esk4682_2(X1,X2)
    | esk4683_2(X1,X2) )).

cnf(i_0_5010,axiom,
    ( ~ esk4504_2(X1,X2)
    | esk1851_2(X1,X2)
    | esk5591_2(X1,X2) )).

cnf(i_0_5011,axiom,
    ( ~ esk3387_2(X1,X2)
    | ~ esk3388_2(X1,X2) )).

cnf(i_0_5012,axiom,
    ( esk2166_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_5013,axiom,
    ( esk3372_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_5014,axiom,
    ( ~ esk3626_2(X1,X2)
    | esk3627_2(X1,X2)
    | ~ esk3296_2(X1,X2)
    | ~ esk3267_2(X1,X2) )).

cnf(i_0_5015,axiom,
    ( ~ esk1030_2(X1,X2)
    | ~ esk1022_2(X1,X2) )).

cnf(i_0_5016,axiom,
    ( esk13_2(X1,X2)
    | ~ esk217_2(X1,X2) )).

cnf(i_0_5017,axiom,
    ( esk710_2(X1,X2)
    | ~ esk2128_2(X1,X2) )).

cnf(i_0_5018,axiom,
    ( ~ esk3781_2(X1,X2)
    | ~ esk3783_2(X1,X2) )).

cnf(i_0_5019,axiom,
    ( esk3964_2(X1,X2)
    | esk3963_2(X1,X2) )).

cnf(i_0_5020,axiom,
    ( esk3523_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_5021,axiom,
    ( ~ esk476_2(X1,X2)
    | ~ esk473_2(X1,X2) )).

cnf(i_0_5022,axiom,
    ( ~ esk1243_2(X1,X2)
    | ~ esk1241_2(X1,X2) )).

cnf(i_0_5023,axiom,
    ( ~ esk1939_2(X1,X2)
    | ~ esk1962_2(X1,X2) )).

cnf(i_0_5024,axiom,
    ( esk2380_2(X1,X2)
    | esk2376_2(X1,X2) )).

cnf(i_0_5025,axiom,
    ( ~ esk3123_2(X1,X2)
    | esk3122_2(X1,X2) )).

cnf(i_0_5026,axiom,
    ( esk1365_2(X1,X2)
    | ~ esk1369_2(X1,X2) )).

cnf(i_0_5027,axiom,
    ( esk417_2(X1,X2)
    | ~ esk411_2(X1,X2)
    | ~ esk416_2(X1,X2) )).

cnf(i_0_5028,axiom,
    ( ~ esk113_2(X1,X2)
    | esk906_2(X1,X2)
    | ~ esk905_2(X1,X2) )).

cnf(i_0_5029,axiom,
    ( esk4050_2(X1,X2)
    | ~ esk4051_2(X1,X2) )).

cnf(i_0_5030,axiom,
    ( esk325_2(X1,X2)
    | ~ esk358_2(X1,X2) )).

cnf(i_0_5031,axiom,
    ( esk3177_2(X1,X2)
    | ~ esk3179_2(X1,X2) )).

cnf(i_0_5032,axiom,
    ( esk3067_2(X1,X2)
    | esk3066_2(X1,X2) )).

cnf(i_0_5033,axiom,
    ( ~ esk1269_2(X1,X2)
    | ~ esk1075_2(X1,X2)
    | esk1270_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_5034,axiom,
    ( ~ esk2451_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_5035,axiom,
    ( ~ esk3985_2(X1,X2)
    | ~ esk3982_2(X1,X2) )).

cnf(i_0_5036,axiom,
    ( esk1153_2(X1,X2)
    | ~ esk3806_2(X1,X2)
    | esk5543_2(X1,X2) )).

cnf(i_0_5037,axiom,
    ( ~ esk3992_2(X1,X2)
    | esk3993_2(X1,X2)
    | ~ esk3951_2(X1,X2) )).

cnf(i_0_5038,axiom,
    ( esk4488_2(X1,X2)
    | ~ esk4278_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk4443_2(X1,X2) )).

cnf(i_0_5039,axiom,
    ( esk671_2(X1,X2)
    | esk670_2(X1,X2) )).

cnf(i_0_5040,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk2200_2(X1,X2) )).

cnf(i_0_5041,axiom,
    ( ~ esk2694_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_5042,axiom,
    ( ~ esk3302_2(X1,X2)
    | ~ esk3301_2(X1,X2) )).

cnf(i_0_5043,axiom,
    ( esk1150_2(X1,X2)
    | ~ esk21_2(X1,X2)
    | ~ esk1132_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_5044,axiom,
    ( ~ esk243_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_5045,axiom,
    ( esk5069_2(X1,X2)
    | ~ esk5070_2(X1,X2) )).

cnf(i_0_5046,axiom,
    ( esk2683_2(X1,X2)
    | ~ esk2684_2(X1,X2) )).

cnf(i_0_5047,axiom,
    ( esk184_2(X1,X2)
    | ~ esk155_2(X1,X2)
    | ~ esk158_2(X1,X2) )).

cnf(i_0_5048,axiom,
    ( esk499_2(X1,X2)
    | esk2678_2(X1,X2) )).

cnf(i_0_5049,axiom,
    ( esk178_2(X1,X2)
    | ~ esk4403_2(X1,X2) )).

cnf(i_0_5050,axiom,
    ( ~ esk1240_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_5051,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2959_2(X1,X2) )).

cnf(i_0_5052,axiom,
    ( ~ esk1910_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_5053,axiom,
    ( ~ esk856_2(X1,X2)
    | ~ esk857_2(X1,X2) )).

cnf(i_0_5054,axiom,
    ( esk4069_2(X1,X2)
    | ~ esk4070_2(X1,X2) )).

cnf(i_0_5055,axiom,
    ( ~ esk2019_2(X1,X2)
    | esk2018_2(X1,X2) )).

cnf(i_0_5056,axiom,
    ( ~ esk2887_2(X1,X2)
    | ~ esk2886_2(X1,X2) )).

cnf(i_0_5057,axiom,
    ( ~ esk5241_2(X1,X2)
    | ~ esk5237_2(X1,X2)
    | esk5242_2(X1,X2) )).

cnf(i_0_5058,axiom,
    ( ~ esk1116_2(X1,X2)
    | esk1115_2(X1,X2) )).

cnf(i_0_5059,axiom,
    ( esk4324_2(X1,X2)
    | esk4323_2(X1,X2) )).

cnf(i_0_5060,axiom,
    ( ~ esk4782_2(X1,X2)
    | ~ esk4781_2(X1,X2) )).

cnf(i_0_5061,axiom,
    ( ~ esk1345_2(X1,X2)
    | esk1344_2(X1,X2) )).

cnf(i_0_5062,axiom,
    ( ~ esk2160_2(X1,X2)
    | ~ esk2159_2(X1,X2) )).

cnf(i_0_5063,axiom,
    ( esk2610_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | ~ esk2609_2(X1,X2) )).

cnf(i_0_5064,axiom,
    ( ~ esk607_2(X1,X2)
    | ~ esk608_2(X1,X2) )).

cnf(i_0_5065,axiom,
    ( esk2067_2(X1,X2)
    | esk2068_2(X1,X2) )).

cnf(i_0_5066,axiom,
    ( esk1199_2(X1,X2)
    | ~ esk1786_2(X1,X2) )).

cnf(i_0_5067,axiom,
    ( esk2669_2(X1,X2)
    | esk2668_2(X1,X2) )).

cnf(i_0_5068,axiom,
    ( ~ esk4235_2(X1,X2)
    | ~ esk4239_2(X1,X2) )).

cnf(i_0_5069,axiom,
    ( ~ esk1568_2(X1,X2)
    | ~ esk1567_2(X1,X2) )).

cnf(i_0_5070,axiom,
    ( ~ esk2868_2(X1,X2)
    | esk14_2(X1,X2) )).

cnf(i_0_5071,axiom,
    ( esk4838_2(X1,X2)
    | ~ esk4834_2(X1,X2)
    | ~ esk4837_2(X1,X2) )).

cnf(i_0_5072,axiom,
    ( esk4046_2(X1,X2)
    | esk4047_2(X1,X2) )).

cnf(i_0_5073,axiom,
    ( ~ esk3620_2(X1,X2)
    | ~ esk3617_2(X1,X2) )).

cnf(i_0_5074,axiom,
    ( esk2304_2(X1,X2)
    | ~ esk2305_2(X1,X2) )).

cnf(i_0_5075,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2048_2(X1,X2) )).

cnf(i_0_5076,axiom,
    ( ~ esk258_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_5077,axiom,
    ( ~ esk3888_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_5078,axiom,
    ( esk1395_2(X1,X2)
    | ~ esk1396_2(X1,X2) )).

cnf(i_0_5079,axiom,
    ( esk1938_2(X1,X2)
    | ~ esk1937_2(X1,X2)
    | ~ esk1934_2(X1,X2) )).

cnf(i_0_5080,axiom,
    ( ~ esk1731_2(X1,X2)
    | ~ esk1732_2(X1,X2) )).

cnf(i_0_5081,axiom,
    ( ~ esk1754_2(X1,X2)
    | ~ esk1753_2(X1,X2) )).

cnf(i_0_5082,axiom,
    ( esk1309_2(X1,X2)
    | esk1310_2(X1,X2) )).

cnf(i_0_5083,axiom,
    ( esk3042_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | ~ esk96_2(X1,X2) )).

cnf(i_0_5084,axiom,
    ( ~ esk1696_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_5085,axiom,
    ( esk3944_2(X1,X2)
    | esk3943_2(X1,X2) )).

cnf(i_0_5086,axiom,
    ( esk4930_2(X1,X2)
    | esk4929_2(X1,X2) )).

cnf(i_0_5087,axiom,
    ( ~ esk4482_2(X1,X2)
    | esk4455_2(X1,X2) )).

cnf(i_0_5088,axiom,
    ( esk1040_2(X1,X2)
    | esk1039_2(X1,X2) )).

cnf(i_0_5089,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1588_2(X1,X2) )).

cnf(i_0_5090,axiom,
    ( ~ esk2971_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | esk3029_2(X1,X2) )).

cnf(i_0_5091,axiom,
    ( ~ esk1108_2(X1,X2)
    | esk975_2(X1,X2) )).

cnf(i_0_5092,axiom,
    ( ~ esk1846_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_5093,axiom,
    ( esk4772_2(X1,X2)
    | ~ esk4773_2(X1,X2) )).

cnf(i_0_5094,axiom,
    ( ~ esk2295_2(X1,X2)
    | ~ esk2296_2(X1,X2) )).

cnf(i_0_5095,axiom,
    ( ~ esk4503_2(X1,X2)
    | ~ esk4502_2(X1,X2) )).

cnf(i_0_5096,axiom,
    ( ~ esk1097_2(X1,X2)
    | esk1096_2(X1,X2) )).

cnf(i_0_5097,axiom,
    ( esk332_2(X1,X2)
    | ~ esk128_2(X1,X2)
    | ~ esk317_2(X1,X2) )).

cnf(i_0_5098,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk2372_2(X1,X2) )).

cnf(i_0_5099,axiom,
    ( esk311_2(X1,X2)
    | ~ esk422_2(X1,X2) )).

cnf(i_0_5100,axiom,
    ( ~ esk667_2(X1,X2)
    | ~ esk668_2(X1,X2) )).

cnf(i_0_5101,axiom,
    ( ~ esk4013_2(X1,X2)
    | ~ esk4010_2(X1,X2)
    | esk4014_2(X1,X2) )).

cnf(i_0_5102,axiom,
    ( esk1139_2(X1,X2)
    | esk1140_2(X1,X2) )).

cnf(i_0_5103,axiom,
    ( ~ esk2820_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_5104,axiom,
    ( esk3871_2(X1,X2)
    | esk3854_2(X1,X2)
    | esk3869_2(X1,X2)
    | esk3870_2(X1,X2) )).

cnf(i_0_5105,axiom,
    ( esk965_2(X1,X2)
    | ~ esk2507_2(X1,X2) )).

cnf(i_0_5106,axiom,
    ( esk5095_2(X1,X2)
    | esk5094_2(X1,X2)
    | esk5092_2(X1,X2) )).

cnf(i_0_5107,axiom,
    ( ~ esk2842_2(X1,X2)
    | esk5495_2(X1,X2)
    | esk5605_2(X1,X2) )).

cnf(i_0_5108,axiom,
    ( ~ esk4455_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | esk4482_2(X1,X2) )).

cnf(i_0_5109,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk5101_2(X1,X2) )).

cnf(i_0_5110,axiom,
    ( ~ esk100_2(X1,X2)
    | esk5052_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_5111,axiom,
    ( esk1004_2(X1,X2)
    | esk1223_2(X1,X2)
    | esk1222_2(X1,X2)
    | esk1225_2(X1,X2)
    | esk1224_2(X1,X2) )).

cnf(i_0_5112,axiom,
    ( ~ esk3839_2(X1,X2)
    | ~ esk3841_2(X1,X2) )).

cnf(i_0_5113,axiom,
    ( esk3786_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_5114,axiom,
    ( ~ esk5177_2(X1,X2)
    | esk5178_2(X1,X2)
    | ~ esk5174_2(X1,X2) )).

cnf(i_0_5115,axiom,
    ( ~ esk831_2(X1,X2)
    | ~ esk117_2(X1,X2) )).

cnf(i_0_5116,axiom,
    ( ~ esk1756_2(X1,X2)
    | esk1525_2(X1,X2) )).

cnf(i_0_5117,axiom,
    ( ~ esk465_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_5118,axiom,
    ( esk1254_2(X1,X2)
    | esk1253_2(X1,X2)
    | esk1240_2(X1,X2)
    | esk1255_2(X1,X2) )).

cnf(i_0_5119,axiom,
    ( ~ esk372_2(X1,X2)
    | ~ esk371_2(X1,X2) )).

cnf(i_0_5120,axiom,
    ( esk2197_2(X1,X2)
    | esk2196_2(X1,X2) )).

cnf(i_0_5121,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4349_2(X1,X2) )).

cnf(i_0_5122,axiom,
    ( ~ esk3776_2(X1,X2)
    | ~ esk5541_2(X1,X2)
    | ~ esk1123_2(X1,X2) )).

cnf(i_0_5123,axiom,
    ( esk5413_2(X1,X2)
    | esk5412_2(X1,X2) )).

cnf(i_0_5124,axiom,
    ( esk3259_2(X1,X2)
    | esk5281_2(X1,X2) )).

cnf(i_0_5125,axiom,
    ( esk5113_2(X1,X2)
    | esk5112_2(X1,X2)
    | esk143_2(X1,X2)
    | esk5110_2(X1,X2) )).

cnf(i_0_5126,axiom,
    ( ~ esk3463_2(X1,X2)
    | ~ esk3447_2(X1,X2)
    | esk3856_2(X1,X2)
    | ~ esk3659_2(X1,X2) )).

cnf(i_0_5127,axiom,
    ( esk1279_2(X1,X2)
    | ~ esk1278_2(X1,X2)
    | ~ esk621_2(X1,X2) )).

cnf(i_0_5128,axiom,
    ( ~ esk537_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | esk538_2(X1,X2) )).

cnf(i_0_5129,axiom,
    ( ~ esk2557_2(X1,X2)
    | esk2556_2(X1,X2) )).

cnf(i_0_5130,axiom,
    ( ~ esk1105_2(X1,X2)
    | ~ esk617_2(X1,X2)
    | esk1521_2(X1,X2) )).

cnf(i_0_5131,axiom,
    ( ~ esk4979_2(X1,X2)
    | esk4978_2(X1,X2) )).

cnf(i_0_5132,axiom,
    ( ~ esk5503_2(X1,X2)
    | ~ esk188_2(X1,X2)
    | ~ esk2850_2(X1,X2) )).

cnf(i_0_5133,axiom,
    ( ~ esk2029_2(X1,X2)
    | esk2028_2(X1,X2) )).

cnf(i_0_5134,axiom,
    ( ~ esk5259_2(X1,X2)
    | ~ esk5258_2(X1,X2) )).

cnf(i_0_5135,axiom,
    ( ~ esk1199_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk1800_2(X1,X2)
    | ~ esk46_2(X1,X2) )).

cnf(i_0_5136,axiom,
    ( esk75_2(X1,X2)
    | ~ esk1904_2(X1,X2) )).

cnf(i_0_5137,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk4235_2(X1,X2) )).

cnf(i_0_5138,axiom,
    ( ~ esk4678_2(X1,X2)
    | esk4686_2(X1,X2)
    | ~ esk4620_2(X1,X2)
    | ~ esk4652_2(X1,X2) )).

cnf(i_0_5139,axiom,
    ( ~ esk377_2(X1,X2)
    | ~ esk372_2(X1,X2)
    | esk378_2(X1,X2) )).

cnf(i_0_5140,axiom,
    ( esk1670_2(X1,X2)
    | esk1666_2(X1,X2)
    | esk1669_2(X1,X2)
    | esk1668_2(X1,X2)
    | esk1667_2(X1,X2) )).

cnf(i_0_5141,axiom,
    ( ~ esk4567_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_5142,axiom,
    ( ~ esk3752_2(X1,X2)
    | esk3751_2(X1,X2) )).

cnf(i_0_5143,axiom,
    ( esk223_2(X1,X2)
    | esk222_2(X1,X2) )).

cnf(i_0_5144,axiom,
    ( ~ esk222_2(X1,X2)
    | ~ esk223_2(X1,X2) )).

cnf(i_0_5145,axiom,
    ( esk3089_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_5146,axiom,
    ( ~ esk5440_2(X1,X2)
    | ~ esk5142_2(X1,X2)
    | esk5452_2(X1,X2) )).

cnf(i_0_5147,axiom,
    ( ~ esk929_2(X1,X2)
    | ~ esk935_2(X1,X2) )).

cnf(i_0_5148,axiom,
    ( ~ esk5118_2(X1,X2)
    | ~ esk5121_2(X1,X2)
    | esk5122_2(X1,X2) )).

cnf(i_0_5149,axiom,
    ( ~ esk3437_2(X1,X2)
    | ~ esk3438_2(X1,X2) )).

cnf(i_0_5150,axiom,
    ( ~ esk3755_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_5151,axiom,
    ( ~ esk3051_2(X1,X2)
    | ~ esk3052_2(X1,X2) )).

cnf(i_0_5152,axiom,
    ( esk224_2(X1,X2)
    | esk225_2(X1,X2) )).

cnf(i_0_5153,axiom,
    ( esk727_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_5154,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk57_2(X1,X2)
    | esk3924_2(X1,X2)
    | ~ esk3727_2(X1,X2) )).

cnf(i_0_5155,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk3275_2(X1,X2) )).

cnf(i_0_5156,axiom,
    ( ~ esk3857_2(X1,X2)
    | esk3661_2(X1,X2) )).

cnf(i_0_5157,axiom,
    ( ~ esk249_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_5158,axiom,
    ( ~ esk4433_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_5159,axiom,
    ( esk3695_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_5160,axiom,
    ( ~ esk3706_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_5161,axiom,
    ( ~ esk2427_2(X1,X2)
    | ~ esk2426_2(X1,X2) )).

cnf(i_0_5162,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_5163,axiom,
    ( esk151_2(X1,X2)
    | ~ esk3635_2(X1,X2) )).

cnf(i_0_5164,axiom,
    ( esk3902_2(X1,X2)
    | ~ esk3897_2(X1,X2)
    | ~ esk3901_2(X1,X2) )).

cnf(i_0_5165,axiom,
    ( ~ esk880_2(X1,X2)
    | ~ esk1764_2(X1,X2) )).

cnf(i_0_5166,axiom,
    ( ~ esk1537_2(X1,X2)
    | ~ esk629_2(X1,X2)
    | esk1538_2(X1,X2) )).

cnf(i_0_5167,axiom,
    ( esk84_2(X1,X2)
    | ~ esk4344_2(X1,X2) )).

cnf(i_0_5168,axiom,
    ( esk104_2(X1,X2)
    | ~ esk5006_2(X1,X2) )).

cnf(i_0_5169,axiom,
    ( ~ esk3913_2(X1,X2)
    | ~ esk3661_2(X1,X2) )).

cnf(i_0_5170,axiom,
    ( ~ esk3747_2(X1,X2)
    | ~ esk3748_2(X1,X2) )).

cnf(i_0_5171,axiom,
    ( esk1366_2(X1,X2)
    | ~ esk1367_2(X1,X2) )).

cnf(i_0_5172,axiom,
    ( esk1154_2(X1,X2)
    | esk1169_2(X1,X2)
    | esk1168_2(X1,X2)
    | esk1170_2(X1,X2) )).

cnf(i_0_5173,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk2440_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk2441_2(X1,X2) )).

cnf(i_0_5174,axiom,
    ( esk3757_2(X1,X2)
    | ~ esk3773_2(X1,X2) )).

cnf(i_0_5175,axiom,
    ( esk1981_2(X1,X2)
    | ~ esk1982_2(X1,X2) )).

cnf(i_0_5176,axiom,
    ( esk1749_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk1132_2(X1,X2)
    | ~ esk293_2(X1,X2) )).

cnf(i_0_5177,axiom,
    ( ~ esk5125_2(X1,X2)
    | esk5091_2(X1,X2) )).

cnf(i_0_5178,axiom,
    ( esk4493_2(X1,X2)
    | esk4494_2(X1,X2)
    | esk4495_2(X1,X2)
    | esk4496_2(X1,X2)
    | esk4497_2(X1,X2) )).

cnf(i_0_5179,axiom,
    ( esk5057_2(X1,X2)
    | ~ esk5051_2(X1,X2)
    | ~ esk5056_2(X1,X2) )).

cnf(i_0_5180,axiom,
    ( esk2182_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_5181,axiom,
    ( esk181_2(X1,X2)
    | esk153_2(X1,X2) )).

cnf(i_0_5182,axiom,
    ( ~ esk4749_2(X1,X2)
    | esk4748_2(X1,X2) )).

cnf(i_0_5183,axiom,
    ( esk3301_2(X1,X2)
    | ~ esk3390_2(X1,X2) )).

cnf(i_0_5184,axiom,
    ( esk2178_2(X1,X2)
    | ~ esk2183_2(X1,X2) )).

cnf(i_0_5185,axiom,
    ( ~ esk597_2(X1,X2)
    | ~ esk2546_2(X1,X2) )).

cnf(i_0_5186,axiom,
    ( esk1941_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_5187,axiom,
    ( ~ esk746_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_5188,axiom,
    ( esk2010_2(X1,X2)
    | esk2011_2(X1,X2) )).

cnf(i_0_5189,axiom,
    ( ~ esk1528_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_5190,axiom,
    ( esk3145_2(X1,X2)
    | ~ esk3146_2(X1,X2) )).

cnf(i_0_5191,axiom,
    ( ~ esk5289_2(X1,X2)
    | esk5290_2(X1,X2)
    | ~ esk5285_2(X1,X2) )).

cnf(i_0_5192,axiom,
    ( ~ esk466_2(X1,X2)
    | esk467_2(X1,X2)
    | ~ esk319_2(X1,X2) )).

cnf(i_0_5193,axiom,
    ( ~ esk5026_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5194,axiom,
    ( ~ esk1173_2(X1,X2)
    | esk1041_2(X1,X2) )).

cnf(i_0_5195,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4280_2(X1,X2) )).

cnf(i_0_5196,axiom,
    ( esk793_2(X1,X2)
    | ~ esk1205_2(X1,X2) )).

cnf(i_0_5197,axiom,
    ( ~ esk4201_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | esk4403_2(X1,X2) )).

cnf(i_0_5198,axiom,
    ( ~ esk1434_2(X1,X2)
    | ~ esk997_2(X1,X2) )).

cnf(i_0_5199,axiom,
    ( ~ esk199_2(X1,X2)
    | esk198_2(X1,X2) )).

cnf(i_0_5200,axiom,
    ( esk3295_2(X1,X2)
    | esk3936_2(X1,X2) )).

cnf(i_0_5201,axiom,
    ( ~ esk5033_2(X1,X2)
    | esk5034_2(X1,X2)
    | ~ esk3146_2(X1,X2) )).

cnf(i_0_5202,axiom,
    ( ~ esk5370_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_5203,axiom,
    ( ~ esk4846_2(X1,X2)
    | ~ esk4847_2(X1,X2) )).

cnf(i_0_5204,axiom,
    ( esk4048_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_5205,axiom,
    ( ~ esk1297_2(X1,X2)
    | ~ esk1298_2(X1,X2) )).

cnf(i_0_5206,axiom,
    ( esk921_2(X1,X2)
    | ~ esk933_2(X1,X2) )).

cnf(i_0_5207,axiom,
    ( ~ esk499_2(X1,X2)
    | esk2735_2(X1,X2)
    | ~ esk2734_2(X1,X2) )).

cnf(i_0_5208,axiom,
    ( ~ esk4077_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_5209,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk4169_2(X1,X2) )).

cnf(i_0_5210,axiom,
    ( esk1577_2(X1,X2)
    | ~ esk1579_2(X1,X2) )).

cnf(i_0_5211,axiom,
    ( esk488_2(X1,X2)
    | esk490_2(X1,X2)
    | esk489_2(X1,X2) )).

cnf(i_0_5212,axiom,
    ( esk5554_2(X1,X2)
    | esk4232_2(X1,X2)
    | ~ esk1579_2(X1,X2) )).

cnf(i_0_5213,axiom,
    ( esk4234_2(X1,X2)
    | ~ esk4327_2(X1,X2) )).

cnf(i_0_5214,axiom,
    ( ~ esk4629_2(X1,X2)
    | ~ esk4630_2(X1,X2) )).

cnf(i_0_5215,axiom,
    ( ~ esk4411_2(X1,X2)
    | ~ esk4410_2(X1,X2) )).

cnf(i_0_5216,axiom,
    ( ~ esk3760_2(X1,X2)
    | ~ esk3763_2(X1,X2) )).

cnf(i_0_5217,axiom,
    ( esk5293_2(X1,X2)
    | esk5292_2(X1,X2) )).

cnf(i_0_5218,axiom,
    ( ~ esk5134_2(X1,X2)
    | ~ esk5133_2(X1,X2) )).

cnf(i_0_5219,axiom,
    ( ~ esk1414_2(X1,X2)
    | ~ esk1370_2(X1,X2) )).

cnf(i_0_5220,axiom,
    ( ~ esk230_2(X1,X2)
    | esk217_2(X1,X2) )).

cnf(i_0_5221,axiom,
    ( esk108_2(X1,X2)
    | ~ esk563_2(X1,X2) )).

cnf(i_0_5222,axiom,
    ( ~ esk2356_2(X1,X2)
    | esk2355_2(X1,X2) )).

cnf(i_0_5223,axiom,
    ( ~ esk154_2(X1,X2)
    | ~ esk205_2(X1,X2) )).

cnf(i_0_5224,axiom,
    ( esk123_2(X1,X2)
    | esk4666_2(X1,X2) )).

cnf(i_0_5225,axiom,
    ( esk3879_2(X1,X2)
    | ~ esk3884_2(X1,X2) )).

cnf(i_0_5226,axiom,
    ( esk756_2(X1,X2)
    | ~ esk757_2(X1,X2) )).

cnf(i_0_5227,axiom,
    ( ~ esk4785_2(X1,X2)
    | ~ esk4784_2(X1,X2) )).

cnf(i_0_5228,axiom,
    ( esk2671_2(X1,X2)
    | esk2672_2(X1,X2) )).

cnf(i_0_5229,axiom,
    ( esk4311_2(X1,X2)
    | ~ esk5565_2(X1,X2)
    | esk1658_2(X1,X2) )).

cnf(i_0_5230,axiom,
    ( esk1289_2(X1,X2)
    | esk1290_2(X1,X2) )).

cnf(i_0_5231,axiom,
    ( ~ esk5309_2(X1,X2)
    | ~ esk3605_2(X1,X2) )).

cnf(i_0_5232,axiom,
    ( ~ esk4634_2(X1,X2)
    | ~ esk128_2(X1,X2) )).

cnf(i_0_5233,axiom,
    ( ~ esk4252_2(X1,X2)
    | esk4463_2(X1,X2)
    | ~ esk4394_2(X1,X2)
    | ~ esk4251_2(X1,X2) )).

cnf(i_0_5234,axiom,
    ( ~ esk692_2(X1,X2)
    | ~ esk693_2(X1,X2) )).

cnf(i_0_5235,axiom,
    ( ~ esk3616_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_5236,axiom,
    ( esk2343_2(X1,X2)
    | ~ esk2344_2(X1,X2) )).

cnf(i_0_5237,axiom,
    ( esk5297_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_5238,axiom,
    ( ~ esk4085_2(X1,X2)
    | ~ esk4086_2(X1,X2) )).

cnf(i_0_5239,axiom,
    ( ~ esk1657_2(X1,X2)
    | ~ esk1656_2(X1,X2) )).

cnf(i_0_5240,axiom,
    ( esk5318_2(X1,X2)
    | esk5319_2(X1,X2) )).

cnf(i_0_5241,axiom,
    ( ~ esk1094_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_5242,axiom,
    ( esk94_2(X1,X2)
    | esk3062_2(X1,X2) )).

cnf(i_0_5243,axiom,
    ( ~ esk5260_2(X1,X2)
    | ~ esk5261_2(X1,X2) )).

cnf(i_0_5244,axiom,
    ( ~ esk2517_2(X1,X2)
    | esk2516_2(X1,X2) )).

cnf(i_0_5245,axiom,
    ( esk3273_2(X1,X2)
    | ~ esk3272_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_5246,axiom,
    ( esk4543_2(X1,X2)
    | esk4541_2(X1,X2)
    | esk4544_2(X1,X2)
    | esk4542_2(X1,X2)
    | esk4540_2(X1,X2) )).

cnf(i_0_5247,axiom,
    ( ~ esk4524_2(X1,X2)
    | ~ esk4523_2(X1,X2) )).

cnf(i_0_5248,axiom,
    ( esk3471_2(X1,X2)
    | ~ esk3662_2(X1,X2) )).

cnf(i_0_5249,axiom,
    ( esk1513_2(X1,X2)
    | ~ esk1781_2(X1,X2) )).

cnf(i_0_5250,axiom,
    ( esk4295_2(X1,X2)
    | esk4296_2(X1,X2) )).

cnf(i_0_5251,axiom,
    ( ~ esk2273_2(X1,X2)
    | esk2272_2(X1,X2) )).

cnf(i_0_5252,axiom,
    ( esk3487_2(X1,X2)
    | ~ esk3488_2(X1,X2) )).

cnf(i_0_5253,axiom,
    ( esk1599_2(X1,X2)
    | ~ esk1816_2(X1,X2) )).

cnf(i_0_5254,axiom,
    ( ~ esk3961_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_5255,axiom,
    ( ~ esk5031_2(X1,X2)
    | esk5030_2(X1,X2) )).

cnf(i_0_5256,axiom,
    ( ~ esk1238_2(X1,X2)
    | ~ esk1239_2(X1,X2) )).

cnf(i_0_5257,axiom,
    ( esk2468_2(X1,X2)
    | esk2467_2(X1,X2) )).

cnf(i_0_5258,axiom,
    ( ~ esk5059_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_5259,axiom,
    ( ~ esk5345_2(X1,X2)
    | esk5344_2(X1,X2) )).

cnf(i_0_5260,axiom,
    ( esk1557_2(X1,X2)
    | esk1556_2(X1,X2) )).

cnf(i_0_5261,axiom,
    ( esk1138_2(X1,X2)
    | ~ esk688_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | ~ esk647_2(X1,X2)
    | ~ esk652_2(X1,X2)
    | ~ esk23_2(X1,X2) )).

cnf(i_0_5262,axiom,
    ( ~ esk916_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_5263,axiom,
    ( ~ esk3404_2(X1,X2)
    | esk3679_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_5264,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3351_2(X1,X2) )).

cnf(i_0_5265,axiom,
    ( esk3369_2(X1,X2)
    | esk3266_2(X1,X2) )).

cnf(i_0_5266,axiom,
    ( ~ esk1559_2(X1,X2)
    | ~ esk1558_2(X1,X2) )).

cnf(i_0_5267,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | esk3055_2(X1,X2) )).

cnf(i_0_5268,axiom,
    ( ~ esk4314_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_5269,axiom,
    ( esk2257_2(X1,X2)
    | ~ esk706_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | ~ esk698_2(X1,X2) )).

cnf(i_0_5270,axiom,
    ( esk4676_2(X1,X2)
    | ~ esk4677_2(X1,X2) )).

cnf(i_0_5271,axiom,
    ( ~ esk266_2(X1,X2)
    | ~ esk265_2(X1,X2) )).

cnf(i_0_5272,axiom,
    ( ~ esk5047_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_5273,axiom,
    ( ~ esk4405_2(X1,X2)
    | ~ esk4404_2(X1,X2) )).

cnf(i_0_5274,axiom,
    ( ~ esk1324_2(X1,X2)
    | ~ esk1325_2(X1,X2) )).

cnf(i_0_5275,axiom,
    ( ~ esk2017_2(X1,X2)
    | esk2016_2(X1,X2) )).

cnf(i_0_5276,axiom,
    ( ~ esk1386_2(X1,X2)
    | ~ esk1385_2(X1,X2) )).

cnf(i_0_5277,axiom,
    ( esk5162_2(X1,X2)
    | ~ esk5161_2(X1,X2)
    | ~ esk5158_2(X1,X2) )).

cnf(i_0_5278,axiom,
    ( ~ esk5242_2(X1,X2)
    | esk5241_2(X1,X2) )).

cnf(i_0_5279,axiom,
    ( esk2778_2(X1,X2)
    | esk2779_2(X1,X2) )).

cnf(i_0_5280,axiom,
    ( esk4713_2(X1,X2)
    | ~ esk4717_2(X1,X2) )).

cnf(i_0_5281,axiom,
    ( esk3019_2(X1,X2)
    | esk3018_2(X1,X2) )).

cnf(i_0_5282,axiom,
    ( esk4677_2(X1,X2)
    | ~ esk4676_2(X1,X2)
    | ~ esk4673_2(X1,X2) )).

cnf(i_0_5283,axiom,
    ( esk5475_2(X1,X2)
    | ~ esk5476_2(X1,X2) )).

cnf(i_0_5284,axiom,
    ( esk3727_2(X1,X2)
    | ~ esk3893_2(X1,X2) )).

cnf(i_0_5285,axiom,
    ( ~ esk3300_2(X1,X2)
    | ~ esk3301_2(X1,X2) )).

cnf(i_0_5286,axiom,
    ( ~ esk3219_2(X1,X2)
    | esk3220_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_5287,axiom,
    ( ~ esk4321_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_5288,axiom,
    ( esk577_2(X1,X2)
    | ~ esk1359_2(X1,X2) )).

cnf(i_0_5289,axiom,
    ( esk110_2(X1,X2)
    | ~ esk551_2(X1,X2) )).

cnf(i_0_5290,axiom,
    ( esk2866_2(X1,X2)
    | esk5513_2(X1,X2)
    | ~ esk204_2(X1,X2) )).

cnf(i_0_5291,axiom,
    ( ~ esk4840_2(X1,X2)
    | esk4841_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_5292,axiom,
    ( ~ esk5282_2(X1,X2)
    | esk5277_2(X1,X2) )).

cnf(i_0_5293,axiom,
    ( ~ esk3363_2(X1,X2)
    | ~ esk3362_2(X1,X2) )).

cnf(i_0_5294,axiom,
    ( ~ esk5048_2(X1,X2)
    | ~ esk5049_2(X1,X2) )).

cnf(i_0_5295,axiom,
    ( ~ esk2874_2(X1,X2)
    | ~ esk2873_2(X1,X2) )).

cnf(i_0_5296,axiom,
    ( ~ esk706_2(X1,X2)
    | ~ esk698_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | esk709_2(X1,X2)
    | ~ esk708_2(X1,X2) )).

cnf(i_0_5297,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk1042_2(X1,X2) )).

cnf(i_0_5298,axiom,
    ( ~ esk4701_2(X1,X2)
    | ~ esk4703_2(X1,X2) )).

cnf(i_0_5299,axiom,
    ( esk710_2(X1,X2)
    | ~ esk2083_2(X1,X2) )).

cnf(i_0_5300,axiom,
    ( ~ esk3869_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_5301,axiom,
    ( ~ esk4826_2(X1,X2)
    | esk4830_2(X1,X2)
    | ~ esk4829_2(X1,X2) )).

cnf(i_0_5302,axiom,
    ( esk1185_2(X1,X2)
    | esk1518_2(X1,X2) )).

cnf(i_0_5303,axiom,
    ( esk453_2(X1,X2)
    | ~ esk454_2(X1,X2) )).

cnf(i_0_5304,axiom,
    ( esk4187_2(X1,X2)
    | ~ esk4188_2(X1,X2) )).

cnf(i_0_5305,axiom,
    ( ~ esk1598_2(X1,X2)
    | ~ esk1741_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | esk1810_2(X1,X2) )).

cnf(i_0_5306,axiom,
    ( esk4313_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk3926_2(X1,X2) )).

cnf(i_0_5307,axiom,
    ( ~ esk1193_2(X1,X2)
    | esk1055_2(X1,X2) )).

cnf(i_0_5308,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk4529_2(X1,X2)
    | ~ esk75_2(X1,X2) )).

cnf(i_0_5309,axiom,
    ( ~ esk3683_2(X1,X2)
    | ~ esk3679_2(X1,X2) )).

cnf(i_0_5310,axiom,
    ( ~ esk109_2(X1,X2)
    | esk3101_2(X1,X2)
    | ~ esk2979_2(X1,X2) )).

cnf(i_0_5311,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4336_2(X1,X2) )).

cnf(i_0_5312,axiom,
    ( ~ esk3998_2(X1,X2)
    | ~ esk3999_2(X1,X2) )).

cnf(i_0_5313,axiom,
    ( ~ esk2168_2(X1,X2)
    | esk2169_2(X1,X2)
    | ~ esk2165_2(X1,X2) )).

cnf(i_0_5314,axiom,
    ( esk4311_2(X1,X2)
    | esk5565_2(X1,X2)
    | ~ esk1658_2(X1,X2) )).

cnf(i_0_5315,axiom,
    ( ~ esk3383_2(X1,X2)
    | esk3387_2(X1,X2)
    | ~ esk3386_2(X1,X2) )).

cnf(i_0_5316,axiom,
    ( esk471_2(X1,X2)
    | esk470_2(X1,X2) )).

cnf(i_0_5317,axiom,
    ( esk761_2(X1,X2)
    | ~ esk762_2(X1,X2) )).

cnf(i_0_5318,axiom,
    ( esk1919_2(X1,X2)
    | esk1935_2(X1,X2) )).

cnf(i_0_5319,axiom,
    ( esk3414_2(X1,X2)
    | ~ esk4113_2(X1,X2) )).

cnf(i_0_5320,axiom,
    ( esk2981_2(X1,X2)
    | ~ esk3015_2(X1,X2) )).

cnf(i_0_5321,axiom,
    ( ~ esk2549_2(X1,X2)
    | ~ esk2550_2(X1,X2) )).

cnf(i_0_5322,axiom,
    ( ~ esk143_2(X1,X2)
    | ~ esk3464_2(X1,X2)
    | esk3465_2(X1,X2) )).

cnf(i_0_5323,axiom,
    ( esk4192_2(X1,X2)
    | esk4191_2(X1,X2) )).

cnf(i_0_5324,axiom,
    ( ~ esk3725_2(X1,X2)
    | esk4271_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | ~ esk3778_2(X1,X2) )).

cnf(i_0_5325,axiom,
    ( esk3261_2(X1,X2)
    | ~ esk3260_2(X1,X2)
    | ~ esk3198_2(X1,X2) )).

cnf(i_0_5326,axiom,
    ( ~ esk2160_2(X1,X2)
    | esk2161_2(X1,X2)
    | ~ esk2157_2(X1,X2) )).

cnf(i_0_5327,axiom,
    ( ~ esk2009_2(X1,X2)
    | ~ esk2008_2(X1,X2) )).

cnf(i_0_5328,axiom,
    ( esk4575_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | ~ esk4574_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_5329,axiom,
    ( esk4847_2(X1,X2)
    | ~ esk4848_2(X1,X2) )).

cnf(i_0_5330,axiom,
    ( ~ esk4313_2(X1,X2)
    | ~ esk4316_2(X1,X2) )).

cnf(i_0_5331,axiom,
    ( ~ esk3233_2(X1,X2)
    | esk3234_2(X1,X2)
    | ~ esk3230_2(X1,X2) )).

cnf(i_0_5332,axiom,
    ( esk4203_2(X1,X2)
    | esk4204_2(X1,X2)
    | esk3626_2(X1,X2) )).

cnf(i_0_5333,axiom,
    ( ~ esk523_2(X1,X2)
    | ~ esk2758_2(X1,X2)
    | esk2759_2(X1,X2) )).

cnf(i_0_5334,axiom,
    ( esk4753_2(X1,X2)
    | ~ esk4757_2(X1,X2) )).

cnf(i_0_5335,axiom,
    ( ~ esk5527_2(X1,X2)
    | ~ esk486_2(X1,X2)
    | ~ esk3148_2(X1,X2) )).

cnf(i_0_5336,axiom,
    ( esk2603_2(X1,X2)
    | ~ esk2607_2(X1,X2) )).

cnf(i_0_5337,axiom,
    ( ~ esk213_2(X1,X2)
    | ~ esk215_2(X1,X2) )).

cnf(i_0_5338,axiom,
    ( ~ esk484_2(X1,X2)
    | esk2381_2(X1,X2)
    | ~ esk2380_2(X1,X2) )).

cnf(i_0_5339,axiom,
    ( esk580_2(X1,X2)
    | esk579_2(X1,X2) )).

cnf(i_0_5340,axiom,
    ( esk206_2(X1,X2)
    | ~ esk207_2(X1,X2) )).

cnf(i_0_5341,axiom,
    ( ~ esk673_2(X1,X2)
    | esk672_2(X1,X2) )).

cnf(i_0_5342,axiom,
    ( ~ esk3677_2(X1,X2)
    | esk3676_2(X1,X2) )).

cnf(i_0_5343,axiom,
    ( ~ esk53_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk2329_2(X1,X2)
    | ~ esk1041_2(X1,X2) )).

cnf(i_0_5344,axiom,
    ( esk4724_2(X1,X2)
    | ~ esk4725_2(X1,X2) )).

cnf(i_0_5345,axiom,
    ( esk2811_2(X1,X2)
    | esk2812_2(X1,X2) )).

cnf(i_0_5346,axiom,
    ( esk488_2(X1,X2)
    | ~ esk96_2(X1,X2)
    | ~ esk487_2(X1,X2) )).

cnf(i_0_5347,axiom,
    ( esk3650_2(X1,X2)
    | ~ esk3651_2(X1,X2) )).

cnf(i_0_5348,axiom,
    ( ~ esk452_2(X1,X2)
    | ~ esk455_2(X1,X2) )).

cnf(i_0_5349,axiom,
    ( ~ esk704_2(X1,X2)
    | ~ esk703_2(X1,X2) )).

cnf(i_0_5350,axiom,
    ( ~ esk1830_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_5351,axiom,
    ( ~ esk1420_2(X1,X2)
    | ~ esk1269_2(X1,X2) )).

cnf(i_0_5352,axiom,
    ( esk1196_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk24_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_5353,axiom,
    ( ~ esk3075_2(X1,X2)
    | ~ esk2981_2(X1,X2)
    | esk3076_2(X1,X2) )).

cnf(i_0_5354,axiom,
    ( ~ esk3369_2(X1,X2)
    | ~ esk3368_2(X1,X2)
    | ~ esk3360_2(X1,X2)
    | esk4910_2(X1,X2) )).

cnf(i_0_5355,axiom,
    ( ~ esk1185_2(X1,X2)
    | ~ esk1184_2(X1,X2) )).

cnf(i_0_5356,axiom,
    ( ~ esk100_2(X1,X2)
    | esk4599_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_5357,axiom,
    ( esk119_2(X1,X2)
    | ~ esk824_2(X1,X2) )).

cnf(i_0_5358,axiom,
    ( ~ esk2838_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_5359,axiom,
    ( esk5530_2(X1,X2)
    | ~ esk3406_2(X1,X2)
    | esk744_2(X1,X2) )).

cnf(i_0_5360,axiom,
    ( ~ esk3704_2(X1,X2)
    | esk3705_2(X1,X2)
    | ~ esk3695_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_5361,axiom,
    ( esk1045_2(X1,X2)
    | ~ esk1044_2(X1,X2)
    | ~ esk652_2(X1,X2) )).

cnf(i_0_5362,axiom,
    ( ~ esk4107_2(X1,X2)
    | ~ esk4095_2(X1,X2) )).

cnf(i_0_5363,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk1641_2(X1,X2)
    | ~ esk7_2(X1,X2) )).

cnf(i_0_5364,axiom,
    ( esk824_2(X1,X2)
    | ~ esk119_2(X1,X2)
    | ~ esk823_2(X1,X2) )).

cnf(i_0_5365,axiom,
    ( esk142_2(X1,X2)
    | ~ esk3042_2(X1,X2) )).

cnf(i_0_5366,axiom,
    ( esk4459_2(X1,X2)
    | esk4461_2(X1,X2)
    | esk4458_2(X1,X2)
    | esk4457_2(X1,X2)
    | esk4460_2(X1,X2) )).

cnf(i_0_5367,axiom,
    ( esk3047_2(X1,X2)
    | ~ esk3053_2(X1,X2) )).

cnf(i_0_5368,axiom,
    ( ~ esk5327_2(X1,X2)
    | esk5332_2(X1,X2)
    | ~ esk5331_2(X1,X2) )).

cnf(i_0_5369,axiom,
    ( ~ esk1767_2(X1,X2)
    | esk1761_2(X1,X2) )).

cnf(i_0_5370,axiom,
    ( esk214_2(X1,X2)
    | ~ esk211_2(X1,X2)
    | ~ esk35_2(X1,X2) )).

cnf(i_0_5371,axiom,
    ( ~ esk5304_2(X1,X2)
    | ~ esk5427_2(X1,X2)
    | esk5428_2(X1,X2) )).

cnf(i_0_5372,axiom,
    ( esk150_2(X1,X2)
    | ~ esk1023_2(X1,X2) )).

cnf(i_0_5373,axiom,
    ( esk1031_2(X1,X2)
    | esk2253_2(X1,X2) )).

cnf(i_0_5374,axiom,
    ( ~ esk3827_2(X1,X2)
    | esk3350_2(X1,X2) )).

cnf(i_0_5375,axiom,
    ( ~ esk718_2(X1,X2)
    | ~ esk2166_2(X1,X2) )).

cnf(i_0_5376,axiom,
    ( esk4742_2(X1,X2)
    | esk4743_2(X1,X2) )).

cnf(i_0_5377,axiom,
    ( ~ esk2508_2(X1,X2)
    | ~ esk2507_2(X1,X2) )).

cnf(i_0_5378,axiom,
    ( ~ esk1460_2(X1,X2)
    | esk1459_2(X1,X2) )).

cnf(i_0_5379,axiom,
    ( ~ esk1595_2(X1,X2)
    | ~ esk1596_2(X1,X2) )).

cnf(i_0_5380,axiom,
    ( ~ esk436_2(X1,X2)
    | ~ esk433_2(X1,X2) )).

cnf(i_0_5381,axiom,
    ( esk583_2(X1,X2)
    | esk582_2(X1,X2) )).

cnf(i_0_5382,axiom,
    ( ~ esk4831_2(X1,X2)
    | ~ esk4830_2(X1,X2) )).

cnf(i_0_5383,axiom,
    ( esk3482_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_5384,axiom,
    ( ~ esk1431_2(X1,X2)
    | ~ esk1432_2(X1,X2) )).

cnf(i_0_5385,axiom,
    ( ~ esk4983_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_5386,axiom,
    ( ~ esk4867_2(X1,X2)
    | esk4866_2(X1,X2) )).

cnf(i_0_5387,axiom,
    ( ~ esk4052_2(X1,X2)
    | ~ esk4053_2(X1,X2) )).

cnf(i_0_5388,axiom,
    ( esk3215_2(X1,X2)
    | ~ esk3616_2(X1,X2) )).

cnf(i_0_5389,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4704_2(X1,X2) )).

cnf(i_0_5390,axiom,
    ( ~ esk1244_2(X1,X2)
    | ~ esk1243_2(X1,X2) )).

cnf(i_0_5391,axiom,
    ( ~ esk3758_2(X1,X2)
    | ~ esk4187_2(X1,X2)
    | esk4188_2(X1,X2) )).

cnf(i_0_5392,axiom,
    ( ~ esk4626_2(X1,X2)
    | ~ esk4631_2(X1,X2)
    | esk4632_2(X1,X2) )).

cnf(i_0_5393,axiom,
    ( esk5220_2(X1,X2)
    | ~ esk5222_2(X1,X2) )).

cnf(i_0_5394,axiom,
    ( ~ esk571_2(X1,X2)
    | esk572_2(X1,X2)
    | ~ esk568_2(X1,X2) )).

cnf(i_0_5395,axiom,
    ( ~ esk1911_2(X1,X2)
    | ~ esk1908_2(X1,X2) )).

cnf(i_0_5396,axiom,
    ( ~ esk3621_2(X1,X2)
    | ~ esk5221_2(X1,X2)
    | ~ esk5418_2(X1,X2)
    | esk5419_2(X1,X2) )).

cnf(i_0_5397,axiom,
    ( ~ esk1663_2(X1,X2)
    | ~ esk1662_2(X1,X2) )).

cnf(i_0_5398,axiom,
    ( ~ esk290_2(X1,X2)
    | esk289_2(X1,X2) )).

cnf(i_0_5399,axiom,
    ( esk3034_2(X1,X2)
    | ~ esk3040_2(X1,X2) )).

cnf(i_0_5400,axiom,
    ( ~ esk3152_2(X1,X2)
    | ~ esk3151_2(X1,X2) )).

cnf(i_0_5401,axiom,
    ( esk2217_2(X1,X2)
    | esk2218_2(X1,X2) )).

cnf(i_0_5402,axiom,
    ( ~ esk2603_2(X1,X2)
    | ~ esk2602_2(X1,X2) )).

cnf(i_0_5403,axiom,
    ( esk760_2(X1,X2)
    | esk759_2(X1,X2) )).

cnf(i_0_5404,axiom,
    ( esk491_2(X1,X2)
    | esk1371_2(X1,X2) )).

cnf(i_0_5405,axiom,
    ( ~ esk4118_2(X1,X2)
    | esk4117_2(X1,X2) )).

cnf(i_0_5406,axiom,
    ( esk1207_2(X1,X2)
    | esk1208_2(X1,X2) )).

cnf(i_0_5407,axiom,
    ( ~ esk532_2(X1,X2)
    | esk531_2(X1,X2) )).

cnf(i_0_5408,axiom,
    ( ~ esk2700_2(X1,X2)
    | esk2699_2(X1,X2) )).

cnf(i_0_5409,axiom,
    ( esk151_2(X1,X2)
    | ~ esk723_2(X1,X2) )).

cnf(i_0_5410,axiom,
    ( esk4352_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk72_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_5411,axiom,
    ( ~ esk2938_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_5412,axiom,
    ( ~ esk4229_2(X1,X2)
    | ~ esk4228_2(X1,X2) )).

cnf(i_0_5413,axiom,
    ( ~ esk515_2(X1,X2)
    | ~ esk748_2(X1,X2)
    | esk749_2(X1,X2) )).

cnf(i_0_5414,axiom,
    ( ~ esk625_2(X1,X2)
    | ~ esk147_2(X1,X2) )).

cnf(i_0_5415,axiom,
    ( esk3165_2(X1,X2)
    | esk3169_2(X1,X2) )).

cnf(i_0_5416,axiom,
    ( ~ esk5384_2(X1,X2)
    | esk5385_2(X1,X2)
    | ~ esk5381_2(X1,X2) )).

cnf(i_0_5417,axiom,
    ( esk693_2(X1,X2)
    | esk692_2(X1,X2) )).

cnf(i_0_5418,axiom,
    ( esk2238_2(X1,X2)
    | ~ esk708_2(X1,X2)
    | ~ esk2237_2(X1,X2) )).

cnf(i_0_5419,axiom,
    ( ~ esk3708_2(X1,X2)
    | ~ esk3844_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | esk3846_2(X1,X2) )).

cnf(i_0_5420,axiom,
    ( ~ esk1182_2(X1,X2)
    | ~ esk1183_2(X1,X2) )).

cnf(i_0_5421,axiom,
    ( esk803_2(X1,X2)
    | ~ esk802_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_5422,axiom,
    ( ~ esk2262_2(X1,X2)
    | ~ esk2261_2(X1,X2) )).

cnf(i_0_5423,axiom,
    ( ~ esk14_2(X1,X2)
    | ~ esk13_2(X1,X2)
    | esk2868_2(X1,X2) )).

cnf(i_0_5424,axiom,
    ( ~ esk2129_2(X1,X2)
    | ~ esk2130_2(X1,X2) )).

cnf(i_0_5425,axiom,
    ( ~ esk3735_2(X1,X2)
    | ~ esk3732_2(X1,X2)
    | esk3736_2(X1,X2) )).

cnf(i_0_5426,axiom,
    ( esk1402_2(X1,X2)
    | ~ esk1403_2(X1,X2) )).

cnf(i_0_5427,axiom,
    ( ~ esk603_2(X1,X2)
    | ~ esk601_2(X1,X2) )).

cnf(i_0_5428,axiom,
    ( esk698_2(X1,X2)
    | ~ esk709_2(X1,X2) )).

cnf(i_0_5429,axiom,
    ( esk2259_2(X1,X2)
    | esk2275_2(X1,X2) )).

cnf(i_0_5430,axiom,
    ( ~ esk147_2(X1,X2)
    | esk1016_2(X1,X2)
    | ~ esk621_2(X1,X2) )).

cnf(i_0_5431,axiom,
    ( ~ esk4153_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_5432,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4268_2(X1,X2) )).

cnf(i_0_5433,axiom,
    ( ~ esk4104_2(X1,X2)
    | ~ esk4103_2(X1,X2) )).

cnf(i_0_5434,axiom,
    ( esk1796_2(X1,X2)
    | ~ esk1823_2(X1,X2) )).

cnf(i_0_5435,axiom,
    ( ~ esk3615_2(X1,X2)
    | esk3259_2(X1,X2) )).

cnf(i_0_5436,axiom,
    ( ~ esk1358_2(X1,X2)
    | ~ esk565_2(X1,X2) )).

cnf(i_0_5437,axiom,
    ( esk145_2(X1,X2)
    | ~ esk3182_2(X1,X2) )).

cnf(i_0_5438,axiom,
    ( ~ esk1360_2(X1,X2)
    | ~ esk1357_2(X1,X2)
    | esk1361_2(X1,X2) )).

cnf(i_0_5439,axiom,
    ( esk4106_2(X1,X2)
    | esk4107_2(X1,X2)
    | esk4095_2(X1,X2) )).

cnf(i_0_5440,axiom,
    ( esk5354_2(X1,X2)
    | esk5353_2(X1,X2) )).

cnf(i_0_5441,axiom,
    ( ~ esk820_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_5442,axiom,
    ( esk4948_2(X1,X2)
    | esk4947_2(X1,X2) )).

cnf(i_0_5443,axiom,
    ( esk935_2(X1,X2)
    | ~ esk936_2(X1,X2) )).

cnf(i_0_5444,axiom,
    ( esk933_2(X1,X2)
    | esk931_2(X1,X2)
    | esk934_2(X1,X2) )).

cnf(i_0_5445,axiom,
    ( ~ esk364_2(X1,X2)
    | ~ esk363_2(X1,X2) )).

cnf(i_0_5446,axiom,
    ( esk1934_2(X1,X2)
    | ~ esk1938_2(X1,X2) )).

cnf(i_0_5447,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk1696_2(X1,X2) )).

cnf(i_0_5448,axiom,
    ( esk1806_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk1624_2(X1,X2)
    | ~ esk44_2(X1,X2) )).

cnf(i_0_5449,axiom,
    ( esk4462_2(X1,X2)
    | ~ esk5584_2(X1,X2)
    | esk1809_2(X1,X2) )).

cnf(i_0_5450,axiom,
    ( esk3795_2(X1,X2)
    | esk3796_2(X1,X2) )).

cnf(i_0_5451,axiom,
    ( esk4763_2(X1,X2)
    | ~ esk4758_2(X1,X2)
    | ~ esk4762_2(X1,X2) )).

cnf(i_0_5452,axiom,
    ( esk288_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_5453,axiom,
    ( ~ esk1207_2(X1,X2)
    | ~ esk1206_2(X1,X2) )).

cnf(i_0_5454,axiom,
    ( ~ esk5011_2(X1,X2)
    | ~ esk5012_2(X1,X2) )).

cnf(i_0_5455,axiom,
    ( esk2384_2(X1,X2)
    | esk2383_2(X1,X2) )).

cnf(i_0_5456,axiom,
    ( esk2058_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_5457,axiom,
    ( ~ esk1031_2(X1,X2)
    | ~ esk2311_2(X1,X2)
    | esk2312_2(X1,X2)
    | ~ esk2123_2(X1,X2) )).

cnf(i_0_5458,axiom,
    ( ~ esk866_2(X1,X2)
    | ~ esk865_2(X1,X2) )).

cnf(i_0_5459,axiom,
    ( esk230_2(X1,X2)
    | esk231_2(X1,X2) )).

cnf(i_0_5460,axiom,
    ( esk342_2(X1,X2)
    | esk341_2(X1,X2) )).

cnf(i_0_5461,axiom,
    ( ~ esk3332_2(X1,X2)
    | esk3331_2(X1,X2) )).

cnf(i_0_5462,axiom,
    ( esk238_2(X1,X2)
    | ~ esk241_2(X1,X2) )).

cnf(i_0_5463,axiom,
    ( ~ esk1844_2(X1,X2)
    | ~ esk1840_2(X1,X2) )).

cnf(i_0_5464,axiom,
    ( ~ esk4871_2(X1,X2)
    | esk4872_2(X1,X2)
    | ~ esk4868_2(X1,X2) )).

cnf(i_0_5465,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4336_2(X1,X2) )).

cnf(i_0_5466,axiom,
    ( ~ esk2651_2(X1,X2)
    | esk2775_2(X1,X2)
    | ~ esk2774_2(X1,X2) )).

cnf(i_0_5467,axiom,
    ( ~ esk338_2(X1,X2)
    | ~ esk357_2(X1,X2)
    | esk358_2(X1,X2)
    | ~ esk344_2(X1,X2)
    | ~ esk325_2(X1,X2) )).

cnf(i_0_5468,axiom,
    ( ~ esk869_2(X1,X2)
    | esk851_2(X1,X2) )).

cnf(i_0_5469,axiom,
    ( ~ esk1010_2(X1,X2)
    | ~ esk1001_2(X1,X2) )).

cnf(i_0_5470,axiom,
    ( ~ esk3675_2(X1,X2)
    | esk3330_2(X1,X2) )).

cnf(i_0_5471,axiom,
    ( esk954_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk491_2(X1,X2) )).

cnf(i_0_5472,axiom,
    ( ~ esk1790_2(X1,X2)
    | ~ esk1791_2(X1,X2) )).

cnf(i_0_5473,axiom,
    ( ~ esk2837_2(X1,X2)
    | esk1589_2(X1,X2) )).

cnf(i_0_5474,axiom,
    ( esk3753_2(X1,X2)
    | esk3752_2(X1,X2) )).

cnf(i_0_5475,axiom,
    ( ~ esk2840_2(X1,X2)
    | esk2841_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_5476,axiom,
    ( ~ esk4545_2(X1,X2)
    | ~ esk4544_2(X1,X2) )).

cnf(i_0_5477,axiom,
    ( esk1599_2(X1,X2)
    | ~ esk1828_2(X1,X2) )).

cnf(i_0_5478,axiom,
    ( esk2078_2(X1,X2)
    | ~ esk2077_2(X1,X2)
    | ~ esk2073_2(X1,X2) )).

cnf(i_0_5479,axiom,
    ( esk5480_2(X1,X2)
    | ~ esk5481_2(X1,X2) )).

cnf(i_0_5480,axiom,
    ( ~ esk3507_2(X1,X2)
    | esk134_2(X1,X2) )).

cnf(i_0_5481,axiom,
    ( esk2163_2(X1,X2)
    | esk2162_2(X1,X2) )).

cnf(i_0_5482,axiom,
    ( ~ esk5261_2(X1,X2)
    | ~ esk5262_2(X1,X2) )).

cnf(i_0_5483,axiom,
    ( ~ esk4233_2(X1,X2)
    | esk5482_2(X1,X2)
    | ~ esk80_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_5484,axiom,
    ( ~ esk2872_2(X1,X2)
    | ~ esk116_2(X1,X2) )).

cnf(i_0_5485,axiom,
    ( ~ esk2499_2(X1,X2)
    | ~ esk2511_2(X1,X2)
    | esk2512_2(X1,X2) )).

cnf(i_0_5486,axiom,
    ( esk656_2(X1,X2)
    | ~ esk1025_2(X1,X2) )).

cnf(i_0_5487,axiom,
    ( esk2781_2(X1,X2)
    | ~ esk2782_2(X1,X2) )).

cnf(i_0_5488,axiom,
    ( esk1125_2(X1,X2)
    | ~ esk1618_2(X1,X2) )).

cnf(i_0_5489,axiom,
    ( ~ esk4673_2(X1,X2)
    | ~ esk4672_2(X1,X2) )).

cnf(i_0_5490,axiom,
    ( esk4858_2(X1,X2)
    | esk3671_2(X1,X2) )).

cnf(i_0_5491,axiom,
    ( ~ esk2607_2(X1,X2)
    | esk2606_2(X1,X2) )).

cnf(i_0_5492,axiom,
    ( ~ esk2914_2(X1,X2)
    | ~ esk2912_2(X1,X2) )).

cnf(i_0_5493,axiom,
    ( esk251_2(X1,X2)
    | esk248_2(X1,X2)
    | esk250_2(X1,X2)
    | esk252_2(X1,X2)
    | esk249_2(X1,X2) )).

cnf(i_0_5494,axiom,
    ( ~ esk4208_2(X1,X2)
    | ~ esk3267_2(X1,X2) )).

cnf(i_0_5495,axiom,
    ( esk3674_2(X1,X2)
    | esk3673_2(X1,X2) )).

cnf(i_0_5496,axiom,
    ( ~ esk1725_2(X1,X2)
    | esk173_2(X1,X2) )).

cnf(i_0_5497,axiom,
    ( ~ esk1329_2(X1,X2)
    | esk1328_2(X1,X2) )).

cnf(i_0_5498,axiom,
    ( ~ esk3388_2(X1,X2)
    | esk3681_2(X1,X2)
    | ~ esk3404_2(X1,X2)
    | ~ esk3680_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_5499,axiom,
    ( esk1140_2(X1,X2)
    | ~ esk1145_2(X1,X2) )).

cnf(i_0_5500,axiom,
    ( esk2370_2(X1,X2)
    | ~ esk2376_2(X1,X2) )).

cnf(i_0_5501,axiom,
    ( esk109_2(X1,X2)
    | esk5066_2(X1,X2) )).

cnf(i_0_5502,axiom,
    ( esk179_2(X1,X2)
    | ~ esk5473_2(X1,X2) )).

cnf(i_0_5503,axiom,
    ( ~ esk3032_2(X1,X2)
    | ~ esk3033_2(X1,X2) )).

cnf(i_0_5504,axiom,
    ( ~ esk1883_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_5505,axiom,
    ( esk5359_2(X1,X2)
    | ~ esk5422_2(X1,X2) )).

cnf(i_0_5506,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk3820_2(X1,X2)
    | ~ esk3695_2(X1,X2)
    | esk3821_2(X1,X2) )).

cnf(i_0_5507,axiom,
    ( esk2608_2(X1,X2)
    | esk2607_2(X1,X2) )).

cnf(i_0_5508,axiom,
    ( esk3552_2(X1,X2)
    | ~ esk3551_2(X1,X2)
    | ~ p(X2) )).

cnf(i_0_5509,axiom,
    ( esk2868_2(X1,X2)
    | ~ esk2869_2(X1,X2) )).

cnf(i_0_5510,axiom,
    ( ~ esk1855_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_5511,axiom,
    ( esk5025_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_5512,axiom,
    ( ~ esk3525_2(X1,X2)
    | esk3522_2(X1,X2) )).

cnf(i_0_5513,axiom,
    ( esk2481_2(X1,X2)
    | esk2480_2(X1,X2) )).

cnf(i_0_5514,axiom,
    ( ~ esk2341_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5515,axiom,
    ( ~ esk3736_2(X1,X2)
    | esk3732_2(X1,X2) )).

cnf(i_0_5516,axiom,
    ( esk3376_2(X1,X2)
    | ~ esk3377_2(X1,X2) )).

cnf(i_0_5517,axiom,
    ( esk3471_2(X1,X2)
    | ~ esk3656_2(X1,X2) )).

cnf(i_0_5518,axiom,
    ( ~ esk1068_2(X1,X2)
    | ~ esk1067_2(X1,X2) )).

cnf(i_0_5519,axiom,
    ( esk1018_2(X1,X2)
    | esk2205_2(X1,X2) )).

cnf(i_0_5520,axiom,
    ( ~ esk221_2(X1,X2)
    | ~ esk222_2(X1,X2) )).

cnf(i_0_5521,axiom,
    ( esk652_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_5522,axiom,
    ( esk505_2(X1,X2)
    | esk506_2(X1,X2) )).

cnf(i_0_5523,axiom,
    ( esk5168_2(X1,X2)
    | esk5169_2(X1,X2) )).

cnf(i_0_5524,axiom,
    ( esk4116_2(X1,X2)
    | esk4117_2(X1,X2) )).

cnf(i_0_5525,axiom,
    ( esk1947_2(X1,X2)
    | esk115_2(X1,X2) )).

cnf(i_0_5526,axiom,
    ( esk3483_2(X1,X2)
    | esk3484_2(X1,X2) )).

cnf(i_0_5527,axiom,
    ( ~ esk778_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_5528,axiom,
    ( esk1298_2(X1,X2)
    | esk1342_2(X1,X2) )).

cnf(i_0_5529,axiom,
    ( esk3245_2(X1,X2)
    | esk3244_2(X1,X2) )).

cnf(i_0_5530,axiom,
    ( ~ esk3385_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_5531,axiom,
    ( ~ esk1715_2(X1,X2)
    | ~ esk633_2(X1,X2) )).

cnf(i_0_5532,axiom,
    ( ~ esk2979_2(X1,X2)
    | ~ esk168_2(X1,X2) )).

cnf(i_0_5533,axiom,
    ( esk2550_2(X1,X2)
    | ~ esk2555_2(X1,X2) )).

cnf(i_0_5534,axiom,
    ( ~ esk2381_2(X1,X2)
    | esk484_2(X1,X2) )).

cnf(i_0_5535,axiom,
    ( esk2832_2(X1,X2)
    | esk2831_2(X1,X2) )).

cnf(i_0_5536,axiom,
    ( esk2499_2(X1,X2)
    | esk2514_2(X1,X2) )).

cnf(i_0_5537,axiom,
    ( ~ esk4041_2(X1,X2)
    | ~ esk4043_2(X1,X2) )).

cnf(i_0_5538,axiom,
    ( esk1858_2(X1,X2)
    | esk4511_2(X1,X2)
    | ~ esk5592_2(X1,X2) )).

cnf(i_0_5539,axiom,
    ( ~ esk2766_2(X1,X2)
    | esk2568_2(X1,X2) )).

cnf(i_0_5540,axiom,
    ( esk178_2(X1,X2)
    | ~ esk3906_2(X1,X2) )).

cnf(i_0_5541,axiom,
    ( ~ esk4851_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_5542,axiom,
    ( ~ esk4168_2(X1,X2)
    | esk4109_2(X1,X2) )).

cnf(i_0_5543,axiom,
    ( ~ esk5222_2(X1,X2)
    | ~ esk5303_2(X1,X2) )).

cnf(i_0_5544,axiom,
    ( ~ esk4292_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_5545,axiom,
    ( esk5178_2(X1,X2)
    | esk5179_2(X1,X2) )).

cnf(i_0_5546,axiom,
    ( ~ esk5037_2(X1,X2)
    | ~ esk5036_2(X1,X2) )).

cnf(i_0_5547,axiom,
    ( esk255_2(X1,X2)
    | esk259_2(X1,X2)
    | esk257_2(X1,X2)
    | esk256_2(X1,X2)
    | esk258_2(X1,X2) )).

cnf(i_0_5548,axiom,
    ( ~ esk1182_2(X1,X2)
    | esk1177_2(X1,X2) )).

cnf(i_0_5549,axiom,
    ( esk1598_2(X1,X2)
    | ~ esk1812_2(X1,X2) )).

cnf(i_0_5550,axiom,
    ( ~ esk2616_2(X1,X2)
    | esk2621_2(X1,X2)
    | ~ esk2620_2(X1,X2) )).

cnf(i_0_5551,axiom,
    ( esk1992_2(X1,X2)
    | ~ esk1993_2(X1,X2) )).

cnf(i_0_5552,axiom,
    ( esk1753_2(X1,X2)
    | ~ esk1859_2(X1,X2) )).

cnf(i_0_5553,axiom,
    ( esk3690_2(X1,X2)
    | ~ esk3689_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_5554,axiom,
    ( esk4565_2(X1,X2)
    | esk4566_2(X1,X2) )).

cnf(i_0_5555,axiom,
    ( esk1493_2(X1,X2)
    | ~ esk1494_2(X1,X2) )).

cnf(i_0_5556,axiom,
    ( ~ esk1916_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5557,axiom,
    ( esk3785_2(X1,X2)
    | ~ esk4398_2(X1,X2) )).

cnf(i_0_5558,axiom,
    ( esk165_2(X1,X2)
    | ~ esk2913_2(X1,X2) )).

cnf(i_0_5559,axiom,
    ( esk942_2(X1,X2)
    | esk943_2(X1,X2) )).

cnf(i_0_5560,axiom,
    ( ~ esk4212_2(X1,X2)
    | ~ esk4213_2(X1,X2) )).

cnf(i_0_5561,axiom,
    ( ~ esk4199_2(X1,X2)
    | esk4198_2(X1,X2) )).

cnf(i_0_5562,axiom,
    ( esk5159_2(X1,X2)
    | esk5155_2(X1,X2) )).

cnf(i_0_5563,axiom,
    ( ~ esk3013_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_5564,axiom,
    ( esk174_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_5565,axiom,
    ( ~ esk5155_2(X1,X2)
    | ~ esk5153_2(X1,X2) )).

cnf(i_0_5566,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1169_2(X1,X2) )).

cnf(i_0_5567,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk4096_2(X1,X2) )).

cnf(i_0_5568,axiom,
    ( ~ esk585_2(X1,X2)
    | ~ esk2562_2(X1,X2) )).

cnf(i_0_5569,axiom,
    ( ~ esk4393_2(X1,X2)
    | ~ esk4392_2(X1,X2) )).

cnf(i_0_5570,axiom,
    ( ~ esk3488_2(X1,X2)
    | esk3484_2(X1,X2) )).

cnf(i_0_5571,axiom,
    ( ~ esk212_2(X1,X2)
    | esk213_2(X1,X2)
    | ~ esk36_2(X1,X2) )).

cnf(i_0_5572,axiom,
    ( esk3654_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_5573,axiom,
    ( ~ esk104_2(X1,X2)
    | esk2373_2(X1,X2)
    | ~ esk2372_2(X1,X2) )).

cnf(i_0_5574,axiom,
    ( esk3375_2(X1,X2)
    | ~ esk3379_2(X1,X2) )).

cnf(i_0_5575,axiom,
    ( esk3914_2(X1,X2)
    | esk3915_2(X1,X2) )).

cnf(i_0_5576,axiom,
    ( ~ esk3335_2(X1,X2)
    | esk3334_2(X1,X2) )).

cnf(i_0_5577,axiom,
    ( esk2343_2(X1,X2)
    | esk2342_2(X1,X2) )).

cnf(i_0_5578,axiom,
    ( ~ esk1036_2(X1,X2)
    | esk1037_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_5579,axiom,
    ( ~ esk3771_2(X1,X2)
    | esk3770_2(X1,X2) )).

cnf(i_0_5580,axiom,
    ( ~ esk3188_2(X1,X2)
    | ~ esk3187_2(X1,X2) )).

cnf(i_0_5581,axiom,
    ( esk3831_2(X1,X2)
    | esk3830_2(X1,X2) )).

cnf(i_0_5582,axiom,
    ( esk2203_2(X1,X2)
    | esk2204_2(X1,X2) )).

cnf(i_0_5583,axiom,
    ( esk130_2(X1,X2)
    | ~ esk3339_2(X1,X2) )).

cnf(i_0_5584,axiom,
    ( esk585_2(X1,X2)
    | ~ esk2572_2(X1,X2) )).

cnf(i_0_5585,axiom,
    ( ~ esk3534_2(X1,X2)
    | ~ esk3533_2(X1,X2) )).

cnf(i_0_5586,axiom,
    ( ~ esk2576_2(X1,X2)
    | esk549_2(X1,X2) )).

cnf(i_0_5587,axiom,
    ( ~ esk671_2(X1,X2)
    | ~ esk670_2(X1,X2) )).

cnf(i_0_5588,axiom,
    ( ~ esk4298_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_5589,axiom,
    ( esk3959_2(X1,X2)
    | esk3958_2(X1,X2) )).

cnf(i_0_5590,axiom,
    ( ~ esk3544_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_5591,axiom,
    ( ~ esk5320_2(X1,X2)
    | ~ esk5319_2(X1,X2) )).

cnf(i_0_5592,axiom,
    ( esk3164_2(X1,X2)
    | esk3162_2(X1,X2)
    | esk3163_2(X1,X2) )).

cnf(i_0_5593,axiom,
    ( ~ esk591_2(X1,X2)
    | ~ esk592_2(X1,X2) )).

cnf(i_0_5594,axiom,
    ( esk174_2(X1,X2)
    | ~ esk5463_2(X1,X2) )).

cnf(i_0_5595,axiom,
    ( esk4984_2(X1,X2)
    | esk4985_2(X1,X2) )).

cnf(i_0_5596,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk2945_2(X1,X2) )).

cnf(i_0_5597,axiom,
    ( esk2691_2(X1,X2)
    | ~ esk2692_2(X1,X2) )).

cnf(i_0_5598,axiom,
    ( ~ esk4095_2(X1,X2)
    | esk4094_2(X1,X2) )).

cnf(i_0_5599,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4359_2(X1,X2) )).

cnf(i_0_5600,axiom,
    ( esk5393_2(X1,X2)
    | ~ esk5389_2(X1,X2)
    | ~ esk5392_2(X1,X2) )).

cnf(i_0_5601,axiom,
    ( ~ esk4958_2(X1,X2)
    | ~ esk4959_2(X1,X2) )).

cnf(i_0_5602,axiom,
    ( esk3438_2(X1,X2)
    | esk3437_2(X1,X2) )).

cnf(i_0_5603,axiom,
    ( ~ esk1282_2(X1,X2)
    | esk1292_2(X1,X2)
    | ~ esk1291_2(X1,X2) )).

cnf(i_0_5604,axiom,
    ( esk98_2(X1,X2)
    | esk5105_2(X1,X2) )).

cnf(i_0_5605,axiom,
    ( esk2141_2(X1,X2)
    | ~ esk2145_2(X1,X2) )).

cnf(i_0_5606,axiom,
    ( esk4898_2(X1,X2)
    | esk4897_2(X1,X2) )).

cnf(i_0_5607,axiom,
    ( esk4632_2(X1,X2)
    | ~ esk4646_2(X1,X2) )).

cnf(i_0_5608,axiom,
    ( esk3785_2(X1,X2)
    | ~ esk4408_2(X1,X2) )).

cnf(i_0_5609,axiom,
    ( ~ esk1977_2(X1,X2)
    | ~ esk1976_2(X1,X2) )).

cnf(i_0_5610,axiom,
    ( ~ esk5100_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5611,axiom,
    ( ~ esk740_2(X1,X2)
    | ~ esk739_2(X1,X2) )).

cnf(i_0_5612,axiom,
    ( ~ esk1795_2(X1,X2)
    | ~ esk1796_2(X1,X2) )).

cnf(i_0_5613,axiom,
    ( esk3181_2(X1,X2)
    | ~ esk3182_2(X1,X2) )).

cnf(i_0_5614,axiom,
    ( esk713_2(X1,X2)
    | esk712_2(X1,X2) )).

cnf(i_0_5615,axiom,
    ( esk4160_2(X1,X2)
    | esk4161_2(X1,X2) )).

cnf(i_0_5616,axiom,
    ( ~ esk633_2(X1,X2)
    | ~ esk708_2(X1,X2) )).

cnf(i_0_5617,axiom,
    ( ~ esk5054_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5618,axiom,
    ( ~ esk840_2(X1,X2)
    | ~ esk841_2(X1,X2) )).

cnf(i_0_5619,axiom,
    ( esk612_2(X1,X2)
    | ~ esk616_2(X1,X2) )).

cnf(i_0_5620,axiom,
    ( esk3467_2(X1,X2)
    | ~ esk3468_2(X1,X2) )).

cnf(i_0_5621,axiom,
    ( esk4111_2(X1,X2)
    | esk3648_2(X1,X2)
    | esk4110_2(X1,X2) )).

cnf(i_0_5622,axiom,
    ( ~ esk3647_2(X1,X2)
    | esk3646_2(X1,X2) )).

cnf(i_0_5623,axiom,
    ( esk2865_2(X1,X2)
    | esk2866_2(X1,X2) )).

cnf(i_0_5624,axiom,
    ( esk1642_2(X1,X2)
    | esk1638_2(X1,X2)
    | esk1641_2(X1,X2)
    | esk1640_2(X1,X2)
    | esk1639_2(X1,X2) )).

cnf(i_0_5625,axiom,
    ( esk5477_2(X1,X2)
    | ~ esk5446_2(X1,X2)
    | ~ esk5456_2(X1,X2) )).

cnf(i_0_5626,axiom,
    ( ~ esk502_2(X1,X2)
    | ~ esk500_2(X1,X2) )).

cnf(i_0_5627,axiom,
    ( esk3490_2(X1,X2)
    | ~ esk3491_2(X1,X2) )).

cnf(i_0_5628,axiom,
    ( ~ esk1867_2(X1,X2)
    | ~ esk1870_2(X1,X2) )).

cnf(i_0_5629,axiom,
    ( ~ esk3388_2(X1,X2)
    | ~ esk3380_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | esk4780_2(X1,X2) )).

cnf(i_0_5630,axiom,
    ( ~ esk2080_2(X1,X2)
    | ~ esk2081_2(X1,X2) )).

cnf(i_0_5631,axiom,
    ( esk1885_2(X1,X2)
    | esk1884_2(X1,X2) )).

cnf(i_0_5632,axiom,
    ( esk1380_2(X1,X2)
    | ~ esk1379_2(X1,X2)
    | ~ esk503_2(X1,X2) )).

cnf(i_0_5633,axiom,
    ( ~ esk3442_2(X1,X2)
    | ~ esk3445_2(X1,X2)
    | esk3446_2(X1,X2) )).

cnf(i_0_5634,axiom,
    ( ~ esk5238_2(X1,X2)
    | ~ esk5236_2(X1,X2)
    | esk5239_2(X1,X2) )).

cnf(i_0_5635,axiom,
    ( ~ esk5236_2(X1,X2)
    | ~ esk5241_2(X1,X2) )).

cnf(i_0_5636,axiom,
    ( ~ esk3247_2(X1,X2)
    | esk3617_2(X1,X2)
    | ~ esk3259_2(X1,X2)
    | ~ esk3616_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_5637,axiom,
    ( ~ esk4827_2(X1,X2)
    | ~ esk3404_2(X1,X2) )).

cnf(i_0_5638,axiom,
    ( ~ esk2515_2(X1,X2)
    | esk2514_2(X1,X2) )).

cnf(i_0_5639,axiom,
    ( esk5034_2(X1,X2)
    | esk5035_2(X1,X2) )).

cnf(i_0_5640,axiom,
    ( ~ esk1863_2(X1,X2)
    | ~ esk1864_2(X1,X2) )).

cnf(i_0_5641,axiom,
    ( esk578_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_5642,axiom,
    ( esk2657_2(X1,X2)
    | esk2714_2(X1,X2)
    | esk2715_2(X1,X2) )).

cnf(i_0_5643,axiom,
    ( esk3370_2(X1,X2)
    | esk3295_2(X1,X2) )).

cnf(i_0_5644,axiom,
    ( esk2003_2(X1,X2)
    | esk150_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_5645,axiom,
    ( esk3692_2(X1,X2)
    | esk3693_2(X1,X2) )).

cnf(i_0_5646,axiom,
    ( ~ esk2640_2(X1,X2)
    | ~ esk2641_2(X1,X2) )).

cnf(i_0_5647,axiom,
    ( esk176_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_5648,axiom,
    ( ~ esk442_2(X1,X2)
    | ~ esk441_2(X1,X2) )).

cnf(i_0_5649,axiom,
    ( esk3266_2(X1,X2)
    | esk3939_2(X1,X2) )).

cnf(i_0_5650,axiom,
    ( ~ esk1805_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_5651,axiom,
    ( esk4971_2(X1,X2)
    | esk4972_2(X1,X2) )).

cnf(i_0_5652,axiom,
    ( ~ esk1931_2(X1,X2)
    | esk1925_2(X1,X2) )).

cnf(i_0_5653,axiom,
    ( esk4431_2(X1,X2)
    | ~ esk4432_2(X1,X2) )).

cnf(i_0_5654,axiom,
    ( esk1125_2(X1,X2)
    | ~ esk1127_2(X1,X2) )).

cnf(i_0_5655,axiom,
    ( ~ esk3174_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_5656,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5226_2(X1,X2) )).

cnf(i_0_5657,axiom,
    ( esk5441_2(X1,X2)
    | ~ esk5440_2(X1,X2)
    | ~ esk4697_2(X1,X2) )).

cnf(i_0_5658,axiom,
    ( ~ esk5383_2(X1,X2)
    | esk5382_2(X1,X2) )).

cnf(i_0_5659,axiom,
    ( esk2244_2(X1,X2)
    | esk2243_2(X1,X2) )).

cnf(i_0_5660,axiom,
    ( esk3505_2(X1,X2)
    | esk3504_2(X1,X2) )).

cnf(i_0_5661,axiom,
    ( esk2273_2(X1,X2)
    | ~ esk2259_2(X1,X2)
    | ~ esk2272_2(X1,X2) )).

cnf(i_0_5662,axiom,
    ( ~ esk1026_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_5663,axiom,
    ( esk577_2(X1,X2)
    | esk778_2(X1,X2) )).

cnf(i_0_5664,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk121_2(X1,X2)
    | esk1914_2(X1,X2) )).

cnf(i_0_5665,axiom,
    ( esk5503_2(X1,X2)
    | esk188_2(X1,X2)
    | ~ esk2850_2(X1,X2) )).

cnf(i_0_5666,axiom,
    ( esk5117_2(X1,X2)
    | ~ esk5103_2(X1,X2)
    | ~ esk5116_2(X1,X2) )).

cnf(i_0_5667,axiom,
    ( ~ esk5202_2(X1,X2)
    | esk5201_2(X1,X2) )).

cnf(i_0_5668,axiom,
    ( esk43_2(X1,X2)
    | ~ esk4460_2(X1,X2) )).

cnf(i_0_5669,axiom,
    ( esk4625_2(X1,X2)
    | esk4624_2(X1,X2) )).

cnf(i_0_5670,axiom,
    ( esk5196_2(X1,X2)
    | esk5195_2(X1,X2) )).

cnf(i_0_5671,axiom,
    ( ~ esk2736_2(X1,X2)
    | ~ esk2735_2(X1,X2) )).

cnf(i_0_5672,axiom,
    ( ~ esk3663_2(X1,X2)
    | ~ esk3662_2(X1,X2) )).

cnf(i_0_5673,axiom,
    ( ~ esk3590_2(X1,X2)
    | esk3573_2(X1,X2) )).

cnf(i_0_5674,axiom,
    ( ~ esk3751_2(X1,X2)
    | ~ esk3750_2(X1,X2) )).

cnf(i_0_5675,axiom,
    ( esk4065_2(X1,X2)
    | esk4066_2(X1,X2) )).

cnf(i_0_5676,axiom,
    ( esk4692_2(X1,X2)
    | esk4691_2(X1,X2) )).

cnf(i_0_5677,axiom,
    ( esk712_2(X1,X2)
    | ~ esk680_2(X1,X2)
    | ~ esk711_2(X1,X2) )).

cnf(i_0_5678,axiom,
    ( esk3020_2(X1,X2)
    | ~ esk3028_2(X1,X2) )).

cnf(i_0_5679,axiom,
    ( ~ esk3988_2(X1,X2)
    | esk3980_2(X1,X2) )).

cnf(i_0_5680,axiom,
    ( esk4754_2(X1,X2)
    | ~ esk4755_2(X1,X2) )).

cnf(i_0_5681,axiom,
    ( ~ esk596_2(X1,X2)
    | ~ esk597_2(X1,X2) )).

cnf(i_0_5682,axiom,
    ( esk4007_2(X1,X2)
    | esk4006_2(X1,X2) )).

cnf(i_0_5683,axiom,
    ( ~ esk115_2(X1,X2)
    | esk1946_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_5684,axiom,
    ( ~ esk4750_2(X1,X2)
    | ~ esk4754_2(X1,X2)
    | esk4755_2(X1,X2) )).

cnf(i_0_5685,axiom,
    ( ~ esk3998_2(X1,X2)
    | esk3997_2(X1,X2) )).

cnf(i_0_5686,axiom,
    ( ~ esk3232_2(X1,X2)
    | esk3231_2(X1,X2) )).

cnf(i_0_5687,axiom,
    ( esk3563_2(X1,X2)
    | esk3562_2(X1,X2) )).

cnf(i_0_5688,axiom,
    ( esk2648_2(X1,X2)
    | ~ esk2649_2(X1,X2) )).

cnf(i_0_5689,axiom,
    ( ~ esk4573_2(X1,X2)
    | ~ esk4576_2(X1,X2) )).

cnf(i_0_5690,axiom,
    ( esk2746_2(X1,X2)
    | esk2747_2(X1,X2) )).

cnf(i_0_5691,axiom,
    ( esk2310_2(X1,X2)
    | ~ esk2309_2(X1,X2)
    | ~ esk2306_2(X1,X2) )).

cnf(i_0_5692,axiom,
    ( ~ esk3646_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_5693,axiom,
    ( esk3086_2(X1,X2)
    | esk3087_2(X1,X2) )).

cnf(i_0_5694,axiom,
    ( ~ esk3652_2(X1,X2)
    | ~ esk3653_2(X1,X2) )).

cnf(i_0_5695,axiom,
    ( ~ esk4780_2(X1,X2)
    | ~ esk4782_2(X1,X2) )).

cnf(i_0_5696,axiom,
    ( esk3695_2(X1,X2)
    | ~ esk4699_2(X1,X2) )).

cnf(i_0_5697,axiom,
    ( esk3684_2(X1,X2)
    | ~ esk3685_2(X1,X2) )).

cnf(i_0_5698,axiom,
    ( ~ esk1329_2(X1,X2)
    | ~ esk1332_2(X1,X2) )).

cnf(i_0_5699,axiom,
    ( esk3725_2(X1,X2)
    | esk3726_2(X1,X2) )).

cnf(i_0_5700,axiom,
    ( ~ esk3215_2(X1,X2)
    | ~ esk3472_2(X1,X2) )).

cnf(i_0_5701,axiom,
    ( ~ esk3218_2(X1,X2)
    | ~ esk3221_2(X1,X2)
    | esk3222_2(X1,X2) )).

cnf(i_0_5702,axiom,
    ( ~ esk1354_2(X1,X2)
    | ~ esk1366_2(X1,X2) )).

cnf(i_0_5703,axiom,
    ( esk535_2(X1,X2)
    | ~ esk955_2(X1,X2) )).

cnf(i_0_5704,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk1443_2(X1,X2) )).

cnf(i_0_5705,axiom,
    ( ~ esk1872_2(X1,X2)
    | ~ esk5594_2(X1,X2)
    | ~ esk4525_2(X1,X2) )).

cnf(i_0_5706,axiom,
    ( ~ esk3810_2(X1,X2)
    | ~ esk3811_2(X1,X2) )).

cnf(i_0_5707,axiom,
    ( ~ esk2711_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_5708,axiom,
    ( ~ esk835_2(X1,X2)
    | ~ esk834_2(X1,X2) )).

cnf(i_0_5709,axiom,
    ( esk3871_2(X1,X2)
    | esk3872_2(X1,X2) )).

cnf(i_0_5710,axiom,
    ( esk3504_2(X1,X2)
    | ~ esk3503_2(X1,X2)
    | ~ esk3500_2(X1,X2) )).

cnf(i_0_5711,axiom,
    ( esk317_2(X1,X2)
    | ~ esk332_2(X1,X2) )).

cnf(i_0_5712,axiom,
    ( ~ esk4820_2(X1,X2)
    | esk4815_2(X1,X2) )).

cnf(i_0_5713,axiom,
    ( esk2986_2(X1,X2)
    | ~ esk3710_2(X1,X2) )).

cnf(i_0_5714,axiom,
    ( ~ esk4107_2(X1,X2)
    | ~ esk4106_2(X1,X2) )).

cnf(i_0_5715,axiom,
    ( ~ esk1788_2(X1,X2)
    | ~ esk1789_2(X1,X2) )).

cnf(i_0_5716,axiom,
    ( ~ esk3348_2(X1,X2)
    | ~ esk3347_2(X1,X2) )).

cnf(i_0_5717,axiom,
    ( esk2860_2(X1,X2)
    | ~ esk2861_2(X1,X2) )).

cnf(i_0_5718,axiom,
    ( ~ esk3089_2(X1,X2)
    | ~ esk2981_2(X1,X2)
    | esk3090_2(X1,X2) )).

cnf(i_0_5719,axiom,
    ( ~ esk189_2(X1,X2)
    | esk2851_2(X1,X2)
    | esk5504_2(X1,X2) )).

cnf(i_0_5720,axiom,
    ( ~ esk2654_2(X1,X2)
    | ~ esk2670_2(X1,X2) )).

cnf(i_0_5721,axiom,
    ( esk3711_2(X1,X2)
    | ~ esk23_2(X1,X2)
    | ~ esk3314_2(X1,X2) )).

cnf(i_0_5722,axiom,
    ( esk1624_2(X1,X2)
    | ~ esk1834_2(X1,X2) )).

cnf(i_0_5723,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk82_2(X1,X2)
    | ~ esk1589_2(X1,X2)
    | esk1593_2(X1,X2) )).

cnf(i_0_5724,axiom,
    ( esk115_2(X1,X2)
    | esk303_2(X1,X2) )).

cnf(i_0_5725,axiom,
    ( esk115_2(X1,X2)
    | esk828_2(X1,X2) )).

cnf(i_0_5726,axiom,
    ( esk694_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_5727,axiom,
    ( ~ esk3619_2(X1,X2)
    | esk3618_2(X1,X2) )).

cnf(i_0_5728,axiom,
    ( ~ esk5058_2(X1,X2)
    | ~ esk5126_2(X1,X2) )).

cnf(i_0_5729,axiom,
    ( esk3712_2(X1,X2)
    | esk3713_2(X1,X2) )).

cnf(i_0_5730,axiom,
    ( esk1930_2(X1,X2)
    | esk1929_2(X1,X2) )).

cnf(i_0_5731,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4322_2(X1,X2) )).

cnf(i_0_5732,axiom,
    ( esk579_2(X1,X2)
    | ~ esk578_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_5733,axiom,
    ( ~ esk2915_2(X1,X2)
    | ~ esk2914_2(X1,X2) )).

cnf(i_0_5734,axiom,
    ( esk4612_2(X1,X2)
    | esk4611_2(X1,X2) )).

cnf(i_0_5735,axiom,
    ( esk1752_2(X1,X2)
    | esk1753_2(X1,X2) )).

cnf(i_0_5736,axiom,
    ( ~ esk4246_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_5737,axiom,
    ( esk5423_2(X1,X2)
    | esk5421_2(X1,X2) )).

cnf(i_0_5738,axiom,
    ( ~ esk274_2(X1,X2)
    | ~ esk273_2(X1,X2) )).

cnf(i_0_5739,axiom,
    ( esk5542_2(X1,X2)
    | ~ esk1131_2(X1,X2)
    | esk3784_2(X1,X2) )).

cnf(i_0_5740,axiom,
    ( ~ esk5480_2(X1,X2)
    | ~ esk5479_2(X1,X2) )).

cnf(i_0_5741,axiom,
    ( ~ esk3965_2(X1,X2)
    | ~ esk3966_2(X1,X2) )).

cnf(i_0_5742,axiom,
    ( esk652_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_5743,axiom,
    ( ~ esk4475_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_5744,axiom,
    ( ~ esk948_2(X1,X2)
    | ~ esk1765_2(X1,X2) )).

cnf(i_0_5745,axiom,
    ( ~ esk3408_2(X1,X2)
    | ~ esk3409_2(X1,X2) )).

cnf(i_0_5746,axiom,
    ( ~ esk856_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_5747,axiom,
    ( esk4694_2(X1,X2)
    | ~ esk4693_2(X1,X2)
    | ~ esk4689_2(X1,X2) )).

cnf(i_0_5748,axiom,
    ( esk2680_2(X1,X2)
    | ~ esk2681_2(X1,X2) )).

cnf(i_0_5749,axiom,
    ( esk4163_2(X1,X2)
    | esk4162_2(X1,X2) )).

cnf(i_0_5750,axiom,
    ( esk3369_2(X1,X2)
    | esk4960_2(X1,X2) )).

cnf(i_0_5751,axiom,
    ( esk624_2(X1,X2)
    | ~ esk628_2(X1,X2) )).

cnf(i_0_5752,axiom,
    ( esk457_2(X1,X2)
    | ~ esk451_2(X1,X2)
    | ~ esk456_2(X1,X2) )).

cnf(i_0_5753,axiom,
    ( esk965_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | ~ esk541_2(X1,X2) )).

cnf(i_0_5754,axiom,
    ( ~ esk3859_2(X1,X2)
    | ~ esk3655_2(X1,X2) )).

cnf(i_0_5755,axiom,
    ( ~ esk2193_2(X1,X2)
    | esk2189_2(X1,X2) )).

cnf(i_0_5756,axiom,
    ( ~ esk3590_2(X1,X2)
    | esk3582_2(X1,X2) )).

cnf(i_0_5757,axiom,
    ( esk1031_2(X1,X2)
    | ~ esk2312_2(X1,X2) )).

cnf(i_0_5758,axiom,
    ( ~ esk4449_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | esk4541_2(X1,X2) )).

cnf(i_0_5759,axiom,
    ( ~ esk247_2(X1,X2)
    | esk68_2(X1,X2) )).

cnf(i_0_5760,axiom,
    ( ~ esk5380_2(X1,X2)
    | ~ esk5381_2(X1,X2) )).

cnf(i_0_5761,axiom,
    ( ~ esk4773_2(X1,X2)
    | esk4769_2(X1,X2) )).

cnf(i_0_5762,axiom,
    ( ~ esk1166_2(X1,X2)
    | esk1162_2(X1,X2) )).

cnf(i_0_5763,axiom,
    ( esk1066_2(X1,X2)
    | ~ esk1067_2(X1,X2) )).

cnf(i_0_5764,axiom,
    ( ~ esk5465_2(X1,X2)
    | ~ esk5464_2(X1,X2) )).

cnf(i_0_5765,axiom,
    ( ~ esk844_2(X1,X2)
    | esk845_2(X1,X2)
    | ~ esk134_2(X1,X2) )).

cnf(i_0_5766,axiom,
    ( esk235_2(X1,X2)
    | ~ esk236_2(X1,X2) )).

cnf(i_0_5767,axiom,
    ( esk2799_2(X1,X2)
    | ~ esk2787_2(X1,X2)
    | ~ esk2489_2(X1,X2) )).

cnf(i_0_5768,axiom,
    ( esk3203_2(X1,X2)
    | ~ esk3618_2(X1,X2) )).

cnf(i_0_5769,axiom,
    ( esk2713_2(X1,X2)
    | esk2712_2(X1,X2) )).

cnf(i_0_5770,axiom,
    ( esk669_2(X1,X2)
    | esk668_2(X1,X2) )).

cnf(i_0_5771,axiom,
    ( ~ esk1702_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_5772,axiom,
    ( esk4846_2(X1,X2)
    | ~ esk4845_2(X1,X2)
    | ~ esk4842_2(X1,X2) )).

cnf(i_0_5773,axiom,
    ( ~ esk3148_2(X1,X2)
    | esk3147_2(X1,X2) )).

cnf(i_0_5774,axiom,
    ( ~ esk1972_2(X1,X2)
    | ~ esk1971_2(X1,X2) )).

cnf(i_0_5775,axiom,
    ( ~ esk2317_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_5776,axiom,
    ( esk2220_2(X1,X2)
    | ~ esk2225_2(X1,X2) )).

cnf(i_0_5777,axiom,
    ( esk553_2(X1,X2)
    | ~ esk1006_2(X1,X2) )).

cnf(i_0_5778,axiom,
    ( ~ esk5559_2(X1,X2)
    | ~ esk1617_2(X1,X2)
    | ~ esk4270_2(X1,X2) )).

cnf(i_0_5779,axiom,
    ( ~ esk2172_2(X1,X2)
    | esk2171_2(X1,X2) )).

cnf(i_0_5780,axiom,
    ( ~ esk2194_2(X1,X2)
    | ~ esk2193_2(X1,X2) )).

cnf(i_0_5781,axiom,
    ( ~ esk4178_2(X1,X2)
    | esk4409_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_5782,axiom,
    ( esk3359_2(X1,X2)
    | esk3360_2(X1,X2) )).

cnf(i_0_5783,axiom,
    ( esk3227_2(X1,X2)
    | ~ esk3460_2(X1,X2) )).

cnf(i_0_5784,axiom,
    ( ~ esk134_2(X1,X2)
    | ~ esk3298_2(X1,X2)
    | esk3960_2(X1,X2) )).

cnf(i_0_5785,axiom,
    ( esk573_2(X1,X2)
    | ~ esk598_2(X1,X2) )).

cnf(i_0_5786,axiom,
    ( ~ esk2013_2(X1,X2)
    | esk2014_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_5787,axiom,
    ( esk4844_2(X1,X2)
    | esk4845_2(X1,X2) )).

cnf(i_0_5788,axiom,
    ( ~ esk3338_2(X1,X2)
    | ~ esk3797_2(X1,X2) )).

cnf(i_0_5789,axiom,
    ( ~ esk1755_2(X1,X2)
    | ~ esk1758_2(X1,X2) )).

cnf(i_0_5790,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | esk5110_2(X1,X2) )).

cnf(i_0_5791,axiom,
    ( ~ esk716_2(X1,X2)
    | ~ esk713_2(X1,X2)
    | esk717_2(X1,X2) )).

cnf(i_0_5792,axiom,
    ( esk174_2(X1,X2)
    | ~ esk3781_2(X1,X2) )).

cnf(i_0_5793,axiom,
    ( esk1581_2(X1,X2)
    | ~ esk1667_2(X1,X2) )).

cnf(i_0_5794,axiom,
    ( esk1678_2(X1,X2)
    | esk1677_2(X1,X2) )).

cnf(i_0_5795,axiom,
    ( esk3022_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_5796,axiom,
    ( esk1204_2(X1,X2)
    | esk1205_2(X1,X2)
    | esk1203_2(X1,X2)
    | esk1206_2(X1,X2)
    | esk1002_2(X1,X2)
    | esk1202_2(X1,X2) )).

cnf(i_0_5797,axiom,
    ( ~ esk1288_2(X1,X2)
    | ~ esk1287_2(X1,X2) )).

cnf(i_0_5798,axiom,
    ( esk1975_2(X1,X2)
    | ~ esk1976_2(X1,X2) )).

cnf(i_0_5799,axiom,
    ( esk68_2(X1,X2)
    | ~ esk268_2(X1,X2) )).

cnf(i_0_5800,axiom,
    ( ~ esk331_2(X1,X2)
    | ~ esk330_2(X1,X2) )).

cnf(i_0_5801,axiom,
    ( esk4074_2(X1,X2)
    | ~ esk4168_2(X1,X2) )).

cnf(i_0_5802,axiom,
    ( ~ esk1781_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_5803,axiom,
    ( esk172_2(X1,X2)
    | ~ esk1727_2(X1,X2) )).

cnf(i_0_5804,axiom,
    ( ~ esk609_2(X1,X2)
    | ~ esk1536_2(X1,X2) )).

cnf(i_0_5805,axiom,
    ( ~ esk2891_2(X1,X2)
    | ~ esk2879_2(X1,X2)
    | esk2892_2(X1,X2) )).

cnf(i_0_5806,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4429_2(X1,X2) )).

cnf(i_0_5807,axiom,
    ( esk1200_2(X1,X2)
    | ~ esk1787_2(X1,X2) )).

cnf(i_0_5808,axiom,
    ( ~ esk5173_2(X1,X2)
    | esk5172_2(X1,X2) )).

cnf(i_0_5809,axiom,
    ( ~ esk4240_2(X1,X2)
    | ~ esk4239_2(X1,X2) )).

cnf(i_0_5810,axiom,
    ( ~ esk3676_2(X1,X2)
    | ~ esk4703_2(X1,X2) )).

cnf(i_0_5811,axiom,
    ( esk1851_2(X1,X2)
    | esk1850_2(X1,X2) )).

cnf(i_0_5812,axiom,
    ( ~ esk5483_2(X1,X2)
    | ~ esk5484_2(X1,X2) )).

cnf(i_0_5813,axiom,
    ( esk1427_2(X1,X2)
    | ~ esk1468_2(X1,X2) )).

cnf(i_0_5814,axiom,
    ( esk384_2(X1,X2)
    | esk385_2(X1,X2) )).

cnf(i_0_5815,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4355_2(X1,X2) )).

cnf(i_0_5816,axiom,
    ( ~ esk4364_2(X1,X2)
    | ~ esk4363_2(X1,X2) )).

cnf(i_0_5817,axiom,
    ( ~ esk3396_2(X1,X2)
    | ~ esk4843_2(X1,X2) )).

cnf(i_0_5818,axiom,
    ( esk1634_2(X1,X2)
    | esk1632_2(X1,X2)
    | esk1636_2(X1,X2)
    | esk1635_2(X1,X2)
    | esk1633_2(X1,X2) )).

cnf(i_0_5819,axiom,
    ( ~ esk2056_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_5820,axiom,
    ( esk963_2(X1,X2)
    | ~ esk964_2(X1,X2) )).

cnf(i_0_5821,axiom,
    ( ~ esk4875_2(X1,X2)
    | ~ esk4876_2(X1,X2) )).

cnf(i_0_5822,axiom,
    ( esk109_2(X1,X2)
    | esk2407_2(X1,X2) )).

cnf(i_0_5823,axiom,
    ( esk3389_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_5824,axiom,
    ( esk5152_2(X1,X2)
    | esk5167_2(X1,X2) )).

cnf(i_0_5825,axiom,
    ( ~ esk3998_2(X1,X2)
    | esk3994_2(X1,X2) )).

cnf(i_0_5826,axiom,
    ( esk2125_2(X1,X2)
    | ~ esk1025_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_5827,axiom,
    ( ~ esk2978_2(X1,X2)
    | ~ esk2977_2(X1,X2) )).

cnf(i_0_5828,axiom,
    ( esk5328_2(X1,X2)
    | ~ esk5329_2(X1,X2) )).

cnf(i_0_5829,axiom,
    ( ~ esk1460_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_5830,axiom,
    ( ~ esk4259_2(X1,X2)
    | ~ esk4263_2(X1,X2) )).

cnf(i_0_5831,axiom,
    ( esk4035_2(X1,X2)
    | esk3165_2(X1,X2) )).

cnf(i_0_5832,axiom,
    ( esk1559_2(X1,X2)
    | esk1560_2(X1,X2) )).

cnf(i_0_5833,axiom,
    ( esk177_2(X1,X2)
    | esk1192_2(X1,X2) )).

cnf(i_0_5834,axiom,
    ( ~ esk2526_2(X1,X2)
    | esk2531_2(X1,X2)
    | ~ esk2530_2(X1,X2) )).

cnf(i_0_5835,axiom,
    ( esk2826_2(X1,X2)
    | esk2825_2(X1,X2)
    | esk2824_2(X1,X2) )).

cnf(i_0_5836,axiom,
    ( esk334_2(X1,X2)
    | esk151_2(X1,X2)
    | esk335_2(X1,X2)
    | esk332_2(X1,X2) )).

cnf(i_0_5837,axiom,
    ( esk4758_2(X1,X2)
    | ~ esk4763_2(X1,X2) )).

cnf(i_0_5838,axiom,
    ( esk5380_2(X1,X2)
    | esk5381_2(X1,X2) )).

cnf(i_0_5839,axiom,
    ( ~ esk1268_2(X1,X2)
    | ~ esk1269_2(X1,X2) )).

cnf(i_0_5840,axiom,
    ( ~ esk834_2(X1,X2)
    | esk830_2(X1,X2) )).

cnf(i_0_5841,axiom,
    ( ~ esk537_2(X1,X2)
    | esk562_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_5842,axiom,
    ( ~ esk1388_2(X1,X2)
    | ~ esk1390_2(X1,X2) )).

cnf(i_0_5843,axiom,
    ( ~ esk4588_2(X1,X2)
    | ~ esk4572_2(X1,X2) )).

cnf(i_0_5844,axiom,
    ( esk5295_2(X1,X2)
    | ~ esk5294_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_5845,axiom,
    ( esk239_2(X1,X2)
    | ~ esk250_2(X1,X2) )).

cnf(i_0_5846,axiom,
    ( esk23_2(X1,X2)
    | ~ esk1175_2(X1,X2) )).

cnf(i_0_5847,axiom,
    ( ~ esk3574_2(X1,X2)
    | ~ esk3573_2(X1,X2) )).

cnf(i_0_5848,axiom,
    ( ~ esk849_2(X1,X2)
    | esk850_2(X1,X2)
    | ~ esk846_2(X1,X2) )).

cnf(i_0_5849,axiom,
    ( esk5231_2(X1,X2)
    | ~ esk5247_2(X1,X2) )).

cnf(i_0_5850,axiom,
    ( esk4031_2(X1,X2)
    | esk4055_2(X1,X2) )).

cnf(i_0_5851,axiom,
    ( ~ esk2638_2(X1,X2)
    | ~ esk2635_2(X1,X2)
    | esk2639_2(X1,X2) )).

cnf(i_0_5852,axiom,
    ( esk4175_2(X1,X2)
    | esk3279_2(X1,X2) )).

cnf(i_0_5853,axiom,
    ( esk3493_2(X1,X2)
    | ~ esk3494_2(X1,X2) )).

cnf(i_0_5854,axiom,
    ( ~ esk1677_2(X1,X2)
    | ~ esk1678_2(X1,X2) )).

cnf(i_0_5855,axiom,
    ( ~ esk707_2(X1,X2)
    | ~ esk2307_2(X1,X2) )).

cnf(i_0_5856,axiom,
    ( esk1748_2(X1,X2)
    | esk1747_2(X1,X2) )).

cnf(i_0_5857,axiom,
    ( esk706_2(X1,X2)
    | ~ esk2256_2(X1,X2) )).

cnf(i_0_5858,axiom,
    ( esk2118_2(X1,X2)
    | esk2119_2(X1,X2) )).

cnf(i_0_5859,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2347_2(X1,X2) )).

cnf(i_0_5860,axiom,
    ( esk997_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk491_2(X1,X2) )).

cnf(i_0_5861,axiom,
    ( esk4684_2(X1,X2)
    | ~ esk4685_2(X1,X2) )).

cnf(i_0_5862,axiom,
    ( esk4040_2(X1,X2)
    | ~ esk4054_2(X1,X2) )).

cnf(i_0_5863,axiom,
    ( ~ esk164_2(X1,X2)
    | esk4848_2(X1,X2)
    | ~ esk4847_2(X1,X2) )).

cnf(i_0_5864,axiom,
    ( ~ esk305_2(X1,X2)
    | ~ esk302_2(X1,X2) )).

cnf(i_0_5865,axiom,
    ( ~ esk3347_2(X1,X2)
    | esk3342_2(X1,X2) )).

cnf(i_0_5866,axiom,
    ( ~ esk2563_2(X1,X2)
    | esk2558_2(X1,X2) )).

cnf(i_0_5867,axiom,
    ( esk3143_2(X1,X2)
    | ~ esk3142_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_5868,axiom,
    ( ~ esk3429_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_5869,axiom,
    ( ~ esk3924_2(X1,X2)
    | ~ esk3925_2(X1,X2) )).

cnf(i_0_5870,axiom,
    ( esk3079_2(X1,X2)
    | esk3080_2(X1,X2) )).

cnf(i_0_5871,axiom,
    ( esk2210_2(X1,X2)
    | esk2209_2(X1,X2) )).

cnf(i_0_5872,axiom,
    ( ~ esk5512_2(X1,X2)
    | esk202_2(X1,X2)
    | esk2864_2(X1,X2) )).

cnf(i_0_5873,axiom,
    ( ~ esk4394_2(X1,X2)
    | ~ esk4395_2(X1,X2) )).

cnf(i_0_5874,axiom,
    ( esk3572_2(X1,X2)
    | esk3573_2(X1,X2) )).

cnf(i_0_5875,axiom,
    ( ~ esk532_2(X1,X2)
    | ~ esk533_2(X1,X2) )).

cnf(i_0_5876,axiom,
    ( ~ esk4141_2(X1,X2)
    | esk4142_2(X1,X2)
    | ~ esk3438_2(X1,X2) )).

cnf(i_0_5877,axiom,
    ( ~ esk3597_2(X1,X2)
    | ~ esk3557_2(X1,X2) )).

cnf(i_0_5878,axiom,
    ( ~ esk1323_2(X1,X2)
    | esk1324_2(X1,X2)
    | ~ esk668_2(X1,X2) )).

cnf(i_0_5879,axiom,
    ( ~ esk600_2(X1,X2)
    | ~ esk121_2(X1,X2)
    | esk606_2(X1,X2) )).

cnf(i_0_5880,axiom,
    ( ~ esk3989_2(X1,X2)
    | ~ esk3988_2(X1,X2) )).

cnf(i_0_5881,axiom,
    ( esk5349_2(X1,X2)
    | ~ esk5350_2(X1,X2) )).

cnf(i_0_5882,axiom,
    ( esk561_2(X1,X2)
    | esk2538_2(X1,X2) )).

cnf(i_0_5883,axiom,
    ( ~ esk2979_2(X1,X2)
    | ~ esk123_2(X1,X2)
    | esk3013_2(X1,X2) )).

cnf(i_0_5884,axiom,
    ( esk393_2(X1,X2)
    | esk396_2(X1,X2)
    | esk395_2(X1,X2) )).

cnf(i_0_5885,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1594_2(X1,X2) )).

cnf(i_0_5886,axiom,
    ( esk3844_2(X1,X2)
    | ~ esk5468_2(X1,X2) )).

cnf(i_0_5887,axiom,
    ( ~ esk2575_2(X1,X2)
    | ~ esk2574_2(X1,X2) )).

cnf(i_0_5888,axiom,
    ( ~ esk3402_2(X1,X2)
    | ~ esk3401_2(X1,X2) )).

cnf(i_0_5889,axiom,
    ( esk2109_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_5890,axiom,
    ( esk5287_2(X1,X2)
    | esk5288_2(X1,X2) )).

cnf(i_0_5891,axiom,
    ( esk1260_2(X1,X2)
    | esk1261_2(X1,X2) )).

cnf(i_0_5892,axiom,
    ( ~ esk1024_2(X1,X2)
    | ~ esk1030_2(X1,X2) )).

cnf(i_0_5893,axiom,
    ( ~ esk5227_2(X1,X2)
    | ~ esk5225_2(X1,X2) )).

cnf(i_0_5894,axiom,
    ( ~ esk455_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_5895,axiom,
    ( esk27_2(X1,X2)
    | ~ esk4300_2(X1,X2) )).

cnf(i_0_5896,axiom,
    ( esk1220_2(X1,X2)
    | esk1219_2(X1,X2) )).

cnf(i_0_5897,axiom,
    ( ~ esk3531_2(X1,X2)
    | esk3513_2(X1,X2) )).

cnf(i_0_5898,axiom,
    ( esk5099_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_5899,axiom,
    ( esk1844_2(X1,X2)
    | esk1845_2(X1,X2) )).

cnf(i_0_5900,axiom,
    ( ~ esk1156_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_5901,axiom,
    ( esk5295_2(X1,X2)
    | esk5296_2(X1,X2) )).

cnf(i_0_5902,axiom,
    ( ~ esk496_2(X1,X2)
    | esk495_2(X1,X2) )).

cnf(i_0_5903,axiom,
    ( ~ esk356_2(X1,X2)
    | ~ esk357_2(X1,X2) )).

cnf(i_0_5904,axiom,
    ( esk5163_2(X1,X2)
    | esk5164_2(X1,X2) )).

cnf(i_0_5905,axiom,
    ( ~ esk3782_2(X1,X2)
    | esk24_2(X1,X2) )).

cnf(i_0_5906,axiom,
    ( ~ esk668_2(X1,X2)
    | ~ esk669_2(X1,X2) )).

cnf(i_0_5907,axiom,
    ( esk2758_2(X1,X2)
    | ~ esk2759_2(X1,X2) )).

cnf(i_0_5908,axiom,
    ( ~ esk3785_2(X1,X2)
    | esk4396_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | ~ esk2962_2(X1,X2) )).

cnf(i_0_5909,axiom,
    ( ~ esk1197_2(X1,X2)
    | ~ esk1193_2(X1,X2) )).

cnf(i_0_5910,axiom,
    ( esk4148_2(X1,X2)
    | esk4147_2(X1,X2) )).

cnf(i_0_5911,axiom,
    ( ~ esk3256_2(X1,X2)
    | esk3255_2(X1,X2) )).

cnf(i_0_5912,axiom,
    ( ~ esk656_2(X1,X2)
    | ~ esk1302_2(X1,X2) )).

cnf(i_0_5913,axiom,
    ( ~ esk4365_2(X1,X2)
    | esk4367_2(X1,X2)
    | ~ esk4366_2(X1,X2)
    | ~ esk2968_2(X1,X2) )).

cnf(i_0_5914,axiom,
    ( ~ esk4239_2(X1,X2)
    | ~ esk4236_2(X1,X2) )).

cnf(i_0_5915,axiom,
    ( esk1386_2(X1,X2)
    | ~ esk1407_2(X1,X2) )).

cnf(i_0_5916,axiom,
    ( ~ esk4490_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_5917,axiom,
    ( esk132_2(X1,X2)
    | esk3689_2(X1,X2) )).

cnf(i_0_5918,axiom,
    ( esk883_2(X1,X2)
    | ~ esk887_2(X1,X2) )).

cnf(i_0_5919,axiom,
    ( ~ esk3631_2(X1,X2)
    | ~ esk3630_2(X1,X2) )).

cnf(i_0_5920,axiom,
    ( esk3580_2(X1,X2)
    | ~ esk3581_2(X1,X2) )).

cnf(i_0_5921,axiom,
    ( ~ esk3559_2(X1,X2)
    | ~ esk3560_2(X1,X2) )).

cnf(i_0_5922,axiom,
    ( ~ esk3775_2(X1,X2)
    | ~ esk3776_2(X1,X2) )).

cnf(i_0_5923,axiom,
    ( ~ esk1091_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_5924,axiom,
    ( ~ esk4994_2(X1,X2)
    | esk4993_2(X1,X2) )).

cnf(i_0_5925,axiom,
    ( esk3213_2(X1,X2)
    | ~ esk110_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_5926,axiom,
    ( esk1227_2(X1,X2)
    | esk1226_2(X1,X2) )).

cnf(i_0_5927,axiom,
    ( ~ esk5452_2(X1,X2)
    | ~ esk5455_2(X1,X2) )).

cnf(i_0_5928,axiom,
    ( esk1770_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | ~ esk1769_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_5929,axiom,
    ( ~ esk4284_2(X1,X2)
    | ~ esk4283_2(X1,X2) )).

cnf(i_0_5930,axiom,
    ( ~ esk5301_2(X1,X2)
    | ~ esk5300_2(X1,X2) )).

cnf(i_0_5931,axiom,
    ( ~ esk4581_2(X1,X2)
    | ~ esk4582_2(X1,X2) )).

cnf(i_0_5932,axiom,
    ( esk912_2(X1,X2)
    | esk911_2(X1,X2) )).

cnf(i_0_5933,axiom,
    ( esk2103_2(X1,X2)
    | ~ esk2104_2(X1,X2) )).

cnf(i_0_5934,axiom,
    ( ~ esk5443_2(X1,X2)
    | ~ esk5444_2(X1,X2) )).

cnf(i_0_5935,axiom,
    ( ~ esk5483_2(X1,X2)
    | esk81_2(X1,X2) )).

cnf(i_0_5936,axiom,
    ( esk4939_2(X1,X2)
    | ~ esk4938_2(X1,X2)
    | ~ esk4935_2(X1,X2) )).

cnf(i_0_5937,axiom,
    ( ~ esk3651_2(X1,X2)
    | ~ esk3652_2(X1,X2) )).

cnf(i_0_5938,axiom,
    ( esk109_2(X1,X2)
    | ~ esk5059_2(X1,X2) )).

cnf(i_0_5939,axiom,
    ( esk785_2(X1,X2)
    | ~ esk1202_2(X1,X2) )).

cnf(i_0_5940,axiom,
    ( ~ esk793_2(X1,X2)
    | ~ esk792_2(X1,X2) )).

cnf(i_0_5941,axiom,
    ( ~ esk3085_2(X1,X2)
    | ~ esk3086_2(X1,X2) )).

cnf(i_0_5942,axiom,
    ( ~ esk2331_2(X1,X2)
    | ~ esk2329_2(X1,X2) )).

cnf(i_0_5943,axiom,
    ( ~ esk1241_2(X1,X2)
    | esk817_2(X1,X2) )).

cnf(i_0_5944,axiom,
    ( esk3157_2(X1,X2)
    | ~ esk3158_2(X1,X2) )).

cnf(i_0_5945,axiom,
    ( esk5063_2(X1,X2)
    | esk5064_2(X1,X2) )).

cnf(i_0_5946,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk145_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | esk5018_2(X1,X2) )).

cnf(i_0_5947,axiom,
    ( esk132_2(X1,X2)
    | esk360_2(X1,X2) )).

cnf(i_0_5948,axiom,
    ( ~ esk2453_2(X1,X2)
    | esk2452_2(X1,X2) )).

cnf(i_0_5949,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk322_2(X1,X2) )).

cnf(i_0_5950,axiom,
    ( ~ esk3295_2(X1,X2)
    | ~ esk4368_2(X1,X2) )).

cnf(i_0_5951,axiom,
    ( ~ esk2802_2(X1,X2)
    | ~ esk2801_2(X1,X2) )).

cnf(i_0_5952,axiom,
    ( ~ esk1249_2(X1,X2)
    | ~ esk1250_2(X1,X2) )).

cnf(i_0_5953,axiom,
    ( ~ esk1826_2(X1,X2)
    | ~ esk1824_2(X1,X2) )).

cnf(i_0_5954,axiom,
    ( esk3652_2(X1,X2)
    | esk3653_2(X1,X2) )).

cnf(i_0_5955,axiom,
    ( esk3721_2(X1,X2)
    | esk3720_2(X1,X2) )).

cnf(i_0_5956,axiom,
    ( ~ esk1933_2(X1,X2)
    | esk1932_2(X1,X2) )).

cnf(i_0_5957,axiom,
    ( esk4572_2(X1,X2)
    | esk4588_2(X1,X2) )).

cnf(i_0_5958,axiom,
    ( ~ esk3527_2(X1,X2)
    | esk3526_2(X1,X2) )).

cnf(i_0_5959,axiom,
    ( esk2990_2(X1,X2)
    | esk2991_2(X1,X2)
    | esk2988_2(X1,X2) )).

cnf(i_0_5960,axiom,
    ( esk3808_2(X1,X2)
    | ~ esk3637_2(X1,X2)
    | ~ esk3326_2(X1,X2) )).

cnf(i_0_5961,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk3628_2(X1,X2)
    | esk4215_2(X1,X2) )).

cnf(i_0_5962,axiom,
    ( esk179_2(X1,X2)
    | ~ esk5478_2(X1,X2) )).

cnf(i_0_5963,axiom,
    ( ~ esk1849_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_5964,axiom,
    ( esk115_2(X1,X2)
    | ~ esk4599_2(X1,X2) )).

cnf(i_0_5965,axiom,
    ( esk1690_2(X1,X2)
    | esk1691_2(X1,X2)
    | esk1693_2(X1,X2)
    | esk1689_2(X1,X2)
    | esk1692_2(X1,X2) )).

cnf(i_0_5966,axiom,
    ( ~ esk1665_2(X1,X2)
    | esk4318_2(X1,X2)
    | esk5566_2(X1,X2) )).

cnf(i_0_5967,axiom,
    ( esk4730_2(X1,X2)
    | esk4703_2(X1,X2) )).

cnf(i_0_5968,axiom,
    ( esk2903_2(X1,X2)
    | ~ esk2902_2(X1,X2)
    | ~ esk10_2(X1,X2)
    | ~ esk2900_2(X1,X2) )).

cnf(i_0_5969,axiom,
    ( ~ esk4025_2(X1,X2)
    | esk3251_2(X1,X2) )).

cnf(i_0_5970,axiom,
    ( ~ esk2455_2(X1,X2)
    | ~ esk2454_2(X1,X2) )).

cnf(i_0_5971,axiom,
    ( esk4218_2(X1,X2)
    | esk4217_2(X1,X2) )).

cnf(i_0_5972,axiom,
    ( ~ esk4218_2(X1,X2)
    | ~ esk4219_2(X1,X2) )).

cnf(i_0_5973,axiom,
    ( ~ esk1337_2(X1,X2)
    | esk1336_2(X1,X2) )).

cnf(i_0_5974,axiom,
    ( esk1717_2(X1,X2)
    | esk1718_2(X1,X2) )).

cnf(i_0_5975,axiom,
    ( esk123_2(X1,X2)
    | esk352_2(X1,X2) )).

cnf(i_0_5976,axiom,
    ( ~ esk1010_2(X1,X2)
    | ~ esk1007_2(X1,X2) )).

cnf(i_0_5977,axiom,
    ( esk4363_2(X1,X2)
    | ~ esk64_2(X1,X2)
    | ~ esk180_2(X1,X2) )).

cnf(i_0_5978,axiom,
    ( ~ esk2279_2(X1,X2)
    | ~ esk2280_2(X1,X2) )).

cnf(i_0_5979,axiom,
    ( esk584_2(X1,X2)
    | ~ esk583_2(X1,X2)
    | ~ esk580_2(X1,X2) )).

cnf(i_0_5980,axiom,
    ( ~ esk2582_2(X1,X2)
    | ~ esk2583_2(X1,X2) )).

cnf(i_0_5981,axiom,
    ( ~ esk2779_2(X1,X2)
    | esk2780_2(X1,X2)
    | ~ esk2776_2(X1,X2) )).

cnf(i_0_5982,axiom,
    ( ~ esk620_2(X1,X2)
    | ~ esk619_2(X1,X2) )).

cnf(i_0_5983,axiom,
    ( ~ esk2364_2(X1,X2)
    | ~ esk2385_2(X1,X2)
    | esk2386_2(X1,X2) )).

cnf(i_0_5984,axiom,
    ( ~ esk1831_2(X1,X2)
    | esk17_2(X1,X2) )).

cnf(i_0_5985,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4789_2(X1,X2) )).

cnf(i_0_5986,axiom,
    ( ~ esk4850_2(X1,X2)
    | ~ esk4849_2(X1,X2) )).

cnf(i_0_5987,axiom,
    ( esk5384_2(X1,X2)
    | esk5383_2(X1,X2) )).

cnf(i_0_5988,axiom,
    ( ~ esk162_2(X1,X2)
    | ~ esk4333_2(X1,X2) )).

cnf(i_0_5989,axiom,
    ( esk165_2(X1,X2)
    | ~ esk249_2(X1,X2) )).

cnf(i_0_5990,axiom,
    ( ~ esk2373_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_5991,axiom,
    ( esk136_2(X1,X2)
    | ~ esk2857_2(X1,X2) )).

cnf(i_0_5992,axiom,
    ( esk3659_2(X1,X2)
    | ~ esk3660_2(X1,X2) )).

cnf(i_0_5993,axiom,
    ( esk5217_2(X1,X2)
    | ~ esk5218_2(X1,X2) )).

cnf(i_0_5994,axiom,
    ( esk3657_2(X1,X2)
    | ~ esk3227_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_5995,axiom,
    ( ~ esk5433_2(X1,X2)
    | esk5432_2(X1,X2) )).

cnf(i_0_5996,axiom,
    ( ~ esk4062_2(X1,X2)
    | ~ esk4063_2(X1,X2) )).

cnf(i_0_5997,axiom,
    ( ~ esk369_2(X1,X2)
    | esk368_2(X1,X2) )).

cnf(i_0_5998,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1653_2(X1,X2) )).

cnf(i_0_5999,axiom,
    ( ~ esk2324_2(X1,X2)
    | esk2323_2(X1,X2) )).

cnf(i_0_6000,axiom,
    ( esk5075_2(X1,X2)
    | esk5076_2(X1,X2) )).

cnf(i_0_6001,axiom,
    ( ~ esk2740_2(X1,X2)
    | ~ esk2741_2(X1,X2) )).

cnf(i_0_6002,axiom,
    ( ~ esk2708_2(X1,X2)
    | esk2706_2(X1,X2) )).

cnf(i_0_6003,axiom,
    ( ~ esk1835_2(X1,X2)
    | esk1625_2(X1,X2) )).

cnf(i_0_6004,axiom,
    ( ~ esk400_2(X1,X2)
    | ~ esk319_2(X1,X2)
    | esk401_2(X1,X2) )).

cnf(i_0_6005,axiom,
    ( esk4511_2(X1,X2)
    | esk5592_2(X1,X2)
    | ~ esk1858_2(X1,X2) )).

cnf(i_0_6006,axiom,
    ( esk5218_2(X1,X2)
    | esk5219_2(X1,X2) )).

cnf(i_0_6007,axiom,
    ( ~ esk2268_2(X1,X2)
    | ~ esk2269_2(X1,X2) )).

cnf(i_0_6008,axiom,
    ( ~ esk165_2(X1,X2)
    | ~ esk2901_2(X1,X2)
    | esk2913_2(X1,X2) )).

cnf(i_0_6009,axiom,
    ( esk4493_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk4278_2(X1,X2)
    | ~ esk4406_2(X1,X2) )).

cnf(i_0_6010,axiom,
    ( ~ esk895_2(X1,X2)
    | esk891_2(X1,X2) )).

cnf(i_0_6011,axiom,
    ( ~ esk2569_2(X1,X2)
    | ~ esk2650_2(X1,X2) )).

cnf(i_0_6012,axiom,
    ( esk2371_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_6013,axiom,
    ( ~ esk1775_2(X1,X2)
    | esk1776_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_6014,axiom,
    ( ~ esk3844_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | ~ esk3725_2(X1,X2)
    | esk4297_2(X1,X2) )).

cnf(i_0_6015,axiom,
    ( esk2837_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk80_2(X1,X2)
    | ~ esk1589_2(X1,X2) )).

cnf(i_0_6016,axiom,
    ( esk13_2(X1,X2)
    | ~ esk201_2(X1,X2) )).

cnf(i_0_6017,axiom,
    ( ~ esk2010_2(X1,X2)
    | ~ esk2011_2(X1,X2) )).

cnf(i_0_6018,axiom,
    ( ~ esk5454_2(X1,X2)
    | esk5453_2(X1,X2) )).

cnf(i_0_6019,axiom,
    ( esk5_2(X1,X2)
    | ~ esk3848_2(X1,X2) )).

cnf(i_0_6020,axiom,
    ( ~ esk4901_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_6021,axiom,
    ( esk102_2(X1,X2)
    | ~ esk5018_2(X1,X2) )).

cnf(i_0_6022,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1635_2(X1,X2) )).

cnf(i_0_6023,axiom,
    ( ~ esk490_2(X1,X2)
    | ~ esk489_2(X1,X2) )).

cnf(i_0_6024,axiom,
    ( ~ esk2319_2(X1,X2)
    | esk2324_2(X1,X2)
    | ~ esk2323_2(X1,X2) )).

cnf(i_0_6025,axiom,
    ( ~ esk5353_2(X1,X2)
    | ~ esk5354_2(X1,X2) )).

cnf(i_0_6026,axiom,
    ( esk3530_2(X1,X2)
    | esk3532_2(X1,X2)
    | esk3531_2(X1,X2) )).

cnf(i_0_6027,axiom,
    ( ~ esk5224_2(X1,X2)
    | esk3616_2(X1,X2) )).

cnf(i_0_6028,axiom,
    ( ~ esk4787_2(X1,X2)
    | esk3680_2(X1,X2) )).

cnf(i_0_6029,axiom,
    ( ~ esk5155_2(X1,X2)
    | ~ esk5154_2(X1,X2) )).

cnf(i_0_6030,axiom,
    ( esk3203_2(X1,X2)
    | ~ esk4001_2(X1,X2) )).

cnf(i_0_6031,axiom,
    ( ~ esk4381_2(X1,X2)
    | ~ esk4382_2(X1,X2) )).

cnf(i_0_6032,axiom,
    ( esk1385_2(X1,X2)
    | ~ esk1384_2(X1,X2)
    | ~ esk1381_2(X1,X2) )).

cnf(i_0_6033,axiom,
    ( ~ esk2678_2(X1,X2)
    | ~ esk499_2(X1,X2) )).

cnf(i_0_6034,axiom,
    ( ~ esk3788_2(X1,X2)
    | esk3309_2(X1,X2) )).

cnf(i_0_6035,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk4251_2(X1,X2) )).

cnf(i_0_6036,axiom,
    ( ~ esk5340_2(X1,X2)
    | ~ esk5341_2(X1,X2) )).

cnf(i_0_6037,axiom,
    ( ~ esk3638_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_6038,axiom,
    ( esk5433_2(X1,X2)
    | ~ esk5429_2(X1,X2)
    | ~ esk5432_2(X1,X2) )).

cnf(i_0_6039,axiom,
    ( ~ esk2297_2(X1,X2)
    | ~ esk2298_2(X1,X2) )).

cnf(i_0_6040,axiom,
    ( esk152_2(X1,X2)
    | ~ esk1970_2(X1,X2) )).

cnf(i_0_6041,axiom,
    ( ~ esk2595_2(X1,X2)
    | ~ esk2594_2(X1,X2) )).

cnf(i_0_6042,axiom,
    ( esk3684_2(X1,X2)
    | esk3683_2(X1,X2) )).

cnf(i_0_6043,axiom,
    ( ~ esk3875_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_6044,axiom,
    ( esk4803_2(X1,X2)
    | ~ esk4804_2(X1,X2) )).

cnf(i_0_6045,axiom,
    ( ~ esk2428_2(X1,X2)
    | ~ esk2427_2(X1,X2) )).

cnf(i_0_6046,axiom,
    ( esk976_2(X1,X2)
    | esk977_2(X1,X2)
    | esk633_2(X1,X2)
    | esk974_2(X1,X2)
    | esk972_2(X1,X2) )).

cnf(i_0_6047,axiom,
    ( esk3366_2(X1,X2)
    | esk3365_2(X1,X2) )).

cnf(i_0_6048,axiom,
    ( esk4304_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_6049,axiom,
    ( ~ esk1076_2(X1,X2)
    | esk1074_2(X1,X2) )).

cnf(i_0_6050,axiom,
    ( esk4917_2(X1,X2)
    | esk4916_2(X1,X2) )).

cnf(i_0_6051,axiom,
    ( ~ esk3522_2(X1,X2)
    | ~ esk3521_2(X1,X2) )).

cnf(i_0_6052,axiom,
    ( ~ esk4181_2(X1,X2)
    | esk4180_2(X1,X2) )).

cnf(i_0_6053,axiom,
    ( esk2021_2(X1,X2)
    | esk2005_2(X1,X2) )).

cnf(i_0_6054,axiom,
    ( ~ esk3598_2(X1,X2)
    | esk3597_2(X1,X2) )).

cnf(i_0_6055,axiom,
    ( ~ esk2479_2(X1,X2)
    | ~ esk2478_2(X1,X2) )).

cnf(i_0_6056,axiom,
    ( esk5228_2(X1,X2)
    | esk5227_2(X1,X2) )).

cnf(i_0_6057,axiom,
    ( ~ esk3854_2(X1,X2)
    | ~ esk3871_2(X1,X2) )).

cnf(i_0_6058,axiom,
    ( ~ esk5282_2(X1,X2)
    | esk5281_2(X1,X2) )).

cnf(i_0_6059,axiom,
    ( esk2263_2(X1,X2)
    | esk2264_2(X1,X2) )).

cnf(i_0_6060,axiom,
    ( esk3227_2(X1,X2)
    | esk4011_2(X1,X2) )).

cnf(i_0_6061,axiom,
    ( esk4952_2(X1,X2)
    | esk3370_2(X1,X2) )).

cnf(i_0_6062,axiom,
    ( ~ esk3550_2(X1,X2)
    | esk3554_2(X1,X2)
    | ~ p(X1) )).

cnf(i_0_6063,axiom,
    ( ~ esk1704_2(X1,X2)
    | esk1238_2(X1,X2) )).

cnf(i_0_6064,axiom,
    ( ~ esk4996_2(X1,X2)
    | ~ esk4995_2(X1,X2) )).

cnf(i_0_6065,axiom,
    ( esk96_2(X1,X2)
    | esk4993_2(X1,X2) )).

cnf(i_0_6066,axiom,
    ( esk688_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_6067,axiom,
    ( esk5251_2(X1,X2)
    | ~ esk5252_2(X1,X2) )).

cnf(i_0_6068,axiom,
    ( esk3098_2(X1,X2)
    | esk3099_2(X1,X2) )).

cnf(i_0_6069,axiom,
    ( esk3772_2(X1,X2)
    | ~ esk3773_2(X1,X2) )).

cnf(i_0_6070,axiom,
    ( esk4084_2(X1,X2)
    | esk4085_2(X1,X2) )).

cnf(i_0_6071,axiom,
    ( esk3284_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_6072,axiom,
    ( esk3560_2(X1,X2)
    | esk3559_2(X1,X2) )).

cnf(i_0_6073,axiom,
    ( ~ esk3795_2(X1,X2)
    | esk3794_2(X1,X2) )).

cnf(i_0_6074,axiom,
    ( ~ esk2209_2(X1,X2)
    | esk1018_2(X1,X2) )).

cnf(i_0_6075,axiom,
    ( ~ esk4313_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_6076,axiom,
    ( ~ esk653_2(X1,X2)
    | esk636_2(X1,X2) )).

cnf(i_0_6077,axiom,
    ( esk2363_2(X1,X2)
    | ~ esk2359_2(X1,X2)
    | ~ esk2362_2(X1,X2) )).

cnf(i_0_6078,axiom,
    ( ~ esk5219_2(X1,X2)
    | ~ esk5218_2(X1,X2) )).

cnf(i_0_6079,axiom,
    ( esk2741_2(X1,X2)
    | esk2742_2(X1,X2) )).

cnf(i_0_6080,axiom,
    ( esk1877_2(X1,X2)
    | esk1873_2(X1,X2)
    | esk1875_2(X1,X2)
    | esk1876_2(X1,X2)
    | esk1874_2(X1,X2) )).

cnf(i_0_6081,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4337_2(X1,X2) )).

cnf(i_0_6082,axiom,
    ( esk2973_2(X1,X2)
    | ~ esk3009_2(X1,X2) )).

cnf(i_0_6083,axiom,
    ( esk2501_2(X1,X2)
    | esk2502_2(X1,X2)
    | esk961_2(X1,X2)
    | esk2500_2(X1,X2) )).

cnf(i_0_6084,axiom,
    ( ~ esk5577_2(X1,X2)
    | ~ esk4407_2(X1,X2)
    | ~ esk1754_2(X1,X2) )).

cnf(i_0_6085,axiom,
    ( esk2224_2(X1,X2)
    | ~ esk2225_2(X1,X2) )).

cnf(i_0_6086,axiom,
    ( esk4942_2(X1,X2)
    | esk4943_2(X1,X2) )).

cnf(i_0_6087,axiom,
    ( esk4590_2(X1,X2)
    | esk4589_2(X1,X2) )).

cnf(i_0_6088,axiom,
    ( ~ esk4811_2(X1,X2)
    | ~ esk4807_2(X1,X2)
    | esk4812_2(X1,X2) )).

cnf(i_0_6089,axiom,
    ( ~ esk2140_2(X1,X2)
    | ~ esk2141_2(X1,X2) )).

cnf(i_0_6090,axiom,
    ( ~ esk3344_2(X1,X2)
    | esk3343_2(X1,X2) )).

cnf(i_0_6091,axiom,
    ( ~ esk5192_2(X1,X2)
    | ~ esk5193_2(X1,X2) )).

cnf(i_0_6092,axiom,
    ( esk2377_2(X1,X2)
    | ~ esk2378_2(X1,X2) )).

cnf(i_0_6093,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk3790_2(X1,X2) )).

cnf(i_0_6094,axiom,
    ( ~ esk2711_2(X1,X2)
    | esk499_2(X1,X2) )).

cnf(i_0_6095,axiom,
    ( esk1429_2(X1,X2)
    | ~ esk1430_2(X1,X2) )).

cnf(i_0_6096,axiom,
    ( ~ esk5090_2(X1,X2)
    | ~ esk5058_2(X1,X2)
    | esk5131_2(X1,X2)
    | ~ esk5123_2(X1,X2) )).

cnf(i_0_6097,axiom,
    ( esk2105_2(X1,X2)
    | ~ esk2110_2(X1,X2) )).

cnf(i_0_6098,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk3955_2(X1,X2) )).

cnf(i_0_6099,axiom,
    ( esk760_2(X1,X2)
    | ~ esk1428_2(X1,X2) )).

cnf(i_0_6100,axiom,
    ( esk4424_2(X1,X2)
    | esk4421_2(X1,X2)
    | esk4423_2(X1,X2) )).

cnf(i_0_6101,axiom,
    ( ~ esk2287_2(X1,X2)
    | ~ esk2286_2(X1,X2) )).

cnf(i_0_6102,axiom,
    ( ~ esk656_2(X1,X2)
    | esk1025_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_6103,axiom,
    ( ~ esk3447_2(X1,X2)
    | ~ esk3471_2(X1,X2)
    | esk3658_2(X1,X2)
    | ~ esk3657_2(X1,X2) )).

cnf(i_0_6104,axiom,
    ( ~ esk4745_2(X1,X2)
    | ~ esk4744_2(X1,X2) )).

cnf(i_0_6105,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3661_2(X1,X2)
    | esk3894_2(X1,X2) )).

cnf(i_0_6106,axiom,
    ( esk106_2(X1,X2)
    | ~ esk575_2(X1,X2) )).

cnf(i_0_6107,axiom,
    ( ~ esk1613_2(X1,X2)
    | esk1256_2(X1,X2) )).

cnf(i_0_6108,axiom,
    ( ~ esk5078_2(X1,X2)
    | esk5079_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_6109,axiom,
    ( ~ esk390_2(X1,X2)
    | ~ esk389_2(X1,X2) )).

cnf(i_0_6110,axiom,
    ( esk3463_2(X1,X2)
    | ~ esk3857_2(X1,X2) )).

cnf(i_0_6111,axiom,
    ( esk1747_2(X1,X2)
    | ~ esk1834_2(X1,X2) )).

cnf(i_0_6112,axiom,
    ( esk2313_2(X1,X2)
    | ~ esk2314_2(X1,X2) )).

cnf(i_0_6113,axiom,
    ( esk4444_2(X1,X2)
    | esk1791_2(X1,X2)
    | ~ esk5581_2(X1,X2) )).

cnf(i_0_6114,axiom,
    ( ~ esk833_2(X1,X2)
    | esk834_2(X1,X2)
    | ~ esk830_2(X1,X2) )).

cnf(i_0_6115,axiom,
    ( ~ esk4215_2(X1,X2)
    | esk3628_2(X1,X2) )).

cnf(i_0_6116,axiom,
    ( esk4056_2(X1,X2)
    | ~ esk4055_2(X1,X2)
    | ~ esk4052_2(X1,X2)
    | ~ esk4040_2(X1,X2) )).

cnf(i_0_6117,axiom,
    ( ~ esk4811_2(X1,X2)
    | ~ esk3372_2(X1,X2) )).

cnf(i_0_6118,axiom,
    ( ~ esk2329_2(X1,X2)
    | esk53_2(X1,X2) )).

cnf(i_0_6119,axiom,
    ( ~ esk2184_2(X1,X2)
    | ~ esk2183_2(X1,X2) )).

cnf(i_0_6120,axiom,
    ( ~ esk4039_2(X1,X2)
    | ~ esk4058_2(X1,X2)
    | ~ esk4055_2(X1,X2)
    | esk4059_2(X1,X2) )).

cnf(i_0_6121,axiom,
    ( esk3991_2(X1,X2)
    | esk3990_2(X1,X2) )).

cnf(i_0_6122,axiom,
    ( esk4017_2(X1,X2)
    | esk4018_2(X1,X2) )).

cnf(i_0_6123,axiom,
    ( esk732_2(X1,X2)
    | ~ esk733_2(X1,X2) )).

cnf(i_0_6124,axiom,
    ( ~ esk5234_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_6125,axiom,
    ( ~ esk5146_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_6126,axiom,
    ( ~ esk117_2(X1,X2)
    | esk601_2(X1,X2)
    | ~ esk600_2(X1,X2) )).

cnf(i_0_6127,axiom,
    ( ~ esk584_2(X1,X2)
    | ~ esk585_2(X1,X2) )).

cnf(i_0_6128,axiom,
    ( ~ esk4397_2(X1,X2)
    | ~ esk4399_2(X1,X2) )).

cnf(i_0_6129,axiom,
    ( ~ esk4321_2(X1,X2)
    | ~ esk4323_2(X1,X2) )).

cnf(i_0_6130,axiom,
    ( esk652_2(X1,X2)
    | esk1047_2(X1,X2) )).

cnf(i_0_6131,axiom,
    ( ~ esk909_2(X1,X2)
    | ~ esk910_2(X1,X2) )).

cnf(i_0_6132,axiom,
    ( ~ esk3175_2(X1,X2)
    | esk93_2(X1,X2) )).

cnf(i_0_6133,axiom,
    ( esk2534_2(X1,X2)
    | esk2535_2(X1,X2) )).

cnf(i_0_6134,axiom,
    ( ~ esk4179_2(X1,X2)
    | ~ esk4178_2(X1,X2) )).

cnf(i_0_6135,axiom,
    ( esk58_2(X1,X2)
    | ~ esk1254_2(X1,X2) )).

cnf(i_0_6136,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | esk2345_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_6137,axiom,
    ( esk1967_2(X1,X2)
    | esk2028_2(X1,X2) )).

cnf(i_0_6138,axiom,
    ( ~ esk5519_2(X1,X2)
    | ~ esk225_2(X1,X2)
    | ~ esk2887_2(X1,X2) )).

cnf(i_0_6139,axiom,
    ( esk1360_2(X1,X2)
    | esk1359_2(X1,X2) )).

cnf(i_0_6140,axiom,
    ( ~ esk3991_2(X1,X2)
    | ~ esk3992_2(X1,X2) )).

cnf(i_0_6141,axiom,
    ( ~ esk4279_2(X1,X2)
    | ~ esk4283_2(X1,X2) )).

cnf(i_0_6142,axiom,
    ( esk3262_2(X1,X2)
    | ~ esk3263_2(X1,X2) )).

cnf(i_0_6143,axiom,
    ( esk239_2(X1,X2)
    | ~ esk243_2(X1,X2) )).

cnf(i_0_6144,axiom,
    ( esk4700_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_6145,axiom,
    ( esk5058_2(X1,X2)
    | esk5057_2(X1,X2) )).

cnf(i_0_6146,axiom,
    ( ~ esk150_2(X1,X2)
    | esk980_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_6147,axiom,
    ( ~ esk1686_2(X1,X2)
    | ~ esk1687_2(X1,X2) )).

cnf(i_0_6148,axiom,
    ( esk708_2(X1,X2)
    | ~ esk2238_2(X1,X2) )).

cnf(i_0_6149,axiom,
    ( esk4760_2(X1,X2)
    | esk4761_2(X1,X2) )).

cnf(i_0_6150,axiom,
    ( esk1218_2(X1,X2)
    | esk1219_2(X1,X2) )).

cnf(i_0_6151,axiom,
    ( ~ esk1018_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_6152,axiom,
    ( esk5588_2(X1,X2)
    | ~ esk4486_2(X1,X2)
    | esk1833_2(X1,X2) )).

cnf(i_0_6153,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4514_2(X1,X2) )).

cnf(i_0_6154,axiom,
    ( esk621_2(X1,X2)
    | ~ esk626_2(X1,X2) )).

cnf(i_0_6155,axiom,
    ( esk128_2(X1,X2)
    | esk1981_2(X1,X2) )).

cnf(i_0_6156,axiom,
    ( ~ esk4267_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_6157,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5226_2(X1,X2) )).

cnf(i_0_6158,axiom,
    ( ~ esk4279_2(X1,X2)
    | esk3805_2(X1,X2) )).

cnf(i_0_6159,axiom,
    ( ~ esk1129_2(X1,X2)
    | esk24_2(X1,X2) )).

cnf(i_0_6160,axiom,
    ( ~ esk2015_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_6161,axiom,
    ( esk2522_2(X1,X2)
    | ~ esk2523_2(X1,X2) )).

cnf(i_0_6162,axiom,
    ( esk1648_2(X1,X2)
    | esk1649_2(X1,X2) )).

cnf(i_0_6163,axiom,
    ( ~ esk4352_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_6164,axiom,
    ( ~ esk873_2(X1,X2)
    | ~ esk872_2(X1,X2) )).

cnf(i_0_6165,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4435_2(X1,X2) )).

cnf(i_0_6166,axiom,
    ( ~ esk5342_2(X1,X2)
    | esk5341_2(X1,X2) )).

cnf(i_0_6167,axiom,
    ( ~ esk2817_2(X1,X2)
    | ~ esk2814_2(X1,X2) )).

cnf(i_0_6168,axiom,
    ( ~ esk4341_2(X1,X2)
    | esk4340_2(X1,X2) )).

cnf(i_0_6169,axiom,
    ( esk1748_2(X1,X2)
    | ~ esk4401_2(X1,X2)
    | esk5576_2(X1,X2) )).

cnf(i_0_6170,axiom,
    ( ~ esk1266_2(X1,X2)
    | ~ esk1267_2(X1,X2) )).

cnf(i_0_6171,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk3872_2(X1,X2)
    | esk4254_2(X1,X2)
    | ~ esk4252_2(X1,X2) )).

cnf(i_0_6172,axiom,
    ( ~ esk4706_2(X1,X2)
    | ~ esk4785_2(X1,X2) )).

cnf(i_0_6173,axiom,
    ( esk589_2(X1,X2)
    | esk593_2(X1,X2) )).

cnf(i_0_6174,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk2330_2(X1,X2) )).

cnf(i_0_6175,axiom,
    ( esk4959_2(X1,X2)
    | ~ esk4963_2(X1,X2) )).

cnf(i_0_6176,axiom,
    ( esk5330_2(X1,X2)
    | esk5329_2(X1,X2) )).

cnf(i_0_6177,axiom,
    ( ~ esk3556_2(X1,X2)
    | esk3555_2(X1,X2) )).

cnf(i_0_6178,axiom,
    ( ~ esk1100_2(X1,X2)
    | ~ esk1101_2(X1,X2) )).

cnf(i_0_6179,axiom,
    ( esk3971_2(X1,X2)
    | esk3970_2(X1,X2) )).

cnf(i_0_6180,axiom,
    ( ~ esk4211_2(X1,X2)
    | ~ esk4212_2(X1,X2) )).

cnf(i_0_6181,axiom,
    ( esk3517_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_6182,axiom,
    ( ~ esk4122_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_6183,axiom,
    ( ~ esk4316_2(X1,X2)
    | ~ esk4317_2(X1,X2) )).

cnf(i_0_6184,axiom,
    ( ~ esk437_2(X1,X2)
    | ~ esk436_2(X1,X2) )).

cnf(i_0_6185,axiom,
    ( ~ esk66_2(X1,X2)
    | esk1907_2(X1,X2)
    | ~ esk1906_2(X1,X2) )).

cnf(i_0_6186,axiom,
    ( esk5544_2(X1,X2)
    | esk1172_2(X1,X2)
    | ~ esk3825_2(X1,X2) )).

cnf(i_0_6187,axiom,
    ( esk5274_2(X1,X2)
    | ~ esk5273_2(X1,X2)
    | ~ esk5269_2(X1,X2) )).

cnf(i_0_6188,axiom,
    ( esk141_2(X1,X2)
    | esk3216_2(X1,X2) )).

cnf(i_0_6189,axiom,
    ( ~ esk4557_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_6190,axiom,
    ( ~ esk5057_2(X1,X2)
    | esk5051_2(X1,X2) )).

cnf(i_0_6191,axiom,
    ( ~ esk2637_2(X1,X2)
    | esk2632_2(X1,X2) )).

cnf(i_0_6192,axiom,
    ( ~ esk307_2(X1,X2)
    | ~ esk306_2(X1,X2) )).

cnf(i_0_6193,axiom,
    ( esk3412_2(X1,X2)
    | ~ esk3413_2(X1,X2) )).

cnf(i_0_6194,axiom,
    ( esk3342_2(X1,X2)
    | ~ esk3956_2(X1,X2) )).

cnf(i_0_6195,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk1640_2(X1,X2) )).

cnf(i_0_6196,axiom,
    ( esk1942_2(X1,X2)
    | esk1943_2(X1,X2)
    | esk1940_2(X1,X2) )).

cnf(i_0_6197,axiom,
    ( ~ esk706_2(X1,X2)
    | ~ esk2291_2(X1,X2) )).

cnf(i_0_6198,axiom,
    ( esk4080_2(X1,X2)
    | ~ esk4121_2(X1,X2) )).

cnf(i_0_6199,axiom,
    ( ~ esk2942_2(X1,X2)
    | ~ esk2943_2(X1,X2) )).

cnf(i_0_6200,axiom,
    ( esk389_2(X1,X2)
    | esk386_2(X1,X2)
    | esk142_2(X1,X2)
    | esk388_2(X1,X2) )).

cnf(i_0_6201,axiom,
    ( esk2503_2(X1,X2)
    | ~ esk2504_2(X1,X2) )).

cnf(i_0_6202,axiom,
    ( ~ esk2568_2(X1,X2)
    | esk2569_2(X1,X2)
    | ~ esk2567_2(X1,X2) )).

cnf(i_0_6203,axiom,
    ( esk3601_2(X1,X2)
    | esk948_2(X1,X2)
    | ~ esk5533_2(X1,X2) )).

cnf(i_0_6204,axiom,
    ( ~ esk5083_2(X1,X2)
    | ~ esk5082_2(X1,X2) )).

cnf(i_0_6205,axiom,
    ( esk3016_2(X1,X2)
    | esk149_2(X1,X2)
    | esk3013_2(X1,X2)
    | esk3015_2(X1,X2) )).

cnf(i_0_6206,axiom,
    ( ~ esk2237_2(X1,X2)
    | ~ esk2236_2(X1,X2) )).

cnf(i_0_6207,axiom,
    ( ~ esk3993_2(X1,X2)
    | ~ esk3994_2(X1,X2) )).

cnf(i_0_6208,axiom,
    ( ~ esk5470_2(X1,X2)
    | ~ esk5466_2(X1,X2) )).

cnf(i_0_6209,axiom,
    ( ~ esk1218_2(X1,X2)
    | ~ esk1217_2(X1,X2) )).

cnf(i_0_6210,axiom,
    ( esk2162_2(X1,X2)
    | esk2161_2(X1,X2) )).

cnf(i_0_6211,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4308_2(X1,X2) )).

cnf(i_0_6212,axiom,
    ( ~ esk1485_2(X1,X2)
    | ~ esk1487_2(X1,X2) )).

cnf(i_0_6213,axiom,
    ( ~ esk967_2(X1,X2)
    | ~ esk960_2(X1,X2) )).

cnf(i_0_6214,axiom,
    ( ~ esk2953_2(X1,X2)
    | ~ esk2954_2(X1,X2) )).

cnf(i_0_6215,axiom,
    ( esk2631_2(X1,X2)
    | ~ esk2630_2(X1,X2)
    | ~ esk2627_2(X1,X2) )).

cnf(i_0_6216,axiom,
    ( esk3170_2(X1,X2)
    | ~ esk3169_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_6217,axiom,
    ( esk705_2(X1,X2)
    | ~ esk701_2(X1,X2)
    | ~ esk704_2(X1,X2) )).

cnf(i_0_6218,axiom,
    ( esk172_2(X1,X2)
    | esk4366_2(X1,X2) )).

cnf(i_0_6219,axiom,
    ( esk5446_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_6220,axiom,
    ( esk5562_2(X1,X2)
    | esk4290_2(X1,X2)
    | ~ esk1637_2(X1,X2) )).

cnf(i_0_6221,axiom,
    ( ~ esk760_2(X1,X2)
    | esk1428_2(X1,X2)
    | ~ esk1427_2(X1,X2) )).

cnf(i_0_6222,axiom,
    ( ~ esk4435_2(X1,X2)
    | ~ esk4436_2(X1,X2) )).

cnf(i_0_6223,axiom,
    ( esk79_2(X1,X2)
    | ~ esk4536_2(X1,X2) )).

cnf(i_0_6224,axiom,
    ( esk5142_2(X1,X2)
    | ~ esk5452_2(X1,X2) )).

cnf(i_0_6225,axiom,
    ( ~ esk4436_2(X1,X2)
    | ~ esk4434_2(X1,X2) )).

cnf(i_0_6226,axiom,
    ( esk1715_2(X1,X2)
    | esk1717_2(X1,X2)
    | esk1716_2(X1,X2) )).

cnf(i_0_6227,axiom,
    ( ~ esk4568_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_6228,axiom,
    ( esk1621_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk27_2(X1,X2) )).

cnf(i_0_6229,axiom,
    ( ~ esk4792_2(X1,X2)
    | ~ esk4791_2(X1,X2) )).

cnf(i_0_6230,axiom,
    ( esk3463_2(X1,X2)
    | ~ esk3899_2(X1,X2) )).

cnf(i_0_6231,axiom,
    ( esk3598_2(X1,X2)
    | ~ esk3593_2(X1,X2)
    | ~ esk3597_2(X1,X2) )).

cnf(i_0_6232,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1584_2(X1,X2) )).

cnf(i_0_6233,axiom,
    ( ~ esk1616_2(X1,X2)
    | ~ esk1614_2(X1,X2) )).

cnf(i_0_6234,axiom,
    ( esk100_2(X1,X2)
    | ~ esk1774_2(X1,X2) )).

cnf(i_0_6235,axiom,
    ( esk102_2(X1,X2)
    | ~ esk4998_2(X1,X2) )).

cnf(i_0_6236,axiom,
    ( ~ esk2888_2(X1,X2)
    | ~ esk2890_2(X1,X2) )).

cnf(i_0_6237,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1872_2(X1,X2) )).

cnf(i_0_6238,axiom,
    ( ~ esk4375_2(X1,X2)
    | ~ esk4376_2(X1,X2) )).

cnf(i_0_6239,axiom,
    ( ~ esk4399_2(X1,X2)
    | ~ esk4396_2(X1,X2) )).

cnf(i_0_6240,axiom,
    ( ~ esk4873_2(X1,X2)
    | esk4878_2(X1,X2)
    | ~ esk4877_2(X1,X2) )).

cnf(i_0_6241,axiom,
    ( ~ esk5542_2(X1,X2)
    | ~ esk3784_2(X1,X2)
    | ~ esk1131_2(X1,X2) )).

cnf(i_0_6242,axiom,
    ( esk3271_2(X1,X2)
    | ~ esk3276_2(X1,X2) )).

cnf(i_0_6243,axiom,
    ( esk5392_2(X1,X2)
    | ~ esk5393_2(X1,X2) )).

cnf(i_0_6244,axiom,
    ( esk5226_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | ~ esk3211_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_6245,axiom,
    ( ~ esk870_2(X1,X2)
    | ~ esk869_2(X1,X2) )).

cnf(i_0_6246,axiom,
    ( ~ esk4245_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_6247,axiom,
    ( esk3094_2(X1,X2)
    | ~ esk3134_2(X1,X2) )).

cnf(i_0_6248,axiom,
    ( ~ esk3068_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_6249,axiom,
    ( esk3775_2(X1,X2)
    | ~ esk4380_2(X1,X2) )).

cnf(i_0_6250,axiom,
    ( ~ esk5568_2(X1,X2)
    | ~ esk4332_2(X1,X2)
    | ~ esk1679_2(X1,X2) )).

cnf(i_0_6251,axiom,
    ( esk4475_2(X1,X2)
    | esk4477_2(X1,X2)
    | esk4476_2(X1,X2)
    | esk4478_2(X1,X2)
    | esk4479_2(X1,X2) )).

cnf(i_0_6252,axiom,
    ( esk1189_2(X1,X2)
    | ~ esk1638_2(X1,X2) )).

cnf(i_0_6253,axiom,
    ( ~ esk4329_2(X1,X2)
    | ~ esk4330_2(X1,X2) )).

cnf(i_0_6254,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4338_2(X1,X2) )).

cnf(i_0_6255,axiom,
    ( esk2523_2(X1,X2)
    | esk2524_2(X1,X2) )).

cnf(i_0_6256,axiom,
    ( ~ esk3283_2(X1,X2)
    | ~ esk3364_2(X1,X2) )).

cnf(i_0_6257,axiom,
    ( ~ esk623_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_6258,axiom,
    ( ~ esk3040_2(X1,X2)
    | esk3039_2(X1,X2) )).

cnf(i_0_6259,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | esk347_2(X1,X2)
    | ~ esk346_2(X1,X2) )).

cnf(i_0_6260,axiom,
    ( ~ esk1272_2(X1,X2)
    | ~ esk1258_2(X1,X2) )).

cnf(i_0_6261,axiom,
    ( ~ esk3352_2(X1,X2)
    | esk3351_2(X1,X2) )).

cnf(i_0_6262,axiom,
    ( ~ esk1850_2(X1,X2)
    | ~ esk1848_2(X1,X2) )).

cnf(i_0_6263,axiom,
    ( esk4293_2(X1,X2)
    | esk4292_2(X1,X2)
    | esk4294_2(X1,X2)
    | esk4295_2(X1,X2)
    | esk4291_2(X1,X2) )).

cnf(i_0_6264,axiom,
    ( ~ esk1837_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_6265,axiom,
    ( esk980_2(X1,X2)
    | ~ esk981_2(X1,X2) )).

cnf(i_0_6266,axiom,
    ( ~ esk1781_2(X1,X2)
    | ~ esk1783_2(X1,X2) )).

cnf(i_0_6267,axiom,
    ( ~ esk1512_2(X1,X2)
    | ~ esk1497_2(X1,X2) )).

cnf(i_0_6268,axiom,
    ( esk3001_2(X1,X2)
    | ~ esk150_2(X1,X2)
    | ~ esk2971_2(X1,X2) )).

cnf(i_0_6269,axiom,
    ( ~ esk4797_2(X1,X2)
    | esk4798_2(X1,X2)
    | ~ esk4794_2(X1,X2) )).

cnf(i_0_6270,axiom,
    ( esk148_2(X1,X2)
    | esk4189_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_6271,axiom,
    ( esk4226_2(X1,X2)
    | esk4225_2(X1,X2) )).

cnf(i_0_6272,axiom,
    ( esk1624_2(X1,X2)
    | ~ esk1848_2(X1,X2) )).

cnf(i_0_6273,axiom,
    ( ~ esk1819_2(X1,X2)
    | ~ esk1820_2(X1,X2) )).

cnf(i_0_6274,axiom,
    ( esk4067_2(X1,X2)
    | ~ esk4068_2(X1,X2) )).

cnf(i_0_6275,axiom,
    ( ~ esk4078_2(X1,X2)
    | ~ esk4077_2(X1,X2) )).

cnf(i_0_6276,axiom,
    ( esk3445_2(X1,X2)
    | ~ esk3446_2(X1,X2) )).

cnf(i_0_6277,axiom,
    ( ~ esk2780_2(X1,X2)
    | esk2776_2(X1,X2) )).

cnf(i_0_6278,axiom,
    ( ~ esk317_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | esk412_2(X1,X2) )).

cnf(i_0_6279,axiom,
    ( esk104_2(X1,X2)
    | ~ esk2401_2(X1,X2) )).

cnf(i_0_6280,axiom,
    ( ~ esk1006_2(X1,X2)
    | esk1222_2(X1,X2)
    | ~ esk801_2(X1,X2) )).

cnf(i_0_6281,axiom,
    ( ~ esk2583_2(X1,X2)
    | ~ esk2585_2(X1,X2)
    | esk2586_2(X1,X2) )).

cnf(i_0_6282,axiom,
    ( ~ esk4314_2(X1,X2)
    | esk84_2(X1,X2) )).

cnf(i_0_6283,axiom,
    ( ~ esk192_2(X1,X2)
    | ~ esk155_2(X1,X2) )).

cnf(i_0_6284,axiom,
    ( esk2644_2(X1,X2)
    | ~ esk2645_2(X1,X2) )).

cnf(i_0_6285,axiom,
    ( esk84_2(X1,X2)
    | ~ esk1661_2(X1,X2) )).

cnf(i_0_6286,axiom,
    ( esk179_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_6287,axiom,
    ( esk656_2(X1,X2)
    | esk1302_2(X1,X2) )).

cnf(i_0_6288,axiom,
    ( esk1453_2(X1,X2)
    | ~ esk1426_2(X1,X2)
    | ~ esk1452_2(X1,X2) )).

cnf(i_0_6289,axiom,
    ( ~ esk1028_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_6290,axiom,
    ( esk4660_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_6291,axiom,
    ( esk2026_2(X1,X2)
    | esk2025_2(X1,X2) )).

cnf(i_0_6292,axiom,
    ( ~ esk347_2(X1,X2)
    | esk346_2(X1,X2) )).

cnf(i_0_6293,axiom,
    ( ~ esk2076_2(X1,X2)
    | esk2080_2(X1,X2)
    | ~ esk2079_2(X1,X2) )).

cnf(i_0_6294,axiom,
    ( esk3959_2(X1,X2)
    | ~ esk3982_2(X1,X2) )).

cnf(i_0_6295,axiom,
    ( ~ esk4284_2(X1,X2)
    | esk1631_2(X1,X2)
    | esk5561_2(X1,X2) )).

cnf(i_0_6296,axiom,
    ( esk5303_2(X1,X2)
    | esk5304_2(X1,X2) )).

cnf(i_0_6297,axiom,
    ( esk1949_2(X1,X2)
    | esk1950_2(X1,X2) )).

cnf(i_0_6298,axiom,
    ( ~ esk396_2(X1,X2)
    | ~ esk393_2(X1,X2) )).

cnf(i_0_6299,axiom,
    ( ~ esk1123_2(X1,X2)
    | esk3776_2(X1,X2)
    | esk5541_2(X1,X2) )).

cnf(i_0_6300,axiom,
    ( ~ esk2310_2(X1,X2)
    | ~ esk2311_2(X1,X2) )).

cnf(i_0_6301,axiom,
    ( esk1941_2(X1,X2)
    | ~ esk1942_2(X1,X2) )).

cnf(i_0_6302,axiom,
    ( esk34_2(X1,X2)
    | ~ esk2895_2(X1,X2) )).

cnf(i_0_6303,axiom,
    ( esk1429_2(X1,X2)
    | esk760_2(X1,X2) )).

cnf(i_0_6304,axiom,
    ( ~ esk4965_2(X1,X2)
    | esk4964_2(X1,X2) )).

cnf(i_0_6305,axiom,
    ( ~ esk3614_2(X1,X2)
    | ~ esk5235_2(X1,X2) )).

cnf(i_0_6306,axiom,
    ( ~ esk1397_2(X1,X2)
    | ~ esk1394_2(X1,X2)
    | esk1398_2(X1,X2) )).

cnf(i_0_6307,axiom,
    ( ~ esk4943_2(X1,X2)
    | ~ esk4946_2(X1,X2)
    | esk4947_2(X1,X2) )).

cnf(i_0_6308,axiom,
    ( esk147_2(X1,X2)
    | ~ esk284_2(X1,X2) )).

cnf(i_0_6309,axiom,
    ( ~ esk1301_2(X1,X2)
    | ~ esk1300_2(X1,X2) )).

cnf(i_0_6310,axiom,
    ( ~ esk3108_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_6311,axiom,
    ( ~ esk3458_2(X1,X2)
    | ~ esk3457_2(X1,X2) )).

cnf(i_0_6312,axiom,
    ( esk609_2(X1,X2)
    | ~ esk614_2(X1,X2) )).

cnf(i_0_6313,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4335_2(X1,X2) )).

cnf(i_0_6314,axiom,
    ( ~ esk2966_2(X1,X2)
    | esk2965_2(X1,X2) )).

cnf(i_0_6315,axiom,
    ( ~ esk393_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_6316,axiom,
    ( ~ esk4262_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_6317,axiom,
    ( ~ esk1024_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_6318,axiom,
    ( ~ esk2901_2(X1,X2)
    | esk2920_2(X1,X2)
    | ~ esk165_2(X1,X2) )).

cnf(i_0_6319,axiom,
    ( ~ esk2768_2(X1,X2)
    | esk2767_2(X1,X2) )).

cnf(i_0_6320,axiom,
    ( esk365_2(X1,X2)
    | ~ esk366_2(X1,X2) )).

cnf(i_0_6321,axiom,
    ( ~ esk1515_2(X1,X2)
    | esk4168_2(X1,X2)
    | esk5553_2(X1,X2) )).

cnf(i_0_6322,axiom,
    ( ~ esk4069_2(X1,X2)
    | ~ esk4068_2(X1,X2) )).

cnf(i_0_6323,axiom,
    ( ~ esk977_2(X1,X2)
    | ~ esk976_2(X1,X2) )).

cnf(i_0_6324,axiom,
    ( esk130_2(X1,X2)
    | esk312_2(X1,X2) )).

cnf(i_0_6325,axiom,
    ( esk3274_2(X1,X2)
    | ~ esk3278_2(X1,X2) )).

cnf(i_0_6326,axiom,
    ( ~ esk1413_2(X1,X2)
    | ~ esk1412_2(X1,X2) )).

cnf(i_0_6327,axiom,
    ( esk5427_2(X1,X2)
    | esk5426_2(X1,X2) )).

cnf(i_0_6328,axiom,
    ( ~ esk3579_2(X1,X2)
    | esk3578_2(X1,X2) )).

cnf(i_0_6329,axiom,
    ( esk1269_2(X1,X2)
    | ~ esk1270_2(X1,X2) )).

cnf(i_0_6330,axiom,
    ( esk3180_2(X1,X2)
    | ~ esk3184_2(X1,X2) )).

cnf(i_0_6331,axiom,
    ( ~ esk660_2(X1,X2)
    | esk661_2(X1,X2)
    | ~ esk656_2(X1,X2) )).

cnf(i_0_6332,axiom,
    ( ~ esk2186_2(X1,X2)
    | esk2191_2(X1,X2)
    | ~ esk2190_2(X1,X2) )).

cnf(i_0_6333,axiom,
    ( esk2396_2(X1,X2)
    | esk2395_2(X1,X2)
    | esk2393_2(X1,X2) )).

cnf(i_0_6334,axiom,
    ( esk248_2(X1,X2)
    | ~ esk12_2(X1,X2)
    | ~ esk238_2(X1,X2)
    | ~ esk240_2(X1,X2) )).

cnf(i_0_6335,axiom,
    ( esk323_2(X1,X2)
    | esk322_2(X1,X2) )).

cnf(i_0_6336,axiom,
    ( esk3175_2(X1,X2)
    | ~ esk93_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_6337,axiom,
    ( ~ esk2057_2(X1,X2)
    | ~ esk2058_2(X1,X2)
    | esk2059_2(X1,X2) )).

cnf(i_0_6338,axiom,
    ( ~ esk4601_2(X1,X2)
    | esk4600_2(X1,X2) )).

cnf(i_0_6339,axiom,
    ( ~ esk2981_2(X1,X2)
    | ~ esk3128_2(X1,X2)
    | esk3129_2(X1,X2) )).

cnf(i_0_6340,axiom,
    ( esk874_2(X1,X2)
    | esk875_2(X1,X2) )).

cnf(i_0_6341,axiom,
    ( ~ esk2757_2(X1,X2)
    | ~ esk2756_2(X1,X2) )).

cnf(i_0_6342,axiom,
    ( ~ esk903_2(X1,X2)
    | esk902_2(X1,X2) )).

cnf(i_0_6343,axiom,
    ( esk4955_2(X1,X2)
    | ~ esk4954_2(X1,X2)
    | ~ esk4951_2(X1,X2) )).

cnf(i_0_6344,axiom,
    ( ~ esk1428_2(X1,X2)
    | esk1427_2(X1,X2) )).

cnf(i_0_6345,axiom,
    ( esk5441_2(X1,X2)
    | esk5443_2(X1,X2)
    | esk5444_2(X1,X2) )).

cnf(i_0_6346,axiom,
    ( ~ esk688_2(X1,X2)
    | ~ esk1064_2(X1,X2) )).

cnf(i_0_6347,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1867_2(X1,X2) )).

cnf(i_0_6348,axiom,
    ( ~ esk2379_2(X1,X2)
    | ~ esk2378_2(X1,X2) )).

cnf(i_0_6349,axiom,
    ( esk156_2(X1,X2)
    | ~ esk2865_2(X1,X2) )).

cnf(i_0_6350,axiom,
    ( esk104_2(X1,X2)
    | ~ esk2939_2(X1,X2) )).

cnf(i_0_6351,axiom,
    ( ~ esk5067_2(X1,X2)
    | ~ esk5068_2(X1,X2) )).

cnf(i_0_6352,axiom,
    ( ~ esk5208_2(X1,X2)
    | ~ esk5209_2(X1,X2) )).

cnf(i_0_6353,axiom,
    ( esk1432_2(X1,X2)
    | esk1431_2(X1,X2) )).

cnf(i_0_6354,axiom,
    ( esk511_2(X1,X2)
    | ~ esk2684_2(X1,X2) )).

cnf(i_0_6355,axiom,
    ( esk1807_2(X1,X2)
    | esk1808_2(X1,X2)
    | esk1805_2(X1,X2)
    | esk1806_2(X1,X2)
    | esk1804_2(X1,X2) )).

cnf(i_0_6356,axiom,
    ( esk1321_2(X1,X2)
    | esk1322_2(X1,X2) )).

cnf(i_0_6357,axiom,
    ( ~ esk855_2(X1,X2)
    | ~ esk128_2(X1,X2)
    | esk856_2(X1,X2) )).

cnf(i_0_6358,axiom,
    ( ~ esk3655_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_6359,axiom,
    ( ~ esk538_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_6360,axiom,
    ( esk4033_2(X1,X2)
    | esk4034_2(X1,X2) )).

cnf(i_0_6361,axiom,
    ( esk2190_2(X1,X2)
    | ~ esk2191_2(X1,X2) )).

cnf(i_0_6362,axiom,
    ( esk3235_2(X1,X2)
    | esk3234_2(X1,X2) )).

cnf(i_0_6363,axiom,
    ( ~ esk3475_2(X1,X2)
    | ~ esk3215_2(X1,X2)
    | esk3476_2(X1,X2) )).

cnf(i_0_6364,axiom,
    ( esk4901_2(X1,X2)
    | ~ esk4902_2(X1,X2) )).

cnf(i_0_6365,axiom,
    ( ~ esk4814_2(X1,X2)
    | esk4810_2(X1,X2) )).

cnf(i_0_6366,axiom,
    ( ~ esk1736_2(X1,X2)
    | ~ esk1735_2(X1,X2) )).

cnf(i_0_6367,axiom,
    ( esk4_2(X1,X2)
    | ~ esk1259_2(X1,X2) )).

cnf(i_0_6368,axiom,
    ( esk947_2(X1,X2)
    | esk948_2(X1,X2) )).

cnf(i_0_6369,axiom,
    ( ~ esk1980_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_6370,axiom,
    ( esk5221_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_6371,axiom,
    ( ~ esk5228_2(X1,X2)
    | ~ esk5227_2(X1,X2) )).

cnf(i_0_6372,axiom,
    ( ~ esk398_2(X1,X2)
    | esk404_2(X1,X2)
    | ~ esk403_2(X1,X2) )).

cnf(i_0_6373,axiom,
    ( ~ esk3949_2(X1,X2)
    | ~ esk3948_2(X1,X2) )).

cnf(i_0_6374,axiom,
    ( ~ esk4528_2(X1,X2)
    | ~ esk4530_2(X1,X2) )).

cnf(i_0_6375,axiom,
    ( ~ esk3488_2(X1,X2)
    | ~ esk3489_2(X1,X2) )).

cnf(i_0_6376,axiom,
    ( ~ esk2111_2(X1,X2)
    | esk2112_2(X1,X2)
    | ~ esk2108_2(X1,X2) )).

cnf(i_0_6377,axiom,
    ( esk3414_2(X1,X2)
    | ~ esk3439_2(X1,X2) )).

cnf(i_0_6378,axiom,
    ( esk1165_2(X1,X2)
    | ~ esk1166_2(X1,X2) )).

cnf(i_0_6379,axiom,
    ( esk5218_2(X1,X2)
    | ~ esk5217_2(X1,X2)
    | ~ esk5214_2(X1,X2) )).

cnf(i_0_6380,axiom,
    ( ~ esk4682_2(X1,X2)
    | esk4653_2(X1,X2) )).

cnf(i_0_6381,axiom,
    ( ~ esk2072_2(X1,X2)
    | esk2068_2(X1,X2) )).

cnf(i_0_6382,axiom,
    ( esk5291_2(X1,X2)
    | ~ esk5292_2(X1,X2) )).

cnf(i_0_6383,axiom,
    ( esk5440_2(X1,X2)
    | ~ esk5452_2(X1,X2) )).

cnf(i_0_6384,axiom,
    ( ~ esk5093_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_6385,axiom,
    ( ~ esk4641_2(X1,X2)
    | ~ esk4642_2(X1,X2) )).

cnf(i_0_6386,axiom,
    ( esk4098_2(X1,X2)
    | esk4099_2(X1,X2) )).

cnf(i_0_6387,axiom,
    ( ~ esk3337_2(X1,X2)
    | ~ esk3338_2(X1,X2) )).

cnf(i_0_6388,axiom,
    ( ~ esk2475_2(X1,X2)
    | ~ esk2474_2(X1,X2) )).

cnf(i_0_6389,axiom,
    ( ~ esk4257_2(X1,X2)
    | ~ esk4256_2(X1,X2) )).

cnf(i_0_6390,axiom,
    ( esk1660_2(X1,X2)
    | ~ esk1581_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk1273_2(X1,X2) )).

cnf(i_0_6391,axiom,
    ( esk3414_2(X1,X2)
    | ~ esk4139_2(X1,X2) )).

cnf(i_0_6392,axiom,
    ( esk347_2(X1,X2)
    | esk348_2(X1,X2)
    | esk345_2(X1,X2) )).

cnf(i_0_6393,axiom,
    ( esk2190_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_6394,axiom,
    ( ~ esk1094_2(X1,X2)
    | ~ esk1095_2(X1,X2) )).

cnf(i_0_6395,axiom,
    ( ~ esk2809_2(X1,X2)
    | ~ esk2811_2(X1,X2) )).

cnf(i_0_6396,axiom,
    ( ~ esk1889_2(X1,X2)
    | esk87_2(X1,X2) )).

cnf(i_0_6397,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk4642_2(X1,X2) )).

cnf(i_0_6398,axiom,
    ( esk1956_2(X1,X2)
    | ~ esk1957_2(X1,X2) )).

cnf(i_0_6399,axiom,
    ( esk4331_2(X1,X2)
    | ~ esk4332_2(X1,X2) )).

cnf(i_0_6400,axiom,
    ( ~ esk5177_2(X1,X2)
    | ~ esk5176_2(X1,X2) )).

cnf(i_0_6401,axiom,
    ( esk2585_2(X1,X2)
    | esk2584_2(X1,X2) )).

cnf(i_0_6402,axiom,
    ( esk4704_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3380_2(X1,X2) )).

cnf(i_0_6403,axiom,
    ( esk3492_2(X1,X2)
    | ~ esk3496_2(X1,X2) )).

cnf(i_0_6404,axiom,
    ( esk3949_2(X1,X2)
    | esk3948_2(X1,X2) )).

cnf(i_0_6405,axiom,
    ( esk2842_2(X1,X2)
    | esk2841_2(X1,X2) )).

cnf(i_0_6406,axiom,
    ( esk161_2(X1,X2)
    | esk1651_2(X1,X2) )).

cnf(i_0_6407,axiom,
    ( esk4187_2(X1,X2)
    | esk4186_2(X1,X2) )).

cnf(i_0_6408,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4244_2(X1,X2) )).

cnf(i_0_6409,axiom,
    ( esk3607_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_6410,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1633_2(X1,X2) )).

cnf(i_0_6411,axiom,
    ( ~ esk1441_2(X1,X2)
    | ~ esk1440_2(X1,X2) )).

cnf(i_0_6412,axiom,
    ( esk1125_2(X1,X2)
    | ~ esk1612_2(X1,X2) )).

cnf(i_0_6413,axiom,
    ( ~ esk2573_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_6414,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk1941_2(X1,X2) )).

cnf(i_0_6415,axiom,
    ( ~ esk4305_2(X1,X2)
    | ~ esk4309_2(X1,X2) )).

cnf(i_0_6416,axiom,
    ( esk75_2(X1,X2)
    | ~ esk4529_2(X1,X2) )).

cnf(i_0_6417,axiom,
    ( ~ esk3904_2(X1,X2)
    | ~ esk3905_2(X1,X2) )).

cnf(i_0_6418,axiom,
    ( esk13_2(X1,X2)
    | ~ esk2868_2(X1,X2) )).

cnf(i_0_6419,axiom,
    ( ~ esk111_2(X1,X2)
    | esk3088_2(X1,X2)
    | ~ esk2979_2(X1,X2) )).

cnf(i_0_6420,axiom,
    ( esk144_2(X1,X2)
    | ~ esk473_2(X1,X2) )).

cnf(i_0_6421,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk47_2(X1,X2)
    | ~ esk1199_2(X1,X2)
    | esk1788_2(X1,X2) )).

cnf(i_0_6422,axiom,
    ( ~ esk4953_2(X1,X2)
    | ~ esk4954_2(X1,X2) )).

cnf(i_0_6423,axiom,
    ( ~ esk634_2(X1,X2)
    | ~ esk633_2(X1,X2) )).

cnf(i_0_6424,axiom,
    ( esk104_2(X1,X2)
    | ~ esk481_2(X1,X2) )).

cnf(i_0_6425,axiom,
    ( ~ esk3435_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_6426,axiom,
    ( ~ esk3368_2(X1,X2)
    | ~ esk3671_2(X1,X2)
    | esk4854_2(X1,X2) )).

cnf(i_0_6427,axiom,
    ( ~ esk130_2(X1,X2)
    | ~ esk1975_2(X1,X2) )).

cnf(i_0_6428,axiom,
    ( ~ esk3326_2(X1,X2)
    | ~ esk3325_2(X1,X2) )).

cnf(i_0_6429,axiom,
    ( esk636_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_6430,axiom,
    ( ~ esk2279_2(X1,X2)
    | ~ esk2283_2(X1,X2)
    | esk2284_2(X1,X2) )).

cnf(i_0_6431,axiom,
    ( esk3508_2(X1,X2)
    | esk3507_2(X1,X2) )).

cnf(i_0_6432,axiom,
    ( ~ esk1156_2(X1,X2)
    | esk688_2(X1,X2) )).

cnf(i_0_6433,axiom,
    ( esk3814_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3813_2(X1,X2) )).

cnf(i_0_6434,axiom,
    ( ~ esk308_2(X1,X2)
    | esk281_2(X1,X2) )).

cnf(i_0_6435,axiom,
    ( ~ esk3855_2(X1,X2)
    | esk3657_2(X1,X2) )).

cnf(i_0_6436,axiom,
    ( ~ esk1203_2(X1,X2)
    | ~ esk1206_2(X1,X2) )).

cnf(i_0_6437,axiom,
    ( ~ esk3786_2(X1,X2)
    | esk4390_2(X1,X2)
    | ~ esk3785_2(X1,X2)
    | ~ esk2968_2(X1,X2) )).

cnf(i_0_6438,axiom,
    ( ~ esk3539_2(X1,X2)
    | ~ esk3540_2(X1,X2) )).

cnf(i_0_6439,axiom,
    ( ~ esk1768_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_6440,axiom,
    ( ~ esk5322_2(X1,X2)
    | ~ esk5321_2(X1,X2) )).

cnf(i_0_6441,axiom,
    ( ~ esk1729_2(X1,X2)
    | esk1730_2(X1,X2)
    | ~ esk1711_2(X1,X2) )).

cnf(i_0_6442,axiom,
    ( ~ esk1099_2(X1,X2)
    | esk1098_2(X1,X2) )).

cnf(i_0_6443,axiom,
    ( ~ esk4160_2(X1,X2)
    | esk4155_2(X1,X2) )).

cnf(i_0_6444,axiom,
    ( esk1530_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_6445,axiom,
    ( esk391_2(X1,X2)
    | esk392_2(X1,X2) )).

cnf(i_0_6446,axiom,
    ( esk4687_2(X1,X2)
    | esk4685_2(X1,X2)
    | esk4686_2(X1,X2) )).

cnf(i_0_6447,axiom,
    ( esk4129_2(X1,X2)
    | ~ esk4130_2(X1,X2) )).

cnf(i_0_6448,axiom,
    ( esk3023_2(X1,X2)
    | esk3024_2(X1,X2)
    | esk3021_2(X1,X2) )).

cnf(i_0_6449,axiom,
    ( esk4658_2(X1,X2)
    | esk4674_2(X1,X2) )).

cnf(i_0_6450,axiom,
    ( ~ esk3197_2(X1,X2)
    | ~ esk5347_2(X1,X2) )).

cnf(i_0_6451,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk19_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | esk1818_2(X1,X2) )).

cnf(i_0_6452,axiom,
    ( esk3447_2(X1,X2)
    | ~ esk3658_2(X1,X2) )).

cnf(i_0_6453,axiom,
    ( esk3455_2(X1,X2)
    | esk3454_2(X1,X2) )).

cnf(i_0_6454,axiom,
    ( ~ esk3223_2(X1,X2)
    | ~ esk5188_2(X1,X2)
    | esk5189_2(X1,X2) )).

cnf(i_0_6455,axiom,
    ( ~ esk2347_2(X1,X2)
    | ~ esk2348_2(X1,X2) )).

cnf(i_0_6456,axiom,
    ( esk2090_2(X1,X2)
    | ~ esk2091_2(X1,X2) )).

cnf(i_0_6457,axiom,
    ( ~ esk1668_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_6458,axiom,
    ( ~ esk5104_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_6459,axiom,
    ( ~ esk4481_2(X1,X2)
    | esk4412_2(X1,X2) )).

cnf(i_0_6460,axiom,
    ( esk4600_2(X1,X2)
    | esk115_2(X1,X2) )).

cnf(i_0_6461,axiom,
    ( esk1465_2(X1,X2)
    | ~ esk1464_2(X1,X2)
    | ~ esk1461_2(X1,X2) )).

cnf(i_0_6462,axiom,
    ( ~ esk39_2(X1,X2)
    | esk2795_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_6463,axiom,
    ( ~ esk1680_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk86_2(X1,X2)
    | esk1896_2(X1,X2) )).

cnf(i_0_6464,axiom,
    ( esk5076_2(X1,X2)
    | ~ esk5082_2(X1,X2) )).

cnf(i_0_6465,axiom,
    ( ~ esk491_2(X1,X2)
    | esk493_2(X1,X2)
    | ~ esk492_2(X1,X2) )).

cnf(i_0_6466,axiom,
    ( ~ esk2409_2(X1,X2)
    | ~ esk2408_2(X1,X2) )).

cnf(i_0_6467,axiom,
    ( ~ esk4822_2(X1,X2)
    | ~ esk4823_2(X1,X2) )).

cnf(i_0_6468,axiom,
    ( ~ esk5308_2(X1,X2)
    | esk3173_2(X1,X2) )).

cnf(i_0_6469,axiom,
    ( ~ esk3405_2(X1,X2)
    | ~ esk3371_2(X1,X2)
    | esk3406_2(X1,X2) )).

cnf(i_0_6470,axiom,
    ( ~ esk2539_2(X1,X2)
    | esk2538_2(X1,X2) )).

cnf(i_0_6471,axiom,
    ( esk3816_2(X1,X2)
    | esk3309_2(X1,X2) )).

cnf(i_0_6472,axiom,
    ( ~ esk257_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_6473,axiom,
    ( esk457_2(X1,X2)
    | esk458_2(X1,X2) )).

cnf(i_0_6474,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk284_2(X1,X2)
    | ~ esk283_2(X1,X2) )).

cnf(i_0_6475,axiom,
    ( ~ esk2706_2(X1,X2)
    | ~ esk2705_2(X1,X2) )).

cnf(i_0_6476,axiom,
    ( esk2556_2(X1,X2)
    | esk2555_2(X1,X2) )).

cnf(i_0_6477,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1867_2(X1,X2) )).

cnf(i_0_6478,axiom,
    ( esk4609_2(X1,X2)
    | ~ esk4610_2(X1,X2) )).

cnf(i_0_6479,axiom,
    ( ~ esk1639_2(X1,X2)
    | ~ esk1642_2(X1,X2) )).

cnf(i_0_6480,axiom,
    ( esk2235_2(X1,X2)
    | esk2236_2(X1,X2) )).

cnf(i_0_6481,axiom,
    ( ~ esk3271_2(X1,X2)
    | ~ esk3356_2(X1,X2) )).

cnf(i_0_6482,axiom,
    ( ~ esk5211_2(X1,X2)
    | ~ esk5210_2(X1,X2) )).

cnf(i_0_6483,axiom,
    ( esk5453_2(X1,X2)
    | esk5434_2(X1,X2) )).

cnf(i_0_6484,axiom,
    ( ~ esk3600_2(X1,X2)
    | esk3596_2(X1,X2) )).

cnf(i_0_6485,axiom,
    ( ~ esk4584_2(X1,X2)
    | ~ esk4585_2(X1,X2) )).

cnf(i_0_6486,axiom,
    ( esk410_2(X1,X2)
    | esk409_2(X1,X2) )).

cnf(i_0_6487,axiom,
    ( ~ esk4289_2(X1,X2)
    | ~ esk4286_2(X1,X2) )).

cnf(i_0_6488,axiom,
    ( esk839_2(X1,X2)
    | esk827_2(X1,X2) )).

cnf(i_0_6489,axiom,
    ( ~ esk4951_2(X1,X2)
    | ~ esk4950_2(X1,X2) )).

cnf(i_0_6490,axiom,
    ( esk3892_2(X1,X2)
    | esk3891_2(X1,X2) )).

cnf(i_0_6491,axiom,
    ( ~ esk1728_2(X1,X2)
    | ~ esk1729_2(X1,X2) )).

cnf(i_0_6492,axiom,
    ( esk1091_2(X1,X2)
    | ~ esk975_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk629_2(X1,X2) )).

cnf(i_0_6493,axiom,
    ( esk1997_2(X1,X2)
    | esk1996_2(X1,X2) )).

cnf(i_0_6494,axiom,
    ( esk98_2(X1,X2)
    | ~ esk367_2(X1,X2) )).

cnf(i_0_6495,axiom,
    ( ~ esk1944_2(X1,X2)
    | ~ esk1943_2(X1,X2) )).

cnf(i_0_6496,axiom,
    ( ~ esk214_2(X1,X2)
    | ~ esk215_2(X1,X2) )).

cnf(i_0_6497,axiom,
    ( ~ esk4216_2(X1,X2)
    | ~ esk4217_2(X1,X2) )).

cnf(i_0_6498,axiom,
    ( ~ esk362_2(X1,X2)
    | ~ esk361_2(X1,X2) )).

cnf(i_0_6499,axiom,
    ( esk2436_2(X1,X2)
    | ~ esk2435_2(X1,X2)
    | ~ esk2432_2(X1,X2) )).

cnf(i_0_6500,axiom,
    ( ~ esk578_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_6501,axiom,
    ( ~ esk4191_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_6502,axiom,
    ( ~ esk4012_2(X1,X2)
    | ~ esk4013_2(X1,X2) )).

cnf(i_0_6503,axiom,
    ( esk4430_2(X1,X2)
    | esk4429_2(X1,X2)
    | esk144_2(X1,X2)
    | esk4427_2(X1,X2) )).

cnf(i_0_6504,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | esk3095_2(X1,X2) )).

cnf(i_0_6505,axiom,
    ( esk102_2(X1,X2)
    | ~ esk4421_2(X1,X2) )).

cnf(i_0_6506,axiom,
    ( esk3153_2(X1,X2)
    | esk142_2(X1,X2)
    | esk4096_2(X1,X2) )).

cnf(i_0_6507,axiom,
    ( ~ esk4479_2(X1,X2)
    | ~ esk4478_2(X1,X2) )).

cnf(i_0_6508,axiom,
    ( esk5165_2(X1,X2)
    | esk5166_2(X1,X2) )).

cnf(i_0_6509,axiom,
    ( esk551_2(X1,X2)
    | esk550_2(X1,X2)
    | esk552_2(X1,X2) )).

cnf(i_0_6510,axiom,
    ( esk3938_2(X1,X2)
    | ~ esk3942_2(X1,X2) )).

cnf(i_0_6511,axiom,
    ( ~ esk782_2(X1,X2)
    | esk577_2(X1,X2) )).

cnf(i_0_6512,axiom,
    ( esk4766_2(X1,X2)
    | esk4765_2(X1,X2) )).

cnf(i_0_6513,axiom,
    ( ~ esk3148_2(X1,X2)
    | esk3134_2(X1,X2) )).

cnf(i_0_6514,axiom,
    ( esk143_2(X1,X2)
    | ~ esk369_2(X1,X2) )).

cnf(i_0_6515,axiom,
    ( esk90_2(X1,X2)
    | ~ esk3141_2(X1,X2) )).

cnf(i_0_6516,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk2352_2(X1,X2) )).

cnf(i_0_6517,axiom,
    ( esk4366_2(X1,X2)
    | ~ esk4378_2(X1,X2) )).

cnf(i_0_6518,axiom,
    ( ~ esk4576_2(X1,X2)
    | ~ esk4575_2(X1,X2) )).

cnf(i_0_6519,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk3204_2(X1,X2) )).

cnf(i_0_6520,axiom,
    ( esk4420_2(X1,X2)
    | esk1767_2(X1,X2)
    | ~ esk5579_2(X1,X2) )).

cnf(i_0_6521,axiom,
    ( esk651_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_6522,axiom,
    ( esk371_2(X1,X2)
    | esk370_2(X1,X2) )).

cnf(i_0_6523,axiom,
    ( ~ esk3800_2(X1,X2)
    | esk3796_2(X1,X2) )).

cnf(i_0_6524,axiom,
    ( esk5589_2(X1,X2)
    | ~ esk4492_2(X1,X2)
    | esk1839_2(X1,X2) )).

cnf(i_0_6525,axiom,
    ( ~ esk734_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | ~ esk710_2(X1,X2)
    | esk2128_2(X1,X2) )).

cnf(i_0_6526,axiom,
    ( esk1773_2(X1,X2)
    | esk1772_2(X1,X2) )).

cnf(i_0_6527,axiom,
    ( ~ esk4555_2(X1,X2)
    | esk4437_2(X1,X2) )).

cnf(i_0_6528,axiom,
    ( ~ esk1725_2(X1,X2)
    | esk1724_2(X1,X2) )).

cnf(i_0_6529,axiom,
    ( ~ esk2808_2(X1,X2)
    | esk2807_2(X1,X2) )).

cnf(i_0_6530,axiom,
    ( ~ esk4440_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_6531,axiom,
    ( ~ esk4528_2(X1,X2)
    | esk85_2(X1,X2) )).

cnf(i_0_6532,axiom,
    ( ~ esk2596_2(X1,X2)
    | esk2597_2(X1,X2)
    | ~ esk2592_2(X1,X2) )).

cnf(i_0_6533,axiom,
    ( ~ esk2150_2(X1,X2)
    | ~ esk2130_2(X1,X2) )).

cnf(i_0_6534,axiom,
    ( ~ esk2445_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_6535,axiom,
    ( ~ esk1399_2(X1,X2)
    | ~ esk1405_2(X1,X2) )).

cnf(i_0_6536,axiom,
    ( ~ esk1546_2(X1,X2)
    | esk1104_2(X1,X2) )).

cnf(i_0_6537,axiom,
    ( esk4108_2(X1,X2)
    | esk4107_2(X1,X2) )).

cnf(i_0_6538,axiom,
    ( ~ esk3260_2(X1,X2)
    | esk3259_2(X1,X2) )).

cnf(i_0_6539,axiom,
    ( ~ esk2244_2(X1,X2)
    | ~ esk2248_2(X1,X2)
    | esk2249_2(X1,X2) )).

cnf(i_0_6540,axiom,
    ( ~ esk4503_2(X1,X2)
    | ~ esk4504_2(X1,X2) )).

cnf(i_0_6541,axiom,
    ( ~ esk1056_2(X1,X2)
    | ~ esk3709_2(X1,X2)
    | ~ esk5538_2(X1,X2) )).

cnf(i_0_6542,axiom,
    ( ~ esk1806_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_6543,axiom,
    ( ~ esk1945_2(X1,X2)
    | ~ esk1944_2(X1,X2) )).

cnf(i_0_6544,axiom,
    ( esk3301_2(X1,X2)
    | esk3300_2(X1,X2) )).

cnf(i_0_6545,axiom,
    ( ~ esk4144_2(X1,X2)
    | ~ esk3438_2(X1,X2) )).

cnf(i_0_6546,axiom,
    ( ~ esk4563_2(X1,X2)
    | esk4562_2(X1,X2) )).

cnf(i_0_6547,axiom,
    ( ~ esk125_2(X1,X2)
    | ~ esk135_2(X1,X2)
    | esk1308_2(X1,X2) )).

cnf(i_0_6548,axiom,
    ( esk3926_2(X1,X2)
    | esk3925_2(X1,X2) )).

cnf(i_0_6549,axiom,
    ( ~ esk3098_2(X1,X2)
    | ~ esk3099_2(X1,X2) )).

cnf(i_0_6550,axiom,
    ( ~ esk1155_2(X1,X2)
    | esk984_2(X1,X2) )).

cnf(i_0_6551,axiom,
    ( ~ esk488_2(X1,X2)
    | esk487_2(X1,X2) )).

cnf(i_0_6552,axiom,
    ( ~ esk140_2(X1,X2)
    | ~ esk566_2(X1,X2) )).

cnf(i_0_6553,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4535_2(X1,X2) )).

cnf(i_0_6554,axiom,
    ( esk4745_2(X1,X2)
    | ~ esk4749_2(X1,X2) )).

cnf(i_0_6555,axiom,
    ( esk1879_2(X1,X2)
    | esk5595_2(X1,X2)
    | ~ esk4532_2(X1,X2) )).

cnf(i_0_6556,axiom,
    ( ~ esk994_2(X1,X2)
    | ~ esk999_2(X1,X2) )).

cnf(i_0_6557,axiom,
    ( esk3824_2(X1,X2)
    | ~ esk4285_2(X1,X2) )).

cnf(i_0_6558,axiom,
    ( esk4425_2(X1,X2)
    | esk4426_2(X1,X2) )).

cnf(i_0_6559,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4532_2(X1,X2) )).

cnf(i_0_6560,axiom,
    ( esk5409_2(X1,X2)
    | esk5410_2(X1,X2) )).

cnf(i_0_6561,axiom,
    ( ~ esk3708_2(X1,X2)
    | ~ esk3709_2(X1,X2) )).

cnf(i_0_6562,axiom,
    ( ~ esk4278_2(X1,X2)
    | ~ esk4437_2(X1,X2)
    | esk4458_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_6563,axiom,
    ( ~ esk5046_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_6564,axiom,
    ( ~ esk3799_2(X1,X2)
    | ~ esk3798_2(X1,X2) )).

cnf(i_0_6565,axiom,
    ( esk2654_2(X1,X2)
    | ~ esk2668_2(X1,X2) )).

cnf(i_0_6566,axiom,
    ( ~ esk2698_2(X1,X2)
    | ~ esk2699_2(X1,X2) )).

cnf(i_0_6567,axiom,
    ( esk4300_2(X1,X2)
    | esk4298_2(X1,X2)
    | esk4301_2(X1,X2)
    | esk4299_2(X1,X2)
    | esk4297_2(X1,X2) )).

cnf(i_0_6568,axiom,
    ( ~ esk4884_2(X1,X2)
    | ~ esk4883_2(X1,X2) )).

cnf(i_0_6569,axiom,
    ( ~ esk3786_2(X1,X2)
    | ~ esk3785_2(X1,X2)
    | esk3787_2(X1,X2)
    | ~ esk3018_2(X1,X2) )).

cnf(i_0_6570,axiom,
    ( ~ esk5071_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_6571,axiom,
    ( esk1016_2(X1,X2)
    | ~ esk2198_2(X1,X2) )).

cnf(i_0_6572,axiom,
    ( ~ esk3403_2(X1,X2)
    | ~ esk3404_2(X1,X2) )).

cnf(i_0_6573,axiom,
    ( ~ esk1698_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_6574,axiom,
    ( ~ esk4131_2(X1,X2)
    | ~ esk4130_2(X1,X2) )).

cnf(i_0_6575,axiom,
    ( esk2130_2(X1,X2)
    | esk2150_2(X1,X2) )).

cnf(i_0_6576,axiom,
    ( esk2727_2(X1,X2)
    | esk2728_2(X1,X2) )).

cnf(i_0_6577,axiom,
    ( esk2615_2(X1,X2)
    | ~ esk2611_2(X1,X2)
    | ~ esk2614_2(X1,X2) )).

cnf(i_0_6578,axiom,
    ( esk3378_2(X1,X2)
    | esk3377_2(X1,X2) )).

cnf(i_0_6579,axiom,
    ( esk794_2(X1,X2)
    | esk565_2(X1,X2) )).

cnf(i_0_6580,axiom,
    ( ~ esk2785_2(X1,X2)
    | ~ esk2782_2(X1,X2) )).

cnf(i_0_6581,axiom,
    ( ~ esk4122_2(X1,X2)
    | ~ esk4124_2(X1,X2) )).

cnf(i_0_6582,axiom,
    ( esk1372_2(X1,X2)
    | ~ esk589_2(X1,X2)
    | ~ esk1371_2(X1,X2) )).

cnf(i_0_6583,axiom,
    ( ~ esk2924_2(X1,X2)
    | esk33_2(X1,X2) )).

cnf(i_0_6584,axiom,
    ( ~ esk173_2(X1,X2)
    | ~ esk4365_2(X1,X2) )).

cnf(i_0_6585,axiom,
    ( ~ esk1450_2(X1,X2)
    | ~ esk1451_2(X1,X2) )).

cnf(i_0_6586,axiom,
    ( ~ esk4495_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_6587,axiom,
    ( ~ esk4859_2(X1,X2)
    | ~ esk4860_2(X1,X2) )).

cnf(i_0_6588,axiom,
    ( esk3940_2(X1,X2)
    | esk3941_2(X1,X2) )).

cnf(i_0_6589,axiom,
    ( esk144_2(X1,X2)
    | ~ esk3135_2(X1,X2) )).

cnf(i_0_6590,axiom,
    ( ~ esk4168_2(X1,X2)
    | esk4075_2(X1,X2) )).

cnf(i_0_6591,axiom,
    ( ~ esk5428_2(X1,X2)
    | ~ esk5429_2(X1,X2) )).

cnf(i_0_6592,axiom,
    ( esk2600_2(X1,X2)
    | ~ esk2605_2(X1,X2) )).

cnf(i_0_6593,axiom,
    ( esk2296_2(X1,X2)
    | esk2295_2(X1,X2) )).

cnf(i_0_6594,axiom,
    ( ~ esk3725_2(X1,X2)
    | ~ esk3724_2(X1,X2) )).

cnf(i_0_6595,axiom,
    ( esk5161_2(X1,X2)
    | ~ esk5162_2(X1,X2) )).

cnf(i_0_6596,axiom,
    ( ~ esk5009_2(X1,X2)
    | esk5008_2(X1,X2) )).

cnf(i_0_6597,axiom,
    ( ~ esk4377_2(X1,X2)
    | ~ esk4376_2(X1,X2) )).

cnf(i_0_6598,axiom,
    ( esk1236_2(X1,X2)
    | ~ esk1074_2(X1,X2)
    | ~ esk59_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_6599,axiom,
    ( esk860_2(X1,X2)
    | ~ esk865_2(X1,X2) )).

cnf(i_0_6600,axiom,
    ( esk992_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | ~ esk527_2(X1,X2) )).

cnf(i_0_6601,axiom,
    ( ~ esk4537_2(X1,X2)
    | ~ esk4534_2(X1,X2) )).

cnf(i_0_6602,axiom,
    ( ~ esk5593_2(X1,X2)
    | esk1865_2(X1,X2)
    | esk4518_2(X1,X2) )).

cnf(i_0_6603,axiom,
    ( ~ esk484_2(X1,X2)
    | esk483_2(X1,X2) )).

cnf(i_0_6604,axiom,
    ( esk2518_2(X1,X2)
    | esk2519_2(X1,X2) )).

cnf(i_0_6605,axiom,
    ( ~ esk668_2(X1,X2)
    | ~ esk738_2(X1,X2) )).

cnf(i_0_6606,axiom,
    ( ~ esk716_2(X1,X2)
    | ~ esk715_2(X1,X2) )).

cnf(i_0_6607,axiom,
    ( ~ esk389_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_6608,axiom,
    ( ~ esk5172_2(X1,X2)
    | ~ esk5171_2(X1,X2) )).

cnf(i_0_6609,axiom,
    ( ~ esk5422_2(X1,X2)
    | esk5421_2(X1,X2) )).

cnf(i_0_6610,axiom,
    ( esk5194_2(X1,X2)
    | esk5195_2(X1,X2) )).

cnf(i_0_6611,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_6612,axiom,
    ( ~ esk4595_2(X1,X2)
    | ~ esk4596_2(X1,X2) )).

cnf(i_0_6613,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2424_2(X1,X2) )).

cnf(i_0_6614,axiom,
    ( ~ esk1150_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_6615,axiom,
    ( esk3206_2(X1,X2)
    | ~ esk3210_2(X1,X2) )).

cnf(i_0_6616,axiom,
    ( ~ esk4353_2(X1,X2)
    | ~ esk4351_2(X1,X2) )).

cnf(i_0_6617,axiom,
    ( esk5147_2(X1,X2)
    | ~ esk3618_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_6618,axiom,
    ( ~ esk4817_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_6619,axiom,
    ( ~ esk4457_2(X1,X2)
    | ~ esk4461_2(X1,X2) )).

cnf(i_0_6620,axiom,
    ( ~ esk2120_2(X1,X2)
    | esk2119_2(X1,X2) )).

cnf(i_0_6621,axiom,
    ( ~ esk1785_2(X1,X2)
    | ~ esk1784_2(X1,X2) )).

cnf(i_0_6622,axiom,
    ( esk3479_2(X1,X2)
    | ~ esk3858_2(X1,X2) )).

cnf(i_0_6623,axiom,
    ( ~ esk2847_2(X1,X2)
    | ~ esk154_2(X1,X2) )).

cnf(i_0_6624,axiom,
    ( ~ esk3260_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_6625,axiom,
    ( esk1368_2(X1,X2)
    | esk1367_2(X1,X2) )).

cnf(i_0_6626,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | esk4659_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_6627,axiom,
    ( ~ esk3802_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_6628,axiom,
    ( esk1765_2(X1,X2)
    | esk948_2(X1,X2) )).

cnf(i_0_6629,axiom,
    ( esk4734_2(X1,X2)
    | esk4733_2(X1,X2) )).

cnf(i_0_6630,axiom,
    ( ~ esk3271_2(X1,X2)
    | ~ esk3931_2(X1,X2) )).

cnf(i_0_6631,axiom,
    ( esk724_2(X1,X2)
    | ~ esk725_2(X1,X2) )).

cnf(i_0_6632,axiom,
    ( esk2793_2(X1,X2)
    | ~ esk2794_2(X1,X2) )).

cnf(i_0_6633,axiom,
    ( ~ esk4888_2(X1,X2)
    | ~ esk4889_2(X1,X2) )).

cnf(i_0_6634,axiom,
    ( ~ esk4724_2(X1,X2)
    | ~ esk4721_2(X1,X2)
    | esk4725_2(X1,X2) )).

cnf(i_0_6635,axiom,
    ( ~ esk217_2(X1,X2)
    | ~ esk229_2(X1,X2)
    | esk230_2(X1,X2) )).

cnf(i_0_6636,axiom,
    ( ~ esk1917_2(X1,X2)
    | ~ esk1914_2(X1,X2) )).

cnf(i_0_6637,axiom,
    ( esk3007_2(X1,X2)
    | ~ esk149_2(X1,X2)
    | ~ esk123_2(X1,X2)
    | ~ esk2971_2(X1,X2) )).

cnf(i_0_6638,axiom,
    ( esk4406_2(X1,X2)
    | esk4405_2(X1,X2) )).

cnf(i_0_6639,axiom,
    ( esk2981_2(X1,X2)
    | esk169_2(X1,X2) )).

cnf(i_0_6640,axiom,
    ( ~ esk126_2(X1,X2)
    | ~ esk3199_2(X1,X2) )).

cnf(i_0_6641,axiom,
    ( esk3252_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_6642,axiom,
    ( esk3883_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_6643,axiom,
    ( esk4959_2(X1,X2)
    | esk4958_2(X1,X2) )).

cnf(i_0_6644,axiom,
    ( esk2438_2(X1,X2)
    | ~ esk2474_2(X1,X2) )).

cnf(i_0_6645,axiom,
    ( esk2899_2(X1,X2)
    | esk2898_2(X1,X2) )).

cnf(i_0_6646,axiom,
    ( ~ esk1780_2(X1,X2)
    | esk1779_2(X1,X2) )).

cnf(i_0_6647,axiom,
    ( ~ esk1966_2(X1,X2)
    | ~ esk1965_2(X1,X2) )).

cnf(i_0_6648,axiom,
    ( ~ esk27_2(X1,X2)
    | esk1647_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_6649,axiom,
    ( ~ esk3705_2(X1,X2)
    | esk3704_2(X1,X2) )).

cnf(i_0_6650,axiom,
    ( ~ esk912_2(X1,X2)
    | ~ esk911_2(X1,X2) )).

cnf(i_0_6651,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk1350_2(X1,X2)
    | esk1351_2(X1,X2) )).

cnf(i_0_6652,axiom,
    ( ~ esk1072_2(X1,X2)
    | ~ esk1580_2(X1,X2)
    | esk1659_2(X1,X2)
    | ~ esk1581_2(X1,X2) )).

cnf(i_0_6653,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4702_2(X1,X2) )).

cnf(i_0_6654,axiom,
    ( ~ esk4982_2(X1,X2)
    | esk53_2(X1,X2) )).

cnf(i_0_6655,axiom,
    ( ~ esk2348_2(X1,X2)
    | ~ esk2345_2(X1,X2) )).

cnf(i_0_6656,axiom,
    ( ~ esk1761_2(X1,X2)
    | esk157_2(X1,X2) )).

cnf(i_0_6657,axiom,
    ( esk5070_2(X1,X2)
    | ~ esk5069_2(X1,X2)
    | ~ esk5064_2(X1,X2) )).

cnf(i_0_6658,axiom,
    ( esk2234_2(X1,X2)
    | ~ esk2235_2(X1,X2) )).

cnf(i_0_6659,axiom,
    ( esk2133_2(X1,X2)
    | ~ esk2140_2(X1,X2) )).

cnf(i_0_6660,axiom,
    ( ~ esk2151_2(X1,X2)
    | esk2150_2(X1,X2) )).

cnf(i_0_6661,axiom,
    ( ~ esk5284_2(X1,X2)
    | ~ esk5285_2(X1,X2) )).

cnf(i_0_6662,axiom,
    ( esk3926_2(X1,X2)
    | esk3927_2(X1,X2) )).

cnf(i_0_6663,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk3317_2(X1,X2) )).

cnf(i_0_6664,axiom,
    ( esk3118_2(X1,X2)
    | ~ esk3119_2(X1,X2) )).

cnf(i_0_6665,axiom,
    ( ~ esk3486_2(X1,X2)
    | esk3485_2(X1,X2) )).

cnf(i_0_6666,axiom,
    ( esk659_2(X1,X2)
    | esk658_2(X1,X2) )).

cnf(i_0_6667,axiom,
    ( esk759_2(X1,X2)
    | ~ esk755_2(X1,X2)
    | ~ esk758_2(X1,X2) )).

cnf(i_0_6668,axiom,
    ( ~ esk4936_2(X1,X2)
    | esk4937_2(X1,X2)
    | ~ esk4932_2(X1,X2) )).

cnf(i_0_6669,axiom,
    ( esk3185_2(X1,X2)
    | ~ esk5363_2(X1,X2) )).

cnf(i_0_6670,axiom,
    ( ~ esk1204_2(X1,X2)
    | esk1008_2(X1,X2) )).

cnf(i_0_6671,axiom,
    ( esk4171_2(X1,X2)
    | esk3838_2(X1,X2) )).

cnf(i_0_6672,axiom,
    ( esk2344_2(X1,X2)
    | ~ esk2343_2(X1,X2)
    | ~ esk2338_2(X1,X2) )).

cnf(i_0_6673,axiom,
    ( ~ esk2930_2(X1,X2)
    | esk2929_2(X1,X2) )).

cnf(i_0_6674,axiom,
    ( esk4265_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | ~ esk3842_2(X1,X2)
    | ~ esk3778_2(X1,X2) )).

cnf(i_0_6675,axiom,
    ( ~ esk4295_2(X1,X2)
    | ~ esk4296_2(X1,X2) )).

cnf(i_0_6676,axiom,
    ( esk2995_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_6677,axiom,
    ( ~ esk3170_2(X1,X2)
    | ~ esk3171_2(X1,X2) )).

cnf(i_0_6678,axiom,
    ( ~ esk4805_2(X1,X2)
    | ~ esk4804_2(X1,X2) )).

cnf(i_0_6679,axiom,
    ( ~ esk2514_2(X1,X2)
    | ~ esk2499_2(X1,X2) )).

cnf(i_0_6680,axiom,
    ( esk144_2(X1,X2)
    | ~ esk4421_2(X1,X2) )).

cnf(i_0_6681,axiom,
    ( esk4579_2(X1,X2)
    | ~ esk119_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_6682,axiom,
    ( esk1854_2(X1,X2)
    | esk1852_2(X1,X2)
    | esk1853_2(X1,X2)
    | esk1855_2(X1,X2)
    | esk1856_2(X1,X2) )).

cnf(i_0_6683,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk4666_2(X1,X2) )).

cnf(i_0_6684,axiom,
    ( ~ esk1368_2(X1,X2)
    | ~ esk1367_2(X1,X2) )).

cnf(i_0_6685,axiom,
    ( esk3701_2(X1,X2)
    | esk3702_2(X1,X2) )).

cnf(i_0_6686,axiom,
    ( esk491_2(X1,X2)
    | esk753_2(X1,X2) )).

cnf(i_0_6687,axiom,
    ( ~ esk3641_2(X1,X2)
    | ~ esk3640_2(X1,X2) )).

cnf(i_0_6688,axiom,
    ( ~ esk5332_2(X1,X2)
    | esk5331_2(X1,X2) )).

cnf(i_0_6689,axiom,
    ( ~ esk1597_2(X1,X2)
    | esk1596_2(X1,X2) )).

cnf(i_0_6690,axiom,
    ( esk1513_2(X1,X2)
    | esk1514_2(X1,X2) )).

cnf(i_0_6691,axiom,
    ( esk2484_2(X1,X2)
    | esk2483_2(X1,X2) )).

cnf(i_0_6692,axiom,
    ( ~ esk1600_2(X1,X2)
    | esk1152_2(X1,X2) )).

cnf(i_0_6693,axiom,
    ( ~ esk1456_2(X1,X2)
    | ~ esk1455_2(X1,X2) )).

cnf(i_0_6694,axiom,
    ( esk3176_2(X1,X2)
    | esk3174_2(X1,X2)
    | esk3175_2(X1,X2) )).

cnf(i_0_6695,axiom,
    ( esk3582_2(X1,X2)
    | ~ esk3586_2(X1,X2) )).

cnf(i_0_6696,axiom,
    ( esk4768_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | ~ esk4767_2(X1,X2) )).

cnf(i_0_6697,axiom,
    ( esk165_2(X1,X2)
    | ~ esk263_2(X1,X2) )).

cnf(i_0_6698,axiom,
    ( esk2658_2(X1,X2)
    | ~ esk2660_2(X1,X2) )).

cnf(i_0_6699,axiom,
    ( ~ esk1442_2(X1,X2)
    | esk1441_2(X1,X2) )).

cnf(i_0_6700,axiom,
    ( esk2379_2(X1,X2)
    | esk2378_2(X1,X2) )).

cnf(i_0_6701,axiom,
    ( esk680_2(X1,X2)
    | ~ esk984_2(X1,X2) )).

cnf(i_0_6702,axiom,
    ( esk4476_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | ~ esk4449_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_6703,axiom,
    ( ~ esk1297_2(X1,X2)
    | esk1296_2(X1,X2) )).

cnf(i_0_6704,axiom,
    ( ~ esk5234_2(X1,X2)
    | esk3211_2(X1,X2) )).

cnf(i_0_6705,axiom,
    ( esk5036_2(X1,X2)
    | esk5037_2(X1,X2) )).

cnf(i_0_6706,axiom,
    ( esk1456_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_6707,axiom,
    ( ~ esk1905_2(X1,X2)
    | ~ esk1901_2(X1,X2) )).

cnf(i_0_6708,axiom,
    ( ~ esk588_2(X1,X2)
    | ~ esk586_2(X1,X2) )).

cnf(i_0_6709,axiom,
    ( esk1163_2(X1,X2)
    | esk647_2(X1,X2) )).

cnf(i_0_6710,axiom,
    ( ~ esk785_2(X1,X2)
    | ~ esk809_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | esk1007_2(X1,X2)
    | ~ esk1006_2(X1,X2) )).

cnf(i_0_6711,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2126_2(X1,X2) )).

cnf(i_0_6712,axiom,
    ( esk1637_2(X1,X2)
    | esk5562_2(X1,X2)
    | ~ esk4290_2(X1,X2) )).

cnf(i_0_6713,axiom,
    ( ~ esk4434_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_6714,axiom,
    ( esk3622_2(X1,X2)
    | ~ esk3198_2(X1,X2)
    | ~ esk3621_2(X1,X2) )).

cnf(i_0_6715,axiom,
    ( esk1064_2(X1,X2)
    | esk688_2(X1,X2) )).

cnf(i_0_6716,axiom,
    ( esk2925_2(X1,X2)
    | esk2928_2(X1,X2)
    | esk2926_2(X1,X2)
    | esk2924_2(X1,X2)
    | esk2927_2(X1,X2) )).

cnf(i_0_6717,axiom,
    ( esk4828_2(X1,X2)
    | esk4829_2(X1,X2) )).

cnf(i_0_6718,axiom,
    ( ~ esk3739_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_6719,axiom,
    ( ~ esk1697_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_6720,axiom,
    ( ~ esk359_2(X1,X2)
    | ~ esk362_2(X1,X2) )).

cnf(i_0_6721,axiom,
    ( esk3651_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | ~ esk3438_2(X1,X2)
    | ~ esk3430_2(X1,X2)
    | ~ esk3650_2(X1,X2) )).

cnf(i_0_6722,axiom,
    ( ~ esk5417_2(X1,X2)
    | esk5413_2(X1,X2) )).

cnf(i_0_6723,axiom,
    ( ~ esk3671_2(X1,X2)
    | ~ esk3370_2(X1,X2)
    | ~ esk3369_2(X1,X2)
    | ~ esk3368_2(X1,X2)
    | esk3672_2(X1,X2) )).

cnf(i_0_6724,axiom,
    ( ~ esk5356_2(X1,X2)
    | esk5355_2(X1,X2) )).

cnf(i_0_6725,axiom,
    ( esk2142_2(X1,X2)
    | esk2133_2(X1,X2) )).

cnf(i_0_6726,axiom,
    ( ~ esk1517_2(X1,X2)
    | ~ esk1068_2(X1,X2) )).

cnf(i_0_6727,axiom,
    ( esk4873_2(X1,X2)
    | esk4872_2(X1,X2) )).

cnf(i_0_6728,axiom,
    ( ~ esk4309_2(X1,X2)
    | ~ esk4306_2(X1,X2) )).

cnf(i_0_6729,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4515_2(X1,X2) )).

cnf(i_0_6730,axiom,
    ( esk2825_2(X1,X2)
    | ~ esk40_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_6731,axiom,
    ( esk2673_2(X1,X2)
    | esk2674_2(X1,X2) )).

cnf(i_0_6732,axiom,
    ( esk3009_2(X1,X2)
    | ~ esk2973_2(X1,X2)
    | ~ esk3008_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_6733,axiom,
    ( ~ esk445_2(X1,X2)
    | ~ esk444_2(X1,X2) )).

cnf(i_0_6734,axiom,
    ( esk496_2(X1,X2)
    | esk497_2(X1,X2) )).

cnf(i_0_6735,axiom,
    ( ~ esk1336_2(X1,X2)
    | esk1337_2(X1,X2)
    | ~ esk1332_2(X1,X2) )).

cnf(i_0_6736,axiom,
    ( ~ esk5418_2(X1,X2)
    | ~ esk5423_2(X1,X2)
    | esk5424_2(X1,X2)
    | ~ esk159_2(X1,X2) )).

cnf(i_0_6737,axiom,
    ( esk613_2(X1,X2)
    | ~ esk614_2(X1,X2) )).

cnf(i_0_6738,axiom,
    ( ~ esk5279_2(X1,X2)
    | esk5278_2(X1,X2) )).

cnf(i_0_6739,axiom,
    ( esk151_2(X1,X2)
    | ~ esk4633_2(X1,X2) )).

cnf(i_0_6740,axiom,
    ( ~ esk2617_2(X1,X2)
    | ~ esk2616_2(X1,X2) )).

cnf(i_0_6741,axiom,
    ( ~ esk3890_2(X1,X2)
    | ~ esk3889_2(X1,X2) )).

cnf(i_0_6742,axiom,
    ( esk4113_2(X1,X2)
    | ~ esk4112_2(X1,X2)
    | ~ esk3414_2(X1,X2) )).

cnf(i_0_6743,axiom,
    ( ~ esk348_2(X1,X2)
    | ~ esk345_2(X1,X2) )).

cnf(i_0_6744,axiom,
    ( ~ esk4949_2(X1,X2)
    | ~ esk4948_2(X1,X2) )).

cnf(i_0_6745,axiom,
    ( esk3394_2(X1,X2)
    | esk3393_2(X1,X2) )).

cnf(i_0_6746,axiom,
    ( esk5106_2(X1,X2)
    | esk5107_2(X1,X2)
    | esk5104_2(X1,X2) )).

cnf(i_0_6747,axiom,
    ( esk3402_2(X1,X2)
    | ~ esk3403_2(X1,X2) )).

cnf(i_0_6748,axiom,
    ( ~ esk4142_2(X1,X2)
    | esk4141_2(X1,X2) )).

cnf(i_0_6749,axiom,
    ( ~ esk1334_2(X1,X2)
    | esk1330_2(X1,X2) )).

cnf(i_0_6750,axiom,
    ( esk582_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk581_2(X1,X2) )).

cnf(i_0_6751,axiom,
    ( esk5460_2(X1,X2)
    | esk5459_2(X1,X2) )).

cnf(i_0_6752,axiom,
    ( ~ esk702_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk703_2(X1,X2) )).

cnf(i_0_6753,axiom,
    ( esk1583_2(X1,X2)
    | ~ esk1088_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk1581_2(X1,X2) )).

cnf(i_0_6754,axiom,
    ( ~ esk2243_2(X1,X2)
    | ~ esk2244_2(X1,X2) )).

cnf(i_0_6755,axiom,
    ( ~ esk3728_2(X1,X2)
    | esk3729_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | ~ esk3093_2(X1,X2) )).

cnf(i_0_6756,axiom,
    ( ~ esk4517_2(X1,X2)
    | ~ esk4516_2(X1,X2) )).

cnf(i_0_6757,axiom,
    ( ~ esk1591_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_6758,axiom,
    ( esk2958_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_6759,axiom,
    ( ~ esk3789_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_6760,axiom,
    ( esk870_2(X1,X2)
    | ~ esk871_2(X1,X2) )).

cnf(i_0_6761,axiom,
    ( ~ esk2957_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_6762,axiom,
    ( esk1592_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk1088_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_6763,axiom,
    ( ~ esk4433_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_6764,axiom,
    ( esk2288_2(X1,X2)
    | esk2287_2(X1,X2) )).

cnf(i_0_6765,axiom,
    ( esk2254_2(X1,X2)
    | esk2318_2(X1,X2)
    | esk2315_2(X1,X2)
    | esk2312_2(X1,X2)
    | esk2317_2(X1,X2) )).

cnf(i_0_6766,axiom,
    ( esk4839_2(X1,X2)
    | esk4840_2(X1,X2) )).

cnf(i_0_6767,axiom,
    ( ~ esk2920_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_6768,axiom,
    ( esk109_2(X1,X2)
    | ~ esk3567_2(X1,X2) )).

cnf(i_0_6769,axiom,
    ( esk2655_2(X1,X2)
    | esk952_2(X1,X2)
    | esk2656_2(X1,X2) )).

cnf(i_0_6770,axiom,
    ( ~ esk5213_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_6771,axiom,
    ( ~ esk3714_2(X1,X2)
    | ~ esk3713_2(X1,X2) )).

cnf(i_0_6772,axiom,
    ( ~ esk4731_2(X1,X2)
    | esk4726_2(X1,X2) )).

cnf(i_0_6773,axiom,
    ( ~ esk1612_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_6774,axiom,
    ( esk4841_2(X1,X2)
    | esk4842_2(X1,X2) )).

cnf(i_0_6775,axiom,
    ( ~ esk3450_2(X1,X2)
    | ~ esk3449_2(X1,X2) )).

cnf(i_0_6776,axiom,
    ( ~ esk98_2(X1,X2)
    | ~ esk2458_2(X1,X2) )).

cnf(i_0_6777,axiom,
    ( esk189_2(X1,X2)
    | esk131_2(X1,X2) )).

cnf(i_0_6778,axiom,
    ( esk742_2(X1,X2)
    | ~ esk1029_2(X1,X2) )).

cnf(i_0_6779,axiom,
    ( esk5538_2(X1,X2)
    | ~ esk1056_2(X1,X2)
    | esk3709_2(X1,X2) )).

cnf(i_0_6780,axiom,
    ( esk195_2(X1,X2)
    | ~ esk136_2(X1,X2)
    | ~ esk3_2(X1,X2) )).

cnf(i_0_6781,axiom,
    ( ~ esk3134_2(X1,X2)
    | esk3107_2(X1,X2) )).

cnf(i_0_6782,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4327_2(X1,X2) )).

cnf(i_0_6783,axiom,
    ( esk4719_2(X1,X2)
    | esk4718_2(X1,X2) )).

cnf(i_0_6784,axiom,
    ( esk5292_2(X1,X2)
    | ~ esk5288_2(X1,X2)
    | ~ esk5291_2(X1,X2) )).

cnf(i_0_6785,axiom,
    ( ~ esk2132_2(X1,X2)
    | ~ esk2131_2(X1,X2) )).

cnf(i_0_6786,axiom,
    ( ~ esk4618_2(X1,X2)
    | esk4614_2(X1,X2) )).

cnf(i_0_6787,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1196_2(X1,X2) )).

cnf(i_0_6788,axiom,
    ( ~ esk2532_2(X1,X2)
    | ~ esk2531_2(X1,X2) )).

cnf(i_0_6789,axiom,
    ( esk4799_2(X1,X2)
    | ~ esk4804_2(X1,X2) )).

cnf(i_0_6790,axiom,
    ( ~ esk1786_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_6791,axiom,
    ( ~ esk235_2(X1,X2)
    | ~ esk217_2(X1,X2)
    | esk236_2(X1,X2) )).

cnf(i_0_6792,axiom,
    ( esk4456_2(X1,X2)
    | esk5583_2(X1,X2)
    | ~ esk1803_2(X1,X2) )).

cnf(i_0_6793,axiom,
    ( ~ esk546_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_6794,axiom,
    ( esk104_2(X1,X2)
    | ~ esk1776_2(X1,X2) )).

cnf(i_0_6795,axiom,
    ( esk179_2(X1,X2)
    | ~ esk3889_2(X1,X2) )).

cnf(i_0_6796,axiom,
    ( esk833_2(X1,X2)
    | esk832_2(X1,X2) )).

cnf(i_0_6797,axiom,
    ( esk4052_2(X1,X2)
    | esk4053_2(X1,X2) )).

cnf(i_0_6798,axiom,
    ( esk92_2(X1,X2)
    | esk892_2(X1,X2) )).

cnf(i_0_6799,axiom,
    ( ~ esk3157_2(X1,X2)
    | esk3158_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_6800,axiom,
    ( ~ esk2769_2(X1,X2)
    | esk2706_2(X1,X2) )).

cnf(i_0_6801,axiom,
    ( ~ esk2234_2(X1,X2)
    | ~ esk2233_2(X1,X2) )).

cnf(i_0_6802,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3463_2(X1,X2)
    | ~ esk3661_2(X1,X2)
    | esk3876_2(X1,X2) )).

cnf(i_0_6803,axiom,
    ( esk4735_2(X1,X2)
    | ~ esk4736_2(X1,X2) )).

cnf(i_0_6804,axiom,
    ( esk1277_2(X1,X2)
    | esk1276_2(X1,X2) )).

cnf(i_0_6805,axiom,
    ( esk1083_2(X1,X2)
    | esk1084_2(X1,X2) )).

cnf(i_0_6806,axiom,
    ( ~ esk1029_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_6807,axiom,
    ( esk5429_2(X1,X2)
    | esk5428_2(X1,X2) )).

cnf(i_0_6808,axiom,
    ( esk932_2(X1,X2)
    | ~ esk933_2(X1,X2) )).

cnf(i_0_6809,axiom,
    ( ~ esk1312_2(X1,X2)
    | ~ esk1313_2(X1,X2) )).

cnf(i_0_6810,axiom,
    ( ~ esk218_2(X1,X2)
    | esk216_2(X1,X2) )).

cnf(i_0_6811,axiom,
    ( ~ esk1233_2(X1,X2)
    | ~ esk1234_2(X1,X2) )).

cnf(i_0_6812,axiom,
    ( ~ esk156_2(X1,X2)
    | ~ esk138_2(X1,X2)
    | esk203_2(X1,X2) )).

cnf(i_0_6813,axiom,
    ( esk2548_2(X1,X2)
    | ~ esk2549_2(X1,X2) )).

cnf(i_0_6814,axiom,
    ( ~ esk106_2(X1,X2)
    | esk3237_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_6815,axiom,
    ( esk853_2(X1,X2)
    | ~ esk852_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_6816,axiom,
    ( esk102_2(X1,X2)
    | ~ esk359_2(X1,X2) )).

cnf(i_0_6817,axiom,
    ( ~ esk4970_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_6818,axiom,
    ( ~ esk5541_2(X1,X2)
    | esk1123_2(X1,X2)
    | esk3776_2(X1,X2) )).

cnf(i_0_6819,axiom,
    ( ~ esk3153_2(X1,X2)
    | ~ esk3157_2(X1,X2) )).

cnf(i_0_6820,axiom,
    ( ~ esk4851_2(X1,X2)
    | esk3669_2(X1,X2) )).

cnf(i_0_6821,axiom,
    ( esk3596_2(X1,X2)
    | esk3595_2(X1,X2) )).

cnf(i_0_6822,axiom,
    ( esk1670_2(X1,X2)
    | esk1671_2(X1,X2) )).

cnf(i_0_6823,axiom,
    ( ~ esk1546_2(X1,X2)
    | ~ esk1547_2(X1,X2) )).

cnf(i_0_6824,axiom,
    ( esk3526_2(X1,X2)
    | esk3513_2(X1,X2) )).

cnf(i_0_6825,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4533_2(X1,X2) )).

cnf(i_0_6826,axiom,
    ( esk3036_2(X1,X2)
    | ~ esk3037_2(X1,X2) )).

cnf(i_0_6827,axiom,
    ( ~ esk4734_2(X1,X2)
    | ~ esk4735_2(X1,X2) )).

cnf(i_0_6828,axiom,
    ( ~ esk3461_2(X1,X2)
    | ~ esk3460_2(X1,X2) )).

cnf(i_0_6829,axiom,
    ( esk793_2(X1,X2)
    | ~ esk1242_2(X1,X2) )).

cnf(i_0_6830,axiom,
    ( ~ esk1383_2(X1,X2)
    | ~ esk1384_2(X1,X2) )).

cnf(i_0_6831,axiom,
    ( ~ esk4910_2(X1,X2)
    | esk3368_2(X1,X2) )).

cnf(i_0_6832,axiom,
    ( ~ esk3021_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_6833,axiom,
    ( ~ esk165_2(X1,X2)
    | ~ esk211_2(X1,X2) )).

cnf(i_0_6834,axiom,
    ( ~ esk3881_2(X1,X2)
    | esk3880_2(X1,X2) )).

cnf(i_0_6835,axiom,
    ( ~ esk3298_2(X1,X2)
    | ~ esk3300_2(X1,X2) )).

cnf(i_0_6836,axiom,
    ( ~ esk2556_2(X1,X2)
    | ~ esk2555_2(X1,X2) )).

cnf(i_0_6837,axiom,
    ( esk2671_2(X1,X2)
    | ~ esk2670_2(X1,X2)
    | ~ esk2666_2(X1,X2) )).

cnf(i_0_6838,axiom,
    ( esk2252_2(X1,X2)
    | ~ esk2254_2(X1,X2) )).

cnf(i_0_6839,axiom,
    ( esk1962_2(X1,X2)
    | esk1939_2(X1,X2) )).

cnf(i_0_6840,axiom,
    ( ~ esk5287_2(X1,X2)
    | esk5286_2(X1,X2) )).

cnf(i_0_6841,axiom,
    ( esk2846_2(X1,X2)
    | ~ esk158_2(X1,X2)
    | ~ esk155_2(X1,X2) )).

cnf(i_0_6842,axiom,
    ( esk433_2(X1,X2)
    | esk436_2(X1,X2)
    | esk435_2(X1,X2) )).

cnf(i_0_6843,axiom,
    ( esk1416_2(X1,X2)
    | ~ esk1417_2(X1,X2) )).

cnf(i_0_6844,axiom,
    ( esk3825_2(X1,X2)
    | esk5544_2(X1,X2)
    | ~ esk1172_2(X1,X2) )).

cnf(i_0_6845,axiom,
    ( esk5112_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | ~ esk5111_2(X1,X2) )).

cnf(i_0_6846,axiom,
    ( esk4039_2(X1,X2)
    | esk4040_2(X1,X2) )).

cnf(i_0_6847,axiom,
    ( esk2578_2(X1,X2)
    | ~ esk2594_2(X1,X2) )).

cnf(i_0_6848,axiom,
    ( ~ esk1278_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_6849,axiom,
    ( esk3542_2(X1,X2)
    | ~ esk5532_2(X1,X2)
    | esk880_2(X1,X2) )).

cnf(i_0_6850,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk1651_2(X1,X2) )).

cnf(i_0_6851,axiom,
    ( ~ esk4853_2(X1,X2)
    | ~ esk4869_2(X1,X2) )).

cnf(i_0_6852,axiom,
    ( esk1957_2(X1,X2)
    | esk1958_2(X1,X2) )).

cnf(i_0_6853,axiom,
    ( esk140_2(X1,X2)
    | esk3228_2(X1,X2) )).

cnf(i_0_6854,axiom,
    ( esk2431_2(X1,X2)
    | esk2432_2(X1,X2) )).

cnf(i_0_6855,axiom,
    ( ~ esk509_2(X1,X2)
    | esk510_2(X1,X2)
    | ~ esk506_2(X1,X2) )).

cnf(i_0_6856,axiom,
    ( esk307_2(X1,X2)
    | ~ esk308_2(X1,X2) )).

cnf(i_0_6857,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1187_2(X1,X2) )).

cnf(i_0_6858,axiom,
    ( esk5114_2(X1,X2)
    | esk5113_2(X1,X2) )).

cnf(i_0_6859,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2441_2(X1,X2) )).

cnf(i_0_6860,axiom,
    ( esk1432_2(X1,X2)
    | esk1433_2(X1,X2) )).

cnf(i_0_6861,axiom,
    ( esk4987_2(X1,X2)
    | ~ esk4988_2(X1,X2) )).

cnf(i_0_6862,axiom,
    ( esk734_2(X1,X2)
    | ~ esk2188_2(X1,X2) )).

cnf(i_0_6863,axiom,
    ( ~ esk1279_2(X1,X2)
    | esk621_2(X1,X2) )).

cnf(i_0_6864,axiom,
    ( esk4205_2(X1,X2)
    | ~ esk4206_2(X1,X2) )).

cnf(i_0_6865,axiom,
    ( esk741_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_6866,axiom,
    ( ~ esk3137_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_6867,axiom,
    ( esk4029_2(X1,X2)
    | ~ esk4030_2(X1,X2) )).

cnf(i_0_6868,axiom,
    ( esk1472_2(X1,X2)
    | esk1471_2(X1,X2) )).

cnf(i_0_6869,axiom,
    ( ~ esk2876_2(X1,X2)
    | ~ esk2877_2(X1,X2) )).

cnf(i_0_6870,axiom,
    ( ~ esk5494_2(X1,X2)
    | esk5493_2(X1,X2) )).

cnf(i_0_6871,axiom,
    ( ~ esk3197_2(X1,X2)
    | esk3606_2(X1,X2)
    | ~ esk3605_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_6872,axiom,
    ( esk3438_2(X1,X2)
    | ~ esk4157_2(X1,X2) )).

cnf(i_0_6873,axiom,
    ( ~ esk827_2(X1,X2)
    | ~ esk839_2(X1,X2) )).

cnf(i_0_6874,axiom,
    ( esk143_2(X1,X2)
    | ~ esk1001_2(X1,X2) )).

cnf(i_0_6875,axiom,
    ( esk3369_2(X1,X2)
    | ~ esk4909_2(X1,X2) )).

cnf(i_0_6876,axiom,
    ( ~ esk2118_2(X1,X2)
    | esk2117_2(X1,X2) )).

cnf(i_0_6877,axiom,
    ( esk1358_2(X1,X2)
    | ~ esk1359_2(X1,X2) )).

cnf(i_0_6878,axiom,
    ( esk2368_2(X1,X2)
    | esk2365_2(X1,X2)
    | esk2367_2(X1,X2) )).

cnf(i_0_6879,axiom,
    ( ~ esk4282_2(X1,X2)
    | ~ esk4283_2(X1,X2) )).

cnf(i_0_6880,axiom,
    ( esk3313_2(X1,X2)
    | esk4711_2(X1,X2) )).

cnf(i_0_6881,axiom,
    ( ~ esk2839_2(X1,X2)
    | ~ esk2836_2(X1,X2) )).

cnf(i_0_6882,axiom,
    ( ~ esk989_2(X1,X2)
    | ~ esk990_2(X1,X2) )).

cnf(i_0_6883,axiom,
    ( ~ esk2275_2(X1,X2)
    | ~ esk2259_2(X1,X2) )).

cnf(i_0_6884,axiom,
    ( ~ esk1657_2(X1,X2)
    | esk1658_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_6885,axiom,
    ( esk1105_2(X1,X2)
    | esk1104_2(X1,X2) )).

cnf(i_0_6886,axiom,
    ( esk4221_2(X1,X2)
    | ~ esk4225_2(X1,X2) )).

cnf(i_0_6887,axiom,
    ( ~ esk137_2(X1,X2)
    | esk546_2(X1,X2)
    | ~ esk545_2(X1,X2) )).

cnf(i_0_6888,axiom,
    ( ~ esk1817_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_6889,axiom,
    ( esk1267_2(X1,X2)
    | ~ esk1268_2(X1,X2) )).

cnf(i_0_6890,axiom,
    ( esk4126_2(X1,X2)
    | ~ esk4127_2(X1,X2) )).

cnf(i_0_6891,axiom,
    ( esk568_2(X1,X2)
    | esk567_2(X1,X2) )).

cnf(i_0_6892,axiom,
    ( esk819_2(X1,X2)
    | esk5531_2(X1,X2)
    | ~ esk3481_2(X1,X2) )).

cnf(i_0_6893,axiom,
    ( ~ esk1138_2(X1,X2)
    | esk664_2(X1,X2) )).

cnf(i_0_6894,axiom,
    ( esk4327_2(X1,X2)
    | esk4330_2(X1,X2)
    | esk4329_2(X1,X2)
    | esk4328_2(X1,X2)
    | esk4326_2(X1,X2) )).

cnf(i_0_6895,axiom,
    ( ~ esk154_2(X1,X2)
    | ~ esk2867_2(X1,X2) )).

cnf(i_0_6896,axiom,
    ( esk2368_2(X1,X2)
    | esk2369_2(X1,X2) )).

cnf(i_0_6897,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk4841_2(X1,X2) )).

cnf(i_0_6898,axiom,
    ( ~ esk1230_2(X1,X2)
    | esk1231_2(X1,X2)
    | ~ esk1226_2(X1,X2) )).

cnf(i_0_6899,axiom,
    ( ~ esk2270_2(X1,X2)
    | ~ esk2271_2(X1,X2) )).

cnf(i_0_6900,axiom,
    ( ~ esk3250_2(X1,X2)
    | ~ esk3248_2(X1,X2) )).

cnf(i_0_6901,axiom,
    ( ~ esk765_2(X1,X2)
    | esk764_2(X1,X2) )).

cnf(i_0_6902,axiom,
    ( esk2416_2(X1,X2)
    | ~ esk2417_2(X1,X2) )).

cnf(i_0_6903,axiom,
    ( ~ esk2862_2(X1,X2)
    | ~ esk13_2(X1,X2)
    | esk2863_2(X1,X2) )).

cnf(i_0_6904,axiom,
    ( esk3360_2(X1,X2)
    | ~ esk4934_2(X1,X2) )).

cnf(i_0_6905,axiom,
    ( ~ esk3215_2(X1,X2)
    | ~ esk3216_2(X1,X2)
    | esk3217_2(X1,X2) )).

cnf(i_0_6906,axiom,
    ( ~ esk4586_2(X1,X2)
    | ~ esk4587_2(X1,X2) )).

cnf(i_0_6907,axiom,
    ( esk1603_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk16_2(X1,X2) )).

cnf(i_0_6908,axiom,
    ( ~ esk48_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk1782_2(X1,X2)
    | ~ esk1199_2(X1,X2) )).

cnf(i_0_6909,axiom,
    ( esk4277_2(X1,X2)
    | ~ esk4489_2(X1,X2) )).

cnf(i_0_6910,axiom,
    ( esk3899_2(X1,X2)
    | esk3900_2(X1,X2) )).

cnf(i_0_6911,axiom,
    ( esk4843_2(X1,X2)
    | ~ esk4844_2(X1,X2) )).

cnf(i_0_6912,axiom,
    ( ~ esk3620_2(X1,X2)
    | ~ esk3619_2(X1,X2) )).

cnf(i_0_6913,axiom,
    ( esk597_2(X1,X2)
    | ~ esk2626_2(X1,X2) )).

cnf(i_0_6914,axiom,
    ( esk2782_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk2781_2(X1,X2)
    | ~ esk1075_2(X1,X2) )).

cnf(i_0_6915,axiom,
    ( esk2763_2(X1,X2)
    | esk2762_2(X1,X2) )).

cnf(i_0_6916,axiom,
    ( ~ esk10_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | esk241_2(X1,X2)
    | ~ esk238_2(X1,X2) )).

cnf(i_0_6917,axiom,
    ( esk3072_2(X1,X2)
    | esk3073_2(X1,X2) )).

cnf(i_0_6918,axiom,
    ( ~ esk3422_2(X1,X2)
    | ~ esk3430_2(X1,X2)
    | esk4123_2(X1,X2) )).

cnf(i_0_6919,axiom,
    ( esk5417_2(X1,X2)
    | esk5418_2(X1,X2) )).

cnf(i_0_6920,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk3199_2(X1,X2)
    | esk3236_2(X1,X2) )).

cnf(i_0_6921,axiom,
    ( ~ esk1693_2(X1,X2)
    | ~ esk1690_2(X1,X2) )).

cnf(i_0_6922,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk4993_2(X1,X2) )).

cnf(i_0_6923,axiom,
    ( ~ esk5556_2(X1,X2)
    | ~ esk1597_2(X1,X2)
    | ~ esk4250_2(X1,X2) )).

cnf(i_0_6924,axiom,
    ( esk3232_2(X1,X2)
    | ~ esk3231_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_6925,axiom,
    ( ~ esk140_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk107_2(X1,X2)
    | esk2418_2(X1,X2) )).

cnf(i_0_6926,axiom,
    ( esk5134_2(X1,X2)
    | ~ esk5139_2(X1,X2) )).

cnf(i_0_6927,axiom,
    ( esk3823_2(X1,X2)
    | esk3824_2(X1,X2) )).

cnf(i_0_6928,axiom,
    ( ~ esk3780_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_6929,axiom,
    ( ~ esk1986_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_6930,axiom,
    ( ~ esk4971_2(X1,X2)
    | ~ esk4907_2(X1,X2) )).

cnf(i_0_6931,axiom,
    ( esk3815_2(X1,X2)
    | esk3818_2(X1,X2)
    | ~ esk3819_2(X1,X2) )).

cnf(i_0_6932,axiom,
    ( ~ esk3972_2(X1,X2)
    | ~ esk3983_2(X1,X2)
    | esk3984_2(X1,X2)
    | ~ esk3980_2(X1,X2) )).

cnf(i_0_6933,axiom,
    ( ~ esk2387_2(X1,X2)
    | ~ esk2386_2(X1,X2) )).

cnf(i_0_6934,axiom,
    ( esk1375_2(X1,X2)
    | esk1376_2(X1,X2) )).

cnf(i_0_6935,axiom,
    ( esk2914_2(X1,X2)
    | esk2913_2(X1,X2)
    | esk2911_2(X1,X2)
    | esk2912_2(X1,X2)
    | esk2910_2(X1,X2) )).

cnf(i_0_6936,axiom,
    ( esk5095_2(X1,X2)
    | esk5096_2(X1,X2) )).

cnf(i_0_6937,axiom,
    ( esk1736_2(X1,X2)
    | ~ esk5574_2(X1,X2)
    | esk4389_2(X1,X2) )).

cnf(i_0_6938,axiom,
    ( ~ esk2693_2(X1,X2)
    | ~ esk2692_2(X1,X2) )).

cnf(i_0_6939,axiom,
    ( ~ esk1185_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1186_2(X1,X2) )).

cnf(i_0_6940,axiom,
    ( ~ esk3349_2(X1,X2)
    | esk3345_2(X1,X2) )).

cnf(i_0_6941,axiom,
    ( ~ esk3313_2(X1,X2)
    | ~ esk3712_2(X1,X2) )).

cnf(i_0_6942,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | ~ esk61_2(X1,X2)
    | esk3822_2(X1,X2) )).

cnf(i_0_6943,axiom,
    ( ~ esk5216_2(X1,X2)
    | ~ esk5217_2(X1,X2) )).

cnf(i_0_6944,axiom,
    ( esk3495_2(X1,X2)
    | esk3494_2(X1,X2) )).

cnf(i_0_6945,axiom,
    ( ~ esk1699_2(X1,X2)
    | ~ esk1700_2(X1,X2) )).

cnf(i_0_6946,axiom,
    ( ~ esk3135_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_6947,axiom,
    ( esk100_2(X1,X2)
    | ~ esk4579_2(X1,X2) )).

cnf(i_0_6948,axiom,
    ( ~ esk1608_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_6949,axiom,
    ( esk4463_2(X1,X2)
    | esk4466_2(X1,X2)
    | esk4465_2(X1,X2)
    | esk4467_2(X1,X2)
    | esk4464_2(X1,X2) )).

cnf(i_0_6950,axiom,
    ( esk139_2(X1,X2)
    | ~ esk459_2(X1,X2) )).

cnf(i_0_6951,axiom,
    ( ~ esk944_2(X1,X2)
    | esk945_2(X1,X2)
    | ~ esk940_2(X1,X2) )).

cnf(i_0_6952,axiom,
    ( ~ esk790_2(X1,X2)
    | ~ esk791_2(X1,X2) )).

cnf(i_0_6953,axiom,
    ( ~ esk1253_2(X1,X2)
    | esk1252_2(X1,X2) )).

cnf(i_0_6954,axiom,
    ( ~ esk3601_2(X1,X2)
    | ~ esk5533_2(X1,X2)
    | ~ esk948_2(X1,X2) )).

cnf(i_0_6955,axiom,
    ( esk80_2(X1,X2)
    | ~ esk5482_2(X1,X2) )).

cnf(i_0_6956,axiom,
    ( esk2250_2(X1,X2)
    | ~ esk2251_2(X1,X2) )).

cnf(i_0_6957,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4784_2(X1,X2) )).

cnf(i_0_6958,axiom,
    ( ~ esk3715_2(X1,X2)
    | esk3350_2(X1,X2) )).

cnf(i_0_6959,axiom,
    ( ~ esk5123_2(X1,X2)
    | ~ esk5129_2(X1,X2) )).

cnf(i_0_6960,axiom,
    ( esk527_2(X1,X2)
    | esk531_2(X1,X2) )).

cnf(i_0_6961,axiom,
    ( esk3727_2(X1,X2)
    | ~ esk3924_2(X1,X2) )).

cnf(i_0_6962,axiom,
    ( ~ esk837_2(X1,X2)
    | esk827_2(X1,X2) )).

cnf(i_0_6963,axiom,
    ( ~ esk3983_2(X1,X2)
    | ~ esk3959_2(X1,X2) )).

cnf(i_0_6964,axiom,
    ( esk1597_2(X1,X2)
    | ~ esk1596_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_6965,axiom,
    ( esk2627_2(X1,X2)
    | esk2626_2(X1,X2) )).

cnf(i_0_6966,axiom,
    ( esk1165_2(X1,X2)
    | esk1164_2(X1,X2) )).

cnf(i_0_6967,axiom,
    ( ~ esk4963_2(X1,X2)
    | esk4962_2(X1,X2) )).

cnf(i_0_6968,axiom,
    ( esk107_2(X1,X2)
    | esk3566_2(X1,X2) )).

cnf(i_0_6969,axiom,
    ( ~ esk1758_2(X1,X2)
    | ~ esk1759_2(X1,X2) )).

cnf(i_0_6970,axiom,
    ( ~ esk1025_2(X1,X2)
    | esk2047_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_6971,axiom,
    ( ~ esk2601_2(X1,X2)
    | ~ esk2600_2(X1,X2) )).

cnf(i_0_6972,axiom,
    ( ~ esk4266_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_6973,axiom,
    ( ~ esk4561_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_6974,axiom,
    ( ~ esk4802_2(X1,X2)
    | ~ esk4801_2(X1,X2) )).

cnf(i_0_6975,axiom,
    ( ~ esk3342_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | esk3637_2(X1,X2) )).

cnf(i_0_6976,axiom,
    ( esk1354_2(X1,X2)
    | esk1366_2(X1,X2) )).

cnf(i_0_6977,axiom,
    ( ~ esk4337_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_6978,axiom,
    ( ~ esk1875_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_6979,axiom,
    ( esk2889_2(X1,X2)
    | ~ esk2873_2(X1,X2)
    | ~ esk37_2(X1,X2) )).

cnf(i_0_6980,axiom,
    ( ~ esk4384_2(X1,X2)
    | ~ esk4385_2(X1,X2) )).

cnf(i_0_6981,axiom,
    ( ~ esk3806_2(X1,X2)
    | ~ esk3805_2(X1,X2) )).

cnf(i_0_6982,axiom,
    ( esk4587_2(X1,X2)
    | ~ esk4591_2(X1,X2) )).

cnf(i_0_6983,axiom,
    ( ~ esk4718_2(X1,X2)
    | esk4723_2(X1,X2)
    | ~ esk4722_2(X1,X2) )).

cnf(i_0_6984,axiom,
    ( esk4494_2(X1,X2)
    | ~ esk4449_2(X1,X2)
    | ~ esk4278_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_6985,axiom,
    ( esk1566_2(X1,X2)
    | esk1565_2(X1,X2) )).

cnf(i_0_6986,axiom,
    ( ~ esk4038_2(X1,X2)
    | esk4034_2(X1,X2) )).

cnf(i_0_6987,axiom,
    ( ~ esk5342_2(X1,X2)
    | ~ esk5343_2(X1,X2) )).

cnf(i_0_6988,axiom,
    ( esk1280_2(X1,X2)
    | ~ esk1281_2(X1,X2) )).

cnf(i_0_6989,axiom,
    ( esk2232_2(X1,X2)
    | ~ esk2233_2(X1,X2) )).

cnf(i_0_6990,axiom,
    ( ~ esk1263_2(X1,X2)
    | ~ esk1264_2(X1,X2) )).

cnf(i_0_6991,axiom,
    ( esk162_2(X1,X2)
    | esk4333_2(X1,X2) )).

cnf(i_0_6992,axiom,
    ( ~ esk937_2(X1,X2)
    | esk912_2(X1,X2) )).

cnf(i_0_6993,axiom,
    ( ~ esk3577_2(X1,X2)
    | ~ esk3580_2(X1,X2)
    | esk3581_2(X1,X2) )).

cnf(i_0_6994,axiom,
    ( ~ esk4278_2(X1,X2)
    | esk4500_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk4455_2(X1,X2) )).

cnf(i_0_6995,axiom,
    ( ~ esk1424_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_6996,axiom,
    ( esk1328_2(X1,X2)
    | esk1327_2(X1,X2) )).

cnf(i_0_6997,axiom,
    ( esk96_2(X1,X2)
    | esk3049_2(X1,X2) )).

cnf(i_0_6998,axiom,
    ( esk2124_2(X1,X2)
    | esk2195_2(X1,X2)
    | esk2196_2(X1,X2) )).

cnf(i_0_6999,axiom,
    ( ~ esk3490_2(X1,X2)
    | esk3491_2(X1,X2)
    | ~ esk117_2(X1,X2) )).

cnf(i_0_7000,axiom,
    ( ~ esk1911_2(X1,X2)
    | ~ esk1912_2(X1,X2) )).

cnf(i_0_7001,axiom,
    ( ~ esk1315_2(X1,X2)
    | ~ esk1316_2(X1,X2) )).

cnf(i_0_7002,axiom,
    ( esk523_2(X1,X2)
    | ~ esk536_2(X1,X2) )).

cnf(i_0_7003,axiom,
    ( ~ esk3334_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_7004,axiom,
    ( ~ esk4917_2(X1,X2)
    | ~ esk4916_2(X1,X2) )).

cnf(i_0_7005,axiom,
    ( ~ esk2924_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_7006,axiom,
    ( ~ esk3731_2(X1,X2)
    | esk3455_2(X1,X2) )).

cnf(i_0_7007,axiom,
    ( esk877_2(X1,X2)
    | ~ esk872_2(X1,X2)
    | ~ esk876_2(X1,X2) )).

cnf(i_0_7008,axiom,
    ( ~ esk4911_2(X1,X2)
    | ~ esk3266_2(X1,X2) )).

cnf(i_0_7009,axiom,
    ( ~ esk1962_2(X1,X2)
    | esk1963_2(X1,X2)
    | ~ esk1958_2(X1,X2) )).

cnf(i_0_7010,axiom,
    ( ~ esk1757_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_7011,axiom,
    ( esk2448_2(X1,X2)
    | esk2449_2(X1,X2) )).

cnf(i_0_7012,axiom,
    ( ~ esk2756_2(X1,X2)
    | esk2755_2(X1,X2) )).

cnf(i_0_7013,axiom,
    ( esk2225_2(X1,X2)
    | esk2226_2(X1,X2) )).

cnf(i_0_7014,axiom,
    ( esk5331_2(X1,X2)
    | esk3161_2(X1,X2) )).

cnf(i_0_7015,axiom,
    ( ~ esk4768_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_7016,axiom,
    ( esk2462_2(X1,X2)
    | esk2463_2(X1,X2) )).

cnf(i_0_7017,axiom,
    ( ~ esk4552_2(X1,X2)
    | ~ esk4551_2(X1,X2) )).

cnf(i_0_7018,axiom,
    ( ~ esk3785_2(X1,X2)
    | esk4404_2(X1,X2)
    | ~ esk49_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_7019,axiom,
    ( esk5115_2(X1,X2)
    | ~ esk5109_2(X1,X2)
    | ~ esk5114_2(X1,X2) )).

cnf(i_0_7020,axiom,
    ( ~ esk4435_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_7021,axiom,
    ( ~ esk2257_2(X1,X2)
    | esk698_2(X1,X2) )).

cnf(i_0_7022,axiom,
    ( esk102_2(X1,X2)
    | ~ esk4659_2(X1,X2) )).

cnf(i_0_7023,axiom,
    ( esk2637_2(X1,X2)
    | ~ esk2632_2(X1,X2)
    | ~ esk2636_2(X1,X2) )).

cnf(i_0_7024,axiom,
    ( ~ esk1397_2(X1,X2)
    | ~ esk1396_2(X1,X2) )).

cnf(i_0_7025,axiom,
    ( esk2636_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_7026,axiom,
    ( ~ esk4285_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_7027,axiom,
    ( ~ esk295_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_7028,axiom,
    ( esk5222_2(X1,X2)
    | ~ esk5220_2(X1,X2)
    | ~ esk5221_2(X1,X2) )).

cnf(i_0_7029,axiom,
    ( ~ esk302_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_7030,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4550_2(X1,X2) )).

cnf(i_0_7031,axiom,
    ( ~ esk20_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk1837_2(X1,X2) )).

cnf(i_0_7032,axiom,
    ( ~ esk3057_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_7033,axiom,
    ( ~ esk5383_2(X1,X2)
    | ~ esk5384_2(X1,X2) )).

cnf(i_0_7034,axiom,
    ( esk3922_2(X1,X2)
    | esk4073_2(X1,X2) )).

cnf(i_0_7035,axiom,
    ( ~ esk5344_2(X1,X2)
    | ~ esk5343_2(X1,X2) )).

cnf(i_0_7036,axiom,
    ( esk1079_2(X1,X2)
    | esk1078_2(X1,X2) )).

cnf(i_0_7037,axiom,
    ( ~ esk270_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | esk271_2(X1,X2) )).

cnf(i_0_7038,axiom,
    ( ~ esk2590_2(X1,X2)
    | ~ esk2589_2(X1,X2) )).

cnf(i_0_7039,axiom,
    ( esk144_2(X1,X2)
    | ~ esk532_2(X1,X2) )).

cnf(i_0_7040,axiom,
    ( ~ esk5046_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_7041,axiom,
    ( ~ esk1206_2(X1,X2)
    | ~ esk1002_2(X1,X2) )).

cnf(i_0_7042,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk296_2(X1,X2) )).

cnf(i_0_7043,axiom,
    ( esk4748_2(X1,X2)
    | esk4747_2(X1,X2) )).

cnf(i_0_7044,axiom,
    ( esk3179_2(X1,X2)
    | esk3180_2(X1,X2) )).

cnf(i_0_7045,axiom,
    ( ~ esk5510_2(X1,X2)
    | ~ esk2859_2(X1,X2)
    | ~ esk197_2(X1,X2) )).

cnf(i_0_7046,axiom,
    ( ~ esk5364_2(X1,X2)
    | esk3173_2(X1,X2) )).

cnf(i_0_7047,axiom,
    ( ~ esk4401_2(X1,X2)
    | ~ esk4400_2(X1,X2) )).

cnf(i_0_7048,axiom,
    ( esk375_2(X1,X2)
    | ~ esk319_2(X1,X2)
    | ~ esk374_2(X1,X2) )).

cnf(i_0_7049,axiom,
    ( ~ esk4271_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_7050,axiom,
    ( esk3319_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_7051,axiom,
    ( esk705_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_7052,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1629_2(X1,X2) )).

cnf(i_0_7053,axiom,
    ( ~ esk4616_2(X1,X2)
    | esk4611_2(X1,X2) )).

cnf(i_0_7054,axiom,
    ( esk174_2(X1,X2)
    | ~ esk2809_2(X1,X2) )).

cnf(i_0_7055,axiom,
    ( esk918_2(X1,X2)
    | ~ esk919_2(X1,X2) )).

cnf(i_0_7056,axiom,
    ( ~ esk255_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_7057,axiom,
    ( ~ esk1783_2(X1,X2)
    | ~ esk1784_2(X1,X2) )).

cnf(i_0_7058,axiom,
    ( esk2117_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_7059,axiom,
    ( esk5190_2(X1,X2)
    | ~ esk5194_2(X1,X2) )).

cnf(i_0_7060,axiom,
    ( esk1408_2(X1,X2)
    | ~ esk1409_2(X1,X2) )).

cnf(i_0_7061,axiom,
    ( ~ esk1979_2(X1,X2)
    | ~ esk1992_2(X1,X2)
    | esk1993_2(X1,X2) )).

cnf(i_0_7062,axiom,
    ( esk442_2(X1,X2)
    | esk443_2(X1,X2) )).

cnf(i_0_7063,axiom,
    ( esk4209_2(X1,X2)
    | ~ esk4208_2(X1,X2)
    | ~ esk4204_2(X1,X2) )).

cnf(i_0_7064,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk2814_2(X1,X2) )).

cnf(i_0_7065,axiom,
    ( esk3571_2(X1,X2)
    | ~ esk3572_2(X1,X2) )).

cnf(i_0_7066,axiom,
    ( ~ esk4325_2(X1,X2)
    | esk4324_2(X1,X2) )).

cnf(i_0_7067,axiom,
    ( esk178_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_7068,axiom,
    ( ~ esk605_2(X1,X2)
    | ~ esk1555_2(X1,X2) )).

cnf(i_0_7069,axiom,
    ( ~ esk1796_2(X1,X2)
    | ~ esk1797_2(X1,X2) )).

cnf(i_0_7070,axiom,
    ( esk3816_2(X1,X2)
    | ~ esk3817_2(X1,X2) )).

cnf(i_0_7071,axiom,
    ( esk78_2(X1,X2)
    | ~ esk4308_2(X1,X2) )).

cnf(i_0_7072,axiom,
    ( ~ esk4986_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_7073,axiom,
    ( esk2966_2(X1,X2)
    | esk2964_2(X1,X2)
    | esk2967_2(X1,X2) )).

cnf(i_0_7074,axiom,
    ( esk3254_2(X1,X2)
    | esk3253_2(X1,X2) )).

cnf(i_0_7075,axiom,
    ( esk5167_2(X1,X2)
    | ~ esk5168_2(X1,X2) )).

cnf(i_0_7076,axiom,
    ( ~ esk1195_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_7077,axiom,
    ( esk203_2(X1,X2)
    | esk204_2(X1,X2) )).

cnf(i_0_7078,axiom,
    ( esk128_2(X1,X2)
    | esk852_2(X1,X2) )).

cnf(i_0_7079,axiom,
    ( esk2923_2(X1,X2)
    | ~ esk68_2(X1,X2)
    | ~ esk2922_2(X1,X2) )).

cnf(i_0_7080,axiom,
    ( ~ esk2581_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_7081,axiom,
    ( esk1996_2(X1,X2)
    | ~ esk1995_2(X1,X2)
    | ~ esk1991_2(X1,X2) )).

cnf(i_0_7082,axiom,
    ( ~ esk1826_2(X1,X2)
    | ~ esk1822_2(X1,X2) )).

cnf(i_0_7083,axiom,
    ( ~ esk3762_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_7084,axiom,
    ( ~ esk1804_2(X1,X2)
    | esk1741_2(X1,X2) )).

cnf(i_0_7085,axiom,
    ( esk820_2(X1,X2)
    | ~ esk821_2(X1,X2) )).

cnf(i_0_7086,axiom,
    ( esk2057_2(X1,X2)
    | esk2061_2(X1,X2) )).

cnf(i_0_7087,axiom,
    ( esk1510_2(X1,X2)
    | esk1509_2(X1,X2) )).

cnf(i_0_7088,axiom,
    ( ~ esk3203_2(X1,X2)
    | esk3618_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_7089,axiom,
    ( esk2470_2(X1,X2)
    | esk2476_2(X1,X2) )).

cnf(i_0_7090,axiom,
    ( ~ esk2562_2(X1,X2)
    | esk2563_2(X1,X2)
    | ~ esk2558_2(X1,X2) )).

cnf(i_0_7091,axiom,
    ( ~ esk3824_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | esk4285_2(X1,X2)
    | ~ esk3844_2(X1,X2) )).

cnf(i_0_7092,axiom,
    ( ~ esk1271_2(X1,X2)
    | esk57_2(X1,X2) )).

cnf(i_0_7093,axiom,
    ( ~ esk5477_2(X1,X2)
    | esk5446_2(X1,X2) )).

cnf(i_0_7094,axiom,
    ( ~ esk2017_2(X1,X2)
    | esk2011_2(X1,X2) )).

cnf(i_0_7095,axiom,
    ( ~ esk3635_2(X1,X2)
    | ~ esk3811_2(X1,X2) )).

cnf(i_0_7096,axiom,
    ( ~ esk137_2(X1,X2)
    | esk787_2(X1,X2)
    | ~ esk786_2(X1,X2) )).

cnf(i_0_7097,axiom,
    ( esk5515_2(X1,X2)
    | esk2870_2(X1,X2)
    | ~ esk208_2(X1,X2) )).

cnf(i_0_7098,axiom,
    ( ~ esk2236_2(X1,X2)
    | ~ esk2235_2(X1,X2) )).

cnf(i_0_7099,axiom,
    ( ~ esk4511_2(X1,X2)
    | esk5592_2(X1,X2)
    | esk1858_2(X1,X2) )).

cnf(i_0_7100,axiom,
    ( ~ esk3413_2(X1,X2)
    | ~ esk3414_2(X1,X2) )).

cnf(i_0_7101,axiom,
    ( ~ esk1842_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_7102,axiom,
    ( ~ esk2785_2(X1,X2)
    | ~ esk2783_2(X1,X2) )).

cnf(i_0_7103,axiom,
    ( esk3292_2(X1,X2)
    | esk3293_2(X1,X2)
    | esk3294_2(X1,X2) )).

cnf(i_0_7104,axiom,
    ( ~ esk3269_2(X1,X2)
    | esk122_2(X1,X2) )).

cnf(i_0_7105,axiom,
    ( ~ esk3262_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_7106,axiom,
    ( esk4164_2(X1,X2)
    | esk4150_2(X1,X2)
    | esk4165_2(X1,X2) )).

cnf(i_0_7107,axiom,
    ( ~ esk143_2(X1,X2)
    | ~ esk3467_2(X1,X2) )).

cnf(i_0_7108,axiom,
    ( esk102_2(X1,X2)
    | ~ esk1908_2(X1,X2) )).

cnf(i_0_7109,axiom,
    ( esk2909_2(X1,X2)
    | ~ esk5522_2(X1,X2)
    | esk247_2(X1,X2) )).

cnf(i_0_7110,axiom,
    ( esk2007_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_7111,axiom,
    ( esk5491_2(X1,X2)
    | ~ esk81_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_7112,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4788_2(X1,X2) )).

cnf(i_0_7113,axiom,
    ( ~ esk4017_2(X1,X2)
    | esk4016_2(X1,X2) )).

cnf(i_0_7114,axiom,
    ( ~ esk3293_2(X1,X2)
    | esk116_2(X1,X2) )).

cnf(i_0_7115,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1585_2(X1,X2) )).

cnf(i_0_7116,axiom,
    ( ~ esk1627_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_7117,axiom,
    ( ~ esk3303_2(X1,X2)
    | ~ esk3304_2(X1,X2) )).

cnf(i_0_7118,axiom,
    ( ~ esk50_2(X1,X2)
    | esk1086_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_7119,axiom,
    ( esk3262_2(X1,X2)
    | ~ esk3280_2(X1,X2) )).

cnf(i_0_7120,axiom,
    ( esk5352_2(X1,X2)
    | esk5351_2(X1,X2) )).

cnf(i_0_7121,axiom,
    ( ~ esk5039_2(X1,X2)
    | ~ esk5040_2(X1,X2) )).

cnf(i_0_7122,axiom,
    ( ~ esk457_2(X1,X2)
    | esk456_2(X1,X2) )).

cnf(i_0_7123,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk303_2(X1,X2)
    | esk304_2(X1,X2) )).

cnf(i_0_7124,axiom,
    ( ~ esk3074_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_7125,axiom,
    ( ~ esk3600_2(X1,X2)
    | esk3599_2(X1,X2) )).

cnf(i_0_7126,axiom,
    ( ~ esk929_2(X1,X2)
    | ~ esk928_2(X1,X2) )).

cnf(i_0_7127,axiom,
    ( ~ esk3012_2(X1,X2)
    | ~ esk3011_2(X1,X2) )).

cnf(i_0_7128,axiom,
    ( ~ esk4330_2(X1,X2)
    | ~ esk4326_2(X1,X2) )).

cnf(i_0_7129,axiom,
    ( ~ esk2046_2(X1,X2)
    | esk1041_2(X1,X2) )).

cnf(i_0_7130,axiom,
    ( ~ esk3378_2(X1,X2)
    | esk3379_2(X1,X2)
    | ~ esk3375_2(X1,X2) )).

cnf(i_0_7131,axiom,
    ( ~ esk1639_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_7132,axiom,
    ( esk148_2(X1,X2)
    | ~ esk975_2(X1,X2) )).

cnf(i_0_7133,axiom,
    ( ~ esk2152_2(X1,X2)
    | ~ esk2151_2(X1,X2) )).

cnf(i_0_7134,axiom,
    ( ~ esk1641_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_7135,axiom,
    ( esk1092_2(X1,X2)
    | ~ esk1097_2(X1,X2) )).

cnf(i_0_7136,axiom,
    ( esk565_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_7137,axiom,
    ( ~ esk3219_2(X1,X2)
    | ~ esk3215_2(X1,X2) )).

cnf(i_0_7138,axiom,
    ( esk3614_2(X1,X2)
    | ~ esk5223_2(X1,X2) )).

cnf(i_0_7139,axiom,
    ( esk4445_2(X1,X2)
    | ~ esk3853_2(X1,X2)
    | ~ esk3066_2(X1,X2)
    | ~ esk3852_2(X1,X2) )).

cnf(i_0_7140,axiom,
    ( ~ esk4855_2(X1,X2)
    | ~ esk3669_2(X1,X2) )).

cnf(i_0_7141,axiom,
    ( esk1258_2(X1,X2)
    | esk1271_2(X1,X2)
    | esk1270_2(X1,X2)
    | esk1272_2(X1,X2) )).

cnf(i_0_7142,axiom,
    ( ~ esk2517_2(X1,X2)
    | esk2513_2(X1,X2) )).

cnf(i_0_7143,axiom,
    ( esk3153_2(X1,X2)
    | esk3152_2(X1,X2) )).

cnf(i_0_7144,axiom,
    ( ~ esk540_2(X1,X2)
    | ~ esk539_2(X1,X2) )).

cnf(i_0_7145,axiom,
    ( esk3751_2(X1,X2)
    | esk3750_2(X1,X2) )).

cnf(i_0_7146,axiom,
    ( esk1576_2(X1,X2)
    | ~ esk1744_2(X1,X2) )).

cnf(i_0_7147,axiom,
    ( ~ esk276_2(X1,X2)
    | esk277_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_7148,axiom,
    ( ~ esk4334_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_7149,axiom,
    ( esk3154_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_7150,axiom,
    ( ~ esk1017_2(X1,X2)
    | esk708_2(X1,X2) )).

cnf(i_0_7151,axiom,
    ( ~ esk1664_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | esk1665_2(X1,X2) )).

cnf(i_0_7152,axiom,
    ( ~ esk4124_2(X1,X2)
    | ~ esk4125_2(X1,X2) )).

cnf(i_0_7153,axiom,
    ( ~ esk1640_2(X1,X2)
    | ~ esk1642_2(X1,X2) )).

cnf(i_0_7154,axiom,
    ( esk2123_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_7155,axiom,
    ( ~ esk5057_2(X1,X2)
    | ~ esk5058_2(X1,X2) )).

cnf(i_0_7156,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk2849_2(X1,X2) )).

cnf(i_0_7157,axiom,
    ( ~ esk4912_2(X1,X2)
    | ~ esk4911_2(X1,X2) )).

cnf(i_0_7158,axiom,
    ( ~ esk1638_2(X1,X2)
    | esk1192_2(X1,X2) )).

cnf(i_0_7159,axiom,
    ( esk90_2(X1,X2)
    | esk3543_2(X1,X2) )).

cnf(i_0_7160,axiom,
    ( esk178_2(X1,X2)
    | ~ esk1738_2(X1,X2) )).

cnf(i_0_7161,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1788_2(X1,X2) )).

cnf(i_0_7162,axiom,
    ( ~ esk4277_2(X1,X2)
    | ~ esk18_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk4281_2(X1,X2) )).

cnf(i_0_7163,axiom,
    ( esk2874_2(X1,X2)
    | esk2873_2(X1,X2) )).

cnf(i_0_7164,axiom,
    ( esk1694_2(X1,X2)
    | esk1693_2(X1,X2) )).

cnf(i_0_7165,axiom,
    ( esk432_2(X1,X2)
    | ~ esk472_2(X1,X2) )).

cnf(i_0_7166,axiom,
    ( ~ esk1236_2(X1,X2)
    | ~ esk1237_2(X1,X2) )).

cnf(i_0_7167,axiom,
    ( ~ esk2769_2(X1,X2)
    | esk2768_2(X1,X2) )).

cnf(i_0_7168,axiom,
    ( ~ esk4780_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_7169,axiom,
    ( ~ esk3416_2(X1,X2)
    | ~ esk3417_2(X1,X2) )).

cnf(i_0_7170,axiom,
    ( ~ esk1752_2(X1,X2)
    | ~ esk1749_2(X1,X2) )).

cnf(i_0_7171,axiom,
    ( ~ esk685_2(X1,X2)
    | esk684_2(X1,X2) )).

cnf(i_0_7172,axiom,
    ( esk3266_2(X1,X2)
    | ~ esk3668_2(X1,X2) )).

cnf(i_0_7173,axiom,
    ( ~ esk1707_2(X1,X2)
    | ~ esk1704_2(X1,X2) )).

cnf(i_0_7174,axiom,
    ( ~ esk1203_2(X1,X2)
    | esk801_2(X1,X2) )).

cnf(i_0_7175,axiom,
    ( ~ esk5034_2(X1,X2)
    | ~ esk5035_2(X1,X2) )).

cnf(i_0_7176,axiom,
    ( esk2847_2(X1,X2)
    | esk185_2(X1,X2)
    | ~ esk5500_2(X1,X2) )).

cnf(i_0_7177,axiom,
    ( ~ esk1828_2(X1,X2)
    | ~ esk1832_2(X1,X2) )).

cnf(i_0_7178,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5233_2(X1,X2) )).

cnf(i_0_7179,axiom,
    ( esk4242_2(X1,X2)
    | ~ esk5488_2(X1,X2) )).

cnf(i_0_7180,axiom,
    ( esk4123_2(X1,X2)
    | esk3648_2(X1,X2)
    | esk4122_2(X1,X2)
    | esk4124_2(X1,X2) )).

cnf(i_0_7181,axiom,
    ( ~ esk2153_2(X1,X2)
    | esk2149_2(X1,X2) )).

cnf(i_0_7182,axiom,
    ( ~ esk3158_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_7183,axiom,
    ( ~ esk391_2(X1,X2)
    | ~ esk392_2(X1,X2) )).

cnf(i_0_7184,axiom,
    ( ~ esk2405_2(X1,X2)
    | ~ esk2470_2(X1,X2)
    | ~ esk2437_2(X1,X2)
    | esk2478_2(X1,X2) )).

cnf(i_0_7185,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1641_2(X1,X2) )).

cnf(i_0_7186,axiom,
    ( ~ esk914_2(X1,X2)
    | ~ esk915_2(X1,X2) )).

cnf(i_0_7187,axiom,
    ( esk2289_2(X1,X2)
    | esk2290_2(X1,X2) )).

cnf(i_0_7188,axiom,
    ( esk2267_2(X1,X2)
    | esk2262_2(X1,X2) )).

cnf(i_0_7189,axiom,
    ( ~ esk3199_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | esk3200_2(X1,X2) )).

cnf(i_0_7190,axiom,
    ( esk4449_2(X1,X2)
    | ~ esk4494_2(X1,X2) )).

cnf(i_0_7191,axiom,
    ( esk5455_2(X1,X2)
    | esk5452_2(X1,X2)
    | esk5454_2(X1,X2) )).

cnf(i_0_7192,axiom,
    ( ~ esk4688_2(X1,X2)
    | ~ esk4689_2(X1,X2) )).

cnf(i_0_7193,axiom,
    ( ~ esk903_2(X1,X2)
    | ~ esk904_2(X1,X2) )).

cnf(i_0_7194,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | esk3121_2(X1,X2) )).

cnf(i_0_7195,axiom,
    ( ~ esk4129_2(X1,X2)
    | ~ esk3414_2(X1,X2) )).

cnf(i_0_7196,axiom,
    ( esk65_2(X1,X2)
    | ~ esk199_2(X1,X2) )).

cnf(i_0_7197,axiom,
    ( ~ esk364_2(X1,X2)
    | ~ esk1967_2(X1,X2) )).

cnf(i_0_7198,axiom,
    ( ~ esk3827_2(X1,X2)
    | ~ esk3829_2(X1,X2) )).

cnf(i_0_7199,axiom,
    ( esk3669_2(X1,X2)
    | ~ esk4908_2(X1,X2) )).

cnf(i_0_7200,axiom,
    ( ~ esk3105_2(X1,X2)
    | ~ esk3100_2(X1,X2)
    | esk3106_2(X1,X2) )).

cnf(i_0_7201,axiom,
    ( ~ esk1520_2(X1,X2)
    | ~ esk1148_2(X1,X2) )).

cnf(i_0_7202,axiom,
    ( esk3775_2(X1,X2)
    | esk4231_2(X1,X2) )).

cnf(i_0_7203,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk1813_2(X1,X2)
    | ~ esk43_2(X1,X2) )).

cnf(i_0_7204,axiom,
    ( esk4978_2(X1,X2)
    | esk4977_2(X1,X2) )).

cnf(i_0_7205,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1609_2(X1,X2) )).

cnf(i_0_7206,axiom,
    ( esk5388_2(X1,X2)
    | esk5389_2(X1,X2) )).

cnf(i_0_7207,axiom,
    ( esk3074_2(X1,X2)
    | esk3077_2(X1,X2)
    | esk3076_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_7208,axiom,
    ( esk175_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_7209,axiom,
    ( esk4178_2(X1,X2)
    | esk4177_2(X1,X2) )).

cnf(i_0_7210,axiom,
    ( esk4269_2(X1,X2)
    | esk4270_2(X1,X2) )).

cnf(i_0_7211,axiom,
    ( esk3124_2(X1,X2)
    | esk3125_2(X1,X2) )).

cnf(i_0_7212,axiom,
    ( esk3161_2(X1,X2)
    | esk5390_2(X1,X2) )).

cnf(i_0_7213,axiom,
    ( ~ esk2837_2(X1,X2)
    | esk80_2(X1,X2) )).

cnf(i_0_7214,axiom,
    ( esk3479_2(X1,X2)
    | ~ esk3895_2(X1,X2) )).

cnf(i_0_7215,axiom,
    ( ~ esk5277_2(X1,X2)
    | ~ esk5278_2(X1,X2) )).

cnf(i_0_7216,axiom,
    ( ~ esk1797_2(X1,X2)
    | esk5582_2(X1,X2)
    | esk4450_2(X1,X2) )).

cnf(i_0_7217,axiom,
    ( esk5023_2(X1,X2)
    | esk5022_2(X1,X2) )).

cnf(i_0_7218,axiom,
    ( ~ esk5490_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_7219,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk429_2(X1,X2) )).

cnf(i_0_7220,axiom,
    ( ~ esk3991_2(X1,X2)
    | esk3996_2(X1,X2)
    | ~ esk3995_2(X1,X2) )).

cnf(i_0_7221,axiom,
    ( esk4878_2(X1,X2)
    | esk4879_2(X1,X2) )).

cnf(i_0_7222,axiom,
    ( ~ esk639_2(X1,X2)
    | ~ esk1323_2(X1,X2) )).

cnf(i_0_7223,axiom,
    ( ~ esk598_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_7224,axiom,
    ( esk4595_2(X1,X2)
    | esk4596_2(X1,X2)
    | esk4593_2(X1,X2) )).

cnf(i_0_7225,axiom,
    ( ~ esk3929_2(X1,X2)
    | ~ esk3930_2(X1,X2) )).

cnf(i_0_7226,axiom,
    ( esk143_2(X1,X2)
    | ~ esk3029_2(X1,X2) )).

cnf(i_0_7227,axiom,
    ( esk3904_2(X1,X2)
    | esk3905_2(X1,X2) )).

cnf(i_0_7228,axiom,
    ( ~ esk5497_2(X1,X2)
    | esk2844_2(X1,X2)
    | esk182_2(X1,X2) )).

cnf(i_0_7229,axiom,
    ( ~ esk3845_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk3741_2(X1,X2)
    | esk3847_2(X1,X2) )).

cnf(i_0_7230,axiom,
    ( ~ esk5276_2(X1,X2)
    | ~ esk5277_2(X1,X2) )).

cnf(i_0_7231,axiom,
    ( ~ esk3725_2(X1,X2)
    | ~ esk3726_2(X1,X2) )).

cnf(i_0_7232,axiom,
    ( ~ esk2929_2(X1,X2)
    | ~ esk68_2(X1,X2)
    | esk2930_2(X1,X2) )).

cnf(i_0_7233,axiom,
    ( esk5200_2(X1,X2)
    | ~ esk5195_2(X1,X2)
    | ~ esk5199_2(X1,X2) )).

cnf(i_0_7234,axiom,
    ( esk3046_2(X1,X2)
    | esk3045_2(X1,X2) )).

cnf(i_0_7235,axiom,
    ( ~ esk1504_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_7236,axiom,
    ( ~ esk4258_2(X1,X2)
    | esk1605_2(X1,X2)
    | esk5557_2(X1,X2) )).

cnf(i_0_7237,axiom,
    ( ~ esk1381_2(X1,X2)
    | ~ esk1380_2(X1,X2) )).

cnf(i_0_7238,axiom,
    ( ~ esk2811_2(X1,X2)
    | ~ esk2798_2(X1,X2) )).

cnf(i_0_7239,axiom,
    ( ~ esk2510_2(X1,X2)
    | ~ esk2509_2(X1,X2) )).

cnf(i_0_7240,axiom,
    ( ~ esk743_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_7241,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk3319_2(X1,X2) )).

cnf(i_0_7242,axiom,
    ( ~ esk707_2(X1,X2)
    | ~ esk1016_2(X1,X2)
    | esk2255_2(X1,X2) )).

cnf(i_0_7243,axiom,
    ( ~ esk5399_2(X1,X2)
    | esk5394_2(X1,X2) )).

cnf(i_0_7244,axiom,
    ( esk123_2(X1,X2)
    | ~ esk351_2(X1,X2) )).

cnf(i_0_7245,axiom,
    ( ~ esk4096_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_7246,axiom,
    ( esk1568_2(X1,X2)
    | ~ esk1572_2(X1,X2) )).

cnf(i_0_7247,axiom,
    ( esk3550_2(X1,X2)
    | esk3551_2(X1,X2) )).

cnf(i_0_7248,axiom,
    ( esk5302_2(X1,X2)
    | esk5303_2(X1,X2)
    | esk5222_2(X1,X2) )).

cnf(i_0_7249,axiom,
    ( esk2474_2(X1,X2)
    | esk2475_2(X1,X2)
    | esk2472_2(X1,X2) )).

cnf(i_0_7250,axiom,
    ( ~ esk4555_2(X1,X2)
    | ~ esk4558_2(X1,X2) )).

cnf(i_0_7251,axiom,
    ( esk2753_2(X1,X2)
    | ~ esk2754_2(X1,X2) )).

cnf(i_0_7252,axiom,
    ( esk420_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | ~ esk309_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_7253,axiom,
    ( esk3052_2(X1,X2)
    | esk3051_2(X1,X2) )).

cnf(i_0_7254,axiom,
    ( ~ esk1741_2(X1,X2)
    | ~ esk1740_2(X1,X2) )).

cnf(i_0_7255,axiom,
    ( ~ esk4063_2(X1,X2)
    | ~ esk4064_2(X1,X2) )).

cnf(i_0_7256,axiom,
    ( ~ esk2894_2(X1,X2)
    | ~ esk2896_2(X1,X2) )).

cnf(i_0_7257,axiom,
    ( ~ esk3478_2(X1,X2)
    | ~ esk3479_2(X1,X2) )).

cnf(i_0_7258,axiom,
    ( ~ esk165_2(X1,X2)
    | esk258_2(X1,X2)
    | ~ esk239_2(X1,X2) )).

cnf(i_0_7259,axiom,
    ( ~ esk2739_2(X1,X2)
    | esk2740_2(X1,X2)
    | ~ esk2736_2(X1,X2) )).

cnf(i_0_7260,axiom,
    ( ~ esk603_2(X1,X2)
    | ~ esk604_2(X1,X2) )).

cnf(i_0_7261,axiom,
    ( esk755_2(X1,X2)
    | esk754_2(X1,X2) )).

cnf(i_0_7262,axiom,
    ( ~ esk3740_2(X1,X2)
    | ~ esk3739_2(X1,X2) )).

cnf(i_0_7263,axiom,
    ( esk1685_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk78_2(X1,X2) )).

cnf(i_0_7264,axiom,
    ( ~ esk945_2(X1,X2)
    | ~ esk946_2(X1,X2) )).

cnf(i_0_7265,axiom,
    ( ~ esk486_2(X1,X2)
    | esk3148_2(X1,X2)
    | esk5527_2(X1,X2) )).

cnf(i_0_7266,axiom,
    ( ~ esk3370_2(X1,X2)
    | esk3670_2(X1,X2)
    | ~ esk3369_2(X1,X2)
    | ~ esk3669_2(X1,X2) )).

cnf(i_0_7267,axiom,
    ( esk4689_2(X1,X2)
    | esk4690_2(X1,X2) )).

cnf(i_0_7268,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk4557_2(X1,X2)
    | ~ esk75_2(X1,X2) )).

cnf(i_0_7269,axiom,
    ( ~ esk1332_2(X1,X2)
    | ~ esk1331_2(X1,X2) )).

cnf(i_0_7270,axiom,
    ( ~ esk2584_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_7271,axiom,
    ( esk1803_2(X1,X2)
    | ~ esk5583_2(X1,X2)
    | esk4456_2(X1,X2) )).

cnf(i_0_7272,axiom,
    ( ~ esk4717_2(X1,X2)
    | ~ esk4718_2(X1,X2) )).

cnf(i_0_7273,axiom,
    ( esk2276_2(X1,X2)
    | ~ esk2275_2(X1,X2)
    | ~ esk2271_2(X1,X2) )).

cnf(i_0_7274,axiom,
    ( ~ esk3705_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_7275,axiom,
    ( esk431_2(X1,X2)
    | esk432_2(X1,X2) )).

cnf(i_0_7276,axiom,
    ( esk4406_2(X1,X2)
    | ~ esk4540_2(X1,X2) )).

cnf(i_0_7277,axiom,
    ( esk3313_2(X1,X2)
    | esk3711_2(X1,X2)
    | esk3712_2(X1,X2) )).

cnf(i_0_7278,axiom,
    ( esk4722_2(X1,X2)
    | esk4707_2(X1,X2) )).

cnf(i_0_7279,axiom,
    ( ~ esk3618_2(X1,X2)
    | ~ esk5156_2(X1,X2) )).

cnf(i_0_7280,axiom,
    ( esk3844_2(X1,X2)
    | ~ esk3846_2(X1,X2) )).

cnf(i_0_7281,axiom,
    ( esk4443_2(X1,X2)
    | ~ esk4470_2(X1,X2) )).

cnf(i_0_7282,axiom,
    ( esk682_2(X1,X2)
    | esk683_2(X1,X2) )).

cnf(i_0_7283,axiom,
    ( ~ esk5252_2(X1,X2)
    | ~ esk5253_2(X1,X2) )).

cnf(i_0_7284,axiom,
    ( ~ esk3494_2(X1,X2)
    | ~ esk3495_2(X1,X2) )).

cnf(i_0_7285,axiom,
    ( ~ esk1295_2(X1,X2)
    | ~ esk1296_2(X1,X2) )).

cnf(i_0_7286,axiom,
    ( ~ esk3847_2(X1,X2)
    | ~ esk3850_2(X1,X2) )).

cnf(i_0_7287,axiom,
    ( ~ esk1671_2(X1,X2)
    | ~ esk1670_2(X1,X2) )).

cnf(i_0_7288,axiom,
    ( ~ esk3520_2(X1,X2)
    | esk3516_2(X1,X2) )).

cnf(i_0_7289,axiom,
    ( esk4242_2(X1,X2)
    | ~ esk4356_2(X1,X2) )).

cnf(i_0_7290,axiom,
    ( esk1042_2(X1,X2)
    | ~ esk1069_2(X1,X2) )).

cnf(i_0_7291,axiom,
    ( esk5351_2(X1,X2)
    | esk5350_2(X1,X2) )).

cnf(i_0_7292,axiom,
    ( ~ esk3443_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_7293,axiom,
    ( esk4962_2(X1,X2)
    | esk4961_2(X1,X2) )).

cnf(i_0_7294,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk83_2(X1,X2)
    | esk1585_2(X1,X2) )).

cnf(i_0_7295,axiom,
    ( esk1356_2(X1,X2)
    | esk1357_2(X1,X2) )).

cnf(i_0_7296,axiom,
    ( ~ esk208_2(X1,X2)
    | ~ esk5515_2(X1,X2)
    | ~ esk2870_2(X1,X2) )).

cnf(i_0_7297,axiom,
    ( esk2899_2(X1,X2)
    | esk237_2(X1,X2)
    | ~ esk5521_2(X1,X2) )).

cnf(i_0_7298,axiom,
    ( ~ esk5558_2(X1,X2)
    | esk4264_2(X1,X2)
    | esk1611_2(X1,X2) )).

cnf(i_0_7299,axiom,
    ( ~ esk4506_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_7300,axiom,
    ( ~ esk4475_2(X1,X2)
    | esk4406_2(X1,X2) )).

cnf(i_0_7301,axiom,
    ( ~ esk1802_2(X1,X2)
    | ~ esk1801_2(X1,X2) )).

cnf(i_0_7302,axiom,
    ( ~ esk2754_2(X1,X2)
    | esk2749_2(X1,X2) )).

cnf(i_0_7303,axiom,
    ( esk149_2(X1,X2)
    | ~ esk4659_2(X1,X2) )).

cnf(i_0_7304,axiom,
    ( esk3326_2(X1,X2)
    | ~ esk3832_2(X1,X2) )).

cnf(i_0_7305,axiom,
    ( ~ esk3266_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_7306,axiom,
    ( esk1859_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | ~ esk1651_2(X1,X2)
    | ~ esk1753_2(X1,X2) )).

cnf(i_0_7307,axiom,
    ( esk4805_2(X1,X2)
    | esk4804_2(X1,X2) )).

cnf(i_0_7308,axiom,
    ( ~ esk3778_2(X1,X2)
    | ~ esk3891_2(X1,X2)
    | esk4260_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_7309,axiom,
    ( ~ esk319_2(X1,X2)
    | ~ esk387_2(X1,X2)
    | esk388_2(X1,X2) )).

cnf(i_0_7310,axiom,
    ( ~ esk5324_2(X1,X2)
    | esk5323_2(X1,X2) )).

cnf(i_0_7311,axiom,
    ( esk3914_2(X1,X2)
    | ~ esk3919_2(X1,X2) )).

cnf(i_0_7312,axiom,
    ( esk4527_2(X1,X2)
    | ~ esk4437_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk4304_2(X1,X2) )).

cnf(i_0_7313,axiom,
    ( ~ esk2927_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_7314,axiom,
    ( esk728_2(X1,X2)
    | ~ esk727_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_7315,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_7316,axiom,
    ( ~ esk5451_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_7317,axiom,
    ( ~ esk5586_2(X1,X2)
    | ~ esk1821_2(X1,X2)
    | ~ esk4474_2(X1,X2) )).

cnf(i_0_7318,axiom,
    ( ~ esk2980_2(X1,X2)
    | ~ esk2984_2(X1,X2) )).

cnf(i_0_7319,axiom,
    ( ~ esk2390_2(X1,X2)
    | ~ esk2387_2(X1,X2)
    | esk2391_2(X1,X2) )).

cnf(i_0_7320,axiom,
    ( esk2331_2(X1,X2)
    | esk2332_2(X1,X2) )).

cnf(i_0_7321,axiom,
    ( ~ esk937_2(X1,X2)
    | esk929_2(X1,X2) )).

cnf(i_0_7322,axiom,
    ( esk3443_2(X1,X2)
    | ~ esk3444_2(X1,X2) )).

cnf(i_0_7323,axiom,
    ( esk2072_2(X1,X2)
    | ~ esk2071_2(X1,X2)
    | ~ esk2068_2(X1,X2) )).

cnf(i_0_7324,axiom,
    ( ~ esk1656_2(X1,X2)
    | ~ esk1653_2(X1,X2) )).

cnf(i_0_7325,axiom,
    ( esk4437_2(X1,X2)
    | esk4438_2(X1,X2) )).

cnf(i_0_7326,axiom,
    ( ~ esk2027_2(X1,X2)
    | esk1967_2(X1,X2) )).

cnf(i_0_7327,axiom,
    ( ~ esk972_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_7328,axiom,
    ( ~ esk3576_2(X1,X2)
    | esk3575_2(X1,X2) )).

cnf(i_0_7329,axiom,
    ( ~ esk1572_2(X1,X2)
    | ~ esk1573_2(X1,X2) )).

cnf(i_0_7330,axiom,
    ( ~ esk4717_2(X1,X2)
    | esk4716_2(X1,X2) )).

cnf(i_0_7331,axiom,
    ( ~ esk25_2(X1,X2)
    | esk2816_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_7332,axiom,
    ( esk2236_2(X1,X2)
    | ~ esk2241_2(X1,X2) )).

cnf(i_0_7333,axiom,
    ( esk107_2(X1,X2)
    | ~ esk3224_2(X1,X2) )).

cnf(i_0_7334,axiom,
    ( esk647_2(X1,X2)
    | ~ esk986_2(X1,X2) )).

cnf(i_0_7335,axiom,
    ( ~ esk5049_2(X1,X2)
    | ~ esk5046_2(X1,X2) )).

cnf(i_0_7336,axiom,
    ( ~ esk4459_2(X1,X2)
    | ~ esk4461_2(X1,X2) )).

cnf(i_0_7337,axiom,
    ( ~ esk4123_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_7338,axiom,
    ( esk4532_2(X1,X2)
    | ~ esk5595_2(X1,X2)
    | esk1879_2(X1,X2) )).

cnf(i_0_7339,axiom,
    ( esk2489_2(X1,X2)
    | esk2488_2(X1,X2) )).

cnf(i_0_7340,axiom,
    ( esk2097_2(X1,X2)
    | esk2098_2(X1,X2) )).

cnf(i_0_7341,axiom,
    ( esk151_2(X1,X2)
    | ~ esk3320_2(X1,X2) )).

cnf(i_0_7342,axiom,
    ( ~ esk1970_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_7343,axiom,
    ( ~ esk629_2(X1,X2)
    | esk1109_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk617_2(X1,X2) )).

cnf(i_0_7344,axiom,
    ( ~ esk2044_2(X1,X2)
    | esk2788_2(X1,X2)
    | ~ esk2787_2(X1,X2) )).

cnf(i_0_7345,axiom,
    ( ~ esk3266_2(X1,X2)
    | ~ esk3265_2(X1,X2) )).

cnf(i_0_7346,axiom,
    ( esk605_2(X1,X2)
    | ~ esk635_2(X1,X2) )).

cnf(i_0_7347,axiom,
    ( esk391_2(X1,X2)
    | ~ esk1798_2(X1,X2) )).

cnf(i_0_7348,axiom,
    ( esk4815_2(X1,X2)
    | esk4816_2(X1,X2) )).

cnf(i_0_7349,axiom,
    ( esk5233_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | ~ esk3618_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_7350,axiom,
    ( ~ esk2301_2(X1,X2)
    | ~ esk2300_2(X1,X2) )).

cnf(i_0_7351,axiom,
    ( ~ esk2831_2(X1,X2)
    | ~ esk2823_2(X1,X2) )).

cnf(i_0_7352,axiom,
    ( esk3741_2(X1,X2)
    | ~ esk3847_2(X1,X2) )).

cnf(i_0_7353,axiom,
    ( ~ esk2551_2(X1,X2)
    | ~ esk2550_2(X1,X2) )).

cnf(i_0_7354,axiom,
    ( esk5311_2(X1,X2)
    | ~ esk5313_2(X1,X2) )).

cnf(i_0_7355,axiom,
    ( esk125_2(X1,X2)
    | ~ esk3299_2(X1,X2) )).

cnf(i_0_7356,axiom,
    ( ~ esk2328_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_7357,axiom,
    ( ~ esk3328_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_7358,axiom,
    ( ~ esk3234_2(X1,X2)
    | esk3230_2(X1,X2) )).

cnf(i_0_7359,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2579_2(X1,X2) )).

cnf(i_0_7360,axiom,
    ( ~ esk1821_2(X1,X2)
    | ~ esk1820_2(X1,X2) )).

cnf(i_0_7361,axiom,
    ( ~ esk4242_2(X1,X2)
    | esk4358_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk71_2(X1,X2) )).

cnf(i_0_7362,axiom,
    ( esk1784_2(X1,X2)
    | ~ esk1805_2(X1,X2) )).

cnf(i_0_7363,axiom,
    ( ~ esk2138_2(X1,X2)
    | ~ esk2137_2(X1,X2) )).

cnf(i_0_7364,axiom,
    ( esk4308_2(X1,X2)
    | ~ esk78_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_7365,axiom,
    ( esk1435_2(X1,X2)
    | esk1436_2(X1,X2) )).

cnf(i_0_7366,axiom,
    ( esk5062_2(X1,X2)
    | esk5063_2(X1,X2) )).

cnf(i_0_7367,axiom,
    ( ~ esk2805_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_7368,axiom,
    ( esk4836_2(X1,X2)
    | esk4837_2(X1,X2) )).

cnf(i_0_7369,axiom,
    ( esk5007_2(X1,X2)
    | esk5008_2(X1,X2) )).

cnf(i_0_7370,axiom,
    ( esk4182_2(X1,X2)
    | esk4181_2(X1,X2) )).

cnf(i_0_7371,axiom,
    ( esk44_2(X1,X2)
    | ~ esk4465_2(X1,X2) )).

cnf(i_0_7372,axiom,
    ( ~ esk1069_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_7373,axiom,
    ( ~ esk3414_2(X1,X2)
    | ~ esk3438_2(X1,X2)
    | esk3649_2(X1,X2)
    | ~ esk3648_2(X1,X2) )).

cnf(i_0_7374,axiom,
    ( ~ esk5269_2(X1,X2)
    | ~ esk5268_2(X1,X2) )).

cnf(i_0_7375,axiom,
    ( ~ esk874_2(X1,X2)
    | esk843_2(X1,X2) )).

cnf(i_0_7376,axiom,
    ( esk3505_2(X1,X2)
    | esk3538_2(X1,X2) )).

cnf(i_0_7377,axiom,
    ( esk868_2(X1,X2)
    | esk869_2(X1,X2)
    | esk870_2(X1,X2) )).

cnf(i_0_7378,axiom,
    ( ~ esk3252_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_7379,axiom,
    ( ~ esk4918_2(X1,X2)
    | esk4915_2(X1,X2) )).

cnf(i_0_7380,axiom,
    ( ~ esk1755_2(X1,X2)
    | esk280_2(X1,X2) )).

cnf(i_0_7381,axiom,
    ( esk3118_2(X1,X2)
    | esk3117_2(X1,X2) )).

cnf(i_0_7382,axiom,
    ( ~ esk3695_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | ~ esk2999_2(X1,X2)
    | esk3826_2(X1,X2) )).

cnf(i_0_7383,axiom,
    ( esk3525_2(X1,X2)
    | esk3528_2(X1,X2)
    | esk3527_2(X1,X2) )).

cnf(i_0_7384,axiom,
    ( ~ esk4261_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_7385,axiom,
    ( ~ esk1164_2(X1,X2)
    | esk1159_2(X1,X2) )).

cnf(i_0_7386,axiom,
    ( esk3903_2(X1,X2)
    | ~ esk3904_2(X1,X2) )).

cnf(i_0_7387,axiom,
    ( esk4489_2(X1,X2)
    | esk4488_2(X1,X2)
    | esk4491_2(X1,X2)
    | esk4490_2(X1,X2)
    | esk4487_2(X1,X2) )).

cnf(i_0_7388,axiom,
    ( esk3614_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk3227_2(X1,X2) )).

cnf(i_0_7389,axiom,
    ( esk5149_2(X1,X2)
    | esk3616_2(X1,X2)
    | esk5150_2(X1,X2) )).

cnf(i_0_7390,axiom,
    ( ~ esk3841_2(X1,X2)
    | ~ esk3840_2(X1,X2) )).

cnf(i_0_7391,axiom,
    ( esk176_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_7392,axiom,
    ( esk1023_2(X1,X2)
    | ~ esk1024_2(X1,X2) )).

cnf(i_0_7393,axiom,
    ( esk4069_2(X1,X2)
    | esk4068_2(X1,X2) )).

cnf(i_0_7394,axiom,
    ( ~ esk679_2(X1,X2)
    | ~ esk680_2(X1,X2) )).

cnf(i_0_7395,axiom,
    ( esk577_2(X1,X2)
    | esk576_2(X1,X2) )).

cnf(i_0_7396,axiom,
    ( esk3193_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_7397,axiom,
    ( ~ esk915_2(X1,X2)
    | esk919_2(X1,X2)
    | ~ esk918_2(X1,X2) )).

cnf(i_0_7398,axiom,
    ( esk1551_2(X1,X2)
    | esk1550_2(X1,X2)
    | esk973_2(X1,X2) )).

cnf(i_0_7399,axiom,
    ( ~ esk3418_2(X1,X2)
    | esk3419_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_7400,axiom,
    ( ~ esk513_2(X1,X2)
    | ~ esk514_2(X1,X2) )).

cnf(i_0_7401,axiom,
    ( ~ esk3421_2(X1,X2)
    | esk3420_2(X1,X2) )).

cnf(i_0_7402,axiom,
    ( esk3191_2(X1,X2)
    | esk3192_2(X1,X2) )).

cnf(i_0_7403,axiom,
    ( ~ esk4414_2(X1,X2)
    | esk155_2(X1,X2) )).

cnf(i_0_7404,axiom,
    ( esk5099_2(X1,X2)
    | ~ esk5100_2(X1,X2) )).

cnf(i_0_7405,axiom,
    ( ~ esk3814_2(X1,X2)
    | esk3813_2(X1,X2) )).

cnf(i_0_7406,axiom,
    ( esk2784_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_7407,axiom,
    ( ~ esk5487_2(X1,X2)
    | esk2834_2(X1,X2)
    | esk5604_2(X1,X2) )).

cnf(i_0_7408,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1658_2(X1,X2) )).

cnf(i_0_7409,axiom,
    ( esk4027_2(X1,X2)
    | esk3251_2(X1,X2) )).

cnf(i_0_7410,axiom,
    ( ~ esk1809_2(X1,X2)
    | ~ esk1808_2(X1,X2) )).

cnf(i_0_7411,axiom,
    ( esk2314_2(X1,X2)
    | ~ esk2315_2(X1,X2) )).

cnf(i_0_7412,axiom,
    ( ~ esk1479_2(X1,X2)
    | esk1475_2(X1,X2) )).

cnf(i_0_7413,axiom,
    ( ~ esk3196_2(X1,X2)
    | esk3192_2(X1,X2) )).

cnf(i_0_7414,axiom,
    ( ~ esk1811_2(X1,X2)
    | ~ esk1814_2(X1,X2) )).

cnf(i_0_7415,axiom,
    ( ~ esk195_2(X1,X2)
    | esk136_2(X1,X2) )).

cnf(i_0_7416,axiom,
    ( ~ esk4626_2(X1,X2)
    | ~ esk4625_2(X1,X2) )).

cnf(i_0_7417,axiom,
    ( ~ esk4020_2(X1,X2)
    | esk4015_2(X1,X2) )).

cnf(i_0_7418,axiom,
    ( esk3267_2(X1,X2)
    | esk4222_2(X1,X2) )).

cnf(i_0_7419,axiom,
    ( ~ esk2252_2(X1,X2)
    | ~ esk2123_2(X1,X2)
    | esk2254_2(X1,X2)
    | ~ esk2253_2(X1,X2) )).

cnf(i_0_7420,axiom,
    ( esk1823_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | ~ esk1796_2(X1,X2) )).

cnf(i_0_7421,axiom,
    ( esk139_2(X1,X2)
    | ~ esk582_2(X1,X2) )).

cnf(i_0_7422,axiom,
    ( ~ esk1461_2(X1,X2)
    | ~ esk1460_2(X1,X2) )).

cnf(i_0_7423,axiom,
    ( esk100_2(X1,X2)
    | ~ esk4627_2(X1,X2) )).

cnf(i_0_7424,axiom,
    ( esk536_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | ~ esk499_2(X1,X2)
    | ~ esk523_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_7425,axiom,
    ( ~ esk3578_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_7426,axiom,
    ( ~ esk3496_2(X1,X2)
    | esk3495_2(X1,X2) )).

cnf(i_0_7427,axiom,
    ( ~ esk5176_2(X1,X2)
    | esk5175_2(X1,X2) )).

cnf(i_0_7428,axiom,
    ( esk3236_2(X1,X2)
    | esk3238_2(X1,X2)
    | esk3237_2(X1,X2) )).

cnf(i_0_7429,axiom,
    ( ~ esk1670_2(X1,X2)
    | ~ esk1668_2(X1,X2) )).

cnf(i_0_7430,axiom,
    ( ~ esk4387_2(X1,X2)
    | esk4385_2(X1,X2) )).

cnf(i_0_7431,axiom,
    ( ~ esk724_2(X1,X2)
    | ~ esk721_2(X1,X2)
    | esk725_2(X1,X2) )).

cnf(i_0_7432,axiom,
    ( esk796_2(X1,X2)
    | esk795_2(X1,X2) )).

cnf(i_0_7433,axiom,
    ( ~ esk4776_2(X1,X2)
    | ~ esk4905_2(X1,X2)
    | ~ esk4906_2(X1,X2)
    | esk4907_2(X1,X2) )).

cnf(i_0_7434,axiom,
    ( ~ esk1322_2(X1,X2)
    | ~ esk1321_2(X1,X2) )).

cnf(i_0_7435,axiom,
    ( esk3471_2(X1,X2)
    | esk3864_2(X1,X2) )).

cnf(i_0_7436,axiom,
    ( ~ esk1336_2(X1,X2)
    | ~ esk1335_2(X1,X2) )).

cnf(i_0_7437,axiom,
    ( esk999_2(X1,X2)
    | esk992_2(X1,X2)
    | esk994_2(X1,X2)
    | esk998_2(X1,X2)
    | esk996_2(X1,X2) )).

cnf(i_0_7438,axiom,
    ( ~ esk4553_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_7439,axiom,
    ( ~ esk1129_2(X1,X2)
    | ~ esk1130_2(X1,X2) )).

cnf(i_0_7440,axiom,
    ( ~ esk650_2(X1,X2)
    | ~ esk648_2(X1,X2) )).

cnf(i_0_7441,axiom,
    ( ~ esk1938_2(X1,X2)
    | ~ esk1939_2(X1,X2) )).

cnf(i_0_7442,axiom,
    ( ~ esk1739_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_7443,axiom,
    ( ~ esk1020_2(X1,X2)
    | ~ esk1021_2(X1,X2) )).

cnf(i_0_7444,axiom,
    ( ~ esk2067_2(X1,X2)
    | esk2066_2(X1,X2) )).

cnf(i_0_7445,axiom,
    ( esk3354_2(X1,X2)
    | esk3355_2(X1,X2) )).

cnf(i_0_7446,axiom,
    ( ~ esk5388_2(X1,X2)
    | esk3161_2(X1,X2) )).

cnf(i_0_7447,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk3260_2(X1,X2) )).

cnf(i_0_7448,axiom,
    ( esk128_2(X1,X2)
    | esk4640_2(X1,X2) )).

cnf(i_0_7449,axiom,
    ( ~ esk5456_2(X1,X2)
    | ~ esk5455_2(X1,X2) )).

cnf(i_0_7450,axiom,
    ( ~ esk4121_2(X1,X2)
    | esk4120_2(X1,X2) )).

cnf(i_0_7451,axiom,
    ( esk4688_2(X1,X2)
    | esk4689_2(X1,X2) )).

cnf(i_0_7452,axiom,
    ( ~ esk2281_2(X1,X2)
    | esk698_2(X1,X2) )).

cnf(i_0_7453,axiom,
    ( ~ esk3497_2(X1,X2)
    | ~ esk3496_2(X1,X2) )).

cnf(i_0_7454,axiom,
    ( ~ esk4307_2(X1,X2)
    | ~ esk4309_2(X1,X2) )).

cnf(i_0_7455,axiom,
    ( esk290_2(X1,X2)
    | esk291_2(X1,X2)
    | esk288_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_7456,axiom,
    ( esk3479_2(X1,X2)
    | esk3478_2(X1,X2) )).

cnf(i_0_7457,axiom,
    ( esk2914_2(X1,X2)
    | esk2915_2(X1,X2) )).

cnf(i_0_7458,axiom,
    ( ~ esk848_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_7459,axiom,
    ( ~ esk1398_2(X1,X2)
    | esk1397_2(X1,X2) )).

cnf(i_0_7460,axiom,
    ( ~ esk3309_2(X1,X2)
    | ~ esk3816_2(X1,X2) )).

cnf(i_0_7461,axiom,
    ( esk1030_2(X1,X2)
    | esk1031_2(X1,X2) )).

cnf(i_0_7462,axiom,
    ( esk3336_2(X1,X2)
    | esk3335_2(X1,X2) )).

cnf(i_0_7463,axiom,
    ( esk884_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_7464,axiom,
    ( esk486_2(X1,X2)
    | esk5527_2(X1,X2)
    | ~ esk3148_2(X1,X2) )).

cnf(i_0_7465,axiom,
    ( esk234_2(X1,X2)
    | esk232_2(X1,X2)
    | esk233_2(X1,X2) )).

cnf(i_0_7466,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4294_2(X1,X2) )).

cnf(i_0_7467,axiom,
    ( esk850_2(X1,X2)
    | esk851_2(X1,X2) )).

cnf(i_0_7468,axiom,
    ( ~ esk5073_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_7469,axiom,
    ( ~ esk3816_2(X1,X2)
    | ~ esk3812_2(X1,X2)
    | esk3817_2(X1,X2) )).

cnf(i_0_7470,axiom,
    ( ~ esk1042_2(X1,X2)
    | esk1168_2(X1,X2)
    | ~ esk1167_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_7471,axiom,
    ( esk4791_2(X1,X2)
    | esk4790_2(X1,X2) )).

cnf(i_0_7472,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1893_2(X1,X2) )).

cnf(i_0_7473,axiom,
    ( esk4846_2(X1,X2)
    | esk4847_2(X1,X2) )).

cnf(i_0_7474,axiom,
    ( ~ esk4621_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_7475,axiom,
    ( esk5537_2(X1,X2)
    | esk3687_2(X1,X2)
    | ~ esk1034_2(X1,X2) )).

cnf(i_0_7476,axiom,
    ( ~ esk3666_2(X1,X2)
    | ~ esk3653_2(X1,X2) )).

cnf(i_0_7477,axiom,
    ( esk3973_2(X1,X2)
    | ~ esk3974_2(X1,X2) )).

cnf(i_0_7478,axiom,
    ( esk55_2(X1,X2)
    | ~ esk3870_2(X1,X2) )).

cnf(i_0_7479,axiom,
    ( ~ esk4116_2(X1,X2)
    | ~ esk4117_2(X1,X2) )).

cnf(i_0_7480,axiom,
    ( ~ esk126_2(X1,X2)
    | esk3201_2(X1,X2)
    | ~ esk112_2(X1,X2) )).

cnf(i_0_7481,axiom,
    ( ~ esk324_2(X1,X2)
    | esk316_2(X1,X2) )).

cnf(i_0_7482,axiom,
    ( ~ esk2395_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_7483,axiom,
    ( esk3756_2(X1,X2)
    | esk3757_2(X1,X2) )).

cnf(i_0_7484,axiom,
    ( ~ esk713_2(X1,X2)
    | ~ esk712_2(X1,X2) )).

cnf(i_0_7485,axiom,
    ( esk2265_2(X1,X2)
    | ~ esk2264_2(X1,X2)
    | ~ esk2262_2(X1,X2) )).

cnf(i_0_7486,axiom,
    ( ~ esk4100_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_7487,axiom,
    ( ~ esk548_2(X1,X2)
    | ~ esk549_2(X1,X2) )).

cnf(i_0_7488,axiom,
    ( ~ esk708_2(X1,X2)
    | ~ esk706_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | esk1019_2(X1,X2)
    | ~ esk1018_2(X1,X2) )).

cnf(i_0_7489,axiom,
    ( ~ esk723_2(X1,X2)
    | ~ esk724_2(X1,X2) )).

cnf(i_0_7490,axiom,
    ( esk3438_2(X1,X2)
    | esk4144_2(X1,X2) )).

cnf(i_0_7491,axiom,
    ( esk4994_2(X1,X2)
    | esk4992_2(X1,X2)
    | esk142_2(X1,X2)
    | esk4995_2(X1,X2) )).

cnf(i_0_7492,axiom,
    ( esk651_2(X1,X2)
    | ~ esk2049_2(X1,X2) )).

cnf(i_0_7493,axiom,
    ( ~ esk5244_2(X1,X2)
    | esk5240_2(X1,X2) )).

cnf(i_0_7494,axiom,
    ( esk2122_2(X1,X2)
    | ~ esk2124_2(X1,X2) )).

cnf(i_0_7495,axiom,
    ( ~ esk5378_2(X1,X2)
    | esk5383_2(X1,X2)
    | ~ esk5382_2(X1,X2) )).

cnf(i_0_7496,axiom,
    ( ~ esk717_2(X1,X2)
    | ~ esk718_2(X1,X2) )).

cnf(i_0_7497,axiom,
    ( ~ esk2823_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_7498,axiom,
    ( ~ esk4715_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_7499,axiom,
    ( ~ esk2931_2(X1,X2)
    | ~ esk2934_2(X1,X2) )).

cnf(i_0_7500,axiom,
    ( ~ esk2902_2(X1,X2)
    | ~ esk11_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | esk2904_2(X1,X2) )).

cnf(i_0_7501,axiom,
    ( ~ esk3650_2(X1,X2)
    | esk4110_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_7502,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5226_2(X1,X2) )).

cnf(i_0_7503,axiom,
    ( ~ esk3309_2(X1,X2)
    | esk3639_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3326_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3338_2(X1,X2) )).

cnf(i_0_7504,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk3381_2(X1,X2) )).

cnf(i_0_7505,axiom,
    ( esk128_2(X1,X2)
    | ~ esk2994_2(X1,X2) )).

cnf(i_0_7506,axiom,
    ( ~ esk3696_2(X1,X2)
    | esk3693_2(X1,X2) )).

cnf(i_0_7507,axiom,
    ( ~ esk157_2(X1,X2)
    | ~ esk155_2(X1,X2)
    | ~ esk138_2(X1,X2)
    | esk4414_2(X1,X2)
    | ~ esk156_2(X1,X2) )).

cnf(i_0_7508,axiom,
    ( ~ esk230_2(X1,X2)
    | esk229_2(X1,X2) )).

cnf(i_0_7509,axiom,
    ( esk2084_2(X1,X2)
    | esk2083_2(X1,X2) )).

cnf(i_0_7510,axiom,
    ( esk789_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_7511,axiom,
    ( ~ esk801_2(X1,X2)
    | ~ esk793_2(X1,X2)
    | ~ esk817_2(X1,X2)
    | ~ esk809_2(X1,X2)
    | ~ esk785_2(X1,X2)
    | esk818_2(X1,X2) )).

cnf(i_0_7512,axiom,
    ( ~ esk3285_2(X1,X2)
    | ~ esk3286_2(X1,X2) )).

cnf(i_0_7513,axiom,
    ( ~ esk515_2(X1,X2)
    | ~ esk745_2(X1,X2) )).

cnf(i_0_7514,axiom,
    ( ~ esk4868_2(X1,X2)
    | ~ esk4867_2(X1,X2) )).

cnf(i_0_7515,axiom,
    ( esk72_2(X1,X2)
    | ~ esk4322_2(X1,X2) )).

cnf(i_0_7516,axiom,
    ( esk664_2(X1,X2)
    | esk663_2(X1,X2) )).

cnf(i_0_7517,axiom,
    ( ~ esk2057_2(X1,X2)
    | ~ esk1025_2(X1,X2) )).

cnf(i_0_7518,axiom,
    ( ~ esk542_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_7519,axiom,
    ( esk3898_2(X1,X2)
    | ~ esk3899_2(X1,X2) )).

cnf(i_0_7520,axiom,
    ( ~ esk3572_2(X1,X2)
    | esk3568_2(X1,X2) )).

cnf(i_0_7521,axiom,
    ( esk4889_2(X1,X2)
    | esk4888_2(X1,X2) )).

cnf(i_0_7522,axiom,
    ( esk4215_2(X1,X2)
    | esk4216_2(X1,X2)
    | esk3626_2(X1,X2)
    | esk4217_2(X1,X2) )).

cnf(i_0_7523,axiom,
    ( esk4518_2(X1,X2)
    | ~ esk4517_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_7524,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk1125_2(X1,X2)
    | esk1613_2(X1,X2)
    | ~ esk1256_2(X1,X2) )).

cnf(i_0_7525,axiom,
    ( ~ esk4074_2(X1,X2)
    | ~ esk3905_2(X1,X2) )).

cnf(i_0_7526,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk3062_2(X1,X2) )).

cnf(i_0_7527,axiom,
    ( ~ esk5049_2(X1,X2)
    | ~ esk5050_2(X1,X2) )).

cnf(i_0_7528,axiom,
    ( ~ esk5502_2(X1,X2)
    | esk187_2(X1,X2)
    | esk2849_2(X1,X2) )).

cnf(i_0_7529,axiom,
    ( ~ esk2134_2(X1,X2)
    | ~ esk2137_2(X1,X2) )).

cnf(i_0_7530,axiom,
    ( ~ esk5276_2(X1,X2)
    | esk5272_2(X1,X2) )).

cnf(i_0_7531,axiom,
    ( ~ esk1091_2(X1,X2)
    | ~ esk1092_2(X1,X2) )).

cnf(i_0_7532,axiom,
    ( esk3287_2(X1,X2)
    | ~ esk3288_2(X1,X2) )).

cnf(i_0_7533,axiom,
    ( ~ esk3396_2(X1,X2)
    | ~ esk3395_2(X1,X2) )).

cnf(i_0_7534,axiom,
    ( esk585_2(X1,X2)
    | ~ esk2492_2(X1,X2) )).

cnf(i_0_7535,axiom,
    ( ~ esk157_2(X1,X2)
    | ~ esk194_2(X1,X2) )).

cnf(i_0_7536,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk132_2(X1,X2)
    | esk3688_2(X1,X2) )).

cnf(i_0_7537,axiom,
    ( ~ esk1880_2(X1,X2)
    | esk1759_2(X1,X2) )).

cnf(i_0_7538,axiom,
    ( ~ esk472_2(X1,X2)
    | esk458_2(X1,X2) )).

cnf(i_0_7539,axiom,
    ( ~ esk2672_2(X1,X2)
    | ~ esk2671_2(X1,X2) )).

cnf(i_0_7540,axiom,
    ( ~ esk2702_2(X1,X2)
    | ~ esk523_2(X1,X2) )).

cnf(i_0_7541,axiom,
    ( esk3011_2(X1,X2)
    | esk3010_2(X1,X2) )).

cnf(i_0_7542,axiom,
    ( esk1702_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk1701_2(X1,X2) )).

cnf(i_0_7543,axiom,
    ( ~ esk1561_2(X1,X2)
    | esk1560_2(X1,X2) )).

cnf(i_0_7544,axiom,
    ( ~ esk1812_2(X1,X2)
    | ~ esk1814_2(X1,X2) )).

cnf(i_0_7545,axiom,
    ( esk4572_2(X1,X2)
    | ~ esk4586_2(X1,X2) )).

cnf(i_0_7546,axiom,
    ( ~ esk1580_2(X1,X2)
    | ~ esk84_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1661_2(X1,X2) )).

cnf(i_0_7547,axiom,
    ( ~ esk2208_2(X1,X2)
    | ~ esk1018_2(X1,X2)
    | esk2209_2(X1,X2) )).

cnf(i_0_7548,axiom,
    ( ~ esk5437_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_7549,axiom,
    ( esk2436_2(X1,X2)
    | esk2437_2(X1,X2) )).

cnf(i_0_7550,axiom,
    ( esk3448_2(X1,X2)
    | ~ esk3449_2(X1,X2) )).

cnf(i_0_7551,axiom,
    ( esk1770_2(X1,X2)
    | esk1771_2(X1,X2)
    | esk1768_2(X1,X2) )).

cnf(i_0_7552,axiom,
    ( esk2208_2(X1,X2)
    | ~ esk2209_2(X1,X2) )).

cnf(i_0_7553,axiom,
    ( ~ esk1637_2(X1,X2)
    | ~ esk1636_2(X1,X2) )).

cnf(i_0_7554,axiom,
    ( esk1739_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk56_2(X1,X2)
    | ~ esk1132_2(X1,X2) )).

cnf(i_0_7555,axiom,
    ( esk2402_2(X1,X2)
    | esk2403_2(X1,X2) )).

cnf(i_0_7556,axiom,
    ( esk3409_2(X1,X2)
    | esk3408_2(X1,X2) )).

cnf(i_0_7557,axiom,
    ( esk109_2(X1,X2)
    | ~ esk914_2(X1,X2) )).

cnf(i_0_7558,axiom,
    ( ~ esk3069_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_7559,axiom,
    ( ~ esk5076_2(X1,X2)
    | ~ esk5075_2(X1,X2) )).

cnf(i_0_7560,axiom,
    ( ~ esk3089_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_7561,axiom,
    ( esk3892_2(X1,X2)
    | esk1239_2(X1,X2)
    | ~ esk5548_2(X1,X2) )).

cnf(i_0_7562,axiom,
    ( esk2274_2(X1,X2)
    | esk2273_2(X1,X2) )).

cnf(i_0_7563,axiom,
    ( ~ esk2359_2(X1,X2)
    | ~ esk2358_2(X1,X2) )).

cnf(i_0_7564,axiom,
    ( esk1166_2(X1,X2)
    | esk1167_2(X1,X2) )).

cnf(i_0_7565,axiom,
    ( esk508_2(X1,X2)
    | esk509_2(X1,X2) )).

cnf(i_0_7566,axiom,
    ( esk1259_2(X1,X2)
    | esk1008_2(X1,X2)
    | esk1260_2(X1,X2) )).

cnf(i_0_7567,axiom,
    ( esk2970_2(X1,X2)
    | ~ esk3028_2(X1,X2) )).

cnf(i_0_7568,axiom,
    ( esk1345_2(X1,X2)
    | esk1346_2(X1,X2) )).

cnf(i_0_7569,axiom,
    ( esk5088_2(X1,X2)
    | esk5087_2(X1,X2) )).

cnf(i_0_7570,axiom,
    ( ~ esk819_2(X1,X2)
    | esk818_2(X1,X2) )).

cnf(i_0_7571,axiom,
    ( ~ esk948_2(X1,X2)
    | ~ esk947_2(X1,X2) )).

cnf(i_0_7572,axiom,
    ( esk2902_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_7573,axiom,
    ( esk397_2(X1,X2)
    | esk398_2(X1,X2) )).

cnf(i_0_7574,axiom,
    ( ~ esk3447_2(X1,X2)
    | ~ esk3657_2(X1,X2)
    | esk3855_2(X1,X2) )).

cnf(i_0_7575,axiom,
    ( esk5188_2(X1,X2)
    | esk5187_2(X1,X2) )).

cnf(i_0_7576,axiom,
    ( ~ esk4020_2(X1,X2)
    | esk4019_2(X1,X2) )).

cnf(i_0_7577,axiom,
    ( esk2154_2(X1,X2)
    | esk2155_2(X1,X2) )).

cnf(i_0_7578,axiom,
    ( esk5259_2(X1,X2)
    | ~ esk5260_2(X1,X2) )).

cnf(i_0_7579,axiom,
    ( esk2608_2(X1,X2)
    | ~ esk2613_2(X1,X2) )).

cnf(i_0_7580,axiom,
    ( esk3126_2(X1,X2)
    | esk3125_2(X1,X2) )).

cnf(i_0_7581,axiom,
    ( esk5092_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_7582,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4261_2(X1,X2) )).

cnf(i_0_7583,axiom,
    ( esk5210_2(X1,X2)
    | ~ esk5206_2(X1,X2)
    | ~ esk5209_2(X1,X2) )).

cnf(i_0_7584,axiom,
    ( esk5415_2(X1,X2)
    | esk5416_2(X1,X2) )).

cnf(i_0_7585,axiom,
    ( ~ esk2125_2(X1,X2)
    | ~ esk2129_2(X1,X2) )).

cnf(i_0_7586,axiom,
    ( esk2445_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_7587,axiom,
    ( ~ esk1479_2(X1,X2)
    | esk1478_2(X1,X2) )).

cnf(i_0_7588,axiom,
    ( ~ esk4270_2(X1,X2)
    | ~ esk4269_2(X1,X2) )).

cnf(i_0_7589,axiom,
    ( ~ esk2826_2(X1,X2)
    | ~ esk2827_2(X1,X2) )).

cnf(i_0_7590,axiom,
    ( esk2749_2(X1,X2)
    | esk2750_2(X1,X2) )).

cnf(i_0_7591,axiom,
    ( ~ esk982_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_7592,axiom,
    ( ~ esk1208_2(X1,X2)
    | ~ esk1207_2(X1,X2) )).

cnf(i_0_7593,axiom,
    ( ~ esk2450_2(X1,X2)
    | esk2444_2(X1,X2) )).

cnf(i_0_7594,axiom,
    ( ~ esk488_2(X1,X2)
    | ~ esk490_2(X1,X2) )).

cnf(i_0_7595,axiom,
    ( ~ esk4472_2(X1,X2)
    | ~ esk4473_2(X1,X2) )).

cnf(i_0_7596,axiom,
    ( ~ esk4631_2(X1,X2)
    | ~ esk4630_2(X1,X2) )).

cnf(i_0_7597,axiom,
    ( esk25_2(X1,X2)
    | ~ esk2816_2(X1,X2) )).

cnf(i_0_7598,axiom,
    ( esk664_2(X1,X2)
    | ~ esk986_2(X1,X2) )).

cnf(i_0_7599,axiom,
    ( ~ esk1743_2(X1,X2)
    | ~ esk1746_2(X1,X2) )).

cnf(i_0_7600,axiom,
    ( ~ esk5105_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_7601,axiom,
    ( esk2146_2(X1,X2)
    | esk2145_2(X1,X2) )).

cnf(i_0_7602,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk2843_2(X1,X2) )).

cnf(i_0_7603,axiom,
    ( ~ esk1670_2(X1,X2)
    | ~ esk1666_2(X1,X2) )).

cnf(i_0_7604,axiom,
    ( esk215_2(X1,X2)
    | esk214_2(X1,X2)
    | esk213_2(X1,X2) )).

cnf(i_0_7605,axiom,
    ( ~ esk1124_2(X1,X2)
    | ~ esk5_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | esk1128_2(X1,X2) )).

cnf(i_0_7606,axiom,
    ( ~ esk1200_2(X1,X2)
    | esk1798_2(X1,X2)
    | ~ esk1199_2(X1,X2)
    | ~ esk391_2(X1,X2) )).

cnf(i_0_7607,axiom,
    ( ~ esk5029_2(X1,X2)
    | ~ esk5033_2(X1,X2) )).

cnf(i_0_7608,axiom,
    ( ~ esk2625_2(X1,X2)
    | esk2626_2(X1,X2)
    | ~ esk597_2(X1,X2) )).

cnf(i_0_7609,axiom,
    ( esk1792_2(X1,X2)
    | ~ esk404_2(X1,X2)
    | ~ esk1199_2(X1,X2)
    | ~ esk1200_2(X1,X2) )).

cnf(i_0_7610,axiom,
    ( esk1442_2(X1,X2)
    | ~ esk1427_2(X1,X2)
    | ~ esk1441_2(X1,X2) )).

cnf(i_0_7611,axiom,
    ( esk2272_2(X1,X2)
    | esk2271_2(X1,X2) )).

cnf(i_0_7612,axiom,
    ( ~ esk3693_2(X1,X2)
    | ~ esk3695_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | esk3696_2(X1,X2) )).

cnf(i_0_7613,axiom,
    ( ~ esk2139_2(X1,X2)
    | ~ esk2133_2(X1,X2)
    | esk2140_2(X1,X2) )).

cnf(i_0_7614,axiom,
    ( ~ esk1009_2(X1,X2)
    | esk817_2(X1,X2) )).

cnf(i_0_7615,axiom,
    ( ~ esk2048_2(X1,X2)
    | ~ esk2050_2(X1,X2) )).

cnf(i_0_7616,axiom,
    ( esk2038_2(X1,X2)
    | esk2039_2(X1,X2) )).

cnf(i_0_7617,axiom,
    ( esk1247_2(X1,X2)
    | ~ esk1251_2(X1,X2) )).

cnf(i_0_7618,axiom,
    ( esk2891_2(X1,X2)
    | ~ esk2892_2(X1,X2) )).

cnf(i_0_7619,axiom,
    ( esk1642_2(X1,X2)
    | esk1643_2(X1,X2) )).

cnf(i_0_7620,axiom,
    ( esk1556_2(X1,X2)
    | ~ esk1551_2(X1,X2)
    | ~ esk1555_2(X1,X2) )).

cnf(i_0_7621,axiom,
    ( esk43_2(X1,X2)
    | ~ esk4466_2(X1,X2) )).

cnf(i_0_7622,axiom,
    ( ~ esk4059_2(X1,X2)
    | esk4058_2(X1,X2) )).

cnf(i_0_7623,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1603_2(X1,X2) )).

cnf(i_0_7624,axiom,
    ( ~ esk429_2(X1,X2)
    | ~ esk430_2(X1,X2) )).

cnf(i_0_7625,axiom,
    ( ~ esk1435_2(X1,X2)
    | ~ esk1436_2(X1,X2) )).

cnf(i_0_7626,axiom,
    ( ~ esk4521_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_7627,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4533_2(X1,X2) )).

cnf(i_0_7628,axiom,
    ( ~ esk3746_2(X1,X2)
    | ~ esk3745_2(X1,X2) )).

cnf(i_0_7629,axiom,
    ( esk4080_2(X1,X2)
    | esk4079_2(X1,X2) )).

cnf(i_0_7630,axiom,
    ( esk4159_2(X1,X2)
    | esk3438_2(X1,X2) )).

cnf(i_0_7631,axiom,
    ( esk5294_2(X1,X2)
    | ~ esk5295_2(X1,X2) )).

cnf(i_0_7632,axiom,
    ( esk3680_2(X1,X2)
    | ~ esk3681_2(X1,X2) )).

cnf(i_0_7633,axiom,
    ( esk5078_2(X1,X2)
    | ~ esk5079_2(X1,X2) )).

cnf(i_0_7634,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4325_2(X1,X2) )).

cnf(i_0_7635,axiom,
    ( ~ esk3829_2(X1,X2)
    | ~ esk3830_2(X1,X2) )).

cnf(i_0_7636,axiom,
    ( ~ esk3090_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_7637,axiom,
    ( ~ esk1303_2(X1,X2)
    | ~ esk1304_2(X1,X2) )).

cnf(i_0_7638,axiom,
    ( esk1467_2(X1,X2)
    | ~ esk1468_2(X1,X2) )).

cnf(i_0_7639,axiom,
    ( esk148_2(X1,X2)
    | ~ esk4561_2(X1,X2) )).

cnf(i_0_7640,axiom,
    ( ~ esk252_2(X1,X2)
    | ~ esk253_2(X1,X2) )).

cnf(i_0_7641,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk1238_2(X1,X2)
    | ~ esk1581_2(X1,X2)
    | esk1674_2(X1,X2) )).

cnf(i_0_7642,axiom,
    ( esk2548_2(X1,X2)
    | esk2547_2(X1,X2) )).

cnf(i_0_7643,axiom,
    ( esk451_2(X1,X2)
    | ~ esk457_2(X1,X2) )).

cnf(i_0_7644,axiom,
    ( esk2038_2(X1,X2)
    | ~ esk2037_2(X1,X2)
    | ~ esk1966_2(X1,X2) )).

cnf(i_0_7645,axiom,
    ( ~ esk3283_2(X1,X2)
    | esk3669_2(X1,X2)
    | ~ esk147_2(X1,X2) )).

cnf(i_0_7646,axiom,
    ( ~ esk2688_2(X1,X2)
    | esk2689_2(X1,X2)
    | ~ esk2685_2(X1,X2) )).

cnf(i_0_7647,axiom,
    ( esk3406_2(X1,X2)
    | ~ esk5530_2(X1,X2)
    | esk744_2(X1,X2) )).

cnf(i_0_7648,axiom,
    ( ~ esk37_2(X1,X2)
    | esk221_2(X1,X2)
    | ~ esk211_2(X1,X2) )).

cnf(i_0_7649,axiom,
    ( esk3307_2(X1,X2)
    | esk3306_2(X1,X2) )).

cnf(i_0_7650,axiom,
    ( esk2962_2(X1,X2)
    | esk2961_2(X1,X2) )).

cnf(i_0_7651,axiom,
    ( esk5542_2(X1,X2)
    | esk1131_2(X1,X2)
    | ~ esk3784_2(X1,X2) )).

cnf(i_0_7652,axiom,
    ( ~ esk1262_2(X1,X2)
    | ~ esk1261_2(X1,X2) )).

cnf(i_0_7653,axiom,
    ( ~ esk742_2(X1,X2)
    | esk2172_2(X1,X2)
    | ~ esk2171_2(X1,X2) )).

cnf(i_0_7654,axiom,
    ( ~ esk3825_2(X1,X2)
    | ~ esk3824_2(X1,X2) )).

cnf(i_0_7655,axiom,
    ( ~ esk1982_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_7656,axiom,
    ( ~ esk4440_2(X1,X2)
    | esk4136_2(X1,X2) )).

cnf(i_0_7657,axiom,
    ( esk1137_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk688_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | ~ esk647_2(X1,X2) )).

cnf(i_0_7658,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk3569_2(X1,X2) )).

cnf(i_0_7659,axiom,
    ( ~ esk2392_2(X1,X2)
    | ~ esk2391_2(X1,X2) )).

cnf(i_0_7660,axiom,
    ( esk2319_2(X1,X2)
    | ~ esk2324_2(X1,X2) )).

cnf(i_0_7661,axiom,
    ( esk4703_2(X1,X2)
    | ~ esk4728_2(X1,X2) )).

cnf(i_0_7662,axiom,
    ( esk1945_2(X1,X2)
    | ~ esk1952_2(X1,X2) )).

cnf(i_0_7663,axiom,
    ( ~ esk3607_2(X1,X2)
    | ~ esk3185_2(X1,X2)
    | ~ esk3173_2(X1,X2)
    | esk5306_2(X1,X2) )).

cnf(i_0_7664,axiom,
    ( ~ esk3070_2(X1,X2)
    | ~ esk3071_2(X1,X2) )).

cnf(i_0_7665,axiom,
    ( ~ esk3196_2(X1,X2)
    | ~ esk3197_2(X1,X2) )).

cnf(i_0_7666,axiom,
    ( esk5335_2(X1,X2)
    | ~ esk5340_2(X1,X2) )).

cnf(i_0_7667,axiom,
    ( esk2828_2(X1,X2)
    | ~ esk2827_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk1581_2(X1,X2) )).

cnf(i_0_7668,axiom,
    ( ~ esk1013_2(X1,X2)
    | ~ esk1012_2(X1,X2) )).

cnf(i_0_7669,axiom,
    ( ~ esk5303_2(X1,X2)
    | ~ esk5304_2(X1,X2) )).

cnf(i_0_7670,axiom,
    ( ~ esk3826_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_7671,axiom,
    ( ~ esk5076_2(X1,X2)
    | ~ esk5081_2(X1,X2)
    | esk5082_2(X1,X2) )).

cnf(i_0_7672,axiom,
    ( ~ esk3627_2(X1,X2)
    | esk3626_2(X1,X2) )).

cnf(i_0_7673,axiom,
    ( ~ esk5029_2(X1,X2)
    | ~ esk5030_2(X1,X2)
    | esk5031_2(X1,X2) )).

cnf(i_0_7674,axiom,
    ( ~ esk524_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_7675,axiom,
    ( ~ esk1717_2(X1,X2)
    | ~ esk1715_2(X1,X2) )).

cnf(i_0_7676,axiom,
    ( ~ esk459_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_7677,axiom,
    ( ~ esk1310_2(X1,X2)
    | ~ esk1309_2(X1,X2) )).

cnf(i_0_7678,axiom,
    ( ~ esk931_2(X1,X2)
    | esk930_2(X1,X2) )).

cnf(i_0_7679,axiom,
    ( ~ esk931_2(X1,X2)
    | ~ esk934_2(X1,X2) )).

cnf(i_0_7680,axiom,
    ( esk5325_2(X1,X2)
    | ~ esk5326_2(X1,X2) )).

cnf(i_0_7681,axiom,
    ( esk2073_2(X1,X2)
    | esk2072_2(X1,X2) )).

cnf(i_0_7682,axiom,
    ( ~ esk4620_2(X1,X2)
    | ~ esk4681_2(X1,X2) )).

cnf(i_0_7683,axiom,
    ( ~ esk5014_2(X1,X2)
    | esk5009_2(X1,X2) )).

cnf(i_0_7684,axiom,
    ( esk5557_2(X1,X2)
    | esk4258_2(X1,X2)
    | ~ esk1605_2(X1,X2) )).

cnf(i_0_7685,axiom,
    ( esk3861_2(X1,X2)
    | esk3860_2(X1,X2) )).

cnf(i_0_7686,axiom,
    ( esk2056_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_7687,axiom,
    ( ~ esk4840_2(X1,X2)
    | ~ esk4839_2(X1,X2) )).

cnf(i_0_7688,axiom,
    ( esk4296_2(X1,X2)
    | esk5563_2(X1,X2)
    | ~ esk1643_2(X1,X2) )).

cnf(i_0_7689,axiom,
    ( esk511_2(X1,X2)
    | ~ esk2714_2(X1,X2) )).

cnf(i_0_7690,axiom,
    ( ~ esk4645_2(X1,X2)
    | ~ esk4644_2(X1,X2) )).

cnf(i_0_7691,axiom,
    ( esk4406_2(X1,X2)
    | ~ esk4493_2(X1,X2) )).

cnf(i_0_7692,axiom,
    ( ~ esk4978_2(X1,X2)
    | ~ esk4977_2(X1,X2) )).

cnf(i_0_7693,axiom,
    ( ~ esk68_2(X1,X2)
    | ~ esk69_2(X1,X2)
    | esk190_2(X1,X2) )).

cnf(i_0_7694,axiom,
    ( ~ esk3211_2(X1,X2)
    | ~ esk5262_2(X1,X2)
    | esk5263_2(X1,X2) )).

cnf(i_0_7695,axiom,
    ( esk4030_2(X1,X2)
    | esk4031_2(X1,X2) )).

cnf(i_0_7696,axiom,
    ( ~ esk1694_2(X1,X2)
    | esk1695_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_7697,axiom,
    ( esk3975_2(X1,X2)
    | ~ esk3979_2(X1,X2) )).

cnf(i_0_7698,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | esk2395_2(X1,X2)
    | ~ esk2394_2(X1,X2) )).

cnf(i_0_7699,axiom,
    ( esk2425_2(X1,X2)
    | ~ esk2426_2(X1,X2) )).

cnf(i_0_7700,axiom,
    ( esk152_2(X1,X2)
    | esk711_2(X1,X2) )).

cnf(i_0_7701,axiom,
    ( esk3199_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_7702,axiom,
    ( ~ esk999_2(X1,X2)
    | ~ esk992_2(X1,X2) )).

cnf(i_0_7703,axiom,
    ( esk4303_2(X1,X2)
    | ~ esk4305_2(X1,X2) )).

cnf(i_0_7704,axiom,
    ( ~ esk4927_2(X1,X2)
    | ~ esk4930_2(X1,X2)
    | esk4931_2(X1,X2) )).

cnf(i_0_7705,axiom,
    ( ~ esk1043_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_7706,axiom,
    ( ~ esk718_2(X1,X2)
    | ~ esk734_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | esk2127_2(X1,X2) )).

cnf(i_0_7707,axiom,
    ( ~ esk1387_2(X1,X2)
    | ~ esk1400_2(X1,X2)
    | esk1401_2(X1,X2)
    | ~ esk1378_2(X1,X2) )).

cnf(i_0_7708,axiom,
    ( ~ esk828_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_7709,axiom,
    ( ~ esk90_2(X1,X2)
    | esk4421_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_7710,axiom,
    ( esk5594_2(X1,X2)
    | esk4525_2(X1,X2)
    | ~ esk1872_2(X1,X2) )).

cnf(i_0_7711,axiom,
    ( esk2177_2(X1,X2)
    | esk2178_2(X1,X2) )).

cnf(i_0_7712,axiom,
    ( ~ esk354_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_7713,axiom,
    ( esk2193_2(X1,X2)
    | ~ esk2189_2(X1,X2)
    | ~ esk2192_2(X1,X2) )).

cnf(i_0_7714,axiom,
    ( ~ esk5425_2(X1,X2)
    | ~ esk5422_2(X1,X2) )).

cnf(i_0_7715,axiom,
    ( ~ esk2451_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_7716,axiom,
    ( ~ esk3500_2(X1,X2)
    | ~ esk3499_2(X1,X2) )).

cnf(i_0_7717,axiom,
    ( esk1759_2(X1,X2)
    | esk1760_2(X1,X2) )).

cnf(i_0_7718,axiom,
    ( ~ esk2788_2(X1,X2)
    | ~ esk2791_2(X1,X2) )).

cnf(i_0_7719,axiom,
    ( esk2777_2(X1,X2)
    | ~ esk2778_2(X1,X2) )).

cnf(i_0_7720,axiom,
    ( ~ esk1529_2(X1,X2)
    | ~ esk1532_2(X1,X2)
    | esk1533_2(X1,X2) )).

cnf(i_0_7721,axiom,
    ( ~ esk1011_2(X1,X2)
    | ~ esk1010_2(X1,X2) )).

cnf(i_0_7722,axiom,
    ( esk2725_2(X1,X2)
    | esk2724_2(X1,X2) )).

cnf(i_0_7723,axiom,
    ( esk4922_2(X1,X2)
    | esk4921_2(X1,X2) )).

cnf(i_0_7724,axiom,
    ( esk5510_2(X1,X2)
    | ~ esk2859_2(X1,X2)
    | esk197_2(X1,X2) )).

cnf(i_0_7725,axiom,
    ( esk2534_2(X1,X2)
    | esk2533_2(X1,X2) )).

cnf(i_0_7726,axiom,
    ( ~ esk1305_2(X1,X2)
    | esk1301_2(X1,X2) )).

cnf(i_0_7727,axiom,
    ( esk911_2(X1,X2)
    | ~ esk910_2(X1,X2)
    | ~ esk907_2(X1,X2) )).

cnf(i_0_7728,axiom,
    ( ~ esk4054_2(X1,X2)
    | ~ esk4057_2(X1,X2) )).

cnf(i_0_7729,axiom,
    ( ~ esk4698_2(X1,X2)
    | ~ esk4697_2(X1,X2) )).

cnf(i_0_7730,axiom,
    ( esk553_2(X1,X2)
    | ~ esk1351_2(X1,X2) )).

cnf(i_0_7731,axiom,
    ( esk3542_2(X1,X2)
    | esk3541_2(X1,X2) )).

cnf(i_0_7732,axiom,
    ( ~ esk3832_2(X1,X2)
    | esk3831_2(X1,X2) )).

cnf(i_0_7733,axiom,
    ( ~ esk4448_2(X1,X2)
    | ~ esk4449_2(X1,X2) )).

cnf(i_0_7734,axiom,
    ( ~ esk951_2(X1,X2)
    | esk535_2(X1,X2) )).

cnf(i_0_7735,axiom,
    ( ~ esk1307_2(X1,X2)
    | ~ esk1309_2(X1,X2) )).

cnf(i_0_7736,axiom,
    ( ~ esk2781_2(X1,X2)
    | ~ esk2780_2(X1,X2) )).

cnf(i_0_7737,axiom,
    ( esk460_2(X1,X2)
    | ~ esk461_2(X1,X2) )).

cnf(i_0_7738,axiom,
    ( esk4831_2(X1,X2)
    | esk4830_2(X1,X2) )).

cnf(i_0_7739,axiom,
    ( ~ esk4162_2(X1,X2)
    | esk4158_2(X1,X2) )).

cnf(i_0_7740,axiom,
    ( esk968_2(X1,X2)
    | esk967_2(X1,X2) )).

cnf(i_0_7741,axiom,
    ( esk4564_2(X1,X2)
    | esk4565_2(X1,X2) )).

cnf(i_0_7742,axiom,
    ( ~ esk2920_2(X1,X2)
    | ~ esk2921_2(X1,X2) )).

cnf(i_0_7743,axiom,
    ( ~ esk2498_2(X1,X2)
    | ~ esk2497_2(X1,X2) )).

cnf(i_0_7744,axiom,
    ( esk3137_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | ~ esk3136_2(X1,X2) )).

cnf(i_0_7745,axiom,
    ( ~ esk5337_2(X1,X2)
    | esk5336_2(X1,X2) )).

cnf(i_0_7746,axiom,
    ( ~ esk1688_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_7747,axiom,
    ( esk145_2(X1,X2)
    | esk748_2(X1,X2) )).

cnf(i_0_7748,axiom,
    ( ~ esk5300_2(X1,X2)
    | esk5299_2(X1,X2) )).

cnf(i_0_7749,axiom,
    ( esk2696_2(X1,X2)
    | esk2695_2(X1,X2) )).

cnf(i_0_7750,axiom,
    ( ~ esk5554_2(X1,X2)
    | ~ esk4232_2(X1,X2)
    | ~ esk1579_2(X1,X2) )).

cnf(i_0_7751,axiom,
    ( ~ esk4511_2(X1,X2)
    | esk4510_2(X1,X2) )).

cnf(i_0_7752,axiom,
    ( esk2710_2(X1,X2)
    | esk2712_2(X1,X2)
    | esk950_2(X1,X2)
    | esk2711_2(X1,X2)
    | esk2709_2(X1,X2) )).

cnf(i_0_7753,axiom,
    ( esk3149_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_7754,axiom,
    ( ~ esk3179_2(X1,X2)
    | esk3178_2(X1,X2) )).

cnf(i_0_7755,axiom,
    ( esk3947_2(X1,X2)
    | esk3935_2(X1,X2) )).

cnf(i_0_7756,axiom,
    ( ~ esk963_2(X1,X2)
    | esk2579_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_7757,axiom,
    ( ~ esk3990_2(X1,X2)
    | ~ esk3991_2(X1,X2) )).

cnf(i_0_7758,axiom,
    ( ~ esk3189_2(X1,X2)
    | ~ esk3193_2(X1,X2) )).

cnf(i_0_7759,axiom,
    ( ~ esk2612_2(X1,X2)
    | ~ esk549_2(X1,X2) )).

cnf(i_0_7760,axiom,
    ( esk3956_2(X1,X2)
    | ~ esk3955_2(X1,X2)
    | ~ esk3342_2(X1,X2) )).

cnf(i_0_7761,axiom,
    ( ~ esk4796_2(X1,X2)
    | esk4795_2(X1,X2) )).

cnf(i_0_7762,axiom,
    ( esk5203_2(X1,X2)
    | esk5202_2(X1,X2) )).

cnf(i_0_7763,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk121_2(X1,X2)
    | esk2931_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_7764,axiom,
    ( esk1953_2(X1,X2)
    | esk1952_2(X1,X2) )).

cnf(i_0_7765,axiom,
    ( ~ esk239_2(X1,X2)
    | esk264_2(X1,X2)
    | ~ esk238_2(X1,X2) )).

cnf(i_0_7766,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4254_2(X1,X2) )).

cnf(i_0_7767,axiom,
    ( ~ esk2741_2(X1,X2)
    | ~ esk2742_2(X1,X2) )).

cnf(i_0_7768,axiom,
    ( ~ esk4395_2(X1,X2)
    | esk5575_2(X1,X2)
    | esk1742_2(X1,X2) )).

cnf(i_0_7769,axiom,
    ( ~ esk3785_2(X1,X2)
    | ~ esk56_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk4392_2(X1,X2) )).

cnf(i_0_7770,axiom,
    ( ~ esk5201_2(X1,X2)
    | ~ esk5200_2(X1,X2) )).

cnf(i_0_7771,axiom,
    ( ~ esk170_2(X1,X2)
    | ~ esk311_2(X1,X2) )).

cnf(i_0_7772,axiom,
    ( esk2336_2(X1,X2)
    | esk2337_2(X1,X2) )).

cnf(i_0_7773,axiom,
    ( ~ esk2952_2(X1,X2)
    | ~ esk2953_2(X1,X2) )).

cnf(i_0_7774,axiom,
    ( esk4234_2(X1,X2)
    | ~ esk4319_2(X1,X2) )).

cnf(i_0_7775,axiom,
    ( esk2023_2(X1,X2)
    | esk2022_2(X1,X2) )).

cnf(i_0_7776,axiom,
    ( ~ esk4333_2(X1,X2)
    | ~ esk3805_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | esk4335_2(X1,X2) )).

cnf(i_0_7777,axiom,
    ( esk3370_2(X1,X2)
    | ~ esk4891_2(X1,X2) )).

cnf(i_0_7778,axiom,
    ( esk2179_2(X1,X2)
    | ~ esk2180_2(X1,X2) )).

cnf(i_0_7779,axiom,
    ( esk242_2(X1,X2)
    | esk244_2(X1,X2)
    | esk245_2(X1,X2)
    | esk243_2(X1,X2)
    | esk241_2(X1,X2) )).

cnf(i_0_7780,axiom,
    ( ~ esk3564_2(X1,X2)
    | esk3560_2(X1,X2) )).

cnf(i_0_7781,axiom,
    ( ~ esk1716_2(X1,X2)
    | esk633_2(X1,X2) )).

cnf(i_0_7782,axiom,
    ( esk585_2(X1,X2)
    | ~ esk2571_2(X1,X2) )).

cnf(i_0_7783,axiom,
    ( esk3326_2(X1,X2)
    | esk3325_2(X1,X2) )).

cnf(i_0_7784,axiom,
    ( esk2562_2(X1,X2)
    | ~ esk2563_2(X1,X2) )).

cnf(i_0_7785,axiom,
    ( esk3211_2(X1,X2)
    | esk3210_2(X1,X2) )).

cnf(i_0_7786,axiom,
    ( ~ esk2629_2(X1,X2)
    | esk2624_2(X1,X2) )).

cnf(i_0_7787,axiom,
    ( esk4042_2(X1,X2)
    | esk4043_2(X1,X2)
    | esk4041_2(X1,X2) )).

cnf(i_0_7788,axiom,
    ( esk3372_2(X1,X2)
    | ~ esk4784_2(X1,X2) )).

cnf(i_0_7789,axiom,
    ( ~ esk3177_2(X1,X2)
    | ~ esk4032_2(X1,X2) )).

cnf(i_0_7790,axiom,
    ( ~ esk2494_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_7791,axiom,
    ( ~ esk2996_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_7792,axiom,
    ( ~ esk956_2(X1,X2)
    | ~ esk955_2(X1,X2) )).

cnf(i_0_7793,axiom,
    ( ~ esk2406_2(X1,X2)
    | ~ esk2409_2(X1,X2) )).

cnf(i_0_7794,axiom,
    ( ~ esk1774_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_7795,axiom,
    ( esk4173_2(X1,X2)
    | esk3801_2(X1,X2) )).

cnf(i_0_7796,axiom,
    ( esk1796_2(X1,X2)
    | ~ esk1888_2(X1,X2) )).

cnf(i_0_7797,axiom,
    ( esk293_2(X1,X2)
    | ~ esk1749_2(X1,X2) )).

cnf(i_0_7798,axiom,
    ( esk3909_2(X1,X2)
    | ~ esk4350_2(X1,X2) )).

cnf(i_0_7799,axiom,
    ( esk1194_2(X1,X2)
    | esk1193_2(X1,X2)
    | esk1196_2(X1,X2)
    | esk1195_2(X1,X2)
    | esk1197_2(X1,X2) )).

cnf(i_0_7800,axiom,
    ( ~ esk1668_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_7801,axiom,
    ( ~ esk1817_2(X1,X2)
    | esk1790_2(X1,X2) )).

cnf(i_0_7802,axiom,
    ( ~ esk2091_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_7803,axiom,
    ( ~ esk1107_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_7804,axiom,
    ( ~ esk1853_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_7805,axiom,
    ( ~ esk1088_2(X1,X2)
    | ~ esk1087_2(X1,X2) )).

cnf(i_0_7806,axiom,
    ( ~ esk415_2(X1,X2)
    | ~ esk414_2(X1,X2) )).

cnf(i_0_7807,axiom,
    ( esk4289_2(X1,X2)
    | esk4290_2(X1,X2) )).

cnf(i_0_7808,axiom,
    ( ~ esk4822_2(X1,X2)
    | esk4821_2(X1,X2) )).

cnf(i_0_7809,axiom,
    ( ~ esk904_2(X1,X2)
    | ~ esk944_2(X1,X2) )).

cnf(i_0_7810,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4350_2(X1,X2) )).

cnf(i_0_7811,axiom,
    ( esk242_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | ~ esk11_2(X1,X2) )).

cnf(i_0_7812,axiom,
    ( esk3233_2(X1,X2)
    | ~ esk3234_2(X1,X2) )).

cnf(i_0_7813,axiom,
    ( esk2651_2(X1,X2)
    | esk2777_2(X1,X2) )).

cnf(i_0_7814,axiom,
    ( esk94_2(X1,X2)
    | ~ esk2_0 )).

cnf(i_0_7815,axiom,
    ( ~ esk1576_2(X1,X2)
    | ~ esk1575_2(X1,X2) )).

cnf(i_0_7816,axiom,
    ( ~ esk936_2(X1,X2)
    | esk932_2(X1,X2) )).

cnf(i_0_7817,axiom,
    ( esk92_2(X1,X2)
    | ~ esk2365_2(X1,X2) )).

cnf(i_0_7818,axiom,
    ( esk145_2(X1,X2)
    | ~ esk3408_2(X1,X2) )).

cnf(i_0_7819,axiom,
    ( esk3314_2(X1,X2)
    | ~ esk3791_2(X1,X2) )).

cnf(i_0_7820,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4335_2(X1,X2) )).

cnf(i_0_7821,axiom,
    ( esk140_2(X1,X2)
    | ~ esk2420_2(X1,X2) )).

cnf(i_0_7822,axiom,
    ( ~ esk1349_2(X1,X2)
    | ~ esk1348_2(X1,X2) )).

cnf(i_0_7823,axiom,
    ( esk4344_2(X1,X2)
    | ~ esk84_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_7824,axiom,
    ( esk3892_2(X1,X2)
    | esk5548_2(X1,X2)
    | ~ esk1239_2(X1,X2) )).

cnf(i_0_7825,axiom,
    ( esk4515_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk77_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_7826,axiom,
    ( ~ esk799_2(X1,X2)
    | esk800_2(X1,X2)
    | ~ esk796_2(X1,X2) )).

cnf(i_0_7827,axiom,
    ( ~ esk3604_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_7828,axiom,
    ( ~ esk5065_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_7829,axiom,
    ( ~ esk1006_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_7830,axiom,
    ( esk589_2(X1,X2)
    | ~ esk1001_2(X1,X2) )).

cnf(i_0_7831,axiom,
    ( ~ esk1161_2(X1,X2)
    | esk1160_2(X1,X2) )).

cnf(i_0_7832,axiom,
    ( ~ esk1904_2(X1,X2)
    | ~ esk1905_2(X1,X2) )).

cnf(i_0_7833,axiom,
    ( esk4726_2(X1,X2)
    | esk4725_2(X1,X2) )).

cnf(i_0_7834,axiom,
    ( ~ esk3879_2(X1,X2)
    | ~ esk3880_2(X1,X2) )).

cnf(i_0_7835,axiom,
    ( esk4413_2(X1,X2)
    | esk5578_2(X1,X2)
    | ~ esk1760_2(X1,X2) )).

cnf(i_0_7836,axiom,
    ( esk4406_2(X1,X2)
    | esk4407_2(X1,X2) )).

cnf(i_0_7837,axiom,
    ( esk812_2(X1,X2)
    | ~ esk816_2(X1,X2) )).

cnf(i_0_7838,axiom,
    ( ~ esk5148_2(X1,X2)
    | ~ esk5172_2(X1,X2)
    | esk5173_2(X1,X2) )).

cnf(i_0_7839,axiom,
    ( ~ esk4386_2(X1,X2)
    | ~ esk4388_2(X1,X2) )).

cnf(i_0_7840,axiom,
    ( esk139_2(X1,X2)
    | esk3240_2(X1,X2) )).

cnf(i_0_7841,axiom,
    ( ~ esk2552_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_7842,axiom,
    ( ~ esk2303_2(X1,X2)
    | ~ esk2307_2(X1,X2)
    | esk2308_2(X1,X2) )).

cnf(i_0_7843,axiom,
    ( esk3333_2(X1,X2)
    | esk3332_2(X1,X2) )).

cnf(i_0_7844,axiom,
    ( esk1943_2(X1,X2)
    | esk1944_2(X1,X2) )).

cnf(i_0_7845,axiom,
    ( ~ esk947_2(X1,X2)
    | esk946_2(X1,X2) )).

cnf(i_0_7846,axiom,
    ( ~ esk2242_2(X1,X2)
    | ~ esk2239_2(X1,X2)
    | esk2243_2(X1,X2) )).

cnf(i_0_7847,axiom,
    ( esk5221_2(X1,X2)
    | ~ esk5419_2(X1,X2) )).

cnf(i_0_7848,axiom,
    ( esk2614_2(X1,X2)
    | esk2613_2(X1,X2) )).

cnf(i_0_7849,axiom,
    ( esk402_2(X1,X2)
    | esk401_2(X1,X2)
    | esk399_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_7850,axiom,
    ( esk2198_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | ~ esk1016_2(X1,X2) )).

cnf(i_0_7851,axiom,
    ( esk235_2(X1,X2)
    | esk234_2(X1,X2) )).

cnf(i_0_7852,axiom,
    ( esk2045_2(X1,X2)
    | ~ esk2046_2(X1,X2) )).

cnf(i_0_7853,axiom,
    ( ~ esk446_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_7854,axiom,
    ( ~ esk2492_2(X1,X2)
    | ~ esk2495_2(X1,X2) )).

cnf(i_0_7855,axiom,
    ( esk23_2(X1,X2)
    | ~ esk3828_2(X1,X2) )).

cnf(i_0_7856,axiom,
    ( ~ esk298_2(X1,X2)
    | ~ esk295_2(X1,X2) )).

cnf(i_0_7857,axiom,
    ( esk3338_2(X1,X2)
    | ~ esk3351_2(X1,X2) )).

cnf(i_0_7858,axiom,
    ( ~ esk807_2(X1,X2)
    | ~ esk806_2(X1,X2) )).

cnf(i_0_7859,axiom,
    ( esk3432_2(X1,X2)
    | esk3433_2(X1,X2) )).

cnf(i_0_7860,axiom,
    ( ~ esk2283_2(X1,X2)
    | ~ esk698_2(X1,X2) )).

cnf(i_0_7861,axiom,
    ( ~ esk3438_2(X1,X2)
    | ~ esk4159_2(X1,X2) )).

cnf(i_0_7862,axiom,
    ( esk3083_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_7863,axiom,
    ( esk2392_2(X1,X2)
    | esk2391_2(X1,X2) )).

cnf(i_0_7864,axiom,
    ( ~ esk367_2(X1,X2)
    | ~ esk370_2(X1,X2) )).

cnf(i_0_7865,axiom,
    ( esk1838_2(X1,X2)
    | esk1837_2(X1,X2)
    | esk1834_2(X1,X2)
    | esk1835_2(X1,X2)
    | esk1836_2(X1,X2) )).

cnf(i_0_7866,axiom,
    ( ~ esk5571_2(X1,X2)
    | esk1702_2(X1,X2)
    | esk4355_2(X1,X2) )).

cnf(i_0_7867,axiom,
    ( ~ esk954_2(X1,X2)
    | ~ esk523_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | esk2653_2(X1,X2) )).

cnf(i_0_7868,axiom,
    ( ~ esk3681_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_7869,axiom,
    ( ~ esk1378_2(X1,X2)
    | ~ esk1402_2(X1,X2) )).

cnf(i_0_7870,axiom,
    ( ~ esk1946_2(X1,X2)
    | ~ esk1949_2(X1,X2) )).

cnf(i_0_7871,axiom,
    ( esk1030_2(X1,X2)
    | esk1026_2(X1,X2)
    | esk1029_2(X1,X2)
    | esk1028_2(X1,X2)
    | esk1024_2(X1,X2)
    | esk1022_2(X1,X2) )).

cnf(i_0_7872,axiom,
    ( esk3747_2(X1,X2)
    | esk3748_2(X1,X2) )).

cnf(i_0_7873,axiom,
    ( ~ esk263_2(X1,X2)
    | ~ esk266_2(X1,X2) )).

cnf(i_0_7874,axiom,
    ( esk151_2(X1,X2)
    | ~ esk4635_2(X1,X2) )).

cnf(i_0_7875,axiom,
    ( ~ esk3084_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_7876,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | esk5059_2(X1,X2) )).

cnf(i_0_7877,axiom,
    ( ~ esk3045_2(X1,X2)
    | ~ esk3046_2(X1,X2) )).

cnf(i_0_7878,axiom,
    ( ~ esk4573_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_7879,axiom,
    ( esk916_2(X1,X2)
    | ~ esk917_2(X1,X2) )).

cnf(i_0_7880,axiom,
    ( ~ esk5487_2(X1,X2)
    | ~ esk5486_2(X1,X2) )).

cnf(i_0_7881,axiom,
    ( ~ esk4371_2(X1,X2)
    | ~ esk63_2(X1,X2)
    | esk4372_2(X1,X2) )).

cnf(i_0_7882,axiom,
    ( ~ esk623_2(X1,X2)
    | ~ esk624_2(X1,X2) )).

cnf(i_0_7883,axiom,
    ( ~ esk2580_2(X1,X2)
    | esk965_2(X1,X2) )).

cnf(i_0_7884,axiom,
    ( esk1261_2(X1,X2)
    | ~ esk1266_2(X1,X2) )).

cnf(i_0_7885,axiom,
    ( ~ esk3755_2(X1,X2)
    | ~ esk3756_2(X1,X2) )).

cnf(i_0_7886,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk3543_2(X1,X2)
    | esk3544_2(X1,X2) )).

cnf(i_0_7887,axiom,
    ( ~ esk5008_2(X1,X2)
    | ~ esk5007_2(X1,X2) )).

cnf(i_0_7888,axiom,
    ( esk3778_2(X1,X2)
    | ~ esk4271_2(X1,X2) )).

cnf(i_0_7889,axiom,
    ( esk2465_2(X1,X2)
    | esk2464_2(X1,X2) )).

cnf(i_0_7890,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk4639_2(X1,X2) )).

cnf(i_0_7891,axiom,
    ( esk767_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_7892,axiom,
    ( ~ esk4281_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_7893,axiom,
    ( ~ esk3554_2(X1,X2)
    | ~ esk3555_2(X1,X2) )).

cnf(i_0_7894,axiom,
    ( ~ esk1905_2(X1,X2)
    | ~ esk1906_2(X1,X2) )).

cnf(i_0_7895,axiom,
    ( esk3635_2(X1,X2)
    | ~ esk3636_2(X1,X2) )).

cnf(i_0_7896,axiom,
    ( ~ esk4500_2(X1,X2)
    | esk4455_2(X1,X2) )).

cnf(i_0_7897,axiom,
    ( ~ esk5458_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_7898,axiom,
    ( ~ esk1963_2(X1,X2)
    | esk1958_2(X1,X2) )).

cnf(i_0_7899,axiom,
    ( esk3423_2(X1,X2)
    | ~ esk3424_2(X1,X2) )).

cnf(i_0_7900,axiom,
    ( esk2801_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk2800_2(X1,X2) )).

cnf(i_0_7901,axiom,
    ( ~ esk4400_2(X1,X2)
    | ~ esk4399_2(X1,X2) )).

cnf(i_0_7902,axiom,
    ( ~ esk3164_2(X1,X2)
    | ~ esk3162_2(X1,X2) )).

cnf(i_0_7903,axiom,
    ( ~ esk655_2(X1,X2)
    | ~ esk656_2(X1,X2) )).

cnf(i_0_7904,axiom,
    ( esk1273_2(X1,X2)
    | ~ esk1645_2(X1,X2) )).

cnf(i_0_7905,axiom,
    ( ~ esk1675_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_7906,axiom,
    ( esk3616_2(X1,X2)
    | ~ esk3617_2(X1,X2) )).

cnf(i_0_7907,axiom,
    ( esk1588_2(X1,X2)
    | ~ esk1587_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_7908,axiom,
    ( ~ esk920_2(X1,X2)
    | ~ esk932_2(X1,X2)
    | ~ esk935_2(X1,X2)
    | esk936_2(X1,X2) )).

cnf(i_0_7909,axiom,
    ( ~ esk1187_2(X1,X2)
    | ~ esk1188_2(X1,X2) )).

cnf(i_0_7910,axiom,
    ( ~ esk415_2(X1,X2)
    | ~ esk412_2(X1,X2) )).

cnf(i_0_7911,axiom,
    ( ~ esk412_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_7912,axiom,
    ( ~ esk2790_2(X1,X2)
    | ~ esk2791_2(X1,X2) )).

cnf(i_0_7913,axiom,
    ( esk4776_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_7914,axiom,
    ( ~ esk1317_2(X1,X2)
    | esk1313_2(X1,X2) )).

cnf(i_0_7915,axiom,
    ( ~ esk3165_2(X1,X2)
    | ~ esk4035_2(X1,X2) )).

cnf(i_0_7916,axiom,
    ( ~ esk4569_2(X1,X2)
    | ~ esk4570_2(X1,X2) )).

cnf(i_0_7917,axiom,
    ( esk1613_2(X1,X2)
    | esk1612_2(X1,X2)
    | esk1614_2(X1,X2)
    | esk1616_2(X1,X2)
    | esk1615_2(X1,X2) )).

cnf(i_0_7918,axiom,
    ( ~ esk1699_2(X1,X2)
    | esk72_2(X1,X2) )).

cnf(i_0_7919,axiom,
    ( ~ esk2756_2(X1,X2)
    | esk2752_2(X1,X2) )).

cnf(i_0_7920,axiom,
    ( ~ esk990_2(X1,X2)
    | ~ esk991_2(X1,X2) )).

cnf(i_0_7921,axiom,
    ( ~ esk562_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_7922,axiom,
    ( ~ esk3201_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_7923,axiom,
    ( esk3455_2(X1,X2)
    | ~ esk3895_2(X1,X2) )).

cnf(i_0_7924,axiom,
    ( esk228_2(X1,X2)
    | esk229_2(X1,X2) )).

cnf(i_0_7925,axiom,
    ( ~ esk539_2(X1,X2)
    | esk112_2(X1,X2) )).

cnf(i_0_7926,axiom,
    ( esk310_2(X1,X2)
    | esk314_2(X1,X2)
    | esk313_2(X1,X2) )).

cnf(i_0_7927,axiom,
    ( ~ esk5425_2(X1,X2)
    | ~ esk5419_2(X1,X2) )).

cnf(i_0_7928,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk4634_2(X1,X2)
    | esk4635_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_7929,axiom,
    ( ~ esk3534_2(X1,X2)
    | ~ esk3535_2(X1,X2) )).

cnf(i_0_7930,axiom,
    ( ~ esk4436_2(X1,X2)
    | ~ esk4437_2(X1,X2) )).

cnf(i_0_7931,axiom,
    ( esk4974_2(X1,X2)
    | esk4975_2(X1,X2) )).

cnf(i_0_7932,axiom,
    ( ~ esk5095_2(X1,X2)
    | ~ esk5092_2(X1,X2) )).

cnf(i_0_7933,axiom,
    ( esk1132_2(X1,X2)
    | ~ esk1739_2(X1,X2) )).

cnf(i_0_7934,axiom,
    ( esk3724_2(X1,X2)
    | esk3725_2(X1,X2) )).

cnf(i_0_7935,axiom,
    ( ~ esk5311_2(X1,X2)
    | ~ esk5312_2(X1,X2)
    | esk5313_2(X1,X2) )).

cnf(i_0_7936,axiom,
    ( ~ esk3164_2(X1,X2)
    | ~ esk3163_2(X1,X2) )).

cnf(i_0_7937,axiom,
    ( esk37_2(X1,X2)
    | ~ esk2883_2(X1,X2) )).

cnf(i_0_7938,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk1927_2(X1,X2) )).

cnf(i_0_7939,axiom,
    ( ~ esk4508_2(X1,X2)
    | ~ esk4509_2(X1,X2) )).

cnf(i_0_7940,axiom,
    ( ~ esk3139_2(X1,X2)
    | ~ esk3138_2(X1,X2) )).

cnf(i_0_7941,axiom,
    ( esk965_2(X1,X2)
    | esk2503_2(X1,X2) )).

cnf(i_0_7942,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4465_2(X1,X2) )).

cnf(i_0_7943,axiom,
    ( esk2139_2(X1,X2)
    | esk2138_2(X1,X2) )).

cnf(i_0_7944,axiom,
    ( esk4204_2(X1,X2)
    | esk4205_2(X1,X2) )).

cnf(i_0_7945,axiom,
    ( esk73_2(X1,X2)
    | ~ esk1668_2(X1,X2) )).

cnf(i_0_7946,axiom,
    ( ~ esk5310_2(X1,X2)
    | ~ esk5309_2(X1,X2) )).

cnf(i_0_7947,axiom,
    ( esk2855_2(X1,X2)
    | esk193_2(X1,X2)
    | ~ esk5508_2(X1,X2) )).

cnf(i_0_7948,axiom,
    ( esk3788_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3635_2(X1,X2) )).

cnf(i_0_7949,axiom,
    ( ~ esk3911_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_7950,axiom,
    ( esk338_2(X1,X2)
    | ~ esk358_2(X1,X2) )).

cnf(i_0_7951,axiom,
    ( ~ esk1863_2(X1,X2)
    | ~ esk1861_2(X1,X2) )).

cnf(i_0_7952,axiom,
    ( ~ esk3422_2(X1,X2)
    | ~ esk4082_2(X1,X2) )).

cnf(i_0_7953,axiom,
    ( ~ esk2344_2(X1,X2)
    | ~ esk2360_2(X1,X2) )).

cnf(i_0_7954,axiom,
    ( ~ esk1204_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_7955,axiom,
    ( esk720_2(X1,X2)
    | esk721_2(X1,X2) )).

cnf(i_0_7956,axiom,
    ( ~ esk5276_2(X1,X2)
    | esk5275_2(X1,X2) )).

cnf(i_0_7957,axiom,
    ( esk390_2(X1,X2)
    | esk389_2(X1,X2) )).

cnf(i_0_7958,axiom,
    ( ~ esk1005_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_7959,axiom,
    ( ~ esk1426_2(X1,X2)
    | esk1481_2(X1,X2)
    | ~ esk1480_2(X1,X2) )).

cnf(i_0_7960,axiom,
    ( ~ esk1438_2(X1,X2)
    | ~ esk1439_2(X1,X2) )).

cnf(i_0_7961,axiom,
    ( ~ esk2541_2(X1,X2)
    | ~ esk2542_2(X1,X2) )).

cnf(i_0_7962,axiom,
    ( esk47_2(X1,X2)
    | ~ esk1788_2(X1,X2) )).

cnf(i_0_7963,axiom,
    ( esk1650_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_7964,axiom,
    ( esk1139_2(X1,X2)
    | esk1135_2(X1,X2)
    | esk1137_2(X1,X2)
    | esk980_2(X1,X2)
    | esk1138_2(X1,X2)
    | esk1136_2(X1,X2) )).

cnf(i_0_7965,axiom,
    ( ~ esk3663_2(X1,X2)
    | ~ esk3664_2(X1,X2) )).

cnf(i_0_7966,axiom,
    ( ~ esk1028_2(X1,X2)
    | ~ esk1030_2(X1,X2) )).

cnf(i_0_7967,axiom,
    ( ~ esk3948_2(X1,X2)
    | esk3943_2(X1,X2) )).

cnf(i_0_7968,axiom,
    ( ~ esk1824_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_7969,axiom,
    ( esk3883_2(X1,X2)
    | ~ esk3884_2(X1,X2) )).

cnf(i_0_7970,axiom,
    ( ~ esk5396_2(X1,X2)
    | ~ esk5397_2(X1,X2) )).

cnf(i_0_7971,axiom,
    ( esk1113_2(X1,X2)
    | esk1114_2(X1,X2) )).

cnf(i_0_7972,axiom,
    ( ~ esk4442_2(X1,X2)
    | ~ esk4440_2(X1,X2) )).

cnf(i_0_7973,axiom,
    ( esk4745_2(X1,X2)
    | esk4744_2(X1,X2) )).

cnf(i_0_7974,axiom,
    ( ~ esk2196_2(X1,X2)
    | ~ esk2124_2(X1,X2) )).

cnf(i_0_7975,axiom,
    ( ~ esk1088_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | esk1194_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_7976,axiom,
    ( ~ esk2211_2(X1,X2)
    | esk2207_2(X1,X2) )).

cnf(i_0_7977,axiom,
    ( ~ esk1468_2(X1,X2)
    | ~ esk1482_2(X1,X2) )).

cnf(i_0_7978,axiom,
    ( ~ esk1216_2(X1,X2)
    | ~ esk1218_2(X1,X2) )).

cnf(i_0_7979,axiom,
    ( ~ esk4808_2(X1,X2)
    | ~ esk3372_2(X1,X2)
    | esk4809_2(X1,X2) )).

cnf(i_0_7980,axiom,
    ( esk632_2(X1,X2)
    | esk631_2(X1,X2)
    | esk630_2(X1,X2) )).

cnf(i_0_7981,axiom,
    ( ~ esk5596_2(X1,X2)
    | ~ esk4539_2(X1,X2)
    | ~ esk1886_2(X1,X2) )).

cnf(i_0_7982,axiom,
    ( esk1086_2(X1,X2)
    | esk1087_2(X1,X2)
    | esk1085_2(X1,X2)
    | esk1076_2(X1,X2) )).

cnf(i_0_7983,axiom,
    ( esk2921_2(X1,X2)
    | esk2918_2(X1,X2)
    | esk2919_2(X1,X2)
    | esk2920_2(X1,X2)
    | esk2917_2(X1,X2) )).

cnf(i_0_7984,axiom,
    ( ~ esk1685_2(X1,X2)
    | ~ esk1686_2(X1,X2) )).

cnf(i_0_7985,axiom,
    ( esk111_2(X1,X2)
    | ~ esk2399_2(X1,X2) )).

cnf(i_0_7986,axiom,
    ( ~ esk3044_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_7987,axiom,
    ( ~ esk2634_2(X1,X2)
    | ~ esk2635_2(X1,X2) )).

cnf(i_0_7988,axiom,
    ( ~ esk3625_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_7989,axiom,
    ( ~ esk2947_2(X1,X2)
    | ~ esk2948_2(X1,X2) )).

cnf(i_0_7990,axiom,
    ( ~ esk1020_2(X1,X2)
    | ~ esk1019_2(X1,X2) )).

cnf(i_0_7991,axiom,
    ( esk90_2(X1,X2)
    | esk3136_2(X1,X2) )).

cnf(i_0_7992,axiom,
    ( ~ esk776_2(X1,X2)
    | ~ esk775_2(X1,X2) )).

cnf(i_0_7993,axiom,
    ( esk4442_2(X1,X2)
    | esk4439_2(X1,X2)
    | esk4441_2(X1,X2)
    | esk4440_2(X1,X2) )).

cnf(i_0_7994,axiom,
    ( ~ esk5017_2(X1,X2)
    | ~ esk5041_2(X1,X2) )).

cnf(i_0_7995,axiom,
    ( ~ esk1569_2(X1,X2)
    | ~ esk605_2(X1,X2) )).

cnf(i_0_7996,axiom,
    ( esk3301_2(X1,X2)
    | esk3976_2(X1,X2) )).

cnf(i_0_7997,axiom,
    ( ~ esk4799_2(X1,X2)
    | ~ esk4798_2(X1,X2) )).

cnf(i_0_7998,axiom,
    ( esk2565_2(X1,X2)
    | esk2566_2(X1,X2) )).

cnf(i_0_7999,axiom,
    ( esk4514_2(X1,X2)
    | ~ esk87_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk4303_2(X1,X2) )).

cnf(i_0_8000,axiom,
    ( ~ esk137_2(X1,X2)
    | esk5046_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_8001,axiom,
    ( esk5022_2(X1,X2)
    | esk5021_2(X1,X2) )).

cnf(i_0_8002,axiom,
    ( ~ esk768_2(X1,X2)
    | ~ esk760_2(X1,X2)
    | esk1470_2(X1,X2) )).

cnf(i_0_8003,axiom,
    ( ~ esk4461_2(X1,X2)
    | ~ esk4462_2(X1,X2) )).

cnf(i_0_8004,axiom,
    ( ~ esk178_2(X1,X2)
    | esk4391_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | ~ esk3775_2(X1,X2) )).

cnf(i_0_8005,axiom,
    ( esk3824_2(X1,X2)
    | ~ esk4259_2(X1,X2) )).

cnf(i_0_8006,axiom,
    ( esk2729_2(X1,X2)
    | esk2713_2(X1,X2) )).

cnf(i_0_8007,axiom,
    ( ~ esk4101_2(X1,X2)
    | esk4100_2(X1,X2) )).

cnf(i_0_8008,axiom,
    ( ~ esk3532_2(X1,X2)
    | ~ esk3530_2(X1,X2) )).

cnf(i_0_8009,axiom,
    ( esk4865_2(X1,X2)
    | ~ esk4870_2(X1,X2) )).

cnf(i_0_8010,axiom,
    ( ~ esk2996_2(X1,X2)
    | esk2995_2(X1,X2) )).

cnf(i_0_8011,axiom,
    ( ~ esk1625_2(X1,X2)
    | ~ esk1784_2(X1,X2)
    | esk1805_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_8012,axiom,
    ( esk176_2(X1,X2)
    | ~ esk3847_2(X1,X2) )).

cnf(i_0_8013,axiom,
    ( esk975_2(X1,X2)
    | ~ esk1562_2(X1,X2) )).

cnf(i_0_8014,axiom,
    ( esk1867_2(X1,X2)
    | esk1869_2(X1,X2)
    | esk1866_2(X1,X2)
    | esk1868_2(X1,X2)
    | esk1870_2(X1,X2) )).

cnf(i_0_8015,axiom,
    ( esk527_2(X1,X2)
    | esk769_2(X1,X2) )).

cnf(i_0_8016,axiom,
    ( ~ esk3513_2(X1,X2)
    | ~ esk3526_2(X1,X2) )).

cnf(i_0_8017,axiom,
    ( esk3287_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_8018,axiom,
    ( esk908_2(X1,X2)
    | esk113_2(X1,X2) )).

cnf(i_0_8019,axiom,
    ( ~ esk1124_2(X1,X2)
    | esk1608_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk29_2(X1,X2) )).

cnf(i_0_8020,axiom,
    ( esk1681_2(X1,X2)
    | ~ esk1881_2(X1,X2) )).

cnf(i_0_8021,axiom,
    ( esk94_2(X1,X2)
    | ~ esk3162_2(X1,X2) )).

cnf(i_0_8022,axiom,
    ( esk1228_2(X1,X2)
    | esk1229_2(X1,X2) )).

cnf(i_0_8023,axiom,
    ( esk644_2(X1,X2)
    | ~ esk639_2(X1,X2)
    | ~ esk643_2(X1,X2) )).

cnf(i_0_8024,axiom,
    ( ~ esk1206_2(X1,X2)
    | ~ esk1204_2(X1,X2) )).

cnf(i_0_8025,axiom,
    ( esk3785_2(X1,X2)
    | ~ esk3803_2(X1,X2) )).

cnf(i_0_8026,axiom,
    ( ~ esk1228_2(X1,X2)
    | ~ esk1229_2(X1,X2) )).

cnf(i_0_8027,axiom,
    ( ~ esk2903_2(X1,X2)
    | ~ esk2907_2(X1,X2) )).

cnf(i_0_8028,axiom,
    ( esk3140_2(X1,X2)
    | ~ esk3146_2(X1,X2) )).

cnf(i_0_8029,axiom,
    ( esk537_2(X1,X2)
    | ~ esk550_2(X1,X2) )).

cnf(i_0_8030,axiom,
    ( ~ esk5165_2(X1,X2)
    | ~ esk5166_2(X1,X2) )).

cnf(i_0_8031,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1609_2(X1,X2) )).

cnf(i_0_8032,axiom,
    ( ~ esk1803_2(X1,X2)
    | ~ esk1802_2(X1,X2) )).

cnf(i_0_8033,axiom,
    ( esk854_2(X1,X2)
    | ~ esk858_2(X1,X2) )).

cnf(i_0_8034,axiom,
    ( ~ esk469_2(X1,X2)
    | esk470_2(X1,X2)
    | ~ esk464_2(X1,X2) )).

cnf(i_0_8035,axiom,
    ( ~ esk479_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_8036,axiom,
    ( ~ esk5425_2(X1,X2)
    | ~ esk5426_2(X1,X2) )).

cnf(i_0_8037,axiom,
    ( esk785_2(X1,X2)
    | esk784_2(X1,X2) )).

cnf(i_0_8038,axiom,
    ( ~ esk4248_2(X1,X2)
    | ~ esk4244_2(X1,X2) )).

cnf(i_0_8039,axiom,
    ( esk1559_2(X1,X2)
    | esk1558_2(X1,X2) )).

cnf(i_0_8040,axiom,
    ( esk1536_2(X1,X2)
    | esk1537_2(X1,X2) )).

cnf(i_0_8041,axiom,
    ( ~ esk1800_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_8042,axiom,
    ( esk4833_2(X1,X2)
    | esk4834_2(X1,X2) )).

cnf(i_0_8043,axiom,
    ( esk557_2(X1,X2)
    | esk553_2(X1,X2) )).

cnf(i_0_8044,axiom,
    ( ~ esk1792_2(X1,X2)
    | esk404_2(X1,X2) )).

cnf(i_0_8045,axiom,
    ( ~ esk3097_2(X1,X2)
    | ~ esk3098_2(X1,X2) )).

cnf(i_0_8046,axiom,
    ( esk137_2(X1,X2)
    | esk5237_2(X1,X2)
    | esk3203_2(X1,X2) )).

cnf(i_0_8047,axiom,
    ( esk5191_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_8048,axiom,
    ( ~ esk3388_2(X1,X2)
    | ~ esk3680_2(X1,X2)
    | esk4701_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_8049,axiom,
    ( esk4304_2(X1,X2)
    | ~ esk4520_2(X1,X2) )).

cnf(i_0_8050,axiom,
    ( esk5102_2(X1,X2)
    | ~ esk5103_2(X1,X2) )).

cnf(i_0_8051,axiom,
    ( ~ esk1273_2(X1,X2)
    | ~ esk1274_2(X1,X2) )).

cnf(i_0_8052,axiom,
    ( ~ esk1645_2(X1,X2)
    | ~ esk1648_2(X1,X2) )).

cnf(i_0_8053,axiom,
    ( esk1333_2(X1,X2)
    | esk1327_2(X1,X2) )).

cnf(i_0_8054,axiom,
    ( ~ esk1435_2(X1,X2)
    | esk1434_2(X1,X2) )).

cnf(i_0_8055,axiom,
    ( ~ esk3539_2(X1,X2)
    | esk3534_2(X1,X2) )).

cnf(i_0_8056,axiom,
    ( esk354_2(X1,X2)
    | esk355_2(X1,X2) )).

cnf(i_0_8057,axiom,
    ( esk3715_2(X1,X2)
    | esk3716_2(X1,X2) )).

cnf(i_0_8058,axiom,
    ( ~ esk5368_2(X1,X2)
    | ~ esk5369_2(X1,X2) )).

cnf(i_0_8059,axiom,
    ( ~ esk3944_2(X1,X2)
    | ~ esk3935_2(X1,X2)
    | esk3945_2(X1,X2) )).

cnf(i_0_8060,axiom,
    ( esk1463_2(X1,X2)
    | esk1464_2(X1,X2) )).

cnf(i_0_8061,axiom,
    ( ~ esk3342_2(X1,X2)
    | esk3680_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_8062,axiom,
    ( esk200_2(X1,X2)
    | esk166_2(X1,X2) )).

cnf(i_0_8063,axiom,
    ( ~ esk2374_2(X1,X2)
    | ~ esk2375_2(X1,X2) )).

cnf(i_0_8064,axiom,
    ( ~ esk4734_2(X1,X2)
    | ~ esk4733_2(X1,X2) )).

cnf(i_0_8065,axiom,
    ( ~ esk1066_2(X1,X2)
    | ~ esk1065_2(X1,X2) )).

cnf(i_0_8066,axiom,
    ( esk5127_2(X1,X2)
    | esk5128_2(X1,X2)
    | esk5125_2(X1,X2) )).

cnf(i_0_8067,axiom,
    ( ~ esk2909_2(X1,X2)
    | ~ esk5522_2(X1,X2)
    | ~ esk247_2(X1,X2) )).

cnf(i_0_8068,axiom,
    ( ~ esk2599_2(X1,X2)
    | ~ esk2600_2(X1,X2) )).

cnf(i_0_8069,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk764_2(X1,X2) )).

cnf(i_0_8070,axiom,
    ( esk1723_2(X1,X2)
    | esk1721_2(X1,X2)
    | esk1722_2(X1,X2) )).

cnf(i_0_8071,axiom,
    ( esk1332_2(X1,X2)
    | ~ esk1337_2(X1,X2) )).

cnf(i_0_8072,axiom,
    ( ~ esk4249_2(X1,X2)
    | ~ esk4248_2(X1,X2) )).

cnf(i_0_8073,axiom,
    ( ~ esk1974_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_8074,axiom,
    ( ~ esk3090_2(X1,X2)
    | esk3089_2(X1,X2) )).

cnf(i_0_8075,axiom,
    ( ~ esk1632_2(X1,X2)
    | esk1171_2(X1,X2) )).

cnf(i_0_8076,axiom,
    ( esk4373_2(X1,X2)
    | ~ esk4374_2(X1,X2) )).

cnf(i_0_8077,axiom,
    ( esk2954_2(X1,X2)
    | esk2953_2(X1,X2) )).

cnf(i_0_8078,axiom,
    ( ~ esk1982_2(X1,X2)
    | ~ esk1983_2(X1,X2) )).

cnf(i_0_8079,axiom,
    ( esk1101_2(X1,X2)
    | esk1100_2(X1,X2) )).

cnf(i_0_8080,axiom,
    ( ~ esk505_2(X1,X2)
    | esk504_2(X1,X2) )).

cnf(i_0_8081,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5225_2(X1,X2) )).

cnf(i_0_8082,axiom,
    ( ~ esk1979_2(X1,X2)
    | ~ esk1995_2(X1,X2) )).

cnf(i_0_8083,axiom,
    ( ~ esk3327_2(X1,X2)
    | esk3262_2(X1,X2) )).

cnf(i_0_8084,axiom,
    ( ~ esk130_2(X1,X2)
    | esk3339_2(X1,X2)
    | ~ esk3298_2(X1,X2) )).

cnf(i_0_8085,axiom,
    ( ~ esk4542_2(X1,X2)
    | esk87_2(X1,X2) )).

cnf(i_0_8086,axiom,
    ( esk3463_2(X1,X2)
    | ~ esk3662_2(X1,X2) )).

cnf(i_0_8087,axiom,
    ( esk2552_2(X1,X2)
    | esk2553_2(X1,X2) )).

cnf(i_0_8088,axiom,
    ( esk1239_2(X1,X2)
    | ~ esk3892_2(X1,X2)
    | esk5548_2(X1,X2) )).

cnf(i_0_8089,axiom,
    ( ~ esk316_2(X1,X2)
    | esk324_2(X1,X2)
    | ~ esk323_2(X1,X2) )).

cnf(i_0_8090,axiom,
    ( ~ esk2520_2(X1,X2)
    | ~ esk2521_2(X1,X2) )).

cnf(i_0_8091,axiom,
    ( esk3778_2(X1,X2)
    | ~ esk3779_2(X1,X2) )).

cnf(i_0_8092,axiom,
    ( ~ esk1747_2(X1,X2)
    | esk1866_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | ~ esk1651_2(X1,X2) )).

cnf(i_0_8093,axiom,
    ( ~ esk326_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_8094,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2580_2(X1,X2) )).

cnf(i_0_8095,axiom,
    ( ~ esk327_2(X1,X2)
    | ~ esk128_2(X1,X2) )).

cnf(i_0_8096,axiom,
    ( esk2044_2(X1,X2)
    | ~ esk2788_2(X1,X2) )).

cnf(i_0_8097,axiom,
    ( esk3100_2(X1,X2)
    | esk3099_2(X1,X2) )).

cnf(i_0_8098,axiom,
    ( ~ esk176_2(X1,X2)
    | esk4496_2(X1,X2)
    | ~ esk42_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_8099,axiom,
    ( ~ esk3545_2(X1,X2)
    | ~ esk3548_2(X1,X2)
    | esk3549_2(X1,X2) )).

cnf(i_0_8100,axiom,
    ( esk2188_2(X1,X2)
    | esk2189_2(X1,X2) )).

cnf(i_0_8101,axiom,
    ( ~ esk3076_2(X1,X2)
    | ~ esk3077_2(X1,X2) )).

cnf(i_0_8102,axiom,
    ( ~ esk3859_2(X1,X2)
    | ~ esk3858_2(X1,X2) )).

cnf(i_0_8103,axiom,
    ( esk3664_2(X1,X2)
    | ~ esk3665_2(X1,X2) )).

cnf(i_0_8104,axiom,
    ( ~ esk4894_2(X1,X2)
    | esk4893_2(X1,X2) )).

cnf(i_0_8105,axiom,
    ( ~ esk3982_2(X1,X2)
    | esk3981_2(X1,X2) )).

cnf(i_0_8106,axiom,
    ( esk3368_2(X1,X2)
    | esk4944_2(X1,X2) )).

cnf(i_0_8107,axiom,
    ( esk4714_2(X1,X2)
    | esk4710_2(X1,X2) )).

cnf(i_0_8108,axiom,
    ( ~ esk3361_2(X1,X2)
    | ~ esk3283_2(X1,X2)
    | esk3362_2(X1,X2) )).

cnf(i_0_8109,axiom,
    ( esk142_2(X1,X2)
    | ~ esk3650_2(X1,X2) )).

cnf(i_0_8110,axiom,
    ( ~ esk212_2(X1,X2)
    | esk220_2(X1,X2)
    | ~ esk15_2(X1,X2) )).

cnf(i_0_8111,axiom,
    ( ~ esk3530_2(X1,X2)
    | esk3526_2(X1,X2) )).

cnf(i_0_8112,axiom,
    ( esk1555_2(X1,X2)
    | ~ esk1556_2(X1,X2) )).

cnf(i_0_8113,axiom,
    ( ~ esk2525_2(X1,X2)
    | esk2524_2(X1,X2) )).

cnf(i_0_8114,axiom,
    ( ~ esk4815_2(X1,X2)
    | ~ esk4814_2(X1,X2) )).

cnf(i_0_8115,axiom,
    ( ~ esk5407_2(X1,X2)
    | esk5406_2(X1,X2) )).

cnf(i_0_8116,axiom,
    ( esk1095_2(X1,X2)
    | ~ esk1099_2(X1,X2) )).

cnf(i_0_8117,axiom,
    ( esk1387_2(X1,X2)
    | ~ esk1401_2(X1,X2) )).

cnf(i_0_8118,axiom,
    ( ~ esk151_2(X1,X2)
    | esk3678_2(X1,X2)
    | ~ esk3318_2(X1,X2) )).

cnf(i_0_8119,axiom,
    ( ~ esk1136_2(X1,X2)
    | esk647_2(X1,X2) )).

cnf(i_0_8120,axiom,
    ( esk4368_2(X1,X2)
    | esk3295_2(X1,X2) )).

cnf(i_0_8121,axiom,
    ( ~ esk4873_2(X1,X2)
    | ~ esk4872_2(X1,X2) )).

cnf(i_0_8122,axiom,
    ( esk419_2(X1,X2)
    | ~ esk486_2(X1,X2) )).

cnf(i_0_8123,axiom,
    ( ~ esk2840_2(X1,X2)
    | ~ esk2839_2(X1,X2) )).

cnf(i_0_8124,axiom,
    ( esk4400_2(X1,X2)
    | ~ esk4547_2(X1,X2) )).

cnf(i_0_8125,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk117_2(X1,X2)
    | esk1940_2(X1,X2) )).

cnf(i_0_8126,axiom,
    ( esk1529_2(X1,X2)
    | ~ esk1533_2(X1,X2) )).

cnf(i_0_8127,axiom,
    ( esk4763_2(X1,X2)
    | esk4764_2(X1,X2) )).

cnf(i_0_8128,axiom,
    ( ~ esk1472_2(X1,X2)
    | ~ esk1471_2(X1,X2) )).

cnf(i_0_8129,axiom,
    ( ~ esk3984_2(X1,X2)
    | esk3972_2(X1,X2) )).

cnf(i_0_8130,axiom,
    ( ~ esk5071_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_8131,axiom,
    ( esk1954_2(X1,X2)
    | ~ esk1955_2(X1,X2) )).

cnf(i_0_8132,axiom,
    ( esk5408_2(X1,X2)
    | esk5407_2(X1,X2) )).

cnf(i_0_8133,axiom,
    ( ~ esk252_2(X1,X2)
    | ~ esk249_2(X1,X2) )).

cnf(i_0_8134,axiom,
    ( esk981_2(X1,X2)
    | ~ esk676_2(X1,X2)
    | ~ esk980_2(X1,X2) )).

cnf(i_0_8135,axiom,
    ( ~ esk3394_2(X1,X2)
    | esk3395_2(X1,X2)
    | ~ esk3391_2(X1,X2) )).

cnf(i_0_8136,axiom,
    ( ~ esk3114_2(X1,X2)
    | ~ esk3117_2(X1,X2) )).

cnf(i_0_8137,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4483_2(X1,X2) )).

cnf(i_0_8138,axiom,
    ( ~ esk3656_2(X1,X2)
    | ~ esk3663_2(X1,X2) )).

cnf(i_0_8139,axiom,
    ( ~ esk4033_2(X1,X2)
    | esk4032_2(X1,X2) )).

cnf(i_0_8140,axiom,
    ( esk150_2(X1,X2)
    | ~ esk4654_2(X1,X2) )).

cnf(i_0_8141,axiom,
    ( esk4449_2(X1,X2)
    | esk4450_2(X1,X2) )).

cnf(i_0_8142,axiom,
    ( ~ esk3762_2(X1,X2)
    | esk3279_2(X1,X2) )).

cnf(i_0_8143,axiom,
    ( ~ esk259_2(X1,X2)
    | ~ esk258_2(X1,X2) )).

cnf(i_0_8144,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk1193_2(X1,X2) )).

cnf(i_0_8145,axiom,
    ( ~ esk4345_2(X1,X2)
    | esk74_2(X1,X2) )).

cnf(i_0_8146,axiom,
    ( ~ esk1212_2(X1,X2)
    | ~ esk1213_2(X1,X2) )).

cnf(i_0_8147,axiom,
    ( esk1145_2(X1,X2)
    | esk1146_2(X1,X2) )).

cnf(i_0_8148,axiom,
    ( ~ esk152_2(X1,X2)
    | esk3377_2(X1,X2)
    | ~ esk3376_2(X1,X2) )).

cnf(i_0_8149,axiom,
    ( ~ esk2070_2(X1,X2)
    | esk2069_2(X1,X2) )).

cnf(i_0_8150,axiom,
    ( ~ esk4507_2(X1,X2)
    | ~ esk4509_2(X1,X2) )).

cnf(i_0_8151,axiom,
    ( esk807_2(X1,X2)
    | esk806_2(X1,X2) )).

cnf(i_0_8152,axiom,
    ( ~ esk977_2(X1,X2)
    | ~ esk974_2(X1,X2) )).

cnf(i_0_8153,axiom,
    ( ~ esk5204_2(X1,X2)
    | ~ esk5203_2(X1,X2) )).

cnf(i_0_8154,axiom,
    ( esk4063_2(X1,X2)
    | esk4062_2(X1,X2) )).

cnf(i_0_8155,axiom,
    ( esk5045_2(X1,X2)
    | ~ esk5136_2(X1,X2) )).

cnf(i_0_8156,axiom,
    ( ~ esk4448_2(X1,X2)
    | ~ esk4447_2(X1,X2) )).

cnf(i_0_8157,axiom,
    ( esk3086_2(X1,X2)
    | esk3085_2(X1,X2) )).

cnf(i_0_8158,axiom,
    ( ~ esk2502_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_8159,axiom,
    ( esk1509_2(X1,X2)
    | ~ esk1505_2(X1,X2)
    | ~ esk1508_2(X1,X2) )).

cnf(i_0_8160,axiom,
    ( ~ esk5106_2(X1,X2)
    | esk5105_2(X1,X2) )).

cnf(i_0_8161,axiom,
    ( esk628_2(X1,X2)
    | ~ esk624_2(X1,X2)
    | ~ esk627_2(X1,X2) )).

cnf(i_0_8162,axiom,
    ( ~ esk3681_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_8163,axiom,
    ( esk1469_2(X1,X2)
    | esk1471_2(X1,X2)
    | esk995_2(X1,X2)
    | esk1470_2(X1,X2) )).

cnf(i_0_8164,axiom,
    ( ~ esk2052_2(X1,X2)
    | ~ esk2053_2(X1,X2) )).

cnf(i_0_8165,axiom,
    ( esk4864_2(X1,X2)
    | esk4865_2(X1,X2) )).

cnf(i_0_8166,axiom,
    ( ~ esk299_2(X1,X2)
    | ~ esk298_2(X1,X2) )).

cnf(i_0_8167,axiom,
    ( esk2492_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_8168,axiom,
    ( ~ esk633_2(X1,X2)
    | ~ esk1283_2(X1,X2) )).

cnf(i_0_8169,axiom,
    ( esk2144_2(X1,X2)
    | esk2143_2(X1,X2) )).

cnf(i_0_8170,axiom,
    ( esk1498_2(X1,X2)
    | esk1499_2(X1,X2)
    | esk993_2(X1,X2)
    | esk1500_2(X1,X2)
    | esk1501_2(X1,X2) )).

cnf(i_0_8171,axiom,
    ( ~ esk1197_2(X1,X2)
    | ~ esk1195_2(X1,X2) )).

cnf(i_0_8172,axiom,
    ( ~ esk1124_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_8173,axiom,
    ( esk3246_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_8174,axiom,
    ( esk5343_2(X1,X2)
    | esk5342_2(X1,X2) )).

cnf(i_0_8175,axiom,
    ( ~ esk959_2(X1,X2)
    | esk577_2(X1,X2) )).

cnf(i_0_8176,axiom,
    ( esk768_2(X1,X2)
    | ~ esk1457_2(X1,X2) )).

cnf(i_0_8177,axiom,
    ( ~ esk3274_2(X1,X2)
    | ~ esk3273_2(X1,X2) )).

cnf(i_0_8178,axiom,
    ( ~ esk955_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_8179,axiom,
    ( ~ esk176_2(X1,X2)
    | esk4300_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk27_2(X1,X2) )).

cnf(i_0_8180,axiom,
    ( esk142_2(X1,X2)
    | ~ esk380_2(X1,X2) )).

cnf(i_0_8181,axiom,
    ( ~ esk275_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_8182,axiom,
    ( ~ esk1620_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_8183,axiom,
    ( ~ esk647_2(X1,X2)
    | ~ esk652_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | esk689_2(X1,X2)
    | ~ esk688_2(X1,X2)
    | ~ esk676_2(X1,X2) )).

cnf(i_0_8184,axiom,
    ( esk809_2(X1,X2)
    | ~ esk1007_2(X1,X2) )).

cnf(i_0_8185,axiom,
    ( ~ esk5316_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_8186,axiom,
    ( esk178_2(X1,X2)
    | ~ esk1235_2(X1,X2) )).

cnf(i_0_8187,axiom,
    ( ~ esk979_2(X1,X2)
    | ~ esk987_2(X1,X2) )).

cnf(i_0_8188,axiom,
    ( esk1284_2(X1,X2)
    | esk1285_2(X1,X2) )).

cnf(i_0_8189,axiom,
    ( ~ esk2689_2(X1,X2)
    | esk2688_2(X1,X2) )).

cnf(i_0_8190,axiom,
    ( ~ esk1575_2(X1,X2)
    | ~ esk1574_2(X1,X2) )).

cnf(i_0_8191,axiom,
    ( ~ esk959_2(X1,X2)
    | ~ esk2574_2(X1,X2) )).

cnf(i_0_8192,axiom,
    ( ~ esk1361_2(X1,X2)
    | esk1360_2(X1,X2) )).

cnf(i_0_8193,axiom,
    ( esk128_2(X1,X2)
    | ~ esk1986_2(X1,X2) )).

cnf(i_0_8194,axiom,
    ( ~ esk4886_2(X1,X2)
    | esk4885_2(X1,X2) )).

cnf(i_0_8195,axiom,
    ( esk3908_2(X1,X2)
    | esk3906_2(X1,X2)
    | esk3893_2(X1,X2)
    | esk3907_2(X1,X2) )).

cnf(i_0_8196,axiom,
    ( ~ esk2829_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_8197,axiom,
    ( esk5290_2(X1,X2)
    | esk5291_2(X1,X2) )).

cnf(i_0_8198,axiom,
    ( esk5391_2(X1,X2)
    | ~ esk5386_2(X1,X2)
    | ~ esk5390_2(X1,X2) )).

cnf(i_0_8199,axiom,
    ( ~ esk4958_2(X1,X2)
    | esk4957_2(X1,X2) )).

cnf(i_0_8200,axiom,
    ( esk3749_2(X1,X2)
    | ~ esk3750_2(X1,X2) )).

cnf(i_0_8201,axiom,
    ( ~ esk2835_2(X1,X2)
    | esk1590_2(X1,X2) )).

cnf(i_0_8202,axiom,
    ( ~ esk1940_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_8203,axiom,
    ( esk5307_2(X1,X2)
    | ~ esk5321_2(X1,X2) )).

cnf(i_0_8204,axiom,
    ( esk594_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk593_2(X1,X2) )).

cnf(i_0_8205,axiom,
    ( esk97_2(X1,X2)
    | ~ esk3151_2(X1,X2) )).

cnf(i_0_8206,axiom,
    ( ~ esk4265_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_8207,axiom,
    ( ~ esk4508_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_8208,axiom,
    ( esk3227_2(X1,X2)
    | ~ esk3614_2(X1,X2) )).

cnf(i_0_8209,axiom,
    ( ~ esk1624_2(X1,X2)
    | esk1836_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk19_2(X1,X2) )).

cnf(i_0_8210,axiom,
    ( esk2744_2(X1,X2)
    | esk2743_2(X1,X2) )).

cnf(i_0_8211,axiom,
    ( ~ esk646_2(X1,X2)
    | ~ esk647_2(X1,X2) )).

cnf(i_0_8212,axiom,
    ( esk3112_2(X1,X2)
    | esk3113_2(X1,X2) )).

cnf(i_0_8213,axiom,
    ( esk3713_2(X1,X2)
    | ~ esk3718_2(X1,X2) )).

cnf(i_0_8214,axiom,
    ( ~ esk4313_2(X1,X2)
    | esk3926_2(X1,X2) )).

cnf(i_0_8215,axiom,
    ( ~ esk3985_2(X1,X2)
    | esk3990_2(X1,X2)
    | ~ esk3989_2(X1,X2) )).

cnf(i_0_8216,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk3485_2(X1,X2)
    | esk3486_2(X1,X2) )).

cnf(i_0_8217,axiom,
    ( ~ esk2722_2(X1,X2)
    | ~ esk2723_2(X1,X2) )).

cnf(i_0_8218,axiom,
    ( esk1580_2(X1,X2)
    | ~ esk1584_2(X1,X2) )).

cnf(i_0_8219,axiom,
    ( ~ esk1792_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_8220,axiom,
    ( ~ esk2405_2(X1,X2)
    | ~ esk2473_2(X1,X2) )).

cnf(i_0_8221,axiom,
    ( ~ esk3707_2(X1,X2)
    | ~ esk3696_2(X1,X2) )).

cnf(i_0_8222,axiom,
    ( esk840_2(X1,X2)
    | ~ esk839_2(X1,X2)
    | ~ esk835_2(X1,X2) )).

cnf(i_0_8223,axiom,
    ( ~ esk987_2(X1,X2)
    | ~ esk986_2(X1,X2) )).

cnf(i_0_8224,axiom,
    ( ~ esk950_2(X1,X2)
    | ~ esk2712_2(X1,X2) )).

cnf(i_0_8225,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1607_2(X1,X2) )).

cnf(i_0_8226,axiom,
    ( ~ esk749_2(X1,X2)
    | esk515_2(X1,X2) )).

cnf(i_0_8227,axiom,
    ( ~ esk5540_2(X1,X2)
    | ~ esk1089_2(X1,X2)
    | ~ esk3742_2(X1,X2) )).

cnf(i_0_8228,axiom,
    ( esk1531_2(X1,X2)
    | esk1532_2(X1,X2) )).

cnf(i_0_8229,axiom,
    ( esk102_2(X1,X2)
    | ~ esk3135_2(X1,X2) )).

cnf(i_0_8230,axiom,
    ( esk2490_2(X1,X2)
    | ~ esk2491_2(X1,X2) )).

cnf(i_0_8231,axiom,
    ( esk165_2(X1,X2)
    | ~ esk2911_2(X1,X2) )).

cnf(i_0_8232,axiom,
    ( esk151_2(X1,X2)
    | ~ esk2990_2(X1,X2) )).

cnf(i_0_8233,axiom,
    ( esk3687_2(X1,X2)
    | esk3686_2(X1,X2) )).

cnf(i_0_8234,axiom,
    ( ~ esk2768_2(X1,X2)
    | esk2707_2(X1,X2) )).

cnf(i_0_8235,axiom,
    ( ~ esk2373_2(X1,X2)
    | esk2372_2(X1,X2) )).

cnf(i_0_8236,axiom,
    ( ~ esk3886_2(X1,X2)
    | esk3885_2(X1,X2) )).

cnf(i_0_8237,axiom,
    ( ~ esk203_2(X1,X2)
    | esk138_2(X1,X2) )).

cnf(i_0_8238,axiom,
    ( ~ esk3473_2(X1,X2)
    | ~ esk3474_2(X1,X2) )).

cnf(i_0_8239,axiom,
    ( ~ esk1946_2(X1,X2)
    | esk115_2(X1,X2) )).

cnf(i_0_8240,axiom,
    ( esk823_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_8241,axiom,
    ( ~ esk4357_2(X1,X2)
    | ~ esk4360_2(X1,X2) )).

cnf(i_0_8242,axiom,
    ( ~ esk1215_2(X1,X2)
    | ~ esk1423_2(X1,X2) )).

cnf(i_0_8243,axiom,
    ( ~ esk1363_2(X1,X2)
    | ~ esk1362_2(X1,X2) )).

cnf(i_0_8244,axiom,
    ( ~ esk1126_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_8245,axiom,
    ( esk4242_2(X1,X2)
    | ~ esk4344_2(X1,X2) )).

cnf(i_0_8246,axiom,
    ( esk3058_2(X1,X2)
    | esk3059_2(X1,X2) )).

cnf(i_0_8247,axiom,
    ( esk5369_2(X1,X2)
    | ~ esk5372_2(X1,X2) )).

cnf(i_0_8248,axiom,
    ( ~ esk1630_2(X1,X2)
    | ~ esk1631_2(X1,X2) )).

cnf(i_0_8249,axiom,
    ( ~ esk1498_2(X1,X2)
    | ~ esk1501_2(X1,X2) )).

cnf(i_0_8250,axiom,
    ( esk449_2(X1,X2)
    | esk450_2(X1,X2) )).

cnf(i_0_8251,axiom,
    ( esk2979_2(X1,X2)
    | esk168_2(X1,X2) )).

cnf(i_0_8252,axiom,
    ( esk105_2(X1,X2)
    | esk2440_2(X1,X2) )).

cnf(i_0_8253,axiom,
    ( esk3016_2(X1,X2)
    | esk3017_2(X1,X2) )).

cnf(i_0_8254,axiom,
    ( ~ esk3910_2(X1,X2)
    | ~ esk5549_2(X1,X2)
    | ~ esk1257_2(X1,X2) )).

cnf(i_0_8255,axiom,
    ( esk1333_2(X1,X2)
    | ~ esk1334_2(X1,X2) )).

cnf(i_0_8256,axiom,
    ( ~ esk3900_2(X1,X2)
    | ~ esk3899_2(X1,X2) )).

cnf(i_0_8257,axiom,
    ( esk1094_2(X1,X2)
    | esk1095_2(X1,X2) )).

cnf(i_0_8258,axiom,
    ( esk161_2(X1,X2)
    | ~ esk2830_2(X1,X2) )).

cnf(i_0_8259,axiom,
    ( esk2754_2(X1,X2)
    | esk2755_2(X1,X2) )).

cnf(i_0_8260,axiom,
    ( ~ esk354_2(X1,X2)
    | ~ esk355_2(X1,X2) )).

cnf(i_0_8261,axiom,
    ( esk3304_2(X1,X2)
    | esk3303_2(X1,X2) )).

cnf(i_0_8262,axiom,
    ( ~ esk2544_2(X1,X2)
    | esk597_2(X1,X2) )).

cnf(i_0_8263,axiom,
    ( ~ esk848_2(X1,X2)
    | ~ esk849_2(X1,X2) )).

cnf(i_0_8264,axiom,
    ( ~ esk5274_2(X1,X2)
    | esk5269_2(X1,X2) )).

cnf(i_0_8265,axiom,
    ( esk5093_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_8266,axiom,
    ( ~ esk3235_2(X1,X2)
    | ~ esk3618_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | ~ esk3259_2(X1,X2)
    | ~ esk3223_2(X1,X2)
    | esk3619_2(X1,X2) )).

cnf(i_0_8267,axiom,
    ( ~ esk4134_2(X1,X2)
    | ~ esk4135_2(X1,X2) )).

cnf(i_0_8268,axiom,
    ( esk2295_2(X1,X2)
    | esk2294_2(X1,X2) )).

cnf(i_0_8269,axiom,
    ( esk1599_2(X1,X2)
    | ~ esk1823_2(X1,X2) )).

cnf(i_0_8270,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk3405_2(X1,X2) )).

cnf(i_0_8271,axiom,
    ( esk2387_2(X1,X2)
    | ~ esk2391_2(X1,X2) )).

cnf(i_0_8272,axiom,
    ( esk3185_2(X1,X2)
    | esk5355_2(X1,X2) )).

cnf(i_0_8273,axiom,
    ( ~ esk1832_2(X1,X2)
    | ~ esk1833_2(X1,X2) )).

cnf(i_0_8274,axiom,
    ( ~ esk829_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_8275,axiom,
    ( ~ esk2997_2(X1,X2)
    | ~ esk2996_2(X1,X2) )).

cnf(i_0_8276,axiom,
    ( ~ esk3856_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_8277,axiom,
    ( esk2012_2(X1,X2)
    | esk2014_2(X1,X2)
    | esk2015_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_8278,axiom,
    ( ~ esk5127_2(X1,X2)
    | esk5091_2(X1,X2) )).

cnf(i_0_8279,axiom,
    ( ~ esk4439_2(X1,X2)
    | esk3079_2(X1,X2) )).

cnf(i_0_8280,axiom,
    ( ~ esk4922_2(X1,X2)
    | ~ esk4919_2(X1,X2)
    | esk4923_2(X1,X2) )).

cnf(i_0_8281,axiom,
    ( ~ esk1084_2(X1,X2)
    | ~ esk1083_2(X1,X2) )).

cnf(i_0_8282,axiom,
    ( ~ esk3124_2(X1,X2)
    | ~ esk3123_2(X1,X2) )).

cnf(i_0_8283,axiom,
    ( esk2093_2(X1,X2)
    | ~ esk2094_2(X1,X2) )).

cnf(i_0_8284,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | ~ esk3824_2(X1,X2)
    | esk4356_2(X1,X2) )).

cnf(i_0_8285,axiom,
    ( ~ esk2776_2(X1,X2)
    | ~ esk2775_2(X1,X2) )).

cnf(i_0_8286,axiom,
    ( esk3923_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk3922_2(X1,X2)
    | ~ esk3728_2(X1,X2) )).

cnf(i_0_8287,axiom,
    ( ~ esk3729_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_8288,axiom,
    ( ~ esk3965_2(X1,X2)
    | esk3964_2(X1,X2) )).

cnf(i_0_8289,axiom,
    ( ~ esk3988_2(X1,X2)
    | esk3959_2(X1,X2) )).

cnf(i_0_8290,axiom,
    ( esk3280_2(X1,X2)
    | esk3281_2(X1,X2)
    | esk3282_2(X1,X2) )).

cnf(i_0_8291,axiom,
    ( ~ esk3205_2(X1,X2)
    | esk3204_2(X1,X2) )).

cnf(i_0_8292,axiom,
    ( esk163_2(X1,X2)
    | ~ esk2837_2(X1,X2) )).

cnf(i_0_8293,axiom,
    ( esk3851_2(X1,X2)
    | esk5546_2(X1,X2)
    | ~ esk1198_2(X1,X2) )).

cnf(i_0_8294,axiom,
    ( ~ esk3634_2(X1,X2)
    | esk3338_2(X1,X2) )).

cnf(i_0_8295,axiom,
    ( esk2843_2(X1,X2)
    | esk153_2(X1,X2) )).

cnf(i_0_8296,axiom,
    ( ~ esk437_2(X1,X2)
    | ~ esk438_2(X1,X2) )).

cnf(i_0_8297,axiom,
    ( ~ esk5323_2(X1,X2)
    | ~ esk5307_2(X1,X2) )).

cnf(i_0_8298,axiom,
    ( esk144_2(X1,X2)
    | esk3190_2(X1,X2) )).

cnf(i_0_8299,axiom,
    ( ~ esk3818_2(X1,X2)
    | esk3819_2(X1,X2) )).

cnf(i_0_8300,axiom,
    ( ~ esk1147_2(X1,X2)
    | ~ esk1148_2(X1,X2) )).

cnf(i_0_8301,axiom,
    ( esk3757_2(X1,X2)
    | ~ esk4227_2(X1,X2) )).

cnf(i_0_8302,axiom,
    ( ~ esk966_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_8303,axiom,
    ( ~ esk4705_2(X1,X2)
    | ~ esk3680_2(X1,X2) )).

cnf(i_0_8304,axiom,
    ( ~ esk2306_2(X1,X2)
    | ~ esk2305_2(X1,X2) )).

cnf(i_0_8305,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk4668_2(X1,X2) )).

cnf(i_0_8306,axiom,
    ( ~ esk2712_2(X1,X2)
    | ~ esk2709_2(X1,X2) )).

cnf(i_0_8307,axiom,
    ( esk1056_2(X1,X2)
    | esk5538_2(X1,X2)
    | ~ esk3709_2(X1,X2) )).

cnf(i_0_8308,axiom,
    ( ~ esk3308_2(X1,X2)
    | ~ esk3309_2(X1,X2) )).

cnf(i_0_8309,axiom,
    ( ~ esk1669_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_8310,axiom,
    ( ~ esk4593_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_8311,axiom,
    ( esk5255_2(X1,X2)
    | esk5256_2(X1,X2) )).

cnf(i_0_8312,axiom,
    ( esk3120_2(X1,X2)
    | ~ esk3134_2(X1,X2) )).

cnf(i_0_8313,axiom,
    ( esk3314_2(X1,X2)
    | ~ esk3810_2(X1,X2) )).

cnf(i_0_8314,axiom,
    ( ~ esk2064_2(X1,X2)
    | esk2060_2(X1,X2) )).

cnf(i_0_8315,axiom,
    ( ~ esk4513_2(X1,X2)
    | esk4449_2(X1,X2) )).

cnf(i_0_8316,axiom,
    ( esk4540_2(X1,X2)
    | ~ esk4406_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk4333_2(X1,X2) )).

cnf(i_0_8317,axiom,
    ( ~ esk5364_2(X1,X2)
    | ~ esk5365_2(X1,X2) )).

cnf(i_0_8318,axiom,
    ( esk1468_2(X1,X2)
    | esk1482_2(X1,X2)
    | esk1481_2(X1,X2) )).

cnf(i_0_8319,axiom,
    ( esk1392_2(X1,X2)
    | ~ esk1393_2(X1,X2) )).

cnf(i_0_8320,axiom,
    ( ~ esk3809_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_8321,axiom,
    ( ~ esk3112_2(X1,X2)
    | ~ esk3111_2(X1,X2) )).

cnf(i_0_8322,axiom,
    ( ~ esk1133_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk1548_2(X1,X2)
    | esk1750_2(X1,X2) )).

cnf(i_0_8323,axiom,
    ( ~ esk3629_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_8324,axiom,
    ( ~ esk3599_2(X1,X2)
    | ~ esk3598_2(X1,X2) )).

cnf(i_0_8325,axiom,
    ( esk1072_2(X1,X2)
    | esk1071_2(X1,X2) )).

cnf(i_0_8326,axiom,
    ( esk50_2(X1,X2)
    | ~ esk1086_2(X1,X2) )).

cnf(i_0_8327,axiom,
    ( ~ esk2553_2(X1,X2)
    | esk2557_2(X1,X2)
    | ~ esk2556_2(X1,X2) )).

cnf(i_0_8328,axiom,
    ( ~ esk3439_2(X1,X2)
    | esk3422_2(X1,X2) )).

cnf(i_0_8329,axiom,
    ( ~ esk3104_2(X1,X2)
    | ~ esk3105_2(X1,X2) )).

cnf(i_0_8330,axiom,
    ( ~ esk3297_2(X1,X2)
    | esk3279_2(X1,X2) )).

cnf(i_0_8331,axiom,
    ( esk4399_2(X1,X2)
    | esk4400_2(X1,X2) )).

cnf(i_0_8332,axiom,
    ( ~ esk4029_2(X1,X2)
    | ~ esk4028_2(X1,X2) )).

cnf(i_0_8333,axiom,
    ( esk958_2(X1,X2)
    | esk962_2(X1,X2)
    | esk967_2(X1,X2)
    | esk966_2(X1,X2)
    | esk960_2(X1,X2)
    | esk964_2(X1,X2) )).

cnf(i_0_8334,axiom,
    ( esk3261_2(X1,X2)
    | ~ esk599_2(X1,X2)
    | esk5528_2(X1,X2) )).

cnf(i_0_8335,axiom,
    ( ~ esk1896_2(X1,X2)
    | esk1680_2(X1,X2) )).

cnf(i_0_8336,axiom,
    ( esk2507_2(X1,X2)
    | ~ esk965_2(X1,X2)
    | ~ esk2506_2(X1,X2) )).

cnf(i_0_8337,axiom,
    ( ~ esk4003_2(X1,X2)
    | ~ esk3203_2(X1,X2) )).

cnf(i_0_8338,axiom,
    ( ~ esk2020_2(X1,X2)
    | ~ esk2019_2(X1,X2) )).

cnf(i_0_8339,axiom,
    ( ~ esk4493_2(X1,X2)
    | esk4278_2(X1,X2) )).

cnf(i_0_8340,axiom,
    ( ~ esk1500_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_8341,axiom,
    ( esk4139_2(X1,X2)
    | esk4138_2(X1,X2)
    | esk3646_2(X1,X2)
    | esk4140_2(X1,X2) )).

cnf(i_0_8342,axiom,
    ( esk2364_2(X1,X2)
    | esk2388_2(X1,X2) )).

cnf(i_0_8343,axiom,
    ( ~ esk3673_2(X1,X2)
    | ~ esk3295_2(X1,X2) )).

cnf(i_0_8344,axiom,
    ( ~ esk220_2(X1,X2)
    | ~ esk222_2(X1,X2) )).

cnf(i_0_8345,axiom,
    ( esk4370_2(X1,X2)
    | esk4371_2(X1,X2) )).

cnf(i_0_8346,axiom,
    ( ~ esk986_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_8347,axiom,
    ( esk128_2(X1,X2)
    | ~ esk332_2(X1,X2) )).

cnf(i_0_8348,axiom,
    ( esk1571_2(X1,X2)
    | ~ esk1572_2(X1,X2) )).

cnf(i_0_8349,axiom,
    ( esk706_2(X1,X2)
    | esk2232_2(X1,X2) )).

cnf(i_0_8350,axiom,
    ( esk5208_2(X1,X2)
    | esk5209_2(X1,X2) )).

cnf(i_0_8351,axiom,
    ( esk2541_2(X1,X2)
    | ~ esk2540_2(X1,X2)
    | ~ esk2537_2(X1,X2) )).

cnf(i_0_8352,axiom,
    ( esk125_2(X1,X2)
    | ~ esk649_2(X1,X2) )).

cnf(i_0_8353,axiom,
    ( ~ esk1005_2(X1,X2)
    | esk809_2(X1,X2) )).

cnf(i_0_8354,axiom,
    ( esk2844_2(X1,X2)
    | esk129_2(X1,X2) )).

cnf(i_0_8355,axiom,
    ( esk5033_2(X1,X2)
    | esk5029_2(X1,X2) )).

cnf(i_0_8356,axiom,
    ( esk862_2(X1,X2)
    | ~ esk863_2(X1,X2) )).

cnf(i_0_8357,axiom,
    ( esk1124_2(X1,X2)
    | ~ esk1618_2(X1,X2) )).

cnf(i_0_8358,axiom,
    ( ~ esk1118_2(X1,X2)
    | ~ esk1119_2(X1,X2) )).

cnf(i_0_8359,axiom,
    ( esk87_2(X1,X2)
    | ~ esk1861_2(X1,X2) )).

cnf(i_0_8360,axiom,
    ( ~ esk4902_2(X1,X2)
    | esk4897_2(X1,X2) )).

cnf(i_0_8361,axiom,
    ( esk5380_2(X1,X2)
    | ~ esk5366_2(X1,X2)
    | ~ esk5379_2(X1,X2) )).

cnf(i_0_8362,axiom,
    ( esk5090_2(X1,X2)
    | ~ esk5131_2(X1,X2) )).

cnf(i_0_8363,axiom,
    ( ~ esk4093_2(X1,X2)
    | esk4092_2(X1,X2) )).

cnf(i_0_8364,axiom,
    ( ~ esk4269_2(X1,X2)
    | ~ esk4268_2(X1,X2) )).

cnf(i_0_8365,axiom,
    ( esk2845_2(X1,X2)
    | esk183_2(X1,X2)
    | ~ esk5498_2(X1,X2) )).

cnf(i_0_8366,axiom,
    ( ~ esk1553_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_8367,axiom,
    ( esk142_2(X1,X2)
    | ~ esk496_2(X1,X2) )).

cnf(i_0_8368,axiom,
    ( esk141_2(X1,X2)
    | ~ esk811_2(X1,X2) )).

cnf(i_0_8369,axiom,
    ( ~ esk726_2(X1,X2)
    | ~ esk2109_2(X1,X2) )).

cnf(i_0_8370,axiom,
    ( ~ esk5117_2(X1,X2)
    | esk5103_2(X1,X2) )).

cnf(i_0_8371,axiom,
    ( esk3852_2(X1,X2)
    | ~ esk3870_2(X1,X2) )).

cnf(i_0_8372,axiom,
    ( esk376_2(X1,X2)
    | esk375_2(X1,X2)
    | esk373_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_8373,axiom,
    ( ~ esk87_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1861_2(X1,X2)
    | ~ esk1650_2(X1,X2) )).

cnf(i_0_8374,axiom,
    ( ~ esk4655_2(X1,X2)
    | ~ esk4654_2(X1,X2) )).

cnf(i_0_8375,axiom,
    ( ~ esk3049_2(X1,X2)
    | ~ esk96_2(X1,X2) )).

cnf(i_0_8376,axiom,
    ( esk138_2(X1,X2)
    | ~ esk2865_2(X1,X2) )).

cnf(i_0_8377,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk3845_2(X1,X2) )).

cnf(i_0_8378,axiom,
    ( ~ esk3895_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_8379,axiom,
    ( ~ esk866_2(X1,X2)
    | ~ esk863_2(X1,X2) )).

cnf(i_0_8380,axiom,
    ( ~ esk1989_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_8381,axiom,
    ( esk3455_2(X1,X2)
    | ~ esk3912_2(X1,X2) )).

cnf(i_0_8382,axiom,
    ( ~ esk1391_2(X1,X2)
    | ~ esk1392_2(X1,X2) )).

cnf(i_0_8383,axiom,
    ( ~ esk1122_2(X1,X2)
    | ~ esk1578_2(X1,X2) )).

cnf(i_0_8384,axiom,
    ( ~ esk1075_2(X1,X2)
    | esk1240_2(X1,X2)
    | ~ esk457_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_8385,axiom,
    ( ~ esk2899_2(X1,X2)
    | ~ esk2898_2(X1,X2) )).

cnf(i_0_8386,axiom,
    ( esk2822_2(X1,X2)
    | ~ esk2835_2(X1,X2) )).

cnf(i_0_8387,axiom,
    ( esk655_2(X1,X2)
    | esk656_2(X1,X2) )).

cnf(i_0_8388,axiom,
    ( ~ esk4879_2(X1,X2)
    | ~ esk4878_2(X1,X2) )).

cnf(i_0_8389,axiom,
    ( esk4354_2(X1,X2)
    | ~ esk4355_2(X1,X2) )).

cnf(i_0_8390,axiom,
    ( esk4218_2(X1,X2)
    | esk4219_2(X1,X2) )).

cnf(i_0_8391,axiom,
    ( ~ esk588_2(X1,X2)
    | ~ esk589_2(X1,X2) )).

cnf(i_0_8392,axiom,
    ( esk2377_2(X1,X2)
    | esk484_2(X1,X2) )).

cnf(i_0_8393,axiom,
    ( ~ esk981_2(X1,X2)
    | esk676_2(X1,X2) )).

cnf(i_0_8394,axiom,
    ( ~ esk975_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_8395,axiom,
    ( esk3211_2(X1,X2)
    | ~ esk5229_2(X1,X2) )).

cnf(i_0_8396,axiom,
    ( esk4413_2(X1,X2)
    | ~ esk5578_2(X1,X2)
    | esk1760_2(X1,X2) )).

cnf(i_0_8397,axiom,
    ( ~ esk1334_2(X1,X2)
    | ~ esk1336_2(X1,X2) )).

cnf(i_0_8398,axiom,
    ( ~ esk4730_2(X1,X2)
    | ~ esk4703_2(X1,X2) )).

cnf(i_0_8399,axiom,
    ( ~ esk3943_2(X1,X2)
    | ~ esk3942_2(X1,X2) )).

cnf(i_0_8400,axiom,
    ( ~ esk5227_2(X1,X2)
    | ~ esk5226_2(X1,X2) )).

cnf(i_0_8401,axiom,
    ( esk2552_2(X1,X2)
    | ~ esk2551_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_8402,axiom,
    ( ~ esk5377_2(X1,X2)
    | esk5373_2(X1,X2) )).

cnf(i_0_8403,axiom,
    ( esk1191_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_8404,axiom,
    ( esk109_2(X1,X2)
    | esk3569_2(X1,X2) )).

cnf(i_0_8405,axiom,
    ( ~ esk543_2(X1,X2)
    | esk542_2(X1,X2) )).

cnf(i_0_8406,axiom,
    ( ~ esk1285_2(X1,X2)
    | esk1289_2(X1,X2)
    | ~ esk1288_2(X1,X2) )).

cnf(i_0_8407,axiom,
    ( esk98_2(X1,X2)
    | ~ esk2457_2(X1,X2) )).

cnf(i_0_8408,axiom,
    ( esk1245_2(X1,X2)
    | ~ esk1246_2(X1,X2) )).

cnf(i_0_8409,axiom,
    ( ~ esk1731_2(X1,X2)
    | esk1724_2(X1,X2) )).

cnf(i_0_8410,axiom,
    ( esk7_2(X1,X2)
    | ~ esk4294_2(X1,X2) )).

cnf(i_0_8411,axiom,
    ( esk14_2(X1,X2)
    | ~ esk217_2(X1,X2) )).

cnf(i_0_8412,axiom,
    ( esk143_2(X1,X2)
    | esk3467_2(X1,X2) )).

cnf(i_0_8413,axiom,
    ( ~ esk1996_2(X1,X2)
    | esk1991_2(X1,X2) )).

cnf(i_0_8414,axiom,
    ( ~ esk3559_2(X1,X2)
    | esk3558_2(X1,X2) )).

cnf(i_0_8415,axiom,
    ( ~ esk2924_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_8416,axiom,
    ( ~ esk618_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_8417,axiom,
    ( esk4989_2(X1,X2)
    | esk4988_2(X1,X2)
    | esk4986_2(X1,X2) )).

cnf(i_0_8418,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk17_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk4502_2(X1,X2) )).

cnf(i_0_8419,axiom,
    ( ~ esk207_2(X1,X2)
    | esk67_2(X1,X2) )).

cnf(i_0_8420,axiom,
    ( ~ esk4761_2(X1,X2)
    | esk4765_2(X1,X2)
    | ~ esk4764_2(X1,X2) )).

cnf(i_0_8421,axiom,
    ( ~ esk309_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | esk367_2(X1,X2) )).

cnf(i_0_8422,axiom,
    ( ~ esk1410_2(X1,X2)
    | ~ esk1411_2(X1,X2) )).

cnf(i_0_8423,axiom,
    ( esk4365_2(X1,X2)
    | ~ esk4379_2(X1,X2) )).

cnf(i_0_8424,axiom,
    ( ~ esk380_2(X1,X2)
    | ~ esk383_2(X1,X2) )).

cnf(i_0_8425,axiom,
    ( esk150_2(X1,X2)
    | esk3305_2(X1,X2) )).

cnf(i_0_8426,axiom,
    ( esk3611_2(X1,X2)
    | ~ esk3251_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_8427,axiom,
    ( ~ esk4698_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | esk4699_2(X1,X2)
    | ~ esk3695_2(X1,X2) )).

cnf(i_0_8428,axiom,
    ( ~ esk3607_2(X1,X2)
    | esk5308_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_8429,axiom,
    ( ~ esk4027_2(X1,X2)
    | ~ esk3153_2(X1,X2)
    | esk4028_2(X1,X2) )).

cnf(i_0_8430,axiom,
    ( ~ esk1834_2(X1,X2)
    | esk1625_2(X1,X2) )).

cnf(i_0_8431,axiom,
    ( ~ esk4054_2(X1,X2)
    | esk4031_2(X1,X2) )).

cnf(i_0_8432,axiom,
    ( esk4583_2(X1,X2)
    | esk4582_2(X1,X2) )).

cnf(i_0_8433,axiom,
    ( ~ esk4425_2(X1,X2)
    | ~ esk4424_2(X1,X2) )).

cnf(i_0_8434,axiom,
    ( ~ esk827_2(X1,X2)
    | esk837_2(X1,X2)
    | ~ esk836_2(X1,X2) )).

cnf(i_0_8435,axiom,
    ( ~ esk3663_2(X1,X2)
    | ~ esk3658_2(X1,X2) )).

cnf(i_0_8436,axiom,
    ( esk68_2(X1,X2)
    | ~ esk254_2(X1,X2) )).

cnf(i_0_8437,axiom,
    ( esk3081_2(X1,X2)
    | ~ esk3054_2(X1,X2)
    | ~ esk3041_2(X1,X2)
    | ~ esk3067_2(X1,X2)
    | ~ esk3080_2(X1,X2) )).

cnf(i_0_8438,axiom,
    ( ~ esk4302_2(X1,X2)
    | ~ esk4301_2(X1,X2) )).

cnf(i_0_8439,axiom,
    ( esk3136_2(X1,X2)
    | ~ esk3137_2(X1,X2) )).

cnf(i_0_8440,axiom,
    ( ~ esk3188_2(X1,X2)
    | ~ esk3189_2(X1,X2) )).

cnf(i_0_8441,axiom,
    ( esk2404_2(X1,X2)
    | ~ esk2398_2(X1,X2)
    | ~ esk2403_2(X1,X2) )).

cnf(i_0_8442,axiom,
    ( esk4_2(X1,X2)
    | ~ esk1242_2(X1,X2) )).

cnf(i_0_8443,axiom,
    ( esk3051_2(X1,X2)
    | esk3050_2(X1,X2)
    | esk3048_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_8444,axiom,
    ( esk4704_2(X1,X2)
    | esk3680_2(X1,X2)
    | esk4705_2(X1,X2) )).

cnf(i_0_8445,axiom,
    ( ~ esk2163_2(X1,X2)
    | ~ esk2162_2(X1,X2) )).

cnf(i_0_8446,axiom,
    ( esk3479_2(X1,X2)
    | ~ esk3857_2(X1,X2) )).

cnf(i_0_8447,axiom,
    ( ~ esk4194_2(X1,X2)
    | ~ esk4195_2(X1,X2) )).

cnf(i_0_8448,axiom,
    ( ~ esk3448_2(X1,X2)
    | ~ esk3203_2(X1,X2) )).

cnf(i_0_8449,axiom,
    ( ~ esk1103_2(X1,X2)
    | ~ esk988_2(X1,X2) )).

cnf(i_0_8450,axiom,
    ( ~ esk4677_2(X1,X2)
    | esk4673_2(X1,X2) )).

cnf(i_0_8451,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5271_2(X1,X2) )).

cnf(i_0_8452,axiom,
    ( esk4023_2(X1,X2)
    | ~ esk4065_2(X1,X2) )).

cnf(i_0_8453,axiom,
    ( ~ esk887_2(X1,X2)
    | esk886_2(X1,X2) )).

cnf(i_0_8454,axiom,
    ( ~ esk2554_2(X1,X2)
    | esk2555_2(X1,X2)
    | ~ esk2550_2(X1,X2) )).

cnf(i_0_8455,axiom,
    ( ~ esk2496_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_8456,axiom,
    ( ~ esk1626_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_8457,axiom,
    ( esk2999_2(X1,X2)
    | esk3000_2(X1,X2) )).

cnf(i_0_8458,axiom,
    ( ~ esk4629_2(X1,X2)
    | esk4628_2(X1,X2) )).

cnf(i_0_8459,axiom,
    ( ~ esk4495_2(X1,X2)
    | esk41_2(X1,X2) )).

cnf(i_0_8460,axiom,
    ( ~ esk529_2(X1,X2)
    | esk527_2(X1,X2) )).

cnf(i_0_8461,axiom,
    ( ~ esk2167_2(X1,X2)
    | esk2162_2(X1,X2) )).

cnf(i_0_8462,axiom,
    ( esk5253_2(X1,X2)
    | ~ esk5258_2(X1,X2) )).

cnf(i_0_8463,axiom,
    ( esk2716_2(X1,X2)
    | esk2715_2(X1,X2) )).

cnf(i_0_8464,axiom,
    ( ~ esk2491_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_8465,axiom,
    ( ~ esk3342_2(X1,X2)
    | ~ esk3341_2(X1,X2) )).

cnf(i_0_8466,axiom,
    ( esk3355_2(X1,X2)
    | ~ esk3359_2(X1,X2) )).

cnf(i_0_8467,axiom,
    ( ~ esk2971_2(X1,X2)
    | ~ esk171_2(X1,X2) )).

cnf(i_0_8468,axiom,
    ( esk1648_2(X1,X2)
    | esk1647_2(X1,X2)
    | esk1646_2(X1,X2)
    | esk1645_2(X1,X2)
    | esk1644_2(X1,X2) )).

cnf(i_0_8469,axiom,
    ( esk103_2(X1,X2)
    | ~ esk4988_2(X1,X2) )).

cnf(i_0_8470,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_8471,axiom,
    ( ~ esk2504_2(X1,X2)
    | esk2502_2(X1,X2) )).

cnf(i_0_8472,axiom,
    ( ~ esk587_2(X1,X2)
    | ~ esk588_2(X1,X2) )).

cnf(i_0_8473,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk1110_2(X1,X2) )).

cnf(i_0_8474,axiom,
    ( esk121_2(X1,X2)
    | ~ esk1908_2(X1,X2) )).

cnf(i_0_8475,axiom,
    ( esk4964_2(X1,X2)
    | ~ esk4970_2(X1,X2) )).

cnf(i_0_8476,axiom,
    ( esk4912_2(X1,X2)
    | esk4928_2(X1,X2) )).

cnf(i_0_8477,axiom,
    ( esk165_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_8478,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4253_2(X1,X2) )).

cnf(i_0_8479,axiom,
    ( ~ esk3870_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_8480,axiom,
    ( esk145_2(X1,X2)
    | ~ esk5018_2(X1,X2) )).

cnf(i_0_8481,axiom,
    ( esk947_2(X1,X2)
    | ~ esk943_2(X1,X2)
    | ~ esk946_2(X1,X2) )).

cnf(i_0_8482,axiom,
    ( esk144_2(X1,X2)
    | ~ esk3137_2(X1,X2) )).

cnf(i_0_8483,axiom,
    ( ~ esk5009_2(X1,X2)
    | ~ esk5010_2(X1,X2) )).

cnf(i_0_8484,axiom,
    ( ~ esk5422_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_8485,axiom,
    ( ~ esk5356_2(X1,X2)
    | esk5351_2(X1,X2) )).

cnf(i_0_8486,axiom,
    ( esk5333_2(X1,X2)
    | ~ esk5334_2(X1,X2) )).

cnf(i_0_8487,axiom,
    ( ~ esk1694_2(X1,X2)
    | ~ esk1693_2(X1,X2) )).

cnf(i_0_8488,axiom,
    ( ~ esk4905_2(X1,X2)
    | ~ esk4904_2(X1,X2) )).

cnf(i_0_8489,axiom,
    ( ~ esk2389_2(X1,X2)
    | esk2388_2(X1,X2) )).

cnf(i_0_8490,axiom,
    ( ~ esk3125_2(X1,X2)
    | ~ esk3124_2(X1,X2) )).

cnf(i_0_8491,axiom,
    ( esk4219_2(X1,X2)
    | ~ esk4220_2(X1,X2) )).

cnf(i_0_8492,axiom,
    ( esk5232_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | ~ esk3616_2(X1,X2) )).

cnf(i_0_8493,axiom,
    ( esk3414_2(X1,X2)
    | esk4115_2(X1,X2) )).

cnf(i_0_8494,axiom,
    ( ~ esk288_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_8495,axiom,
    ( ~ esk3585_2(X1,X2)
    | ~ esk3574_2(X1,X2)
    | esk3586_2(X1,X2)
    | ~ esk3582_2(X1,X2) )).

cnf(i_0_8496,axiom,
    ( ~ esk3000_2(X1,X2)
    | ~ esk2999_2(X1,X2) )).

cnf(i_0_8497,axiom,
    ( esk597_2(X1,X2)
    | ~ esk598_2(X1,X2) )).

cnf(i_0_8498,axiom,
    ( esk4819_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_8499,axiom,
    ( esk4454_2(X1,X2)
    | esk4453_2(X1,X2)
    | esk4451_2(X1,X2)
    | esk4452_2(X1,X2) )).

cnf(i_0_8500,axiom,
    ( esk5070_2(X1,X2)
    | ~ esk5084_2(X1,X2) )).

cnf(i_0_8501,axiom,
    ( esk1278_2(X1,X2)
    | ~ esk1279_2(X1,X2) )).

cnf(i_0_8502,axiom,
    ( esk178_2(X1,X2)
    | ~ esk5435_2(X1,X2) )).

cnf(i_0_8503,axiom,
    ( ~ esk780_2(X1,X2)
    | ~ esk783_2(X1,X2)
    | esk784_2(X1,X2) )).

cnf(i_0_8504,axiom,
    ( esk30_2(X1,X2)
    | ~ esk2917_2(X1,X2) )).

cnf(i_0_8505,axiom,
    ( esk3546_2(X1,X2)
    | ~ esk3547_2(X1,X2) )).

cnf(i_0_8506,axiom,
    ( esk445_2(X1,X2)
    | esk444_2(X1,X2) )).

cnf(i_0_8507,axiom,
    ( esk5314_2(X1,X2)
    | esk5313_2(X1,X2) )).

cnf(i_0_8508,axiom,
    ( esk3152_2(X1,X2)
    | esk3151_2(X1,X2)
    | esk3150_2(X1,X2) )).

cnf(i_0_8509,axiom,
    ( ~ esk4587_2(X1,X2)
    | esk4591_2(X1,X2)
    | ~ esk4590_2(X1,X2) )).

cnf(i_0_8510,axiom,
    ( ~ esk1512_2(X1,X2)
    | ~ esk1513_2(X1,X2) )).

cnf(i_0_8511,axiom,
    ( ~ esk5399_2(X1,X2)
    | ~ esk5400_2(X1,X2) )).

cnf(i_0_8512,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1585_2(X1,X2) )).

cnf(i_0_8513,axiom,
    ( ~ esk2251_2(X1,X2)
    | ~ esk2252_2(X1,X2) )).

cnf(i_0_8514,axiom,
    ( ~ esk536_2(X1,X2)
    | esk499_2(X1,X2) )).

cnf(i_0_8515,axiom,
    ( ~ esk1706_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_8516,axiom,
    ( esk5398_2(X1,X2)
    | ~ esk5399_2(X1,X2) )).

cnf(i_0_8517,axiom,
    ( esk1884_2(X1,X2)
    | esk1882_2(X1,X2)
    | esk1883_2(X1,X2)
    | esk1881_2(X1,X2)
    | esk1880_2(X1,X2) )).

cnf(i_0_8518,axiom,
    ( ~ esk1048_2(X1,X2)
    | ~ esk1049_2(X1,X2) )).

cnf(i_0_8519,axiom,
    ( esk939_2(X1,X2)
    | ~ esk938_2(X1,X2)
    | ~ esk934_2(X1,X2) )).

cnf(i_0_8520,axiom,
    ( ~ esk2317_2(X1,X2)
    | ~ esk2318_2(X1,X2) )).

cnf(i_0_8521,axiom,
    ( esk5288_2(X1,X2)
    | ~ esk5292_2(X1,X2) )).

cnf(i_0_8522,axiom,
    ( esk3093_2(X1,X2)
    | esk3094_2(X1,X2) )).

cnf(i_0_8523,axiom,
    ( esk2423_2(X1,X2)
    | ~ esk2429_2(X1,X2) )).

cnf(i_0_8524,axiom,
    ( esk637_2(X1,X2)
    | esk636_2(X1,X2)
    | esk638_2(X1,X2) )).

cnf(i_0_8525,axiom,
    ( ~ esk2033_2(X1,X2)
    | ~ esk2034_2(X1,X2) )).

cnf(i_0_8526,axiom,
    ( ~ esk261_2(X1,X2)
    | ~ esk5524_2(X1,X2)
    | ~ esk2923_2(X1,X2) )).

cnf(i_0_8527,axiom,
    ( ~ esk5503_2(X1,X2)
    | esk188_2(X1,X2)
    | esk2850_2(X1,X2) )).

cnf(i_0_8528,axiom,
    ( ~ esk1916_2(X1,X2)
    | esk1915_2(X1,X2) )).

cnf(i_0_8529,axiom,
    ( esk640_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_8530,axiom,
    ( esk405_2(X1,X2)
    | ~ esk419_2(X1,X2) )).

cnf(i_0_8531,axiom,
    ( esk688_2(X1,X2)
    | ~ esk1157_2(X1,X2) )).

cnf(i_0_8532,axiom,
    ( esk5358_2(X1,X2)
    | ~ esk5354_2(X1,X2)
    | ~ esk5357_2(X1,X2) )).

cnf(i_0_8533,axiom,
    ( esk5601_2(X1,X2)
    | esk2786_2(X1,X2)
    | ~ esk5439_2(X1,X2) )).

cnf(i_0_8534,axiom,
    ( esk4926_2(X1,X2)
    | esk4927_2(X1,X2) )).

cnf(i_0_8535,axiom,
    ( esk2901_2(X1,X2)
    | ~ esk2927_2(X1,X2) )).

cnf(i_0_8536,axiom,
    ( ~ esk2529_2(X1,X2)
    | ~ esk2532_2(X1,X2)
    | esk2533_2(X1,X2) )).

cnf(i_0_8537,axiom,
    ( esk4835_2(X1,X2)
    | ~ esk4836_2(X1,X2) )).

cnf(i_0_8538,axiom,
    ( esk2590_2(X1,X2)
    | ~ esk2591_2(X1,X2) )).

cnf(i_0_8539,axiom,
    ( esk3861_2(X1,X2)
    | ~ esk3862_2(X1,X2) )).

cnf(i_0_8540,axiom,
    ( ~ esk4921_2(X1,X2)
    | ~ esk4922_2(X1,X2) )).

cnf(i_0_8541,axiom,
    ( esk3928_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_8542,axiom,
    ( esk1787_2(X1,X2)
    | esk1786_2(X1,X2)
    | esk1789_2(X1,X2)
    | esk1788_2(X1,X2) )).

cnf(i_0_8543,axiom,
    ( ~ esk4842_2(X1,X2)
    | ~ esk4841_2(X1,X2) )).

cnf(i_0_8544,axiom,
    ( esk1104_2(X1,X2)
    | ~ esk1120_2(X1,X2) )).

cnf(i_0_8545,axiom,
    ( ~ esk4046_2(X1,X2)
    | ~ esk4047_2(X1,X2) )).

cnf(i_0_8546,axiom,
    ( ~ esk4439_2(X1,X2)
    | ~ esk4442_2(X1,X2) )).

cnf(i_0_8547,axiom,
    ( ~ esk206_2(X1,X2)
    | esk14_2(X1,X2) )).

cnf(i_0_8548,axiom,
    ( esk1080_2(X1,X2)
    | esk793_2(X1,X2) )).

cnf(i_0_8549,axiom,
    ( ~ esk4423_2(X1,X2)
    | esk4422_2(X1,X2) )).

cnf(i_0_8550,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1583_2(X1,X2) )).

cnf(i_0_8551,axiom,
    ( ~ esk3609_2(X1,X2)
    | ~ esk3602_2(X1,X2) )).

cnf(i_0_8552,axiom,
    ( esk1245_2(X1,X2)
    | esk1244_2(X1,X2) )).

cnf(i_0_8553,axiom,
    ( esk1680_2(X1,X2)
    | ~ esk1887_2(X1,X2) )).

cnf(i_0_8554,axiom,
    ( ~ esk1417_2(X1,X2)
    | esk1413_2(X1,X2) )).

cnf(i_0_8555,axiom,
    ( esk123_2(X1,X2)
    | ~ esk2012_2(X1,X2) )).

cnf(i_0_8556,axiom,
    ( ~ esk5449_2(X1,X2)
    | ~ esk5450_2(X1,X2) )).

cnf(i_0_8557,axiom,
    ( ~ esk2365_2(X1,X2)
    | ~ esk2368_2(X1,X2) )).

cnf(i_0_8558,axiom,
    ( ~ esk5007_2(X1,X2)
    | ~ esk5006_2(X1,X2) )).

cnf(i_0_8559,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1236_2(X1,X2) )).

cnf(i_0_8560,axiom,
    ( esk3041_2(X1,X2)
    | ~ esk3081_2(X1,X2) )).

cnf(i_0_8561,axiom,
    ( ~ esk2944_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_8562,axiom,
    ( ~ esk1725_2(X1,X2)
    | esk1713_2(X1,X2) )).

cnf(i_0_8563,axiom,
    ( esk3650_2(X1,X2)
    | ~ esk4110_2(X1,X2) )).

cnf(i_0_8564,axiom,
    ( ~ esk1862_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_8565,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk4582_2(X1,X2) )).

cnf(i_0_8566,axiom,
    ( ~ esk4976_2(X1,X2)
    | esk4977_2(X1,X2)
    | ~ esk4972_2(X1,X2) )).

cnf(i_0_8567,axiom,
    ( esk2971_2(X1,X2)
    | esk171_2(X1,X2) )).

cnf(i_0_8568,axiom,
    ( ~ esk2341_2(X1,X2)
    | ~ esk2342_2(X1,X2) )).

cnf(i_0_8569,axiom,
    ( ~ esk3368_2(X1,X2)
    | ~ esk4885_2(X1,X2) )).

cnf(i_0_8570,axiom,
    ( esk3026_2(X1,X2)
    | esk4620_2(X1,X2) )).

cnf(i_0_8571,axiom,
    ( ~ esk2435_2(X1,X2)
    | ~ esk2434_2(X1,X2) )).

cnf(i_0_8572,axiom,
    ( ~ esk1192_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | esk2813_2(X1,X2)
    | ~ esk2797_2(X1,X2) )).

cnf(i_0_8573,axiom,
    ( esk4088_2(X1,X2)
    | esk4089_2(X1,X2) )).

cnf(i_0_8574,axiom,
    ( ~ esk4926_2(X1,X2)
    | esk4925_2(X1,X2) )).

cnf(i_0_8575,axiom,
    ( esk1801_2(X1,X2)
    | esk1802_2(X1,X2) )).

cnf(i_0_8576,axiom,
    ( esk105_2(X1,X2)
    | esk3128_2(X1,X2) )).

cnf(i_0_8577,axiom,
    ( esk4533_2(X1,X2)
    | esk4534_2(X1,X2)
    | esk4535_2(X1,X2)
    | esk4536_2(X1,X2)
    | esk4537_2(X1,X2) )).

cnf(i_0_8578,axiom,
    ( ~ esk1732_2(X1,X2)
    | esk1734_2(X1,X2)
    | ~ esk1122_2(X1,X2) )).

cnf(i_0_8579,axiom,
    ( ~ esk1471_2(X1,X2)
    | ~ esk1470_2(X1,X2) )).

cnf(i_0_8580,axiom,
    ( ~ esk3074_2(X1,X2)
    | ~ esk3077_2(X1,X2) )).

cnf(i_0_8581,axiom,
    ( esk1541_2(X1,X2)
    | ~ esk1536_2(X1,X2)
    | ~ esk1540_2(X1,X2) )).

cnf(i_0_8582,axiom,
    ( ~ esk1929_2(X1,X2)
    | ~ esk147_2(X1,X2) )).

cnf(i_0_8583,axiom,
    ( ~ esk3436_2(X1,X2)
    | esk3437_2(X1,X2)
    | ~ esk3433_2(X1,X2) )).

cnf(i_0_8584,axiom,
    ( ~ esk2127_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_8585,axiom,
    ( esk1390_2(X1,X2)
    | esk1389_2(X1,X2)
    | esk1388_2(X1,X2) )).

cnf(i_0_8586,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2420_2(X1,X2) )).

cnf(i_0_8587,axiom,
    ( esk177_2(X1,X2)
    | ~ esk2816_2(X1,X2) )).

cnf(i_0_8588,axiom,
    ( ~ esk2209_2(X1,X2)
    | ~ esk2210_2(X1,X2) )).

cnf(i_0_8589,axiom,
    ( esk2369_2(X1,X2)
    | esk2370_2(X1,X2) )).

cnf(i_0_8590,axiom,
    ( esk3797_2(X1,X2)
    | ~ esk3798_2(X1,X2) )).

cnf(i_0_8591,axiom,
    ( esk1664_2(X1,X2)
    | esk1663_2(X1,X2) )).

cnf(i_0_8592,axiom,
    ( ~ esk672_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_8593,axiom,
    ( esk2228_2(X1,X2)
    | esk2229_2(X1,X2) )).

cnf(i_0_8594,axiom,
    ( ~ esk148_2(X1,X2)
    | esk4563_2(X1,X2)
    | ~ esk4562_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_8595,axiom,
    ( esk3198_2(X1,X2)
    | ~ esk3622_2(X1,X2) )).

cnf(i_0_8596,axiom,
    ( ~ esk797_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_8597,axiom,
    ( ~ esk5252_2(X1,X2)
    | esk5248_2(X1,X2) )).

cnf(i_0_8598,axiom,
    ( ~ esk2755_2(X1,X2)
    | ~ esk2754_2(X1,X2) )).

cnf(i_0_8599,axiom,
    ( ~ esk5098_2(X1,X2)
    | ~ esk5101_2(X1,X2) )).

cnf(i_0_8600,axiom,
    ( ~ esk2428_2(X1,X2)
    | esk2429_2(X1,X2)
    | ~ esk2423_2(X1,X2) )).

cnf(i_0_8601,axiom,
    ( ~ esk3163_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_8602,axiom,
    ( esk597_2(X1,X2)
    | esk596_2(X1,X2) )).

cnf(i_0_8603,axiom,
    ( ~ esk293_2(X1,X2)
    | esk292_2(X1,X2) )).

cnf(i_0_8604,axiom,
    ( esk4054_2(X1,X2)
    | esk4056_2(X1,X2)
    | esk4057_2(X1,X2) )).

cnf(i_0_8605,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4541_2(X1,X2) )).

cnf(i_0_8606,axiom,
    ( esk802_2(X1,X2)
    | ~ esk803_2(X1,X2) )).

cnf(i_0_8607,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk2953_2(X1,X2) )).

cnf(i_0_8608,axiom,
    ( esk937_2(X1,X2)
    | esk938_2(X1,X2)
    | esk936_2(X1,X2) )).

cnf(i_0_8609,axiom,
    ( esk3480_2(X1,X2)
    | ~ esk4077_2(X1,X2) )).

cnf(i_0_8610,axiom,
    ( ~ esk4260_2(X1,X2)
    | ~ esk4263_2(X1,X2) )).

cnf(i_0_8611,axiom,
    ( ~ esk1126_2(X1,X2)
    | esk1055_2(X1,X2) )).

cnf(i_0_8612,axiom,
    ( esk4387_2(X1,X2)
    | esk4388_2(X1,X2)
    | esk4386_2(X1,X2) )).

cnf(i_0_8613,axiom,
    ( ~ esk2036_2(X1,X2)
    | ~ esk2035_2(X1,X2) )).

cnf(i_0_8614,axiom,
    ( ~ esk2100_2(X1,X2)
    | esk2104_2(X1,X2)
    | ~ esk2103_2(X1,X2) )).

cnf(i_0_8615,axiom,
    ( ~ esk3649_2(X1,X2)
    | esk3648_2(X1,X2) )).

cnf(i_0_8616,axiom,
    ( ~ esk880_2(X1,X2)
    | esk3542_2(X1,X2)
    | esk5532_2(X1,X2) )).

cnf(i_0_8617,axiom,
    ( ~ esk4478_2(X1,X2)
    | esk42_2(X1,X2) )).

cnf(i_0_8618,axiom,
    ( esk1555_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_8619,axiom,
    ( esk1224_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | ~ esk793_2(X1,X2)
    | ~ esk817_2(X1,X2) )).

cnf(i_0_8620,axiom,
    ( esk3427_2(X1,X2)
    | esk3428_2(X1,X2) )).

cnf(i_0_8621,axiom,
    ( esk3259_2(X1,X2)
    | ~ esk3619_2(X1,X2) )).

cnf(i_0_8622,axiom,
    ( ~ esk626_2(X1,X2)
    | esk625_2(X1,X2) )).

cnf(i_0_8623,axiom,
    ( esk3422_2(X1,X2)
    | esk3421_2(X1,X2) )).

cnf(i_0_8624,axiom,
    ( esk103_2(X1,X2)
    | ~ esk1922_2(X1,X2) )).

cnf(i_0_8625,axiom,
    ( ~ esk3140_2(X1,X2)
    | esk3146_2(X1,X2)
    | ~ esk3145_2(X1,X2) )).

cnf(i_0_8626,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_8627,axiom,
    ( esk211_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_8628,axiom,
    ( ~ esk4838_2(X1,X2)
    | esk4834_2(X1,X2) )).

cnf(i_0_8629,axiom,
    ( esk4652_2(X1,X2)
    | esk4651_2(X1,X2) )).

cnf(i_0_8630,axiom,
    ( esk311_2(X1,X2)
    | ~ esk347_2(X1,X2) )).

cnf(i_0_8631,axiom,
    ( ~ esk2912_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_8632,axiom,
    ( ~ esk4893_2(X1,X2)
    | ~ esk3370_2(X1,X2) )).

cnf(i_0_8633,axiom,
    ( ~ esk4627_2(X1,X2)
    | ~ esk4630_2(X1,X2) )).

cnf(i_0_8634,axiom,
    ( esk788_2(X1,X2)
    | esk787_2(X1,X2) )).

cnf(i_0_8635,axiom,
    ( ~ esk2909_2(X1,X2)
    | esk2908_2(X1,X2) )).

cnf(i_0_8636,axiom,
    ( esk309_2(X1,X2)
    | ~ esk446_2(X1,X2) )).

cnf(i_0_8637,axiom,
    ( esk4273_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | ~ esk26_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_8638,axiom,
    ( esk1944_2(X1,X2)
    | esk1945_2(X1,X2) )).

cnf(i_0_8639,axiom,
    ( esk1512_2(X1,X2)
    | esk1513_2(X1,X2) )).

cnf(i_0_8640,axiom,
    ( ~ esk1488_2(X1,X2)
    | ~ esk1487_2(X1,X2) )).

cnf(i_0_8641,axiom,
    ( esk2262_2(X1,X2)
    | esk2261_2(X1,X2) )).

cnf(i_0_8642,axiom,
    ( esk111_2(X1,X2)
    | ~ esk5052_2(X1,X2) )).

cnf(i_0_8643,axiom,
    ( esk5400_2(X1,X2)
    | esk5399_2(X1,X2) )).

cnf(i_0_8644,axiom,
    ( esk3025_2(X1,X2)
    | esk3026_2(X1,X2) )).

cnf(i_0_8645,axiom,
    ( esk2185_2(X1,X2)
    | esk2186_2(X1,X2) )).

cnf(i_0_8646,axiom,
    ( ~ esk4984_2(X1,X2)
    | ~ esk4699_2(X1,X2) )).

cnf(i_0_8647,axiom,
    ( esk104_2(X1,X2)
    | ~ esk2414_2(X1,X2) )).

cnf(i_0_8648,axiom,
    ( ~ esk2415_2(X1,X2)
    | ~ esk2412_2(X1,X2) )).

cnf(i_0_8649,axiom,
    ( esk2376_2(X1,X2)
    | ~ esk2378_2(X1,X2) )).

cnf(i_0_8650,axiom,
    ( ~ esk5016_2(X1,X2)
    | ~ esk5017_2(X1,X2) )).

cnf(i_0_8651,axiom,
    ( esk1412_2(X1,X2)
    | esk1413_2(X1,X2) )).

cnf(i_0_8652,axiom,
    ( ~ esk2034_2(X1,X2)
    | esk2035_2(X1,X2)
    | ~ esk2030_2(X1,X2) )).

cnf(i_0_8653,axiom,
    ( ~ esk1991_2(X1,X2)
    | esk1990_2(X1,X2) )).

cnf(i_0_8654,axiom,
    ( esk517_2(X1,X2)
    | ~ esk516_2(X1,X2)
    | ~ esk515_2(X1,X2) )).

cnf(i_0_8655,axiom,
    ( ~ esk817_2(X1,X2)
    | ~ esk1008_2(X1,X2)
    | esk1241_2(X1,X2) )).

cnf(i_0_8656,axiom,
    ( ~ esk5185_2(X1,X2)
    | ~ esk5182_2(X1,X2)
    | esk5186_2(X1,X2) )).

cnf(i_0_8657,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk2989_2(X1,X2) )).

cnf(i_0_8658,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk3149_2(X1,X2)
    | esk3186_2(X1,X2) )).

cnf(i_0_8659,axiom,
    ( ~ esk2880_2(X1,X2)
    | ~ esk2881_2(X1,X2) )).

cnf(i_0_8660,axiom,
    ( ~ esk2366_2(X1,X2)
    | ~ esk145_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | esk2367_2(X1,X2) )).

cnf(i_0_8661,axiom,
    ( esk2050_2(X1,X2)
    | esk2077_2(X1,X2) )).

cnf(i_0_8662,axiom,
    ( esk3018_2(X1,X2)
    | ~ esk3017_2(X1,X2)
    | ~ esk3012_2(X1,X2) )).

cnf(i_0_8663,axiom,
    ( ~ esk4291_2(X1,X2)
    | ~ esk4295_2(X1,X2) )).

cnf(i_0_8664,axiom,
    ( esk2520_2(X1,X2)
    | esk2521_2(X1,X2) )).

cnf(i_0_8665,axiom,
    ( ~ esk822_2(X1,X2)
    | esk826_2(X1,X2)
    | ~ esk825_2(X1,X2) )).

cnf(i_0_8666,axiom,
    ( ~ esk3081_2(X1,X2)
    | esk3067_2(X1,X2) )).

cnf(i_0_8667,axiom,
    ( esk2698_2(X1,X2)
    | esk2699_2(X1,X2) )).

cnf(i_0_8668,axiom,
    ( ~ esk1049_2(X1,X2)
    | ~ esk1046_2(X1,X2)
    | esk1050_2(X1,X2) )).

cnf(i_0_8669,axiom,
    ( esk351_2(X1,X2)
    | esk353_2(X1,X2)
    | esk354_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_8670,axiom,
    ( ~ esk621_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk973_2(X1,X2) )).

cnf(i_0_8671,axiom,
    ( ~ esk3238_2(X1,X2)
    | ~ esk3236_2(X1,X2) )).

cnf(i_0_8672,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2501_2(X1,X2) )).

cnf(i_0_8673,axiom,
    ( esk491_2(X1,X2)
    | ~ esk1375_2(X1,X2) )).

cnf(i_0_8674,axiom,
    ( esk5214_2(X1,X2)
    | ~ esk5218_2(X1,X2) )).

cnf(i_0_8675,axiom,
    ( esk3131_2(X1,X2)
    | ~ esk3132_2(X1,X2) )).

cnf(i_0_8676,axiom,
    ( ~ esk2227_2(X1,X2)
    | esk2223_2(X1,X2) )).

cnf(i_0_8677,axiom,
    ( ~ esk5048_2(X1,X2)
    | esk5047_2(X1,X2) )).

cnf(i_0_8678,axiom,
    ( ~ esk806_2(X1,X2)
    | esk805_2(X1,X2) )).

cnf(i_0_8679,axiom,
    ( esk3628_2(X1,X2)
    | ~ esk3629_2(X1,X2) )).

cnf(i_0_8680,axiom,
    ( ~ esk4119_2(X1,X2)
    | ~ esk4118_2(X1,X2) )).

cnf(i_0_8681,axiom,
    ( ~ esk951_2(X1,X2)
    | ~ esk956_2(X1,X2) )).

cnf(i_0_8682,axiom,
    ( esk3342_2(X1,X2)
    | ~ esk3680_2(X1,X2) )).

cnf(i_0_8683,axiom,
    ( ~ esk962_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_8684,axiom,
    ( esk3165_2(X1,X2)
    | ~ esk3648_2(X1,X2) )).

cnf(i_0_8685,axiom,
    ( esk152_2(X1,X2)
    | ~ esk1027_2(X1,X2) )).

cnf(i_0_8686,axiom,
    ( esk2418_2(X1,X2)
    | esk2420_2(X1,X2)
    | esk2421_2(X1,X2) )).

cnf(i_0_8687,axiom,
    ( esk4185_2(X1,X2)
    | esk4184_2(X1,X2) )).

cnf(i_0_8688,axiom,
    ( esk340_2(X1,X2)
    | esk339_2(X1,X2) )).

cnf(i_0_8689,axiom,
    ( esk139_2(X1,X2)
    | ~ esk5094_2(X1,X2) )).

cnf(i_0_8690,axiom,
    ( ~ esk2410_2(X1,X2)
    | ~ esk2409_2(X1,X2) )).

cnf(i_0_8691,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk1075_2(X1,X2) )).

cnf(i_0_8692,axiom,
    ( ~ esk2020_2(X1,X2)
    | esk2024_2(X1,X2)
    | ~ esk2023_2(X1,X2) )).

cnf(i_0_8693,axiom,
    ( ~ esk3880_2(X1,X2)
    | esk3881_2(X1,X2)
    | ~ esk3447_2(X1,X2) )).

cnf(i_0_8694,axiom,
    ( esk1410_2(X1,X2)
    | esk1409_2(X1,X2) )).

cnf(i_0_8695,axiom,
    ( ~ esk3551_2(X1,X2)
    | ~ esk3550_2(X1,X2) )).

cnf(i_0_8696,axiom,
    ( ~ esk242_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_8697,axiom,
    ( ~ esk5168_2(X1,X2)
    | ~ esk5169_2(X1,X2) )).

cnf(i_0_8698,axiom,
    ( ~ esk5009_2(X1,X2)
    | esk5003_2(X1,X2) )).

cnf(i_0_8699,axiom,
    ( esk3755_2(X1,X2)
    | esk3756_2(X1,X2)
    | esk3641_2(X1,X2) )).

cnf(i_0_8700,axiom,
    ( ~ esk373_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_8701,axiom,
    ( esk1455_2(X1,X2)
    | esk1456_2(X1,X2) )).

cnf(i_0_8702,axiom,
    ( ~ esk2759_2(X1,X2)
    | ~ esk2760_2(X1,X2) )).

cnf(i_0_8703,axiom,
    ( ~ esk796_2(X1,X2)
    | ~ esk795_2(X1,X2) )).

cnf(i_0_8704,axiom,
    ( ~ esk3057_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_8705,axiom,
    ( ~ esk5265_2(X1,X2)
    | ~ esk3211_2(X1,X2) )).

cnf(i_0_8706,axiom,
    ( ~ esk3445_2(X1,X2)
    | ~ esk3444_2(X1,X2) )).

cnf(i_0_8707,axiom,
    ( esk5456_2(X1,X2)
    | esk5455_2(X1,X2) )).

cnf(i_0_8708,axiom,
    ( esk708_2(X1,X2)
    | ~ esk1019_2(X1,X2) )).

cnf(i_0_8709,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk4333_2(X1,X2)
    | esk4549_2(X1,X2)
    | ~ esk86_2(X1,X2) )).

cnf(i_0_8710,axiom,
    ( ~ esk2730_2(X1,X2)
    | esk2725_2(X1,X2) )).

cnf(i_0_8711,axiom,
    ( ~ esk4732_2(X1,X2)
    | ~ esk4729_2(X1,X2)
    | esk4733_2(X1,X2) )).

cnf(i_0_8712,axiom,
    ( ~ esk2843_2(X1,X2)
    | esk181_2(X1,X2)
    | esk5496_2(X1,X2) )).

cnf(i_0_8713,axiom,
    ( ~ esk640_2(X1,X2)
    | ~ esk150_2(X1,X2)
    | esk641_2(X1,X2) )).

cnf(i_0_8714,axiom,
    ( ~ esk1647_2(X1,X2)
    | esk27_2(X1,X2) )).

cnf(i_0_8715,axiom,
    ( esk3069_2(X1,X2)
    | ~ esk3070_2(X1,X2) )).

cnf(i_0_8716,axiom,
    ( ~ esk4303_2(X1,X2)
    | ~ esk4304_2(X1,X2)
    | ~ esk4412_2(X1,X2)
    | esk4505_2(X1,X2) )).

cnf(i_0_8717,axiom,
    ( ~ esk3113_2(X1,X2)
    | ~ esk3112_2(X1,X2) )).

cnf(i_0_8718,axiom,
    ( esk3075_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_8719,axiom,
    ( ~ esk2823_2(X1,X2)
    | esk2822_2(X1,X2) )).

cnf(i_0_8720,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4525_2(X1,X2) )).

cnf(i_0_8721,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk3075_2(X1,X2) )).

cnf(i_0_8722,axiom,
    ( ~ esk2239_2(X1,X2)
    | ~ esk2238_2(X1,X2) )).

cnf(i_0_8723,axiom,
    ( esk3184_2(X1,X2)
    | ~ esk3180_2(X1,X2)
    | ~ esk3183_2(X1,X2) )).

cnf(i_0_8724,axiom,
    ( ~ esk361_2(X1,X2)
    | esk360_2(X1,X2) )).

cnf(i_0_8725,axiom,
    ( esk621_2(X1,X2)
    | ~ esk973_2(X1,X2) )).

cnf(i_0_8726,axiom,
    ( esk1303_2(X1,X2)
    | ~ esk680_2(X1,X2)
    | ~ esk1302_2(X1,X2) )).

cnf(i_0_8727,axiom,
    ( esk2076_2(X1,X2)
    | ~ esk2080_2(X1,X2) )).

cnf(i_0_8728,axiom,
    ( esk3562_2(X1,X2)
    | ~ esk3561_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_8729,axiom,
    ( ~ esk5087_2(X1,X2)
    | esk5086_2(X1,X2) )).

cnf(i_0_8730,axiom,
    ( ~ esk3122_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_8731,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk1581_2(X1,X2) )).

cnf(i_0_8732,axiom,
    ( esk3146_2(X1,X2)
    | esk3147_2(X1,X2) )).

cnf(i_0_8733,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk4455_2(X1,X2)
    | ~ esk4304_2(X1,X2)
    | esk4506_2(X1,X2) )).

cnf(i_0_8734,axiom,
    ( ~ esk1673_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_8735,axiom,
    ( ~ esk4009_2(X1,X2)
    | esk3227_2(X1,X2) )).

cnf(i_0_8736,axiom,
    ( ~ esk1145_2(X1,X2)
    | esk1144_2(X1,X2) )).

cnf(i_0_8737,axiom,
    ( esk3342_2(X1,X2)
    | esk3952_2(X1,X2) )).

cnf(i_0_8738,axiom,
    ( ~ esk4256_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_8739,axiom,
    ( esk2736_2(X1,X2)
    | ~ esk2740_2(X1,X2) )).

cnf(i_0_8740,axiom,
    ( esk997_2(X1,X2)
    | ~ esk1486_2(X1,X2) )).

cnf(i_0_8741,axiom,
    ( esk125_2(X1,X2)
    | ~ esk1308_2(X1,X2) )).

cnf(i_0_8742,axiom,
    ( esk1299_2(X1,X2)
    | ~ esk1300_2(X1,X2) )).

cnf(i_0_8743,axiom,
    ( ~ esk209_2(X1,X2)
    | ~ esk206_2(X1,X2) )).

cnf(i_0_8744,axiom,
    ( esk4870_2(X1,X2)
    | ~ esk4865_2(X1,X2)
    | ~ esk4869_2(X1,X2) )).

cnf(i_0_8745,axiom,
    ( esk1363_2(X1,X2)
    | ~ esk1364_2(X1,X2) )).

cnf(i_0_8746,axiom,
    ( ~ esk1851_2(X1,X2)
    | ~ esk1850_2(X1,X2) )).

cnf(i_0_8747,axiom,
    ( ~ esk574_2(X1,X2)
    | esk537_2(X1,X2) )).

cnf(i_0_8748,axiom,
    ( esk1514_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_8749,axiom,
    ( esk4637_2(X1,X2)
    | esk4638_2(X1,X2) )).

cnf(i_0_8750,axiom,
    ( esk1044_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_8751,axiom,
    ( ~ esk5238_2(X1,X2)
    | ~ esk5237_2(X1,X2) )).

cnf(i_0_8752,axiom,
    ( esk1624_2(X1,X2)
    | ~ esk1840_2(X1,X2) )).

cnf(i_0_8753,axiom,
    ( esk3091_2(X1,X2)
    | esk137_2(X1,X2)
    | esk3090_2(X1,X2)
    | esk3088_2(X1,X2) )).

cnf(i_0_8754,axiom,
    ( esk4024_2(X1,X2)
    | ~ esk4025_2(X1,X2) )).

cnf(i_0_8755,axiom,
    ( esk1451_2(X1,X2)
    | esk1452_2(X1,X2) )).

cnf(i_0_8756,axiom,
    ( esk4740_2(X1,X2)
    | ~ esk4741_2(X1,X2) )).

cnf(i_0_8757,axiom,
    ( ~ esk1406_2(X1,X2)
    | esk1402_2(X1,X2) )).

cnf(i_0_8758,axiom,
    ( ~ esk3182_2(X1,X2)
    | ~ esk3183_2(X1,X2) )).

cnf(i_0_8759,axiom,
    ( esk2878_2(X1,X2)
    | ~ esk2880_2(X1,X2) )).

cnf(i_0_8760,axiom,
    ( ~ esk339_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_8761,axiom,
    ( ~ esk2574_2(X1,X2)
    | ~ esk2570_2(X1,X2) )).

cnf(i_0_8762,axiom,
    ( esk297_2(X1,X2)
    | esk298_2(X1,X2)
    | esk295_2(X1,X2) )).

cnf(i_0_8763,axiom,
    ( esk1323_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_8764,axiom,
    ( esk5242_2(X1,X2)
    | esk5243_2(X1,X2) )).

cnf(i_0_8765,axiom,
    ( esk5193_2(X1,X2)
    | ~ esk5194_2(X1,X2) )).

cnf(i_0_8766,axiom,
    ( ~ esk562_2(X1,X2)
    | ~ esk564_2(X1,X2) )).

cnf(i_0_8767,axiom,
    ( ~ esk2709_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_8768,axiom,
    ( ~ esk1651_2(X1,X2)
    | esk1853_2(X1,X2)
    | ~ esk1802_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_8769,axiom,
    ( ~ esk422_2(X1,X2)
    | ~ esk423_2(X1,X2) )).

cnf(i_0_8770,axiom,
    ( ~ esk4557_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_8771,axiom,
    ( ~ esk3480_2(X1,X2)
    | esk3479_2(X1,X2) )).

cnf(i_0_8772,axiom,
    ( ~ esk2049_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_8773,axiom,
    ( esk4418_2(X1,X2)
    | ~ esk4419_2(X1,X2) )).

cnf(i_0_8774,axiom,
    ( ~ esk1286_2(X1,X2)
    | ~ esk633_2(X1,X2)
    | esk1287_2(X1,X2) )).

cnf(i_0_8775,axiom,
    ( ~ esk2971_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk107_2(X1,X2)
    | esk3108_2(X1,X2) )).

cnf(i_0_8776,axiom,
    ( ~ esk4368_2(X1,X2)
    | esk4369_2(X1,X2)
    | ~ esk3295_2(X1,X2) )).

cnf(i_0_8777,axiom,
    ( ~ esk2597_2(X1,X2)
    | ~ esk2598_2(X1,X2) )).

cnf(i_0_8778,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk73_2(X1,X2)
    | ~ esk1580_2(X1,X2)
    | esk1668_2(X1,X2) )).

cnf(i_0_8779,axiom,
    ( esk924_2(X1,X2)
    | ~ esk928_2(X1,X2) )).

cnf(i_0_8780,axiom,
    ( ~ esk1041_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_8781,axiom,
    ( esk4077_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk3480_2(X1,X2) )).

cnf(i_0_8782,axiom,
    ( ~ esk2059_2(X1,X2)
    | esk2057_2(X1,X2) )).

cnf(i_0_8783,axiom,
    ( ~ esk1057_2(X1,X2)
    | ~ esk1071_2(X1,X2) )).

cnf(i_0_8784,axiom,
    ( ~ esk3854_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_8785,axiom,
    ( ~ esk5321_2(X1,X2)
    | esk5320_2(X1,X2) )).

cnf(i_0_8786,axiom,
    ( ~ esk3073_2(X1,X2)
    | esk3079_2(X1,X2)
    | ~ esk3078_2(X1,X2) )).

cnf(i_0_8787,axiom,
    ( esk1567_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk1566_2(X1,X2) )).

cnf(i_0_8788,axiom,
    ( ~ esk1226_2(X1,X2)
    | ~ esk1227_2(X1,X2) )).

cnf(i_0_8789,axiom,
    ( ~ esk1132_2(X1,X2)
    | esk1737_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk306_2(X1,X2) )).

cnf(i_0_8790,axiom,
    ( ~ esk788_2(X1,X2)
    | ~ esk791_2(X1,X2)
    | esk792_2(X1,X2) )).

cnf(i_0_8791,axiom,
    ( ~ esk3987_2(X1,X2)
    | esk3971_2(X1,X2) )).

cnf(i_0_8792,axiom,
    ( esk2536_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | ~ esk2535_2(X1,X2) )).

cnf(i_0_8793,axiom,
    ( ~ esk4316_2(X1,X2)
    | ~ esk4315_2(X1,X2) )).

cnf(i_0_8794,axiom,
    ( esk37_2(X1,X2)
    | ~ esk221_2(X1,X2) )).

cnf(i_0_8795,axiom,
    ( esk528_2(X1,X2)
    | ~ esk529_2(X1,X2) )).

cnf(i_0_8796,axiom,
    ( ~ esk1489_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_8797,axiom,
    ( esk358_2(X1,X2)
    | ~ esk366_2(X1,X2) )).

cnf(i_0_8798,axiom,
    ( esk2762_2(X1,X2)
    | ~ esk2757_2(X1,X2)
    | ~ esk2761_2(X1,X2) )).

cnf(i_0_8799,axiom,
    ( ~ esk3097_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_8800,axiom,
    ( ~ esk4328_2(X1,X2)
    | ~ esk4330_2(X1,X2) )).

cnf(i_0_8801,axiom,
    ( esk3189_2(X1,X2)
    | ~ esk3191_2(X1,X2) )).

cnf(i_0_8802,axiom,
    ( ~ esk3521_2(X1,X2)
    | ~ esk3523_2(X1,X2)
    | esk3531_2(X1,X2)
    | ~ esk3513_2(X1,X2) )).

cnf(i_0_8803,axiom,
    ( ~ esk897_2(X1,X2)
    | ~ esk896_2(X1,X2) )).

cnf(i_0_8804,axiom,
    ( ~ esk4841_2(X1,X2)
    | esk4840_2(X1,X2) )).

cnf(i_0_8805,axiom,
    ( ~ esk3728_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | esk3874_2(X1,X2)
    | ~ esk3132_2(X1,X2) )).

cnf(i_0_8806,axiom,
    ( esk2595_2(X1,X2)
    | ~ esk2599_2(X1,X2) )).

cnf(i_0_8807,axiom,
    ( ~ esk2971_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | esk3082_2(X1,X2) )).

cnf(i_0_8808,axiom,
    ( ~ esk1342_2(X1,X2)
    | ~ esk1298_2(X1,X2) )).

cnf(i_0_8809,axiom,
    ( ~ esk3303_2(X1,X2)
    | esk3302_2(X1,X2) )).

cnf(i_0_8810,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2128_2(X1,X2) )).

cnf(i_0_8811,axiom,
    ( ~ esk125_2(X1,X2)
    | ~ esk122_2(X1,X2)
    | esk3269_2(X1,X2) )).

cnf(i_0_8812,axiom,
    ( esk2041_2(X1,X2)
    | esk2042_2(X1,X2) )).

cnf(i_0_8813,axiom,
    ( ~ esk1844_2(X1,X2)
    | ~ esk1845_2(X1,X2) )).

cnf(i_0_8814,axiom,
    ( ~ esk3255_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_8815,axiom,
    ( esk3065_2(X1,X2)
    | ~ esk3066_2(X1,X2) )).

cnf(i_0_8816,axiom,
    ( esk3298_2(X1,X2)
    | ~ esk3339_2(X1,X2) )).

cnf(i_0_8817,axiom,
    ( esk3479_2(X1,X2)
    | ~ esk3662_2(X1,X2) )).

cnf(i_0_8818,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2134_2(X1,X2) )).

cnf(i_0_8819,axiom,
    ( ~ esk1726_2(X1,X2)
    | esk56_2(X1,X2) )).

cnf(i_0_8820,axiom,
    ( ~ esk3613_2(X1,X2)
    | esk3259_2(X1,X2) )).

cnf(i_0_8821,axiom,
    ( ~ esk3104_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_8822,axiom,
    ( esk823_2(X1,X2)
    | ~ esk824_2(X1,X2) )).

cnf(i_0_8823,axiom,
    ( ~ esk5198_2(X1,X2)
    | ~ esk5197_2(X1,X2) )).

cnf(i_0_8824,axiom,
    ( esk3054_2(X1,X2)
    | ~ esk3081_2(X1,X2) )).

cnf(i_0_8825,axiom,
    ( esk4601_2(X1,X2)
    | ~ esk4600_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_8826,axiom,
    ( esk973_2(X1,X2)
    | ~ esk1090_2(X1,X2) )).

cnf(i_0_8827,axiom,
    ( ~ esk174_2(X1,X2)
    | esk2810_2(X1,X2)
    | ~ esk25_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_8828,axiom,
    ( ~ esk1346_2(X1,X2)
    | esk3999_2(X1,X2)
    | esk5551_2(X1,X2) )).

cnf(i_0_8829,axiom,
    ( ~ esk3822_2(X1,X2)
    | ~ esk3823_2(X1,X2) )).

cnf(i_0_8830,axiom,
    ( esk104_2(X1,X2)
    | ~ esk1928_2(X1,X2) )).

cnf(i_0_8831,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk1092_2(X1,X2) )).

cnf(i_0_8832,axiom,
    ( ~ esk457_2(X1,X2)
    | ~ esk458_2(X1,X2) )).

cnf(i_0_8833,axiom,
    ( ~ esk115_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk302_2(X1,X2) )).

cnf(i_0_8834,axiom,
    ( esk128_2(X1,X2)
    | ~ esk2988_2(X1,X2) )).

cnf(i_0_8835,axiom,
    ( ~ esk3951_2(X1,X2)
    | ~ esk3995_2(X1,X2) )).

cnf(i_0_8836,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4787_2(X1,X2) )).

cnf(i_0_8837,axiom,
    ( ~ esk3626_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_8838,axiom,
    ( ~ esk3245_2(X1,X2)
    | ~ esk3244_2(X1,X2) )).

cnf(i_0_8839,axiom,
    ( ~ esk584_2(X1,X2)
    | esk580_2(X1,X2) )).

cnf(i_0_8840,axiom,
    ( esk1210_2(X1,X2)
    | esk1209_2(X1,X2) )).

cnf(i_0_8841,axiom,
    ( esk3873_2(X1,X2)
    | esk5547_2(X1,X2)
    | ~ esk1220_2(X1,X2) )).

cnf(i_0_8842,axiom,
    ( esk3658_2(X1,X2)
    | esk3656_2(X1,X2)
    | esk3660_2(X1,X2)
    | esk3663_2(X1,X2)
    | esk3662_2(X1,X2)
    | esk3654_2(X1,X2) )).

cnf(i_0_8843,axiom,
    ( ~ esk2337_2(X1,X2)
    | ~ esk2338_2(X1,X2) )).

cnf(i_0_8844,axiom,
    ( esk5475_2(X1,X2)
    | ~ esk5488_2(X1,X2) )).

cnf(i_0_8845,axiom,
    ( ~ esk1564_2(X1,X2)
    | ~ esk973_2(X1,X2) )).

cnf(i_0_8846,axiom,
    ( ~ esk1952_2(X1,X2)
    | esk1951_2(X1,X2) )).

cnf(i_0_8847,axiom,
    ( esk2851_2(X1,X2)
    | ~ esk5504_2(X1,X2)
    | esk189_2(X1,X2) )).

cnf(i_0_8848,axiom,
    ( ~ esk4909_2(X1,X2)
    | esk3671_2(X1,X2) )).

cnf(i_0_8849,axiom,
    ( ~ esk4446_2(X1,X2)
    | ~ esk4448_2(X1,X2) )).

cnf(i_0_8850,axiom,
    ( ~ esk5083_2(X1,X2)
    | esk5084_2(X1,X2)
    | ~ esk5070_2(X1,X2) )).

cnf(i_0_8851,axiom,
    ( esk4752_2(X1,X2)
    | esk4753_2(X1,X2) )).

cnf(i_0_8852,axiom,
    ( ~ esk1406_2(X1,X2)
    | esk1405_2(X1,X2) )).

cnf(i_0_8853,axiom,
    ( ~ esk4854_2(X1,X2)
    | esk3671_2(X1,X2) )).

cnf(i_0_8854,axiom,
    ( esk3700_2(X1,X2)
    | ~ esk3701_2(X1,X2) )).

cnf(i_0_8855,axiom,
    ( esk545_2(X1,X2)
    | ~ esk546_2(X1,X2) )).

cnf(i_0_8856,axiom,
    ( ~ esk5326_2(X1,X2)
    | esk5322_2(X1,X2) )).

cnf(i_0_8857,axiom,
    ( esk4697_2(X1,X2)
    | esk4698_2(X1,X2) )).

cnf(i_0_8858,axiom,
    ( ~ esk733_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_8859,axiom,
    ( ~ esk2417_2(X1,X2)
    | ~ esk2433_2(X1,X2) )).

cnf(i_0_8860,axiom,
    ( ~ esk5559_2(X1,X2)
    | esk1617_2(X1,X2)
    | esk4270_2(X1,X2) )).

cnf(i_0_8861,axiom,
    ( ~ esk4467_2(X1,X2)
    | ~ esk4468_2(X1,X2) )).

cnf(i_0_8862,axiom,
    ( ~ esk5437_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_8863,axiom,
    ( esk768_2(X1,X2)
    | ~ esk1435_2(X1,X2) )).

cnf(i_0_8864,axiom,
    ( ~ esk2002_2(X1,X2)
    | ~ esk2001_2(X1,X2) )).

cnf(i_0_8865,axiom,
    ( ~ esk2003_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_8866,axiom,
    ( ~ esk4904_2(X1,X2)
    | esk4900_2(X1,X2) )).

cnf(i_0_8867,axiom,
    ( esk102_2(X1,X2)
    | ~ esk1940_2(X1,X2) )).

cnf(i_0_8868,axiom,
    ( ~ esk4005_2(X1,X2)
    | ~ esk4004_2(X1,X2) )).

cnf(i_0_8869,axiom,
    ( esk92_2(X1,X2)
    | ~ esk5018_2(X1,X2) )).

cnf(i_0_8870,axiom,
    ( ~ esk1330_2(X1,X2)
    | esk1331_2(X1,X2)
    | ~ esk1327_2(X1,X2)
    | ~ esk1319_2(X1,X2) )).

cnf(i_0_8871,axiom,
    ( esk1190_2(X1,X2)
    | esk1189_2(X1,X2) )).

cnf(i_0_8872,axiom,
    ( ~ esk4099_2(X1,X2)
    | ~ esk4098_2(X1,X2) )).

cnf(i_0_8873,axiom,
    ( ~ esk4386_2(X1,X2)
    | esk4377_2(X1,X2) )).

cnf(i_0_8874,axiom,
    ( ~ esk4493_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_8875,axiom,
    ( esk1886_2(X1,X2)
    | esk5596_2(X1,X2)
    | ~ esk4539_2(X1,X2) )).

cnf(i_0_8876,axiom,
    ( esk186_2(X1,X2)
    | esk153_2(X1,X2) )).

cnf(i_0_8877,axiom,
    ( ~ esk2710_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_8878,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk400_2(X1,X2) )).

cnf(i_0_8879,axiom,
    ( ~ esk4247_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_8880,axiom,
    ( ~ esk2848_2(X1,X2)
    | ~ esk5501_2(X1,X2)
    | ~ esk186_2(X1,X2) )).

cnf(i_0_8881,axiom,
    ( ~ esk1362_2(X1,X2)
    | ~ esk1361_2(X1,X2) )).

cnf(i_0_8882,axiom,
    ( ~ esk1189_2(X1,X2)
    | ~ esk1188_2(X1,X2) )).

cnf(i_0_8883,axiom,
    ( ~ esk742_2(X1,X2)
    | ~ esk2101_2(X1,X2) )).

cnf(i_0_8884,axiom,
    ( esk25_2(X1,X2)
    | ~ esk2810_2(X1,X2) )).

cnf(i_0_8885,axiom,
    ( esk533_2(X1,X2)
    | ~ esk534_2(X1,X2) )).

cnf(i_0_8886,axiom,
    ( esk3042_2(X1,X2)
    | esk3045_2(X1,X2)
    | esk3044_2(X1,X2) )).

cnf(i_0_8887,axiom,
    ( ~ esk2918_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_8888,axiom,
    ( esk1977_2(X1,X2)
    | esk1978_2(X1,X2) )).

cnf(i_0_8889,axiom,
    ( ~ esk5402_2(X1,X2)
    | ~ esk5403_2(X1,X2) )).

cnf(i_0_8890,axiom,
    ( ~ esk2321_2(X1,X2)
    | ~ esk2322_2(X1,X2) )).

cnf(i_0_8891,axiom,
    ( ~ esk1646_2(X1,X2)
    | esk1191_2(X1,X2) )).

cnf(i_0_8892,axiom,
    ( esk3424_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | ~ esk3423_2(X1,X2) )).

cnf(i_0_8893,axiom,
    ( ~ esk3510_2(X1,X2)
    | esk3509_2(X1,X2) )).

cnf(i_0_8894,axiom,
    ( esk3818_2(X1,X2)
    | esk3817_2(X1,X2) )).

cnf(i_0_8895,axiom,
    ( ~ esk3387_2(X1,X2)
    | esk3383_2(X1,X2) )).

cnf(i_0_8896,axiom,
    ( ~ esk4244_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_8897,axiom,
    ( esk2413_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_8898,axiom,
    ( ~ esk2266_2(X1,X2)
    | ~ esk2269_2(X1,X2)
    | esk2270_2(X1,X2) )).

cnf(i_0_8899,axiom,
    ( esk2761_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_8900,axiom,
    ( ~ esk2653_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_8901,axiom,
    ( ~ esk1848_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_8902,axiom,
    ( ~ esk644_2(X1,X2)
    | ~ esk645_2(X1,X2) )).

cnf(i_0_8903,axiom,
    ( ~ esk1074_2(X1,X2)
    | ~ esk58_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk1254_2(X1,X2) )).

cnf(i_0_8904,axiom,
    ( esk5485_2(X1,X2)
    | ~ esk5486_2(X1,X2) )).

cnf(i_0_8905,axiom,
    ( ~ esk1067_2(X1,X2)
    | esk1063_2(X1,X2) )).

cnf(i_0_8906,axiom,
    ( ~ esk2747_2(X1,X2)
    | ~ esk2746_2(X1,X2) )).

cnf(i_0_8907,axiom,
    ( esk2979_2(X1,X2)
    | ~ esk3127_2(X1,X2) )).

cnf(i_0_8908,axiom,
    ( ~ esk1813_2(X1,X2)
    | ~ esk1814_2(X1,X2) )).

cnf(i_0_8909,axiom,
    ( ~ esk511_2(X1,X2)
    | ~ esk2745_2(X1,X2) )).

cnf(i_0_8910,axiom,
    ( ~ esk62_2(X1,X2)
    | esk1053_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_8911,axiom,
    ( ~ esk2117_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_8912,axiom,
    ( ~ esk5065_2(X1,X2)
    | ~ esk5068_2(X1,X2) )).

cnf(i_0_8913,axiom,
    ( ~ esk114_2(X1,X2)
    | esk4042_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_8914,axiom,
    ( ~ esk3782_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_8915,axiom,
    ( ~ esk4830_2(X1,X2)
    | esk4829_2(X1,X2) )).

cnf(i_0_8916,axiom,
    ( ~ esk2270_2(X1,X2)
    | esk2266_2(X1,X2) )).

cnf(i_0_8917,axiom,
    ( ~ esk1498_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_8918,axiom,
    ( ~ esk1691_2(X1,X2)
    | esk1589_2(X1,X2) )).

cnf(i_0_8919,axiom,
    ( ~ esk1833_2(X1,X2)
    | esk4486_2(X1,X2)
    | esk5588_2(X1,X2) )).

cnf(i_0_8920,axiom,
    ( ~ esk3116_2(X1,X2)
    | ~ esk3117_2(X1,X2) )).

cnf(i_0_8921,axiom,
    ( esk3267_2(X1,X2)
    | esk3266_2(X1,X2) )).

cnf(i_0_8922,axiom,
    ( ~ esk2168_2(X1,X2)
    | ~ esk2167_2(X1,X2) )).

cnf(i_0_8923,axiom,
    ( ~ esk4376_2(X1,X2)
    | ~ esk4374_2(X1,X2) )).

cnf(i_0_8924,axiom,
    ( ~ esk2195_2(X1,X2)
    | esk2194_2(X1,X2) )).

cnf(i_0_8925,axiom,
    ( esk5138_2(X1,X2)
    | ~ esk5139_2(X1,X2) )).

cnf(i_0_8926,axiom,
    ( ~ esk1734_2(X1,X2)
    | esk1122_2(X1,X2) )).

cnf(i_0_8927,axiom,
    ( ~ esk240_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | esk249_2(X1,X2)
    | ~ esk32_2(X1,X2) )).

cnf(i_0_8928,axiom,
    ( ~ esk1425_2(X1,X2)
    | ~ esk1424_2(X1,X2) )).

cnf(i_0_8929,axiom,
    ( ~ esk5249_2(X1,X2)
    | ~ esk5245_2(X1,X2)
    | esk5250_2(X1,X2) )).

cnf(i_0_8930,axiom,
    ( esk4712_2(X1,X2)
    | esk4713_2(X1,X2) )).

cnf(i_0_8931,axiom,
    ( esk138_2(X1,X2)
    | ~ esk1761_2(X1,X2) )).

cnf(i_0_8932,axiom,
    ( ~ esk4038_2(X1,X2)
    | ~ esk4039_2(X1,X2) )).

cnf(i_0_8933,axiom,
    ( ~ esk5198_2(X1,X2)
    | ~ esk5201_2(X1,X2)
    | esk5202_2(X1,X2) )).

cnf(i_0_8934,axiom,
    ( esk4407_2(X1,X2)
    | esk1754_2(X1,X2)
    | ~ esk5577_2(X1,X2) )).

cnf(i_0_8935,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk29_2(X1,X2)
    | esk1634_2(X1,X2) )).

cnf(i_0_8936,axiom,
    ( esk3338_2(X1,X2)
    | ~ esk3795_2(X1,X2) )).

cnf(i_0_8937,axiom,
    ( esk733_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_8938,axiom,
    ( esk4455_2(X1,X2)
    | ~ esk4534_2(X1,X2) )).

cnf(i_0_8939,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk3239_2(X1,X2)
    | esk3655_2(X1,X2) )).

cnf(i_0_8940,axiom,
    ( esk629_2(X1,X2)
    | ~ esk1108_2(X1,X2) )).

cnf(i_0_8941,axiom,
    ( ~ esk4959_2(X1,X2)
    | ~ esk4962_2(X1,X2)
    | esk4963_2(X1,X2) )).

cnf(i_0_8942,axiom,
    ( ~ esk4822_2(X1,X2)
    | esk4818_2(X1,X2) )).

cnf(i_0_8943,axiom,
    ( ~ esk4557_2(X1,X2)
    | ~ esk4558_2(X1,X2) )).

cnf(i_0_8944,axiom,
    ( esk140_2(X1,X2)
    | ~ esk3614_2(X1,X2) )).

cnf(i_0_8945,axiom,
    ( ~ esk398_2(X1,X2)
    | ~ esk397_2(X1,X2) )).

cnf(i_0_8946,axiom,
    ( esk4944_2(X1,X2)
    | ~ esk4945_2(X1,X2) )).

cnf(i_0_8947,axiom,
    ( ~ esk1085_2(X1,X2)
    | esk1084_2(X1,X2) )).

cnf(i_0_8948,axiom,
    ( ~ esk491_2(X1,X2)
    | ~ esk490_2(X1,X2) )).

cnf(i_0_8949,axiom,
    ( esk4956_2(X1,X2)
    | ~ esk4961_2(X1,X2) )).

cnf(i_0_8950,axiom,
    ( ~ esk3130_2(X1,X2)
    | ~ esk3129_2(X1,X2) )).

cnf(i_0_8951,axiom,
    ( esk4146_2(X1,X2)
    | esk4145_2(X1,X2) )).

cnf(i_0_8952,axiom,
    ( ~ esk4432_2(X1,X2)
    | esk4426_2(X1,X2) )).

cnf(i_0_8953,axiom,
    ( esk5471_2(X1,X2)
    | ~ esk5603_2(X1,X2)
    | esk2818_2(X1,X2) )).

cnf(i_0_8954,axiom,
    ( esk3246_2(X1,X2)
    | ~ esk3242_2(X1,X2)
    | ~ esk3245_2(X1,X2) )).

cnf(i_0_8955,axiom,
    ( ~ esk3628_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_8956,axiom,
    ( esk4727_2(X1,X2)
    | ~ esk4728_2(X1,X2) )).

cnf(i_0_8957,axiom,
    ( ~ esk2193_2(X1,X2)
    | esk2192_2(X1,X2) )).

cnf(i_0_8958,axiom,
    ( ~ esk1581_2(X1,X2)
    | esk2823_2(X1,X2)
    | ~ esk1580_2(X1,X2)
    | ~ esk2822_2(X1,X2) )).

cnf(i_0_8959,axiom,
    ( esk4277_2(X1,X2)
    | ~ esk4501_2(X1,X2) )).

cnf(i_0_8960,axiom,
    ( esk3272_2(X1,X2)
    | ~ esk3273_2(X1,X2) )).

cnf(i_0_8961,axiom,
    ( ~ esk2199_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_8962,axiom,
    ( ~ esk4099_2(X1,X2)
    | ~ esk4102_2(X1,X2)
    | esk4103_2(X1,X2) )).

cnf(i_0_8963,axiom,
    ( ~ esk2314_2(X1,X2)
    | esk2253_2(X1,X2) )).

cnf(i_0_8964,axiom,
    ( ~ esk3185_2(X1,X2)
    | ~ esk5414_2(X1,X2) )).

cnf(i_0_8965,axiom,
    ( ~ esk3178_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_8966,axiom,
    ( ~ esk3894_2(X1,X2)
    | esk3479_2(X1,X2) )).

cnf(i_0_8967,axiom,
    ( ~ esk1894_2(X1,X2)
    | esk1681_2(X1,X2) )).

cnf(i_0_8968,axiom,
    ( esk2473_2(X1,X2)
    | esk2405_2(X1,X2) )).

cnf(i_0_8969,axiom,
    ( esk100_2(X1,X2)
    | ~ esk5098_2(X1,X2) )).

cnf(i_0_8970,axiom,
    ( ~ esk2358_2(X1,X2)
    | esk2357_2(X1,X2) )).

cnf(i_0_8971,axiom,
    ( ~ esk1651_2(X1,X2)
    | ~ esk1219_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | esk1653_2(X1,X2) )).

cnf(i_0_8972,axiom,
    ( esk1611_2(X1,X2)
    | ~ esk4264_2(X1,X2)
    | esk5558_2(X1,X2) )).

cnf(i_0_8973,axiom,
    ( ~ esk4490_2(X1,X2)
    | ~ esk4491_2(X1,X2) )).

cnf(i_0_8974,axiom,
    ( ~ esk3818_2(X1,X2)
    | ~ esk3817_2(X1,X2) )).

cnf(i_0_8975,axiom,
    ( esk194_2(X1,X2)
    | esk157_2(X1,X2) )).

cnf(i_0_8976,axiom,
    ( ~ esk2738_2(X1,X2)
    | ~ esk2739_2(X1,X2) )).

cnf(i_0_8977,axiom,
    ( ~ esk1652_2(X1,X2)
    | ~ esk1656_2(X1,X2) )).

cnf(i_0_8978,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk3056_2(X1,X2) )).

cnf(i_0_8979,axiom,
    ( ~ esk413_2(X1,X2)
    | esk414_2(X1,X2)
    | ~ esk319_2(X1,X2) )).

cnf(i_0_8980,axiom,
    ( ~ esk2694_2(X1,X2)
    | ~ esk2690_2(X1,X2)
    | esk2695_2(X1,X2) )).

cnf(i_0_8981,axiom,
    ( ~ esk3226_2(X1,X2)
    | ~ esk3225_2(X1,X2) )).

cnf(i_0_8982,axiom,
    ( esk125_2(X1,X2)
    | ~ esk619_2(X1,X2) )).

cnf(i_0_8983,axiom,
    ( esk4525_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk4524_2(X1,X2) )).

cnf(i_0_8984,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk187_2(X1,X2) )).

cnf(i_0_8985,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk735_2(X1,X2) )).

cnf(i_0_8986,axiom,
    ( ~ esk203_2(X1,X2)
    | esk156_2(X1,X2) )).

cnf(i_0_8987,axiom,
    ( esk209_2(X1,X2)
    | ~ esk2871_2(X1,X2)
    | esk5516_2(X1,X2) )).

cnf(i_0_8988,axiom,
    ( esk111_2(X1,X2)
    | ~ esk3088_2(X1,X2) )).

cnf(i_0_8989,axiom,
    ( esk1753_2(X1,X2)
    | ~ esk1840_2(X1,X2) )).

cnf(i_0_8990,axiom,
    ( esk3650_2(X1,X2)
    | ~ esk4122_2(X1,X2) )).

cnf(i_0_8991,axiom,
    ( ~ esk4370_2(X1,X2)
    | ~ esk4368_2(X1,X2) )).

cnf(i_0_8992,axiom,
    ( ~ esk3271_2(X1,X2)
    | esk3276_2(X1,X2)
    | ~ esk3275_2(X1,X2) )).

cnf(i_0_8993,axiom,
    ( ~ esk2655_2(X1,X2)
    | esk954_2(X1,X2) )).

cnf(i_0_8994,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk4252_2(X1,X2) )).

cnf(i_0_8995,axiom,
    ( esk5601_2(X1,X2)
    | ~ esk2786_2(X1,X2)
    | esk5439_2(X1,X2) )).

cnf(i_0_8996,axiom,
    ( ~ esk3481_2(X1,X2)
    | ~ esk819_2(X1,X2)
    | ~ esk5531_2(X1,X2) )).

cnf(i_0_8997,axiom,
    ( esk4762_2(X1,X2)
    | ~ esk4763_2(X1,X2) )).

cnf(i_0_8998,axiom,
    ( ~ esk3455_2(X1,X2)
    | ~ esk3730_2(X1,X2)
    | esk3731_2(X1,X2) )).

cnf(i_0_8999,axiom,
    ( ~ esk3270_2(X1,X2)
    | ~ esk3268_2(X1,X2) )).

cnf(i_0_9000,axiom,
    ( esk15_2(X1,X2)
    | ~ esk2882_2(X1,X2) )).

cnf(i_0_9001,axiom,
    ( ~ esk743_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_9002,axiom,
    ( esk3597_2(X1,X2)
    | esk3557_2(X1,X2) )).

cnf(i_0_9003,axiom,
    ( esk3540_2(X1,X2)
    | ~ esk3541_2(X1,X2) )).

cnf(i_0_9004,axiom,
    ( ~ esk3469_2(X1,X2)
    | ~ esk3466_2(X1,X2)
    | esk3470_2(X1,X2) )).

cnf(i_0_9005,axiom,
    ( esk4927_2(X1,X2)
    | ~ esk4931_2(X1,X2) )).

cnf(i_0_9006,axiom,
    ( esk121_2(X1,X2)
    | ~ esk3268_2(X1,X2) )).

cnf(i_0_9007,axiom,
    ( ~ esk1433_2(X1,X2)
    | ~ esk1432_2(X1,X2) )).

cnf(i_0_9008,axiom,
    ( esk609_2(X1,X2)
    | esk148_2(X1,X2)
    | esk1536_2(X1,X2) )).

cnf(i_0_9009,axiom,
    ( ~ esk726_2(X1,X2)
    | ~ esk2182_2(X1,X2) )).

cnf(i_0_9010,axiom,
    ( ~ esk294_2(X1,X2)
    | ~ esk293_2(X1,X2) )).

cnf(i_0_9011,axiom,
    ( ~ esk3068_2(X1,X2)
    | ~ esk3071_2(X1,X2) )).

cnf(i_0_9012,axiom,
    ( esk518_2(X1,X2)
    | esk517_2(X1,X2) )).

cnf(i_0_9013,axiom,
    ( ~ esk1139_2(X1,X2)
    | ~ esk980_2(X1,X2) )).

cnf(i_0_9014,axiom,
    ( esk809_2(X1,X2)
    | ~ esk1003_2(X1,X2) )).

cnf(i_0_9015,axiom,
    ( esk566_2(X1,X2)
    | ~ esk567_2(X1,X2) )).

cnf(i_0_9016,axiom,
    ( ~ esk4176_2(X1,X2)
    | esk4175_2(X1,X2) )).

cnf(i_0_9017,axiom,
    ( esk727_2(X1,X2)
    | ~ esk728_2(X1,X2) )).

cnf(i_0_9018,axiom,
    ( ~ esk3728_2(X1,X2)
    | esk3738_2(X1,X2)
    | ~ esk3737_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_9019,axiom,
    ( ~ esk3323_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_9020,axiom,
    ( ~ esk4875_2(X1,X2)
    | esk3360_2(X1,X2) )).

cnf(i_0_9021,axiom,
    ( esk3255_2(X1,X2)
    | esk3251_2(X1,X2) )).

cnf(i_0_9022,axiom,
    ( esk4055_2(X1,X2)
    | ~ esk4056_2(X1,X2) )).

cnf(i_0_9023,axiom,
    ( ~ esk4280_2(X1,X2)
    | esk3872_2(X1,X2) )).

cnf(i_0_9024,axiom,
    ( ~ esk1199_2(X1,X2)
    | ~ esk55_2(X1,X2)
    | esk1217_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_9025,axiom,
    ( ~ esk5359_2(X1,X2)
    | ~ esk5358_2(X1,X2) )).

cnf(i_0_9026,axiom,
    ( ~ esk3170_2(X1,X2)
    | esk3169_2(X1,X2) )).

cnf(i_0_9027,axiom,
    ( esk1771_2(X1,X2)
    | esk1772_2(X1,X2) )).

cnf(i_0_9028,axiom,
    ( ~ esk984_2(X1,X2)
    | ~ esk1176_2(X1,X2) )).

cnf(i_0_9029,axiom,
    ( ~ esk4282_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_9030,axiom,
    ( ~ esk1434_2(X1,X2)
    | esk1435_2(X1,X2)
    | ~ esk768_2(X1,X2) )).

cnf(i_0_9031,axiom,
    ( esk2859_2(X1,X2)
    | ~ esk197_2(X1,X2)
    | esk5510_2(X1,X2) )).

cnf(i_0_9032,axiom,
    ( ~ esk3153_2(X1,X2)
    | ~ esk5370_2(X1,X2) )).

cnf(i_0_9033,axiom,
    ( esk2796_2(X1,X2)
    | esk2795_2(X1,X2)
    | esk2794_2(X1,X2) )).

cnf(i_0_9034,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk4183_2(X1,X2) )).

cnf(i_0_9035,axiom,
    ( ~ esk26_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk4299_2(X1,X2)
    | ~ esk3844_2(X1,X2) )).

cnf(i_0_9036,axiom,
    ( ~ esk773_2(X1,X2)
    | ~ esk774_2(X1,X2) )).

cnf(i_0_9037,axiom,
    ( ~ esk3878_2(X1,X2)
    | ~ esk3875_2(X1,X2) )).

cnf(i_0_9038,axiom,
    ( ~ esk5122_2(X1,X2)
    | ~ esk5123_2(X1,X2) )).

cnf(i_0_9039,axiom,
    ( ~ esk2305_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_9040,axiom,
    ( ~ esk710_2(X1,X2)
    | ~ esk2158_2(X1,X2) )).

cnf(i_0_9041,axiom,
    ( ~ esk4415_2(X1,X2)
    | ~ esk4416_2(X1,X2)
    | esk4419_2(X1,X2)
    | ~ esk4418_2(X1,X2)
    | ~ esk158_2(X1,X2)
    | ~ esk4417_2(X1,X2) )).

cnf(i_0_9042,axiom,
    ( ~ esk3004_2(X1,X2)
    | esk3005_2(X1,X2)
    | ~ esk3002_2(X1,X2) )).

cnf(i_0_9043,axiom,
    ( ~ esk2686_2(X1,X2)
    | ~ esk511_2(X1,X2) )).

cnf(i_0_9044,axiom,
    ( ~ esk814_2(X1,X2)
    | esk813_2(X1,X2) )).

cnf(i_0_9045,axiom,
    ( ~ esk3894_2(X1,X2)
    | esk3661_2(X1,X2) )).

cnf(i_0_9046,axiom,
    ( ~ esk5227_2(X1,X2)
    | ~ esk5224_2(X1,X2) )).

cnf(i_0_9047,axiom,
    ( esk861_2(X1,X2)
    | esk862_2(X1,X2) )).

cnf(i_0_9048,axiom,
    ( esk1832_2(X1,X2)
    | esk1833_2(X1,X2) )).

cnf(i_0_9049,axiom,
    ( ~ esk4463_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_9050,axiom,
    ( esk4252_2(X1,X2)
    | ~ esk4469_2(X1,X2) )).

cnf(i_0_9051,axiom,
    ( ~ esk3642_2(X1,X2)
    | ~ esk3643_2(X1,X2) )).

cnf(i_0_9052,axiom,
    ( ~ esk5358_2(X1,X2)
    | esk5354_2(X1,X2) )).

cnf(i_0_9053,axiom,
    ( ~ esk2937_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_9054,axiom,
    ( esk4054_2(X1,X2)
    | ~ esk4031_2(X1,X2)
    | ~ esk4040_2(X1,X2)
    | ~ esk4053_2(X1,X2) )).

cnf(i_0_9055,axiom,
    ( ~ esk1259_2(X1,X2)
    | esk793_2(X1,X2) )).

cnf(i_0_9056,axiom,
    ( esk503_2(X1,X2)
    | esk761_2(X1,X2) )).

cnf(i_0_9057,axiom,
    ( esk2155_2(X1,X2)
    | ~ esk2156_2(X1,X2) )).

cnf(i_0_9058,axiom,
    ( ~ esk5536_2(X1,X2)
    | ~ esk3667_2(X1,X2)
    | ~ esk1014_2(X1,X2) )).

cnf(i_0_9059,axiom,
    ( ~ esk130_2(X1,X2)
    | ~ esk320_2(X1,X2) )).

cnf(i_0_9060,axiom,
    ( ~ esk2216_2(X1,X2)
    | ~ esk2200_2(X1,X2) )).

cnf(i_0_9061,axiom,
    ( ~ esk1837_2(X1,X2)
    | esk20_2(X1,X2) )).

cnf(i_0_9062,axiom,
    ( esk5070_2(X1,X2)
    | esk5086_2(X1,X2) )).

cnf(i_0_9063,axiom,
    ( esk206_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_9064,axiom,
    ( esk144_2(X1,X2)
    | ~ esk1770_2(X1,X2) )).

cnf(i_0_9065,axiom,
    ( ~ esk1258_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_9066,axiom,
    ( ~ esk4297_2(X1,X2)
    | esk3725_2(X1,X2) )).

cnf(i_0_9067,axiom,
    ( ~ esk3855_2(X1,X2)
    | ~ esk3859_2(X1,X2) )).

cnf(i_0_9068,axiom,
    ( esk666_2(X1,X2)
    | ~ esk125_2(X1,X2)
    | ~ esk124_2(X1,X2) )).

cnf(i_0_9069,axiom,
    ( esk130_2(X1,X2)
    | ~ esk2980_2(X1,X2) )).

cnf(i_0_9070,axiom,
    ( esk2638_2(X1,X2)
    | ~ esk2639_2(X1,X2) )).

cnf(i_0_9071,axiom,
    ( esk2433_2(X1,X2)
    | ~ esk2434_2(X1,X2) )).

cnf(i_0_9072,axiom,
    ( ~ esk3759_2(X1,X2)
    | esk3758_2(X1,X2) )).

cnf(i_0_9073,axiom,
    ( esk1171_2(X1,X2)
    | ~ esk1673_2(X1,X2) )).

cnf(i_0_9074,axiom,
    ( esk2758_2(X1,X2)
    | esk2757_2(X1,X2) )).

cnf(i_0_9075,axiom,
    ( esk2540_2(X1,X2)
    | ~ esk2541_2(X1,X2) )).

cnf(i_0_9076,axiom,
    ( ~ esk4513_2(X1,X2)
    | ~ esk4516_2(X1,X2) )).

cnf(i_0_9077,axiom,
    ( esk2930_2(X1,X2)
    | esk5525_2(X1,X2)
    | ~ esk268_2(X1,X2) )).

cnf(i_0_9078,axiom,
    ( esk2969_2(X1,X2)
    | esk2968_2(X1,X2) )).

cnf(i_0_9079,axiom,
    ( esk2026_2(X1,X2)
    | ~ esk2027_2(X1,X2) )).

cnf(i_0_9080,axiom,
    ( ~ esk5470_2(X1,X2)
    | ~ esk5467_2(X1,X2) )).

cnf(i_0_9081,axiom,
    ( ~ esk1786_2(X1,X2)
    | ~ esk1789_2(X1,X2) )).

cnf(i_0_9082,axiom,
    ( ~ esk1829_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_9083,axiom,
    ( ~ esk2260_2(X1,X2)
    | ~ esk2261_2(X1,X2) )).

cnf(i_0_9084,axiom,
    ( ~ esk4657_2(X1,X2)
    | ~ esk4656_2(X1,X2) )).

cnf(i_0_9085,axiom,
    ( ~ esk1825_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_9086,axiom,
    ( ~ esk321_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_9087,axiom,
    ( ~ esk1292_2(X1,X2)
    | ~ esk1293_2(X1,X2) )).

cnf(i_0_9088,axiom,
    ( esk3267_2(X1,X2)
    | ~ esk3762_2(X1,X2) )).

cnf(i_0_9089,axiom,
    ( ~ esk3329_2(X1,X2)
    | ~ esk3328_2(X1,X2) )).

cnf(i_0_9090,axiom,
    ( esk5285_2(X1,X2)
    | esk5286_2(X1,X2) )).

cnf(i_0_9091,axiom,
    ( esk328_2(X1,X2)
    | esk329_2(X1,X2)
    | esk326_2(X1,X2) )).

cnf(i_0_9092,axiom,
    ( ~ esk2048_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_9093,axiom,
    ( ~ esk3258_2(X1,X2)
    | esk3257_2(X1,X2) )).

cnf(i_0_9094,axiom,
    ( ~ esk37_2(X1,X2)
    | esk2883_2(X1,X2)
    | ~ esk2873_2(X1,X2) )).

cnf(i_0_9095,axiom,
    ( esk160_2(X1,X2)
    | ~ esk4527_2(X1,X2) )).

cnf(i_0_9096,axiom,
    ( esk178_2(X1,X2)
    | ~ esk1744_2(X1,X2) )).

cnf(i_0_9097,axiom,
    ( esk1581_2(X1,X2)
    | ~ esk1583_2(X1,X2) )).

cnf(i_0_9098,axiom,
    ( esk4701_2(X1,X2)
    | esk4702_2(X1,X2)
    | esk4703_2(X1,X2)
    | esk3676_2(X1,X2)
    | esk4700_2(X1,X2) )).

cnf(i_0_9099,axiom,
    ( esk3401_2(X1,X2)
    | esk3402_2(X1,X2) )).

cnf(i_0_9100,axiom,
    ( ~ esk2258_2(X1,X2)
    | ~ esk2259_2(X1,X2) )).

cnf(i_0_9101,axiom,
    ( esk10_2(X1,X2)
    | ~ esk241_2(X1,X2) )).

cnf(i_0_9102,axiom,
    ( ~ esk1268_2(X1,X2)
    | esk1264_2(X1,X2) )).

cnf(i_0_9103,axiom,
    ( esk1384_2(X1,X2)
    | esk1383_2(X1,X2) )).

cnf(i_0_9104,axiom,
    ( esk861_2(X1,X2)
    | esk867_2(X1,X2) )).

cnf(i_0_9105,axiom,
    ( esk3098_2(X1,X2)
    | esk3095_2(X1,X2)
    | esk3097_2(X1,X2) )).

cnf(i_0_9106,axiom,
    ( ~ esk171_2(X1,X2)
    | ~ esk309_2(X1,X2) )).

cnf(i_0_9107,axiom,
    ( ~ esk3745_2(X1,X2)
    | ~ esk3266_2(X1,X2) )).

cnf(i_0_9108,axiom,
    ( esk3457_2(X1,X2)
    | esk3458_2(X1,X2) )).

cnf(i_0_9109,axiom,
    ( esk107_2(X1,X2)
    | ~ esk3108_2(X1,X2) )).

cnf(i_0_9110,axiom,
    ( ~ esk1822_2(X1,X2)
    | esk1753_2(X1,X2) )).

cnf(i_0_9111,axiom,
    ( ~ esk1847_2(X1,X2)
    | esk1802_2(X1,X2) )).

cnf(i_0_9112,axiom,
    ( ~ esk77_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1862_2(X1,X2) )).

cnf(i_0_9113,axiom,
    ( esk152_2(X1,X2)
    | ~ esk3344_2(X1,X2) )).

cnf(i_0_9114,axiom,
    ( ~ esk276_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_9115,axiom,
    ( ~ esk1083_2(X1,X2)
    | esk1079_2(X1,X2) )).

cnf(i_0_9116,axiom,
    ( ~ esk1022_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_9117,axiom,
    ( ~ esk4423_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_9118,axiom,
    ( ~ esk3678_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_9119,axiom,
    ( ~ esk1314_2(X1,X2)
    | ~ esk651_2(X1,X2) )).

cnf(i_0_9120,axiom,
    ( esk2426_2(X1,X2)
    | esk2427_2(X1,X2)
    | esk2424_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_9121,axiom,
    ( ~ esk323_2(X1,X2)
    | ~ esk322_2(X1,X2) )).

cnf(i_0_9122,axiom,
    ( esk2788_2(X1,X2)
    | esk2790_2(X1,X2)
    | esk2791_2(X1,X2) )).

cnf(i_0_9123,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk5437_2(X1,X2) )).

cnf(i_0_9124,axiom,
    ( esk2982_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_9125,axiom,
    ( ~ esk2764_2(X1,X2)
    | esk2763_2(X1,X2) )).

cnf(i_0_9126,axiom,
    ( esk1623_2(X1,X2)
    | esk4276_2(X1,X2)
    | ~ esk5560_2(X1,X2) )).

cnf(i_0_9127,axiom,
    ( ~ esk98_2(X1,X2)
    | ~ esk368_2(X1,X2) )).

cnf(i_0_9128,axiom,
    ( ~ esk4071_2(X1,X2)
    | esk5552_2(X1,X2)
    | esk1418_2(X1,X2) )).

cnf(i_0_9129,axiom,
    ( esk2349_2(X1,X2)
    | esk2348_2(X1,X2) )).

cnf(i_0_9130,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4345_2(X1,X2) )).

cnf(i_0_9131,axiom,
    ( ~ esk5072_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_9132,axiom,
    ( esk1680_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_9133,axiom,
    ( ~ esk2933_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_9134,axiom,
    ( ~ esk1647_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_9135,axiom,
    ( ~ esk2480_2(X1,X2)
    | esk2475_2(X1,X2) )).

cnf(i_0_9136,axiom,
    ( ~ esk3623_2(X1,X2)
    | ~ esk3624_2(X1,X2) )).

cnf(i_0_9137,axiom,
    ( ~ esk2364_2(X1,X2)
    | ~ esk2363_2(X1,X2) )).

cnf(i_0_9138,axiom,
    ( ~ esk1663_2(X1,X2)
    | ~ esk1659_2(X1,X2) )).

cnf(i_0_9139,axiom,
    ( ~ esk3295_2(X1,X2)
    | ~ esk3370_2(X1,X2) )).

cnf(i_0_9140,axiom,
    ( ~ esk280_2(X1,X2)
    | esk279_2(X1,X2) )).

cnf(i_0_9141,axiom,
    ( ~ esk4779_2(X1,X2)
    | esk3680_2(X1,X2) )).

cnf(i_0_9142,axiom,
    ( ~ esk1589_2(X1,X2)
    | esk1691_2(X1,X2)
    | ~ esk84_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_9143,axiom,
    ( ~ esk1078_2(X1,X2)
    | esk793_2(X1,X2) )).

cnf(i_0_9144,axiom,
    ( esk1369_2(X1,X2)
    | esk1370_2(X1,X2) )).

cnf(i_0_9145,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk4428_2(X1,X2) )).

cnf(i_0_9146,axiom,
    ( ~ esk5466_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_9147,axiom,
    ( esk920_2(X1,X2)
    | ~ esk937_2(X1,X2) )).

cnf(i_0_9148,axiom,
    ( ~ esk1474_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_9149,axiom,
    ( esk153_2(X1,X2)
    | esk2848_2(X1,X2) )).

cnf(i_0_9150,axiom,
    ( esk1180_2(X1,X2)
    | ~ esk1184_2(X1,X2) )).

cnf(i_0_9151,axiom,
    ( ~ esk3964_2(X1,X2)
    | ~ esk3963_2(X1,X2) )).

cnf(i_0_9152,axiom,
    ( esk1820_2(X1,X2)
    | esk1821_2(X1,X2) )).

cnf(i_0_9153,axiom,
    ( ~ esk3659_2(X1,X2)
    | esk3875_2(X1,X2)
    | ~ esk3463_2(X1,X2) )).

cnf(i_0_9154,axiom,
    ( ~ esk2317_2(X1,X2)
    | esk2311_2(X1,X2) )).

cnf(i_0_9155,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3351_2(X1,X2) )).

cnf(i_0_9156,axiom,
    ( esk3429_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_9157,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk20_2(X1,X2)
    | esk4472_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_9158,axiom,
    ( esk3505_2(X1,X2)
    | ~ esk3536_2(X1,X2) )).

cnf(i_0_9159,axiom,
    ( ~ esk170_2(X1,X2)
    | ~ esk2973_2(X1,X2) )).

cnf(i_0_9160,axiom,
    ( esk2107_2(X1,X2)
    | ~ esk2106_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_9161,axiom,
    ( ~ esk3431_2(X1,X2)
    | ~ esk3189_2(X1,X2) )).

cnf(i_0_9162,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk5337_2(X1,X2) )).

cnf(i_0_9163,axiom,
    ( ~ esk636_2(X1,X2)
    | ~ esk638_2(X1,X2) )).

cnf(i_0_9164,axiom,
    ( esk3537_2(X1,X2)
    | esk3536_2(X1,X2) )).

cnf(i_0_9165,axiom,
    ( ~ esk1934_2(X1,X2)
    | ~ esk1933_2(X1,X2) )).

cnf(i_0_9166,axiom,
    ( esk1784_2(X1,X2)
    | ~ esk1902_2(X1,X2) )).

cnf(i_0_9167,axiom,
    ( ~ esk5415_2(X1,X2)
    | esk5414_2(X1,X2) )).

cnf(i_0_9168,axiom,
    ( ~ esk53_2(X1,X2)
    | esk4982_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_9169,axiom,
    ( ~ esk5485_2(X1,X2)
    | ~ esk5484_2(X1,X2) )).

cnf(i_0_9170,axiom,
    ( ~ esk4568_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk4569_2(X1,X2) )).

cnf(i_0_9171,axiom,
    ( esk5326_2(X1,X2)
    | esk5327_2(X1,X2) )).

cnf(i_0_9172,axiom,
    ( ~ esk2613_2(X1,X2)
    | ~ esk2614_2(X1,X2) )).

cnf(i_0_9173,axiom,
    ( ~ esk4527_2(X1,X2)
    | ~ esk4530_2(X1,X2) )).

cnf(i_0_9174,axiom,
    ( esk1496_2(X1,X2)
    | esk1495_2(X1,X2) )).

cnf(i_0_9175,axiom,
    ( ~ esk851_2(X1,X2)
    | ~ esk862_2(X1,X2)
    | ~ esk860_2(X1,X2)
    | esk863_2(X1,X2) )).

cnf(i_0_9176,axiom,
    ( esk4302_2(X1,X2)
    | esk1649_2(X1,X2)
    | ~ esk5564_2(X1,X2) )).

cnf(i_0_9177,axiom,
    ( ~ esk1467_2(X1,X2)
    | ~ esk1466_2(X1,X2) )).

cnf(i_0_9178,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1619_2(X1,X2) )).

cnf(i_0_9179,axiom,
    ( esk4084_2(X1,X2)
    | esk4081_2(X1,X2)
    | esk4083_2(X1,X2) )).

cnf(i_0_9180,axiom,
    ( ~ esk2270_2(X1,X2)
    | esk2269_2(X1,X2) )).

cnf(i_0_9181,axiom,
    ( esk1930_2(X1,X2)
    | ~ esk1931_2(X1,X2) )).

cnf(i_0_9182,axiom,
    ( ~ esk697_2(X1,X2)
    | esk696_2(X1,X2) )).

cnf(i_0_9183,axiom,
    ( esk3618_2(X1,X2)
    | esk5156_2(X1,X2) )).

cnf(i_0_9184,axiom,
    ( ~ esk3787_2(X1,X2)
    | esk3786_2(X1,X2) )).

cnf(i_0_9185,axiom,
    ( esk3341_2(X1,X2)
    | esk3342_2(X1,X2) )).

cnf(i_0_9186,axiom,
    ( esk106_2(X1,X2)
    | ~ esk3237_2(X1,X2) )).

cnf(i_0_9187,axiom,
    ( ~ esk264_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_9188,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk1681_2(X1,X2) )).

cnf(i_0_9189,axiom,
    ( ~ esk23_2(X1,X2)
    | ~ esk1044_2(X1,X2) )).

cnf(i_0_9190,axiom,
    ( ~ esk297_2(X1,X2)
    | ~ esk298_2(X1,X2) )).

cnf(i_0_9191,axiom,
    ( esk3565_2(X1,X2)
    | ~ esk3590_2(X1,X2) )).

cnf(i_0_9192,axiom,
    ( esk3695_2(X1,X2)
    | ~ esk3710_2(X1,X2) )).

cnf(i_0_9193,axiom,
    ( esk5434_2(X1,X2)
    | ~ esk5435_2(X1,X2) )).

cnf(i_0_9194,axiom,
    ( esk4339_2(X1,X2)
    | esk4340_2(X1,X2) )).

cnf(i_0_9195,axiom,
    ( esk415_2(X1,X2)
    | esk416_2(X1,X2) )).

cnf(i_0_9196,axiom,
    ( ~ esk4980_2(X1,X2)
    | ~ esk4979_2(X1,X2) )).

cnf(i_0_9197,axiom,
    ( esk752_2(X1,X2)
    | esk1476_2(X1,X2) )).

cnf(i_0_9198,axiom,
    ( ~ esk2413_2(X1,X2)
    | esk2414_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_9199,axiom,
    ( ~ esk652_2(X1,X2)
    | ~ esk1047_2(X1,X2) )).

cnf(i_0_9200,axiom,
    ( ~ esk2575_2(X1,X2)
    | ~ esk2604_2(X1,X2) )).

cnf(i_0_9201,axiom,
    ( ~ esk5068_2(X1,X2)
    | ~ esk5069_2(X1,X2) )).

cnf(i_0_9202,axiom,
    ( esk3595_2(X1,X2)
    | ~ esk3594_2(X1,X2)
    | ~ esk3557_2(X1,X2) )).

cnf(i_0_9203,axiom,
    ( ~ esk2215_2(X1,X2)
    | ~ esk2218_2(X1,X2)
    | esk2219_2(X1,X2) )).

cnf(i_0_9204,axiom,
    ( ~ esk142_2(X1,X2)
    | esk3044_2(X1,X2)
    | ~ esk3043_2(X1,X2)
    | ~ esk2973_2(X1,X2) )).

cnf(i_0_9205,axiom,
    ( ~ esk1475_2(X1,X2)
    | esk1479_2(X1,X2)
    | ~ esk1478_2(X1,X2) )).

cnf(i_0_9206,axiom,
    ( ~ esk1615_2(X1,X2)
    | ~ esk1616_2(X1,X2) )).

cnf(i_0_9207,axiom,
    ( ~ esk3483_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_9208,axiom,
    ( esk5124_2(X1,X2)
    | ~ esk5125_2(X1,X2) )).

cnf(i_0_9209,axiom,
    ( ~ esk3996_2(X1,X2)
    | esk3991_2(X1,X2) )).

cnf(i_0_9210,axiom,
    ( esk995_2(X1,X2)
    | ~ esk996_2(X1,X2) )).

cnf(i_0_9211,axiom,
    ( esk3717_2(X1,X2)
    | esk3350_2(X1,X2) )).

cnf(i_0_9212,axiom,
    ( ~ esk96_2(X1,X2)
    | esk2333_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_9213,axiom,
    ( esk2594_2(X1,X2)
    | ~ esk2578_2(X1,X2)
    | ~ esk2593_2(X1,X2) )).

cnf(i_0_9214,axiom,
    ( ~ esk4706_2(X1,X2)
    | ~ esk4707_2(X1,X2) )).

cnf(i_0_9215,axiom,
    ( ~ esk3301_2(X1,X2)
    | esk3633_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_9216,axiom,
    ( esk3801_2(X1,X2)
    | esk3800_2(X1,X2) )).

cnf(i_0_9217,axiom,
    ( ~ esk5394_2(X1,X2)
    | ~ esk5393_2(X1,X2) )).

cnf(i_0_9218,axiom,
    ( ~ esk2430_2(X1,X2)
    | ~ esk2429_2(X1,X2) )).

cnf(i_0_9219,axiom,
    ( esk893_2(X1,X2)
    | esk894_2(X1,X2) )).

cnf(i_0_9220,axiom,
    ( ~ esk2014_2(X1,X2)
    | esk2013_2(X1,X2) )).

cnf(i_0_9221,axiom,
    ( esk3814_2(X1,X2)
    | esk3815_2(X1,X2) )).

cnf(i_0_9222,axiom,
    ( ~ esk319_2(X1,X2)
    | ~ esk320_2(X1,X2)
    | esk321_2(X1,X2) )).

cnf(i_0_9223,axiom,
    ( ~ esk2570_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_9224,axiom,
    ( ~ esk2919_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_9225,axiom,
    ( esk3618_2(X1,X2)
    | ~ esk5154_2(X1,X2) )).

cnf(i_0_9226,axiom,
    ( esk1415_2(X1,X2)
    | esk1416_2(X1,X2) )).

cnf(i_0_9227,axiom,
    ( ~ esk1282_2(X1,X2)
    | ~ esk1281_2(X1,X2) )).

cnf(i_0_9228,axiom,
    ( ~ esk576_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_9229,axiom,
    ( ~ esk673_2(X1,X2)
    | ~ esk674_2(X1,X2) )).

cnf(i_0_9230,axiom,
    ( ~ esk4307_2(X1,X2)
    | esk4303_2(X1,X2) )).

cnf(i_0_9231,axiom,
    ( ~ esk2087_2(X1,X2)
    | ~ esk2084_2(X1,X2)
    | esk2088_2(X1,X2) )).

cnf(i_0_9232,axiom,
    ( esk4125_2(X1,X2)
    | ~ esk4130_2(X1,X2) )).

cnf(i_0_9233,axiom,
    ( esk2240_2(X1,X2)
    | esk708_2(X1,X2) )).

cnf(i_0_9234,axiom,
    ( esk4842_2(X1,X2)
    | ~ esk4846_2(X1,X2) )).

cnf(i_0_9235,axiom,
    ( ~ esk822_2(X1,X2)
    | ~ esk821_2(X1,X2) )).

cnf(i_0_9236,axiom,
    ( esk3177_2(X1,X2)
    | ~ esk3646_2(X1,X2) )).

cnf(i_0_9237,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2012_2(X1,X2) )).

cnf(i_0_9238,axiom,
    ( esk4004_2(X1,X2)
    | esk4005_2(X1,X2) )).

cnf(i_0_9239,axiom,
    ( ~ esk2488_2(X1,X2)
    | esk2487_2(X1,X2) )).

cnf(i_0_9240,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk3322_2(X1,X2)
    | esk3323_2(X1,X2) )).

cnf(i_0_9241,axiom,
    ( ~ esk1409_2(X1,X2)
    | ~ esk1410_2(X1,X2) )).

cnf(i_0_9242,axiom,
    ( ~ esk3812_2(X1,X2)
    | ~ esk3813_2(X1,X2) )).

cnf(i_0_9243,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk1775_2(X1,X2) )).

cnf(i_0_9244,axiom,
    ( ~ esk2966_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_9245,axiom,
    ( esk4773_2(X1,X2)
    | esk4774_2(X1,X2) )).

cnf(i_0_9246,axiom,
    ( ~ esk5295_2(X1,X2)
    | ~ esk5296_2(X1,X2) )).

cnf(i_0_9247,axiom,
    ( ~ esk2771_2(X1,X2)
    | ~ esk2772_2(X1,X2) )).

cnf(i_0_9248,axiom,
    ( ~ esk3704_2(X1,X2)
    | ~ esk4169_2(X1,X2) )).

cnf(i_0_9249,axiom,
    ( esk327_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_9250,axiom,
    ( esk1008_2(X1,X2)
    | ~ esk541_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_9251,axiom,
    ( ~ esk1856_2(X1,X2)
    | ~ esk1855_2(X1,X2) )).

cnf(i_0_9252,axiom,
    ( esk186_2(X1,X2)
    | esk2848_2(X1,X2)
    | ~ esk5501_2(X1,X2) )).

cnf(i_0_9253,axiom,
    ( esk4253_2(X1,X2)
    | ~ esk4252_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk3805_2(X1,X2) )).

cnf(i_0_9254,axiom,
    ( ~ esk3793_2(X1,X2)
    | ~ esk3794_2(X1,X2) )).

cnf(i_0_9255,axiom,
    ( ~ esk1950_2(X1,X2)
    | ~ esk1949_2(X1,X2) )).

cnf(i_0_9256,axiom,
    ( ~ esk3209_2(X1,X2)
    | ~ esk3208_2(X1,X2) )).

cnf(i_0_9257,axiom,
    ( ~ esk846_2(X1,X2)
    | ~ esk845_2(X1,X2) )).

cnf(i_0_9258,axiom,
    ( esk695_2(X1,X2)
    | ~ esk694_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_9259,axiom,
    ( esk871_2(X1,X2)
    | esk872_2(X1,X2) )).

cnf(i_0_9260,axiom,
    ( esk2664_2(X1,X2)
    | ~ esk2665_2(X1,X2) )).

cnf(i_0_9261,axiom,
    ( ~ esk2899_2(X1,X2)
    | esk237_2(X1,X2)
    | esk5521_2(X1,X2) )).

cnf(i_0_9262,axiom,
    ( ~ esk1154_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_9263,axiom,
    ( ~ esk4343_2(X1,X2)
    | esk4243_2(X1,X2) )).

cnf(i_0_9264,axiom,
    ( ~ esk417_2(X1,X2)
    | esk416_2(X1,X2) )).

cnf(i_0_9265,axiom,
    ( esk951_2(X1,X2)
    | ~ esk535_2(X1,X2)
    | ~ esk950_2(X1,X2) )).

cnf(i_0_9266,axiom,
    ( esk651_2(X1,X2)
    | esk1059_2(X1,X2)
    | esk1058_2(X1,X2) )).

cnf(i_0_9267,axiom,
    ( ~ esk1752_2(X1,X2)
    | ~ esk1750_2(X1,X2) )).

cnf(i_0_9268,axiom,
    ( esk1124_2(X1,X2)
    | ~ esk2798_2(X1,X2) )).

cnf(i_0_9269,axiom,
    ( ~ esk3610_2(X1,X2)
    | ~ esk3623_2(X1,X2) )).

cnf(i_0_9270,axiom,
    ( esk2023_2(X1,X2)
    | ~ esk2024_2(X1,X2) )).

cnf(i_0_9271,axiom,
    ( ~ esk744_2(X1,X2)
    | esk709_2(X1,X2) )).

cnf(i_0_9272,axiom,
    ( esk1612_2(X1,X2)
    | ~ esk1125_2(X1,X2)
    | ~ esk1124_2(X1,X2)
    | ~ esk1189_2(X1,X2) )).

cnf(i_0_9273,axiom,
    ( esk621_2(X1,X2)
    | esk1275_2(X1,X2) )).

cnf(i_0_9274,axiom,
    ( esk3842_2(X1,X2)
    | ~ esk4291_2(X1,X2) )).

cnf(i_0_9275,axiom,
    ( ~ esk2489_2(X1,X2)
    | ~ esk2488_2(X1,X2) )).

cnf(i_0_9276,axiom,
    ( esk155_2(X1,X2)
    | ~ esk184_2(X1,X2) )).

cnf(i_0_9277,axiom,
    ( ~ esk664_2(X1,X2)
    | ~ esk984_2(X1,X2)
    | esk1155_2(X1,X2) )).

cnf(i_0_9278,axiom,
    ( esk273_2(X1,X2)
    | esk272_2(X1,X2) )).

cnf(i_0_9279,axiom,
    ( esk5359_2(X1,X2)
    | esk5358_2(X1,X2) )).

cnf(i_0_9280,axiom,
    ( esk3251_2(X1,X2)
    | esk3250_2(X1,X2) )).

cnf(i_0_9281,axiom,
    ( ~ esk112_2(X1,X2)
    | ~ esk126_2(X1,X2)
    | esk539_2(X1,X2) )).

cnf(i_0_9282,axiom,
    ( esk1290_2(X1,X2)
    | esk1291_2(X1,X2) )).

cnf(i_0_9283,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5229_2(X1,X2) )).

cnf(i_0_9284,axiom,
    ( esk5492_2(X1,X2)
    | esk5493_2(X1,X2) )).

cnf(i_0_9285,axiom,
    ( ~ esk680_2(X1,X2)
    | ~ esk714_2(X1,X2) )).

cnf(i_0_9286,axiom,
    ( esk2632_2(X1,X2)
    | esk2633_2(X1,X2) )).

cnf(i_0_9287,axiom,
    ( esk5221_2(X1,X2)
    | ~ esk5361_2(X1,X2) )).

cnf(i_0_9288,axiom,
    ( esk2473_2(X1,X2)
    | ~ esk2477_2(X1,X2) )).

cnf(i_0_9289,axiom,
    ( esk2382_2(X1,X2)
    | ~ esk2383_2(X1,X2) )).

cnf(i_0_9290,axiom,
    ( ~ esk1735_2(X1,X2)
    | ~ esk1733_2(X1,X2) )).

cnf(i_0_9291,axiom,
    ( ~ esk2803_2(X1,X2)
    | ~ esk2793_2(X1,X2)
    | esk2824_2(X1,X2) )).

cnf(i_0_9292,axiom,
    ( ~ esk1284_2(X1,X2)
    | esk1283_2(X1,X2) )).

cnf(i_0_9293,axiom,
    ( esk3295_2(X1,X2)
    | ~ esk4369_2(X1,X2) )).

cnf(i_0_9294,axiom,
    ( ~ esk3362_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_9295,axiom,
    ( esk5118_2(X1,X2)
    | ~ esk5122_2(X1,X2) )).

cnf(i_0_9296,axiom,
    ( ~ esk885_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_9297,axiom,
    ( esk1784_2(X1,X2)
    | esk1783_2(X1,X2) )).

cnf(i_0_9298,axiom,
    ( ~ esk2735_2(X1,X2)
    | esk499_2(X1,X2) )).

cnf(i_0_9299,axiom,
    ( ~ esk5390_2(X1,X2)
    | ~ esk3161_2(X1,X2) )).

cnf(i_0_9300,axiom,
    ( ~ esk4962_2(X1,X2)
    | ~ esk4961_2(X1,X2) )).

cnf(i_0_9301,axiom,
    ( ~ esk1603_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_9302,axiom,
    ( esk4608_2(X1,X2)
    | ~ esk4603_2(X1,X2)
    | ~ esk4607_2(X1,X2) )).

cnf(i_0_9303,axiom,
    ( esk2869_2(X1,X2)
    | ~ esk2868_2(X1,X2)
    | ~ esk67_2(X1,X2) )).

cnf(i_0_9304,axiom,
    ( esk3842_2(X1,X2)
    | ~ esk4319_2(X1,X2) )).

cnf(i_0_9305,axiom,
    ( esk1008_2(X1,X2)
    | ~ esk1009_2(X1,X2) )).

cnf(i_0_9306,axiom,
    ( ~ esk409_2(X1,X2)
    | ~ esk408_2(X1,X2) )).

cnf(i_0_9307,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4293_2(X1,X2) )).

cnf(i_0_9308,axiom,
    ( esk3793_2(X1,X2)
    | ~ esk3798_2(X1,X2) )).

cnf(i_0_9309,axiom,
    ( ~ esk1057_2(X1,X2)
    | esk324_2(X1,X2) )).

cnf(i_0_9310,axiom,
    ( ~ esk4380_2(X1,X2)
    | esk173_2(X1,X2) )).

cnf(i_0_9311,axiom,
    ( ~ esk425_2(X1,X2)
    | esk431_2(X1,X2)
    | ~ esk430_2(X1,X2) )).

cnf(i_0_9312,axiom,
    ( esk1595_2(X1,X2)
    | esk1596_2(X1,X2) )).

cnf(i_0_9313,axiom,
    ( esk231_2(X1,X2)
    | ~ esk5520_2(X1,X2)
    | esk2893_2(X1,X2) )).

cnf(i_0_9314,axiom,
    ( ~ esk3380_2(X1,X2)
    | ~ esk4819_2(X1,X2) )).

cnf(i_0_9315,axiom,
    ( ~ esk352_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_9316,axiom,
    ( ~ esk3856_2(X1,X2)
    | ~ esk3859_2(X1,X2) )).

cnf(i_0_9317,axiom,
    ( ~ esk1710_2(X1,X2)
    | esk64_2(X1,X2) )).

cnf(i_0_9318,axiom,
    ( esk4079_2(X1,X2)
    | ~ esk4164_2(X1,X2) )).

cnf(i_0_9319,axiom,
    ( esk1486_2(X1,X2)
    | ~ esk768_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | ~ esk997_2(X1,X2) )).

cnf(i_0_9320,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk5363_2(X1,X2) )).

cnf(i_0_9321,axiom,
    ( ~ esk4866_2(X1,X2)
    | esk4867_2(X1,X2)
    | ~ esk4853_2(X1,X2) )).

cnf(i_0_9322,axiom,
    ( ~ esk1623_2(X1,X2)
    | ~ esk5560_2(X1,X2)
    | ~ esk4276_2(X1,X2) )).

cnf(i_0_9323,axiom,
    ( ~ esk763_2(X1,X2)
    | ~ esk766_2(X1,X2)
    | esk767_2(X1,X2) )).

cnf(i_0_9324,axiom,
    ( ~ esk1387_2(X1,X2)
    | esk1403_2(X1,X2)
    | ~ esk1402_2(X1,X2)
    | ~ esk1399_2(X1,X2) )).

cnf(i_0_9325,axiom,
    ( ~ esk2143_2(X1,X2)
    | esk2142_2(X1,X2) )).

cnf(i_0_9326,axiom,
    ( esk5072_2(X1,X2)
    | ~ esk5073_2(X1,X2) )).

cnf(i_0_9327,axiom,
    ( ~ esk538_2(X1,X2)
    | ~ esk540_2(X1,X2) )).

cnf(i_0_9328,axiom,
    ( esk2817_2(X1,X2)
    | esk2818_2(X1,X2) )).

cnf(i_0_9329,axiom,
    ( ~ esk4292_2(X1,X2)
    | ~ esk4295_2(X1,X2) )).

cnf(i_0_9330,axiom,
    ( ~ esk5131_2(X1,X2)
    | esk5123_2(X1,X2) )).

cnf(i_0_9331,axiom,
    ( ~ esk351_2(X1,X2)
    | ~ esk354_2(X1,X2) )).

cnf(i_0_9332,axiom,
    ( ~ esk3143_2(X1,X2)
    | ~ esk3144_2(X1,X2) )).

cnf(i_0_9333,axiom,
    ( ~ esk3190_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_9334,axiom,
    ( ~ esk5487_2(X1,X2)
    | ~ esk2834_2(X1,X2)
    | ~ esk5604_2(X1,X2) )).

cnf(i_0_9335,axiom,
    ( ~ esk1169_2(X1,X2)
    | ~ esk1170_2(X1,X2) )).

cnf(i_0_9336,axiom,
    ( esk3980_2(X1,X2)
    | esk3979_2(X1,X2) )).

cnf(i_0_9337,axiom,
    ( ~ esk601_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_9338,axiom,
    ( esk3545_2(X1,X2)
    | esk3544_2(X1,X2) )).

cnf(i_0_9339,axiom,
    ( ~ esk4170_2(X1,X2)
    | ~ esk4231_2(X1,X2)
    | ~ esk4202_2(X1,X2)
    | ~ esk4172_2(X1,X2)
    | ~ esk4179_2(X1,X2)
    | ~ esk4169_2(X1,X2)
    | ~ esk4173_2(X1,X2)
    | ~ esk4230_2(X1,X2)
    | esk4232_2(X1,X2)
    | ~ esk4171_2(X1,X2) )).

cnf(i_0_9340,axiom,
    ( ~ esk3613_2(X1,X2)
    | ~ esk3620_2(X1,X2) )).

cnf(i_0_9341,axiom,
    ( ~ esk3463_2(X1,X2)
    | ~ esk3479_2(X1,X2)
    | ~ esk3661_2(X1,X2)
    | esk3857_2(X1,X2)
    | ~ esk3447_2(X1,X2) )).

cnf(i_0_9342,axiom,
    ( esk3239_2(X1,X2)
    | esk4008_2(X1,X2) )).

cnf(i_0_9343,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4338_2(X1,X2) )).

cnf(i_0_9344,axiom,
    ( esk1466_2(X1,X2)
    | esk1467_2(X1,X2) )).

cnf(i_0_9345,axiom,
    ( ~ esk3738_2(X1,X2)
    | esk3737_2(X1,X2) )).

cnf(i_0_9346,axiom,
    ( ~ esk2227_2(X1,X2)
    | ~ esk2228_2(X1,X2) )).

cnf(i_0_9347,axiom,
    ( ~ esk706_2(X1,X2)
    | esk2199_2(X1,X2)
    | ~ esk707_2(X1,X2)
    | ~ esk1018_2(X1,X2) )).

cnf(i_0_9348,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1756_2(X1,X2) )).

cnf(i_0_9349,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4546_2(X1,X2) )).

cnf(i_0_9350,axiom,
    ( esk5379_2(X1,X2)
    | esk5378_2(X1,X2) )).

cnf(i_0_9351,axiom,
    ( esk2934_2(X1,X2)
    | esk2935_2(X1,X2) )).

cnf(i_0_9352,axiom,
    ( esk4799_2(X1,X2)
    | esk4798_2(X1,X2) )).

cnf(i_0_9353,axiom,
    ( esk3260_2(X1,X2)
    | ~ esk3261_2(X1,X2) )).

cnf(i_0_9354,axiom,
    ( esk3348_2(X1,X2)
    | ~ esk3349_2(X1,X2) )).

cnf(i_0_9355,axiom,
    ( ~ esk3177_2(X1,X2)
    | esk3411_2(X1,X2)
    | ~ esk3410_2(X1,X2) )).

cnf(i_0_9356,axiom,
    ( esk4030_2(X1,X2)
    | ~ esk4026_2(X1,X2)
    | ~ esk4029_2(X1,X2) )).

cnf(i_0_9357,axiom,
    ( esk774_2(X1,X2)
    | ~ esk775_2(X1,X2) )).

cnf(i_0_9358,axiom,
    ( ~ esk685_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_9359,axiom,
    ( esk2802_2(X1,X2)
    | esk2803_2(X1,X2) )).

cnf(i_0_9360,axiom,
    ( ~ esk4295_2(X1,X2)
    | ~ esk4293_2(X1,X2) )).

cnf(i_0_9361,axiom,
    ( ~ esk865_2(X1,X2)
    | esk861_2(X1,X2) )).

cnf(i_0_9362,axiom,
    ( ~ esk4643_2(X1,X2)
    | ~ esk4642_2(X1,X2) )).

cnf(i_0_9363,axiom,
    ( esk149_2(X1,X2)
    | esk3397_2(X1,X2) )).

cnf(i_0_9364,axiom,
    ( esk2430_2(X1,X2)
    | ~ esk2431_2(X1,X2) )).

cnf(i_0_9365,axiom,
    ( ~ esk3628_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_9366,axiom,
    ( esk920_2(X1,X2)
    | esk919_2(X1,X2) )).

cnf(i_0_9367,axiom,
    ( ~ esk5243_2(X1,X2)
    | ~ esk5242_2(X1,X2) )).

cnf(i_0_9368,axiom,
    ( ~ esk1181_2(X1,X2)
    | ~ esk664_2(X1,X2) )).

cnf(i_0_9369,axiom,
    ( esk1341_2(X1,X2)
    | ~ esk1345_2(X1,X2) )).

cnf(i_0_9370,axiom,
    ( ~ esk5191_2(X1,X2)
    | esk5192_2(X1,X2)
    | ~ esk5187_2(X1,X2) )).

cnf(i_0_9371,axiom,
    ( ~ esk2900_2(X1,X2)
    | ~ esk2902_2(X1,X2)
    | esk2910_2(X1,X2)
    | ~ esk12_2(X1,X2) )).

cnf(i_0_9372,axiom,
    ( esk2827_2(X1,X2)
    | ~ esk2828_2(X1,X2) )).

cnf(i_0_9373,axiom,
    ( ~ esk3316_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_9374,axiom,
    ( ~ esk5025_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_9375,axiom,
    ( ~ esk1604_2(X1,X2)
    | ~ esk1603_2(X1,X2) )).

cnf(i_0_9376,axiom,
    ( esk418_2(X1,X2)
    | esk417_2(X1,X2) )).

cnf(i_0_9377,axiom,
    ( esk1796_2(X1,X2)
    | esk1797_2(X1,X2) )).

cnf(i_0_9378,axiom,
    ( ~ esk2134_2(X1,X2)
    | esk1027_2(X1,X2) )).

cnf(i_0_9379,axiom,
    ( ~ esk2357_2(X1,X2)
    | esk2358_2(X1,X2)
    | ~ esk2344_2(X1,X2) )).

cnf(i_0_9380,axiom,
    ( ~ esk1885_2(X1,X2)
    | ~ esk1884_2(X1,X2) )).

cnf(i_0_9381,axiom,
    ( esk2146_2(X1,X2)
    | esk2147_2(X1,X2) )).

cnf(i_0_9382,axiom,
    ( ~ esk3642_2(X1,X2)
    | esk3641_2(X1,X2) )).

cnf(i_0_9383,axiom,
    ( ~ esk5086_2(X1,X2)
    | esk5087_2(X1,X2)
    | ~ esk5082_2(X1,X2) )).

cnf(i_0_9384,axiom,
    ( ~ esk3506_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_9385,axiom,
    ( ~ esk130_2(X1,X2)
    | ~ esk312_2(X1,X2) )).

cnf(i_0_9386,axiom,
    ( ~ esk2438_2(X1,X2)
    | ~ esk2437_2(X1,X2) )).

cnf(i_0_9387,axiom,
    ( esk5471_2(X1,X2)
    | esk5470_2(X1,X2) )).

cnf(i_0_9388,axiom,
    ( esk3165_2(X1,X2)
    | ~ esk3427_2(X1,X2) )).

cnf(i_0_9389,axiom,
    ( ~ esk5187_2(X1,X2)
    | ~ esk5188_2(X1,X2) )).

cnf(i_0_9390,axiom,
    ( esk113_2(X1,X2)
    | ~ esk906_2(X1,X2) )).

cnf(i_0_9391,axiom,
    ( esk4970_2(X1,X2)
    | ~ esk4964_2(X1,X2)
    | ~ esk4969_2(X1,X2)
    | ~ esk164_2(X1,X2) )).

cnf(i_0_9392,axiom,
    ( ~ esk214_2(X1,X2)
    | esk35_2(X1,X2) )).

cnf(i_0_9393,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1516_2(X1,X2) )).

cnf(i_0_9394,axiom,
    ( ~ esk1587_2(X1,X2)
    | ~ esk1586_2(X1,X2) )).

cnf(i_0_9395,axiom,
    ( esk4608_2(X1,X2)
    | esk4609_2(X1,X2) )).

cnf(i_0_9396,axiom,
    ( esk1262_2(X1,X2)
    | esk1261_2(X1,X2) )).

cnf(i_0_9397,axiom,
    ( ~ esk2819_2(X1,X2)
    | ~ esk2821_2(X1,X2) )).

cnf(i_0_9398,axiom,
    ( esk4321_2(X1,X2)
    | esk4322_2(X1,X2)
    | esk4323_2(X1,X2)
    | esk4320_2(X1,X2)
    | esk4319_2(X1,X2) )).

cnf(i_0_9399,axiom,
    ( ~ esk364_2(X1,X2)
    | ~ esk365_2(X1,X2) )).

cnf(i_0_9400,axiom,
    ( ~ esk4507_2(X1,X2)
    | esk89_2(X1,X2) )).

cnf(i_0_9401,axiom,
    ( esk4508_2(X1,X2)
    | esk4506_2(X1,X2)
    | esk4509_2(X1,X2)
    | esk4507_2(X1,X2)
    | esk4505_2(X1,X2) )).

cnf(i_0_9402,axiom,
    ( esk471_2(X1,X2)
    | ~ esk472_2(X1,X2) )).

cnf(i_0_9403,axiom,
    ( esk170_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_9404,axiom,
    ( ~ esk3923_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_9405,axiom,
    ( ~ esk1502_2(X1,X2)
    | ~ esk1503_2(X1,X2) )).

cnf(i_0_9406,axiom,
    ( ~ esk4189_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_9407,axiom,
    ( ~ esk752_2(X1,X2)
    | ~ esk751_2(X1,X2) )).

cnf(i_0_9408,axiom,
    ( ~ esk1454_2(X1,X2)
    | ~ esk1455_2(X1,X2) )).

cnf(i_0_9409,axiom,
    ( ~ esk3330_2(X1,X2)
    | ~ esk3976_2(X1,X2)
    | esk3977_2(X1,X2) )).

cnf(i_0_9410,axiom,
    ( esk1745_2(X1,X2)
    | esk1746_2(X1,X2)
    | esk1744_2(X1,X2)
    | esk1743_2(X1,X2) )).

cnf(i_0_9411,axiom,
    ( ~ esk2173_2(X1,X2)
    | esk2177_2(X1,X2)
    | ~ esk2176_2(X1,X2) )).

cnf(i_0_9412,axiom,
    ( ~ esk2687_2(X1,X2)
    | ~ esk2688_2(X1,X2) )).

cnf(i_0_9413,axiom,
    ( ~ esk1766_2(X1,X2)
    | esk1762_2(X1,X2) )).

cnf(i_0_9414,axiom,
    ( ~ esk2477_2(X1,X2)
    | esk2437_2(X1,X2) )).

cnf(i_0_9415,axiom,
    ( esk651_2(X1,X2)
    | ~ esk1029_2(X1,X2) )).

cnf(i_0_9416,axiom,
    ( ~ esk2422_2(X1,X2)
    | ~ esk2423_2(X1,X2) )).

cnf(i_0_9417,axiom,
    ( ~ esk2052_2(X1,X2)
    | ~ esk2051_2(X1,X2) )).

cnf(i_0_9418,axiom,
    ( ~ esk262_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_9419,axiom,
    ( ~ esk818_2(X1,X2)
    | esk793_2(X1,X2) )).

cnf(i_0_9420,axiom,
    ( esk4037_2(X1,X2)
    | ~ esk4038_2(X1,X2) )).

cnf(i_0_9421,axiom,
    ( ~ esk718_2(X1,X2)
    | esk2091_2(X1,X2)
    | ~ esk2090_2(X1,X2) )).

cnf(i_0_9422,axiom,
    ( ~ esk2318_2(X1,X2)
    | ~ esk2312_2(X1,X2) )).

cnf(i_0_9423,axiom,
    ( ~ esk3427_2(X1,X2)
    | esk3426_2(X1,X2) )).

cnf(i_0_9424,axiom,
    ( esk3276_2(X1,X2)
    | esk3277_2(X1,X2) )).

cnf(i_0_9425,axiom,
    ( ~ esk4799_2(X1,X2)
    | ~ esk4800_2(X1,X2) )).

cnf(i_0_9426,axiom,
    ( ~ esk4554_2(X1,X2)
    | esk4334_2(X1,X2) )).

cnf(i_0_9427,axiom,
    ( ~ esk1725_2(X1,X2)
    | ~ esk1728_2(X1,X2) )).

cnf(i_0_9428,axiom,
    ( ~ esk2857_2(X1,X2)
    | esk3_2(X1,X2) )).

cnf(i_0_9429,axiom,
    ( esk5418_2(X1,X2)
    | ~ esk5424_2(X1,X2) )).

cnf(i_0_9430,axiom,
    ( esk119_2(X1,X2)
    | ~ esk3486_2(X1,X2) )).

cnf(i_0_9431,axiom,
    ( esk668_2(X1,X2)
    | esk1320_2(X1,X2) )).

cnf(i_0_9432,axiom,
    ( ~ esk1606_2(X1,X2)
    | ~ esk1610_2(X1,X2) )).

cnf(i_0_9433,axiom,
    ( esk4521_2(X1,X2)
    | esk4523_2(X1,X2)
    | esk4522_2(X1,X2)
    | esk4519_2(X1,X2)
    | esk4520_2(X1,X2) )).

cnf(i_0_9434,axiom,
    ( esk151_2(X1,X2)
    | esk719_2(X1,X2) )).

cnf(i_0_9435,axiom,
    ( ~ esk4177_2(X1,X2)
    | ~ esk4176_2(X1,X2) )).

cnf(i_0_9436,axiom,
    ( ~ esk4737_2(X1,X2)
    | ~ esk4740_2(X1,X2)
    | esk4741_2(X1,X2) )).

cnf(i_0_9437,axiom,
    ( esk3455_2(X1,X2)
    | ~ esk3858_2(X1,X2) )).

cnf(i_0_9438,axiom,
    ( ~ esk179_2(X1,X2)
    | esk2783_2(X1,X2)
    | ~ esk51_2(X1,X2)
    | ~ esk1074_2(X1,X2) )).

cnf(i_0_9439,axiom,
    ( ~ esk2467_2(X1,X2)
    | ~ esk2468_2(X1,X2) )).

cnf(i_0_9440,axiom,
    ( ~ esk2162_2(X1,X2)
    | esk2167_2(X1,X2)
    | ~ esk2166_2(X1,X2) )).

cnf(i_0_9441,axiom,
    ( ~ esk3037_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_9442,axiom,
    ( esk740_2(X1,X2)
    | ~ esk741_2(X1,X2) )).

cnf(i_0_9443,axiom,
    ( esk1103_2(X1,X2)
    | esk988_2(X1,X2)
    | esk1102_2(X1,X2) )).

cnf(i_0_9444,axiom,
    ( ~ esk140_2(X1,X2)
    | ~ esk2427_2(X1,X2) )).

cnf(i_0_9445,axiom,
    ( ~ esk3840_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_9446,axiom,
    ( ~ esk3455_2(X1,X2)
    | ~ esk3463_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk3479_2(X1,X2)
    | esk3877_2(X1,X2) )).

cnf(i_0_9447,axiom,
    ( esk1097_2(X1,X2)
    | esk1098_2(X1,X2) )).

cnf(i_0_9448,axiom,
    ( ~ esk211_2(X1,X2)
    | ~ esk212_2(X1,X2) )).

cnf(i_0_9449,axiom,
    ( ~ esk4929_2(X1,X2)
    | ~ esk4930_2(X1,X2) )).

cnf(i_0_9450,axiom,
    ( ~ esk2998_2(X1,X2)
    | ~ esk2997_2(X1,X2) )).

cnf(i_0_9451,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4404_2(X1,X2) )).

cnf(i_0_9452,axiom,
    ( esk5028_2(X1,X2)
    | ~ esk5029_2(X1,X2) )).

cnf(i_0_9453,axiom,
    ( esk16_2(X1,X2)
    | ~ esk4256_2(X1,X2) )).

cnf(i_0_9454,axiom,
    ( esk1075_2(X1,X2)
    | ~ esk1253_2(X1,X2) )).

cnf(i_0_9455,axiom,
    ( ~ esk2172_2(X1,X2)
    | ~ esk2173_2(X1,X2) )).

cnf(i_0_9456,axiom,
    ( ~ esk1727_2(X1,X2)
    | esk173_2(X1,X2) )).

cnf(i_0_9457,axiom,
    ( ~ esk4999_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_9458,axiom,
    ( ~ esk2577_2(X1,X2)
    | ~ esk2578_2(X1,X2) )).

cnf(i_0_9459,axiom,
    ( ~ esk5263_2(X1,X2)
    | esk3211_2(X1,X2) )).

cnf(i_0_9460,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4472_2(X1,X2) )).

cnf(i_0_9461,axiom,
    ( ~ esk1876_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_9462,axiom,
    ( ~ esk3766_2(X1,X2)
    | esk3765_2(X1,X2) )).

cnf(i_0_9463,axiom,
    ( ~ esk522_2(X1,X2)
    | esk521_2(X1,X2) )).

cnf(i_0_9464,axiom,
    ( ~ esk2144_2(X1,X2)
    | ~ esk2143_2(X1,X2) )).

cnf(i_0_9465,axiom,
    ( ~ esk1613_2(X1,X2)
    | esk1125_2(X1,X2) )).

cnf(i_0_9466,axiom,
    ( esk1319_2(X1,X2)
    | ~ esk1331_2(X1,X2) )).

cnf(i_0_9467,axiom,
    ( esk1420_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_9468,axiom,
    ( ~ esk768_2(X1,X2)
    | ~ esk1437_2(X1,X2) )).

cnf(i_0_9469,axiom,
    ( esk4331_2(X1,X2)
    | esk4330_2(X1,X2) )).

cnf(i_0_9470,axiom,
    ( ~ esk487_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_9471,axiom,
    ( ~ esk2001_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_9472,axiom,
    ( esk584_2(X1,X2)
    | esk585_2(X1,X2) )).

cnf(i_0_9473,axiom,
    ( ~ esk3617_2(X1,X2)
    | esk3259_2(X1,X2) )).

cnf(i_0_9474,axiom,
    ( esk3445_2(X1,X2)
    | esk3444_2(X1,X2) )).

cnf(i_0_9475,axiom,
    ( esk5017_2(X1,X2)
    | ~ esk5039_2(X1,X2) )).

cnf(i_0_9476,axiom,
    ( esk3348_2(X1,X2)
    | esk3347_2(X1,X2) )).

cnf(i_0_9477,axiom,
    ( ~ esk777_2(X1,X2)
    | ~ esk818_2(X1,X2)
    | esk819_2(X1,X2) )).

cnf(i_0_9478,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk1698_2(X1,X2) )).

cnf(i_0_9479,axiom,
    ( esk3197_2(X1,X2)
    | esk5347_2(X1,X2) )).

cnf(i_0_9480,axiom,
    ( ~ esk4060_2(X1,X2)
    | esk4039_2(X1,X2) )).

cnf(i_0_9481,axiom,
    ( ~ esk4080_2(X1,X2)
    | ~ esk4079_2(X1,X2) )).

cnf(i_0_9482,axiom,
    ( esk2782_2(X1,X2)
    | esk2491_2(X1,X2)
    | esk2784_2(X1,X2)
    | esk2785_2(X1,X2)
    | esk2783_2(X1,X2) )).

cnf(i_0_9483,axiom,
    ( esk4049_2(X1,X2)
    | esk4050_2(X1,X2) )).

cnf(i_0_9484,axiom,
    ( ~ esk4948_2(X1,X2)
    | ~ esk4952_2(X1,X2)
    | esk4953_2(X1,X2) )).

cnf(i_0_9485,axiom,
    ( ~ esk3294_2(X1,X2)
    | ~ esk3295_2(X1,X2) )).

cnf(i_0_9486,axiom,
    ( ~ esk5404_2(X1,X2)
    | esk5403_2(X1,X2) )).

cnf(i_0_9487,axiom,
    ( esk158_2(X1,X2)
    | esk193_2(X1,X2) )).

cnf(i_0_9488,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk3400_2(X1,X2)
    | esk3401_2(X1,X2) )).

cnf(i_0_9489,axiom,
    ( esk4642_2(X1,X2)
    | esk4643_2(X1,X2) )).

cnf(i_0_9490,axiom,
    ( ~ esk2700_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_9491,axiom,
    ( esk2324_2(X1,X2)
    | esk2325_2(X1,X2) )).

cnf(i_0_9492,axiom,
    ( ~ esk2784_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_9493,axiom,
    ( ~ esk3195_2(X1,X2)
    | esk3196_2(X1,X2)
    | ~ esk3192_2(X1,X2) )).

cnf(i_0_9494,axiom,
    ( ~ esk4919_2(X1,X2)
    | ~ esk4918_2(X1,X2) )).

cnf(i_0_9495,axiom,
    ( ~ esk1222_2(X1,X2)
    | esk801_2(X1,X2) )).

cnf(i_0_9496,axiom,
    ( ~ esk4446_2(X1,X2)
    | esk4108_2(X1,X2) )).

cnf(i_0_9497,axiom,
    ( esk3185_2(X1,X2)
    | ~ esk5364_2(X1,X2) )).

cnf(i_0_9498,axiom,
    ( ~ esk805_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_9499,axiom,
    ( esk2742_2(X1,X2)
    | ~ esk2743_2(X1,X2) )).

cnf(i_0_9500,axiom,
    ( esk1808_2(X1,X2)
    | esk1809_2(X1,X2) )).

cnf(i_0_9501,axiom,
    ( esk528_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_9502,axiom,
    ( esk5445_2(X1,X2)
    | ~ esk5472_2(X1,X2) )).

cnf(i_0_9503,axiom,
    ( ~ esk4486_2(X1,X2)
    | ~ esk1833_2(X1,X2)
    | ~ esk5588_2(X1,X2) )).

cnf(i_0_9504,axiom,
    ( esk572_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_9505,axiom,
    ( esk4484_2(X1,X2)
    | esk4483_2(X1,X2)
    | esk4485_2(X1,X2)
    | esk4481_2(X1,X2)
    | esk4482_2(X1,X2) )).

cnf(i_0_9506,axiom,
    ( ~ esk3288_2(X1,X2)
    | ~ esk3289_2(X1,X2) )).

cnf(i_0_9507,axiom,
    ( esk4223_2(X1,X2)
    | esk4224_2(X1,X2) )).

cnf(i_0_9508,axiom,
    ( esk1410_2(X1,X2)
    | esk1411_2(X1,X2) )).

cnf(i_0_9509,axiom,
    ( esk3138_2(X1,X2)
    | esk3135_2(X1,X2)
    | esk3137_2(X1,X2) )).

cnf(i_0_9510,axiom,
    ( ~ esk1031_2(X1,X2)
    | ~ esk2253_2(X1,X2) )).

cnf(i_0_9511,axiom,
    ( esk3281_2(X1,X2)
    | ~ esk120_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_9512,axiom,
    ( ~ esk1498_2(X1,X2)
    | esk995_2(X1,X2) )).

cnf(i_0_9513,axiom,
    ( esk889_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_9514,axiom,
    ( ~ esk757_2(X1,X2)
    | ~ esk758_2(X1,X2) )).

cnf(i_0_9515,axiom,
    ( esk1507_2(X1,X2)
    | ~ esk1502_2(X1,X2)
    | ~ esk1506_2(X1,X2) )).

cnf(i_0_9516,axiom,
    ( ~ esk2517_2(X1,X2)
    | ~ esk2518_2(X1,X2) )).

cnf(i_0_9517,axiom,
    ( esk1219_2(X1,X2)
    | ~ esk1683_2(X1,X2) )).

cnf(i_0_9518,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4518_2(X1,X2) )).

cnf(i_0_9519,axiom,
    ( esk909_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | ~ esk908_2(X1,X2) )).

cnf(i_0_9520,axiom,
    ( esk5132_2(X1,X2)
    | esk5130_2(X1,X2)
    | esk5131_2(X1,X2) )).

cnf(i_0_9521,axiom,
    ( esk4427_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_9522,axiom,
    ( ~ esk2927_2(X1,X2)
    | ~ esk2928_2(X1,X2) )).

cnf(i_0_9523,axiom,
    ( esk5357_2(X1,X2)
    | esk5356_2(X1,X2) )).

cnf(i_0_9524,axiom,
    ( esk549_2(X1,X2)
    | ~ esk2573_2(X1,X2) )).

cnf(i_0_9525,axiom,
    ( ~ esk2613_2(X1,X2)
    | esk2612_2(X1,X2) )).

cnf(i_0_9526,axiom,
    ( ~ esk2950_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_9527,axiom,
    ( esk5581_2(X1,X2)
    | ~ esk4444_2(X1,X2)
    | esk1791_2(X1,X2) )).

cnf(i_0_9528,axiom,
    ( ~ esk2981_2(X1,X2)
    | esk2983_2(X1,X2)
    | ~ esk2982_2(X1,X2) )).

cnf(i_0_9529,axiom,
    ( ~ esk5415_2(X1,X2)
    | esk5410_2(X1,X2) )).

cnf(i_0_9530,axiom,
    ( ~ esk4775_2(X1,X2)
    | ~ esk4774_2(X1,X2) )).

cnf(i_0_9531,axiom,
    ( ~ esk2062_2(X1,X2)
    | ~ esk2063_2(X1,X2) )).

cnf(i_0_9532,axiom,
    ( ~ esk3739_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_9533,axiom,
    ( esk1492_2(X1,X2)
    | ~ esk1491_2(X1,X2)
    | ~ esk1487_2(X1,X2) )).

cnf(i_0_9534,axiom,
    ( esk4135_2(X1,X2)
    | esk4136_2(X1,X2) )).

cnf(i_0_9535,axiom,
    ( ~ esk23_2(X1,X2)
    | esk1102_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_9536,axiom,
    ( ~ esk3737_2(X1,X2)
    | ~ esk4072_2(X1,X2) )).

cnf(i_0_9537,axiom,
    ( esk2053_2(X1,X2)
    | esk2054_2(X1,X2) )).

cnf(i_0_9538,axiom,
    ( esk786_2(X1,X2)
    | esk541_2(X1,X2) )).

cnf(i_0_9539,axiom,
    ( esk2302_2(X1,X2)
    | esk2303_2(X1,X2) )).

cnf(i_0_9540,axiom,
    ( ~ esk784_2(X1,X2)
    | esk780_2(X1,X2) )).

cnf(i_0_9541,axiom,
    ( esk2059_2(X1,X2)
    | esk2060_2(X1,X2) )).

cnf(i_0_9542,axiom,
    ( ~ esk5464_2(X1,X2)
    | ~ esk5462_2(X1,X2) )).

cnf(i_0_9543,axiom,
    ( esk3211_2(X1,X2)
    | esk5183_2(X1,X2) )).

cnf(i_0_9544,axiom,
    ( ~ esk1373_2(X1,X2)
    | ~ esk1372_2(X1,X2) )).

cnf(i_0_9545,axiom,
    ( ~ esk5059_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_9546,axiom,
    ( ~ esk4543_2(X1,X2)
    | esk77_2(X1,X2) )).

cnf(i_0_9547,axiom,
    ( esk123_2(X1,X2)
    | ~ esk3007_2(X1,X2) )).

cnf(i_0_9548,axiom,
    ( esk2692_2(X1,X2)
    | ~ esk2691_2(X1,X2)
    | ~ esk535_2(X1,X2) )).

cnf(i_0_9549,axiom,
    ( ~ esk1275_2(X1,X2)
    | ~ esk621_2(X1,X2) )).

cnf(i_0_9550,axiom,
    ( ~ esk3152_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_9551,axiom,
    ( esk4397_2(X1,X2)
    | ~ esk4229_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_9552,axiom,
    ( esk2076_2(X1,X2)
    | esk2075_2(X1,X2) )).

cnf(i_0_9553,axiom,
    ( ~ esk1376_2(X1,X2)
    | ~ esk1375_2(X1,X2) )).

cnf(i_0_9554,axiom,
    ( ~ esk3312_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_9555,axiom,
    ( ~ esk2934_2(X1,X2)
    | ~ esk2933_2(X1,X2) )).

cnf(i_0_9556,axiom,
    ( esk5273_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_9557,axiom,
    ( esk485_2(X1,X2)
    | esk484_2(X1,X2) )).

cnf(i_0_9558,axiom,
    ( ~ esk1191_2(X1,X2)
    | esk1638_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | ~ esk1189_2(X1,X2) )).

cnf(i_0_9559,axiom,
    ( ~ esk805_2(X1,X2)
    | ~ esk589_2(X1,X2)
    | esk806_2(X1,X2) )).

cnf(i_0_9560,axiom,
    ( esk5401_2(X1,X2)
    | ~ esk5397_2(X1,X2)
    | ~ esk5400_2(X1,X2) )).

cnf(i_0_9561,axiom,
    ( esk430_2(X1,X2)
    | esk429_2(X1,X2) )).

cnf(i_0_9562,axiom,
    ( esk5179_2(X1,X2)
    | ~ esk5184_2(X1,X2) )).

cnf(i_0_9563,axiom,
    ( esk4775_2(X1,X2)
    | ~ esk4777_2(X1,X2) )).

cnf(i_0_9564,axiom,
    ( ~ esk2610_2(X1,X2)
    | esk549_2(X1,X2) )).

cnf(i_0_9565,axiom,
    ( ~ esk1615_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_9566,axiom,
    ( ~ esk2257_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_9567,axiom,
    ( ~ esk4108_2(X1,X2)
    | ~ esk4109_2(X1,X2) )).

cnf(i_0_9568,axiom,
    ( esk5119_2(X1,X2)
    | esk5103_2(X1,X2) )).

cnf(i_0_9569,axiom,
    ( ~ esk33_2(X1,X2)
    | esk262_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | ~ esk238_2(X1,X2) )).

cnf(i_0_9570,axiom,
    ( ~ esk165_2(X1,X2)
    | esk256_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | ~ esk9_2(X1,X2) )).

cnf(i_0_9571,axiom,
    ( esk4687_2(X1,X2)
    | ~ esk4688_2(X1,X2) )).

cnf(i_0_9572,axiom,
    ( ~ esk1390_2(X1,X2)
    | ~ esk1389_2(X1,X2) )).

cnf(i_0_9573,axiom,
    ( ~ esk3689_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_9574,axiom,
    ( ~ esk4152_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_9575,axiom,
    ( ~ esk4492_2(X1,X2)
    | ~ esk5589_2(X1,X2)
    | ~ esk1839_2(X1,X2) )).

cnf(i_0_9576,axiom,
    ( esk3618_2(X1,X2)
    | ~ esk5149_2(X1,X2) )).

cnf(i_0_9577,axiom,
    ( ~ esk2696_2(X1,X2)
    | ~ esk2695_2(X1,X2) )).

cnf(i_0_9578,axiom,
    ( esk140_2(X1,X2)
    | ~ esk448_2(X1,X2) )).

cnf(i_0_9579,axiom,
    ( esk923_2(X1,X2)
    | esk924_2(X1,X2) )).

cnf(i_0_9580,axiom,
    ( esk4310_2(X1,X2)
    | esk4309_2(X1,X2) )).

cnf(i_0_9581,axiom,
    ( ~ esk5044_2(X1,X2)
    | esk5043_2(X1,X2) )).

cnf(i_0_9582,axiom,
    ( ~ esk3684_2(X1,X2)
    | esk4965_2(X1,X2)
    | ~ esk4964_2(X1,X2)
    | ~ esk4776_2(X1,X2) )).

cnf(i_0_9583,axiom,
    ( esk4998_2(X1,X2)
    | esk5001_2(X1,X2)
    | esk5000_2(X1,X2) )).

cnf(i_0_9584,axiom,
    ( esk1910_2(X1,X2)
    | esk1911_2(X1,X2)
    | esk1908_2(X1,X2) )).

cnf(i_0_9585,axiom,
    ( esk1756_2(X1,X2)
    | esk1755_2(X1,X2)
    | esk1758_2(X1,X2)
    | esk1757_2(X1,X2) )).

cnf(i_0_9586,axiom,
    ( ~ esk573_2(X1,X2)
    | ~ esk572_2(X1,X2) )).

cnf(i_0_9587,axiom,
    ( esk1506_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_9588,axiom,
    ( ~ esk5394_2(X1,X2)
    | ~ esk5398_2(X1,X2)
    | esk5399_2(X1,X2) )).

cnf(i_0_9589,axiom,
    ( ~ esk1035_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_9590,axiom,
    ( ~ esk2254_2(X1,X2)
    | esk2253_2(X1,X2) )).

cnf(i_0_9591,axiom,
    ( esk609_2(X1,X2)
    | ~ esk692_2(X1,X2) )).

cnf(i_0_9592,axiom,
    ( ~ esk3351_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_9593,axiom,
    ( ~ esk4276_2(X1,X2)
    | ~ esk4275_2(X1,X2) )).

cnf(i_0_9594,axiom,
    ( ~ esk862_2(X1,X2)
    | ~ esk861_2(X1,X2) )).

cnf(i_0_9595,axiom,
    ( ~ esk870_2(X1,X2)
    | ~ esk868_2(X1,X2) )).

cnf(i_0_9596,axiom,
    ( ~ esk2861_2(X1,X2)
    | esk199_2(X1,X2)
    | esk5511_2(X1,X2) )).

cnf(i_0_9597,axiom,
    ( ~ esk2464_2(X1,X2)
    | esk2450_2(X1,X2) )).

cnf(i_0_9598,axiom,
    ( ~ esk515_2(X1,X2)
    | ~ esk145_2(X1,X2)
    | esk950_2(X1,X2) )).

cnf(i_0_9599,axiom,
    ( ~ esk3306_2(X1,X2)
    | esk3305_2(X1,X2) )).

cnf(i_0_9600,axiom,
    ( esk434_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_9601,axiom,
    ( ~ esk232_2(X1,X2)
    | ~ esk234_2(X1,X2) )).

cnf(i_0_9602,axiom,
    ( ~ esk3791_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_9603,axiom,
    ( esk1725_2(X1,X2)
    | esk1727_2(X1,X2)
    | esk1726_2(X1,X2)
    | esk1714_2(X1,X2)
    | esk1728_2(X1,X2) )).

cnf(i_0_9604,axiom,
    ( ~ esk1666_2(X1,X2)
    | esk1189_2(X1,X2) )).

cnf(i_0_9605,axiom,
    ( ~ esk3504_2(X1,X2)
    | esk3503_2(X1,X2) )).

cnf(i_0_9606,axiom,
    ( esk5200_2(X1,X2)
    | esk5201_2(X1,X2) )).

cnf(i_0_9607,axiom,
    ( ~ esk4217_2(X1,X2)
    | ~ esk3626_2(X1,X2) )).

cnf(i_0_9608,axiom,
    ( esk5418_2(X1,X2)
    | ~ esk5419_2(X1,X2) )).

cnf(i_0_9609,axiom,
    ( ~ esk3944_2(X1,X2)
    | ~ esk3943_2(X1,X2) )).

cnf(i_0_9610,axiom,
    ( ~ esk4516_2(X1,X2)
    | ~ esk4515_2(X1,X2) )).

cnf(i_0_9611,axiom,
    ( ~ esk4550_2(X1,X2)
    | ~ esk4551_2(X1,X2) )).

cnf(i_0_9612,axiom,
    ( ~ esk3877_2(X1,X2)
    | esk3455_2(X1,X2) )).

cnf(i_0_9613,axiom,
    ( esk1393_2(X1,X2)
    | esk1394_2(X1,X2) )).

cnf(i_0_9614,axiom,
    ( ~ esk1726_2(X1,X2)
    | esk172_2(X1,X2) )).

cnf(i_0_9615,axiom,
    ( ~ esk2766_2(X1,X2)
    | esk2765_2(X1,X2) )).

cnf(i_0_9616,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk1680_2(X1,X2)
    | esk1889_2(X1,X2)
    | ~ esk87_2(X1,X2) )).

cnf(i_0_9617,axiom,
    ( esk3266_2(X1,X2)
    | esk3265_2(X1,X2) )).

cnf(i_0_9618,axiom,
    ( ~ esk185_2(X1,X2)
    | ~ esk2847_2(X1,X2)
    | ~ esk5500_2(X1,X2) )).

cnf(i_0_9619,axiom,
    ( ~ esk1329_2(X1,X2)
    | esk1319_2(X1,X2) )).

cnf(i_0_9620,axiom,
    ( esk5539_2(X1,X2)
    | ~ esk1073_2(X1,X2)
    | esk3726_2(X1,X2) )).

cnf(i_0_9621,axiom,
    ( esk3318_2(X1,X2)
    | ~ esk3635_2(X1,X2) )).

cnf(i_0_9622,axiom,
    ( ~ esk4092_2(X1,X2)
    | ~ esk4091_2(X1,X2) )).

cnf(i_0_9623,axiom,
    ( ~ esk949_2(X1,X2)
    | esk527_2(X1,X2) )).

cnf(i_0_9624,axiom,
    ( ~ esk2066_2(X1,X2)
    | ~ esk2054_2(X1,X2)
    | esk2067_2(X1,X2) )).

cnf(i_0_9625,axiom,
    ( esk1197_2(X1,X2)
    | esk1198_2(X1,X2) )).

cnf(i_0_9626,axiom,
    ( ~ esk1276_2(X1,X2)
    | esk1275_2(X1,X2) )).

cnf(i_0_9627,axiom,
    ( ~ esk3330_2(X1,X2)
    | ~ esk3400_2(X1,X2) )).

cnf(i_0_9628,axiom,
    ( ~ esk3120_2(X1,X2)
    | ~ esk3119_2(X1,X2) )).

cnf(i_0_9629,axiom,
    ( ~ esk878_2(X1,X2)
    | ~ esk877_2(X1,X2) )).

cnf(i_0_9630,axiom,
    ( ~ esk1798_2(X1,X2)
    | ~ esk1801_2(X1,X2) )).

cnf(i_0_9631,axiom,
    ( ~ esk3350_2(X1,X2)
    | ~ esk3717_2(X1,X2) )).

cnf(i_0_9632,axiom,
    ( esk180_2(X1,X2)
    | ~ esk1710_2(X1,X2) )).

cnf(i_0_9633,axiom,
    ( ~ esk1634_2(X1,X2)
    | esk1191_2(X1,X2) )).

cnf(i_0_9634,axiom,
    ( esk2266_2(X1,X2)
    | esk2265_2(X1,X2) )).

cnf(i_0_9635,axiom,
    ( esk2905_2(X1,X2)
    | ~ esk2900_2(X1,X2)
    | ~ esk2901_2(X1,X2) )).

cnf(i_0_9636,axiom,
    ( esk1088_2(X1,X2)
    | esk1089_2(X1,X2) )).

cnf(i_0_9637,axiom,
    ( ~ esk2728_2(X1,X2)
    | ~ esk2731_2(X1,X2)
    | esk2732_2(X1,X2) )).

cnf(i_0_9638,axiom,
    ( ~ esk1370_2(X1,X2)
    | ~ esk1369_2(X1,X2) )).

cnf(i_0_9639,axiom,
    ( esk660_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_9640,axiom,
    ( esk3523_2(X1,X2)
    | ~ esk3531_2(X1,X2) )).

cnf(i_0_9641,axiom,
    ( ~ esk1073_2(X1,X2)
    | ~ esk3726_2(X1,X2)
    | ~ esk5539_2(X1,X2) )).

cnf(i_0_9642,axiom,
    ( esk121_2(X1,X2)
    | ~ esk4567_2(X1,X2) )).

cnf(i_0_9643,axiom,
    ( ~ esk2376_2(X1,X2)
    | ~ esk2380_2(X1,X2) )).

cnf(i_0_9644,axiom,
    ( esk1450_2(X1,X2)
    | esk1451_2(X1,X2) )).

cnf(i_0_9645,axiom,
    ( esk1016_2(X1,X2)
    | ~ esk2255_2(X1,X2) )).

cnf(i_0_9646,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4286_2(X1,X2) )).

cnf(i_0_9647,axiom,
    ( esk4044_2(X1,X2)
    | ~ esk4049_2(X1,X2) )).

cnf(i_0_9648,axiom,
    ( esk512_2(X1,X2)
    | ~ esk487_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_9649,axiom,
    ( ~ esk3223_2(X1,X2)
    | ~ esk5273_2(X1,X2) )).

cnf(i_0_9650,axiom,
    ( ~ esk4057_2(X1,X2)
    | ~ esk4061_2(X1,X2)
    | esk4062_2(X1,X2) )).

cnf(i_0_9651,axiom,
    ( ~ esk1401_2(X1,X2)
    | esk1378_2(X1,X2) )).

cnf(i_0_9652,axiom,
    ( esk2858_2(X1,X2)
    | esk2857_2(X1,X2) )).

cnf(i_0_9653,axiom,
    ( ~ esk4747_2(X1,X2)
    | ~ esk4748_2(X1,X2) )).

cnf(i_0_9654,axiom,
    ( esk631_2(X1,X2)
    | ~ esk125_2(X1,X2)
    | ~ esk116_2(X1,X2) )).

cnf(i_0_9655,axiom,
    ( esk4424_2(X1,X2)
    | esk4425_2(X1,X2) )).

cnf(i_0_9656,axiom,
    ( ~ esk130_2(X1,X2)
    | esk1968_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_9657,axiom,
    ( ~ esk3842_2(X1,X2)
    | esk4319_2(X1,X2)
    | ~ esk4233_2(X1,X2)
    | ~ esk4234_2(X1,X2) )).

cnf(i_0_9658,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk1632_2(X1,X2) )).

cnf(i_0_9659,axiom,
    ( esk317_2(X1,X2)
    | esk168_2(X1,X2) )).

cnf(i_0_9660,axiom,
    ( ~ esk4731_2(X1,X2)
    | ~ esk4732_2(X1,X2) )).

cnf(i_0_9661,axiom,
    ( esk3337_2(X1,X2)
    | esk3338_2(X1,X2) )).

cnf(i_0_9662,axiom,
    ( ~ esk2484_2(X1,X2)
    | ~ esk2483_2(X1,X2) )).

cnf(i_0_9663,axiom,
    ( ~ esk3460_2(X1,X2)
    | esk3459_2(X1,X2) )).

cnf(i_0_9664,axiom,
    ( ~ esk698_2(X1,X2)
    | ~ esk2224_2(X1,X2) )).

cnf(i_0_9665,axiom,
    ( ~ esk4178_2(X1,X2)
    | ~ esk4177_2(X1,X2) )).

cnf(i_0_9666,axiom,
    ( ~ esk1604_2(X1,X2)
    | ~ esk1605_2(X1,X2) )).

cnf(i_0_9667,axiom,
    ( ~ esk5412_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_9668,axiom,
    ( ~ esk428_2(X1,X2)
    | ~ esk429_2(X1,X2) )).

cnf(i_0_9669,axiom,
    ( ~ esk3571_2(X1,X2)
    | esk3572_2(X1,X2)
    | ~ esk3568_2(X1,X2) )).

cnf(i_0_9670,axiom,
    ( ~ esk3301_2(X1,X2)
    | ~ esk3973_2(X1,X2)
    | esk3974_2(X1,X2) )).

cnf(i_0_9671,axiom,
    ( esk1503_2(X1,X2)
    | esk1502_2(X1,X2) )).

cnf(i_0_9672,axiom,
    ( esk3215_2(X1,X2)
    | ~ esk3659_2(X1,X2) )).

cnf(i_0_9673,axiom,
    ( ~ esk3241_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_9674,axiom,
    ( ~ esk1766_2(X1,X2)
    | esk1763_2(X1,X2) )).

cnf(i_0_9675,axiom,
    ( ~ esk1730_2(X1,X2)
    | esk1711_2(X1,X2) )).

cnf(i_0_9676,axiom,
    ( esk3784_2(X1,X2)
    | esk3783_2(X1,X2) )).

cnf(i_0_9677,axiom,
    ( ~ esk931_2(X1,X2)
    | esk912_2(X1,X2) )).

cnf(i_0_9678,axiom,
    ( esk440_2(X1,X2)
    | ~ esk441_2(X1,X2) )).

cnf(i_0_9679,axiom,
    ( esk3446_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_9680,axiom,
    ( esk768_2(X1,X2)
    | ~ esk1486_2(X1,X2) )).

cnf(i_0_9681,axiom,
    ( esk2531_2(X1,X2)
    | esk2532_2(X1,X2) )).

cnf(i_0_9682,axiom,
    ( ~ esk1007_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_9683,axiom,
    ( esk3331_2(X1,X2)
    | esk3330_2(X1,X2) )).

cnf(i_0_9684,axiom,
    ( esk4303_2(X1,X2)
    | ~ esk4521_2(X1,X2) )).

cnf(i_0_9685,axiom,
    ( ~ esk3264_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_9686,axiom,
    ( esk5447_2(X1,X2)
    | ~ esk5445_2(X1,X2)
    | ~ esk5446_2(X1,X2) )).

cnf(i_0_9687,axiom,
    ( esk2793_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_9688,axiom,
    ( esk3785_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_9689,axiom,
    ( ~ esk1937_2(X1,X2)
    | ~ esk1936_2(X1,X2) )).

cnf(i_0_9690,axiom,
    ( ~ esk3388_2(X1,X2)
    | ~ esk3680_2(X1,X2)
    | esk4787_2(X1,X2) )).

cnf(i_0_9691,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5153_2(X1,X2) )).

cnf(i_0_9692,axiom,
    ( esk2079_2(X1,X2)
    | esk2078_2(X1,X2) )).

cnf(i_0_9693,axiom,
    ( esk74_2(X1,X2)
    | ~ esk1692_2(X1,X2) )).

cnf(i_0_9694,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk466_2(X1,X2) )).

cnf(i_0_9695,axiom,
    ( ~ esk1219_2(X1,X2)
    | ~ esk1220_2(X1,X2) )).

cnf(i_0_9696,axiom,
    ( esk1970_2(X1,X2)
    | esk1968_2(X1,X2)
    | esk1971_2(X1,X2) )).

cnf(i_0_9697,axiom,
    ( esk2873_2(X1,X2)
    | ~ esk2876_2(X1,X2) )).

cnf(i_0_9698,axiom,
    ( esk3725_2(X1,X2)
    | ~ esk4342_2(X1,X2) )).

cnf(i_0_9699,axiom,
    ( ~ esk2772_2(X1,X2)
    | ~ esk2766_2(X1,X2) )).

cnf(i_0_9700,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1879_2(X1,X2) )).

cnf(i_0_9701,axiom,
    ( esk1994_2(X1,X2)
    | ~ esk1998_2(X1,X2) )).

cnf(i_0_9702,axiom,
    ( ~ esk265_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_9703,axiom,
    ( esk3809_2(X1,X2)
    | ~ esk3326_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_9704,axiom,
    ( ~ esk4349_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_9705,axiom,
    ( ~ esk5521_2(X1,X2)
    | ~ esk2899_2(X1,X2)
    | ~ esk237_2(X1,X2) )).

cnf(i_0_9706,axiom,
    ( ~ esk1327_2(X1,X2)
    | ~ esk1333_2(X1,X2) )).

cnf(i_0_9707,axiom,
    ( esk2000_2(X1,X2)
    | ~ esk2027_2(X1,X2) )).

cnf(i_0_9708,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk94_2(X1,X2)
    | esk2351_2(X1,X2) )).

cnf(i_0_9709,axiom,
    ( esk661_2(X1,X2)
    | esk662_2(X1,X2) )).

cnf(i_0_9710,axiom,
    ( ~ esk3549_2(X1,X2)
    | ~ esk3550_2(X1,X2) )).

cnf(i_0_9711,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | esk2328_2(X1,X2)
    | ~ esk2327_2(X1,X2) )).

cnf(i_0_9712,axiom,
    ( esk5597_2(X1,X2)
    | esk1893_2(X1,X2)
    | ~ esk4546_2(X1,X2) )).

cnf(i_0_9713,axiom,
    ( ~ esk3602_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_9714,axiom,
    ( esk15_2(X1,X2)
    | ~ esk220_2(X1,X2) )).

cnf(i_0_9715,axiom,
    ( ~ esk1808_2(X1,X2)
    | ~ esk1806_2(X1,X2) )).

cnf(i_0_9716,axiom,
    ( ~ esk309_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk96_2(X1,X2)
    | esk380_2(X1,X2) )).

cnf(i_0_9717,axiom,
    ( ~ esk2700_2(X1,X2)
    | ~ esk2701_2(X1,X2) )).

cnf(i_0_9718,axiom,
    ( ~ esk3019_2(X1,X2)
    | ~ esk3018_2(X1,X2) )).

cnf(i_0_9719,axiom,
    ( ~ esk3723_2(X1,X2)
    | ~ esk3724_2(X1,X2) )).

cnf(i_0_9720,axiom,
    ( esk402_2(X1,X2)
    | esk403_2(X1,X2) )).

cnf(i_0_9721,axiom,
    ( ~ esk2034_2(X1,X2)
    | ~ esk2032_2(X1,X2) )).

cnf(i_0_9722,axiom,
    ( ~ esk3091_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_9723,axiom,
    ( ~ esk4028_2(X1,X2)
    | esk4027_2(X1,X2) )).

cnf(i_0_9724,axiom,
    ( ~ esk1254_2(X1,X2)
    | ~ esk1255_2(X1,X2) )).

cnf(i_0_9725,axiom,
    ( ~ esk1167_2(X1,X2)
    | ~ esk1519_2(X1,X2) )).

cnf(i_0_9726,axiom,
    ( esk3978_2(X1,X2)
    | esk3977_2(X1,X2) )).

cnf(i_0_9727,axiom,
    ( esk809_2(X1,X2)
    | ~ esk818_2(X1,X2) )).

cnf(i_0_9728,axiom,
    ( esk736_2(X1,X2)
    | esk737_2(X1,X2) )).

cnf(i_0_9729,axiom,
    ( ~ esk3373_2(X1,X2)
    | esk3374_2(X1,X2)
    | ~ esk3342_2(X1,X2) )).

cnf(i_0_9730,axiom,
    ( ~ esk3619_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_9731,axiom,
    ( esk734_2(X1,X2)
    | ~ esk2125_2(X1,X2) )).

cnf(i_0_9732,axiom,
    ( ~ esk3797_2(X1,X2)
    | esk3798_2(X1,X2)
    | ~ esk3793_2(X1,X2) )).

cnf(i_0_9733,axiom,
    ( esk903_2(X1,X2)
    | esk904_2(X1,X2) )).

cnf(i_0_9734,axiom,
    ( esk2029_2(X1,X2)
    | ~ esk2000_2(X1,X2)
    | ~ esk2028_2(X1,X2)
    | ~ esk2025_2(X1,X2) )).

cnf(i_0_9735,axiom,
    ( esk3557_2(X1,X2)
    | ~ esk3595_2(X1,X2) )).

cnf(i_0_9736,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk3384_2(X1,X2) )).

cnf(i_0_9737,axiom,
    ( ~ esk5205_2(X1,X2)
    | esk5204_2(X1,X2) )).

cnf(i_0_9738,axiom,
    ( esk604_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_9739,axiom,
    ( esk798_2(X1,X2)
    | esk799_2(X1,X2) )).

cnf(i_0_9740,axiom,
    ( esk1134_2(X1,X2)
    | esk1150_2(X1,X2)
    | esk1149_2(X1,X2)
    | esk1151_2(X1,X2) )).

cnf(i_0_9741,axiom,
    ( esk2159_2(X1,X2)
    | esk2160_2(X1,X2) )).

cnf(i_0_9742,axiom,
    ( ~ esk455_2(X1,X2)
    | ~ esk454_2(X1,X2) )).

cnf(i_0_9743,axiom,
    ( ~ esk739_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_9744,axiom,
    ( ~ esk2505_2(X1,X2)
    | ~ esk2504_2(X1,X2) )).

cnf(i_0_9745,axiom,
    ( esk3834_2(X1,X2)
    | ~ esk3835_2(X1,X2) )).

cnf(i_0_9746,axiom,
    ( ~ esk2533_2(X1,X2)
    | esk2532_2(X1,X2) )).

cnf(i_0_9747,axiom,
    ( ~ esk3634_2(X1,X2)
    | ~ esk3640_2(X1,X2) )).

cnf(i_0_9748,axiom,
    ( esk514_2(X1,X2)
    | esk515_2(X1,X2) )).

cnf(i_0_9749,axiom,
    ( ~ esk2262_2(X1,X2)
    | ~ esk2267_2(X1,X2) )).

cnf(i_0_9750,axiom,
    ( ~ esk4440_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_9751,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | ~ esk1068_2(X1,X2)
    | esk1069_2(X1,X2) )).

cnf(i_0_9752,axiom,
    ( esk3699_2(X1,X2)
    | esk3698_2(X1,X2) )).

cnf(i_0_9753,axiom,
    ( ~ esk3055_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_9754,axiom,
    ( ~ esk990_2(X1,X2)
    | ~ esk978_2(X1,X2) )).

cnf(i_0_9755,axiom,
    ( esk3370_2(X1,X2)
    | ~ esk3371_2(X1,X2) )).

cnf(i_0_9756,axiom,
    ( ~ esk4832_2(X1,X2)
    | ~ esk4831_2(X1,X2) )).

cnf(i_0_9757,axiom,
    ( ~ esk1374_2(X1,X2)
    | ~ esk491_2(X1,X2)
    | esk1375_2(X1,X2) )).

cnf(i_0_9758,axiom,
    ( ~ esk3771_2(X1,X2)
    | esk3767_2(X1,X2) )).

cnf(i_0_9759,axiom,
    ( ~ esk4040_2(X1,X2)
    | ~ esk4039_2(X1,X2) )).

cnf(i_0_9760,axiom,
    ( esk1447_2(X1,X2)
    | ~ esk1448_2(X1,X2) )).

cnf(i_0_9761,axiom,
    ( esk4233_2(X1,X2)
    | ~ esk4326_2(X1,X2) )).

cnf(i_0_9762,axiom,
    ( ~ esk205_2(X1,X2)
    | esk5514_2(X1,X2)
    | esk2867_2(X1,X2) )).

cnf(i_0_9763,axiom,
    ( ~ esk3491_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_9764,axiom,
    ( ~ esk4362_2(X1,X2)
    | ~ esk5572_2(X1,X2)
    | ~ esk1709_2(X1,X2) )).

cnf(i_0_9765,axiom,
    ( esk4444_2(X1,X2)
    | esk4443_2(X1,X2) )).

cnf(i_0_9766,axiom,
    ( ~ esk5440_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_9767,axiom,
    ( esk2064_2(X1,X2)
    | ~ esk2063_2(X1,X2)
    | ~ esk2060_2(X1,X2) )).

cnf(i_0_9768,axiom,
    ( ~ esk4084_2(X1,X2)
    | ~ esk4083_2(X1,X2) )).

cnf(i_0_9769,axiom,
    ( esk2208_2(X1,X2)
    | esk2204_2(X1,X2) )).

cnf(i_0_9770,axiom,
    ( esk5115_2(X1,X2)
    | ~ esk5120_2(X1,X2) )).

cnf(i_0_9771,axiom,
    ( ~ esk4413_2(X1,X2)
    | ~ esk5578_2(X1,X2)
    | ~ esk1760_2(X1,X2) )).

cnf(i_0_9772,axiom,
    ( ~ esk3567_2(X1,X2)
    | ~ esk3568_2(X1,X2) )).

cnf(i_0_9773,axiom,
    ( ~ esk2581_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_9774,axiom,
    ( esk745_2(X1,X2)
    | ~ esk746_2(X1,X2) )).

cnf(i_0_9775,axiom,
    ( ~ esk637_2(X1,X2)
    | ~ esk638_2(X1,X2) )).

cnf(i_0_9776,axiom,
    ( esk1681_2(X1,X2)
    | ~ esk1888_2(X1,X2) )).

cnf(i_0_9777,axiom,
    ( ~ esk1071_2(X1,X2)
    | ~ esk1072_2(X1,X2) )).

cnf(i_0_9778,axiom,
    ( esk119_2(X1,X2)
    | esk283_2(X1,X2) )).

cnf(i_0_9779,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4268_2(X1,X2) )).

cnf(i_0_9780,axiom,
    ( ~ esk5306_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_9781,axiom,
    ( ~ esk4083_2(X1,X2)
    | esk4079_2(X1,X2) )).

cnf(i_0_9782,axiom,
    ( esk2693_2(X1,X2)
    | ~ esk2697_2(X1,X2) )).

cnf(i_0_9783,axiom,
    ( ~ esk3222_2(X1,X2)
    | ~ esk3223_2(X1,X2) )).

cnf(i_0_9784,axiom,
    ( esk3728_2(X1,X2)
    | ~ esk5144_2(X1,X2) )).

cnf(i_0_9785,axiom,
    ( ~ esk3338_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3326_2(X1,X2)
    | esk3638_2(X1,X2)
    | ~ esk3637_2(X1,X2) )).

cnf(i_0_9786,axiom,
    ( esk2455_2(X1,X2)
    | esk2454_2(X1,X2) )).

cnf(i_0_9787,axiom,
    ( esk4882_2(X1,X2)
    | ~ esk4883_2(X1,X2) )).

cnf(i_0_9788,axiom,
    ( ~ esk1895_2(X1,X2)
    | esk1681_2(X1,X2) )).

cnf(i_0_9789,axiom,
    ( esk3005_2(X1,X2)
    | ~ esk3807_2(X1,X2) )).

cnf(i_0_9790,axiom,
    ( ~ esk3357_2(X1,X2)
    | esk3356_2(X1,X2) )).

cnf(i_0_9791,axiom,
    ( esk4052_2(X1,X2)
    | ~ esk4060_2(X1,X2) )).

cnf(i_0_9792,axiom,
    ( esk3481_2(X1,X2)
    | esk5531_2(X1,X2)
    | ~ esk819_2(X1,X2) )).

cnf(i_0_9793,axiom,
    ( esk2169_2(X1,X2)
    | esk2170_2(X1,X2) )).

cnf(i_0_9794,axiom,
    ( esk5245_2(X1,X2)
    | esk5246_2(X1,X2) )).

cnf(i_0_9795,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk2366_2(X1,X2) )).

cnf(i_0_9796,axiom,
    ( esk4449_2(X1,X2)
    | ~ esk4541_2(X1,X2) )).

cnf(i_0_9797,axiom,
    ( esk3853_2(X1,X2)
    | ~ esk4452_2(X1,X2) )).

cnf(i_0_9798,axiom,
    ( ~ esk3191_2(X1,X2)
    | esk3190_2(X1,X2) )).

cnf(i_0_9799,axiom,
    ( ~ esk5412_2(X1,X2)
    | esk5411_2(X1,X2) )).

cnf(i_0_9800,axiom,
    ( esk2911_2(X1,X2)
    | ~ esk2902_2(X1,X2)
    | ~ esk32_2(X1,X2)
    | ~ esk165_2(X1,X2) )).

cnf(i_0_9801,axiom,
    ( ~ esk3953_2(X1,X2)
    | esk3952_2(X1,X2) )).

cnf(i_0_9802,axiom,
    ( esk3725_2(X1,X2)
    | ~ esk4312_2(X1,X2) )).

cnf(i_0_9803,axiom,
    ( ~ esk2494_2(X1,X2)
    | esk965_2(X1,X2) )).

cnf(i_0_9804,axiom,
    ( esk1332_2(X1,X2)
    | esk1331_2(X1,X2)
    | esk1329_2(X1,X2) )).

cnf(i_0_9805,axiom,
    ( ~ esk5249_2(X1,X2)
    | ~ esk5231_2(X1,X2) )).

cnf(i_0_9806,axiom,
    ( esk3734_2(X1,X2)
    | esk3735_2(X1,X2) )).

cnf(i_0_9807,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk5105_2(X1,X2)
    | esk5106_2(X1,X2) )).

cnf(i_0_9808,axiom,
    ( ~ esk589_2(X1,X2)
    | ~ esk1374_2(X1,X2) )).

cnf(i_0_9809,axiom,
    ( esk1784_2(X1,X2)
    | ~ esk1874_2(X1,X2) )).

cnf(i_0_9810,axiom,
    ( esk1680_2(X1,X2)
    | ~ esk1682_2(X1,X2) )).

cnf(i_0_9811,axiom,
    ( ~ esk2972_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_9812,axiom,
    ( ~ esk2512_2(X1,X2)
    | ~ esk2513_2(X1,X2) )).

cnf(i_0_9813,axiom,
    ( esk633_2(X1,X2)
    | ~ esk1287_2(X1,X2) )).

cnf(i_0_9814,axiom,
    ( esk3404_2(X1,X2)
    | ~ esk3677_2(X1,X2) )).

cnf(i_0_9815,axiom,
    ( ~ esk4783_2(X1,X2)
    | ~ esk4803_2(X1,X2) )).

cnf(i_0_9816,axiom,
    ( ~ esk2329_2(X1,X2)
    | esk1041_2(X1,X2) )).

cnf(i_0_9817,axiom,
    ( ~ esk4384_2(X1,X2)
    | esk3775_2(X1,X2) )).

cnf(i_0_9818,axiom,
    ( ~ esk5289_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_9819,axiom,
    ( esk3516_2(X1,X2)
    | esk3515_2(X1,X2) )).

cnf(i_0_9820,axiom,
    ( esk554_2(X1,X2)
    | ~ esk555_2(X1,X2) )).

cnf(i_0_9821,axiom,
    ( esk1349_2(X1,X2)
    | esk1348_2(X1,X2) )).

cnf(i_0_9822,axiom,
    ( esk3381_2(X1,X2)
    | ~ esk3382_2(X1,X2) )).

cnf(i_0_9823,axiom,
    ( ~ esk2179_2(X1,X2)
    | ~ esk2178_2(X1,X2) )).

cnf(i_0_9824,axiom,
    ( esk1183_2(X1,X2)
    | esk1182_2(X1,X2) )).

cnf(i_0_9825,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk3558_2(X1,X2) )).

cnf(i_0_9826,axiom,
    ( ~ esk926_2(X1,X2)
    | esk925_2(X1,X2) )).

cnf(i_0_9827,axiom,
    ( ~ esk3211_2(X1,X2)
    | ~ esk3210_2(X1,X2) )).

cnf(i_0_9828,axiom,
    ( ~ esk4158_2(X1,X2)
    | ~ esk4157_2(X1,X2) )).

cnf(i_0_9829,axiom,
    ( ~ esk3473_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_9830,axiom,
    ( ~ esk3570_2(X1,X2)
    | esk3569_2(X1,X2) )).

cnf(i_0_9831,axiom,
    ( ~ esk3531_2(X1,X2)
    | esk3521_2(X1,X2) )).

cnf(i_0_9832,axiom,
    ( ~ esk4856_2(X1,X2)
    | ~ esk4855_2(X1,X2) )).

cnf(i_0_9833,axiom,
    ( esk487_2(X1,X2)
    | ~ esk586_2(X1,X2) )).

cnf(i_0_9834,axiom,
    ( ~ esk5365_2(X1,X2)
    | ~ esk3603_2(X1,X2) )).

cnf(i_0_9835,axiom,
    ( esk1111_2(X1,X2)
    | esk1112_2(X1,X2) )).

cnf(i_0_9836,axiom,
    ( ~ esk1195_2(X1,X2)
    | esk5_2(X1,X2) )).

cnf(i_0_9837,axiom,
    ( ~ esk193_2(X1,X2)
    | ~ esk158_2(X1,X2) )).

cnf(i_0_9838,axiom,
    ( ~ esk92_2(X1,X2)
    | ~ esk3546_2(X1,X2) )).

cnf(i_0_9839,axiom,
    ( esk3848_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk3844_2(X1,X2)
    | ~ esk5_2(X1,X2) )).

cnf(i_0_9840,axiom,
    ( ~ esk3527_2(X1,X2)
    | ~ esk3528_2(X1,X2) )).

cnf(i_0_9841,axiom,
    ( esk3317_2(X1,X2)
    | esk3315_2(X1,X2)
    | esk3316_2(X1,X2) )).

cnf(i_0_9842,axiom,
    ( ~ esk2035_2(X1,X2)
    | esk2034_2(X1,X2) )).

cnf(i_0_9843,axiom,
    ( ~ esk665_2(X1,X2)
    | ~ esk667_2(X1,X2) )).

cnf(i_0_9844,axiom,
    ( ~ esk2858_2(X1,X2)
    | ~ esk2857_2(X1,X2) )).

cnf(i_0_9845,axiom,
    ( ~ esk741_2(X1,X2)
    | esk737_2(X1,X2) )).

cnf(i_0_9846,axiom,
    ( ~ esk2494_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_9847,axiom,
    ( esk3341_2(X1,X2)
    | esk3339_2(X1,X2)
    | esk3340_2(X1,X2) )).

cnf(i_0_9848,axiom,
    ( ~ esk3669_2(X1,X2)
    | esk4851_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_9849,axiom,
    ( esk2422_2(X1,X2)
    | esk2421_2(X1,X2) )).

cnf(i_0_9850,axiom,
    ( ~ esk5042_2(X1,X2)
    | esk5041_2(X1,X2) )).

cnf(i_0_9851,axiom,
    ( ~ esk1832_2(X1,X2)
    | ~ esk1831_2(X1,X2) )).

cnf(i_0_9852,axiom,
    ( ~ esk314_2(X1,X2)
    | ~ esk310_2(X1,X2) )).

cnf(i_0_9853,axiom,
    ( ~ esk3928_2(X1,X2)
    | ~ esk3271_2(X1,X2)
    | esk3929_2(X1,X2) )).

cnf(i_0_9854,axiom,
    ( ~ esk3982_2(X1,X2)
    | esk3972_2(X1,X2) )).

cnf(i_0_9855,axiom,
    ( esk3330_2(X1,X2)
    | esk3400_2(X1,X2) )).

cnf(i_0_9856,axiom,
    ( ~ esk3796_2(X1,X2)
    | esk3800_2(X1,X2)
    | ~ esk3799_2(X1,X2) )).

cnf(i_0_9857,axiom,
    ( ~ esk4459_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_9858,axiom,
    ( ~ esk317_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | esk465_2(X1,X2) )).

cnf(i_0_9859,axiom,
    ( ~ esk5042_2(X1,X2)
    | esk5037_2(X1,X2) )).

cnf(i_0_9860,axiom,
    ( esk5479_2(X1,X2)
    | esk5480_2(X1,X2) )).

cnf(i_0_9861,axiom,
    ( esk3998_2(X1,X2)
    | esk3999_2(X1,X2) )).

cnf(i_0_9862,axiom,
    ( ~ esk4741_2(X1,X2)
    | esk4737_2(X1,X2) )).

cnf(i_0_9863,axiom,
    ( esk1052_2(X1,X2)
    | esk1054_2(X1,X2)
    | esk1043_2(X1,X2)
    | esk1053_2(X1,X2) )).

cnf(i_0_9864,axiom,
    ( esk4377_2(X1,X2)
    | ~ esk4384_2(X1,X2) )).

cnf(i_0_9865,axiom,
    ( ~ esk2354_2(X1,X2)
    | ~ esk2355_2(X1,X2) )).

cnf(i_0_9866,axiom,
    ( ~ esk1235_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_9867,axiom,
    ( esk3078_2(X1,X2)
    | esk3077_2(X1,X2) )).

cnf(i_0_9868,axiom,
    ( esk4024_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_9869,axiom,
    ( ~ esk5039_2(X1,X2)
    | esk5038_2(X1,X2) )).

cnf(i_0_9870,axiom,
    ( ~ esk3910_2(X1,X2)
    | esk1257_2(X1,X2)
    | esk5549_2(X1,X2) )).

cnf(i_0_9871,axiom,
    ( ~ esk370_2(X1,X2)
    | ~ esk369_2(X1,X2) )).

cnf(i_0_9872,axiom,
    ( ~ esk3718_2(X1,X2)
    | esk3717_2(X1,X2) )).

cnf(i_0_9873,axiom,
    ( ~ esk1976_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_9874,axiom,
    ( esk4149_2(X1,X2)
    | esk4148_2(X1,X2) )).

cnf(i_0_9875,axiom,
    ( esk595_2(X1,X2)
    | ~ esk596_2(X1,X2) )).

cnf(i_0_9876,axiom,
    ( ~ esk3177_2(X1,X2)
    | ~ esk3178_2(X1,X2)
    | esk3179_2(X1,X2) )).

cnf(i_0_9877,axiom,
    ( ~ esk2282_2(X1,X2)
    | esk2286_2(X1,X2)
    | ~ esk2285_2(X1,X2) )).

cnf(i_0_9878,axiom,
    ( esk2628_2(X1,X2)
    | esk597_2(X1,X2) )).

cnf(i_0_9879,axiom,
    ( ~ esk2796_2(X1,X2)
    | ~ esk2797_2(X1,X2) )).

cnf(i_0_9880,axiom,
    ( esk2227_2(X1,X2)
    | ~ esk2223_2(X1,X2)
    | ~ esk2226_2(X1,X2) )).

cnf(i_0_9881,axiom,
    ( ~ esk484_2(X1,X2)
    | ~ esk2377_2(X1,X2) )).

cnf(i_0_9882,axiom,
    ( esk4735_2(X1,X2)
    | esk4734_2(X1,X2) )).

cnf(i_0_9883,axiom,
    ( ~ esk4193_2(X1,X2)
    | esk4194_2(X1,X2)
    | ~ esk4189_2(X1,X2) )).

cnf(i_0_9884,axiom,
    ( ~ esk163_2(X1,X2)
    | ~ esk77_2(X1,X2)
    | esk1890_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_9885,axiom,
    ( ~ esk287_2(X1,X2)
    | ~ esk286_2(X1,X2) )).

cnf(i_0_9886,axiom,
    ( esk541_2(X1,X2)
    | ~ esk790_2(X1,X2) )).

cnf(i_0_9887,axiom,
    ( ~ esk1846_2(X1,X2)
    | ~ esk1850_2(X1,X2) )).

cnf(i_0_9888,axiom,
    ( esk3351_2(X1,X2)
    | ~ esk3338_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3326_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3314_2(X1,X2) )).

cnf(i_0_9889,axiom,
    ( ~ esk3679_2(X1,X2)
    | esk3678_2(X1,X2) )).

cnf(i_0_9890,axiom,
    ( ~ esk2345_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_9891,axiom,
    ( esk2123_2(X1,X2)
    | ~ esk2254_2(X1,X2) )).

cnf(i_0_9892,axiom,
    ( ~ esk1712_2(X1,X2)
    | ~ esk173_2(X1,X2) )).

cnf(i_0_9893,axiom,
    ( ~ esk289_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_9894,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4328_2(X1,X2) )).

cnf(i_0_9895,axiom,
    ( ~ esk928_2(X1,X2)
    | esk927_2(X1,X2) )).

cnf(i_0_9896,axiom,
    ( esk3177_2(X1,X2)
    | esk3181_2(X1,X2) )).

cnf(i_0_9897,axiom,
    ( esk5177_2(X1,X2)
    | ~ esk5178_2(X1,X2) )).

cnf(i_0_9898,axiom,
    ( ~ esk3208_2(X1,X2)
    | esk3207_2(X1,X2) )).

cnf(i_0_9899,axiom,
    ( esk1082_2(X1,X2)
    | ~ esk1083_2(X1,X2) )).

cnf(i_0_9900,axiom,
    ( ~ esk1331_2(X1,X2)
    | esk1327_2(X1,X2) )).

cnf(i_0_9901,axiom,
    ( ~ esk3739_2(X1,X2)
    | esk50_2(X1,X2) )).

cnf(i_0_9902,axiom,
    ( ~ esk4549_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_9903,axiom,
    ( ~ esk188_2(X1,X2)
    | ~ esk127_2(X1,X2) )).

cnf(i_0_9904,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1874_2(X1,X2) )).

cnf(i_0_9905,axiom,
    ( ~ esk2964_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_9906,axiom,
    ( ~ esk936_2(X1,X2)
    | esk920_2(X1,X2) )).

cnf(i_0_9907,axiom,
    ( ~ esk4762_2(X1,X2)
    | ~ esk3388_2(X1,X2) )).

cnf(i_0_9908,axiom,
    ( ~ esk3428_2(X1,X2)
    | ~ esk3427_2(X1,X2) )).

cnf(i_0_9909,axiom,
    ( ~ esk4928_2(X1,X2)
    | esk4929_2(X1,X2)
    | ~ esk4924_2(X1,X2) )).

cnf(i_0_9910,axiom,
    ( ~ esk4736_2(X1,X2)
    | esk3372_2(X1,X2) )).

cnf(i_0_9911,axiom,
    ( esk1278_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_9912,axiom,
    ( ~ esk5482_2(X1,X2)
    | esk4233_2(X1,X2) )).

cnf(i_0_9913,axiom,
    ( esk2835_2(X1,X2)
    | esk2839_2(X1,X2)
    | esk2836_2(X1,X2)
    | esk2837_2(X1,X2)
    | esk2838_2(X1,X2) )).

cnf(i_0_9914,axiom,
    ( esk1115_2(X1,X2)
    | esk634_2(X1,X2) )).

cnf(i_0_9915,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1886_2(X1,X2) )).

cnf(i_0_9916,axiom,
    ( esk758_2(X1,X2)
    | ~ esk759_2(X1,X2) )).

cnf(i_0_9917,axiom,
    ( esk5024_2(X1,X2)
    | esk5027_2(X1,X2)
    | esk5026_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_9918,axiom,
    ( esk100_2(X1,X2)
    | ~ esk5110_2(X1,X2) )).

cnf(i_0_9919,axiom,
    ( ~ esk4388_2(X1,X2)
    | ~ esk4389_2(X1,X2) )).

cnf(i_0_9920,axiom,
    ( esk1300_2(X1,X2)
    | ~ esk1299_2(X1,X2)
    | ~ esk656_2(X1,X2) )).

cnf(i_0_9921,axiom,
    ( ~ esk1013_2(X1,X2)
    | ~ esk1014_2(X1,X2) )).

cnf(i_0_9922,axiom,
    ( esk750_2(X1,X2)
    | ~ esk751_2(X1,X2) )).

cnf(i_0_9923,axiom,
    ( esk4964_2(X1,X2)
    | esk4963_2(X1,X2) )).

cnf(i_0_9924,axiom,
    ( esk119_2(X1,X2)
    | ~ esk2944_2(X1,X2) )).

cnf(i_0_9925,axiom,
    ( ~ esk633_2(X1,X2)
    | ~ esk1020_2(X1,X2) )).

cnf(i_0_9926,axiom,
    ( ~ esk4148_2(X1,X2)
    | ~ esk4147_2(X1,X2) )).

cnf(i_0_9927,axiom,
    ( ~ esk3674_2(X1,X2)
    | ~ esk3686_2(X1,X2) )).

cnf(i_0_9928,axiom,
    ( ~ esk2682_2(X1,X2)
    | ~ esk2683_2(X1,X2) )).

cnf(i_0_9929,axiom,
    ( ~ esk4623_2(X1,X2)
    | esk4622_2(X1,X2) )).

cnf(i_0_9930,axiom,
    ( ~ esk4515_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_9931,axiom,
    ( esk5017_2(X1,X2)
    | esk5041_2(X1,X2) )).

cnf(i_0_9932,axiom,
    ( ~ esk4216_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_9933,axiom,
    ( ~ esk4658_2(X1,X2)
    | esk4672_2(X1,X2)
    | ~ esk4671_2(X1,X2) )).

cnf(i_0_9934,axiom,
    ( esk3321_2(X1,X2)
    | esk3320_2(X1,X2) )).

cnf(i_0_9935,axiom,
    ( ~ esk3611_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_9936,axiom,
    ( ~ esk1754_2(X1,X2)
    | esk5577_2(X1,X2)
    | esk4407_2(X1,X2) )).

cnf(i_0_9937,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1086_2(X1,X2) )).

cnf(i_0_9938,axiom,
    ( ~ esk3296_2(X1,X2)
    | esk3766_2(X1,X2)
    | ~ esk3765_2(X1,X2) )).

cnf(i_0_9939,axiom,
    ( esk2412_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_9940,axiom,
    ( ~ esk2525_2(X1,X2)
    | esk2521_2(X1,X2) )).

cnf(i_0_9941,axiom,
    ( esk2387_2(X1,X2)
    | esk2386_2(X1,X2) )).

cnf(i_0_9942,axiom,
    ( ~ esk4474_2(X1,X2)
    | ~ esk4473_2(X1,X2) )).

cnf(i_0_9943,axiom,
    ( esk1338_2(X1,X2)
    | ~ esk1343_2(X1,X2) )).

cnf(i_0_9944,axiom,
    ( esk2308_2(X1,X2)
    | esk2309_2(X1,X2) )).

cnf(i_0_9945,axiom,
    ( esk179_2(X1,X2)
    | ~ esk5436_2(X1,X2) )).

cnf(i_0_9946,axiom,
    ( esk3829_2(X1,X2)
    | esk3637_2(X1,X2)
    | esk3828_2(X1,X2)
    | esk3827_2(X1,X2) )).

cnf(i_0_9947,axiom,
    ( ~ esk2904_2(X1,X2)
    | ~ esk2907_2(X1,X2) )).

cnf(i_0_9948,axiom,
    ( esk4827_2(X1,X2)
    | ~ esk4828_2(X1,X2) )).

cnf(i_0_9949,axiom,
    ( ~ esk3928_2(X1,X2)
    | ~ esk3283_2(X1,X2) )).

cnf(i_0_9950,axiom,
    ( esk857_2(X1,X2)
    | esk856_2(X1,X2) )).

cnf(i_0_9951,axiom,
    ( ~ esk1654_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_9952,axiom,
    ( esk1825_2(X1,X2)
    | esk1823_2(X1,X2)
    | esk1822_2(X1,X2)
    | esk1824_2(X1,X2)
    | esk1826_2(X1,X2) )).

cnf(i_0_9953,axiom,
    ( esk4251_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_9954,axiom,
    ( esk2534_2(X1,X2)
    | ~ esk2539_2(X1,X2) )).

cnf(i_0_9955,axiom,
    ( ~ esk3108_2(X1,X2)
    | ~ esk3111_2(X1,X2) )).

cnf(i_0_9956,axiom,
    ( esk1681_2(X1,X2)
    | ~ esk1887_2(X1,X2) )).

cnf(i_0_9957,axiom,
    ( ~ esk4084_2(X1,X2)
    | ~ esk4085_2(X1,X2) )).

cnf(i_0_9958,axiom,
    ( esk5194_2(X1,X2)
    | ~ esk5190_2(X1,X2)
    | ~ esk5193_2(X1,X2) )).

cnf(i_0_9959,axiom,
    ( esk3360_2(X1,X2)
    | esk4877_2(X1,X2) )).

cnf(i_0_9960,axiom,
    ( esk5559_2(X1,X2)
    | ~ esk1617_2(X1,X2)
    | esk4270_2(X1,X2) )).

cnf(i_0_9961,axiom,
    ( ~ esk1920_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_9962,axiom,
    ( ~ esk750_2(X1,X2)
    | esk751_2(X1,X2)
    | ~ esk747_2(X1,X2) )).

cnf(i_0_9963,axiom,
    ( esk361_2(X1,X2)
    | esk359_2(X1,X2)
    | esk362_2(X1,X2) )).

cnf(i_0_9964,axiom,
    ( esk4595_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk4594_2(X1,X2) )).

cnf(i_0_9965,axiom,
    ( esk1508_2(X1,X2)
    | ~ esk1509_2(X1,X2) )).

cnf(i_0_9966,axiom,
    ( esk2397_2(X1,X2)
    | esk2398_2(X1,X2) )).

cnf(i_0_9967,axiom,
    ( esk2202_2(X1,X2)
    | esk2203_2(X1,X2) )).

cnf(i_0_9968,axiom,
    ( esk2201_2(X1,X2)
    | esk2202_2(X1,X2)
    | esk1016_2(X1,X2) )).

cnf(i_0_9969,axiom,
    ( ~ esk3244_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_9970,axiom,
    ( ~ esk1991_2(X1,X2)
    | esk1985_2(X1,X2) )).

cnf(i_0_9971,axiom,
    ( ~ esk1106_2(X1,X2)
    | ~ esk1121_2(X1,X2) )).

cnf(i_0_9972,axiom,
    ( esk452_2(X1,X2)
    | ~ esk107_2(X1,X2)
    | ~ esk317_2(X1,X2) )).

cnf(i_0_9973,axiom,
    ( ~ esk4380_2(X1,X2)
    | ~ esk4381_2(X1,X2) )).

cnf(i_0_9974,axiom,
    ( ~ esk350_2(X1,X2)
    | ~ esk355_2(X1,X2)
    | esk356_2(X1,X2) )).

cnf(i_0_9975,axiom,
    ( ~ esk2942_2(X1,X2)
    | esk2941_2(X1,X2) )).

cnf(i_0_9976,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1825_2(X1,X2) )).

cnf(i_0_9977,axiom,
    ( ~ esk1430_2(X1,X2)
    | ~ esk1431_2(X1,X2) )).

cnf(i_0_9978,axiom,
    ( ~ esk880_2(X1,X2)
    | ~ esk879_2(X1,X2) )).

cnf(i_0_9979,axiom,
    ( ~ esk801_2(X1,X2)
    | ~ esk1008_2(X1,X2)
    | ~ esk817_2(X1,X2)
    | esk1223_2(X1,X2) )).

cnf(i_0_9980,axiom,
    ( ~ esk1128_2(X1,X2)
    | esk1124_2(X1,X2) )).

cnf(i_0_9981,axiom,
    ( ~ esk1915_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_9982,axiom,
    ( ~ esk2195_2(X1,X2)
    | esk164_2(X1,X2) )).

cnf(i_0_9983,axiom,
    ( esk3550_2(X1,X2)
    | esk3549_2(X1,X2) )).

cnf(i_0_9984,axiom,
    ( ~ esk1428_2(X1,X2)
    | ~ esk1431_2(X1,X2) )).

cnf(i_0_9985,axiom,
    ( ~ esk4772_2(X1,X2)
    | esk4773_2(X1,X2)
    | ~ esk4769_2(X1,X2) )).

cnf(i_0_9986,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk16_2(X1,X2)
    | esk4256_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_9987,axiom,
    ( ~ esk292_2(X1,X2)
    | ~ esk287_2(X1,X2)
    | esk293_2(X1,X2) )).

cnf(i_0_9988,axiom,
    ( ~ esk3654_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_9989,axiom,
    ( esk405_2(X1,X2)
    | esk404_2(X1,X2) )).

cnf(i_0_9990,axiom,
    ( esk1027_2(X1,X2)
    | esk2051_2(X1,X2)
    | esk2052_2(X1,X2) )).

cnf(i_0_9991,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk3014_2(X1,X2) )).

cnf(i_0_9992,axiom,
    ( esk2252_2(X1,X2)
    | ~ esk2315_2(X1,X2) )).

cnf(i_0_9993,axiom,
    ( esk680_2(X1,X2)
    | ~ esk712_2(X1,X2) )).

cnf(i_0_9994,axiom,
    ( ~ esk4540_2(X1,X2)
    | esk4333_2(X1,X2) )).

cnf(i_0_9995,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | esk963_2(X1,X2) )).

cnf(i_0_9996,axiom,
    ( esk4718_2(X1,X2)
    | esk4717_2(X1,X2) )).

cnf(i_0_9997,axiom,
    ( esk4951_2(X1,X2)
    | esk4950_2(X1,X2) )).

cnf(i_0_9998,axiom,
    ( ~ esk541_2(X1,X2)
    | ~ esk540_2(X1,X2) )).

cnf(i_0_9999,axiom,
    ( ~ esk2389_2(X1,X2)
    | ~ esk2390_2(X1,X2) )).

cnf(i_0_10000,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4543_2(X1,X2) )).

cnf(i_0_10001,axiom,
    ( esk292_2(X1,X2)
    | esk291_2(X1,X2) )).

cnf(i_0_10002,axiom,
    ( ~ esk259_2(X1,X2)
    | ~ esk260_2(X1,X2) )).

cnf(i_0_10003,axiom,
    ( ~ esk3217_2(X1,X2)
    | esk3215_2(X1,X2) )).

cnf(i_0_10004,axiom,
    ( ~ esk4419_2(X1,X2)
    | esk4416_2(X1,X2) )).

cnf(i_0_10005,axiom,
    ( ~ esk1955_2(X1,X2)
    | ~ esk1956_2(X1,X2) )).

cnf(i_0_10006,axiom,
    ( esk3283_2(X1,X2)
    | ~ esk3932_2(X1,X2) )).

cnf(i_0_10007,axiom,
    ( ~ esk628_2(X1,X2)
    | esk627_2(X1,X2) )).

cnf(i_0_10008,axiom,
    ( esk132_2(X1,X2)
    | ~ esk3510_2(X1,X2) )).

cnf(i_0_10009,axiom,
    ( ~ esk5462_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_10010,axiom,
    ( ~ esk4111_2(X1,X2)
    | ~ esk3648_2(X1,X2) )).

cnf(i_0_10011,axiom,
    ( esk3867_2(X1,X2)
    | ~ esk3866_2(X1,X2)
    | ~ esk3863_2(X1,X2) )).

cnf(i_0_10012,axiom,
    ( esk5557_2(X1,X2)
    | esk5533_2(X1,X2)
    | esk5499_2(X1,X2)
    | esk5583_2(X1,X2)
    | esk5516_2(X1,X2)
    | esk5554_2(X1,X2)
    | esk5510_2(X1,X2)
    | esk5587_2(X1,X2)
    | esk5602_2(X1,X2)
    | esk5513_2(X1,X2)
    | esk5524_2(X1,X2)
    | esk5550_2(X1,X2)
    | esk5497_2(X1,X2)
    | esk5569_2(X1,X2)
    | esk5601_2(X1,X2)
    | esk5568_2(X1,X2)
    | esk5559_2(X1,X2)
    | esk5530_2(X1,X2)
    | esk5570_2(X1,X2)
    | esk5536_2(X1,X2)
    | esk5562_2(X1,X2)
    | esk5526_2(X1,X2)
    | esk5594_2(X1,X2)
    | esk5527_2(X1,X2)
    | esk5600_2(X1,X2)
    | esk5553_2(X1,X2)
    | esk5521_2(X1,X2)
    | esk5537_2(X1,X2)
    | esk5564_2(X1,X2)
    | esk5579_2(X1,X2)
    | esk5581_2(X1,X2)
    | esk5588_2(X1,X2)
    | esk5585_2(X1,X2)
    | esk5511_2(X1,X2)
    | esk5567_2(X1,X2)
    | esk5565_2(X1,X2)
    | esk5580_2(X1,X2)
    | esk5591_2(X1,X2)
    | esk5522_2(X1,X2)
    | esk5561_2(X1,X2)
    | esk5532_2(X1,X2)
    | esk5501_2(X1,X2)
    | esk5506_2(X1,X2)
    | esk5556_2(X1,X2)
    | esk5539_2(X1,X2)
    | esk5586_2(X1,X2)
    | esk5518_2(X1,X2)
    | esk5551_2(X1,X2)
    | esk5549_2(X1,X2)
    | esk5560_2(X1,X2)
    | esk5538_2(X1,X2)
    | esk5546_2(X1,X2)
    | esk5571_2(X1,X2)
    | esk5503_2(X1,X2)
    | esk5574_2(X1,X2)
    | esk5515_2(X1,X2)
    | esk5552_2(X1,X2)
    | esk5520_2(X1,X2)
    | esk5563_2(X1,X2)
    | esk5535_2(X1,X2)
    | esk5540_2(X1,X2)
    | esk5582_2(X1,X2)
    | esk5590_2(X1,X2)
    | esk5509_2(X1,X2)
    | esk5534_2(X1,X2)
    | esk5519_2(X1,X2)
    | esk5595_2(X1,X2)
    | esk5542_2(X1,X2)
    | esk5505_2(X1,X2)
    | esk5603_2(X1,X2)
    | esk5575_2(X1,X2)
    | esk5528_2(X1,X2)
    | esk5507_2(X1,X2)
    | esk5543_2(X1,X2)
    | esk5504_2(X1,X2)
    | esk5573_2(X1,X2)
    | esk5558_2(X1,X2)
    | esk5525_2(X1,X2)
    | esk5566_2(X1,X2)
    | esk5523_2(X1,X2)
    | esk5598_2(X1,X2)
    | esk5584_2(X1,X2)
    | esk5597_2(X1,X2)
    | esk5512_2(X1,X2)
    | esk5592_2(X1,X2)
    | esk5500_2(X1,X2)
    | esk5599_2(X1,X2)
    | esk5529_2(X1,X2)
    | esk5589_2(X1,X2)
    | esk5498_2(X1,X2)
    | esk5555_2(X1,X2)
    | esk5578_2(X1,X2)
    | esk5531_2(X1,X2)
    | esk5576_2(X1,X2)
    | esk5605_2(X1,X2)
    | esk5604_2(X1,X2)
    | esk5548_2(X1,X2)
    | esk5544_2(X1,X2)
    | esk5496_2(X1,X2)
    | esk5541_2(X1,X2)
    | esk5545_2(X1,X2)
    | esk5514_2(X1,X2)
    | esk5596_2(X1,X2)
    | esk5508_2(X1,X2)
    | esk5502_2(X1,X2)
    | esk5517_2(X1,X2)
    | esk5577_2(X1,X2)
    | esk5593_2(X1,X2)
    | esk5547_2(X1,X2)
    | esk5572_2(X1,X2) )).

cnf(i_0_10013,axiom,
    ( esk143_2(X1,X2)
    | esk805_2(X1,X2) )).

cnf(i_0_10014,axiom,
    ( esk669_2(X1,X2)
    | ~ esk670_2(X1,X2) )).

cnf(i_0_10015,axiom,
    ( ~ esk1387_2(X1,X2)
    | ~ esk1386_2(X1,X2) )).

cnf(i_0_10016,axiom,
    ( ~ esk1130_2(X1,X2)
    | ~ esk1126_2(X1,X2) )).

cnf(i_0_10017,axiom,
    ( ~ esk5246_2(X1,X2)
    | ~ esk5231_2(X1,X2)
    | esk5247_2(X1,X2) )).

cnf(i_0_10018,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk1802_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | esk1847_2(X1,X2) )).

cnf(i_0_10019,axiom,
    ( esk18_2(X1,X2)
    | ~ esk1628_2(X1,X2) )).

cnf(i_0_10020,axiom,
    ( ~ esk1104_2(X1,X2)
    | ~ esk1105_2(X1,X2) )).

cnf(i_0_10021,axiom,
    ( ~ esk1052_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_10022,axiom,
    ( ~ esk5052_2(X1,X2)
    | ~ esk5055_2(X1,X2) )).

cnf(i_0_10023,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4398_2(X1,X2) )).

cnf(i_0_10024,axiom,
    ( esk1327_2(X1,X2)
    | ~ esk1335_2(X1,X2) )).

cnf(i_0_10025,axiom,
    ( esk707_2(X1,X2)
    | ~ esk2257_2(X1,X2) )).

cnf(i_0_10026,axiom,
    ( esk5039_2(X1,X2)
    | esk5040_2(X1,X2) )).

cnf(i_0_10027,axiom,
    ( ~ esk1221_2(X1,X2)
    | esk470_2(X1,X2) )).

cnf(i_0_10028,axiom,
    ( esk1722_2(X1,X2)
    | ~ esk1720_2(X1,X2)
    | ~ esk63_2(X1,X2) )).

cnf(i_0_10029,axiom,
    ( esk3245_2(X1,X2)
    | ~ esk3246_2(X1,X2) )).

cnf(i_0_10030,axiom,
    ( ~ esk1822_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_10031,axiom,
    ( ~ esk3543_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_10032,axiom,
    ( ~ esk1679_2(X1,X2)
    | esk1678_2(X1,X2) )).

cnf(i_0_10033,axiom,
    ( ~ esk956_2(X1,X2)
    | ~ esk957_2(X1,X2) )).

cnf(i_0_10034,axiom,
    ( ~ esk2256_2(X1,X2)
    | esk1018_2(X1,X2) )).

cnf(i_0_10035,axiom,
    ( ~ esk5572_2(X1,X2)
    | esk1709_2(X1,X2)
    | esk4362_2(X1,X2) )).

cnf(i_0_10036,axiom,
    ( esk188_2(X1,X2)
    | esk127_2(X1,X2) )).

cnf(i_0_10037,axiom,
    ( esk707_2(X1,X2)
    | ~ esk2255_2(X1,X2) )).

cnf(i_0_10038,axiom,
    ( ~ esk1236_2(X1,X2)
    | esk59_2(X1,X2) )).

cnf(i_0_10039,axiom,
    ( esk1019_2(X1,X2)
    | esk1017_2(X1,X2)
    | esk1020_2(X1,X2)
    | esk633_2(X1,X2)
    | esk1015_2(X1,X2) )).

cnf(i_0_10040,axiom,
    ( ~ esk4043_2(X1,X2)
    | ~ esk4044_2(X1,X2) )).

cnf(i_0_10041,axiom,
    ( esk561_2(X1,X2)
    | ~ esk2501_2(X1,X2) )).

cnf(i_0_10042,axiom,
    ( ~ esk1071_2(X1,X2)
    | ~ esk1070_2(X1,X2) )).

cnf(i_0_10043,axiom,
    ( ~ esk3743_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_10044,axiom,
    ( esk1964_2(X1,X2)
    | esk1963_2(X1,X2) )).

cnf(i_0_10045,axiom,
    ( esk1426_2(X1,X2)
    | ~ esk1430_2(X1,X2) )).

cnf(i_0_10046,axiom,
    ( esk4802_2(X1,X2)
    | ~ esk4806_2(X1,X2) )).

cnf(i_0_10047,axiom,
    ( ~ esk183_2(X1,X2)
    | ~ esk2845_2(X1,X2)
    | ~ esk5498_2(X1,X2) )).

cnf(i_0_10048,axiom,
    ( esk1335_2(X1,X2)
    | esk1336_2(X1,X2)
    | esk1334_2(X1,X2) )).

cnf(i_0_10049,axiom,
    ( ~ esk936_2(X1,X2)
    | ~ esk938_2(X1,X2) )).

cnf(i_0_10050,axiom,
    ( esk102_2(X1,X2)
    | ~ esk2931_2(X1,X2) )).

cnf(i_0_10051,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4534_2(X1,X2) )).

cnf(i_0_10052,axiom,
    ( ~ esk5150_2(X1,X2)
    | ~ esk3616_2(X1,X2) )).

cnf(i_0_10053,axiom,
    ( ~ esk3835_2(X1,X2)
    | esk3830_2(X1,X2) )).

cnf(i_0_10054,axiom,
    ( ~ esk319_2(X1,X2)
    | esk441_2(X1,X2)
    | ~ esk440_2(X1,X2) )).

cnf(i_0_10055,axiom,
    ( esk604_2(X1,X2)
    | esk603_2(X1,X2) )).

cnf(i_0_10056,axiom,
    ( ~ esk1838_2(X1,X2)
    | ~ esk1834_2(X1,X2) )).

cnf(i_0_10057,axiom,
    ( ~ esk2132_2(X1,X2)
    | ~ esk2053_2(X1,X2) )).

cnf(i_0_10058,axiom,
    ( esk5464_2(X1,X2)
    | esk5465_2(X1,X2) )).

cnf(i_0_10059,axiom,
    ( ~ esk5311_2(X1,X2)
    | ~ esk5315_2(X1,X2) )).

cnf(i_0_10060,axiom,
    ( ~ esk1097_2(X1,X2)
    | ~ esk1098_2(X1,X2) )).

cnf(i_0_10061,axiom,
    ( esk2797_2(X1,X2)
    | ~ esk2813_2(X1,X2) )).

cnf(i_0_10062,axiom,
    ( ~ esk3968_2(X1,X2)
    | esk3967_2(X1,X2) )).

cnf(i_0_10063,axiom,
    ( esk98_2(X1,X2)
    | ~ esk3579_2(X1,X2) )).

cnf(i_0_10064,axiom,
    ( esk3650_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk3153_2(X1,X2) )).

cnf(i_0_10065,axiom,
    ( ~ esk1453_2(X1,X2)
    | esk1452_2(X1,X2) )).

cnf(i_0_10066,axiom,
    ( ~ esk4238_2(X1,X2)
    | ~ esk4239_2(X1,X2) )).

cnf(i_0_10067,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4529_2(X1,X2) )).

cnf(i_0_10068,axiom,
    ( esk3836_2(X1,X2)
    | ~ esk3837_2(X1,X2) )).

cnf(i_0_10069,axiom,
    ( esk5247_2(X1,X2)
    | esk5248_2(X1,X2) )).

cnf(i_0_10070,axiom,
    ( ~ esk1810_2(X1,X2)
    | ~ esk1814_2(X1,X2) )).

cnf(i_0_10071,axiom,
    ( ~ esk4129_2(X1,X2)
    | esk4130_2(X1,X2)
    | ~ esk4125_2(X1,X2) )).

cnf(i_0_10072,axiom,
    ( esk149_2(X1,X2)
    | ~ esk3007_2(X1,X2) )).

cnf(i_0_10073,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1895_2(X1,X2) )).

cnf(i_0_10074,axiom,
    ( ~ esk5312_2(X1,X2)
    | ~ esk3607_2(X1,X2) )).

cnf(i_0_10075,axiom,
    ( ~ esk1194_2(X1,X2)
    | ~ esk1197_2(X1,X2) )).

cnf(i_0_10076,axiom,
    ( esk872_2(X1,X2)
    | esk873_2(X1,X2) )).

cnf(i_0_10077,axiom,
    ( ~ esk4763_2(X1,X2)
    | ~ esk4764_2(X1,X2) )).

cnf(i_0_10078,axiom,
    ( esk3634_2(X1,X2)
    | ~ esk3633_2(X1,X2)
    | ~ esk3338_2(X1,X2) )).

cnf(i_0_10079,axiom,
    ( ~ esk785_2(X1,X2)
    | ~ esk784_2(X1,X2) )).

cnf(i_0_10080,axiom,
    ( ~ esk2021_2(X1,X2)
    | ~ esk2017_2(X1,X2)
    | esk2022_2(X1,X2) )).

cnf(i_0_10081,axiom,
    ( esk165_2(X1,X2)
    | esk2873_2(X1,X2) )).

cnf(i_0_10082,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk4744_2(X1,X2) )).

cnf(i_0_10083,axiom,
    ( esk2463_2(X1,X2)
    | ~ esk2464_2(X1,X2) )).

cnf(i_0_10084,axiom,
    ( esk174_2(X1,X2)
    | ~ esk5462_2(X1,X2) )).

cnf(i_0_10085,axiom,
    ( ~ esk4710_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_10086,axiom,
    ( ~ esk1755_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_10087,axiom,
    ( ~ esk2425_2(X1,X2)
    | esk2426_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_10088,axiom,
    ( ~ esk2263_2(X1,X2)
    | ~ esk2267_2(X1,X2)
    | esk2268_2(X1,X2) )).

cnf(i_0_10089,axiom,
    ( esk125_2(X1,X2)
    | ~ esk3293_2(X1,X2) )).

cnf(i_0_10090,axiom,
    ( esk3722_2(X1,X2)
    | esk3710_2(X1,X2)
    | esk3724_2(X1,X2)
    | esk3723_2(X1,X2) )).

cnf(i_0_10091,axiom,
    ( ~ esk1638_2(X1,X2)
    | ~ esk1642_2(X1,X2) )).

cnf(i_0_10092,axiom,
    ( esk5429_2(X1,X2)
    | ~ esk5433_2(X1,X2) )).

cnf(i_0_10093,axiom,
    ( esk5400_2(X1,X2)
    | ~ esk5401_2(X1,X2) )).

cnf(i_0_10094,axiom,
    ( ~ esk5336_2(X1,X2)
    | esk5337_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_10095,axiom,
    ( ~ esk2097_2(X1,X2)
    | ~ esk2098_2(X1,X2) )).

cnf(i_0_10096,axiom,
    ( esk89_2(X1,X2)
    | ~ esk4535_2(X1,X2) )).

cnf(i_0_10097,axiom,
    ( ~ esk4141_2(X1,X2)
    | ~ esk4140_2(X1,X2) )).

cnf(i_0_10098,axiom,
    ( esk2096_2(X1,X2)
    | esk2097_2(X1,X2) )).

cnf(i_0_10099,axiom,
    ( esk148_2(X1,X2)
    | esk3353_2(X1,X2) )).

cnf(i_0_10100,axiom,
    ( esk1622_2(X1,X2)
    | esk1623_2(X1,X2) )).

cnf(i_0_10101,axiom,
    ( esk2559_2(X1,X2)
    | esk2558_2(X1,X2) )).

cnf(i_0_10102,axiom,
    ( ~ esk4551_2(X1,X2)
    | ~ esk4548_2(X1,X2) )).

cnf(i_0_10103,axiom,
    ( esk1909_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_10104,axiom,
    ( ~ esk365_2(X1,X2)
    | ~ esk358_2(X1,X2)
    | esk366_2(X1,X2)
    | ~ esk308_2(X1,X2) )).

cnf(i_0_10105,axiom,
    ( ~ esk141_2(X1,X2)
    | ~ esk2415_2(X1,X2) )).

cnf(i_0_10106,axiom,
    ( ~ esk2032_2(X1,X2)
    | esk1999_2(X1,X2) )).

cnf(i_0_10107,axiom,
    ( esk4080_2(X1,X2)
    | ~ esk4095_2(X1,X2) )).

cnf(i_0_10108,axiom,
    ( ~ esk4861_2(X1,X2)
    | esk4862_2(X1,X2)
    | ~ esk3671_2(X1,X2) )).

cnf(i_0_10109,axiom,
    ( ~ esk2486_2(X1,X2)
    | ~ esk2487_2(X1,X2) )).

cnf(i_0_10110,axiom,
    ( ~ esk777_2(X1,X2)
    | esk760_2(X1,X2) )).

cnf(i_0_10111,axiom,
    ( esk161_2(X1,X2)
    | ~ esk2829_2(X1,X2) )).

cnf(i_0_10112,axiom,
    ( ~ esk3780_2(X1,X2)
    | ~ esk3783_2(X1,X2) )).

cnf(i_0_10113,axiom,
    ( ~ esk94_2(X1,X2)
    | esk3162_2(X1,X2)
    | ~ esk3149_2(X1,X2) )).

cnf(i_0_10114,axiom,
    ( ~ esk1538_2(X1,X2)
    | ~ esk1539_2(X1,X2) )).

cnf(i_0_10115,axiom,
    ( esk2774_2(X1,X2)
    | ~ esk2775_2(X1,X2) )).

cnf(i_0_10116,axiom,
    ( ~ esk3_2(X1,X2)
    | esk2857_2(X1,X2)
    | ~ esk136_2(X1,X2) )).

cnf(i_0_10117,axiom,
    ( esk3768_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_10118,axiom,
    ( esk2175_2(X1,X2)
    | ~ esk2170_2(X1,X2)
    | ~ esk2174_2(X1,X2) )).

cnf(i_0_10119,axiom,
    ( esk3071_2(X1,X2)
    | esk3072_2(X1,X2) )).

cnf(i_0_10120,axiom,
    ( ~ esk4279_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_10121,axiom,
    ( ~ esk4796_2(X1,X2)
    | esk4791_2(X1,X2) )).

cnf(i_0_10122,axiom,
    ( esk914_2(X1,X2)
    | ~ esk109_2(X1,X2)
    | ~ esk913_2(X1,X2) )).

cnf(i_0_10123,axiom,
    ( esk5396_2(X1,X2)
    | esk5397_2(X1,X2) )).

cnf(i_0_10124,axiom,
    ( esk3338_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_10125,axiom,
    ( ~ esk565_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | esk961_2(X1,X2) )).

cnf(i_0_10126,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4294_2(X1,X2) )).

cnf(i_0_10127,axiom,
    ( esk1093_2(X1,X2)
    | esk1092_2(X1,X2) )).

cnf(i_0_10128,axiom,
    ( ~ esk226_2(X1,X2)
    | esk212_2(X1,X2) )).

cnf(i_0_10129,axiom,
    ( esk172_2(X1,X2)
    | ~ esk4379_2(X1,X2) )).

cnf(i_0_10130,axiom,
    ( ~ esk3477_2(X1,X2)
    | ~ esk3474_2(X1,X2)
    | esk3478_2(X1,X2) )).

cnf(i_0_10131,axiom,
    ( esk2299_2(X1,X2)
    | ~ esk2300_2(X1,X2) )).

cnf(i_0_10132,axiom,
    ( ~ esk3685_2(X1,X2)
    | esk3371_2(X1,X2) )).

cnf(i_0_10133,axiom,
    ( ~ esk1623_2(X1,X2)
    | esk4276_2(X1,X2)
    | esk5560_2(X1,X2) )).

cnf(i_0_10134,axiom,
    ( ~ esk1341_2(X1,X2)
    | ~ esk1344_2(X1,X2)
    | esk1345_2(X1,X2) )).

cnf(i_0_10135,axiom,
    ( ~ esk4985_2(X1,X2)
    | ~ esk2332_2(X1,X2)
    | ~ esk5600_2(X1,X2) )).

cnf(i_0_10136,axiom,
    ( esk2770_2(X1,X2)
    | ~ esk2771_2(X1,X2) )).

cnf(i_0_10137,axiom,
    ( esk3872_2(X1,X2)
    | ~ esk4306_2(X1,X2) )).

cnf(i_0_10138,axiom,
    ( ~ esk2790_2(X1,X2)
    | esk2789_2(X1,X2) )).

cnf(i_0_10139,axiom,
    ( esk3852_2(X1,X2)
    | ~ esk4445_2(X1,X2) )).

cnf(i_0_10140,axiom,
    ( ~ esk1782_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_10141,axiom,
    ( ~ esk4050_2(X1,X2)
    | ~ esk4049_2(X1,X2) )).

cnf(i_0_10142,axiom,
    ( ~ esk3160_2(X1,X2)
    | esk3156_2(X1,X2) )).

cnf(i_0_10143,axiom,
    ( esk943_2(X1,X2)
    | ~ esk947_2(X1,X2) )).

cnf(i_0_10144,axiom,
    ( ~ esk102_2(X1,X2)
    | esk4593_2(X1,X2)
    | ~ esk117_2(X1,X2) )).

cnf(i_0_10145,axiom,
    ( esk4615_2(X1,X2)
    | ~ esk4616_2(X1,X2) )).

cnf(i_0_10146,axiom,
    ( ~ esk816_2(X1,X2)
    | ~ esk817_2(X1,X2) )).

cnf(i_0_10147,axiom,
    ( esk176_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_10148,axiom,
    ( esk553_2(X1,X2)
    | ~ esk814_2(X1,X2) )).

cnf(i_0_10149,axiom,
    ( ~ esk4686_2(X1,X2)
    | esk4620_2(X1,X2) )).

cnf(i_0_10150,axiom,
    ( ~ esk2322_2(X1,X2)
    | ~ esk2325_2(X1,X2)
    | esk2326_2(X1,X2) )).

cnf(i_0_10151,axiom,
    ( esk2592_2(X1,X2)
    | ~ esk2597_2(X1,X2) )).

cnf(i_0_10152,axiom,
    ( ~ esk273_2(X1,X2)
    | ~ esk272_2(X1,X2) )).

cnf(i_0_10153,axiom,
    ( ~ esk523_2(X1,X2)
    | ~ esk2761_2(X1,X2) )).

cnf(i_0_10154,axiom,
    ( ~ esk4359_2(X1,X2)
    | ~ esk4360_2(X1,X2) )).

cnf(i_0_10155,axiom,
    ( ~ esk4692_2(X1,X2)
    | ~ esk4691_2(X1,X2) )).

cnf(i_0_10156,axiom,
    ( ~ esk2575_2(X1,X2)
    | esk2602_2(X1,X2)
    | ~ esk2601_2(X1,X2) )).

cnf(i_0_10157,axiom,
    ( ~ esk2138_2(X1,X2)
    | ~ esk2142_2(X1,X2)
    | esk2143_2(X1,X2) )).

cnf(i_0_10158,axiom,
    ( ~ esk3155_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_10159,axiom,
    ( ~ esk388_2(X1,X2)
    | esk387_2(X1,X2) )).

cnf(i_0_10160,axiom,
    ( esk706_2(X1,X2)
    | ~ esk2230_2(X1,X2) )).

cnf(i_0_10161,axiom,
    ( ~ esk2082_2(X1,X2)
    | ~ esk2081_2(X1,X2) )).

cnf(i_0_10162,axiom,
    ( esk1598_2(X1,X2)
    | ~ esk1816_2(X1,X2) )).

cnf(i_0_10163,axiom,
    ( esk196_2(X1,X2)
    | esk195_2(X1,X2) )).

cnf(i_0_10164,axiom,
    ( ~ esk636_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_10165,axiom,
    ( esk4890_2(X1,X2)
    | ~ esk4891_2(X1,X2) )).

cnf(i_0_10166,axiom,
    ( esk1624_2(X1,X2)
    | ~ esk1842_2(X1,X2) )).

cnf(i_0_10167,axiom,
    ( ~ esk2050_2(X1,X2)
    | ~ esk2047_2(X1,X2) )).

cnf(i_0_10168,axiom,
    ( esk1404_2(X1,X2)
    | esk1401_2(X1,X2)
    | esk1403_2(X1,X2) )).

cnf(i_0_10169,axiom,
    ( esk1219_2(X1,X2)
    | ~ esk1653_2(X1,X2) )).

cnf(i_0_10170,axiom,
    ( esk152_2(X1,X2)
    | ~ esk715_2(X1,X2) )).

cnf(i_0_10171,axiom,
    ( esk3372_2(X1,X2)
    | esk4811_2(X1,X2) )).

cnf(i_0_10172,axiom,
    ( ~ esk1377_2(X1,X2)
    | esk1373_2(X1,X2) )).

cnf(i_0_10173,axiom,
    ( esk4218_2(X1,X2)
    | ~ esk4223_2(X1,X2) )).

cnf(i_0_10174,axiom,
    ( ~ esk3645_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_10175,axiom,
    ( esk707_2(X1,X2)
    | ~ esk2246_2(X1,X2) )).

cnf(i_0_10176,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4255_2(X1,X2) )).

cnf(i_0_10177,axiom,
    ( esk4112_2(X1,X2)
    | esk4111_2(X1,X2) )).

cnf(i_0_10178,axiom,
    ( ~ esk3296_2(X1,X2)
    | esk3625_2(X1,X2)
    | ~ esk3266_2(X1,X2) )).

cnf(i_0_10179,axiom,
    ( ~ esk1276_2(X1,X2)
    | ~ esk1277_2(X1,X2) )).

cnf(i_0_10180,axiom,
    ( esk1387_2(X1,X2)
    | ~ esk1403_2(X1,X2) )).

cnf(i_0_10181,axiom,
    ( esk3946_2(X1,X2)
    | esk3945_2(X1,X2) )).

cnf(i_0_10182,axiom,
    ( ~ esk3177_2(X1,X2)
    | ~ esk3407_2(X1,X2) )).

cnf(i_0_10183,axiom,
    ( esk3475_2(X1,X2)
    | ~ esk3476_2(X1,X2) )).

cnf(i_0_10184,axiom,
    ( ~ esk42_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk1843_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_10185,axiom,
    ( ~ esk5184_2(X1,X2)
    | esk5183_2(X1,X2) )).

cnf(i_0_10186,axiom,
    ( esk5016_2(X1,X2)
    | esk5017_2(X1,X2) )).

cnf(i_0_10187,axiom,
    ( ~ esk4151_2(X1,X2)
    | esk3648_2(X1,X2) )).

cnf(i_0_10188,axiom,
    ( esk1652_2(X1,X2)
    | ~ esk1152_2(X1,X2)
    | ~ esk1651_2(X1,X2)
    | ~ esk1650_2(X1,X2) )).

cnf(i_0_10189,axiom,
    ( esk1111_2(X1,X2)
    | ~ esk1116_2(X1,X2) )).

cnf(i_0_10190,axiom,
    ( ~ esk4973_2(X1,X2)
    | ~ esk4850_2(X1,X2)
    | esk4974_2(X1,X2) )).

cnf(i_0_10191,axiom,
    ( esk1075_2(X1,X2)
    | ~ esk1085_2(X1,X2) )).

cnf(i_0_10192,axiom,
    ( ~ esk4520_2(X1,X2)
    | ~ esk4523_2(X1,X2) )).

cnf(i_0_10193,axiom,
    ( ~ esk1743_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_10194,axiom,
    ( ~ esk4716_2(X1,X2)
    | ~ esk4715_2(X1,X2) )).

cnf(i_0_10195,axiom,
    ( ~ esk2962_2(X1,X2)
    | ~ esk2961_2(X1,X2) )).

cnf(i_0_10196,axiom,
    ( esk2574_2(X1,X2)
    | esk2575_2(X1,X2) )).

cnf(i_0_10197,axiom,
    ( ~ esk2949_2(X1,X2)
    | ~ esk2948_2(X1,X2) )).

cnf(i_0_10198,axiom,
    ( esk6_2(X1,X2)
    | ~ esk2815_2(X1,X2) )).

cnf(i_0_10199,axiom,
    ( esk5237_2(X1,X2)
    | esk5238_2(X1,X2) )).

cnf(i_0_10200,axiom,
    ( esk575_2(X1,X2)
    | esk576_2(X1,X2)
    | esk574_2(X1,X2) )).

cnf(i_0_10201,axiom,
    ( esk3953_2(X1,X2)
    | ~ esk3952_2(X1,X2)
    | ~ esk3318_2(X1,X2) )).

cnf(i_0_10202,axiom,
    ( esk3014_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_10203,axiom,
    ( ~ esk5133_2(X1,X2)
    | esk5132_2(X1,X2) )).

cnf(i_0_10204,axiom,
    ( esk960_2(X1,X2)
    | ~ esk597_2(X1,X2)
    | ~ esk959_2(X1,X2) )).

cnf(i_0_10205,axiom,
    ( ~ esk998_2(X1,X2)
    | ~ esk999_2(X1,X2) )).

cnf(i_0_10206,axiom,
    ( ~ esk5101_2(X1,X2)
    | ~ esk5100_2(X1,X2) )).

cnf(i_0_10207,axiom,
    ( esk4571_2(X1,X2)
    | esk4570_2(X1,X2) )).

cnf(i_0_10208,axiom,
    ( ~ esk3108_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_10209,axiom,
    ( esk5219_2(X1,X2)
    | esk5220_2(X1,X2) )).

cnf(i_0_10210,axiom,
    ( ~ esk2485_2(X1,X2)
    | ~ esk2392_2(X1,X2) )).

cnf(i_0_10211,axiom,
    ( ~ esk5363_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_10212,axiom,
    ( ~ esk1627_2(X1,X2)
    | ~ esk1630_2(X1,X2) )).

cnf(i_0_10213,axiom,
    ( esk1420_2(X1,X2)
    | esk1269_2(X1,X2) )).

cnf(i_0_10214,axiom,
    ( ~ esk2055_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_10215,axiom,
    ( esk1736_2(X1,X2)
    | ~ esk4389_2(X1,X2)
    | esk5574_2(X1,X2) )).

cnf(i_0_10216,axiom,
    ( ~ esk1751_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_10217,axiom,
    ( ~ esk4844_2(X1,X2)
    | esk4839_2(X1,X2) )).

cnf(i_0_10218,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk3523_2(X1,X2) )).

cnf(i_0_10219,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4342_2(X1,X2) )).

cnf(i_0_10220,axiom,
    ( ~ esk131_2(X1,X2)
    | esk678_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_10221,axiom,
    ( esk917_2(X1,X2)
    | ~ esk916_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_10222,axiom,
    ( ~ esk3781_2(X1,X2)
    | esk5_2(X1,X2) )).

cnf(i_0_10223,axiom,
    ( ~ esk1398_2(X1,X2)
    | ~ esk1399_2(X1,X2) )).

cnf(i_0_10224,axiom,
    ( ~ esk177_2(X1,X2)
    | esk4490_2(X1,X2)
    | ~ esk20_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_10225,axiom,
    ( ~ esk4237_2(X1,X2)
    | ~ esk4239_2(X1,X2) )).

cnf(i_0_10226,axiom,
    ( esk2228_2(X1,X2)
    | esk2227_2(X1,X2) )).

cnf(i_0_10227,axiom,
    ( ~ esk2543_2(X1,X2)
    | ~ esk2542_2(X1,X2) )).

cnf(i_0_10228,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk3926_2(X1,X2)
    | esk4343_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_10229,axiom,
    ( esk146_2(X1,X2)
    | ~ esk995_2(X1,X2) )).

cnf(i_0_10230,axiom,
    ( ~ esk4496_2(X1,X2)
    | ~ esk4497_2(X1,X2) )).

cnf(i_0_10231,axiom,
    ( ~ esk4386_2(X1,X2)
    | esk4385_2(X1,X2) )).

cnf(i_0_10232,axiom,
    ( ~ esk2853_2(X1,X2)
    | ~ esk5506_2(X1,X2)
    | ~ esk191_2(X1,X2) )).

cnf(i_0_10233,axiom,
    ( ~ esk2919_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_10234,axiom,
    ( ~ esk2677_2(X1,X2)
    | ~ esk2676_2(X1,X2) )).

cnf(i_0_10235,axiom,
    ( esk103_2(X1,X2)
    | ~ esk1942_2(X1,X2) )).

cnf(i_0_10236,axiom,
    ( ~ esk3430_2(X1,X2)
    | esk4153_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | ~ esk3422_2(X1,X2) )).

cnf(i_0_10237,axiom,
    ( esk1898_2(X1,X2)
    | esk1894_2(X1,X2)
    | esk1897_2(X1,X2)
    | esk1895_2(X1,X2)
    | esk1896_2(X1,X2) )).

cnf(i_0_10238,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | esk1006_2(X1,X2) )).

cnf(i_0_10239,axiom,
    ( esk3430_2(X1,X2)
    | ~ esk4139_2(X1,X2) )).

cnf(i_0_10240,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk1593_2(X1,X2) )).

cnf(i_0_10241,axiom,
    ( esk2230_2(X1,X2)
    | esk2231_2(X1,X2) )).

cnf(i_0_10242,axiom,
    ( ~ esk1912_2(X1,X2)
    | ~ esk1913_2(X1,X2) )).

cnf(i_0_10243,axiom,
    ( esk2767_2(X1,X2)
    | esk598_2(X1,X2) )).

cnf(i_0_10244,axiom,
    ( esk96_2(X1,X2)
    | ~ esk386_2(X1,X2) )).

cnf(i_0_10245,axiom,
    ( esk835_2(X1,X2)
    | ~ esk840_2(X1,X2) )).

cnf(i_0_10246,axiom,
    ( ~ esk2265_2(X1,X2)
    | esk2264_2(X1,X2) )).

cnf(i_0_10247,axiom,
    ( ~ esk1053_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_10248,axiom,
    ( esk68_2(X1,X2)
    | ~ esk2930_2(X1,X2) )).

cnf(i_0_10249,axiom,
    ( esk4190_2(X1,X2)
    | esk4189_2(X1,X2) )).

cnf(i_0_10250,axiom,
    ( ~ esk3562_2(X1,X2)
    | esk3561_2(X1,X2) )).

cnf(i_0_10251,axiom,
    ( ~ esk2965_2(X1,X2)
    | ~ esk115_2(X1,X2) )).

cnf(i_0_10252,axiom,
    ( ~ esk3980_2(X1,X2)
    | ~ esk3979_2(X1,X2) )).

cnf(i_0_10253,axiom,
    ( ~ esk825_2(X1,X2)
    | ~ esk824_2(X1,X2) )).

cnf(i_0_10254,axiom,
    ( esk814_2(X1,X2)
    | esk815_2(X1,X2) )).

cnf(i_0_10255,axiom,
    ( ~ esk3288_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_10256,axiom,
    ( ~ esk4154_2(X1,X2)
    | ~ esk4151_2(X1,X2) )).

cnf(i_0_10257,axiom,
    ( ~ esk861_2(X1,X2)
    | ~ esk867_2(X1,X2) )).

cnf(i_0_10258,axiom,
    ( ~ esk5411_2(X1,X2)
    | esk5412_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_10259,axiom,
    ( esk2770_2(X1,X2)
    | esk2768_2(X1,X2) )).

cnf(i_0_10260,axiom,
    ( ~ esk1012_2(X1,X2)
    | esk1011_2(X1,X2) )).

cnf(i_0_10261,axiom,
    ( ~ esk2760_2(X1,X2)
    | esk2764_2(X1,X2)
    | ~ esk2763_2(X1,X2) )).

cnf(i_0_10262,axiom,
    ( ~ esk269_2(X1,X2)
    | ~ esk272_2(X1,X2) )).

cnf(i_0_10263,axiom,
    ( esk4007_2(X1,X2)
    | esk4019_2(X1,X2) )).

cnf(i_0_10264,axiom,
    ( esk1990_2(X1,X2)
    | esk1989_2(X1,X2) )).

cnf(i_0_10265,axiom,
    ( esk2618_2(X1,X2)
    | esk2619_2(X1,X2) )).

cnf(i_0_10266,axiom,
    ( ~ esk1873_2(X1,X2)
    | esk1651_2(X1,X2) )).

cnf(i_0_10267,axiom,
    ( esk1574_2(X1,X2)
    | esk1561_2(X1,X2)
    | esk1575_2(X1,X2) )).

cnf(i_0_10268,axiom,
    ( esk96_2(X1,X2)
    | esk4987_2(X1,X2) )).

cnf(i_0_10269,axiom,
    ( ~ esk2957_2(X1,X2)
    | ~ esk2960_2(X1,X2) )).

cnf(i_0_10270,axiom,
    ( ~ esk275_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_10271,axiom,
    ( esk5488_2(X1,X2)
    | ~ esk5475_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | ~ esk4243_2(X1,X2) )).

cnf(i_0_10272,axiom,
    ( esk3_2(X1,X2)
    | ~ esk195_2(X1,X2) )).

cnf(i_0_10273,axiom,
    ( ~ esk705_2(X1,X2)
    | ~ esk706_2(X1,X2) )).

cnf(i_0_10274,axiom,
    ( esk3612_2(X1,X2)
    | ~ esk3613_2(X1,X2) )).

cnf(i_0_10275,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4238_2(X1,X2) )).

cnf(i_0_10276,axiom,
    ( esk3199_2(X1,X2)
    | ~ esk3224_2(X1,X2) )).

cnf(i_0_10277,axiom,
    ( esk4583_2(X1,X2)
    | ~ esk4584_2(X1,X2) )).

cnf(i_0_10278,axiom,
    ( esk152_2(X1,X2)
    | esk1974_2(X1,X2)
    | esk1976_2(X1,X2)
    | esk1977_2(X1,X2) )).

cnf(i_0_10279,axiom,
    ( esk2722_2(X1,X2)
    | esk2723_2(X1,X2) )).

cnf(i_0_10280,axiom,
    ( esk1989_2(X1,X2)
    | esk1988_2(X1,X2)
    | esk1986_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_10281,axiom,
    ( esk633_2(X1,X2)
    | esk1283_2(X1,X2) )).

cnf(i_0_10282,axiom,
    ( ~ esk2246_2(X1,X2)
    | ~ esk2247_2(X1,X2) )).

cnf(i_0_10283,axiom,
    ( esk3448_2(X1,X2)
    | esk3203_2(X1,X2) )).

cnf(i_0_10284,axiom,
    ( ~ esk1137_2(X1,X2)
    | esk664_2(X1,X2) )).

cnf(i_0_10285,axiom,
    ( esk2129_2(X1,X2)
    | esk2128_2(X1,X2)
    | esk2125_2(X1,X2)
    | esk2126_2(X1,X2)
    | esk2127_2(X1,X2)
    | esk1023_2(X1,X2) )).

cnf(i_0_10286,axiom,
    ( ~ esk929_2(X1,X2)
    | ~ esk930_2(X1,X2) )).

cnf(i_0_10287,axiom,
    ( esk2174_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_10288,axiom,
    ( esk5184_2(X1,X2)
    | esk5185_2(X1,X2) )).

cnf(i_0_10289,axiom,
    ( esk5360_2(X1,X2)
    | ~ esk5361_2(X1,X2) )).

cnf(i_0_10290,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk828_2(X1,X2)
    | esk829_2(X1,X2) )).

cnf(i_0_10291,axiom,
    ( ~ esk3010_2(X1,X2)
    | ~ esk3007_2(X1,X2) )).

cnf(i_0_10292,axiom,
    ( ~ esk730_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_10293,axiom,
    ( ~ esk5035_2(X1,X2)
    | esk5036_2(X1,X2)
    | ~ esk5032_2(X1,X2) )).

cnf(i_0_10294,axiom,
    ( ~ esk2395_2(X1,X2)
    | ~ esk2396_2(X1,X2) )).

cnf(i_0_10295,axiom,
    ( esk151_2(X1,X2)
    | ~ esk658_2(X1,X2) )).

cnf(i_0_10296,axiom,
    ( ~ esk585_2(X1,X2)
    | ~ esk2644_2(X1,X2) )).

cnf(i_0_10297,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1154_2(X1,X2) )).

cnf(i_0_10298,axiom,
    ( esk693_2(X1,X2)
    | ~ esk697_2(X1,X2) )).

cnf(i_0_10299,axiom,
    ( esk132_2(X1,X2)
    | esk3506_2(X1,X2) )).

cnf(i_0_10300,axiom,
    ( ~ esk5368_2(X1,X2)
    | ~ esk5367_2(X1,X2) )).

cnf(i_0_10301,axiom,
    ( ~ esk5410_2(X1,X2)
    | esk5415_2(X1,X2)
    | ~ esk5414_2(X1,X2) )).

cnf(i_0_10302,axiom,
    ( ~ esk1978_2(X1,X2)
    | ~ esk1977_2(X1,X2) )).

cnf(i_0_10303,axiom,
    ( ~ esk5484_2(X1,X2)
    | ~ esk5481_2(X1,X2) )).

cnf(i_0_10304,axiom,
    ( esk1288_2(X1,X2)
    | esk1287_2(X1,X2) )).

cnf(i_0_10305,axiom,
    ( ~ esk3369_2(X1,X2)
    | ~ esk3671_2(X1,X2)
    | esk4852_2(X1,X2)
    | ~ esk3368_2(X1,X2) )).

cnf(i_0_10306,axiom,
    ( esk1620_2(X1,X2)
    | esk1619_2(X1,X2)
    | esk1621_2(X1,X2)
    | esk1622_2(X1,X2)
    | esk1618_2(X1,X2) )).

cnf(i_0_10307,axiom,
    ( esk945_2(X1,X2)
    | esk946_2(X1,X2) )).

cnf(i_0_10308,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk3346_2(X1,X2) )).

cnf(i_0_10309,axiom,
    ( ~ esk1053_2(X1,X2)
    | esk62_2(X1,X2) )).

cnf(i_0_10310,axiom,
    ( ~ esk3050_2(X1,X2)
    | ~ esk3051_2(X1,X2) )).

cnf(i_0_10311,axiom,
    ( ~ esk4670_2(X1,X2)
    | ~ esk4674_2(X1,X2)
    | esk4675_2(X1,X2) )).

cnf(i_0_10312,axiom,
    ( esk319_2(X1,X2)
    | ~ esk414_2(X1,X2) )).

cnf(i_0_10313,axiom,
    ( esk2233_2(X1,X2)
    | ~ esk2228_2(X1,X2)
    | ~ esk2232_2(X1,X2) )).

cnf(i_0_10314,axiom,
    ( ~ esk336_2(X1,X2)
    | ~ esk335_2(X1,X2) )).

cnf(i_0_10315,axiom,
    ( esk3413_2(X1,X2)
    | ~ esk3409_2(X1,X2)
    | ~ esk3412_2(X1,X2) )).

cnf(i_0_10316,axiom,
    ( esk952_2(X1,X2)
    | ~ esk953_2(X1,X2) )).

cnf(i_0_10317,axiom,
    ( esk2682_2(X1,X2)
    | ~ esk2687_2(X1,X2) )).

cnf(i_0_10318,axiom,
    ( ~ esk4119_2(X1,X2)
    | ~ esk4120_2(X1,X2) )).

cnf(i_0_10319,axiom,
    ( ~ esk3082_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_10320,axiom,
    ( ~ esk4042_2(X1,X2)
    | esk114_2(X1,X2) )).

cnf(i_0_10321,axiom,
    ( esk2529_2(X1,X2)
    | esk2528_2(X1,X2) )).

cnf(i_0_10322,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk3426_2(X1,X2) )).

cnf(i_0_10323,axiom,
    ( ~ esk2644_2(X1,X2)
    | esk2645_2(X1,X2)
    | ~ esk2640_2(X1,X2) )).

cnf(i_0_10324,axiom,
    ( esk1298_2(X1,X2)
    | ~ esk1340_2(X1,X2) )).

cnf(i_0_10325,axiom,
    ( ~ esk1938_2(X1,X2)
    | esk1937_2(X1,X2) )).

cnf(i_0_10326,axiom,
    ( esk3921_2(X1,X2)
    | ~ esk3920_2(X1,X2)
    | ~ esk3917_2(X1,X2) )).

cnf(i_0_10327,axiom,
    ( ~ esk2910_2(X1,X2)
    | esk12_2(X1,X2) )).

cnf(i_0_10328,axiom,
    ( ~ esk4615_2(X1,X2)
    | ~ esk4592_2(X1,X2) )).

cnf(i_0_10329,axiom,
    ( ~ esk3553_2(X1,X2)
    | ~ esk3555_2(X1,X2)
    | esk3556_2(X1,X2) )).

cnf(i_0_10330,axiom,
    ( ~ esk1446_2(X1,X2)
    | ~ esk1445_2(X1,X2) )).

cnf(i_0_10331,axiom,
    ( ~ esk2418_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_10332,axiom,
    ( ~ esk575_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_10333,axiom,
    ( ~ esk4768_2(X1,X2)
    | ~ esk4769_2(X1,X2) )).

cnf(i_0_10334,axiom,
    ( esk3298_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_10335,axiom,
    ( ~ esk3039_2(X1,X2)
    | ~ esk3034_2(X1,X2)
    | esk3040_2(X1,X2) )).

cnf(i_0_10336,axiom,
    ( esk3291_2(X1,X2)
    | ~ esk3629_2(X1,X2) )).

cnf(i_0_10337,axiom,
    ( esk5123_2(X1,X2)
    | esk5129_2(X1,X2) )).

cnf(i_0_10338,axiom,
    ( esk2680_2(X1,X2)
    | esk2679_2(X1,X2) )).

cnf(i_0_10339,axiom,
    ( esk130_2(X1,X2)
    | ~ esk310_2(X1,X2) )).

cnf(i_0_10340,axiom,
    ( esk4585_2(X1,X2)
    | ~ esk4586_2(X1,X2) )).

cnf(i_0_10341,axiom,
    ( ~ esk3368_2(X1,X2)
    | esk4883_2(X1,X2)
    | ~ esk4882_2(X1,X2) )).

cnf(i_0_10342,axiom,
    ( esk1199_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_10343,axiom,
    ( ~ esk2249_2(X1,X2)
    | ~ esk2250_2(X1,X2) )).

cnf(i_0_10344,axiom,
    ( esk32_2(X1,X2)
    | ~ esk249_2(X1,X2) )).

cnf(i_0_10345,axiom,
    ( esk1219_2(X1,X2)
    | ~ esk1627_2(X1,X2) )).

cnf(i_0_10346,axiom,
    ( esk217_2(X1,X2)
    | ~ esk14_2(X1,X2)
    | ~ esk13_2(X1,X2) )).

cnf(i_0_10347,axiom,
    ( ~ esk508_2(X1,X2)
    | esk507_2(X1,X2) )).

cnf(i_0_10348,axiom,
    ( esk1199_2(X1,X2)
    | ~ esk1798_2(X1,X2) )).

cnf(i_0_10349,axiom,
    ( ~ esk4529_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_10350,axiom,
    ( esk178_2(X1,X2)
    | ~ esk2330_2(X1,X2) )).

cnf(i_0_10351,axiom,
    ( esk1461_2(X1,X2)
    | ~ esk1465_2(X1,X2) )).

cnf(i_0_10352,axiom,
    ( esk752_2(X1,X2)
    | ~ esk1499_2(X1,X2) )).

cnf(i_0_10353,axiom,
    ( esk1379_2(X1,X2)
    | ~ esk1380_2(X1,X2) )).

cnf(i_0_10354,axiom,
    ( esk574_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | ~ esk537_2(X1,X2) )).

cnf(i_0_10355,axiom,
    ( ~ esk3311_2(X1,X2)
    | ~ esk3312_2(X1,X2) )).

cnf(i_0_10356,axiom,
    ( esk3548_2(X1,X2)
    | esk3547_2(X1,X2) )).

cnf(i_0_10357,axiom,
    ( esk211_2(X1,X2)
    | ~ esk221_2(X1,X2) )).

cnf(i_0_10358,axiom,
    ( esk296_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_10359,axiom,
    ( esk5533_2(X1,X2)
    | ~ esk948_2(X1,X2)
    | esk3601_2(X1,X2) )).

cnf(i_0_10360,axiom,
    ( ~ esk3775_2(X1,X2)
    | esk4384_2(X1,X2)
    | ~ esk4377_2(X1,X2) )).

cnf(i_0_10361,axiom,
    ( esk2247_2(X1,X2)
    | esk2246_2(X1,X2) )).

cnf(i_0_10362,axiom,
    ( ~ esk1557_2(X1,X2)
    | ~ esk1556_2(X1,X2) )).

cnf(i_0_10363,axiom,
    ( esk984_2(X1,X2)
    | ~ esk1136_2(X1,X2) )).

cnf(i_0_10364,axiom,
    ( esk16_2(X1,X2)
    | ~ esk1629_2(X1,X2) )).

cnf(i_0_10365,axiom,
    ( esk103_2(X1,X2)
    | ~ esk5106_2(X1,X2) )).

cnf(i_0_10366,axiom,
    ( ~ esk2365_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_10367,axiom,
    ( ~ esk2710_2(X1,X2)
    | ~ esk2712_2(X1,X2) )).

cnf(i_0_10368,axiom,
    ( ~ esk920_2(X1,X2)
    | ~ esk921_2(X1,X2) )).

cnf(i_0_10369,axiom,
    ( ~ esk688_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | esk1157_2(X1,X2)
    | ~ esk652_2(X1,X2)
    | ~ esk23_2(X1,X2) )).

cnf(i_0_10370,axiom,
    ( ~ esk5074_2(X1,X2)
    | ~ esk5075_2(X1,X2) )).

cnf(i_0_10371,axiom,
    ( esk3503_2(X1,X2)
    | esk3502_2(X1,X2) )).

cnf(i_0_10372,axiom,
    ( esk5012_2(X1,X2)
    | ~ esk5016_2(X1,X2) )).

cnf(i_0_10373,axiom,
    ( esk495_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_10374,axiom,
    ( ~ esk717_2(X1,X2)
    | esk713_2(X1,X2) )).

cnf(i_0_10375,axiom,
    ( ~ esk3906_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_10376,axiom,
    ( esk3380_2(X1,X2)
    | ~ esk3405_2(X1,X2) )).

cnf(i_0_10377,axiom,
    ( esk70_2(X1,X2)
    | ~ esk4329_2(X1,X2) )).

cnf(i_0_10378,axiom,
    ( ~ esk2450_2(X1,X2)
    | esk2449_2(X1,X2) )).

cnf(i_0_10379,axiom,
    ( ~ esk970_2(X1,X2)
    | ~ esk971_2(X1,X2) )).

cnf(i_0_10380,axiom,
    ( ~ esk4940_2(X1,X2)
    | ~ esk4939_2(X1,X2) )).

cnf(i_0_10381,axiom,
    ( esk52_2(X1,X2)
    | ~ esk3840_2(X1,X2) )).

cnf(i_0_10382,axiom,
    ( esk139_2(X1,X2)
    | ~ esk2441_2(X1,X2) )).

cnf(i_0_10383,axiom,
    ( esk2192_2(X1,X2)
    | esk2191_2(X1,X2) )).

cnf(i_0_10384,axiom,
    ( ~ esk1550_2(X1,X2)
    | ~ esk1551_2(X1,X2) )).

cnf(i_0_10385,axiom,
    ( ~ esk1877_2(X1,X2)
    | ~ esk1875_2(X1,X2) )).

cnf(i_0_10386,axiom,
    ( esk4372_2(X1,X2)
    | esk4373_2(X1,X2) )).

cnf(i_0_10387,axiom,
    ( ~ esk4792_2(X1,X2)
    | esk4793_2(X1,X2)
    | ~ esk4786_2(X1,X2) )).

cnf(i_0_10388,axiom,
    ( ~ esk4051_2(X1,X2)
    | ~ esk4052_2(X1,X2) )).

cnf(i_0_10389,axiom,
    ( ~ esk2258_2(X1,X2)
    | ~ esk604_2(X1,X2) )).

cnf(i_0_10390,axiom,
    ( ~ esk4540_2(X1,X2)
    | ~ esk4544_2(X1,X2) )).

cnf(i_0_10391,axiom,
    ( ~ esk162_2(X1,X2)
    | esk1883_2(X1,X2)
    | ~ esk79_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_10392,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk2813_2(X1,X2) )).

cnf(i_0_10393,axiom,
    ( ~ esk3109_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_10394,axiom,
    ( esk2098_2(X1,X2)
    | ~ esk2099_2(X1,X2) )).

cnf(i_0_10395,axiom,
    ( esk4001_2(X1,X2)
    | esk4002_2(X1,X2) )).

cnf(i_0_10396,axiom,
    ( esk686_2(X1,X2)
    | ~ esk687_2(X1,X2) )).

cnf(i_0_10397,axiom,
    ( esk4230_2(X1,X2)
    | ~ esk4232_2(X1,X2) )).

cnf(i_0_10398,axiom,
    ( ~ esk3846_2(X1,X2)
    | esk3708_2(X1,X2) )).

cnf(i_0_10399,axiom,
    ( ~ esk1904_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_10400,axiom,
    ( ~ esk1891_2(X1,X2)
    | ~ esk1889_2(X1,X2) )).

cnf(i_0_10401,axiom,
    ( ~ esk1588_2(X1,X2)
    | esk4241_2(X1,X2)
    | esk5555_2(X1,X2) )).

cnf(i_0_10402,axiom,
    ( ~ esk5534_2(X1,X2)
    | esk3624_2(X1,X2)
    | esk971_2(X1,X2) )).

cnf(i_0_10403,axiom,
    ( ~ esk103_2(X1,X2)
    | esk1942_2(X1,X2)
    | ~ esk1941_2(X1,X2) )).

cnf(i_0_10404,axiom,
    ( esk920_2(X1,X2)
    | esk921_2(X1,X2) )).

cnf(i_0_10405,axiom,
    ( ~ esk1413_2(X1,X2)
    | esk1417_2(X1,X2)
    | ~ esk1416_2(X1,X2) )).

cnf(i_0_10406,axiom,
    ( ~ esk2606_2(X1,X2)
    | ~ esk2605_2(X1,X2) )).

cnf(i_0_10407,axiom,
    ( ~ esk492_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_10408,axiom,
    ( esk4415_2(X1,X2)
    | esk3999_2(X1,X2) )).

cnf(i_0_10409,axiom,
    ( ~ esk118_2(X1,X2)
    | ~ esk125_2(X1,X2)
    | esk3264_2(X1,X2) )).

cnf(i_0_10410,axiom,
    ( ~ esk4593_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_10411,axiom,
    ( esk3955_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_10412,axiom,
    ( ~ esk2813_2(X1,X2)
    | ~ esk2817_2(X1,X2) )).

cnf(i_0_10413,axiom,
    ( ~ esk31_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | esk263_2(X1,X2) )).

cnf(i_0_10414,axiom,
    ( esk3282_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_10415,axiom,
    ( ~ esk4236_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_10416,axiom,
    ( esk1215_2(X1,X2)
    | ~ esk1216_2(X1,X2) )).

cnf(i_0_10417,axiom,
    ( ~ esk5580_2(X1,X2)
    | esk4438_2(X1,X2)
    | esk1785_2(X1,X2) )).

cnf(i_0_10418,axiom,
    ( esk1781_2(X1,X2)
    | esk1783_2(X1,X2)
    | esk1780_2(X1,X2)
    | esk1782_2(X1,X2) )).

cnf(i_0_10419,axiom,
    ( esk105_2(X1,X2)
    | ~ esk3236_2(X1,X2) )).

cnf(i_0_10420,axiom,
    ( esk139_2(X1,X2)
    | ~ esk461_2(X1,X2) )).

cnf(i_0_10421,axiom,
    ( esk77_2(X1,X2)
    | ~ esk1890_2(X1,X2) )).

cnf(i_0_10422,axiom,
    ( ~ esk2457_2(X1,X2)
    | ~ esk2460_2(X1,X2) )).

cnf(i_0_10423,axiom,
    ( esk39_2(X1,X2)
    | ~ esk2820_2(X1,X2) )).

cnf(i_0_10424,axiom,
    ( esk4276_2(X1,X2)
    | esk4275_2(X1,X2) )).

cnf(i_0_10425,axiom,
    ( ~ esk4621_2(X1,X2)
    | ~ esk4624_2(X1,X2) )).

cnf(i_0_10426,axiom,
    ( esk1142_2(X1,X2)
    | esk1143_2(X1,X2) )).

cnf(i_0_10427,axiom,
    ( ~ esk144_2(X1,X2)
    | ~ esk90_2(X1,X2)
    | esk473_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_10428,axiom,
    ( ~ esk2831_2(X1,X2)
    | ~ esk2830_2(X1,X2) )).

cnf(i_0_10429,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk1981_2(X1,X2) )).

cnf(i_0_10430,axiom,
    ( ~ esk5349_2(X1,X2)
    | ~ esk5348_2(X1,X2) )).

cnf(i_0_10431,axiom,
    ( ~ esk4675_2(X1,X2)
    | esk4670_2(X1,X2) )).

cnf(i_0_10432,axiom,
    ( esk1083_2(X1,X2)
    | ~ esk1079_2(X1,X2)
    | ~ esk1082_2(X1,X2) )).

cnf(i_0_10433,axiom,
    ( ~ esk4501_2(X1,X2)
    | esk38_2(X1,X2) )).

cnf(i_0_10434,axiom,
    ( ~ esk635_2(X1,X2)
    | esk617_2(X1,X2) )).

cnf(i_0_10435,axiom,
    ( esk1272_2(X1,X2)
    | esk1273_2(X1,X2) )).

cnf(i_0_10436,axiom,
    ( ~ esk1988_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_10437,axiom,
    ( ~ esk3972_2(X1,X2)
    | ~ esk3959_2(X1,X2)
    | esk3982_2(X1,X2)
    | ~ esk3981_2(X1,X2) )).

cnf(i_0_10438,axiom,
    ( ~ esk396_2(X1,X2)
    | ~ esk395_2(X1,X2) )).

cnf(i_0_10439,axiom,
    ( esk1018_2(X1,X2)
    | ~ esk1019_2(X1,X2) )).

cnf(i_0_10440,axiom,
    ( ~ esk561_2(X1,X2)
    | esk2618_2(X1,X2)
    | ~ esk2617_2(X1,X2) )).

cnf(i_0_10441,axiom,
    ( esk2887_2(X1,X2)
    | ~ esk5519_2(X1,X2)
    | esk225_2(X1,X2) )).

cnf(i_0_10442,axiom,
    ( esk155_2(X1,X2)
    | esk2854_2(X1,X2) )).

cnf(i_0_10443,axiom,
    ( ~ esk3307_2(X1,X2)
    | ~ esk3304_2(X1,X2)
    | esk3308_2(X1,X2) )).

cnf(i_0_10444,axiom,
    ( ~ esk1260_2(X1,X2)
    | ~ esk1008_2(X1,X2) )).

cnf(i_0_10445,axiom,
    ( esk1892_2(X1,X2)
    | esk1891_2(X1,X2) )).

cnf(i_0_10446,axiom,
    ( esk1355_2(X1,X2)
    | esk577_2(X1,X2) )).

cnf(i_0_10447,axiom,
    ( esk2451_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_10448,axiom,
    ( ~ esk500_2(X1,X2)
    | esk487_2(X1,X2) )).

cnf(i_0_10449,axiom,
    ( ~ esk888_2(X1,X2)
    | ~ esk887_2(X1,X2) )).

cnf(i_0_10450,axiom,
    ( esk2077_2(X1,X2)
    | ~ esk2078_2(X1,X2) )).

cnf(i_0_10451,axiom,
    ( esk3519_2(X1,X2)
    | esk3518_2(X1,X2) )).

cnf(i_0_10452,axiom,
    ( esk548_2(X1,X2)
    | ~ esk544_2(X1,X2)
    | ~ esk547_2(X1,X2) )).

cnf(i_0_10453,axiom,
    ( ~ esk2703_2(X1,X2)
    | esk2702_2(X1,X2) )).

cnf(i_0_10454,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4641_2(X1,X2) )).

cnf(i_0_10455,axiom,
    ( ~ esk4182_2(X1,X2)
    | ~ esk4181_2(X1,X2) )).

cnf(i_0_10456,axiom,
    ( ~ esk1144_2(X1,X2)
    | ~ esk676_2(X1,X2) )).

cnf(i_0_10457,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1594_2(X1,X2) )).

cnf(i_0_10458,axiom,
    ( esk4511_2(X1,X2)
    | ~ esk4510_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_10459,axiom,
    ( ~ esk4316_2(X1,X2)
    | ~ esk4312_2(X1,X2) )).

cnf(i_0_10460,axiom,
    ( ~ esk3872_2(X1,X2)
    | ~ esk3873_2(X1,X2) )).

cnf(i_0_10461,axiom,
    ( esk218_2(X1,X2)
    | esk219_2(X1,X2) )).

cnf(i_0_10462,axiom,
    ( ~ esk1463_2(X1,X2)
    | esk1458_2(X1,X2) )).

cnf(i_0_10463,axiom,
    ( esk3750_2(X1,X2)
    | ~ esk3749_2(X1,X2)
    | ~ esk3745_2(X1,X2) )).

cnf(i_0_10464,axiom,
    ( ~ esk3005_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | esk3807_2(X1,X2)
    | ~ esk3695_2(X1,X2) )).

cnf(i_0_10465,axiom,
    ( ~ esk3773_2(X1,X2)
    | ~ esk3774_2(X1,X2) )).

cnf(i_0_10466,axiom,
    ( ~ esk4735_2(X1,X2)
    | esk4736_2(X1,X2)
    | ~ esk3372_2(X1,X2) )).

cnf(i_0_10467,axiom,
    ( ~ esk1771_2(X1,X2)
    | ~ esk1768_2(X1,X2) )).

cnf(i_0_10468,axiom,
    ( ~ esk2821_2(X1,X2)
    | ~ esk2820_2(X1,X2) )).

cnf(i_0_10469,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk132_2(X1,X2)
    | esk3021_2(X1,X2) )).

cnf(i_0_10470,axiom,
    ( ~ esk5271_2(X1,X2)
    | esk5270_2(X1,X2) )).

cnf(i_0_10471,axiom,
    ( esk3191_2(X1,X2)
    | ~ esk3189_2(X1,X2)
    | ~ esk3190_2(X1,X2) )).

cnf(i_0_10472,axiom,
    ( esk1218_2(X1,X2)
    | esk1216_2(X1,X2)
    | esk1217_2(X1,X2)
    | esk1201_2(X1,X2) )).

cnf(i_0_10473,axiom,
    ( esk3309_2(X1,X2)
    | esk3308_2(X1,X2) )).

cnf(i_0_10474,axiom,
    ( esk1200_2(X1,X2)
    | ~ esk1781_2(X1,X2) )).

cnf(i_0_10475,axiom,
    ( ~ esk2647_2(X1,X2)
    | esk2643_2(X1,X2) )).

cnf(i_0_10476,axiom,
    ( ~ esk3593_2(X1,X2)
    | ~ esk3594_2(X1,X2) )).

cnf(i_0_10477,axiom,
    ( esk2630_2(X1,X2)
    | ~ esk2631_2(X1,X2) )).

cnf(i_0_10478,axiom,
    ( ~ esk5451_2(X1,X2)
    | ~ esk5464_2(X1,X2) )).

cnf(i_0_10479,axiom,
    ( ~ esk2357_2(X1,X2)
    | ~ esk2356_2(X1,X2) )).

cnf(i_0_10480,axiom,
    ( esk4754_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_10481,axiom,
    ( ~ esk3127_2(X1,X2)
    | ~ esk3130_2(X1,X2) )).

cnf(i_0_10482,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1661_2(X1,X2) )).

cnf(i_0_10483,axiom,
    ( esk5317_2(X1,X2)
    | ~ esk5318_2(X1,X2) )).

cnf(i_0_10484,axiom,
    ( esk1614_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk1124_2(X1,X2)
    | ~ esk28_2(X1,X2) )).

cnf(i_0_10485,axiom,
    ( ~ esk180_2(X1,X2)
    | ~ esk64_2(X1,X2)
    | esk1710_2(X1,X2) )).

cnf(i_0_10486,axiom,
    ( esk109_2(X1,X2)
    | esk3096_2(X1,X2) )).

cnf(i_0_10487,axiom,
    ( ~ esk926_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_10488,axiom,
    ( ~ esk550_2(X1,X2)
    | ~ esk552_2(X1,X2) )).

cnf(i_0_10489,axiom,
    ( esk4008_2(X1,X2)
    | ~ esk4009_2(X1,X2) )).

cnf(i_0_10490,axiom,
    ( ~ esk5128_2(X1,X2)
    | ~ esk5125_2(X1,X2) )).

cnf(i_0_10491,axiom,
    ( ~ esk3292_2(X1,X2)
    | ~ esk3294_2(X1,X2) )).

cnf(i_0_10492,axiom,
    ( ~ esk5305_2(X1,X2)
    | esk3605_2(X1,X2) )).

cnf(i_0_10493,axiom,
    ( ~ esk3277_2(X1,X2)
    | ~ esk3276_2(X1,X2) )).

cnf(i_0_10494,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk3271_2(X1,X2)
    | esk3628_2(X1,X2) )).

cnf(i_0_10495,axiom,
    ( ~ esk3609_2(X1,X2)
    | ~ esk3604_2(X1,X2) )).

cnf(i_0_10496,axiom,
    ( esk5587_2(X1,X2)
    | esk4480_2(X1,X2)
    | ~ esk1827_2(X1,X2) )).

cnf(i_0_10497,axiom,
    ( ~ esk939_2(X1,X2)
    | ~ esk940_2(X1,X2) )).

cnf(i_0_10498,axiom,
    ( ~ esk2241_2(X1,X2)
    | esk2240_2(X1,X2) )).

cnf(i_0_10499,axiom,
    ( ~ esk4317_2(X1,X2)
    | esk4318_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_10500,axiom,
    ( ~ esk4058_2(X1,X2)
    | ~ esk4052_2(X1,X2) )).

cnf(i_0_10501,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk5367_2(X1,X2) )).

cnf(i_0_10502,axiom,
    ( ~ esk5328_2(X1,X2)
    | ~ esk3161_2(X1,X2)
    | esk5329_2(X1,X2) )).

cnf(i_0_10503,axiom,
    ( ~ esk1604_2(X1,X2)
    | ~ esk1602_2(X1,X2) )).

cnf(i_0_10504,axiom,
    ( esk2497_2(X1,X2)
    | esk2496_2(X1,X2)
    | esk963_2(X1,X2) )).

cnf(i_0_10505,axiom,
    ( esk148_2(X1,X2)
    | ~ esk2931_2(X1,X2) )).

cnf(i_0_10506,axiom,
    ( ~ esk1909_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_10507,axiom,
    ( ~ esk138_2(X1,X2)
    | esk2865_2(X1,X2)
    | ~ esk156_2(X1,X2) )).

cnf(i_0_10508,axiom,
    ( esk3777_2(X1,X2)
    | ~ esk4259_2(X1,X2) )).

cnf(i_0_10509,axiom,
    ( esk4447_2(X1,X2)
    | esk4446_2(X1,X2)
    | esk4448_2(X1,X2)
    | esk4445_2(X1,X2) )).

cnf(i_0_10510,axiom,
    ( esk76_2(X1,X2)
    | ~ esk4522_2(X1,X2) )).

cnf(i_0_10511,axiom,
    ( ~ esk1979_2(X1,X2)
    | esk1973_2(X1,X2) )).

cnf(i_0_10512,axiom,
    ( ~ esk2988_2(X1,X2)
    | esk2971_2(X1,X2) )).

cnf(i_0_10513,axiom,
    ( ~ esk267_2(X1,X2)
    | esk268_2(X1,X2)
    | ~ esk68_2(X1,X2) )).

cnf(i_0_10514,axiom,
    ( ~ esk3905_2(X1,X2)
    | esk3906_2(X1,X2)
    | ~ esk3728_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_10515,axiom,
    ( ~ esk5329_2(X1,X2)
    | esk3161_2(X1,X2) )).

cnf(i_0_10516,axiom,
    ( ~ esk2866_2(X1,X2)
    | esk204_2(X1,X2)
    | esk5513_2(X1,X2) )).

cnf(i_0_10517,axiom,
    ( esk3565_2(X1,X2)
    | esk3564_2(X1,X2) )).

cnf(i_0_10518,axiom,
    ( ~ esk2917_2(X1,X2)
    | ~ esk2921_2(X1,X2) )).

cnf(i_0_10519,axiom,
    ( ~ esk4911_2(X1,X2)
    | ~ esk4908_2(X1,X2) )).

cnf(i_0_10520,axiom,
    ( ~ esk1023_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_10521,axiom,
    ( esk142_2(X1,X2)
    | ~ esk4988_2(X1,X2) )).

cnf(i_0_10522,axiom,
    ( ~ esk4752_2(X1,X2)
    | esk4751_2(X1,X2) )).

cnf(i_0_10523,axiom,
    ( ~ esk3564_2(X1,X2)
    | ~ esk3565_2(X1,X2) )).

cnf(i_0_10524,axiom,
    ( ~ esk4708_2(X1,X2)
    | esk3680_2(X1,X2) )).

cnf(i_0_10525,axiom,
    ( esk2664_2(X1,X2)
    | esk2663_2(X1,X2) )).

cnf(i_0_10526,axiom,
    ( esk1191_2(X1,X2)
    | ~ esk2815_2(X1,X2) )).

cnf(i_0_10527,axiom,
    ( esk5024_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk92_2(X1,X2) )).

cnf(i_0_10528,axiom,
    ( ~ esk274_2(X1,X2)
    | ~ esk279_2(X1,X2)
    | esk280_2(X1,X2) )).

cnf(i_0_10529,axiom,
    ( esk1778_2(X1,X2)
    | ~ esk1779_2(X1,X2) )).

cnf(i_0_10530,axiom,
    ( esk4759_2(X1,X2)
    | ~ esk4760_2(X1,X2) )).

cnf(i_0_10531,axiom,
    ( esk287_2(X1,X2)
    | ~ esk293_2(X1,X2) )).

cnf(i_0_10532,axiom,
    ( ~ esk142_2(X1,X2)
    | esk754_2(X1,X2)
    | ~ esk753_2(X1,X2) )).

cnf(i_0_10533,axiom,
    ( esk4441_2(X1,X2)
    | ~ esk47_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk3852_2(X1,X2) )).

cnf(i_0_10534,axiom,
    ( esk611_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk610_2(X1,X2) )).

cnf(i_0_10535,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk43_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk4466_2(X1,X2) )).

cnf(i_0_10536,axiom,
    ( esk3648_2(X1,X2)
    | ~ esk4138_2(X1,X2) )).

cnf(i_0_10537,axiom,
    ( esk1926_2(X1,X2)
    | esk1929_2(X1,X2)
    | esk147_2(X1,X2)
    | esk1928_2(X1,X2) )).

cnf(i_0_10538,axiom,
    ( ~ esk1733_2(X1,X2)
    | esk1732_2(X1,X2) )).

cnf(i_0_10539,axiom,
    ( ~ esk1590_2(X1,X2)
    | esk2836_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk2827_2(X1,X2) )).

cnf(i_0_10540,axiom,
    ( ~ esk3332_2(X1,X2)
    | ~ esk3333_2(X1,X2) )).

cnf(i_0_10541,axiom,
    ( esk1821_2(X1,X2)
    | ~ esk4474_2(X1,X2)
    | esk5586_2(X1,X2) )).

cnf(i_0_10542,axiom,
    ( ~ esk5376_2(X1,X2)
    | ~ esk5375_2(X1,X2) )).

cnf(i_0_10543,axiom,
    ( ~ esk4972_2(X1,X2)
    | ~ esk4973_2(X1,X2) )).

cnf(i_0_10544,axiom,
    ( ~ esk4398_2(X1,X2)
    | ~ esk4399_2(X1,X2) )).

cnf(i_0_10545,axiom,
    ( ~ esk3189_2(X1,X2)
    | ~ esk4048_2(X1,X2) )).

cnf(i_0_10546,axiom,
    ( esk4655_2(X1,X2)
    | esk4654_2(X1,X2) )).

cnf(i_0_10547,axiom,
    ( ~ esk4678_2(X1,X2)
    | ~ esk4679_2(X1,X2) )).

cnf(i_0_10548,axiom,
    ( esk3336_2(X1,X2)
    | ~ esk3337_2(X1,X2) )).

cnf(i_0_10549,axiom,
    ( esk311_2(X1,X2)
    | ~ esk448_2(X1,X2) )).

cnf(i_0_10550,axiom,
    ( ~ esk3859_2(X1,X2)
    | ~ esk3857_2(X1,X2) )).

cnf(i_0_10551,axiom,
    ( ~ esk1125_2(X1,X2)
    | ~ esk1124_2(X1,X2)
    | esk1126_2(X1,X2)
    | ~ esk1055_2(X1,X2) )).

cnf(i_0_10552,axiom,
    ( esk2158_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_10553,axiom,
    ( esk1273_2(X1,X2)
    | esk1274_2(X1,X2) )).

cnf(i_0_10554,axiom,
    ( ~ esk1158_2(X1,X2)
    | ~ esk1159_2(X1,X2) )).

cnf(i_0_10555,axiom,
    ( esk4934_2(X1,X2)
    | ~ esk4933_2(X1,X2)
    | ~ esk3360_2(X1,X2) )).

cnf(i_0_10556,axiom,
    ( esk2492_2(X1,X2)
    | esk2495_2(X1,X2)
    | esk2494_2(X1,X2)
    | esk959_2(X1,X2)
    | esk2493_2(X1,X2) )).

cnf(i_0_10557,axiom,
    ( ~ esk1681_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk1784_2(X1,X2)
    | esk1902_2(X1,X2) )).

cnf(i_0_10558,axiom,
    ( ~ esk1113_2(X1,X2)
    | ~ esk1114_2(X1,X2) )).

cnf(i_0_10559,axiom,
    ( esk1895_2(X1,X2)
    | ~ esk1790_2(X1,X2)
    | ~ esk1681_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_10560,axiom,
    ( ~ esk4002_2(X1,X2)
    | ~ esk4001_2(X1,X2) )).

cnf(i_0_10561,axiom,
    ( esk132_2(X1,X2)
    | ~ esk3688_2(X1,X2) )).

cnf(i_0_10562,axiom,
    ( esk3364_2(X1,X2)
    | esk3283_2(X1,X2) )).

cnf(i_0_10563,axiom,
    ( esk3895_2(X1,X2)
    | esk3659_2(X1,X2)
    | esk3894_2(X1,X2)
    | esk3896_2(X1,X2) )).

cnf(i_0_10564,axiom,
    ( ~ esk444_2(X1,X2)
    | esk443_2(X1,X2) )).

cnf(i_0_10565,axiom,
    ( esk2082_2(X1,X2)
    | ~ esk2083_2(X1,X2) )).

cnf(i_0_10566,axiom,
    ( ~ esk5245_2(X1,X2)
    | ~ esk5246_2(X1,X2) )).

cnf(i_0_10567,axiom,
    ( esk565_2(X1,X2)
    | ~ esk1004_2(X1,X2) )).

cnf(i_0_10568,axiom,
    ( ~ esk2295_2(X1,X2)
    | esk2300_2(X1,X2)
    | ~ esk2299_2(X1,X2) )).

cnf(i_0_10569,axiom,
    ( esk3443_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_10570,axiom,
    ( esk2654_2(X1,X2)
    | esk950_2(X1,X2)
    | esk2653_2(X1,X2)
    | esk2652_2(X1,X2) )).

cnf(i_0_10571,axiom,
    ( esk5140_2(X1,X2)
    | ~ esk5141_2(X1,X2) )).

cnf(i_0_10572,axiom,
    ( esk140_2(X1,X2)
    | esk3116_2(X1,X2)
    | esk3114_2(X1,X2)
    | esk3117_2(X1,X2) )).

cnf(i_0_10573,axiom,
    ( ~ esk1231_2(X1,X2)
    | ~ esk1232_2(X1,X2) )).

cnf(i_0_10574,axiom,
    ( esk1306_2(X1,X2)
    | esk1305_2(X1,X2) )).

cnf(i_0_10575,axiom,
    ( ~ esk4439_2(X1,X2)
    | esk3852_2(X1,X2) )).

cnf(i_0_10576,axiom,
    ( esk94_2(X1,X2)
    | esk2352_2(X1,X2) )).

cnf(i_0_10577,axiom,
    ( esk2611_2(X1,X2)
    | ~ esk2615_2(X1,X2) )).

cnf(i_0_10578,axiom,
    ( ~ esk2477_2(X1,X2)
    | ~ esk2479_2(X1,X2) )).

cnf(i_0_10579,axiom,
    ( esk5191_2(X1,X2)
    | ~ esk5192_2(X1,X2) )).

cnf(i_0_10580,axiom,
    ( ~ esk3853_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_10581,axiom,
    ( ~ esk3779_2(X1,X2)
    | esk3708_2(X1,X2) )).

cnf(i_0_10582,axiom,
    ( esk4617_2(X1,X2)
    | ~ esk4618_2(X1,X2) )).

cnf(i_0_10583,axiom,
    ( ~ esk3673_2(X1,X2)
    | ~ esk3674_2(X1,X2) )).

cnf(i_0_10584,axiom,
    ( ~ esk4710_2(X1,X2)
    | ~ esk4708_2(X1,X2) )).

cnf(i_0_10585,axiom,
    ( ~ esk282_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_10586,axiom,
    ( esk1762_2(X1,X2)
    | esk1346_2(X1,X2) )).

cnf(i_0_10587,axiom,
    ( esk1161_2(X1,X2)
    | ~ esk647_2(X1,X2)
    | ~ esk1160_2(X1,X2) )).

cnf(i_0_10588,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1900_2(X1,X2) )).

cnf(i_0_10589,axiom,
    ( esk978_2(X1,X2)
    | esk989_2(X1,X2)
    | esk990_2(X1,X2) )).

cnf(i_0_10590,axiom,
    ( ~ esk197_2(X1,X2)
    | ~ esk196_2(X1,X2) )).

cnf(i_0_10591,axiom,
    ( ~ esk3657_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_10592,axiom,
    ( ~ esk1470_2(X1,X2)
    | esk760_2(X1,X2) )).

cnf(i_0_10593,axiom,
    ( ~ esk951_2(X1,X2)
    | esk950_2(X1,X2) )).

cnf(i_0_10594,axiom,
    ( esk1267_2(X1,X2)
    | esk1266_2(X1,X2) )).

cnf(i_0_10595,axiom,
    ( ~ esk4135_2(X1,X2)
    | ~ esk4121_2(X1,X2) )).

cnf(i_0_10596,axiom,
    ( esk2978_2(X1,X2)
    | ~ esk2986_2(X1,X2) )).

cnf(i_0_10597,axiom,
    ( ~ esk4929_2(X1,X2)
    | esk4924_2(X1,X2) )).

cnf(i_0_10598,axiom,
    ( esk873_2(X1,X2)
    | ~ esk874_2(X1,X2) )).

cnf(i_0_10599,axiom,
    ( ~ esk3615_2(X1,X2)
    | esk3247_2(X1,X2) )).

cnf(i_0_10600,axiom,
    ( esk1177_2(X1,X2)
    | esk1176_2(X1,X2) )).

cnf(i_0_10601,axiom,
    ( ~ esk424_2(X1,X2)
    | ~ esk423_2(X1,X2) )).

cnf(i_0_10602,axiom,
    ( ~ esk1146_2(X1,X2)
    | esk1147_2(X1,X2)
    | ~ esk1143_2(X1,X2) )).

cnf(i_0_10603,axiom,
    ( ~ esk1138_2(X1,X2)
    | esk652_2(X1,X2) )).

cnf(i_0_10604,axiom,
    ( esk2285_2(X1,X2)
    | ~ esk2286_2(X1,X2) )).

cnf(i_0_10605,axiom,
    ( esk3812_2(X1,X2)
    | esk3811_2(X1,X2) )).

cnf(i_0_10606,axiom,
    ( esk2484_2(X1,X2)
    | ~ esk2488_2(X1,X2) )).

cnf(i_0_10607,axiom,
    ( ~ esk3564_2(X1,X2)
    | esk3563_2(X1,X2) )).

cnf(i_0_10608,axiom,
    ( ~ esk5464_2(X1,X2)
    | ~ esk5461_2(X1,X2) )).

cnf(i_0_10609,axiom,
    ( esk134_2(X1,X2)
    | ~ esk1307_2(X1,X2) )).

cnf(i_0_10610,axiom,
    ( esk3275_2(X1,X2)
    | ~ esk3276_2(X1,X2) )).

cnf(i_0_10611,axiom,
    ( ~ esk1832_2(X1,X2)
    | ~ esk1830_2(X1,X2) )).

cnf(i_0_10612,axiom,
    ( ~ esk3131_2(X1,X2)
    | ~ esk3130_2(X1,X2) )).

cnf(i_0_10613,axiom,
    ( esk4953_2(X1,X2)
    | esk4954_2(X1,X2) )).

cnf(i_0_10614,axiom,
    ( ~ esk604_2(X1,X2)
    | ~ esk634_2(X1,X2)
    | esk972_2(X1,X2) )).

cnf(i_0_10615,axiom,
    ( ~ esk1032_2(X1,X2)
    | esk709_2(X1,X2) )).

cnf(i_0_10616,axiom,
    ( esk3379_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_10617,axiom,
    ( esk1215_2(X1,X2)
    | esk1214_2(X1,X2) )).

cnf(i_0_10618,axiom,
    ( ~ esk2335_2(X1,X2)
    | ~ esk2336_2(X1,X2) )).

cnf(i_0_10619,axiom,
    ( ~ esk1620_2(X1,X2)
    | esk26_2(X1,X2) )).

cnf(i_0_10620,axiom,
    ( esk5591_2(X1,X2)
    | esk4504_2(X1,X2)
    | ~ esk1851_2(X1,X2) )).

cnf(i_0_10621,axiom,
    ( ~ esk3398_2(X1,X2)
    | esk3397_2(X1,X2) )).

cnf(i_0_10622,axiom,
    ( esk126_2(X1,X2)
    | ~ esk587_2(X1,X2) )).

cnf(i_0_10623,axiom,
    ( esk4394_2(X1,X2)
    | ~ esk4457_2(X1,X2) )).

cnf(i_0_10624,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk480_2(X1,X2) )).

cnf(i_0_10625,axiom,
    ( esk24_2(X1,X2)
    | ~ esk1196_2(X1,X2) )).

cnf(i_0_10626,axiom,
    ( ~ esk5146_2(X1,X2)
    | esk3616_2(X1,X2) )).

cnf(i_0_10627,axiom,
    ( esk4230_2(X1,X2)
    | esk4229_2(X1,X2) )).

cnf(i_0_10628,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk2354_2(X1,X2) )).

cnf(i_0_10629,axiom,
    ( ~ esk1752_2(X1,X2)
    | ~ esk1753_2(X1,X2) )).

cnf(i_0_10630,axiom,
    ( ~ esk1630_2(X1,X2)
    | ~ esk1628_2(X1,X2) )).

cnf(i_0_10631,axiom,
    ( ~ esk1490_2(X1,X2)
    | ~ esk1489_2(X1,X2) )).

cnf(i_0_10632,axiom,
    ( esk5115_2(X1,X2)
    | esk5116_2(X1,X2) )).

cnf(i_0_10633,axiom,
    ( ~ esk139_2(X1,X2)
    | ~ esk468_2(X1,X2) )).

cnf(i_0_10634,axiom,
    ( ~ esk1562_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_10635,axiom,
    ( ~ esk3766_2(X1,X2)
    | ~ esk3767_2(X1,X2) )).

cnf(i_0_10636,axiom,
    ( ~ esk1838_2(X1,X2)
    | ~ esk1839_2(X1,X2) )).

cnf(i_0_10637,axiom,
    ( ~ esk109_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | esk433_2(X1,X2)
    | ~ esk309_2(X1,X2) )).

cnf(i_0_10638,axiom,
    ( ~ esk1118_2(X1,X2)
    | esk1117_2(X1,X2) )).

cnf(i_0_10639,axiom,
    ( ~ esk3950_2(X1,X2)
    | esk3946_2(X1,X2) )).

cnf(i_0_10640,axiom,
    ( ~ esk2975_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_10641,axiom,
    ( esk2929_2(X1,X2)
    | esk2928_2(X1,X2) )).

cnf(i_0_10642,axiom,
    ( esk5011_2(X1,X2)
    | ~ esk5010_2(X1,X2)
    | ~ esk4997_2(X1,X2) )).

cnf(i_0_10643,axiom,
    ( esk1082_2(X1,X2)
    | esk1081_2(X1,X2) )).

cnf(i_0_10644,axiom,
    ( ~ esk1660_2(X1,X2)
    | ~ esk1663_2(X1,X2) )).

cnf(i_0_10645,axiom,
    ( ~ esk1002_2(X1,X2)
    | esk577_2(X1,X2) )).

cnf(i_0_10646,axiom,
    ( ~ esk4694_2(X1,X2)
    | esk4693_2(X1,X2) )).

cnf(i_0_10647,axiom,
    ( ~ esk4275_2(X1,X2)
    | ~ esk4273_2(X1,X2) )).

cnf(i_0_10648,axiom,
    ( esk2657_2(X1,X2)
    | esk2658_2(X1,X2) )).

cnf(i_0_10649,axiom,
    ( ~ esk3454_2(X1,X2)
    | esk3450_2(X1,X2) )).

cnf(i_0_10650,axiom,
    ( esk3636_2(X1,X2)
    | ~ esk3338_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3635_2(X1,X2) )).

cnf(i_0_10651,axiom,
    ( ~ esk3177_2(X1,X2)
    | esk3603_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_10652,axiom,
    ( ~ esk1157_2(X1,X2)
    | ~ esk1158_2(X1,X2) )).

cnf(i_0_10653,axiom,
    ( esk3207_2(X1,X2)
    | esk3203_2(X1,X2) )).

cnf(i_0_10654,axiom,
    ( esk1347_2(X1,X2)
    | esk553_2(X1,X2) )).

cnf(i_0_10655,axiom,
    ( esk585_2(X1,X2)
    | ~ esk964_2(X1,X2) )).

cnf(i_0_10656,axiom,
    ( ~ esk4397_2(X1,X2)
    | esk4229_2(X1,X2) )).

cnf(i_0_10657,axiom,
    ( ~ esk100_2(X1,X2)
    | esk5077_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_10658,axiom,
    ( ~ esk3633_2(X1,X2)
    | esk3301_2(X1,X2) )).

cnf(i_0_10659,axiom,
    ( ~ esk5290_2(X1,X2)
    | ~ esk5291_2(X1,X2) )).

cnf(i_0_10660,axiom,
    ( ~ esk2561_2(X1,X2)
    | ~ esk2560_2(X1,X2) )).

cnf(i_0_10661,axiom,
    ( ~ esk3803_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_10662,axiom,
    ( esk2158_2(X1,X2)
    | ~ esk2159_2(X1,X2) )).

cnf(i_0_10663,axiom,
    ( esk3447_2(X1,X2)
    | ~ esk3480_2(X1,X2) )).

cnf(i_0_10664,axiom,
    ( esk5014_2(X1,X2)
    | esk5015_2(X1,X2) )).

cnf(i_0_10665,axiom,
    ( ~ esk4998_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_10666,axiom,
    ( ~ esk2721_2(X1,X2)
    | ~ esk2717_2(X1,X2)
    | esk2722_2(X1,X2) )).

cnf(i_0_10667,axiom,
    ( ~ esk4677_2(X1,X2)
    | ~ esk4678_2(X1,X2) )).

cnf(i_0_10668,axiom,
    ( esk364_2(X1,X2)
    | esk363_2(X1,X2) )).

cnf(i_0_10669,axiom,
    ( ~ esk1744_2(X1,X2)
    | ~ esk1746_2(X1,X2) )).

cnf(i_0_10670,axiom,
    ( esk1370_2(X1,X2)
    | ~ esk1412_2(X1,X2) )).

cnf(i_0_10671,axiom,
    ( ~ esk4642_2(X1,X2)
    | ~ esk4639_2(X1,X2) )).

cnf(i_0_10672,axiom,
    ( esk1999_2(X1,X2)
    | ~ esk2033_2(X1,X2) )).

cnf(i_0_10673,axiom,
    ( esk125_2(X1,X2)
    | ~ esk3311_2(X1,X2) )).

cnf(i_0_10674,axiom,
    ( esk3298_2(X1,X2)
    | esk3299_2(X1,X2)
    | esk3300_2(X1,X2) )).

cnf(i_0_10675,axiom,
    ( ~ esk1973_2(X1,X2)
    | ~ esk1978_2(X1,X2)
    | esk1979_2(X1,X2) )).

cnf(i_0_10676,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2335_2(X1,X2) )).

cnf(i_0_10677,axiom,
    ( ~ esk5290_2(X1,X2)
    | esk5285_2(X1,X2) )).

cnf(i_0_10678,axiom,
    ( esk5565_2(X1,X2)
    | ~ esk4311_2(X1,X2)
    | esk1658_2(X1,X2) )).

cnf(i_0_10679,axiom,
    ( ~ esk5313_2(X1,X2)
    | esk5312_2(X1,X2) )).

cnf(i_0_10680,axiom,
    ( ~ esk4455_2(X1,X2)
    | ~ esk4454_2(X1,X2) )).

cnf(i_0_10681,axiom,
    ( ~ esk3554_2(X1,X2)
    | esk3550_2(X1,X2) )).

cnf(i_0_10682,axiom,
    ( ~ esk4691_2(X1,X2)
    | esk4619_2(X1,X2) )).

cnf(i_0_10683,axiom,
    ( ~ esk548_2(X1,X2)
    | esk544_2(X1,X2) )).

cnf(i_0_10684,axiom,
    ( ~ esk4415_2(X1,X2)
    | ~ esk3999_2(X1,X2) )).

cnf(i_0_10685,axiom,
    ( esk2739_2(X1,X2)
    | esk2738_2(X1,X2) )).

cnf(i_0_10686,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk3728_2(X1,X2) )).

cnf(i_0_10687,axiom,
    ( esk4045_2(X1,X2)
    | esk4044_2(X1,X2) )).

cnf(i_0_10688,axiom,
    ( ~ esk3626_2(X1,X2)
    | ~ esk4204_2(X1,X2) )).

cnf(i_0_10689,axiom,
    ( ~ esk3318_2(X1,X2)
    | ~ esk151_2(X1,X2)
    | esk3635_2(X1,X2) )).

cnf(i_0_10690,axiom,
    ( ~ esk3711_2(X1,X2)
    | esk3314_2(X1,X2) )).

cnf(i_0_10691,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4287_2(X1,X2) )).

cnf(i_0_10692,axiom,
    ( esk3271_2(X1,X2)
    | esk3356_2(X1,X2) )).

cnf(i_0_10693,axiom,
    ( esk1163_2(X1,X2)
    | ~ esk1164_2(X1,X2) )).

cnf(i_0_10694,axiom,
    ( ~ esk4652_2(X1,X2)
    | ~ esk4651_2(X1,X2) )).

cnf(i_0_10695,axiom,
    ( esk5062_2(X1,X2)
    | esk5061_2(X1,X2)
    | esk5059_2(X1,X2) )).

cnf(i_0_10696,axiom,
    ( esk3185_2(X1,X2)
    | ~ esk5353_2(X1,X2) )).

cnf(i_0_10697,axiom,
    ( esk434_2(X1,X2)
    | ~ esk435_2(X1,X2) )).

cnf(i_0_10698,axiom,
    ( ~ esk1127_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_10699,axiom,
    ( ~ esk742_2(X1,X2)
    | ~ esk741_2(X1,X2) )).

cnf(i_0_10700,axiom,
    ( ~ esk1683_2(X1,X2)
    | esk1681_2(X1,X2) )).

cnf(i_0_10701,axiom,
    ( esk3157_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_10702,axiom,
    ( ~ esk3085_2(X1,X2)
    | ~ esk3082_2(X1,X2) )).

cnf(i_0_10703,axiom,
    ( ~ esk4203_2(X1,X2)
    | ~ esk4204_2(X1,X2) )).

cnf(i_0_10704,axiom,
    ( ~ esk4806_2(X1,X2)
    | ~ esk4807_2(X1,X2) )).

cnf(i_0_10705,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk1819_2(X1,X2)
    | ~ esk20_2(X1,X2) )).

cnf(i_0_10706,axiom,
    ( ~ esk1718_2(X1,X2)
    | ~ esk63_2(X1,X2)
    | esk1719_2(X1,X2) )).

cnf(i_0_10707,axiom,
    ( esk2300_2(X1,X2)
    | esk2301_2(X1,X2) )).

cnf(i_0_10708,axiom,
    ( ~ esk4106_2(X1,X2)
    | esk4105_2(X1,X2) )).

cnf(i_0_10709,axiom,
    ( ~ esk517_2(X1,X2)
    | esk515_2(X1,X2) )).

cnf(i_0_10710,axiom,
    ( ~ esk5221_2(X1,X2)
    | ~ esk159_2(X1,X2) )).

cnf(i_0_10711,axiom,
    ( ~ esk4218_2(X1,X2)
    | ~ esk4217_2(X1,X2) )).

cnf(i_0_10712,axiom,
    ( ~ esk362_2(X1,X2)
    | ~ esk363_2(X1,X2) )).

cnf(i_0_10713,axiom,
    ( ~ esk328_2(X1,X2)
    | esk151_2(X1,X2) )).

cnf(i_0_10714,axiom,
    ( esk3164_2(X1,X2)
    | esk3165_2(X1,X2) )).

cnf(i_0_10715,axiom,
    ( ~ esk5001_2(X1,X2)
    | ~ esk4998_2(X1,X2) )).

cnf(i_0_10716,axiom,
    ( ~ esk539_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_10717,axiom,
    ( esk499_2(X1,X2)
    | ~ esk2714_2(X1,X2) )).

cnf(i_0_10718,axiom,
    ( ~ esk1739_2(X1,X2)
    | ~ esk1740_2(X1,X2) )).

cnf(i_0_10719,axiom,
    ( esk1198_2(X1,X2)
    | ~ esk3851_2(X1,X2)
    | esk5546_2(X1,X2) )).

cnf(i_0_10720,axiom,
    ( ~ esk5509_2(X1,X2)
    | esk194_2(X1,X2)
    | esk2856_2(X1,X2) )).

cnf(i_0_10721,axiom,
    ( ~ esk1674_2(X1,X2)
    | esk1238_2(X1,X2) )).

cnf(i_0_10722,axiom,
    ( ~ esk2501_2(X1,X2)
    | ~ esk2502_2(X1,X2) )).

cnf(i_0_10723,axiom,
    ( esk92_2(X1,X2)
    | ~ esk5024_2(X1,X2) )).

cnf(i_0_10724,axiom,
    ( ~ esk2046_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_10725,axiom,
    ( ~ esk162_2(X1,X2)
    | esk4247_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk83_2(X1,X2) )).

cnf(i_0_10726,axiom,
    ( ~ esk885_2(X1,X2)
    | esk884_2(X1,X2) )).

cnf(i_0_10727,axiom,
    ( ~ esk1225_2(X1,X2)
    | ~ esk1222_2(X1,X2) )).

cnf(i_0_10728,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1043_2(X1,X2) )).

cnf(i_0_10729,axiom,
    ( esk629_2(X1,X2)
    | ~ esk635_2(X1,X2) )).

cnf(i_0_10730,axiom,
    ( esk1233_2(X1,X2)
    | ~ esk1229_2(X1,X2)
    | ~ esk1232_2(X1,X2) )).

cnf(i_0_10731,axiom,
    ( esk3618_2(X1,X2)
    | ~ esk5160_2(X1,X2) )).

cnf(i_0_10732,axiom,
    ( esk3844_2(X1,X2)
    | ~ esk3848_2(X1,X2) )).

cnf(i_0_10733,axiom,
    ( ~ esk5446_2(X1,X2)
    | esk5472_2(X1,X2)
    | ~ esk5445_2(X1,X2) )).

cnf(i_0_10734,axiom,
    ( esk3675_2(X1,X2)
    | ~ esk3330_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_10735,axiom,
    ( esk152_2(X1,X2)
    | esk4630_2(X1,X2)
    | esk4627_2(X1,X2)
    | esk4629_2(X1,X2) )).

cnf(i_0_10736,axiom,
    ( esk4371_2(X1,X2)
    | ~ esk4374_2(X1,X2) )).

cnf(i_0_10737,axiom,
    ( ~ esk2971_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | esk3068_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_10738,axiom,
    ( ~ esk893_2(X1,X2)
    | esk892_2(X1,X2) )).

cnf(i_0_10739,axiom,
    ( ~ esk5066_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_10740,axiom,
    ( ~ esk3438_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | ~ esk3422_2(X1,X2)
    | esk3439_2(X1,X2)
    | ~ esk3430_2(X1,X2) )).

cnf(i_0_10741,axiom,
    ( ~ esk4633_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_10742,axiom,
    ( esk3697_2(X1,X2)
    | ~ esk3698_2(X1,X2) )).

cnf(i_0_10743,axiom,
    ( ~ esk1738_2(X1,X2)
    | esk1122_2(X1,X2) )).

cnf(i_0_10744,axiom,
    ( ~ esk684_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_10745,axiom,
    ( ~ esk1714_2(X1,X2)
    | esk1713_2(X1,X2) )).

cnf(i_0_10746,axiom,
    ( ~ esk1158_2(X1,X2)
    | ~ esk982_2(X1,X2) )).

cnf(i_0_10747,axiom,
    ( ~ esk4323_2(X1,X2)
    | ~ esk4320_2(X1,X2) )).

cnf(i_0_10748,axiom,
    ( ~ esk3842_2(X1,X2)
    | ~ esk3843_2(X1,X2) )).

cnf(i_0_10749,axiom,
    ( ~ esk2313_2(X1,X2)
    | esk2314_2(X1,X2)
    | ~ esk2253_2(X1,X2) )).

cnf(i_0_10750,axiom,
    ( ~ esk1868_2(X1,X2)
    | esk1650_2(X1,X2) )).

cnf(i_0_10751,axiom,
    ( esk541_2(X1,X2)
    | esk545_2(X1,X2) )).

cnf(i_0_10752,axiom,
    ( esk770_2(X1,X2)
    | esk771_2(X1,X2) )).

cnf(i_0_10753,axiom,
    ( esk4242_2(X1,X2)
    | ~ esk4358_2(X1,X2) )).

cnf(i_0_10754,axiom,
    ( ~ esk1224_2(X1,X2)
    | ~ esk1225_2(X1,X2) )).

cnf(i_0_10755,axiom,
    ( ~ esk2921_2(X1,X2)
    | ~ esk2919_2(X1,X2) )).

cnf(i_0_10756,axiom,
    ( ~ esk4989_2(X1,X2)
    | ~ esk4986_2(X1,X2) )).

cnf(i_0_10757,axiom,
    ( ~ esk1522_2(X1,X2)
    | ~ esk617_2(X1,X2) )).

cnf(i_0_10758,axiom,
    ( ~ esk517_2(X1,X2)
    | ~ esk518_2(X1,X2) )).

cnf(i_0_10759,axiom,
    ( ~ esk5441_2(X1,X2)
    | ~ esk5444_2(X1,X2) )).

cnf(i_0_10760,axiom,
    ( ~ esk4844_2(X1,X2)
    | ~ esk4845_2(X1,X2) )).

cnf(i_0_10761,axiom,
    ( ~ esk5055_2(X1,X2)
    | ~ esk5054_2(X1,X2) )).

cnf(i_0_10762,axiom,
    ( ~ esk4551_2(X1,X2)
    | ~ esk4549_2(X1,X2) )).

cnf(i_0_10763,axiom,
    ( esk4786_2(X1,X2)
    | esk4785_2(X1,X2) )).

cnf(i_0_10764,axiom,
    ( esk4741_2(X1,X2)
    | esk4742_2(X1,X2) )).

cnf(i_0_10765,axiom,
    ( ~ esk3399_2(X1,X2)
    | ~ esk3398_2(X1,X2) )).

cnf(i_0_10766,axiom,
    ( ~ esk2973_2(X1,X2)
    | ~ esk3109_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | esk3110_2(X1,X2) )).

cnf(i_0_10767,axiom,
    ( ~ esk4953_2(X1,X2)
    | esk4952_2(X1,X2) )).

cnf(i_0_10768,axiom,
    ( ~ esk3637_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_10769,axiom,
    ( esk5139_2(X1,X2)
    | esk5140_2(X1,X2) )).

cnf(i_0_10770,axiom,
    ( esk3523_2(X1,X2)
    | esk3524_2(X1,X2) )).

cnf(i_0_10771,axiom,
    ( ~ esk3149_2(X1,X2)
    | esk3248_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_10772,axiom,
    ( ~ esk1255_2(X1,X2)
    | ~ esk1256_2(X1,X2) )).

cnf(i_0_10773,axiom,
    ( ~ esk2247_2(X1,X2)
    | esk2251_2(X1,X2)
    | ~ esk2250_2(X1,X2) )).

cnf(i_0_10774,axiom,
    ( ~ esk5419_2(X1,X2)
    | esk3621_2(X1,X2) )).

cnf(i_0_10775,axiom,
    ( ~ esk561_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | esk2494_2(X1,X2)
    | ~ esk965_2(X1,X2) )).

cnf(i_0_10776,axiom,
    ( ~ esk1016_2(X1,X2)
    | esk621_2(X1,X2) )).

cnf(i_0_10777,axiom,
    ( esk3296_2(X1,X2)
    | esk3295_2(X1,X2) )).

cnf(i_0_10778,axiom,
    ( esk90_2(X1,X2)
    | esk480_2(X1,X2) )).

cnf(i_0_10779,axiom,
    ( esk4306_2(X1,X2)
    | esk4307_2(X1,X2)
    | esk4309_2(X1,X2)
    | esk4308_2(X1,X2)
    | esk4305_2(X1,X2) )).

cnf(i_0_10780,axiom,
    ( ~ esk5338_2(X1,X2)
    | esk5342_2(X1,X2)
    | ~ esk5341_2(X1,X2) )).

cnf(i_0_10781,axiom,
    ( ~ esk3775_2(X1,X2)
    | ~ esk4385_2(X1,X2)
    | esk4387_2(X1,X2) )).

cnf(i_0_10782,axiom,
    ( ~ esk834_2(X1,X2)
    | esk833_2(X1,X2) )).

cnf(i_0_10783,axiom,
    ( esk1796_2(X1,X2)
    | ~ esk1860_2(X1,X2) )).

cnf(i_0_10784,axiom,
    ( ~ esk3839_2(X1,X2)
    | esk3838_2(X1,X2) )).

cnf(i_0_10785,axiom,
    ( ~ esk3777_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_10786,axiom,
    ( ~ esk2622_2(X1,X2)
    | ~ esk2621_2(X1,X2) )).

cnf(i_0_10787,axiom,
    ( esk3664_2(X1,X2)
    | esk4078_2(X1,X2)
    | esk4077_2(X1,X2) )).

cnf(i_0_10788,axiom,
    ( ~ esk4774_2(X1,X2)
    | ~ esk4773_2(X1,X2) )).

cnf(i_0_10789,axiom,
    ( ~ esk3200_2(X1,X2)
    | esk3199_2(X1,X2) )).

cnf(i_0_10790,axiom,
    ( esk4880_2(X1,X2)
    | esk4881_2(X1,X2) )).

cnf(i_0_10791,axiom,
    ( ~ esk2599_2(X1,X2)
    | esk2598_2(X1,X2) )).

cnf(i_0_10792,axiom,
    ( ~ esk4980_2(X1,X2)
    | ~ esk5442_2(X1,X2) )).

cnf(i_0_10793,axiom,
    ( ~ esk4775_2(X1,X2)
    | ~ esk4776_2(X1,X2)
    | esk4777_2(X1,X2) )).

cnf(i_0_10794,axiom,
    ( ~ esk3224_2(X1,X2)
    | ~ esk3226_2(X1,X2) )).

cnf(i_0_10795,axiom,
    ( esk793_2(X1,X2)
    | ~ esk1224_2(X1,X2) )).

cnf(i_0_10796,axiom,
    ( esk115_2(X1,X2)
    | ~ esk630_2(X1,X2) )).

cnf(i_0_10797,axiom,
    ( ~ esk1134_2(X1,X2)
    | esk1133_2(X1,X2) )).

cnf(i_0_10798,axiom,
    ( ~ esk3222_2(X1,X2)
    | esk3221_2(X1,X2) )).

cnf(i_0_10799,axiom,
    ( ~ esk3826_2(X1,X2)
    | esk3695_2(X1,X2) )).

cnf(i_0_10800,axiom,
    ( esk128_2(X1,X2)
    | esk3514_2(X1,X2) )).

cnf(i_0_10801,axiom,
    ( ~ esk3539_2(X1,X2)
    | esk3538_2(X1,X2) )).

cnf(i_0_10802,axiom,
    ( esk535_2(X1,X2)
    | ~ esk2751_2(X1,X2) )).

cnf(i_0_10803,axiom,
    ( esk5142_2(X1,X2)
    | esk5143_2(X1,X2) )).

cnf(i_0_10804,axiom,
    ( ~ esk1885_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | esk1886_2(X1,X2) )).

cnf(i_0_10805,axiom,
    ( esk3259_2(X1,X2)
    | ~ esk5279_2(X1,X2) )).

cnf(i_0_10806,axiom,
    ( ~ esk1839_2(X1,X2)
    | esk5589_2(X1,X2)
    | esk4492_2(X1,X2) )).

cnf(i_0_10807,axiom,
    ( esk4981_2(X1,X2)
    | esk4984_2(X1,X2)
    | esk4983_2(X1,X2)
    | esk4982_2(X1,X2)
    | esk4699_2(X1,X2) )).

cnf(i_0_10808,axiom,
    ( ~ esk979_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_10809,axiom,
    ( esk1180_2(X1,X2)
    | esk1179_2(X1,X2) )).

cnf(i_0_10810,axiom,
    ( esk342_2(X1,X2)
    | ~ esk343_2(X1,X2) )).

cnf(i_0_10811,axiom,
    ( esk4131_2(X1,X2)
    | ~ esk4132_2(X1,X2) )).

cnf(i_0_10812,axiom,
    ( ~ esk1733_2(X1,X2)
    | esk1724_2(X1,X2) )).

cnf(i_0_10813,axiom,
    ( ~ esk1705_2(X1,X2)
    | ~ esk1707_2(X1,X2) )).

cnf(i_0_10814,axiom,
    ( ~ esk2460_2(X1,X2)
    | ~ esk2459_2(X1,X2) )).

cnf(i_0_10815,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk810_2(X1,X2) )).

cnf(i_0_10816,axiom,
    ( ~ esk4725_2(X1,X2)
    | ~ esk4726_2(X1,X2) )).

cnf(i_0_10817,axiom,
    ( ~ esk1856_2(X1,X2)
    | ~ esk1857_2(X1,X2) )).

cnf(i_0_10818,axiom,
    ( esk3261_2(X1,X2)
    | ~ esk5528_2(X1,X2)
    | esk599_2(X1,X2) )).

cnf(i_0_10819,axiom,
    ( ~ esk3422_2(X1,X2)
    | ~ esk3421_2(X1,X2) )).

cnf(i_0_10820,axiom,
    ( esk2434_2(X1,X2)
    | esk2435_2(X1,X2) )).

cnf(i_0_10821,axiom,
    ( esk1714_2(X1,X2)
    | ~ esk1713_2(X1,X2)
    | ~ esk306_2(X1,X2)
    | ~ esk1712_2(X1,X2) )).

cnf(i_0_10822,axiom,
    ( ~ esk2156_2(X1,X2)
    | ~ esk2157_2(X1,X2) )).

cnf(i_0_10823,axiom,
    ( ~ esk1280_2(X1,X2)
    | ~ esk1279_2(X1,X2) )).

cnf(i_0_10824,axiom,
    ( esk1340_2(X1,X2)
    | esk1341_2(X1,X2) )).

cnf(i_0_10825,axiom,
    ( esk663_2(X1,X2)
    | ~ esk662_2(X1,X2)
    | ~ esk659_2(X1,X2) )).

cnf(i_0_10826,axiom,
    ( esk1294_2(X1,X2)
    | ~ esk1295_2(X1,X2) )).

cnf(i_0_10827,axiom,
    ( ~ esk3194_2(X1,X2)
    | ~ esk3195_2(X1,X2) )).

cnf(i_0_10828,axiom,
    ( esk3132_2(X1,X2)
    | esk3133_2(X1,X2) )).

cnf(i_0_10829,axiom,
    ( ~ esk172_2(X1,X2)
    | esk1727_2(X1,X2)
    | ~ esk173_2(X1,X2)
    | ~ esk1122_2(X1,X2) )).

cnf(i_0_10830,axiom,
    ( esk5126_2(X1,X2)
    | esk5058_2(X1,X2) )).

cnf(i_0_10831,axiom,
    ( ~ esk1661_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_10832,axiom,
    ( ~ esk382_2(X1,X2)
    | esk311_2(X1,X2) )).

cnf(i_0_10833,axiom,
    ( ~ esk104_2(X1,X2)
    | esk2459_2(X1,X2)
    | ~ esk2458_2(X1,X2) )).

cnf(i_0_10834,axiom,
    ( ~ esk1963_2(X1,X2)
    | esk1962_2(X1,X2) )).

cnf(i_0_10835,axiom,
    ( esk4364_2(X1,X2)
    | ~ esk4383_2(X1,X2) )).

cnf(i_0_10836,axiom,
    ( esk1369_2(X1,X2)
    | ~ esk1365_2(X1,X2)
    | ~ esk1368_2(X1,X2) )).

cnf(i_0_10837,axiom,
    ( esk2567_2(X1,X2)
    | ~ esk2569_2(X1,X2) )).

cnf(i_0_10838,axiom,
    ( esk2792_2(X1,X2)
    | ~ esk2794_2(X1,X2) )).

cnf(i_0_10839,axiom,
    ( esk107_2(X1,X2)
    | esk913_2(X1,X2) )).

cnf(i_0_10840,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1860_2(X1,X2) )).

cnf(i_0_10841,axiom,
    ( esk3066_2(X1,X2)
    | ~ esk4445_2(X1,X2) )).

cnf(i_0_10842,axiom,
    ( esk1553_2(X1,X2)
    | ~ esk1552_2(X1,X2)
    | ~ esk605_2(X1,X2) )).

cnf(i_0_10843,axiom,
    ( esk5264_2(X1,X2)
    | esk5263_2(X1,X2) )).

cnf(i_0_10844,axiom,
    ( esk3599_2(X1,X2)
    | esk3598_2(X1,X2) )).

cnf(i_0_10845,axiom,
    ( ~ esk4895_2(X1,X2)
    | ~ esk4894_2(X1,X2) )).

cnf(i_0_10846,axiom,
    ( ~ esk597_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk961_2(X1,X2)
    | esk962_2(X1,X2) )).

cnf(i_0_10847,axiom,
    ( ~ esk3520_2(X1,X2)
    | esk3519_2(X1,X2) )).

cnf(i_0_10848,axiom,
    ( ~ esk1152_2(X1,X2)
    | ~ esk1151_2(X1,X2) )).

cnf(i_0_10849,axiom,
    ( ~ esk4061_2(X1,X2)
    | ~ esk4060_2(X1,X2) )).

cnf(i_0_10850,axiom,
    ( esk143_2(X1,X2)
    | esk3038_2(X1,X2)
    | esk3035_2(X1,X2)
    | esk3037_2(X1,X2) )).

cnf(i_0_10851,axiom,
    ( ~ esk1518_2(X1,X2)
    | ~ esk1185_2(X1,X2) )).

cnf(i_0_10852,axiom,
    ( ~ esk3744_2(X1,X2)
    | esk3628_2(X1,X2) )).

cnf(i_0_10853,axiom,
    ( ~ esk3680_2(X1,X2)
    | esk4779_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | ~ esk3388_2(X1,X2) )).

cnf(i_0_10854,axiom,
    ( ~ esk499_2(X1,X2)
    | ~ esk498_2(X1,X2) )).

cnf(i_0_10855,axiom,
    ( ~ esk3330_2(X1,X2)
    | esk3398_2(X1,X2)
    | ~ esk3397_2(X1,X2) )).

cnf(i_0_10856,axiom,
    ( ~ esk2018_2(X1,X2)
    | ~ esk2017_2(X1,X2) )).

cnf(i_0_10857,axiom,
    ( esk2489_2(X1,X2)
    | ~ esk2799_2(X1,X2) )).

cnf(i_0_10858,axiom,
    ( esk3500_2(X1,X2)
    | ~ esk3504_2(X1,X2) )).

cnf(i_0_10859,axiom,
    ( ~ esk2331_2(X1,X2)
    | ~ esk2046_2(X1,X2) )).

cnf(i_0_10860,axiom,
    ( esk4483_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk38_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_10861,axiom,
    ( ~ esk1153_2(X1,X2)
    | esk3806_2(X1,X2)
    | esk5543_2(X1,X2) )).

cnf(i_0_10862,axiom,
    ( ~ esk2007_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_10863,axiom,
    ( esk2327_2(X1,X2)
    | ~ esk2328_2(X1,X2) )).

cnf(i_0_10864,axiom,
    ( ~ esk2837_2(X1,X2)
    | ~ esk2839_2(X1,X2) )).

cnf(i_0_10865,axiom,
    ( esk2620_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_10866,axiom,
    ( ~ esk176_2(X1,X2)
    | esk1841_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | ~ esk1796_2(X1,X2) )).

cnf(i_0_10867,axiom,
    ( esk602_2(X1,X2)
    | esk601_2(X1,X2)
    | esk603_2(X1,X2) )).

cnf(i_0_10868,axiom,
    ( esk1034_2(X1,X2)
    | esk1033_2(X1,X2) )).

cnf(i_0_10869,axiom,
    ( ~ esk4485_2(X1,X2)
    | ~ esk4481_2(X1,X2) )).

cnf(i_0_10870,axiom,
    ( ~ esk2616_2(X1,X2)
    | ~ esk2615_2(X1,X2) )).

cnf(i_0_10871,axiom,
    ( esk5341_2(X1,X2)
    | esk5340_2(X1,X2) )).

cnf(i_0_10872,axiom,
    ( esk4756_2(X1,X2)
    | ~ esk4757_2(X1,X2) )).

cnf(i_0_10873,axiom,
    ( ~ esk338_2(X1,X2)
    | ~ esk337_2(X1,X2) )).

cnf(i_0_10874,axiom,
    ( ~ esk4975_2(X1,X2)
    | ~ esk4974_2(X1,X2) )).

cnf(i_0_10875,axiom,
    ( esk154_2(X1,X2)
    | esk185_2(X1,X2) )).

cnf(i_0_10876,axiom,
    ( ~ esk1826_2(X1,X2)
    | ~ esk1823_2(X1,X2) )).

cnf(i_0_10877,axiom,
    ( ~ esk4681_2(X1,X2)
    | esk4682_2(X1,X2)
    | ~ esk4678_2(X1,X2)
    | ~ esk4653_2(X1,X2) )).

cnf(i_0_10878,axiom,
    ( ~ esk4226_2(X1,X2)
    | ~ esk4225_2(X1,X2) )).

cnf(i_0_10879,axiom,
    ( esk2576_2(X1,X2)
    | esk2577_2(X1,X2)
    | esk2498_2(X1,X2) )).

cnf(i_0_10880,axiom,
    ( esk4076_2(X1,X2)
    | ~ esk4168_2(X1,X2) )).

cnf(i_0_10881,axiom,
    ( ~ esk999_2(X1,X2)
    | ~ esk996_2(X1,X2) )).

cnf(i_0_10882,axiom,
    ( ~ esk2680_2(X1,X2)
    | ~ esk2679_2(X1,X2) )).

cnf(i_0_10883,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1866_2(X1,X2) )).

cnf(i_0_10884,axiom,
    ( esk3694_2(X1,X2)
    | ~ esk3696_2(X1,X2) )).

cnf(i_0_10885,axiom,
    ( ~ esk1968_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_10886,axiom,
    ( ~ esk1659_2(X1,X2)
    | esk1580_2(X1,X2) )).

cnf(i_0_10887,axiom,
    ( esk1419_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_10888,axiom,
    ( ~ esk969_2(X1,X2)
    | esk536_2(X1,X2) )).

cnf(i_0_10889,axiom,
    ( esk211_2(X1,X2)
    | ~ esk233_2(X1,X2) )).

cnf(i_0_10890,axiom,
    ( ~ esk2393_2(X1,X2)
    | ~ esk2396_2(X1,X2) )).

cnf(i_0_10891,axiom,
    ( esk612_2(X1,X2)
    | esk611_2(X1,X2) )).

cnf(i_0_10892,axiom,
    ( esk2048_2(X1,X2)
    | esk2050_2(X1,X2)
    | esk2049_2(X1,X2)
    | esk1023_2(X1,X2)
    | esk2047_2(X1,X2) )).

cnf(i_0_10893,axiom,
    ( ~ esk4912_2(X1,X2)
    | ~ esk4928_2(X1,X2) )).

cnf(i_0_10894,axiom,
    ( esk1148_2(X1,X2)
    | esk1520_2(X1,X2) )).

cnf(i_0_10895,axiom,
    ( ~ esk2902_2(X1,X2)
    | ~ esk33_2(X1,X2)
    | ~ esk2900_2(X1,X2)
    | esk2924_2(X1,X2) )).

cnf(i_0_10896,axiom,
    ( ~ esk4924_2(X1,X2)
    | ~ esk4925_2(X1,X2) )).

cnf(i_0_10897,axiom,
    ( esk117_2(X1,X2)
    | esk4594_2(X1,X2) )).

cnf(i_0_10898,axiom,
    ( ~ esk959_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_10899,axiom,
    ( ~ esk3932_2(X1,X2)
    | ~ esk3933_2(X1,X2) )).

cnf(i_0_10900,axiom,
    ( esk3368_2(X1,X2)
    | ~ esk3672_2(X1,X2) )).

cnf(i_0_10901,axiom,
    ( ~ esk499_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | esk2714_2(X1,X2) )).

cnf(i_0_10902,axiom,
    ( ~ esk2641_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | esk2642_2(X1,X2) )).

cnf(i_0_10903,axiom,
    ( ~ esk487_2(X1,X2)
    | ~ esk90_2(X1,X2)
    | esk524_2(X1,X2) )).

cnf(i_0_10904,axiom,
    ( ~ esk1003_2(X1,X2)
    | ~ esk1010_2(X1,X2) )).

cnf(i_0_10905,axiom,
    ( esk3533_2(X1,X2)
    | ~ esk3528_2(X1,X2)
    | ~ esk3532_2(X1,X2) )).

cnf(i_0_10906,axiom,
    ( ~ esk967_2(X1,X2)
    | ~ esk958_2(X1,X2) )).

cnf(i_0_10907,axiom,
    ( ~ esk5307_2(X1,X2)
    | ~ esk3603_2(X1,X2) )).

cnf(i_0_10908,axiom,
    ( esk797_2(X1,X2)
    | ~ esk798_2(X1,X2) )).

cnf(i_0_10909,axiom,
    ( ~ esk3672_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_10910,axiom,
    ( ~ esk2875_2(X1,X2)
    | esk36_2(X1,X2) )).

cnf(i_0_10911,axiom,
    ( esk1131_2(X1,X2)
    | esk1130_2(X1,X2) )).

cnf(i_0_10912,axiom,
    ( esk142_2(X1,X2)
    | ~ esk954_2(X1,X2) )).

cnf(i_0_10913,axiom,
    ( esk1256_2(X1,X2)
    | esk1255_2(X1,X2) )).

cnf(i_0_10914,axiom,
    ( esk444_2(X1,X2)
    | ~ esk1258_2(X1,X2) )).

cnf(i_0_10915,axiom,
    ( ~ esk4532_2(X1,X2)
    | ~ esk5595_2(X1,X2)
    | ~ esk1879_2(X1,X2) )).

cnf(i_0_10916,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4494_2(X1,X2) )).

cnf(i_0_10917,axiom,
    ( esk3553_2(X1,X2)
    | ~ esk3556_2(X1,X2) )).

cnf(i_0_10918,axiom,
    ( ~ esk2424_2(X1,X2)
    | ~ esk2427_2(X1,X2) )).

cnf(i_0_10919,axiom,
    ( ~ esk5159_2(X1,X2)
    | esk5160_2(X1,X2)
    | ~ esk3618_2(X1,X2) )).

cnf(i_0_10920,axiom,
    ( esk896_2(X1,X2)
    | esk895_2(X1,X2) )).

cnf(i_0_10921,axiom,
    ( ~ esk2855_2(X1,X2)
    | esk193_2(X1,X2)
    | esk5508_2(X1,X2) )).

cnf(i_0_10922,axiom,
    ( ~ esk631_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_10923,axiom,
    ( esk5324_2(X1,X2)
    | esk5325_2(X1,X2) )).

cnf(i_0_10924,axiom,
    ( ~ esk3164_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(i_0_10925,axiom,
    ( ~ esk2871_2(X1,X2)
    | ~ esk2868_2(X1,X2) )).

cnf(i_0_10926,axiom,
    ( esk311_2(X1,X2)
    | ~ esk395_2(X1,X2) )).

cnf(i_0_10927,axiom,
    ( ~ esk4464_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_10928,axiom,
    ( ~ esk4809_2(X1,X2)
    | esk4808_2(X1,X2) )).

cnf(i_0_10929,axiom,
    ( esk5365_2(X1,X2)
    | esk3603_2(X1,X2)
    | esk5362_2(X1,X2)
    | esk5364_2(X1,X2)
    | esk5363_2(X1,X2) )).

cnf(i_0_10930,axiom,
    ( ~ esk3780_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_10931,axiom,
    ( esk481_2(X1,X2)
    | esk144_2(X1,X2)
    | esk482_2(X1,X2)
    | esk479_2(X1,X2) )).

cnf(i_0_10932,axiom,
    ( ~ esk4596_2(X1,X2)
    | ~ esk4593_2(X1,X2) )).

cnf(i_0_10933,axiom,
    ( esk4185_2(X1,X2)
    | ~ esk4186_2(X1,X2) )).

cnf(i_0_10934,axiom,
    ( esk3667_2(X1,X2)
    | esk3666_2(X1,X2) )).

cnf(i_0_10935,axiom,
    ( ~ esk5525_2(X1,X2)
    | esk2930_2(X1,X2)
    | esk268_2(X1,X2) )).

cnf(i_0_10936,axiom,
    ( ~ esk1004_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_10937,axiom,
    ( ~ esk4662_2(X1,X2)
    | ~ esk4661_2(X1,X2) )).

cnf(i_0_10938,axiom,
    ( ~ esk2159_2(X1,X2)
    | esk2154_2(X1,X2) )).

cnf(i_0_10939,axiom,
    ( esk107_2(X1,X2)
    | ~ esk452_2(X1,X2) )).

cnf(i_0_10940,axiom,
    ( ~ esk280_2(X1,X2)
    | ~ esk281_2(X1,X2) )).

cnf(i_0_10941,axiom,
    ( esk140_2(X1,X2)
    | esk3459_2(X1,X2) )).

cnf(i_0_10942,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk21_2(X1,X2)
    | esk3803_2(X1,X2)
    | ~ esk3785_2(X1,X2) )).

cnf(i_0_10943,axiom,
    ( p(X1)
    | ~ esk3554_2(X1,X2) )).

cnf(i_0_10944,axiom,
    ( ~ esk3306_2(X1,X2)
    | ~ esk3307_2(X1,X2) )).

cnf(i_0_10945,axiom,
    ( esk399_2(X1,X2)
    | ~ esk317_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_10946,axiom,
    ( ~ esk2890_2(X1,X2)
    | ~ esk2889_2(X1,X2) )).

cnf(i_0_10947,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk3003_2(X1,X2) )).

cnf(i_0_10948,axiom,
    ( ~ esk4322_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_10949,axiom,
    ( esk4010_2(X1,X2)
    | ~ esk4014_2(X1,X2) )).

cnf(i_0_10950,axiom,
    ( ~ esk1655_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_10951,axiom,
    ( ~ esk4518_2(X1,X2)
    | esk4517_2(X1,X2) )).

cnf(i_0_10952,axiom,
    ( ~ esk1946_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_10953,axiom,
    ( ~ esk742_2(X1,X2)
    | ~ esk1027_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | esk1028_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_10954,axiom,
    ( esk129_2(X1,X2)
    | esk182_2(X1,X2) )).

cnf(i_0_10955,axiom,
    ( ~ esk3048_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_10956,axiom,
    ( esk5254_2(X1,X2)
    | ~ esk5255_2(X1,X2) )).

cnf(i_0_10957,axiom,
    ( esk610_2(X1,X2)
    | esk609_2(X1,X2) )).

cnf(i_0_10958,axiom,
    ( esk2682_2(X1,X2)
    | esk2683_2(X1,X2) )).

cnf(i_0_10959,axiom,
    ( esk646_2(X1,X2)
    | ~ esk642_2(X1,X2)
    | ~ esk645_2(X1,X2) )).

cnf(i_0_10960,axiom,
    ( esk2912_2(X1,X2)
    | ~ esk2901_2(X1,X2)
    | ~ esk2900_2(X1,X2) )).

cnf(i_0_10961,axiom,
    ( ~ esk2891_2(X1,X2)
    | ~ esk2890_2(X1,X2) )).

cnf(i_0_10962,axiom,
    ( ~ esk3104_2(X1,X2)
    | ~ esk3101_2(X1,X2) )).

cnf(i_0_10963,axiom,
    ( ~ esk3150_2(X1,X2)
    | esk3149_2(X1,X2) )).

cnf(i_0_10964,axiom,
    ( esk2820_2(X1,X2)
    | ~ esk39_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_10965,axiom,
    ( ~ esk3355_2(X1,X2)
    | ~ esk3354_2(X1,X2) )).

cnf(i_0_10966,axiom,
    ( ~ esk2074_2(X1,X2)
    | ~ esk2050_2(X1,X2)
    | esk2075_2(X1,X2) )).

cnf(i_0_10967,axiom,
    ( ~ esk922_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_10968,axiom,
    ( ~ esk5351_2(X1,X2)
    | esk5356_2(X1,X2)
    | ~ esk5355_2(X1,X2) )).

cnf(i_0_10969,axiom,
    ( esk3109_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_10970,axiom,
    ( ~ esk5424_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_10971,axiom,
    ( ~ esk66_2(X1,X2)
    | esk1893_2(X1,X2)
    | ~ esk1892_2(X1,X2) )).

cnf(i_0_10972,axiom,
    ( ~ esk3608_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_10973,axiom,
    ( esk2992_2(X1,X2)
    | esk2991_2(X1,X2) )).

cnf(i_0_10974,axiom,
    ( esk3786_2(X1,X2)
    | ~ esk4403_2(X1,X2) )).

cnf(i_0_10975,axiom,
    ( esk4678_2(X1,X2)
    | esk4684_2(X1,X2) )).

cnf(i_0_10976,axiom,
    ( esk152_2(X1,X2)
    | ~ esk682_2(X1,X2) )).

cnf(i_0_10977,axiom,
    ( ~ esk1352_2(X1,X2)
    | ~ esk1351_2(X1,X2) )).

cnf(i_0_10978,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk1536_2(X1,X2) )).

cnf(i_0_10979,axiom,
    ( ~ esk1137_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_10980,axiom,
    ( esk1562_2(X1,X2)
    | esk973_2(X1,X2)
    | esk1563_2(X1,X2)
    | esk1564_2(X1,X2) )).

cnf(i_0_10981,axiom,
    ( esk4786_2(X1,X2)
    | ~ esk4793_2(X1,X2) )).

cnf(i_0_10982,axiom,
    ( ~ esk3740_2(X1,X2)
    | ~ esk3741_2(X1,X2) )).

cnf(i_0_10983,axiom,
    ( esk742_2(X1,X2)
    | ~ esk1028_2(X1,X2) )).

cnf(i_0_10984,axiom,
    ( ~ esk4477_2(X1,X2)
    | esk4251_2(X1,X2) )).

cnf(i_0_10985,axiom,
    ( esk2385_2(X1,X2)
    | esk2384_2(X1,X2) )).

cnf(i_0_10986,axiom,
    ( esk2058_2(X1,X2)
    | ~ esk2059_2(X1,X2) )).

cnf(i_0_10987,axiom,
    ( ~ esk3147_2(X1,X2)
    | ~ esk3146_2(X1,X2) )).

cnf(i_0_10988,axiom,
    ( esk1590_2(X1,X2)
    | ~ esk1703_2(X1,X2) )).

cnf(i_0_10989,axiom,
    ( ~ esk5104_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_10990,axiom,
    ( ~ esk5113_2(X1,X2)
    | ~ esk5112_2(X1,X2) )).

cnf(i_0_10991,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1634_2(X1,X2) )).

cnf(i_0_10992,axiom,
    ( ~ esk1523_2(X1,X2)
    | ~ esk1524_2(X1,X2) )).

cnf(i_0_10993,axiom,
    ( ~ esk829_2(X1,X2)
    | ~ esk830_2(X1,X2) )).

cnf(i_0_10994,axiom,
    ( esk2071_2(X1,X2)
    | ~ esk2072_2(X1,X2) )).

cnf(i_0_10995,axiom,
    ( ~ esk3592_2(X1,X2)
    | esk3591_2(X1,X2) )).

cnf(i_0_10996,axiom,
    ( esk2821_2(X1,X2)
    | esk2822_2(X1,X2) )).

cnf(i_0_10997,axiom,
    ( ~ esk5496_2(X1,X2)
    | ~ esk181_2(X1,X2)
    | ~ esk2843_2(X1,X2) )).

cnf(i_0_10998,axiom,
    ( esk3897_2(X1,X2)
    | esk3898_2(X1,X2) )).

cnf(i_0_10999,axiom,
    ( esk2361_2(X1,X2)
    | ~ esk2360_2(X1,X2)
    | ~ esk2356_2(X1,X2) )).

cnf(i_0_11000,axiom,
    ( esk179_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_11001,axiom,
    ( esk995_2(X1,X2)
    | ~ esk503_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_11002,axiom,
    ( ~ esk2026_2(X1,X2)
    | ~ esk2000_2(X1,X2)
    | esk2027_2(X1,X2)
    | ~ esk1967_2(X1,X2) )).

cnf(i_0_11003,axiom,
    ( esk4316_2(X1,X2)
    | esk4317_2(X1,X2) )).

cnf(i_0_11004,axiom,
    ( ~ esk1404_2(X1,X2)
    | ~ esk1401_2(X1,X2) )).

cnf(i_0_11005,axiom,
    ( esk537_2(X1,X2)
    | ~ esk1388_2(X1,X2) )).

cnf(i_0_11006,axiom,
    ( esk5090_2(X1,X2)
    | esk5089_2(X1,X2) )).

cnf(i_0_11007,axiom,
    ( esk161_2(X1,X2)
    | ~ esk4329_2(X1,X2) )).

cnf(i_0_11008,axiom,
    ( ~ esk297_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_11009,axiom,
    ( ~ esk3589_2(X1,X2)
    | ~ esk3591_2(X1,X2) )).

cnf(i_0_11010,axiom,
    ( ~ esk3374_2(X1,X2)
    | ~ esk3375_2(X1,X2) )).

cnf(i_0_11011,axiom,
    ( ~ esk1159_2(X1,X2)
    | ~ esk1160_2(X1,X2) )).

cnf(i_0_11012,axiom,
    ( ~ esk2052_2(X1,X2)
    | ~ esk1027_2(X1,X2) )).

cnf(i_0_11013,axiom,
    ( ~ esk2394_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_11014,axiom,
    ( ~ esk3267_2(X1,X2)
    | ~ esk3626_2(X1,X2)
    | esk3760_2(X1,X2) )).

cnf(i_0_11015,axiom,
    ( esk2807_2(X1,X2)
    | esk2806_2(X1,X2) )).

cnf(i_0_11016,axiom,
    ( esk984_2(X1,X2)
    | esk1174_2(X1,X2)
    | esk1175_2(X1,X2)
    | esk1176_2(X1,X2) )).

cnf(i_0_11017,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk427_2(X1,X2) )).

cnf(i_0_11018,axiom,
    ( ~ esk502_2(X1,X2)
    | ~ esk501_2(X1,X2) )).

cnf(i_0_11019,axiom,
    ( ~ esk4258_2(X1,X2)
    | ~ esk4257_2(X1,X2) )).

cnf(i_0_11020,axiom,
    ( esk1149_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk1148_2(X1,X2) )).

cnf(i_0_11021,axiom,
    ( esk2248_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_11022,axiom,
    ( ~ esk3576_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_11023,axiom,
    ( ~ esk4513_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_11024,axiom,
    ( esk2211_2(X1,X2)
    | esk2212_2(X1,X2) )).

cnf(i_0_11025,axiom,
    ( esk3227_2(X1,X2)
    | esk3456_2(X1,X2) )).

cnf(i_0_11026,axiom,
    ( ~ esk1582_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_11027,axiom,
    ( ~ esk4210_2(X1,X2)
    | esk4211_2(X1,X2)
    | ~ esk4207_2(X1,X2) )).

cnf(i_0_11028,axiom,
    ( esk5252_2(X1,X2)
    | esk5253_2(X1,X2) )).

cnf(i_0_11029,axiom,
    ( ~ esk425_2(X1,X2)
    | ~ esk424_2(X1,X2) )).

cnf(i_0_11030,axiom,
    ( esk123_2(X1,X2)
    | ~ esk2006_2(X1,X2) )).

cnf(i_0_11031,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1653_2(X1,X2) )).

cnf(i_0_11032,axiom,
    ( esk152_2(X1,X2)
    | ~ esk310_2(X1,X2) )).

cnf(i_0_11033,axiom,
    ( esk5224_2(X1,X2)
    | esk5226_2(X1,X2)
    | esk5227_2(X1,X2)
    | esk3612_2(X1,X2)
    | esk5223_2(X1,X2)
    | esk5225_2(X1,X2) )).

cnf(i_0_11034,axiom,
    ( esk2798_2(X1,X2)
    | esk2808_2(X1,X2)
    | esk2809_2(X1,X2)
    | esk2811_2(X1,X2)
    | esk2810_2(X1,X2) )).

cnf(i_0_11035,axiom,
    ( esk1399_2(X1,X2)
    | esk1405_2(X1,X2) )).

cnf(i_0_11036,axiom,
    ( esk4172_2(X1,X2)
    | ~ esk4232_2(X1,X2) )).

cnf(i_0_11037,axiom,
    ( esk3026_2(X1,X2)
    | esk3027_2(X1,X2) )).

cnf(i_0_11038,axiom,
    ( ~ esk2781_2(X1,X2)
    | ~ esk2800_2(X1,X2) )).

cnf(i_0_11039,axiom,
    ( esk2403_2(X1,X2)
    | ~ esk2404_2(X1,X2) )).

cnf(i_0_11040,axiom,
    ( esk2470_2(X1,X2)
    | ~ esk2474_2(X1,X2) )).

cnf(i_0_11041,axiom,
    ( esk5187_2(X1,X2)
    | esk5186_2(X1,X2) )).

cnf(i_0_11042,axiom,
    ( ~ esk3424_2(X1,X2)
    | ~ esk3425_2(X1,X2) )).

cnf(i_0_11043,axiom,
    ( ~ esk5445_2(X1,X2)
    | ~ esk5444_2(X1,X2) )).

cnf(i_0_11044,axiom,
    ( ~ esk2022_2(X1,X2)
    | esk2021_2(X1,X2) )).

cnf(i_0_11045,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3790_2(X1,X2) )).

cnf(i_0_11046,axiom,
    ( ~ esk2874_2(X1,X2)
    | esk2882_2(X1,X2)
    | ~ esk15_2(X1,X2) )).

cnf(i_0_11047,axiom,
    ( ~ esk5130_2(X1,X2)
    | esk5129_2(X1,X2) )).

cnf(i_0_11048,axiom,
    ( esk984_2(X1,X2)
    | ~ esk985_2(X1,X2) )).

cnf(i_0_11049,axiom,
    ( ~ esk3607_2(X1,X2)
    | esk5316_2(X1,X2)
    | ~ esk5315_2(X1,X2) )).

cnf(i_0_11050,axiom,
    ( esk3039_2(X1,X2)
    | esk3038_2(X1,X2) )).

cnf(i_0_11051,axiom,
    ( ~ esk2737_2(X1,X2)
    | ~ esk499_2(X1,X2) )).

cnf(i_0_11052,axiom,
    ( esk3211_2(X1,X2)
    | ~ esk5226_2(X1,X2) )).

cnf(i_0_11053,axiom,
    ( esk817_2(X1,X2)
    | esk816_2(X1,X2) )).

cnf(i_0_11054,axiom,
    ( ~ esk4603_2(X1,X2)
    | ~ esk4604_2(X1,X2) )).

cnf(i_0_11055,axiom,
    ( esk5402_2(X1,X2)
    | esk5403_2(X1,X2) )).

cnf(i_0_11056,axiom,
    ( ~ esk4746_2(X1,X2)
    | ~ esk3380_2(X1,X2) )).

cnf(i_0_11057,axiom,
    ( ~ esk1459_2(X1,X2)
    | ~ esk1458_2(X1,X2) )).

cnf(i_0_11058,axiom,
    ( esk1257_2(X1,X2)
    | ~ esk5549_2(X1,X2)
    | esk3910_2(X1,X2) )).

cnf(i_0_11059,axiom,
    ( esk5013_2(X1,X2)
    | esk4997_2(X1,X2) )).

cnf(i_0_11060,axiom,
    ( ~ esk997_2(X1,X2)
    | esk1469_2(X1,X2)
    | ~ esk768_2(X1,X2) )).

cnf(i_0_11061,axiom,
    ( esk15_2(X1,X2)
    | ~ esk2888_2(X1,X2) )).

cnf(i_0_11062,axiom,
    ( ~ esk4725_2(X1,X2)
    | esk4721_2(X1,X2) )).

cnf(i_0_11063,axiom,
    ( esk99_2(X1,X2)
    | ~ esk587_2(X1,X2) )).

cnf(i_0_11064,axiom,
    ( ~ esk2050_2(X1,X2)
    | ~ esk2049_2(X1,X2) )).

cnf(i_0_11065,axiom,
    ( ~ esk744_2(X1,X2)
    | ~ esk5530_2(X1,X2)
    | ~ esk3406_2(X1,X2) )).

cnf(i_0_11066,axiom,
    ( ~ esk1602_2(X1,X2)
    | esk18_2(X1,X2) )).

cnf(i_0_11067,axiom,
    ( esk5162_2(X1,X2)
    | esk5163_2(X1,X2) )).

cnf(i_0_11068,axiom,
    ( esk3741_2(X1,X2)
    | esk3742_2(X1,X2) )).

cnf(i_0_11069,axiom,
    ( ~ esk5431_2(X1,X2)
    | esk5426_2(X1,X2) )).

cnf(i_0_11070,axiom,
    ( esk1546_2(X1,X2)
    | ~ esk1545_2(X1,X2)
    | ~ esk1104_2(X1,X2) )).

cnf(i_0_11071,axiom,
    ( esk2955_2(X1,X2)
    | esk2956_2(X1,X2) )).

cnf(i_0_11072,axiom,
    ( ~ esk2526_2(X1,X2)
    | ~ esk2527_2(X1,X2) )).

cnf(i_0_11073,axiom,
    ( esk1172_2(X1,X2)
    | esk1171_2(X1,X2) )).

cnf(i_0_11074,axiom,
    ( ~ esk3130_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_11075,axiom,
    ( ~ esk2369_2(X1,X2)
    | ~ esk2368_2(X1,X2) )).

cnf(i_0_11076,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2494_2(X1,X2) )).

cnf(i_0_11077,axiom,
    ( ~ esk1765_2(X1,X2)
    | esk1766_2(X1,X2)
    | ~ esk1763_2(X1,X2)
    | ~ esk158_2(X1,X2)
    | ~ esk1762_2(X1,X2)
    | ~ esk1764_2(X1,X2) )).

cnf(i_0_11078,axiom,
    ( esk2354_2(X1,X2)
    | esk2355_2(X1,X2) )).

cnf(i_0_11079,axiom,
    ( esk3827_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_11080,axiom,
    ( ~ esk1780_2(X1,X2)
    | ~ esk1783_2(X1,X2) )).

cnf(i_0_11081,axiom,
    ( esk2643_2(X1,X2)
    | esk2642_2(X1,X2) )).

cnf(i_0_11082,axiom,
    ( ~ esk5395_2(X1,X2)
    | ~ esk5394_2(X1,X2) )).

cnf(i_0_11083,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4356_2(X1,X2) )).

cnf(i_0_11084,axiom,
    ( ~ esk5484_2(X1,X2)
    | ~ esk5476_2(X1,X2) )).

cnf(i_0_11085,axiom,
    ( esk3126_2(X1,X2)
    | ~ esk3132_2(X1,X2) )).

cnf(i_0_11086,axiom,
    ( ~ esk5091_2(X1,X2)
    | ~ esk5058_2(X1,X2)
    | ~ esk5124_2(X1,X2)
    | esk5125_2(X1,X2) )).

cnf(i_0_11087,axiom,
    ( ~ esk1634_2(X1,X2)
    | esk29_2(X1,X2) )).

cnf(i_0_11088,axiom,
    ( ~ esk1417_2(X1,X2)
    | ~ esk1418_2(X1,X2) )).

cnf(i_0_11089,axiom,
    ( ~ esk1543_2(X1,X2)
    | esk1539_2(X1,X2) )).

cnf(i_0_11090,axiom,
    ( esk34_2(X1,X2)
    | ~ esk2894_2(X1,X2) )).

cnf(i_0_11091,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk1849_2(X1,X2)
    | ~ esk17_2(X1,X2) )).

cnf(i_0_11092,axiom,
    ( ~ esk150_2(X1,X2)
    | esk1023_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_11093,axiom,
    ( ~ esk2056_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_11094,axiom,
    ( ~ esk1202_2(X1,X2)
    | esk1004_2(X1,X2) )).

cnf(i_0_11095,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1813_2(X1,X2) )).

cnf(i_0_11096,axiom,
    ( ~ esk4964_2(X1,X2)
    | ~ esk4963_2(X1,X2) )).

cnf(i_0_11097,axiom,
    ( esk2215_2(X1,X2)
    | ~ esk2219_2(X1,X2) )).

cnf(i_0_11098,axiom,
    ( esk1747_2(X1,X2)
    | esk1746_2(X1,X2) )).

cnf(i_0_11099,axiom,
    ( ~ esk3380_2(X1,X2)
    | ~ esk3379_2(X1,X2) )).

cnf(i_0_11100,axiom,
    ( esk286_2(X1,X2)
    | esk285_2(X1,X2) )).

cnf(i_0_11101,axiom,
    ( ~ esk2325_2(X1,X2)
    | ~ esk2324_2(X1,X2) )).

cnf(i_0_11102,axiom,
    ( ~ esk4918_2(X1,X2)
    | esk4917_2(X1,X2) )).

cnf(i_0_11103,axiom,
    ( ~ esk3844_2(X1,X2)
    | ~ esk29_2(X1,X2)
    | esk4287_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_11104,axiom,
    ( ~ esk2207_2(X1,X2)
    | ~ esk2210_2(X1,X2)
    | esk2211_2(X1,X2) )).

cnf(i_0_11105,axiom,
    ( esk3218_2(X1,X2)
    | ~ esk3222_2(X1,X2) )).

cnf(i_0_11106,axiom,
    ( esk2083_2(X1,X2)
    | ~ esk710_2(X1,X2)
    | ~ esk2082_2(X1,X2) )).

cnf(i_0_11107,axiom,
    ( ~ esk162_2(X1,X2)
    | esk4338_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk78_2(X1,X2) )).

cnf(i_0_11108,axiom,
    ( ~ esk5469_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_11109,axiom,
    ( ~ esk3582_2(X1,X2)
    | esk3590_2(X1,X2)
    | ~ esk3565_2(X1,X2)
    | ~ esk3573_2(X1,X2) )).

cnf(i_0_11110,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk3694_2(X1,X2)
    | esk3723_2(X1,X2)
    | ~ esk60_2(X1,X2) )).

cnf(i_0_11111,axiom,
    ( ~ esk2520_2(X1,X2)
    | esk2519_2(X1,X2) )).

cnf(i_0_11112,axiom,
    ( esk3312_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_11113,axiom,
    ( ~ esk4995_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_11114,axiom,
    ( ~ esk3451_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_11115,axiom,
    ( ~ esk4184_2(X1,X2)
    | esk4183_2(X1,X2) )).

cnf(i_0_11116,axiom,
    ( ~ esk570_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_11117,axiom,
    ( ~ esk5272_2(X1,X2)
    | ~ esk5271_2(X1,X2) )).

cnf(i_0_11118,axiom,
    ( esk132_2(X1,X2)
    | ~ esk3310_2(X1,X2) )).

cnf(i_0_11119,axiom,
    ( ~ esk2602_2(X1,X2)
    | esk2601_2(X1,X2) )).

cnf(i_0_11120,axiom,
    ( esk3501_2(X1,X2)
    | esk3489_2(X1,X2) )).

cnf(i_0_11121,axiom,
    ( esk2803_2(X1,X2)
    | ~ esk2824_2(X1,X2) )).

cnf(i_0_11122,axiom,
    ( ~ esk4036_2(X1,X2)
    | esk3177_2(X1,X2) )).

cnf(i_0_11123,axiom,
    ( esk897_2(X1,X2)
    | ~ esk898_2(X1,X2) )).

cnf(i_0_11124,axiom,
    ( ~ esk5345_2(X1,X2)
    | ~ esk5346_2(X1,X2) )).

cnf(i_0_11125,axiom,
    ( ~ esk380_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_11126,axiom,
    ( ~ esk1643_2(X1,X2)
    | ~ esk5563_2(X1,X2)
    | ~ esk4296_2(X1,X2) )).

cnf(i_0_11127,axiom,
    ( esk4666_2(X1,X2)
    | ~ esk4667_2(X1,X2) )).

cnf(i_0_11128,axiom,
    ( ~ esk4478_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_11129,axiom,
    ( ~ esk4200_2(X1,X2)
    | ~ esk4201_2(X1,X2) )).

cnf(i_0_11130,axiom,
    ( esk3514_2(X1,X2)
    | ~ esk3515_2(X1,X2) )).

cnf(i_0_11131,axiom,
    ( esk5302_2(X1,X2)
    | ~ esk5301_2(X1,X2)
    | ~ esk159_2(X1,X2) )).

cnf(i_0_11132,axiom,
    ( esk3291_2(X1,X2)
    | esk4193_2(X1,X2) )).

cnf(i_0_11133,axiom,
    ( esk3317_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_11134,axiom,
    ( esk5373_2(X1,X2)
    | esk5372_2(X1,X2) )).

cnf(i_0_11135,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk2944_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_11136,axiom,
    ( ~ esk773_2(X1,X2)
    | esk527_2(X1,X2) )).

cnf(i_0_11137,axiom,
    ( ~ esk4580_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk4581_2(X1,X2) )).

cnf(i_0_11138,axiom,
    ( esk3065_2(X1,X2)
    | esk3064_2(X1,X2) )).

cnf(i_0_11139,axiom,
    ( esk734_2(X1,X2)
    | ~ esk2127_2(X1,X2) )).

cnf(i_0_11140,axiom,
    ( ~ esk962_2(X1,X2)
    | ~ esk967_2(X1,X2) )).

cnf(i_0_11141,axiom,
    ( esk2311_2(X1,X2)
    | esk2310_2(X1,X2) )).

cnf(i_0_11142,axiom,
    ( ~ esk676_2(X1,X2)
    | ~ esk647_2(X1,X2)
    | esk983_2(X1,X2)
    | ~ esk982_2(X1,X2) )).

cnf(i_0_11143,axiom,
    ( esk227_2(X1,X2)
    | ~ esk37_2(X1,X2)
    | ~ esk211_2(X1,X2) )).

cnf(i_0_11144,axiom,
    ( esk5461_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk3778_2(X1,X2)
    | ~ esk5460_2(X1,X2) )).

cnf(i_0_11145,axiom,
    ( ~ esk4433_2(X1,X2)
    | esk4432_2(X1,X2) )).

cnf(i_0_11146,axiom,
    ( ~ esk4451_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_11147,axiom,
    ( ~ esk1139_2(X1,X2)
    | ~ esk1136_2(X1,X2) )).

cnf(i_0_11148,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk1580_2(X1,X2) )).

cnf(i_0_11149,axiom,
    ( esk439_2(X1,X2)
    | ~ esk317_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_11150,axiom,
    ( ~ esk1742_2(X1,X2)
    | ~ esk1741_2(X1,X2) )).

cnf(i_0_11151,axiom,
    ( ~ esk5015_2(X1,X2)
    | ~ esk5014_2(X1,X2) )).

cnf(i_0_11152,axiom,
    ( ~ esk2483_2(X1,X2)
    | esk2482_2(X1,X2) )).

cnf(i_0_11153,axiom,
    ( ~ esk943_2(X1,X2)
    | ~ esk942_2(X1,X2) )).

cnf(i_0_11154,axiom,
    ( ~ esk3271_2(X1,X2)
    | ~ esk3270_2(X1,X2) )).

cnf(i_0_11155,axiom,
    ( esk900_2(X1,X2)
    | ~ esk901_2(X1,X2) )).

cnf(i_0_11156,axiom,
    ( ~ esk2178_2(X1,X2)
    | ~ esk2177_2(X1,X2) )).

cnf(i_0_11157,axiom,
    ( esk1816_2(X1,X2)
    | esk1819_2(X1,X2)
    | esk1820_2(X1,X2)
    | esk1818_2(X1,X2)
    | esk1817_2(X1,X2) )).

cnf(i_0_11158,axiom,
    ( esk2282_2(X1,X2)
    | esk2281_2(X1,X2) )).

cnf(i_0_11159,axiom,
    ( ~ esk3666_2(X1,X2)
    | ~ esk3667_2(X1,X2) )).

cnf(i_0_11160,axiom,
    ( esk2608_2(X1,X2)
    | esk2609_2(X1,X2) )).

cnf(i_0_11161,axiom,
    ( ~ esk107_2(X1,X2)
    | esk446_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk309_2(X1,X2) )).

cnf(i_0_11162,axiom,
    ( ~ esk1197_2(X1,X2)
    | ~ esk1198_2(X1,X2) )).

cnf(i_0_11163,axiom,
    ( ~ esk4084_2(X1,X2)
    | ~ esk4081_2(X1,X2) )).

cnf(i_0_11164,axiom,
    ( ~ esk1317_2(X1,X2)
    | ~ esk1318_2(X1,X2) )).

cnf(i_0_11165,axiom,
    ( esk4066_2(X1,X2)
    | ~ esk4070_2(X1,X2) )).

cnf(i_0_11166,axiom,
    ( esk565_2(X1,X2)
    | esk564_2(X1,X2) )).

cnf(i_0_11167,axiom,
    ( ~ esk5165_2(X1,X2)
    | esk5164_2(X1,X2) )).

cnf(i_0_11168,axiom,
    ( esk2826_2(X1,X2)
    | esk2827_2(X1,X2) )).

cnf(i_0_11169,axiom,
    ( esk1825_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | ~ esk42_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_11170,axiom,
    ( esk1350_2(X1,X2)
    | ~ esk1351_2(X1,X2) )).

cnf(i_0_11171,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk5480_2(X1,X2)
    | esk5489_2(X1,X2) )).

cnf(i_0_11172,axiom,
    ( ~ esk1841_2(X1,X2)
    | esk1796_2(X1,X2) )).

cnf(i_0_11173,axiom,
    ( esk4736_2(X1,X2)
    | esk4737_2(X1,X2) )).

cnf(i_0_11174,axiom,
    ( esk1158_2(X1,X2)
    | esk1157_2(X1,X2)
    | esk982_2(X1,X2)
    | esk1156_2(X1,X2)
    | esk1155_2(X1,X2) )).

cnf(i_0_11175,axiom,
    ( ~ esk1159_2(X1,X2)
    | ~ esk1163_2(X1,X2)
    | esk1164_2(X1,X2) )).

cnf(i_0_11176,axiom,
    ( esk2028_2(X1,X2)
    | ~ esk2032_2(X1,X2) )).

cnf(i_0_11177,axiom,
    ( esk1605_2(X1,X2)
    | ~ esk5557_2(X1,X2)
    | esk4258_2(X1,X2) )).

cnf(i_0_11178,axiom,
    ( esk2834_2(X1,X2)
    | esk2833_2(X1,X2) )).

cnf(i_0_11179,axiom,
    ( ~ esk1163_2(X1,X2)
    | ~ esk647_2(X1,X2) )).

cnf(i_0_11180,axiom,
    ( esk2925_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | ~ esk31_2(X1,X2)
    | ~ esk2902_2(X1,X2) )).

cnf(i_0_11181,axiom,
    ( ~ esk965_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | esk966_2(X1,X2)
    | ~ esk597_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk561_2(X1,X2) )).

cnf(i_0_11182,axiom,
    ( esk1487_2(X1,X2)
    | ~ esk1492_2(X1,X2) )).

cnf(i_0_11183,axiom,
    ( esk85_2(X1,X2)
    | ~ esk1875_2(X1,X2) )).

cnf(i_0_11184,axiom,
    ( esk1680_2(X1,X2)
    | ~ esk1889_2(X1,X2) )).

cnf(i_0_11185,axiom,
    ( ~ esk3681_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_11186,axiom,
    ( esk3637_2(X1,X2)
    | ~ esk3638_2(X1,X2) )).

cnf(i_0_11187,axiom,
    ( ~ esk3608_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_11188,axiom,
    ( esk1625_2(X1,X2)
    | ~ esk1804_2(X1,X2) )).

cnf(i_0_11189,axiom,
    ( esk4649_2(X1,X2)
    | esk4650_2(X1,X2) )).

cnf(i_0_11190,axiom,
    ( ~ esk527_2(X1,X2)
    | ~ esk769_2(X1,X2) )).

cnf(i_0_11191,axiom,
    ( esk4202_2(X1,X2)
    | esk4201_2(X1,X2) )).

cnf(i_0_11192,axiom,
    ( esk5166_2(X1,X2)
    | ~ esk5170_2(X1,X2) )).

cnf(i_0_11193,axiom,
    ( ~ esk514_2(X1,X2)
    | ~ esk512_2(X1,X2) )).

cnf(i_0_11194,axiom,
    ( ~ esk4075_2(X1,X2)
    | ~ esk3887_2(X1,X2) )).

cnf(i_0_11195,axiom,
    ( esk738_2(X1,X2)
    | ~ esk739_2(X1,X2) )).

cnf(i_0_11196,axiom,
    ( ~ esk4071_2(X1,X2)
    | ~ esk4416_2(X1,X2) )).

cnf(i_0_11197,axiom,
    ( ~ esk4924_2(X1,X2)
    | ~ esk4923_2(X1,X2) )).

cnf(i_0_11198,axiom,
    ( esk4696_2(X1,X2)
    | esk4697_2(X1,X2) )).

cnf(i_0_11199,axiom,
    ( esk150_2(X1,X2)
    | esk643_2(X1,X2) )).

cnf(i_0_11200,axiom,
    ( ~ esk3493_2(X1,X2)
    | ~ esk117_2(X1,X2) )).

cnf(i_0_11201,axiom,
    ( ~ esk3107_2(X1,X2)
    | ~ esk3106_2(X1,X2) )).

cnf(i_0_11202,axiom,
    ( ~ esk1787_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_11203,axiom,
    ( ~ esk1058_2(X1,X2)
    | esk652_2(X1,X2) )).

cnf(i_0_11204,axiom,
    ( esk2498_2(X1,X2)
    | esk2499_2(X1,X2) )).

cnf(i_0_11205,axiom,
    ( esk2393_2(X1,X2)
    | ~ esk111_2(X1,X2)
    | ~ esk137_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_11206,axiom,
    ( ~ esk3036_2(X1,X2)
    | ~ esk98_2(X1,X2) )).

cnf(i_0_11207,axiom,
    ( ~ esk5361_2(X1,X2)
    | ~ esk5425_2(X1,X2) )).

cnf(i_0_11208,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk1639_2(X1,X2) )).

cnf(i_0_11209,axiom,
    ( esk3944_2(X1,X2)
    | ~ esk3945_2(X1,X2) )).

cnf(i_0_11210,axiom,
    ( ~ esk3197_2(X1,X2)
    | esk5345_2(X1,X2)
    | ~ esk5344_2(X1,X2) )).

cnf(i_0_11211,axiom,
    ( ~ esk3215_2(X1,X2)
    | ~ esk141_2(X1,X2)
    | esk3616_2(X1,X2) )).

cnf(i_0_11212,axiom,
    ( ~ esk3683_2(X1,X2)
    | ~ esk3681_2(X1,X2) )).

cnf(i_0_11213,axiom,
    ( ~ esk149_2(X1,X2)
    | ~ esk668_2(X1,X2)
    | esk1022_2(X1,X2) )).

cnf(i_0_11214,axiom,
    ( ~ esk3213_2(X1,X2)
    | ~ esk3214_2(X1,X2) )).

cnf(i_0_11215,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1053_2(X1,X2) )).

cnf(i_0_11216,axiom,
    ( ~ esk4498_2(X1,X2)
    | esk5590_2(X1,X2)
    | esk1845_2(X1,X2) )).

cnf(i_0_11217,axiom,
    ( ~ esk1033_2(X1,X2)
    | ~ esk1032_2(X1,X2) )).

cnf(i_0_11218,axiom,
    ( esk3470_2(X1,X2)
    | esk3471_2(X1,X2) )).

cnf(i_0_11219,axiom,
    ( ~ esk4162_2(X1,X2)
    | esk4161_2(X1,X2) )).

cnf(i_0_11220,axiom,
    ( esk3155_2(X1,X2)
    | esk3156_2(X1,X2) )).

cnf(i_0_11221,axiom,
    ( ~ esk3805_2(X1,X2)
    | ~ esk3804_2(X1,X2) )).

cnf(i_0_11222,axiom,
    ( ~ esk1640_2(X1,X2)
    | esk28_2(X1,X2) )).

cnf(i_0_11223,axiom,
    ( ~ esk2469_2(X1,X2)
    | esk2468_2(X1,X2) )).

cnf(i_0_11224,axiom,
    ( esk2523_2(X1,X2)
    | ~ esk2518_2(X1,X2)
    | ~ esk2522_2(X1,X2) )).

cnf(i_0_11225,axiom,
    ( esk3853_2(X1,X2)
    | ~ esk4446_2(X1,X2) )).

cnf(i_0_11226,axiom,
    ( esk2660_2(X1,X2)
    | esk2661_2(X1,X2) )).

cnf(i_0_11227,axiom,
    ( esk4052_2(X1,X2)
    | esk4051_2(X1,X2) )).

cnf(i_0_11228,axiom,
    ( ~ esk718_2(X1,X2)
    | ~ esk742_2(X1,X2)
    | ~ esk726_2(X1,X2)
    | ~ esk734_2(X1,X2)
    | ~ esk710_2(X1,X2)
    | esk743_2(X1,X2) )).

cnf(i_0_11229,axiom,
    ( esk1051_2(X1,X2)
    | esk1050_2(X1,X2) )).

cnf(i_0_11230,axiom,
    ( esk98_2(X1,X2)
    | ~ esk5104_2(X1,X2) )).

cnf(i_0_11231,axiom,
    ( esk5204_2(X1,X2)
    | esk5203_2(X1,X2) )).

cnf(i_0_11232,axiom,
    ( esk2797_2(X1,X2)
    | esk2796_2(X1,X2) )).

cnf(i_0_11233,axiom,
    ( ~ esk3393_2(X1,X2)
    | ~ esk3394_2(X1,X2) )).

cnf(i_0_11234,axiom,
    ( esk585_2(X1,X2)
    | esk2644_2(X1,X2) )).

cnf(i_0_11235,axiom,
    ( esk149_2(X1,X2)
    | ~ esk345_2(X1,X2) )).

cnf(i_0_11236,axiom,
    ( ~ esk470_2(X1,X2)
    | ~ esk471_2(X1,X2) )).

cnf(i_0_11237,axiom,
    ( ~ esk4595_2(X1,X2)
    | esk4594_2(X1,X2) )).

cnf(i_0_11238,axiom,
    ( esk2251_2(X1,X2)
    | esk2252_2(X1,X2) )).

cnf(i_0_11239,axiom,
    ( ~ esk982_2(X1,X2)
    | esk656_2(X1,X2) )).

cnf(i_0_11240,axiom,
    ( esk3226_2(X1,X2)
    | esk3227_2(X1,X2) )).

cnf(i_0_11241,axiom,
    ( ~ esk1535_2(X1,X2)
    | esk1534_2(X1,X2) )).

cnf(i_0_11242,axiom,
    ( ~ esk3128_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_11243,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk5072_2(X1,X2)
    | esk5073_2(X1,X2) )).

cnf(i_0_11244,axiom,
    ( ~ esk837_2(X1,X2)
    | ~ esk838_2(X1,X2) )).

cnf(i_0_11245,axiom,
    ( ~ esk4543_2(X1,X2)
    | ~ esk4544_2(X1,X2) )).

cnf(i_0_11246,axiom,
    ( ~ esk5160_2(X1,X2)
    | esk5159_2(X1,X2) )).

cnf(i_0_11247,axiom,
    ( esk1913_2(X1,X2)
    | esk1912_2(X1,X2) )).

cnf(i_0_11248,axiom,
    ( ~ esk467_2(X1,X2)
    | esk319_2(X1,X2) )).

cnf(i_0_11249,axiom,
    ( ~ esk1442_2(X1,X2)
    | ~ esk1454_2(X1,X2) )).

cnf(i_0_11250,axiom,
    ( ~ esk3380_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | esk4702_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_11251,axiom,
    ( esk2040_2(X1,X2)
    | ~ esk2041_2(X1,X2) )).

cnf(i_0_11252,axiom,
    ( ~ esk397_2(X1,X2)
    | ~ esk396_2(X1,X2) )).

cnf(i_0_11253,axiom,
    ( ~ esk3197_2(X1,X2)
    | ~ esk5406_2(X1,X2) )).

cnf(i_0_11254,axiom,
    ( ~ esk3097_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_11255,axiom,
    ( esk3951_2(X1,X2)
    | esk3950_2(X1,X2) )).

cnf(i_0_11256,axiom,
    ( ~ esk269_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_11257,axiom,
    ( esk1587_2(X1,X2)
    | esk1586_2(X1,X2) )).

cnf(i_0_11258,axiom,
    ( ~ esk3566_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_11259,axiom,
    ( ~ esk123_2(X1,X2)
    | ~ esk346_2(X1,X2) )).

cnf(i_0_11260,axiom,
    ( ~ esk3630_2(X1,X2)
    | ~ esk3625_2(X1,X2) )).

cnf(i_0_11261,axiom,
    ( esk501_2(X1,X2)
    | ~ esk95_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_11262,axiom,
    ( ~ esk1380_2(X1,X2)
    | esk503_2(X1,X2) )).

cnf(i_0_11263,axiom,
    ( ~ esk3608_2(X1,X2)
    | ~ esk3609_2(X1,X2) )).

cnf(i_0_11264,axiom,
    ( ~ esk3984_2(X1,X2)
    | esk3983_2(X1,X2) )).

cnf(i_0_11265,axiom,
    ( esk3812_2(X1,X2)
    | ~ esk3817_2(X1,X2) )).

cnf(i_0_11266,axiom,
    ( ~ esk1289_2(X1,X2)
    | ~ esk1290_2(X1,X2) )).

cnf(i_0_11267,axiom,
    ( ~ esk4241_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_11268,axiom,
    ( esk939_2(X1,X2)
    | esk940_2(X1,X2) )).

cnf(i_0_11269,axiom,
    ( esk72_2(X1,X2)
    | ~ esk4352_2(X1,X2) )).

cnf(i_0_11270,axiom,
    ( ~ esk723_2(X1,X2)
    | esk722_2(X1,X2) )).

cnf(i_0_11271,axiom,
    ( esk4090_2(X1,X2)
    | ~ esk4091_2(X1,X2) )).

cnf(i_0_11272,axiom,
    ( ~ esk3290_2(X1,X2)
    | esk3289_2(X1,X2) )).

cnf(i_0_11273,axiom,
    ( esk1120_2(X1,X2)
    | ~ esk1104_2(X1,X2)
    | ~ esk1119_2(X1,X2) )).

cnf(i_0_11274,axiom,
    ( esk19_2(X1,X2)
    | ~ esk4471_2(X1,X2) )).

cnf(i_0_11275,axiom,
    ( ~ esk647_2(X1,X2)
    | ~ esk984_2(X1,X2)
    | esk1136_2(X1,X2)
    | ~ esk664_2(X1,X2) )).

cnf(i_0_11276,axiom,
    ( esk1910_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk1909_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_11277,axiom,
    ( ~ esk3807_2(X1,X2)
    | ~ esk3823_2(X1,X2) )).

cnf(i_0_11278,axiom,
    ( ~ esk3116_2(X1,X2)
    | esk2981_2(X1,X2) )).

cnf(i_0_11279,axiom,
    ( ~ esk5020_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_11280,axiom,
    ( esk4845_2(X1,X2)
    | ~ esk4846_2(X1,X2) )).

cnf(i_0_11281,axiom,
    ( esk3961_2(X1,X2)
    | esk3960_2(X1,X2)
    | esk3962_2(X1,X2) )).

cnf(i_0_11282,axiom,
    ( esk510_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_11283,axiom,
    ( ~ esk3940_2(X1,X2)
    | ~ esk3941_2(X1,X2) )).

cnf(i_0_11284,axiom,
    ( ~ esk1798_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_11285,axiom,
    ( esk2669_2(X1,X2)
    | ~ esk2673_2(X1,X2) )).

cnf(i_0_11286,axiom,
    ( esk175_2(X1,X2)
    | ~ esk4482_2(X1,X2) )).

cnf(i_0_11287,axiom,
    ( ~ esk1321_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_11288,axiom,
    ( ~ esk102_2(X1,X2)
    | esk4561_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_11289,axiom,
    ( esk3354_2(X1,X2)
    | ~ esk3353_2(X1,X2)
    | ~ esk3271_2(X1,X2) )).

cnf(i_0_11290,axiom,
    ( esk1386_2(X1,X2)
    | esk1387_2(X1,X2) )).

cnf(i_0_11291,axiom,
    ( ~ esk3625_2(X1,X2)
    | esk3266_2(X1,X2) )).

cnf(i_0_11292,axiom,
    ( ~ esk3114_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_11293,axiom,
    ( ~ esk3636_2(X1,X2)
    | esk3338_2(X1,X2) )).

cnf(i_0_11294,axiom,
    ( esk3737_2(X1,X2)
    | esk4072_2(X1,X2) )).

cnf(i_0_11295,axiom,
    ( ~ esk4201_2(X1,X2)
    | ~ esk4202_2(X1,X2) )).

cnf(i_0_11296,axiom,
    ( ~ esk2460_2(X1,X2)
    | ~ esk2461_2(X1,X2) )).

cnf(i_0_11297,axiom,
    ( ~ esk5479_2(X1,X2)
    | ~ esk5478_2(X1,X2) )).

cnf(i_0_11298,axiom,
    ( esk577_2(X1,X2)
    | esk581_2(X1,X2) )).

cnf(i_0_11299,axiom,
    ( ~ esk5491_2(X1,X2)
    | ~ esk5492_2(X1,X2) )).

cnf(i_0_11300,axiom,
    ( esk4726_2(X1,X2)
    | esk4727_2(X1,X2) )).

cnf(i_0_11301,axiom,
    ( esk82_2(X1,X2)
    | ~ esk4246_2(X1,X2) )).

cnf(i_0_11302,axiom,
    ( ~ esk4613_2(X1,X2)
    | esk4592_2(X1,X2) )).

cnf(i_0_11303,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk1599_2(X1,X2) )).

cnf(i_0_11304,axiom,
    ( ~ esk4960_2(X1,X2)
    | ~ esk3369_2(X1,X2) )).

cnf(i_0_11305,axiom,
    ( ~ esk1750_2(X1,X2)
    | esk1548_2(X1,X2) )).

cnf(i_0_11306,axiom,
    ( esk5207_2(X1,X2)
    | ~ esk5208_2(X1,X2) )).

cnf(i_0_11307,axiom,
    ( ~ esk3499_2(X1,X2)
    | esk3489_2(X1,X2) )).

cnf(i_0_11308,axiom,
    ( ~ esk4055_2(X1,X2)
    | ~ esk4031_2(X1,X2) )).

cnf(i_0_11309,axiom,
    ( esk5174_2(X1,X2)
    | ~ esk5178_2(X1,X2) )).

cnf(i_0_11310,axiom,
    ( esk3291_2(X1,X2)
    | ~ esk4203_2(X1,X2) )).

cnf(i_0_11311,axiom,
    ( ~ esk4955_2(X1,X2)
    | ~ esk4956_2(X1,X2) )).

cnf(i_0_11312,axiom,
    ( esk1159_2(X1,X2)
    | esk1158_2(X1,X2) )).

cnf(i_0_11313,axiom,
    ( ~ esk5133_2(X1,X2)
    | esk5128_2(X1,X2) )).

cnf(i_0_11314,axiom,
    ( ~ esk2263_2(X1,X2)
    | ~ esk148_2(X1,X2) )).

cnf(i_0_11315,axiom,
    ( ~ esk2212_2(X1,X2)
    | esk2217_2(X1,X2)
    | ~ esk2216_2(X1,X2) )).

cnf(i_0_11316,axiom,
    ( ~ esk3322_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_11317,axiom,
    ( ~ esk1706_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_11318,axiom,
    ( ~ esk1622_2(X1,X2)
    | ~ esk1619_2(X1,X2) )).

cnf(i_0_11319,axiom,
    ( ~ esk1197_2(X1,X2)
    | ~ esk1196_2(X1,X2) )).

cnf(i_0_11320,axiom,
    ( ~ esk3156_2(X1,X2)
    | esk3160_2(X1,X2)
    | ~ esk3159_2(X1,X2) )).

cnf(i_0_11321,axiom,
    ( ~ esk3792_2(X1,X2)
    | ~ esk3789_2(X1,X2) )).

cnf(i_0_11322,axiom,
    ( ~ esk345_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_11323,axiom,
    ( esk2679_2(X1,X2)
    | ~ esk2678_2(X1,X2)
    | ~ esk2674_2(X1,X2) )).

cnf(i_0_11324,axiom,
    ( ~ esk1486_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_11325,axiom,
    ( esk1965_2(X1,X2)
    | esk1966_2(X1,X2) )).

cnf(i_0_11326,axiom,
    ( esk103_2(X1,X2)
    | ~ esk1037_2(X1,X2) )).

cnf(i_0_11327,axiom,
    ( esk4777_2(X1,X2)
    | esk4849_2(X1,X2)
    | esk4848_2(X1,X2) )).

cnf(i_0_11328,axiom,
    ( ~ esk647_2(X1,X2)
    | ~ esk676_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | ~ esk664_2(X1,X2)
    | ~ esk688_2(X1,X2)
    | esk986_2(X1,X2) )).

cnf(i_0_11329,axiom,
    ( ~ esk102_2(X1,X2)
    | esk4633_2(X1,X2)
    | ~ esk128_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_11330,axiom,
    ( ~ esk4016_2(X1,X2)
    | ~ esk4015_2(X1,X2) )).

cnf(i_0_11331,axiom,
    ( ~ esk4708_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_11332,axiom,
    ( ~ esk1354_2(X1,X2)
    | ~ esk1353_2(X1,X2) )).

cnf(i_0_11333,axiom,
    ( ~ esk4505_2(X1,X2)
    | esk4303_2(X1,X2) )).

cnf(i_0_11334,axiom,
    ( esk140_2(X1,X2)
    | esk566_2(X1,X2) )).

cnf(i_0_11335,axiom,
    ( esk3513_2(X1,X2)
    | ~ esk3525_2(X1,X2) )).

cnf(i_0_11336,axiom,
    ( ~ esk38_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk1848_2(X1,X2)
    | ~ esk1624_2(X1,X2) )).

cnf(i_0_11337,axiom,
    ( esk5176_2(X1,X2)
    | ~ esk5175_2(X1,X2)
    | ~ esk5171_2(X1,X2) )).

cnf(i_0_11338,axiom,
    ( esk751_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_11339,axiom,
    ( esk3663_2(X1,X2)
    | esk3664_2(X1,X2) )).

cnf(i_0_11340,axiom,
    ( ~ esk5362_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_11341,axiom,
    ( esk309_2(X1,X2)
    | ~ esk367_2(X1,X2) )).

cnf(i_0_11342,axiom,
    ( esk3173_2(X1,X2)
    | esk5339_2(X1,X2) )).

cnf(i_0_11343,axiom,
    ( esk1766_2(X1,X2)
    | ~ esk1767_2(X1,X2) )).

cnf(i_0_11344,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1236_2(X1,X2) )).

cnf(i_0_11345,axiom,
    ( esk4408_2(X1,X2)
    | esk4411_2(X1,X2)
    | esk4410_2(X1,X2)
    | esk4409_2(X1,X2) )).

cnf(i_0_11346,axiom,
    ( esk789_2(X1,X2)
    | ~ esk790_2(X1,X2) )).

cnf(i_0_11347,axiom,
    ( esk888_2(X1,X2)
    | esk900_2(X1,X2) )).

cnf(i_0_11348,axiom,
    ( ~ esk2107_2(X1,X2)
    | ~ esk2108_2(X1,X2) )).

cnf(i_0_11349,axiom,
    ( ~ esk1239_2(X1,X2)
    | ~ esk3892_2(X1,X2)
    | ~ esk5548_2(X1,X2) )).

cnf(i_0_11350,axiom,
    ( ~ esk609_2(X1,X2)
    | ~ esk691_2(X1,X2)
    | esk692_2(X1,X2) )).

cnf(i_0_11351,axiom,
    ( esk3338_2(X1,X2)
    | esk3797_2(X1,X2) )).

cnf(i_0_11352,axiom,
    ( esk1439_2(X1,X2)
    | ~ esk1440_2(X1,X2) )).

cnf(i_0_11353,axiom,
    ( ~ esk1485_2(X1,X2)
    | esk995_2(X1,X2) )).

cnf(i_0_11354,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1592_2(X1,X2) )).

cnf(i_0_11355,axiom,
    ( ~ esk2512_2(X1,X2)
    | esk2499_2(X1,X2) )).

cnf(i_0_11356,axiom,
    ( esk2511_2(X1,X2)
    | ~ esk2512_2(X1,X2) )).

cnf(i_0_11357,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1897_2(X1,X2) )).

cnf(i_0_11358,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3809_2(X1,X2) )).

cnf(i_0_11359,axiom,
    ( ~ esk2293_2(X1,X2)
    | ~ esk2292_2(X1,X2) )).

cnf(i_0_11360,axiom,
    ( ~ esk5147_2(X1,X2)
    | esk3618_2(X1,X2) )).

cnf(i_0_11361,axiom,
    ( esk3588_2(X1,X2)
    | esk3582_2(X1,X2) )).

cnf(i_0_11362,axiom,
    ( esk1415_2(X1,X2)
    | ~ esk1410_2(X1,X2)
    | ~ esk1414_2(X1,X2) )).

cnf(i_0_11363,axiom,
    ( esk1358_2(X1,X2)
    | esk565_2(X1,X2) )).

cnf(i_0_11364,axiom,
    ( ~ esk1055_2(X1,X2)
    | esk1591_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | ~ esk1589_2(X1,X2) )).

cnf(i_0_11365,axiom,
    ( esk5456_2(X1,X2)
    | ~ esk5477_2(X1,X2) )).

cnf(i_0_11366,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2412_2(X1,X2) )).

cnf(i_0_11367,axiom,
    ( ~ esk4728_2(X1,X2)
    | ~ esk4729_2(X1,X2) )).

cnf(i_0_11368,axiom,
    ( esk3344_2(X1,X2)
    | esk3345_2(X1,X2) )).

cnf(i_0_11369,axiom,
    ( esk2331_2(X1,X2)
    | esk2328_2(X1,X2)
    | esk2330_2(X1,X2)
    | esk2329_2(X1,X2)
    | esk2046_2(X1,X2) )).

cnf(i_0_11370,axiom,
    ( esk716_2(X1,X2)
    | esk715_2(X1,X2) )).

cnf(i_0_11371,axiom,
    ( ~ esk2940_2(X1,X2)
    | ~ esk2941_2(X1,X2) )).

cnf(i_0_11372,axiom,
    ( ~ esk4229_2(X1,X2)
    | ~ esk4230_2(X1,X2) )).

cnf(i_0_11373,axiom,
    ( ~ esk1837_2(X1,X2)
    | ~ esk1838_2(X1,X2) )).

cnf(i_0_11374,axiom,
    ( ~ esk5012_2(X1,X2)
    | ~ esk5015_2(X1,X2)
    | esk5016_2(X1,X2) )).

cnf(i_0_11375,axiom,
    ( esk1934_2(X1,X2)
    | esk1933_2(X1,X2) )).

cnf(i_0_11376,axiom,
    ( esk5111_2(X1,X2)
    | ~ esk5112_2(X1,X2) )).

cnf(i_0_11377,axiom,
    ( esk3318_2(X1,X2)
    | ~ esk3953_2(X1,X2) )).

cnf(i_0_11378,axiom,
    ( ~ esk1060_2(X1,X2)
    | ~ esk1059_2(X1,X2) )).

cnf(i_0_11379,axiom,
    ( ~ esk1425_2(X1,X2)
    | ~ esk1426_2(X1,X2) )).

cnf(i_0_11380,axiom,
    ( ~ esk1988_2(X1,X2)
    | esk1987_2(X1,X2) )).

cnf(i_0_11381,axiom,
    ( ~ esk1845_2(X1,X2)
    | ~ esk4498_2(X1,X2)
    | ~ esk5590_2(X1,X2) )).

cnf(i_0_11382,axiom,
    ( ~ esk4467_2(X1,X2)
    | ~ esk4466_2(X1,X2) )).

cnf(i_0_11383,axiom,
    ( esk3431_2(X1,X2)
    | ~ esk3432_2(X1,X2) )).

cnf(i_0_11384,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5147_2(X1,X2) )).

cnf(i_0_11385,axiom,
    ( ~ esk4387_2(X1,X2)
    | ~ esk4388_2(X1,X2) )).

cnf(i_0_11386,axiom,
    ( ~ esk2676_2(X1,X2)
    | esk2675_2(X1,X2) )).

cnf(i_0_11387,axiom,
    ( ~ esk2639_2(X1,X2)
    | ~ esk2640_2(X1,X2) )).

cnf(i_0_11388,axiom,
    ( ~ esk3077_2(X1,X2)
    | ~ esk3078_2(X1,X2) )).

cnf(i_0_11389,axiom,
    ( ~ esk4630_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_11390,axiom,
    ( esk1694_2(X1,X2)
    | ~ esk1695_2(X1,X2) )).

cnf(i_0_11391,axiom,
    ( ~ esk4220_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_11392,axiom,
    ( ~ esk2341_2(X1,X2)
    | esk2340_2(X1,X2) )).

cnf(i_0_11393,axiom,
    ( ~ esk1846_2(X1,X2)
    | esk1759_2(X1,X2) )).

cnf(i_0_11394,axiom,
    ( ~ esk1443_2(X1,X2)
    | ~ esk491_2(X1,X2) )).

cnf(i_0_11395,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk4778_2(X1,X2) )).

cnf(i_0_11396,axiom,
    ( esk4916_2(X1,X2)
    | ~ esk4921_2(X1,X2) )).

cnf(i_0_11397,axiom,
    ( ~ esk1342_2(X1,X2)
    | ~ esk1338_2(X1,X2)
    | esk1343_2(X1,X2) )).

cnf(i_0_11398,axiom,
    ( esk1665_2(X1,X2)
    | esk5566_2(X1,X2)
    | ~ esk4318_2(X1,X2) )).

cnf(i_0_11399,axiom,
    ( esk5118_2(X1,X2)
    | esk5117_2(X1,X2) )).

cnf(i_0_11400,axiom,
    ( ~ esk66_2(X1,X2)
    | ~ esk1899_2(X1,X2)
    | esk1900_2(X1,X2) )).

cnf(i_0_11401,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk3415_2(X1,X2)
    | esk3416_2(X1,X2) )).

cnf(i_0_11402,axiom,
    ( ~ esk2177_2(X1,X2)
    | esk2176_2(X1,X2) )).

cnf(i_0_11403,axiom,
    ( esk567_2(X1,X2)
    | ~ esk565_2(X1,X2)
    | ~ esk566_2(X1,X2) )).

cnf(i_0_11404,axiom,
    ( ~ esk5027_2(X1,X2)
    | ~ esk5024_2(X1,X2) )).

cnf(i_0_11405,axiom,
    ( esk2740_2(X1,X2)
    | esk2741_2(X1,X2) )).

cnf(i_0_11406,axiom,
    ( ~ esk1016_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_11407,axiom,
    ( ~ esk1096_2(X1,X2)
    | ~ esk634_2(X1,X2) )).

cnf(i_0_11408,axiom,
    ( ~ esk2161_2(X1,X2)
    | ~ esk2162_2(X1,X2) )).

cnf(i_0_11409,axiom,
    ( ~ esk782_2(X1,X2)
    | ~ esk783_2(X1,X2) )).

cnf(i_0_11410,axiom,
    ( esk4709_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | ~ esk3380_2(X1,X2) )).

cnf(i_0_11411,axiom,
    ( esk2216_2(X1,X2)
    | esk2200_2(X1,X2) )).

cnf(i_0_11412,axiom,
    ( esk239_2(X1,X2)
    | esk240_2(X1,X2) )).

cnf(i_0_11413,axiom,
    ( esk2200_2(X1,X2)
    | esk2199_2(X1,X2)
    | esk604_2(X1,X2)
    | esk2198_2(X1,X2) )).

cnf(i_0_11414,axiom,
    ( esk3737_2(X1,X2)
    | esk3736_2(X1,X2) )).

cnf(i_0_11415,axiom,
    ( ~ esk2566_2(X1,X2)
    | ~ esk2565_2(X1,X2) )).

cnf(i_0_11416,axiom,
    ( esk505_2(X1,X2)
    | ~ esk503_2(X1,X2)
    | ~ esk504_2(X1,X2) )).

cnf(i_0_11417,axiom,
    ( esk3680_2(X1,X2)
    | ~ esk4701_2(X1,X2) )).

cnf(i_0_11418,axiom,
    ( ~ esk5591_2(X1,X2)
    | esk4504_2(X1,X2)
    | esk1851_2(X1,X2) )).

cnf(i_0_11419,axiom,
    ( ~ esk177_2(X1,X2)
    | esk2815_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk6_2(X1,X2) )).

cnf(i_0_11420,axiom,
    ( ~ esk2143_2(X1,X2)
    | esk2138_2(X1,X2) )).

cnf(i_0_11421,axiom,
    ( ~ esk2901_2(X1,X2)
    | ~ esk2900_2(X1,X2)
    | esk2919_2(X1,X2) )).

cnf(i_0_11422,axiom,
    ( ~ esk4883_2(X1,X2)
    | esk3368_2(X1,X2) )).

cnf(i_0_11423,axiom,
    ( esk3780_2(X1,X2)
    | ~ esk3778_2(X1,X2)
    | ~ esk3741_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_11424,axiom,
    ( esk273_2(X1,X2)
    | esk274_2(X1,X2) )).

cnf(i_0_11425,axiom,
    ( ~ esk3668_2(X1,X2)
    | esk3370_2(X1,X2) )).

cnf(i_0_11426,axiom,
    ( esk276_2(X1,X2)
    | ~ esk277_2(X1,X2) )).

cnf(i_0_11427,axiom,
    ( esk253_2(X1,X2)
    | esk252_2(X1,X2) )).

cnf(i_0_11428,axiom,
    ( esk5148_2(X1,X2)
    | ~ esk5173_2(X1,X2) )).

cnf(i_0_11429,axiom,
    ( esk5497_2(X1,X2)
    | ~ esk182_2(X1,X2)
    | esk2844_2(X1,X2) )).

cnf(i_0_11430,axiom,
    ( ~ esk3340_2(X1,X2)
    | esk131_2(X1,X2) )).

cnf(i_0_11431,axiom,
    ( ~ esk2128_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_11432,axiom,
    ( ~ esk2793_2(X1,X2)
    | esk2819_2(X1,X2)
    | ~ esk2792_2(X1,X2) )).

cnf(i_0_11433,axiom,
    ( ~ esk2834_2(X1,X2)
    | esk5487_2(X1,X2)
    | esk5604_2(X1,X2) )).

cnf(i_0_11434,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk181_2(X1,X2) )).

cnf(i_0_11435,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5145_2(X1,X2) )).

cnf(i_0_11436,axiom,
    ( esk175_2(X1,X2)
    | ~ esk2808_2(X1,X2) )).

cnf(i_0_11437,axiom,
    ( esk882_2(X1,X2)
    | esk883_2(X1,X2) )).

cnf(i_0_11438,axiom,
    ( esk3370_2(X1,X2)
    | esk4893_2(X1,X2) )).

cnf(i_0_11439,axiom,
    ( ~ esk4290_2(X1,X2)
    | ~ esk5562_2(X1,X2)
    | ~ esk1637_2(X1,X2) )).

cnf(i_0_11440,axiom,
    ( esk4618_2(X1,X2)
    | ~ esk4617_2(X1,X2)
    | ~ esk4614_2(X1,X2) )).

cnf(i_0_11441,axiom,
    ( ~ esk1020_2(X1,X2)
    | ~ esk1017_2(X1,X2) )).

cnf(i_0_11442,axiom,
    ( ~ esk3636_2(X1,X2)
    | esk3309_2(X1,X2) )).

cnf(i_0_11443,axiom,
    ( ~ esk2656_2(X1,X2)
    | ~ esk2655_2(X1,X2) )).

cnf(i_0_11444,axiom,
    ( esk3453_2(X1,X2)
    | ~ esk3454_2(X1,X2) )).

cnf(i_0_11445,axiom,
    ( esk5133_2(X1,X2)
    | ~ esk5132_2(X1,X2)
    | ~ esk5128_2(X1,X2) )).

cnf(i_0_11446,axiom,
    ( ~ esk1251_2(X1,X2)
    | esk1250_2(X1,X2) )).

cnf(i_0_11447,axiom,
    ( ~ esk4014_2(X1,X2)
    | ~ esk4015_2(X1,X2) )).

cnf(i_0_11448,axiom,
    ( ~ esk582_2(X1,X2)
    | esk581_2(X1,X2) )).

cnf(i_0_11449,axiom,
    ( ~ esk2709_2(X1,X2)
    | esk952_2(X1,X2) )).

cnf(i_0_11450,axiom,
    ( ~ esk3284_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk3285_2(X1,X2) )).

cnf(i_0_11451,axiom,
    ( esk2670_2(X1,X2)
    | esk2654_2(X1,X2) )).

cnf(i_0_11452,axiom,
    ( ~ esk3741_2(X1,X2)
    | ~ esk3742_2(X1,X2) )).

cnf(i_0_11453,axiom,
    ( ~ esk101_2(X1,X2)
    | ~ esk2853_2(X1,X2) )).

cnf(i_0_11454,axiom,
    ( esk5454_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk5453_2(X1,X2) )).

cnf(i_0_11455,axiom,
    ( ~ esk2808_2(X1,X2)
    | esk1125_2(X1,X2) )).

cnf(i_0_11456,axiom,
    ( esk5042_2(X1,X2)
    | ~ esk5037_2(X1,X2)
    | ~ esk5041_2(X1,X2) )).

cnf(i_0_11457,axiom,
    ( esk3805_2(X1,X2)
    | ~ esk4335_2(X1,X2) )).

cnf(i_0_11458,axiom,
    ( esk617_2(X1,X2)
    | ~ esk1109_2(X1,X2) )).

cnf(i_0_11459,axiom,
    ( esk1540_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_11460,axiom,
    ( ~ esk1611_2(X1,X2)
    | ~ esk1610_2(X1,X2) )).

cnf(i_0_11461,axiom,
    ( ~ esk5061_2(X1,X2)
    | esk5060_2(X1,X2) )).

cnf(i_0_11462,axiom,
    ( esk2977_2(X1,X2)
    | esk2978_2(X1,X2) )).

cnf(i_0_11463,axiom,
    ( esk810_2(X1,X2)
    | ~ esk811_2(X1,X2) )).

cnf(i_0_11464,axiom,
    ( esk3004_2(X1,X2)
    | ~ esk3005_2(X1,X2) )).

cnf(i_0_11465,axiom,
    ( esk1804_2(X1,X2)
    | ~ esk1741_2(X1,X2)
    | ~ esk1625_2(X1,X2)
    | ~ esk1624_2(X1,X2) )).

cnf(i_0_11466,axiom,
    ( esk348_2(X1,X2)
    | esk349_2(X1,X2) )).

cnf(i_0_11467,axiom,
    ( esk3203_2(X1,X2)
    | ~ esk3661_2(X1,X2) )).

cnf(i_0_11468,axiom,
    ( esk5487_2(X1,X2)
    | ~ esk5604_2(X1,X2)
    | esk2834_2(X1,X2) )).

cnf(i_0_11469,axiom,
    ( ~ esk3315_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_11470,axiom,
    ( esk4451_2(X1,X2)
    | ~ esk3853_2(X1,X2)
    | ~ esk3053_2(X1,X2)
    | ~ esk3852_2(X1,X2) )).

cnf(i_0_11471,axiom,
    ( ~ esk105_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk5098_2(X1,X2) )).

cnf(i_0_11472,axiom,
    ( esk2873_2(X1,X2)
    | ~ esk2889_2(X1,X2) )).

cnf(i_0_11473,axiom,
    ( ~ esk2905_2(X1,X2)
    | esk2901_2(X1,X2) )).

cnf(i_0_11474,axiom,
    ( ~ esk1898_2(X1,X2)
    | ~ esk1895_2(X1,X2) )).

cnf(i_0_11475,axiom,
    ( ~ esk3628_2(X1,X2)
    | ~ esk3291_2(X1,X2)
    | esk3744_2(X1,X2)
    | ~ esk3267_2(X1,X2) )).

cnf(i_0_11476,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk5554_2(X1,X2)
    | esk1579_2(X1,X2) )).

cnf(i_0_11477,axiom,
    ( esk1357_2(X1,X2)
    | ~ esk1361_2(X1,X2) )).

cnf(i_0_11478,axiom,
    ( esk2622_2(X1,X2)
    | ~ esk2623_2(X1,X2) )).

cnf(i_0_11479,axiom,
    ( ~ esk252_2(X1,X2)
    | ~ esk250_2(X1,X2) )).

cnf(i_0_11480,axiom,
    ( ~ esk980_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_11481,axiom,
    ( ~ esk2865_2(X1,X2)
    | ~ esk2866_2(X1,X2) )).

cnf(i_0_11482,axiom,
    ( esk2321_2(X1,X2)
    | ~ esk2320_2(X1,X2)
    | ~ esk2197_2(X1,X2) )).

cnf(i_0_11483,axiom,
    ( ~ esk2916_2(X1,X2)
    | esk2915_2(X1,X2) )).

cnf(i_0_11484,axiom,
    ( ~ esk176_2(X1,X2)
    | esk4294_2(X1,X2)
    | ~ esk7_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_11485,axiom,
    ( ~ esk1130_2(X1,X2)
    | ~ esk1131_2(X1,X2) )).

cnf(i_0_11486,axiom,
    ( ~ esk162_2(X1,X2)
    | ~ esk76_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | esk1897_2(X1,X2) )).

cnf(i_0_11487,axiom,
    ( esk3752_2(X1,X2)
    | ~ esk3751_2(X1,X2)
    | ~ esk3748_2(X1,X2) )).

cnf(i_0_11488,axiom,
    ( ~ esk3808_2(X1,X2)
    | esk3326_2(X1,X2) )).

cnf(i_0_11489,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk519_2(X1,X2)
    | esk520_2(X1,X2) )).

cnf(i_0_11490,axiom,
    ( ~ esk2884_2(X1,X2)
    | ~ esk2883_2(X1,X2) )).

cnf(i_0_11491,axiom,
    ( esk2245_2(X1,X2)
    | ~ esk2246_2(X1,X2) )).

cnf(i_0_11492,axiom,
    ( ~ esk4069_2(X1,X2)
    | ~ esk4066_2(X1,X2)
    | esk4070_2(X1,X2) )).

cnf(i_0_11493,axiom,
    ( esk139_2(X1,X2)
    | ~ esk3123_2(X1,X2) )).

cnf(i_0_11494,axiom,
    ( ~ esk952_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_11495,axiom,
    ( ~ esk2913_2(X1,X2)
    | ~ esk2914_2(X1,X2) )).

cnf(i_0_11496,axiom,
    ( ~ esk2481_2(X1,X2)
    | ~ esk2482_2(X1,X2) )).

cnf(i_0_11497,axiom,
    ( esk1280_2(X1,X2)
    | esk1279_2(X1,X2) )).

cnf(i_0_11498,axiom,
    ( ~ esk109_2(X1,X2)
    | esk3567_2(X1,X2)
    | ~ esk3566_2(X1,X2) )).

cnf(i_0_11499,axiom,
    ( ~ esk1565_2(X1,X2)
    | ~ esk1566_2(X1,X2) )).

cnf(i_0_11500,axiom,
    ( ~ esk4152_2(X1,X2)
    | ~ esk4154_2(X1,X2) )).

cnf(i_0_11501,axiom,
    ( esk4191_2(X1,X2)
    | ~ esk4190_2(X1,X2)
    | ~ esk3291_2(X1,X2) )).

cnf(i_0_11502,axiom,
    ( esk70_2(X1,X2)
    | ~ esk1706_2(X1,X2) )).

cnf(i_0_11503,axiom,
    ( esk5524_2(X1,X2)
    | esk261_2(X1,X2)
    | ~ esk2923_2(X1,X2) )).

cnf(i_0_11504,axiom,
    ( esk3053_2(X1,X2)
    | ~ esk3052_2(X1,X2)
    | ~ esk3047_2(X1,X2) )).

cnf(i_0_11505,axiom,
    ( esk2659_2(X1,X2)
    | ~ esk2660_2(X1,X2) )).

cnf(i_0_11506,axiom,
    ( esk2130_2(X1,X2)
    | ~ esk2148_2(X1,X2) )).

cnf(i_0_11507,axiom,
    ( ~ esk3240_2(X1,X2)
    | esk3241_2(X1,X2)
    | ~ esk3239_2(X1,X2) )).

cnf(i_0_11508,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2457_2(X1,X2) )).

cnf(i_0_11509,axiom,
    ( ~ esk3470_2(X1,X2)
    | esk3466_2(X1,X2) )).

cnf(i_0_11510,axiom,
    ( ~ esk2350_2(X1,X2)
    | esk2356_2(X1,X2)
    | ~ esk2355_2(X1,X2) )).

cnf(i_0_11511,axiom,
    ( ~ esk4838_2(X1,X2)
    | ~ esk4839_2(X1,X2) )).

cnf(i_0_11512,axiom,
    ( ~ esk4819_2(X1,X2)
    | esk4820_2(X1,X2)
    | ~ esk4815_2(X1,X2) )).

cnf(i_0_11513,axiom,
    ( esk5385_2(X1,X2)
    | esk5386_2(X1,X2) )).

cnf(i_0_11514,axiom,
    ( ~ esk2876_2(X1,X2)
    | esk35_2(X1,X2) )).

cnf(i_0_11515,axiom,
    ( ~ esk3480_2(X1,X2)
    | esk3481_2(X1,X2)
    | ~ esk3439_2(X1,X2) )).

cnf(i_0_11516,axiom,
    ( esk1816_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | ~ esk1747_2(X1,X2) )).

cnf(i_0_11517,axiom,
    ( ~ esk964_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_11518,axiom,
    ( ~ esk4503_2(X1,X2)
    | ~ esk4499_2(X1,X2) )).

cnf(i_0_11519,axiom,
    ( esk2888_2(X1,X2)
    | ~ esk15_2(X1,X2)
    | ~ esk2874_2(X1,X2) )).

cnf(i_0_11520,axiom,
    ( ~ esk3580_2(X1,X2)
    | ~ esk3579_2(X1,X2) )).

cnf(i_0_11521,axiom,
    ( ~ esk4874_2(X1,X2)
    | ~ esk4873_2(X1,X2) )).

cnf(i_0_11522,axiom,
    ( ~ esk5413_2(X1,X2)
    | ~ esk5412_2(X1,X2) )).

cnf(i_0_11523,axiom,
    ( ~ esk4454_2(X1,X2)
    | ~ esk4453_2(X1,X2) )).

cnf(i_0_11524,axiom,
    ( esk5420_2(X1,X2)
    | ~ esk5421_2(X1,X2) )).

cnf(i_0_11525,axiom,
    ( ~ esk511_2(X1,X2)
    | esk2684_2(X1,X2)
    | ~ esk2683_2(X1,X2) )).

cnf(i_0_11526,axiom,
    ( ~ esk1052_2(X1,X2)
    | ~ esk1054_2(X1,X2) )).

cnf(i_0_11527,axiom,
    ( ~ esk1597_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_11528,axiom,
    ( ~ esk4320_2(X1,X2)
    | esk3909_2(X1,X2) )).

cnf(i_0_11529,axiom,
    ( ~ esk5267_2(X1,X2)
    | ~ esk5266_2(X1,X2) )).

cnf(i_0_11530,axiom,
    ( esk4980_2(X1,X2)
    | esk4979_2(X1,X2) )).

cnf(i_0_11531,axiom,
    ( ~ esk3348_2(X1,X2)
    | esk3349_2(X1,X2)
    | ~ esk3345_2(X1,X2) )).

cnf(i_0_11532,axiom,
    ( ~ esk3040_2(X1,X2)
    | ~ esk3041_2(X1,X2) )).

cnf(i_0_11533,axiom,
    ( ~ esk440_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_11534,axiom,
    ( esk3488_2(X1,X2)
    | ~ esk3487_2(X1,X2)
    | ~ esk3484_2(X1,X2) )).

cnf(i_0_11535,axiom,
    ( ~ esk3323_2(X1,X2)
    | ~ esk3324_2(X1,X2) )).

cnf(i_0_11536,axiom,
    ( ~ esk1595_2(X1,X2)
    | ~ esk1593_2(X1,X2) )).

cnf(i_0_11537,axiom,
    ( ~ esk2301_2(X1,X2)
    | ~ esk2298_2(X1,X2)
    | esk2302_2(X1,X2) )).

cnf(i_0_11538,axiom,
    ( esk2681_2(X1,X2)
    | ~ esk2677_2(X1,X2)
    | ~ esk2680_2(X1,X2) )).

cnf(i_0_11539,axiom,
    ( ~ esk4972_2(X1,X2)
    | ~ esk4971_2(X1,X2) )).

cnf(i_0_11540,axiom,
    ( ~ esk606_2(X1,X2)
    | ~ esk608_2(X1,X2) )).

cnf(i_0_11541,axiom,
    ( ~ esk2956_2(X1,X2)
    | ~ esk2955_2(X1,X2) )).

cnf(i_0_11542,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4273_2(X1,X2) )).

cnf(i_0_11543,axiom,
    ( ~ esk13_2(X1,X2)
    | esk201_2(X1,X2)
    | ~ esk200_2(X1,X2) )).

cnf(i_0_11544,axiom,
    ( ~ esk3330_2(X1,X2)
    | ~ esk3329_2(X1,X2) )).

cnf(i_0_11545,axiom,
    ( ~ esk3891_2(X1,X2)
    | esk4286_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_11546,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk3290_2(X1,X2) )).

cnf(i_0_11547,axiom,
    ( esk4997_2(X1,X2)
    | ~ esk5011_2(X1,X2) )).

cnf(i_0_11548,axiom,
    ( ~ esk132_2(X1,X2)
    | ~ esk847_2(X1,X2)
    | esk848_2(X1,X2) )).

cnf(i_0_11549,axiom,
    ( ~ esk4554_2(X1,X2)
    | esk4333_2(X1,X2) )).

cnf(i_0_11550,axiom,
    ( ~ esk4497_2(X1,X2)
    | ~ esk4493_2(X1,X2) )).

cnf(i_0_11551,axiom,
    ( ~ esk3795_2(X1,X2)
    | ~ esk3796_2(X1,X2) )).

cnf(i_0_11552,axiom,
    ( ~ esk908_2(X1,X2)
    | ~ esk113_2(X1,X2) )).

cnf(i_0_11553,axiom,
    ( esk4283_2(X1,X2)
    | esk4284_2(X1,X2) )).

cnf(i_0_11554,axiom,
    ( esk1589_2(X1,X2)
    | ~ esk1591_2(X1,X2) )).

cnf(i_0_11555,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk6_2(X1,X2)
    | ~ esk1124_2(X1,X2)
    | esk2809_2(X1,X2) )).

cnf(i_0_11556,axiom,
    ( esk2839_2(X1,X2)
    | esk2840_2(X1,X2) )).

cnf(i_0_11557,axiom,
    ( ~ esk4801_2(X1,X2)
    | esk4783_2(X1,X2) )).

cnf(i_0_11558,axiom,
    ( ~ esk4640_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk4641_2(X1,X2) )).

cnf(i_0_11559,axiom,
    ( ~ esk2743_2(X1,X2)
    | ~ esk2744_2(X1,X2) )).

cnf(i_0_11560,axiom,
    ( ~ esk288_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_11561,axiom,
    ( ~ esk4273_2(X1,X2)
    | esk26_2(X1,X2) )).

cnf(i_0_11562,axiom,
    ( esk3233_2(X1,X2)
    | esk3232_2(X1,X2) )).

cnf(i_0_11563,axiom,
    ( ~ esk125_2(X1,X2)
    | esk654_2(X1,X2)
    | ~ esk129_2(X1,X2) )).

cnf(i_0_11564,axiom,
    ( esk513_2(X1,X2)
    | esk512_2(X1,X2)
    | esk514_2(X1,X2) )).

cnf(i_0_11565,axiom,
    ( ~ esk958_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_11566,axiom,
    ( esk147_2(X1,X2)
    | ~ esk703_2(X1,X2) )).

cnf(i_0_11567,axiom,
    ( esk140_2(X1,X2)
    | ~ esk446_2(X1,X2) )).

cnf(i_0_11568,axiom,
    ( esk4434_2(X1,X2)
    | esk4435_2(X1,X2)
    | esk4433_2(X1,X2)
    | esk4436_2(X1,X2) )).

cnf(i_0_11569,axiom,
    ( ~ esk1730_2(X1,X2)
    | esk1729_2(X1,X2) )).

cnf(i_0_11570,axiom,
    ( ~ esk1043_2(X1,X2)
    | ~ esk1054_2(X1,X2) )).

cnf(i_0_11571,axiom,
    ( esk1177_2(X1,X2)
    | esk1178_2(X1,X2) )).

cnf(i_0_11572,axiom,
    ( esk4859_2(X1,X2)
    | esk4860_2(X1,X2) )).

cnf(i_0_11573,axiom,
    ( esk1669_2(X1,X2)
    | ~ esk72_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_11574,axiom,
    ( esk4683_2(X1,X2)
    | ~ esk4688_2(X1,X2) )).

cnf(i_0_11575,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4495_2(X1,X2) )).

cnf(i_0_11576,axiom,
    ( esk4918_2(X1,X2)
    | esk4919_2(X1,X2) )).

cnf(i_0_11577,axiom,
    ( esk3510_2(X1,X2)
    | esk3511_2(X1,X2) )).

cnf(i_0_11578,axiom,
    ( esk816_2(X1,X2)
    | ~ esk812_2(X1,X2)
    | ~ esk815_2(X1,X2) )).

cnf(i_0_11579,axiom,
    ( ~ esk3786_2(X1,X2)
    | esk4402_2(X1,X2)
    | ~ esk2955_2(X1,X2)
    | ~ esk3785_2(X1,X2) )).

cnf(i_0_11580,axiom,
    ( ~ esk5155_2(X1,X2)
    | ~ esk5159_2(X1,X2) )).

cnf(i_0_11581,axiom,
    ( ~ esk4548_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_11582,axiom,
    ( ~ esk4452_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_11583,axiom,
    ( ~ esk2212_2(X1,X2)
    | ~ esk2211_2(X1,X2) )).

cnf(i_0_11584,axiom,
    ( ~ esk5339_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_11585,axiom,
    ( esk141_2(X1,X2)
    | ~ esk5061_2(X1,X2) )).

cnf(i_0_11586,axiom,
    ( esk507_2(X1,X2)
    | esk503_2(X1,X2) )).

cnf(i_0_11587,axiom,
    ( ~ esk5130_2(X1,X2)
    | esk5090_2(X1,X2) )).

cnf(i_0_11588,axiom,
    ( esk902_2(X1,X2)
    | esk901_2(X1,X2) )).

cnf(i_0_11589,axiom,
    ( ~ esk2472_2(X1,X2)
    | esk2438_2(X1,X2) )).

cnf(i_0_11590,axiom,
    ( ~ esk2371_2(X1,X2)
    | ~ esk2374_2(X1,X2) )).

cnf(i_0_11591,axiom,
    ( ~ esk3712_2(X1,X2)
    | ~ esk3711_2(X1,X2) )).

cnf(i_0_11592,axiom,
    ( ~ esk2456_2(X1,X2)
    | esk2462_2(X1,X2)
    | ~ esk2461_2(X1,X2) )).

cnf(i_0_11593,axiom,
    ( esk3372_2(X1,X2)
    | ~ esk4789_2(X1,X2) )).

cnf(i_0_11594,axiom,
    ( ~ esk3279_2(X1,X2)
    | ~ esk3278_2(X1,X2) )).

cnf(i_0_11595,axiom,
    ( esk1304_2(X1,X2)
    | ~ esk1305_2(X1,X2) )).

cnf(i_0_11596,axiom,
    ( ~ esk1346_2(X1,X2)
    | ~ esk5551_2(X1,X2)
    | ~ esk3999_2(X1,X2) )).

cnf(i_0_11597,axiom,
    ( ~ esk4458_2(X1,X2)
    | esk4278_2(X1,X2) )).

cnf(i_0_11598,axiom,
    ( esk1887_2(X1,X2)
    | ~ esk1681_2(X1,X2)
    | ~ esk1753_2(X1,X2)
    | ~ esk1680_2(X1,X2) )).

cnf(i_0_11599,axiom,
    ( ~ esk1508_2(X1,X2)
    | ~ esk1507_2(X1,X2) )).

cnf(i_0_11600,axiom,
    ( ~ esk2637_2(X1,X2)
    | esk2636_2(X1,X2) )).

cnf(i_0_11601,axiom,
    ( esk4144_2(X1,X2)
    | ~ esk4145_2(X1,X2) )).

cnf(i_0_11602,axiom,
    ( esk153_2(X1,X2)
    | esk187_2(X1,X2) )).

cnf(i_0_11603,axiom,
    ( ~ esk5305_2(X1,X2)
    | esk3185_2(X1,X2) )).

cnf(i_0_11604,axiom,
    ( esk2986_2(X1,X2)
    | esk2987_2(X1,X2) )).

cnf(i_0_11605,axiom,
    ( ~ esk5062_2(X1,X2)
    | ~ esk5059_2(X1,X2) )).

cnf(i_0_11606,axiom,
    ( ~ esk411_2(X1,X2)
    | ~ esk410_2(X1,X2) )).

cnf(i_0_11607,axiom,
    ( ~ esk737_2(X1,X2)
    | ~ esk736_2(X1,X2) )).

cnf(i_0_11608,axiom,
    ( ~ esk890_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_11609,axiom,
    ( ~ esk4604_2(X1,X2)
    | ~ esk4598_2(X1,X2)
    | esk4605_2(X1,X2) )).

cnf(i_0_11610,axiom,
    ( esk1373_2(X1,X2)
    | esk1372_2(X1,X2) )).

cnf(i_0_11611,axiom,
    ( esk4263_2(X1,X2)
    | esk4259_2(X1,X2)
    | esk4261_2(X1,X2)
    | esk4260_2(X1,X2)
    | esk4262_2(X1,X2) )).

cnf(i_0_11612,axiom,
    ( ~ esk2049_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_11613,axiom,
    ( ~ esk1174_2(X1,X2)
    | ~ esk1176_2(X1,X2) )).

cnf(i_0_11614,axiom,
    ( esk2423_2(X1,X2)
    | esk2422_2(X1,X2) )).

cnf(i_0_11615,axiom,
    ( esk4648_2(X1,X2)
    | esk4632_2(X1,X2) )).

cnf(i_0_11616,axiom,
    ( ~ esk2462_2(X1,X2)
    | esk2467_2(X1,X2)
    | ~ esk2466_2(X1,X2) )).

cnf(i_0_11617,axiom,
    ( ~ esk4861_2(X1,X2)
    | ~ esk4857_2(X1,X2) )).

cnf(i_0_11618,axiom,
    ( esk2137_2(X1,X2)
    | esk2134_2(X1,X2)
    | esk2135_2(X1,X2)
    | esk2136_2(X1,X2)
    | esk1025_2(X1,X2) )).

cnf(i_0_11619,axiom,
    ( esk780_2(X1,X2)
    | esk779_2(X1,X2) )).

cnf(i_0_11620,axiom,
    ( ~ esk494_2(X1,X2)
    | ~ esk497_2(X1,X2)
    | esk498_2(X1,X2) )).

cnf(i_0_11621,axiom,
    ( ~ esk1210_2(X1,X2)
    | ~ esk1209_2(X1,X2) )).

cnf(i_0_11622,axiom,
    ( ~ esk4220_2(X1,X2)
    | ~ esk4221_2(X1,X2) )).

cnf(i_0_11623,axiom,
    ( esk3872_2(X1,X2)
    | ~ esk4254_2(X1,X2) )).

cnf(i_0_11624,axiom,
    ( ~ esk5470_2(X1,X2)
    | ~ esk5471_2(X1,X2) )).

cnf(i_0_11625,axiom,
    ( ~ esk4188_2(X1,X2)
    | ~ esk4200_2(X1,X2) )).

cnf(i_0_11626,axiom,
    ( ~ esk1660_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_11627,axiom,
    ( esk1045_2(X1,X2)
    | esk1046_2(X1,X2) )).

cnf(i_0_11628,axiom,
    ( esk733_2(X1,X2)
    | ~ esk729_2(X1,X2)
    | ~ esk732_2(X1,X2) )).

cnf(i_0_11629,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1855_2(X1,X2) )).

cnf(i_0_11630,axiom,
    ( ~ esk4485_2(X1,X2)
    | ~ esk4483_2(X1,X2) )).

cnf(i_0_11631,axiom,
    ( esk3142_2(X1,X2)
    | ~ esk3143_2(X1,X2) )).

cnf(i_0_11632,axiom,
    ( esk2165_2(X1,X2)
    | ~ esk2169_2(X1,X2) )).

cnf(i_0_11633,axiom,
    ( ~ esk3676_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_11634,axiom,
    ( esk3141_2(X1,X2)
    | ~ esk90_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_11635,axiom,
    ( esk5208_2(X1,X2)
    | ~ esk5203_2(X1,X2)
    | ~ esk5207_2(X1,X2) )).

cnf(i_0_11636,axiom,
    ( esk768_2(X1,X2)
    | esk1447_2(X1,X2) )).

cnf(i_0_11637,axiom,
    ( ~ esk184_2(X1,X2)
    | esk5499_2(X1,X2)
    | esk2846_2(X1,X2) )).

cnf(i_0_11638,axiom,
    ( ~ esk3967_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_11639,axiom,
    ( esk140_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_11640,axiom,
    ( ~ esk1108_2(X1,X2)
    | ~ esk1110_2(X1,X2) )).

cnf(i_0_11641,axiom,
    ( esk4029_2(X1,X2)
    | esk4028_2(X1,X2) )).

cnf(i_0_11642,axiom,
    ( esk5052_2(X1,X2)
    | esk137_2(X1,X2)
    | esk5055_2(X1,X2)
    | esk5054_2(X1,X2) )).

cnf(i_0_11643,axiom,
    ( ~ esk3417_2(X1,X2)
    | ~ esk3420_2(X1,X2)
    | esk3421_2(X1,X2) )).

cnf(i_0_11644,axiom,
    ( ~ esk3481_2(X1,X2)
    | esk3480_2(X1,X2) )).

cnf(i_0_11645,axiom,
    ( ~ esk942_2(X1,X2)
    | esk941_2(X1,X2) )).

cnf(i_0_11646,axiom,
    ( ~ esk5555_2(X1,X2)
    | ~ esk1588_2(X1,X2)
    | ~ esk4241_2(X1,X2) )).

cnf(i_0_11647,axiom,
    ( esk4127_2(X1,X2)
    | ~ esk4126_2(X1,X2)
    | ~ esk3414_2(X1,X2) )).

cnf(i_0_11648,axiom,
    ( esk2791_2(X1,X2)
    | esk2792_2(X1,X2) )).

cnf(i_0_11649,axiom,
    ( esk554_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_11650,axiom,
    ( ~ esk295_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_11651,axiom,
    ( esk5446_2(X1,X2)
    | ~ esk5472_2(X1,X2) )).

cnf(i_0_11652,axiom,
    ( ~ esk4162_2(X1,X2)
    | ~ esk4163_2(X1,X2) )).

cnf(i_0_11653,axiom,
    ( esk3161_2(X1,X2)
    | ~ esk5367_2(X1,X2) )).

cnf(i_0_11654,axiom,
    ( ~ esk2304_2(X1,X2)
    | ~ esk2303_2(X1,X2) )).

cnf(i_0_11655,axiom,
    ( ~ esk238_2(X1,X2)
    | ~ esk239_2(X1,X2)
    | esk243_2(X1,X2) )).

cnf(i_0_11656,axiom,
    ( esk3415_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_11657,axiom,
    ( esk97_2(X1,X2)
    | ~ esk489_2(X1,X2) )).

cnf(i_0_11658,axiom,
    ( ~ esk1610_2(X1,X2)
    | ~ esk1608_2(X1,X2) )).

cnf(i_0_11659,axiom,
    ( ~ esk4378_2(X1,X2)
    | esk4377_2(X1,X2) )).

cnf(i_0_11660,axiom,
    ( esk165_2(X1,X2)
    | ~ esk258_2(X1,X2) )).

cnf(i_0_11661,axiom,
    ( ~ esk4559_2(X1,X2)
    | esk4560_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_11662,axiom,
    ( ~ esk2771_2(X1,X2)
    | esk159_2(X1,X2) )).

cnf(i_0_11663,axiom,
    ( ~ esk3997_2(X1,X2)
    | ~ esk3994_2(X1,X2)
    | esk3998_2(X1,X2) )).

cnf(i_0_11664,axiom,
    ( esk192_2(X1,X2)
    | esk155_2(X1,X2) )).

cnf(i_0_11665,axiom,
    ( ~ esk5064_2(X1,X2)
    | ~ esk5063_2(X1,X2) )).

cnf(i_0_11666,axiom,
    ( ~ esk5239_2(X1,X2)
    | esk5238_2(X1,X2) )).

cnf(i_0_11667,axiom,
    ( ~ esk1252_2(X1,X2)
    | ~ esk1421_2(X1,X2) )).

cnf(i_0_11668,axiom,
    ( ~ esk1041_2(X1,X2)
    | esk1169_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | ~ esk61_2(X1,X2) )).

cnf(i_0_11669,axiom,
    ( ~ esk4195_2(X1,X2)
    | ~ esk4192_2(X1,X2)
    | esk4196_2(X1,X2) )).

cnf(i_0_11670,axiom,
    ( ~ esk3584_2(X1,X2)
    | ~ esk3587_2(X1,X2) )).

cnf(i_0_11671,axiom,
    ( ~ esk2450_2(X1,X2)
    | ~ esk2463_2(X1,X2)
    | esk2464_2(X1,X2) )).

cnf(i_0_11672,axiom,
    ( ~ esk4913_2(X1,X2)
    | esk3360_2(X1,X2) )).

cnf(i_0_11673,axiom,
    ( esk4975_2(X1,X2)
    | ~ esk4979_2(X1,X2) )).

cnf(i_0_11674,axiom,
    ( ~ esk2312_2(X1,X2)
    | esk2123_2(X1,X2) )).

cnf(i_0_11675,axiom,
    ( ~ esk1090_2(X1,X2)
    | ~ esk1092_2(X1,X2) )).

cnf(i_0_11676,axiom,
    ( ~ esk3821_2(X1,X2)
    | esk3695_2(X1,X2) )).

cnf(i_0_11677,axiom,
    ( ~ esk2539_2(X1,X2)
    | ~ esk2540_2(X1,X2) )).

cnf(i_0_11678,axiom,
    ( ~ esk2432_2(X1,X2)
    | ~ esk2431_2(X1,X2) )).

cnf(i_0_11679,axiom,
    ( ~ esk3269_2(X1,X2)
    | ~ esk3270_2(X1,X2) )).

cnf(i_0_11680,axiom,
    ( ~ esk4577_2(X1,X2)
    | ~ esk4578_2(X1,X2) )).

cnf(i_0_11681,axiom,
    ( ~ esk246_2(X1,X2)
    | esk247_2(X1,X2)
    | ~ esk68_2(X1,X2) )).

cnf(i_0_11682,axiom,
    ( esk1809_2(X1,X2)
    | esk5584_2(X1,X2)
    | ~ esk4462_2(X1,X2) )).

cnf(i_0_11683,axiom,
    ( ~ esk2330_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_11684,axiom,
    ( esk92_2(X1,X2)
    | ~ esk406_2(X1,X2) )).

cnf(i_0_11685,axiom,
    ( esk2040_2(X1,X2)
    | esk1966_2(X1,X2) )).

cnf(i_0_11686,axiom,
    ( esk4794_2(X1,X2)
    | esk4793_2(X1,X2) )).

cnf(i_0_11687,axiom,
    ( ~ esk1882_2(X1,X2)
    | ~ esk1884_2(X1,X2) )).

cnf(i_0_11688,axiom,
    ( ~ esk1157_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_11689,axiom,
    ( esk1611_2(X1,X2)
    | esk1610_2(X1,X2) )).

cnf(i_0_11690,axiom,
    ( esk1450_2(X1,X2)
    | ~ esk1446_2(X1,X2)
    | ~ esk1449_2(X1,X2) )).

cnf(i_0_11691,axiom,
    ( esk5241_2(X1,X2)
    | esk5236_2(X1,X2) )).

cnf(i_0_11692,axiom,
    ( esk3691_2(X1,X2)
    | esk3692_2(X1,X2) )).

cnf(i_0_11693,axiom,
    ( ~ esk4299_2(X1,X2)
    | ~ esk4301_2(X1,X2) )).

cnf(i_0_11694,axiom,
    ( ~ esk4235_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_11695,axiom,
    ( ~ esk770_2(X1,X2)
    | esk769_2(X1,X2) )).

cnf(i_0_11696,axiom,
    ( ~ esk3077_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_11697,axiom,
    ( esk4394_2(X1,X2)
    | ~ esk4526_2(X1,X2) )).

cnf(i_0_11698,axiom,
    ( esk3342_2(X1,X2)
    | esk3376_2(X1,X2) )).

cnf(i_0_11699,axiom,
    ( esk3225_2(X1,X2)
    | esk3224_2(X1,X2)
    | esk3226_2(X1,X2) )).

cnf(i_0_11700,axiom,
    ( ~ esk1865_2(X1,X2)
    | esk1864_2(X1,X2) )).

cnf(i_0_11701,axiom,
    ( ~ esk3440_2(X1,X2)
    | ~ esk3239_2(X1,X2) )).

cnf(i_0_11702,axiom,
    ( ~ esk2495_2(X1,X2)
    | ~ esk2493_2(X1,X2) )).

cnf(i_0_11703,axiom,
    ( ~ esk4225_2(X1,X2)
    | esk4224_2(X1,X2) )).

cnf(i_0_11704,axiom,
    ( ~ esk1645_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_11705,axiom,
    ( ~ esk4_2(X1,X2)
    | ~ esk3733_2(X1,X2)
    | esk3734_2(X1,X2) )).

cnf(i_0_11706,axiom,
    ( ~ esk1902_2(X1,X2)
    | ~ esk1905_2(X1,X2) )).

cnf(i_0_11707,axiom,
    ( esk5439_2(X1,X2)
    | esk5438_2(X1,X2) )).

cnf(i_0_11708,axiom,
    ( ~ esk859_2(X1,X2)
    | ~ esk858_2(X1,X2) )).

cnf(i_0_11709,axiom,
    ( ~ esk3517_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_11710,axiom,
    ( ~ esk2120_2(X1,X2)
    | esk2116_2(X1,X2) )).

cnf(i_0_11711,axiom,
    ( ~ esk813_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_11712,axiom,
    ( ~ esk4852_2(X1,X2)
    | esk3671_2(X1,X2) )).

cnf(i_0_11713,axiom,
    ( esk698_2(X1,X2)
    | ~ esk2260_2(X1,X2) )).

cnf(i_0_11714,axiom,
    ( ~ esk2623_2(X1,X2)
    | esk2619_2(X1,X2) )).

cnf(i_0_11715,axiom,
    ( esk4584_2(X1,X2)
    | ~ esk4589_2(X1,X2) )).

cnf(i_0_11716,axiom,
    ( ~ esk5055_2(X1,X2)
    | ~ esk5056_2(X1,X2) )).

cnf(i_0_11717,axiom,
    ( ~ esk4668_2(X1,X2)
    | ~ esk4667_2(X1,X2) )).

cnf(i_0_11718,axiom,
    ( ~ esk3091_2(X1,X2)
    | ~ esk3088_2(X1,X2) )).

cnf(i_0_11719,axiom,
    ( ~ esk1859_2(X1,X2)
    | ~ esk1863_2(X1,X2) )).

cnf(i_0_11720,axiom,
    ( ~ esk1719_2(X1,X2)
    | esk63_2(X1,X2) )).

cnf(i_0_11721,axiom,
    ( esk5224_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | ~ esk3616_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_11722,axiom,
    ( ~ esk493_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_11723,axiom,
    ( ~ esk678_2(X1,X2)
    | esk131_2(X1,X2) )).

cnf(i_0_11724,axiom,
    ( esk473_2(X1,X2)
    | esk476_2(X1,X2)
    | esk475_2(X1,X2) )).

cnf(i_0_11725,axiom,
    ( esk4201_2(X1,X2)
    | esk4200_2(X1,X2) )).

cnf(i_0_11726,axiom,
    ( ~ esk4453_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_11727,axiom,
    ( esk5074_2(X1,X2)
    | esk5075_2(X1,X2) )).

cnf(i_0_11728,axiom,
    ( ~ esk5435_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_11729,axiom,
    ( ~ esk4522_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_11730,axiom,
    ( ~ esk4335_2(X1,X2)
    | ~ esk4339_2(X1,X2) )).

cnf(i_0_11731,axiom,
    ( esk4545_2(X1,X2)
    | esk4544_2(X1,X2) )).

cnf(i_0_11732,axiom,
    ( esk1523_2(X1,X2)
    | ~ esk1104_2(X1,X2)
    | ~ esk1522_2(X1,X2) )).

cnf(i_0_11733,axiom,
    ( esk123_2(X1,X2)
    | ~ esk4665_2(X1,X2) )).

cnf(i_0_11734,axiom,
    ( ~ esk143_2(X1,X2)
    | ~ esk590_2(X1,X2) )).

cnf(i_0_11735,axiom,
    ( esk2413_2(X1,X2)
    | ~ esk2414_2(X1,X2) )).

cnf(i_0_11736,axiom,
    ( ~ esk3026_2(X1,X2)
    | ~ esk3025_2(X1,X2) )).

cnf(i_0_11737,axiom,
    ( ~ esk3761_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_11738,axiom,
    ( esk131_2(X1,X2)
    | esk2851_2(X1,X2) )).

cnf(i_0_11739,axiom,
    ( ~ esk179_2(X1,X2)
    | esk1745_2(X1,X2)
    | ~ esk54_2(X1,X2)
    | ~ esk1132_2(X1,X2) )).

cnf(i_0_11740,axiom,
    ( esk3015_2(X1,X2)
    | ~ esk3014_2(X1,X2)
    | ~ esk2981_2(X1,X2) )).

cnf(i_0_11741,axiom,
    ( esk2281_2(X1,X2)
    | ~ esk2280_2(X1,X2)
    | ~ esk698_2(X1,X2) )).

cnf(i_0_11742,axiom,
    ( ~ esk2528_2(X1,X2)
    | ~ esk2529_2(X1,X2) )).

cnf(i_0_11743,axiom,
    ( esk3694_2(X1,X2)
    | ~ esk4699_2(X1,X2) )).

cnf(i_0_11744,axiom,
    ( ~ esk73_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | esk4351_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_11745,axiom,
    ( ~ esk2759_2(X1,X2)
    | esk523_2(X1,X2) )).

cnf(i_0_11746,axiom,
    ( esk4971_2(X1,X2)
    | esk4970_2(X1,X2)
    | esk4965_2(X1,X2)
    | esk4968_2(X1,X2)
    | esk4907_2(X1,X2) )).

cnf(i_0_11747,axiom,
    ( ~ esk954_2(X1,X2)
    | esk2655_2(X1,X2)
    | ~ esk511_2(X1,X2) )).

cnf(i_0_11748,axiom,
    ( esk4307_2(X1,X2)
    | ~ esk88_2(X1,X2)
    | ~ esk4303_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_11749,axiom,
    ( ~ esk4082_2(X1,X2)
    | esk4083_2(X1,X2)
    | ~ esk4079_2(X1,X2) )).

cnf(i_0_11750,axiom,
    ( esk708_2(X1,X2)
    | ~ esk2297_2(X1,X2) )).

cnf(i_0_11751,axiom,
    ( ~ esk5324_2(X1,X2)
    | ~ esk5325_2(X1,X2) )).

cnf(i_0_11752,axiom,
    ( esk3621_2(X1,X2)
    | esk5360_2(X1,X2) )).

cnf(i_0_11753,axiom,
    ( ~ esk3763_2(X1,X2)
    | ~ esk3762_2(X1,X2) )).

cnf(i_0_11754,axiom,
    ( ~ esk4064_2(X1,X2)
    | ~ esk4023_2(X1,X2)
    | esk4065_2(X1,X2) )).

cnf(i_0_11755,axiom,
    ( esk4095_2(X1,X2)
    | ~ esk4080_2(X1,X2)
    | ~ esk4094_2(X1,X2) )).

cnf(i_0_11756,axiom,
    ( esk5465_2(X1,X2)
    | esk2812_2(X1,X2)
    | ~ esk5602_2(X1,X2) )).

cnf(i_0_11757,axiom,
    ( ~ esk1877_2(X1,X2)
    | ~ esk1873_2(X1,X2) )).

cnf(i_0_11758,axiom,
    ( ~ esk3910_2(X1,X2)
    | ~ esk3909_2(X1,X2) )).

cnf(i_0_11759,axiom,
    ( esk1480_2(X1,X2)
    | ~ esk1481_2(X1,X2) )).

cnf(i_0_11760,axiom,
    ( esk3332_2(X1,X2)
    | ~ esk3331_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_11761,axiom,
    ( ~ esk507_2(X1,X2)
    | esk508_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_11762,axiom,
    ( ~ esk3850_2(X1,X2)
    | ~ esk3849_2(X1,X2) )).

cnf(i_0_11763,axiom,
    ( ~ esk4567_2(X1,X2)
    | ~ esk4570_2(X1,X2) )).

cnf(i_0_11764,axiom,
    ( esk2444_2(X1,X2)
    | esk2443_2(X1,X2) )).

cnf(i_0_11765,axiom,
    ( esk3974_2(X1,X2)
    | esk3975_2(X1,X2) )).

cnf(i_0_11766,axiom,
    ( ~ esk3510_2(X1,X2)
    | ~ esk3511_2(X1,X2) )).

cnf(i_0_11767,axiom,
    ( ~ esk1271_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_11768,axiom,
    ( ~ esk964_2(X1,X2)
    | esk597_2(X1,X2) )).

cnf(i_0_11769,axiom,
    ( esk973_2(X1,X2)
    | ~ esk974_2(X1,X2) )).

cnf(i_0_11770,axiom,
    ( esk5582_2(X1,X2)
    | ~ esk4450_2(X1,X2)
    | esk1797_2(X1,X2) )).

cnf(i_0_11771,axiom,
    ( esk4277_2(X1,X2)
    | ~ esk4459_2(X1,X2) )).

cnf(i_0_11772,axiom,
    ( ~ esk1874_2(X1,X2)
    | esk1651_2(X1,X2) )).

cnf(i_0_11773,axiom,
    ( esk5126_2(X1,X2)
    | ~ esk5127_2(X1,X2) )).

cnf(i_0_11774,axiom,
    ( ~ esk155_2(X1,X2)
    | ~ esk138_2(X1,X2)
    | esk1761_2(X1,X2)
    | ~ esk156_2(X1,X2)
    | ~ esk157_2(X1,X2) )).

cnf(i_0_11775,axiom,
    ( esk1687_2(X1,X2)
    | ~ esk1688_2(X1,X2) )).

cnf(i_0_11776,axiom,
    ( esk2542_2(X1,X2)
    | esk2541_2(X1,X2) )).

cnf(i_0_11777,axiom,
    ( ~ esk5594_2(X1,X2)
    | esk4525_2(X1,X2)
    | esk1872_2(X1,X2) )).

cnf(i_0_11778,axiom,
    ( ~ esk382_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_11779,axiom,
    ( esk2105_2(X1,X2)
    | esk2106_2(X1,X2) )).

cnf(i_0_11780,axiom,
    ( esk5312_2(X1,X2)
    | esk3607_2(X1,X2) )).

cnf(i_0_11781,axiom,
    ( ~ esk5137_2(X1,X2)
    | esk5141_2(X1,X2)
    | ~ esk5140_2(X1,X2) )).

cnf(i_0_11782,axiom,
    ( ~ esk5061_2(X1,X2)
    | ~ esk5062_2(X1,X2) )).

cnf(i_0_11783,axiom,
    ( ~ esk4056_2(X1,X2)
    | esk4040_2(X1,X2) )).

cnf(i_0_11784,axiom,
    ( ~ esk2654_2(X1,X2)
    | esk2668_2(X1,X2)
    | ~ esk2667_2(X1,X2) )).

cnf(i_0_11785,axiom,
    ( ~ esk1086_2(X1,X2)
    | esk1074_2(X1,X2) )).

cnf(i_0_11786,axiom,
    ( ~ esk750_2(X1,X2)
    | ~ esk749_2(X1,X2) )).

cnf(i_0_11787,axiom,
    ( esk2765_2(X1,X2)
    | esk2764_2(X1,X2) )).

cnf(i_0_11788,axiom,
    ( ~ esk598_2(X1,X2)
    | esk549_2(X1,X2) )).

cnf(i_0_11789,axiom,
    ( esk145_2(X1,X2)
    | esk516_2(X1,X2) )).

cnf(i_0_11790,axiom,
    ( esk3388_2(X1,X2)
    | ~ esk4833_2(X1,X2) )).

cnf(i_0_11791,axiom,
    ( ~ esk1714_2(X1,X2)
    | esk306_2(X1,X2) )).

cnf(i_0_11792,axiom,
    ( esk1758_2(X1,X2)
    | esk1759_2(X1,X2) )).

cnf(i_0_11793,axiom,
    ( ~ esk2770_2(X1,X2)
    | ~ esk2768_2(X1,X2) )).

cnf(i_0_11794,axiom,
    ( esk2442_2(X1,X2)
    | esk2441_2(X1,X2)
    | esk2439_2(X1,X2) )).

cnf(i_0_11795,axiom,
    ( ~ esk4349_2(X1,X2)
    | esk3842_2(X1,X2) )).

cnf(i_0_11796,axiom,
    ( esk703_2(X1,X2)
    | esk704_2(X1,X2) )).

cnf(i_0_11797,axiom,
    ( ~ esk4752_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_11798,axiom,
    ( esk3574_2(X1,X2)
    | ~ esk3584_2(X1,X2) )).

cnf(i_0_11799,axiom,
    ( ~ esk3606_2(X1,X2)
    | ~ esk3609_2(X1,X2) )).

cnf(i_0_11800,axiom,
    ( ~ esk1284_2(X1,X2)
    | ~ esk1285_2(X1,X2) )).

cnf(i_0_11801,axiom,
    ( esk3374_2(X1,X2)
    | esk3375_2(X1,X2) )).

cnf(i_0_11802,axiom,
    ( ~ esk5362_2(X1,X2)
    | esk3605_2(X1,X2) )).

cnf(i_0_11803,axiom,
    ( esk4537_2(X1,X2)
    | esk4538_2(X1,X2) )).

cnf(i_0_11804,axiom,
    ( ~ esk1880_2(X1,X2)
    | esk1681_2(X1,X2) )).

cnf(i_0_11805,axiom,
    ( ~ esk3894_2(X1,X2)
    | ~ esk3896_2(X1,X2) )).

cnf(i_0_11806,axiom,
    ( esk1076_2(X1,X2)
    | ~ esk1074_2(X1,X2)
    | ~ esk431_2(X1,X2)
    | ~ esk1075_2(X1,X2) )).

cnf(i_0_11807,axiom,
    ( ~ esk4018_2(X1,X2)
    | ~ esk4017_2(X1,X2) )).

cnf(i_0_11808,axiom,
    ( ~ esk2572_2(X1,X2)
    | esk965_2(X1,X2) )).

cnf(i_0_11809,axiom,
    ( esk575_2(X1,X2)
    | ~ esk106_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_11810,axiom,
    ( ~ esk3369_2(X1,X2)
    | esk4908_2(X1,X2)
    | ~ esk3669_2(X1,X2) )).

cnf(i_0_11811,axiom,
    ( ~ esk5438_2(X1,X2)
    | ~ esk5144_2(X1,X2) )).

cnf(i_0_11812,axiom,
    ( ~ esk3525_2(X1,X2)
    | esk3524_2(X1,X2) )).

cnf(i_0_11813,axiom,
    ( ~ esk5020_2(X1,X2)
    | ~ esk5021_2(X1,X2) )).

cnf(i_0_11814,axiom,
    ( ~ esk98_2(X1,X2)
    | ~ esk3578_2(X1,X2)
    | esk3579_2(X1,X2) )).

cnf(i_0_11815,axiom,
    ( esk969_2(X1,X2)
    | esk970_2(X1,X2)
    | esk957_2(X1,X2) )).

cnf(i_0_11816,axiom,
    ( ~ esk1265_2(X1,X2)
    | ~ esk817_2(X1,X2) )).

cnf(i_0_11817,axiom,
    ( esk2576_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | ~ esk561_2(X1,X2) )).

cnf(i_0_11818,axiom,
    ( ~ esk5474_2(X1,X2)
    | ~ esk5472_2(X1,X2) )).

cnf(i_0_11819,axiom,
    ( esk4182_2(X1,X2)
    | ~ esk4186_2(X1,X2) )).

cnf(i_0_11820,axiom,
    ( esk688_2(X1,X2)
    | ~ esk1137_2(X1,X2) )).

cnf(i_0_11821,axiom,
    ( ~ esk5099_2(X1,X2)
    | esk5100_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_11822,axiom,
    ( ~ esk1898_2(X1,X2)
    | ~ esk1896_2(X1,X2) )).

cnf(i_0_11823,axiom,
    ( ~ esk5089_2(X1,X2)
    | ~ esk5090_2(X1,X2) )).

cnf(i_0_11824,axiom,
    ( esk1738_2(X1,X2)
    | ~ esk1133_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | ~ esk1122_2(X1,X2) )).

cnf(i_0_11825,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1647_2(X1,X2) )).

cnf(i_0_11826,axiom,
    ( ~ esk4606_2(X1,X2)
    | ~ esk4605_2(X1,X2) )).

cnf(i_0_11827,axiom,
    ( ~ esk2720_2(X1,X2)
    | esk2724_2(X1,X2)
    | ~ esk2723_2(X1,X2) )).

cnf(i_0_11828,axiom,
    ( ~ esk4482_2(X1,X2)
    | ~ esk4485_2(X1,X2) )).

cnf(i_0_11829,axiom,
    ( ~ esk4315_2(X1,X2)
    | esk74_2(X1,X2) )).

cnf(i_0_11830,axiom,
    ( ~ esk234_2(X1,X2)
    | ~ esk233_2(X1,X2) )).

cnf(i_0_11831,axiom,
    ( ~ esk2107_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_11832,axiom,
    ( ~ esk3097_2(X1,X2)
    | esk3096_2(X1,X2) )).

cnf(i_0_11833,axiom,
    ( esk4729_2(X1,X2)
    | esk4728_2(X1,X2) )).

cnf(i_0_11834,axiom,
    ( ~ esk1881_2(X1,X2)
    | ~ esk1884_2(X1,X2) )).

cnf(i_0_11835,axiom,
    ( ~ esk1204_2(X1,X2)
    | esk817_2(X1,X2) )).

cnf(i_0_11836,axiom,
    ( ~ esk5494_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_11837,axiom,
    ( ~ esk1737_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_11838,axiom,
    ( esk667_2(X1,X2)
    | esk668_2(X1,X2) )).

cnf(i_0_11839,axiom,
    ( esk2536_2(X1,X2)
    | esk2537_2(X1,X2) )).

cnf(i_0_11840,axiom,
    ( ~ esk4925_2(X1,X2)
    | esk4926_2(X1,X2)
    | ~ esk4912_2(X1,X2) )).

cnf(i_0_11841,axiom,
    ( ~ esk177_2(X1,X2)
    | ~ esk4278_2(X1,X2) )).

cnf(i_0_11842,axiom,
    ( esk5352_2(X1,X2)
    | ~ esk5353_2(X1,X2) )).

cnf(i_0_11843,axiom,
    ( ~ esk2950_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_11844,axiom,
    ( esk659_2(X1,X2)
    | ~ esk663_2(X1,X2) )).

cnf(i_0_11845,axiom,
    ( ~ esk5351_2(X1,X2)
    | ~ esk5350_2(X1,X2) )).

cnf(i_0_11846,axiom,
    ( ~ esk202_2(X1,X2)
    | ~ esk5512_2(X1,X2)
    | ~ esk2864_2(X1,X2) )).

cnf(i_0_11847,axiom,
    ( ~ esk129_2(X1,X2)
    | esk3316_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_11848,axiom,
    ( ~ esk1465_2(X1,X2)
    | ~ esk1466_2(X1,X2) )).

cnf(i_0_11849,axiom,
    ( esk1854_2(X1,X2)
    | ~ esk89_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_11850,axiom,
    ( ~ esk860_2(X1,X2)
    | ~ esk859_2(X1,X2) )).

cnf(i_0_11851,axiom,
    ( esk5280_2(X1,X2)
    | ~ esk5284_2(X1,X2) )).

cnf(i_0_11852,axiom,
    ( ~ esk4032_2(X1,X2)
    | ~ esk3165_2(X1,X2)
    | esk4033_2(X1,X2) )).

cnf(i_0_11853,axiom,
    ( ~ esk1883_2(X1,X2)
    | esk79_2(X1,X2) )).

cnf(i_0_11854,axiom,
    ( esk1399_2(X1,X2)
    | ~ esk1407_2(X1,X2) )).

cnf(i_0_11855,axiom,
    ( ~ esk4310_2(X1,X2)
    | ~ esk4309_2(X1,X2) )).

cnf(i_0_11856,axiom,
    ( ~ esk3871_2(X1,X2)
    | ~ esk3872_2(X1,X2) )).

cnf(i_0_11857,axiom,
    ( esk3903_2(X1,X2)
    | esk3902_2(X1,X2) )).

cnf(i_0_11858,axiom,
    ( ~ esk4126_2(X1,X2)
    | ~ esk4125_2(X1,X2) )).

cnf(i_0_11859,axiom,
    ( esk539_2(X1,X2)
    | esk540_2(X1,X2)
    | esk538_2(X1,X2) )).

cnf(i_0_11860,axiom,
    ( ~ esk3758_2(X1,X2)
    | ~ esk3757_2(X1,X2) )).

cnf(i_0_11861,axiom,
    ( ~ esk611_2(X1,X2)
    | esk610_2(X1,X2) )).

cnf(i_0_11862,axiom,
    ( esk1679_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk1678_2(X1,X2) )).

cnf(i_0_11863,axiom,
    ( ~ esk520_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_11864,axiom,
    ( esk3203_2(X1,X2)
    | ~ esk3205_2(X1,X2) )).

cnf(i_0_11865,axiom,
    ( ~ esk5164_2(X1,X2)
    | esk5165_2(X1,X2)
    | ~ esk5152_2(X1,X2) )).

cnf(i_0_11866,axiom,
    ( esk1394_2(X1,X2)
    | ~ esk1398_2(X1,X2) )).

cnf(i_0_11867,axiom,
    ( ~ esk2131_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_11868,axiom,
    ( esk3686_2(X1,X2)
    | esk3674_2(X1,X2)
    | esk3685_2(X1,X2) )).

cnf(i_0_11869,axiom,
    ( ~ esk408_2(X1,X2)
    | esk311_2(X1,X2) )).

cnf(i_0_11870,axiom,
    ( esk2380_2(X1,X2)
    | ~ esk2381_2(X1,X2) )).

cnf(i_0_11871,axiom,
    ( ~ esk2146_2(X1,X2)
    | ~ esk2147_2(X1,X2) )).

cnf(i_0_11872,axiom,
    ( esk4000_2(X1,X2)
    | ~ esk4001_2(X1,X2) )).

cnf(i_0_11873,axiom,
    ( ~ esk4283_2(X1,X2)
    | ~ esk4280_2(X1,X2) )).

cnf(i_0_11874,axiom,
    ( ~ esk900_2(X1,X2)
    | ~ esk888_2(X1,X2) )).

cnf(i_0_11875,axiom,
    ( ~ esk3621_2(X1,X2)
    | ~ esk3620_2(X1,X2) )).

cnf(i_0_11876,axiom,
    ( ~ esk1665_2(X1,X2)
    | ~ esk4318_2(X1,X2)
    | ~ esk5566_2(X1,X2) )).

cnf(i_0_11877,axiom,
    ( esk3006_2(X1,X2)
    | ~ esk3020_2(X1,X2) )).

cnf(i_0_11878,axiom,
    ( esk4880_2(X1,X2)
    | ~ esk4879_2(X1,X2)
    | ~ esk4876_2(X1,X2) )).

cnf(i_0_11879,axiom,
    ( ~ esk1579_2(X1,X2)
    | esk1518_2(X1,X2) )).

cnf(i_0_11880,axiom,
    ( ~ esk4486_2(X1,X2)
    | ~ esk4485_2(X1,X2) )).

cnf(i_0_11881,axiom,
    ( esk3123_2(X1,X2)
    | esk3124_2(X1,X2)
    | esk3121_2(X1,X2) )).

cnf(i_0_11882,axiom,
    ( ~ esk2875_2(X1,X2)
    | esk2874_2(X1,X2) )).

cnf(i_0_11883,axiom,
    ( ~ esk2582_2(X1,X2)
    | ~ esk961_2(X1,X2) )).

cnf(i_0_11884,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4540_2(X1,X2) )).

cnf(i_0_11885,axiom,
    ( esk491_2(X1,X2)
    | ~ esk954_2(X1,X2) )).

cnf(i_0_11886,axiom,
    ( ~ esk4563_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_11887,axiom,
    ( ~ esk1247_2(X1,X2)
    | ~ esk1246_2(X1,X2) )).

cnf(i_0_11888,axiom,
    ( ~ esk2042_2(X1,X2)
    | esk2043_2(X1,X2)
    | ~ esk2039_2(X1,X2) )).

cnf(i_0_11889,axiom,
    ( ~ esk356_2(X1,X2)
    | esk350_2(X1,X2) )).

cnf(i_0_11890,axiom,
    ( ~ esk404_2(X1,X2)
    | ~ esk405_2(X1,X2) )).

cnf(i_0_11891,axiom,
    ( esk361_2(X1,X2)
    | ~ esk360_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_11892,axiom,
    ( esk4786_2(X1,X2)
    | esk4795_2(X1,X2) )).

cnf(i_0_11893,axiom,
    ( ~ esk4148_2(X1,X2)
    | ~ esk4149_2(X1,X2) )).

cnf(i_0_11894,axiom,
    ( ~ esk4612_2(X1,X2)
    | ~ esk4611_2(X1,X2) )).

cnf(i_0_11895,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1224_2(X1,X2) )).

cnf(i_0_11896,axiom,
    ( ~ esk4351_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_11897,axiom,
    ( esk4663_2(X1,X2)
    | esk4664_2(X1,X2) )).

cnf(i_0_11898,axiom,
    ( ~ esk3584_2(X1,X2)
    | esk3565_2(X1,X2) )).

cnf(i_0_11899,axiom,
    ( esk379_2(X1,X2)
    | ~ esk419_2(X1,X2) )).

cnf(i_0_11900,axiom,
    ( esk3196_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_11901,axiom,
    ( ~ esk1499_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_11902,axiom,
    ( ~ esk3085_2(X1,X2)
    | ~ esk3084_2(X1,X2) )).

cnf(i_0_11903,axiom,
    ( ~ esk1473_2(X1,X2)
    | esk1474_2(X1,X2)
    | ~ esk752_2(X1,X2) )).

cnf(i_0_11904,axiom,
    ( esk3510_2(X1,X2)
    | ~ esk132_2(X1,X2)
    | ~ esk3509_2(X1,X2) )).

cnf(i_0_11905,axiom,
    ( ~ esk3532_2(X1,X2)
    | ~ esk3531_2(X1,X2) )).

cnf(i_0_11906,axiom,
    ( esk2111_2(X1,X2)
    | ~ esk2112_2(X1,X2) )).

cnf(i_0_11907,axiom,
    ( ~ esk4298_2(X1,X2)
    | esk3926_2(X1,X2) )).

cnf(i_0_11908,axiom,
    ( esk1185_2(X1,X2)
    | esk1184_2(X1,X2) )).

cnf(i_0_11909,axiom,
    ( ~ esk1155_2(X1,X2)
    | esk664_2(X1,X2) )).

cnf(i_0_11910,axiom,
    ( ~ esk2610_2(X1,X2)
    | ~ esk2611_2(X1,X2) )).

cnf(i_0_11911,axiom,
    ( esk3438_2(X1,X2)
    | ~ esk3439_2(X1,X2) )).

cnf(i_0_11912,axiom,
    ( esk710_2(X1,X2)
    | ~ esk2131_2(X1,X2) )).

cnf(i_0_11913,axiom,
    ( esk3585_2(X1,X2)
    | ~ esk3589_2(X1,X2) )).

cnf(i_0_11914,axiom,
    ( esk5530_2(X1,X2)
    | ~ esk744_2(X1,X2)
    | esk3406_2(X1,X2) )).

cnf(i_0_11915,axiom,
    ( ~ esk1298_2(X1,X2)
    | esk1340_2(X1,X2)
    | ~ esk1339_2(X1,X2) )).

cnf(i_0_11916,axiom,
    ( esk4869_2(X1,X2)
    | esk4853_2(X1,X2) )).

cnf(i_0_11917,axiom,
    ( esk98_2(X1,X2)
    | ~ esk586_2(X1,X2) )).

cnf(i_0_11918,axiom,
    ( ~ esk4136_2(X1,X2)
    | ~ esk4137_2(X1,X2) )).

cnf(i_0_11919,axiom,
    ( ~ esk4347_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | esk4348_2(X1,X2) )).

cnf(i_0_11920,axiom,
    ( ~ esk1663_2(X1,X2)
    | ~ esk1661_2(X1,X2) )).

cnf(i_0_11921,axiom,
    ( ~ esk5365_2(X1,X2)
    | ~ esk5363_2(X1,X2) )).

cnf(i_0_11922,axiom,
    ( ~ esk1817_2(X1,X2)
    | ~ esk1820_2(X1,X2) )).

cnf(i_0_11923,axiom,
    ( esk896_2(X1,X2)
    | ~ esk901_2(X1,X2) )).

cnf(i_0_11924,axiom,
    ( esk3630_2(X1,X2)
    | esk3631_2(X1,X2) )).

cnf(i_0_11925,axiom,
    ( ~ esk2503_2(X1,X2)
    | ~ esk965_2(X1,X2) )).

cnf(i_0_11926,axiom,
    ( ~ esk1483_2(X1,X2)
    | ~ esk1484_2(X1,X2) )).

cnf(i_0_11927,axiom,
    ( esk5260_2(X1,X2)
    | ~ esk5256_2(X1,X2)
    | ~ esk5259_2(X1,X2) )).

cnf(i_0_11928,axiom,
    ( ~ esk614_2(X1,X2)
    | ~ esk615_2(X1,X2) )).

cnf(i_0_11929,axiom,
    ( esk564_2(X1,X2)
    | esk563_2(X1,X2)
    | esk562_2(X1,X2) )).

cnf(i_0_11930,axiom,
    ( esk337_2(X1,X2)
    | esk338_2(X1,X2) )).

cnf(i_0_11931,axiom,
    ( esk1927_2(X1,X2)
    | ~ esk1928_2(X1,X2) )).

cnf(i_0_11932,axiom,
    ( esk2156_2(X1,X2)
    | ~ esk710_2(X1,X2)
    | ~ esk2155_2(X1,X2) )).

cnf(i_0_11933,axiom,
    ( esk1284_2(X1,X2)
    | ~ esk1283_2(X1,X2)
    | ~ esk604_2(X1,X2) )).

cnf(i_0_11934,axiom,
    ( esk3189_2(X1,X2)
    | ~ esk3602_2(X1,X2) )).

cnf(i_0_11935,axiom,
    ( esk4263_2(X1,X2)
    | esk4264_2(X1,X2) )).

cnf(i_0_11936,axiom,
    ( ~ esk5216_2(X1,X2)
    | esk5215_2(X1,X2) )).

cnf(i_0_11937,axiom,
    ( ~ esk3908_2(X1,X2)
    | ~ esk3893_2(X1,X2) )).

cnf(i_0_11938,axiom,
    ( esk2621_2(X1,X2)
    | esk2622_2(X1,X2) )).

cnf(i_0_11939,axiom,
    ( esk758_2(X1,X2)
    | esk757_2(X1,X2) )).

cnf(i_0_11940,axiom,
    ( ~ esk954_2(X1,X2)
    | ~ esk523_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | esk2710_2(X1,X2) )).

cnf(i_0_11941,axiom,
    ( ~ esk2308_2(X1,X2)
    | esk2307_2(X1,X2) )).

cnf(i_0_11942,axiom,
    ( ~ esk499_2(X1,X2)
    | ~ esk523_2(X1,X2)
    | ~ esk511_2(X1,X2)
    | esk2711_2(X1,X2) )).

cnf(i_0_11943,axiom,
    ( esk4125_2(X1,X2)
    | esk4124_2(X1,X2) )).

cnf(i_0_11944,axiom,
    ( ~ esk283_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_11945,axiom,
    ( esk1789_2(X1,X2)
    | esk1790_2(X1,X2) )).

cnf(i_0_11946,axiom,
    ( esk1066_2(X1,X2)
    | esk1065_2(X1,X2) )).

cnf(i_0_11947,axiom,
    ( esk2747_2(X1,X2)
    | ~ esk2748_2(X1,X2) )).

cnf(i_0_11948,axiom,
    ( ~ esk131_2(X1,X2)
    | ~ esk2851_2(X1,X2) )).

cnf(i_0_11949,axiom,
    ( ~ esk152_2(X1,X2)
    | ~ esk1977_2(X1,X2) )).

cnf(i_0_11950,axiom,
    ( esk4932_2(X1,X2)
    | esk4933_2(X1,X2) )).

cnf(i_0_11951,axiom,
    ( ~ esk5088_2(X1,X2)
    | ~ esk5087_2(X1,X2) )).

cnf(i_0_11952,axiom,
    ( ~ esk5189_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_11953,axiom,
    ( ~ esk2308_2(X1,X2)
    | esk2303_2(X1,X2) )).

cnf(i_0_11954,axiom,
    ( ~ esk1246_2(X1,X2)
    | esk801_2(X1,X2) )).

cnf(i_0_11955,axiom,
    ( esk619_2(X1,X2)
    | esk620_2(X1,X2)
    | esk618_2(X1,X2) )).

cnf(i_0_11956,axiom,
    ( esk1107_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk973_2(X1,X2) )).

cnf(i_0_11957,axiom,
    ( ~ esk1882_2(X1,X2)
    | esk89_2(X1,X2) )).

cnf(i_0_11958,axiom,
    ( esk718_2(X1,X2)
    | ~ esk2049_2(X1,X2) )).

cnf(i_0_11959,axiom,
    ( esk38_2(X1,X2)
    | ~ esk1848_2(X1,X2) )).

cnf(i_0_11960,axiom,
    ( esk3297_2(X1,X2)
    | ~ esk3352_2(X1,X2) )).

cnf(i_0_11961,axiom,
    ( esk1422_2(X1,X2)
    | ~ esk1515_2(X1,X2) )).

cnf(i_0_11962,axiom,
    ( esk120_2(X1,X2)
    | ~ esk619_2(X1,X2) )).

cnf(i_0_11963,axiom,
    ( ~ esk845_2(X1,X2)
    | esk134_2(X1,X2) )).

cnf(i_0_11964,axiom,
    ( esk1740_2(X1,X2)
    | esk1741_2(X1,X2) )).

cnf(i_0_11965,axiom,
    ( esk625_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_11966,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1835_2(X1,X2) )).

cnf(i_0_11967,axiom,
    ( ~ esk3907_2(X1,X2)
    | esk58_2(X1,X2) )).

cnf(i_0_11968,axiom,
    ( esk3573_2(X1,X2)
    | ~ esk3589_2(X1,X2) )).

cnf(i_0_11969,axiom,
    ( ~ esk799_2(X1,X2)
    | ~ esk798_2(X1,X2) )).

cnf(i_0_11970,axiom,
    ( ~ esk2975_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_11971,axiom,
    ( esk3749_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_11972,axiom,
    ( ~ esk1957_2(X1,X2)
    | esk1953_2(X1,X2) )).

cnf(i_0_11973,axiom,
    ( ~ esk2371_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_11974,axiom,
    ( ~ esk2212_2(X1,X2)
    | ~ esk2213_2(X1,X2) )).

cnf(i_0_11975,axiom,
    ( esk3311_2(X1,X2)
    | esk3312_2(X1,X2)
    | esk3310_2(X1,X2) )).

cnf(i_0_11976,axiom,
    ( esk1983_2(X1,X2)
    | esk1984_2(X1,X2) )).

cnf(i_0_11977,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1254_2(X1,X2) )).

cnf(i_0_11978,axiom,
    ( ~ esk1080_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | esk1081_2(X1,X2) )).

cnf(i_0_11979,axiom,
    ( ~ esk1672_2(X1,X2)
    | esk1671_2(X1,X2) )).

cnf(i_0_11980,axiom,
    ( esk126_2(X1,X2)
    | ~ esk563_2(X1,X2) )).

cnf(i_0_11981,axiom,
    ( esk2106_2(X1,X2)
    | ~ esk2107_2(X1,X2) )).

cnf(i_0_11982,axiom,
    ( ~ esk4788_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_11983,axiom,
    ( ~ esk1356_2(X1,X2)
    | esk1355_2(X1,X2) )).

cnf(i_0_11984,axiom,
    ( ~ esk1523_2(X1,X2)
    | esk1522_2(X1,X2) )).

cnf(i_0_11985,axiom,
    ( ~ esk863_2(X1,X2)
    | esk860_2(X1,X2) )).

cnf(i_0_11986,axiom,
    ( ~ esk1056_2(X1,X2)
    | ~ esk1055_2(X1,X2) )).

cnf(i_0_11987,axiom,
    ( ~ esk1991_2(X1,X2)
    | ~ esk1992_2(X1,X2) )).

cnf(i_0_11988,axiom,
    ( ~ esk2656_2(X1,X2)
    | ~ esk2657_2(X1,X2) )).

cnf(i_0_11989,axiom,
    ( ~ esk5457_2(X1,X2)
    | esk5446_2(X1,X2) )).

cnf(i_0_11990,axiom,
    ( esk3195_2(X1,X2)
    | ~ esk3196_2(X1,X2) )).

cnf(i_0_11991,axiom,
    ( ~ esk4306_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_11992,axiom,
    ( ~ esk1980_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_11993,axiom,
    ( esk2989_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_11994,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5225_2(X1,X2) )).

cnf(i_0_11995,axiom,
    ( ~ esk5579_2(X1,X2)
    | ~ esk1767_2(X1,X2)
    | ~ esk4420_2(X1,X2) )).

cnf(i_0_11996,axiom,
    ( ~ esk3519_2(X1,X2)
    | ~ esk3518_2(X1,X2) )).

cnf(i_0_11997,axiom,
    ( ~ esk2519_2(X1,X2)
    | esk2520_2(X1,X2)
    | ~ esk2495_2(X1,X2) )).

cnf(i_0_11998,axiom,
    ( esk3690_2(X1,X2)
    | esk3691_2(X1,X2)
    | esk3688_2(X1,X2) )).

cnf(i_0_11999,axiom,
    ( ~ esk4458_2(X1,X2)
    | ~ esk4461_2(X1,X2) )).

cnf(i_0_12000,axiom,
    ( ~ esk4413_2(X1,X2)
    | esk1760_2(X1,X2)
    | esk5578_2(X1,X2) )).

cnf(i_0_12001,axiom,
    ( esk1125_2(X1,X2)
    | ~ esk2798_2(X1,X2) )).

cnf(i_0_12002,axiom,
    ( esk4132_2(X1,X2)
    | ~ esk4128_2(X1,X2)
    | ~ esk4131_2(X1,X2) )).

cnf(i_0_12003,axiom,
    ( ~ esk2471_2(X1,X2)
    | ~ esk2470_2(X1,X2) )).

cnf(i_0_12004,axiom,
    ( esk4044_2(X1,X2)
    | esk4043_2(X1,X2) )).

cnf(i_0_12005,axiom,
    ( ~ esk5379_2(X1,X2)
    | ~ esk5378_2(X1,X2) )).

cnf(i_0_12006,axiom,
    ( esk2001_2(X1,X2)
    | ~ esk150_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_12007,axiom,
    ( ~ esk721_2(X1,X2)
    | ~ esk720_2(X1,X2) )).

cnf(i_0_12008,axiom,
    ( esk4533_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk4412_2(X1,X2)
    | ~ esk4333_2(X1,X2) )).

cnf(i_0_12009,axiom,
    ( esk2237_2(X1,X2)
    | ~ esk2238_2(X1,X2) )).

cnf(i_0_12010,axiom,
    ( esk585_2(X1,X2)
    | ~ esk598_2(X1,X2) )).

cnf(i_0_12011,axiom,
    ( esk411_2(X1,X2)
    | ~ esk417_2(X1,X2) )).

cnf(i_0_12012,axiom,
    ( ~ esk4833_2(X1,X2)
    | ~ esk4834_2(X1,X2) )).

cnf(i_0_12013,axiom,
    ( esk4935_2(X1,X2)
    | esk4934_2(X1,X2) )).

cnf(i_0_12014,axiom,
    ( ~ esk1524_2(X1,X2)
    | ~ esk1521_2(X1,X2) )).

cnf(i_0_12015,axiom,
    ( ~ esk3824_2(X1,X2)
    | ~ esk3823_2(X1,X2) )).

cnf(i_0_12016,axiom,
    ( ~ esk4907_2(X1,X2)
    | esk4776_2(X1,X2) )).

cnf(i_0_12017,axiom,
    ( esk170_2(X1,X2)
    | esk311_2(X1,X2) )).

cnf(i_0_12018,axiom,
    ( esk2285_2(X1,X2)
    | esk2284_2(X1,X2) )).

cnf(i_0_12019,axiom,
    ( esk2900_2(X1,X2)
    | ~ esk2912_2(X1,X2) )).

cnf(i_0_12020,axiom,
    ( ~ esk4163_2(X1,X2)
    | ~ esk4079_2(X1,X2)
    | esk4164_2(X1,X2) )).

cnf(i_0_12021,axiom,
    ( esk1680_2(X1,X2)
    | ~ esk1901_2(X1,X2) )).

cnf(i_0_12022,axiom,
    ( esk3479_2(X1,X2)
    | esk3918_2(X1,X2) )).

cnf(i_0_12023,axiom,
    ( ~ esk470_2(X1,X2)
    | esk464_2(X1,X2) )).

cnf(i_0_12024,axiom,
    ( ~ esk989_2(X1,X2)
    | esk635_2(X1,X2) )).

cnf(i_0_12025,axiom,
    ( esk2879_2(X1,X2)
    | ~ esk2886_2(X1,X2) )).

cnf(i_0_12026,axiom,
    ( esk782_2(X1,X2)
    | ~ esk781_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_12027,axiom,
    ( ~ esk5205_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_12028,axiom,
    ( esk681_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_12029,axiom,
    ( esk2581_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | ~ esk561_2(X1,X2) )).

cnf(i_0_12030,axiom,
    ( ~ esk3690_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_12031,axiom,
    ( esk3969_2(X1,X2)
    | ~ esk3970_2(X1,X2) )).

cnf(i_0_12032,axiom,
    ( esk23_2(X1,X2)
    | ~ esk1102_2(X1,X2) )).

cnf(i_0_12033,axiom,
    ( esk3657_2(X1,X2)
    | ~ esk3658_2(X1,X2) )).

cnf(i_0_12034,axiom,
    ( esk691_2(X1,X2)
    | ~ esk692_2(X1,X2) )).

cnf(i_0_12035,axiom,
    ( ~ esk2821_2(X1,X2)
    | ~ esk2822_2(X1,X2) )).

cnf(i_0_12036,axiom,
    ( esk2955_2(X1,X2)
    | ~ esk4402_2(X1,X2) )).

cnf(i_0_12037,axiom,
    ( ~ esk4671_2(X1,X2)
    | ~ esk4670_2(X1,X2) )).

cnf(i_0_12038,axiom,
    ( esk3916_2(X1,X2)
    | esk3917_2(X1,X2) )).

cnf(i_0_12039,axiom,
    ( esk1491_2(X1,X2)
    | esk776_2(X1,X2) )).

cnf(i_0_12040,axiom,
    ( ~ esk1494_2(X1,X2)
    | esk1490_2(X1,X2) )).

cnf(i_0_12041,axiom,
    ( esk1731_2(X1,X2)
    | ~ esk1122_2(X1,X2)
    | ~ esk1724_2(X1,X2) )).

cnf(i_0_12042,axiom,
    ( esk4401_2(X1,X2)
    | esk4400_2(X1,X2) )).

cnf(i_0_12043,axiom,
    ( ~ esk2793_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_12044,axiom,
    ( ~ esk4348_2(X1,X2)
    | ~ esk5570_2(X1,X2)
    | ~ esk1695_2(X1,X2) )).

cnf(i_0_12045,axiom,
    ( esk3370_2(X1,X2)
    | ~ esk3672_2(X1,X2) )).

cnf(i_0_12046,axiom,
    ( ~ esk2626_2(X1,X2)
    | esk2625_2(X1,X2) )).

cnf(i_0_12047,axiom,
    ( esk606_2(X1,X2)
    | esk608_2(X1,X2)
    | esk607_2(X1,X2) )).

cnf(i_0_12048,axiom,
    ( ~ esk1903_2(X1,X2)
    | ~ esk1905_2(X1,X2) )).

cnf(i_0_12049,axiom,
    ( ~ esk4889_2(X1,X2)
    | ~ esk4890_2(X1,X2) )).

cnf(i_0_12050,axiom,
    ( esk1527_2(X1,X2)
    | esk975_2(X1,X2) )).

cnf(i_0_12051,axiom,
    ( esk5524_2(X1,X2)
    | esk2923_2(X1,X2)
    | ~ esk261_2(X1,X2) )).

cnf(i_0_12052,axiom,
    ( esk2173_2(X1,X2)
    | esk2172_2(X1,X2) )).

cnf(i_0_12053,axiom,
    ( ~ esk3114_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_12054,axiom,
    ( ~ esk4034_2(X1,X2)
    | ~ esk4033_2(X1,X2) )).

cnf(i_0_12055,axiom,
    ( ~ esk861_2(X1,X2)
    | ~ esk864_2(X1,X2)
    | esk865_2(X1,X2)
    | ~ esk860_2(X1,X2) )).

cnf(i_0_12056,axiom,
    ( ~ esk3235_2(X1,X2)
    | esk5153_2(X1,X2)
    | ~ esk3616_2(X1,X2) )).

cnf(i_0_12057,axiom,
    ( ~ esk1091_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_12058,axiom,
    ( esk3307_2(X1,X2)
    | ~ esk3308_2(X1,X2) )).

cnf(i_0_12059,axiom,
    ( ~ esk3468_2(X1,X2)
    | ~ esk3469_2(X1,X2) )).

cnf(i_0_12060,axiom,
    ( ~ esk3117_2(X1,X2)
    | ~ esk3118_2(X1,X2) )).

cnf(i_0_12061,axiom,
    ( esk463_2(X1,X2)
    | esk464_2(X1,X2) )).

cnf(i_0_12062,axiom,
    ( ~ esk953_2(X1,X2)
    | esk535_2(X1,X2) )).

cnf(i_0_12063,axiom,
    ( ~ esk3622_2(X1,X2)
    | esk3621_2(X1,X2) )).

cnf(i_0_12064,axiom,
    ( ~ esk4406_2(X1,X2)
    | ~ esk4407_2(X1,X2) )).

cnf(i_0_12065,axiom,
    ( esk2940_2(X1,X2)
    | esk2941_2(X1,X2) )).

cnf(i_0_12066,axiom,
    ( ~ esk1621_2(X1,X2)
    | esk27_2(X1,X2) )).

cnf(i_0_12067,axiom,
    ( esk609_2(X1,X2)
    | esk608_2(X1,X2) )).

cnf(i_0_12068,axiom,
    ( esk3845_2(X1,X2)
    | ~ esk3847_2(X1,X2) )).

cnf(i_0_12069,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4488_2(X1,X2) )).

cnf(i_0_12070,axiom,
    ( ~ esk1551_2(X1,X2)
    | ~ esk1552_2(X1,X2) )).

cnf(i_0_12071,axiom,
    ( esk4615_2(X1,X2)
    | esk4592_2(X1,X2) )).

cnf(i_0_12072,axiom,
    ( esk4874_2(X1,X2)
    | ~ esk4875_2(X1,X2) )).

cnf(i_0_12073,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | esk1129_2(X1,X2)
    | ~ esk24_2(X1,X2) )).

cnf(i_0_12074,axiom,
    ( esk4813_2(X1,X2)
    | esk4812_2(X1,X2) )).

cnf(i_0_12075,axiom,
    ( esk3860_2(X1,X2)
    | ~ esk3865_2(X1,X2) )).

cnf(i_0_12076,axiom,
    ( ~ esk4886_2(X1,X2)
    | ~ esk4887_2(X1,X2) )).

cnf(i_0_12077,axiom,
    ( esk5235_2(X1,X2)
    | esk5236_2(X1,X2) )).

cnf(i_0_12078,axiom,
    ( ~ esk4601_2(X1,X2)
    | ~ esk4602_2(X1,X2) )).

cnf(i_0_12079,axiom,
    ( esk1609_2(X1,X2)
    | esk1608_2(X1,X2)
    | esk1607_2(X1,X2)
    | esk1606_2(X1,X2)
    | esk1610_2(X1,X2) )).

cnf(i_0_12080,axiom,
    ( esk357_2(X1,X2)
    | esk356_2(X1,X2) )).

cnf(i_0_12081,axiom,
    ( ~ esk2637_2(X1,X2)
    | ~ esk2638_2(X1,X2) )).

cnf(i_0_12082,axiom,
    ( ~ esk1646_2(X1,X2)
    | esk26_2(X1,X2) )).

cnf(i_0_12083,axiom,
    ( esk849_2(X1,X2)
    | ~ esk850_2(X1,X2) )).

cnf(i_0_12084,axiom,
    ( esk3127_2(X1,X2)
    | esk139_2(X1,X2)
    | esk3130_2(X1,X2)
    | esk3129_2(X1,X2) )).

cnf(i_0_12085,axiom,
    ( ~ esk4199_2(X1,X2)
    | esk3757_2(X1,X2) )).

cnf(i_0_12086,axiom,
    ( ~ esk5402_2(X1,X2)
    | ~ esk5406_2(X1,X2)
    | esk5407_2(X1,X2) )).

cnf(i_0_12087,axiom,
    ( esk61_2(X1,X2)
    | ~ esk3822_2(X1,X2) )).

cnf(i_0_12088,axiom,
    ( ~ esk3948_2(X1,X2)
    | esk3947_2(X1,X2) )).

cnf(i_0_12089,axiom,
    ( esk859_2(X1,X2)
    | ~ esk869_2(X1,X2) )).

cnf(i_0_12090,axiom,
    ( ~ esk554_2(X1,X2)
    | ~ esk553_2(X1,X2)
    | esk555_2(X1,X2) )).

cnf(i_0_12091,axiom,
    ( ~ esk3945_2(X1,X2)
    | esk3935_2(X1,X2) )).

cnf(i_0_12092,axiom,
    ( ~ esk4760_2(X1,X2)
    | ~ esk4761_2(X1,X2) )).

cnf(i_0_12093,axiom,
    ( ~ esk5210_2(X1,X2)
    | esk5209_2(X1,X2) )).

cnf(i_0_12094,axiom,
    ( esk138_2(X1,X2)
    | ~ esk4414_2(X1,X2) )).

cnf(i_0_12095,axiom,
    ( esk96_2(X1,X2)
    | ~ esk488_2(X1,X2) )).

cnf(i_0_12096,axiom,
    ( ~ esk4535_2(X1,X2)
    | ~ esk4537_2(X1,X2) )).

cnf(i_0_12097,axiom,
    ( ~ esk3363_2(X1,X2)
    | esk3367_2(X1,X2)
    | ~ esk3366_2(X1,X2) )).

cnf(i_0_12098,axiom,
    ( ~ esk2874_2(X1,X2)
    | esk2894_2(X1,X2)
    | ~ esk34_2(X1,X2) )).

cnf(i_0_12099,axiom,
    ( ~ esk2571_2(X1,X2)
    | esk963_2(X1,X2) )).

cnf(i_0_12100,axiom,
    ( esk3456_2(X1,X2)
    | ~ esk3457_2(X1,X2) )).

cnf(i_0_12101,axiom,
    ( esk1890_2(X1,X2)
    | esk1887_2(X1,X2)
    | esk1889_2(X1,X2)
    | esk1891_2(X1,X2)
    | esk1888_2(X1,X2) )).

cnf(i_0_12102,axiom,
    ( ~ esk4676_2(X1,X2)
    | ~ esk4675_2(X1,X2) )).

cnf(i_0_12103,axiom,
    ( esk2862_2(X1,X2)
    | ~ esk2863_2(X1,X2) )).

cnf(i_0_12104,axiom,
    ( ~ esk3621_2(X1,X2)
    | ~ esk5360_2(X1,X2) )).

cnf(i_0_12105,axiom,
    ( ~ esk4720_2(X1,X2)
    | ~ esk4721_2(X1,X2) )).

cnf(i_0_12106,axiom,
    ( esk4650_2(X1,X2)
    | ~ esk4651_2(X1,X2) )).

cnf(i_0_12107,axiom,
    ( esk3913_2(X1,X2)
    | esk3912_2(X1,X2)
    | esk3661_2(X1,X2) )).

cnf(i_0_12108,axiom,
    ( esk2599_2(X1,X2)
    | ~ esk2595_2(X1,X2)
    | ~ esk2598_2(X1,X2) )).

cnf(i_0_12109,axiom,
    ( ~ esk1507_2(X1,X2)
    | esk1506_2(X1,X2) )).

cnf(i_0_12110,axiom,
    ( ~ esk3009_2(X1,X2)
    | ~ esk3010_2(X1,X2) )).

cnf(i_0_12111,axiom,
    ( ~ esk696_2(X1,X2)
    | ~ esk695_2(X1,X2) )).

cnf(i_0_12112,axiom,
    ( esk653_2(X1,X2)
    | esk654_2(X1,X2)
    | esk655_2(X1,X2) )).

cnf(i_0_12113,axiom,
    ( esk41_2(X1,X2)
    | ~ esk1842_2(X1,X2) )).

cnf(i_0_12114,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1843_2(X1,X2) )).

cnf(i_0_12115,axiom,
    ( ~ esk5576_2(X1,X2)
    | esk4401_2(X1,X2)
    | esk1748_2(X1,X2) )).

cnf(i_0_12116,axiom,
    ( ~ esk1519_2(X1,X2)
    | ~ esk1516_2(X1,X2)
    | ~ esk1578_2(X1,X2)
    | ~ esk1526_2(X1,X2)
    | ~ esk1520_2(X1,X2)
    | esk1579_2(X1,X2)
    | ~ esk1549_2(X1,X2)
    | ~ esk1517_2(X1,X2)
    | ~ esk1577_2(X1,X2)
    | ~ esk1518_2(X1,X2) )).

cnf(i_0_12117,axiom,
    ( ~ esk4211_2(X1,X2)
    | esk4207_2(X1,X2) )).

cnf(i_0_12118,axiom,
    ( ~ esk2199_2(X1,X2)
    | ~ esk2200_2(X1,X2) )).

cnf(i_0_12119,axiom,
    ( ~ esk3777_2(X1,X2)
    | esk5451_2(X1,X2)
    | ~ esk3778_2(X1,X2)
    | ~ esk5450_2(X1,X2) )).

cnf(i_0_12120,axiom,
    ( ~ esk1399_2(X1,X2)
    | ~ esk1400_2(X1,X2) )).

cnf(i_0_12121,axiom,
    ( ~ esk1862_2(X1,X2)
    | ~ esk1863_2(X1,X2) )).

cnf(i_0_12122,axiom,
    ( esk4002_2(X1,X2)
    | ~ esk4006_2(X1,X2) )).

cnf(i_0_12123,axiom,
    ( esk1925_2(X1,X2)
    | esk1924_2(X1,X2) )).

cnf(i_0_12124,axiom,
    ( ~ esk2851_2(X1,X2)
    | esk189_2(X1,X2)
    | esk5504_2(X1,X2) )).

cnf(i_0_12125,axiom,
    ( esk3358_2(X1,X2)
    | esk3357_2(X1,X2) )).

cnf(i_0_12126,axiom,
    ( ~ esk4938_2(X1,X2)
    | ~ esk4937_2(X1,X2) )).

cnf(i_0_12127,axiom,
    ( esk4656_2(X1,X2)
    | esk4657_2(X1,X2) )).

cnf(i_0_12128,axiom,
    ( esk1604_2(X1,X2)
    | esk1603_2(X1,X2)
    | esk1600_2(X1,X2)
    | esk1601_2(X1,X2)
    | esk1602_2(X1,X2) )).

cnf(i_0_12129,axiom,
    ( ~ esk5590_2(X1,X2)
    | esk1845_2(X1,X2)
    | esk4498_2(X1,X2) )).

cnf(i_0_12130,axiom,
    ( esk2434_2(X1,X2)
    | ~ esk2429_2(X1,X2)
    | ~ esk2433_2(X1,X2) )).

cnf(i_0_12131,axiom,
    ( esk4022_2(X1,X2)
    | ~ esk4018_2(X1,X2)
    | ~ esk4021_2(X1,X2) )).

cnf(i_0_12132,axiom,
    ( esk698_2(X1,X2)
    | esk697_2(X1,X2) )).

cnf(i_0_12133,axiom,
    ( ~ esk1176_2(X1,X2)
    | ~ esk1175_2(X1,X2) )).

cnf(i_0_12134,axiom,
    ( ~ esk3289_2(X1,X2)
    | esk3290_2(X1,X2)
    | ~ esk3286_2(X1,X2) )).

cnf(i_0_12135,axiom,
    ( ~ esk3670_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_12136,axiom,
    ( esk2064_2(X1,X2)
    | esk2065_2(X1,X2) )).

cnf(i_0_12137,axiom,
    ( ~ esk3515_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_12138,axiom,
    ( esk2424_2(X1,X2)
    | ~ esk107_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_12139,axiom,
    ( esk2397_2(X1,X2)
    | esk2396_2(X1,X2) )).

cnf(i_0_12140,axiom,
    ( ~ esk2970_2(X1,X2)
    | esk2969_2(X1,X2) )).

cnf(i_0_12141,axiom,
    ( ~ esk3213_2(X1,X2)
    | esk110_2(X1,X2) )).

cnf(i_0_12142,axiom,
    ( esk3210_2(X1,X2)
    | ~ esk3206_2(X1,X2)
    | ~ esk3209_2(X1,X2) )).

cnf(i_0_12143,axiom,
    ( esk3928_2(X1,X2)
    | ~ esk3929_2(X1,X2) )).

cnf(i_0_12144,axiom,
    ( ~ esk5461_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_12145,axiom,
    ( ~ esk2582_2(X1,X2)
    | ~ esk2580_2(X1,X2) )).

cnf(i_0_12146,axiom,
    ( ~ esk1516_2(X1,X2)
    | ~ esk1051_2(X1,X2) )).

cnf(i_0_12147,axiom,
    ( ~ esk1676_2(X1,X2)
    | esk70_2(X1,X2) )).

cnf(i_0_12148,axiom,
    ( ~ esk2991_2(X1,X2)
    | ~ esk2988_2(X1,X2) )).

cnf(i_0_12149,axiom,
    ( esk66_2(X1,X2)
    | ~ esk4250_2(X1,X2) )).

cnf(i_0_12150,axiom,
    ( ~ esk2749_2(X1,X2)
    | ~ esk2750_2(X1,X2) )).

cnf(i_0_12151,axiom,
    ( esk1616_2(X1,X2)
    | esk1617_2(X1,X2) )).

cnf(i_0_12152,axiom,
    ( esk3142_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_12153,axiom,
    ( ~ esk547_2(X1,X2)
    | ~ esk546_2(X1,X2) )).

cnf(i_0_12154,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4502_2(X1,X2) )).

cnf(i_0_12155,axiom,
    ( esk1042_2(X1,X2)
    | ~ esk1173_2(X1,X2) )).

cnf(i_0_12156,axiom,
    ( ~ esk3003_2(X1,X2)
    | ~ esk3004_2(X1,X2) )).

cnf(i_0_12157,axiom,
    ( ~ esk1396_2(X1,X2)
    | esk1391_2(X1,X2) )).

cnf(i_0_12158,axiom,
    ( ~ esk2277_2(X1,X2)
    | ~ esk2276_2(X1,X2) )).

cnf(i_0_12159,axiom,
    ( esk3148_2(X1,X2)
    | ~ esk3147_2(X1,X2)
    | ~ esk3134_2(X1,X2)
    | ~ esk3081_2(X1,X2) )).

cnf(i_0_12160,axiom,
    ( ~ esk4191_2(X1,X2)
    | esk4190_2(X1,X2) )).

cnf(i_0_12161,axiom,
    ( esk240_2(X1,X2)
    | ~ esk256_2(X1,X2) )).

cnf(i_0_12162,axiom,
    ( ~ esk1305_2(X1,X2)
    | ~ esk1306_2(X1,X2) )).

cnf(i_0_12163,axiom,
    ( ~ esk1463_2(X1,X2)
    | ~ esk1464_2(X1,X2) )).

cnf(i_0_12164,axiom,
    ( esk3589_2(X1,X2)
    | ~ esk3573_2(X1,X2)
    | ~ esk3588_2(X1,X2)
    | ~ esk3585_2(X1,X2) )).

cnf(i_0_12165,axiom,
    ( esk5551_2(X1,X2)
    | ~ esk3999_2(X1,X2)
    | esk1346_2(X1,X2) )).

cnf(i_0_12166,axiom,
    ( ~ esk4523_2(X1,X2)
    | ~ esk4522_2(X1,X2) )).

cnf(i_0_12167,axiom,
    ( ~ esk1847_2(X1,X2)
    | ~ esk1850_2(X1,X2) )).

cnf(i_0_12168,axiom,
    ( ~ esk754_2(X1,X2)
    | esk753_2(X1,X2) )).

cnf(i_0_12169,axiom,
    ( ~ esk609_2(X1,X2)
    | ~ esk610_2(X1,X2) )).

cnf(i_0_12170,axiom,
    ( esk80_2(X1,X2)
    | ~ esk5490_2(X1,X2) )).

cnf(i_0_12171,axiom,
    ( ~ esk4825_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_12172,axiom,
    ( esk3522_2(X1,X2)
    | ~ esk3527_2(X1,X2) )).

cnf(i_0_12173,axiom,
    ( esk2481_2(X1,X2)
    | esk2482_2(X1,X2) )).

cnf(i_0_12174,axiom,
    ( esk4142_2(X1,X2)
    | esk4143_2(X1,X2) )).

cnf(i_0_12175,axiom,
    ( ~ esk1599_2(X1,X2)
    | esk1601_2(X1,X2)
    | ~ esk1219_2(X1,X2)
    | ~ esk175_2(X1,X2) )).

cnf(i_0_12176,axiom,
    ( esk1042_2(X1,X2)
    | ~ esk1186_2(X1,X2) )).

cnf(i_0_12177,axiom,
    ( ~ esk2719_2(X1,X2)
    | ~ esk2720_2(X1,X2) )).

cnf(i_0_12178,axiom,
    ( ~ esk5417_2(X1,X2)
    | ~ esk5418_2(X1,X2) )).

cnf(i_0_12179,axiom,
    ( ~ esk5307_2(X1,X2)
    | esk5321_2(X1,X2)
    | ~ esk5320_2(X1,X2) )).

cnf(i_0_12180,axiom,
    ( ~ esk973_2(X1,X2)
    | ~ esk1551_2(X1,X2) )).

cnf(i_0_12181,axiom,
    ( ~ esk1177_2(X1,X2)
    | ~ esk1176_2(X1,X2) )).

cnf(i_0_12182,axiom,
    ( esk4383_2(X1,X2)
    | ~ esk5573_2(X1,X2)
    | esk1730_2(X1,X2) )).

cnf(i_0_12183,axiom,
    ( esk162_2(X1,X2)
    | ~ esk2836_2(X1,X2) )).

cnf(i_0_12184,axiom,
    ( ~ esk719_2(X1,X2)
    | ~ esk151_2(X1,X2) )).

cnf(i_0_12185,axiom,
    ( ~ esk5448_2(X1,X2)
    | ~ esk5449_2(X1,X2) )).

cnf(i_0_12186,axiom,
    ( esk1035_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_12187,axiom,
    ( ~ esk4248_2(X1,X2)
    | ~ esk4247_2(X1,X2) )).

cnf(i_0_12188,axiom,
    ( esk84_2(X1,X2)
    | ~ esk1691_2(X1,X2) )).

cnf(i_0_12189,axiom,
    ( esk3146_2(X1,X2)
    | esk5030_2(X1,X2) )).

cnf(i_0_12190,axiom,
    ( esk4876_2(X1,X2)
    | esk4875_2(X1,X2) )).

cnf(i_0_12191,axiom,
    ( ~ esk3757_2(X1,X2)
    | ~ esk3756_2(X1,X2) )).

cnf(i_0_12192,axiom,
    ( esk1193_2(X1,X2)
    | ~ esk1055_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk1192_2(X1,X2) )).

cnf(i_0_12193,axiom,
    ( esk3585_2(X1,X2)
    | esk3565_2(X1,X2) )).

cnf(i_0_12194,axiom,
    ( esk1116_2(X1,X2)
    | esk1117_2(X1,X2) )).

cnf(i_0_12195,axiom,
    ( esk255_2(X1,X2)
    | ~ esk240_2(X1,X2)
    | ~ esk238_2(X1,X2)
    | ~ esk30_2(X1,X2) )).

cnf(i_0_12196,axiom,
    ( ~ esk4088_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_12197,axiom,
    ( ~ esk2371_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_12198,axiom,
    ( esk4018_2(X1,X2)
    | ~ esk4022_2(X1,X2) )).

cnf(i_0_12199,axiom,
    ( esk4158_2(X1,X2)
    | esk4157_2(X1,X2) )).

cnf(i_0_12200,axiom,
    ( esk1190_2(X1,X2)
    | esk5545_2(X1,X2)
    | ~ esk3843_2(X1,X2) )).

cnf(i_0_12201,axiom,
    ( ~ esk257_2(X1,X2)
    | ~ esk259_2(X1,X2) )).

cnf(i_0_12202,axiom,
    ( esk3380_2(X1,X2)
    | esk4746_2(X1,X2) )).

cnf(i_0_12203,axiom,
    ( esk176_2(X1,X2)
    | ~ esk5467_2(X1,X2) )).

cnf(i_0_12204,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1869_2(X1,X2)
    | ~ esk76_2(X1,X2) )).

cnf(i_0_12205,axiom,
    ( esk3092_2(X1,X2)
    | ~ esk3093_2(X1,X2) )).

cnf(i_0_12206,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3447_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk3463_2(X1,X2)
    | esk3858_2(X1,X2)
    | ~ esk3455_2(X1,X2) )).

cnf(i_0_12207,axiom,
    ( esk5158_2(X1,X2)
    | esk5157_2(X1,X2) )).

cnf(i_0_12208,axiom,
    ( esk4328_2(X1,X2)
    | ~ esk71_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk4233_2(X1,X2) )).

cnf(i_0_12209,axiom,
    ( esk3821_2(X1,X2)
    | esk3807_2(X1,X2)
    | esk3822_2(X1,X2)
    | esk3823_2(X1,X2) )).

cnf(i_0_12210,axiom,
    ( esk4049_2(X1,X2)
    | ~ esk4048_2(X1,X2)
    | ~ esk4044_2(X1,X2) )).

cnf(i_0_12211,axiom,
    ( ~ esk1540_2(X1,X2)
    | ~ esk629_2(X1,X2) )).

cnf(i_0_12212,axiom,
    ( esk5580_2(X1,X2)
    | ~ esk1785_2(X1,X2)
    | esk4438_2(X1,X2) )).

cnf(i_0_12213,axiom,
    ( esk1317_2(X1,X2)
    | esk1318_2(X1,X2) )).

cnf(i_0_12214,axiom,
    ( esk4341_2(X1,X2)
    | ~ esk1688_2(X1,X2)
    | esk5569_2(X1,X2) )).

cnf(i_0_12215,axiom,
    ( ~ esk4206_2(X1,X2)
    | ~ esk4207_2(X1,X2) )).

cnf(i_0_12216,axiom,
    ( esk4794_2(X1,X2)
    | ~ esk4798_2(X1,X2) )).

cnf(i_0_12217,axiom,
    ( ~ esk4170_2(X1,X2)
    | ~ esk3721_2(X1,X2) )).

cnf(i_0_12218,axiom,
    ( esk3804_2(X1,X2)
    | esk3805_2(X1,X2) )).

cnf(i_0_12219,axiom,
    ( esk146_2(X1,X2)
    | esk504_2(X1,X2) )).

cnf(i_0_12220,axiom,
    ( esk2804_2(X1,X2)
    | esk2806_2(X1,X2)
    | esk2805_2(X1,X2) )).

cnf(i_0_12221,axiom,
    ( ~ esk206_2(X1,X2)
    | esk13_2(X1,X2) )).

cnf(i_0_12222,axiom,
    ( ~ esk3291_2(X1,X2)
    | ~ esk4193_2(X1,X2) )).

cnf(i_0_12223,axiom,
    ( esk293_2(X1,X2)
    | esk294_2(X1,X2) )).

cnf(i_0_12224,axiom,
    ( esk2212_2(X1,X2)
    | esk2213_2(X1,X2) )).

cnf(i_0_12225,axiom,
    ( ~ esk2051_2(X1,X2)
    | esk718_2(X1,X2) )).

cnf(i_0_12226,axiom,
    ( ~ esk3591_2(X1,X2)
    | esk3592_2(X1,X2)
    | ~ esk3587_2(X1,X2) )).

cnf(i_0_12227,axiom,
    ( ~ esk3064_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_12228,axiom,
    ( esk5457_2(X1,X2)
    | ~ esk5446_2(X1,X2)
    | ~ esk5456_2(X1,X2) )).

cnf(i_0_12229,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk3809_2(X1,X2) )).

cnf(i_0_12230,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk62_2(X1,X2)
    | esk3706_2(X1,X2)
    | ~ esk3694_2(X1,X2) )).

cnf(i_0_12231,axiom,
    ( ~ esk1505_2(X1,X2)
    | ~ esk1504_2(X1,X2) )).

cnf(i_0_12232,axiom,
    ( esk3030_2(X1,X2)
    | ~ esk3031_2(X1,X2) )).

cnf(i_0_12233,axiom,
    ( ~ esk2534_2(X1,X2)
    | esk2539_2(X1,X2)
    | ~ esk2538_2(X1,X2) )).

cnf(i_0_12234,axiom,
    ( ~ esk428_2(X1,X2)
    | esk427_2(X1,X2) )).

cnf(i_0_12235,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1128_2(X1,X2) )).

cnf(i_0_12236,axiom,
    ( esk2105_2(X1,X2)
    | esk2104_2(X1,X2) )).

cnf(i_0_12237,axiom,
    ( ~ esk5230_2(X1,X2)
    | ~ esk5231_2(X1,X2) )).

cnf(i_0_12238,axiom,
    ( esk5469_2(X1,X2)
    | esk5466_2(X1,X2)
    | esk5467_2(X1,X2)
    | esk5468_2(X1,X2)
    | esk5470_2(X1,X2) )).

cnf(i_0_12239,axiom,
    ( ~ esk4098_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_12240,axiom,
    ( esk1878_2(X1,X2)
    | esk1877_2(X1,X2) )).

cnf(i_0_12241,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk3298_2(X1,X2)
    | esk3315_2(X1,X2) )).

cnf(i_0_12242,axiom,
    ( ~ esk4358_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_12243,axiom,
    ( ~ esk509_2(X1,X2)
    | ~ esk508_2(X1,X2) )).

cnf(i_0_12244,axiom,
    ( esk3177_2(X1,X2)
    | esk3176_2(X1,X2) )).

cnf(i_0_12245,axiom,
    ( esk2651_2(X1,X2)
    | esk2650_2(X1,X2) )).

cnf(i_0_12246,axiom,
    ( esk1731_2(X1,X2)
    | esk1732_2(X1,X2) )).

cnf(i_0_12247,axiom,
    ( ~ esk2276_2(X1,X2)
    | esk2271_2(X1,X2) )).

cnf(i_0_12248,axiom,
    ( ~ esk3684_2(X1,X2)
    | ~ esk3683_2(X1,X2) )).

cnf(i_0_12249,axiom,
    ( esk5078_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_12250,axiom,
    ( ~ esk1829_2(X1,X2)
    | esk1802_2(X1,X2) )).

cnf(i_0_12251,axiom,
    ( ~ esk215_2(X1,X2)
    | ~ esk216_2(X1,X2) )).

cnf(i_0_12252,axiom,
    ( ~ esk2035_2(X1,X2)
    | esk2030_2(X1,X2) )).

cnf(i_0_12253,axiom,
    ( ~ esk4910_2(X1,X2)
    | esk3369_2(X1,X2) )).

cnf(i_0_12254,axiom,
    ( ~ esk4262_2(X1,X2)
    | esk8_2(X1,X2) )).

cnf(i_0_12255,axiom,
    ( esk905_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_12256,axiom,
    ( esk3694_2(X1,X2)
    | ~ esk3807_2(X1,X2) )).

cnf(i_0_12257,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk2995_2(X1,X2) )).

cnf(i_0_12258,axiom,
    ( ~ esk290_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_12259,axiom,
    ( esk2400_2(X1,X2)
    | esk111_2(X1,X2) )).

cnf(i_0_12260,axiom,
    ( esk1293_2(X1,X2)
    | ~ esk1297_2(X1,X2) )).

cnf(i_0_12261,axiom,
    ( ~ esk2092_2(X1,X2)
    | ~ esk2091_2(X1,X2) )).

cnf(i_0_12262,axiom,
    ( ~ esk3179_2(X1,X2)
    | ~ esk3180_2(X1,X2) )).

cnf(i_0_12263,axiom,
    ( esk3626_2(X1,X2)
    | ~ esk3760_2(X1,X2) )).

cnf(i_0_12264,axiom,
    ( ~ esk2573_2(X1,X2)
    | ~ esk2574_2(X1,X2) )).

cnf(i_0_12265,axiom,
    ( ~ esk1809_2(X1,X2)
    | ~ esk4462_2(X1,X2)
    | ~ esk5584_2(X1,X2) )).

cnf(i_0_12266,axiom,
    ( ~ esk1813_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_12267,axiom,
    ( esk1021_2(X1,X2)
    | esk1020_2(X1,X2) )).

cnf(i_0_12268,axiom,
    ( esk3696_2(X1,X2)
    | esk3706_2(X1,X2)
    | esk3705_2(X1,X2)
    | esk3707_2(X1,X2) )).

cnf(i_0_12269,axiom,
    ( ~ esk93_2(X1,X2)
    | esk513_2(X1,X2)
    | ~ esk126_2(X1,X2) )).

cnf(i_0_12270,axiom,
    ( esk4009_2(X1,X2)
    | ~ esk3227_2(X1,X2)
    | ~ esk4008_2(X1,X2) )).

cnf(i_0_12271,axiom,
    ( ~ esk4783_2(X1,X2)
    | ~ esk4782_2(X1,X2) )).

cnf(i_0_12272,axiom,
    ( ~ esk3199_2(X1,X2)
    | ~ esk109_2(X1,X2)
    | esk3212_2(X1,X2) )).

cnf(i_0_12273,axiom,
    ( ~ esk1525_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1756_2(X1,X2)
    | ~ esk1133_2(X1,X2) )).

cnf(i_0_12274,axiom,
    ( ~ esk3166_2(X1,X2)
    | esk3167_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(i_0_12275,axiom,
    ( ~ esk3194_2(X1,X2)
    | esk3193_2(X1,X2) )).

cnf(i_0_12276,axiom,
    ( esk2780_2(X1,X2)
    | esk2781_2(X1,X2) )).

cnf(i_0_12277,axiom,
    ( ~ esk4377_2(X1,X2)
    | esk4386_2(X1,X2)
    | ~ esk4385_2(X1,X2) )).

cnf(i_0_12278,axiom,
    ( esk1922_2(X1,X2)
    | esk1920_2(X1,X2)
    | esk1923_2(X1,X2) )).

cnf(i_0_12279,axiom,
    ( esk699_2(X1,X2)
    | ~ esk700_2(X1,X2) )).

cnf(i_0_12280,axiom,
    ( esk46_2(X1,X2)
    | ~ esk4453_2(X1,X2) )).

cnf(i_0_12281,axiom,
    ( ~ esk4699_2(X1,X2)
    | esk4698_2(X1,X2) )).

cnf(i_0_12282,axiom,
    ( esk1774_2(X1,X2)
    | esk144_2(X1,X2)
    | esk1776_2(X1,X2)
    | esk1777_2(X1,X2) )).

cnf(i_0_12283,axiom,
    ( ~ esk2319_2(X1,X2)
    | ~ esk2320_2(X1,X2) )).

cnf(i_0_12284,axiom,
    ( esk2682_2(X1,X2)
    | esk2681_2(X1,X2) )).

cnf(i_0_12285,axiom,
    ( esk3155_2(X1,X2)
    | ~ esk3153_2(X1,X2)
    | ~ esk3154_2(X1,X2) )).

cnf(i_0_12286,axiom,
    ( esk3741_2(X1,X2)
    | ~ esk4245_2(X1,X2) )).

cnf(i_0_12287,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk4656_2(X1,X2) )).

cnf(i_0_12288,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk4303_2(X1,X2) )).

cnf(i_0_12289,axiom,
    ( esk105_2(X1,X2)
    | esk466_2(X1,X2) )).

cnf(i_0_12290,axiom,
    ( ~ esk3974_2(X1,X2)
    | esk3301_2(X1,X2) )).

cnf(i_0_12291,axiom,
    ( esk3574_2(X1,X2)
    | esk3573_2(X1,X2) )).

cnf(i_0_12292,axiom,
    ( ~ esk1778_2(X1,X2)
    | ~ esk1777_2(X1,X2) )).

cnf(i_0_12293,axiom,
    ( esk2234_2(X1,X2)
    | esk2233_2(X1,X2) )).

cnf(i_0_12294,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1685_2(X1,X2) )).

cnf(i_0_12295,axiom,
    ( ~ esk1626_2(X1,X2)
    | esk1625_2(X1,X2) )).

cnf(i_0_12296,axiom,
    ( esk151_2(X1,X2)
    | ~ esk326_2(X1,X2) )).

cnf(i_0_12297,axiom,
    ( ~ esk14_2(X1,X2)
    | ~ esk13_2(X1,X2)
    | esk206_2(X1,X2) )).

cnf(i_0_12298,axiom,
    ( ~ esk2071_2(X1,X2)
    | ~ esk2070_2(X1,X2) )).

cnf(i_0_12299,axiom,
    ( ~ esk3263_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_12300,axiom,
    ( ~ esk227_2(X1,X2)
    | esk37_2(X1,X2) )).

cnf(i_0_12301,axiom,
    ( esk3368_2(X1,X2)
    | ~ esk4852_2(X1,X2) )).

cnf(i_0_12302,axiom,
    ( ~ esk358_2(X1,X2)
    | esk357_2(X1,X2) )).

cnf(i_0_12303,axiom,
    ( esk4652_2(X1,X2)
    | esk4653_2(X1,X2) )).

cnf(i_0_12304,axiom,
    ( ~ esk2631_2(X1,X2)
    | ~ esk2632_2(X1,X2) )).

cnf(i_0_12305,axiom,
    ( ~ esk1910_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_12306,axiom,
    ( ~ esk2925_2(X1,X2)
    | ~ esk2928_2(X1,X2) )).

cnf(i_0_12307,axiom,
    ( ~ esk4915_2(X1,X2)
    | ~ esk4914_2(X1,X2) )).

cnf(i_0_12308,axiom,
    ( ~ esk245_2(X1,X2)
    | ~ esk241_2(X1,X2) )).

cnf(i_0_12309,axiom,
    ( esk1048_2(X1,X2)
    | esk1049_2(X1,X2) )).

cnf(i_0_12310,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk186_2(X1,X2) )).

cnf(i_0_12311,axiom,
    ( ~ esk4719_2(X1,X2)
    | ~ esk4718_2(X1,X2) )).

cnf(i_0_12312,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1837_2(X1,X2) )).

cnf(i_0_12313,axiom,
    ( esk1600_2(X1,X2)
    | ~ esk1599_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | ~ esk1152_2(X1,X2) )).

cnf(i_0_12314,axiom,
    ( ~ esk3663_2(X1,X2)
    | ~ esk3654_2(X1,X2) )).

cnf(i_0_12315,axiom,
    ( esk4636_2(X1,X2)
    | esk4635_2(X1,X2)
    | esk4633_2(X1,X2) )).

cnf(i_0_12316,axiom,
    ( ~ esk4402_2(X1,X2)
    | esk3786_2(X1,X2) )).

cnf(i_0_12317,axiom,
    ( ~ esk4288_2(X1,X2)
    | ~ esk4289_2(X1,X2) )).

cnf(i_0_12318,axiom,
    ( ~ esk634_2(X1,X2)
    | esk1094_2(X1,X2)
    | ~ esk1093_2(X1,X2) )).

cnf(i_0_12319,axiom,
    ( ~ esk4271_2(X1,X2)
    | ~ esk4275_2(X1,X2) )).

cnf(i_0_12320,axiom,
    ( ~ esk1051_2(X1,X2)
    | ~ esk1050_2(X1,X2) )).

cnf(i_0_12321,axiom,
    ( ~ esk987_2(X1,X2)
    | ~ esk985_2(X1,X2) )).

cnf(i_0_12322,axiom,
    ( ~ esk1601_2(X1,X2)
    | ~ esk1604_2(X1,X2) )).

cnf(i_0_12323,axiom,
    ( esk5480_2(X1,X2)
    | ~ esk5489_2(X1,X2) )).

cnf(i_0_12324,axiom,
    ( ~ esk1690_2(X1,X2)
    | esk1273_2(X1,X2) )).

cnf(i_0_12325,axiom,
    ( esk1142_2(X1,X2)
    | ~ esk676_2(X1,X2)
    | ~ esk1141_2(X1,X2) )).

cnf(i_0_12326,axiom,
    ( ~ esk3465_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_12327,axiom,
    ( ~ esk2118_2(X1,X2)
    | esk2113_2(X1,X2) )).

cnf(i_0_12328,axiom,
    ( ~ esk4062_2(X1,X2)
    | esk4061_2(X1,X2) )).

cnf(i_0_12329,axiom,
    ( ~ esk309_2(X1,X2)
    | esk459_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_12330,axiom,
    ( esk83_2(X1,X2)
    | ~ esk4238_2(X1,X2) )).

cnf(i_0_12331,axiom,
    ( ~ esk2725_2(X1,X2)
    | ~ esk2726_2(X1,X2) )).

cnf(i_0_12332,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk387_2(X1,X2) )).

cnf(i_0_12333,axiom,
    ( esk5492_2(X1,X2)
    | esk5491_2(X1,X2)
    | esk5488_2(X1,X2)
    | esk5490_2(X1,X2)
    | esk5489_2(X1,X2) )).

cnf(i_0_12334,axiom,
    ( esk503_2(X1,X2)
    | esk502_2(X1,X2) )).

cnf(i_0_12335,axiom,
    ( esk5038_2(X1,X2)
    | esk5037_2(X1,X2) )).

cnf(i_0_12336,axiom,
    ( esk5442_2(X1,X2)
    | esk4980_2(X1,X2) )).

cnf(i_0_12337,axiom,
    ( esk100_2(X1,X2)
    | ~ esk1974_2(X1,X2) )).

cnf(i_0_12338,axiom,
    ( esk5449_2(X1,X2)
    | esk5450_2(X1,X2) )).

cnf(i_0_12339,axiom,
    ( esk3742_2(X1,X2)
    | esk1089_2(X1,X2)
    | ~ esk5540_2(X1,X2) )).

cnf(i_0_12340,axiom,
    ( ~ esk5117_2(X1,X2)
    | esk5116_2(X1,X2) )).

cnf(i_0_12341,axiom,
    ( ~ esk2401_2(X1,X2)
    | ~ esk2402_2(X1,X2) )).

cnf(i_0_12342,axiom,
    ( esk3372_2(X1,X2)
    | ~ esk4809_2(X1,X2) )).

cnf(i_0_12343,axiom,
    ( esk3641_2(X1,X2)
    | esk3640_2(X1,X2) )).

cnf(i_0_12344,axiom,
    ( esk3368_2(X1,X2)
    | ~ esk4913_2(X1,X2) )).

cnf(i_0_12345,axiom,
    ( ~ esk1191_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk1195_2(X1,X2)
    | ~ esk5_2(X1,X2) )).

cnf(i_0_12346,axiom,
    ( ~ esk956_2(X1,X2)
    | ~ esk949_2(X1,X2) )).

cnf(i_0_12347,axiom,
    ( ~ esk866_2(X1,X2)
    | esk871_2(X1,X2)
    | ~ esk870_2(X1,X2) )).

cnf(i_0_12348,axiom,
    ( esk2992_2(X1,X2)
    | esk2993_2(X1,X2) )).

cnf(i_0_12349,axiom,
    ( esk2979_2(X1,X2)
    | esk150_2(X1,X2)
    | esk3003_2(X1,X2) )).

cnf(i_0_12350,axiom,
    ( esk4948_2(X1,X2)
    | esk4949_2(X1,X2) )).

cnf(i_0_12351,axiom,
    ( esk752_2(X1,X2)
    | ~ esk1485_2(X1,X2) )).

cnf(i_0_12352,axiom,
    ( ~ esk118_2(X1,X2)
    | ~ esk125_2(X1,X2)
    | esk602_2(X1,X2) )).

cnf(i_0_12353,axiom,
    ( ~ esk1958_2(X1,X2)
    | ~ esk1957_2(X1,X2) )).

cnf(i_0_12354,axiom,
    ( ~ esk4308_2(X1,X2)
    | ~ esk4309_2(X1,X2) )).

cnf(i_0_12355,axiom,
    ( ~ esk2412_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_12356,axiom,
    ( esk1997_2(X1,X2)
    | ~ esk1998_2(X1,X2) )).

cnf(i_0_12357,axiom,
    ( ~ esk512_2(X1,X2)
    | esk487_2(X1,X2) )).

cnf(i_0_12358,axiom,
    ( ~ esk3144_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_12359,axiom,
    ( ~ esk2693_2(X1,X2)
    | esk2697_2(X1,X2)
    | ~ esk2696_2(X1,X2) )).

cnf(i_0_12360,axiom,
    ( esk2859_2(X1,X2)
    | esk197_2(X1,X2)
    | ~ esk5510_2(X1,X2) )).

cnf(i_0_12361,axiom,
    ( ~ esk815_2(X1,X2)
    | ~ esk814_2(X1,X2) )).

cnf(i_0_12362,axiom,
    ( ~ esk1448_2(X1,X2)
    | ~ esk1449_2(X1,X2) )).

cnf(i_0_12363,axiom,
    ( ~ esk1628_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_12364,axiom,
    ( ~ esk1191_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_12365,axiom,
    ( ~ esk5286_2(X1,X2)
    | esk5287_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_12366,axiom,
    ( ~ esk2560_2(X1,X2)
    | esk2559_2(X1,X2) )).

cnf(i_0_12367,axiom,
    ( esk1548_2(X1,X2)
    | esk1549_2(X1,X2) )).

cnf(i_0_12368,axiom,
    ( esk240_2(X1,X2)
    | ~ esk241_2(X1,X2) )).

cnf(i_0_12369,axiom,
    ( esk5211_2(X1,X2)
    | ~ esk5216_2(X1,X2) )).

cnf(i_0_12370,axiom,
    ( ~ esk1919_2(X1,X2)
    | ~ esk1935_2(X1,X2) )).

cnf(i_0_12371,axiom,
    ( ~ esk5323_2(X1,X2)
    | esk5324_2(X1,X2)
    | ~ esk5319_2(X1,X2) )).

cnf(i_0_12372,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk4987_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | esk4988_2(X1,X2) )).

cnf(i_0_12373,axiom,
    ( esk4179_2(X1,X2)
    | esk4178_2(X1,X2) )).

cnf(i_0_12374,axiom,
    ( esk1763_2(X1,X2)
    | esk1418_2(X1,X2) )).

cnf(i_0_12375,axiom,
    ( esk1171_2(X1,X2)
    | esk1170_2(X1,X2) )).

cnf(i_0_12376,axiom,
    ( ~ esk4700_2(X1,X2)
    | esk3678_2(X1,X2) )).

cnf(i_0_12377,axiom,
    ( esk1374_2(X1,X2)
    | esk589_2(X1,X2) )).

cnf(i_0_12378,axiom,
    ( esk2473_2(X1,X2)
    | ~ esk2474_2(X1,X2) )).

cnf(i_0_12379,axiom,
    ( esk3614_2(X1,X2)
    | ~ esk5145_2(X1,X2) )).

cnf(i_0_12380,axiom,
    ( ~ esk784_2(X1,X2)
    | esk783_2(X1,X2) )).

cnf(i_0_12381,axiom,
    ( ~ esk1050_2(X1,X2)
    | esk1046_2(X1,X2) )).

cnf(i_0_12382,axiom,
    ( esk880_2(X1,X2)
    | esk5532_2(X1,X2)
    | ~ esk3542_2(X1,X2) )).

cnf(i_0_12383,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk74_2(X1,X2)
    | esk4315_2(X1,X2) )).

cnf(i_0_12384,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk5005_2(X1,X2) )).

cnf(i_0_12385,axiom,
    ( esk3852_2(X1,X2)
    | ~ esk3854_2(X1,X2) )).

cnf(i_0_12386,axiom,
    ( ~ esk2823_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_12387,axiom,
    ( ~ esk388_2(X1,X2)
    | ~ esk389_2(X1,X2) )).

cnf(i_0_12388,axiom,
    ( esk1799_2(X1,X2)
    | esk1801_2(X1,X2)
    | esk1798_2(X1,X2)
    | esk1800_2(X1,X2) )).

cnf(i_0_12389,axiom,
    ( esk4455_2(X1,X2)
    | esk4454_2(X1,X2) )).

cnf(i_0_12390,axiom,
    ( esk4383_2(X1,X2)
    | ~ esk1730_2(X1,X2)
    | esk5573_2(X1,X2) )).

cnf(i_0_12391,axiom,
    ( ~ esk2477_2(X1,X2)
    | esk2476_2(X1,X2) )).

cnf(i_0_12392,axiom,
    ( ~ esk3140_2(X1,X2)
    | ~ esk3139_2(X1,X2) )).

cnf(i_0_12393,axiom,
    ( ~ esk1575_2(X1,X2)
    | ~ esk1561_2(X1,X2) )).

cnf(i_0_12394,axiom,
    ( ~ esk2772_2(X1,X2)
    | ~ esk2773_2(X1,X2) )).

cnf(i_0_12395,axiom,
    ( ~ esk1829_2(X1,X2)
    | esk1599_2(X1,X2) )).

cnf(i_0_12396,axiom,
    ( esk3149_2(X1,X2)
    | ~ esk3162_2(X1,X2) )).

cnf(i_0_12397,axiom,
    ( esk143_2(X1,X2)
    | ~ esk803_2(X1,X2) )).

cnf(i_0_12398,axiom,
    ( ~ esk262_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_12399,axiom,
    ( ~ esk1311_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | esk1312_2(X1,X2) )).

cnf(i_0_12400,axiom,
    ( ~ esk251_2(X1,X2)
    | esk165_2(X1,X2) )).

cnf(i_0_12401,axiom,
    ( esk126_2(X1,X2)
    | ~ esk3187_2(X1,X2) )).

cnf(i_0_12402,axiom,
    ( ~ esk278_2(X1,X2)
    | ~ esk277_2(X1,X2) )).

cnf(i_0_12403,axiom,
    ( ~ esk2188_2(X1,X2)
    | ~ esk2189_2(X1,X2) )).

cnf(i_0_12404,axiom,
    ( ~ esk3471_2(X1,X2)
    | ~ esk3655_2(X1,X2)
    | esk3656_2(X1,X2) )).

cnf(i_0_12405,axiom,
    ( ~ esk1903_2(X1,X2)
    | esk85_2(X1,X2) )).

cnf(i_0_12406,axiom,
    ( ~ esk5474_2(X1,X2)
    | ~ esk5473_2(X1,X2) )).

cnf(i_0_12407,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5233_2(X1,X2) )).

cnf(i_0_12408,axiom,
    ( ~ esk3842_2(X1,X2)
    | ~ esk3841_2(X1,X2) )).

cnf(i_0_12409,axiom,
    ( esk6_2(X1,X2)
    | ~ esk5462_2(X1,X2) )).

cnf(i_0_12410,axiom,
    ( esk5228_2(X1,X2)
    | ~ esk5255_2(X1,X2) )).

cnf(i_0_12411,axiom,
    ( esk2214_2(X1,X2)
    | esk2215_2(X1,X2) )).

cnf(i_0_12412,axiom,
    ( esk423_2(X1,X2)
    | esk424_2(X1,X2) )).

cnf(i_0_12413,axiom,
    ( ~ esk2880_2(X1,X2)
    | esk2879_2(X1,X2) )).

cnf(i_0_12414,axiom,
    ( ~ esk2789_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk2790_2(X1,X2) )).

cnf(i_0_12415,axiom,
    ( esk5391_2(X1,X2)
    | esk5392_2(X1,X2) )).

cnf(i_0_12416,axiom,
    ( ~ esk3051_2(X1,X2)
    | ~ esk3048_2(X1,X2) )).

cnf(i_0_12417,axiom,
    ( ~ esk812_2(X1,X2)
    | ~ esk811_2(X1,X2) )).

cnf(i_0_12418,axiom,
    ( ~ esk1698_2(X1,X2)
    | esk73_2(X1,X2) )).

cnf(i_0_12419,axiom,
    ( ~ esk1565_2(X1,X2)
    | ~ esk1564_2(X1,X2) )).

cnf(i_0_12420,axiom,
    ( ~ esk2979_2(X1,X2)
    | esk3114_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_12421,axiom,
    ( ~ esk3759_2(X1,X2)
    | ~ esk3774_2(X1,X2) )).

cnf(i_0_12422,axiom,
    ( esk3414_2(X1,X2)
    | esk4129_2(X1,X2) )).

cnf(i_0_12423,axiom,
    ( ~ esk3770_2(X1,X2)
    | esk3771_2(X1,X2)
    | ~ esk3767_2(X1,X2) )).

cnf(i_0_12424,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk4422_2(X1,X2) )).

cnf(i_0_12425,axiom,
    ( esk31_2(X1,X2)
    | ~ esk2925_2(X1,X2) )).

cnf(i_0_12426,axiom,
    ( ~ esk178_2(X1,X2)
    | esk3888_2(X1,X2)
    | ~ esk3728_2(X1,X2)
    | ~ esk3887_2(X1,X2) )).

cnf(i_0_12427,axiom,
    ( ~ esk4248_2(X1,X2)
    | ~ esk4245_2(X1,X2) )).

cnf(i_0_12428,axiom,
    ( ~ esk5219_2(X1,X2)
    | ~ esk5220_2(X1,X2) )).

cnf(i_0_12429,axiom,
    ( esk771_2(X1,X2)
    | ~ esk775_2(X1,X2) )).

cnf(i_0_12430,axiom,
    ( ~ esk450_2(X1,X2)
    | ~ esk451_2(X1,X2) )).

cnf(i_0_12431,axiom,
    ( ~ esk4765_2(X1,X2)
    | esk4764_2(X1,X2) )).

cnf(i_0_12432,axiom,
    ( esk881_2(X1,X2)
    | ~ esk882_2(X1,X2) )).

cnf(i_0_12433,axiom,
    ( esk2730_2(X1,X2)
    | ~ esk2729_2(X1,X2)
    | ~ esk2725_2(X1,X2) )).

cnf(i_0_12434,axiom,
    ( esk2466_2(X1,X2)
    | ~ esk2467_2(X1,X2) )).

cnf(i_0_12435,axiom,
    ( esk702_2(X1,X2)
    | esk621_2(X1,X2) )).

cnf(i_0_12436,axiom,
    ( ~ esk5469_2(X1,X2)
    | ~ esk5470_2(X1,X2) )).

cnf(i_0_12437,axiom,
    ( ~ esk227_2(X1,X2)
    | esk211_2(X1,X2) )).

cnf(i_0_12438,axiom,
    ( ~ esk3161_2(X1,X2)
    | ~ esk3160_2(X1,X2) )).

cnf(i_0_12439,axiom,
    ( ~ esk4298_2(X1,X2)
    | ~ esk4301_2(X1,X2) )).

cnf(i_0_12440,axiom,
    ( ~ esk4339_2(X1,X2)
    | ~ esk4336_2(X1,X2) )).

cnf(i_0_12441,axiom,
    ( esk4815_2(X1,X2)
    | esk4814_2(X1,X2) )).

cnf(i_0_12442,axiom,
    ( ~ esk201_2(X1,X2)
    | ~ esk202_2(X1,X2) )).

cnf(i_0_12443,axiom,
    ( ~ esk768_2(X1,X2)
    | esk1499_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | ~ esk997_2(X1,X2) )).

cnf(i_0_12444,axiom,
    ( esk366_2(X1,X2)
    | ~ esk3028_2(X1,X2)
    | esk5526_2(X1,X2) )).

cnf(i_0_12445,axiom,
    ( esk4195_2(X1,X2)
    | esk4194_2(X1,X2) )).

cnf(i_0_12446,axiom,
    ( ~ esk2000_2(X1,X2)
    | ~ esk1999_2(X1,X2) )).

cnf(i_0_12447,axiom,
    ( ~ esk4982_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_12448,axiom,
    ( esk335_2(X1,X2)
    | esk336_2(X1,X2) )).

cnf(i_0_12449,axiom,
    ( esk4025_2(X1,X2)
    | esk4026_2(X1,X2) )).

cnf(i_0_12450,axiom,
    ( ~ esk5212_2(X1,X2)
    | ~ esk5211_2(X1,X2) )).

cnf(i_0_12451,axiom,
    ( esk3637_2(X1,X2)
    | ~ esk3808_2(X1,X2) )).

cnf(i_0_12452,axiom,
    ( esk1243_2(X1,X2)
    | esk1244_2(X1,X2) )).

cnf(i_0_12453,axiom,
    ( ~ esk1681_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk1888_2(X1,X2)
    | ~ esk1796_2(X1,X2) )).

cnf(i_0_12454,axiom,
    ( ~ esk705_2(X1,X2)
    | esk704_2(X1,X2) )).

cnf(i_0_12455,axiom,
    ( esk676_2(X1,X2)
    | ~ esk985_2(X1,X2) )).

cnf(i_0_12456,axiom,
    ( esk428_2(X1,X2)
    | ~ esk427_2(X1,X2)
    | ~ esk319_2(X1,X2) )).

cnf(i_0_12457,axiom,
    ( ~ esk3259_2(X1,X2)
    | ~ esk3258_2(X1,X2) )).

cnf(i_0_12458,axiom,
    ( esk1732_2(X1,X2)
    | ~ esk1734_2(X1,X2) )).

cnf(i_0_12459,axiom,
    ( ~ esk5248_2(X1,X2)
    | ~ esk5247_2(X1,X2) )).

cnf(i_0_12460,axiom,
    ( esk4003_2(X1,X2)
    | esk3203_2(X1,X2) )).

cnf(i_0_12461,axiom,
    ( ~ esk420_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_12462,axiom,
    ( ~ esk4758_2(X1,X2)
    | ~ esk4759_2(X1,X2) )).

cnf(i_0_12463,axiom,
    ( ~ esk4379_2(X1,X2)
    | esk56_2(X1,X2) )).

cnf(i_0_12464,axiom,
    ( esk2454_2(X1,X2)
    | esk2453_2(X1,X2)
    | esk2451_2(X1,X2) )).

cnf(i_0_12465,axiom,
    ( ~ esk902_2(X1,X2)
    | ~ esk901_2(X1,X2) )).

cnf(i_0_12466,axiom,
    ( ~ esk2368_2(X1,X2)
    | ~ esk2367_2(X1,X2) )).

cnf(i_0_12467,axiom,
    ( esk707_2(X1,X2)
    | ~ esk1017_2(X1,X2) )).

cnf(i_0_12468,axiom,
    ( ~ esk5048_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_12469,axiom,
    ( ~ esk5094_2(X1,X2)
    | ~ esk5095_2(X1,X2) )).

cnf(i_0_12470,axiom,
    ( esk2428_2(X1,X2)
    | esk2427_2(X1,X2) )).

cnf(i_0_12471,axiom,
    ( ~ esk2451_2(X1,X2)
    | ~ esk2454_2(X1,X2) )).

cnf(i_0_12472,axiom,
    ( ~ esk4781_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_12473,axiom,
    ( ~ esk1994_2(X1,X2)
    | esk1998_2(X1,X2)
    | ~ esk1997_2(X1,X2) )).

cnf(i_0_12474,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk4700_2(X1,X2) )).

cnf(i_0_12475,axiom,
    ( ~ esk1669_2(X1,X2)
    | esk72_2(X1,X2) )).

cnf(i_0_12476,axiom,
    ( esk673_2(X1,X2)
    | esk674_2(X1,X2) )).

cnf(i_0_12477,axiom,
    ( ~ esk1856_2(X1,X2)
    | ~ esk1854_2(X1,X2) )).

cnf(i_0_12478,axiom,
    ( ~ esk5293_2(X1,X2)
    | ~ esk5294_2(X1,X2) )).

cnf(i_0_12479,axiom,
    ( ~ esk3824_2(X1,X2)
    | esk4326_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk4233_2(X1,X2) )).

cnf(i_0_12480,axiom,
    ( ~ esk1254_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_12481,axiom,
    ( ~ esk5309_2(X1,X2)
    | ~ esk5308_2(X1,X2) )).

cnf(i_0_12482,axiom,
    ( esk2900_2(X1,X2)
    | ~ esk2903_2(X1,X2) )).

cnf(i_0_12483,axiom,
    ( ~ esk2654_2(X1,X2)
    | ~ esk2653_2(X1,X2) )).

cnf(i_0_12484,axiom,
    ( ~ esk3908_2(X1,X2)
    | ~ esk3906_2(X1,X2) )).

cnf(i_0_12485,axiom,
    ( ~ esk3603_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_12486,axiom,
    ( ~ esk373_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_12487,axiom,
    ( ~ esk3840_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_12488,axiom,
    ( esk127_2(X1,X2)
    | ~ esk3299_2(X1,X2) )).

cnf(i_0_12489,axiom,
    ( ~ esk3250_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_12490,axiom,
    ( esk94_2(X1,X2)
    | ~ esk399_2(X1,X2) )).

cnf(i_0_12491,axiom,
    ( ~ esk23_2(X1,X2)
    | ~ esk3700_2(X1,X2)
    | esk3701_2(X1,X2) )).

cnf(i_0_12492,axiom,
    ( esk1725_2(X1,X2)
    | ~ esk173_2(X1,X2)
    | ~ esk1724_2(X1,X2)
    | ~ esk1713_2(X1,X2) )).

cnf(i_0_12493,axiom,
    ( ~ esk349_2(X1,X2)
    | ~ esk348_2(X1,X2) )).

cnf(i_0_12494,axiom,
    ( ~ esk1497_2(X1,X2)
    | esk1496_2(X1,X2) )).

cnf(i_0_12495,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk745_2(X1,X2)
    | esk746_2(X1,X2) )).

cnf(i_0_12496,axiom,
    ( esk3334_2(X1,X2)
    | esk149_2(X1,X2) )).

cnf(i_0_12497,axiom,
    ( esk3298_2(X1,X2)
    | ~ esk3310_2(X1,X2) )).

cnf(i_0_12498,axiom,
    ( ~ esk2024_2(X1,X2)
    | esk2020_2(X1,X2) )).

cnf(i_0_12499,axiom,
    ( ~ esk3079_2(X1,X2)
    | ~ esk3080_2(X1,X2) )).

cnf(i_0_12500,axiom,
    ( esk2690_2(X1,X2)
    | ~ esk2695_2(X1,X2) )).

cnf(i_0_12501,axiom,
    ( esk2224_2(X1,X2)
    | esk698_2(X1,X2) )).

cnf(i_0_12502,axiom,
    ( ~ esk1186_2(X1,X2)
    | ~ esk1188_2(X1,X2) )).

cnf(i_0_12503,axiom,
    ( ~ esk184_2(X1,X2)
    | esk158_2(X1,X2) )).

cnf(i_0_12504,axiom,
    ( esk4560_2(X1,X2)
    | esk1907_2(X1,X2)
    | ~ esk5599_2(X1,X2) )).

cnf(i_0_12505,axiom,
    ( ~ esk3935_2(X1,X2)
    | ~ esk3947_2(X1,X2) )).

cnf(i_0_12506,axiom,
    ( esk223_2(X1,X2)
    | ~ esk224_2(X1,X2) )).

cnf(i_0_12507,axiom,
    ( esk175_2(X1,X2)
    | ~ esk5461_2(X1,X2) )).

cnf(i_0_12508,axiom,
    ( ~ esk3537_2(X1,X2)
    | ~ esk3540_2(X1,X2)
    | esk3541_2(X1,X2) )).

cnf(i_0_12509,axiom,
    ( ~ esk2426_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_12510,axiom,
    ( esk1976_2(X1,X2)
    | ~ esk1975_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_12511,axiom,
    ( esk624_2(X1,X2)
    | esk623_2(X1,X2) )).

cnf(i_0_12512,axiom,
    ( esk3700_2(X1,X2)
    | esk3314_2(X1,X2) )).

cnf(i_0_12513,axiom,
    ( ~ esk3053_2(X1,X2)
    | ~ esk3054_2(X1,X2) )).

cnf(i_0_12514,axiom,
    ( ~ esk3515_2(X1,X2)
    | ~ esk3516_2(X1,X2) )).

cnf(i_0_12515,axiom,
    ( ~ esk4800_2(X1,X2)
    | esk4801_2(X1,X2)
    | ~ esk4783_2(X1,X2) )).

cnf(i_0_12516,axiom,
    ( esk165_2(X1,X2)
    | ~ esk242_2(X1,X2) )).

cnf(i_0_12517,axiom,
    ( esk5384_2(X1,X2)
    | ~ esk5385_2(X1,X2) )).

cnf(i_0_12518,axiom,
    ( esk3835_2(X1,X2)
    | ~ esk3830_2(X1,X2)
    | ~ esk3834_2(X1,X2) )).

cnf(i_0_12519,axiom,
    ( ~ esk564_2(X1,X2)
    | ~ esk563_2(X1,X2) )).

cnf(i_0_12520,axiom,
    ( ~ esk4223_2(X1,X2)
    | esk4222_2(X1,X2) )).

cnf(i_0_12521,axiom,
    ( ~ esk3439_2(X1,X2)
    | esk3430_2(X1,X2) )).

cnf(i_0_12522,axiom,
    ( ~ esk4434_2(X1,X2)
    | esk4166_2(X1,X2) )).

cnf(i_0_12523,axiom,
    ( esk3533_2(X1,X2)
    | esk3534_2(X1,X2) )).

cnf(i_0_12524,axiom,
    ( ~ esk1182_2(X1,X2)
    | esk1181_2(X1,X2) )).

cnf(i_0_12525,axiom,
    ( ~ esk1677_2(X1,X2)
    | ~ esk1676_2(X1,X2) )).

cnf(i_0_12526,axiom,
    ( ~ esk1685_2(X1,X2)
    | esk78_2(X1,X2) )).

cnf(i_0_12527,axiom,
    ( esk1815_2(X1,X2)
    | esk1814_2(X1,X2) )).

cnf(i_0_12528,axiom,
    ( ~ esk4246_2(X1,X2)
    | ~ esk4248_2(X1,X2) )).

cnf(i_0_12529,axiom,
    ( ~ esk1969_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_12530,axiom,
    ( esk179_2(X1,X2)
    | ~ esk2783_2(X1,X2) )).

cnf(i_0_12531,axiom,
    ( ~ esk23_2(X1,X2)
    | esk3755_2(X1,X2)
    | ~ esk3351_2(X1,X2) )).

cnf(i_0_12532,axiom,
    ( ~ esk1743_2(X1,X2)
    | esk300_2(X1,X2) )).

cnf(i_0_12533,axiom,
    ( ~ esk4680_2(X1,X2)
    | esk4620_2(X1,X2) )).

cnf(i_0_12534,axiom,
    ( esk1785_2(X1,X2)
    | esk1784_2(X1,X2) )).

cnf(i_0_12535,axiom,
    ( esk1041_2(X1,X2)
    | ~ esk1070_2(X1,X2) )).

cnf(i_0_12536,axiom,
    ( ~ esk1826_2(X1,X2)
    | ~ esk1825_2(X1,X2) )).

cnf(i_0_12537,axiom,
    ( esk3507_2(X1,X2)
    | ~ esk3506_2(X1,X2)
    | ~ esk134_2(X1,X2) )).

cnf(i_0_12538,axiom,
    ( ~ esk5021_2(X1,X2)
    | ~ esk5018_2(X1,X2) )).

cnf(i_0_12539,axiom,
    ( ~ esk4166_2(X1,X2)
    | ~ esk3853_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk4434_2(X1,X2) )).

cnf(i_0_12540,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1455_2(X1,X2)
    | esk1793_2(X1,X2)
    | ~ esk1200_2(X1,X2) )).

cnf(i_0_12541,axiom,
    ( ~ esk5310_2(X1,X2)
    | ~ esk5311_2(X1,X2) )).

cnf(i_0_12542,axiom,
    ( esk4318_2(X1,X2)
    | esk1665_2(X1,X2)
    | ~ esk5566_2(X1,X2) )).

cnf(i_0_12543,axiom,
    ( ~ esk4739_2(X1,X2)
    | ~ esk4740_2(X1,X2) )).

cnf(i_0_12544,axiom,
    ( ~ esk5247_2(X1,X2)
    | esk5246_2(X1,X2) )).

cnf(i_0_12545,axiom,
    ( ~ esk2582_2(X1,X2)
    | ~ esk2581_2(X1,X2) )).

cnf(i_0_12546,axiom,
    ( esk2957_2(X1,X2)
    | esk2960_2(X1,X2)
    | esk2959_2(X1,X2) )).

cnf(i_0_12547,axiom,
    ( ~ esk1570_2(X1,X2)
    | esk1569_2(X1,X2) )).

cnf(i_0_12548,axiom,
    ( esk2787_2(X1,X2)
    | ~ esk2799_2(X1,X2) )).

cnf(i_0_12549,axiom,
    ( esk3333_2(X1,X2)
    | ~ esk3337_2(X1,X2) )).

cnf(i_0_12550,axiom,
    ( esk2982_2(X1,X2)
    | ~ esk2983_2(X1,X2) )).

cnf(i_0_12551,axiom,
    ( esk3782_2(X1,X2)
    | esk3783_2(X1,X2)
    | esk3781_2(X1,X2)
    | esk3779_2(X1,X2)
    | esk3780_2(X1,X2) )).

cnf(i_0_12552,axiom,
    ( ~ esk140_2(X1,X2)
    | ~ esk3459_2(X1,X2) )).

cnf(i_0_12553,axiom,
    ( ~ esk2005_2(X1,X2)
    | esk2019_2(X1,X2)
    | ~ esk2018_2(X1,X2) )).

cnf(i_0_12554,axiom,
    ( ~ esk599_2(X1,X2)
    | ~ esk5528_2(X1,X2)
    | ~ esk3261_2(X1,X2) )).

cnf(i_0_12555,axiom,
    ( ~ esk1715_2(X1,X2)
    | ~ esk633_2(X1,X2)
    | esk1716_2(X1,X2) )).

cnf(i_0_12556,axiom,
    ( ~ esk2962_2(X1,X2)
    | ~ esk2963_2(X1,X2) )).

cnf(i_0_12557,axiom,
    ( esk657_2(X1,X2)
    | esk656_2(X1,X2) )).

cnf(i_0_12558,axiom,
    ( esk1277_2(X1,X2)
    | ~ esk1281_2(X1,X2) )).

cnf(i_0_12559,axiom,
    ( ~ esk194_2(X1,X2)
    | esk5509_2(X1,X2)
    | esk2856_2(X1,X2) )).

cnf(i_0_12560,axiom,
    ( ~ esk602_2(X1,X2)
    | ~ esk603_2(X1,X2) )).

cnf(i_0_12561,axiom,
    ( ~ esk4887_2(X1,X2)
    | esk4888_2(X1,X2)
    | ~ esk4884_2(X1,X2) )).

cnf(i_0_12562,axiom,
    ( esk2013_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_12563,axiom,
    ( ~ esk3533_2(X1,X2)
    | esk3528_2(X1,X2) )).

cnf(i_0_12564,axiom,
    ( esk3267_2(X1,X2)
    | esk4208_2(X1,X2) )).

cnf(i_0_12565,axiom,
    ( esk212_2(X1,X2)
    | ~ esk220_2(X1,X2) )).

cnf(i_0_12566,axiom,
    ( ~ esk4338_2(X1,X2)
    | ~ esk4339_2(X1,X2) )).

cnf(i_0_12567,axiom,
    ( esk4546_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk4545_2(X1,X2) )).

cnf(i_0_12568,axiom,
    ( ~ esk871_2(X1,X2)
    | esk866_2(X1,X2) )).

cnf(i_0_12569,axiom,
    ( ~ esk1967_2(X1,X2)
    | ~ esk2028_2(X1,X2) )).

cnf(i_0_12570,axiom,
    ( esk5483_2(X1,X2)
    | esk5476_2(X1,X2)
    | esk5482_2(X1,X2)
    | esk5484_2(X1,X2)
    | esk5481_2(X1,X2) )).

cnf(i_0_12571,axiom,
    ( ~ esk4046_2(X1,X2)
    | esk3189_2(X1,X2) )).

cnf(i_0_12572,axiom,
    ( ~ esk5466_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_12573,axiom,
    ( ~ esk3607_2(X1,X2)
    | ~ esk3185_2(X1,X2)
    | esk5363_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_12574,axiom,
    ( ~ esk4334_2(X1,X2)
    | ~ esk4394_2(X1,X2)
    | ~ esk4333_2(X1,X2)
    | esk4554_2(X1,X2) )).

cnf(i_0_12575,axiom,
    ( ~ esk4353_2(X1,X2)
    | ~ esk4354_2(X1,X2) )).

cnf(i_0_12576,axiom,
    ( ~ esk1179_2(X1,X2)
    | ~ esk1180_2(X1,X2) )).

cnf(i_0_12577,axiom,
    ( esk4979_2(X1,X2)
    | ~ esk4978_2(X1,X2)
    | ~ esk4975_2(X1,X2) )).

cnf(i_0_12578,axiom,
    ( ~ esk779_2(X1,X2)
    | ~ esk780_2(X1,X2) )).

cnf(i_0_12579,axiom,
    ( ~ esk1943_2(X1,X2)
    | ~ esk1942_2(X1,X2) )).

cnf(i_0_12580,axiom,
    ( esk3102_2(X1,X2)
    | ~ esk3103_2(X1,X2) )).

cnf(i_0_12581,axiom,
    ( ~ esk4138_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_12582,axiom,
    ( ~ esk5144_2(X1,X2)
    | esk5143_2(X1,X2) )).

cnf(i_0_12583,axiom,
    ( ~ esk3354_2(X1,X2)
    | esk3353_2(X1,X2) )).

cnf(i_0_12584,axiom,
    ( ~ esk1983_2(X1,X2)
    | ~ esk1980_2(X1,X2) )).

cnf(i_0_12585,axiom,
    ( ~ esk1217_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_12586,axiom,
    ( esk1554_2(X1,X2)
    | ~ esk1558_2(X1,X2) )).

cnf(i_0_12587,axiom,
    ( esk3235_2(X1,X2)
    | ~ esk5287_2(X1,X2) )).

cnf(i_0_12588,axiom,
    ( ~ esk3489_2(X1,X2)
    | ~ esk3501_2(X1,X2) )).

cnf(i_0_12589,axiom,
    ( esk4480_2(X1,X2)
    | esk4479_2(X1,X2) )).

cnf(i_0_12590,axiom,
    ( esk639_2(X1,X2)
    | esk730_2(X1,X2) )).

cnf(i_0_12591,axiom,
    ( ~ esk1077_2(X1,X2)
    | ~ esk4_2(X1,X2) )).

cnf(i_0_12592,axiom,
    ( ~ esk3119_2(X1,X2)
    | ~ esk3727_2(X1,X2)
    | ~ esk3728_2(X1,X2)
    | esk3893_2(X1,X2) )).

cnf(i_0_12593,axiom,
    ( ~ esk5284_2(X1,X2)
    | esk5283_2(X1,X2) )).

cnf(i_0_12594,axiom,
    ( ~ esk2554_2(X1,X2)
    | ~ esk573_2(X1,X2) )).

cnf(i_0_12595,axiom,
    ( ~ esk1135_2(X1,X2)
    | esk982_2(X1,X2) )).

cnf(i_0_12596,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk40_2(X1,X2)
    | esk5478_2(X1,X2) )).

cnf(i_0_12597,axiom,
    ( esk639_2(X1,X2)
    | ~ esk644_2(X1,X2) )).

cnf(i_0_12598,axiom,
    ( ~ esk107_2(X1,X2)
    | ~ esk3115_2(X1,X2) )).

cnf(i_0_12599,axiom,
    ( esk3600_2(X1,X2)
    | esk3601_2(X1,X2) )).

cnf(i_0_12600,axiom,
    ( ~ esk4409_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_12601,axiom,
    ( esk605_2(X1,X2)
    | ~ esk1108_2(X1,X2) )).

cnf(i_0_12602,axiom,
    ( esk2561_2(X1,X2)
    | esk2560_2(X1,X2) )).

cnf(i_0_12603,axiom,
    ( ~ esk1027_2(X1,X2)
    | esk2134_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_12604,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk1947_2(X1,X2)
    | esk1948_2(X1,X2) )).

cnf(i_0_12605,axiom,
    ( esk2133_2(X1,X2)
    | esk2132_2(X1,X2) )).

cnf(i_0_12606,axiom,
    ( esk1238_2(X1,X2)
    | esk1239_2(X1,X2) )).

cnf(i_0_12607,axiom,
    ( esk3954_2(X1,X2)
    | ~ esk3958_2(X1,X2) )).

cnf(i_0_12608,axiom,
    ( ~ esk5245_2(X1,X2)
    | ~ esk5244_2(X1,X2) )).

cnf(i_0_12609,axiom,
    ( ~ esk1747_2(X1,X2)
    | ~ esk1746_2(X1,X2) )).

cnf(i_0_12610,axiom,
    ( esk3833_2(X1,X2)
    | ~ esk3837_2(X1,X2) )).

cnf(i_0_12611,axiom,
    ( ~ esk3096_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_12612,axiom,
    ( esk5338_2(X1,X2)
    | ~ esk5342_2(X1,X2) )).

cnf(i_0_12613,axiom,
    ( esk3141_2(X1,X2)
    | esk3143_2(X1,X2)
    | esk3144_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_12614,axiom,
    ( esk126_2(X1,X2)
    | ~ esk3175_2(X1,X2) )).

cnf(i_0_12615,axiom,
    ( ~ esk4355_2(X1,X2)
    | esk1702_2(X1,X2)
    | esk5571_2(X1,X2) )).

cnf(i_0_12616,axiom,
    ( esk2025_2(X1,X2)
    | esk2031_2(X1,X2) )).

cnf(i_0_12617,axiom,
    ( ~ esk4342_2(X1,X2)
    | esk4242_2(X1,X2) )).

cnf(i_0_12618,axiom,
    ( ~ esk3301_2(X1,X2)
    | ~ esk3389_2(X1,X2)
    | esk3390_2(X1,X2) )).

cnf(i_0_12619,axiom,
    ( esk3794_2(X1,X2)
    | esk3793_2(X1,X2) )).

cnf(i_0_12620,axiom,
    ( esk4692_2(X1,X2)
    | ~ esk4696_2(X1,X2) )).

cnf(i_0_12621,axiom,
    ( ~ esk3877_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_12622,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2339_2(X1,X2) )).

cnf(i_0_12623,axiom,
    ( esk3810_2(X1,X2)
    | esk3808_2(X1,X2)
    | esk3811_2(X1,X2)
    | esk3635_2(X1,X2)
    | esk3809_2(X1,X2) )).

cnf(i_0_12624,axiom,
    ( ~ esk1106_2(X1,X2)
    | esk1105_2(X1,X2) )).

cnf(i_0_12625,axiom,
    ( esk3849_2(X1,X2)
    | esk3846_2(X1,X2)
    | esk3848_2(X1,X2)
    | esk3850_2(X1,X2)
    | esk3847_2(X1,X2) )).

cnf(i_0_12626,axiom,
    ( ~ esk5065_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_12627,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4458_2(X1,X2) )).

cnf(i_0_12628,axiom,
    ( ~ esk2089_2(X1,X2)
    | ~ esk2088_2(X1,X2) )).

cnf(i_0_12629,axiom,
    ( ~ esk4276_2(X1,X2)
    | esk1623_2(X1,X2)
    | esk5560_2(X1,X2) )).

cnf(i_0_12630,axiom,
    ( esk3678_2(X1,X2)
    | esk4708_2(X1,X2)
    | esk4709_2(X1,X2)
    | esk4710_2(X1,X2) )).

cnf(i_0_12631,axiom,
    ( esk478_2(X1,X2)
    | ~ esk484_2(X1,X2) )).

cnf(i_0_12632,axiom,
    ( ~ esk1662_2(X1,X2)
    | esk74_2(X1,X2) )).

cnf(i_0_12633,axiom,
    ( esk5300_2(X1,X2)
    | esk5301_2(X1,X2) )).

cnf(i_0_12634,axiom,
    ( ~ esk1357_2(X1,X2)
    | ~ esk1356_2(X1,X2) )).

cnf(i_0_12635,axiom,
    ( esk4821_2(X1,X2)
    | esk4820_2(X1,X2) )).

cnf(i_0_12636,axiom,
    ( esk2197_2(X1,X2)
    | esk2323_2(X1,X2) )).

cnf(i_0_12637,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk71_2(X1,X2)
    | esk1675_2(X1,X2)
    | ~ esk1580_2(X1,X2) )).

cnf(i_0_12638,axiom,
    ( ~ esk4323_2(X1,X2)
    | ~ esk4324_2(X1,X2) )).

cnf(i_0_12639,axiom,
    ( ~ esk4088_2(X1,X2)
    | esk4087_2(X1,X2) )).

cnf(i_0_12640,axiom,
    ( ~ esk3676_2(X1,X2)
    | ~ esk4782_2(X1,X2) )).

cnf(i_0_12641,axiom,
    ( esk2097_2(X1,X2)
    | ~ esk2102_2(X1,X2) )).

cnf(i_0_12642,axiom,
    ( ~ esk2779_2(X1,X2)
    | ~ esk2778_2(X1,X2) )).

cnf(i_0_12643,axiom,
    ( esk916_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_12644,axiom,
    ( ~ esk3612_2(X1,X2)
    | ~ esk3259_2(X1,X2)
    | esk3613_2(X1,X2) )).

cnf(i_0_12645,axiom,
    ( ~ esk4019_2(X1,X2)
    | ~ esk4007_2(X1,X2) )).

cnf(i_0_12646,axiom,
    ( esk140_2(X1,X2)
    | esk454_2(X1,X2)
    | esk455_2(X1,X2)
    | esk452_2(X1,X2) )).

cnf(i_0_12647,axiom,
    ( ~ esk2496_2(X1,X2)
    | ~ esk2497_2(X1,X2) )).

cnf(i_0_12648,axiom,
    ( esk4417_2(X1,X2)
    | ~ esk4419_2(X1,X2) )).

cnf(i_0_12649,axiom,
    ( ~ esk1795_2(X1,X2)
    | ~ esk1794_2(X1,X2) )).

cnf(i_0_12650,axiom,
    ( esk2522_2(X1,X2)
    | esk2495_2(X1,X2) )).

cnf(i_0_12651,axiom,
    ( ~ esk1791_2(X1,X2)
    | ~ esk5581_2(X1,X2)
    | ~ esk4444_2(X1,X2) )).

cnf(i_0_12652,axiom,
    ( ~ esk978_2(X1,X2)
    | ~ esk977_2(X1,X2) )).

cnf(i_0_12653,axiom,
    ( ~ esk997_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_12654,axiom,
    ( ~ esk2507_2(X1,X2)
    | esk2506_2(X1,X2) )).

cnf(i_0_12655,axiom,
    ( ~ esk4542_2(X1,X2)
    | ~ esk4544_2(X1,X2) )).

cnf(i_0_12656,axiom,
    ( esk1015_2(X1,X2)
    | ~ esk708_2(X1,X2)
    | ~ esk604_2(X1,X2) )).

cnf(i_0_12657,axiom,
    ( ~ esk3365_2(X1,X2)
    | esk3364_2(X1,X2) )).

cnf(i_0_12658,axiom,
    ( ~ esk2869_2(X1,X2)
    | ~ esk2870_2(X1,X2) )).

cnf(i_0_12659,axiom,
    ( esk585_2(X1,X2)
    | esk2562_2(X1,X2) )).

cnf(i_0_12660,axiom,
    ( esk4243_2(X1,X2)
    | ~ esk4245_2(X1,X2) )).

cnf(i_0_12661,axiom,
    ( esk5365_2(X1,X2)
    | esk5366_2(X1,X2) )).

cnf(i_0_12662,axiom,
    ( ~ esk2419_2(X1,X2)
    | ~ esk107_2(X1,X2) )).

cnf(i_0_12663,axiom,
    ( esk3477_2(X1,X2)
    | esk3476_2(X1,X2) )).

cnf(i_0_12664,axiom,
    ( esk499_2(X1,X2)
    | esk498_2(X1,X2) )).

cnf(i_0_12665,axiom,
    ( ~ esk2406_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_12666,axiom,
    ( esk1531_2(X1,X2)
    | ~ esk1530_2(X1,X2)
    | ~ esk975_2(X1,X2) )).

cnf(i_0_12667,axiom,
    ( ~ esk4555_2(X1,X2)
    | esk4334_2(X1,X2) )).

cnf(i_0_12668,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk4709_2(X1,X2) )).

cnf(i_0_12669,axiom,
    ( ~ esk5335_2(X1,X2)
    | esk5340_2(X1,X2)
    | ~ esk5339_2(X1,X2) )).

cnf(i_0_12670,axiom,
    ( ~ esk253_2(X1,X2)
    | ~ esk68_2(X1,X2)
    | esk254_2(X1,X2) )).

cnf(i_0_12671,axiom,
    ( ~ esk1685_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_12672,axiom,
    ( ~ esk4023_2(X1,X2)
    | ~ esk4067_2(X1,X2) )).

cnf(i_0_12673,axiom,
    ( ~ esk605_2(X1,X2)
    | ~ esk604_2(X1,X2) )).

cnf(i_0_12674,axiom,
    ( esk3422_2(X1,X2)
    | ~ esk4153_2(X1,X2) )).

cnf(i_0_12675,axiom,
    ( ~ esk1917_2(X1,X2)
    | ~ esk1918_2(X1,X2) )).

cnf(i_0_12676,axiom,
    ( ~ esk3026_2(X1,X2)
    | ~ esk3027_2(X1,X2) )).

cnf(i_0_12677,axiom,
    ( ~ esk5202_2(X1,X2)
    | esk5198_2(X1,X2) )).

cnf(i_0_12678,axiom,
    ( ~ esk666_2(X1,X2)
    | ~ esk667_2(X1,X2) )).

cnf(i_0_12679,axiom,
    ( esk2335_2(X1,X2)
    | ~ esk142_2(X1,X2)
    | ~ esk2334_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_12680,axiom,
    ( ~ esk600_2(X1,X2)
    | esk618_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_12681,axiom,
    ( esk2971_2(X1,X2)
    | ~ esk3029_2(X1,X2) )).

cnf(i_0_12682,axiom,
    ( ~ esk4321_2(X1,X2)
    | esk4233_2(X1,X2) )).

cnf(i_0_12683,axiom,
    ( ~ esk2657_2(X1,X2)
    | ~ esk2658_2(X1,X2) )).

cnf(i_0_12684,axiom,
    ( ~ esk2573_2(X1,X2)
    | esk573_2(X1,X2) )).

cnf(i_0_12685,axiom,
    ( esk3430_2(X1,X2)
    | ~ esk4153_2(X1,X2) )).

cnf(i_0_12686,axiom,
    ( esk3302_2(X1,X2)
    | esk3301_2(X1,X2) )).

cnf(i_0_12687,axiom,
    ( ~ esk3725_2(X1,X2)
    | esk4342_2(X1,X2)
    | ~ esk4243_2(X1,X2)
    | ~ esk4242_2(X1,X2) )).

cnf(i_0_12688,axiom,
    ( esk1545_2(X1,X2)
    | ~ esk1546_2(X1,X2) )).

cnf(i_0_12689,axiom,
    ( ~ esk2057_2(X1,X2)
    | ~ esk2061_2(X1,X2) )).

cnf(i_0_12690,axiom,
    ( esk5196_2(X1,X2)
    | ~ esk5197_2(X1,X2) )).

cnf(i_0_12691,axiom,
    ( ~ esk3132_2(X1,X2)
    | ~ esk3133_2(X1,X2) )).

cnf(i_0_12692,axiom,
    ( ~ esk5332_2(X1,X2)
    | esk5327_2(X1,X2) )).

cnf(i_0_12693,axiom,
    ( ~ esk2904_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_12694,axiom,
    ( ~ esk2008_2(X1,X2)
    | esk2007_2(X1,X2) )).

cnf(i_0_12695,axiom,
    ( ~ esk3711_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_12696,axiom,
    ( ~ esk597_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | ~ esk561_2(X1,X2)
    | ~ esk585_2(X1,X2)
    | ~ esk549_2(X1,X2)
    | esk598_2(X1,X2) )).

cnf(i_0_12697,axiom,
    ( esk2070_2(X1,X2)
    | esk2071_2(X1,X2) )).

cnf(i_0_12698,axiom,
    ( esk3326_2(X1,X2)
    | ~ esk3639_2(X1,X2) )).

cnf(i_0_12699,axiom,
    ( ~ esk1862_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_12700,axiom,
    ( ~ esk494_2(X1,X2)
    | ~ esk493_2(X1,X2) )).

cnf(i_0_12701,axiom,
    ( ~ esk2231_2(X1,X2)
    | esk2235_2(X1,X2)
    | ~ esk2234_2(X1,X2) )).

cnf(i_0_12702,axiom,
    ( ~ esk3081_2(X1,X2)
    | esk3080_2(X1,X2) )).

cnf(i_0_12703,axiom,
    ( ~ esk4401_2(X1,X2)
    | ~ esk1748_2(X1,X2)
    | ~ esk5576_2(X1,X2) )).

cnf(i_0_12704,axiom,
    ( esk176_2(X1,X2)
    | ~ esk1841_2(X1,X2) )).

cnf(i_0_12705,axiom,
    ( ~ esk3297_2(X1,X2)
    | ~ esk3351_2(X1,X2)
    | esk3352_2(X1,X2) )).

cnf(i_0_12706,axiom,
    ( ~ esk2982_2(X1,X2)
    | ~ esk130_2(X1,X2) )).

cnf(i_0_12707,axiom,
    ( ~ esk3547_2(X1,X2)
    | ~ esk3548_2(X1,X2) )).

cnf(i_0_12708,axiom,
    ( esk1400_2(X1,X2)
    | ~ esk1401_2(X1,X2) )).

cnf(i_0_12709,axiom,
    ( ~ esk5135_2(X1,X2)
    | ~ esk5134_2(X1,X2) )).

cnf(i_0_12710,axiom,
    ( esk1525_2(X1,X2)
    | esk1524_2(X1,X2) )).

cnf(i_0_12711,axiom,
    ( esk4_2(X1,X2)
    | ~ esk3912_2(X1,X2) )).

cnf(i_0_12712,axiom,
    ( esk644_2(X1,X2)
    | esk645_2(X1,X2) )).

cnf(i_0_12713,axiom,
    ( ~ esk4263_2(X1,X2)
    | ~ esk4264_2(X1,X2) )).

cnf(i_0_12714,axiom,
    ( esk3227_2(X1,X2)
    | ~ esk3229_2(X1,X2) )).

cnf(i_0_12715,axiom,
    ( esk3805_2(X1,X2)
    | esk3806_2(X1,X2) )).

cnf(i_0_12716,axiom,
    ( ~ esk4445_2(X1,X2)
    | esk3853_2(X1,X2) )).

cnf(i_0_12717,axiom,
    ( esk4767_2(X1,X2)
    | ~ esk4768_2(X1,X2) )).

cnf(i_0_12718,axiom,
    ( esk1426_2(X1,X2)
    | ~ esk1453_2(X1,X2) )).

cnf(i_0_12719,axiom,
    ( ~ esk4812_2(X1,X2)
    | esk4811_2(X1,X2) )).

cnf(i_0_12720,axiom,
    ( ~ esk1174_2(X1,X2)
    | esk688_2(X1,X2) )).

cnf(i_0_12721,axiom,
    ( ~ esk4227_2(X1,X2)
    | ~ esk4228_2(X1,X2) )).

cnf(i_0_12722,axiom,
    ( esk3677_2(X1,X2)
    | ~ esk3676_2(X1,X2)
    | ~ esk3404_2(X1,X2) )).

cnf(i_0_12723,axiom,
    ( ~ esk2012_2(X1,X2)
    | ~ esk2015_2(X1,X2) )).

cnf(i_0_12724,axiom,
    ( ~ esk530_2(X1,X2)
    | esk534_2(X1,X2)
    | ~ esk533_2(X1,X2) )).

cnf(i_0_12725,axiom,
    ( ~ esk2469_2(X1,X2)
    | esk2465_2(X1,X2) )).

cnf(i_0_12726,axiom,
    ( ~ esk1751_2(X1,X2)
    | ~ esk1752_2(X1,X2) )).

cnf(i_0_12727,axiom,
    ( esk556_2(X1,X2)
    | ~ esk560_2(X1,X2) )).

cnf(i_0_12728,axiom,
    ( esk4602_2(X1,X2)
    | esk4603_2(X1,X2) )).

cnf(i_0_12729,axiom,
    ( ~ esk3301_2(X1,X2)
    | ~ esk3392_2(X1,X2) )).

cnf(i_0_12730,axiom,
    ( ~ esk1346_2(X1,X2)
    | ~ esk1762_2(X1,X2) )).

cnf(i_0_12731,axiom,
    ( esk4914_2(X1,X2)
    | esk4915_2(X1,X2) )).

cnf(i_0_12732,axiom,
    ( ~ esk3912_2(X1,X2)
    | ~ esk3913_2(X1,X2) )).

cnf(i_0_12733,axiom,
    ( ~ esk1589_2(X1,X2)
    | ~ esk1590_2(X1,X2)
    | esk1696_2(X1,X2)
    | ~ esk1189_2(X1,X2) )).

cnf(i_0_12734,axiom,
    ( ~ esk1811_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_12735,axiom,
    ( ~ esk3233_2(X1,X2)
    | ~ esk3232_2(X1,X2) )).

cnf(i_0_12736,axiom,
    ( esk16_2(X1,X2)
    | ~ esk1603_2(X1,X2) )).

cnf(i_0_12737,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk5147_2(X1,X2) )).

cnf(i_0_12738,axiom,
    ( ~ esk1925_2(X1,X2)
    | esk1931_2(X1,X2)
    | ~ esk1930_2(X1,X2) )).

cnf(i_0_12739,axiom,
    ( esk2638_2(X1,X2)
    | esk2637_2(X1,X2) )).

cnf(i_0_12740,axiom,
    ( esk4738_2(X1,X2)
    | ~ esk4739_2(X1,X2) )).

cnf(i_0_12741,axiom,
    ( esk5586_2(X1,X2)
    | ~ esk1821_2(X1,X2)
    | esk4474_2(X1,X2) )).

cnf(i_0_12742,axiom,
    ( ~ esk1087_2(X1,X2)
    | ~ esk1086_2(X1,X2) )).

cnf(i_0_12743,axiom,
    ( esk3001_2(X1,X2)
    | esk3002_2(X1,X2) )).

cnf(i_0_12744,axiom,
    ( esk3624_2(X1,X2)
    | esk3623_2(X1,X2) )).

cnf(i_0_12745,axiom,
    ( ~ esk4751_2(X1,X2)
    | ~ esk4750_2(X1,X2) )).

cnf(i_0_12746,axiom,
    ( ~ esk3382_2(X1,X2)
    | esk3318_2(X1,X2) )).

cnf(i_0_12747,axiom,
    ( ~ esk2268_2(X1,X2)
    | esk2263_2(X1,X2) )).

cnf(i_0_12748,axiom,
    ( esk4732_2(X1,X2)
    | ~ esk4733_2(X1,X2) )).

cnf(i_0_12749,axiom,
    ( esk3776_2(X1,X2)
    | esk3775_2(X1,X2) )).

cnf(i_0_12750,axiom,
    ( ~ esk3657_2(X1,X2)
    | esk3227_2(X1,X2) )).

cnf(i_0_12751,axiom,
    ( ~ esk2048_2(X1,X2)
    | esk1027_2(X1,X2) )).

cnf(i_0_12752,axiom,
    ( ~ esk5148_2(X1,X2)
    | ~ esk3612_2(X1,X2) )).

cnf(i_0_12753,axiom,
    ( ~ esk759_2(X1,X2)
    | ~ esk760_2(X1,X2) )).

cnf(i_0_12754,axiom,
    ( ~ esk5239_2(X1,X2)
    | esk5236_2(X1,X2) )).

cnf(i_0_12755,axiom,
    ( ~ esk146_2(X1,X2)
    | ~ esk3166_2(X1,X2) )).

cnf(i_0_12756,axiom,
    ( esk2593_2(X1,X2)
    | ~ esk2594_2(X1,X2) )).

cnf(i_0_12757,axiom,
    ( esk2374_2(X1,X2)
    | esk2375_2(X1,X2) )).

cnf(i_0_12758,axiom,
    ( ~ esk100_2(X1,X2)
    | esk4665_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_12759,axiom,
    ( esk4912_2(X1,X2)
    | ~ esk4926_2(X1,X2) )).

cnf(i_0_12760,axiom,
    ( esk4889_2(X1,X2)
    | esk4890_2(X1,X2) )).

cnf(i_0_12761,axiom,
    ( esk3372_2(X1,X2)
    | ~ esk4781_2(X1,X2) )).

cnf(i_0_12762,axiom,
    ( esk4688_2(X1,X2)
    | ~ esk4683_2(X1,X2)
    | ~ esk4687_2(X1,X2) )).

cnf(i_0_12763,axiom,
    ( esk5069_2(X1,X2)
    | esk5068_2(X1,X2) )).

cnf(i_0_12764,axiom,
    ( ~ esk2417_2(X1,X2)
    | esk2411_2(X1,X2) )).

cnf(i_0_12765,axiom,
    ( ~ esk998_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_12766,axiom,
    ( esk107_2(X1,X2)
    | esk447_2(X1,X2) )).

cnf(i_0_12767,axiom,
    ( esk1192_2(X1,X2)
    | ~ esk2813_2(X1,X2) )).

cnf(i_0_12768,axiom,
    ( esk4710_2(X1,X2)
    | ~ esk4712_2(X1,X2) )).

cnf(i_0_12769,axiom,
    ( esk785_2(X1,X2)
    | ~ esk818_2(X1,X2) )).

cnf(i_0_12770,axiom,
    ( esk3033_2(X1,X2)
    | esk3034_2(X1,X2) )).

cnf(i_0_12771,axiom,
    ( esk4922_2(X1,X2)
    | ~ esk4923_2(X1,X2) )).

cnf(i_0_12772,axiom,
    ( ~ esk1683_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_12773,axiom,
    ( ~ esk3766_2(X1,X2)
    | esk3296_2(X1,X2) )).

cnf(i_0_12774,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1817_2(X1,X2) )).

cnf(i_0_12775,axiom,
    ( esk4236_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk3741_2(X1,X2) )).

cnf(i_0_12776,axiom,
    ( ~ esk5107_2(X1,X2)
    | ~ esk5108_2(X1,X2) )).

cnf(i_0_12777,axiom,
    ( esk2419_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_12778,axiom,
    ( ~ esk4471_2(X1,X2)
    | ~ esk4473_2(X1,X2) )).

cnf(i_0_12779,axiom,
    ( ~ esk503_2(X1,X2)
    | ~ esk761_2(X1,X2) )).

cnf(i_0_12780,axiom,
    ( ~ esk256_2(X1,X2)
    | esk9_2(X1,X2) )).

cnf(i_0_12781,axiom,
    ( esk664_2(X1,X2)
    | ~ esk1136_2(X1,X2) )).

cnf(i_0_12782,axiom,
    ( ~ esk2831_2(X1,X2)
    | ~ esk2829_2(X1,X2) )).

cnf(i_0_12783,axiom,
    ( esk2854_2(X1,X2)
    | ~ esk192_2(X1,X2)
    | esk5507_2(X1,X2) )).

cnf(i_0_12784,axiom,
    ( ~ esk3040_2(X1,X2)
    | esk3854_2(X1,X2)
    | ~ esk3852_2(X1,X2)
    | ~ esk3853_2(X1,X2) )).

cnf(i_0_12785,axiom,
    ( ~ esk1907_2(X1,X2)
    | esk1906_2(X1,X2) )).

cnf(i_0_12786,axiom,
    ( ~ esk4140_2(X1,X2)
    | ~ esk3646_2(X1,X2) )).

cnf(i_0_12787,axiom,
    ( ~ esk2711_2(X1,X2)
    | ~ esk2712_2(X1,X2) )).

cnf(i_0_12788,axiom,
    ( ~ esk4256_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_12789,axiom,
    ( ~ esk4871_2(X1,X2)
    | ~ esk4870_2(X1,X2) )).

cnf(i_0_12790,axiom,
    ( ~ esk1620_2(X1,X2)
    | ~ esk1622_2(X1,X2) )).

cnf(i_0_12791,axiom,
    ( ~ esk3824_2(X1,X2)
    | esk4259_2(X1,X2)
    | ~ esk3778_2(X1,X2)
    | ~ esk3777_2(X1,X2) )).

cnf(i_0_12792,axiom,
    ( esk5319_2(X1,X2)
    | ~ esk5324_2(X1,X2) )).

cnf(i_0_12793,axiom,
    ( ~ esk5468_2(X1,X2)
    | ~ esk5470_2(X1,X2) )).

cnf(i_0_12794,axiom,
    ( esk1542_2(X1,X2)
    | esk1541_2(X1,X2) )).

cnf(i_0_12795,axiom,
    ( esk783_2(X1,X2)
    | esk782_2(X1,X2) )).

cnf(i_0_12796,axiom,
    ( ~ esk4426_2(X1,X2)
    | ~ esk4425_2(X1,X2) )).

cnf(i_0_12797,axiom,
    ( ~ esk5124_2(X1,X2)
    | ~ esk5123_2(X1,X2) )).

cnf(i_0_12798,axiom,
    ( esk3342_2(X1,X2)
    | esk3343_2(X1,X2) )).

cnf(i_0_12799,axiom,
    ( esk372_2(X1,X2)
    | ~ esk378_2(X1,X2) )).

cnf(i_0_12800,axiom,
    ( esk2237_2(X1,X2)
    | esk2236_2(X1,X2) )).

cnf(i_0_12801,axiom,
    ( ~ esk23_2(X1,X2)
    | ~ esk1047_2(X1,X2)
    | esk1048_2(X1,X2) )).

cnf(i_0_12802,axiom,
    ( esk1077_2(X1,X2)
    | esk4_2(X1,X2) )).

cnf(i_0_12803,axiom,
    ( ~ esk4113_2(X1,X2)
    | ~ esk4114_2(X1,X2) )).

cnf(i_0_12804,axiom,
    ( esk90_2(X1,X2)
    | esk4422_2(X1,X2) )).

cnf(i_0_12805,axiom,
    ( esk5605_2(X1,X2)
    | ~ esk5495_2(X1,X2)
    | esk2842_2(X1,X2) )).

cnf(i_0_12806,axiom,
    ( esk846_2(X1,X2)
    | ~ esk850_2(X1,X2) )).

cnf(i_0_12807,axiom,
    ( esk3678_2(X1,X2)
    | ~ esk4778_2(X1,X2) )).

cnf(i_0_12808,axiom,
    ( ~ esk3327_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_12809,axiom,
    ( esk2257_2(X1,X2)
    | esk2258_2(X1,X2)
    | esk2255_2(X1,X2)
    | esk604_2(X1,X2)
    | esk2256_2(X1,X2) )).

cnf(i_0_12810,axiom,
    ( ~ esk179_2(X1,X2)
    | esk5448_2(X1,X2)
    | ~ esk39_2(X1,X2) )).

cnf(i_0_12811,axiom,
    ( esk1184_2(X1,X2)
    | ~ esk1183_2(X1,X2)
    | ~ esk1180_2(X1,X2) )).

cnf(i_0_12812,axiom,
    ( ~ esk3387_2(X1,X2)
    | esk3386_2(X1,X2) )).

cnf(i_0_12813,axiom,
    ( esk1099_2(X1,X2)
    | esk1100_2(X1,X2) )).

cnf(i_0_12814,axiom,
    ( ~ esk1851_2(X1,X2)
    | ~ esk5591_2(X1,X2)
    | ~ esk4504_2(X1,X2) )).

cnf(i_0_12815,axiom,
    ( ~ esk4290_2(X1,X2)
    | ~ esk4289_2(X1,X2) )).

cnf(i_0_12816,axiom,
    ( ~ esk1644_2(X1,X2)
    | esk1191_2(X1,X2) )).

cnf(i_0_12817,axiom,
    ( ~ esk1590_2(X1,X2)
    | ~ esk1273_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | esk1690_2(X1,X2) )).

cnf(i_0_12818,axiom,
    ( esk43_2(X1,X2)
    | ~ esk1807_2(X1,X2) )).

cnf(i_0_12819,axiom,
    ( esk5569_2(X1,X2)
    | esk1688_2(X1,X2)
    | ~ esk4341_2(X1,X2) )).

cnf(i_0_12820,axiom,
    ( esk1388_2(X1,X2)
    | ~ esk113_2(X1,X2)
    | ~ esk537_2(X1,X2) )).

cnf(i_0_12821,axiom,
    ( esk5301_2(X1,X2)
    | ~ esk5302_2(X1,X2) )).

cnf(i_0_12822,axiom,
    ( esk4304_2(X1,X2)
    | ~ esk4505_2(X1,X2) )).

cnf(i_0_12823,axiom,
    ( esk1570_2(X1,X2)
    | ~ esk1565_2(X1,X2)
    | ~ esk1569_2(X1,X2) )).

cnf(i_0_12824,axiom,
    ( esk4783_2(X1,X2)
    | esk4782_2(X1,X2) )).

cnf(i_0_12825,axiom,
    ( esk5444_2(X1,X2)
    | esk5445_2(X1,X2) )).

cnf(i_0_12826,axiom,
    ( ~ esk3685_2(X1,X2)
    | ~ esk3686_2(X1,X2) )).

cnf(i_0_12827,axiom,
    ( esk4858_2(X1,X2)
    | ~ esk4859_2(X1,X2) )).

cnf(i_0_12828,axiom,
    ( ~ esk121_2(X1,X2)
    | ~ esk270_2(X1,X2) )).

cnf(i_0_12829,axiom,
    ( esk5056_2(X1,X2)
    | ~ esk5057_2(X1,X2) )).

cnf(i_0_12830,axiom,
    ( ~ esk2116_2(X1,X2)
    | ~ esk2115_2(X1,X2) )).

cnf(i_0_12831,axiom,
    ( ~ esk3720_2(X1,X2)
    | ~ esk3721_2(X1,X2) )).

cnf(i_0_12832,axiom,
    ( ~ esk4360_2(X1,X2)
    | ~ esk4356_2(X1,X2) )).

cnf(i_0_12833,axiom,
    ( ~ esk3956_2(X1,X2)
    | esk3955_2(X1,X2) )).

cnf(i_0_12834,axiom,
    ( ~ esk4780_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_12835,axiom,
    ( esk3732_2(X1,X2)
    | esk3731_2(X1,X2) )).

cnf(i_0_12836,axiom,
    ( esk3413_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_12837,axiom,
    ( esk2054_2(X1,X2)
    | ~ esk2067_2(X1,X2) )).

cnf(i_0_12838,axiom,
    ( ~ esk3368_2(X1,X2)
    | ~ esk3360_2(X1,X2)
    | esk4913_2(X1,X2) )).

cnf(i_0_12839,axiom,
    ( ~ esk2023_2(X1,X2)
    | ~ esk2022_2(X1,X2) )).

cnf(i_0_12840,axiom,
    ( esk613_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_12841,axiom,
    ( esk178_2(X1,X2)
    | ~ esk5443_2(X1,X2) )).

cnf(i_0_12842,axiom,
    ( ~ esk4183_2(X1,X2)
    | ~ esk3628_2(X1,X2)
    | esk4184_2(X1,X2) )).

cnf(i_0_12843,axiom,
    ( ~ esk4680_2(X1,X2)
    | ~ esk4683_2(X1,X2) )).

cnf(i_0_12844,axiom,
    ( ~ esk5086_2(X1,X2)
    | ~ esk5070_2(X1,X2) )).

cnf(i_0_12845,axiom,
    ( esk4010_2(X1,X2)
    | esk4009_2(X1,X2) )).

cnf(i_0_12846,axiom,
    ( esk3306_2(X1,X2)
    | ~ esk3305_2(X1,X2)
    | ~ esk3301_2(X1,X2) )).

cnf(i_0_12847,axiom,
    ( ~ esk5365_2(X1,X2)
    | ~ esk5362_2(X1,X2) )).

cnf(i_0_12848,axiom,
    ( ~ esk30_2(X1,X2)
    | ~ esk2902_2(X1,X2)
    | esk2917_2(X1,X2)
    | ~ esk2900_2(X1,X2) )).

cnf(i_0_12849,axiom,
    ( esk100_2(X1,X2)
    | ~ esk5052_2(X1,X2) )).

cnf(i_0_12850,axiom,
    ( ~ esk1823_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_12851,axiom,
    ( ~ esk4786_2(X1,X2)
    | ~ esk4785_2(X1,X2) )).

cnf(i_0_12852,axiom,
    ( ~ esk3985_2(X1,X2)
    | ~ esk3984_2(X1,X2) )).

cnf(i_0_12853,axiom,
    ( ~ esk4062_2(X1,X2)
    | esk4057_2(X1,X2) )).

cnf(i_0_12854,axiom,
    ( ~ esk3138_2(X1,X2)
    | ~ esk3135_2(X1,X2) )).

cnf(i_0_12855,axiom,
    ( esk1368_2(X1,X2)
    | ~ esk1369_2(X1,X2) )).

cnf(i_0_12856,axiom,
    ( ~ esk1526_2(X1,X2)
    | ~ esk1525_2(X1,X2) )).

cnf(i_0_12857,axiom,
    ( ~ esk1582_2(X1,X2)
    | ~ esk1586_2(X1,X2) )).

cnf(i_0_12858,axiom,
    ( ~ esk4359_2(X1,X2)
    | esk70_2(X1,X2) )).

cnf(i_0_12859,axiom,
    ( ~ esk2715_2(X1,X2)
    | ~ esk2714_2(X1,X2) )).

cnf(i_0_12860,axiom,
    ( esk5558_2(X1,X2)
    | ~ esk1611_2(X1,X2)
    | esk4264_2(X1,X2) )).

cnf(i_0_12861,axiom,
    ( ~ esk4059_2(X1,X2)
    | esk4039_2(X1,X2) )).

cnf(i_0_12862,axiom,
    ( esk3579_2(X1,X2)
    | esk3580_2(X1,X2) )).

cnf(i_0_12863,axiom,
    ( ~ esk160_2(X1,X2)
    | ~ esk70_2(X1,X2)
    | esk4329_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_12864,axiom,
    ( ~ esk975_2(X1,X2)
    | ~ esk629_2(X1,X2)
    | esk1550_2(X1,X2) )).

cnf(i_0_12865,axiom,
    ( ~ esk875_2(X1,X2)
    | ~ esk874_2(X1,X2) )).

cnf(i_0_12866,axiom,
    ( ~ esk3294_2(X1,X2)
    | ~ esk3293_2(X1,X2) )).

cnf(i_0_12867,axiom,
    ( ~ esk3923_2(X1,X2)
    | ~ esk3925_2(X1,X2) )).

cnf(i_0_12868,axiom,
    ( esk4767_2(X1,X2)
    | esk4766_2(X1,X2) )).

cnf(i_0_12869,axiom,
    ( esk3103_2(X1,X2)
    | esk3104_2(X1,X2)
    | esk3101_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_12870,axiom,
    ( ~ esk4442_2(X1,X2)
    | ~ esk4443_2(X1,X2) )).

cnf(i_0_12871,axiom,
    ( esk5432_2(X1,X2)
    | esk5431_2(X1,X2) )).

cnf(i_0_12872,axiom,
    ( esk977_2(X1,X2)
    | esk978_2(X1,X2) )).

cnf(i_0_12873,axiom,
    ( ~ esk1501_2(X1,X2)
    | ~ esk1500_2(X1,X2) )).

cnf(i_0_12874,axiom,
    ( ~ esk4529_2(X1,X2)
    | ~ esk4530_2(X1,X2) )).

cnf(i_0_12875,axiom,
    ( ~ esk3984_2(X1,X2)
    | esk3980_2(X1,X2) )).

cnf(i_0_12876,axiom,
    ( esk3905_2(X1,X2)
    | esk4074_2(X1,X2) )).

cnf(i_0_12877,axiom,
    ( esk4856_2(X1,X2)
    | esk4855_2(X1,X2) )).

cnf(i_0_12878,axiom,
    ( ~ esk3869_2(X1,X2)
    | esk3868_2(X1,X2) )).

cnf(i_0_12879,axiom,
    ( ~ esk5403_2(X1,X2)
    | ~ esk3197_2(X1,X2)
    | esk5404_2(X1,X2) )).

cnf(i_0_12880,axiom,
    ( ~ esk2830_2(X1,X2)
    | esk81_2(X1,X2) )).

cnf(i_0_12881,axiom,
    ( esk3213_2(X1,X2)
    | esk3214_2(X1,X2)
    | esk3212_2(X1,X2) )).

cnf(i_0_12882,axiom,
    ( esk4598_2(X1,X2)
    | esk4597_2(X1,X2) )).

cnf(i_0_12883,axiom,
    ( ~ esk324_2(X1,X2)
    | esk323_2(X1,X2) )).

cnf(i_0_12884,axiom,
    ( esk5309_2(X1,X2)
    | esk5310_2(X1,X2) )).

cnf(i_0_12885,axiom,
    ( esk1583_2(X1,X2)
    | esk1586_2(X1,X2)
    | esk1582_2(X1,X2)
    | esk1585_2(X1,X2)
    | esk1584_2(X1,X2) )).

cnf(i_0_12886,axiom,
    ( ~ esk4629_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_12887,axiom,
    ( ~ esk2181_2(X1,X2)
    | esk2185_2(X1,X2)
    | ~ esk2184_2(X1,X2) )).

cnf(i_0_12888,axiom,
    ( ~ esk1138_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_12889,axiom,
    ( esk2526_2(X1,X2)
    | esk2525_2(X1,X2) )).

cnf(i_0_12890,axiom,
    ( ~ esk153_2(X1,X2)
    | ~ esk2848_2(X1,X2) )).

cnf(i_0_12891,axiom,
    ( ~ esk3607_2(X1,X2)
    | esk3153_2(X1,X2) )).

cnf(i_0_12892,axiom,
    ( esk3271_2(X1,X2)
    | ~ esk3354_2(X1,X2) )).

cnf(i_0_12893,axiom,
    ( ~ esk3792_2(X1,X2)
    | ~ esk3793_2(X1,X2) )).

cnf(i_0_12894,axiom,
    ( esk1437_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_12895,axiom,
    ( ~ esk920_2(X1,X2)
    | ~ esk919_2(X1,X2) )).

cnf(i_0_12896,axiom,
    ( ~ esk406_2(X1,X2)
    | esk309_2(X1,X2) )).

cnf(i_0_12897,axiom,
    ( esk4528_2(X1,X2)
    | ~ esk85_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk4303_2(X1,X2) )).

cnf(i_0_12898,axiom,
    ( esk1010_2(X1,X2)
    | esk1011_2(X1,X2) )).

cnf(i_0_12899,axiom,
    ( ~ esk3203_2(X1,X2)
    | ~ esk5237_2(X1,X2) )).

cnf(i_0_12900,axiom,
    ( ~ esk5550_2(X1,X2)
    | esk3927_2(X1,X2)
    | esk1274_2(X1,X2) )).

cnf(i_0_12901,axiom,
    ( esk3171_2(X1,X2)
    | esk3170_2(X1,X2) )).

cnf(i_0_12902,axiom,
    ( esk149_2(X1,X2)
    | ~ esk3009_2(X1,X2) )).

cnf(i_0_12903,axiom,
    ( esk103_2(X1,X2)
    | ~ esk5094_2(X1,X2) )).

cnf(i_0_12904,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1824_2(X1,X2) )).

cnf(i_0_12905,axiom,
    ( ~ esk4608_2(X1,X2)
    | esk4607_2(X1,X2) )).

cnf(i_0_12906,axiom,
    ( esk1572_2(X1,X2)
    | esk1573_2(X1,X2) )).

cnf(i_0_12907,axiom,
    ( esk2842_2(X1,X2)
    | ~ esk5605_2(X1,X2)
    | esk5495_2(X1,X2) )).

cnf(i_0_12908,axiom,
    ( esk4622_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_12909,axiom,
    ( ~ esk468_2(X1,X2)
    | ~ esk469_2(X1,X2) )).

cnf(i_0_12910,axiom,
    ( esk147_2(X1,X2)
    | ~ esk2944_2(X1,X2) )).

cnf(i_0_12911,axiom,
    ( esk78_2(X1,X2)
    | ~ esk1655_2(X1,X2) )).

cnf(i_0_12912,axiom,
    ( esk1202_2(X1,X2)
    | ~ esk785_2(X1,X2)
    | ~ esk1004_2(X1,X2) )).

cnf(i_0_12913,axiom,
    ( esk817_2(X1,X2)
    | esk1265_2(X1,X2) )).

cnf(i_0_12914,axiom,
    ( ~ esk3571_2(X1,X2)
    | ~ esk3570_2(X1,X2) )).

cnf(i_0_12915,axiom,
    ( ~ esk1870_2(X1,X2)
    | ~ esk1866_2(X1,X2) )).

cnf(i_0_12916,axiom,
    ( esk3138_2(X1,X2)
    | esk3139_2(X1,X2) )).

cnf(i_0_12917,axiom,
    ( ~ esk1769_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_12918,axiom,
    ( ~ esk1327_2(X1,X2)
    | ~ esk1328_2(X1,X2) )).

cnf(i_0_12919,axiom,
    ( esk941_2(X1,X2)
    | esk940_2(X1,X2) )).

cnf(i_0_12920,axiom,
    ( ~ esk1965_2(X1,X2)
    | esk1961_2(X1,X2) )).

cnf(i_0_12921,axiom,
    ( esk2322_2(X1,X2)
    | ~ esk2326_2(X1,X2) )).

cnf(i_0_12922,axiom,
    ( ~ esk5364_2(X1,X2)
    | esk3161_2(X1,X2) )).

cnf(i_0_12923,axiom,
    ( esk137_2(X1,X2)
    | esk3204_2(X1,X2) )).

cnf(i_0_12924,axiom,
    ( esk561_2(X1,X2)
    | ~ esk2573_2(X1,X2) )).

cnf(i_0_12925,axiom,
    ( ~ esk2879_2(X1,X2)
    | esk13_2(X1,X2) )).

cnf(i_0_12926,axiom,
    ( ~ esk2866_2(X1,X2)
    | ~ esk5513_2(X1,X2)
    | ~ esk204_2(X1,X2) )).

cnf(i_0_12927,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1204_2(X1,X2) )).

cnf(i_0_12928,axiom,
    ( esk1310_2(X1,X2)
    | esk1311_2(X1,X2) )).

cnf(i_0_12929,axiom,
    ( esk1075_2(X1,X2)
    | ~ esk1270_2(X1,X2) )).

cnf(i_0_12930,axiom,
    ( ~ esk4687_2(X1,X2)
    | ~ esk4686_2(X1,X2) )).

cnf(i_0_12931,axiom,
    ( ~ esk3789_2(X1,X2)
    | esk3637_2(X1,X2) )).

cnf(i_0_12932,axiom,
    ( ~ esk1122_2(X1,X2)
    | ~ esk1121_2(X1,X2) )).

cnf(i_0_12933,axiom,
    ( esk91_2(X1,X2)
    | ~ esk3187_2(X1,X2) )).

cnf(i_0_12934,axiom,
    ( esk3491_2(X1,X2)
    | esk3492_2(X1,X2) )).

cnf(i_0_12935,axiom,
    ( ~ esk4242_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_12936,axiom,
    ( ~ esk1138_2(X1,X2)
    | ~ esk1139_2(X1,X2) )).

cnf(i_0_12937,axiom,
    ( esk1867_2(X1,X2)
    | ~ esk1651_2(X1,X2)
    | ~ esk1790_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_12938,axiom,
    ( esk530_2(X1,X2)
    | esk529_2(X1,X2) )).

cnf(i_0_12939,axiom,
    ( esk3442_2(X1,X2)
    | esk3441_2(X1,X2) )).

cnf(i_0_12940,axiom,
    ( esk34_2(X1,X2)
    | ~ esk233_2(X1,X2) )).

cnf(i_0_12941,axiom,
    ( ~ esk3167_2(X1,X2)
    | esk3166_2(X1,X2) )).

cnf(i_0_12942,axiom,
    ( ~ esk2721_2(X1,X2)
    | ~ esk2716_2(X1,X2) )).

cnf(i_0_12943,axiom,
    ( esk4655_2(X1,X2)
    | ~ esk4658_2(X1,X2) )).

cnf(i_0_12944,axiom,
    ( esk162_2(X1,X2)
    | ~ esk1902_2(X1,X2) )).

cnf(i_0_12945,axiom,
    ( ~ esk2294_2(X1,X2)
    | ~ esk2295_2(X1,X2) )).

cnf(i_0_12946,axiom,
    ( ~ esk4821_2(X1,X2)
    | ~ esk4820_2(X1,X2) )).

cnf(i_0_12947,axiom,
    ( esk3758_2(X1,X2)
    | ~ esk4174_2(X1,X2) )).

cnf(i_0_12948,axiom,
    ( esk4778_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_12949,axiom,
    ( ~ esk149_2(X1,X2)
    | esk3632_2(X1,X2)
    | ~ esk3330_2(X1,X2) )).

cnf(i_0_12950,axiom,
    ( ~ esk5279_2(X1,X2)
    | ~ esk5280_2(X1,X2) )).

cnf(i_0_12951,axiom,
    ( ~ esk1732_2(X1,X2)
    | esk1733_2(X1,X2)
    | ~ esk1724_2(X1,X2) )).

cnf(i_0_12952,axiom,
    ( esk831_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_12953,axiom,
    ( esk1632_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | ~ esk1191_2(X1,X2)
    | ~ esk1171_2(X1,X2) )).

cnf(i_0_12954,axiom,
    ( ~ esk651_2(X1,X2)
    | ~ esk2061_2(X1,X2)
    | esk2062_2(X1,X2) )).

cnf(i_0_12955,axiom,
    ( ~ esk3804_2(X1,X2)
    | ~ esk3787_2(X1,X2) )).

cnf(i_0_12956,axiom,
    ( ~ esk661_2(X1,X2)
    | ~ esk662_2(X1,X2) )).

cnf(i_0_12957,axiom,
    ( ~ esk1666_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_12958,axiom,
    ( ~ esk3212_2(X1,X2)
    | esk3199_2(X1,X2) )).

cnf(i_0_12959,axiom,
    ( ~ esk2717_2(X1,X2)
    | ~ esk142_2(X1,X2) )).

cnf(i_0_12960,axiom,
    ( ~ esk4781_2(X1,X2)
    | esk3380_2(X1,X2) )).

cnf(i_0_12961,axiom,
    ( ~ esk589_2(X1,X2)
    | ~ esk802_2(X1,X2) )).

cnf(i_0_12962,axiom,
    ( esk2291_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_12963,axiom,
    ( ~ esk4311_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_12964,axiom,
    ( esk5071_2(X1,X2)
    | esk5073_2(X1,X2)
    | esk5074_2(X1,X2) )).

cnf(i_0_12965,axiom,
    ( ~ esk1632_2(X1,X2)
    | esk1192_2(X1,X2) )).

cnf(i_0_12966,axiom,
    ( esk3218_2(X1,X2)
    | esk3217_2(X1,X2) )).

cnf(i_0_12967,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1620_2(X1,X2) )).

cnf(i_0_12968,axiom,
    ( esk4345_2(X1,X2)
    | ~ esk74_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_12969,axiom,
    ( ~ esk3897_2(X1,X2)
    | ~ esk3898_2(X1,X2) )).

cnf(i_0_12970,axiom,
    ( ~ esk1528_2(X1,X2)
    | esk1527_2(X1,X2) )).

cnf(i_0_12971,axiom,
    ( esk468_2(X1,X2)
    | esk469_2(X1,X2) )).

cnf(i_0_12972,axiom,
    ( ~ esk4931_2(X1,X2)
    | ~ esk4932_2(X1,X2) )).

cnf(i_0_12973,axiom,
    ( ~ esk4269_2(X1,X2)
    | ~ esk4265_2(X1,X2) )).

cnf(i_0_12974,axiom,
    ( ~ esk4124_2(X1,X2)
    | ~ esk4123_2(X1,X2) )).

cnf(i_0_12975,axiom,
    ( esk1598_2(X1,X2)
    | ~ esk1810_2(X1,X2) )).

cnf(i_0_12976,axiom,
    ( ~ esk5468_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_12977,axiom,
    ( esk3041_2(X1,X2)
    | esk3040_2(X1,X2) )).

cnf(i_0_12978,axiom,
    ( ~ esk1791_2(X1,X2)
    | esk4444_2(X1,X2)
    | esk5581_2(X1,X2) )).

cnf(i_0_12979,axiom,
    ( esk2818_2(X1,X2)
    | esk5603_2(X1,X2)
    | ~ esk5471_2(X1,X2) )).

cnf(i_0_12980,axiom,
    ( ~ esk3477_2(X1,X2)
    | ~ esk3476_2(X1,X2) )).

cnf(i_0_12981,axiom,
    ( esk261_2(X1,X2)
    | esk2923_2(X1,X2)
    | ~ esk5524_2(X1,X2) )).

cnf(i_0_12982,axiom,
    ( ~ esk3470_2(X1,X2)
    | esk3469_2(X1,X2) )).

cnf(i_0_12983,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk3198_2(X1,X2) )).

cnf(i_0_12984,axiom,
    ( ~ esk1034_2(X1,X2)
    | ~ esk3687_2(X1,X2)
    | ~ esk5537_2(X1,X2) )).

cnf(i_0_12985,axiom,
    ( ~ esk4515_2(X1,X2)
    | esk77_2(X1,X2) )).

cnf(i_0_12986,axiom,
    ( esk4332_2(X1,X2)
    | ~ esk4331_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_12987,axiom,
    ( ~ esk4901_2(X1,X2)
    | esk4902_2(X1,X2)
    | ~ esk4897_2(X1,X2) )).

cnf(i_0_12988,axiom,
    ( esk2287_2(X1,X2)
    | ~ esk2292_2(X1,X2) )).

cnf(i_0_12989,axiom,
    ( esk2721_2(X1,X2)
    | esk2716_2(X1,X2) )).

cnf(i_0_12990,axiom,
    ( ~ esk3168_2(X1,X2)
    | ~ esk3171_2(X1,X2)
    | esk3172_2(X1,X2) )).

cnf(i_0_12991,axiom,
    ( ~ esk1189_2(X1,X2)
    | ~ esk1190_2(X1,X2) )).

cnf(i_0_12992,axiom,
    ( esk141_2(X1,X2)
    | ~ esk3220_2(X1,X2) )).

cnf(i_0_12993,axiom,
    ( esk2121_2(X1,X2)
    | esk2120_2(X1,X2) )).

cnf(i_0_12994,axiom,
    ( esk688_2(X1,X2)
    | ~ esk1138_2(X1,X2) )).

cnf(i_0_12995,axiom,
    ( esk5257_2(X1,X2)
    | esk5228_2(X1,X2) )).

cnf(i_0_12996,axiom,
    ( esk144_2(X1,X2)
    | esk772_2(X1,X2) )).

cnf(i_0_12997,axiom,
    ( ~ esk1134_2(X1,X2)
    | ~ esk1151_2(X1,X2) )).

cnf(i_0_12998,axiom,
    ( esk4792_2(X1,X2)
    | esk4791_2(X1,X2) )).

cnf(i_0_12999,axiom,
    ( ~ esk2734_2(X1,X2)
    | ~ esk2733_2(X1,X2) )).

cnf(i_0_13000,axiom,
    ( ~ esk983_2(X1,X2)
    | ~ esk987_2(X1,X2) )).

cnf(i_0_13001,axiom,
    ( ~ esk1367_2(X1,X2)
    | esk1362_2(X1,X2) )).

cnf(i_0_13002,axiom,
    ( ~ esk2114_2(X1,X2)
    | ~ esk2113_2(X1,X2) )).

cnf(i_0_13003,axiom,
    ( ~ esk4889_2(X1,X2)
    | esk4894_2(X1,X2)
    | ~ esk4893_2(X1,X2) )).

cnf(i_0_13004,axiom,
    ( esk4935_2(X1,X2)
    | ~ esk4939_2(X1,X2) )).

cnf(i_0_13005,axiom,
    ( ~ esk2698_2(X1,X2)
    | ~ esk2697_2(X1,X2) )).

cnf(i_0_13006,axiom,
    ( esk152_2(X1,X2)
    | ~ esk313_2(X1,X2) )).

cnf(i_0_13007,axiom,
    ( ~ esk4012_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_13008,axiom,
    ( esk3772_2(X1,X2)
    | esk3771_2(X1,X2) )).

cnf(i_0_13009,axiom,
    ( esk1455_2(X1,X2)
    | ~ esk1793_2(X1,X2) )).

cnf(i_0_13010,axiom,
    ( ~ esk3649_2(X1,X2)
    | esk3414_2(X1,X2) )).

cnf(i_0_13011,axiom,
    ( ~ esk1443_2(X1,X2)
    | ~ esk1444_2(X1,X2) )).

cnf(i_0_13012,axiom,
    ( ~ esk3320_2(X1,X2)
    | ~ esk3321_2(X1,X2) )).

cnf(i_0_13013,axiom,
    ( esk982_2(X1,X2)
    | ~ esk983_2(X1,X2) )).

cnf(i_0_13014,axiom,
    ( ~ esk1716_2(X1,X2)
    | esk1715_2(X1,X2) )).

cnf(i_0_13015,axiom,
    ( esk103_2(X1,X2)
    | ~ esk4595_2(X1,X2) )).

cnf(i_0_13016,axiom,
    ( ~ esk2080_2(X1,X2)
    | esk2079_2(X1,X2) )).

cnf(i_0_13017,axiom,
    ( esk102_2(X1,X2)
    | ~ esk3021_2(X1,X2) )).

cnf(i_0_13018,axiom,
    ( esk148_2(X1,X2)
    | ~ esk3273_2(X1,X2) )).

cnf(i_0_13019,axiom,
    ( ~ esk1175_2(X1,X2)
    | esk652_2(X1,X2) )).

cnf(i_0_13020,axiom,
    ( ~ esk102_2(X1,X2)
    | esk359_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_13021,axiom,
    ( esk5406_2(X1,X2)
    | esk3197_2(X1,X2) )).

cnf(i_0_13022,axiom,
    ( esk3813_2(X1,X2)
    | esk3812_2(X1,X2) )).

cnf(i_0_13023,axiom,
    ( esk1764_2(X1,X2)
    | ~ esk1766_2(X1,X2) )).

cnf(i_0_13024,axiom,
    ( ~ esk1177_2(X1,X2)
    | ~ esk1181_2(X1,X2)
    | esk1182_2(X1,X2) )).

cnf(i_0_13025,axiom,
    ( ~ esk3243_2(X1,X2)
    | ~ esk3239_2(X1,X2) )).

cnf(i_0_13026,axiom,
    ( esk3075_2(X1,X2)
    | ~ esk3076_2(X1,X2) )).

cnf(i_0_13027,axiom,
    ( esk446_2(X1,X2)
    | esk449_2(X1,X2)
    | esk448_2(X1,X2) )).

cnf(i_0_13028,axiom,
    ( esk115_2(X1,X2)
    | ~ esk2964_2(X1,X2) )).

cnf(i_0_13029,axiom,
    ( esk2760_2(X1,X2)
    | esk2759_2(X1,X2) )).

cnf(i_0_13030,axiom,
    ( esk541_2(X1,X2)
    | ~ esk1008_2(X1,X2) )).

cnf(i_0_13031,axiom,
    ( esk3792_2(X1,X2)
    | esk3793_2(X1,X2) )).

cnf(i_0_13032,axiom,
    ( ~ esk3890_2(X1,X2)
    | ~ esk3891_2(X1,X2) )).

cnf(i_0_13033,axiom,
    ( ~ esk651_2(X1,X2)
    | ~ esk1059_2(X1,X2) )).

cnf(i_0_13034,axiom,
    ( ~ esk5520_2(X1,X2)
    | ~ esk2893_2(X1,X2)
    | ~ esk231_2(X1,X2) )).

cnf(i_0_13035,axiom,
    ( ~ esk3620_2(X1,X2)
    | ~ esk3615_2(X1,X2) )).

cnf(i_0_13036,axiom,
    ( ~ esk4929_2(X1,X2)
    | esk4928_2(X1,X2) )).

cnf(i_0_13037,axiom,
    ( esk2012_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_13038,axiom,
    ( ~ esk5318_2(X1,X2)
    | ~ esk5319_2(X1,X2) )).

cnf(i_0_13039,axiom,
    ( esk3713_2(X1,X2)
    | esk3714_2(X1,X2) )).

cnf(i_0_13040,axiom,
    ( esk4573_2(X1,X2)
    | esk4576_2(X1,X2)
    | esk4575_2(X1,X2) )).

cnf(i_0_13041,axiom,
    ( ~ esk3706_2(X1,X2)
    | ~ esk3707_2(X1,X2) )).

cnf(i_0_13042,axiom,
    ( ~ esk1853_2(X1,X2)
    | esk1651_2(X1,X2) )).

cnf(i_0_13043,axiom,
    ( ~ esk2727_2(X1,X2)
    | esk2713_2(X1,X2) )).

cnf(i_0_13044,axiom,
    ( ~ esk3623_2(X1,X2)
    | ~ esk3622_2(X1,X2) )).

cnf(i_0_13045,axiom,
    ( esk2509_2(X1,X2)
    | esk2510_2(X1,X2) )).

cnf(i_0_13046,axiom,
    ( esk1558_2(X1,X2)
    | ~ esk1554_2(X1,X2)
    | ~ esk1557_2(X1,X2) )).

cnf(i_0_13047,axiom,
    ( esk2515_2(X1,X2)
    | esk2516_2(X1,X2) )).

cnf(i_0_13048,axiom,
    ( ~ esk2826_2(X1,X2)
    | ~ esk2824_2(X1,X2) )).

cnf(i_0_13049,axiom,
    ( ~ esk4686_2(X1,X2)
    | esk4678_2(X1,X2) )).

cnf(i_0_13050,axiom,
    ( esk4210_2(X1,X2)
    | ~ esk4211_2(X1,X2) )).

cnf(i_0_13051,axiom,
    ( esk2708_2(X1,X2)
    | ~ esk2568_2(X1,X2)
    | ~ esk2707_2(X1,X2)
    | ~ esk2706_2(X1,X2) )).

cnf(i_0_13052,axiom,
    ( ~ esk2010_2(X1,X2)
    | ~ esk2009_2(X1,X2) )).

cnf(i_0_13053,axiom,
    ( ~ esk1215_2(X1,X2)
    | ~ esk178_2(X1,X2)
    | esk1216_2(X1,X2)
    | ~ esk1200_2(X1,X2) )).

cnf(i_0_13054,axiom,
    ( esk533_2(X1,X2)
    | esk532_2(X1,X2) )).

cnf(i_0_13055,axiom,
    ( esk3805_2(X1,X2)
    | ~ esk4305_2(X1,X2) )).

cnf(i_0_13056,axiom,
    ( esk226_2(X1,X2)
    | esk228_2(X1,X2)
    | esk227_2(X1,X2) )).

cnf(i_0_13057,axiom,
    ( esk2341_2(X1,X2)
    | esk2339_2(X1,X2)
    | esk142_2(X1,X2)
    | esk2342_2(X1,X2) )).

cnf(i_0_13058,axiom,
    ( ~ esk5547_2(X1,X2)
    | esk1220_2(X1,X2)
    | esk3873_2(X1,X2) )).

cnf(i_0_13059,axiom,
    ( esk5474_2(X1,X2)
    | esk5475_2(X1,X2) )).

cnf(i_0_13060,axiom,
    ( esk2613_2(X1,X2)
    | ~ esk2612_2(X1,X2)
    | ~ esk2608_2(X1,X2) )).

cnf(i_0_13061,axiom,
    ( ~ esk2691_2(X1,X2)
    | ~ esk2690_2(X1,X2) )).

cnf(i_0_13062,axiom,
    ( ~ esk4874_2(X1,X2)
    | ~ esk3360_2(X1,X2)
    | esk4875_2(X1,X2) )).

cnf(i_0_13063,axiom,
    ( esk2800_2(X1,X2)
    | esk2781_2(X1,X2) )).

cnf(i_0_13064,axiom,
    ( ~ esk3878_2(X1,X2)
    | ~ esk3879_2(X1,X2) )).

cnf(i_0_13065,axiom,
    ( esk145_2(X1,X2)
    | esk414_2(X1,X2)
    | esk412_2(X1,X2)
    | esk415_2(X1,X2) )).

cnf(i_0_13066,axiom,
    ( ~ esk2806_2(X1,X2)
    | ~ esk2804_2(X1,X2) )).

cnf(i_0_13067,axiom,
    ( esk1282_2(X1,X2)
    | esk1281_2(X1,X2) )).

cnf(i_0_13068,axiom,
    ( esk2178_2(X1,X2)
    | esk2179_2(X1,X2) )).

cnf(i_0_13069,axiom,
    ( esk146_2(X1,X2)
    | ~ esk762_2(X1,X2) )).

cnf(i_0_13070,axiom,
    ( esk75_2(X1,X2)
    | ~ esk4557_2(X1,X2) )).

cnf(i_0_13071,axiom,
    ( ~ esk482_2(X1,X2)
    | ~ esk483_2(X1,X2) )).

cnf(i_0_13072,axiom,
    ( ~ esk5562_2(X1,X2)
    | esk1637_2(X1,X2)
    | esk4290_2(X1,X2) )).

cnf(i_0_13073,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk3459_2(X1,X2)
    | esk3460_2(X1,X2) )).

cnf(i_0_13074,axiom,
    ( esk66_2(X1,X2)
    | ~ esk1907_2(X1,X2) )).

cnf(i_0_13075,axiom,
    ( esk1459_2(X1,X2)
    | esk1458_2(X1,X2) )).

cnf(i_0_13076,axiom,
    ( ~ esk1128_2(X1,X2)
    | esk5_2(X1,X2) )).

cnf(i_0_13077,axiom,
    ( esk4998_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk94_2(X1,X2) )).

cnf(i_0_13078,axiom,
    ( ~ esk4469_2(X1,X2)
    | esk4251_2(X1,X2) )).

cnf(i_0_13079,axiom,
    ( esk3002_2(X1,X2)
    | ~ esk3005_2(X1,X2) )).

cnf(i_0_13080,axiom,
    ( ~ esk2472_2(X1,X2)
    | ~ esk2475_2(X1,X2) )).

cnf(i_0_13081,axiom,
    ( ~ esk5062_2(X1,X2)
    | ~ esk5063_2(X1,X2) )).

cnf(i_0_13082,axiom,
    ( ~ esk1639_2(X1,X2)
    | esk1256_2(X1,X2) )).

cnf(i_0_13083,axiom,
    ( ~ esk754_2(X1,X2)
    | ~ esk755_2(X1,X2) )).

cnf(i_0_13084,axiom,
    ( ~ esk4275_2(X1,X2)
    | ~ esk4272_2(X1,X2) )).

cnf(i_0_13085,axiom,
    ( ~ esk5417_2(X1,X2)
    | esk5416_2(X1,X2) )).

cnf(i_0_13086,axiom,
    ( esk647_2(X1,X2)
    | esk646_2(X1,X2) )).

cnf(i_0_13087,axiom,
    ( ~ esk2345_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_13088,axiom,
    ( ~ esk4332_2(X1,X2)
    | esk5568_2(X1,X2)
    | esk1679_2(X1,X2) )).

cnf(i_0_13089,axiom,
    ( esk685_2(X1,X2)
    | esk686_2(X1,X2) )).

cnf(i_0_13090,axiom,
    ( ~ esk244_2(X1,X2)
    | esk239_2(X1,X2) )).

cnf(i_0_13091,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk3853_2(X1,X2)
    | ~ esk4108_2(X1,X2)
    | esk4446_2(X1,X2) )).

cnf(i_0_13092,axiom,
    ( ~ esk2726_2(X1,X2)
    | ~ esk2713_2(X1,X2)
    | esk2727_2(X1,X2) )).

cnf(i_0_13093,axiom,
    ( ~ esk650_2(X1,X2)
    | ~ esk651_2(X1,X2) )).

cnf(i_0_13094,axiom,
    ( esk3271_2(X1,X2)
    | esk3270_2(X1,X2) )).

cnf(i_0_13095,axiom,
    ( esk144_2(X1,X2)
    | ~ esk4423_2(X1,X2) )).

cnf(i_0_13096,axiom,
    ( esk130_2(X1,X2)
    | ~ esk4627_2(X1,X2) )).

cnf(i_0_13097,axiom,
    ( ~ esk1681_2(X1,X2)
    | esk1683_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk1219_2(X1,X2) )).

cnf(i_0_13098,axiom,
    ( ~ esk893_2(X1,X2)
    | ~ esk894_2(X1,X2) )).

cnf(i_0_13099,axiom,
    ( ~ esk4623_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_13100,axiom,
    ( ~ esk920_2(X1,X2)
    | ~ esk929_2(X1,X2)
    | esk937_2(X1,X2)
    | ~ esk912_2(X1,X2) )).

cnf(i_0_13101,axiom,
    ( ~ esk1893_2(X1,X2)
    | esk1892_2(X1,X2) )).

cnf(i_0_13102,axiom,
    ( esk2860_2(X1,X2)
    | esk167_2(X1,X2) )).

cnf(i_0_13103,axiom,
    ( ~ esk2331_2(X1,X2)
    | ~ esk2330_2(X1,X2) )).

cnf(i_0_13104,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk889_2(X1,X2) )).

cnf(i_0_13105,axiom,
    ( esk378_2(X1,X2)
    | esk379_2(X1,X2) )).

cnf(i_0_13106,axiom,
    ( esk622_2(X1,X2)
    | ~ esk623_2(X1,X2) )).

cnf(i_0_13107,axiom,
    ( ~ esk2924_2(X1,X2)
    | ~ esk2928_2(X1,X2) )).

cnf(i_0_13108,axiom,
    ( esk4333_2(X1,X2)
    | ~ esk4549_2(X1,X2) )).

cnf(i_0_13109,axiom,
    ( ~ esk1149_2(X1,X2)
    | ~ esk1151_2(X1,X2) )).

cnf(i_0_13110,axiom,
    ( ~ esk1275_2(X1,X2)
    | esk1276_2(X1,X2)
    | ~ esk609_2(X1,X2) )).

cnf(i_0_13111,axiom,
    ( ~ esk19_2(X1,X2)
    | ~ esk4277_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk4489_2(X1,X2) )).

cnf(i_0_13112,axiom,
    ( esk4437_2(X1,X2)
    | esk4436_2(X1,X2) )).

cnf(i_0_13113,axiom,
    ( ~ esk5334_2(X1,X2)
    | ~ esk5335_2(X1,X2) )).

cnf(i_0_13114,axiom,
    ( esk1324_2(X1,X2)
    | esk1325_2(X1,X2) )).

cnf(i_0_13115,axiom,
    ( esk2025_2(X1,X2)
    | esk2024_2(X1,X2) )).

cnf(i_0_13116,axiom,
    ( esk4071_2(X1,X2)
    | esk5552_2(X1,X2)
    | ~ esk1418_2(X1,X2) )).

cnf(i_0_13117,axiom,
    ( ~ esk728_2(X1,X2)
    | esk639_2(X1,X2) )).

cnf(i_0_13118,axiom,
    ( ~ esk4701_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_13119,axiom,
    ( ~ esk4430_2(X1,X2)
    | ~ esk4429_2(X1,X2) )).

cnf(i_0_13120,axiom,
    ( ~ esk219_2(X1,X2)
    | ~ esk5518_2(X1,X2)
    | ~ esk2881_2(X1,X2) )).

cnf(i_0_13121,axiom,
    ( esk2020_2(X1,X2)
    | esk2019_2(X1,X2) )).

cnf(i_0_13122,axiom,
    ( ~ esk5432_2(X1,X2)
    | ~ esk5431_2(X1,X2) )).

cnf(i_0_13123,axiom,
    ( ~ esk2537_2(X1,X2)
    | ~ esk2536_2(X1,X2) )).

cnf(i_0_13124,axiom,
    ( ~ esk277_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_13125,axiom,
    ( esk407_2(X1,X2)
    | ~ esk408_2(X1,X2) )).

cnf(i_0_13126,axiom,
    ( esk1246_2(X1,X2)
    | esk1247_2(X1,X2) )).

cnf(i_0_13127,axiom,
    ( ~ esk4644_2(X1,X2)
    | esk4638_2(X1,X2) )).

cnf(i_0_13128,axiom,
    ( esk1779_2(X1,X2)
    | ~ esk1778_2(X1,X2)
    | ~ esk1773_2(X1,X2) )).

cnf(i_0_13129,axiom,
    ( ~ esk4427_2(X1,X2)
    | ~ esk4430_2(X1,X2) )).

cnf(i_0_13130,axiom,
    ( ~ esk4405_2(X1,X2)
    | ~ esk4402_2(X1,X2) )).

cnf(i_0_13131,axiom,
    ( ~ esk594_2(X1,X2)
    | ~ esk595_2(X1,X2) )).

cnf(i_0_13132,axiom,
    ( esk2592_2(X1,X2)
    | esk2591_2(X1,X2) )).

cnf(i_0_13133,axiom,
    ( esk4151_2(X1,X2)
    | esk3646_2(X1,X2)
    | esk4153_2(X1,X2)
    | esk4154_2(X1,X2)
    | esk4152_2(X1,X2) )).

cnf(i_0_13134,axiom,
    ( esk1830_2(X1,X2)
    | esk1829_2(X1,X2)
    | esk1828_2(X1,X2)
    | esk1831_2(X1,X2)
    | esk1832_2(X1,X2) )).

cnf(i_0_13135,axiom,
    ( ~ esk3452_2(X1,X2)
    | ~ esk3453_2(X1,X2) )).

cnf(i_0_13136,axiom,
    ( esk4873_2(X1,X2)
    | ~ esk4878_2(X1,X2) )).

cnf(i_0_13137,axiom,
    ( ~ esk1344_2(X1,X2)
    | ~ esk1343_2(X1,X2) )).

cnf(i_0_13138,axiom,
    ( ~ esk2088_2(X1,X2)
    | esk2087_2(X1,X2) )).

cnf(i_0_13139,axiom,
    ( ~ esk3846_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_13140,axiom,
    ( esk929_2(X1,X2)
    | esk928_2(X1,X2) )).

cnf(i_0_13141,axiom,
    ( esk2337_2(X1,X2)
    | esk2338_2(X1,X2) )).

cnf(i_0_13142,axiom,
    ( ~ esk4036_2(X1,X2)
    | esk4035_2(X1,X2) )).

cnf(i_0_13143,axiom,
    ( esk2585_2(X1,X2)
    | ~ esk2586_2(X1,X2) )).

cnf(i_0_13144,axiom,
    ( esk1767_2(X1,X2)
    | esk5579_2(X1,X2)
    | ~ esk4420_2(X1,X2) )).

cnf(i_0_13145,axiom,
    ( ~ esk2645_2(X1,X2)
    | ~ esk2646_2(X1,X2) )).

cnf(i_0_13146,axiom,
    ( esk2304_2(X1,X2)
    | esk2303_2(X1,X2) )).

cnf(i_0_13147,axiom,
    ( ~ esk2090_2(X1,X2)
    | ~ esk2089_2(X1,X2) )).

cnf(i_0_13148,axiom,
    ( ~ esk1954_2(X1,X2)
    | ~ esk1945_2(X1,X2) )).

cnf(i_0_13149,axiom,
    ( ~ esk1060_2(X1,X2)
    | ~ esk1061_2(X1,X2) )).

cnf(i_0_13150,axiom,
    ( ~ esk853_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_13151,axiom,
    ( ~ esk34_2(X1,X2)
    | esk233_2(X1,X2)
    | ~ esk211_2(X1,X2) )).

cnf(i_0_13152,axiom,
    ( esk5450_2(X1,X2)
    | ~ esk5466_2(X1,X2) )).

cnf(i_0_13153,axiom,
    ( esk377_2(X1,X2)
    | esk376_2(X1,X2) )).

cnf(i_0_13154,axiom,
    ( esk1093_2(X1,X2)
    | ~ esk1094_2(X1,X2) )).

cnf(i_0_13155,axiom,
    ( ~ esk1910_2(X1,X2)
    | esk1909_2(X1,X2) )).

cnf(i_0_13156,axiom,
    ( ~ esk2011_2(X1,X2)
    | esk2017_2(X1,X2)
    | ~ esk2016_2(X1,X2) )).

cnf(i_0_13157,axiom,
    ( ~ esk4427_2(X1,X2)
    | esk100_2(X1,X2) )).

cnf(i_0_13158,axiom,
    ( esk178_2(X1,X2)
    | esk1074_2(X1,X2) )).

cnf(i_0_13159,axiom,
    ( esk3197_2(X1,X2)
    | ~ esk3606_2(X1,X2) )).

cnf(i_0_13160,axiom,
    ( ~ esk2847_2(X1,X2)
    | esk185_2(X1,X2)
    | esk5500_2(X1,X2) )).

cnf(i_0_13161,axiom,
    ( esk2188_2(X1,X2)
    | ~ esk2187_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_13162,axiom,
    ( esk1338_2(X1,X2)
    | esk1339_2(X1,X2) )).

cnf(i_0_13163,axiom,
    ( esk2080_2(X1,X2)
    | esk2081_2(X1,X2) )).

cnf(i_0_13164,axiom,
    ( ~ esk1550_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_13165,axiom,
    ( ~ esk4101_2(X1,X2)
    | ~ esk4102_2(X1,X2) )).

cnf(i_0_13166,axiom,
    ( esk1951_2(X1,X2)
    | esk1950_2(X1,X2) )).

cnf(i_0_13167,axiom,
    ( ~ esk3643_2(X1,X2)
    | ~ esk3644_2(X1,X2) )).

cnf(i_0_13168,axiom,
    ( esk2205_2(X1,X2)
    | ~ esk2206_2(X1,X2) )).

cnf(i_0_13169,axiom,
    ( esk1035_2(X1,X2)
    | esk1038_2(X1,X2)
    | esk1037_2(X1,X2) )).

cnf(i_0_13170,axiom,
    ( ~ esk3156_2(X1,X2)
    | ~ esk3155_2(X1,X2) )).

cnf(i_0_13171,axiom,
    ( esk1432_2(X1,X2)
    | ~ esk1799_2(X1,X2) )).

cnf(i_0_13172,axiom,
    ( esk2830_2(X1,X2)
    | ~ esk81_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk161_2(X1,X2) )).

cnf(i_0_13173,axiom,
    ( ~ esk648_2(X1,X2)
    | esk132_2(X1,X2) )).

cnf(i_0_13174,axiom,
    ( ~ esk2975_2(X1,X2)
    | ~ esk2976_2(X1,X2) )).

cnf(i_0_13175,axiom,
    ( esk4298_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk3926_2(X1,X2)
    | ~ esk3845_2(X1,X2) )).

cnf(i_0_13176,axiom,
    ( esk4105_2(X1,X2)
    | esk4104_2(X1,X2) )).

cnf(i_0_13177,axiom,
    ( ~ esk1320_2(X1,X2)
    | ~ esk639_2(X1,X2)
    | esk1321_2(X1,X2) )).

cnf(i_0_13178,axiom,
    ( ~ esk4539_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_13179,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1861_2(X1,X2) )).

cnf(i_0_13180,axiom,
    ( ~ esk2576_2(X1,X2)
    | ~ esk2577_2(X1,X2) )).

cnf(i_0_13181,axiom,
    ( esk148_2(X1,X2)
    | ~ esk3357_2(X1,X2) )).

cnf(i_0_13182,axiom,
    ( ~ esk2214_2(X1,X2)
    | esk2200_2(X1,X2) )).

cnf(i_0_13183,axiom,
    ( esk172_2(X1,X2)
    | ~ esk4380_2(X1,X2) )).

cnf(i_0_13184,axiom,
    ( esk1523_2(X1,X2)
    | esk1524_2(X1,X2)
    | esk1521_2(X1,X2) )).

cnf(i_0_13185,axiom,
    ( esk336_2(X1,X2)
    | ~ esk337_2(X1,X2) )).

cnf(i_0_13186,axiom,
    ( esk4861_2(X1,X2)
    | ~ esk4862_2(X1,X2) )).

cnf(i_0_13187,axiom,
    ( ~ esk4005_2(X1,X2)
    | ~ esk4002_2(X1,X2)
    | esk4006_2(X1,X2) )).

cnf(i_0_13188,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk2334_2(X1,X2) )).

cnf(i_0_13189,axiom,
    ( ~ esk710_2(X1,X2)
    | ~ esk2085_2(X1,X2) )).

cnf(i_0_13190,axiom,
    ( esk2840_2(X1,X2)
    | ~ esk2841_2(X1,X2) )).

cnf(i_0_13191,axiom,
    ( ~ esk4081_2(X1,X2)
    | esk3422_2(X1,X2) )).

cnf(i_0_13192,axiom,
    ( ~ esk5120_2(X1,X2)
    | ~ esk5121_2(X1,X2) )).

cnf(i_0_13193,axiom,
    ( ~ esk5256_2(X1,X2)
    | ~ esk5255_2(X1,X2) )).

cnf(i_0_13194,axiom,
    ( ~ esk239_2(X1,X2)
    | esk265_2(X1,X2)
    | ~ esk165_2(X1,X2) )).

cnf(i_0_13195,axiom,
    ( ~ esk1618_2(X1,X2)
    | ~ esk1622_2(X1,X2) )).

cnf(i_0_13196,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk789_2(X1,X2) )).

cnf(i_0_13197,axiom,
    ( ~ esk1613_2(X1,X2)
    | ~ esk1616_2(X1,X2) )).

cnf(i_0_13198,axiom,
    ( ~ esk3975_2(X1,X2)
    | ~ esk3978_2(X1,X2)
    | esk3979_2(X1,X2) )).

cnf(i_0_13199,axiom,
    ( esk1282_2(X1,X2)
    | esk1294_2(X1,X2) )).

cnf(i_0_13200,axiom,
    ( ~ esk4264_2(X1,X2)
    | ~ esk1611_2(X1,X2)
    | ~ esk5558_2(X1,X2) )).

cnf(i_0_13201,axiom,
    ( ~ esk2717_2(X1,X2)
    | ~ esk2718_2(X1,X2) )).

cnf(i_0_13202,axiom,
    ( ~ esk3184_2(X1,X2)
    | ~ esk3185_2(X1,X2) )).

cnf(i_0_13203,axiom,
    ( esk174_2(X1,X2)
    | esk3778_2(X1,X2) )).

cnf(i_0_13204,axiom,
    ( esk901_2(X1,X2)
    | ~ esk896_2(X1,X2)
    | ~ esk900_2(X1,X2) )).

cnf(i_0_13205,axiom,
    ( ~ esk743_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_13206,axiom,
    ( esk3149_2(X1,X2)
    | ~ esk3186_2(X1,X2) )).

cnf(i_0_13207,axiom,
    ( ~ esk5151_2(X1,X2)
    | ~ esk5150_2(X1,X2) )).

cnf(i_0_13208,axiom,
    ( esk126_2(X1,X2)
    | ~ esk3151_2(X1,X2) )).

cnf(i_0_13209,axiom,
    ( ~ esk3280_2(X1,X2)
    | ~ esk3282_2(X1,X2) )).

cnf(i_0_13210,axiom,
    ( ~ esk749_2(X1,X2)
    | esk748_2(X1,X2) )).

cnf(i_0_13211,axiom,
    ( ~ esk2491_2(X1,X2)
    | ~ esk2785_2(X1,X2) )).

cnf(i_0_13212,axiom,
    ( ~ esk297_2(X1,X2)
    | esk296_2(X1,X2) )).

cnf(i_0_13213,axiom,
    ( ~ esk1308_2(X1,X2)
    | esk135_2(X1,X2) )).

cnf(i_0_13214,axiom,
    ( esk132_2(X1,X2)
    | esk844_2(X1,X2) )).

cnf(i_0_13215,axiom,
    ( ~ esk2351_2(X1,X2)
    | ~ esk2354_2(X1,X2) )).

cnf(i_0_13216,axiom,
    ( esk1087_2(X1,X2)
    | esk1088_2(X1,X2) )).

cnf(i_0_13217,axiom,
    ( ~ esk1984_2(X1,X2)
    | ~ esk1983_2(X1,X2) )).

cnf(i_0_13218,axiom,
    ( esk1386_2(X1,X2)
    | esk1385_2(X1,X2) )).

cnf(i_0_13219,axiom,
    ( ~ esk5179_2(X1,X2)
    | ~ esk5178_2(X1,X2) )).

cnf(i_0_13220,axiom,
    ( esk1643_2(X1,X2)
    | esk4296_2(X1,X2)
    | ~ esk5563_2(X1,X2) )).

cnf(i_0_13221,axiom,
    ( ~ esk1567_2(X1,X2)
    | esk1566_2(X1,X2) )).

cnf(i_0_13222,axiom,
    ( ~ esk1560_2(X1,X2)
    | esk1561_2(X1,X2)
    | ~ esk1105_2(X1,X2) )).

cnf(i_0_13223,axiom,
    ( esk2111_2(X1,X2)
    | esk2110_2(X1,X2) )).

cnf(i_0_13224,axiom,
    ( ~ esk2496_2(X1,X2)
    | esk965_2(X1,X2) )).

cnf(i_0_13225,axiom,
    ( ~ esk3918_2(X1,X2)
    | ~ esk3914_2(X1,X2)
    | esk3919_2(X1,X2) )).

cnf(i_0_13226,axiom,
    ( esk547_2(X1,X2)
    | esk546_2(X1,X2) )).

cnf(i_0_13227,axiom,
    ( ~ esk1665_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_13228,axiom,
    ( ~ esk2405_2(X1,X2)
    | ~ esk2471_2(X1,X2)
    | ~ esk2438_2(X1,X2)
    | esk2472_2(X1,X2) )).

cnf(i_0_13229,axiom,
    ( ~ esk3637_2(X1,X2)
    | ~ esk3829_2(X1,X2) )).

cnf(i_0_13230,axiom,
    ( esk4188_2(X1,X2)
    | esk4200_2(X1,X2)
    | esk4199_2(X1,X2) )).

cnf(i_0_13231,axiom,
    ( ~ esk1583_2(X1,X2)
    | esk1088_2(X1,X2) )).

cnf(i_0_13232,axiom,
    ( ~ esk3316_2(X1,X2)
    | esk129_2(X1,X2) )).

cnf(i_0_13233,axiom,
    ( ~ esk2615_2(X1,X2)
    | esk2614_2(X1,X2) )).

cnf(i_0_13234,axiom,
    ( esk130_2(X1,X2)
    | esk1969_2(X1,X2) )).

cnf(i_0_13235,axiom,
    ( ~ esk899_2(X1,X2)
    | ~ esk898_2(X1,X2) )).

cnf(i_0_13236,axiom,
    ( ~ esk4234_2(X1,X2)
    | ~ esk3708_2(X1,X2)
    | esk4235_2(X1,X2)
    | ~ esk4233_2(X1,X2) )).

cnf(i_0_13237,axiom,
    ( ~ esk2448_2(X1,X2)
    | ~ esk2447_2(X1,X2) )).

cnf(i_0_13238,axiom,
    ( esk150_2(X1,X2)
    | esk317_2(X1,X2)
    | esk341_2(X1,X2) )).

cnf(i_0_13239,axiom,
    ( esk1124_2(X1,X2)
    | ~ esk1614_2(X1,X2) )).

cnf(i_0_13240,axiom,
    ( esk765_2(X1,X2)
    | esk766_2(X1,X2) )).

cnf(i_0_13241,axiom,
    ( ~ esk1870_2(X1,X2)
    | ~ esk1869_2(X1,X2) )).

cnf(i_0_13242,axiom,
    ( ~ esk1913_2(X1,X2)
    | esk1919_2(X1,X2)
    | ~ esk1918_2(X1,X2) )).

cnf(i_0_13243,axiom,
    ( esk2812_2(X1,X2)
    | ~ esk5465_2(X1,X2)
    | esk5602_2(X1,X2) )).

cnf(i_0_13244,axiom,
    ( ~ esk2110_2(X1,X2)
    | ~ esk2111_2(X1,X2) )).

cnf(i_0_13245,axiom,
    ( esk160_2(X1,X2)
    | ~ esk5483_2(X1,X2) )).

cnf(i_0_13246,axiom,
    ( esk3479_2(X1,X2)
    | ~ esk3877_2(X1,X2) )).

cnf(i_0_13247,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4500_2(X1,X2) )).

cnf(i_0_13248,axiom,
    ( ~ esk5045_2(X1,X2)
    | ~ esk5044_2(X1,X2) )).

cnf(i_0_13249,axiom,
    ( esk561_2(X1,X2)
    | ~ esk2618_2(X1,X2) )).

cnf(i_0_13250,axiom,
    ( esk2999_2(X1,X2)
    | ~ esk3826_2(X1,X2) )).

cnf(i_0_13251,axiom,
    ( esk1490_2(X1,X2)
    | esk1489_2(X1,X2) )).

cnf(i_0_13252,axiom,
    ( ~ esk843_2(X1,X2)
    | ~ esk876_2(X1,X2) )).

cnf(i_0_13253,axiom,
    ( ~ esk1129_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_13254,axiom,
    ( esk5103_2(X1,X2)
    | ~ esk5097_2(X1,X2)
    | ~ esk5102_2(X1,X2) )).

cnf(i_0_13255,axiom,
    ( esk125_2(X1,X2)
    | ~ esk602_2(X1,X2) )).

cnf(i_0_13256,axiom,
    ( ~ esk969_2(X1,X2)
    | esk968_2(X1,X2) )).

cnf(i_0_13257,axiom,
    ( ~ esk1076_2(X1,X2)
    | esk1075_2(X1,X2) )).

cnf(i_0_13258,axiom,
    ( esk2399_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | ~ esk111_2(X1,X2) )).

cnf(i_0_13259,axiom,
    ( esk176_2(X1,X2)
    | ~ esk2816_2(X1,X2) )).

cnf(i_0_13260,axiom,
    ( ~ esk2786_2(X1,X2)
    | ~ esk5439_2(X1,X2)
    | ~ esk5601_2(X1,X2) )).

cnf(i_0_13261,axiom,
    ( esk1463_2(X1,X2)
    | ~ esk1458_2(X1,X2)
    | ~ esk1462_2(X1,X2) )).

cnf(i_0_13262,axiom,
    ( esk5211_2(X1,X2)
    | esk5212_2(X1,X2) )).

cnf(i_0_13263,axiom,
    ( esk2785_2(X1,X2)
    | esk2786_2(X1,X2) )).

cnf(i_0_13264,axiom,
    ( ~ esk4422_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | esk4423_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_13265,axiom,
    ( ~ esk1608_2(X1,X2)
    | esk29_2(X1,X2) )).

cnf(i_0_13266,axiom,
    ( ~ esk4030_2(X1,X2)
    | esk4026_2(X1,X2) )).

cnf(i_0_13267,axiom,
    ( ~ esk3657_2(X1,X2)
    | ~ esk3878_2(X1,X2) )).

cnf(i_0_13268,axiom,
    ( esk3769_2(X1,X2)
    | esk3770_2(X1,X2) )).

cnf(i_0_13269,axiom,
    ( ~ esk3326_2(X1,X2)
    | esk3832_2(X1,X2)
    | ~ esk3831_2(X1,X2) )).

cnf(i_0_13270,axiom,
    ( ~ esk3188_2(X1,X2)
    | ~ esk3186_2(X1,X2) )).

cnf(i_0_13271,axiom,
    ( ~ esk284_2(X1,X2)
    | ~ esk285_2(X1,X2) )).

cnf(i_0_13272,axiom,
    ( esk4087_2(X1,X2)
    | esk3650_2(X1,X2) )).

cnf(i_0_13273,axiom,
    ( ~ esk5415_2(X1,X2)
    | ~ esk5416_2(X1,X2) )).

cnf(i_0_13274,axiom,
    ( ~ esk699_2(X1,X2)
    | ~ esk147_2(X1,X2) )).

cnf(i_0_13275,axiom,
    ( ~ esk771_2(X1,X2)
    | ~ esk774_2(X1,X2)
    | esk775_2(X1,X2) )).

cnf(i_0_13276,axiom,
    ( esk944_2(X1,X2)
    | esk904_2(X1,X2) )).

cnf(i_0_13277,axiom,
    ( ~ esk4160_2(X1,X2)
    | ~ esk4161_2(X1,X2) )).

cnf(i_0_13278,axiom,
    ( esk4214_2(X1,X2)
    | esk4228_2(X1,X2)
    | esk4227_2(X1,X2) )).

cnf(i_0_13279,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1614_2(X1,X2) )).

cnf(i_0_13280,axiom,
    ( esk57_2(X1,X2)
    | ~ esk3924_2(X1,X2) )).

cnf(i_0_13281,axiom,
    ( ~ esk3765_2(X1,X2)
    | ~ esk3764_2(X1,X2) )).

cnf(i_0_13282,axiom,
    ( esk4545_2(X1,X2)
    | ~ esk4546_2(X1,X2) )).

cnf(i_0_13283,axiom,
    ( ~ esk3759_2(X1,X2)
    | esk3754_2(X1,X2) )).

cnf(i_0_13284,axiom,
    ( esk3186_2(X1,X2)
    | esk3188_2(X1,X2)
    | esk3187_2(X1,X2) )).

cnf(i_0_13285,axiom,
    ( ~ esk1200_2(X1,X2)
    | ~ esk1779_2(X1,X2)
    | ~ esk1199_2(X1,X2)
    | esk1780_2(X1,X2) )).

cnf(i_0_13286,axiom,
    ( esk1955_2(X1,X2)
    | esk1956_2(X1,X2) )).

cnf(i_0_13287,axiom,
    ( esk4550_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk76_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_13288,axiom,
    ( ~ esk1659_2(X1,X2)
    | esk1072_2(X1,X2) )).

cnf(i_0_13289,axiom,
    ( esk3880_2(X1,X2)
    | esk3879_2(X1,X2) )).

cnf(i_0_13290,axiom,
    ( ~ esk2397_2(X1,X2)
    | ~ esk2396_2(X1,X2) )).

cnf(i_0_13291,axiom,
    ( esk81_2(X1,X2)
    | ~ esk2838_2(X1,X2) )).

cnf(i_0_13292,axiom,
    ( esk4120_2(X1,X2)
    | esk4119_2(X1,X2) )).

cnf(i_0_13293,axiom,
    ( esk1458_2(X1,X2)
    | esk1457_2(X1,X2)
    | esk995_2(X1,X2) )).

cnf(i_0_13294,axiom,
    ( ~ esk3605_2(X1,X2)
    | ~ esk3185_2(X1,X2)
    | esk5305_2(X1,X2) )).

cnf(i_0_13295,axiom,
    ( ~ esk175_2(X1,X2)
    | esk3782_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | ~ esk24_2(X1,X2) )).

cnf(i_0_13296,axiom,
    ( esk3708_2(X1,X2)
    | ~ esk4244_2(X1,X2) )).

cnf(i_0_13297,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1654_2(X1,X2) )).

cnf(i_0_13298,axiom,
    ( ~ esk906_2(X1,X2)
    | esk905_2(X1,X2) )).

cnf(i_0_13299,axiom,
    ( esk3557_2(X1,X2)
    | esk3556_2(X1,X2) )).

cnf(i_0_13300,axiom,
    ( ~ esk2442_2(X1,X2)
    | ~ esk2439_2(X1,X2) )).

cnf(i_0_13301,axiom,
    ( esk1765_2(X1,X2)
    | ~ esk1766_2(X1,X2) )).

cnf(i_0_13302,axiom,
    ( ~ esk1098_2(X1,X2)
    | ~ esk1095_2(X1,X2)
    | esk1099_2(X1,X2) )).

cnf(i_0_13303,axiom,
    ( ~ esk5421_2(X1,X2)
    | esk5360_2(X1,X2) )).

cnf(i_0_13304,axiom,
    ( ~ esk3581_2(X1,X2)
    | esk3577_2(X1,X2) )).

cnf(i_0_13305,axiom,
    ( ~ esk4838_2(X1,X2)
    | esk4837_2(X1,X2) )).

cnf(i_0_13306,axiom,
    ( ~ esk3283_2(X1,X2)
    | ~ esk3284_2(X1,X2) )).

cnf(i_0_13307,axiom,
    ( esk3922_2(X1,X2)
    | esk3921_2(X1,X2) )).

cnf(i_0_13308,axiom,
    ( esk1939_2(X1,X2)
    | ~ esk1960_2(X1,X2) )).

cnf(i_0_13309,axiom,
    ( ~ esk377_2(X1,X2)
    | ~ esk376_2(X1,X2) )).

cnf(i_0_13310,axiom,
    ( ~ esk4736_2(X1,X2)
    | ~ esk4737_2(X1,X2) )).

cnf(i_0_13311,axiom,
    ( esk523_2(X1,X2)
    | ~ esk955_2(X1,X2) )).

cnf(i_0_13312,axiom,
    ( ~ esk3223_2(X1,X2)
    | esk5271_2(X1,X2)
    | ~ esk5270_2(X1,X2) )).

cnf(i_0_13313,axiom,
    ( esk90_2(X1,X2)
    | esk4428_2(X1,X2) )).

cnf(i_0_13314,axiom,
    ( ~ esk2201_2(X1,X2)
    | ~ esk2202_2(X1,X2) )).

cnf(i_0_13315,axiom,
    ( ~ esk2421_2(X1,X2)
    | ~ esk2422_2(X1,X2) )).

cnf(i_0_13316,axiom,
    ( ~ esk845_2(X1,X2)
    | esk844_2(X1,X2) )).

cnf(i_0_13317,axiom,
    ( esk4072_2(X1,X2)
    | ~ esk4168_2(X1,X2) )).

cnf(i_0_13318,axiom,
    ( ~ esk5317_2(X1,X2)
    | ~ esk5316_2(X1,X2) )).

cnf(i_0_13319,axiom,
    ( esk124_2(X1,X2)
    | ~ esk3328_2(X1,X2) )).

cnf(i_0_13320,axiom,
    ( esk109_2(X1,X2)
    | ~ esk550_2(X1,X2) )).

cnf(i_0_13321,axiom,
    ( esk4738_2(X1,X2)
    | esk3372_2(X1,X2) )).

cnf(i_0_13322,axiom,
    ( esk3106_2(X1,X2)
    | esk3107_2(X1,X2) )).

cnf(i_0_13323,axiom,
    ( ~ esk2809_2(X1,X2)
    | esk6_2(X1,X2) )).

cnf(i_0_13324,axiom,
    ( ~ esk4616_2(X1,X2)
    | ~ esk4617_2(X1,X2) )).

cnf(i_0_13325,axiom,
    ( esk3270_2(X1,X2)
    | esk3268_2(X1,X2)
    | esk3269_2(X1,X2) )).

cnf(i_0_13326,axiom,
    ( esk4871_2(X1,X2)
    | ~ esk4872_2(X1,X2) )).

cnf(i_0_13327,axiom,
    ( ~ esk3836_2(X1,X2)
    | ~ esk3835_2(X1,X2) )).

cnf(i_0_13328,axiom,
    ( ~ esk1876_2(X1,X2)
    | esk75_2(X1,X2) )).

cnf(i_0_13329,axiom,
    ( ~ esk2559_2(X1,X2)
    | ~ esk2558_2(X1,X2) )).

cnf(i_0_13330,axiom,
    ( ~ esk5221_2(X1,X2)
    | esk5361_2(X1,X2)
    | ~ esk5359_2(X1,X2)
    | ~ esk5360_2(X1,X2) )).

cnf(i_0_13331,axiom,
    ( esk2269_2(X1,X2)
    | esk2268_2(X1,X2) )).

cnf(i_0_13332,axiom,
    ( esk441_2(X1,X2)
    | esk141_2(X1,X2)
    | esk442_2(X1,X2)
    | esk439_2(X1,X2) )).

cnf(i_0_13333,axiom,
    ( ~ esk1887_2(X1,X2)
    | ~ esk1891_2(X1,X2) )).

cnf(i_0_13334,axiom,
    ( ~ esk2981_2(X1,X2)
    | ~ esk169_2(X1,X2) )).

cnf(i_0_13335,axiom,
    ( ~ esk94_2(X1,X2)
    | ~ esk2346_2(X1,X2) )).

cnf(i_0_13336,axiom,
    ( esk2154_2(X1,X2)
    | esk2153_2(X1,X2) )).

cnf(i_0_13337,axiom,
    ( ~ esk3031_2(X1,X2)
    | ~ esk3032_2(X1,X2) )).

cnf(i_0_13338,axiom,
    ( esk2933_2(X1,X2)
    | esk2931_2(X1,X2)
    | esk2934_2(X1,X2) )).

cnf(i_0_13339,axiom,
    ( ~ esk4702_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_13340,axiom,
    ( ~ esk190_2(X1,X2)
    | esk69_2(X1,X2) )).

cnf(i_0_13341,axiom,
    ( esk4680_2(X1,X2)
    | ~ esk4653_2(X1,X2)
    | ~ esk4679_2(X1,X2)
    | ~ esk4620_2(X1,X2) )).

cnf(i_0_13342,axiom,
    ( ~ esk4507_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_13343,axiom,
    ( ~ esk1186_2(X1,X2)
    | esk1185_2(X1,X2) )).

cnf(i_0_13344,axiom,
    ( ~ esk2021_2(X1,X2)
    | ~ esk2005_2(X1,X2) )).

cnf(i_0_13345,axiom,
    ( ~ esk4351_2(X1,X2)
    | esk73_2(X1,X2) )).

cnf(i_0_13346,axiom,
    ( esk1152_2(X1,X2)
    | esk1153_2(X1,X2) )).

cnf(i_0_13347,axiom,
    ( ~ esk1242_2(X1,X2)
    | ~ esk1243_2(X1,X2) )).

cnf(i_0_13348,axiom,
    ( ~ esk1072_2(X1,X2)
    | esk1618_2(X1,X2)
    | ~ esk1125_2(X1,X2)
    | ~ esk1124_2(X1,X2) )).

cnf(i_0_13349,axiom,
    ( esk2006_2(X1,X2)
    | ~ esk123_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_13350,axiom,
    ( esk617_2(X1,X2)
    | esk1522_2(X1,X2) )).

cnf(i_0_13351,axiom,
    ( ~ esk1996_2(X1,X2)
    | ~ esk1997_2(X1,X2) )).

cnf(i_0_13352,axiom,
    ( ~ esk1445_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_13353,axiom,
    ( ~ esk4563_2(X1,X2)
    | ~ esk4564_2(X1,X2) )).

cnf(i_0_13354,axiom,
    ( ~ esk776_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | esk996_2(X1,X2)
    | ~ esk995_2(X1,X2) )).

cnf(i_0_13355,axiom,
    ( ~ esk5186_2(X1,X2)
    | esk5185_2(X1,X2) )).

cnf(i_0_13356,axiom,
    ( esk5598_2(X1,X2)
    | ~ esk4553_2(X1,X2)
    | esk1900_2(X1,X2) )).

cnf(i_0_13357,axiom,
    ( esk4311_2(X1,X2)
    | ~ esk4310_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_13358,axiom,
    ( ~ esk2096_2(X1,X2)
    | ~ esk2097_2(X1,X2) )).

cnf(i_0_13359,axiom,
    ( ~ esk1147_2(X1,X2)
    | esk1143_2(X1,X2) )).

cnf(i_0_13360,axiom,
    ( esk3498_2(X1,X2)
    | ~ esk3499_2(X1,X2) )).

cnf(i_0_13361,axiom,
    ( ~ esk4215_2(X1,X2)
    | ~ esk4217_2(X1,X2) )).

cnf(i_0_13362,axiom,
    ( ~ esk3370_2(X1,X2)
    | esk3668_2(X1,X2)
    | ~ esk3266_2(X1,X2) )).

cnf(i_0_13363,axiom,
    ( ~ esk5499_2(X1,X2)
    | esk2846_2(X1,X2)
    | esk184_2(X1,X2) )).

cnf(i_0_13364,axiom,
    ( ~ esk4817_2(X1,X2)
    | ~ esk4818_2(X1,X2) )).

cnf(i_0_13365,axiom,
    ( esk3891_2(X1,X2)
    | ~ esk4327_2(X1,X2) )).

cnf(i_0_13366,axiom,
    ( esk2757_2(X1,X2)
    | esk2756_2(X1,X2) )).

cnf(i_0_13367,axiom,
    ( ~ esk5359_2(X1,X2)
    | ~ esk5421_2(X1,X2)
    | ~ esk159_2(X1,X2)
    | esk5422_2(X1,X2) )).

cnf(i_0_13368,axiom,
    ( ~ esk3782_2(X1,X2)
    | ~ esk3783_2(X1,X2) )).

cnf(i_0_13369,axiom,
    ( esk2515_2(X1,X2)
    | ~ esk2510_2(X1,X2)
    | ~ esk2514_2(X1,X2) )).

cnf(i_0_13370,axiom,
    ( esk5136_2(X1,X2)
    | esk5137_2(X1,X2) )).

cnf(i_0_13371,axiom,
    ( ~ esk5507_2(X1,X2)
    | ~ esk192_2(X1,X2)
    | ~ esk2854_2(X1,X2) )).

cnf(i_0_13372,axiom,
    ( ~ esk2331_2(X1,X2)
    | ~ esk2328_2(X1,X2) )).

cnf(i_0_13373,axiom,
    ( ~ esk1721_2(X1,X2)
    | esk1720_2(X1,X2) )).

cnf(i_0_13374,axiom,
    ( ~ esk4684_2(X1,X2)
    | ~ esk4678_2(X1,X2) )).

cnf(i_0_13375,axiom,
    ( esk403_2(X1,X2)
    | ~ esk404_2(X1,X2) )).

cnf(i_0_13376,axiom,
    ( ~ esk3244_2(X1,X2)
    | esk3243_2(X1,X2) )).

cnf(i_0_13377,axiom,
    ( esk773_2(X1,X2)
    | esk774_2(X1,X2) )).

cnf(i_0_13378,axiom,
    ( ~ esk734_2(X1,X2)
    | ~ esk2190_2(X1,X2) )).

cnf(i_0_13379,axiom,
    ( esk119_2(X1,X2)
    | esk1921_2(X1,X2) )).

cnf(i_0_13380,axiom,
    ( ~ esk4470_2(X1,X2)
    | ~ esk4473_2(X1,X2) )).

cnf(i_0_13381,axiom,
    ( ~ esk1760_2(X1,X2)
    | ~ esk1759_2(X1,X2) )).

cnf(i_0_13382,axiom,
    ( ~ esk314_2(X1,X2)
    | ~ esk313_2(X1,X2) )).

cnf(i_0_13383,axiom,
    ( esk2878_2(X1,X2)
    | esk2877_2(X1,X2) )).

cnf(i_0_13384,axiom,
    ( esk224_2(X1,X2)
    | ~ esk223_2(X1,X2)
    | ~ esk217_2(X1,X2) )).

cnf(i_0_13385,axiom,
    ( ~ esk3603_2(X1,X2)
    | ~ esk3197_2(X1,X2)
    | esk3604_2(X1,X2) )).

cnf(i_0_13386,axiom,
    ( esk4631_2(X1,X2)
    | ~ esk4632_2(X1,X2) )).

cnf(i_0_13387,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3915_2(X1,X2)
    | esk3916_2(X1,X2) )).

cnf(i_0_13388,axiom,
    ( ~ esk444_2(X1,X2)
    | esk438_2(X1,X2) )).

cnf(i_0_13389,axiom,
    ( ~ esk3314_2(X1,X2)
    | ~ esk3697_2(X1,X2)
    | esk3698_2(X1,X2) )).

cnf(i_0_13390,axiom,
    ( esk3017_2(X1,X2)
    | ~ esk3018_2(X1,X2) )).

cnf(i_0_13391,axiom,
    ( esk3073_2(X1,X2)
    | ~ esk3079_2(X1,X2) )).

cnf(i_0_13392,axiom,
    ( esk2678_2(X1,X2)
    | ~ esk2679_2(X1,X2) )).

cnf(i_0_13393,axiom,
    ( ~ esk2214_2(X1,X2)
    | esk2213_2(X1,X2) )).

cnf(i_0_13394,axiom,
    ( esk571_2(X1,X2)
    | esk570_2(X1,X2) )).

cnf(i_0_13395,axiom,
    ( esk3167_2(X1,X2)
    | esk3168_2(X1,X2) )).

cnf(i_0_13396,axiom,
    ( esk1189_2(X1,X2)
    | ~ esk1696_2(X1,X2) )).

cnf(i_0_13397,axiom,
    ( ~ esk756_2(X1,X2)
    | ~ esk491_2(X1,X2)
    | esk757_2(X1,X2) )).

cnf(i_0_13398,axiom,
    ( esk1104_2(X1,X2)
    | ~ esk1523_2(X1,X2) )).

cnf(i_0_13399,axiom,
    ( esk979_2(X1,X2)
    | esk981_2(X1,X2)
    | esk985_2(X1,X2)
    | esk987_2(X1,X2)
    | esk983_2(X1,X2)
    | esk986_2(X1,X2) )).

cnf(i_0_13400,axiom,
    ( ~ esk1240_2(X1,X2)
    | esk457_2(X1,X2) )).

cnf(i_0_13401,axiom,
    ( ~ esk1723_2(X1,X2)
    | ~ esk1724_2(X1,X2) )).

cnf(i_0_13402,axiom,
    ( esk2168_2(X1,X2)
    | esk2167_2(X1,X2) )).

cnf(i_0_13403,axiom,
    ( esk3259_2(X1,X2)
    | esk3258_2(X1,X2) )).

cnf(i_0_13404,axiom,
    ( esk817_2(X1,X2)
    | ~ esk1263_2(X1,X2) )).

cnf(i_0_13405,axiom,
    ( esk3271_2(X1,X2)
    | ~ esk3671_2(X1,X2) )).

cnf(i_0_13406,axiom,
    ( esk3559_2(X1,X2)
    | ~ esk3558_2(X1,X2)
    | ~ esk113_2(X1,X2) )).

cnf(i_0_13407,axiom,
    ( ~ esk1151_2(X1,X2)
    | ~ esk1150_2(X1,X2) )).

cnf(i_0_13408,axiom,
    ( ~ esk989_2(X1,X2)
    | esk988_2(X1,X2) )).

cnf(i_0_13409,axiom,
    ( ~ esk4621_2(X1,X2)
    | esk152_2(X1,X2) )).

cnf(i_0_13410,axiom,
    ( esk163_2(X1,X2)
    | ~ esk5491_2(X1,X2) )).

cnf(i_0_13411,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk3845_2(X1,X2)
    | esk5467_2(X1,X2)
    | ~ esk5460_2(X1,X2) )).

cnf(i_0_13412,axiom,
    ( ~ esk690_2(X1,X2)
    | esk689_2(X1,X2) )).

cnf(i_0_13413,axiom,
    ( ~ esk3640_2(X1,X2)
    | ~ esk3636_2(X1,X2) )).

cnf(i_0_13414,axiom,
    ( ~ esk2740_2(X1,X2)
    | esk2739_2(X1,X2) )).

cnf(i_0_13415,axiom,
    ( esk1635_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk8_2(X1,X2) )).

cnf(i_0_13416,axiom,
    ( ~ esk1022_2(X1,X2)
    | esk668_2(X1,X2) )).

cnf(i_0_13417,axiom,
    ( esk1344_2(X1,X2)
    | esk1343_2(X1,X2) )).

cnf(i_0_13418,axiom,
    ( ~ esk3576_2(X1,X2)
    | ~ esk3577_2(X1,X2) )).

cnf(i_0_13419,axiom,
    ( ~ esk2431_2(X1,X2)
    | esk2417_2(X1,X2) )).

cnf(i_0_13420,axiom,
    ( esk309_2(X1,X2)
    | ~ esk433_2(X1,X2) )).

cnf(i_0_13421,axiom,
    ( esk93_2(X1,X2)
    | ~ esk513_2(X1,X2) )).

cnf(i_0_13422,axiom,
    ( ~ esk4340_2(X1,X2)
    | ~ esk4339_2(X1,X2) )).

cnf(i_0_13423,axiom,
    ( ~ esk1071_2(X1,X2)
    | ~ esk1069_2(X1,X2) )).

cnf(i_0_13424,axiom,
    ( ~ esk3271_2(X1,X2)
    | ~ esk4189_2(X1,X2) )).

cnf(i_0_13425,axiom,
    ( ~ esk4897_2(X1,X2)
    | ~ esk4898_2(X1,X2) )).

cnf(i_0_13426,axiom,
    ( esk590_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_13427,axiom,
    ( ~ esk2832_2(X1,X2)
    | esk2833_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_13428,axiom,
    ( ~ esk1558_2(X1,X2)
    | esk1557_2(X1,X2) )).

cnf(i_0_13429,axiom,
    ( esk3804_2(X1,X2)
    | esk3803_2(X1,X2)
    | esk3802_2(X1,X2)
    | esk3787_2(X1,X2) )).

cnf(i_0_13430,axiom,
    ( esk1479_2(X1,X2)
    | esk1480_2(X1,X2) )).

cnf(i_0_13431,axiom,
    ( esk59_2(X1,X2)
    | ~ esk3889_2(X1,X2) )).

cnf(i_0_13432,axiom,
    ( ~ esk2008_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_13433,axiom,
    ( ~ esk2845_2(X1,X2)
    | esk5498_2(X1,X2)
    | esk183_2(X1,X2) )).

cnf(i_0_13434,axiom,
    ( ~ esk816_2(X1,X2)
    | esk815_2(X1,X2) )).

cnf(i_0_13435,axiom,
    ( ~ esk3670_2(X1,X2)
    | esk3669_2(X1,X2) )).

cnf(i_0_13436,axiom,
    ( ~ esk5108_2(X1,X2)
    | ~ esk5109_2(X1,X2) )).

cnf(i_0_13437,axiom,
    ( ~ esk2303_2(X1,X2)
    | ~ esk2302_2(X1,X2) )).

cnf(i_0_13438,axiom,
    ( ~ esk4772_2(X1,X2)
    | ~ esk4771_2(X1,X2) )).

cnf(i_0_13439,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4501_2(X1,X2) )).

cnf(i_0_13440,axiom,
    ( esk121_2(X1,X2)
    | ~ esk606_2(X1,X2) )).

cnf(i_0_13441,axiom,
    ( esk3449_2(X1,X2)
    | ~ esk3448_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_13442,axiom,
    ( esk4267_2(X1,X2)
    | ~ esk3777_2(X1,X2)
    | ~ esk28_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_13443,axiom,
    ( ~ esk5184_2(X1,X2)
    | ~ esk5185_2(X1,X2) )).

cnf(i_0_13444,axiom,
    ( ~ esk531_2(X1,X2)
    | ~ esk527_2(X1,X2) )).

cnf(i_0_13445,axiom,
    ( ~ esk2985_2(X1,X2)
    | ~ esk2984_2(X1,X2) )).

cnf(i_0_13446,axiom,
    ( ~ esk207_2(X1,X2)
    | ~ esk208_2(X1,X2) )).

cnf(i_0_13447,axiom,
    ( ~ esk2220_2(X1,X2)
    | ~ esk2219_2(X1,X2) )).

cnf(i_0_13448,axiom,
    ( ~ esk5507_2(X1,X2)
    | esk2854_2(X1,X2)
    | esk192_2(X1,X2) )).

cnf(i_0_13449,axiom,
    ( esk5085_2(X1,X2)
    | esk5084_2(X1,X2) )).

cnf(i_0_13450,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk3142_2(X1,X2) )).

cnf(i_0_13451,axiom,
    ( ~ esk1954_2(X1,X2)
    | esk1955_2(X1,X2)
    | ~ esk1950_2(X1,X2) )).

cnf(i_0_13452,axiom,
    ( ~ esk4487_2(X1,X2)
    | esk4400_2(X1,X2) )).

cnf(i_0_13453,axiom,
    ( ~ esk1690_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_13454,axiom,
    ( ~ esk629_2(X1,X2)
    | ~ esk975_2(X1,X2)
    | esk1108_2(X1,X2)
    | ~ esk605_2(X1,X2) )).

cnf(i_0_13455,axiom,
    ( esk5266_2(X1,X2)
    | esk5267_2(X1,X2) )).

cnf(i_0_13456,axiom,
    ( esk3346_2(X1,X2)
    | ~ esk3347_2(X1,X2) )).

cnf(i_0_13457,axiom,
    ( ~ esk445_2(X1,X2)
    | ~ esk458_2(X1,X2)
    | esk472_2(X1,X2)
    | ~ esk471_2(X1,X2)
    | ~ esk432_2(X1,X2) )).

cnf(i_0_13458,axiom,
    ( ~ esk2923_2(X1,X2)
    | esk68_2(X1,X2) )).

cnf(i_0_13459,axiom,
    ( ~ esk272_2(X1,X2)
    | ~ esk271_2(X1,X2) )).

cnf(i_0_13460,axiom,
    ( esk2439_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk105_2(X1,X2)
    | ~ esk139_2(X1,X2) )).

cnf(i_0_13461,axiom,
    ( ~ esk3220_2(X1,X2)
    | ~ esk3221_2(X1,X2) )).

cnf(i_0_13462,axiom,
    ( esk3105_2(X1,X2)
    | ~ esk3106_2(X1,X2) )).

cnf(i_0_13463,axiom,
    ( ~ esk777_2(X1,X2)
    | esk768_2(X1,X2) )).

cnf(i_0_13464,axiom,
    ( ~ esk2199_2(X1,X2)
    | esk1018_2(X1,X2) )).

cnf(i_0_13465,axiom,
    ( esk327_2(X1,X2)
    | ~ esk328_2(X1,X2) )).

cnf(i_0_13466,axiom,
    ( ~ esk4287_2(X1,X2)
    | esk3844_2(X1,X2) )).

cnf(i_0_13467,axiom,
    ( ~ esk339_2(X1,X2)
    | esk150_2(X1,X2) )).

cnf(i_0_13468,axiom,
    ( ~ esk1514_2(X1,X2)
    | ~ esk1513_2(X1,X2) )).

cnf(i_0_13469,axiom,
    ( esk541_2(X1,X2)
    | esk1350_2(X1,X2) )).

cnf(i_0_13470,axiom,
    ( esk2353_2(X1,X2)
    | ~ esk2352_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_13471,axiom,
    ( esk103_2(X1,X2)
    | ~ esk2408_2(X1,X2) )).

cnf(i_0_13472,axiom,
    ( ~ esk485_2(X1,X2)
    | esk486_2(X1,X2)
    | ~ esk419_2(X1,X2)
    | ~ esk472_2(X1,X2) )).

cnf(i_0_13473,axiom,
    ( esk5505_2(X1,X2)
    | ~ esk190_2(X1,X2)
    | esk2852_2(X1,X2) )).

cnf(i_0_13474,axiom,
    ( ~ esk1081_2(X1,X2)
    | ~ esk1082_2(X1,X2) )).

cnf(i_0_13475,axiom,
    ( ~ esk2716_2(X1,X2)
    | ~ esk2715_2(X1,X2) )).

cnf(i_0_13476,axiom,
    ( esk2031_2(X1,X2)
    | ~ esk2032_2(X1,X2) )).

cnf(i_0_13477,axiom,
    ( esk111_2(X1,X2)
    | ~ esk909_2(X1,X2) )).

cnf(i_0_13478,axiom,
    ( ~ esk987_2(X1,X2)
    | ~ esk988_2(X1,X2) )).

cnf(i_0_13479,axiom,
    ( ~ esk3236_2(X1,X2)
    | esk3199_2(X1,X2) )).

cnf(i_0_13480,axiom,
    ( esk1681_2(X1,X2)
    | ~ esk1682_2(X1,X2) )).

cnf(i_0_13481,axiom,
    ( ~ esk717_2(X1,X2)
    | esk716_2(X1,X2) )).

cnf(i_0_13482,axiom,
    ( ~ esk3239_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | esk3612_2(X1,X2) )).

cnf(i_0_13483,axiom,
    ( ~ esk89_2(X1,X2)
    | ~ esk1680_2(X1,X2)
    | esk1882_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_13484,axiom,
    ( esk908_2(X1,X2)
    | ~ esk909_2(X1,X2) )).

cnf(i_0_13485,axiom,
    ( esk3447_2(X1,X2)
    | ~ esk3881_2(X1,X2) )).

cnf(i_0_13486,axiom,
    ( esk2604_2(X1,X2)
    | ~ esk2605_2(X1,X2) )).

cnf(i_0_13487,axiom,
    ( ~ esk3523_2(X1,X2)
    | ~ esk3529_2(X1,X2) )).

cnf(i_0_13488,axiom,
    ( esk4467_2(X1,X2)
    | esk4468_2(X1,X2) )).

cnf(i_0_13489,axiom,
    ( esk2641_2(X1,X2)
    | esk2640_2(X1,X2) )).

cnf(i_0_13490,axiom,
    ( ~ esk2914_2(X1,X2)
    | ~ esk2911_2(X1,X2) )).

cnf(i_0_13491,axiom,
    ( ~ esk3310_2(X1,X2)
    | ~ esk3312_2(X1,X2) )).

cnf(i_0_13492,axiom,
    ( esk3084_2(X1,X2)
    | esk3085_2(X1,X2)
    | esk3082_2(X1,X2) )).

cnf(i_0_13493,axiom,
    ( ~ esk3517_2(X1,X2)
    | esk3518_2(X1,X2)
    | ~ esk128_2(X1,X2) )).

cnf(i_0_13494,axiom,
    ( ~ esk1835_2(X1,X2)
    | esk1790_2(X1,X2) )).

cnf(i_0_13495,axiom,
    ( ~ esk137_2(X1,X2)
    | ~ esk421_2(X1,X2)
    | esk422_2(X1,X2)
    | ~ esk311_2(X1,X2) )).

cnf(i_0_13496,axiom,
    ( esk5293_2(X1,X2)
    | ~ esk5298_2(X1,X2) )).

cnf(i_0_13497,axiom,
    ( ~ esk5242_2(X1,X2)
    | esk5237_2(X1,X2) )).

cnf(i_0_13498,axiom,
    ( esk3185_2(X1,X2)
    | esk3184_2(X1,X2) )).

cnf(i_0_13499,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk5295_2(X1,X2) )).

cnf(i_0_13500,axiom,
    ( esk3703_2(X1,X2)
    | ~ esk3702_2(X1,X2)
    | ~ esk3699_2(X1,X2) )).

cnf(i_0_13501,axiom,
    ( ~ esk4391_2(X1,X2)
    | esk3786_2(X1,X2) )).

cnf(i_0_13502,axiom,
    ( ~ esk1124_2(X1,X2)
    | ~ esk26_2(X1,X2)
    | ~ esk174_2(X1,X2)
    | esk1620_2(X1,X2) )).

cnf(i_0_13503,axiom,
    ( ~ esk2038_2(X1,X2)
    | esk1966_2(X1,X2) )).

cnf(i_0_13504,axiom,
    ( esk4102_2(X1,X2)
    | esk4101_2(X1,X2) )).

cnf(i_0_13505,axiom,
    ( esk2261_2(X1,X2)
    | esk2260_2(X1,X2)
    | esk2203_2(X1,X2) )).

cnf(i_0_13506,axiom,
    ( ~ esk3202_2(X1,X2)
    | ~ esk3203_2(X1,X2) )).

cnf(i_0_13507,axiom,
    ( ~ esk5471_2(X1,X2)
    | ~ esk5603_2(X1,X2)
    | ~ esk2818_2(X1,X2) )).

cnf(i_0_13508,axiom,
    ( ~ esk2732_2(X1,X2)
    | esk2728_2(X1,X2) )).

cnf(i_0_13509,axiom,
    ( ~ esk4014_2(X1,X2)
    | esk4013_2(X1,X2) )).

cnf(i_0_13510,axiom,
    ( ~ esk2136_2(X1,X2)
    | esk726_2(X1,X2) )).

cnf(i_0_13511,axiom,
    ( ~ esk3553_2(X1,X2)
    | ~ esk3552_2(X1,X2) )).

cnf(i_0_13512,axiom,
    ( ~ esk4499_2(X1,X2)
    | esk4278_2(X1,X2) )).

cnf(i_0_13513,axiom,
    ( esk4801_2(X1,X2)
    | esk4802_2(X1,X2) )).

cnf(i_0_13514,axiom,
    ( esk128_2(X1,X2)
    | ~ esk4639_2(X1,X2) )).

cnf(i_0_13515,axiom,
    ( ~ esk1223_2(X1,X2)
    | ~ esk1225_2(X1,X2) )).

cnf(i_0_13516,axiom,
    ( ~ esk5392_2(X1,X2)
    | ~ esk5391_2(X1,X2) )).

cnf(i_0_13517,axiom,
    ( ~ esk3737_2(X1,X2)
    | ~ esk3736_2(X1,X2) )).

cnf(i_0_13518,axiom,
    ( ~ esk378_2(X1,X2)
    | ~ esk379_2(X1,X2) )).

cnf(i_0_13519,axiom,
    ( esk676_2(X1,X2)
    | esk675_2(X1,X2) )).

cnf(i_0_13520,axiom,
    ( ~ esk696_2(X1,X2)
    | ~ esk693_2(X1,X2)
    | esk697_2(X1,X2) )).

cnf(i_0_13521,axiom,
    ( esk1263_2(X1,X2)
    | ~ esk1262_2(X1,X2)
    | ~ esk817_2(X1,X2) )).

cnf(i_0_13522,axiom,
    ( esk1382_2(X1,X2)
    | ~ esk1383_2(X1,X2) )).

cnf(i_0_13523,axiom,
    ( ~ esk3189_2(X1,X2)
    | ~ esk3434_2(X1,X2)
    | esk3435_2(X1,X2) )).

cnf(i_0_13524,axiom,
    ( ~ esk1392_2(X1,X2)
    | esk1393_2(X1,X2)
    | ~ esk527_2(X1,X2) )).

cnf(i_0_13525,axiom,
    ( esk5188_2(X1,X2)
    | ~ esk5189_2(X1,X2) )).

cnf(i_0_13526,axiom,
    ( esk987_2(X1,X2)
    | esk988_2(X1,X2) )).

cnf(i_0_13527,axiom,
    ( ~ esk141_2(X1,X2)
    | ~ esk3475_2(X1,X2) )).

cnf(i_0_13528,axiom,
    ( ~ esk3101_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_13529,axiom,
    ( esk4166_2(X1,X2)
    | esk4167_2(X1,X2) )).

cnf(i_0_13530,axiom,
    ( ~ esk1010_2(X1,X2)
    | ~ esk1005_2(X1,X2) )).

cnf(i_0_13531,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk2374_2(X1,X2) )).

cnf(i_0_13532,axiom,
    ( ~ esk5426_2(X1,X2)
    | ~ esk5430_2(X1,X2)
    | esk5431_2(X1,X2) )).

cnf(i_0_13533,axiom,
    ( esk68_2(X1,X2)
    | ~ esk2852_2(X1,X2) )).

cnf(i_0_13534,axiom,
    ( ~ esk4065_2(X1,X2)
    | ~ esk4066_2(X1,X2) )).

cnf(i_0_13535,axiom,
    ( ~ esk452_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_13536,axiom,
    ( esk4143_2(X1,X2)
    | ~ esk4147_2(X1,X2) )).

cnf(i_0_13537,axiom,
    ( ~ esk4403_2(X1,X2)
    | ~ esk4405_2(X1,X2) )).

cnf(i_0_13538,axiom,
    ( esk4394_2(X1,X2)
    | esk4393_2(X1,X2) )).

cnf(i_0_13539,axiom,
    ( esk147_2(X1,X2)
    | ~ esk1920_2(X1,X2) )).

cnf(i_0_13540,axiom,
    ( esk5585_2(X1,X2)
    | ~ esk1815_2(X1,X2)
    | esk4468_2(X1,X2) )).

cnf(i_0_13541,axiom,
    ( esk125_2(X1,X2)
    | ~ esk637_2(X1,X2) )).

cnf(i_0_13542,axiom,
    ( ~ esk1607_2(X1,X2)
    | ~ esk1610_2(X1,X2) )).

cnf(i_0_13543,axiom,
    ( esk2899_2(X1,X2)
    | ~ esk237_2(X1,X2)
    | esk5521_2(X1,X2) )).

cnf(i_0_13544,axiom,
    ( ~ esk1727_2(X1,X2)
    | esk1122_2(X1,X2) )).

cnf(i_0_13545,axiom,
    ( esk232_2(X1,X2)
    | ~ esk34_2(X1,X2)
    | ~ esk212_2(X1,X2) )).

cnf(i_0_13546,axiom,
    ( ~ esk3380_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | esk4788_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_13547,axiom,
    ( esk1535_2(X1,X2)
    | esk1546_2(X1,X2)
    | esk1547_2(X1,X2) )).

cnf(i_0_13548,axiom,
    ( ~ esk318_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_13549,axiom,
    ( ~ esk4383_2(X1,X2)
    | esk1730_2(X1,X2)
    | esk5573_2(X1,X2) )).

cnf(i_0_13550,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk2340_2(X1,X2) )).

cnf(i_0_13551,axiom,
    ( esk2849_2(X1,X2)
    | esk153_2(X1,X2) )).

cnf(i_0_13552,axiom,
    ( ~ esk3440_2(X1,X2)
    | ~ esk139_2(X1,X2)
    | esk3441_2(X1,X2) )).

cnf(i_0_13553,axiom,
    ( esk3314_2(X1,X2)
    | ~ esk3698_2(X1,X2) )).

cnf(i_0_13554,axiom,
    ( esk2417_2(X1,X2)
    | ~ esk2411_2(X1,X2)
    | ~ esk2416_2(X1,X2) )).

cnf(i_0_13555,axiom,
    ( esk3829_2(X1,X2)
    | esk3830_2(X1,X2) )).

cnf(i_0_13556,axiom,
    ( ~ esk675_2(X1,X2)
    | esk674_2(X1,X2) )).

cnf(i_0_13557,axiom,
    ( ~ esk60_2(X1,X2)
    | esk1070_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_13558,axiom,
    ( ~ esk1057_2(X1,X2)
    | esk1042_2(X1,X2) )).

cnf(i_0_13559,axiom,
    ( ~ esk537_2(X1,X2)
    | ~ esk109_2(X1,X2)
    | esk550_2(X1,X2) )).

cnf(i_0_13560,axiom,
    ( esk4693_2(X1,X2)
    | esk4619_2(X1,X2) )).

cnf(i_0_13561,axiom,
    ( ~ esk4196_2(X1,X2)
    | esk4192_2(X1,X2) )).

cnf(i_0_13562,axiom,
    ( esk3845_2(X1,X2)
    | ~ esk5467_2(X1,X2) )).

cnf(i_0_13563,axiom,
    ( esk3068_2(X1,X2)
    | esk3071_2(X1,X2)
    | esk3070_2(X1,X2) )).

cnf(i_0_13564,axiom,
    ( esk4170_2(X1,X2)
    | ~ esk4232_2(X1,X2) )).

cnf(i_0_13565,axiom,
    ( ~ esk1090_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_13566,axiom,
    ( esk107_2(X1,X2)
    | esk2425_2(X1,X2) )).

cnf(i_0_13567,axiom,
    ( ~ esk309_2(X1,X2)
    | esk393_2(X1,X2)
    | ~ esk94_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_13568,axiom,
    ( esk23_2(X1,X2)
    | ~ esk1048_2(X1,X2) )).

cnf(i_0_13569,axiom,
    ( ~ esk1157_2(X1,X2)
    | esk664_2(X1,X2) )).

cnf(i_0_13570,axiom,
    ( ~ esk4157_2(X1,X2)
    | esk4156_2(X1,X2) )).

cnf(i_0_13571,axiom,
    ( ~ esk2559_2(X1,X2)
    | esk2560_2(X1,X2)
    | ~ esk585_2(X1,X2) )).

cnf(i_0_13572,axiom,
    ( esk650_2(X1,X2)
    | esk651_2(X1,X2) )).

cnf(i_0_13573,axiom,
    ( esk3472_2(X1,X2)
    | esk3215_2(X1,X2) )).

cnf(i_0_13574,axiom,
    ( esk636_2(X1,X2)
    | ~ esk648_2(X1,X2) )).

cnf(i_0_13575,axiom,
    ( ~ esk5061_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_13576,axiom,
    ( esk4740_2(X1,X2)
    | esk4739_2(X1,X2) )).

cnf(i_0_13577,axiom,
    ( ~ esk3467_2(X1,X2)
    | esk3468_2(X1,X2)
    | ~ esk3251_2(X1,X2) )).

cnf(i_0_13578,axiom,
    ( esk2887_2(X1,X2)
    | ~ esk225_2(X1,X2)
    | esk5519_2(X1,X2) )).

cnf(i_0_13579,axiom,
    ( ~ esk3993_2(X1,X2)
    | esk3992_2(X1,X2) )).

cnf(i_0_13580,axiom,
    ( esk5088_2(X1,X2)
    | ~ esk5089_2(X1,X2) )).

cnf(i_0_13581,axiom,
    ( esk67_2(X1,X2)
    | ~ esk2869_2(X1,X2) )).

cnf(i_0_13582,axiom,
    ( ~ esk2447_2(X1,X2)
    | esk2446_2(X1,X2) )).

cnf(i_0_13583,axiom,
    ( ~ esk2650_2(X1,X2)
    | ~ esk2651_2(X1,X2) )).

cnf(i_0_13584,axiom,
    ( esk511_2(X1,X2)
    | ~ esk2743_2(X1,X2) )).

cnf(i_0_13585,axiom,
    ( esk3535_2(X1,X2)
    | esk3534_2(X1,X2) )).

cnf(i_0_13586,axiom,
    ( esk3628_2(X1,X2)
    | ~ esk3761_2(X1,X2) )).

cnf(i_0_13587,axiom,
    ( esk492_2(X1,X2)
    | ~ esk493_2(X1,X2) )).

cnf(i_0_13588,axiom,
    ( esk1123_2(X1,X2)
    | esk5541_2(X1,X2)
    | ~ esk3776_2(X1,X2) )).

cnf(i_0_13589,axiom,
    ( esk3145_2(X1,X2)
    | esk3144_2(X1,X2) )).

cnf(i_0_13590,axiom,
    ( ~ esk655_2(X1,X2)
    | ~ esk653_2(X1,X2) )).

cnf(i_0_13591,axiom,
    ( ~ esk2690_2(X1,X2)
    | ~ esk2689_2(X1,X2) )).

cnf(i_0_13592,axiom,
    ( esk1006_2(X1,X2)
    | ~ esk1203_2(X1,X2) )).

cnf(i_0_13593,axiom,
    ( esk2517_2(X1,X2)
    | ~ esk2513_2(X1,X2)
    | ~ esk2516_2(X1,X2) )).

cnf(i_0_13594,axiom,
    ( ~ esk4253_2(X1,X2)
    | esk3805_2(X1,X2) )).

cnf(i_0_13595,axiom,
    ( ~ esk668_2(X1,X2)
    | ~ esk149_2(X1,X2)
    | esk979_2(X1,X2) )).

cnf(i_0_13596,axiom,
    ( ~ esk183_2(X1,X2)
    | ~ esk133_2(X1,X2) )).

cnf(i_0_13597,axiom,
    ( ~ esk288_2(X1,X2)
    | ~ esk291_2(X1,X2) )).

cnf(i_0_13598,axiom,
    ( esk3340_2(X1,X2)
    | ~ esk131_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_13599,axiom,
    ( ~ esk2538_2(X1,X2)
    | ~ esk561_2(X1,X2) )).

cnf(i_0_13600,axiom,
    ( ~ esk3204_2(X1,X2)
    | ~ esk3203_2(X1,X2)
    | esk3205_2(X1,X2) )).

cnf(i_0_13601,axiom,
    ( ~ esk861_2(X1,X2)
    | ~ esk123_2(X1,X2) )).

cnf(i_0_13602,axiom,
    ( ~ esk5407_2(X1,X2)
    | ~ esk5408_2(X1,X2) )).

cnf(i_0_13603,axiom,
    ( ~ esk2462_2(X1,X2)
    | esk2456_2(X1,X2) )).

cnf(i_0_13604,axiom,
    ( esk2615_2(X1,X2)
    | esk2616_2(X1,X2) )).

cnf(i_0_13605,axiom,
    ( esk2360_2(X1,X2)
    | ~ esk2361_2(X1,X2) )).

cnf(i_0_13606,axiom,
    ( esk5409_2(X1,X2)
    | ~ esk5408_2(X1,X2)
    | ~ esk5405_2(X1,X2) )).

cnf(i_0_13607,axiom,
    ( ~ esk4481_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_13608,axiom,
    ( ~ esk4977_2(X1,X2)
    | esk4972_2(X1,X2) )).

cnf(i_0_13609,axiom,
    ( ~ esk4556_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_13610,axiom,
    ( ~ esk1652_2(X1,X2)
    | esk1152_2(X1,X2) )).

cnf(i_0_13611,axiom,
    ( ~ esk2653_2(X1,X2)
    | esk954_2(X1,X2) )).

cnf(i_0_13612,axiom,
    ( esk3917_2(X1,X2)
    | ~ esk3921_2(X1,X2) )).

cnf(i_0_13613,axiom,
    ( ~ esk307_2(X1,X2)
    | ~ esk294_2(X1,X2)
    | esk308_2(X1,X2)
    | ~ esk301_2(X1,X2)
    | ~ esk281_2(X1,X2) )).

cnf(i_0_13614,axiom,
    ( ~ esk1139_2(X1,X2)
    | ~ esk1135_2(X1,X2) )).

cnf(i_0_13615,axiom,
    ( ~ esk4547_2(X1,X2)
    | esk4334_2(X1,X2) )).

cnf(i_0_13616,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3791_2(X1,X2) )).

cnf(i_0_13617,axiom,
    ( ~ esk339_2(X1,X2)
    | ~ esk340_2(X1,X2) )).

cnf(i_0_13618,axiom,
    ( esk2792_2(X1,X2)
    | ~ esk2819_2(X1,X2) )).

cnf(i_0_13619,axiom,
    ( ~ esk844_2(X1,X2)
    | ~ esk132_2(X1,X2) )).

cnf(i_0_13620,axiom,
    ( esk4920_2(X1,X2)
    | esk4915_2(X1,X2) )).

cnf(i_0_13621,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1655_2(X1,X2) )).

cnf(i_0_13622,axiom,
    ( esk651_2(X1,X2)
    | ~ esk2127_2(X1,X2) )).

cnf(i_0_13623,axiom,
    ( ~ esk2793_2(X1,X2)
    | ~ esk2792_2(X1,X2)
    | esk2794_2(X1,X2) )).

cnf(i_0_13624,axiom,
    ( ~ esk1681_2(X1,X2)
    | ~ esk1802_2(X1,X2)
    | esk1881_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_13625,axiom,
    ( ~ esk4662_2(X1,X2)
    | ~ esk4663_2(X1,X2) )).

cnf(i_0_13626,axiom,
    ( ~ esk160_2(X1,X2)
    | esk1860_2(X1,X2)
    | ~ esk1651_2(X1,X2)
    | ~ esk1796_2(X1,X2) )).

cnf(i_0_13627,axiom,
    ( ~ esk2367_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_13628,axiom,
    ( esk5133_2(X1,X2)
    | esk5134_2(X1,X2) )).

cnf(i_0_13629,axiom,
    ( esk1200_2(X1,X2)
    | ~ esk1793_2(X1,X2) )).

cnf(i_0_13630,axiom,
    ( esk4539_2(X1,X2)
    | esk1886_2(X1,X2)
    | ~ esk5596_2(X1,X2) )).

cnf(i_0_13631,axiom,
    ( ~ esk743_2(X1,X2)
    | ~ esk2313_2(X1,X2) )).

cnf(i_0_13632,axiom,
    ( ~ esk4265_2(X1,X2)
    | esk3777_2(X1,X2) )).

cnf(i_0_13633,axiom,
    ( ~ esk2939_2(X1,X2)
    | ~ esk2940_2(X1,X2) )).

cnf(i_0_13634,axiom,
    ( ~ esk2905_2(X1,X2)
    | esk2900_2(X1,X2) )).

cnf(i_0_13635,axiom,
    ( ~ esk976_2(X1,X2)
    | esk975_2(X1,X2) )).

cnf(i_0_13636,axiom,
    ( esk4401_2(X1,X2)
    | ~ esk1748_2(X1,X2)
    | esk5576_2(X1,X2) )).

cnf(i_0_13637,axiom,
    ( ~ esk238_2(X1,X2)
    | ~ esk165_2(X1,X2) )).

cnf(i_0_13638,axiom,
    ( ~ esk5139_2(X1,X2)
    | ~ esk5140_2(X1,X2) )).

cnf(i_0_13639,axiom,
    ( ~ esk3549_2(X1,X2)
    | esk3548_2(X1,X2) )).

cnf(i_0_13640,axiom,
    ( esk4373_2(X1,X2)
    | ~ esk4375_2(X1,X2) )).

cnf(i_0_13641,axiom,
    ( ~ esk3167_2(X1,X2)
    | esk3165_2(X1,X2) )).

cnf(i_0_13642,axiom,
    ( ~ esk3590_2(X1,X2)
    | ~ esk3591_2(X1,X2) )).

cnf(i_0_13643,axiom,
    ( esk1131_2(X1,X2)
    | ~ esk5542_2(X1,X2)
    | esk3784_2(X1,X2) )).

cnf(i_0_13644,axiom,
    ( esk597_2(X1,X2)
    | ~ esk966_2(X1,X2) )).

cnf(i_0_13645,axiom,
    ( esk3223_2(X1,X2)
    | esk3222_2(X1,X2) )).

cnf(i_0_13646,axiom,
    ( ~ esk102_2(X1,X2)
    | esk5104_2(X1,X2)
    | ~ esk98_2(X1,X2)
    | ~ esk143_2(X1,X2) )).

cnf(i_0_13647,axiom,
    ( esk3153_2(X1,X2)
    | ~ esk3419_2(X1,X2) )).

cnf(i_0_13648,axiom,
    ( esk2420_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk2419_2(X1,X2) )).

cnf(i_0_13649,axiom,
    ( ~ esk2771_2(X1,X2)
    | esk2765_2(X1,X2) )).

cnf(i_0_13650,axiom,
    ( ~ esk5493_2(X1,X2)
    | ~ esk5492_2(X1,X2) )).

cnf(i_0_13651,axiom,
    ( esk1747_2(X1,X2)
    | ~ esk1894_2(X1,X2) )).

cnf(i_0_13652,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1240_2(X1,X2) )).

cnf(i_0_13653,axiom,
    ( esk2973_2(X1,X2)
    | ~ esk3031_2(X1,X2) )).

cnf(i_0_13654,axiom,
    ( esk917_2(X1,X2)
    | esk918_2(X1,X2) )).

cnf(i_0_13655,axiom,
    ( ~ esk2449_2(X1,X2)
    | ~ esk2444_2(X1,X2)
    | esk2450_2(X1,X2) )).

cnf(i_0_13656,axiom,
    ( ~ esk2957_2(X1,X2)
    | esk117_2(X1,X2) )).

cnf(i_0_13657,axiom,
    ( esk4170_2(X1,X2)
    | esk3721_2(X1,X2) )).

cnf(i_0_13658,axiom,
    ( ~ esk4477_2(X1,X2)
    | ~ esk4479_2(X1,X2) )).

cnf(i_0_13659,axiom,
    ( ~ esk402_2(X1,X2)
    | ~ esk146_2(X1,X2) )).

cnf(i_0_13660,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1187_2(X1,X2) )).

cnf(i_0_13661,axiom,
    ( esk3430_2(X1,X2)
    | ~ esk4110_2(X1,X2) )).

cnf(i_0_13662,axiom,
    ( esk2539_2(X1,X2)
    | esk2540_2(X1,X2) )).

cnf(i_0_13663,axiom,
    ( ~ esk1693_2(X1,X2)
    | ~ esk1692_2(X1,X2) )).

cnf(i_0_13664,axiom,
    ( ~ esk3730_2(X1,X2)
    | ~ esk4_2(X1,X2) )).

cnf(i_0_13665,axiom,
    ( esk3954_2(X1,X2)
    | esk3953_2(X1,X2) )).

cnf(i_0_13666,axiom,
    ( ~ esk5237_2(X1,X2)
    | ~ esk137_2(X1,X2) )).

cnf(i_0_13667,axiom,
    ( esk5054_2(X1,X2)
    | ~ esk5053_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_13668,axiom,
    ( esk851_2(X1,X2)
    | esk864_2(X1,X2) )).

cnf(i_0_13669,axiom,
    ( ~ esk3732_2(X1,X2)
    | ~ esk3731_2(X1,X2) )).

cnf(i_0_13670,axiom,
    ( esk556_2(X1,X2)
    | esk555_2(X1,X2) )).

cnf(i_0_13671,axiom,
    ( esk3635_2(X1,X2)
    | ~ esk3788_2(X1,X2) )).

cnf(i_0_13672,axiom,
    ( ~ esk4541_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_13673,axiom,
    ( ~ esk1427_2(X1,X2)
    | ~ esk1496_2(X1,X2)
    | esk1497_2(X1,X2) )).

cnf(i_0_13674,axiom,
    ( esk2175_2(X1,X2)
    | esk2176_2(X1,X2) )).

cnf(i_0_13675,axiom,
    ( esk635_2(X1,X2)
    | ~ esk690_2(X1,X2) )).

cnf(i_0_13676,axiom,
    ( esk752_2(X1,X2)
    | ~ esk998_2(X1,X2) )).

cnf(i_0_13677,axiom,
    ( esk2597_2(X1,X2)
    | esk2598_2(X1,X2) )).

cnf(i_0_13678,axiom,
    ( esk1242_2(X1,X2)
    | ~ esk793_2(X1,X2)
    | ~ esk4_2(X1,X2)
    | ~ esk817_2(X1,X2) )).

cnf(i_0_13679,axiom,
    ( esk537_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_13680,axiom,
    ( ~ esk2177_2(X1,X2)
    | esk2173_2(X1,X2) )).

cnf(i_0_13681,axiom,
    ( ~ esk121_2(X1,X2)
    | ~ esk820_2(X1,X2)
    | esk821_2(X1,X2) )).

cnf(i_0_13682,axiom,
    ( esk4839_2(X1,X2)
    | esk4838_2(X1,X2) )).

cnf(i_0_13683,axiom,
    ( ~ esk631_2(X1,X2)
    | esk116_2(X1,X2) )).

cnf(i_0_13684,axiom,
    ( esk1417_2(X1,X2)
    | esk1418_2(X1,X2) )).

cnf(i_0_13685,axiom,
    ( esk140_2(X1,X2)
    | ~ esk3232_2(X1,X2) )).

cnf(i_0_13686,axiom,
    ( esk5320_2(X1,X2)
    | esk5319_2(X1,X2) )).

cnf(i_0_13687,axiom,
    ( esk3033_2(X1,X2)
    | esk3032_2(X1,X2) )).

cnf(i_0_13688,axiom,
    ( ~ esk3331_2(X1,X2)
    | ~ esk3330_2(X1,X2) )).

cnf(i_0_13689,axiom,
    ( ~ esk3630_2(X1,X2)
    | ~ esk3629_2(X1,X2) )).

cnf(i_0_13690,axiom,
    ( ~ esk1689_2(X1,X2)
    | esk1589_2(X1,X2) )).

cnf(i_0_13691,axiom,
    ( ~ esk3325_2(X1,X2)
    | esk3321_2(X1,X2) )).

cnf(i_0_13692,axiom,
    ( esk3422_2(X1,X2)
    | esk4082_2(X1,X2) )).

cnf(i_0_13693,axiom,
    ( ~ esk2440_2(X1,X2)
    | ~ esk105_2(X1,X2) )).

cnf(i_0_13694,axiom,
    ( esk1508_2(X1,X2)
    | esk1507_2(X1,X2) )).

cnf(i_0_13695,axiom,
    ( ~ esk4826_2(X1,X2)
    | ~ esk4825_2(X1,X2) )).

cnf(i_0_13696,axiom,
    ( ~ esk1139_2(X1,X2)
    | ~ esk1137_2(X1,X2) )).

cnf(i_0_13697,axiom,
    ( ~ esk148_2(X1,X2)
    | ~ esk1917_2(X1,X2) )).

cnf(i_0_13698,axiom,
    ( ~ esk1253_2(X1,X2)
    | ~ esk1255_2(X1,X2) )).

cnf(i_0_13699,axiom,
    ( ~ esk2953_2(X1,X2)
    | ~ esk2950_2(X1,X2) )).

cnf(i_0_13700,axiom,
    ( esk3012_2(X1,X2)
    | ~ esk3018_2(X1,X2) )).

cnf(i_0_13701,axiom,
    ( esk155_2(X1,X2)
    | ~ esk2846_2(X1,X2) )).

cnf(i_0_13702,axiom,
    ( esk5311_2(X1,X2)
    | esk5315_2(X1,X2) )).

cnf(i_0_13703,axiom,
    ( ~ esk536_2(X1,X2)
    | esk511_2(X1,X2) )).

cnf(i_0_13704,axiom,
    ( ~ esk2235_2(X1,X2)
    | esk2231_2(X1,X2) )).

cnf(i_0_13705,axiom,
    ( esk1406_2(X1,X2)
    | ~ esk1402_2(X1,X2)
    | ~ esk1405_2(X1,X2)
    | ~ esk1386_2(X1,X2) )).

cnf(i_0_13706,axiom,
    ( ~ esk4974_2(X1,X2)
    | esk4973_2(X1,X2) )).

cnf(i_0_13707,axiom,
    ( esk1101_2(X1,X2)
    | ~ esk1106_2(X1,X2) )).

cnf(i_0_13708,axiom,
    ( ~ esk3923_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_13709,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk3262_2(X1,X2)
    | esk3280_2(X1,X2) )).

cnf(i_0_13710,axiom,
    ( esk3666_2(X1,X2)
    | esk3653_2(X1,X2)
    | esk3665_2(X1,X2) )).

cnf(i_0_13711,axiom,
    ( ~ esk3615_2(X1,X2)
    | esk3614_2(X1,X2) )).

cnf(i_0_13712,axiom,
    ( esk5213_2(X1,X2)
    | esk5214_2(X1,X2) )).

cnf(i_0_13713,axiom,
    ( ~ esk5438_2(X1,X2)
    | ~ esk5437_2(X1,X2) )).

cnf(i_0_13714,axiom,
    ( ~ esk668_2(X1,X2)
    | esk673_2(X1,X2)
    | ~ esk672_2(X1,X2) )).

cnf(i_0_13715,axiom,
    ( esk383_2(X1,X2)
    | esk384_2(X1,X2) )).

cnf(i_0_13716,axiom,
    ( ~ esk4342_2(X1,X2)
    | ~ esk4346_2(X1,X2) )).

cnf(i_0_13717,axiom,
    ( esk2546_2(X1,X2)
    | esk597_2(X1,X2) )).

cnf(i_0_13718,axiom,
    ( ~ esk3617_2(X1,X2)
    | esk3235_2(X1,X2) )).

cnf(i_0_13719,axiom,
    ( ~ esk5371_2(X1,X2)
    | ~ esk5369_2(X1,X2)
    | esk5372_2(X1,X2) )).

cnf(i_0_13720,axiom,
    ( esk5556_2(X1,X2)
    | esk4250_2(X1,X2)
    | ~ esk1597_2(X1,X2) )).

cnf(i_0_13721,axiom,
    ( ~ esk4022_2(X1,X2)
    | ~ esk4023_2(X1,X2) )).

cnf(i_0_13722,axiom,
    ( esk1122_2(X1,X2)
    | esk1578_2(X1,X2) )).

cnf(i_0_13723,axiom,
    ( ~ esk4353_2(X1,X2)
    | ~ esk4352_2(X1,X2) )).

cnf(i_0_13724,axiom,
    ( ~ esk962_2(X1,X2)
    | esk961_2(X1,X2) )).

cnf(i_0_13725,axiom,
    ( ~ esk1200_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_13726,axiom,
    ( ~ esk3694_2(X1,X2)
    | ~ esk52_2(X1,X2)
    | esk3840_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_13727,axiom,
    ( ~ esk3682_2(X1,X2)
    | esk3313_2(X1,X2) )).

cnf(i_0_13728,axiom,
    ( esk5381_2(X1,X2)
    | ~ esk5385_2(X1,X2) )).

cnf(i_0_13729,axiom,
    ( ~ esk4046_2(X1,X2)
    | esk4045_2(X1,X2) )).

cnf(i_0_13730,axiom,
    ( esk4628_2(X1,X2)
    | esk130_2(X1,X2) )).

cnf(i_0_13731,axiom,
    ( ~ esk3037_2(X1,X2)
    | ~ esk3038_2(X1,X2) )).

cnf(i_0_13732,axiom,
    ( ~ esk1252_2(X1,X2)
    | ~ esk1251_2(X1,X2) )).

cnf(i_0_13733,axiom,
    ( ~ esk4270_2(X1,X2)
    | esk1617_2(X1,X2)
    | esk5559_2(X1,X2) )).

cnf(i_0_13734,axiom,
    ( ~ esk1199_2(X1,X2)
    | esk1794_2(X1,X2)
    | ~ esk22_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_13735,axiom,
    ( ~ esk1033_2(X1,X2)
    | ~ esk1021_2(X1,X2) )).

cnf(i_0_13736,axiom,
    ( esk922_2(X1,X2)
    | ~ esk923_2(X1,X2) )).

cnf(i_0_13737,axiom,
    ( ~ esk4459_2(X1,X2)
    | esk44_2(X1,X2) )).

cnf(i_0_13738,axiom,
    ( esk1462_2(X1,X2)
    | esk752_2(X1,X2) )).

cnf(i_0_13739,axiom,
    ( ~ esk3393_2(X1,X2)
    | esk3392_2(X1,X2) )).

cnf(i_0_13740,axiom,
    ( esk4584_2(X1,X2)
    | esk4585_2(X1,X2) )).

cnf(i_0_13741,axiom,
    ( esk101_2(X1,X2)
    | esk2853_2(X1,X2) )).

cnf(i_0_13742,axiom,
    ( ~ esk1767_2(X1,X2)
    | esk4420_2(X1,X2)
    | esk5579_2(X1,X2) )).

cnf(i_0_13743,axiom,
    ( ~ esk2292_2(X1,X2)
    | esk2291_2(X1,X2) )).

cnf(i_0_13744,axiom,
    ( ~ esk1989_2(X1,X2)
    | ~ esk1986_2(X1,X2) )).

cnf(i_0_13745,axiom,
    ( esk2181_2(X1,X2)
    | esk2180_2(X1,X2) )).

cnf(i_0_13746,axiom,
    ( esk1802_2(X1,X2)
    | esk1803_2(X1,X2) )).

cnf(i_0_13747,axiom,
    ( ~ esk125_2(X1,X2)
    | ~ esk120_2(X1,X2)
    | esk619_2(X1,X2) )).

cnf(i_0_13748,axiom,
    ( ~ esk343_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | esk1154_2(X1,X2) )).

cnf(i_0_13749,axiom,
    ( ~ esk1822_2(X1,X2)
    | esk1598_2(X1,X2) )).

cnf(i_0_13750,axiom,
    ( ~ esk3634_2(X1,X2)
    | esk3633_2(X1,X2) )).

cnf(i_0_13751,axiom,
    ( ~ esk3552_2(X1,X2)
    | esk3551_2(X1,X2) )).

cnf(i_0_13752,axiom,
    ( ~ esk4306_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_13753,axiom,
    ( ~ esk1150_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_13754,axiom,
    ( ~ esk4820_2(X1,X2)
    | esk4819_2(X1,X2) )).

cnf(i_0_13755,axiom,
    ( esk4731_2(X1,X2)
    | esk4732_2(X1,X2) )).

cnf(i_0_13756,axiom,
    ( ~ esk4319_2(X1,X2)
    | esk4233_2(X1,X2) )).

cnf(i_0_13757,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4535_2(X1,X2) )).

cnf(i_0_13758,axiom,
    ( ~ esk4816_2(X1,X2)
    | ~ esk3380_2(X1,X2)
    | esk4817_2(X1,X2) )).

cnf(i_0_13759,axiom,
    ( ~ esk2318_2(X1,X2)
    | ~ esk2254_2(X1,X2) )).

cnf(i_0_13760,axiom,
    ( ~ esk2858_2(X1,X2)
    | ~ esk2859_2(X1,X2) )).

cnf(i_0_13761,axiom,
    ( ~ esk1360_2(X1,X2)
    | ~ esk1359_2(X1,X2) )).

cnf(i_0_13762,axiom,
    ( ~ esk5263_2(X1,X2)
    | ~ esk5264_2(X1,X2) )).

cnf(i_0_13763,axiom,
    ( ~ esk718_2(X1,X2)
    | ~ esk651_2(X1,X2)
    | esk2051_2(X1,X2) )).

cnf(i_0_13764,axiom,
    ( ~ esk2998_2(X1,X2)
    | esk2999_2(X1,X2)
    | ~ esk2993_2(X1,X2) )).

cnf(i_0_13765,axiom,
    ( esk2392_2(X1,X2)
    | ~ esk2483_2(X1,X2) )).

cnf(i_0_13766,axiom,
    ( ~ esk1169_2(X1,X2)
    | esk1041_2(X1,X2) )).

cnf(i_0_13767,axiom,
    ( esk5101_2(X1,X2)
    | esk5102_2(X1,X2) )).

cnf(i_0_13768,axiom,
    ( esk1580_2(X1,X2)
    | ~ esk1582_2(X1,X2) )).

cnf(i_0_13769,axiom,
    ( esk1504_2(X1,X2)
    | ~ esk776_2(X1,X2)
    | ~ esk1503_2(X1,X2) )).

cnf(i_0_13770,axiom,
    ( ~ esk2976_2(X1,X2)
    | ~ esk2977_2(X1,X2) )).

cnf(i_0_13771,axiom,
    ( ~ esk135_2(X1,X2)
    | esk3961_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_13772,axiom,
    ( ~ esk198_2(X1,X2)
    | ~ esk65_2(X1,X2)
    | esk199_2(X1,X2) )).

cnf(i_0_13773,axiom,
    ( esk2030_2(X1,X2)
    | esk2029_2(X1,X2)
    | esk2027_2(X1,X2) )).

cnf(i_0_13774,axiom,
    ( ~ esk3764_2(X1,X2)
    | ~ esk3763_2(X1,X2) )).

cnf(i_0_13775,axiom,
    ( esk3971_2(X1,X2)
    | esk3972_2(X1,X2) )).

cnf(i_0_13776,axiom,
    ( ~ esk1140_2(X1,X2)
    | ~ esk1141_2(X1,X2) )).

cnf(i_0_13777,axiom,
    ( ~ esk1619_2(X1,X2)
    | esk1125_2(X1,X2) )).

cnf(i_0_13778,axiom,
    ( ~ esk179_2(X1,X2)
    | ~ esk3695_2(X1,X2) )).

cnf(i_0_13779,axiom,
    ( esk1304_2(X1,X2)
    | esk1303_2(X1,X2) )).

cnf(i_0_13780,axiom,
    ( ~ esk3703_2(X1,X2)
    | esk3702_2(X1,X2) )).

cnf(i_0_13781,axiom,
    ( ~ esk2310_2(X1,X2)
    | esk2309_2(X1,X2) )).

cnf(i_0_13782,axiom,
    ( esk2947_2(X1,X2)
    | esk2948_2(X1,X2) )).

cnf(i_0_13783,axiom,
    ( esk927_2(X1,X2)
    | esk926_2(X1,X2) )).

cnf(i_0_13784,axiom,
    ( ~ esk601_2(X1,X2)
    | esk600_2(X1,X2) )).

cnf(i_0_13785,axiom,
    ( ~ esk1504_2(X1,X2)
    | esk1503_2(X1,X2) )).

cnf(i_0_13786,axiom,
    ( ~ esk5372_2(X1,X2)
    | ~ esk5373_2(X1,X2) )).

cnf(i_0_13787,axiom,
    ( ~ esk334_2(X1,X2)
    | esk333_2(X1,X2) )).

cnf(i_0_13788,axiom,
    ( ~ esk3386_2(X1,X2)
    | ~ esk3385_2(X1,X2) )).

cnf(i_0_13789,axiom,
    ( esk4729_2(X1,X2)
    | ~ esk4733_2(X1,X2) )).

cnf(i_0_13790,axiom,
    ( ~ esk5368_2(X1,X2)
    | ~ esk5310_2(X1,X2) )).

cnf(i_0_13791,axiom,
    ( esk801_2(X1,X2)
    | ~ esk1007_2(X1,X2) )).

cnf(i_0_13792,axiom,
    ( ~ esk1379_2(X1,X2)
    | ~ esk515_2(X1,X2) )).

cnf(i_0_13793,axiom,
    ( ~ esk3952_2(X1,X2)
    | ~ esk3342_2(X1,X2) )).

cnf(i_0_13794,axiom,
    ( ~ esk688_2(X1,X2)
    | esk1062_2(X1,X2)
    | ~ esk1061_2(X1,X2) )).

cnf(i_0_13795,axiom,
    ( esk147_2(X1,X2)
    | ~ esk3626_2(X1,X2) )).

cnf(i_0_13796,axiom,
    ( esk3709_2(X1,X2)
    | esk3708_2(X1,X2) )).

cnf(i_0_13797,axiom,
    ( ~ esk4940_2(X1,X2)
    | ~ esk4941_2(X1,X2) )).

cnf(i_0_13798,axiom,
    ( ~ esk1585_2(X1,X2)
    | esk83_2(X1,X2) )).

cnf(i_0_13799,axiom,
    ( esk614_2(X1,X2)
    | esk615_2(X1,X2) )).

cnf(i_0_13800,axiom,
    ( esk4626_2(X1,X2)
    | esk4625_2(X1,X2) )).

cnf(i_0_13801,axiom,
    ( ~ esk679_2(X1,X2)
    | ~ esk677_2(X1,X2) )).

cnf(i_0_13802,axiom,
    ( ~ esk2229_2(X1,X2)
    | esk2230_2(X1,X2)
    | ~ esk706_2(X1,X2) )).

cnf(i_0_13803,axiom,
    ( ~ esk3121_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_13804,axiom,
    ( esk1419_2(X1,X2)
    | esk1084_2(X1,X2) )).

cnf(i_0_13805,axiom,
    ( esk3777_2(X1,X2)
    | ~ esk3779_2(X1,X2) )).

cnf(i_0_13806,axiom,
    ( esk4094_2(X1,X2)
    | esk4093_2(X1,X2) )).

cnf(i_0_13807,axiom,
    ( ~ esk3326_2(X1,X2)
    | ~ esk3309_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | esk3790_2(X1,X2)
    | ~ esk3313_2(X1,X2) )).

cnf(i_0_13808,axiom,
    ( esk565_2(X1,X2)
    | ~ esk798_2(X1,X2) )).

cnf(i_0_13809,axiom,
    ( ~ esk895_2(X1,X2)
    | esk894_2(X1,X2) )).

cnf(i_0_13810,axiom,
    ( ~ esk3583_2(X1,X2)
    | ~ esk3582_2(X1,X2) )).

cnf(i_0_13811,axiom,
    ( ~ esk1883_2(X1,X2)
    | ~ esk1884_2(X1,X2) )).

cnf(i_0_13812,axiom,
    ( ~ esk3791_2(X1,X2)
    | ~ esk3792_2(X1,X2) )).

cnf(i_0_13813,axiom,
    ( ~ esk177_2(X1,X2)
    | esk1807_2(X1,X2)
    | ~ esk43_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_13814,axiom,
    ( ~ esk1636_2(X1,X2)
    | ~ esk1635_2(X1,X2) )).

cnf(i_0_13815,axiom,
    ( ~ esk25_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | esk5469_2(X1,X2) )).

cnf(i_0_13816,axiom,
    ( esk3081_2(X1,X2)
    | ~ esk3148_2(X1,X2) )).

cnf(i_0_13817,axiom,
    ( esk345_2(X1,X2)
    | ~ esk309_2(X1,X2)
    | ~ esk123_2(X1,X2)
    | ~ esk149_2(X1,X2) )).

cnf(i_0_13818,axiom,
    ( ~ esk4260_2(X1,X2)
    | esk3891_2(X1,X2) )).

cnf(i_0_13819,axiom,
    ( ~ esk3265_2(X1,X2)
    | ~ esk3263_2(X1,X2) )).

cnf(i_0_13820,axiom,
    ( ~ esk3002_2(X1,X2)
    | ~ esk3001_2(X1,X2) )).

cnf(i_0_13821,axiom,
    ( ~ esk141_2(X1,X2)
    | esk3473_2(X1,X2)
    | ~ esk3472_2(X1,X2) )).

cnf(i_0_13822,axiom,
    ( esk4720_2(X1,X2)
    | esk4721_2(X1,X2) )).

cnf(i_0_13823,axiom,
    ( ~ esk4451_2(X1,X2)
    | ~ esk4454_2(X1,X2) )).

cnf(i_0_13824,axiom,
    ( ~ esk3150_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_13825,axiom,
    ( ~ esk5186_2(X1,X2)
    | esk5182_2(X1,X2) )).

cnf(i_0_13826,axiom,
    ( ~ esk3860_2(X1,X2)
    | ~ esk3859_2(X1,X2) )).

cnf(i_0_13827,axiom,
    ( ~ esk621_2(X1,X2)
    | ~ esk620_2(X1,X2) )).

cnf(i_0_13828,axiom,
    ( esk2317_2(X1,X2)
    | ~ esk2311_2(X1,X2)
    | ~ esk2316_2(X1,X2)
    | ~ esk164_2(X1,X2) )).

cnf(i_0_13829,axiom,
    ( esk2156_2(X1,X2)
    | esk2157_2(X1,X2) )).

cnf(i_0_13830,axiom,
    ( esk116_2(X1,X2)
    | esk210_2(X1,X2) )).

cnf(i_0_13831,axiom,
    ( ~ esk3937_2(X1,X2)
    | esk3936_2(X1,X2) )).

cnf(i_0_13832,axiom,
    ( esk2183_2(X1,X2)
    | esk2184_2(X1,X2) )).

cnf(i_0_13833,axiom,
    ( ~ esk3873_2(X1,X2)
    | ~ esk1220_2(X1,X2)
    | ~ esk5547_2(X1,X2) )).

cnf(i_0_13834,axiom,
    ( esk651_2(X1,X2)
    | ~ esk1174_2(X1,X2) )).

cnf(i_0_13835,axiom,
    ( ~ esk1041_2(X1,X2)
    | esk1057_2(X1,X2)
    | ~ esk324_2(X1,X2)
    | ~ esk1042_2(X1,X2) )).

cnf(i_0_13836,axiom,
    ( ~ esk4511_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_13837,axiom,
    ( esk3766_2(X1,X2)
    | esk3767_2(X1,X2) )).

cnf(i_0_13838,axiom,
    ( esk2186_2(X1,X2)
    | ~ esk2191_2(X1,X2) )).

cnf(i_0_13839,axiom,
    ( esk1220_2(X1,X2)
    | ~ esk3873_2(X1,X2)
    | esk5547_2(X1,X2) )).

cnf(i_0_13840,axiom,
    ( ~ esk1673_2(X1,X2)
    | ~ esk1677_2(X1,X2) )).

cnf(i_0_13841,axiom,
    ( ~ esk175_2(X1,X2)
    | ~ esk1088_2(X1,X2)
    | esk1127_2(X1,X2)
    | ~ esk1125_2(X1,X2) )).

cnf(i_0_13842,axiom,
    ( esk454_2(X1,X2)
    | ~ esk319_2(X1,X2)
    | ~ esk453_2(X1,X2) )).

cnf(i_0_13843,axiom,
    ( esk1221_2(X1,X2)
    | esk1236_2(X1,X2)
    | esk1237_2(X1,X2)
    | esk1235_2(X1,X2) )).

cnf(i_0_13844,axiom,
    ( esk560_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_13845,axiom,
    ( esk523_2(X1,X2)
    | esk522_2(X1,X2) )).

cnf(i_0_13846,axiom,
    ( ~ esk4970_2(X1,X2)
    | esk4969_2(X1,X2) )).

cnf(i_0_13847,axiom,
    ( esk4905_2(X1,X2)
    | ~ esk4907_2(X1,X2) )).

cnf(i_0_13848,axiom,
    ( ~ esk931_2(X1,X2)
    | esk921_2(X1,X2) )).

cnf(i_0_13849,axiom,
    ( ~ esk2169_2(X1,X2)
    | esk2168_2(X1,X2) )).

cnf(i_0_13850,axiom,
    ( esk41_2(X1,X2)
    | ~ esk4477_2(X1,X2) )).

cnf(i_0_13851,axiom,
    ( ~ esk121_2(X1,X2)
    | ~ esk2932_2(X1,X2) )).

cnf(i_0_13852,axiom,
    ( esk1318_2(X1,X2)
    | ~ esk1335_2(X1,X2) )).

cnf(i_0_13853,axiom,
    ( esk4617_2(X1,X2)
    | esk4616_2(X1,X2) )).

cnf(i_0_13854,axiom,
    ( esk4750_2(X1,X2)
    | esk4749_2(X1,X2) )).

cnf(i_0_13855,axiom,
    ( ~ esk4927_2(X1,X2)
    | ~ esk4926_2(X1,X2) )).

cnf(i_0_13856,axiom,
    ( esk2667_2(X1,X2)
    | esk2666_2(X1,X2) )).

cnf(i_0_13857,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk3741_2(X1,X2)
    | esk4245_2(X1,X2) )).

cnf(i_0_13858,axiom,
    ( ~ esk1849_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_13859,axiom,
    ( esk413_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_13860,axiom,
    ( ~ esk729_2(X1,X2)
    | ~ esk728_2(X1,X2) )).

cnf(i_0_13861,axiom,
    ( esk462_2(X1,X2)
    | esk463_2(X1,X2) )).

cnf(i_0_13862,axiom,
    ( esk1576_2(X1,X2)
    | esk1575_2(X1,X2) )).

cnf(i_0_13863,axiom,
    ( ~ esk80_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk4242_2(X1,X2)
    | esk5490_2(X1,X2) )).

cnf(i_0_13864,axiom,
    ( ~ esk5546_2(X1,X2)
    | esk3851_2(X1,X2)
    | esk1198_2(X1,X2) )).

cnf(i_0_13865,axiom,
    ( esk1474_2(X1,X2)
    | esk1475_2(X1,X2) )).

cnf(i_0_13866,axiom,
    ( esk4649_2(X1,X2)
    | ~ esk4644_2(X1,X2)
    | ~ esk4648_2(X1,X2) )).

cnf(i_0_13867,axiom,
    ( esk5141_2(X1,X2)
    | esk5142_2(X1,X2) )).

cnf(i_0_13868,axiom,
    ( esk1802_2(X1,X2)
    | ~ esk1881_2(X1,X2) )).

cnf(i_0_13869,axiom,
    ( esk3309_2(X1,X2)
    | ~ esk3791_2(X1,X2) )).

cnf(i_0_13870,axiom,
    ( ~ esk2703_2(X1,X2)
    | esk2698_2(X1,X2) )).

cnf(i_0_13871,axiom,
    ( ~ esk1692_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_13872,axiom,
    ( ~ esk4050_2(X1,X2)
    | ~ esk4047_2(X1,X2)
    | esk4051_2(X1,X2) )).

cnf(i_0_13873,axiom,
    ( ~ esk1270_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_13874,axiom,
    ( ~ esk1192_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_13875,axiom,
    ( esk4036_2(X1,X2)
    | esk4037_2(X1,X2) )).

cnf(i_0_13876,axiom,
    ( esk2382_2(X1,X2)
    | esk2381_2(X1,X2) )).

cnf(i_0_13877,axiom,
    ( ~ esk1819_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_13878,axiom,
    ( ~ esk2730_2(X1,X2)
    | ~ esk2731_2(X1,X2) )).

cnf(i_0_13879,axiom,
    ( ~ esk4448_2(X1,X2)
    | ~ esk4445_2(X1,X2) )).

cnf(i_0_13880,axiom,
    ( ~ esk2499_2(X1,X2)
    | ~ esk2498_2(X1,X2) )).

cnf(i_0_13881,axiom,
    ( ~ esk3892_2(X1,X2)
    | ~ esk3891_2(X1,X2) )).

cnf(i_0_13882,axiom,
    ( esk5585_2(X1,X2)
    | esk1815_2(X1,X2)
    | ~ esk4468_2(X1,X2) )).

cnf(i_0_13883,axiom,
    ( ~ esk1804_2(X1,X2)
    | esk1624_2(X1,X2) )).

cnf(i_0_13884,axiom,
    ( ~ esk4227_2(X1,X2)
    | esk4226_2(X1,X2) )).

cnf(i_0_13885,axiom,
    ( ~ esk3870_2(X1,X2)
    | ~ esk3871_2(X1,X2) )).

cnf(i_0_13886,axiom,
    ( esk92_2(X1,X2)
    | esk3069_2(X1,X2) )).

cnf(i_0_13887,axiom,
    ( ~ esk1544_2(X1,X2)
    | ~ esk1543_2(X1,X2) )).

cnf(i_0_13888,axiom,
    ( ~ esk1310_2(X1,X2)
    | ~ esk1311_2(X1,X2) )).

cnf(i_0_13889,axiom,
    ( ~ esk4880_2(X1,X2)
    | esk4879_2(X1,X2) )).

cnf(i_0_13890,axiom,
    ( ~ esk5213_2(X1,X2)
    | ~ esk5214_2(X1,X2) )).

cnf(i_0_13891,axiom,
    ( ~ esk2197_2(X1,X2)
    | ~ esk2196_2(X1,X2) )).

cnf(i_0_13892,axiom,
    ( esk959_2(X1,X2)
    | ~ esk960_2(X1,X2) )).

cnf(i_0_13893,axiom,
    ( ~ esk161_2(X1,X2)
    | ~ esk1650_2(X1,X2)
    | ~ esk86_2(X1,X2)
    | esk1868_2(X1,X2) )).

cnf(i_0_13894,axiom,
    ( ~ esk2942_2(X1,X2)
    | esk2936_2(X1,X2) )).

cnf(i_0_13895,axiom,
    ( esk4590_2(X1,X2)
    | ~ esk4591_2(X1,X2) )).

cnf(i_0_13896,axiom,
    ( ~ esk4350_2(X1,X2)
    | esk4243_2(X1,X2) )).

cnf(i_0_13897,axiom,
    ( ~ esk1063_2(X1,X2)
    | ~ esk1062_2(X1,X2) )).

cnf(i_0_13898,axiom,
    ( esk652_2(X1,X2)
    | ~ esk1045_2(X1,X2) )).

cnf(i_0_13899,axiom,
    ( ~ esk1308_2(X1,X2)
    | ~ esk1309_2(X1,X2) )).

cnf(i_0_13900,axiom,
    ( esk2737_2(X1,X2)
    | esk499_2(X1,X2) )).

cnf(i_0_13901,axiom,
    ( ~ esk4177_2(X1,X2)
    | ~ esk4174_2(X1,X2) )).

cnf(i_0_13902,axiom,
    ( esk456_2(X1,X2)
    | esk455_2(X1,X2) )).

cnf(i_0_13903,axiom,
    ( ~ esk770_2(X1,X2)
    | ~ esk771_2(X1,X2) )).

cnf(i_0_13904,axiom,
    ( ~ esk2692_2(X1,X2)
    | esk535_2(X1,X2) )).

cnf(i_0_13905,axiom,
    ( ~ esk2695_2(X1,X2)
    | esk2694_2(X1,X2) )).

cnf(i_0_13906,axiom,
    ( esk2063_2(X1,X2)
    | esk2062_2(X1,X2) )).

cnf(i_0_13907,axiom,
    ( ~ esk2929_2(X1,X2)
    | ~ esk2928_2(X1,X2) )).

cnf(i_0_13908,axiom,
    ( esk1971_2(X1,X2)
    | esk1972_2(X1,X2) )).

cnf(i_0_13909,axiom,
    ( esk400_2(X1,X2)
    | esk94_2(X1,X2) )).

cnf(i_0_13910,axiom,
    ( ~ esk1642_2(X1,X2)
    | ~ esk1641_2(X1,X2) )).

cnf(i_0_13911,axiom,
    ( ~ esk3902_2(X1,X2)
    | esk3897_2(X1,X2) )).

cnf(i_0_13912,axiom,
    ( ~ esk3324_2(X1,X2)
    | esk3325_2(X1,X2)
    | ~ esk3321_2(X1,X2) )).

cnf(i_0_13913,axiom,
    ( ~ esk3957_2(X1,X2)
    | ~ esk3954_2(X1,X2)
    | esk3958_2(X1,X2) )).

cnf(i_0_13914,axiom,
    ( esk651_2(X1,X2)
    | ~ esk2051_2(X1,X2) )).

cnf(i_0_13915,axiom,
    ( ~ esk3290_2(X1,X2)
    | esk3286_2(X1,X2) )).

cnf(i_0_13916,axiom,
    ( ~ esk3035_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_13917,axiom,
    ( ~ esk1533_2(X1,X2)
    | esk1532_2(X1,X2) )).

cnf(i_0_13918,axiom,
    ( esk2297_2(X1,X2)
    | esk2298_2(X1,X2) )).

cnf(i_0_13919,axiom,
    ( esk1248_2(X1,X2)
    | ~ esk1249_2(X1,X2) )).

cnf(i_0_13920,axiom,
    ( ~ esk5017_2(X1,X2)
    | ~ esk5038_2(X1,X2)
    | esk5039_2(X1,X2) )).

cnf(i_0_13921,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk317_2(X1,X2)
    | esk426_2(X1,X2) )).

cnf(i_0_13922,axiom,
    ( ~ esk2581_2(X1,X2)
    | esk549_2(X1,X2) )).

cnf(i_0_13923,axiom,
    ( esk587_2(X1,X2)
    | esk588_2(X1,X2)
    | esk586_2(X1,X2) )).

cnf(i_0_13924,axiom,
    ( ~ esk554_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_13925,axiom,
    ( ~ esk1751_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_13926,axiom,
    ( esk3363_2(X1,X2)
    | esk3362_2(X1,X2) )).

cnf(i_0_13927,axiom,
    ( ~ esk1673_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_13928,axiom,
    ( ~ esk1054_2(X1,X2)
    | ~ esk1053_2(X1,X2) )).

cnf(i_0_13929,axiom,
    ( ~ esk2660_2(X1,X2)
    | ~ esk2661_2(X1,X2) )).

cnf(i_0_13930,axiom,
    ( ~ esk470_2(X1,X2)
    | ~ esk1075_2(X1,X2)
    | ~ esk1074_2(X1,X2)
    | esk1221_2(X1,X2) )).

cnf(i_0_13931,axiom,
    ( esk4601_2(X1,X2)
    | esk4599_2(X1,X2)
    | esk4602_2(X1,X2) )).

cnf(i_0_13932,axiom,
    ( esk2725_2(X1,X2)
    | esk2726_2(X1,X2) )).

cnf(i_0_13933,axiom,
    ( ~ esk572_2(X1,X2)
    | esk571_2(X1,X2) )).

cnf(i_0_13934,axiom,
    ( esk647_2(X1,X2)
    | ~ esk1138_2(X1,X2) )).

cnf(i_0_13935,axiom,
    ( esk2874_2(X1,X2)
    | ~ esk2882_2(X1,X2) )).

cnf(i_0_13936,axiom,
    ( ~ esk1629_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_13937,axiom,
    ( ~ esk1646_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_13938,axiom,
    ( ~ esk2326_2(X1,X2)
    | ~ esk2327_2(X1,X2) )).

cnf(i_0_13939,axiom,
    ( ~ esk3431_2(X1,X2)
    | ~ esk144_2(X1,X2)
    | esk3432_2(X1,X2) )).

cnf(i_0_13940,axiom,
    ( esk3313_2(X1,X2)
    | ~ esk4704_2(X1,X2) )).

cnf(i_0_13941,axiom,
    ( esk99_2(X1,X2)
    | ~ esk3249_2(X1,X2) )).

cnf(i_0_13942,axiom,
    ( ~ esk1573_2(X1,X2)
    | esk1574_2(X1,X2)
    | ~ esk1104_2(X1,X2) )).

cnf(i_0_13943,axiom,
    ( ~ esk2558_2(X1,X2)
    | ~ esk2557_2(X1,X2) )).

cnf(i_0_13944,axiom,
    ( esk4679_2(X1,X2)
    | ~ esk4680_2(X1,X2) )).

cnf(i_0_13945,axiom,
    ( esk2551_2(X1,X2)
    | esk2550_2(X1,X2) )).

cnf(i_0_13946,axiom,
    ( esk3161_2(X1,X2)
    | esk3160_2(X1,X2) )).

cnf(i_0_13947,axiom,
    ( esk43_2(X1,X2)
    | ~ esk1813_2(X1,X2) )).

cnf(i_0_13948,axiom,
    ( esk3153_2(X1,X2)
    | esk142_2(X1,X2)
    | esk5370_2(X1,X2) )).

cnf(i_0_13949,axiom,
    ( ~ esk3680_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | esk4708_2(X1,X2) )).

cnf(i_0_13950,axiom,
    ( esk589_2(X1,X2)
    | ~ esk806_2(X1,X2) )).

cnf(i_0_13951,axiom,
    ( esk4079_2(X1,X2)
    | ~ esk4106_2(X1,X2) )).

cnf(i_0_13952,axiom,
    ( ~ esk678_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_13953,axiom,
    ( esk1384_2(X1,X2)
    | ~ esk1385_2(X1,X2) )).

cnf(i_0_13954,axiom,
    ( esk3342_2(X1,X2)
    | ~ esk3637_2(X1,X2) )).

cnf(i_0_13955,axiom,
    ( ~ esk3093_2(X1,X2)
    | ~ esk3094_2(X1,X2) )).

cnf(i_0_13956,axiom,
    ( ~ esk1581_2(X1,X2)
    | ~ esk1580_2(X1,X2)
    | esk1673_2(X1,X2)
    | ~ esk1171_2(X1,X2) )).

cnf(i_0_13957,axiom,
    ( esk699_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_13958,axiom,
    ( esk4524_2(X1,X2)
    | ~ esk4525_2(X1,X2) )).

cnf(i_0_13959,axiom,
    ( esk483_2(X1,X2)
    | esk482_2(X1,X2) )).

cnf(i_0_13960,axiom,
    ( esk1065_2(X1,X2)
    | ~ esk1060_2(X1,X2)
    | ~ esk1064_2(X1,X2) )).

cnf(i_0_13961,axiom,
    ( ~ esk968_2(X1,X2)
    | ~ esk967_2(X1,X2) )).

cnf(i_0_13962,axiom,
    ( esk4887_2(X1,X2)
    | esk4886_2(X1,X2) )).

cnf(i_0_13963,axiom,
    ( esk5337_2(X1,X2)
    | esk5338_2(X1,X2) )).

cnf(i_0_13964,axiom,
    ( esk3408_2(X1,X2)
    | ~ esk145_2(X1,X2)
    | ~ esk3407_2(X1,X2) )).

cnf(i_0_13965,axiom,
    ( esk3908_2(X1,X2)
    | esk3909_2(X1,X2) )).

cnf(i_0_13966,axiom,
    ( ~ esk3628_2(X1,X2)
    | ~ esk3291_2(X1,X2)
    | esk4203_2(X1,X2) )).

cnf(i_0_13967,axiom,
    ( esk121_2(X1,X2)
    | esk2932_2(X1,X2) )).

cnf(i_0_13968,axiom,
    ( ~ esk4744_2(X1,X2)
    | esk4743_2(X1,X2) )).

cnf(i_0_13969,axiom,
    ( esk175_2(X1,X2)
    | ~ esk1831_2(X1,X2) )).

cnf(i_0_13970,axiom,
    ( esk3530_2(X1,X2)
    | ~ esk3526_2(X1,X2)
    | ~ esk3529_2(X1,X2)
    | ~ esk3521_2(X1,X2) )).

cnf(i_0_13971,axiom,
    ( ~ esk4328_2(X1,X2)
    | esk71_2(X1,X2) )).

cnf(i_0_13972,axiom,
    ( ~ esk4823_2(X1,X2)
    | ~ esk4824_2(X1,X2) )).

cnf(i_0_13973,axiom,
    ( ~ esk3669_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_13974,axiom,
    ( ~ esk2218_2(X1,X2)
    | ~ esk2217_2(X1,X2) )).

cnf(i_0_13975,axiom,
    ( esk2723_2(X1,X2)
    | ~ esk2724_2(X1,X2) )).

cnf(i_0_13976,axiom,
    ( ~ esk4281_2(X1,X2)
    | ~ esk4283_2(X1,X2) )).

cnf(i_0_13977,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1800_2(X1,X2) )).

cnf(i_0_13978,axiom,
    ( ~ esk3911_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_13979,axiom,
    ( ~ esk1779_2(X1,X2)
    | esk1773_2(X1,X2) )).

cnf(i_0_13980,axiom,
    ( esk2761_2(X1,X2)
    | ~ esk2762_2(X1,X2) )).

cnf(i_0_13981,axiom,
    ( ~ esk2448_2(X1,X2)
    | ~ esk2445_2(X1,X2) )).

cnf(i_0_13982,axiom,
    ( ~ esk3969_2(X1,X2)
    | esk3970_2(X1,X2)
    | ~ esk3966_2(X1,X2) )).

cnf(i_0_13983,axiom,
    ( esk4242_2(X1,X2)
    | ~ esk4351_2(X1,X2) )).

cnf(i_0_13984,axiom,
    ( ~ esk4224_2(X1,X2)
    | ~ esk4223_2(X1,X2) )).

cnf(i_0_13985,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk415_2(X1,X2) )).

cnf(i_0_13986,axiom,
    ( esk4455_2(X1,X2)
    | esk4456_2(X1,X2) )).

cnf(i_0_13987,axiom,
    ( esk3418_2(X1,X2)
    | ~ esk3419_2(X1,X2) )).

cnf(i_0_13988,axiom,
    ( ~ esk2473_2(X1,X2)
    | ~ esk2438_2(X1,X2)
    | esk2474_2(X1,X2)
    | ~ esk2470_2(X1,X2) )).

cnf(i_0_13989,axiom,
    ( esk3778_2(X1,X2)
    | ~ esk5451_2(X1,X2) )).

cnf(i_0_13990,axiom,
    ( ~ esk616_2(X1,X2)
    | esk615_2(X1,X2) )).

cnf(i_0_13991,axiom,
    ( ~ esk5438_2(X1,X2)
    | ~ esk5436_2(X1,X2) )).

cnf(i_0_13992,axiom,
    ( ~ esk3487_2(X1,X2)
    | ~ esk3486_2(X1,X2) )).

cnf(i_0_13993,axiom,
    ( esk117_2(X1,X2)
    | esk3493_2(X1,X2) )).

cnf(i_0_13994,axiom,
    ( esk642_2(X1,X2)
    | esk641_2(X1,X2) )).

cnf(i_0_13995,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk3226_2(X1,X2) )).

cnf(i_0_13996,axiom,
    ( esk1152_2(X1,X2)
    | esk1151_2(X1,X2) )).

cnf(i_0_13997,axiom,
    ( ~ esk2621_2(X1,X2)
    | esk2616_2(X1,X2) )).

cnf(i_0_13998,axiom,
    ( esk1534_2(X1,X2)
    | esk1533_2(X1,X2) )).

cnf(i_0_13999,axiom,
    ( esk1159_2(X1,X2)
    | esk1160_2(X1,X2) )).

cnf(i_0_14000,axiom,
    ( ~ esk5031_2(X1,X2)
    | esk5029_2(X1,X2) )).

cnf(i_0_14001,axiom,
    ( esk2089_2(X1,X2)
    | esk2088_2(X1,X2) )).

cnf(i_0_14002,axiom,
    ( ~ esk2455_2(X1,X2)
    | ~ esk2456_2(X1,X2) )).

cnf(i_0_14003,axiom,
    ( ~ esk4146_2(X1,X2)
    | ~ esk4143_2(X1,X2)
    | esk4147_2(X1,X2) )).

cnf(i_0_14004,axiom,
    ( ~ esk5260_2(X1,X2)
    | esk5256_2(X1,X2) )).

cnf(i_0_14005,axiom,
    ( esk179_2(X1,X2)
    | ~ esk1070_2(X1,X2) )).

cnf(i_0_14006,axiom,
    ( esk4646_2(X1,X2)
    | esk4647_2(X1,X2) )).

cnf(i_0_14007,axiom,
    ( esk2587_2(X1,X2)
    | ~ esk2591_2(X1,X2) )).

cnf(i_0_14008,axiom,
    ( esk842_2(X1,X2)
    | esk843_2(X1,X2) )).

cnf(i_0_14009,axiom,
    ( ~ esk4713_2(X1,X2)
    | ~ esk4712_2(X1,X2) )).

cnf(i_0_14010,axiom,
    ( ~ esk5239_2(X1,X2)
    | ~ esk5240_2(X1,X2) )).

cnf(i_0_14011,axiom,
    ( esk4831_2(X1,X2)
    | ~ esk4836_2(X1,X2) )).

cnf(i_0_14012,axiom,
    ( ~ esk4370_2(X1,X2)
    | ~ esk4369_2(X1,X2) )).

cnf(i_0_14013,axiom,
    ( esk1948_2(X1,X2)
    | esk1946_2(X1,X2)
    | esk1949_2(X1,X2) )).

cnf(i_0_14014,axiom,
    ( esk4305_2(X1,X2)
    | ~ esk4303_2(X1,X2)
    | ~ esk3805_2(X1,X2)
    | ~ esk4304_2(X1,X2) )).

cnf(i_0_14015,axiom,
    ( ~ esk3101_2(X1,X2)
    | esk109_2(X1,X2) )).

cnf(i_0_14016,axiom,
    ( ~ esk1660_2(X1,X2)
    | esk1273_2(X1,X2) )).

cnf(i_0_14017,axiom,
    ( esk4209_2(X1,X2)
    | esk4210_2(X1,X2) )).

cnf(i_0_14018,axiom,
    ( esk633_2(X1,X2)
    | esk632_2(X1,X2) )).

cnf(i_0_14019,axiom,
    ( ~ esk3411_2(X1,X2)
    | ~ esk3412_2(X1,X2) )).

cnf(i_0_14020,axiom,
    ( ~ esk417_2(X1,X2)
    | esk1786_2(X1,X2)
    | ~ esk1199_2(X1,X2)
    | ~ esk1200_2(X1,X2) )).

cnf(i_0_14021,axiom,
    ( ~ esk1270_2(X1,X2)
    | ~ esk1272_2(X1,X2) )).

cnf(i_0_14022,axiom,
    ( esk2972_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | ~ esk2971_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_14023,axiom,
    ( esk2136_2(X1,X2)
    | ~ esk710_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_14024,axiom,
    ( ~ esk436_2(X1,X2)
    | ~ esk435_2(X1,X2) )).

cnf(i_0_14025,axiom,
    ( esk2092_2(X1,X2)
    | ~ esk2096_2(X1,X2) )).

cnf(i_0_14026,axiom,
    ( ~ esk1267_2(X1,X2)
    | ~ esk1264_2(X1,X2)
    | esk1268_2(X1,X2) )).

cnf(i_0_14027,axiom,
    ( ~ esk2675_2(X1,X2)
    | esk2676_2(X1,X2)
    | ~ esk499_2(X1,X2) )).

cnf(i_0_14028,axiom,
    ( esk4114_2(X1,X2)
    | ~ esk4118_2(X1,X2) )).

cnf(i_0_14029,axiom,
    ( ~ esk345_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_14030,axiom,
    ( ~ esk4757_2(X1,X2)
    | ~ esk4758_2(X1,X2) )).

cnf(i_0_14031,axiom,
    ( ~ esk4526_2(X1,X2)
    | esk4304_2(X1,X2) )).

cnf(i_0_14032,axiom,
    ( ~ esk3914_2(X1,X2)
    | ~ esk3915_2(X1,X2) )).

cnf(i_0_14033,axiom,
    ( esk3293_2(X1,X2)
    | ~ esk116_2(X1,X2)
    | ~ esk125_2(X1,X2) )).

cnf(i_0_14034,axiom,
    ( ~ esk918_2(X1,X2)
    | ~ esk917_2(X1,X2) )).

cnf(i_0_14035,axiom,
    ( esk621_2(X1,X2)
    | ~ esk700_2(X1,X2) )).

cnf(i_0_14036,axiom,
    ( esk4344_2(X1,X2)
    | esk4346_2(X1,X2)
    | esk4343_2(X1,X2)
    | esk4342_2(X1,X2)
    | esk4345_2(X1,X2) )).

cnf(i_0_14037,axiom,
    ( ~ esk3385_2(X1,X2)
    | esk3384_2(X1,X2) )).

cnf(i_0_14038,axiom,
    ( ~ esk1487_2(X1,X2)
    | ~ esk1486_2(X1,X2) )).

cnf(i_0_14039,axiom,
    ( ~ esk1168_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_14040,axiom,
    ( esk1133_2(X1,X2)
    | ~ esk1749_2(X1,X2) )).

cnf(i_0_14041,axiom,
    ( esk1742_2(X1,X2)
    | ~ esk5575_2(X1,X2)
    | esk4395_2(X1,X2) )).

cnf(i_0_14042,axiom,
    ( ~ esk2057_2(X1,X2)
    | ~ esk2055_2(X1,X2) )).

cnf(i_0_14043,axiom,
    ( ~ esk3227_2(X1,X2)
    | ~ esk3228_2(X1,X2)
    | esk3229_2(X1,X2) )).

cnf(i_0_14044,axiom,
    ( ~ esk2806_2(X1,X2)
    | ~ esk2807_2(X1,X2) )).

cnf(i_0_14045,axiom,
    ( esk5369_2(X1,X2)
    | esk5368_2(X1,X2) )).

cnf(i_0_14046,axiom,
    ( esk4232_2(X1,X2)
    | ~ esk5554_2(X1,X2)
    | esk1579_2(X1,X2) )).

cnf(i_0_14047,axiom,
    ( esk4557_2(X1,X2)
    | esk4556_2(X1,X2)
    | esk4555_2(X1,X2)
    | esk4558_2(X1,X2)
    | esk4554_2(X1,X2) )).

cnf(i_0_14048,axiom,
    ( esk1581_2(X1,X2)
    | ~ esk2828_2(X1,X2) )).

cnf(i_0_14049,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk3785_2(X1,X2) )).

cnf(i_0_14050,axiom,
    ( ~ esk474_2(X1,X2)
    | ~ esk90_2(X1,X2) )).

cnf(i_0_14051,axiom,
    ( esk3404_2(X1,X2)
    | esk4827_2(X1,X2) )).

cnf(i_0_14052,axiom,
    ( esk1409_2(X1,X2)
    | ~ esk1404_2(X1,X2)
    | ~ esk1408_2(X1,X2) )).

cnf(i_0_14053,axiom,
    ( esk841_2(X1,X2)
    | esk840_2(X1,X2) )).

cnf(i_0_14054,axiom,
    ( ~ esk994_2(X1,X2)
    | esk993_2(X1,X2) )).

cnf(i_0_14055,axiom,
    ( ~ esk187_2(X1,X2)
    | ~ esk5502_2(X1,X2)
    | ~ esk2849_2(X1,X2) )).

cnf(i_0_14056,axiom,
    ( esk2095_2(X1,X2)
    | esk2094_2(X1,X2) )).

cnf(i_0_14057,axiom,
    ( ~ esk3228_2(X1,X2)
    | ~ esk140_2(X1,X2) )).

cnf(i_0_14058,axiom,
    ( esk319_2(X1,X2)
    | ~ esk375_2(X1,X2) )).

cnf(i_0_14059,axiom,
    ( esk2293_2(X1,X2)
    | ~ esk2294_2(X1,X2) )).

cnf(i_0_14060,axiom,
    ( ~ esk3857_2(X1,X2)
    | esk3447_2(X1,X2) )).

cnf(i_0_14061,axiom,
    ( esk366_2(X1,X2)
    | esk3028_2(X1,X2)
    | ~ esk5526_2(X1,X2) )).

cnf(i_0_14062,axiom,
    ( esk628_2(X1,X2)
    | esk629_2(X1,X2) )).

cnf(i_0_14063,axiom,
    ( esk259_2(X1,X2)
    | esk260_2(X1,X2) )).

cnf(i_0_14064,axiom,
    ( ~ esk4155_2(X1,X2)
    | ~ esk4159_2(X1,X2)
    | esk4160_2(X1,X2) )).

cnf(i_0_14065,axiom,
    ( esk3247_2(X1,X2)
    | ~ esk3617_2(X1,X2) )).

cnf(i_0_14066,axiom,
    ( esk4618_2(X1,X2)
    | esk4619_2(X1,X2) )).

cnf(i_0_14067,axiom,
    ( ~ esk1677_2(X1,X2)
    | ~ esk1675_2(X1,X2) )).

cnf(i_0_14068,axiom,
    ( esk1128_2(X1,X2)
    | esk1129_2(X1,X2)
    | esk1130_2(X1,X2)
    | esk1127_2(X1,X2)
    | esk1126_2(X1,X2) )).

cnf(i_0_14069,axiom,
    ( ~ esk1199_2(X1,X2)
    | esk1201_2(X1,X2)
    | ~ esk1200_2(X1,X2)
    | ~ esk378_2(X1,X2) )).

cnf(i_0_14070,axiom,
    ( esk2101_2(X1,X2)
    | esk742_2(X1,X2) )).

cnf(i_0_14071,axiom,
    ( esk137_2(X1,X2)
    | esk2584_2(X1,X2)
    | esk541_2(X1,X2) )).

cnf(i_0_14072,axiom,
    ( ~ esk1706_2(X1,X2)
    | ~ esk1707_2(X1,X2) )).

cnf(i_0_14073,axiom,
    ( esk148_2(X1,X2)
    | ~ esk611_2(X1,X2) )).

cnf(i_0_14074,axiom,
    ( esk3791_2(X1,X2)
    | ~ esk3314_2(X1,X2)
    | ~ esk23_2(X1,X2)
    | ~ esk3350_2(X1,X2)
    | ~ esk3326_2(X1,X2)
    | ~ esk3309_2(X1,X2) )).

cnf(i_0_14075,axiom,
    ( esk1302_2(X1,X2)
    | ~ esk1303_2(X1,X2) )).

cnf(i_0_14076,axiom,
    ( ~ esk2142_2(X1,X2)
    | ~ esk2133_2(X1,X2) )).

cnf(i_0_14077,axiom,
    ( ~ esk2654_2(X1,X2)
    | ~ esk2652_2(X1,X2) )).

cnf(i_0_14078,axiom,
    ( ~ esk1709_2(X1,X2)
    | esk1708_2(X1,X2) )).

cnf(i_0_14079,axiom,
    ( esk2129_2(X1,X2)
    | esk2130_2(X1,X2) )).

cnf(i_0_14080,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1662_2(X1,X2) )).

cnf(i_0_14081,axiom,
    ( ~ esk1265_2(X1,X2)
    | esk1266_2(X1,X2)
    | ~ esk1261_2(X1,X2) )).

cnf(i_0_14082,axiom,
    ( ~ esk2733_2(X1,X2)
    | ~ esk2732_2(X1,X2) )).

cnf(i_0_14083,axiom,
    ( ~ esk2028_2(X1,X2)
    | esk2032_2(X1,X2)
    | ~ esk2031_2(X1,X2)
    | ~ esk1999_2(X1,X2) )).

cnf(i_0_14084,axiom,
    ( ~ esk2630_2(X1,X2)
    | ~ esk2629_2(X1,X2) )).

cnf(i_0_14085,axiom,
    ( ~ esk94_2(X1,X2)
    | esk500_2(X1,X2)
    | ~ esk487_2(X1,X2) )).

cnf(i_0_14086,axiom,
    ( ~ esk5103_2(X1,X2)
    | ~ esk5119_2(X1,X2) )).

cnf(i_0_14087,axiom,
    ( ~ esk1079_2(X1,X2)
    | ~ esk1078_2(X1,X2) )).

cnf(i_0_14088,axiom,
    ( ~ esk1015_2(X1,X2)
    | esk708_2(X1,X2) )).

cnf(i_0_14089,axiom,
    ( esk3590_2(X1,X2)
    | esk3591_2(X1,X2)
    | esk3589_2(X1,X2) )).

cnf(i_0_14090,axiom,
    ( ~ esk2015_2(X1,X2)
    | ~ esk2014_2(X1,X2) )).

cnf(i_0_14091,axiom,
    ( ~ esk3388_2(X1,X2)
    | esk4760_2(X1,X2)
    | ~ esk4759_2(X1,X2) )).

cnf(i_0_14092,axiom,
    ( ~ esk5587_2(X1,X2)
    | ~ esk1827_2(X1,X2)
    | ~ esk4480_2(X1,X2) )).

cnf(i_0_14093,axiom,
    ( ~ esk1403_2(X1,X2)
    | esk1399_2(X1,X2) )).

cnf(i_0_14094,axiom,
    ( esk47_2(X1,X2)
    | ~ esk4441_2(X1,X2) )).

cnf(i_0_14095,axiom,
    ( ~ esk2481_2(X1,X2)
    | esk2486_2(X1,X2)
    | ~ esk2485_2(X1,X2) )).

cnf(i_0_14096,axiom,
    ( ~ esk4196_2(X1,X2)
    | ~ esk4197_2(X1,X2) )).

cnf(i_0_14097,axiom,
    ( esk2006_2(X1,X2)
    | esk2009_2(X1,X2)
    | esk2008_2(X1,X2) )).

cnf(i_0_14098,axiom,
    ( ~ esk4463_2(X1,X2)
    | esk4394_2(X1,X2) )).

cnf(i_0_14099,axiom,
    ( esk2583_2(X1,X2)
    | ~ esk2586_2(X1,X2) )).

cnf(i_0_14100,axiom,
    ( esk1132_2(X1,X2)
    | ~ esk1757_2(X1,X2) )).

cnf(i_0_14101,axiom,
    ( esk4966_2(X1,X2)
    | ~ esk4967_2(X1,X2) )).

cnf(i_0_14102,axiom,
    ( esk144_2(X1,X2)
    | ~ esk3194_2(X1,X2) )).

cnf(i_0_14103,axiom,
    ( esk2793_2(X1,X2)
    | ~ esk2804_2(X1,X2) )).

cnf(i_0_14104,axiom,
    ( esk4936_2(X1,X2)
    | ~ esk4937_2(X1,X2) )).

cnf(i_0_14105,axiom,
    ( ~ esk5494_2(X1,X2)
    | ~ esk5495_2(X1,X2) )).

cnf(i_0_14106,axiom,
    ( esk2631_2(X1,X2)
    | esk2632_2(X1,X2) )).

cnf(i_0_14107,axiom,
    ( ~ esk111_2(X1,X2)
    | ~ esk421_2(X1,X2) )).

cnf(i_0_14108,axiom,
    ( esk799_2(X1,X2)
    | ~ esk800_2(X1,X2) )).

cnf(i_0_14109,axiom,
    ( ~ esk4093_2(X1,X2)
    | ~ esk4094_2(X1,X2) )).

cnf(i_0_14110,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | esk1639_2(X1,X2)
    | ~ esk1256_2(X1,X2) )).

cnf(i_0_14111,axiom,
    ( ~ esk4997_2(X1,X2)
    | esk4991_2(X1,X2) )).

cnf(i_0_14112,axiom,
    ( ~ esk4632_2(X1,X2)
    | ~ esk4648_2(X1,X2) )).

cnf(i_0_14113,axiom,
    ( esk2687_2(X1,X2)
    | esk2688_2(X1,X2) )).

cnf(i_0_14114,axiom,
    ( ~ esk2229_2(X1,X2)
    | ~ esk2228_2(X1,X2) )).

cnf(i_0_14115,axiom,
    ( esk1317_2(X1,X2)
    | ~ esk1316_2(X1,X2)
    | ~ esk1313_2(X1,X2) )).

cnf(i_0_14116,axiom,
    ( ~ esk1580_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk80_2(X1,X2)
    | esk2829_2(X1,X2) )).

cnf(i_0_14117,axiom,
    ( ~ esk4743_2(X1,X2)
    | ~ esk4742_2(X1,X2) )).

cnf(i_0_14118,axiom,
    ( ~ esk1452_2(X1,X2)
    | ~ esk1451_2(X1,X2) )).

cnf(i_0_14119,axiom,
    ( ~ esk4156_2(X1,X2)
    | ~ esk4155_2(X1,X2) )).

cnf(i_0_14120,axiom,
    ( esk3824_2(X1,X2)
    | ~ esk4356_2(X1,X2) )).

cnf(i_0_14121,axiom,
    ( ~ esk1874_2(X1,X2)
    | ~ esk1877_2(X1,X2) )).

cnf(i_0_14122,axiom,
    ( ~ esk809_2(X1,X2)
    | ~ esk808_2(X1,X2) )).

cnf(i_0_14123,axiom,
    ( ~ esk1780_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_14124,axiom,
    ( esk1106_2(X1,X2)
    | ~ esk1101_2(X1,X2)
    | ~ esk1105_2(X1,X2) )).

cnf(i_0_14125,axiom,
    ( esk1972_2(X1,X2)
    | esk1973_2(X1,X2) )).

cnf(i_0_14126,axiom,
    ( esk5449_2(X1,X2)
    | esk5447_2(X1,X2)
    | esk5448_2(X1,X2) )).

cnf(i_0_14127,axiom,
    ( ~ esk1080_2(X1,X2)
    | ~ esk793_2(X1,X2) )).

cnf(i_0_14128,axiom,
    ( ~ esk5046_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_14129,axiom,
    ( ~ esk1348_2(X1,X2)
    | esk1347_2(X1,X2) )).

cnf(i_0_14130,axiom,
    ( esk1292_2(X1,X2)
    | esk1293_2(X1,X2) )).

cnf(i_0_14131,axiom,
    ( ~ esk256_2(X1,X2)
    | ~ esk259_2(X1,X2) )).

cnf(i_0_14132,axiom,
    ( esk1208_2(X1,X2)
    | ~ esk1209_2(X1,X2) )).

cnf(i_0_14133,axiom,
    ( esk5367_2(X1,X2)
    | ~ esk3161_2(X1,X2)
    | ~ esk3173_2(X1,X2) )).

cnf(i_0_14134,axiom,
    ( esk1162_2(X1,X2)
    | esk1161_2(X1,X2) )).

cnf(i_0_14135,axiom,
    ( ~ esk1521_2(X1,X2)
    | esk1105_2(X1,X2) )).

cnf(i_0_14136,axiom,
    ( esk5013_2(X1,X2)
    | ~ esk5014_2(X1,X2) )).

cnf(i_0_14137,axiom,
    ( esk2692_2(X1,X2)
    | esk2693_2(X1,X2) )).

cnf(i_0_14138,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1807_2(X1,X2) )).

cnf(i_0_14139,axiom,
    ( esk1969_2(X1,X2)
    | ~ esk1970_2(X1,X2) )).

cnf(i_0_14140,axiom,
    ( ~ esk4523_2(X1,X2)
    | ~ esk4519_2(X1,X2) )).

cnf(i_0_14141,axiom,
    ( ~ esk284_2(X1,X2)
    | esk283_2(X1,X2) )).

cnf(i_0_14142,axiom,
    ( ~ esk3299_2(X1,X2)
    | ~ esk3300_2(X1,X2) )).

cnf(i_0_14143,axiom,
    ( esk5343_2(X1,X2)
    | esk5344_2(X1,X2) )).

cnf(i_0_14144,axiom,
    ( esk3122_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_14145,axiom,
    ( esk4714_2(X1,X2)
    | ~ esk4715_2(X1,X2) )).

cnf(i_0_14146,axiom,
    ( esk1913_2(X1,X2)
    | ~ esk1919_2(X1,X2) )).

cnf(i_0_14147,axiom,
    ( ~ esk1306_2(X1,X2)
    | esk1335_2(X1,X2)
    | ~ esk1318_2(X1,X2)
    | ~ esk1327_2(X1,X2) )).

cnf(i_0_14148,axiom,
    ( ~ esk1249_2(X1,X2)
    | esk1244_2(X1,X2) )).

cnf(i_0_14149,axiom,
    ( ~ esk3292_2(X1,X2)
    | esk3262_2(X1,X2) )).

cnf(i_0_14150,axiom,
    ( ~ esk4402_2(X1,X2)
    | esk3785_2(X1,X2) )).

cnf(i_0_14151,axiom,
    ( ~ esk1624_2(X1,X2)
    | esk1626_2(X1,X2)
    | ~ esk1152_2(X1,X2)
    | ~ esk1625_2(X1,X2) )).

cnf(i_0_14152,axiom,
    ( ~ esk75_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk1876_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_14153,axiom,
    ( esk4909_2(X1,X2)
    | esk3266_2(X1,X2)
    | esk4910_2(X1,X2)
    | esk4911_2(X1,X2)
    | esk4908_2(X1,X2) )).

cnf(i_0_14154,axiom,
    ( ~ esk1858_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_14155,axiom,
    ( ~ esk4882_2(X1,X2)
    | ~ esk4881_2(X1,X2) )).

cnf(i_0_14156,axiom,
    ( ~ esk3898_2(X1,X2)
    | esk3899_2(X1,X2)
    | ~ esk3463_2(X1,X2) )).

cnf(i_0_14157,axiom,
    ( ~ esk3832_2(X1,X2)
    | ~ esk3833_2(X1,X2) )).

cnf(i_0_14158,axiom,
    ( ~ esk4424_2(X1,X2)
    | ~ esk4423_2(X1,X2) )).

cnf(i_0_14159,axiom,
    ( esk1710_2(X1,X2)
    | esk1711_2(X1,X2) )).

cnf(i_0_14160,axiom,
    ( esk2344_2(X1,X2)
    | ~ esk2358_2(X1,X2) )).

cnf(i_0_14161,axiom,
    ( ~ esk4089_2(X1,X2)
    | ~ esk4088_2(X1,X2) )).

cnf(i_0_14162,axiom,
    ( esk3948_2(X1,X2)
    | ~ esk3943_2(X1,X2)
    | ~ esk3947_2(X1,X2) )).

cnf(i_0_14163,axiom,
    ( ~ esk96_2(X1,X2)
    | esk3150_2(X1,X2)
    | ~ esk3149_2(X1,X2) )).

cnf(i_0_14164,axiom,
    ( esk647_2(X1,X2)
    | ~ esk985_2(X1,X2) )).

cnf(i_0_14165,axiom,
    ( ~ esk2946_2(X1,X2)
    | ~ esk2947_2(X1,X2) )).

cnf(i_0_14166,axiom,
    ( esk190_2(X1,X2)
    | esk5505_2(X1,X2)
    | ~ esk2852_2(X1,X2) )).

cnf(i_0_14167,axiom,
    ( ~ esk4263_2(X1,X2)
    | ~ esk4261_2(X1,X2) )).

cnf(i_0_14168,axiom,
    ( esk4076_2(X1,X2)
    | esk3868_2(X1,X2) )).

cnf(i_0_14169,axiom,
    ( ~ esk3413_2(X1,X2)
    | esk3409_2(X1,X2) )).

cnf(i_0_14170,axiom,
    ( ~ esk3769_2(X1,X2)
    | ~ esk3770_2(X1,X2) )).

cnf(i_0_14171,axiom,
    ( ~ esk4303_2(X1,X2)
    | esk4521_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | ~ esk86_2(X1,X2) )).

cnf(i_0_14172,axiom,
    ( ~ esk165_2(X1,X2)
    | esk244_2(X1,X2)
    | ~ esk239_2(X1,X2) )).

cnf(i_0_14173,axiom,
    ( esk146_2(X1,X2)
    | ~ esk3605_2(X1,X2) )).

cnf(i_0_14174,axiom,
    ( esk126_2(X1,X2)
    | ~ esk1389_2(X1,X2) )).

cnf(i_0_14175,axiom,
    ( ~ esk3882_2(X1,X2)
    | ~ esk3881_2(X1,X2) )).

cnf(i_0_14176,axiom,
    ( ~ esk2524_2(X1,X2)
    | ~ esk2521_2(X1,X2)
    | esk2525_2(X1,X2) )).

cnf(i_0_14177,axiom,
    ( ~ esk620_2(X1,X2)
    | ~ esk618_2(X1,X2) )).

cnf(i_0_14178,axiom,
    ( esk2779_2(X1,X2)
    | ~ esk2780_2(X1,X2) )).

cnf(i_0_14179,axiom,
    ( ~ esk1968_2(X1,X2)
    | ~ esk1971_2(X1,X2) )).

cnf(i_0_14180,axiom,
    ( ~ esk651_2(X1,X2)
    | esk2135_2(X1,X2)
    | ~ esk718_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_14181,axiom,
    ( ~ esk1103_2(X1,X2)
    | ~ esk1104_2(X1,X2) )).

cnf(i_0_14182,axiom,
    ( esk2828_2(X1,X2)
    | esk2829_2(X1,X2)
    | esk2831_2(X1,X2)
    | esk2823_2(X1,X2)
    | esk2830_2(X1,X2) )).

cnf(i_0_14183,axiom,
    ( ~ esk72_2(X1,X2)
    | ~ esk161_2(X1,X2)
    | esk4322_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_14184,axiom,
    ( ~ esk3055_2(X1,X2)
    | ~ esk3058_2(X1,X2) )).

cnf(i_0_14185,axiom,
    ( ~ esk1780_2(X1,X2)
    | esk1200_2(X1,X2) )).

cnf(i_0_14186,axiom,
    ( ~ esk4140_2(X1,X2)
    | ~ esk4144_2(X1,X2)
    | esk4145_2(X1,X2) )).

cnf(i_0_14187,axiom,
    ( ~ esk4920_2(X1,X2)
    | ~ esk4915_2(X1,X2) )).

cnf(i_0_14188,axiom,
    ( esk2887_2(X1,X2)
    | esk2886_2(X1,X2) )).

cnf(i_0_14189,axiom,
    ( ~ esk1894_2(X1,X2)
    | ~ esk1898_2(X1,X2) )).

cnf(i_0_14190,axiom,
    ( ~ esk1894_2(X1,X2)
    | esk1680_2(X1,X2) )).

cnf(i_0_14191,axiom,
    ( ~ esk5380_2(X1,X2)
    | esk5379_2(X1,X2) )).

cnf(i_0_14192,axiom,
    ( ~ esk4984_2(X1,X2)
    | ~ esk4985_2(X1,X2) )).

cnf(i_0_14193,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1860_2(X1,X2) )).

cnf(i_0_14194,axiom,
    ( ~ esk1132_2(X1,X2)
    | ~ esk49_2(X1,X2)
    | ~ esk179_2(X1,X2)
    | esk1751_2(X1,X2) )).

cnf(i_0_14195,axiom,
    ( esk1342_2(X1,X2)
    | ~ esk1343_2(X1,X2) )).

cnf(i_0_14196,axiom,
    ( esk2545_2(X1,X2)
    | ~ esk2549_2(X1,X2) )).

cnf(i_0_14197,axiom,
    ( ~ esk5332_2(X1,X2)
    | ~ esk5333_2(X1,X2) )).

cnf(i_0_14198,axiom,
    ( esk1540_2(X1,X2)
    | ~ esk1541_2(X1,X2) )).

cnf(i_0_14199,axiom,
    ( esk4939_2(X1,X2)
    | esk4940_2(X1,X2) )).

cnf(i_0_14200,axiom,
    ( esk374_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_14201,axiom,
    ( esk677_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | ~ esk636_2(X1,X2) )).

cnf(i_0_14202,axiom,
    ( ~ esk1753_2(X1,X2)
    | esk1822_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | ~ esk1599_2(X1,X2) )).

cnf(i_0_14203,axiom,
    ( ~ esk1228_2(X1,X2)
    | esk1227_2(X1,X2) )).

cnf(i_0_14204,axiom,
    ( esk1473_2(X1,X2)
    | esk1472_2(X1,X2) )).

cnf(i_0_14205,axiom,
    ( ~ esk2171_2(X1,X2)
    | ~ esk2170_2(X1,X2) )).

cnf(i_0_14206,axiom,
    ( esk1144_2(X1,X2)
    | esk676_2(X1,X2) )).

cnf(i_0_14207,axiom,
    ( ~ esk1244_2(X1,X2)
    | ~ esk1245_2(X1,X2) )).

cnf(i_0_14208,axiom,
    ( ~ esk5026_2(X1,X2)
    | ~ esk5027_2(X1,X2) )).

cnf(i_0_14209,axiom,
    ( esk105_2(X1,X2)
    | ~ esk5092_2(X1,X2) )).

cnf(i_0_14210,axiom,
    ( ~ esk4020_2(X1,X2)
    | ~ esk4021_2(X1,X2) )).

cnf(i_0_14211,axiom,
    ( ~ esk4824_2(X1,X2)
    | ~ esk3404_2(X1,X2)
    | esk4825_2(X1,X2) )).

cnf(i_0_14212,axiom,
    ( esk5374_2(X1,X2)
    | esk5369_2(X1,X2) )).

cnf(i_0_14213,axiom,
    ( esk5511_2(X1,X2)
    | esk2861_2(X1,X2)
    | ~ esk199_2(X1,X2) )).

cnf(i_0_14214,axiom,
    ( ~ esk599_2(X1,X2)
    | esk536_2(X1,X2) )).

cnf(i_0_14215,axiom,
    ( ~ esk5377_2(X1,X2)
    | esk5376_2(X1,X2) )).

cnf(i_0_14216,axiom,
    ( esk3414_2(X1,X2)
    | ~ esk4127_2(X1,X2) )).

cnf(i_0_14217,axiom,
    ( esk400_2(X1,X2)
    | ~ esk401_2(X1,X2) )).

cnf(i_0_14218,axiom,
    ( ~ esk3670_2(X1,X2)
    | ~ esk3673_2(X1,X2) )).

cnf(i_0_14219,axiom,
    ( ~ esk3785_2(X1,X2)
    | ~ esk2942_2(X1,X2)
    | ~ esk3786_2(X1,X2)
    | esk4408_2(X1,X2) )).

cnf(i_0_14220,axiom,
    ( esk3764_2(X1,X2)
    | ~ esk3769_2(X1,X2) )).

cnf(i_0_14221,axiom,
    ( ~ esk3317_2(X1,X2)
    | ~ esk3316_2(X1,X2) )).

cnf(i_0_14222,axiom,
    ( esk4118_2(X1,X2)
    | esk4119_2(X1,X2) )).

cnf(i_0_14223,axiom,
    ( ~ esk2326_2(X1,X2)
    | esk2325_2(X1,X2) )).

cnf(i_0_14224,axiom,
    ( esk3267_2(X1,X2)
    | ~ esk3744_2(X1,X2) )).

cnf(i_0_14225,axiom,
    ( ~ esk3801_2(X1,X2)
    | ~ esk3800_2(X1,X2) )).

cnf(i_0_14226,axiom,
    ( esk4936_2(X1,X2)
    | esk3360_2(X1,X2) )).

cnf(i_0_14227,axiom,
    ( esk3330_2(X1,X2)
    | esk3973_2(X1,X2) )).

cnf(i_0_14228,axiom,
    ( ~ esk4467_2(X1,X2)
    | ~ esk4465_2(X1,X2) )).

cnf(i_0_14229,axiom,
    ( ~ esk3996_2(X1,X2)
    | esk3995_2(X1,X2) )).

cnf(i_0_14230,axiom,
    ( esk3251_2(X1,X2)
    | ~ esk3611_2(X1,X2) )).

cnf(i_0_14231,axiom,
    ( esk4673_2(X1,X2)
    | esk4672_2(X1,X2) )).

cnf(i_0_14232,axiom,
    ( ~ esk851_2(X1,X2)
    | ~ esk850_2(X1,X2) )).

cnf(i_0_14233,axiom,
    ( ~ esk2333_2(X1,X2)
    | ~ esk2336_2(X1,X2) )).

cnf(i_0_14234,axiom,
    ( esk101_2(X1,X2)
    | ~ esk1767_2(X1,X2) )).

cnf(i_0_14235,axiom,
    ( ~ esk5077_2(X1,X2)
    | ~ esk5080_2(X1,X2) )).

cnf(i_0_14236,axiom,
    ( ~ esk4790_2(X1,X2)
    | ~ esk3678_2(X1,X2) )).

cnf(i_0_14237,axiom,
    ( ~ esk2531_2(X1,X2)
    | esk2530_2(X1,X2) )).

cnf(i_0_14238,axiom,
    ( ~ esk1257_2(X1,X2)
    | esk3910_2(X1,X2)
    | esk5549_2(X1,X2) )).

cnf(i_0_14239,axiom,
    ( esk4243_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_14240,axiom,
    ( ~ esk2952_2(X1,X2)
    | esk104_2(X1,X2) )).

cnf(i_0_14241,axiom,
    ( esk4681_2(X1,X2)
    | esk4620_2(X1,X2) )).

cnf(i_0_14242,axiom,
    ( esk4376_2(X1,X2)
    | esk4377_2(X1,X2) )).

cnf(i_0_14243,axiom,
    ( ~ esk2300_2(X1,X2)
    | esk2295_2(X1,X2) )).

cnf(i_0_14244,axiom,
    ( ~ esk4499_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_14245,axiom,
    ( ~ esk2990_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_14246,axiom,
    ( esk4831_2(X1,X2)
    | esk4832_2(X1,X2) )).

cnf(i_0_14247,axiom,
    ( esk2398_2(X1,X2)
    | ~ esk2404_2(X1,X2) )).

cnf(i_0_14248,axiom,
    ( esk4169_2(X1,X2)
    | esk3704_2(X1,X2) )).

cnf(i_0_14249,axiom,
    ( ~ esk5204_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | esk5205_2(X1,X2) )).

cnf(i_0_14250,axiom,
    ( ~ esk1040_2(X1,X2)
    | ~ esk1039_2(X1,X2) )).

cnf(i_0_14251,axiom,
    ( ~ esk3404_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | ~ esk3396_2(X1,X2)
    | esk3682_2(X1,X2)
    | ~ esk3313_2(X1,X2)
    | ~ esk3380_2(X1,X2) )).

cnf(i_0_14252,axiom,
    ( ~ esk1968_2(X1,X2)
    | esk102_2(X1,X2) )).

cnf(i_0_14253,axiom,
    ( esk3036_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_14254,axiom,
    ( ~ esk3216_2(X1,X2)
    | ~ esk141_2(X1,X2) )).

cnf(i_0_14255,axiom,
    ( esk4707_2(X1,X2)
    | ~ esk4720_2(X1,X2) )).

cnf(i_0_14256,axiom,
    ( ~ esk1580_2(X1,X2)
    | esk1666_2(X1,X2)
    | ~ esk1581_2(X1,X2)
    | ~ esk1189_2(X1,X2) )).

cnf(i_0_14257,axiom,
    ( esk2459_2(X1,X2)
    | esk2457_2(X1,X2)
    | esk143_2(X1,X2)
    | esk2460_2(X1,X2) )).

cnf(i_0_14258,axiom,
    ( ~ esk4526_2(X1,X2)
    | esk4303_2(X1,X2) )).

cnf(i_0_14259,axiom,
    ( ~ esk4101_2(X1,X2)
    | esk4096_2(X1,X2) )).

cnf(i_0_14260,axiom,
    ( ~ esk2327_2(X1,X2)
    | ~ esk2789_2(X1,X2) )).

cnf(i_0_14261,axiom,
    ( ~ esk3791_2(X1,X2)
    | esk23_2(X1,X2) )).

cnf(i_0_14262,axiom,
    ( ~ esk2685_2(X1,X2)
    | ~ esk2684_2(X1,X2) )).

cnf(i_0_14263,axiom,
    ( ~ esk4358_2(X1,X2)
    | ~ esk4360_2(X1,X2) )).

cnf(i_0_14264,axiom,
    ( ~ esk752_2(X1,X2)
    | ~ esk1476_2(X1,X2) )).

cnf(i_0_14265,axiom,
    ( ~ esk2127_2(X1,X2)
    | ~ esk2129_2(X1,X2) )).

cnf(i_0_14266,axiom,
    ( esk178_2(X1,X2)
    | ~ esk2790_2(X1,X2) )).

cnf(i_0_14267,axiom,
    ( ~ esk1856_2(X1,X2)
    | ~ esk1852_2(X1,X2) )).

cnf(i_0_14268,axiom,
    ( ~ esk3279_2(X1,X2)
    | esk4174_2(X1,X2)
    | ~ esk3758_2(X1,X2) )).

cnf(i_0_14269,axiom,
    ( ~ esk965_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_14270,axiom,
    ( esk4176_2(X1,X2)
    | esk4174_2(X1,X2)
    | esk4177_2(X1,X2) )).

cnf(i_0_14271,axiom,
    ( ~ esk3534_2(X1,X2)
    | ~ esk3538_2(X1,X2)
    | esk3539_2(X1,X2) )).

cnf(i_0_14272,axiom,
    ( ~ esk4482_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_14273,axiom,
    ( esk1681_2(X1,X2)
    | esk163_2(X1,X2) )).

cnf(i_0_14274,axiom,
    ( esk1251_2(X1,X2)
    | esk1252_2(X1,X2) )).

cnf(i_0_14275,axiom,
    ( ~ esk4514_2(X1,X2)
    | esk4303_2(X1,X2) )).

cnf(i_0_14276,axiom,
    ( esk1720_2(X1,X2)
    | esk1719_2(X1,X2) )).

cnf(i_0_14277,axiom,
    ( esk600_2(X1,X2)
    | ~ esk665_2(X1,X2) )).

cnf(i_0_14278,axiom,
    ( esk2065_2(X1,X2)
    | ~ esk2070_2(X1,X2) )).

cnf(i_0_14279,axiom,
    ( ~ esk4592_2(X1,X2)
    | esk4613_2(X1,X2)
    | ~ esk4612_2(X1,X2) )).

cnf(i_0_14280,axiom,
    ( esk1414_2(X1,X2)
    | esk1370_2(X1,X2) )).

cnf(i_0_14281,axiom,
    ( ~ esk1027_2(X1,X2)
    | esk680_2(X1,X2) )).

cnf(i_0_14282,axiom,
    ( esk2852_2(X1,X2)
    | ~ esk69_2(X1,X2)
    | ~ esk68_2(X1,X2) )).

cnf(i_0_14283,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2500_2(X1,X2) )).

cnf(i_0_14284,axiom,
    ( esk141_2(X1,X2)
    | ~ esk2408_2(X1,X2) )).

cnf(i_0_14285,axiom,
    ( esk4755_2(X1,X2)
    | esk4756_2(X1,X2) )).

cnf(i_0_14286,axiom,
    ( ~ esk100_2(X1,X2)
    | ~ esk115_2(X1,X2)
    | esk2964_2(X1,X2) )).

cnf(i_0_14287,axiom,
    ( esk3319_2(X1,X2)
    | ~ esk3320_2(X1,X2) )).

cnf(i_0_14288,axiom,
    ( ~ esk399_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_14289,axiom,
    ( ~ esk4646_2(X1,X2)
    | ~ esk4647_2(X1,X2) )).

cnf(i_0_14290,axiom,
    ( ~ esk2951_2(X1,X2)
    | esk2952_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_14291,axiom,
    ( ~ esk801_2(X1,X2)
    | ~ esk1248_2(X1,X2) )).

cnf(i_0_14292,axiom,
    ( esk34_2(X1,X2)
    | ~ esk232_2(X1,X2) )).

cnf(i_0_14293,axiom,
    ( ~ esk5357_2(X1,X2)
    | ~ esk5356_2(X1,X2) )).

cnf(i_0_14294,axiom,
    ( esk3405_2(X1,X2)
    | ~ esk3380_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | ~ esk3404_2(X1,X2)
    | ~ esk3372_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_14295,axiom,
    ( ~ esk1879_2(X1,X2)
    | esk1878_2(X1,X2) )).

cnf(i_0_14296,axiom,
    ( ~ esk523_2(X1,X2)
    | ~ esk522_2(X1,X2) )).

cnf(i_0_14297,axiom,
    ( ~ esk2480_2(X1,X2)
    | esk2479_2(X1,X2) )).

cnf(i_0_14298,axiom,
    ( esk5387_2(X1,X2)
    | esk5386_2(X1,X2) )).

cnf(i_0_14299,axiom,
    ( ~ esk2272_2(X1,X2)
    | ~ esk2271_2(X1,X2) )).

cnf(i_0_14300,axiom,
    ( ~ esk219_2(X1,X2)
    | ~ esk218_2(X1,X2) )).

cnf(i_0_14301,axiom,
    ( esk115_2(X1,X2)
    | esk3490_2(X1,X2) )).

cnf(i_0_14302,axiom,
    ( ~ esk3272_2(X1,X2)
    | ~ esk3271_2(X1,X2) )).

cnf(i_0_14303,axiom,
    ( ~ esk843_2(X1,X2)
    | ~ esk842_2(X1,X2) )).

cnf(i_0_14304,axiom,
    ( esk2719_2(X1,X2)
    | esk2720_2(X1,X2) )).

cnf(i_0_14305,axiom,
    ( esk245_2(X1,X2)
    | esk246_2(X1,X2) )).

cnf(i_0_14306,axiom,
    ( esk3671_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk3271_2(X1,X2) )).

cnf(i_0_14307,axiom,
    ( ~ esk2309_2(X1,X2)
    | ~ esk2308_2(X1,X2) )).

cnf(i_0_14308,axiom,
    ( ~ esk2500_2(X1,X2)
    | ~ esk2502_2(X1,X2) )).

cnf(i_0_14309,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4483_2(X1,X2) )).

cnf(i_0_14310,axiom,
    ( esk2874_2(X1,X2)
    | ~ esk2888_2(X1,X2) )).

cnf(i_0_14311,axiom,
    ( ~ esk597_2(X1,X2)
    | ~ esk2628_2(X1,X2) )).

cnf(i_0_14312,axiom,
    ( ~ esk1205_2(X1,X2)
    | esk785_2(X1,X2) )).

cnf(i_0_14313,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4466_2(X1,X2) )).

cnf(i_0_14314,axiom,
    ( ~ esk4068_2(X1,X2)
    | esk4063_2(X1,X2) )).

cnf(i_0_14315,axiom,
    ( ~ esk5170_2(X1,X2)
    | ~ esk5171_2(X1,X2) )).

cnf(i_0_14316,axiom,
    ( ~ esk2434_2(X1,X2)
    | esk2429_2(X1,X2) )).

cnf(i_0_14317,axiom,
    ( ~ esk89_2(X1,X2)
    | ~ esk4333_2(X1,X2)
    | esk4535_2(X1,X2)
    | ~ esk163_2(X1,X2) )).

cnf(i_0_14318,axiom,
    ( ~ esk3775_2(X1,X2)
    | ~ esk4231_2(X1,X2) )).

cnf(i_0_14319,axiom,
    ( esk2737_2(X1,X2)
    | ~ esk2738_2(X1,X2) )).

cnf(i_0_14320,axiom,
    ( ~ esk147_2(X1,X2)
    | ~ esk3287_2(X1,X2) )).

cnf(i_0_14321,axiom,
    ( ~ esk4495_2(X1,X2)
    | ~ esk4497_2(X1,X2) )).

cnf(i_0_14322,axiom,
    ( esk2901_2(X1,X2)
    | esk2868_2(X1,X2) )).

cnf(i_0_14323,axiom,
    ( ~ esk4554_2(X1,X2)
    | ~ esk4558_2(X1,X2) )).

cnf(i_0_14324,axiom,
    ( esk1424_2(X1,X2)
    | ~ esk818_2(X1,X2)
    | ~ esk4_2(X1,X2) )).

cnf(i_0_14325,axiom,
    ( ~ esk3149_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | esk3174_2(X1,X2) )).

cnf(i_0_14326,axiom,
    ( ~ esk680_2(X1,X2)
    | ~ esk681_2(X1,X2) )).

cnf(i_0_14327,axiom,
    ( esk1858_2(X1,X2)
    | ~ esk66_2(X1,X2)
    | ~ esk1857_2(X1,X2) )).

cnf(i_0_14328,axiom,
    ( ~ esk2342_2(X1,X2)
    | ~ esk2343_2(X1,X2) )).

cnf(i_0_14329,axiom,
    ( ~ esk966_2(X1,X2)
    | esk561_2(X1,X2) )).

cnf(i_0_14330,axiom,
    ( esk3043_2(X1,X2)
    | ~ esk3044_2(X1,X2) )).

cnf(i_0_14331,axiom,
    ( ~ esk4463_2(X1,X2)
    | esk4251_2(X1,X2) )).

cnf(i_0_14332,axiom,
    ( ~ esk1607_2(X1,X2)
    | esk1125_2(X1,X2) )).

cnf(i_0_14333,axiom,
    ( ~ esk3084_2(X1,X2)
    | esk3083_2(X1,X2) )).

cnf(i_0_14334,axiom,
    ( esk4460_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | ~ esk43_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_14335,axiom,
    ( ~ esk4318_2(X1,X2)
    | esk4317_2(X1,X2) )).

cnf(i_0_14336,axiom,
    ( esk1945_2(X1,X2)
    | esk1954_2(X1,X2) )).

cnf(i_0_14337,axiom,
    ( ~ esk4976_2(X1,X2)
    | ~ esk4850_2(X1,X2) )).

cnf(i_0_14338,axiom,
    ( esk176_2(X1,X2)
    | ~ esk2814_2(X1,X2) )).

cnf(i_0_14339,axiom,
    ( ~ esk1750_2(X1,X2)
    | esk1133_2(X1,X2) )).

cnf(i_0_14340,axiom,
    ( ~ esk174_2(X1,X2)
    | esk4471_2(X1,X2)
    | ~ esk4251_2(X1,X2)
    | ~ esk19_2(X1,X2) )).

cnf(i_0_14341,axiom,
    ( ~ esk3042_2(X1,X2)
    | ~ esk3045_2(X1,X2) )).

cnf(i_0_14342,axiom,
    ( esk4234_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_14343,axiom,
    ( ~ esk174_2(X1,X2)
    | ~ esk8_2(X1,X2)
    | ~ esk175_2(X1,X2)
    | esk1609_2(X1,X2) )).

cnf(i_0_14344,axiom,
    ( ~ esk3017_2(X1,X2)
    | ~ esk3016_2(X1,X2) )).

cnf(i_0_14345,axiom,
    ( esk1465_2(X1,X2)
    | esk1466_2(X1,X2) )).

cnf(i_0_14346,axiom,
    ( esk3685_2(X1,X2)
    | ~ esk3684_2(X1,X2)
    | ~ esk3371_2(X1,X2) )).

cnf(i_0_14347,axiom,
    ( esk5334_2(X1,X2)
    | ~ esk5333_2(X1,X2)
    | ~ esk5330_2(X1,X2) )).

cnf(i_0_14348,axiom,
    ( ~ esk1129_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_14349,axiom,
    ( ~ esk736_2(X1,X2)
    | esk735_2(X1,X2) )).

cnf(i_0_14350,axiom,
    ( ~ esk4438_2(X1,X2)
    | ~ esk4437_2(X1,X2) )).

cnf(i_0_14351,axiom,
    ( esk177_2(X1,X2)
    | ~ esk1843_2(X1,X2) )).

cnf(i_0_14352,axiom,
    ( esk2074_2(X1,X2)
    | esk2073_2(X1,X2) )).

cnf(i_0_14353,axiom,
    ( esk4862_2(X1,X2)
    | esk4863_2(X1,X2) )).

cnf(i_0_14354,axiom,
    ( esk2226_2(X1,X2)
    | ~ esk2227_2(X1,X2) )).

cnf(i_0_14355,axiom,
    ( esk2774_2(X1,X2)
    | esk2773_2(X1,X2) )).

cnf(i_0_14356,axiom,
    ( esk3703_2(X1,X2)
    | esk3704_2(X1,X2) )).

cnf(i_0_14357,axiom,
    ( esk2518_2(X1,X2)
    | ~ esk2523_2(X1,X2) )).

cnf(i_0_14358,axiom,
    ( esk73_2(X1,X2)
    | ~ esk4321_2(X1,X2) )).

cnf(i_0_14359,axiom,
    ( ~ esk4237_2(X1,X2)
    | esk161_2(X1,X2) )).

cnf(i_0_14360,axiom,
    ( esk5357_2(X1,X2)
    | ~ esk5358_2(X1,X2) )).

cnf(i_0_14361,axiom,
    ( ~ esk2917_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_14362,axiom,
    ( ~ esk3533_2(X1,X2)
    | esk3532_2(X1,X2) )).

cnf(i_0_14363,axiom,
    ( ~ esk2284_2(X1,X2)
    | esk2279_2(X1,X2) )).

cnf(i_0_14364,axiom,
    ( ~ esk5287_2(X1,X2)
    | ~ esk5288_2(X1,X2) )).

cnf(i_0_14365,axiom,
    ( esk4534_2(X1,X2)
    | ~ esk4455_2(X1,X2)
    | ~ esk4334_2(X1,X2)
    | ~ esk162_2(X1,X2) )).

cnf(i_0_14366,axiom,
    ( ~ esk98_2(X1,X2)
    | esk2457_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_14367,axiom,
    ( ~ esk5002_2(X1,X2)
    | ~ esk5003_2(X1,X2) )).

cnf(i_0_14368,axiom,
    ( ~ esk2534_2(X1,X2)
    | ~ esk2535_2(X1,X2) )).

cnf(i_0_14369,axiom,
    ( esk3672_2(X1,X2)
    | esk3295_2(X1,X2)
    | esk3668_2(X1,X2)
    | esk3673_2(X1,X2)
    | esk3670_2(X1,X2) )).

cnf(i_0_14370,axiom,
    ( ~ esk974_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_14371,axiom,
    ( ~ esk2566_2(X1,X2)
    | ~ esk2567_2(X1,X2) )).

cnf(i_0_14372,axiom,
    ( ~ esk2265_2(X1,X2)
    | ~ esk2266_2(X1,X2) )).

cnf(i_0_14373,axiom,
    ( esk1625_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_14374,axiom,
    ( esk3277_2(X1,X2)
    | ~ esk3278_2(X1,X2) )).

cnf(i_0_14375,axiom,
    ( esk4547_2(X1,X2)
    | esk4550_2(X1,X2)
    | esk4549_2(X1,X2)
    | esk4551_2(X1,X2)
    | esk4548_2(X1,X2) )).

cnf(i_0_14376,axiom,
    ( ~ esk4942_2(X1,X2)
    | esk4941_2(X1,X2) )).

cnf(i_0_14377,axiom,
    ( esk90_2(X1,X2)
    | esk1775_2(X1,X2) )).

cnf(i_0_14378,axiom,
    ( ~ esk3552_2(X1,X2)
    | p(X2) )).

cnf(i_0_14379,axiom,
    ( esk3223_2(X1,X2)
    | ~ esk3619_2(X1,X2) )).

cnf(i_0_14380,axiom,
    ( ~ esk151_2(X1,X2)
    | ~ esk657_2(X1,X2)
    | esk658_2(X1,X2) )).

cnf(i_0_14381,axiom,
    ( esk4526_2(X1,X2)
    | esk4530_2(X1,X2)
    | esk4527_2(X1,X2)
    | esk4528_2(X1,X2)
    | esk4529_2(X1,X2) )).

cnf(i_0_14382,axiom,
    ( ~ esk5486_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_14383,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1513_2(X1,X2)
    | esk1781_2(X1,X2)
    | ~ esk1200_2(X1,X2) )).

cnf(i_0_14384,axiom,
    ( esk2648_2(X1,X2)
    | esk2647_2(X1,X2) )).

cnf(i_0_14385,axiom,
    ( esk3523_2(X1,X2)
    | ~ esk3527_2(X1,X2) )).

cnf(i_0_14386,axiom,
    ( ~ esk1120_2(X1,X2)
    | esk1119_2(X1,X2) )).

cnf(i_0_14387,axiom,
    ( esk3396_2(X1,X2)
    | ~ esk4779_2(X1,X2) )).

cnf(i_0_14388,axiom,
    ( esk5442_2(X1,X2)
    | ~ esk5443_2(X1,X2) )).

cnf(i_0_14389,axiom,
    ( esk5408_2(X1,X2)
    | ~ esk5409_2(X1,X2) )).

cnf(i_0_14390,axiom,
    ( ~ esk321_2(X1,X2)
    | esk320_2(X1,X2) )).

cnf(i_0_14391,axiom,
    ( ~ esk2243_2(X1,X2)
    | esk2242_2(X1,X2) )).

cnf(i_0_14392,axiom,
    ( esk96_2(X1,X2)
    | esk381_2(X1,X2) )).

cnf(i_0_14393,axiom,
    ( ~ esk5084_2(X1,X2)
    | ~ esk5085_2(X1,X2) )).

cnf(i_0_14394,axiom,
    ( ~ esk2104_2(X1,X2)
    | ~ esk2105_2(X1,X2) )).

cnf(i_0_14395,axiom,
    ( esk178_2(X1,X2)
    | esk2787_2(X1,X2) )).

cnf(i_0_14396,axiom,
    ( esk2950_2(X1,X2)
    | ~ esk119_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_14397,axiom,
    ( ~ esk2833_2(X1,X2)
    | esk2832_2(X1,X2) )).

cnf(i_0_14398,axiom,
    ( esk3418_2(X1,X2)
    | esk142_2(X1,X2) )).

cnf(i_0_14399,axiom,
    ( esk1116_2(X1,X2)
    | ~ esk1115_2(X1,X2)
    | ~ esk1111_2(X1,X2) )).

cnf(i_0_14400,axiom,
    ( ~ esk2589_2(X1,X2)
    | esk2588_2(X1,X2) )).

cnf(i_0_14401,axiom,
    ( ~ esk1191_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk26_2(X1,X2)
    | esk1646_2(X1,X2) )).

cnf(i_0_14402,axiom,
    ( esk2720_2(X1,X2)
    | ~ esk2724_2(X1,X2) )).

cnf(i_0_14403,axiom,
    ( ~ esk1948_2(X1,X2)
    | ~ esk1949_2(X1,X2) )).

cnf(i_0_14404,axiom,
    ( ~ esk4591_2(X1,X2)
    | ~ esk4592_2(X1,X2) )).

cnf(i_0_14405,axiom,
    ( esk1402_2(X1,X2)
    | esk1378_2(X1,X2) )).

cnf(i_0_14406,axiom,
    ( esk126_2(X1,X2)
    | ~ esk3249_2(X1,X2) )).

cnf(i_0_14407,axiom,
    ( esk3301_2(X1,X2)
    | ~ esk3676_2(X1,X2) )).

cnf(i_0_14408,axiom,
    ( ~ esk145_2(X1,X2)
    | esk408_2(X1,X2)
    | ~ esk311_2(X1,X2)
    | ~ esk407_2(X1,X2) )).

cnf(i_0_14409,axiom,
    ( ~ esk2607_2(X1,X2)
    | ~ esk2608_2(X1,X2) )).

cnf(i_0_14410,axiom,
    ( esk98_2(X1,X2)
    | ~ esk3029_2(X1,X2) )).

cnf(i_0_14411,axiom,
    ( esk145_2(X1,X2)
    | ~ esk408_2(X1,X2) )).

cnf(i_0_14412,axiom,
    ( ~ esk5555_2(X1,X2)
    | esk1588_2(X1,X2)
    | esk4241_2(X1,X2) )).

cnf(i_0_14413,axiom,
    ( ~ esk5447_2(X1,X2)
    | ~ esk5449_2(X1,X2) )).

cnf(i_0_14414,axiom,
    ( ~ esk4500_2(X1,X2)
    | esk176_2(X1,X2) )).

cnf(i_0_14415,axiom,
    ( esk285_2(X1,X2)
    | esk282_2(X1,X2)
    | esk284_2(X1,X2) )).

cnf(i_0_14416,axiom,
    ( ~ esk3934_2(X1,X2)
    | esk3930_2(X1,X2) )).

cnf(i_0_14417,axiom,
    ( esk1119_2(X1,X2)
    | esk1118_2(X1,X2) )).

cnf(i_0_14418,axiom,
    ( ~ esk768_2(X1,X2)
    | ~ esk1447_2(X1,X2) )).

cnf(i_0_14419,axiom,
    ( esk1042_2(X1,X2)
    | ~ esk1052_2(X1,X2) )).

cnf(i_0_14420,axiom,
    ( ~ esk2005_2(X1,X2)
    | esk2004_2(X1,X2) )).

cnf(i_0_14421,axiom,
    ( ~ esk4906_2(X1,X2)
    | ~ esk3684_2(X1,X2) )).

cnf(i_0_14422,axiom,
    ( ~ esk1347_2(X1,X2)
    | ~ esk541_2(X1,X2)
    | esk1348_2(X1,X2) )).

cnf(i_0_14423,axiom,
    ( ~ esk5385_2(X1,X2)
    | ~ esk5386_2(X1,X2) )).

cnf(i_0_14424,axiom,
    ( ~ esk1970_2(X1,X2)
    | ~ esk1971_2(X1,X2) )).

cnf(i_0_14425,axiom,
    ( ~ esk1794_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_14426,axiom,
    ( esk4562_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_14427,axiom,
    ( ~ esk2864_2(X1,X2)
    | ~ esk2863_2(X1,X2) )).

cnf(i_0_14428,axiom,
    ( ~ esk612_2(X1,X2)
    | ~ esk615_2(X1,X2)
    | esk616_2(X1,X2) )).

cnf(i_0_14429,axiom,
    ( esk142_2(X1,X2)
    | esk492_2(X1,X2) )).

cnf(i_0_14430,axiom,
    ( esk3873_2(X1,X2)
    | esk3872_2(X1,X2) )).

cnf(i_0_14431,axiom,
    ( ~ esk1711_2(X1,X2)
    | ~ esk1710_2(X1,X2) )).

cnf(i_0_14432,axiom,
    ( esk2485_2(X1,X2)
    | ~ esk2486_2(X1,X2) )).

cnf(i_0_14433,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4274_2(X1,X2) )).

cnf(i_0_14434,axiom,
    ( ~ esk4989_2(X1,X2)
    | ~ esk4988_2(X1,X2) )).

cnf(i_0_14435,axiom,
    ( esk1133_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_14436,axiom,
    ( ~ esk1801_2(X1,X2)
    | ~ esk1799_2(X1,X2) )).

cnf(i_0_14437,axiom,
    ( esk2159_2(X1,X2)
    | ~ esk2154_2(X1,X2)
    | ~ esk2158_2(X1,X2) )).

cnf(i_0_14438,axiom,
    ( ~ esk4116_2(X1,X2)
    | esk4115_2(X1,X2) )).

cnf(i_0_14439,axiom,
    ( esk997_2(X1,X2)
    | ~ esk1438_2(X1,X2) )).

cnf(i_0_14440,axiom,
    ( ~ esk3772_2(X1,X2)
    | ~ esk3771_2(X1,X2) )).

cnf(i_0_14441,axiom,
    ( esk385_2(X1,X2)
    | ~ esk391_2(X1,X2) )).

cnf(i_0_14442,axiom,
    ( ~ esk5491_2(X1,X2)
    | esk81_2(X1,X2) )).

cnf(i_0_14443,axiom,
    ( esk1057_2(X1,X2)
    | esk1069_2(X1,X2)
    | esk1071_2(X1,X2)
    | esk1070_2(X1,X2) )).

cnf(i_0_14444,axiom,
    ( ~ esk4602_2(X1,X2)
    | ~ esk4603_2(X1,X2) )).

cnf(i_0_14445,axiom,
    ( esk2867_2(X1,X2)
    | esk154_2(X1,X2) )).

cnf(i_0_14446,axiom,
    ( ~ esk4892_2(X1,X2)
    | ~ esk4891_2(X1,X2) )).

cnf(i_0_14447,axiom,
    ( ~ esk117_2(X1,X2)
    | ~ esk4594_2(X1,X2) )).

cnf(i_0_14448,axiom,
    ( ~ esk1422_2(X1,X2)
    | ~ esk1234_2(X1,X2) )).

cnf(i_0_14449,axiom,
    ( ~ esk5431_2(X1,X2)
    | esk5430_2(X1,X2) )).

cnf(i_0_14450,axiom,
    ( esk5049_2(X1,X2)
    | esk5050_2(X1,X2) )).

cnf(i_0_14451,axiom,
    ( esk121_2(X1,X2)
    | esk1915_2(X1,X2) )).

cnf(i_0_14452,axiom,
    ( ~ esk3208_2(X1,X2)
    | esk137_2(X1,X2) )).

cnf(i_0_14453,axiom,
    ( esk2902_2(X1,X2)
    | ~ esk2918_2(X1,X2) )).

cnf(i_0_14454,axiom,
    ( esk961_2(X1,X2)
    | ~ esk2570_2(X1,X2) )).

cnf(i_0_14455,axiom,
    ( ~ esk3123_2(X1,X2)
    | esk2973_2(X1,X2) )).

cnf(i_0_14456,axiom,
    ( ~ esk2849_2(X1,X2)
    | esk187_2(X1,X2)
    | esk5502_2(X1,X2) )).

cnf(i_0_14457,axiom,
    ( esk1362_2(X1,X2)
    | esk1363_2(X1,X2) )).

cnf(i_0_14458,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1854_2(X1,X2) )).

cnf(i_0_14459,axiom,
    ( esk3368_2(X1,X2)
    | ~ esk4942_2(X1,X2) )).

cnf(i_0_14460,axiom,
    ( esk1148_2(X1,X2)
    | esk1147_2(X1,X2) )).

cnf(i_0_14461,axiom,
    ( ~ esk1190_2(X1,X2)
    | ~ esk5545_2(X1,X2)
    | ~ esk3843_2(X1,X2) )).

cnf(i_0_14462,axiom,
    ( ~ esk16_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk176_2(X1,X2)
    | esk4282_2(X1,X2) )).

cnf(i_0_14463,axiom,
    ( ~ esk3963_2(X1,X2)
    | ~ esk3962_2(X1,X2) )).

cnf(i_0_14464,axiom,
    ( ~ esk3907_2(X1,X2)
    | esk179_2(X1,X2) )).

cnf(i_0_14465,axiom,
    ( esk100_2(X1,X2)
    | ~ esk5024_2(X1,X2) )).

cnf(i_0_14466,axiom,
    ( esk8_2(X1,X2)
    | ~ esk4288_2(X1,X2) )).

cnf(i_0_14467,axiom,
    ( ~ esk4562_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_14468,axiom,
    ( ~ esk5463_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_14469,axiom,
    ( esk1791_2(X1,X2)
    | esk1790_2(X1,X2) )).

cnf(i_0_14470,axiom,
    ( ~ esk1327_2(X1,X2)
    | ~ esk1326_2(X1,X2) )).

cnf(i_0_14471,axiom,
    ( esk4689_2(X1,X2)
    | ~ esk4694_2(X1,X2) )).

cnf(i_0_14472,axiom,
    ( ~ esk821_2(X1,X2)
    | esk121_2(X1,X2) )).

cnf(i_0_14473,axiom,
    ( esk4567_2(X1,X2)
    | ~ esk121_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_14474,axiom,
    ( ~ esk1955_2(X1,X2)
    | esk1950_2(X1,X2) )).

cnf(i_0_14475,axiom,
    ( esk4388_2(X1,X2)
    | esk4389_2(X1,X2) )).

cnf(i_0_14476,axiom,
    ( ~ esk1832_2(X1,X2)
    | ~ esk1829_2(X1,X2) )).

cnf(i_0_14477,axiom,
    ( esk3350_2(X1,X2)
    | ~ esk3810_2(X1,X2) )).

cnf(i_0_14478,axiom,
    ( esk1113_2(X1,X2)
    | ~ esk1112_2(X1,X2)
    | ~ esk634_2(X1,X2) )).

cnf(i_0_14479,axiom,
    ( ~ esk1091_2(X1,X2)
    | esk975_2(X1,X2) )).

cnf(i_0_14480,axiom,
    ( ~ esk2909_2(X1,X2)
    | esk68_2(X1,X2) )).

cnf(i_0_14481,axiom,
    ( esk887_2(X1,X2)
    | ~ esk886_2(X1,X2)
    | ~ esk883_2(X1,X2) )).

cnf(i_0_14482,axiom,
    ( esk743_2(X1,X2)
    | esk2313_2(X1,X2) )).

cnf(i_0_14483,axiom,
    ( ~ esk4010_2(X1,X2)
    | ~ esk4009_2(X1,X2) )).

cnf(i_0_14484,axiom,
    ( ~ esk2793_2(X1,X2)
    | ~ esk2803_2(X1,X2)
    | esk2804_2(X1,X2) )).

cnf(i_0_14485,axiom,
    ( esk5434_2(X1,X2)
    | esk5433_2(X1,X2) )).

cnf(i_0_14486,axiom,
    ( ~ esk3313_2(X1,X2)
    | ~ esk4711_2(X1,X2) )).

cnf(i_0_14487,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4542_2(X1,X2) )).

cnf(i_0_14488,axiom,
    ( ~ esk4390_2(X1,X2)
    | ~ esk4393_2(X1,X2) )).

cnf(i_0_14489,axiom,
    ( ~ esk4888_2(X1,X2)
    | esk4884_2(X1,X2) )).

cnf(i_0_14490,axiom,
    ( esk192_2(X1,X2)
    | esk5507_2(X1,X2)
    | ~ esk2854_2(X1,X2) )).

cnf(i_0_14491,axiom,
    ( ~ esk2812_2(X1,X2)
    | esk5465_2(X1,X2)
    | esk5602_2(X1,X2) )).

cnf(i_0_14492,axiom,
    ( ~ esk489_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_14493,axiom,
    ( ~ esk1929_2(X1,X2)
    | ~ esk1926_2(X1,X2) )).

cnf(i_0_14494,axiom,
    ( ~ esk4836_2(X1,X2)
    | ~ esk4837_2(X1,X2) )).

cnf(i_0_14495,axiom,
    ( ~ esk2136_2(X1,X2)
    | esk710_2(X1,X2) )).

cnf(i_0_14496,axiom,
    ( esk2446_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_14497,axiom,
    ( ~ esk1602_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_14498,axiom,
    ( esk1979_2(X1,X2)
    | ~ esk1993_2(X1,X2) )).

cnf(i_0_14499,axiom,
    ( ~ esk4479_2(X1,X2)
    | ~ esk4480_2(X1,X2) )).

cnf(i_0_14500,axiom,
    ( ~ esk1824_2(X1,X2)
    | esk41_2(X1,X2) )).

cnf(i_0_14501,axiom,
    ( ~ esk1677_2(X1,X2)
    | ~ esk1674_2(X1,X2) )).

cnf(i_0_14502,axiom,
    ( esk4911_2(X1,X2)
    | esk4912_2(X1,X2) )).

cnf(i_0_14503,axiom,
    ( esk121_2(X1,X2)
    | esk3485_2(X1,X2) )).

cnf(i_0_14504,axiom,
    ( esk1125_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_14505,axiom,
    ( ~ esk5489_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_14506,axiom,
    ( ~ esk264_2(X1,X2)
    | ~ esk266_2(X1,X2) )).

cnf(i_0_14507,axiom,
    ( ~ esk4573_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_14508,axiom,
    ( esk1988_2(X1,X2)
    | ~ esk1987_2(X1,X2)
    | ~ esk104_2(X1,X2) )).

cnf(i_0_14509,axiom,
    ( esk36_2(X1,X2)
    | ~ esk213_2(X1,X2) )).

cnf(i_0_14510,axiom,
    ( ~ esk4320_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_14511,axiom,
    ( esk509_2(X1,X2)
    | ~ esk510_2(X1,X2) )).

cnf(i_0_14512,axiom,
    ( ~ esk2430_2(X1,X2)
    | esk2431_2(X1,X2)
    | ~ esk2417_2(X1,X2) )).

cnf(i_0_14513,axiom,
    ( esk1105_2(X1,X2)
    | ~ esk1535_2(X1,X2) )).

cnf(i_0_14514,axiom,
    ( esk5023_2(X1,X2)
    | ~ esk5029_2(X1,X2) )).

cnf(i_0_14515,axiom,
    ( ~ esk442_2(X1,X2)
    | ~ esk443_2(X1,X2) )).

cnf(i_0_14516,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk96_2(X1,X2)
    | esk4986_2(X1,X2)
    | ~ esk102_2(X1,X2) )).

cnf(i_0_14517,axiom,
    ( esk1014_2(X1,X2)
    | ~ esk5536_2(X1,X2)
    | esk3667_2(X1,X2) )).

cnf(i_0_14518,axiom,
    ( ~ esk2114_2(X1,X2)
    | esk2115_2(X1,X2)
    | ~ esk734_2(X1,X2) )).

cnf(i_0_14519,axiom,
    ( esk49_2(X1,X2)
    | ~ esk4404_2(X1,X2) )).

cnf(i_0_14520,axiom,
    ( ~ esk4864_2(X1,X2)
    | ~ esk4865_2(X1,X2) )).

cnf(i_0_14521,axiom,
    ( esk5478_2(X1,X2)
    | esk5479_2(X1,X2)
    | esk5477_2(X1,X2) )).

cnf(i_0_14522,axiom,
    ( ~ esk995_2(X1,X2)
    | esk503_2(X1,X2) )).

cnf(i_0_14523,axiom,
    ( esk5203_2(X1,X2)
    | ~ esk5208_2(X1,X2) )).

cnf(i_0_14524,axiom,
    ( ~ esk4243_2(X1,X2)
    | ~ esk162_2(X1,X2)
    | ~ esk3909_2(X1,X2)
    | esk4350_2(X1,X2) )).

cnf(i_0_14525,axiom,
    ( ~ esk553_2(X1,X2)
    | ~ esk552_2(X1,X2) )).

cnf(i_0_14526,axiom,
    ( esk2985_2(X1,X2)
    | ~ esk2986_2(X1,X2) )).

cnf(i_0_14527,axiom,
    ( esk3943_2(X1,X2)
    | esk3942_2(X1,X2) )).

cnf(i_0_14528,axiom,
    ( esk1908_2(X1,X2)
    | ~ esk148_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | ~ esk121_2(X1,X2) )).

cnf(i_0_14529,axiom,
    ( ~ esk4000_2(X1,X2)
    | esk4001_2(X1,X2)
    | ~ esk3203_2(X1,X2) )).

cnf(i_0_14530,axiom,
    ( ~ esk2420_2(X1,X2)
    | ~ esk2421_2(X1,X2) )).

cnf(i_0_14531,axiom,
    ( esk666_2(X1,X2)
    | esk667_2(X1,X2)
    | esk665_2(X1,X2) )).

cnf(i_0_14532,axiom,
    ( ~ esk426_2(X1,X2)
    | ~ esk429_2(X1,X2) )).

cnf(i_0_14533,axiom,
    ( ~ esk3507_2(X1,X2)
    | ~ esk3508_2(X1,X2) )).

cnf(i_0_14534,axiom,
    ( esk2594_2(X1,X2)
    | esk2595_2(X1,X2) )).

cnf(i_0_14535,axiom,
    ( ~ esk107_2(X1,X2)
    | ~ esk140_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | esk5071_2(X1,X2) )).

cnf(i_0_14536,axiom,
    ( esk3103_2(X1,X2)
    | ~ esk2981_2(X1,X2)
    | ~ esk3102_2(X1,X2) )).

cnf(i_0_14537,axiom,
    ( esk3959_2(X1,X2)
    | esk3983_2(X1,X2) )).

cnf(i_0_14538,axiom,
    ( ~ esk134_2(X1,X2)
    | ~ esk3509_2(X1,X2) )).

cnf(i_0_14539,axiom,
    ( esk477_2(X1,X2)
    | esk476_2(X1,X2) )).

cnf(i_0_14540,axiom,
    ( ~ esk4579_2(X1,X2)
    | esk119_2(X1,X2) )).

cnf(i_0_14541,axiom,
    ( ~ esk2925_2(X1,X2)
    | esk2902_2(X1,X2) )).

cnf(i_0_14542,axiom,
    ( ~ esk1478_2(X1,X2)
    | ~ esk1477_2(X1,X2) )).

cnf(i_0_14543,axiom,
    ( esk196_2(X1,X2)
    | esk197_2(X1,X2) )).

cnf(i_0_14544,axiom,
    ( ~ esk3295_2(X1,X2)
    | ~ esk3936_2(X1,X2) )).

cnf(i_0_14545,axiom,
    ( esk2872_2(X1,X2)
    | ~ esk210_2(X1,X2)
    | esk5517_2(X1,X2) )).

cnf(i_0_14546,axiom,
    ( ~ esk4484_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_14547,axiom,
    ( ~ esk889_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | esk890_2(X1,X2) )).

cnf(i_0_14548,axiom,
    ( esk3462_2(X1,X2)
    | esk3463_2(X1,X2) )).

cnf(i_0_14549,axiom,
    ( esk999_2(X1,X2)
    | esk1000_2(X1,X2) )).

cnf(i_0_14550,axiom,
    ( esk2186_2(X1,X2)
    | esk2187_2(X1,X2) )).

cnf(i_0_14551,axiom,
    ( ~ esk2497_2(X1,X2)
    | ~ esk963_2(X1,X2) )).

cnf(i_0_14552,axiom,
    ( esk3568_2(X1,X2)
    | esk3567_2(X1,X2) )).

cnf(i_0_14553,axiom,
    ( esk5314_2(X1,X2)
    | ~ esk5318_2(X1,X2) )).

cnf(i_0_14554,axiom,
    ( ~ esk1371_2(X1,X2)
    | ~ esk491_2(X1,X2) )).

cnf(i_0_14555,axiom,
    ( ~ esk3345_2(X1,X2)
    | ~ esk3344_2(X1,X2) )).

cnf(i_0_14556,axiom,
    ( esk3119_2(X1,X2)
    | ~ esk3893_2(X1,X2) )).

cnf(i_0_14557,axiom,
    ( ~ esk4770_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_14558,axiom,
    ( ~ esk119_2(X1,X2)
    | ~ esk4574_2(X1,X2) )).

cnf(i_0_14559,axiom,
    ( ~ esk4472_2(X1,X2)
    | esk20_2(X1,X2) )).

cnf(i_0_14560,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4471_2(X1,X2) )).

cnf(i_0_14561,axiom,
    ( ~ esk3447_2(X1,X2)
    | ~ esk3446_2(X1,X2) )).

cnf(i_0_14562,axiom,
    ( esk515_2(X1,X2)
    | esk745_2(X1,X2) )).

cnf(i_0_14563,axiom,
    ( esk1987_2(X1,X2)
    | esk128_2(X1,X2) )).

cnf(i_0_14564,axiom,
    ( esk4940_2(X1,X2)
    | esk4941_2(X1,X2) )).

cnf(i_0_14565,axiom,
    ( esk726_2(X1,X2)
    | ~ esk2135_2(X1,X2) )).

cnf(i_0_14566,axiom,
    ( ~ esk128_2(X1,X2)
    | ~ esk1987_2(X1,X2) )).

cnf(i_0_14567,axiom,
    ( ~ esk4797_2(X1,X2)
    | ~ esk4796_2(X1,X2) )).

cnf(i_0_14568,axiom,
    ( esk142_2(X1,X2)
    | ~ esk754_2(X1,X2) )).

cnf(i_0_14569,axiom,
    ( ~ esk2489_2(X1,X2)
    | ~ esk2490_2(X1,X2) )).

cnf(i_0_14570,axiom,
    ( ~ esk1002_2(X1,X2)
    | ~ esk809_2(X1,X2)
    | esk1003_2(X1,X2) )).

cnf(i_0_14571,axiom,
    ( ~ esk2429_2(X1,X2)
    | esk2428_2(X1,X2) )).

cnf(i_0_14572,axiom,
    ( ~ esk1487_2(X1,X2)
    | ~ esk993_2(X1,X2) )).

cnf(i_0_14573,axiom,
    ( esk3148_2(X1,X2)
    | ~ esk5527_2(X1,X2)
    | esk486_2(X1,X2) )).

cnf(i_0_14574,axiom,
    ( esk3764_2(X1,X2)
    | esk3763_2(X1,X2) )).

cnf(i_0_14575,axiom,
    ( esk211_2(X1,X2)
    | ~ esk214_2(X1,X2) )).

cnf(i_0_14576,axiom,
    ( ~ esk5475_2(X1,X2)
    | ~ esk5474_2(X1,X2) )).

cnf(i_0_14577,axiom,
    ( esk573_2(X1,X2)
    | ~ esk2572_2(X1,X2) )).

cnf(i_0_14578,axiom,
    ( ~ esk1707_2(X1,X2)
    | ~ esk1703_2(X1,X2) )).

cnf(i_0_14579,axiom,
    ( esk274_2(X1,X2)
    | ~ esk280_2(X1,X2) )).

cnf(i_0_14580,axiom,
    ( esk2378_2(X1,X2)
    | ~ esk2376_2(X1,X2)
    | ~ esk2377_2(X1,X2) )).

cnf(i_0_14581,axiom,
    ( esk148_2(X1,X2)
    | esk1914_2(X1,X2)
    | esk1917_2(X1,X2)
    | esk1916_2(X1,X2) )).

cnf(i_0_14582,axiom,
    ( ~ esk3068_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_14583,axiom,
    ( ~ esk4700_2(X1,X2)
    | ~ esk4703_2(X1,X2) )).

cnf(i_0_14584,axiom,
    ( esk5368_2(X1,X2)
    | esk5310_2(X1,X2)
    | esk5367_2(X1,X2) )).

cnf(i_0_14585,axiom,
    ( ~ esk2038_2(X1,X2)
    | esk2037_2(X1,X2) )).

cnf(i_0_14586,axiom,
    ( ~ esk1788_2(X1,X2)
    | esk1199_2(X1,X2) )).

cnf(i_0_14587,axiom,
    ( ~ esk3729_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_14588,axiom,
    ( ~ esk2256_2(X1,X2)
    | esk707_2(X1,X2) )).

cnf(i_0_14589,axiom,
    ( esk146_2(X1,X2)
    | esk764_2(X1,X2) )).

cnf(i_0_14590,axiom,
    ( ~ esk926_2(X1,X2)
    | ~ esk927_2(X1,X2) )).

cnf(i_0_14591,axiom,
    ( ~ esk1740_2(X1,X2)
    | ~ esk1737_2(X1,X2) )).

cnf(i_0_14592,axiom,
    ( esk2275_2(X1,X2)
    | ~ esk2276_2(X1,X2) )).

cnf(i_0_14593,axiom,
    ( ~ esk102_2(X1,X2)
    | esk4573_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | ~ esk119_2(X1,X2) )).

cnf(i_0_14594,axiom,
    ( ~ esk1393_2(X1,X2)
    | ~ esk1394_2(X1,X2) )).

cnf(i_0_14595,axiom,
    ( ~ esk5583_2(X1,X2)
    | ~ esk1803_2(X1,X2)
    | ~ esk4456_2(X1,X2) )).

cnf(i_0_14596,axiom,
    ( ~ esk634_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk975_2(X1,X2)
    | ~ esk629_2(X1,X2)
    | esk976_2(X1,X2) )).

cnf(i_0_14597,axiom,
    ( ~ esk1544_2(X1,X2)
    | ~ esk1545_2(X1,X2) )).

cnf(i_0_14598,axiom,
    ( ~ esk3525_2(X1,X2)
    | ~ esk3528_2(X1,X2) )).

cnf(i_0_14599,axiom,
    ( ~ esk3961_2(X1,X2)
    | esk135_2(X1,X2) )).

cnf(i_0_14600,axiom,
    ( ~ esk1150_2(X1,X2)
    | esk21_2(X1,X2) )).

cnf(i_0_14601,axiom,
    ( esk1565_2(X1,X2)
    | esk1564_2(X1,X2) )).

cnf(i_0_14602,axiom,
    ( esk4916_2(X1,X2)
    | esk148_2(X1,X2)
    | esk3271_2(X1,X2) )).

cnf(i_0_14603,axiom,
    ( esk1477_2(X1,X2)
    | ~ esk1472_2(X1,X2)
    | ~ esk1476_2(X1,X2) )).

cnf(i_0_14604,axiom,
    ( ~ esk523_2(X1,X2)
    | ~ esk535_2(X1,X2)
    | esk953_2(X1,X2)
    | ~ esk952_2(X1,X2) )).

cnf(i_0_14605,axiom,
    ( esk817_2(X1,X2)
    | ~ esk1224_2(X1,X2) )).

cnf(i_0_14606,axiom,
    ( ~ esk1112_2(X1,X2)
    | ~ esk1111_2(X1,X2) )).

cnf(i_0_14607,axiom,
    ( esk2157_2(X1,X2)
    | ~ esk2161_2(X1,X2) )).

cnf(i_0_14608,axiom,
    ( esk3735_2(X1,X2)
    | ~ esk3736_2(X1,X2) )).

cnf(i_0_14609,axiom,
    ( ~ esk4547_2(X1,X2)
    | ~ esk4551_2(X1,X2) )).

cnf(i_0_14610,axiom,
    ( ~ esk5034_2(X1,X2)
    | esk3146_2(X1,X2) )).

cnf(i_0_14611,axiom,
    ( ~ esk581_2(X1,X2)
    | ~ esk577_2(X1,X2) )).

cnf(i_0_14612,axiom,
    ( esk5321_2(X1,X2)
    | esk5322_2(X1,X2) )).

cnf(i_0_14613,axiom,
    ( esk82_2(X1,X2)
    | ~ esk1593_2(X1,X2) )).

cnf(i_0_14614,axiom,
    ( ~ esk3802_2(X1,X2)
    | esk3801_2(X1,X2) )).

cnf(i_0_14615,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk4993_2(X1,X2)
    | esk4994_2(X1,X2) )).

cnf(i_0_14616,axiom,
    ( esk1230_2(X1,X2)
    | ~ esk1231_2(X1,X2) )).

cnf(i_0_14617,axiom,
    ( ~ esk4957_2(X1,X2)
    | ~ esk4956_2(X1,X2) )).

cnf(i_0_14618,axiom,
    ( ~ esk1625_2(X1,X2)
    | ~ esk177_2(X1,X2) )).

cnf(i_0_14619,axiom,
    ( ~ esk3405_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_14620,axiom,
    ( esk3757_2(X1,X2)
    | esk3758_2(X1,X2) )).

cnf(i_0_14621,axiom,
    ( ~ esk3357_2(X1,X2)
    | ~ esk3358_2(X1,X2) )).

cnf(i_0_14622,axiom,
    ( ~ esk1674_2(X1,X2)
    | esk1581_2(X1,X2) )).

cnf(i_0_14623,axiom,
    ( ~ esk1029_2(X1,X2)
    | esk734_2(X1,X2) )).

cnf(i_0_14624,axiom,
    ( ~ esk5240_2(X1,X2)
    | ~ esk5243_2(X1,X2)
    | esk5244_2(X1,X2) )).

cnf(i_0_14625,axiom,
    ( ~ esk4236_2(X1,X2)
    | esk4234_2(X1,X2) )).

cnf(i_0_14626,axiom,
    ( ~ esk1390_2(X1,X2)
    | ~ esk1391_2(X1,X2) )).

cnf(i_0_14627,axiom,
    ( ~ esk3973_2(X1,X2)
    | ~ esk3330_2(X1,X2) )).

cnf(i_0_14628,axiom,
    ( esk2801_2(X1,X2)
    | esk2799_2(X1,X2)
    | esk2802_2(X1,X2) )).

cnf(i_0_14629,axiom,
    ( ~ esk2024_2(X1,X2)
    | ~ esk2025_2(X1,X2) )).

cnf(i_0_14630,axiom,
    ( ~ esk2125_2(X1,X2)
    | esk1025_2(X1,X2) )).

cnf(i_0_14631,axiom,
    ( esk5468_2(X1,X2)
    | ~ esk177_2(X1,X2)
    | ~ esk6_2(X1,X2)
    | ~ esk3844_2(X1,X2) )).

cnf(i_0_14632,axiom,
    ( esk177_2(X1,X2)
    | ~ esk4281_2(X1,X2) )).

cnf(i_0_14633,axiom,
    ( esk4415_2(X1,X2)
    | ~ esk4419_2(X1,X2) )).

cnf(i_0_14634,axiom,
    ( ~ esk3430_2(X1,X2)
    | ~ esk4087_2(X1,X2)
    | esk4088_2(X1,X2) )).

cnf(i_0_14635,axiom,
    ( ~ esk3868_2(X1,X2)
    | ~ esk4076_2(X1,X2) )).

cnf(i_0_14636,axiom,
    ( ~ esk1749_2(X1,X2)
    | esk1132_2(X1,X2) )).

cnf(i_0_14637,axiom,
    ( esk4140_2(X1,X2)
    | ~ esk4145_2(X1,X2) )).

cnf(i_0_14638,axiom,
    ( esk2864_2(X1,X2)
    | esk5512_2(X1,X2)
    | ~ esk202_2(X1,X2) )).

cnf(i_0_14639,axiom,
    ( esk191_2(X1,X2)
    | esk101_2(X1,X2) )).

cnf(i_0_14640,axiom,
    ( ~ esk3091_2(X1,X2)
    | ~ esk3092_2(X1,X2) )).

cnf(i_0_14641,axiom,
    ( ~ esk4501_2(X1,X2)
    | ~ esk4503_2(X1,X2) )).

cnf(i_0_14642,axiom,
    ( ~ esk176_2(X1,X2)
    | ~ esk1192_2(X1,X2)
    | esk1645_2(X1,X2)
    | ~ esk1273_2(X1,X2) )).

cnf(i_0_14643,axiom,
    ( esk831_2(X1,X2)
    | ~ esk832_2(X1,X2) )).

cnf(i_0_14644,axiom,
    ( ~ esk486_2(X1,X2)
    | esk472_2(X1,X2) )).

cnf(i_0_14645,axiom,
    ( ~ esk3234_2(X1,X2)
    | ~ esk3235_2(X1,X2) )).

cnf(i_0_14646,axiom,
    ( esk4469_2(X1,X2)
    | esk4473_2(X1,X2)
    | esk4471_2(X1,X2)
    | esk4472_2(X1,X2)
    | esk4470_2(X1,X2) )).

cnf(i_0_14647,axiom,
    ( ~ esk1328_2(X1,X2)
    | esk1329_2(X1,X2)
    | ~ esk1306_2(X1,X2)
    | ~ esk1319_2(X1,X2) )).

cnf(i_0_14648,axiom,
    ( ~ esk4396_2(X1,X2)
    | esk3785_2(X1,X2) )).

cnf(i_0_14649,axiom,
    ( esk1871_2(X1,X2)
    | ~ esk1872_2(X1,X2) )).

cnf(i_0_14650,axiom,
    ( ~ esk2451_2(X1,X2)
    | esk143_2(X1,X2) )).

cnf(i_0_14651,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk3852_2(X1,X2) )).

cnf(i_0_14652,axiom,
    ( esk2805_2(X1,X2)
    | ~ esk40_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_14653,axiom,
    ( ~ esk3861_2(X1,X2)
    | ~ esk3471_2(X1,X2)
    | esk3862_2(X1,X2) )).

cnf(i_0_14654,axiom,
    ( esk146_2(X1,X2)
    | ~ esk395_2(X1,X2) )).

cnf(i_0_14655,axiom,
    ( esk5458_2(X1,X2)
    | ~ esk40_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_14656,axiom,
    ( esk1043_2(X1,X2)
    | ~ esk1042_2(X1,X2)
    | ~ esk1041_2(X1,X2)
    | ~ esk1040_2(X1,X2) )).

cnf(i_0_14657,axiom,
    ( ~ esk5463_2(X1,X2)
    | ~ esk5464_2(X1,X2) )).

cnf(i_0_14658,axiom,
    ( esk130_2(X1,X2)
    | ~ esk2972_2(X1,X2) )).

cnf(i_0_14659,axiom,
    ( ~ esk144_2(X1,X2)
    | esk475_2(X1,X2)
    | ~ esk103_2(X1,X2)
    | ~ esk474_2(X1,X2) )).

cnf(i_0_14660,axiom,
    ( esk2319_2(X1,X2)
    | esk2318_2(X1,X2) )).

cnf(i_0_14661,axiom,
    ( esk2918_2(X1,X2)
    | ~ esk165_2(X1,X2)
    | ~ esk2902_2(X1,X2)
    | ~ esk9_2(X1,X2) )).

cnf(i_0_14662,axiom,
    ( ~ esk1055_2(X1,X2)
    | ~ esk1054_2(X1,X2) )).

cnf(i_0_14663,axiom,
    ( ~ esk2016_2(X1,X2)
    | ~ esk2015_2(X1,X2) )).

cnf(i_0_14664,axiom,
    ( esk3049_2(X1,X2)
    | ~ esk3050_2(X1,X2) )).

cnf(i_0_14665,axiom,
    ( esk5425_2(X1,X2)
    | esk5426_2(X1,X2) )).

cnf(i_0_14666,axiom,
    ( esk1298_2(X1,X2)
    | esk1297_2(X1,X2) )).

cnf(i_0_14667,axiom,
    ( esk3774_2(X1,X2)
    | esk3773_2(X1,X2)
    | esk3759_2(X1,X2) )).

cnf(i_0_14668,axiom,
    ( esk846_2(X1,X2)
    | esk845_2(X1,X2) )).

cnf(i_0_14669,axiom,
    ( ~ esk3087_2(X1,X2)
    | ~ esk3086_2(X1,X2) )).

cnf(i_0_14670,axiom,
    ( ~ esk4707_2(X1,X2)
    | ~ esk4722_2(X1,X2) )).

cnf(i_0_14671,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk881_2(X1,X2)
    | esk882_2(X1,X2) )).

cnf(i_0_14672,axiom,
    ( esk590_2(X1,X2)
    | ~ esk591_2(X1,X2) )).

cnf(i_0_14673,axiom,
    ( esk4956_2(X1,X2)
    | esk4957_2(X1,X2) )).

cnf(i_0_14674,axiom,
    ( ~ esk2708_2(X1,X2)
    | esk2707_2(X1,X2) )).

cnf(i_0_14675,axiom,
    ( esk2852_2(X1,X2)
    | ~ esk5505_2(X1,X2)
    | esk190_2(X1,X2) )).

cnf(i_0_14676,axiom,
    ( ~ esk5102_2(X1,X2)
    | ~ esk5101_2(X1,X2) )).

cnf(i_0_14677,axiom,
    ( ~ esk95_2(X1,X2)
    | ~ esk126_2(X1,X2)
    | esk3163_2(X1,X2) )).

cnf(i_0_14678,axiom,
    ( esk156_2(X1,X2)
    | ~ esk4414_2(X1,X2) )).

cnf(i_0_14679,axiom,
    ( ~ esk261_2(X1,X2)
    | esk260_2(X1,X2) )).

cnf(i_0_14680,axiom,
    ( ~ esk4812_2(X1,X2)
    | esk4807_2(X1,X2) )).

cnf(i_0_14681,axiom,
    ( ~ esk3719_2(X1,X2)
    | ~ esk3718_2(X1,X2) )).

cnf(i_0_14682,axiom,
    ( ~ esk536_2(X1,X2)
    | ~ esk598_2(X1,X2)
    | esk599_2(X1,X2) )).

cnf(i_0_14683,axiom,
    ( esk689_2(X1,X2)
    | ~ esk1102_2(X1,X2) )).

cnf(i_0_14684,axiom,
    ( ~ esk3682_2(X1,X2)
    | esk3404_2(X1,X2) )).

cnf(i_0_14685,axiom,
    ( ~ esk227_2(X1,X2)
    | ~ esk228_2(X1,X2) )).

cnf(i_0_14686,axiom,
    ( esk3440_2(X1,X2)
    | esk3239_2(X1,X2) )).

cnf(i_0_14687,axiom,
    ( esk4347_2(X1,X2)
    | ~ esk4348_2(X1,X2) )).

cnf(i_0_14688,axiom,
    ( esk1265_2(X1,X2)
    | ~ esk1266_2(X1,X2) )).

cnf(i_0_14689,axiom,
    ( ~ esk1984_2(X1,X2)
    | ~ esk1985_2(X1,X2) )).

cnf(i_0_14690,axiom,
    ( ~ esk179_2(X1,X2)
    | esk4447_2(X1,X2)
    | ~ esk22_2(X1,X2)
    | ~ esk3852_2(X1,X2) )).

cnf(i_0_14691,axiom,
    ( ~ esk2810_2(X1,X2)
    | esk175_2(X1,X2) )).

cnf(i_0_14692,axiom,
    ( esk975_2(X1,X2)
    | ~ esk1531_2(X1,X2) )).

cnf(i_0_14693,axiom,
    ( ~ esk501_2(X1,X2)
    | esk126_2(X1,X2) )).

cnf(i_0_14694,axiom,
    ( esk3838_2(X1,X2)
    | esk3837_2(X1,X2) )).

cnf(i_0_14695,axiom,
    ( ~ esk3198_2(X1,X2)
    | esk3161_2(X1,X2) )).

cnf(i_0_14696,axiom,
    ( ~ esk2961_2(X1,X2)
    | ~ esk2960_2(X1,X2) )).

cnf(i_0_14697,axiom,
    ( ~ esk3251_2(X1,X2)
    | ~ esk4027_2(X1,X2) )).

cnf(i_0_14698,axiom,
    ( esk2405_2(X1,X2)
    | ~ esk2478_2(X1,X2) )).

cnf(i_0_14699,axiom,
    ( ~ esk3013_2(X1,X2)
    | esk123_2(X1,X2) )).

cnf(i_0_14700,axiom,
    ( ~ esk5149_2(X1,X2)
    | esk3223_2(X1,X2) )).

cnf(i_0_14701,axiom,
    ( ~ esk2336_2(X1,X2)
    | ~ esk2337_2(X1,X2) )).

cnf(i_0_14702,axiom,
    ( ~ esk2231_2(X1,X2)
    | ~ esk2230_2(X1,X2) )).

cnf(i_0_14703,axiom,
    ( ~ esk1761_2(X1,X2)
    | esk155_2(X1,X2) )).

cnf(i_0_14704,axiom,
    ( ~ esk2735_2(X1,X2)
    | esk2734_2(X1,X2) )).

cnf(i_0_14705,axiom,
    ( ~ esk4967_2(X1,X2)
    | esk4906_2(X1,X2) )).

cnf(i_0_14706,axiom,
    ( ~ esk3830_2(X1,X2)
    | ~ esk3831_2(X1,X2) )).

cnf(i_0_14707,axiom,
    ( ~ esk2413_2(X1,X2)
    | ~ esk109_2(X1,X2) )).

cnf(i_0_14708,axiom,
    ( ~ esk4921_2(X1,X2)
    | esk4920_2(X1,X2) )).

cnf(i_0_14709,axiom,
    ( esk109_2(X1,X2)
    | ~ esk439_2(X1,X2) )).

cnf(i_0_14710,axiom,
    ( ~ esk2073_2(X1,X2)
    | ~ esk2072_2(X1,X2) )).

cnf(i_0_14711,axiom,
    ( esk2610_2(X1,X2)
    | esk2611_2(X1,X2) )).

cnf(i_0_14712,axiom,
    ( ~ esk1882_2(X1,X2)
    | esk1680_2(X1,X2) )).

cnf(i_0_14713,axiom,
    ( ~ esk465_2(X1,X2)
    | ~ esk468_2(X1,X2) )).

cnf(i_0_14714,axiom,
    ( ~ esk4782_2(X1,X2)
    | ~ esk4779_2(X1,X2) )).

cnf(i_0_14715,axiom,
    ( esk3867_2(X1,X2)
    | esk3868_2(X1,X2) )).

cnf(i_0_14716,axiom,
    ( ~ esk5152_2(X1,X2)
    | ~ esk5151_2(X1,X2) )).

cnf(i_0_14717,axiom,
    ( ~ esk4550_2(X1,X2)
    | esk76_2(X1,X2) )).

cnf(i_0_14718,axiom,
    ( esk465_2(X1,X2)
    | esk467_2(X1,X2)
    | esk468_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_14719,axiom,
    ( esk104_2(X1,X2)
    | ~ esk4581_2(X1,X2) )).

cnf(i_0_14720,axiom,
    ( esk3760_2(X1,X2)
    | esk3266_2(X1,X2)
    | esk3761_2(X1,X2)
    | esk3762_2(X1,X2)
    | esk3763_2(X1,X2) )).

cnf(i_0_14721,axiom,
    ( ~ esk3030_2(X1,X2)
    | esk3031_2(X1,X2)
    | ~ esk143_2(X1,X2)
    | ~ esk2973_2(X1,X2) )).

cnf(i_0_14722,axiom,
    ( esk102_2(X1,X2)
    | ~ esk5071_2(X1,X2) )).

cnf(i_0_14723,axiom,
    ( ~ esk3426_2(X1,X2)
    | esk3427_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(i_0_14724,axiom,
    ( esk1074_2(X1,X2)
    | ~ esk1221_2(X1,X2) )).

cnf(i_0_14725,axiom,
    ( ~ esk2775_2(X1,X2)
    | esk2651_2(X1,X2) )).

cnf(i_0_14726,axiom,
    ( esk2087_2(X1,X2)
    | esk2086_2(X1,X2) )).

cnf(i_0_14727,axiom,
    ( esk5181_2(X1,X2)
    | esk5182_2(X1,X2) )).

cnf(i_0_14728,axiom,
    ( ~ esk4790_2(X1,X2)
    | ~ esk4789_2(X1,X2) )).

cnf(i_0_14729,axiom,
    ( ~ esk1989_2(X1,X2)
    | ~ esk1990_2(X1,X2) )).

cnf(i_0_14730,axiom,
    ( esk1785_2(X1,X2)
    | esk5580_2(X1,X2)
    | ~ esk4438_2(X1,X2) )).

cnf(i_0_14731,axiom,
    ( ~ esk898_2(X1,X2)
    | esk888_2(X1,X2) )).

cnf(i_0_14732,axiom,
    ( ~ esk3913_2(X1,X2)
    | ~ esk3914_2(X1,X2) )).

cnf(i_0_14733,axiom,
    ( esk5124_2(X1,X2)
    | esk5123_2(X1,X2) )).

cnf(i_0_14734,axiom,
    ( ~ esk1339_2(X1,X2)
    | ~ esk1338_2(X1,X2) )).

cnf(i_0_14735,axiom,
    ( ~ esk1648_2(X1,X2)
    | ~ esk1647_2(X1,X2) )).

cnf(i_0_14736,axiom,
    ( ~ esk4362_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_14737,axiom,
    ( esk527_2(X1,X2)
    | ~ esk1393_2(X1,X2) )).

cnf(i_0_14738,axiom,
    ( ~ esk1427_2(X1,X2)
    | ~ esk1426_2(X1,X2) )).

cnf(i_0_14739,axiom,
    ( ~ esk4150_2(X1,X2)
    | esk4080_2(X1,X2) )).

cnf(i_0_14740,axiom,
    ( esk3537_2(X1,X2)
    | ~ esk3541_2(X1,X2) )).

cnf(i_0_14741,axiom,
    ( esk4586_2(X1,X2)
    | esk4587_2(X1,X2) )).

cnf(i_0_14742,axiom,
    ( ~ esk159_2(X1,X2)
    | ~ esk2568_2(X1,X2) )).

cnf(i_0_14743,axiom,
    ( esk5374_2(X1,X2)
    | ~ esk5375_2(X1,X2) )).

cnf(i_0_14744,axiom,
    ( esk4860_2(X1,X2)
    | ~ esk4864_2(X1,X2) )).

cnf(i_0_14745,axiom,
    ( ~ esk1424_2(X1,X2)
    | esk818_2(X1,X2) )).

cnf(i_0_14746,axiom,
    ( ~ esk1092_2(X1,X2)
    | ~ esk1096_2(X1,X2)
    | esk1097_2(X1,X2) )).

cnf(i_0_14747,axiom,
    ( ~ esk4232_2(X1,X2)
    | esk4173_2(X1,X2) )).

cnf(i_0_14748,axiom,
    ( ~ esk2279_2(X1,X2)
    | ~ esk2278_2(X1,X2) )).

cnf(i_0_14749,axiom,
    ( ~ esk1352_2(X1,X2)
    | esk1353_2(X1,X2)
    | ~ esk1349_2(X1,X2) )).

cnf(i_0_14750,axiom,
    ( ~ esk1671_2(X1,X2)
    | esk1672_2(X1,X2)
    | ~ esk66_2(X1,X2) )).

cnf(i_0_14751,axiom,
    ( esk121_2(X1,X2)
    | ~ esk2937_2(X1,X2) )).

cnf(i_0_14752,axiom,
    ( ~ esk3066_2(X1,X2)
    | ~ esk3067_2(X1,X2) )).

cnf(i_0_14753,axiom,
    ( esk2471_2(X1,X2)
    | esk2470_2(X1,X2) )).

cnf(i_0_14754,axiom,
    ( ~ esk1408_2(X1,X2)
    | ~ esk1407_2(X1,X2) )).

cnf(i_0_14755,axiom,
    ( esk4_2(X1,X2)
    | esk3730_2(X1,X2) )).

cnf(i_0_14756,axiom,
    ( esk3462_2(X1,X2)
    | ~ esk3458_2(X1,X2)
    | ~ esk3461_2(X1,X2) )).

cnf(i_0_14757,axiom,
    ( ~ esk185_2(X1,X2)
    | ~ esk154_2(X1,X2) )).

cnf(i_0_14758,axiom,
    ( esk28_2(X1,X2)
    | ~ esk4267_2(X1,X2) )).

cnf(i_0_14759,axiom,
    ( esk2287_2(X1,X2)
    | esk2286_2(X1,X2) )).

cnf(i_0_14760,axiom,
    ( ~ esk5382_2(X1,X2)
    | ~ esk5366_2(X1,X2) )).

cnf(i_0_14761,axiom,
    ( esk1103_2(X1,X2)
    | esk1104_2(X1,X2) )).

cnf(i_0_14762,axiom,
    ( ~ esk4186_2(X1,X2)
    | ~ esk4187_2(X1,X2) )).

cnf(i_0_14763,axiom,
    ( ~ esk1669_2(X1,X2)
    | ~ esk1670_2(X1,X2) )).

cnf(i_0_14764,axiom,
    ( esk4031_2(X1,X2)
    | ~ esk4060_2(X1,X2) )).

cnf(i_0_14765,axiom,
    ( ~ esk1481_2(X1,X2)
    | ~ esk1482_2(X1,X2) )).

cnf(i_0_14766,axiom,
    ( esk4112_2(X1,X2)
    | ~ esk4113_2(X1,X2) )).

cnf(i_0_14767,axiom,
    ( ~ esk3787_2(X1,X2)
    | esk3785_2(X1,X2) )).

cnf(i_0_14768,axiom,
    ( ~ esk317_2(X1,X2)
    | ~ esk168_2(X1,X2) )).

cnf(i_0_14769,axiom,
    ( ~ esk650_2(X1,X2)
    | ~ esk649_2(X1,X2) )).

cnf(i_0_14770,axiom,
    ( esk92_2(X1,X2)
    | ~ esk412_2(X1,X2) )).

cnf(i_0_14771,axiom,
    ( ~ esk1457_2(X1,X2)
    | esk997_2(X1,X2) )).

cnf(i_0_14772,axiom,
    ( esk4892_2(X1,X2)
    | ~ esk4896_2(X1,X2) )).

cnf(i_0_14773,axiom,
    ( esk368_2(X1,X2)
    | esk98_2(X1,X2) )).

cnf(i_0_14774,axiom,
    ( esk4853_2(X1,X2)
    | esk3266_2(X1,X2)
    | esk4852_2(X1,X2)
    | esk4851_2(X1,X2) )).

cnf(i_0_14775,axiom,
    ( ~ esk5200_2(X1,X2)
    | esk5199_2(X1,X2) )).

cnf(i_0_14776,axiom,
    ( esk1232_2(X1,X2)
    | ~ esk1233_2(X1,X2) )).

cnf(i_0_14777,axiom,
    ( ~ esk390_2(X1,X2)
    | ~ esk385_2(X1,X2)
    | esk391_2(X1,X2) )).

cnf(i_0_14778,axiom,
    ( esk4352_2(X1,X2)
    | esk4351_2(X1,X2)
    | esk4353_2(X1,X2)
    | esk4350_2(X1,X2)
    | esk4349_2(X1,X2) )).

cnf(i_0_14779,axiom,
    ( ~ esk1658_2(X1,X2)
    | ~ esk4311_2(X1,X2)
    | ~ esk5565_2(X1,X2) )).

cnf(i_0_14780,axiom,
    ( ~ esk1016_2(X1,X2)
    | ~ esk2202_2(X1,X2) )).

cnf(i_0_14781,axiom,
    ( ~ esk3003_2(X1,X2)
    | ~ esk2979_2(X1,X2) )).

cnf(i_0_14782,axiom,
    ( ~ esk2621_2(X1,X2)
    | esk2620_2(X1,X2) )).

cnf(i_0_14783,axiom,
    ( ~ esk1640_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_14784,axiom,
    ( esk2889_2(X1,X2)
    | esk2888_2(X1,X2)
    | esk2890_2(X1,X2) )).

cnf(i_0_14785,axiom,
    ( esk676_2(X1,X2)
    | ~ esk689_2(X1,X2) )).

cnf(i_0_14786,axiom,
    ( ~ esk5404_2(X1,X2)
    | ~ esk5405_2(X1,X2) )).

cnf(i_0_14787,axiom,
    ( ~ esk3070_2(X1,X2)
    | esk145_2(X1,X2) )).

cnf(i_0_14788,axiom,
    ( ~ esk4298_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_14789,axiom,
    ( esk2244_2(X1,X2)
    | ~ esk2249_2(X1,X2) )).

cnf(i_0_14790,axiom,
    ( esk1485_2(X1,X2)
    | ~ esk995_2(X1,X2)
    | ~ esk752_2(X1,X2) )).

cnf(i_0_14791,axiom,
    ( esk319_2(X1,X2)
    | ~ esk454_2(X1,X2) )).

cnf(i_0_14792,axiom,
    ( ~ esk174_2(X1,X2)
    | esk1602_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | ~ esk18_2(X1,X2) )).

cnf(i_0_14793,axiom,
    ( ~ esk2629_2(X1,X2)
    | esk2628_2(X1,X2) )).

cnf(i_0_14794,axiom,
    ( esk2843_2(X1,X2)
    | esk5496_2(X1,X2)
    | ~ esk181_2(X1,X2) )).

cnf(i_0_14795,axiom,
    ( esk1995_2(X1,X2)
    | ~ esk1996_2(X1,X2) )).

cnf(i_0_14796,axiom,
    ( ~ esk3710_2(X1,X2)
    | ~ esk3724_2(X1,X2) )).

cnf(i_0_14797,axiom,
    ( esk217_2(X1,X2)
    | ~ esk224_2(X1,X2) )).

cnf(i_0_14798,axiom,
    ( ~ esk2814_2(X1,X2)
    | esk2807_2(X1,X2) )).

cnf(i_0_14799,axiom,
    ( esk5298_2(X1,X2)
    | ~ esk5293_2(X1,X2)
    | ~ esk5297_2(X1,X2) )).

cnf(i_0_14800,axiom,
    ( ~ esk4299_2(X1,X2)
    | esk177_2(X1,X2) )).

cnf(i_0_14801,axiom,
    ( ~ esk2086_2(X1,X2)
    | ~ esk2087_2(X1,X2) )).

cnf(i_0_14802,axiom,
    ( ~ esk1432_2(X1,X2)
    | esk1799_2(X1,X2)
    | ~ esk1200_2(X1,X2)
    | ~ esk178_2(X1,X2) )).

cnf(i_0_14803,axiom,
    ( ~ esk1656_2(X1,X2)
    | ~ esk1655_2(X1,X2) )).

cnf(i_0_14804,axiom,
    ( esk3291_2(X1,X2)
    | ~ esk3744_2(X1,X2) )).

cnf(i_0_14805,axiom,
    ( ~ esk3465_2(X1,X2)
    | esk3464_2(X1,X2) )).

cnf(i_0_14806,axiom,
    ( ~ esk4945_2(X1,X2)
    | esk4940_2(X1,X2) )).

cnf(i_0_14807,axiom,
    ( ~ esk3110_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_14808,axiom,
    ( esk5154_2(X1,X2)
    | esk5153_2(X1,X2)
    | esk3614_2(X1,X2)
    | esk5155_2(X1,X2) )).

cnf(i_0_14809,axiom,
    ( ~ esk3269_2(X1,X2)
    | esk125_2(X1,X2) )).

cnf(i_0_14810,axiom,
    ( esk137_2(X1,X2)
    | ~ esk422_2(X1,X2) )).

cnf(i_0_14811,axiom,
    ( ~ esk1768_2(X1,X2)
    | esk144_2(X1,X2) )).

cnf(i_0_14812,axiom,
    ( esk5330_2(X1,X2)
    | ~ esk5334_2(X1,X2) )).

cnf(i_0_14813,axiom,
    ( ~ esk3057_2(X1,X2)
    | esk3056_2(X1,X2) )).

cnf(i_0_14814,axiom,
    ( ~ esk4411_2(X1,X2)
    | ~ esk4409_2(X1,X2) )).

cnf(i_0_14815,axiom,
    ( ~ esk2921_2(X1,X2)
    | ~ esk2922_2(X1,X2) )).

cnf(i_0_14816,axiom,
    ( esk371_2(X1,X2)
    | esk372_2(X1,X2) )).

cnf(i_0_14817,axiom,
    ( esk331_2(X1,X2)
    | esk330_2(X1,X2) )).

cnf(i_0_14818,axiom,
    ( ~ esk3682_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_14819,axiom,
    ( ~ esk239_2(X1,X2)
    | ~ esk206_2(X1,X2) )).

cnf(i_0_14820,axiom,
    ( ~ esk4661_2(X1,X2)
    | esk4660_2(X1,X2) )).

cnf(i_0_14821,axiom,
    ( ~ esk4277_2(X1,X2)
    | ~ esk3805_2(X1,X2)
    | ~ esk4278_2(X1,X2)
    | esk4279_2(X1,X2) )).

cnf(i_0_14822,axiom,
    ( esk3841_2(X1,X2)
    | esk3842_2(X1,X2) )).

cnf(i_0_14823,axiom,
    ( ~ esk190_2(X1,X2)
    | esk68_2(X1,X2) )).

cnf(i_0_14824,axiom,
    ( ~ esk5094_2(X1,X2)
    | esk5093_2(X1,X2) )).

cnf(i_0_14825,axiom,
    ( esk174_2(X1,X2)
    | ~ esk4472_2(X1,X2) )).

cnf(i_0_14826,axiom,
    ( esk306_2(X1,X2)
    | esk307_2(X1,X2) )).

cnf(i_0_14827,axiom,
    ( ~ esk5263_2(X1,X2)
    | esk5262_2(X1,X2) )).

cnf(i_0_14828,axiom,
    ( ~ esk4292_2(X1,X2)
    | esk3845_2(X1,X2) )).

cnf(i_0_14829,axiom,
    ( ~ esk5395_2(X1,X2)
    | ~ esk3173_2(X1,X2)
    | esk5396_2(X1,X2) )).

cnf(i_0_14830,axiom,
    ( ~ esk3267_2(X1,X2)
    | esk3743_2(X1,X2)
    | ~ esk3626_2(X1,X2) )).

cnf(i_0_14831,axiom,
    ( ~ esk4420_2(X1,X2)
    | esk4419_2(X1,X2) )).

cnf(i_0_14832,axiom,
    ( ~ esk103_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | esk5000_2(X1,X2)
    | ~ esk4999_2(X1,X2) )).

cnf(i_0_14833,axiom,
    ( ~ esk142_2(X1,X2)
    | ~ esk3051_2(X1,X2) )).

cnf(i_0_14834,axiom,
    ( ~ esk2441_2(X1,X2)
    | ~ esk2442_2(X1,X2) )).

cnf(i_0_14835,axiom,
    ( esk1978_2(X1,X2)
    | ~ esk1979_2(X1,X2) )).

cnf(i_0_14836,axiom,
    ( ~ esk2058_2(X1,X2)
    | ~ esk651_2(X1,X2) )).

cnf(i_0_14837,axiom,
    ( ~ esk804_2(X1,X2)
    | ~ esk803_2(X1,X2) )).

cnf(i_0_14838,axiom,
    ( esk134_2(X1,X2)
    | ~ esk3960_2(X1,X2) )).

cnf(i_0_14839,axiom,
    ( ~ esk104_2(X1,X2)
    | ~ esk2340_2(X1,X2)
    | esk2341_2(X1,X2) )).

cnf(i_0_14840,axiom,
    ( ~ esk622_2(X1,X2)
    | ~ esk147_2(X1,X2)
    | esk623_2(X1,X2) )).

cnf(i_0_14841,axiom,
    ( esk3390_2(X1,X2)
    | esk3391_2(X1,X2) )).

cnf(i_0_14842,axiom,
    ( ~ esk5229_2(X1,X2)
    | ~ esk5230_2(X1,X2) )).

cnf(i_0_14843,axiom,
    ( esk2409_2(X1,X2)
    | esk2410_2(X1,X2) )).

cnf(i_0_14844,axiom,
    ( ~ esk2656_2(X1,X2)
    | ~ esk952_2(X1,X2) )).

cnf(i_0_14845,axiom,
    ( ~ esk1509_2(X1,X2)
    | ~ esk1510_2(X1,X2) )).

cnf(i_0_14846,axiom,
    ( ~ esk963_2(X1,X2)
    | ~ esk573_2(X1,X2)
    | esk2500_2(X1,X2) )).

cnf(i_0_14847,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1852_2(X1,X2) )).

cnf(i_0_14848,axiom,
    ( esk64_2(X1,X2)
    | ~ esk4363_2(X1,X2) )).

cnf(i_0_14849,axiom,
    ( ~ esk3921_2(X1,X2)
    | esk3920_2(X1,X2) )).

cnf(i_0_14850,axiom,
    ( esk3173_2(X1,X2)
    | ~ esk5306_2(X1,X2) )).

cnf(i_0_14851,axiom,
    ( esk541_2(X1,X2)
    | ~ esk543_2(X1,X2) )).

cnf(i_0_14852,axiom,
    ( ~ esk5546_2(X1,X2)
    | ~ esk3851_2(X1,X2)
    | ~ esk1198_2(X1,X2) )).

cnf(i_0_14853,axiom,
    ( ~ esk4367_2(X1,X2)
    | esk4365_2(X1,X2) )).

cnf(i_0_14854,axiom,
    ( esk100_2(X1,X2)
    | ~ esk2445_2(X1,X2) )).

cnf(i_0_14855,axiom,
    ( ~ esk1511_2(X1,X2)
    | esk1426_2(X1,X2) )).

cnf(i_0_14856,axiom,
    ( ~ esk2669_2(X1,X2)
    | ~ esk2672_2(X1,X2)
    | esk2673_2(X1,X2) )).

cnf(i_0_14857,axiom,
    ( esk3824_2(X1,X2)
    | esk3825_2(X1,X2) )).

cnf(i_0_14858,axiom,
    ( ~ esk1865_2(X1,X2)
    | esk4518_2(X1,X2)
    | esk5593_2(X1,X2) )).

cnf(i_0_14859,axiom,
    ( ~ esk4315_2(X1,X2)
    | esk160_2(X1,X2) )).

cnf(i_0_14860,axiom,
    ( esk690_2(X1,X2)
    | ~ esk5529_2(X1,X2)
    | esk3352_2(X1,X2) )).

cnf(i_0_14861,axiom,
    ( esk3386_2(X1,X2)
    | esk3385_2(X1,X2) )).

cnf(i_0_14862,axiom,
    ( ~ esk3313_2(X1,X2)
    | ~ esk4714_2(X1,X2)
    | esk4715_2(X1,X2) )).

cnf(i_0_14863,axiom,
    ( esk490_2(X1,X2)
    | esk491_2(X1,X2) )).

cnf(i_0_14864,axiom,
    ( esk4091_2(X1,X2)
    | esk4092_2(X1,X2) )).

cnf(i_0_14865,axiom,
    ( esk515_2(X1,X2)
    | esk519_2(X1,X2) )).

cnf(i_0_14866,axiom,
    ( esk5440_2(X1,X2)
    | ~ esk5441_2(X1,X2) )).

cnf(i_0_14867,axiom,
    ( esk55_2(X1,X2)
    | ~ esk1217_2(X1,X2) )).

cnf(i_0_14868,axiom,
    ( ~ esk5460_2(X1,X2)
    | ~ esk5459_2(X1,X2) )).

cnf(i_0_14869,axiom,
    ( esk801_2(X1,X2)
    | esk1248_2(X1,X2) )).

cnf(i_0_14870,axiom,
    ( ~ esk1604_2(X1,X2)
    | ~ esk1600_2(X1,X2) )).

cnf(i_0_14871,axiom,
    ( esk1899_2(X1,X2)
    | ~ esk1900_2(X1,X2) )).

cnf(i_0_14872,axiom,
    ( ~ esk995_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | esk1498_2(X1,X2) )).

cnf(i_0_14873,axiom,
    ( ~ esk4098_2(X1,X2)
    | esk4097_2(X1,X2) )).

cnf(i_0_14874,axiom,
    ( esk4251_2(X1,X2)
    | ~ esk4475_2(X1,X2) )).

cnf(i_0_14875,axiom,
    ( esk3115_2(X1,X2)
    | esk107_2(X1,X2) )).

cnf(i_0_14876,axiom,
    ( esk158_2(X1,X2)
    | esk2855_2(X1,X2) )).

cnf(i_0_14877,axiom,
    ( esk4504_2(X1,X2)
    | esk4503_2(X1,X2) )).

cnf(i_0_14878,axiom,
    ( esk1034_2(X1,X2)
    | ~ esk5537_2(X1,X2)
    | esk3687_2(X1,X2) )).

cnf(i_0_14879,axiom,
    ( esk499_2(X1,X2)
    | ~ esk2676_2(X1,X2) )).

cnf(i_0_14880,axiom,
    ( esk1171_2(X1,X2)
    | ~ esk1703_2(X1,X2) )).

cnf(i_0_14881,axiom,
    ( ~ esk4348_2(X1,X2)
    | esk66_2(X1,X2) )).

cnf(i_0_14882,axiom,
    ( ~ esk2796_2(X1,X2)
    | ~ esk2794_2(X1,X2) )).

cnf(i_0_14883,axiom,
    ( ~ esk130_2(X1,X2)
    | esk4627_2(X1,X2)
    | ~ esk100_2(X1,X2) )).

cnf(i_0_14884,axiom,
    ( ~ esk96_2(X1,X2)
    | ~ esk3043_2(X1,X2) )).

cnf(i_0_14885,axiom,
    ( ~ esk1923_2(X1,X2)
    | ~ esk1922_2(X1,X2) )).

cnf(i_0_14886,axiom,
    ( esk305_2(X1,X2)
    | esk306_2(X1,X2) )).

cnf(i_0_14887,axiom,
    ( esk125_2(X1,X2)
    | esk600_2(X1,X2) )).

cnf(i_0_14888,axiom,
    ( ~ esk2252_2(X1,X2)
    | esk2315_2(X1,X2)
    | ~ esk2314_2(X1,X2)
    | ~ esk164_2(X1,X2) )).

cnf(i_0_14889,axiom,
    ( esk3463_2(X1,X2)
    | ~ esk3660_2(X1,X2) )).

cnf(i_0_14890,axiom,
    ( ~ esk5305_2(X1,X2)
    | ~ esk5307_2(X1,X2) )).

cnf(i_0_14891,axiom,
    ( esk3251_2(X1,X2)
    | ~ esk3654_2(X1,X2) )).

cnf(i_0_14892,axiom,
    ( ~ esk1560_2(X1,X2)
    | ~ esk1559_2(X1,X2) )).

cnf(i_0_14893,axiom,
    ( ~ esk3411_2(X1,X2)
    | esk3177_2(X1,X2) )).

cnf(i_0_14894,axiom,
    ( esk25_2(X1,X2)
    | ~ esk5463_2(X1,X2) )).

cnf(i_0_14895,axiom,
    ( ~ esk1945_2(X1,X2)
    | ~ esk1951_2(X1,X2)
    | esk1952_2(X1,X2) )).

cnf(i_0_14896,axiom,
    ( ~ esk2839_2(X1,X2)
    | ~ esk2835_2(X1,X2) )).

cnf(i_0_14897,axiom,
    ( esk1051_2(X1,X2)
    | esk1516_2(X1,X2) )).

cnf(i_0_14898,axiom,
    ( esk162_2(X1,X2)
    | ~ esk4357_2(X1,X2) )).

cnf(i_0_14899,axiom,
    ( ~ esk675_2(X1,X2)
    | esk671_2(X1,X2) )).

cnf(i_0_14900,axiom,
    ( esk2364_2(X1,X2)
    | esk2363_2(X1,X2) )).

cnf(i_0_14901,axiom,
    ( ~ esk2022_2(X1,X2)
    | esk2017_2(X1,X2) )).

cnf(i_0_14902,axiom,
    ( ~ esk1928_2(X1,X2)
    | ~ esk1929_2(X1,X2) )).

cnf(i_0_14903,axiom,
    ( esk3909_2(X1,X2)
    | ~ esk4292_2(X1,X2) )).

cnf(i_0_14904,axiom,
    ( esk176_2(X1,X2)
    | ~ esk4288_2(X1,X2) )).

cnf(i_0_14905,axiom,
    ( esk51_2(X1,X2)
    | ~ esk5436_2(X1,X2) )).

cnf(i_0_14906,axiom,
    ( ~ esk250_2(X1,X2)
    | esk238_2(X1,X2) )).

cnf(i_0_14907,axiom,
    ( ~ esk840_2(X1,X2)
    | esk839_2(X1,X2) )).

cnf(i_0_14908,axiom,
    ( esk4576_2(X1,X2)
    | esk4577_2(X1,X2) )).

cnf(i_0_14909,axiom,
    ( esk635_2(X1,X2)
    | ~ esk634_2(X1,X2)
    | ~ esk605_2(X1,X2)
    | ~ esk617_2(X1,X2)
    | ~ esk629_2(X1,X2) )).

cnf(i_0_14910,axiom,
    ( ~ esk3048_2(X1,X2)
    | esk96_2(X1,X2) )).

cnf(i_0_14911,axiom,
    ( ~ esk5192_2(X1,X2)
    | esk5187_2(X1,X2) )).

cnf(i_0_14912,axiom,
    ( ~ esk5388_2(X1,X2)
    | ~ esk5389_2(X1,X2) )).

cnf(i_0_14913,axiom,
    ( ~ esk1771_2(X1,X2)
    | ~ esk1770_2(X1,X2) )).

cnf(i_0_14914,axiom,
    ( ~ esk1891_2(X1,X2)
    | ~ esk1892_2(X1,X2) )).

cnf(i_0_14915,axiom,
    ( esk3093_2(X1,X2)
    | ~ esk3092_2(X1,X2)
    | ~ esk3087_2(X1,X2) )).

cnf(i_0_14916,axiom,
    ( ~ esk2861_2(X1,X2)
    | esk65_2(X1,X2) )).

cnf(i_0_14917,axiom,
    ( ~ esk2960_2(X1,X2)
    | ~ esk2959_2(X1,X2) )).

cnf(i_0_14918,axiom,
    ( ~ esk4427_2(X1,X2)
    | esk90_2(X1,X2) )).

cnf(i_0_14919,axiom,
    ( ~ esk3372_2(X1,X2)
    | esk4784_2(X1,X2)
    | ~ esk3380_2(X1,X2) )).

cnf(i_0_14920,axiom,
    ( ~ esk341_2(X1,X2)
    | ~ esk150_2(X1,X2) )).

cnf(i_0_14921,axiom,
    ( ~ esk2664_2(X1,X2)
    | ~ esk2663_2(X1,X2) )).

cnf(i_0_14922,axiom,
    ( esk1520_2(X1,X2)
    | ~ esk1579_2(X1,X2) )).

cnf(i_0_14923,axiom,
    ( esk40_2(X1,X2)
    | ~ esk2825_2(X1,X2) )).

cnf(i_0_14924,axiom,
    ( esk438_2(X1,X2)
    | esk437_2(X1,X2) )).

cnf(i_0_14925,axiom,
    ( ~ esk3902_2(X1,X2)
    | ~ esk3903_2(X1,X2) )).

cnf(i_0_14926,axiom,
    ( esk4327_2(X1,X2)
    | ~ esk4234_2(X1,X2)
    | ~ esk160_2(X1,X2)
    | ~ esk3891_2(X1,X2) )).

cnf(i_0_14927,axiom,
    ( ~ esk5197_2(X1,X2)
    | esk3259_2(X1,X2) )).

cnf(i_0_14928,axiom,
    ( ~ esk1787_2(X1,X2)
    | ~ esk1789_2(X1,X2) )).

cnf(i_0_14929,axiom,
    ( esk569_2(X1,X2)
    | esk565_2(X1,X2) )).

cnf(i_0_14930,axiom,
    ( esk2347_2(X1,X2)
    | ~ esk2346_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_14931,axiom,
    ( ~ esk2665_2(X1,X2)
    | esk2661_2(X1,X2) )).

cnf(i_0_14932,axiom,
    ( esk5026_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | ~ esk5025_2(X1,X2) )).

cnf(i_0_14933,axiom,
    ( ~ esk1121_2(X1,X2)
    | ~ esk1120_2(X1,X2) )).

cnf(i_0_14934,axiom,
    ( esk52_2(X1,X2)
    | ~ esk1187_2(X1,X2) )).

cnf(i_0_14935,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk100_2(X1,X2)
    | esk1774_2(X1,X2) )).

cnf(i_0_14936,axiom,
    ( ~ esk3790_2(X1,X2)
    | ~ esk3792_2(X1,X2) )).

cnf(i_0_14937,axiom,
    ( esk877_2(X1,X2)
    | esk878_2(X1,X2) )).

cnf(i_0_14938,axiom,
    ( esk3882_2(X1,X2)
    | ~ esk3886_2(X1,X2) )).

cnf(i_0_14939,axiom,
    ( ~ esk5115_2(X1,X2)
    | esk5120_2(X1,X2)
    | ~ esk5119_2(X1,X2) )).

cnf(i_0_14940,axiom,
    ( ~ esk3936_2(X1,X2)
    | ~ esk3266_2(X1,X2)
    | esk3937_2(X1,X2) )).

cnf(i_0_14941,axiom,
    ( esk4399_2(X1,X2)
    | esk4396_2(X1,X2)
    | esk4398_2(X1,X2)
    | esk4397_2(X1,X2) )).

cnf(i_0_14942,axiom,
    ( esk3465_2(X1,X2)
    | esk3466_2(X1,X2) )).

cnf(i_0_14943,axiom,
    ( esk2445_2(X1,X2)
    | esk2448_2(X1,X2)
    | esk2447_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_14944,axiom,
    ( esk4418_2(X1,X2)
    | esk3601_2(X1,X2) )).

cnf(i_0_14945,axiom,
    ( ~ esk5327_2(X1,X2)
    | ~ esk5328_2(X1,X2) )).

cnf(i_0_14946,axiom,
    ( esk5180_2(X1,X2)
    | ~ esk5181_2(X1,X2) )).

cnf(i_0_14947,axiom,
    ( ~ esk514_2(X1,X2)
    | ~ esk515_2(X1,X2) )).

cnf(i_0_14948,axiom,
    ( esk179_2(X1,X2)
    | ~ esk4447_2(X1,X2) )).

cnf(i_0_14949,axiom,
    ( ~ esk1153_2(X1,X2)
    | ~ esk1152_2(X1,X2) )).

cnf(i_0_14950,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1615_2(X1,X2) )).

cnf(i_0_14951,axiom,
    ( ~ esk3372_2(X1,X2)
    | ~ esk3380_2(X1,X2)
    | ~ esk3388_2(X1,X2)
    | esk4781_2(X1,X2)
    | ~ esk3396_2(X1,X2) )).

cnf(i_0_14952,axiom,
    ( ~ esk1571_2(X1,X2)
    | esk1572_2(X1,X2)
    | ~ esk1568_2(X1,X2) )).

cnf(i_0_14953,axiom,
    ( esk4789_2(X1,X2)
    | esk3678_2(X1,X2)
    | esk4790_2(X1,X2)
    | esk4788_2(X1,X2)
    | esk4787_2(X1,X2) )).

cnf(i_0_14954,axiom,
    ( ~ esk1890_2(X1,X2)
    | esk162_2(X1,X2) )).

cnf(i_0_14955,axiom,
    ( esk682_2(X1,X2)
    | ~ esk681_2(X1,X2)
    | ~ esk152_2(X1,X2) )).

cnf(i_0_14956,axiom,
    ( ~ esk4435_2(X1,X2)
    | esk48_2(X1,X2) )).

cnf(i_0_14957,axiom,
    ( ~ esk4463_2(X1,X2)
    | ~ esk4467_2(X1,X2) )).

cnf(i_0_14958,axiom,
    ( ~ esk3946_2(X1,X2)
    | esk3950_2(X1,X2)
    | ~ esk3949_2(X1,X2) )).

cnf(i_0_14959,axiom,
    ( ~ esk3411_2(X1,X2)
    | esk3410_2(X1,X2) )).

cnf(i_0_14960,axiom,
    ( esk2201_2(X1,X2)
    | ~ esk706_2(X1,X2)
    | ~ esk1018_2(X1,X2) )).

cnf(i_0_14961,axiom,
    ( esk803_2(X1,X2)
    | esk804_2(X1,X2) )).

cnf(i_0_14962,axiom,
    ( ~ esk768_2(X1,X2)
    | esk777_2(X1,X2)
    | ~ esk776_2(X1,X2)
    | ~ esk752_2(X1,X2)
    | ~ esk760_2(X1,X2) )).

cnf(i_0_14963,axiom,
    ( esk5600_2(X1,X2)
    | esk2332_2(X1,X2)
    | ~ esk4985_2(X1,X2) )).

cnf(i_0_14964,axiom,
    ( ~ esk3044_2(X1,X2)
    | ~ esk3045_2(X1,X2) )).

cnf(i_0_14965,axiom,
    ( esk145_2(X1,X2)
    | ~ esk406_2(X1,X2) )).

cnf(i_0_14966,axiom,
    ( esk4278_2(X1,X2)
    | ~ esk4280_2(X1,X2) )).

cnf(i_0_14967,axiom,
    ( esk4843_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_14968,axiom,
    ( ~ esk4304_2(X1,X2)
    | esk4513_2(X1,X2)
    | ~ esk4449_2(X1,X2)
    | ~ esk160_2(X1,X2) )).

cnf(i_0_14969,axiom,
    ( ~ esk1019_2(X1,X2)
    | esk706_2(X1,X2) )).

cnf(i_0_14970,axiom,
    ( ~ esk2095_2(X1,X2)
    | ~ esk2094_2(X1,X2) )).

cnf(i_0_14971,axiom,
    ( ~ esk2873_2(X1,X2)
    | esk2876_2(X1,X2)
    | ~ esk35_2(X1,X2) )).

cnf(i_0_14972,axiom,
    ( esk173_2(X1,X2)
    | esk1712_2(X1,X2) )).

cnf(i_0_14973,axiom,
    ( ~ esk3761_2(X1,X2)
    | esk3291_2(X1,X2) )).

cnf(i_0_14974,axiom,
    ( esk1650_2(X1,X2)
    | ~ esk1875_2(X1,X2) )).

cnf(i_0_14975,axiom,
    ( esk5473_2(X1,X2)
    | ~ esk39_2(X1,X2)
    | ~ esk179_2(X1,X2) )).

cnf(i_0_14976,axiom,
    ( ~ esk4358_2(X1,X2)
    | esk71_2(X1,X2) )).

cnf(i_0_14977,axiom,
    ( ~ esk5409_2(X1,X2)
    | ~ esk5410_2(X1,X2) )).

cnf(i_0_14978,axiom,
    ( ~ esk5420_2(X1,X2)
    | ~ esk5360_2(X1,X2)
    | esk5421_2(X1,X2) )).

cnf(i_0_14979,axiom,
    ( ~ esk126_2(X1,X2)
    | esk3151_2(X1,X2)
    | ~ esk97_2(X1,X2) )).

cnf(i_0_14980,axiom,
    ( ~ esk939_2(X1,X2)
    | esk934_2(X1,X2) )).

cnf(i_0_14981,axiom,
    ( ~ esk1015_2(X1,X2)
    | esk604_2(X1,X2) )).

cnf(i_0_14982,axiom,
    ( ~ esk3557_2(X1,X2)
    | ~ esk3556_2(X1,X2) )).

cnf(i_0_14983,axiom,
    ( esk1301_2(X1,X2)
    | esk1300_2(X1,X2) )).

cnf(i_0_14984,axiom,
    ( ~ esk4982_2(X1,X2)
    | ~ esk4984_2(X1,X2) )).

cnf(i_0_14985,axiom,
    ( esk3425_2(X1,X2)
    | esk3424_2(X1,X2) )).

cnf(i_0_14986,axiom,
    ( ~ esk90_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | esk1768_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_14987,axiom,
    ( ~ esk3295_2(X1,X2)
    | ~ esk3296_2(X1,X2) )).

cnf(i_0_14988,axiom,
    ( ~ esk3893_2(X1,X2)
    | esk3728_2(X1,X2) )).

cnf(i_0_14989,axiom,
    ( ~ esk3170_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_14990,axiom,
    ( ~ esk1128_2(X1,X2)
    | ~ esk1130_2(X1,X2) )).

cnf(i_0_14991,axiom,
    ( ~ esk178_2(X1,X2)
    | ~ esk1252_2(X1,X2)
    | ~ esk1075_2(X1,X2)
    | esk1253_2(X1,X2) )).

cnf(i_0_14992,axiom,
    ( esk174_2(X1,X2)
    | ~ esk1621_2(X1,X2) )).

cnf(i_0_14993,axiom,
    ( ~ esk1895_2(X1,X2)
    | esk1790_2(X1,X2) )).

cnf(i_0_14994,axiom,
    ( ~ esk5202_2(X1,X2)
    | ~ esk5203_2(X1,X2) )).

cnf(i_0_14995,axiom,
    ( ~ esk2955_2(X1,X2)
    | esk2954_2(X1,X2) )).

cnf(i_0_14996,axiom,
    ( ~ esk725_2(X1,X2)
    | ~ esk726_2(X1,X2) )).

cnf(i_0_14997,axiom,
    ( esk2989_2(X1,X2)
    | ~ esk2990_2(X1,X2) )).

cnf(i_0_14998,axiom,
    ( esk2973_2(X1,X2)
    | ~ esk3044_2(X1,X2) )).

cnf(i_0_14999,axiom,
    ( esk847_2(X1,X2)
    | esk134_2(X1,X2) )).

cnf(i_0_15000,axiom,
    ( esk1056_2(X1,X2)
    | esk1055_2(X1,X2) )).

cnf(i_0_15001,axiom,
    ( esk2685_2(X1,X2)
    | ~ esk2689_2(X1,X2) )).

cnf(i_0_15002,axiom,
    ( ~ esk3463_2(X1,X2)
    | ~ esk3901_2(X1,X2) )).

cnf(i_0_15003,axiom,
    ( esk5029_2(X1,X2)
    | ~ esk5028_2(X1,X2)
    | ~ esk5023_2(X1,X2) )).

cnf(i_0_15004,axiom,
    ( ~ esk4470_2(X1,X2)
    | esk4252_2(X1,X2) )).

cnf(i_0_15005,axiom,
    ( ~ esk348_2(X1,X2)
    | ~ esk347_2(X1,X2) )).

cnf(i_0_15006,axiom,
    ( esk4334_2(X1,X2)
    | ~ esk4548_2(X1,X2) )).

cnf(i_0_15007,axiom,
    ( ~ esk3442_2(X1,X2)
    | ~ esk3441_2(X1,X2) )).

cnf(i_0_15008,axiom,
    ( esk2550_2(X1,X2)
    | esk2549_2(X1,X2) )).

cnf(i_0_15009,axiom,
    ( ~ esk4407_2(X1,X2)
    | esk5577_2(X1,X2)
    | esk1754_2(X1,X2) )).

cnf(i_0_15010,axiom,
    ( ~ esk4452_2(X1,X2)
    | esk4085_2(X1,X2) )).

cnf(i_0_15011,axiom,
    ( esk798_2(X1,X2)
    | ~ esk565_2(X1,X2)
    | ~ esk797_2(X1,X2) )).

cnf(i_0_15012,axiom,
    ( esk102_2(X1,X2)
    | ~ esk4654_2(X1,X2) )).

cnf(i_0_15013,axiom,
    ( ~ esk1755_2(X1,X2)
    | esk1133_2(X1,X2) )).

cnf(i_0_15014,axiom,
    ( ~ esk3612_2(X1,X2)
    | esk139_2(X1,X2) )).

cnf(i_0_15015,axiom,
    ( ~ esk1429_2(X1,X2)
    | ~ esk760_2(X1,X2) )).

cnf(i_0_15016,axiom,
    ( esk1651_2(X1,X2)
    | ~ esk1859_2(X1,X2) )).

cnf(i_0_15017,axiom,
    ( esk160_2(X1,X2)
    | ~ esk1676_2(X1,X2) )).

cnf(i_0_15018,axiom,
    ( esk4816_2(X1,X2)
    | ~ esk4817_2(X1,X2) )).

cnf(i_0_15019,axiom,
    ( ~ esk4952_2(X1,X2)
    | ~ esk3370_2(X1,X2) )).

cnf(i_0_15020,axiom,
    ( ~ esk3699_2(X1,X2)
    | ~ esk3698_2(X1,X2) )).

cnf(i_0_15021,axiom,
    ( esk3296_2(X1,X2)
    | ~ esk3627_2(X1,X2) )).

cnf(i_0_15022,axiom,
    ( esk390_2(X1,X2)
    | ~ esk391_2(X1,X2) )).

cnf(i_0_15023,axiom,
    ( ~ esk1124_2(X1,X2)
    | ~ esk1125_2(X1,X2)
    | ~ esk2797_2(X1,X2)
    | esk2798_2(X1,X2) )).

cnf(i_0_15024,axiom,
    ( ~ esk343_2(X1,X2)
    | ~ esk344_2(X1,X2) )).

cnf(i_0_15025,axiom,
    ( ~ esk5215_2(X1,X2)
    | ~ esk3247_2(X1,X2) )).

cnf(i_0_15026,axiom,
    ( ~ esk3648_2(X1,X2)
    | ~ esk3414_2(X1,X2)
    | esk4138_2(X1,X2) )).

cnf(i_0_15027,axiom,
    ( ~ esk1188_2(X1,X2)
    | ~ esk1173_2(X1,X2) )).

cnf(i_0_15028,axiom,
    ( ~ esk2719_2(X1,X2)
    | esk2716_2(X1,X2) )).

cnf(i_0_15029,axiom,
    ( ~ esk23_2(X1,X2)
    | ~ esk3697_2(X1,X2) )).

cnf(i_0_15030,axiom,
    ( ~ esk864_2(X1,X2)
    | ~ esk851_2(X1,X2) )).

cnf(i_0_15031,axiom,
    ( esk163_2(X1,X2)
    | ~ esk4345_2(X1,X2) )).

cnf(i_0_15032,axiom,
    ( esk162_2(X1,X2)
    | ~ esk5491_2(X1,X2) )).

cnf(i_0_15033,axiom,
    ( ~ esk640_2(X1,X2)
    | ~ esk639_2(X1,X2) )).

cnf(i_0_15034,axiom,
    ( esk5121_2(X1,X2)
    | ~ esk5122_2(X1,X2) )).

cnf(i_0_15035,axiom,
    ( esk5045_2(X1,X2)
    | esk5044_2(X1,X2) )).

cnf(i_0_15036,axiom,
    ( esk3539_2(X1,X2)
    | esk3540_2(X1,X2) )).

cnf(i_0_15037,axiom,
    ( ~ esk3424_2(X1,X2)
    | esk146_2(X1,X2) )).

cnf(i_0_15038,axiom,
    ( ~ esk102_2(X1,X2)
    | ~ esk152_2(X1,X2)
    | ~ esk130_2(X1,X2)
    | esk4621_2(X1,X2) )).

cnf(i_0_15039,axiom,
    ( esk1446_2(X1,X2)
    | esk1445_2(X1,X2) )).

cnf(i_0_15040,axiom,
    ( ~ esk2153_2(X1,X2)
    | ~ esk2154_2(X1,X2) )).

cnf(i_0_15041,axiom,
    ( esk2050_2(X1,X2)
    | ~ esk2075_2(X1,X2) )).

cnf(i_0_15042,axiom,
    ( ~ esk4255_2(X1,X2)
    | esk174_2(X1,X2) )).

cnf(i_0_15043,axiom,
    ( ~ esk1147_2(X1,X2)
    | esk1146_2(X1,X2) )).

cnf(i_0_15044,axiom,
    ( ~ esk1667_2(X1,X2)
    | esk1256_2(X1,X2) )).

cnf(i_0_15045,axiom,
    ( ~ esk2302_2(X1,X2)
    | esk2298_2(X1,X2) )).

cnf(i_0_15046,axiom,
    ( ~ esk4301_2(X1,X2)
    | ~ esk4300_2(X1,X2) )).

cnf(i_0_15047,axiom,
    ( ~ esk1901_2(X1,X2)
    | esk1741_2(X1,X2) )).

cnf(i_0_15048,axiom,
    ( ~ esk4789_2(X1,X2)
    | esk3388_2(X1,X2) )).

cnf(i_0_15049,axiom,
    ( ~ esk3223_2(X1,X2)
    | ~ esk3618_2(X1,X2)
    | ~ esk3247_2(X1,X2)
    | ~ esk3235_2(X1,X2)
    | esk5225_2(X1,X2) )).

cnf(i_0_15050,axiom,
    ( esk3646_2(X1,X2)
    | ~ esk3177_2(X1,X2)
    | ~ esk145_2(X1,X2) )).

cnf(i_0_15051,axiom,
    ( ~ esk4394_2(X1,X2)
    | ~ esk4303_2(X1,X2)
    | ~ esk4304_2(X1,X2)
    | esk4526_2(X1,X2) )).

cnf(i_0_15052,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1889_2(X1,X2) )).

cnf(i_0_15053,axiom,
    ( esk3512_2(X1,X2)
    | ~ esk3508_2(X1,X2)
    | ~ esk3511_2(X1,X2) )).

cnf(i_0_15054,axiom,
    ( ~ esk3722_2(X1,X2)
    | esk3695_2(X1,X2) )).

cnf(i_0_15055,axiom,
    ( ~ esk630_2(X1,X2)
    | ~ esk632_2(X1,X2) )).

cnf(i_0_15056,axiom,
    ( ~ esk1870_2(X1,X2)
    | ~ esk1868_2(X1,X2) )).

cnf(i_0_15057,axiom,
    ( ~ esk465_2(X1,X2)
    | esk317_2(X1,X2) )).

cnf(i_0_15058,axiom,
    ( ~ esk4682_2(X1,X2)
    | esk4681_2(X1,X2) )).

cnf(i_0_15059,axiom,
    ( esk3475_2(X1,X2)
    | esk141_2(X1,X2) )).

cnf(i_0_15060,axiom,
    ( ~ esk3878_2(X1,X2)
    | ~ esk3877_2(X1,X2) )).

cnf(i_0_15061,axiom,
    ( ~ esk3026_2(X1,X2)
    | ~ esk4620_2(X1,X2) )).

cnf(i_0_15062,axiom,
    ( ~ esk4858_2(X1,X2)
    | ~ esk3671_2(X1,X2) )).

cnf(i_0_15063,axiom,
    ( esk5243_2(X1,X2)
    | ~ esk5244_2(X1,X2) )).

cnf(i_0_15064,axiom,
    ( ~ esk3885_2(X1,X2)
    | ~ esk3884_2(X1,X2) )).

cnf(i_0_15065,axiom,
    ( ~ esk4262_2(X1,X2)
    | ~ esk4263_2(X1,X2) )).

cnf(i_0_15066,axiom,
    ( ~ esk4526_2(X1,X2)
    | ~ esk4530_2(X1,X2) )).

cnf(i_0_15067,axiom,
    ( esk62_2(X1,X2)
    | ~ esk3706_2(X1,X2) )).

cnf(i_0_15068,axiom,
    ( ~ esk3447_2(X1,X2)
    | ~ esk3883_2(X1,X2) )).

cnf(i_0_15069,axiom,
    ( ~ esk2525_2(X1,X2)
    | ~ esk2526_2(X1,X2) )).

cnf(i_0_15070,axiom,
    ( esk424_2(X1,X2)
    | esk425_2(X1,X2) )).

cnf(i_0_15071,axiom,
    ( esk161_2(X1,X2)
    | ~ esk1676_2(X1,X2) )).

cnf(i_0_15072,axiom,
    ( esk1315_2(X1,X2)
    | ~ esk1314_2(X1,X2)
    | ~ esk1310_2(X1,X2) )).

cnf(i_0_15073,axiom,
    ( ~ esk1225_2(X1,X2)
    | ~ esk1004_2(X1,X2) )).

cnf(i_0_15074,axiom,
    ( ~ esk1626_2(X1,X2)
    | esk1152_2(X1,X2) )).

cnf(i_0_15075,axiom,
    ( ~ esk4330_2(X1,X2)
    | ~ esk4331_2(X1,X2) )).

cnf(i_0_15076,axiom,
    ( esk474_2(X1,X2)
    | ~ esk475_2(X1,X2) )).

cnf(i_0_15077,axiom,
    ( esk3626_2(X1,X2)
    | ~ esk3743_2(X1,X2) )).

cnf(i_0_15078,axiom,
    ( ~ esk541_2(X1,X2)
    | ~ esk2584_2(X1,X2) )).

cnf(i_0_15079,axiom,
    ( ~ esk1032_2(X1,X2)
    | esk1031_2(X1,X2) )).

cnf(i_0_15080,axiom,
    ( esk4661_2(X1,X2)
    | ~ esk4660_2(X1,X2)
    | ~ esk149_2(X1,X2)
    | ~ esk103_2(X1,X2) )).

cnf(i_0_15081,axiom,
    ( ~ esk3434_2(X1,X2)
    | ~ esk144_2(X1,X2) )).

cnf(i_0_15082,axiom,
    ( ~ esk4375_2(X1,X2)
    | esk63_2(X1,X2) )).

cnf(i_0_15083,axiom,
    ( ~ esk4609_2(X1,X2)
    | esk4610_2(X1,X2)
    | ~ esk4606_2(X1,X2) )).

cnf(i_0_15084,axiom,
    ( ~ esk2801_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_15085,axiom,
    ( ~ esk938_2(X1,X2)
    | ~ esk937_2(X1,X2) )).

cnf(i_0_15086,axiom,
    ( esk1060_2(X1,X2)
    | esk1061_2(X1,X2) )).

cnf(i_0_15087,axiom,
    ( ~ esk199_2(X1,X2)
    | ~ esk2861_2(X1,X2)
    | ~ esk5511_2(X1,X2) )).

cnf(i_0_15088,axiom,
    ( ~ esk3238_2(X1,X2)
    | ~ esk3239_2(X1,X2) )).

cnf(i_0_15089,axiom,
    ( ~ esk4168_2(X1,X2)
    | esk4073_2(X1,X2) )).

cnf(i_0_15090,axiom,
    ( esk140_2(X1,X2)
    | esk797_2(X1,X2) )).

cnf(i_0_15091,axiom,
    ( ~ esk4539_2(X1,X2)
    | esk4538_2(X1,X2) )).

cnf(i_0_15092,axiom,
    ( ~ esk150_2(X1,X2)
    | ~ esk3305_2(X1,X2) )).

cnf(i_0_15093,axiom,
    ( ~ esk792_2(X1,X2)
    | esk791_2(X1,X2) )).

cnf(i_0_15094,axiom,
    ( ~ esk4712_2(X1,X2)
    | esk4711_2(X1,X2) )).

cnf(i_0_15095,axiom,
    ( ~ esk2367_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_15096,axiom,
    ( esk2366_2(X1,X2)
    | esk92_2(X1,X2) )).

cnf(i_0_15097,axiom,
    ( ~ esk4633_2(X1,X2)
    | ~ esk4636_2(X1,X2) )).

cnf(i_0_15098,axiom,
    ( esk1319_2(X1,X2)
    | esk1318_2(X1,X2) )).

cnf(i_0_15099,axiom,
    ( ~ esk5526_2(X1,X2)
    | ~ esk366_2(X1,X2)
    | ~ esk3028_2(X1,X2) )).

cnf(i_0_15100,axiom,
    ( ~ esk3374_2(X1,X2)
    | esk3342_2(X1,X2) )).

cnf(i_0_15101,axiom,
    ( esk319_2(X1,X2)
    | ~ esk388_2(X1,X2) )).

cnf(i_0_15102,axiom,
    ( ~ esk609_2(X1,X2)
    | esk614_2(X1,X2)
    | ~ esk613_2(X1,X2) )).

cnf(i_0_15103,axiom,
    ( esk5270_2(X1,X2)
    | esk5269_2(X1,X2) )).

cnf(i_0_15104,axiom,
    ( ~ esk66_2(X1,X2)
    | esk4250_2(X1,X2)
    | ~ esk4249_2(X1,X2) )).

cnf(i_0_15105,axiom,
    ( ~ esk3064_2(X1,X2)
    | ~ esk3063_2(X1,X2) )).

cnf(i_0_15106,axiom,
    ( esk3171_2(X1,X2)
    | ~ esk3172_2(X1,X2) )).

cnf(i_0_15107,axiom,
    ( esk3708_2(X1,X2)
    | ~ esk4235_2(X1,X2) )).

cnf(i_0_15108,axiom,
    ( esk1982_2(X1,X2)
    | esk1983_2(X1,X2)
    | esk1980_2(X1,X2) )).

cnf(i_0_15109,axiom,
    ( esk202_2(X1,X2)
    | esk201_2(X1,X2) )).

cnf(i_0_15110,axiom,
    ( esk312_2(X1,X2)
    | ~ esk313_2(X1,X2) )).

cnf(i_0_15111,axiom,
    ( esk2907_2(X1,X2)
    | esk2908_2(X1,X2) )).

cnf(i_0_15112,axiom,
    ( ~ esk4457_2(X1,X2)
    | esk4277_2(X1,X2) )).

cnf(i_0_15113,axiom,
    ( ~ esk4373_2(X1,X2)
    | ~ esk4372_2(X1,X2) )).

cnf(i_0_15114,axiom,
    ( ~ esk4083_2(X1,X2)
    | esk4082_2(X1,X2) )).

cnf(i_0_15115,axiom,
    ( esk163_2(X1,X2)
    | ~ esk1705_2(X1,X2) )).

cnf(i_0_15116,axiom,
    ( esk2624_2(X1,X2)
    | esk2623_2(X1,X2) )).

cnf(i_0_15117,axiom,
    ( ~ esk735_2(X1,X2)
    | esk736_2(X1,X2)
    | ~ esk668_2(X1,X2) )).

cnf(i_0_15118,axiom,
    ( esk1590_2(X1,X2)
    | ~ esk1697_2(X1,X2) )).

cnf(i_0_15119,axiom,
    ( ~ esk2194_2(X1,X2)
    | esk2195_2(X1,X2)
    | ~ esk164_2(X1,X2) )).

cnf(i_0_15120,axiom,
    ( ~ esk4433_2(X1,X2)
    | ~ esk4436_2(X1,X2) )).

cnf(i_0_15121,axiom,
    ( esk2698_2(X1,X2)
    | esk2697_2(X1,X2) )).

cnf(i_0_15122,axiom,
    ( esk3291_2(X1,X2)
    | esk4183_2(X1,X2) )).

cnf(i_0_15123,axiom,
    ( ~ esk1245_2(X1,X2)
    | ~ esk801_2(X1,X2)
    | esk1246_2(X1,X2) )).

cnf(i_0_15124,axiom,
    ( esk1_0
    | ~ esk96_2(X1,X2) )).

cnf(i_0_15125,axiom,
    ( esk731_2(X1,X2)
    | esk732_2(X1,X2) )).

cnf(i_0_15126,axiom,
    ( esk3361_2(X1,X2)
    | esk147_2(X1,X2) )).

cnf(i_0_15127,axiom,
    ( esk146_2(X1,X2)
    | ~ esk3648_2(X1,X2) )).

cnf(i_0_15128,axiom,
    ( ~ esk2546_2(X1,X2)
    | ~ esk2542_2(X1,X2)
    | esk2547_2(X1,X2) )).

cnf(i_0_15129,axiom,
    ( ~ esk5436_2(X1,X2)
    | esk3727_2(X1,X2) )).

cnf(i_0_15130,axiom,
    ( ~ esk718_2(X1,X2)
    | esk2131_2(X1,X2)
    | ~ esk710_2(X1,X2) )).

cnf(i_0_15131,axiom,
    ( ~ esk3479_2(X1,X2)
    | ~ esk3471_2(X1,X2)
    | ~ esk3447_2(X1,X2)
    | ~ esk3455_2(X1,X2)
    | ~ esk3463_2(X1,X2)
    | esk3480_2(X1,X2) )).

cnf(i_0_15132,axiom,
    ( ~ esk1408_2(X1,X2)
    | ~ esk1406_2(X1,X2) )).

cnf(i_0_15133,axiom,
    ( ~ esk2278_2(X1,X2)
    | esk2274_2(X1,X2) )).

cnf(i_0_15134,axiom,
    ( ~ esk475_2(X1,X2)
    | esk103_2(X1,X2) )).

cnf(i_0_15135,axiom,
    ( ~ esk2233_2(X1,X2)
    | esk2228_2(X1,X2) )).

cnf(i_0_15136,axiom,
    ( ~ esk145_2(X1,X2)
    | ~ esk92_2(X1,X2)
    | ~ esk102_2(X1,X2)
    | esk2365_2(X1,X2) )).

cnf(i_0_15137,axiom,
    ( esk386_2(X1,X2)
    | ~ esk96_2(X1,X2)
    | ~ esk317_2(X1,X2) )).

cnf(i_0_15138,axiom,
    ( ~ esk1696_2(X1,X2)
    | ~ esk1700_2(X1,X2) )).

cnf(i_0_15139,axiom,
    ( ~ esk892_2(X1,X2)
    | ~ esk90_2(X1,X2)
    | esk893_2(X1,X2) )).

cnf(i_0_15140,axiom,
    ( esk5150_2(X1,X2)
    | esk5151_2(X1,X2) )).

cnf(i_0_15141,axiom,
    ( ~ esk2289_2(X1,X2)
    | esk2288_2(X1,X2) )).

cnf(i_0_15142,axiom,
    ( esk3778_2(X1,X2)
    | ~ esk4260_2(X1,X2) )).

cnf(i_0_15143,axiom,
    ( ~ esk2778_2(X1,X2)
    | esk2773_2(X1,X2) )).

cnf(i_0_15144,axiom,
    ( ~ esk1902_2(X1,X2)
    | esk1681_2(X1,X2) )).

cnf(i_0_15145,axiom,
    ( esk4133_2(X1,X2)
    | esk4132_2(X1,X2) )).

cnf(i_0_15146,axiom,
    ( esk859_2(X1,X2)
    | esk858_2(X1,X2) )).

cnf(i_0_15147,axiom,
    ( ~ esk4171_2(X1,X2)
    | ~ esk3838_2(X1,X2) )).

cnf(i_0_15148,axiom,
    ( ~ esk3638_2(X1,X2)
    | ~ esk3640_2(X1,X2) )).

cnf(i_0_15149,axiom,
    ( esk3576_2(X1,X2)
    | esk3577_2(X1,X2) )).

cnf(i_0_15150,axiom,
    ( esk4304_2(X1,X2)
    | ~ esk4512_2(X1,X2) )).

cnf(i_0_15151,axiom,
    ( esk1824_2(X1,X2)
    | ~ esk41_2(X1,X2)
    | ~ esk1598_2(X1,X2)
    | ~ esk174_2(X1,X2) )).

cnf(i_0_15152,axiom,
    ( esk115_2(X1,X2)
    | ~ esk3292_2(X1,X2) )).

cnf(i_0_15153,axiom,
    ( esk461_2(X1,X2)
    | esk462_2(X1,X2)
    | esk459_2(X1,X2) )).

cnf(i_0_15154,axiom,
    ( ~ esk2715_2(X1,X2)
    | ~ esk2657_2(X1,X2) )).

cnf(i_0_15155,axiom,
    ( ~ esk3074_2(X1,X2)
    | esk2979_2(X1,X2) )).

cnf(i_0_15156,axiom,
    ( ~ esk1489_2(X1,X2)
    | esk1488_2(X1,X2) )).

cnf(i_0_15157,axiom,
    ( esk738_2(X1,X2)
    | esk668_2(X1,X2) )).

cnf(i_0_15158,axiom,
    ( ~ esk4686_2(X1,X2)
    | esk4652_2(X1,X2) )).

cnf(i_0_15159,axiom,
    ( ~ esk4206_2(X1,X2)
    | esk3267_2(X1,X2) )).

cnf(i_0_15160,axiom,
    ( esk3891_2(X1,X2)
    | ~ esk4286_2(X1,X2) )).

cnf(i_0_15161,axiom,
    ( ~ esk3640_2(X1,X2)
    | ~ esk3632_2(X1,X2) )).

cnf(i_0_15162,axiom,
    ( esk929_2(X1,X2)
    | esk930_2(X1,X2) )).

cnf(i_0_15163,axiom,
    ( ~ esk4538_2(X1,X2)
    | ~ esk4537_2(X1,X2) )).

cnf(i_0_15164,axiom,
    ( ~ esk1745_2(X1,X2)
    | ~ esk1746_2(X1,X2) )).

cnf(i_0_15165,axiom,
    ( ~ esk1320_2(X1,X2)
    | ~ esk668_2(X1,X2) )).

cnf(i_0_15166,axiom,
    ( ~ esk5517_2(X1,X2)
    | esk210_2(X1,X2)
    | esk2872_2(X1,X2) )).

cnf(i_0_15167,axiom,
    ( esk2405_2(X1,X2)
    | ~ esk2472_2(X1,X2) )).

cnf(i_0_15168,axiom,
    ( ~ esk2139_2(X1,X2)
    | ~ esk2138_2(X1,X2) )).

cnf(i_0_15169,axiom,
    ( ~ esk4268_2(X1,X2)
    | esk7_2(X1,X2) )).

cnf(i_0_15170,axiom,
    ( ~ esk995_2(X1,X2)
    | ~ esk1458_2(X1,X2) )).

cnf(i_0_15171,axiom,
    ( esk1484_2(X1,X2)
    | esk1483_2(X1,X2) )).

cnf(i_0_15172,axiom,
    ( ~ esk4981_2(X1,X2)
    | esk178_2(X1,X2) )).

cnf(i_0_15173,axiom,
    ( ~ esk2993_2(X1,X2)
    | ~ esk2992_2(X1,X2) )).

cnf(i_0_15174,axiom,
    ( esk1903_2(X1,X2)
    | ~ esk163_2(X1,X2)
    | ~ esk85_2(X1,X2)
    | ~ esk1680_2(X1,X2) )).

cnf(i_0_15175,axiom,
    ( ~ esk2673_2(X1,X2)
    | esk2672_2(X1,X2) )).

cnf(i_0_15176,axiom,
    ( esk2745_2(X1,X2)
    | ~ esk2746_2(X1,X2) )).

cnf(i_0_15177,axiom,
    ( esk3006_2(X1,X2)
    | esk3005_2(X1,X2) )).

cnf(i_0_15178,axiom,
    ( esk3882_2(X1,X2)
    | esk3881_2(X1,X2) )).

cnf(i_0_15179,axiom,
    ( esk3594_2(X1,X2)
    | esk3593_2(X1,X2) )).

cnf(i_0_15180,axiom,
    ( esk3231_2(X1,X2)
    | esk3227_2(X1,X2) )).

cnf(i_0_15181,axiom,
    ( esk177_2(X1,X2)
    | ~ esk3849_2(X1,X2) )).

cnf(i_0_15182,axiom,
    ( ~ esk2476_2(X1,X2)
    | ~ esk2470_2(X1,X2) )).

cnf(i_0_15183,axiom,
    ( ~ esk2348_2(X1,X2)
    | ~ esk2349_2(X1,X2) )).

cnf(i_0_15184,axiom,
    ( esk94_2(X1,X2)
    | esk3056_2(X1,X2) )).

cnf(i_0_15185,axiom,
    ( ~ esk2106_2(X1,X2)
    | ~ esk2105_2(X1,X2) )).

cnf(i_0_15186,axiom,
    ( esk1225_2(X1,X2)
    | esk1226_2(X1,X2) )).

cnf(i_0_15187,axiom,
    ( ~ esk1722_2(X1,X2)
    | esk1720_2(X1,X2) )).

cnf(i_0_15188,axiom,
    ( esk2149_2(X1,X2)
    | esk2148_2(X1,X2) )).

cnf(i_0_15189,axiom,
    ( esk929_2(X1,X2)
    | ~ esk933_2(X1,X2) )).

cnf(i_0_15190,axiom,
    ( ~ esk1563_2(X1,X2)
    | ~ esk1564_2(X1,X2) )).

cnf(i_0_15191,axiom,
    ( ~ esk3325_2(X1,X2)
    | esk3324_2(X1,X2) )).

cnf(i_0_15192,axiom,
    ( esk676_2(X1,X2)
    | ~ esk1142_2(X1,X2) )).

cnf(i_0_15193,axiom,
    ( ~ esk5285_2(X1,X2)
    | ~ esk5286_2(X1,X2) )).

cnf(i_0_15194,axiom,
    ( ~ esk3176_2(X1,X2)
    | ~ esk3175_2(X1,X2) )).

cnf(i_0_15195,axiom,
    ( ~ esk218_2(X1,X2)
    | esk217_2(X1,X2) )).

cnf(i_0_15196,axiom,
    ( ~ esk4204_2(X1,X2)
    | ~ esk4205_2(X1,X2) )).

cnf(i_0_15197,axiom,
    ( esk3112_2(X1,X2)
    | esk3111_2(X1,X2) )).

cnf(i_0_15198,axiom,
    ( ~ esk1891_2(X1,X2)
    | ~ esk1888_2(X1,X2) )).

cnf(i_0_15199,axiom,
    ( esk3395_2(X1,X2)
    | esk3396_2(X1,X2) )).

cnf(i_0_15200,axiom,
    ( esk2600_2(X1,X2)
    | esk2601_2(X1,X2) )).

cnf(i_0_15201,axiom,
    ( esk4498_2(X1,X2)
    | esk4497_2(X1,X2) )).

cnf(i_0_15202,axiom,
    ( ~ esk289_2(X1,X2)
    | ~ esk104_2(X1,X2)
    | esk290_2(X1,X2) )).

cnf(i_0_15203,axiom,
    ( ~ esk1290_2(X1,X2)
    | ~ esk1291_2(X1,X2) )).

cnf(i_0_15204,axiom,
    ( ~ esk5516_2(X1,X2)
    | esk209_2(X1,X2)
    | esk2871_2(X1,X2) )).

cnf(i_0_15205,axiom,
    ( esk5051_2(X1,X2)
    | esk5050_2(X1,X2) )).

cnf(i_0_15206,axiom,
    ( esk5503_2(X1,X2)
    | esk2850_2(X1,X2)
    | ~ esk188_2(X1,X2) )).

cnf(i_0_15207,axiom,
    ( ~ esk2418_2(X1,X2)
    | esk140_2(X1,X2) )).

cnf(i_0_15208,axiom,
    ( esk1569_2(X1,X2)
    | esk605_2(X1,X2) )).

cnf(i_0_15209,axiom,
    ( esk642_2(X1,X2)
    | ~ esk646_2(X1,X2) )).

cnf(i_0_15210,axiom,
    ( ~ esk3478_2(X1,X2)
    | esk3474_2(X1,X2) )).

cnf(i_0_15211,axiom,
    ( esk3564_2(X1,X2)
    | ~ esk3560_2(X1,X2)
    | ~ esk3563_2(X1,X2) )).

cnf(i_0_15212,axiom,
    ( ~ esk5539_2(X1,X2)
    | esk3726_2(X1,X2)
    | esk1073_2(X1,X2) )).

cnf(i_0_15213,axiom,
    ( esk1044_2(X1,X2)
    | ~ esk1045_2(X1,X2) )).

cnf(i_0_15214,axiom,
    ( ~ esk2846_2(X1,X2)
    | esk5499_2(X1,X2)
    | esk184_2(X1,X2) )).

cnf(i_0_15215,axiom,
    ( ~ esk2439_2(X1,X2)
    | esk105_2(X1,X2) )).

cnf(i_0_15216,axiom,
    ( esk506_2(X1,X2)
    | ~ esk510_2(X1,X2) )).

cnf(i_0_15217,axiom,
    ( esk178_2(X1,X2)
    | esk3694_2(X1,X2) )).

cnf(i_0_15218,axiom,
    ( ~ esk5160_2(X1,X2)
    | ~ esk5161_2(X1,X2) )).

cnf(i_0_15219,axiom,
    ( ~ esk3844_2(X1,X2)
    | ~ esk176_2(X1,X2) )).

cnf(i_0_15220,axiom,
    ( esk4967_2(X1,X2)
    | ~ esk4968_2(X1,X2) )).

cnf(i_0_15221,axiom,
    ( ~ esk1908_2(X1,X2)
    | esk148_2(X1,X2) )).

cnf(i_0_15222,axiom,
    ( ~ esk5314_2(X1,X2)
    | ~ esk5313_2(X1,X2) )).

cnf(i_0_15223,axiom,
    ( esk1759_2(X1,X2)
    | ~ esk1852_2(X1,X2) )).

cnf(i_0_15224,axiom,
    ( esk3165_2(X1,X2)
    | ~ esk3605_2(X1,X2) )).

cnf(i_0_15225,axiom,
    ( ~ esk3295_2(X1,X2)
    | ~ esk3630_2(X1,X2) )).

cnf(i_0_15226,axiom,
    ( ~ esk5189_2(X1,X2)
    | ~ esk5190_2(X1,X2) )).

cnf(i_0_15227,axiom,
    ( ~ esk3399_2(X1,X2)
    | esk3403_2(X1,X2)
    | ~ esk3402_2(X1,X2) )).

cnf(i_0_15228,axiom,
    ( esk1553_2(X1,X2)
    | esk1554_2(X1,X2) )).

cnf(i_0_15229,axiom,
    ( ~ esk5348_2(X1,X2)
    | esk5347_2(X1,X2) )).

cnf(i_0_15230,axiom,
    ( esk3648_2(X1,X2)
    | ~ esk146_2(X1,X2)
    | ~ esk3165_2(X1,X2) )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
