%------------------------------------------------------------------------------
% File     : HWV076-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Hardware Verification
% Problem  : QBFLib problem from an unknown family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : k4_2_2-shuffled [Sei12]

% Status   : Satisfiable
% Rating   : 0.50 v6.1.0, 0.40 v6.0.0
% Syntax   : Number of clauses     : 1424 ( 571 non-Horn;   4 unit;1076 RR)
%            Number of atoms       : 3776 (   1 equality)
%            Maximal clause size   :    3 (   3 average)
%            Number of predicates  :  742 ( 324 propositional; 0-4 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 5684 (1268 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk881_4(X1,X2,X3,X4) )).

cnf(i_0_2,axiom,
    ( esk870_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_3,axiom,
    ( esk615_4(X1,X2,X3,X4)
    | ~ esk602_4(X1,X2,X3,X4) )).

cnf(i_0_4,axiom,
    ( esk1034_4(X1,X2,X3,X4)
    | ~ esk1030_4(X1,X2,X3,X4) )).

cnf(i_0_5,axiom,
    ( ~ esk741_4(X1,X2,X3,X4)
    | ~ esk324_0
    | ~ esk764_4(X1,X2,X3,X4) )).

cnf(i_0_6,axiom,
    ( esk513_4(X1,X2,X3,X4)
    | ~ esk517_4(X1,X2,X3,X4) )).

cnf(i_0_7,axiom,
    ( esk603_4(X1,X2,X3,X4)
    | ~ esk604_4(X1,X2,X3,X4) )).

cnf(i_0_8,axiom,
    ( ~ p(X2)
    | esk821_4(X1,X2,X3,X4) )).

cnf(i_0_9,axiom,
    ( ~ esk389_4(X1,X2,X3,X4)
    | esk56_0
    | ~ p(X4) )).

cnf(i_0_10,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk874_4(X1,X2,X3,X4) )).

cnf(i_0_11,axiom,
    ( ~ esk888_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_12,axiom,
    ( esk734_4(X1,X2,X3,X4)
    | esk733_4(X1,X2,X3,X4)
    | ~ esk750_4(X1,X2,X3,X4) )).

cnf(i_0_13,axiom,
    ( ~ esk433_4(X1,X2,X3,X4)
    | ~ esk472_4(X1,X2,X3,X4)
    | esk116_0 )).

cnf(i_0_14,axiom,
    ( ~ esk325_4(X1,X2,X3,X4)
    | p(X1)
    | esk1_0 )).

cnf(i_0_15,axiom,
    ( esk844_4(X1,X2,X3,X4)
    | ~ esk845_4(X1,X2,X3,X4) )).

cnf(i_0_16,axiom,
    ( esk653_4(X1,X2,X3,X4)
    | esk630_4(X1,X2,X3,X4)
    | ~ esk651_4(X1,X2,X3,X4) )).

cnf(i_0_17,axiom,
    ( ~ esk1006_4(X1,X2,X3,X4)
    | esk1022_4(X1,X2,X3,X4) )).

cnf(i_0_18,axiom,
    ( ~ esk870_4(X1,X2,X3,X4)
    | esk868_4(X1,X2,X3,X4) )).

cnf(i_0_19,axiom,
    ( esk576_4(X1,X2,X3,X4)
    | ~ esk589_4(X1,X2,X3,X4)
    | esk577_4(X1,X2,X3,X4) )).

cnf(i_0_20,axiom,
    ( ~ esk225_0
    | esk621_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_21,axiom,
    ( ~ esk562_4(X1,X2,X3,X4)
    | esk554_4(X1,X2,X3,X4) )).

cnf(i_0_22,axiom,
    ( esk662_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4)
    | ~ esk261_0 )).

cnf(i_0_23,axiom,
    ( esk497_4(X1,X2,X3,X4)
    | ~ esk134_0
    | ~ p(X1) )).

cnf(i_0_24,axiom,
    ( esk551_4(X1,X2,X3,X4)
    | esk550_4(X1,X2,X3,X4)
    | ~ esk563_4(X1,X2,X3,X4) )).

cnf(i_0_25,axiom,
    ( esk865_4(X1,X2,X3,X4)
    | ~ esk728_4(X1,X2,X3,X4) )).

cnf(i_0_26,axiom,
    ( esk63_0
    | p(X2)
    | ~ esk401_4(X1,X2,X3,X4) )).

cnf(i_0_27,axiom,
    ( esk175_0
    | p(X4)
    | ~ esk549_4(X1,X2,X3,X4) )).

cnf(i_0_28,axiom,
    ( esk273_0
    | ~ esk620_4(X1,X2,X3,X4)
    | ~ esk668_4(X1,X2,X3,X4) )).

cnf(i_0_29,axiom,
    ( esk705_4(X1,X2,X3,X4)
    | ~ esk299_0
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_30,axiom,
    ( esk1023_4(X1,X2,X3,X4)
    | ~ esk1024_4(X1,X2,X3,X4)
    | ~ esk1027_4(X1,X2,X3,X4) )).

cnf(i_0_31,axiom,
    ( esk456_4(X1,X2,X3,X4)
    | ~ esk457_4(X1,X2,X3,X4) )).

cnf(i_0_32,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk285_0
    | ~ esk698_4(X1,X2,X3,X4) )).

cnf(i_0_33,axiom,
    ( esk171_0
    | ~ esk547_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_34,axiom,
    ( esk562_4(X1,X2,X3,X4)
    | ~ esk563_4(X1,X2,X3,X4) )).

cnf(i_0_35,axiom,
    ( ~ esk1019_4(X1,X2,X3,X4)
    | esk908_4(X1,X2,X3,X4) )).

cnf(i_0_36,axiom,
    ( ~ esk372_4(X1,X2,X3,X4)
    | esk354_4(X1,X2,X3,X4)
    | esk37_0 )).

cnf(i_0_37,axiom,
    ( esk585_4(X1,X2,X3,X4)
    | ~ esk575_4(X1,X2,X3,X4) )).

cnf(i_0_38,axiom,
    ( esk931_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_39,axiom,
    ( ~ esk403_4(X1,X2,X3,X4)
    | esk68_0
    | ~ p(X4) )).

cnf(i_0_40,axiom,
    ( esk426_4(X1,X2,X3,X4)
    | esk425_4(X1,X2,X3,X4)
    | ~ esk435_4(X1,X2,X3,X4) )).

cnf(i_0_41,axiom,
    ( ~ esk23_0
    | p(X2)
    | esk351_4(X1,X2,X3,X4) )).

cnf(i_0_42,axiom,
    ( ~ esk214_0
    | ~ esk349_4(X1,X2,X3,X4)
    | esk599_4(X1,X2,X3,X4) )).

cnf(i_0_43,axiom,
    ( ~ esk318_0
    | esk738_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4) )).

cnf(i_0_44,axiom,
    ( esk706_4(X1,X2,X3,X4)
    | ~ esk707_4(X1,X2,X3,X4) )).

cnf(i_0_45,axiom,
    ( ~ esk689_4(X1,X2,X3,X4)
    | esk687_4(X1,X2,X3,X4) )).

cnf(i_0_46,axiom,
    ( esk1030_4(X1,X2,X3,X4)
    | ~ esk1022_4(X1,X2,X3,X4) )).

cnf(i_0_47,axiom,
    ( esk363_4(X1,X2,X3,X4)
    | ~ esk369_4(X1,X2,X3,X4)
    | esk364_4(X1,X2,X3,X4) )).

cnf(i_0_48,axiom,
    ( esk645_4(X1,X2,X3,X4)
    | ~ esk633_4(X1,X2,X3,X4)
    | esk634_4(X1,X2,X3,X4) )).

cnf(i_0_49,axiom,
    ( esk681_4(X1,X2,X3,X4)
    | ~ esk687_4(X1,X2,X3,X4) )).

cnf(i_0_50,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk430_4(X1,X2,X3,X4)
    | esk91_0 )).

cnf(i_0_51,axiom,
    ( p(X1)
    | esk931_4(X1,X2,X3,X4) )).

cnf(i_0_52,axiom,
    ( ~ esk728_4(X1,X2,X3,X4)
    | esk964_4(X1,X2,X3,X4) )).

cnf(i_0_53,axiom,
    ( esk239_0
    | ~ esk628_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_54,axiom,
    ( esk341_4(X1,X2,X3,X4)
    | ~ esk337_4(X1,X2,X3,X4) )).

cnf(i_0_55,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | esk480_4(X1,X2,X3,X4)
    | ~ esk130_0 )).

cnf(i_0_56,axiom,
    ( ~ esk405_4(X1,X2,X3,X4)
    | esk400_4(X1,X2,X3,X4)
    | esk401_4(X1,X2,X3,X4) )).

cnf(i_0_57,axiom,
    ( esk1019_4(X1,X2,X3,X4)
    | ~ esk1015_4(X1,X2,X3,X4) )).

cnf(i_0_58,axiom,
    ( esk366_4(X1,X2,X3,X4)
    | ~ esk362_4(X1,X2,X3,X4) )).

cnf(i_0_59,axiom,
    ( ~ esk285_0
    | esk374_4(X1,X2,X3,X4)
    | esk698_4(X1,X2,X3,X4) )).

cnf(i_0_60,axiom,
    ( esk452_4(X1,X2,X3,X4)
    | ~ esk106_0
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_61,axiom,
    ( esk479_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4)
    | ~ esk128_0 )).

cnf(i_0_62,axiom,
    ( esk128_0
    | ~ esk479_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_63,axiom,
    ( ~ esk375_4(X1,X2,X3,X4)
    | esk380_4(X1,X2,X3,X4) )).

cnf(i_0_64,axiom,
    ( esk491_4(X1,X2,X3,X4)
    | ~ esk478_4(X1,X2,X3,X4) )).

cnf(i_0_65,axiom,
    ( p(X1)
    | esk153_0
    | ~ esk523_4(X1,X2,X3,X4) )).

cnf(i_0_66,axiom,
    ( ~ esk235_0
    | esk374_4(X1,X2,X3,X4)
    | esk626_4(X1,X2,X3,X4) )).

cnf(i_0_67,axiom,
    ( ~ esk619_4(X1,X2,X3,X4)
    | ~ esk603_4(X1,X2,X3,X4)
    | esk620_4(X1,X2,X3,X4) )).

cnf(i_0_68,axiom,
    ( ~ esk13_0
    | esk338_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_69,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk179_0
    | esk551_4(X1,X2,X3,X4) )).

cnf(i_0_70,axiom,
    ( esk612_4(X1,X2,X3,X4)
    | ~ esk611_4(X1,X2,X3,X4)
    | esk615_4(X1,X2,X3,X4) )).

cnf(i_0_71,axiom,
    ( ~ esk9_0
    | esk336_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_72,axiom,
    ( ~ esk635_4(X1,X2,X3,X4)
    | esk634_4(X1,X2,X3,X4) )).

cnf(i_0_73,axiom,
    ( ~ esk618_4(X1,X2,X3,X4)
    | esk580_4(X1,X2,X3,X4)
    | esk221_0 )).

cnf(i_0_74,axiom,
    ( esk723_4(X1,X2,X3,X4)
    | esk718_4(X1,X2,X3,X4)
    | ~ esk717_4(X1,X2,X3,X4) )).

cnf(i_0_75,axiom,
    ( ~ esk352_4(X1,X2,X3,X4)
    | esk358_4(X1,X2,X3,X4) )).

cnf(i_0_76,axiom,
    ( esk140_0
    | ~ p(X4)
    | ~ esk500_4(X1,X2,X3,X4) )).

cnf(i_0_77,axiom,
    ( esk547_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk172_0 )).

cnf(i_0_78,axiom,
    ( esk618_4(X1,X2,X3,X4)
    | ~ esk221_0
    | esk580_4(X1,X2,X3,X4) )).

cnf(i_0_79,axiom,
    ( ~ p(X2)
    | esk84_0
    | ~ esk426_4(X1,X2,X3,X4) )).

cnf(i_0_80,axiom,
    ( esk962_4(X1,X2,X3,X4)
    | ~ esk964_4(X1,X2,X3,X4) )).

cnf(i_0_81,axiom,
    ( esk868_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_82,axiom,
    ( ~ esk656_4(X1,X2,X3,X4)
    | esk934_4(X1,X2,X3,X4) )).

cnf(i_0_83,axiom,
    ( ~ p(X3)
    | ~ esk895_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_84,axiom,
    ( ~ esk333_4(X1,X2,X3,X4)
    | esk327_4(X1,X2,X3,X4)
    | esk328_4(X1,X2,X3,X4) )).

cnf(i_0_85,axiom,
    ( esk702_4(X1,X2,X3,X4)
    | ~ esk723_4(X1,X2,X3,X4)
    | esk725_4(X1,X2,X3,X4) )).

cnf(i_0_86,axiom,
    ( esk339_4(X1,X2,X3,X4)
    | esk338_4(X1,X2,X3,X4)
    | ~ esk344_4(X1,X2,X3,X4) )).

cnf(i_0_87,axiom,
    ( ~ esk600_4(X1,X2,X3,X4)
    | esk612_4(X1,X2,X3,X4) )).

cnf(i_0_88,axiom,
    ( ~ esk376_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk44_0 )).

cnf(i_0_89,axiom,
    ( esk682_4(X1,X2,X3,X4)
    | ~ esk684_4(X1,X2,X3,X4) )).

cnf(i_0_90,axiom,
    ( ~ esk836_4(X1,X2,X3,X4)
    | esk832_4(X1,X2,X3,X4) )).

cnf(i_0_91,axiom,
    ( ~ esk422_4(X1,X2,X3,X4)
    | esk77_0
    | esk404_4(X1,X2,X3,X4) )).

cnf(i_0_92,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk429_4(X1,X2,X3,X4)
    | ~ esk89_0 )).

cnf(i_0_93,axiom,
    ( ~ esk976_4(X1,X2,X3,X4)
    | esk977_4(X1,X2,X3,X4) )).

cnf(i_0_94,axiom,
    ( p(X2)
    | ~ esk766_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_95,axiom,
    ( ~ esk53_0
    | esk388_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_96,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk550_4(X1,X2,X3,X4)
    | esk177_0 )).

cnf(i_0_97,axiom,
    ( esk628_4(X1,X2,X3,X4)
    | ~ esk240_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_98,axiom,
    ( esk694_4(X1,X2,X3,X4)
    | esk695_4(X1,X2,X3,X4)
    | ~ esk709_4(X1,X2,X3,X4) )).

cnf(i_0_99,axiom,
    ( esk888_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_100,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk283_0
    | ~ esk697_4(X1,X2,X3,X4) )).

cnf(i_0_101,axiom,
    ( ~ esk539_4(X1,X2,X3,X4)
    | esk531_4(X1,X2,X3,X4) )).

cnf(i_0_102,axiom,
    ( ~ esk198_0
    | ~ esk349_4(X1,X2,X3,X4)
    | esk576_4(X1,X2,X3,X4) )).

cnf(i_0_103,axiom,
    ( ~ esk1034_4(X1,X2,X3,X4)
    | esk1036_4(X1,X2,X3,X4) )).

cnf(i_0_104,axiom,
    ( esk730_4(X1,X2,X3,X4)
    | esk731_4(X1,X2,X3,X4)
    | ~ esk745_4(X1,X2,X3,X4) )).

cnf(i_0_105,axiom,
    ( esk461_4(X1,X2,X3,X4)
    | ~ esk457_4(X1,X2,X3,X4)
    | esk458_4(X1,X2,X3,X4) )).

cnf(i_0_106,axiom,
    ( p(X3)
    | ~ esk157_0
    | esk525_4(X1,X2,X3,X4) )).

cnf(i_0_107,axiom,
    ( esk481_4(X1,X2,X3,X4)
    | ~ esk132_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_108,axiom,
    ( ~ esk524_4(X1,X2,X3,X4)
    | esk156_0
    | ~ p(X2) )).

cnf(i_0_109,axiom,
    ( ~ esk574_4(X1,X2,X3,X4)
    | esk585_4(X1,X2,X3,X4) )).

cnf(i_0_110,axiom,
    ( ~ esk665_4(X1,X2,X3,X4)
    | esk473_4(X1,X2,X3,X4)
    | esk266_0 )).

cnf(i_0_111,axiom,
    ( ~ esk736_4(X1,X2,X3,X4)
    | esk756_4(X1,X2,X3,X4) )).

cnf(i_0_112,axiom,
    ( esk340_4(X1,X2,X3,X4)
    | ~ esk341_4(X1,X2,X3,X4) )).

cnf(i_0_113,axiom,
    ( ~ esk340_4(X1,X2,X3,X4)
    | esk348_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_114,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk163_0
    | ~ esk528_4(X1,X2,X3,X4) )).

cnf(i_0_115,axiom,
    ( ~ esk63_0
    | p(X2)
    | esk401_4(X1,X2,X3,X4) )).

cnf(i_0_116,axiom,
    ( esk351_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk24_0 )).

cnf(i_0_117,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | esk877_4(X1,X2,X3,X4) )).

cnf(i_0_118,axiom,
    ( ~ esk605_4(X1,X2,X3,X4)
    | esk596_4(X1,X2,X3,X4)
    | esk595_4(X1,X2,X3,X4) )).

cnf(i_0_119,axiom,
    ( esk832_4(X1,X2,X3,X4)
    | ~ esk833_4(X1,X2,X3,X4) )).

cnf(i_0_120,axiom,
    ( ~ esk791_4(X1,X2,X3,X4)
    | esk793_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_121,axiom,
    ( esk600_4(X1,X2,X3,X4)
    | esk599_4(X1,X2,X3,X4)
    | ~ esk612_4(X1,X2,X3,X4) )).

cnf(i_0_122,axiom,
    ( ~ esk827_4(X1,X2,X3,X4)
    | ~ esk832_4(X1,X2,X3,X4)
    | esk996_4(X1,X2,X3,X4) )).

cnf(i_0_123,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | esk917_4(X1,X2,X3,X4) )).

cnf(i_0_124,axiom,
    ( ~ esk634_4(X1,X2,X3,X4)
    | esk633_4(X1,X2,X3,X4) )).

cnf(i_0_125,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | ~ esk181_0
    | esk552_4(X1,X2,X3,X4) )).

cnf(i_0_126,axiom,
    ( ~ esk959_4(X1,X2,X3,X4)
    | esk656_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_127,axiom,
    ( esk729_4(X1,X2,X3,X4)
    | ~ esk743_4(X1,X2,X3,X4)
    | esk745_4(X1,X2,X3,X4) )).

cnf(i_0_128,axiom,
    ( p(X3)
    | esk193_0
    | ~ esk574_4(X1,X2,X3,X4) )).

cnf(i_0_129,axiom,
    ( esk497_4(X1,X2,X3,X4)
    | ~ esk133_0
    | p(X1) )).

cnf(i_0_130,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | esk817_4(X1,X2,X3,X4) )).

cnf(i_0_131,axiom,
    ( ~ p(X1)
    | esk783_4(X1,X2,X3,X4) )).

cnf(i_0_132,axiom,
    ( esk634_4(X1,X2,X3,X4)
    | ~ esk640_4(X1,X2,X3,X4) )).

cnf(i_0_133,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | ~ esk934_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_134,axiom,
    ( ~ esk159_0
    | esk526_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_135,axiom,
    ( ~ esk62_0
    | ~ p(X1)
    | esk400_4(X1,X2,X3,X4) )).

cnf(i_0_136,axiom,
    ( ~ p(X3)
    | ~ esk910_4(X1,X2,X3,X4)
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_137,axiom,
    ( esk313_0
    | ~ esk735_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_138,axiom,
    ( ~ esk1027_4(X1,X2,X3,X4)
    | esk925_4(X1,X2,X3,X4) )).

cnf(i_0_139,axiom,
    ( esk895_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_140,axiom,
    ( p(X2)
    | esk857_4(X1,X2,X3,X4) )).

cnf(i_0_141,axiom,
    ( ~ esk967_4(X1,X2,X3,X4)
    | ~ esk962_4(X1,X2,X3,X4)
    | esk1036_4(X1,X2,X3,X4) )).

cnf(i_0_142,axiom,
    ( esk510_4(X1,X2,X3,X4)
    | ~ esk506_4(X1,X2,X3,X4)
    | esk507_4(X1,X2,X3,X4) )).

cnf(i_0_143,axiom,
    ( esk602_4(X1,X2,X3,X4)
    | ~ esk220_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_144,axiom,
    ( ~ esk622_4(X1,X2,X3,X4)
    | esk637_4(X1,X2,X3,X4) )).

cnf(i_0_145,axiom,
    ( esk988_4(X1,X2,X3,X4)
    | ~ esk799_4(X1,X2,X3,X4)
    | ~ esk806_4(X1,X2,X3,X4) )).

cnf(i_0_146,axiom,
    ( esk157_0
    | p(X3)
    | ~ esk525_4(X1,X2,X3,X4) )).

cnf(i_0_147,axiom,
    ( esk712_4(X1,X2,X3,X4)
    | ~ esk696_4(X1,X2,X3,X4) )).

cnf(i_0_148,axiom,
    ( esk877_4(X1,X2,X3,X4)
    | ~ esk873_4(X1,X2,X3,X4)
    | esk874_4(X1,X2,X3,X4) )).

cnf(i_0_149,axiom,
    ( p(X4)
    | ~ esk231_0
    | esk624_4(X1,X2,X3,X4) )).

cnf(i_0_150,axiom,
    ( ~ p(X4)
    | ~ esk793_4(X1,X2,X3,X4)
    | ~ esk728_4(X1,X2,X3,X4) )).

cnf(i_0_151,axiom,
    ( esk1012_4(X1,X2,X3,X4)
    | ~ esk1008_4(X1,X2,X3,X4) )).

cnf(i_0_152,axiom,
    ( ~ esk761_4(X1,X2,X3,X4)
    | esk759_4(X1,X2,X3,X4) )).

cnf(i_0_153,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk429_4(X1,X2,X3,X4)
    | esk89_0 )).

cnf(i_0_154,axiom,
    ( ~ esk540_4(X1,X2,X3,X4)
    | esk539_4(X1,X2,X3,X4) )).

cnf(i_0_155,axiom,
    ( esk404_4(X1,X2,X3,X4)
    | ~ esk408_4(X1,X2,X3,X4) )).

cnf(i_0_156,axiom,
    ( esk389_4(X1,X2,X3,X4)
    | ~ esk55_0
    | p(X4) )).

cnf(i_0_157,axiom,
    ( esk737_4(X1,X2,X3,X4)
    | ~ esk756_4(X1,X2,X3,X4)
    | esk736_4(X1,X2,X3,X4) )).

cnf(i_0_158,axiom,
    ( esk661_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | ~ esk259_0 )).

cnf(i_0_159,axiom,
    ( esk1019_4(X1,X2,X3,X4)
    | ~ esk908_4(X1,X2,X3,X4)
    | ~ esk901_4(X1,X2,X3,X4) )).

cnf(i_0_160,axiom,
    ( esk350_4(X1,X2,X3,X4)
    | esk351_4(X1,X2,X3,X4)
    | ~ esk355_4(X1,X2,X3,X4) )).

cnf(i_0_161,axiom,
    ( esk354_4(X1,X2,X3,X4)
    | ~ esk355_4(X1,X2,X3,X4) )).

cnf(i_0_162,axiom,
    ( ~ p(X3)
    | esk46_0
    | ~ esk377_4(X1,X2,X3,X4) )).

cnf(i_0_163,axiom,
    ( esk579_4(X1,X2,X3,X4)
    | ~ esk204_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_164,axiom,
    ( ~ esk471_4(X1,X2,X3,X4)
    | esk113_0
    | esk433_4(X1,X2,X3,X4) )).

cnf(i_0_165,axiom,
    ( ~ esk820_4(X1,X2,X3,X4)
    | esk993_4(X1,X2,X3,X4)
    | ~ esk813_4(X1,X2,X3,X4) )).

cnf(i_0_166,axiom,
    ( ~ esk238_0
    | ~ esk399_4(X1,X2,X3,X4)
    | esk627_4(X1,X2,X3,X4) )).

cnf(i_0_167,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | esk432_4(X1,X2,X3,X4)
    | ~ esk95_0 )).

cnf(i_0_168,axiom,
    ( esk637_4(X1,X2,X3,X4)
    | ~ esk623_4(X1,X2,X3,X4) )).

cnf(i_0_169,axiom,
    ( ~ esk491_4(X1,X2,X3,X4)
    | esk490_4(X1,X2,X3,X4) )).

cnf(i_0_170,axiom,
    ( esk299_0
    | esk728_4(X1,X2,X3,X4)
    | ~ esk705_4(X1,X2,X3,X4) )).

cnf(i_0_171,axiom,
    ( ~ esk329_4(X1,X2,X3,X4)
    | esk330_4(X1,X2,X3,X4)
    | esk333_4(X1,X2,X3,X4) )).

cnf(i_0_172,axiom,
    ( ~ esk11_0
    | esk337_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_173,axiom,
    ( esk700_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4)
    | ~ esk290_0 )).

cnf(i_0_174,axiom,
    ( esk665_4(X1,X2,X3,X4)
    | esk664_4(X1,X2,X3,X4)
    | ~ esk684_4(X1,X2,X3,X4) )).

cnf(i_0_175,axiom,
    ( esk81_0
    | ~ esk425_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_176,axiom,
    ( p(X3)
    | ~ esk786_4(X1,X2,X3,X4)
    | esk788_4(X1,X2,X3,X4) )).

cnf(i_0_177,axiom,
    ( esk959_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_178,axiom,
    ( esk550_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4)
    | ~ esk177_0 )).

cnf(i_0_179,axiom,
    ( esk800_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_180,axiom,
    ( ~ esk125_0
    | esk478_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_181,axiom,
    ( ~ esk320_0
    | esk571_4(X1,X2,X3,X4)
    | esk739_4(X1,X2,X3,X4) )).

cnf(i_0_182,axiom,
    ( ~ p(X3)
    | esk934_4(X1,X2,X3,X4) )).

cnf(i_0_183,axiom,
    ( esk468_4(X1,X2,X3,X4)
    | ~ esk454_4(X1,X2,X3,X4) )).

cnf(i_0_184,axiom,
    ( esk629_4(X1,X2,X3,X4)
    | ~ esk241_0
    | esk473_4(X1,X2,X3,X4) )).

cnf(i_0_185,axiom,
    ( p(X2)
    | ~ esk412_4(X1,X2,X3,X4)
    | esk71_0 )).

cnf(i_0_186,axiom,
    ( ~ esk988_4(X1,X2,X3,X4)
    | esk799_4(X1,X2,X3,X4) )).

cnf(i_0_187,axiom,
    ( ~ esk373_4(X1,X2,X3,X4)
    | ~ esk365_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_188,axiom,
    ( ~ esk697_4(X1,X2,X3,X4)
    | esk714_4(X1,X2,X3,X4) )).

cnf(i_0_189,axiom,
    ( esk95_0
    | ~ esk432_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_190,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | ~ esk93_0
    | esk431_4(X1,X2,X3,X4) )).

cnf(i_0_191,axiom,
    ( ~ p(X3)
    | ~ esk210_0
    | esk597_4(X1,X2,X3,X4) )).

cnf(i_0_192,axiom,
    ( esk503_4(X1,X2,X3,X4)
    | esk504_4(X1,X2,X3,X4)
    | ~ esk517_4(X1,X2,X3,X4) )).

cnf(i_0_193,axiom,
    ( ~ esk698_4(X1,X2,X3,X4)
    | esk714_4(X1,X2,X3,X4) )).

cnf(i_0_194,axiom,
    ( ~ p(X4)
    | ~ esk140_0
    | esk500_4(X1,X2,X3,X4) )).

cnf(i_0_195,axiom,
    ( ~ p(X2)
    | ~ esk694_4(X1,X2,X3,X4)
    | esk278_0 )).

cnf(i_0_196,axiom,
    ( esk405_4(X1,X2,X3,X4)
    | ~ esk404_4(X1,X2,X3,X4)
    | esk408_4(X1,X2,X3,X4) )).

cnf(i_0_197,axiom,
    ( p(X3)
    | esk352_4(X1,X2,X3,X4)
    | ~ esk25_0 )).

cnf(i_0_198,axiom,
    ( esk611_4(X1,X2,X3,X4)
    | ~ esk615_4(X1,X2,X3,X4) )).

cnf(i_0_199,axiom,
    ( esk209_0
    | p(X3)
    | ~ esk597_4(X1,X2,X3,X4) )).

cnf(i_0_200,axiom,
    ( ~ esk624_4(X1,X2,X3,X4)
    | esk640_4(X1,X2,X3,X4) )).

cnf(i_0_201,axiom,
    ( ~ esk695_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk280_0 )).

cnf(i_0_202,axiom,
    ( esk1008_4(X1,X2,X3,X4)
    | ~ esk1007_4(X1,X2,X3,X4) )).

cnf(i_0_203,axiom,
    ( esk340_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | esk347_4(X1,X2,X3,X4) )).

cnf(i_0_204,axiom,
    ( esk717_4(X1,X2,X3,X4)
    | ~ esk705_4(X1,X2,X3,X4)
    | esk706_4(X1,X2,X3,X4) )).

cnf(i_0_205,axiom,
    ( esk138_0
    | ~ esk499_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_206,axiom,
    ( esk660_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk256_0 )).

cnf(i_0_207,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk625_4(X1,X2,X3,X4)
    | esk233_0 )).

cnf(i_0_208,axiom,
    ( esk517_4(X1,X2,X3,X4)
    | ~ esk504_4(X1,X2,X3,X4) )).

cnf(i_0_209,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | ~ esk262_0
    | esk663_4(X1,X2,X3,X4) )).

cnf(i_0_210,axiom,
    ( ~ esk984_4(X1,X2,X3,X4)
    | esk988_4(X1,X2,X3,X4) )).

cnf(i_0_211,axiom,
    ( ~ esk540_4(X1,X2,X3,X4)
    | esk528_4(X1,X2,X3,X4)
    | esk527_4(X1,X2,X3,X4) )).

cnf(i_0_212,axiom,
    ( esk873_4(X1,X2,X3,X4)
    | ~ esk874_4(X1,X2,X3,X4) )).

cnf(i_0_213,axiom,
    ( esk514_4(X1,X2,X3,X4)
    | ~ esk501_4(X1,X2,X3,X4) )).

cnf(i_0_214,axiom,
    ( esk96_0
    | ~ esk424_4(X1,X2,X3,X4)
    | ~ esk432_4(X1,X2,X3,X4) )).

cnf(i_0_215,axiom,
    ( ~ p(X3)
    | esk786_4(X1,X2,X3,X4) )).

cnf(i_0_216,axiom,
    ( esk482_4(X1,X2,X3,X4)
    | ~ esk521_4(X1,X2,X3,X4)
    | esk151_0 )).

cnf(i_0_217,axiom,
    ( ~ esk477_4(X1,X2,X3,X4)
    | esk487_4(X1,X2,X3,X4) )).

cnf(i_0_218,axiom,
    ( esk344_4(X1,X2,X3,X4)
    | ~ esk338_4(X1,X2,X3,X4) )).

cnf(i_0_219,axiom,
    ( p(X4)
    | esk793_4(X1,X2,X3,X4) )).

cnf(i_0_220,axiom,
    ( ~ p(X1)
    | ~ esk914_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_221,axiom,
    ( ~ esk480_4(X1,X2,X3,X4)
    | esk130_0
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_222,axiom,
    ( esk930_4(X1,X2,X3,X4)
    | ~ esk1027_4(X1,X2,X3,X4) )).

cnf(i_0_223,axiom,
    ( esk732_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk307_0 )).

cnf(i_0_224,axiom,
    ( esk358_4(X1,X2,X3,X4)
    | ~ esk353_4(X1,X2,X3,X4) )).

cnf(i_0_225,axiom,
    ( ~ esk388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk54_0 )).

cnf(i_0_226,axiom,
    ( ~ esk67_0
    | esk403_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_227,axiom,
    ( esk362_4(X1,X2,X3,X4)
    | ~ esk366_4(X1,X2,X3,X4)
    | esk361_4(X1,X2,X3,X4) )).

cnf(i_0_228,axiom,
    ( ~ esk531_4(X1,X2,X3,X4)
    | esk186_0
    | ~ esk569_4(X1,X2,X3,X4) )).

cnf(i_0_229,axiom,
    ( ~ esk353_4(X1,X2,X3,X4)
    | p(X4)
    | esk27_0 )).

cnf(i_0_230,axiom,
    ( esk573_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk191_0 )).

cnf(i_0_231,axiom,
    ( esk161_0
    | esk349_4(X1,X2,X3,X4)
    | ~ esk527_4(X1,X2,X3,X4) )).

cnf(i_0_232,axiom,
    ( esk442_4(X1,X2,X3,X4)
    | ~ esk430_4(X1,X2,X3,X4) )).

cnf(i_0_233,axiom,
    ( esk412_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk71_0 )).

cnf(i_0_234,axiom,
    ( esk720_4(X1,X2,X3,X4)
    | esk699_4(X1,X2,X3,X4)
    | ~ esk718_4(X1,X2,X3,X4) )).

cnf(i_0_235,axiom,
    ( ~ esk676_4(X1,X2,X3,X4)
    | esk660_4(X1,X2,X3,X4)
    | esk678_4(X1,X2,X3,X4) )).

cnf(i_0_236,axiom,
    ( esk598_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk211_0 )).

cnf(i_0_237,axiom,
    ( esk588_4(X1,X2,X3,X4)
    | ~ esk592_4(X1,X2,X3,X4) )).

cnf(i_0_238,axiom,
    ( ~ esk152_0
    | esk521_4(X1,X2,X3,X4)
    | ~ esk482_4(X1,X2,X3,X4) )).

cnf(i_0_239,axiom,
    ( ~ p(X3)
    | esk74_0
    | ~ esk413_4(X1,X2,X3,X4) )).

cnf(i_0_240,axiom,
    ( esk632_4(X1,X2,X3,X4)
    | ~ esk247_0
    | esk620_4(X1,X2,X3,X4) )).

cnf(i_0_241,axiom,
    ( esk498_4(X1,X2,X3,X4)
    | ~ esk507_4(X1,X2,X3,X4)
    | esk497_4(X1,X2,X3,X4) )).

cnf(i_0_242,axiom,
    ( ~ esk996_4(X1,X2,X3,X4)
    | esk827_4(X1,X2,X3,X4) )).

cnf(i_0_243,axiom,
    ( esk764_4(X1,X2,X3,X4)
    | ~ esk324_0
    | esk741_4(X1,X2,X3,X4) )).

cnf(i_0_244,axiom,
    ( esk517_4(X1,X2,X3,X4)
    | ~ esk503_4(X1,X2,X3,X4) )).

cnf(i_0_245,axiom,
    ( esk166_0
    | ~ esk529_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_246,axiom,
    ( esk341_4(X1,X2,X3,X4)
    | ~ esk340_4(X1,X2,X3,X4)
    | esk344_4(X1,X2,X3,X4) )).

cnf(i_0_247,axiom,
    ( esk468_4(X1,X2,X3,X4)
    | ~ esk455_4(X1,X2,X3,X4) )).

cnf(i_0_248,axiom,
    ( ~ esk817_4(X1,X2,X3,X4)
    | ~ esk692_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_249,axiom,
    ( ~ esk1031_4(X1,X2,X3,X4)
    | ~ esk1034_4(X1,X2,X3,X4)
    | esk1030_4(X1,X2,X3,X4) )).

cnf(i_0_250,axiom,
    ( esk910_4(X1,X2,X3,X4)
    | ~ esk908_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_251,axiom,
    ( ~ esk975_4(X1,X2,X3,X4)
    | esk991_4(X1,X2,X3,X4) )).

cnf(i_0_252,axiom,
    ( ~ esk278_0
    | ~ p(X2)
    | esk694_4(X1,X2,X3,X4) )).

cnf(i_0_253,axiom,
    ( ~ esk630_4(X1,X2,X3,X4)
    | esk244_0
    | ~ esk522_4(X1,X2,X3,X4) )).

cnf(i_0_254,axiom,
    ( esk671_4(X1,X2,X3,X4)
    | ~ esk657_4(X1,X2,X3,X4) )).

cnf(i_0_255,axiom,
    ( esk863_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_256,axiom,
    ( esk881_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_257,axiom,
    ( esk13_0
    | p(X3)
    | ~ esk338_4(X1,X2,X3,X4) )).

cnf(i_0_258,axiom,
    ( ~ esk528_4(X1,X2,X3,X4)
    | esk164_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_259,axiom,
    ( esk340_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4)
    | ~ esk347_4(X1,X2,X3,X4) )).

cnf(i_0_260,axiom,
    ( esk937_4(X1,X2,X3,X4)
    | ~ esk938_4(X1,X2,X3,X4) )).

cnf(i_0_261,axiom,
    ( ~ p(X4)
    | ~ esk196_0
    | esk575_4(X1,X2,X3,X4) )).

cnf(i_0_262,axiom,
    ( p(X2)
    | esk362_4(X1,X2,X3,X4)
    | ~ esk31_0 )).

cnf(i_0_263,axiom,
    ( ~ esk845_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_264,axiom,
    ( ~ esk112_0
    | esk455_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_265,axiom,
    ( esk996_4(X1,X2,X3,X4)
    | ~ esk992_4(X1,X2,X3,X4) )).

cnf(i_0_266,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk600_4(X1,X2,X3,X4)
    | esk215_0 )).

cnf(i_0_267,axiom,
    ( esk45_0
    | ~ esk377_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_268,axiom,
    ( esk922_4(X1,X2,X3,X4)
    | ~ esk920_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_269,axiom,
    ( esk718_4(X1,X2,X3,X4)
    | ~ esk720_4(X1,X2,X3,X4) )).

cnf(i_0_270,axiom,
    ( p(X4)
    | ~ esk692_4(X1,X2,X3,X4)
    | ~ esk917_4(X1,X2,X3,X4) )).

cnf(i_0_271,axiom,
    ( esk791_4(X1,X2,X3,X4)
    | ~ esk985_4(X1,X2,X3,X4) )).

cnf(i_0_272,axiom,
    ( ~ esk33_0
    | esk363_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_273,axiom,
    ( esk475_4(X1,X2,X3,X4)
    | ~ esk119_0
    | p(X2) )).

cnf(i_0_274,axiom,
    ( esk761_4(X1,X2,X3,X4)
    | esk738_4(X1,X2,X3,X4)
    | ~ esk759_4(X1,X2,X3,X4) )).

cnf(i_0_275,axiom,
    ( p(X3)
    | esk905_4(X1,X2,X3,X4) )).

cnf(i_0_276,axiom,
    ( ~ esk947_4(X1,X2,X3,X4)
    | esk946_4(X1,X2,X3,X4) )).

cnf(i_0_277,axiom,
    ( ~ esk769_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_278,axiom,
    ( p(X2)
    | ~ esk449_4(X1,X2,X3,X4)
    | esk99_0 )).

cnf(i_0_279,axiom,
    ( esk78_0
    | ~ esk404_4(X1,X2,X3,X4)
    | ~ esk422_4(X1,X2,X3,X4) )).

cnf(i_0_280,axiom,
    ( p(X3)
    | ~ esk427_4(X1,X2,X3,X4)
    | esk85_0 )).

cnf(i_0_281,axiom,
    ( esk324_0
    | ~ esk741_4(X1,X2,X3,X4)
    | esk764_4(X1,X2,X3,X4) )).

cnf(i_0_282,axiom,
    ( ~ esk348_4(X1,X2,X3,X4)
    | esk19_0
    | esk329_4(X1,X2,X3,X4) )).

cnf(i_0_283,axiom,
    ( ~ esk950_4(X1,X2,X3,X4)
    | esk946_4(X1,X2,X3,X4) )).

cnf(i_0_284,axiom,
    ( ~ esk620_4(X1,X2,X3,X4)
    | esk298_0
    | ~ esk704_4(X1,X2,X3,X4) )).

cnf(i_0_285,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk452_4(X1,X2,X3,X4)
    | ~ esk105_0 )).

cnf(i_0_286,axiom,
    ( esk853_4(X1,X2,X3,X4)
    | ~ esk692_4(X1,X2,X3,X4) )).

cnf(i_0_287,axiom,
    ( ~ esk633_4(X1,X2,X3,X4)
    | esk656_4(X1,X2,X3,X4)
    | esk249_0 )).

cnf(i_0_288,axiom,
    ( esk938_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_289,axiom,
    ( ~ esk351_4(X1,X2,X3,X4)
    | esk23_0
    | p(X2) )).

cnf(i_0_290,axiom,
    ( esk839_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_291,axiom,
    ( ~ esk18_0
    | ~ esk329_4(X1,X2,X3,X4)
    | esk347_4(X1,X2,X3,X4) )).

cnf(i_0_292,axiom,
    ( ~ esk363_4(X1,X2,X3,X4)
    | esk369_4(X1,X2,X3,X4) )).

cnf(i_0_293,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk699_4(X1,X2,X3,X4)
    | esk288_0 )).

cnf(i_0_294,axiom,
    ( esk468_4(X1,X2,X3,X4)
    | esk465_4(X1,X2,X3,X4)
    | ~ esk464_4(X1,X2,X3,X4) )).

cnf(i_0_295,axiom,
    ( esk817_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_296,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | esk238_0
    | ~ esk627_4(X1,X2,X3,X4) )).

cnf(i_0_297,axiom,
    ( ~ esk765_4(X1,X2,X3,X4)
    | esk766_4(X1,X2,X3,X4)
    | esk769_4(X1,X2,X3,X4) )).

cnf(i_0_298,axiom,
    ( ~ esk671_4(X1,X2,X3,X4)
    | esk670_4(X1,X2,X3,X4) )).

cnf(i_0_299,axiom,
    ( ~ esk305_0
    | ~ p(X3)
    | esk731_4(X1,X2,X3,X4) )).

cnf(i_0_300,axiom,
    ( ~ p(X1)
    | esk62_0
    | ~ esk400_4(X1,X2,X3,X4) )).

cnf(i_0_301,axiom,
    ( ~ esk728_4(X1,X2,X3,X4)
    | esk922_4(X1,X2,X3,X4) )).

cnf(i_0_302,axiom,
    ( esk524_4(X1,X2,X3,X4)
    | ~ esk533_4(X1,X2,X3,X4)
    | esk523_4(X1,X2,X3,X4) )).

cnf(i_0_303,axiom,
    ( esk187_0
    | ~ esk570_4(X1,X2,X3,X4)
    | esk531_4(X1,X2,X3,X4) )).

cnf(i_0_304,axiom,
    ( esk689_4(X1,X2,X3,X4)
    | ~ esk667_4(X1,X2,X3,X4) )).

cnf(i_0_305,axiom,
    ( esk579_4(X1,X2,X3,X4)
    | ~ esk592_4(X1,X2,X3,X4)
    | esk578_4(X1,X2,X3,X4) )).

cnf(i_0_306,axiom,
    ( ~ p(X2)
    | esk895_4(X1,X2,X3,X4) )).

cnf(i_0_307,axiom,
    ( ~ esk386_4(X1,X2,X3,X4)
    | esk50_0
    | ~ p(X1) )).

cnf(i_0_308,axiom,
    ( ~ esk394_4(X1,X2,X3,X4)
    | esk390_4(X1,X2,X3,X4) )).

cnf(i_0_309,axiom,
    ( ~ esk501_4(X1,X2,X3,X4)
    | esk142_0
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_310,axiom,
    ( p(X1)
    | esk956_4(X1,X2,X3,X4) )).

cnf(i_0_311,axiom,
    ( ~ p(X2)
    | ~ esk956_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_312,axiom,
    ( esk530_4(X1,X2,X3,X4)
    | ~ esk168_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_313,axiom,
    ( ~ esk566_4(X1,X2,X3,X4)
    | esk562_4(X1,X2,X3,X4) )).

cnf(i_0_314,axiom,
    ( ~ esk206_0
    | ~ p(X1)
    | esk595_4(X1,X2,X3,X4) )).

cnf(i_0_315,axiom,
    ( ~ esk667_4(X1,X2,X3,X4)
    | esk270_0
    | esk571_4(X1,X2,X3,X4) )).

cnf(i_0_316,axiom,
    ( ~ esk171_0
    | p(X2)
    | esk547_4(X1,X2,X3,X4) )).

cnf(i_0_317,axiom,
    ( esk981_4(X1,X2,X3,X4)
    | ~ esk977_4(X1,X2,X3,X4) )).

cnf(i_0_318,axiom,
    ( esk433_4(X1,X2,X3,X4)
    | ~ esk434_4(X1,X2,X3,X4) )).

cnf(i_0_319,axiom,
    ( ~ esk530_4(X1,X2,X3,X4)
    | esk168_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_320,axiom,
    ( ~ esk927_4(X1,X2,X3,X4)
    | esk925_4(X1,X2,X3,X4) )).

cnf(i_0_321,axiom,
    ( ~ esk448_4(X1,X2,X3,X4)
    | p(X1)
    | esk97_0 )).

cnf(i_0_322,axiom,
    ( ~ esk378_4(X1,X2,X3,X4)
    | esk48_0
    | ~ p(X4) )).

cnf(i_0_323,axiom,
    ( esk507_4(X1,X2,X3,X4)
    | ~ esk498_4(X1,X2,X3,X4) )).

cnf(i_0_324,axiom,
    ( esk967_4(X1,X2,X3,X4)
    | ~ esk968_4(X1,X2,X3,X4) )).

cnf(i_0_325,axiom,
    ( ~ esk327_4(X1,X2,X3,X4)
    | esk333_4(X1,X2,X3,X4) )).

cnf(i_0_326,axiom,
    ( ~ esk732_4(X1,X2,X3,X4)
    | p(X4)
    | esk306_0 )).

cnf(i_0_327,axiom,
    ( ~ p(X3)
    | ~ esk971_4(X1,X2,X3,X4)
    | esk764_4(X1,X2,X3,X4) )).

cnf(i_0_328,axiom,
    ( esk748_4(X1,X2,X3,X4)
    | ~ esk732_4(X1,X2,X3,X4) )).

cnf(i_0_329,axiom,
    ( ~ esk428_4(X1,X2,X3,X4)
    | esk438_4(X1,X2,X3,X4) )).

cnf(i_0_330,axiom,
    ( ~ p(X4)
    | ~ esk477_4(X1,X2,X3,X4)
    | esk124_0 )).

cnf(i_0_331,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | esk625_4(X1,X2,X3,X4)
    | ~ esk234_0 )).

cnf(i_0_332,axiom,
    ( esk425_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk81_0 )).

cnf(i_0_333,axiom,
    ( ~ p(X4)
    | esk952_4(X1,X2,X3,X4) )).

cnf(i_0_334,axiom,
    ( ~ p(X2)
    | esk192_0
    | ~ esk573_4(X1,X2,X3,X4) )).

cnf(i_0_335,axiom,
    ( esk405_4(X1,X2,X3,X4)
    | ~ esk400_4(X1,X2,X3,X4) )).

cnf(i_0_336,axiom,
    ( esk494_4(X1,X2,X3,X4)
    | ~ esk480_4(X1,X2,X3,X4) )).

cnf(i_0_337,axiom,
    ( esk646_4(X1,X2,X3,X4)
    | ~ esk648_4(X1,X2,X3,X4) )).

cnf(i_0_338,axiom,
    ( esk127_0
    | ~ esk479_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_339,axiom,
    ( ~ esk856_4(X1,X2,X3,X4)
    | esk1003_4(X1,X2,X3,X4)
    | ~ esk851_4(X1,X2,X3,X4) )).

cnf(i_0_340,axiom,
    ( ~ esk585_4(X1,X2,X3,X4)
    | esk581_4(X1,X2,X3,X4) )).

cnf(i_0_341,axiom,
    ( esk416_4(X1,X2,X3,X4)
    | ~ esk412_4(X1,X2,X3,X4) )).

cnf(i_0_342,axiom,
    ( ~ esk245_0
    | esk631_4(X1,X2,X3,X4)
    | esk571_4(X1,X2,X3,X4) )).

cnf(i_0_343,axiom,
    ( esk118_0
    | ~ esk474_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_344,axiom,
    ( ~ esk187_0
    | esk570_4(X1,X2,X3,X4)
    | esk531_4(X1,X2,X3,X4) )).

cnf(i_0_345,axiom,
    ( ~ esk820_4(X1,X2,X3,X4)
    | esk824_4(X1,X2,X3,X4)
    | esk821_4(X1,X2,X3,X4) )).

cnf(i_0_346,axiom,
    ( esk845_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_347,axiom,
    ( p(X2)
    | esk947_4(X1,X2,X3,X4) )).

cnf(i_0_348,axiom,
    ( esk668_4(X1,X2,X3,X4)
    | ~ esk620_4(X1,X2,X3,X4)
    | ~ esk273_0 )).

cnf(i_0_349,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk733_4(X1,X2,X3,X4)
    | esk308_0 )).

cnf(i_0_350,axiom,
    ( esk30_0
    | ~ esk361_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_351,axiom,
    ( ~ esk323_0
    | ~ esk620_4(X1,X2,X3,X4)
    | esk740_4(X1,X2,X3,X4) )).

cnf(i_0_352,axiom,
    ( esk985_4(X1,X2,X3,X4)
    | ~ esk796_4(X1,X2,X3,X4)
    | ~ esk791_4(X1,X2,X3,X4) )).

cnf(i_0_353,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk501_4(X1,X2,X3,X4)
    | ~ esk141_0 )).

cnf(i_0_354,axiom,
    ( esk441_4(X1,X2,X3,X4)
    | ~ esk442_4(X1,X2,X3,X4) )).

cnf(i_0_355,axiom,
    ( ~ esk426_4(X1,X2,X3,X4)
    | esk435_4(X1,X2,X3,X4) )).

cnf(i_0_356,axiom,
    ( esk803_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_357,axiom,
    ( esk978_4(X1,X2,X3,X4)
    | ~ esk977_4(X1,X2,X3,X4) )).

cnf(i_0_358,axiom,
    ( ~ esk339_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk16_0 )).

cnf(i_0_359,axiom,
    ( ~ esk619_4(X1,X2,X3,X4)
    | esk580_4(X1,X2,X3,X4)
    | esk223_0 )).

cnf(i_0_360,axiom,
    ( esk693_4(X1,X2,X3,X4)
    | ~ esk276_0
    | ~ p(X1) )).

cnf(i_0_361,axiom,
    ( ~ esk326_4(X1,X2,X3,X4)
    | esk330_4(X1,X2,X3,X4) )).

cnf(i_0_362,axiom,
    ( ~ esk673_4(X1,X2,X3,X4)
    | esk658_4(X1,X2,X3,X4)
    | esk659_4(X1,X2,X3,X4) )).

cnf(i_0_363,axiom,
    ( p(X1)
    | esk947_4(X1,X2,X3,X4) )).

cnf(i_0_364,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | esk891_4(X1,X2,X3,X4) )).

cnf(i_0_365,axiom,
    ( p(X4)
    | ~ esk598_4(X1,X2,X3,X4)
    | esk211_0 )).

cnf(i_0_366,axiom,
    ( p(X3)
    | ~ esk193_0
    | esk574_4(X1,X2,X3,X4) )).

cnf(i_0_367,axiom,
    ( ~ esk68_0
    | ~ p(X4)
    | esk403_4(X1,X2,X3,X4) )).

cnf(i_0_368,axiom,
    ( esk901_4(X1,X2,X3,X4)
    | ~ esk902_4(X1,X2,X3,X4) )).

cnf(i_0_369,axiom,
    ( ~ esk441_4(X1,X2,X3,X4)
    | esk433_4(X1,X2,X3,X4) )).

cnf(i_0_370,axiom,
    ( p(X2)
    | esk252_0
    | ~ esk658_4(X1,X2,X3,X4) )).

cnf(i_0_371,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk453_4(X1,X2,X3,X4)
    | esk108_0 )).

cnf(i_0_372,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk218_0
    | esk601_4(X1,X2,X3,X4) )).

cnf(i_0_373,axiom,
    ( ~ esk400_4(X1,X2,X3,X4)
    | esk61_0
    | p(X1) )).

cnf(i_0_374,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | esk236_0
    | ~ esk626_4(X1,X2,X3,X4) )).

cnf(i_0_375,axiom,
    ( ~ esk453_4(X1,X2,X3,X4)
    | esk465_4(X1,X2,X3,X4) )).

cnf(i_0_376,axiom,
    ( esk880_4(X1,X2,X3,X4)
    | ~ esk881_4(X1,X2,X3,X4) )).

cnf(i_0_377,axiom,
    ( esk620_4(X1,X2,X3,X4)
    | ~ esk272_0
    | esk668_4(X1,X2,X3,X4) )).

cnf(i_0_378,axiom,
    ( ~ esk524_4(X1,X2,X3,X4)
    | esk533_4(X1,X2,X3,X4) )).

cnf(i_0_379,axiom,
    ( esk608_4(X1,X2,X3,X4)
    | ~ esk597_4(X1,X2,X3,X4) )).

cnf(i_0_380,axiom,
    ( esk678_4(X1,X2,X3,X4)
    | ~ esk661_4(X1,X2,X3,X4) )).

cnf(i_0_381,axiom,
    ( esk640_4(X1,X2,X3,X4)
    | ~ esk634_4(X1,X2,X3,X4)
    | esk635_4(X1,X2,X3,X4) )).

cnf(i_0_382,axiom,
    ( p(X4)
    | esk964_4(X1,X2,X3,X4) )).

cnf(i_0_383,axiom,
    ( esk975_4(X1,X2,X3,X4)
    | ~ esk976_4(X1,X2,X3,X4)
    | ~ esk991_4(X1,X2,X3,X4) )).

cnf(i_0_384,axiom,
    ( esk820_4(X1,X2,X3,X4)
    | ~ esk824_4(X1,X2,X3,X4) )).

cnf(i_0_385,axiom,
    ( esk684_4(X1,X2,X3,X4)
    | esk663_4(X1,X2,X3,X4)
    | ~ esk682_4(X1,X2,X3,X4) )).

cnf(i_0_386,axiom,
    ( ~ p(X3)
    | esk450_4(X1,X2,X3,X4)
    | ~ esk102_0 )).

cnf(i_0_387,axiom,
    ( esk158_0
    | ~ p(X3)
    | ~ esk525_4(X1,X2,X3,X4) )).

cnf(i_0_388,axiom,
    ( esk394_4(X1,X2,X3,X4)
    | esk391_4(X1,X2,X3,X4)
    | ~ esk390_4(X1,X2,X3,X4) )).

cnf(i_0_389,axiom,
    ( ~ p(X3)
    | ~ esk950_4(X1,X2,X3,X4)
    | esk952_4(X1,X2,X3,X4) )).

cnf(i_0_390,axiom,
    ( ~ p(X1)
    | ~ esk82_0
    | esk425_4(X1,X2,X3,X4) )).

cnf(i_0_391,axiom,
    ( esk563_4(X1,X2,X3,X4)
    | ~ esk551_4(X1,X2,X3,X4) )).

cnf(i_0_392,axiom,
    ( esk326_4(X1,X2,X3,X4)
    | ~ esk330_4(X1,X2,X3,X4)
    | esk325_4(X1,X2,X3,X4) )).

cnf(i_0_393,axiom,
    ( ~ esk506_4(X1,X2,X3,X4)
    | esk505_4(X1,X2,X3,X4) )).

cnf(i_0_394,axiom,
    ( ~ esk190_0
    | ~ p(X1)
    | esk572_4(X1,X2,X3,X4) )).

cnf(i_0_395,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | esk274_0
    | esk669_4(X1,X2,X3,X4) )).

cnf(i_0_396,axiom,
    ( esk693_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk275_0 )).

cnf(i_0_397,axiom,
    ( p(X2)
    | ~ esk83_0
    | esk426_4(X1,X2,X3,X4) )).

cnf(i_0_398,axiom,
    ( ~ p(X4)
    | esk282_0
    | ~ esk696_4(X1,X2,X3,X4) )).

cnf(i_0_399,axiom,
    ( esk633_4(X1,X2,X3,X4)
    | ~ esk249_0
    | esk656_4(X1,X2,X3,X4) )).

cnf(i_0_400,axiom,
    ( ~ esk476_4(X1,X2,X3,X4)
    | esk122_0
    | ~ p(X3) )).

cnf(i_0_401,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk340_4(X1,X2,X3,X4)
    | ~ esk348_4(X1,X2,X3,X4) )).

cnf(i_0_402,axiom,
    ( ~ esk740_4(X1,X2,X3,X4)
    | esk323_0
    | ~ esk620_4(X1,X2,X3,X4) )).

cnf(i_0_403,axiom,
    ( esk348_4(X1,X2,X3,X4)
    | ~ esk20_0
    | ~ esk329_4(X1,X2,X3,X4) )).

cnf(i_0_404,axiom,
    ( p(X1)
    | ~ esk693_4(X1,X2,X3,X4)
    | esk275_0 )).

cnf(i_0_405,axiom,
    ( esk149_0
    | ~ esk520_4(X1,X2,X3,X4)
    | esk482_4(X1,X2,X3,X4) )).

cnf(i_0_406,axiom,
    ( esk742_4(X1,X2,X3,X4)
    | ~ esk748_4(X1,X2,X3,X4) )).

cnf(i_0_407,axiom,
    ( ~ esk1030_4(X1,X2,X3,X4)
    | esk1031_4(X1,X2,X3,X4) )).

cnf(i_0_408,axiom,
    ( esk687_4(X1,X2,X3,X4)
    | esk682_4(X1,X2,X3,X4)
    | ~ esk681_4(X1,X2,X3,X4) )).

cnf(i_0_409,axiom,
    ( ~ esk78_0
    | ~ esk404_4(X1,X2,X3,X4)
    | esk422_4(X1,X2,X3,X4) )).

cnf(i_0_410,axiom,
    ( ~ esk853_4(X1,X2,X3,X4)
    | esk851_4(X1,X2,X3,X4) )).

cnf(i_0_411,axiom,
    ( esk585_4(X1,X2,X3,X4)
    | esk582_4(X1,X2,X3,X4)
    | ~ esk581_4(X1,X2,X3,X4) )).

cnf(i_0_412,axiom,
    ( ~ esk931_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_413,axiom,
    ( ~ esk555_4(X1,X2,X3,X4)
    | esk554_4(X1,X2,X3,X4) )).

cnf(i_0_414,axiom,
    ( ~ p(X1)
    | esk772_4(X1,X2,X3,X4) )).

cnf(i_0_415,axiom,
    ( ~ p(X2)
    | esk622_4(X1,X2,X3,X4)
    | ~ esk228_0 )).

cnf(i_0_416,axiom,
    ( esk451_4(X1,X2,X3,X4)
    | ~ esk461_4(X1,X2,X3,X4)
    | esk450_4(X1,X2,X3,X4) )).

cnf(i_0_417,axiom,
    ( esk465_4(X1,X2,X3,X4)
    | ~ esk452_4(X1,X2,X3,X4) )).

cnf(i_0_418,axiom,
    ( ~ esk481_4(X1,X2,X3,X4)
    | esk494_4(X1,X2,X3,X4) )).

cnf(i_0_419,axiom,
    ( esk533_4(X1,X2,X3,X4)
    | ~ esk523_4(X1,X2,X3,X4) )).

cnf(i_0_420,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | esk550_4(X1,X2,X3,X4)
    | ~ esk178_0 )).

cnf(i_0_421,axiom,
    ( ~ esk329_4(X1,X2,X3,X4)
    | esk20_0
    | ~ esk348_4(X1,X2,X3,X4) )).

cnf(i_0_422,axiom,
    ( ~ esk1008_4(X1,X2,X3,X4)
    | esk1007_4(X1,X2,X3,X4)
    | ~ esk1015_4(X1,X2,X3,X4) )).

cnf(i_0_423,axiom,
    ( esk908_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_424,axiom,
    ( esk824_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_425,axiom,
    ( ~ esk522_4(X1,X2,X3,X4)
    | esk520_4(X1,X2,X3,X4)
    | esk505_4(X1,X2,X3,X4) )).

cnf(i_0_426,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | esk810_4(X1,X2,X3,X4) )).

cnf(i_0_427,axiom,
    ( ~ esk85_0
    | esk427_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_428,axiom,
    ( esk363_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk34_0 )).

cnf(i_0_429,axiom,
    ( esk857_4(X1,X2,X3,X4)
    | esk860_4(X1,X2,X3,X4)
    | ~ esk856_4(X1,X2,X3,X4) )).

cnf(i_0_430,axiom,
    ( ~ p(X2)
    | ~ esk968_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_431,axiom,
    ( ~ esk56_0
    | esk389_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_432,axiom,
    ( esk531_4(X1,X2,X3,X4)
    | ~ esk532_4(X1,X2,X3,X4) )).

cnf(i_0_433,axiom,
    ( ~ esk432_4(X1,X2,X3,X4)
    | esk445_4(X1,X2,X3,X4) )).

cnf(i_0_434,axiom,
    ( ~ esk1012_4(X1,X2,X3,X4)
    | ~ esk1009_4(X1,X2,X3,X4)
    | esk1008_4(X1,X2,X3,X4) )).

cnf(i_0_435,axiom,
    ( esk176_0
    | ~ esk549_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_436,axiom,
    ( esk964_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk962_4(X1,X2,X3,X4) )).

cnf(i_0_437,axiom,
    ( ~ esk1007_4(X1,X2,X3,X4)
    | esk1015_4(X1,X2,X3,X4) )).

cnf(i_0_438,axiom,
    ( esk64_0
    | ~ esk401_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_439,axiom,
    ( ~ esk505_4(X1,X2,X3,X4)
    | esk521_4(X1,X2,X3,X4)
    | ~ esk522_4(X1,X2,X3,X4) )).

cnf(i_0_440,axiom,
    ( ~ esk553_4(X1,X2,X3,X4)
    | esk566_4(X1,X2,X3,X4) )).

cnf(i_0_441,axiom,
    ( esk627_4(X1,X2,X3,X4)
    | ~ esk237_0
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_442,axiom,
    ( p(X1)
    | esk21_0
    | ~ esk350_4(X1,X2,X3,X4) )).

cnf(i_0_443,axiom,
    ( esk155_0
    | p(X2)
    | ~ esk524_4(X1,X2,X3,X4) )).

cnf(i_0_444,axiom,
    ( ~ esk162_0
    | esk527_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_445,axiom,
    ( esk134_0
    | ~ esk497_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_446,axiom,
    ( ~ esk657_4(X1,X2,X3,X4)
    | p(X1)
    | esk250_0 )).

cnf(i_0_447,axiom,
    ( esk264_0
    | ~ esk664_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_448,axiom,
    ( ~ esk109_0
    | esk454_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_449,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | esk198_0
    | ~ esk576_4(X1,X2,X3,X4) )).

cnf(i_0_450,axiom,
    ( esk717_4(X1,X2,X3,X4)
    | ~ esk718_4(X1,X2,X3,X4) )).

cnf(i_0_451,axiom,
    ( esk529_4(X1,X2,X3,X4)
    | ~ esk166_0
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_452,axiom,
    ( ~ esk577_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4)
    | esk199_0 )).

cnf(i_0_453,axiom,
    ( ~ p(X2)
    | esk902_4(X1,X2,X3,X4) )).

cnf(i_0_454,axiom,
    ( esk659_4(X1,X2,X3,X4)
    | ~ esk255_0
    | ~ p(X3) )).

cnf(i_0_455,axiom,
    ( esk121_0
    | p(X3)
    | ~ esk476_4(X1,X2,X3,X4) )).

cnf(i_0_456,axiom,
    ( ~ esk697_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | esk284_0 )).

cnf(i_0_457,axiom,
    ( ~ esk302_0
    | p(X2)
    | esk730_4(X1,X2,X3,X4) )).

cnf(i_0_458,axiom,
    ( ~ esk829_4(X1,X2,X3,X4)
    | esk728_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_459,axiom,
    ( ~ esk227_0
    | esk622_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_460,axiom,
    ( esk536_4(X1,X2,X3,X4)
    | ~ esk526_4(X1,X2,X3,X4) )).

cnf(i_0_461,axiom,
    ( esk920_4(X1,X2,X3,X4)
    | ~ esk922_4(X1,X2,X3,X4) )).

cnf(i_0_462,axiom,
    ( esk514_4(X1,X2,X3,X4)
    | ~ esk502_4(X1,X2,X3,X4) )).

cnf(i_0_463,axiom,
    ( ~ p(X4)
    | esk598_4(X1,X2,X3,X4)
    | ~ esk212_0 )).

cnf(i_0_464,axiom,
    ( ~ p(X2)
    | ~ esk596_4(X1,X2,X3,X4)
    | esk208_0 )).

cnf(i_0_465,axiom,
    ( ~ esk764_4(X1,X2,X3,X4)
    | esk796_4(X1,X2,X3,X4) )).

cnf(i_0_466,axiom,
    ( ~ esk250_0
    | p(X1)
    | esk657_4(X1,X2,X3,X4) )).

cnf(i_0_467,axiom,
    ( ~ esk880_4(X1,X2,X3,X4)
    | esk881_4(X1,X2,X3,X4)
    | esk884_4(X1,X2,X3,X4) )).

cnf(i_0_468,axiom,
    ( esk380_4(X1,X2,X3,X4)
    | ~ esk379_4(X1,X2,X3,X4)
    | esk383_4(X1,X2,X3,X4) )).

cnf(i_0_469,axiom,
    ( ~ esk817_4(X1,X2,X3,X4)
    | esk813_4(X1,X2,X3,X4) )).

cnf(i_0_470,axiom,
    ( esk800_4(X1,X2,X3,X4)
    | ~ esk799_4(X1,X2,X3,X4)
    | esk803_4(X1,X2,X3,X4) )).

cnf(i_0_471,axiom,
    ( ~ p(X2)
    | ~ esk253_0
    | esk658_4(X1,X2,X3,X4) )).

cnf(i_0_472,axiom,
    ( esk520_4(X1,X2,X3,X4)
    | esk482_4(X1,X2,X3,X4)
    | ~ esk149_0 )).

cnf(i_0_473,axiom,
    ( esk449_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk99_0 )).

cnf(i_0_474,axiom,
    ( esk92_0
    | ~ esk430_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_475,axiom,
    ( p(X2)
    | ~ esk783_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_476,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | ~ esk905_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_477,axiom,
    ( esk79_0
    | esk404_4(X1,X2,X3,X4)
    | ~ esk423_4(X1,X2,X3,X4) )).

cnf(i_0_478,axiom,
    ( esk592_4(X1,X2,X3,X4)
    | esk589_4(X1,X2,X3,X4)
    | ~ esk588_4(X1,X2,X3,X4) )).

cnf(i_0_479,axiom,
    ( esk269_0
    | ~ esk522_4(X1,X2,X3,X4)
    | ~ esk666_4(X1,X2,X3,X4) )).

cnf(i_0_480,axiom,
    ( esk314_0
    | ~ esk736_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_481,axiom,
    ( ~ p(X2)
    | esk596_4(X1,X2,X3,X4)
    | ~ esk208_0 )).

cnf(i_0_482,axiom,
    ( esk352_4(X1,X2,X3,X4)
    | ~ esk26_0
    | ~ p(X3) )).

cnf(i_0_483,axiom,
    ( esk731_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk304_0 )).

cnf(i_0_484,axiom,
    ( esk93_0
    | esk399_4(X1,X2,X3,X4)
    | ~ esk431_4(X1,X2,X3,X4) )).

cnf(i_0_485,axiom,
    ( ~ p(X4)
    | esk88_0
    | ~ esk428_4(X1,X2,X3,X4) )).

cnf(i_0_486,axiom,
    ( ~ esk450_4(X1,X2,X3,X4)
    | esk101_0
    | p(X3) )).

cnf(i_0_487,axiom,
    ( ~ esk974_4(X1,X2,X3,X4)
    | esk975_4(X1,X2,X3,X4) )).

cnf(i_0_488,axiom,
    ( ~ esk455_4(X1,X2,X3,X4)
    | esk111_0
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_489,axiom,
    ( esk203_0
    | ~ esk579_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_490,axiom,
    ( ~ esk468_4(X1,X2,X3,X4)
    | esk454_4(X1,X2,X3,X4)
    | esk455_4(X1,X2,X3,X4) )).

cnf(i_0_491,axiom,
    ( ~ esk390_4(X1,X2,X3,X4)
    | esk398_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_492,axiom,
    ( esk1003_4(X1,X2,X3,X4)
    | ~ esk999_4(X1,X2,X3,X4) )).

cnf(i_0_493,axiom,
    ( ~ esk425_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk82_0 )).

cnf(i_0_494,axiom,
    ( p(X3)
    | esk841_4(X1,X2,X3,X4)
    | ~ esk839_4(X1,X2,X3,X4) )).

cnf(i_0_495,axiom,
    ( esk322_0
    | esk620_4(X1,X2,X3,X4)
    | ~ esk740_4(X1,X2,X3,X4) )).

cnf(i_0_496,axiom,
    ( ~ esk531_4(X1,X2,X3,X4)
    | esk188_0
    | ~ esk570_4(X1,X2,X3,X4) )).

cnf(i_0_497,axiom,
    ( esk405_4(X1,X2,X3,X4)
    | ~ esk401_4(X1,X2,X3,X4) )).

cnf(i_0_498,axiom,
    ( ~ esk1000_4(X1,X2,X3,X4)
    | esk844_4(X1,X2,X3,X4) )).

cnf(i_0_499,axiom,
    ( ~ esk779_4(X1,X2,X3,X4)
    | ~ esk764_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_500,axiom,
    ( ~ p(X4)
    | esk451_4(X1,X2,X3,X4)
    | ~ esk104_0 )).

cnf(i_0_501,axiom,
    ( ~ p(X4)
    | ~ esk76_0
    | esk414_4(X1,X2,X3,X4) )).

cnf(i_0_502,axiom,
    ( ~ esk814_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_503,axiom,
    ( esk391_4(X1,X2,X3,X4)
    | ~ esk387_4(X1,X2,X3,X4) )).

cnf(i_0_504,axiom,
    ( ~ esk984_4(X1,X2,X3,X4)
    | esk985_4(X1,X2,X3,X4) )).

cnf(i_0_505,axiom,
    ( ~ esk646_4(X1,X2,X3,X4)
    | esk645_4(X1,X2,X3,X4) )).

cnf(i_0_506,axiom,
    ( esk761_4(X1,X2,X3,X4)
    | ~ esk739_4(X1,X2,X3,X4) )).

cnf(i_0_507,axiom,
    ( ~ esk734_4(X1,X2,X3,X4)
    | esk310_0
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_508,axiom,
    ( ~ esk100_0
    | ~ p(X2)
    | esk449_4(X1,X2,X3,X4) )).

cnf(i_0_509,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk183_0
    | esk553_4(X1,X2,X3,X4) )).

cnf(i_0_510,axiom,
    ( esk894_4(X1,X2,X3,X4)
    | ~ esk895_4(X1,X2,X3,X4) )).

cnf(i_0_511,axiom,
    ( ~ esk451_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk104_0 )).

cnf(i_0_512,axiom,
    ( p(X4)
    | ~ esk428_4(X1,X2,X3,X4)
    | esk87_0 )).

cnf(i_0_513,axiom,
    ( ~ p(X4)
    | esk779_4(X1,X2,X3,X4) )).

cnf(i_0_514,axiom,
    ( esk480_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4)
    | ~ esk129_0 )).

cnf(i_0_515,axiom,
    ( ~ esk589_4(X1,X2,X3,X4)
    | esk588_4(X1,X2,X3,X4) )).

cnf(i_0_516,axiom,
    ( ~ esk628_4(X1,X2,X3,X4)
    | esk648_4(X1,X2,X3,X4) )).

cnf(i_0_517,axiom,
    ( ~ p(X1)
    | esk833_4(X1,X2,X3,X4) )).

cnf(i_0_518,axiom,
    ( ~ esk669_4(X1,X2,X3,X4)
    | ~ esk274_0
    | ~ esk692_4(X1,X2,X3,X4) )).

cnf(i_0_519,axiom,
    ( esk76_0
    | ~ esk414_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_520,axiom,
    ( esk759_4(X1,X2,X3,X4)
    | esk754_4(X1,X2,X3,X4)
    | ~ esk753_4(X1,X2,X3,X4) )).

cnf(i_0_521,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk502_4(X1,X2,X3,X4)
    | esk143_0 )).

cnf(i_0_522,axiom,
    ( esk268_0
    | ~ esk666_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4) )).

cnf(i_0_523,axiom,
    ( esk40_0
    | ~ esk373_4(X1,X2,X3,X4)
    | ~ esk354_4(X1,X2,X3,X4) )).

cnf(i_0_524,axiom,
    ( esk464_4(X1,X2,X3,X4)
    | ~ esk465_4(X1,X2,X3,X4) )).

cnf(i_0_525,axiom,
    ( esk326_4(X1,X2,X3,X4)
    | ~ esk4_0
    | ~ p(X2) )).

cnf(i_0_526,axiom,
    ( ~ p(X4)
    | esk428_4(X1,X2,X3,X4)
    | ~ esk88_0 )).

cnf(i_0_527,axiom,
    ( ~ esk1009_4(X1,X2,X3,X4)
    | esk868_4(X1,X2,X3,X4) )).

cnf(i_0_528,axiom,
    ( ~ esk482_4(X1,X2,X3,X4)
    | esk490_4(X1,X2,X3,X4)
    | esk483_4(X1,X2,X3,X4) )).

cnf(i_0_529,axiom,
    ( esk506_4(X1,X2,X3,X4)
    | esk513_4(X1,X2,X3,X4)
    | ~ esk505_4(X1,X2,X3,X4) )).

cnf(i_0_530,axiom,
    ( esk827_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_531,axiom,
    ( ~ esk959_4(X1,X2,X3,X4)
    | esk955_4(X1,X2,X3,X4) )).

cnf(i_0_532,axiom,
    ( ~ esk703_4(X1,X2,X3,X4)
    | esk725_4(X1,X2,X3,X4) )).

cnf(i_0_533,axiom,
    ( esk662_4(X1,X2,X3,X4)
    | ~ esk260_0
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_534,axiom,
    ( esk764_4(X1,X2,X3,X4)
    | esk779_4(X1,X2,X3,X4) )).

cnf(i_0_535,axiom,
    ( ~ esk660_4(X1,X2,X3,X4)
    | esk676_4(X1,X2,X3,X4) )).

cnf(i_0_536,axiom,
    ( ~ esk705_4(X1,X2,X3,X4)
    | ~ esk299_0
    | ~ esk728_4(X1,X2,X3,X4) )).

cnf(i_0_537,axiom,
    ( ~ esk90_0
    | esk429_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_538,axiom,
    ( esk618_4(X1,X2,X3,X4)
    | ~ esk580_4(X1,X2,X3,X4)
    | ~ esk222_0 )).

cnf(i_0_539,axiom,
    ( ~ esk648_4(X1,X2,X3,X4)
    | esk628_4(X1,X2,X3,X4)
    | esk629_4(X1,X2,X3,X4) )).

cnf(i_0_540,axiom,
    ( esk600_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4)
    | ~ esk216_0 )).

cnf(i_0_541,axiom,
    ( esk263_0
    | ~ esk399_4(X1,X2,X3,X4)
    | ~ esk663_4(X1,X2,X3,X4) )).

cnf(i_0_542,axiom,
    ( ~ esk358_4(X1,X2,X3,X4)
    | esk352_4(X1,X2,X3,X4)
    | esk353_4(X1,X2,X3,X4) )).

cnf(i_0_543,axiom,
    ( p(X2)
    | esk498_4(X1,X2,X3,X4)
    | ~ esk135_0 )).

cnf(i_0_544,axiom,
    ( ~ p(X1)
    | esk807_4(X1,X2,X3,X4) )).

cnf(i_0_545,axiom,
    ( esk814_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_546,axiom,
    ( p(X4)
    | esk414_4(X1,X2,X3,X4)
    | ~ esk75_0 )).

cnf(i_0_547,axiom,
    ( ~ esk54_0
    | esk388_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_548,axiom,
    ( ~ esk84_0
    | esk426_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_549,axiom,
    ( ~ esk988_4(X1,X2,X3,X4)
    | esk806_4(X1,X2,X3,X4) )).

cnf(i_0_550,axiom,
    ( ~ esk543_4(X1,X2,X3,X4)
    | esk539_4(X1,X2,X3,X4) )).

cnf(i_0_551,axiom,
    ( ~ esk319_0
    | esk738_4(X1,X2,X3,X4)
    | ~ esk522_4(X1,X2,X3,X4) )).

cnf(i_0_552,axiom,
    ( ~ esk844_4(X1,X2,X3,X4)
    | esk845_4(X1,X2,X3,X4)
    | esk848_4(X1,X2,X3,X4) )).

cnf(i_0_553,axiom,
    ( p(X2)
    | esk968_4(X1,X2,X3,X4) )).

cnf(i_0_554,axiom,
    ( ~ esk735_4(X1,X2,X3,X4)
    | esk754_4(X1,X2,X3,X4) )).

cnf(i_0_555,axiom,
    ( esk502_4(X1,X2,X3,X4)
    | ~ esk514_4(X1,X2,X3,X4)
    | esk501_4(X1,X2,X3,X4) )).

cnf(i_0_556,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | esk501_4(X1,X2,X3,X4)
    | ~ esk142_0 )).

cnf(i_0_557,axiom,
    ( esk725_4(X1,X2,X3,X4)
    | ~ esk704_4(X1,X2,X3,X4) )).

cnf(i_0_558,axiom,
    ( esk766_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_559,axiom,
    ( esk38_0
    | ~ esk372_4(X1,X2,X3,X4)
    | ~ esk354_4(X1,X2,X3,X4) )).

cnf(i_0_560,axiom,
    ( ~ esk996_4(X1,X2,X3,X4)
    | esk992_4(X1,X2,X3,X4)
    | ~ esk993_4(X1,X2,X3,X4) )).

cnf(i_0_561,axiom,
    ( esk653_4(X1,X2,X3,X4)
    | ~ esk632_4(X1,X2,X3,X4) )).

cnf(i_0_562,axiom,
    ( esk681_4(X1,X2,X3,X4)
    | ~ esk669_4(X1,X2,X3,X4)
    | esk670_4(X1,X2,X3,X4) )).

cnf(i_0_563,axiom,
    ( ~ esk118_0
    | ~ p(X1)
    | esk474_4(X1,X2,X3,X4) )).

cnf(i_0_564,axiom,
    ( ~ esk484_4(X1,X2,X3,X4)
    | esk475_4(X1,X2,X3,X4)
    | esk474_4(X1,X2,X3,X4) )).

cnf(i_0_565,axiom,
    ( ~ esk15_0
    | p(X4)
    | esk339_4(X1,X2,X3,X4) )).

cnf(i_0_566,axiom,
    ( esk661_4(X1,X2,X3,X4)
    | ~ esk258_0
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_567,axiom,
    ( esk43_0
    | ~ esk376_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_568,axiom,
    ( ~ esk573_4(X1,X2,X3,X4)
    | esk582_4(X1,X2,X3,X4) )).

cnf(i_0_569,axiom,
    ( esk522_4(X1,X2,X3,X4)
    | ~ esk268_0
    | esk666_4(X1,X2,X3,X4) )).

cnf(i_0_570,axiom,
    ( p(X2)
    | esk956_4(X1,X2,X3,X4) )).

cnf(i_0_571,axiom,
    ( esk524_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk155_0 )).

cnf(i_0_572,axiom,
    ( ~ esk254_0
    | p(X3)
    | esk659_4(X1,X2,X3,X4) )).

cnf(i_0_573,axiom,
    ( esk510_4(X1,X2,X3,X4)
    | ~ esk499_4(X1,X2,X3,X4) )).

cnf(i_0_574,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk807_4(X1,X2,X3,X4) )).

cnf(i_0_575,axiom,
    ( esk355_4(X1,X2,X3,X4)
    | ~ esk350_4(X1,X2,X3,X4) )).

cnf(i_0_576,axiom,
    ( ~ p(X3)
    | esk884_4(X1,X2,X3,X4) )).

cnf(i_0_577,axiom,
    ( ~ p(X4)
    | esk728_4(X1,X2,X3,X4)
    | ~ esk964_4(X1,X2,X3,X4) )).

cnf(i_0_578,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | ~ esk504_4(X1,X2,X3,X4)
    | esk148_0 )).

cnf(i_0_579,axiom,
    ( esk914_4(X1,X2,X3,X4)
    | ~ esk913_4(X1,X2,X3,X4)
    | esk917_4(X1,X2,X3,X4) )).

cnf(i_0_580,axiom,
    ( esk596_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk207_0 )).

cnf(i_0_581,axiom,
    ( p(X4)
    | esk195_0
    | ~ esk575_4(X1,X2,X3,X4) )).

cnf(i_0_582,axiom,
    ( esk100_0
    | ~ p(X2)
    | ~ esk449_4(X1,X2,X3,X4) )).

cnf(i_0_583,axiom,
    ( esk353_4(X1,X2,X3,X4)
    | ~ esk28_0
    | ~ p(X4) )).

cnf(i_0_584,axiom,
    ( p(X1)
    | ~ esk41_0
    | esk375_4(X1,X2,X3,X4) )).

cnf(i_0_585,axiom,
    ( p(X1)
    | esk400_4(X1,X2,X3,X4)
    | ~ esk61_0 )).

cnf(i_0_586,axiom,
    ( ~ esk981_4(X1,X2,X3,X4)
    | esk777_4(X1,X2,X3,X4) )).

cnf(i_0_587,axiom,
    ( ~ esk427_4(X1,X2,X3,X4)
    | esk438_4(X1,X2,X3,X4) )).

cnf(i_0_588,axiom,
    ( esk480_4(X1,X2,X3,X4)
    | ~ esk494_4(X1,X2,X3,X4)
    | esk481_4(X1,X2,X3,X4) )).

cnf(i_0_589,axiom,
    ( esk848_4(X1,X2,X3,X4)
    | esk656_4(X1,X2,X3,X4) )).

cnf(i_0_590,axiom,
    ( ~ esk383_4(X1,X2,X3,X4)
    | esk378_4(X1,X2,X3,X4)
    | esk377_4(X1,X2,X3,X4) )).

cnf(i_0_591,axiom,
    ( esk663_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4)
    | ~ esk263_0 )).

cnf(i_0_592,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk504_4(X1,X2,X3,X4)
    | esk147_0 )).

cnf(i_0_593,axiom,
    ( esk800_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_594,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk182_0
    | esk552_4(X1,X2,X3,X4) )).

cnf(i_0_595,axiom,
    ( esk971_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_596,axiom,
    ( ~ esk810_4(X1,X2,X3,X4)
    | esk806_4(X1,X2,X3,X4) )).

cnf(i_0_597,axiom,
    ( ~ esk548_4(X1,X2,X3,X4)
    | esk174_0
    | ~ p(X3) )).

cnf(i_0_598,axiom,
    ( p(X2)
    | esk31_0
    | ~ esk362_4(X1,X2,X3,X4) )).

cnf(i_0_599,axiom,
    ( ~ esk559_4(X1,X2,X3,X4)
    | esk549_4(X1,X2,X3,X4)
    | esk548_4(X1,X2,X3,X4) )).

cnf(i_0_600,axiom,
    ( ~ esk412_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk72_0 )).

cnf(i_0_601,axiom,
    ( esk1027_4(X1,X2,X3,X4)
    | ~ esk1023_4(X1,X2,X3,X4) )).

cnf(i_0_602,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk105_0
    | ~ esk452_4(X1,X2,X3,X4) )).

cnf(i_0_603,axiom,
    ( ~ esk475_4(X1,X2,X3,X4)
    | esk484_4(X1,X2,X3,X4) )).

cnf(i_0_604,axiom,
    ( ~ esk1009_4(X1,X2,X3,X4)
    | esk863_4(X1,X2,X3,X4) )).

cnf(i_0_605,axiom,
    ( esk430_4(X1,X2,X3,X4)
    | ~ esk92_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_606,axiom,
    ( ~ p(X4)
    | esk364_4(X1,X2,X3,X4)
    | ~ esk36_0 )).

cnf(i_0_607,axiom,
    ( esk873_4(X1,X2,X3,X4)
    | ~ esk877_4(X1,X2,X3,X4) )).

cnf(i_0_608,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk877_4(X1,X2,X3,X4) )).

cnf(i_0_609,axiom,
    ( p(X1)
    | esk189_0
    | ~ esk572_4(X1,X2,X3,X4) )).

cnf(i_0_610,axiom,
    ( p(X3)
    | ~ esk229_0
    | esk623_4(X1,X2,X3,X4) )).

cnf(i_0_611,axiom,
    ( ~ esk714_4(X1,X2,X3,X4)
    | esk697_4(X1,X2,X3,X4)
    | esk698_4(X1,X2,X3,X4) )).

cnf(i_0_612,axiom,
    ( ~ esk1031_4(X1,X2,X3,X4)
    | esk937_4(X1,X2,X3,X4) )).

cnf(i_0_613,axiom,
    ( esk920_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_614,axiom,
    ( ~ esk1003_4(X1,X2,X3,X4)
    | ~ esk1000_4(X1,X2,X3,X4)
    | esk999_4(X1,X2,X3,X4) )).

cnf(i_0_615,axiom,
    ( esk39_0
    | ~ esk373_4(X1,X2,X3,X4)
    | esk354_4(X1,X2,X3,X4) )).

cnf(i_0_616,axiom,
    ( esk507_4(X1,X2,X3,X4)
    | ~ esk497_4(X1,X2,X3,X4) )).

cnf(i_0_617,axiom,
    ( esk820_4(X1,X2,X3,X4)
    | ~ esk821_4(X1,X2,X3,X4) )).

cnf(i_0_618,axiom,
    ( esk476_4(X1,X2,X3,X4)
    | ~ esk121_0
    | p(X3) )).

cnf(i_0_619,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | ~ esk664_4(X1,X2,X3,X4)
    | esk265_0 )).

cnf(i_0_620,axiom,
    ( esk150_0
    | ~ esk520_4(X1,X2,X3,X4)
    | ~ esk482_4(X1,X2,X3,X4) )).

cnf(i_0_621,axiom,
    ( p(X4)
    | ~ esk35_0
    | esk364_4(X1,X2,X3,X4) )).

cnf(i_0_622,axiom,
    ( esk325_4(X1,X2,X3,X4)
    | ~ esk2_0
    | ~ p(X1) )).

cnf(i_0_623,axiom,
    ( ~ esk999_4(X1,X2,X3,X4)
    | ~ esk992_4(X1,X2,X3,X4)
    | esk991_4(X1,X2,X3,X4) )).

cnf(i_0_624,axiom,
    ( esk394_4(X1,X2,X3,X4)
    | ~ esk389_4(X1,X2,X3,X4) )).

cnf(i_0_625,axiom,
    ( esk456_4(X1,X2,X3,X4)
    | ~ esk473_4(X1,X2,X3,X4)
    | esk471_4(X1,X2,X3,X4) )).

cnf(i_0_626,axiom,
    ( ~ esk740_4(X1,X2,X3,X4)
    | esk761_4(X1,X2,X3,X4) )).

cnf(i_0_627,axiom,
    ( esk684_4(X1,X2,X3,X4)
    | ~ esk665_4(X1,X2,X3,X4) )).

cnf(i_0_628,axiom,
    ( esk415_4(X1,X2,X3,X4)
    | ~ esk416_4(X1,X2,X3,X4) )).

cnf(i_0_629,axiom,
    ( ~ esk750_4(X1,X2,X3,X4)
    | esk748_4(X1,X2,X3,X4) )).

cnf(i_0_630,axiom,
    ( p(X1)
    | esk914_4(X1,X2,X3,X4) )).

cnf(i_0_631,axiom,
    ( esk884_4(X1,X2,X3,X4)
    | esk656_4(X1,X2,X3,X4) )).

cnf(i_0_632,axiom,
    ( p(X4)
    | esk549_4(X1,X2,X3,X4)
    | ~ esk175_0 )).

cnf(i_0_633,axiom,
    ( ~ esk550_4(X1,X2,X3,X4)
    | esk178_0
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_634,axiom,
    ( ~ esk728_4(X1,X2,X3,X4)
    | esk829_4(X1,X2,X3,X4) )).

cnf(i_0_635,axiom,
    ( ~ p(X1)
    | ~ esk325_4(X1,X2,X3,X4)
    | esk2_0 )).

cnf(i_0_636,axiom,
    ( esk213_0
    | ~ esk599_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_637,axiom,
    ( esk146_0
    | ~ esk503_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_638,axiom,
    ( ~ esk328_4(X1,X2,X3,X4)
    | p(X4)
    | esk7_0 )).

cnf(i_0_639,axiom,
    ( esk732_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk306_0 )).

cnf(i_0_640,axiom,
    ( ~ esk774_4(X1,X2,X3,X4)
    | esk772_4(X1,X2,X3,X4) )).

cnf(i_0_641,axiom,
    ( ~ p(X2)
    | ~ esk658_4(X1,X2,X3,X4)
    | esk253_0 )).

cnf(i_0_642,axiom,
    ( esk442_4(X1,X2,X3,X4)
    | esk445_4(X1,X2,X3,X4)
    | ~ esk441_4(X1,X2,X3,X4) )).

cnf(i_0_643,axiom,
    ( ~ esk725_4(X1,X2,X3,X4)
    | esk723_4(X1,X2,X3,X4) )).

cnf(i_0_644,axiom,
    ( ~ esk531_4(X1,X2,X3,X4)
    | esk570_4(X1,X2,X3,X4)
    | ~ esk188_0 )).

cnf(i_0_645,axiom,
    ( esk75_0
    | ~ esk414_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_646,axiom,
    ( p(X2)
    | esk845_4(X1,X2,X3,X4) )).

cnf(i_0_647,axiom,
    ( esk905_4(X1,X2,X3,X4)
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_648,axiom,
    ( esk914_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_649,axiom,
    ( esk699_4(X1,X2,X3,X4)
    | ~ esk287_0
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_650,axiom,
    ( esk695_4(X1,X2,X3,X4)
    | ~ esk279_0
    | p(X3) )).

cnf(i_0_651,axiom,
    ( esk704_4(X1,X2,X3,X4)
    | ~ esk297_0
    | esk620_4(X1,X2,X3,X4) )).

cnf(i_0_652,axiom,
    ( ~ esk402_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk66_0 )).

cnf(i_0_653,axiom,
    ( esk807_4(X1,X2,X3,X4)
    | esk810_4(X1,X2,X3,X4)
    | ~ esk806_4(X1,X2,X3,X4) )).

cnf(i_0_654,axiom,
    ( ~ esk1036_4(X1,X2,X3,X4)
    | esk962_4(X1,X2,X3,X4) )).

cnf(i_0_655,axiom,
    ( ~ esk523_4(X1,X2,X3,X4)
    | esk154_0
    | ~ p(X1) )).

cnf(i_0_656,axiom,
    ( esk764_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk796_4(X1,X2,X3,X4) )).

cnf(i_0_657,axiom,
    ( esk433_4(X1,X2,X3,X4)
    | ~ esk472_4(X1,X2,X3,X4)
    | esk115_0 )).

cnf(i_0_658,axiom,
    ( esk1000_4(X1,X2,X3,X4)
    | ~ esk839_4(X1,X2,X3,X4)
    | ~ esk844_4(X1,X2,X3,X4) )).

cnf(i_0_659,axiom,
    ( ~ esk577_4(X1,X2,X3,X4)
    | esk200_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_660,axiom,
    ( ~ esk337_4(X1,X2,X3,X4)
    | esk11_0
    | p(X2) )).

cnf(i_0_661,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk529_4(X1,X2,X3,X4)
    | ~ esk165_0 )).

cnf(i_0_662,axiom,
    ( esk865_4(X1,X2,X3,X4)
    | ~ esk863_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_663,axiom,
    ( ~ esk365_4(X1,X2,X3,X4)
    | esk373_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_664,axiom,
    ( ~ esk646_4(X1,X2,X3,X4)
    | esk648_4(X1,X2,X3,X4)
    | esk627_4(X1,X2,X3,X4) )).

cnf(i_0_665,axiom,
    ( ~ esk662_4(X1,X2,X3,X4)
    | esk678_4(X1,X2,X3,X4) )).

cnf(i_0_666,axiom,
    ( esk473_4(X1,X2,X3,X4)
    | ~ esk316_0
    | esk737_4(X1,X2,X3,X4) )).

cnf(i_0_667,axiom,
    ( esk242_0
    | ~ esk473_4(X1,X2,X3,X4)
    | ~ esk629_4(X1,X2,X3,X4) )).

cnf(i_0_668,axiom,
    ( ~ esk500_4(X1,X2,X3,X4)
    | esk510_4(X1,X2,X3,X4) )).

cnf(i_0_669,axiom,
    ( ~ p(X2)
    | esk573_4(X1,X2,X3,X4)
    | ~ esk192_0 )).

cnf(i_0_670,axiom,
    ( ~ esk764_4(X1,X2,X3,X4)
    | ~ esk927_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_671,axiom,
    ( p(X3)
    | ~ esk548_4(X1,X2,X3,X4)
    | esk173_0 )).

cnf(i_0_672,axiom,
    ( ~ esk497_4(X1,X2,X3,X4)
    | p(X1)
    | esk133_0 )).

cnf(i_0_673,axiom,
    ( ~ esk416_4(X1,X2,X3,X4)
    | esk412_4(X1,X2,X3,X4)
    | esk411_4(X1,X2,X3,X4) )).

cnf(i_0_674,axiom,
    ( ~ p(X2)
    | esk4_0
    | ~ esk326_4(X1,X2,X3,X4) )).

cnf(i_0_675,axiom,
    ( ~ esk637_4(X1,X2,X3,X4)
    | esk622_4(X1,X2,X3,X4)
    | esk623_4(X1,X2,X3,X4) )).

cnf(i_0_676,axiom,
    ( ~ p(X1)
    | esk448_4(X1,X2,X3,X4)
    | ~ esk98_0 )).

cnf(i_0_677,axiom,
    ( esk605_4(X1,X2,X3,X4)
    | ~ esk596_4(X1,X2,X3,X4) )).

cnf(i_0_678,axiom,
    ( ~ esk621_4(X1,X2,X3,X4)
    | p(X1)
    | esk225_0 )).

cnf(i_0_679,axiom,
    ( esk522_4(X1,X2,X3,X4)
    | ~ esk630_4(X1,X2,X3,X4)
    | esk243_0 )).

cnf(i_0_680,axiom,
    ( ~ esk1006_4(X1,X2,X3,X4)
    | esk1007_4(X1,X2,X3,X4) )).

cnf(i_0_681,axiom,
    ( p(X1)
    | esk169_0
    | ~ esk546_4(X1,X2,X3,X4) )).

cnf(i_0_682,axiom,
    ( esk793_4(X1,X2,X3,X4)
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_683,axiom,
    ( ~ esk559_4(X1,X2,X3,X4)
    | esk555_4(X1,X2,X3,X4) )).

cnf(i_0_684,axiom,
    ( esk891_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_685,axiom,
    ( ~ esk943_4(X1,X2,X3,X4)
    | esk941_4(X1,X2,X3,X4) )).

cnf(i_0_686,axiom,
    ( esk605_4(X1,X2,X3,X4)
    | ~ esk595_4(X1,X2,X3,X4) )).

cnf(i_0_687,axiom,
    ( esk300_0
    | ~ esk729_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_688,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk502_4(X1,X2,X3,X4)
    | ~ esk143_0 )).

cnf(i_0_689,axiom,
    ( ~ esk394_4(X1,X2,X3,X4)
    | esk388_4(X1,X2,X3,X4)
    | esk389_4(X1,X2,X3,X4) )).

cnf(i_0_690,axiom,
    ( ~ esk270_0
    | esk571_4(X1,X2,X3,X4)
    | esk667_4(X1,X2,X3,X4) )).

cnf(i_0_691,axiom,
    ( ~ esk701_4(X1,X2,X3,X4)
    | esk291_0
    | esk473_4(X1,X2,X3,X4) )).

cnf(i_0_692,axiom,
    ( ~ esk529_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4)
    | esk165_0 )).

cnf(i_0_693,axiom,
    ( esk455_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4)
    | ~ esk111_0 )).

cnf(i_0_694,axiom,
    ( ~ esk39_0
    | esk354_4(X1,X2,X3,X4)
    | esk373_4(X1,X2,X3,X4) )).

cnf(i_0_695,axiom,
    ( ~ esk571_4(X1,X2,X3,X4)
    | esk554_4(X1,X2,X3,X4)
    | esk569_4(X1,X2,X3,X4) )).

cnf(i_0_696,axiom,
    ( ~ esk173_0
    | esk548_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_697,axiom,
    ( p(X1)
    | esk874_4(X1,X2,X3,X4) )).

cnf(i_0_698,axiom,
    ( esk415_4(X1,X2,X3,X4)
    | ~ esk419_4(X1,X2,X3,X4) )).

cnf(i_0_699,axiom,
    ( ~ esk372_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4)
    | esk365_4(X1,X2,X3,X4) )).

cnf(i_0_700,axiom,
    ( esk549_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk176_0 )).

cnf(i_0_701,axiom,
    ( esk764_4(X1,X2,X3,X4)
    | esk870_4(X1,X2,X3,X4) )).

cnf(i_0_702,axiom,
    ( p(X3)
    | ~ esk803_4(X1,X2,X3,X4)
    | ~ esk692_4(X1,X2,X3,X4) )).

cnf(i_0_703,axiom,
    ( esk865_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_704,axiom,
    ( ~ esk413_4(X1,X2,X3,X4)
    | esk73_0
    | p(X3) )).

cnf(i_0_705,axiom,
    ( ~ esk732_4(X1,X2,X3,X4)
    | esk307_0
    | ~ p(X4) )).

cnf(i_0_706,axiom,
    ( ~ esk582_4(X1,X2,X3,X4)
    | esk581_4(X1,X2,X3,X4) )).

cnf(i_0_707,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | ~ esk669_4(X1,X2,X3,X4)
    | esk274_0 )).

cnf(i_0_708,axiom,
    ( esk372_4(X1,X2,X3,X4)
    | esk354_4(X1,X2,X3,X4)
    | ~ esk37_0 )).

cnf(i_0_709,axiom,
    ( ~ esk661_4(X1,X2,X3,X4)
    | esk259_0
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_710,axiom,
    ( esk579_4(X1,X2,X3,X4)
    | ~ esk203_0
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_711,axiom,
    ( p(X3)
    | ~ esk402_4(X1,X2,X3,X4)
    | esk65_0 )).

cnf(i_0_712,axiom,
    ( esk403_4(X1,X2,X3,X4)
    | ~ esk408_4(X1,X2,X3,X4)
    | esk402_4(X1,X2,X3,X4) )).

cnf(i_0_713,axiom,
    ( ~ esk528_4(X1,X2,X3,X4)
    | esk540_4(X1,X2,X3,X4) )).

cnf(i_0_714,axiom,
    ( ~ esk800_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_715,axiom,
    ( esk419_4(X1,X2,X3,X4)
    | ~ esk413_4(X1,X2,X3,X4) )).

cnf(i_0_716,axiom,
    ( esk759_4(X1,X2,X3,X4)
    | ~ esk738_4(X1,X2,X3,X4) )).

cnf(i_0_717,axiom,
    ( ~ esk403_4(X1,X2,X3,X4)
    | p(X4)
    | esk67_0 )).

cnf(i_0_718,axiom,
    ( esk327_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk5_0 )).

cnf(i_0_719,axiom,
    ( ~ p(X1)
    | esk523_4(X1,X2,X3,X4)
    | ~ esk154_0 )).

cnf(i_0_720,axiom,
    ( ~ esk501_4(X1,X2,X3,X4)
    | esk141_0
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_721,axiom,
    ( ~ esk604_4(X1,X2,X3,X4)
    | esk605_4(X1,X2,X3,X4)
    | esk608_4(X1,X2,X3,X4) )).

cnf(i_0_722,axiom,
    ( esk240_0
    | ~ esk424_4(X1,X2,X3,X4)
    | ~ esk628_4(X1,X2,X3,X4) )).

cnf(i_0_723,axiom,
    ( esk556_4(X1,X2,X3,X4)
    | ~ esk546_4(X1,X2,X3,X4) )).

cnf(i_0_724,axiom,
    ( esk220_0
    | ~ esk602_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_725,axiom,
    ( esk927_4(X1,X2,X3,X4)
    | ~ esk925_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_726,axiom,
    ( ~ esk728_4(X1,X2,X3,X4)
    | esk705_4(X1,X2,X3,X4)
    | esk299_0 )).

cnf(i_0_727,axiom,
    ( ~ esk793_4(X1,X2,X3,X4)
    | esk791_4(X1,X2,X3,X4) )).

cnf(i_0_728,axiom,
    ( ~ esk931_4(X1,X2,X3,X4)
    | esk930_4(X1,X2,X3,X4) )).

cnf(i_0_729,axiom,
    ( esk350_4(X1,X2,X3,X4)
    | ~ esk21_0
    | p(X1) )).

cnf(i_0_730,axiom,
    ( ~ esk96_0
    | ~ esk424_4(X1,X2,X3,X4)
    | esk432_4(X1,X2,X3,X4) )).

cnf(i_0_731,axiom,
    ( esk782_4(X1,X2,X3,X4)
    | ~ esk786_4(X1,X2,X3,X4) )).

cnf(i_0_732,axiom,
    ( esk803_4(X1,X2,X3,X4)
    | esk692_4(X1,X2,X3,X4) )).

cnf(i_0_733,axiom,
    ( ~ esk79_0
    | esk423_4(X1,X2,X3,X4)
    | esk404_4(X1,X2,X3,X4) )).

cnf(i_0_734,axiom,
    ( esk992_4(X1,X2,X3,X4)
    | ~ esk991_4(X1,X2,X3,X4) )).

cnf(i_0_735,axiom,
    ( esk372_4(X1,X2,X3,X4)
    | esk365_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_736,axiom,
    ( ~ esk660_4(X1,X2,X3,X4)
    | esk257_0
    | ~ p(X4) )).

cnf(i_0_737,axiom,
    ( ~ esk888_4(X1,X2,X3,X4)
    | esk887_4(X1,X2,X3,X4) )).

cnf(i_0_738,axiom,
    ( esk774_4(X1,X2,X3,X4)
    | ~ esk772_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_739,axiom,
    ( esk817_4(X1,X2,X3,X4)
    | esk814_4(X1,X2,X3,X4)
    | ~ esk813_4(X1,X2,X3,X4) )).

cnf(i_0_740,axiom,
    ( ~ p(X4)
    | esk810_4(X1,X2,X3,X4) )).

cnf(i_0_741,axiom,
    ( ~ esk702_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4)
    | esk293_0 )).

cnf(i_0_742,axiom,
    ( ~ p(X1)
    | esk766_4(X1,X2,X3,X4) )).

cnf(i_0_743,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk698_4(X1,X2,X3,X4)
    | esk286_0 )).

cnf(i_0_744,axiom,
    ( esk788_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_745,axiom,
    ( ~ esk29_0
    | esk361_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_746,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | ~ esk898_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_747,axiom,
    ( esk387_4(X1,X2,X3,X4)
    | ~ esk52_0
    | ~ p(X2) )).

cnf(i_0_748,axiom,
    ( ~ esk30_0
    | ~ p(X1)
    | esk361_4(X1,X2,X3,X4) )).

cnf(i_0_749,axiom,
    ( ~ esk543_4(X1,X2,X3,X4)
    | esk529_4(X1,X2,X3,X4)
    | esk530_4(X1,X2,X3,X4) )).

cnf(i_0_750,axiom,
    ( ~ esk630_4(X1,X2,X3,X4)
    | esk651_4(X1,X2,X3,X4) )).

cnf(i_0_751,axiom,
    ( p(X4)
    | ~ esk389_4(X1,X2,X3,X4)
    | esk55_0 )).

cnf(i_0_752,axiom,
    ( p(X3)
    | esk860_4(X1,X2,X3,X4) )).

cnf(i_0_753,axiom,
    ( esk482_4(X1,X2,X3,X4)
    | esk521_4(X1,X2,X3,X4)
    | ~ esk151_0 )).

cnf(i_0_754,axiom,
    ( ~ esk577_4(X1,X2,X3,X4)
    | esk589_4(X1,X2,X3,X4) )).

cnf(i_0_755,axiom,
    ( ~ esk832_4(X1,X2,X3,X4)
    | esk833_4(X1,X2,X3,X4)
    | esk836_4(X1,X2,X3,X4) )).

cnf(i_0_756,axiom,
    ( ~ esk471_4(X1,X2,X3,X4)
    | esk456_4(X1,X2,X3,X4)
    | esk473_4(X1,X2,X3,X4) )).

cnf(i_0_757,axiom,
    ( ~ p(X3)
    | esk874_4(X1,X2,X3,X4) )).

cnf(i_0_758,axiom,
    ( esk365_4(X1,X2,X3,X4)
    | ~ esk369_4(X1,X2,X3,X4) )).

cnf(i_0_759,axiom,
    ( esk34_0
    | ~ p(X3)
    | ~ esk363_4(X1,X2,X3,X4) )).

cnf(i_0_760,axiom,
    ( ~ esk184_0
    | esk553_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_761,axiom,
    ( ~ esk743_4(X1,X2,X3,X4)
    | esk742_4(X1,X2,X3,X4) )).

cnf(i_0_762,axiom,
    ( esk390_4(X1,X2,X3,X4)
    | ~ esk391_4(X1,X2,X3,X4) )).

cnf(i_0_763,axiom,
    ( ~ p(X3)
    | ~ esk338_4(X1,X2,X3,X4)
    | esk14_0 )).

cnf(i_0_764,axiom,
    ( esk369_4(X1,X2,X3,X4)
    | ~ esk365_4(X1,X2,X3,X4)
    | esk366_4(X1,X2,X3,X4) )).

cnf(i_0_765,axiom,
    ( esk397_4(X1,X2,X3,X4)
    | ~ esk57_0
    | esk379_4(X1,X2,X3,X4) )).

cnf(i_0_766,axiom,
    ( ~ esk195_0
    | p(X4)
    | esk575_4(X1,X2,X3,X4) )).

cnf(i_0_767,axiom,
    ( esk441_4(X1,X2,X3,X4)
    | ~ esk445_4(X1,X2,X3,X4) )).

cnf(i_0_768,axiom,
    ( esk500_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk139_0 )).

cnf(i_0_769,axiom,
    ( ~ esk629_4(X1,X2,X3,X4)
    | esk648_4(X1,X2,X3,X4) )).

cnf(i_0_770,axiom,
    ( p(X3)
    | esk229_0
    | ~ esk623_4(X1,X2,X3,X4) )).

cnf(i_0_771,axiom,
    ( ~ esk288_0
    | esk699_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_772,axiom,
    ( ~ esk404_4(X1,X2,X3,X4)
    | esk80_0
    | ~ esk423_4(X1,X2,X3,X4) )).

cnf(i_0_773,axiom,
    ( ~ esk527_4(X1,X2,X3,X4)
    | esk540_4(X1,X2,X3,X4) )).

cnf(i_0_774,axiom,
    ( ~ p(X4)
    | esk769_4(X1,X2,X3,X4) )).

cnf(i_0_775,axiom,
    ( esk316_0
    | esk473_4(X1,X2,X3,X4)
    | ~ esk737_4(X1,X2,X3,X4) )).

cnf(i_0_776,axiom,
    ( esk796_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_777,axiom,
    ( esk136_0
    | ~ p(X2)
    | ~ esk498_4(X1,X2,X3,X4) )).

cnf(i_0_778,axiom,
    ( p(X2)
    | esk694_4(X1,X2,X3,X4)
    | ~ esk277_0 )).

cnf(i_0_779,axiom,
    ( ~ esk978_4(X1,X2,X3,X4)
    | esk772_4(X1,X2,X3,X4) )).

cnf(i_0_780,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk600_4(X1,X2,X3,X4)
    | esk216_0 )).

cnf(i_0_781,axiom,
    ( esk504_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4)
    | ~ esk147_0 )).

cnf(i_0_782,axiom,
    ( ~ esk620_4(X1,X2,X3,X4)
    | esk618_4(X1,X2,X3,X4)
    | esk603_4(X1,X2,X3,X4) )).

cnf(i_0_783,axiom,
    ( ~ esk42_0
    | ~ p(X1)
    | esk375_4(X1,X2,X3,X4) )).

cnf(i_0_784,axiom,
    ( ~ p(X3)
    | ~ esk174_0
    | esk548_4(X1,X2,X3,X4) )).

cnf(i_0_785,axiom,
    ( ~ esk765_4(X1,X2,X3,X4)
    | esk978_4(X1,X2,X3,X4)
    | ~ esk772_4(X1,X2,X3,X4) )).

cnf(i_0_786,axiom,
    ( ~ esk1016_4(X1,X2,X3,X4)
    | esk894_4(X1,X2,X3,X4) )).

cnf(i_0_787,axiom,
    ( esk839_4(X1,X2,X3,X4)
    | ~ esk1000_4(X1,X2,X3,X4) )).

cnf(i_0_788,axiom,
    ( esk604_4(X1,X2,X3,X4)
    | ~ esk608_4(X1,X2,X3,X4) )).

cnf(i_0_789,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk146_0
    | esk503_4(X1,X2,X3,X4) )).

cnf(i_0_790,axiom,
    ( ~ esk145_0
    | esk503_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_791,axiom,
    ( esk788_4(X1,X2,X3,X4)
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_792,axiom,
    ( ~ esk891_4(X1,X2,X3,X4)
    | esk887_4(X1,X2,X3,X4) )).

cnf(i_0_793,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk267_0
    | esk665_4(X1,X2,X3,X4) )).

cnf(i_0_794,axiom,
    ( ~ esk777_4(X1,X2,X3,X4)
    | esk779_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_795,axiom,
    ( ~ p(X4)
    | ~ esk598_4(X1,X2,X3,X4)
    | esk212_0 )).

cnf(i_0_796,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk810_4(X1,X2,X3,X4) )).

cnf(i_0_797,axiom,
    ( esk383_4(X1,X2,X3,X4)
    | ~ esk378_4(X1,X2,X3,X4) )).

cnf(i_0_798,axiom,
    ( ~ esk411_4(X1,X2,X3,X4)
    | p(X1)
    | esk69_0 )).

cnf(i_0_799,axiom,
    ( ~ esk955_4(X1,X2,X3,X4)
    | esk956_4(X1,X2,X3,X4)
    | esk959_4(X1,X2,X3,X4) )).

cnf(i_0_800,axiom,
    ( esk461_4(X1,X2,X3,X4)
    | ~ esk450_4(X1,X2,X3,X4) )).

cnf(i_0_801,axiom,
    ( esk571_4(X1,X2,X3,X4)
    | ~ esk739_4(X1,X2,X3,X4)
    | esk320_0 )).

cnf(i_0_802,axiom,
    ( esk839_4(X1,X2,X3,X4)
    | ~ esk841_4(X1,X2,X3,X4) )).

cnf(i_0_803,axiom,
    ( p(X2)
    | ~ esk730_4(X1,X2,X3,X4)
    | esk302_0 )).

cnf(i_0_804,axiom,
    ( esk483_4(X1,X2,X3,X4)
    | ~ esk487_4(X1,X2,X3,X4) )).

cnf(i_0_805,axiom,
    ( ~ esk415_4(X1,X2,X3,X4)
    | esk416_4(X1,X2,X3,X4)
    | esk419_4(X1,X2,X3,X4) )).

cnf(i_0_806,axiom,
    ( esk502_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4)
    | ~ esk144_0 )).

cnf(i_0_807,axiom,
    ( ~ esk120_0
    | ~ p(X2)
    | esk475_4(X1,X2,X3,X4) )).

cnf(i_0_808,axiom,
    ( esk401_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk64_0 )).

cnf(i_0_809,axiom,
    ( ~ p(X1)
    | ~ esk301_0
    | esk729_4(X1,X2,X3,X4) )).

cnf(i_0_810,axiom,
    ( ~ esk571_4(X1,X2,X3,X4)
    | esk631_4(X1,X2,X3,X4)
    | ~ esk246_0 )).

cnf(i_0_811,axiom,
    ( esk853_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_812,axiom,
    ( ~ esk380_4(X1,X2,X3,X4)
    | esk375_4(X1,X2,X3,X4)
    | esk376_4(X1,X2,X3,X4) )).

cnf(i_0_813,axiom,
    ( ~ esk363_4(X1,X2,X3,X4)
    | esk33_0
    | p(X3) )).

cnf(i_0_814,axiom,
    ( p(X4)
    | esk231_0
    | ~ esk624_4(X1,X2,X3,X4) )).

cnf(i_0_815,axiom,
    ( p(X4)
    | ~ esk339_4(X1,X2,X3,X4)
    | esk15_0 )).

cnf(i_0_816,axiom,
    ( esk324_0
    | ~ esk764_4(X1,X2,X3,X4)
    | esk741_4(X1,X2,X3,X4) )).

cnf(i_0_817,axiom,
    ( ~ esk249_0
    | ~ esk633_4(X1,X2,X3,X4)
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_818,axiom,
    ( esk941_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_819,axiom,
    ( p(X3)
    | ~ esk45_0
    | esk377_4(X1,X2,X3,X4) )).

cnf(i_0_820,axiom,
    ( ~ esk601_4(X1,X2,X3,X4)
    | esk615_4(X1,X2,X3,X4) )).

cnf(i_0_821,axiom,
    ( ~ esk682_4(X1,X2,X3,X4)
    | esk681_4(X1,X2,X3,X4) )).

cnf(i_0_822,axiom,
    ( ~ esk971_4(X1,X2,X3,X4)
    | esk967_4(X1,X2,X3,X4) )).

cnf(i_0_823,axiom,
    ( esk741_4(X1,X2,X3,X4)
    | ~ esk742_4(X1,X2,X3,X4) )).

cnf(i_0_824,axiom,
    ( ~ esk709_4(X1,X2,X3,X4)
    | esk707_4(X1,X2,X3,X4) )).

cnf(i_0_825,axiom,
    ( ~ esk115_0
    | esk472_4(X1,X2,X3,X4)
    | esk433_4(X1,X2,X3,X4) )).

cnf(i_0_826,axiom,
    ( ~ esk337_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk12_0 )).

cnf(i_0_827,axiom,
    ( esk608_4(X1,X2,X3,X4)
    | ~ esk598_4(X1,X2,X3,X4) )).

cnf(i_0_828,axiom,
    ( ~ esk1012_4(X1,X2,X3,X4)
    | esk873_4(X1,X2,X3,X4) )).

cnf(i_0_829,axiom,
    ( esk17_0
    | ~ esk347_4(X1,X2,X3,X4)
    | esk329_4(X1,X2,X3,X4) )).

cnf(i_0_830,axiom,
    ( esk1023_4(X1,X2,X3,X4)
    | ~ esk1022_4(X1,X2,X3,X4) )).

cnf(i_0_831,axiom,
    ( ~ esk114_0
    | esk471_4(X1,X2,X3,X4)
    | ~ esk433_4(X1,X2,X3,X4) )).

cnf(i_0_832,axiom,
    ( esk580_4(X1,X2,X3,X4)
    | ~ esk223_0
    | esk619_4(X1,X2,X3,X4) )).

cnf(i_0_833,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk262_0
    | ~ esk663_4(X1,X2,X3,X4) )).

cnf(i_0_834,axiom,
    ( ~ esk60_0
    | esk398_4(X1,X2,X3,X4)
    | ~ esk379_4(X1,X2,X3,X4) )).

cnf(i_0_835,axiom,
    ( esk413_4(X1,X2,X3,X4)
    | ~ esk419_4(X1,X2,X3,X4)
    | esk414_4(X1,X2,X3,X4) )).

cnf(i_0_836,axiom,
    ( ~ esk552_4(X1,X2,X3,X4)
    | esk566_4(X1,X2,X3,X4) )).

cnf(i_0_837,axiom,
    ( ~ esk620_4(X1,X2,X3,X4)
    | ~ esk632_4(X1,X2,X3,X4)
    | esk248_0 )).

cnf(i_0_838,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk700_4(X1,X2,X3,X4)
    | esk289_0 )).

cnf(i_0_839,axiom,
    ( ~ esk425_4(X1,X2,X3,X4)
    | esk435_4(X1,X2,X3,X4) )).

cnf(i_0_840,axiom,
    ( esk620_4(X1,X2,X3,X4)
    | esk740_4(X1,X2,X3,X4)
    | ~ esk322_0 )).

cnf(i_0_841,axiom,
    ( ~ esk579_4(X1,X2,X3,X4)
    | esk592_4(X1,X2,X3,X4) )).

cnf(i_0_842,axiom,
    ( esk684_4(X1,X2,X3,X4)
    | ~ esk664_4(X1,X2,X3,X4) )).

cnf(i_0_843,axiom,
    ( ~ esk415_4(X1,X2,X3,X4)
    | ~ esk423_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_844,axiom,
    ( esk378_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk48_0 )).

cnf(i_0_845,axiom,
    ( esk673_4(X1,X2,X3,X4)
    | ~ esk659_4(X1,X2,X3,X4) )).

cnf(i_0_846,axiom,
    ( esk435_4(X1,X2,X3,X4)
    | ~ esk434_4(X1,X2,X3,X4)
    | esk438_4(X1,X2,X3,X4) )).

cnf(i_0_847,axiom,
    ( esk476_4(X1,X2,X3,X4)
    | ~ esk122_0
    | ~ p(X3) )).

cnf(i_0_848,axiom,
    ( ~ p(X1)
    | esk657_4(X1,X2,X3,X4)
    | ~ esk251_0 )).

cnf(i_0_849,axiom,
    ( esk457_4(X1,X2,X3,X4)
    | ~ esk461_4(X1,X2,X3,X4) )).

cnf(i_0_850,axiom,
    ( ~ esk656_4(X1,X2,X3,X4)
    | ~ esk848_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_851,axiom,
    ( ~ esk513_4(X1,X2,X3,X4)
    | esk517_4(X1,X2,X3,X4)
    | esk514_4(X1,X2,X3,X4) )).

cnf(i_0_852,axiom,
    ( esk723_4(X1,X2,X3,X4)
    | ~ esk702_4(X1,X2,X3,X4) )).

cnf(i_0_853,axiom,
    ( esk741_4(X1,X2,X3,X4)
    | ~ esk753_4(X1,X2,X3,X4) )).

cnf(i_0_854,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | ~ esk126_0
    | esk478_4(X1,X2,X3,X4) )).

cnf(i_0_855,axiom,
    ( ~ esk914_4(X1,X2,X3,X4)
    | esk913_4(X1,X2,X3,X4) )).

cnf(i_0_856,axiom,
    ( ~ esk742_4(X1,X2,X3,X4)
    | esk743_4(X1,X2,X3,X4)
    | esk748_4(X1,X2,X3,X4) )).

cnf(i_0_857,axiom,
    ( ~ esk952_4(X1,X2,X3,X4)
    | esk950_4(X1,X2,X3,X4) )).

cnf(i_0_858,axiom,
    ( ~ esk580_4(X1,X2,X3,X4)
    | esk619_4(X1,X2,X3,X4)
    | ~ esk224_0 )).

cnf(i_0_859,axiom,
    ( ~ p(X2)
    | esk888_4(X1,X2,X3,X4) )).

cnf(i_0_860,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk902_4(X1,X2,X3,X4) )).

cnf(i_0_861,axiom,
    ( ~ p(X1)
    | ~ esk170_0
    | esk546_4(X1,X2,X3,X4) )).

cnf(i_0_862,axiom,
    ( ~ esk403_4(X1,X2,X3,X4)
    | esk408_4(X1,X2,X3,X4) )).

cnf(i_0_863,axiom,
    ( esk533_4(X1,X2,X3,X4)
    | ~ esk532_4(X1,X2,X3,X4)
    | esk536_4(X1,X2,X3,X4) )).

cnf(i_0_864,axiom,
    ( ~ esk1015_4(X1,X2,X3,X4)
    | esk1016_4(X1,X2,X3,X4) )).

cnf(i_0_865,axiom,
    ( ~ p(X3)
    | esk413_4(X1,X2,X3,X4)
    | ~ esk74_0 )).

cnf(i_0_866,axiom,
    ( ~ esk217_0
    | esk399_4(X1,X2,X3,X4)
    | esk601_4(X1,X2,X3,X4) )).

cnf(i_0_867,axiom,
    ( ~ esk117_0
    | p(X1)
    | esk474_4(X1,X2,X3,X4) )).

cnf(i_0_868,axiom,
    ( ~ p(X1)
    | ~ esk448_4(X1,X2,X3,X4)
    | esk98_0 )).

cnf(i_0_869,axiom,
    ( ~ esk526_4(X1,X2,X3,X4)
    | esk159_0
    | p(X4) )).

cnf(i_0_870,axiom,
    ( ~ esk621_4(X1,X2,X3,X4)
    | esk635_4(X1,X2,X3,X4) )).

cnf(i_0_871,axiom,
    ( ~ esk571_4(X1,X2,X3,X4)
    | esk271_0
    | ~ esk667_4(X1,X2,X3,X4) )).

cnf(i_0_872,axiom,
    ( esk664_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4)
    | ~ esk265_0 )).

cnf(i_0_873,axiom,
    ( esk325_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1_0 )).

cnf(i_0_874,axiom,
    ( ~ esk455_4(X1,X2,X3,X4)
    | esk112_0
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_875,axiom,
    ( esk750_4(X1,X2,X3,X4)
    | ~ esk733_4(X1,X2,X3,X4) )).

cnf(i_0_876,axiom,
    ( ~ esk429_4(X1,X2,X3,X4)
    | esk90_0
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_877,axiom,
    ( ~ esk475_4(X1,X2,X3,X4)
    | esk120_0
    | ~ p(X2) )).

cnf(i_0_878,axiom,
    ( esk483_4(X1,X2,X3,X4)
    | ~ esk484_4(X1,X2,X3,X4) )).

cnf(i_0_879,axiom,
    ( esk901_4(X1,X2,X3,X4)
    | ~ esk1019_4(X1,X2,X3,X4) )).

cnf(i_0_880,axiom,
    ( ~ esk427_4(X1,X2,X3,X4)
    | esk86_0
    | ~ p(X3) )).

cnf(i_0_881,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk857_4(X1,X2,X3,X4) )).

cnf(i_0_882,axiom,
    ( ~ p(X1)
    | ~ esk336_4(X1,X2,X3,X4)
    | esk10_0 )).

cnf(i_0_883,axiom,
    ( ~ esk454_4(X1,X2,X3,X4)
    | esk110_0
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_884,axiom,
    ( esk49_0
    | p(X1)
    | ~ esk386_4(X1,X2,X3,X4) )).

cnf(i_0_885,axiom,
    ( esk397_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4)
    | esk390_4(X1,X2,X3,X4) )).

cnf(i_0_886,axiom,
    ( esk152_0
    | ~ esk482_4(X1,X2,X3,X4)
    | ~ esk521_4(X1,X2,X3,X4) )).

cnf(i_0_887,axiom,
    ( esk601_4(X1,X2,X3,X4)
    | ~ esk615_4(X1,X2,X3,X4)
    | esk602_4(X1,X2,X3,X4) )).

cnf(i_0_888,axiom,
    ( esk756_4(X1,X2,X3,X4)
    | ~ esk737_4(X1,X2,X3,X4) )).

cnf(i_0_889,axiom,
    ( ~ esk328_4(X1,X2,X3,X4)
    | esk333_4(X1,X2,X3,X4) )).

cnf(i_0_890,axiom,
    ( ~ esk479_4(X1,X2,X3,X4)
    | esk491_4(X1,X2,X3,X4) )).

cnf(i_0_891,axiom,
    ( esk119_0
    | ~ esk475_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_892,axiom,
    ( ~ esk938_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_893,axiom,
    ( ~ esk499_4(X1,X2,X3,X4)
    | esk137_0
    | p(X3) )).

cnf(i_0_894,axiom,
    ( ~ esk209_0
    | p(X3)
    | esk597_4(X1,X2,X3,X4) )).

cnf(i_0_895,axiom,
    ( ~ esk848_4(X1,X2,X3,X4)
    | esk844_4(X1,X2,X3,X4) )).

cnf(i_0_896,axiom,
    ( ~ p(X1)
    | esk190_0
    | ~ esk572_4(X1,X2,X3,X4) )).

cnf(i_0_897,axiom,
    ( esk955_4(X1,X2,X3,X4)
    | ~ esk956_4(X1,X2,X3,X4) )).

cnf(i_0_898,axiom,
    ( ~ esk539_4(X1,X2,X3,X4)
    | esk540_4(X1,X2,X3,X4)
    | esk543_4(X1,X2,X3,X4) )).

cnf(i_0_899,axiom,
    ( ~ esk993_4(X1,X2,X3,X4)
    | esk813_4(X1,X2,X3,X4) )).

cnf(i_0_900,axiom,
    ( esk144_0
    | ~ esk502_4(X1,X2,X3,X4)
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_901,axiom,
    ( ~ esk266_0
    | esk665_4(X1,X2,X3,X4)
    | esk473_4(X1,X2,X3,X4) )).

cnf(i_0_902,axiom,
    ( esk527_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4)
    | ~ esk161_0 )).

cnf(i_0_903,axiom,
    ( esk735_4(X1,X2,X3,X4)
    | ~ esk754_4(X1,X2,X3,X4)
    | esk756_4(X1,X2,X3,X4) )).

cnf(i_0_904,axiom,
    ( esk329_4(X1,X2,X3,X4)
    | ~ esk333_4(X1,X2,X3,X4) )).

cnf(i_0_905,axiom,
    ( ~ esk774_4(X1,X2,X3,X4)
    | p(X4)
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_906,axiom,
    ( esk230_0
    | ~ p(X3)
    | ~ esk623_4(X1,X2,X3,X4) )).

cnf(i_0_907,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk479_4(X1,X2,X3,X4)
    | ~ esk127_0 )).

cnf(i_0_908,axiom,
    ( esk36_0
    | ~ p(X4)
    | ~ esk364_4(X1,X2,X3,X4) )).

cnf(i_0_909,axiom,
    ( esk700_4(X1,X2,X3,X4)
    | ~ esk720_4(X1,X2,X3,X4)
    | esk701_4(X1,X2,X3,X4) )).

cnf(i_0_910,axiom,
    ( ~ esk595_4(X1,X2,X3,X4)
    | esk205_0
    | p(X1) )).

cnf(i_0_911,axiom,
    ( ~ esk49_0
    | p(X1)
    | esk386_4(X1,X2,X3,X4) )).

cnf(i_0_912,axiom,
    ( ~ p(X4)
    | ~ esk624_4(X1,X2,X3,X4)
    | esk232_0 )).

cnf(i_0_913,axiom,
    ( ~ esk137_0
    | esk499_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_914,axiom,
    ( ~ esk483_4(X1,X2,X3,X4)
    | esk482_4(X1,X2,X3,X4) )).

cnf(i_0_915,axiom,
    ( esk786_4(X1,X2,X3,X4)
    | ~ esk788_4(X1,X2,X3,X4) )).

cnf(i_0_916,axiom,
    ( esk745_4(X1,X2,X3,X4)
    | ~ esk731_4(X1,X2,X3,X4) )).

cnf(i_0_917,axiom,
    ( ~ esk327_4(X1,X2,X3,X4)
    | esk5_0
    | p(X3) )).

cnf(i_0_918,axiom,
    ( ~ esk863_4(X1,X2,X3,X4)
    | esk1009_4(X1,X2,X3,X4)
    | ~ esk868_4(X1,X2,X3,X4) )).

cnf(i_0_919,axiom,
    ( esk645_4(X1,X2,X3,X4)
    | ~ esk651_4(X1,X2,X3,X4) )).

cnf(i_0_920,axiom,
    ( esk898_4(X1,X2,X3,X4)
    | ~ esk894_4(X1,X2,X3,X4)
    | esk895_4(X1,X2,X3,X4) )).

cnf(i_0_921,axiom,
    ( ~ esk329_4(X1,X2,X3,X4)
    | ~ esk347_4(X1,X2,X3,X4)
    | esk18_0 )).

cnf(i_0_922,axiom,
    ( esk416_4(X1,X2,X3,X4)
    | ~ esk411_4(X1,X2,X3,X4) )).

cnf(i_0_923,axiom,
    ( ~ esk975_4(X1,X2,X3,X4)
    | ~ esk1006_4(X1,X2,X3,X4)
    | esk974_4(X1,X2,X3,X4) )).

cnf(i_0_924,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk836_4(X1,X2,X3,X4) )).

cnf(i_0_925,axiom,
    ( esk836_4(X1,X2,X3,X4)
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_926,axiom,
    ( esk624_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk232_0 )).

cnf(i_0_927,axiom,
    ( ~ esk468_4(X1,X2,X3,X4)
    | esk464_4(X1,X2,X3,X4) )).

cnf(i_0_928,axiom,
    ( esk287_0
    | esk399_4(X1,X2,X3,X4)
    | ~ esk699_4(X1,X2,X3,X4) )).

cnf(i_0_929,axiom,
    ( ~ esk829_4(X1,X2,X3,X4)
    | esk827_4(X1,X2,X3,X4) )).

cnf(i_0_930,axiom,
    ( ~ esk271_0
    | esk667_4(X1,X2,X3,X4)
    | ~ esk571_4(X1,X2,X3,X4) )).

cnf(i_0_931,axiom,
    ( esk457_4(X1,X2,X3,X4)
    | ~ esk458_4(X1,X2,X3,X4) )).

cnf(i_0_932,axiom,
    ( esk574_4(X1,X2,X3,X4)
    | ~ esk585_4(X1,X2,X3,X4)
    | esk575_4(X1,X2,X3,X4) )).

cnf(i_0_933,axiom,
    ( esk633_4(X1,X2,X3,X4)
    | esk249_0
    | ~ esk656_4(X1,X2,X3,X4) )).

cnf(i_0_934,axiom,
    ( ~ esk330_4(X1,X2,X3,X4)
    | esk329_4(X1,X2,X3,X4) )).

cnf(i_0_935,axiom,
    ( esk621_4(X1,X2,X3,X4)
    | ~ esk635_4(X1,X2,X3,X4)
    | esk637_4(X1,X2,X3,X4) )).

cnf(i_0_936,axiom,
    ( esk139_0
    | p(X4)
    | ~ esk500_4(X1,X2,X3,X4) )).

cnf(i_0_937,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk600_4(X1,X2,X3,X4)
    | ~ esk215_0 )).

cnf(i_0_938,axiom,
    ( esk774_4(X1,X2,X3,X4)
    | ~ esk728_4(X1,X2,X3,X4) )).

cnf(i_0_939,axiom,
    ( esk619_4(X1,X2,X3,X4)
    | ~ esk603_4(X1,X2,X3,X4)
    | ~ esk620_4(X1,X2,X3,X4) )).

cnf(i_0_940,axiom,
    ( ~ esk1031_4(X1,X2,X3,X4)
    | esk946_4(X1,X2,X3,X4) )).

cnf(i_0_941,axiom,
    ( ~ esk527_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | esk162_0 )).

cnf(i_0_942,axiom,
    ( esk573_4(X1,X2,X3,X4)
    | esk572_4(X1,X2,X3,X4)
    | ~ esk582_4(X1,X2,X3,X4) )).

cnf(i_0_943,axiom,
    ( ~ esk47_0
    | esk378_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_944,axiom,
    ( esk592_4(X1,X2,X3,X4)
    | ~ esk578_4(X1,X2,X3,X4) )).

cnf(i_0_945,axiom,
    ( esk576_4(X1,X2,X3,X4)
    | ~ esk197_0
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_946,axiom,
    ( esk32_0
    | ~ p(X2)
    | ~ esk362_4(X1,X2,X3,X4) )).

cnf(i_0_947,axiom,
    ( esk386_4(X1,X2,X3,X4)
    | ~ esk50_0
    | ~ p(X1) )).

cnf(i_0_948,axiom,
    ( esk841_4(X1,X2,X3,X4)
    | esk692_4(X1,X2,X3,X4) )).

cnf(i_0_949,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk576_4(X1,X2,X3,X4)
    | esk197_0 )).

cnf(i_0_950,axiom,
    ( esk196_0
    | ~ p(X4)
    | ~ esk575_4(X1,X2,X3,X4) )).

cnf(i_0_951,axiom,
    ( esk181_0
    | ~ esk552_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_952,axiom,
    ( ~ p(X3)
    | esk791_4(X1,X2,X3,X4) )).

cnf(i_0_953,axiom,
    ( ~ esk1012_4(X1,X2,X3,X4)
    | esk880_4(X1,X2,X3,X4) )).

cnf(i_0_954,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | esk664_4(X1,X2,X3,X4)
    | ~ esk264_0 )).

cnf(i_0_955,axiom,
    ( ~ esk887_4(X1,X2,X3,X4)
    | esk1016_4(X1,X2,X3,X4)
    | ~ esk894_4(X1,X2,X3,X4) )).

cnf(i_0_956,axiom,
    ( ~ esk996_4(X1,X2,X3,X4)
    | esk832_4(X1,X2,X3,X4) )).

cnf(i_0_957,axiom,
    ( esk413_4(X1,X2,X3,X4)
    | ~ esk73_0
    | p(X3) )).

cnf(i_0_958,axiom,
    ( ~ esk554_4(X1,X2,X3,X4)
    | ~ esk571_4(X1,X2,X3,X4)
    | esk570_4(X1,X2,X3,X4) )).

cnf(i_0_959,axiom,
    ( esk258_0
    | ~ esk661_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_960,axiom,
    ( esk934_4(X1,X2,X3,X4)
    | esk931_4(X1,X2,X3,X4)
    | ~ esk930_4(X1,X2,X3,X4) )).

cnf(i_0_961,axiom,
    ( esk848_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_962,axiom,
    ( ~ esk572_4(X1,X2,X3,X4)
    | esk582_4(X1,X2,X3,X4) )).

cnf(i_0_963,axiom,
    ( p(X3)
    | esk950_4(X1,X2,X3,X4) )).

cnf(i_0_964,axiom,
    ( esk696_4(X1,X2,X3,X4)
    | ~ esk281_0
    | p(X4) )).

cnf(i_0_965,axiom,
    ( ~ esk465_4(X1,X2,X3,X4)
    | esk452_4(X1,X2,X3,X4)
    | esk453_4(X1,X2,X3,X4) )).

cnf(i_0_966,axiom,
    ( ~ esk734_4(X1,X2,X3,X4)
    | esk750_4(X1,X2,X3,X4) )).

cnf(i_0_967,axiom,
    ( esk559_4(X1,X2,X3,X4)
    | esk556_4(X1,X2,X3,X4)
    | ~ esk555_4(X1,X2,X3,X4) )).

cnf(i_0_968,axiom,
    ( ~ esk857_4(X1,X2,X3,X4)
    | esk856_4(X1,X2,X3,X4) )).

cnf(i_0_969,axiom,
    ( ~ esk379_4(X1,X2,X3,X4)
    | ~ esk58_0
    | esk397_4(X1,X2,X3,X4) )).

cnf(i_0_970,axiom,
    ( ~ p(X4)
    | esk692_4(X1,X2,X3,X4)
    | ~ esk853_4(X1,X2,X3,X4) )).

cnf(i_0_971,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk788_4(X1,X2,X3,X4) )).

cnf(i_0_972,axiom,
    ( esk366_4(X1,X2,X3,X4)
    | ~ esk361_4(X1,X2,X3,X4) )).

cnf(i_0_973,axiom,
    ( esk624_4(X1,X2,X3,X4)
    | esk642_4(X1,X2,X3,X4)
    | ~ esk640_4(X1,X2,X3,X4) )).

cnf(i_0_974,axiom,
    ( esk968_4(X1,X2,X3,X4)
    | esk971_4(X1,X2,X3,X4)
    | ~ esk967_4(X1,X2,X3,X4) )).

cnf(i_0_975,axiom,
    ( ~ esk158_0
    | ~ p(X3)
    | esk525_4(X1,X2,X3,X4) )).

cnf(i_0_976,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk242_0
    | esk629_4(X1,X2,X3,X4) )).

cnf(i_0_977,axiom,
    ( esk256_0
    | ~ esk660_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_978,axiom,
    ( ~ esk531_4(X1,X2,X3,X4)
    | ~ esk186_0
    | esk569_4(X1,X2,X3,X4) )).

cnf(i_0_979,axiom,
    ( p(X2)
    | esk3_0
    | ~ esk326_4(X1,X2,X3,X4) )).

cnf(i_0_980,axiom,
    ( ~ esk315_0
    | ~ esk424_4(X1,X2,X3,X4)
    | esk736_4(X1,X2,X3,X4) )).

cnf(i_0_981,axiom,
    ( esk429_4(X1,X2,X3,X4)
    | ~ esk442_4(X1,X2,X3,X4)
    | esk430_4(X1,X2,X3,X4) )).

cnf(i_0_982,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | ~ esk284_0
    | esk697_4(X1,X2,X3,X4) )).

cnf(i_0_983,axiom,
    ( esk739_4(X1,X2,X3,X4)
    | ~ esk321_0
    | ~ esk571_4(X1,X2,X3,X4) )).

cnf(i_0_984,axiom,
    ( p(X1)
    | esk411_4(X1,X2,X3,X4)
    | ~ esk69_0 )).

cnf(i_0_985,axiom,
    ( ~ esk631_4(X1,X2,X3,X4)
    | ~ esk571_4(X1,X2,X3,X4)
    | esk246_0 )).

cnf(i_0_986,axiom,
    ( esk976_4(X1,X2,X3,X4)
    | ~ esk984_4(X1,X2,X3,X4)
    | ~ esk977_4(X1,X2,X3,X4) )).

cnf(i_0_987,axiom,
    ( ~ esk110_0
    | esk454_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_988,axiom,
    ( esk646_4(X1,X2,X3,X4)
    | ~ esk627_4(X1,X2,X3,X4) )).

cnf(i_0_989,axiom,
    ( esk625_4(X1,X2,X3,X4)
    | esk626_4(X1,X2,X3,X4)
    | ~ esk642_4(X1,X2,X3,X4) )).

cnf(i_0_990,axiom,
    ( esk348_4(X1,X2,X3,X4)
    | ~ esk19_0
    | esk329_4(X1,X2,X3,X4) )).

cnf(i_0_991,axiom,
    ( esk358_4(X1,X2,X3,X4)
    | ~ esk354_4(X1,X2,X3,X4)
    | esk355_4(X1,X2,X3,X4) )).

cnf(i_0_992,axiom,
    ( ~ esk474_4(X1,X2,X3,X4)
    | esk484_4(X1,X2,X3,X4) )).

cnf(i_0_993,axiom,
    ( esk428_4(X1,X2,X3,X4)
    | esk427_4(X1,X2,X3,X4)
    | ~ esk438_4(X1,X2,X3,X4) )).

cnf(i_0_994,axiom,
    ( esk487_4(X1,X2,X3,X4)
    | esk484_4(X1,X2,X3,X4)
    | ~ esk483_4(X1,X2,X3,X4) )).

cnf(i_0_995,axiom,
    ( esk734_4(X1,X2,X3,X4)
    | ~ esk311_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_996,axiom,
    ( ~ esk380_4(X1,X2,X3,X4)
    | esk379_4(X1,X2,X3,X4) )).

cnf(i_0_997,axiom,
    ( ~ esk194_0
    | ~ p(X3)
    | esk574_4(X1,X2,X3,X4) )).

cnf(i_0_998,axiom,
    ( esk633_4(X1,X2,X3,X4)
    | ~ esk645_4(X1,X2,X3,X4) )).

cnf(i_0_999,axiom,
    ( esk578_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4)
    | ~ esk202_0 )).

cnf(i_0_1000,axiom,
    ( esk735_4(X1,X2,X3,X4)
    | ~ esk313_0
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_1001,axiom,
    ( ~ esk706_4(X1,X2,X3,X4)
    | esk712_4(X1,X2,X3,X4)
    | esk707_4(X1,X2,X3,X4) )).

cnf(i_0_1002,axiom,
    ( esk598_4(X1,X2,X3,X4)
    | ~ esk608_4(X1,X2,X3,X4)
    | esk597_4(X1,X2,X3,X4) )).

cnf(i_0_1003,axiom,
    ( esk117_0
    | p(X1)
    | ~ esk474_4(X1,X2,X3,X4) )).

cnf(i_0_1004,axiom,
    ( ~ p(X1)
    | esk336_4(X1,X2,X3,X4)
    | ~ esk10_0 )).

cnf(i_0_1005,axiom,
    ( esk729_4(X1,X2,X3,X4)
    | ~ esk300_0
    | p(X1) )).

cnf(i_0_1006,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk237_0
    | ~ esk627_4(X1,X2,X3,X4) )).

cnf(i_0_1007,axiom,
    ( ~ esk86_0
    | esk427_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1008,axiom,
    ( ~ esk562_4(X1,X2,X3,X4)
    | esk563_4(X1,X2,X3,X4)
    | esk566_4(X1,X2,X3,X4) )).

cnf(i_0_1009,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk734_4(X1,X2,X3,X4)
    | esk311_0 )).

cnf(i_0_1010,axiom,
    ( esk670_4(X1,X2,X3,X4)
    | ~ esk676_4(X1,X2,X3,X4) )).

cnf(i_0_1011,axiom,
    ( ~ esk361_4(X1,X2,X3,X4)
    | p(X1)
    | esk29_0 )).

cnf(i_0_1012,axiom,
    ( esk295_0
    | esk571_4(X1,X2,X3,X4)
    | ~ esk703_4(X1,X2,X3,X4) )).

cnf(i_0_1013,axiom,
    ( esk718_4(X1,X2,X3,X4)
    | ~ esk699_4(X1,X2,X3,X4) )).

cnf(i_0_1014,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk91_0
    | esk430_4(X1,X2,X3,X4) )).

cnf(i_0_1015,axiom,
    ( esk851_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_1016,axiom,
    ( ~ esk525_4(X1,X2,X3,X4)
    | esk536_4(X1,X2,X3,X4) )).

cnf(i_0_1017,axiom,
    ( ~ esk706_4(X1,X2,X3,X4)
    | esk705_4(X1,X2,X3,X4) )).

cnf(i_0_1018,axiom,
    ( esk851_4(X1,X2,X3,X4)
    | ~ esk1003_4(X1,X2,X3,X4) )).

cnf(i_0_1019,axiom,
    ( ~ esk398_4(X1,X2,X3,X4)
    | ~ esk390_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_1020,axiom,
    ( ~ esk38_0
    | ~ esk354_4(X1,X2,X3,X4)
    | esk372_4(X1,X2,X3,X4) )).

cnf(i_0_1021,axiom,
    ( esk35_0
    | ~ esk364_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1022,axiom,
    ( ~ esk7_0
    | esk328_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1023,axiom,
    ( ~ esk769_4(X1,X2,X3,X4)
    | esk765_4(X1,X2,X3,X4) )).

cnf(i_0_1024,axiom,
    ( ~ esk588_4(X1,X2,X3,X4)
    | esk580_4(X1,X2,X3,X4) )).

cnf(i_0_1025,axiom,
    ( ~ esk556_4(X1,X2,X3,X4)
    | esk547_4(X1,X2,X3,X4)
    | esk546_4(X1,X2,X3,X4) )).

cnf(i_0_1026,axiom,
    ( ~ esk898_4(X1,X2,X3,X4)
    | esk894_4(X1,X2,X3,X4) )).

cnf(i_0_1027,axiom,
    ( esk505_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4)
    | ~ esk520_4(X1,X2,X3,X4) )).

cnf(i_0_1028,axiom,
    ( ~ esk993_4(X1,X2,X3,X4)
    | esk820_4(X1,X2,X3,X4) )).

cnf(i_0_1029,axiom,
    ( esk336_4(X1,X2,X3,X4)
    | ~ esk341_4(X1,X2,X3,X4)
    | esk337_4(X1,X2,X3,X4) )).

cnf(i_0_1030,axiom,
    ( ~ esk764_4(X1,X2,X3,X4)
    | esk971_4(X1,X2,X3,X4) )).

cnf(i_0_1031,axiom,
    ( esk513_4(X1,X2,X3,X4)
    | ~ esk514_4(X1,X2,X3,X4) )).

cnf(i_0_1032,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | ~ esk579_4(X1,X2,X3,X4)
    | esk204_0 )).

cnf(i_0_1033,axiom,
    ( ~ esk59_0
    | esk379_4(X1,X2,X3,X4)
    | esk398_4(X1,X2,X3,X4) )).

cnf(i_0_1034,axiom,
    ( esk428_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk87_0 )).

cnf(i_0_1035,axiom,
    ( ~ esk745_4(X1,X2,X3,X4)
    | esk743_4(X1,X2,X3,X4) )).

cnf(i_0_1036,axiom,
    ( p(X4)
    | esk47_0
    | ~ esk378_4(X1,X2,X3,X4) )).

cnf(i_0_1037,axiom,
    ( ~ esk505_4(X1,X2,X3,X4)
    | ~ esk521_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4) )).

cnf(i_0_1038,axiom,
    ( ~ esk233_0
    | esk625_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_1039,axiom,
    ( ~ esk387_4(X1,X2,X3,X4)
    | esk52_0
    | ~ p(X2) )).

cnf(i_0_1040,axiom,
    ( ~ p(X2)
    | ~ esk32_0
    | esk362_4(X1,X2,X3,X4) )).

cnf(i_0_1041,axiom,
    ( esk1027_4(X1,X2,X3,X4)
    | ~ esk930_4(X1,X2,X3,X4)
    | ~ esk925_4(X1,X2,X3,X4) )).

cnf(i_0_1042,axiom,
    ( esk739_4(X1,X2,X3,X4)
    | esk740_4(X1,X2,X3,X4)
    | ~ esk761_4(X1,X2,X3,X4) )).

cnf(i_0_1043,axiom,
    ( ~ esk692_4(X1,X2,X3,X4)
    | esk860_4(X1,X2,X3,X4) )).

cnf(i_0_1044,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk578_4(X1,X2,X3,X4)
    | ~ esk201_0 )).

cnf(i_0_1045,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk530_4(X1,X2,X3,X4)
    | esk167_0 )).

cnf(i_0_1046,axiom,
    ( ~ esk353_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk28_0 )).

cnf(i_0_1047,axiom,
    ( ~ esk507_4(X1,X2,X3,X4)
    | esk506_4(X1,X2,X3,X4) )).

cnf(i_0_1048,axiom,
    ( esk328_4(X1,X2,X3,X4)
    | ~ esk8_0
    | ~ p(X4) )).

cnf(i_0_1049,axiom,
    ( esk494_4(X1,X2,X3,X4)
    | ~ esk490_4(X1,X2,X3,X4)
    | esk491_4(X1,X2,X3,X4) )).

cnf(i_0_1050,axiom,
    ( esk658_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk252_0 )).

cnf(i_0_1051,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk552_4(X1,X2,X3,X4)
    | esk182_0 )).

cnf(i_0_1052,axiom,
    ( ~ esk728_4(X1,X2,X3,X4)
    | ~ esk952_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1053,axiom,
    ( esk272_0
    | esk620_4(X1,X2,X3,X4)
    | ~ esk668_4(X1,X2,X3,X4) )).

cnf(i_0_1054,axiom,
    ( ~ esk814_4(X1,X2,X3,X4)
    | esk813_4(X1,X2,X3,X4) )).

cnf(i_0_1055,axiom,
    ( ~ esk712_4(X1,X2,X3,X4)
    | esk706_4(X1,X2,X3,X4) )).

cnf(i_0_1056,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk551_4(X1,X2,X3,X4)
    | esk179_0 )).

cnf(i_0_1057,axiom,
    ( esk603_4(X1,X2,X3,X4)
    | ~ esk611_4(X1,X2,X3,X4) )).

cnf(i_0_1058,axiom,
    ( esk1024_4(X1,X2,X3,X4)
    | ~ esk920_4(X1,X2,X3,X4)
    | ~ esk913_4(X1,X2,X3,X4) )).

cnf(i_0_1059,axiom,
    ( esk376_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk43_0 )).

cnf(i_0_1060,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk551_4(X1,X2,X3,X4)
    | esk180_0 )).

cnf(i_0_1061,axiom,
    ( esk571_4(X1,X2,X3,X4)
    | ~ esk554_4(X1,X2,X3,X4)
    | ~ esk570_4(X1,X2,X3,X4) )).

cnf(i_0_1062,axiom,
    ( ~ esk656_4(X1,X2,X3,X4)
    | ~ esk824_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1063,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk599_4(X1,X2,X3,X4)
    | ~ esk213_0 )).

cnf(i_0_1064,axiom,
    ( esk451_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk103_0 )).

cnf(i_0_1065,axiom,
    ( ~ esk663_4(X1,X2,X3,X4)
    | esk682_4(X1,X2,X3,X4) )).

cnf(i_0_1066,axiom,
    ( esk255_0
    | ~ esk659_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1067,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk737_4(X1,X2,X3,X4)
    | esk317_0 )).

cnf(i_0_1068,axiom,
    ( ~ esk621_4(X1,X2,X3,X4)
    | esk226_0
    | ~ p(X1) )).

cnf(i_0_1069,axiom,
    ( esk344_4(X1,X2,X3,X4)
    | ~ esk339_4(X1,X2,X3,X4) )).

cnf(i_0_1070,axiom,
    ( esk753_4(X1,X2,X3,X4)
    | ~ esk741_4(X1,X2,X3,X4)
    | esk742_4(X1,X2,X3,X4) )).

cnf(i_0_1071,axiom,
    ( ~ esk476_4(X1,X2,X3,X4)
    | esk487_4(X1,X2,X3,X4) )).

cnf(i_0_1072,axiom,
    ( esk765_4(X1,X2,X3,X4)
    | ~ esk978_4(X1,X2,X3,X4) )).

cnf(i_0_1073,axiom,
    ( esk114_0
    | ~ esk471_4(X1,X2,X3,X4)
    | ~ esk433_4(X1,X2,X3,X4) )).

cnf(i_0_1074,axiom,
    ( ~ p(X3)
    | ~ esk731_4(X1,X2,X3,X4)
    | esk305_0 )).

cnf(i_0_1075,axiom,
    ( esk543_4(X1,X2,X3,X4)
    | ~ esk529_4(X1,X2,X3,X4) )).

cnf(i_0_1076,axiom,
    ( esk482_4(X1,X2,X3,X4)
    | ~ esk490_4(X1,X2,X3,X4) )).

cnf(i_0_1077,axiom,
    ( esk337_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk12_0 )).

cnf(i_0_1078,axiom,
    ( esk528_4(X1,X2,X3,X4)
    | ~ esk163_0
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_1079,axiom,
    ( ~ esk576_4(X1,X2,X3,X4)
    | esk589_4(X1,X2,X3,X4) )).

cnf(i_0_1080,axiom,
    ( esk737_4(X1,X2,X3,X4)
    | ~ esk317_0
    | ~ esk473_4(X1,X2,X3,X4) )).

cnf(i_0_1081,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | ~ esk454_4(X1,X2,X3,X4)
    | esk109_0 )).

cnf(i_0_1082,axiom,
    ( ~ esk729_4(X1,X2,X3,X4)
    | esk743_4(X1,X2,X3,X4) )).

cnf(i_0_1083,axiom,
    ( p(X1)
    | ~ esk97_0
    | esk448_4(X1,X2,X3,X4) )).

cnf(i_0_1084,axiom,
    ( esk294_0
    | ~ esk522_4(X1,X2,X3,X4)
    | ~ esk702_4(X1,X2,X3,X4) )).

cnf(i_0_1085,axiom,
    ( esk145_0
    | esk399_4(X1,X2,X3,X4)
    | ~ esk503_4(X1,X2,X3,X4) )).

cnf(i_0_1086,axiom,
    ( ~ esk868_4(X1,X2,X3,X4)
    | esk870_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_1087,axiom,
    ( esk532_4(X1,X2,X3,X4)
    | ~ esk536_4(X1,X2,X3,X4) )).

cnf(i_0_1088,axiom,
    ( esk1009_4(X1,X2,X3,X4)
    | ~ esk1008_4(X1,X2,X3,X4) )).

cnf(i_0_1089,axiom,
    ( ~ esk522_4(X1,X2,X3,X4)
    | esk666_4(X1,X2,X3,X4)
    | ~ esk269_0 )).

cnf(i_0_1090,axiom,
    ( ~ esk571_4(X1,X2,X3,X4)
    | ~ esk296_0
    | esk703_4(X1,X2,X3,X4) )).

cnf(i_0_1091,axiom,
    ( esk698_4(X1,X2,X3,X4)
    | ~ esk286_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_1092,axiom,
    ( ~ esk189_0
    | p(X1)
    | esk572_4(X1,X2,X3,X4) )).

cnf(i_0_1093,axiom,
    ( ~ esk681_4(X1,X2,X3,X4)
    | esk669_4(X1,X2,X3,X4) )).

cnf(i_0_1094,axiom,
    ( ~ esk310_0
    | esk734_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4) )).

cnf(i_0_1095,axiom,
    ( p(X1)
    | esk902_4(X1,X2,X3,X4) )).

cnf(i_0_1096,axiom,
    ( ~ esk978_4(X1,X2,X3,X4)
    | esk977_4(X1,X2,X3,X4)
    | ~ esk981_4(X1,X2,X3,X4) )).

cnf(i_0_1097,axiom,
    ( ~ p(X4)
    | esk917_4(X1,X2,X3,X4) )).

cnf(i_0_1098,axiom,
    ( ~ p(X4)
    | esk841_4(X1,X2,X3,X4) )).

cnf(i_0_1099,axiom,
    ( ~ p(X1)
    | ~ esk693_4(X1,X2,X3,X4)
    | esk276_0 )).

cnf(i_0_1100,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk129_0
    | ~ esk480_4(X1,X2,X3,X4) )).

cnf(i_0_1101,axiom,
    ( esk160_0
    | ~ esk526_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1102,axiom,
    ( ~ esk402_4(X1,X2,X3,X4)
    | esk408_4(X1,X2,X3,X4) )).

cnf(i_0_1103,axiom,
    ( esk703_4(X1,X2,X3,X4)
    | ~ esk725_4(X1,X2,X3,X4)
    | esk704_4(X1,X2,X3,X4) )).

cnf(i_0_1104,axiom,
    ( ~ esk754_4(X1,X2,X3,X4)
    | esk753_4(X1,X2,X3,X4) )).

cnf(i_0_1105,axiom,
    ( ~ esk66_0
    | esk402_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1106,axiom,
    ( esk673_4(X1,X2,X3,X4)
    | ~ esk658_4(X1,X2,X3,X4) )).

cnf(i_0_1107,axiom,
    ( p(X2)
    | ~ esk596_4(X1,X2,X3,X4)
    | esk207_0 )).

cnf(i_0_1108,axiom,
    ( esk498_4(X1,X2,X3,X4)
    | ~ esk136_0
    | ~ p(X2) )).

cnf(i_0_1109,axiom,
    ( esk25_0
    | p(X3)
    | ~ esk352_4(X1,X2,X3,X4) )).

cnf(i_0_1110,axiom,
    ( esk532_4(X1,X2,X3,X4)
    | ~ esk533_4(X1,X2,X3,X4) )).

cnf(i_0_1111,axiom,
    ( ~ esk695_4(X1,X2,X3,X4)
    | esk279_0
    | p(X3) )).

cnf(i_0_1112,axiom,
    ( esk660_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk257_0 )).

cnf(i_0_1113,axiom,
    ( ~ esk94_0
    | ~ esk399_4(X1,X2,X3,X4)
    | esk431_4(X1,X2,X3,X4) )).

cnf(i_0_1114,axiom,
    ( esk457_4(X1,X2,X3,X4)
    | ~ esk456_4(X1,X2,X3,X4)
    | esk464_4(X1,X2,X3,X4) )).

cnf(i_0_1115,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk180_0
    | esk551_4(X1,X2,X3,X4) )).

cnf(i_0_1116,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | esk528_4(X1,X2,X3,X4)
    | ~ esk164_0 )).

cnf(i_0_1117,axiom,
    ( ~ esk498_4(X1,X2,X3,X4)
    | p(X2)
    | esk135_0 )).

cnf(i_0_1118,axiom,
    ( ~ esk851_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk853_4(X1,X2,X3,X4) )).

cnf(i_0_1119,axiom,
    ( esk720_4(X1,X2,X3,X4)
    | ~ esk701_4(X1,X2,X3,X4) )).

cnf(i_0_1120,axiom,
    ( p(X2)
    | esk387_4(X1,X2,X3,X4)
    | ~ esk51_0 )).

cnf(i_0_1121,axiom,
    ( esk319_0
    | ~ esk522_4(X1,X2,X3,X4)
    | ~ esk738_4(X1,X2,X3,X4) )).

cnf(i_0_1122,axiom,
    ( ~ esk388_4(X1,X2,X3,X4)
    | esk53_0
    | p(X3) )).

cnf(i_0_1123,axiom,
    ( ~ esk717_4(X1,X2,X3,X4)
    | esk705_4(X1,X2,X3,X4) )).

cnf(i_0_1124,axiom,
    ( ~ esk244_0
    | ~ esk522_4(X1,X2,X3,X4)
    | esk630_4(X1,X2,X3,X4) )).

cnf(i_0_1125,axiom,
    ( esk170_0
    | ~ p(X1)
    | ~ esk546_4(X1,X2,X3,X4) )).

cnf(i_0_1126,axiom,
    ( esk880_4(X1,X2,X3,X4)
    | ~ esk884_4(X1,X2,X3,X4) )).

cnf(i_0_1127,axiom,
    ( ~ esk44_0
    | esk376_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1128,axiom,
    ( esk22_0
    | ~ esk350_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1129,axiom,
    ( ~ esk376_4(X1,X2,X3,X4)
    | esk380_4(X1,X2,X3,X4) )).

cnf(i_0_1130,axiom,
    ( p(X4)
    | ~ esk764_4(X1,X2,X3,X4)
    | ~ esk870_4(X1,X2,X3,X4) )).

cnf(i_0_1131,axiom,
    ( ~ p(X1)
    | esk42_0
    | ~ esk375_4(X1,X2,X3,X4) )).

cnf(i_0_1132,axiom,
    ( esk277_0
    | p(X2)
    | ~ esk694_4(X1,X2,X3,X4) )).

cnf(i_0_1133,axiom,
    ( ~ esk1007_4(X1,X2,X3,X4)
    | esk1006_4(X1,X2,X3,X4)
    | ~ esk1022_4(X1,X2,X3,X4) )).

cnf(i_0_1134,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | ~ esk662_4(X1,X2,X3,X4)
    | esk260_0 )).

cnf(i_0_1135,axiom,
    ( ~ esk626_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4)
    | esk235_0 )).

cnf(i_0_1136,axiom,
    ( esk339_4(X1,X2,X3,X4)
    | ~ esk16_0
    | ~ p(X4) )).

cnf(i_0_1137,axiom,
    ( esk704_4(X1,X2,X3,X4)
    | ~ esk298_0
    | ~ esk620_4(X1,X2,X3,X4) )).

cnf(i_0_1138,axiom,
    ( esk369_4(X1,X2,X3,X4)
    | ~ esk364_4(X1,X2,X3,X4) )).

cnf(i_0_1139,axiom,
    ( ~ esk580_4(X1,X2,X3,X4)
    | ~ esk618_4(X1,X2,X3,X4)
    | esk222_0 )).

cnf(i_0_1140,axiom,
    ( esk745_4(X1,X2,X3,X4)
    | ~ esk730_4(X1,X2,X3,X4) )).

cnf(i_0_1141,axiom,
    ( esk563_4(X1,X2,X3,X4)
    | ~ esk550_4(X1,X2,X3,X4) )).

cnf(i_0_1142,axiom,
    ( p(X4)
    | ~ esk841_4(X1,X2,X3,X4)
    | ~ esk692_4(X1,X2,X3,X4) )).

cnf(i_0_1143,axiom,
    ( ~ esk756_4(X1,X2,X3,X4)
    | esk754_4(X1,X2,X3,X4) )).

cnf(i_0_1144,axiom,
    ( ~ esk113_0
    | esk471_4(X1,X2,X3,X4)
    | esk433_4(X1,X2,X3,X4) )).

cnf(i_0_1145,axiom,
    ( esk887_4(X1,X2,X3,X4)
    | ~ esk1016_4(X1,X2,X3,X4) )).

cnf(i_0_1146,axiom,
    ( ~ esk707_4(X1,X2,X3,X4)
    | esk693_4(X1,X2,X3,X4)
    | esk709_4(X1,X2,X3,X4) )).

cnf(i_0_1147,axiom,
    ( esk668_4(X1,X2,X3,X4)
    | esk667_4(X1,X2,X3,X4)
    | ~ esk689_4(X1,X2,X3,X4) )).

cnf(i_0_1148,axiom,
    ( esk700_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4)
    | ~ esk289_0 )).

cnf(i_0_1149,axiom,
    ( esk377_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk46_0 )).

cnf(i_0_1150,axiom,
    ( esk984_4(X1,X2,X3,X4)
    | ~ esk988_4(X1,X2,X3,X4)
    | ~ esk985_4(X1,X2,X3,X4) )).

cnf(i_0_1151,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | esk626_4(X1,X2,X3,X4)
    | ~ esk236_0 )).

cnf(i_0_1152,axiom,
    ( esk531_4(X1,X2,X3,X4)
    | ~ esk185_0
    | esk569_4(X1,X2,X3,X4) )).

cnf(i_0_1153,axiom,
    ( ~ esk148_0
    | esk504_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_1154,axiom,
    ( esk717_4(X1,X2,X3,X4)
    | ~ esk723_4(X1,X2,X3,X4) )).

cnf(i_0_1155,axiom,
    ( esk559_4(X1,X2,X3,X4)
    | ~ esk549_4(X1,X2,X3,X4) )).

cnf(i_0_1156,axiom,
    ( ~ p(X2)
    | ~ esk730_4(X1,X2,X3,X4)
    | esk303_0 )).

cnf(i_0_1157,axiom,
    ( ~ p(X4)
    | esk927_4(X1,X2,X3,X4) )).

cnf(i_0_1158,axiom,
    ( ~ p(X1)
    | esk777_4(X1,X2,X3,X4) )).

cnf(i_0_1159,axiom,
    ( esk383_4(X1,X2,X3,X4)
    | ~ esk377_4(X1,X2,X3,X4) )).

cnf(i_0_1160,axiom,
    ( ~ esk274_0
    | esk692_4(X1,X2,X3,X4)
    | esk669_4(X1,X2,X3,X4) )).

cnf(i_0_1161,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | ~ esk625_4(X1,X2,X3,X4)
    | esk234_0 )).

cnf(i_0_1162,axiom,
    ( ~ esk626_4(X1,X2,X3,X4)
    | esk642_4(X1,X2,X3,X4) )).

cnf(i_0_1163,axiom,
    ( esk326_4(X1,X2,X3,X4)
    | ~ esk3_0
    | p(X2) )).

cnf(i_0_1164,axiom,
    ( ~ esk554_4(X1,X2,X3,X4)
    | esk562_4(X1,X2,X3,X4)
    | esk555_4(X1,X2,X3,X4) )).

cnf(i_0_1165,axiom,
    ( ~ esk622_4(X1,X2,X3,X4)
    | p(X2)
    | esk227_0 )).

cnf(i_0_1166,axiom,
    ( p(X1)
    | ~ esk336_4(X1,X2,X3,X4)
    | esk9_0 )).

cnf(i_0_1167,axiom,
    ( esk183_0
    | ~ esk553_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_1168,axiom,
    ( ~ esk731_4(X1,X2,X3,X4)
    | p(X3)
    | esk304_0 )).

cnf(i_0_1169,axiom,
    ( esk394_4(X1,X2,X3,X4)
    | ~ esk388_4(X1,X2,X3,X4) )).

cnf(i_0_1170,axiom,
    ( esk602_4(X1,X2,X3,X4)
    | ~ esk219_0
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_1171,axiom,
    ( ~ p(X4)
    | esk526_4(X1,X2,X3,X4)
    | ~ esk160_0 )).

cnf(i_0_1172,axiom,
    ( ~ esk618_4(X1,X2,X3,X4)
    | esk603_4(X1,X2,X3,X4)
    | esk620_4(X1,X2,X3,X4) )).

cnf(i_0_1173,axiom,
    ( p(X2)
    | ~ esk387_4(X1,X2,X3,X4)
    | esk51_0 )).

cnf(i_0_1174,axiom,
    ( p(X3)
    | esk910_4(X1,X2,X3,X4) )).

cnf(i_0_1175,axiom,
    ( ~ esk530_4(X1,X2,X3,X4)
    | esk543_4(X1,X2,X3,X4) )).

cnf(i_0_1176,axiom,
    ( esk379_4(X1,X2,X3,X4)
    | esk57_0
    | ~ esk397_4(X1,X2,X3,X4) )).

cnf(i_0_1177,axiom,
    ( esk577_4(X1,X2,X3,X4)
    | ~ esk200_0
    | ~ esk374_4(X1,X2,X3,X4) )).

cnf(i_0_1178,axiom,
    ( p(X1)
    | esk938_4(X1,X2,X3,X4) )).

cnf(i_0_1179,axiom,
    ( ~ esk595_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk206_0 )).

cnf(i_0_1180,axiom,
    ( esk671_4(X1,X2,X3,X4)
    | ~ esk670_4(X1,X2,X3,X4)
    | esk676_4(X1,X2,X3,X4) )).

cnf(i_0_1181,axiom,
    ( ~ esk803_4(X1,X2,X3,X4)
    | esk799_4(X1,X2,X3,X4) )).

cnf(i_0_1182,axiom,
    ( esk571_4(X1,X2,X3,X4)
    | esk554_4(X1,X2,X3,X4)
    | ~ esk569_4(X1,X2,X3,X4) )).

cnf(i_0_1183,axiom,
    ( esk580_4(X1,X2,X3,X4)
    | ~ esk581_4(X1,X2,X3,X4) )).

cnf(i_0_1184,axiom,
    ( ~ p(X1)
    | esk821_4(X1,X2,X3,X4) )).

cnf(i_0_1185,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk701_4(X1,X2,X3,X4)
    | esk292_0 )).

cnf(i_0_1186,axiom,
    ( esk473_4(X1,X2,X3,X4)
    | ~ esk456_4(X1,X2,X3,X4)
    | ~ esk472_4(X1,X2,X3,X4) )).

cnf(i_0_1187,axiom,
    ( esk901_4(X1,X2,X3,X4)
    | ~ esk905_4(X1,X2,X3,X4) )).

cnf(i_0_1188,axiom,
    ( ~ esk985_4(X1,X2,X3,X4)
    | esk796_4(X1,X2,X3,X4) )).

cnf(i_0_1189,axiom,
    ( ~ esk487_4(X1,X2,X3,X4)
    | esk477_4(X1,X2,X3,X4)
    | esk476_4(X1,X2,X3,X4) )).

cnf(i_0_1190,axiom,
    ( ~ esk22_0
    | ~ p(X1)
    | esk350_4(X1,X2,X3,X4) )).

cnf(i_0_1191,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | esk943_4(X1,X2,X3,X4) )).

cnf(i_0_1192,axiom,
    ( esk184_0
    | ~ esk553_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4) )).

cnf(i_0_1193,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | esk697_4(X1,X2,X3,X4)
    | ~ esk283_0 )).

cnf(i_0_1194,axiom,
    ( ~ esk703_4(X1,X2,X3,X4)
    | ~ esk571_4(X1,X2,X3,X4)
    | esk296_0 )).

cnf(i_0_1195,axiom,
    ( ~ esk1024_4(X1,X2,X3,X4)
    | esk920_4(X1,X2,X3,X4) )).

cnf(i_0_1196,axiom,
    ( esk522_4(X1,X2,X3,X4)
    | ~ esk293_0
    | esk702_4(X1,X2,X3,X4) )).

cnf(i_0_1197,axiom,
    ( ~ esk695_4(X1,X2,X3,X4)
    | esk709_4(X1,X2,X3,X4) )).

cnf(i_0_1198,axiom,
    ( ~ esk571_4(X1,X2,X3,X4)
    | ~ esk739_4(X1,X2,X3,X4)
    | esk321_0 )).

cnf(i_0_1199,axiom,
    ( ~ esk975_4(X1,X2,X3,X4)
    | esk976_4(X1,X2,X3,X4) )).

cnf(i_0_1200,axiom,
    ( ~ esk917_4(X1,X2,X3,X4)
    | esk913_4(X1,X2,X3,X4) )).

cnf(i_0_1201,axiom,
    ( ~ esk153_0
    | esk523_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_1202,axiom,
    ( esk422_4(X1,X2,X3,X4)
    | ~ esk77_0
    | esk404_4(X1,X2,X3,X4) )).

cnf(i_0_1203,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk314_0
    | esk736_4(X1,X2,X3,X4) )).

cnf(i_0_1204,axiom,
    ( esk829_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1205,axiom,
    ( esk365_4(X1,X2,X3,X4)
    | ~ esk366_4(X1,X2,X3,X4) )).

cnf(i_0_1206,axiom,
    ( ~ esk656_4(X1,X2,X3,X4)
    | ~ esk943_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1207,axiom,
    ( ~ esk445_4(X1,X2,X3,X4)
    | esk431_4(X1,X2,X3,X4)
    | esk432_4(X1,X2,X3,X4) )).

cnf(i_0_1208,axiom,
    ( ~ esk619_4(X1,X2,X3,X4)
    | esk224_0
    | ~ esk580_4(X1,X2,X3,X4) )).

cnf(i_0_1209,axiom,
    ( esk390_4(X1,X2,X3,X4)
    | esk399_4(X1,X2,X3,X4)
    | ~ esk397_4(X1,X2,X3,X4) )).

cnf(i_0_1210,axiom,
    ( esk774_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1211,axiom,
    ( esk898_4(X1,X2,X3,X4)
    | esk692_4(X1,X2,X3,X4) )).

cnf(i_0_1212,axiom,
    ( esk309_0
    | ~ esk733_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_1213,axiom,
    ( esk450_4(X1,X2,X3,X4)
    | ~ esk101_0
    | p(X3) )).

cnf(i_0_1214,axiom,
    ( ~ esk645_4(X1,X2,X3,X4)
    | esk646_4(X1,X2,X3,X4)
    | esk651_4(X1,X2,X3,X4) )).

cnf(i_0_1215,axiom,
    ( esk720_4(X1,X2,X3,X4)
    | ~ esk700_4(X1,X2,X3,X4) )).

cnf(i_0_1216,axiom,
    ( ~ esk999_4(X1,X2,X3,X4)
    | esk1000_4(X1,X2,X3,X4) )).

cnf(i_0_1217,axiom,
    ( ~ esk17_0
    | esk347_4(X1,X2,X3,X4)
    | esk329_4(X1,X2,X3,X4) )).

cnf(i_0_1218,axiom,
    ( esk930_4(X1,X2,X3,X4)
    | ~ esk934_4(X1,X2,X3,X4) )).

cnf(i_0_1219,axiom,
    ( p(X3)
    | esk807_4(X1,X2,X3,X4) )).

cnf(i_0_1220,axiom,
    ( ~ esk510_4(X1,X2,X3,X4)
    | esk506_4(X1,X2,X3,X4) )).

cnf(i_0_1221,axiom,
    ( esk453_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4)
    | ~ esk107_0 )).

cnf(i_0_1222,axiom,
    ( ~ esk405_4(X1,X2,X3,X4)
    | esk404_4(X1,X2,X3,X4) )).

cnf(i_0_1223,axiom,
    ( ~ p(X3)
    | esk194_0
    | ~ esk574_4(X1,X2,X3,X4) )).

cnf(i_0_1224,axiom,
    ( p(X4)
    | esk877_4(X1,X2,X3,X4) )).

cnf(i_0_1225,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | esk415_4(X1,X2,X3,X4)
    | ~ esk422_4(X1,X2,X3,X4) )).

cnf(i_0_1226,axiom,
    ( esk218_0
    | ~ esk601_4(X1,X2,X3,X4)
    | ~ esk399_4(X1,X2,X3,X4) )).

cnf(i_0_1227,axiom,
    ( ~ esk865_4(X1,X2,X3,X4)
    | esk863_4(X1,X2,X3,X4) )).

cnf(i_0_1228,axiom,
    ( p(X4)
    | esk728_4(X1,X2,X3,X4)
    | ~ esk922_4(X1,X2,X3,X4) )).

cnf(i_0_1229,axiom,
    ( ~ p(X3)
    | esk338_4(X1,X2,X3,X4)
    | ~ esk14_0 )).

cnf(i_0_1230,axiom,
    ( esk786_4(X1,X2,X3,X4)
    | ~ esk782_4(X1,X2,X3,X4)
    | esk783_4(X1,X2,X3,X4) )).

cnf(i_0_1231,axiom,
    ( ~ esk807_4(X1,X2,X3,X4)
    | esk806_4(X1,X2,X3,X4) )).

cnf(i_0_1232,axiom,
    ( ~ esk991_4(X1,X2,X3,X4)
    | esk999_4(X1,X2,X3,X4) )).

cnf(i_0_1233,axiom,
    ( ~ esk433_4(X1,X2,X3,X4)
    | ~ esk116_0
    | esk472_4(X1,X2,X3,X4) )).

cnf(i_0_1234,axiom,
    ( ~ esk336_4(X1,X2,X3,X4)
    | esk341_4(X1,X2,X3,X4) )).

cnf(i_0_1235,axiom,
    ( ~ esk414_4(X1,X2,X3,X4)
    | esk419_4(X1,X2,X3,X4) )).

cnf(i_0_1236,axiom,
    ( ~ esk1034_4(X1,X2,X3,X4)
    | esk955_4(X1,X2,X3,X4) )).

cnf(i_0_1237,axiom,
    ( ~ esk573_4(X1,X2,X3,X4)
    | esk191_0
    | p(X2) )).

cnf(i_0_1238,axiom,
    ( ~ esk453_4(X1,X2,X3,X4)
    | esk374_4(X1,X2,X3,X4)
    | esk107_0 )).

cnf(i_0_1239,axiom,
    ( ~ esk946_4(X1,X2,X3,X4)
    | esk950_4(X1,X2,X3,X4)
    | esk947_4(X1,X2,X3,X4) )).

cnf(i_0_1240,axiom,
    ( ~ esk821_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_1241,axiom,
    ( esk692_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk891_4(X1,X2,X3,X4) )).

cnf(i_0_1242,axiom,
    ( ~ p(X3)
    | ~ esk280_0
    | esk695_4(X1,X2,X3,X4) )).

cnf(i_0_1243,axiom,
    ( esk228_0
    | ~ esk622_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1244,axiom,
    ( esk952_4(X1,X2,X3,X4)
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_1245,axiom,
    ( ~ esk603_4(X1,X2,X3,X4)
    | esk604_4(X1,X2,X3,X4)
    | esk611_4(X1,X2,X3,X4) )).

cnf(i_0_1246,axiom,
    ( p(X4)
    | ~ esk696_4(X1,X2,X3,X4)
    | esk281_0 )).

cnf(i_0_1247,axiom,
    ( ~ esk779_4(X1,X2,X3,X4)
    | esk777_4(X1,X2,X3,X4) )).

cnf(i_0_1248,axiom,
    ( esk526_4(X1,X2,X3,X4)
    | ~ esk536_4(X1,X2,X3,X4)
    | esk525_4(X1,X2,X3,X4) )).

cnf(i_0_1249,axiom,
    ( esk1034_4(X1,X2,X3,X4)
    | ~ esk955_4(X1,X2,X3,X4)
    | ~ esk1036_4(X1,X2,X3,X4) )).

cnf(i_0_1250,axiom,
    ( esk782_4(X1,X2,X3,X4)
    | ~ esk981_4(X1,X2,X3,X4) )).

cnf(i_0_1251,axiom,
    ( ~ esk860_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk692_4(X1,X2,X3,X4) )).

cnf(i_0_1252,axiom,
    ( esk353_4(X1,X2,X3,X4)
    | ~ esk27_0
    | p(X4) )).

cnf(i_0_1253,axiom,
    ( esk1006_4(X1,X2,X3,X4)
    | ~ esk974_4(X1,X2,X3,X4) )).

cnf(i_0_1254,axiom,
    ( ~ esk327_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk6_0 )).

cnf(i_0_1255,axiom,
    ( esk415_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4)
    | esk422_4(X1,X2,X3,X4) )).

cnf(i_0_1256,axiom,
    ( esk412_4(X1,X2,X3,X4)
    | ~ esk72_0
    | ~ p(X2) )).

cnf(i_0_1257,axiom,
    ( ~ esk880_4(X1,X2,X3,X4)
    | esk1012_4(X1,X2,X3,X4)
    | ~ esk873_4(X1,X2,X3,X4) )).

cnf(i_0_1258,axiom,
    ( ~ esk458_4(X1,X2,X3,X4)
    | esk449_4(X1,X2,X3,X4)
    | esk448_4(X1,X2,X3,X4) )).

cnf(i_0_1259,axiom,
    ( ~ esk451_4(X1,X2,X3,X4)
    | esk103_0
    | p(X4) )).

cnf(i_0_1260,axiom,
    ( ~ esk777_4(X1,X2,X3,X4)
    | ~ esk782_4(X1,X2,X3,X4)
    | esk981_4(X1,X2,X3,X4) )).

cnf(i_0_1261,axiom,
    ( ~ esk941_4(X1,X2,X3,X4)
    | esk937_4(X1,X2,X3,X4) )).

cnf(i_0_1262,axiom,
    ( ~ esk426_4(X1,X2,X3,X4)
    | esk83_0
    | p(X2) )).

cnf(i_0_1263,axiom,
    ( esk824_4(X1,X2,X3,X4)
    | esk656_4(X1,X2,X3,X4) )).

cnf(i_0_1264,axiom,
    ( esk888_4(X1,X2,X3,X4)
    | esk891_4(X1,X2,X3,X4)
    | ~ esk887_4(X1,X2,X3,X4) )).

cnf(i_0_1265,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk456_4(X1,X2,X3,X4)
    | esk472_4(X1,X2,X3,X4) )).

cnf(i_0_1266,axiom,
    ( ~ esk375_4(X1,X2,X3,X4)
    | esk41_0
    | p(X1) )).

cnf(i_0_1267,axiom,
    ( esk640_4(X1,X2,X3,X4)
    | ~ esk642_4(X1,X2,X3,X4) )).

cnf(i_0_1268,axiom,
    ( esk1022_4(X1,X2,X3,X4)
    | ~ esk1030_4(X1,X2,X3,X4)
    | ~ esk1023_4(X1,X2,X3,X4) )).

cnf(i_0_1269,axiom,
    ( ~ esk766_4(X1,X2,X3,X4)
    | esk765_4(X1,X2,X3,X4) )).

cnf(i_0_1270,axiom,
    ( ~ esk884_4(X1,X2,X3,X4)
    | ~ esk656_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1271,axiom,
    ( esk687_4(X1,X2,X3,X4)
    | ~ esk666_4(X1,X2,X3,X4) )).

cnf(i_0_1272,axiom,
    ( p(X1)
    | esk968_4(X1,X2,X3,X4) )).

cnf(i_0_1273,axiom,
    ( ~ esk547_4(X1,X2,X3,X4)
    | esk556_4(X1,X2,X3,X4) )).

cnf(i_0_1274,axiom,
    ( ~ esk901_4(X1,X2,X3,X4)
    | esk902_4(X1,X2,X3,X4)
    | esk905_4(X1,X2,X3,X4) )).

cnf(i_0_1275,axiom,
    ( esk707_4(X1,X2,X3,X4)
    | ~ esk693_4(X1,X2,X3,X4) )).

cnf(i_0_1276,axiom,
    ( ~ p(X4)
    | esk477_4(X1,X2,X3,X4)
    | ~ esk124_0 )).

cnf(i_0_1277,axiom,
    ( esk297_0
    | esk620_4(X1,X2,X3,X4)
    | ~ esk704_4(X1,X2,X3,X4) )).

cnf(i_0_1278,axiom,
    ( ~ esk759_4(X1,X2,X3,X4)
    | esk753_4(X1,X2,X3,X4) )).

cnf(i_0_1279,axiom,
    ( esk1024_4(X1,X2,X3,X4)
    | ~ esk1023_4(X1,X2,X3,X4) )).

cnf(i_0_1280,axiom,
    ( ~ p(X2)
    | esk881_4(X1,X2,X3,X4) )).

cnf(i_0_1281,axiom,
    ( ~ esk344_4(X1,X2,X3,X4)
    | esk340_4(X1,X2,X3,X4) )).

cnf(i_0_1282,axiom,
    ( ~ esk429_4(X1,X2,X3,X4)
    | esk442_4(X1,X2,X3,X4) )).

cnf(i_0_1283,axiom,
    ( esk661_4(X1,X2,X3,X4)
    | esk662_4(X1,X2,X3,X4)
    | ~ esk678_4(X1,X2,X3,X4) )).

cnf(i_0_1284,axiom,
    ( p(X3)
    | ~ esk659_4(X1,X2,X3,X4)
    | esk254_0 )).

cnf(i_0_1285,axiom,
    ( ~ esk379_4(X1,X2,X3,X4)
    | ~ esk398_4(X1,X2,X3,X4)
    | esk60_0 )).

cnf(i_0_1286,axiom,
    ( ~ esk670_4(X1,X2,X3,X4)
    | esk669_4(X1,X2,X3,X4) )).

cnf(i_0_1287,axiom,
    ( esk456_4(X1,X2,X3,X4)
    | ~ esk464_4(X1,X2,X3,X4) )).

cnf(i_0_1288,axiom,
    ( esk922_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1289,axiom,
    ( ~ p(X4)
    | esk943_4(X1,X2,X3,X4) )).

cnf(i_0_1290,axiom,
    ( esk402_4(X1,X2,X3,X4)
    | ~ esk65_0
    | p(X3) )).

cnf(i_0_1291,axiom,
    ( esk490_4(X1,X2,X3,X4)
    | ~ esk494_4(X1,X2,X3,X4) )).

cnf(i_0_1292,axiom,
    ( esk941_4(X1,X2,X3,X4)
    | ~ esk937_4(X1,X2,X3,X4)
    | esk938_4(X1,X2,X3,X4) )).

cnf(i_0_1293,axiom,
    ( ~ p(X3)
    | esk210_0
    | ~ esk597_4(X1,X2,X3,X4) )).

cnf(i_0_1294,axiom,
    ( esk552_4(X1,X2,X3,X4)
    | esk553_4(X1,X2,X3,X4)
    | ~ esk566_4(X1,X2,X3,X4) )).

cnf(i_0_1295,axiom,
    ( esk123_0
    | p(X4)
    | ~ esk477_4(X1,X2,X3,X4) )).

cnf(i_0_1296,axiom,
    ( esk925_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1297,axiom,
    ( esk125_0
    | ~ esk478_4(X1,X2,X3,X4)
    | esk349_4(X1,X2,X3,X4) )).

cnf(i_0_1298,axiom,
    ( ~ esk351_4(X1,X2,X3,X4)
    | esk355_4(X1,X2,X3,X4) )).

cnf(i_0_1299,axiom,
    ( esk910_4(X1,X2,X3,X4)
    | ~ esk728_4(X1,X2,X3,X4) )).

cnf(i_0_1300,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | ~ esk700_4(X1,X2,X3,X4)
    | esk290_0 )).

cnf(i_0_1301,axiom,
    ( ~ p(X4)
    | ~ esk328_4(X1,X2,X3,X4)
    | esk8_0 )).

cnf(i_0_1302,axiom,
    ( ~ esk282_0
    | ~ p(X4)
    | esk696_4(X1,X2,X3,X4) )).

cnf(i_0_1303,axiom,
    ( ~ esk833_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_1304,axiom,
    ( ~ esk226_0
    | esk621_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1305,axiom,
    ( ~ esk452_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | esk106_0 )).

cnf(i_0_1306,axiom,
    ( esk202_0
    | ~ esk399_4(X1,X2,X3,X4)
    | ~ esk578_4(X1,X2,X3,X4) )).

cnf(i_0_1307,axiom,
    ( esk984_4(X1,X2,X3,X4)
    | ~ esk976_4(X1,X2,X3,X4) )).

cnf(i_0_1308,axiom,
    ( ~ esk431_4(X1,X2,X3,X4)
    | esk445_4(X1,X2,X3,X4) )).

cnf(i_0_1309,axiom,
    ( ~ esk673_4(X1,X2,X3,X4)
    | esk671_4(X1,X2,X3,X4) )).

cnf(i_0_1310,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | esk201_0
    | ~ esk578_4(X1,X2,X3,X4) )).

cnf(i_0_1311,axiom,
    ( ~ esk358_4(X1,X2,X3,X4)
    | esk354_4(X1,X2,X3,X4) )).

cnf(i_0_1312,axiom,
    ( ~ esk937_4(X1,X2,X3,X4)
    | esk1031_4(X1,X2,X3,X4)
    | ~ esk946_4(X1,X2,X3,X4) )).

cnf(i_0_1313,axiom,
    ( ~ esk531_4(X1,X2,X3,X4)
    | esk532_4(X1,X2,X3,X4)
    | esk539_4(X1,X2,X3,X4) )).

cnf(i_0_1314,axiom,
    ( esk126_0
    | ~ esk478_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4) )).

cnf(i_0_1315,axiom,
    ( esk974_4(X1,X2,X3,X4) )).

cnf(i_0_1316,axiom,
    ( esk628_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4)
    | ~ esk239_0 )).

cnf(i_0_1317,axiom,
    ( ~ esk599_4(X1,X2,X3,X4)
    | esk612_4(X1,X2,X3,X4) )).

cnf(i_0_1318,axiom,
    ( ~ esk1036_4(X1,X2,X3,X4)
    | esk967_4(X1,X2,X3,X4) )).

cnf(i_0_1319,axiom,
    ( ~ esk625_4(X1,X2,X3,X4)
    | esk642_4(X1,X2,X3,X4) )).

cnf(i_0_1320,axiom,
    ( p(X4)
    | ~ esk123_0
    | esk477_4(X1,X2,X3,X4) )).

cnf(i_0_1321,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk108_0
    | esk453_4(X1,X2,X3,X4) )).

cnf(i_0_1322,axiom,
    ( ~ esk656_4(X1,X2,X3,X4)
    | esk959_4(X1,X2,X3,X4) )).

cnf(i_0_1323,axiom,
    ( ~ esk169_0
    | p(X1)
    | esk546_4(X1,X2,X3,X4) )).

cnf(i_0_1324,axiom,
    ( esk473_4(X1,X2,X3,X4)
    | ~ esk629_4(X1,X2,X3,X4)
    | esk241_0 )).

cnf(i_0_1325,axiom,
    ( ~ esk548_4(X1,X2,X3,X4)
    | esk559_4(X1,X2,X3,X4) )).

cnf(i_0_1326,axiom,
    ( p(X1)
    | ~ esk827_4(X1,X2,X3,X4)
    | esk829_4(X1,X2,X3,X4) )).

cnf(i_0_1327,axiom,
    ( esk301_0
    | ~ esk729_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1328,axiom,
    ( esk458_4(X1,X2,X3,X4)
    | ~ esk448_4(X1,X2,X3,X4) )).

cnf(i_0_1329,axiom,
    ( esk434_4(X1,X2,X3,X4)
    | ~ esk438_4(X1,X2,X3,X4) )).

cnf(i_0_1330,axiom,
    ( ~ esk714_4(X1,X2,X3,X4)
    | esk712_4(X1,X2,X3,X4) )).

cnf(i_0_1331,axiom,
    ( esk833_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_1332,axiom,
    ( ~ esk374_4(X1,X2,X3,X4)
    | ~ esk662_4(X1,X2,X3,X4)
    | esk261_0 )).

cnf(i_0_1333,axiom,
    ( ~ esk910_4(X1,X2,X3,X4)
    | esk908_4(X1,X2,X3,X4) )).

cnf(i_0_1334,axiom,
    ( esk714_4(X1,X2,X3,X4)
    | esk696_4(X1,X2,X3,X4)
    | ~ esk712_4(X1,X2,X3,X4) )).

cnf(i_0_1335,axiom,
    ( esk657_4(X1,X2,X3,X4)
    | esk673_4(X1,X2,X3,X4)
    | ~ esk671_4(X1,X2,X3,X4) )).

cnf(i_0_1336,axiom,
    ( ~ esk450_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk102_0 )).

cnf(i_0_1337,axiom,
    ( esk898_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1338,axiom,
    ( esk458_4(X1,X2,X3,X4)
    | ~ esk449_4(X1,X2,X3,X4) )).

cnf(i_0_1339,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk131_0
    | esk481_4(X1,X2,X3,X4) )).

cnf(i_0_1340,axiom,
    ( ~ esk399_4(X1,X2,X3,X4)
    | ~ esk431_4(X1,X2,X3,X4)
    | esk94_0 )).

cnf(i_0_1341,axiom,
    ( ~ esk205_0
    | p(X1)
    | esk595_4(X1,X2,X3,X4) )).

cnf(i_0_1342,axiom,
    ( esk730_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk303_0 )).

cnf(i_0_1343,axiom,
    ( ~ esk473_4(X1,X2,X3,X4)
    | ~ esk665_4(X1,X2,X3,X4)
    | esk267_0 )).

cnf(i_0_1344,axiom,
    ( esk701_4(X1,X2,X3,X4)
    | ~ esk291_0
    | esk473_4(X1,X2,X3,X4) )).

cnf(i_0_1345,axiom,
    ( esk635_4(X1,X2,X3,X4)
    | ~ esk637_4(X1,X2,X3,X4) )).

cnf(i_0_1346,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | esk132_0
    | ~ esk481_4(X1,X2,X3,X4) )).

cnf(i_0_1347,axiom,
    ( ~ esk569_4(X1,X2,X3,X4)
    | esk531_4(X1,X2,X3,X4)
    | esk185_0 )).

cnf(i_0_1348,axiom,
    ( esk434_4(X1,X2,X3,X4)
    | esk441_4(X1,X2,X3,X4)
    | ~ esk433_4(X1,X2,X3,X4) )).

cnf(i_0_1349,axiom,
    ( ~ p(X2)
    | ~ esk547_4(X1,X2,X3,X4)
    | esk172_0 )).

cnf(i_0_1350,axiom,
    ( esk70_0
    | ~ esk411_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1351,axiom,
    ( esk374_4(X1,X2,X3,X4)
    | esk577_4(X1,X2,X3,X4)
    | ~ esk199_0 )).

cnf(i_0_1352,axiom,
    ( esk604_4(X1,X2,X3,X4)
    | ~ esk605_4(X1,X2,X3,X4) )).

cnf(i_0_1353,axiom,
    ( esk58_0
    | ~ esk397_4(X1,X2,X3,X4)
    | ~ esk379_4(X1,X2,X3,X4) )).

cnf(i_0_1354,axiom,
    ( ~ esk150_0
    | ~ esk482_4(X1,X2,X3,X4)
    | esk520_4(X1,X2,X3,X4) )).

cnf(i_0_1355,axiom,
    ( esk399_4(X1,X2,X3,X4)
    | ~ esk601_4(X1,X2,X3,X4)
    | esk217_0 )).

cnf(i_0_1356,axiom,
    ( ~ esk860_4(X1,X2,X3,X4)
    | esk856_4(X1,X2,X3,X4) )).

cnf(i_0_1357,axiom,
    ( esk709_4(X1,X2,X3,X4)
    | ~ esk694_4(X1,X2,X3,X4) )).

cnf(i_0_1358,axiom,
    ( esk702_4(X1,X2,X3,X4)
    | ~ esk294_0
    | ~ esk522_4(X1,X2,X3,X4) )).

cnf(i_0_1359,axiom,
    ( p(X4)
    | ~ esk865_4(X1,X2,X3,X4)
    | esk728_4(X1,X2,X3,X4) )).

cnf(i_0_1360,axiom,
    ( ~ esk156_0
    | esk524_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1361,axiom,
    ( esk856_4(X1,X2,X3,X4)
    | ~ esk1003_4(X1,X2,X3,X4) )).

cnf(i_0_1362,axiom,
    ( ~ esk653_4(X1,X2,X3,X4)
    | esk631_4(X1,X2,X3,X4)
    | esk632_4(X1,X2,X3,X4) )).

cnf(i_0_1363,axiom,
    ( ~ esk451_4(X1,X2,X3,X4)
    | esk461_4(X1,X2,X3,X4) )).

cnf(i_0_1364,axiom,
    ( ~ esk556_4(X1,X2,X3,X4)
    | esk555_4(X1,X2,X3,X4) )).

cnf(i_0_1365,axiom,
    ( esk962_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1366,axiom,
    ( esk656_4(X1,X2,X3,X4)
    | esk769_4(X1,X2,X3,X4) )).

cnf(i_0_1367,axiom,
    ( esk735_4(X1,X2,X3,X4)
    | ~ esk312_0
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_1368,axiom,
    ( ~ esk80_0
    | esk423_4(X1,X2,X3,X4)
    | ~ esk404_4(X1,X2,X3,X4) )).

cnf(i_0_1369,axiom,
    ( esk571_4(X1,X2,X3,X4)
    | esk703_4(X1,X2,X3,X4)
    | ~ esk295_0 )).

cnf(i_0_1370,axiom,
    ( esk799_4(X1,X2,X3,X4)
    | ~ esk800_4(X1,X2,X3,X4) )).

cnf(i_0_1371,axiom,
    ( esk1015_4(X1,X2,X3,X4)
    | ~ esk1019_4(X1,X2,X3,X4)
    | ~ esk1016_4(X1,X2,X3,X4) )).

cnf(i_0_1372,axiom,
    ( ~ esk349_4(X1,X2,X3,X4)
    | esk733_4(X1,X2,X3,X4)
    | ~ esk309_0 )).

cnf(i_0_1373,axiom,
    ( esk247_0
    | ~ esk632_4(X1,X2,X3,X4)
    | esk620_4(X1,X2,X3,X4) )).

cnf(i_0_1374,axiom,
    ( ~ esk424_4(X1,X2,X3,X4)
    | ~ esk415_4(X1,X2,X3,X4)
    | esk423_4(X1,X2,X3,X4) )).

cnf(i_0_1375,axiom,
    ( esk913_4(X1,X2,X3,X4)
    | ~ esk1024_4(X1,X2,X3,X4) )).

cnf(i_0_1376,axiom,
    ( esk993_4(X1,X2,X3,X4)
    | ~ esk992_4(X1,X2,X3,X4) )).

cnf(i_0_1377,axiom,
    ( esk571_4(X1,X2,X3,X4)
    | ~ esk631_4(X1,X2,X3,X4)
    | esk245_0 )).

cnf(i_0_1378,axiom,
    ( ~ esk941_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk943_4(X1,X2,X3,X4) )).

cnf(i_0_1379,axiom,
    ( esk505_4(X1,X2,X3,X4)
    | ~ esk513_4(X1,X2,X3,X4) )).

cnf(i_0_1380,axiom,
    ( esk26_0
    | ~ p(X3)
    | ~ esk352_4(X1,X2,X3,X4) )).

cnf(i_0_1381,axiom,
    ( ~ esk735_4(X1,X2,X3,X4)
    | esk312_0
    | esk399_4(X1,X2,X3,X4) )).

cnf(i_0_1382,axiom,
    ( ~ esk612_4(X1,X2,X3,X4)
    | esk611_4(X1,X2,X3,X4) )).

cnf(i_0_1383,axiom,
    ( ~ esk491_4(X1,X2,X3,X4)
    | esk479_4(X1,X2,X3,X4)
    | esk478_4(X1,X2,X3,X4) )).

cnf(i_0_1384,axiom,
    ( esk131_0
    | esk424_4(X1,X2,X3,X4)
    | ~ esk481_4(X1,X2,X3,X4) )).

cnf(i_0_1385,axiom,
    ( ~ esk230_0
    | esk623_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1386,axiom,
    ( ~ esk167_0
    | esk530_4(X1,X2,X3,X4)
    | esk424_4(X1,X2,X3,X4) )).

cnf(i_0_1387,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk947_4(X1,X2,X3,X4) )).

cnf(i_0_1388,axiom,
    ( esk424_4(X1,X2,X3,X4)
    | ~ esk602_4(X1,X2,X3,X4)
    | esk219_0 )).

cnf(i_0_1389,axiom,
    ( esk327_4(X1,X2,X3,X4)
    | ~ esk6_0
    | ~ p(X3) )).

cnf(i_0_1390,axiom,
    ( esk653_4(X1,X2,X3,X4)
    | ~ esk631_4(X1,X2,X3,X4) )).

cnf(i_0_1391,axiom,
    ( ~ esk687_4(X1,X2,X3,X4)
    | esk689_4(X1,X2,X3,X4)
    | esk666_4(X1,X2,X3,X4) )).

cnf(i_0_1392,axiom,
    ( esk732_4(X1,X2,X3,X4)
    | ~ esk748_4(X1,X2,X3,X4)
    | esk750_4(X1,X2,X3,X4) )).

cnf(i_0_1393,axiom,
    ( ~ p(X2)
    | esk783_4(X1,X2,X3,X4) )).

cnf(i_0_1394,axiom,
    ( ~ esk325_4(X1,X2,X3,X4)
    | esk330_4(X1,X2,X3,X4) )).

cnf(i_0_1395,axiom,
    ( ~ p(X1)
    | esk251_0
    | ~ esk657_4(X1,X2,X3,X4) )).

cnf(i_0_1396,axiom,
    ( ~ esk668_4(X1,X2,X3,X4)
    | esk689_4(X1,X2,X3,X4) )).

cnf(i_0_1397,axiom,
    ( ~ esk292_0
    | esk701_4(X1,X2,X3,X4)
    | ~ esk473_4(X1,X2,X3,X4) )).

cnf(i_0_1398,axiom,
    ( esk373_4(X1,X2,X3,X4)
    | ~ esk354_4(X1,X2,X3,X4)
    | ~ esk40_0 )).

cnf(i_0_1399,axiom,
    ( ~ esk599_4(X1,X2,X3,X4)
    | ~ esk349_4(X1,X2,X3,X4)
    | esk214_0 )).

cnf(i_0_1400,axiom,
    ( ~ esk391_4(X1,X2,X3,X4)
    | esk386_4(X1,X2,X3,X4)
    | esk387_4(X1,X2,X3,X4) )).

cnf(i_0_1401,axiom,
    ( esk391_4(X1,X2,X3,X4)
    | ~ esk386_4(X1,X2,X3,X4) )).

cnf(i_0_1402,axiom,
    ( ~ esk736_4(X1,X2,X3,X4)
    | ~ esk424_4(X1,X2,X3,X4)
    | esk315_0 )).

cnf(i_0_1403,axiom,
    ( esk632_4(X1,X2,X3,X4)
    | ~ esk248_0
    | ~ esk620_4(X1,X2,X3,X4) )).

cnf(i_0_1404,axiom,
    ( esk814_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1405,axiom,
    ( ~ p(X1)
    | esk411_4(X1,X2,X3,X4)
    | ~ esk70_0 )).

cnf(i_0_1406,axiom,
    ( ~ esk653_4(X1,X2,X3,X4)
    | esk651_4(X1,X2,X3,X4) )).

cnf(i_0_1407,axiom,
    ( esk630_4(X1,X2,X3,X4)
    | esk522_4(X1,X2,X3,X4)
    | ~ esk243_0 )).

cnf(i_0_1408,axiom,
    ( esk59_0
    | ~ esk398_4(X1,X2,X3,X4)
    | esk379_4(X1,X2,X3,X4) )).

cnf(i_0_1409,axiom,
    ( ~ esk383_4(X1,X2,X3,X4)
    | esk379_4(X1,X2,X3,X4) )).

cnf(i_0_1410,axiom,
    ( esk349_4(X1,X2,X3,X4)
    | ~ esk308_0
    | esk733_4(X1,X2,X3,X4) )).

cnf(i_0_1411,axiom,
    ( esk24_0
    | ~ p(X2)
    | ~ esk351_4(X1,X2,X3,X4) )).

cnf(i_0_1412,axiom,
    ( esk676_4(X1,X2,X3,X4)
    | ~ esk678_4(X1,X2,X3,X4) )).

cnf(i_0_1413,axiom,
    ( esk764_4(X1,X2,X3,X4)
    | esk927_4(X1,X2,X3,X4) )).

cnf(i_0_1414,axiom,
    ( esk857_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1415,axiom,
    ( esk588_4(X1,X2,X3,X4)
    | esk581_4(X1,X2,X3,X4)
    | ~ esk580_4(X1,X2,X3,X4) )).

cnf(i_0_1416,axiom,
    ( esk318_0
    | esk522_4(X1,X2,X3,X4)
    | ~ esk738_4(X1,X2,X3,X4) )).

cnf(i_0_1417,axiom,
    ( esk782_4(X1,X2,X3,X4)
    | ~ esk783_4(X1,X2,X3,X4) )).

cnf(i_0_1418,axiom,
    ( esk499_4(X1,X2,X3,X4)
    | esk500_4(X1,X2,X3,X4)
    | ~ esk510_4(X1,X2,X3,X4) )).

cnf(i_0_1419,axiom,
    ( ~ p(X3)
    | esk499_4(X1,X2,X3,X4)
    | ~ esk138_0 )).

cnf(i_0_1420,axiom,
    ( esk836_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1421,axiom,
    ( esk434_4(X1,X2,X3,X4)
    | ~ esk435_4(X1,X2,X3,X4) )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
