%------------------------------------------------------------------------------
% File     : HWV079-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Hardware Verification
% Problem  : QBFLib problem from the FPGA_PLB_FIT_FAST family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : lut4_AND_f1-shuffled [Sei12]

% Status   : Satisfiable
% Rating   : 0.50 v6.1.0, 0.60 v6.0.0
% Syntax   : Number of clauses     :  678 ( 619 non-Horn;   3 unit; 556 RR)
%            Number of atoms       : 4682 (   1 equality)
%            Maximal clause size   :    9 (   7 average)
%            Number of predicates  :   69 (  56 propositional; 0-8 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 3608 ( 896 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3) )).

cnf(i_0_2,axiom,
    ( ~ esk35_0
    | esk55_0
    | esk33_0
    | ~ esk56_0
    | esk34_0
    | esk54_0 )).

cnf(i_0_3,axiom,
    ( p(X5)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_4,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_5,axiom,
    ( ~ esk34_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | esk33_0
    | ~ esk35_0 )).

cnf(i_0_6,axiom,
    ( ~ esk36_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk49_0
    | ~ esk48_0
    | ~ esk50_0 )).

cnf(i_0_7,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X7)
    | p(X2) )).

cnf(i_0_8,axiom,
    ( ~ esk53_0
    | esk43_0
    | esk52_0
    | ~ esk44_0
    | esk51_0
    | esk42_0 )).

cnf(i_0_9,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X4) )).

cnf(i_0_10,axiom,
    ( esk39_0
    | esk51_0
    | ~ esk41_0
    | ~ esk52_0
    | ~ esk40_0
    | ~ esk53_0 )).

cnf(i_0_11,axiom,
    ( esk34_0
    | p(X6)
    | ~ esk33_0
    | ~ esk35_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_12,axiom,
    ( esk39_0
    | ~ esk52_0
    | esk51_0
    | esk53_0
    | esk41_0
    | ~ esk40_0 )).

cnf(i_0_13,axiom,
    ( ~ esk47_0
    | ~ esk35_0
    | esk33_0
    | esk45_0
    | ~ esk34_0
    | ~ esk46_0 )).

cnf(i_0_14,axiom,
    ( p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X8)
    | p(X1) )).

cnf(i_0_15,axiom,
    ( esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk38_0
    | ~ esk37_0
    | esk36_0
    | ~ p(X3) )).

cnf(i_0_16,axiom,
    ( esk40_0
    | esk36_0
    | esk39_0
    | esk41_0
    | esk37_0
    | esk38_0 )).

cnf(i_0_17,axiom,
    ( p(X4)
    | ~ esk42_0
    | ~ esk43_0
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk44_0 )).

cnf(i_0_18,axiom,
    ( esk52_0
    | esk50_0
    | ~ esk51_0
    | ~ esk48_0
    | esk49_0
    | esk53_0 )).

cnf(i_0_19,axiom,
    ( esk53_0
    | esk52_0
    | esk51_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1) )).

cnf(i_0_20,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_21,axiom,
    ( esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk39_0
    | ~ p(X6)
    | ~ esk41_0
    | esk40_0 )).

cnf(i_0_22,axiom,
    ( esk48_0
    | ~ esk49_0
    | esk35_0
    | ~ esk34_0
    | esk33_0
    | esk50_0 )).

cnf(i_0_23,axiom,
    ( esk43_0
    | ~ esk33_0
    | ~ esk35_0
    | ~ esk44_0
    | ~ esk42_0
    | esk34_0 )).

cnf(i_0_24,axiom,
    ( p(X8)
    | ~ esk38_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk36_0
    | ~ esk37_0 )).

cnf(i_0_25,axiom,
    ( esk36_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk43_0
    | esk42_0
    | ~ esk44_0 )).

cnf(i_0_26,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4) )).

cnf(i_0_27,axiom,
    ( ~ esk34_0
    | esk33_0
    | esk35_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3) )).

cnf(i_0_28,axiom,
    ( ~ esk35_0
    | esk33_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ esk34_0 )).

cnf(i_0_29,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1) )).

cnf(i_0_30,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_31,axiom,
    ( ~ esk34_0
    | ~ esk53_0
    | esk51_0
    | esk33_0
    | ~ esk35_0
    | ~ esk52_0 )).

cnf(i_0_32,axiom,
    ( esk44_0
    | ~ esk54_0
    | ~ esk55_0
    | ~ esk43_0
    | ~ esk42_0
    | esk56_0 )).

cnf(i_0_33,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk31_0 )).

cnf(i_0_34,axiom,
    ( esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ esk40_0
    | esk41_0
    | ~ esk39_0 )).

cnf(i_0_35,axiom,
    ( ~ esk51_0
    | ~ esk56_0
    | ~ esk53_0
    | esk52_0
    | esk55_0
    | ~ esk54_0 )).

cnf(i_0_36,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_37,axiom,
    ( esk48_0
    | ~ esk49_0
    | ~ p(X7)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk50_0 )).

cnf(i_0_38,axiom,
    ( ~ esk35_0
    | esk49_0
    | esk34_0
    | ~ esk50_0
    | ~ esk48_0
    | ~ esk33_0 )).

cnf(i_0_39,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2) )).

cnf(i_0_40,axiom,
    ( esk33_0
    | esk44_0
    | esk43_0
    | esk34_0
    | esk42_0
    | esk35_0 )).

cnf(i_0_41,axiom,
    ( p(X8)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_42,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk55_0
    | ~ esk56_0
    | p(X7)
    | esk54_0 )).

cnf(i_0_43,axiom,
    ( ~ esk39_0
    | esk40_0
    | esk52_0
    | ~ esk41_0
    | ~ esk53_0
    | ~ esk51_0 )).

cnf(i_0_44,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk36_0
    | esk37_0
    | p(X6)
    | ~ esk38_0 )).

cnf(i_0_45,axiom,
    ( esk55_0
    | esk54_0
    | esk56_0
    | esk44_0
    | esk43_0
    | esk42_0 )).

cnf(i_0_46,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X2) )).

cnf(i_0_47,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X5) )).

cnf(i_0_48,axiom,
    ( p(X3)
    | p(X1)
    | p(X5)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_49,axiom,
    ( ~ esk49_0
    | esk50_0
    | esk36_0
    | esk38_0
    | esk48_0
    | ~ esk37_0 )).

cnf(i_0_50,axiom,
    ( esk49_0
    | esk43_0
    | esk44_0
    | esk42_0
    | esk48_0
    | esk50_0 )).

cnf(i_0_51,axiom,
    ( ~ esk41_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk39_0
    | ~ esk40_0
    | ~ p(X7) )).

cnf(i_0_52,axiom,
    ( p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_53,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6) )).

cnf(i_0_54,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4) )).

cnf(i_0_55,axiom,
    ( esk44_0
    | ~ esk42_0
    | esk38_0
    | esk37_0
    | ~ esk36_0
    | esk43_0 )).

cnf(i_0_56,axiom,
    ( p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_57,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_58,axiom,
    ( p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_59,axiom,
    ( ~ p(X8)
    | p(X2)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_60,axiom,
    ( esk54_0
    | ~ esk55_0
    | esk56_0
    | ~ esk34_0
    | esk33_0
    | esk35_0 )).

cnf(i_0_61,axiom,
    ( esk41_0
    | esk47_0
    | esk46_0
    | esk40_0
    | ~ esk45_0
    | ~ esk39_0 )).

cnf(i_0_62,axiom,
    ( esk34_0
    | ~ esk33_0
    | esk46_0
    | esk47_0
    | ~ esk45_0
    | esk35_0 )).

cnf(i_0_63,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_64,axiom,
    ( ~ esk51_0
    | ~ esk33_0
    | ~ esk53_0
    | esk34_0
    | ~ esk35_0
    | esk52_0 )).

cnf(i_0_65,axiom,
    ( esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk2_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_66,axiom,
    ( esk48_0
    | ~ esk50_0
    | ~ esk43_0
    | ~ esk44_0
    | ~ esk49_0
    | esk42_0 )).

cnf(i_0_67,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X5)
    | p(X2) )).

cnf(i_0_68,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_69,axiom,
    ( ~ esk35_0
    | ~ p(X6)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk34_0
    | ~ esk33_0 )).

cnf(i_0_70,axiom,
    ( esk49_0
    | ~ esk48_0
    | esk34_0
    | esk35_0
    | ~ esk33_0
    | esk50_0 )).

cnf(i_0_71,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X8) )).

cnf(i_0_72,axiom,
    ( ~ esk2_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_73,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_74,axiom,
    ( esk50_0
    | ~ p(X4)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk48_0
    | ~ esk49_0 )).

cnf(i_0_75,axiom,
    ( p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | p(X3) )).

cnf(i_0_76,axiom,
    ( esk53_0
    | esk41_0
    | ~ esk39_0
    | ~ esk40_0
    | ~ esk51_0
    | ~ esk52_0 )).

cnf(i_0_77,axiom,
    ( ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk30_0
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_78,axiom,
    ( ~ esk47_0
    | ~ esk44_0
    | ~ esk43_0
    | ~ esk46_0
    | esk45_0
    | esk42_0 )).

cnf(i_0_79,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_80,axiom,
    ( esk55_0
    | ~ esk44_0
    | ~ esk56_0
    | esk54_0
    | esk43_0
    | esk42_0 )).

cnf(i_0_81,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_82,axiom,
    ( ~ p(X5)
    | esk37_0
    | ~ esk38_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk36_0 )).

cnf(i_0_83,axiom,
    ( ~ esk45_0
    | esk47_0
    | esk46_0
    | ~ p(X2)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_84,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_85,axiom,
    ( p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_86,axiom,
    ( p(X5)
    | p(X7)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_87,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_88,axiom,
    ( p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_89,axiom,
    ( ~ esk46_0
    | ~ esk37_0
    | esk36_0
    | esk38_0
    | esk47_0
    | esk45_0 )).

cnf(i_0_90,axiom,
    ( ~ esk43_0
    | esk44_0
    | esk35_0
    | ~ esk34_0
    | ~ esk42_0
    | ~ esk33_0 )).

cnf(i_0_91,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_92,axiom,
    ( esk45_0
    | esk46_0
    | esk53_0
    | esk51_0
    | esk52_0
    | esk47_0 )).

cnf(i_0_93,axiom,
    ( ~ esk45_0
    | ~ esk46_0
    | ~ esk56_0
    | ~ esk54_0
    | ~ esk55_0
    | ~ esk47_0 )).

cnf(i_0_94,axiom,
    ( ~ p(X3)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk43_0
    | esk42_0
    | esk44_0 )).

cnf(i_0_95,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_96,axiom,
    ( esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk35_0
    | esk34_0
    | ~ p(X5)
    | esk33_0 )).

cnf(i_0_97,axiom,
    ( esk51_0
    | esk53_0
    | p(X1)
    | esk52_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_98,axiom,
    ( esk50_0
    | ~ esk45_0
    | esk47_0
    | ~ esk48_0
    | ~ esk49_0
    | ~ esk46_0 )).

cnf(i_0_99,axiom,
    ( ~ esk45_0
    | ~ esk40_0
    | esk41_0
    | esk47_0
    | ~ esk46_0
    | ~ esk39_0 )).

cnf(i_0_100,axiom,
    ( p(X7)
    | p(X4)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_101,axiom,
    ( esk27_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_102,axiom,
    ( ~ p(X5)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk47_0
    | esk45_0
    | esk46_0 )).

cnf(i_0_103,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_104,axiom,
    ( esk52_0
    | ~ esk53_0
    | ~ esk51_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6) )).

cnf(i_0_105,axiom,
    ( esk38_0
    | esk35_0
    | esk33_0
    | ~ esk37_0
    | esk36_0
    | ~ esk34_0 )).

cnf(i_0_106,axiom,
    ( esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk5_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_107,axiom,
    ( esk34_0
    | esk37_0
    | ~ esk36_0
    | ~ esk33_0
    | esk35_0
    | esk38_0 )).

cnf(i_0_108,axiom,
    ( esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk5_0 )).

cnf(i_0_109,axiom,
    ( ~ esk50_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk49_0
    | p(X6)
    | ~ esk48_0 )).

cnf(i_0_110,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X8) )).

cnf(i_0_111,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_112,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_113,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_114,axiom,
    ( esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk12_0 )).

cnf(i_0_115,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_116,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_117,axiom,
    ( esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk1_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_118,axiom,
    ( esk50_0
    | esk41_0
    | ~ esk39_0
    | ~ esk48_0
    | ~ esk40_0
    | ~ esk49_0 )).

cnf(i_0_119,axiom,
    ( p(X6)
    | esk40_0
    | ~ esk41_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk39_0 )).

cnf(i_0_120,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk16_0 )).

cnf(i_0_121,axiom,
    ( esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk11_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_122,axiom,
    ( ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk31_0
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_123,axiom,
    ( p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_124,axiom,
    ( ~ esk40_0
    | ~ esk37_0
    | esk38_0
    | esk36_0
    | esk39_0
    | esk41_0 )).

cnf(i_0_125,axiom,
    ( esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk35_0
    | ~ p(X8)
    | ~ esk34_0
    | ~ esk33_0 )).

cnf(i_0_126,axiom,
    ( p(X8)
    | ~ esk51_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk52_0
    | ~ esk53_0 )).

cnf(i_0_127,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_128,axiom,
    ( esk46_0
    | esk47_0
    | p(X1)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk45_0 )).

cnf(i_0_129,axiom,
    ( ~ esk36_0
    | esk43_0
    | ~ esk42_0
    | ~ esk44_0
    | ~ esk38_0
    | esk37_0 )).

cnf(i_0_130,axiom,
    ( ~ esk38_0
    | esk37_0
    | ~ esk41_0
    | esk36_0
    | esk40_0
    | esk39_0 )).

cnf(i_0_131,axiom,
    ( esk49_0
    | esk34_0
    | ~ esk35_0
    | esk48_0
    | esk33_0
    | ~ esk50_0 )).

cnf(i_0_132,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_133,axiom,
    ( ~ esk36_0
    | esk37_0
    | esk52_0
    | ~ esk53_0
    | ~ esk51_0
    | ~ esk38_0 )).

cnf(i_0_134,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk7_0 )).

cnf(i_0_135,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3) )).

cnf(i_0_136,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_137,axiom,
    ( esk52_0
    | esk55_0
    | esk53_0
    | ~ esk54_0
    | esk56_0
    | ~ esk51_0 )).

cnf(i_0_138,axiom,
    ( p(X3)
    | esk38_0
    | ~ esk37_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk36_0 )).

cnf(i_0_139,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_140,axiom,
    ( ~ p(X7)
    | esk45_0
    | ~ esk47_0
    | ~ esk46_0
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_141,axiom,
    ( esk46_0
    | p(X2)
    | ~ esk45_0
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk47_0 )).

cnf(i_0_142,axiom,
    ( ~ esk56_0
    | ~ esk37_0
    | ~ esk54_0
    | ~ esk55_0
    | ~ esk36_0
    | ~ esk38_0 )).

cnf(i_0_143,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_144,axiom,
    ( ~ esk33_0
    | ~ esk36_0
    | ~ esk38_0
    | ~ esk34_0
    | ~ esk35_0
    | ~ esk37_0 )).

cnf(i_0_145,axiom,
    ( esk37_0
    | ~ esk36_0
    | ~ esk54_0
    | ~ esk38_0
    | ~ esk56_0
    | esk55_0 )).

cnf(i_0_146,axiom,
    ( ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk6_0 )).

cnf(i_0_147,axiom,
    ( ~ esk47_0
    | esk46_0
    | esk45_0
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5) )).

cnf(i_0_148,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_149,axiom,
    ( p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_150,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_151,axiom,
    ( ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_152,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_153,axiom,
    ( esk41_0
    | esk39_0
    | esk51_0
    | esk53_0
    | esk52_0
    | esk40_0 )).

cnf(i_0_154,axiom,
    ( esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk25_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_155,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X1) )).

cnf(i_0_156,axiom,
    ( p(X2)
    | p(X3)
    | p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_157,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6) )).

cnf(i_0_158,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_159,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_160,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1) )).

cnf(i_0_161,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X2) )).

cnf(i_0_162,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X6) )).

cnf(i_0_163,axiom,
    ( ~ esk49_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk50_0
    | esk48_0
    | ~ p(X3) )).

cnf(i_0_164,axiom,
    ( esk36_0
    | ~ esk37_0
    | ~ esk49_0
    | esk48_0
    | ~ esk50_0
    | ~ esk38_0 )).

cnf(i_0_165,axiom,
    ( esk49_0
    | ~ esk54_0
    | ~ esk50_0
    | ~ esk48_0
    | esk55_0
    | ~ esk56_0 )).

cnf(i_0_166,axiom,
    ( esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk38_0
    | ~ esk37_0
    | ~ p(X8)
    | ~ esk36_0 )).

cnf(i_0_167,axiom,
    ( esk36_0
    | esk47_0
    | esk38_0
    | esk45_0
    | esk46_0
    | esk37_0 )).

cnf(i_0_168,axiom,
    ( ~ esk47_0
    | p(X6)
    | esk46_0
    | ~ esk45_0
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_169,axiom,
    ( ~ esk44_0
    | ~ esk45_0
    | esk46_0
    | ~ esk42_0
    | ~ esk47_0
    | esk43_0 )).

cnf(i_0_170,axiom,
    ( p(X3)
    | esk53_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk52_0
    | esk51_0 )).

cnf(i_0_171,axiom,
    ( p(X4)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_172,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_173,axiom,
    ( p(X1)
    | p(X4)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_174,axiom,
    ( esk8_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_175,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_176,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_177,axiom,
    ( esk45_0
    | esk51_0
    | ~ esk52_0
    | ~ esk46_0
    | esk53_0
    | esk47_0 )).

cnf(i_0_178,axiom,
    ( ~ p(X4)
    | ~ esk34_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk33_0
    | esk35_0 )).

cnf(i_0_179,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3) )).

cnf(i_0_180,axiom,
    ( esk50_0
    | esk49_0
    | ~ esk48_0
    | ~ esk42_0
    | esk43_0
    | esk44_0 )).

cnf(i_0_181,axiom,
    ( esk19_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_182,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_183,axiom,
    ( ~ esk35_0
    | esk33_0
    | ~ esk34_0
    | ~ esk56_0
    | ~ esk55_0
    | esk54_0 )).

cnf(i_0_184,axiom,
    ( ~ esk33_0
    | ~ esk35_0
    | ~ esk42_0
    | ~ esk44_0
    | ~ esk34_0
    | ~ esk43_0 )).

cnf(i_0_185,axiom,
    ( ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_186,axiom,
    ( esk36_0
    | esk42_0
    | ~ esk43_0
    | esk44_0
    | ~ esk37_0
    | esk38_0 )).

cnf(i_0_187,axiom,
    ( p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_188,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3) )).

cnf(i_0_189,axiom,
    ( esk40_0
    | esk39_0
    | esk44_0
    | esk43_0
    | esk42_0
    | esk41_0 )).

cnf(i_0_190,axiom,
    ( esk50_0
    | esk36_0
    | esk49_0
    | esk38_0
    | esk48_0
    | esk37_0 )).

cnf(i_0_191,axiom,
    ( esk56_0
    | esk54_0
    | p(X3)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk55_0 )).

cnf(i_0_192,axiom,
    ( ~ esk38_0
    | ~ esk51_0
    | ~ esk36_0
    | ~ esk52_0
    | ~ esk53_0
    | ~ esk37_0 )).

cnf(i_0_193,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_194,axiom,
    ( ~ esk52_0
    | ~ esk46_0
    | esk53_0
    | ~ esk51_0
    | ~ esk45_0
    | esk47_0 )).

cnf(i_0_195,axiom,
    ( esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk25_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_196,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_197,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X4) )).

cnf(i_0_198,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | p(X8) )).

cnf(i_0_199,axiom,
    ( ~ esk55_0
    | ~ esk54_0
    | esk56_0
    | ~ p(X4)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_200,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X8)
    | p(X1)
    | p(X5) )).

cnf(i_0_201,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk9_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_202,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | p(X3) )).

cnf(i_0_203,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_204,axiom,
    ( p(X5)
    | ~ p(X4)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_205,axiom,
    ( esk56_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk54_0
    | ~ esk55_0
    | esk35_0 )).

cnf(i_0_206,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X4) )).

cnf(i_0_207,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X5)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_208,axiom,
    ( ~ esk45_0
    | ~ esk47_0
    | ~ esk49_0
    | ~ esk46_0
    | ~ esk50_0
    | ~ esk48_0 )).

cnf(i_0_209,axiom,
    ( ~ esk52_0
    | ~ esk48_0
    | ~ esk51_0
    | ~ esk53_0
    | ~ esk50_0
    | ~ esk49_0 )).

cnf(i_0_210,axiom,
    ( esk55_0
    | esk54_0
    | ~ esk56_0
    | esk36_0
    | ~ esk38_0
    | esk37_0 )).

cnf(i_0_211,axiom,
    ( ~ esk22_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_212,axiom,
    ( p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X1)
    | p(X3) )).

cnf(i_0_213,axiom,
    ( ~ esk44_0
    | ~ esk42_0
    | ~ esk51_0
    | ~ esk52_0
    | ~ esk43_0
    | ~ esk53_0 )).

cnf(i_0_214,axiom,
    ( esk38_0
    | esk44_0
    | esk37_0
    | esk36_0
    | esk43_0
    | esk42_0 )).

cnf(i_0_215,axiom,
    ( ~ p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_216,axiom,
    ( ~ esk34_0
    | ~ esk41_0
    | ~ esk33_0
    | ~ esk39_0
    | ~ esk35_0
    | ~ esk40_0 )).

cnf(i_0_217,axiom,
    ( ~ esk53_0
    | ~ esk48_0
    | ~ esk50_0
    | esk52_0
    | esk49_0
    | ~ esk51_0 )).

cnf(i_0_218,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_219,axiom,
    ( ~ esk40_0
    | ~ esk46_0
    | esk39_0
    | ~ esk41_0
    | esk45_0
    | ~ esk47_0 )).

cnf(i_0_220,axiom,
    ( esk41_0
    | esk50_0
    | ~ esk40_0
    | esk48_0
    | ~ esk49_0
    | esk39_0 )).

cnf(i_0_221,axiom,
    ( esk38_0
    | esk41_0
    | esk37_0
    | esk40_0
    | ~ esk36_0
    | ~ esk39_0 )).

cnf(i_0_222,axiom,
    ( esk38_0
    | ~ esk54_0
    | esk56_0
    | esk55_0
    | ~ esk36_0
    | esk37_0 )).

cnf(i_0_223,axiom,
    ( ~ esk38_0
    | esk45_0
    | esk36_0
    | esk46_0
    | esk37_0
    | ~ esk47_0 )).

cnf(i_0_224,axiom,
    ( ~ p(X5)
    | p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X4) )).

cnf(i_0_225,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_226,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_227,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_228,axiom,
    ( ~ esk39_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk40_0
    | ~ p(X8)
    | ~ esk41_0 )).

cnf(i_0_229,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1) )).

cnf(i_0_230,axiom,
    ( esk43_0
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk44_0
    | p(X6)
    | ~ esk42_0 )).

cnf(i_0_231,axiom,
    ( ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk10_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_232,axiom,
    ( esk49_0
    | esk51_0
    | esk52_0
    | ~ esk50_0
    | ~ esk53_0
    | esk48_0 )).

cnf(i_0_233,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_234,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_235,axiom,
    ( ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk20_0 )).

cnf(i_0_236,axiom,
    ( esk55_0
    | esk54_0
    | ~ esk56_0
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5) )).

cnf(i_0_237,axiom,
    ( ~ esk53_0
    | ~ p(X5)
    | esk52_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk51_0 )).

cnf(i_0_238,axiom,
    ( ~ esk39_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk41_0
    | ~ esk40_0
    | ~ esk36_0 )).

cnf(i_0_239,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_240,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_241,axiom,
    ( ~ esk36_0
    | ~ esk34_0
    | esk35_0
    | ~ esk37_0
    | ~ esk33_0
    | esk38_0 )).

cnf(i_0_242,axiom,
    ( p(X4)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_243,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1) )).

cnf(i_0_244,axiom,
    ( ~ esk34_0
    | ~ esk53_0
    | ~ esk51_0
    | ~ esk52_0
    | ~ esk35_0
    | ~ esk33_0 )).

cnf(i_0_245,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk15_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_246,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_247,axiom,
    ( ~ esk50_0
    | ~ esk53_0
    | esk51_0
    | esk48_0
    | ~ esk52_0
    | ~ esk49_0 )).

cnf(i_0_248,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_249,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_250,axiom,
    ( ~ p(X2)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk41_0
    | ~ esk39_0
    | esk40_0 )).

cnf(i_0_251,axiom,
    ( esk51_0
    | ~ esk55_0
    | ~ esk56_0
    | esk54_0
    | ~ esk53_0
    | ~ esk52_0 )).

cnf(i_0_252,axiom,
    ( ~ p(X6)
    | esk43_0
    | ~ esk44_0
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk42_0 )).

cnf(i_0_253,axiom,
    ( p(X2)
    | esk38_0
    | esk37_0
    | ~ esk36_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_254,axiom,
    ( ~ esk52_0
    | esk38_0
    | esk36_0
    | esk51_0
    | esk53_0
    | ~ esk37_0 )).

cnf(i_0_255,axiom,
    ( esk54_0
    | esk56_0
    | esk53_0
    | esk51_0
    | ~ esk55_0
    | ~ esk52_0 )).

cnf(i_0_256,axiom,
    ( esk45_0
    | esk52_0
    | ~ esk53_0
    | esk51_0
    | ~ esk47_0
    | esk46_0 )).

cnf(i_0_257,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_258,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk13_0
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_259,axiom,
    ( ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X1) )).

cnf(i_0_260,axiom,
    ( ~ esk49_0
    | esk45_0
    | ~ esk50_0
    | ~ esk46_0
    | ~ esk47_0
    | esk48_0 )).

cnf(i_0_261,axiom,
    ( ~ p(X3)
    | ~ esk46_0
    | esk45_0
    | esk47_0
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_262,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_263,axiom,
    ( esk34_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk35_0
    | ~ esk33_0
    | p(X2) )).

cnf(i_0_264,axiom,
    ( ~ esk46_0
    | ~ esk43_0
    | esk44_0
    | esk42_0
    | esk47_0
    | esk45_0 )).

cnf(i_0_265,axiom,
    ( ~ esk45_0
    | ~ esk46_0
    | ~ esk35_0
    | ~ esk34_0
    | ~ esk47_0
    | ~ esk33_0 )).

cnf(i_0_266,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk36_0
    | esk38_0
    | p(X4)
    | ~ esk37_0 )).

cnf(i_0_267,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_268,axiom,
    ( esk56_0
    | ~ esk55_0
    | esk42_0
    | esk44_0
    | esk54_0
    | ~ esk43_0 )).

cnf(i_0_269,axiom,
    ( ~ esk52_0
    | ~ p(X3)
    | esk53_0
    | esk51_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_270,axiom,
    ( ~ esk45_0
    | ~ esk46_0
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | esk47_0 )).

cnf(i_0_271,axiom,
    ( ~ esk48_0
    | esk38_0
    | esk49_0
    | esk50_0
    | esk37_0
    | ~ esk36_0 )).

cnf(i_0_272,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_273,axiom,
    ( ~ esk45_0
    | esk55_0
    | esk56_0
    | esk46_0
    | ~ esk54_0
    | esk47_0 )).

cnf(i_0_274,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_275,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_276,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_277,axiom,
    ( esk56_0
    | ~ esk49_0
    | esk50_0
    | esk54_0
    | ~ esk55_0
    | esk48_0 )).

cnf(i_0_278,axiom,
    ( esk37_0
    | ~ esk44_0
    | esk43_0
    | esk36_0
    | esk42_0
    | ~ esk38_0 )).

cnf(i_0_279,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_280,axiom,
    ( esk55_0
    | esk47_0
    | esk46_0
    | esk54_0
    | esk56_0
    | esk45_0 )).

cnf(i_0_281,axiom,
    ( ~ esk53_0
    | esk52_0
    | esk43_0
    | ~ esk51_0
    | ~ esk44_0
    | ~ esk42_0 )).

cnf(i_0_282,axiom,
    ( p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_283,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_284,axiom,
    ( esk44_0
    | ~ esk42_0
    | p(X2)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk43_0 )).

cnf(i_0_285,axiom,
    ( ~ esk37_0
    | esk54_0
    | ~ esk55_0
    | esk38_0
    | esk36_0
    | esk56_0 )).

cnf(i_0_286,axiom,
    ( ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk8_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_287,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_288,axiom,
    ( p(X4)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_289,axiom,
    ( p(X8)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_290,axiom,
    ( esk50_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | esk49_0
    | esk48_0 )).

cnf(i_0_291,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X5)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_292,axiom,
    ( p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_293,axiom,
    ( esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk21_0
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_294,axiom,
    ( esk51_0
    | ~ esk52_0
    | esk45_0
    | ~ esk46_0
    | ~ esk47_0
    | ~ esk53_0 )).

cnf(i_0_295,axiom,
    ( esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk29_0
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_296,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_297,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_298,axiom,
    ( ~ esk41_0
    | esk39_0
    | ~ esk40_0
    | esk33_0
    | ~ esk34_0
    | ~ esk35_0 )).

cnf(i_0_299,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_300,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4) )).

cnf(i_0_301,axiom,
    ( ~ esk34_0
    | esk47_0
    | esk35_0
    | ~ esk46_0
    | esk45_0
    | esk33_0 )).

cnf(i_0_302,axiom,
    ( ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk17_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_303,axiom,
    ( ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk43_0
    | esk42_0
    | esk44_0
    | p(X1) )).

cnf(i_0_304,axiom,
    ( esk37_0
    | esk36_0
    | esk52_0
    | esk51_0
    | esk53_0
    | esk38_0 )).

cnf(i_0_305,axiom,
    ( p(X2)
    | ~ esk51_0
    | esk52_0
    | esk53_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_306,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_307,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_308,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_309,axiom,
    ( ~ esk49_0
    | esk44_0
    | ~ esk42_0
    | esk50_0
    | ~ esk48_0
    | ~ esk43_0 )).

cnf(i_0_310,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X6) )).

cnf(i_0_311,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X5)
    | p(X8) )).

cnf(i_0_312,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk16_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_313,axiom,
    ( esk41_0
    | ~ esk40_0
    | p(X4)
    | ~ esk39_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_314,axiom,
    ( ~ esk53_0
    | esk51_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk52_0
    | p(X7) )).

cnf(i_0_315,axiom,
    ( esk55_0
    | ~ esk42_0
    | ~ esk54_0
    | esk56_0
    | esk43_0
    | esk44_0 )).

cnf(i_0_316,axiom,
    ( esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk30_0 )).

cnf(i_0_317,axiom,
    ( p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_318,axiom,
    ( ~ esk50_0
    | esk48_0
    | esk40_0
    | esk39_0
    | esk49_0
    | ~ esk41_0 )).

cnf(i_0_319,axiom,
    ( esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk17_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_320,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_321,axiom,
    ( ~ esk47_0
    | esk45_0
    | ~ esk41_0
    | esk39_0
    | esk46_0
    | esk40_0 )).

cnf(i_0_322,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_323,axiom,
    ( ~ esk55_0
    | ~ esk50_0
    | ~ esk48_0
    | ~ esk56_0
    | ~ esk54_0
    | ~ esk49_0 )).

cnf(i_0_324,axiom,
    ( esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk28_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_325,axiom,
    ( p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X6)
    | p(X7) )).

cnf(i_0_326,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X8) )).

cnf(i_0_327,axiom,
    ( esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk9_0
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_328,axiom,
    ( esk54_0
    | esk56_0
    | esk39_0
    | esk40_0
    | esk41_0
    | esk55_0 )).

cnf(i_0_329,axiom,
    ( esk54_0
    | esk49_0
    | esk55_0
    | esk48_0
    | ~ esk56_0
    | ~ esk50_0 )).

cnf(i_0_330,axiom,
    ( esk50_0
    | esk47_0
    | esk46_0
    | ~ esk45_0
    | esk49_0
    | ~ esk48_0 )).

cnf(i_0_331,axiom,
    ( ~ esk35_0
    | ~ esk34_0
    | esk33_0
    | ~ esk50_0
    | esk48_0
    | ~ esk49_0 )).

cnf(i_0_332,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_333,axiom,
    ( ~ esk55_0
    | esk56_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk54_0
    | p(X4) )).

cnf(i_0_334,axiom,
    ( esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ esk44_0
    | ~ esk42_0
    | ~ esk43_0 )).

cnf(i_0_335,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_336,axiom,
    ( ~ esk50_0
    | ~ esk48_0
    | ~ esk39_0
    | esk40_0
    | esk49_0
    | ~ esk41_0 )).

cnf(i_0_337,axiom,
    ( ~ esk36_0
    | esk38_0
    | ~ esk37_0
    | ~ esk45_0
    | ~ esk46_0
    | esk47_0 )).

cnf(i_0_338,axiom,
    ( esk38_0
    | ~ esk36_0
    | ~ esk45_0
    | esk47_0
    | esk46_0
    | esk37_0 )).

cnf(i_0_339,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X5)
    | p(X1) )).

cnf(i_0_340,axiom,
    ( ~ esk48_0
    | ~ esk49_0
    | p(X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk50_0 )).

cnf(i_0_341,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_342,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_343,axiom,
    ( esk55_0
    | esk56_0
    | esk49_0
    | esk50_0
    | ~ esk48_0
    | ~ esk54_0 )).

cnf(i_0_344,axiom,
    ( p(X8)
    | ~ esk40_0
    | ~ esk41_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk39_0 )).

cnf(i_0_345,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_346,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk12_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_347,axiom,
    ( esk46_0
    | ~ esk47_0
    | esk40_0
    | ~ esk41_0
    | ~ esk39_0
    | ~ esk45_0 )).

cnf(i_0_348,axiom,
    ( ~ esk42_0
    | ~ esk50_0
    | ~ esk49_0
    | ~ esk44_0
    | ~ esk43_0
    | ~ esk48_0 )).

cnf(i_0_349,axiom,
    ( esk52_0
    | ~ esk53_0
    | ~ esk51_0
    | ~ esk47_0
    | esk46_0
    | ~ esk45_0 )).

cnf(i_0_350,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_351,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_352,axiom,
    ( ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | p(X7) )).

cnf(i_0_353,axiom,
    ( ~ esk36_0
    | esk53_0
    | ~ esk37_0
    | esk38_0
    | ~ esk51_0
    | ~ esk52_0 )).

cnf(i_0_354,axiom,
    ( ~ esk53_0
    | ~ esk35_0
    | esk51_0
    | esk34_0
    | esk33_0
    | esk52_0 )).

cnf(i_0_355,axiom,
    ( esk34_0
    | esk35_0
    | esk39_0
    | esk33_0
    | esk40_0
    | esk41_0 )).

cnf(i_0_356,axiom,
    ( esk56_0
    | ~ p(X2)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk55_0
    | ~ esk54_0 )).

cnf(i_0_357,axiom,
    ( p(X4)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_358,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X3)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_359,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_360,axiom,
    ( esk45_0
    | ~ esk44_0
    | esk42_0
    | esk43_0
    | esk46_0
    | ~ esk47_0 )).

cnf(i_0_361,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X1)
    | p(X6) )).

cnf(i_0_362,axiom,
    ( ~ esk48_0
    | esk50_0
    | ~ esk39_0
    | esk40_0
    | esk49_0
    | esk41_0 )).

cnf(i_0_363,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X1) )).

cnf(i_0_364,axiom,
    ( ~ esk53_0
    | esk36_0
    | ~ esk52_0
    | ~ esk38_0
    | esk51_0
    | ~ esk37_0 )).

cnf(i_0_365,axiom,
    ( ~ esk54_0
    | esk55_0
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk56_0
    | ~ p(X6) )).

cnf(i_0_366,axiom,
    ( ~ esk42_0
    | ~ esk44_0
    | ~ esk43_0
    | p(X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_367,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_368,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_369,axiom,
    ( esk36_0
    | esk37_0
    | esk49_0
    | ~ esk50_0
    | ~ esk38_0
    | esk48_0 )).

cnf(i_0_370,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_371,axiom,
    ( ~ esk52_0
    | ~ esk34_0
    | esk33_0
    | esk51_0
    | esk35_0
    | esk53_0 )).

cnf(i_0_372,axiom,
    ( ~ esk29_0
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_373,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_374,axiom,
    ( ~ esk45_0
    | esk43_0
    | esk46_0
    | esk47_0
    | esk44_0
    | ~ esk42_0 )).

cnf(i_0_375,axiom,
    ( esk54_0
    | ~ esk40_0
    | esk39_0
    | ~ esk55_0
    | ~ esk41_0
    | ~ esk56_0 )).

cnf(i_0_376,axiom,
    ( esk45_0
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | esk46_0
    | esk47_0 )).

cnf(i_0_377,axiom,
    ( p(X7)
    | p(X1)
    | p(X6)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_378,axiom,
    ( ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk18_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_379,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk14_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_380,axiom,
    ( ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk28_0
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_381,axiom,
    ( esk44_0
    | ~ esk37_0
    | ~ esk36_0
    | ~ esk42_0
    | ~ esk43_0
    | esk38_0 )).

cnf(i_0_382,axiom,
    ( p(X8)
    | p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_383,axiom,
    ( esk37_0
    | esk38_0
    | esk36_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1) )).

cnf(i_0_384,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_385,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_386,axiom,
    ( esk40_0
    | ~ esk35_0
    | esk34_0
    | esk33_0
    | esk39_0
    | ~ esk41_0 )).

cnf(i_0_387,axiom,
    ( esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk7_0
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_388,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_389,axiom,
    ( esk35_0
    | esk34_0
    | esk53_0
    | esk52_0
    | ~ esk51_0
    | ~ esk33_0 )).

cnf(i_0_390,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_391,axiom,
    ( esk39_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk41_0
    | p(X1)
    | esk40_0 )).

cnf(i_0_392,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X3)
    | p(X8) )).

cnf(i_0_393,axiom,
    ( ~ esk45_0
    | ~ esk42_0
    | ~ esk46_0
    | ~ esk47_0
    | ~ esk44_0
    | ~ esk43_0 )).

cnf(i_0_394,axiom,
    ( esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | esk43_0
    | ~ esk44_0
    | esk42_0 )).

cnf(i_0_395,axiom,
    ( p(X2)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_396,axiom,
    ( esk40_0
    | ~ esk54_0
    | esk55_0
    | esk41_0
    | esk56_0
    | ~ esk39_0 )).

cnf(i_0_397,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_398,axiom,
    ( esk53_0
    | ~ esk55_0
    | ~ esk54_0
    | esk56_0
    | ~ esk52_0
    | ~ esk51_0 )).

cnf(i_0_399,axiom,
    ( p(X6)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_400,axiom,
    ( ~ esk42_0
    | esk53_0
    | ~ esk51_0
    | esk52_0
    | esk43_0
    | esk44_0 )).

cnf(i_0_401,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_402,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_403,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_404,axiom,
    ( esk56_0
    | ~ esk54_0
    | esk38_0
    | ~ esk55_0
    | ~ esk36_0
    | ~ esk37_0 )).

cnf(i_0_405,axiom,
    ( ~ esk39_0
    | ~ esk44_0
    | ~ esk41_0
    | ~ esk42_0
    | ~ esk43_0
    | ~ esk40_0 )).

cnf(i_0_406,axiom,
    ( esk44_0
    | ~ esk52_0
    | ~ esk43_0
    | esk51_0
    | esk53_0
    | esk42_0 )).

cnf(i_0_407,axiom,
    ( ~ esk44_0
    | ~ esk56_0
    | ~ esk54_0
    | esk43_0
    | ~ esk42_0
    | esk55_0 )).

cnf(i_0_408,axiom,
    ( ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk24_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_409,axiom,
    ( p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_410,axiom,
    ( ~ esk42_0
    | esk47_0
    | esk44_0
    | ~ esk46_0
    | ~ esk43_0
    | ~ esk45_0 )).

cnf(i_0_411,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk48_0
    | ~ esk49_0
    | p(X7)
    | ~ esk50_0 )).

cnf(i_0_412,axiom,
    ( ~ p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_413,axiom,
    ( esk39_0
    | p(X5)
    | esk40_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk41_0 )).

cnf(i_0_414,axiom,
    ( esk48_0
    | esk44_0
    | ~ esk49_0
    | esk50_0
    | ~ esk43_0
    | esk42_0 )).

cnf(i_0_415,axiom,
    ( esk49_0
    | ~ p(X2)
    | esk50_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk48_0 )).

cnf(i_0_416,axiom,
    ( esk44_0
    | esk35_0
    | esk42_0
    | esk33_0
    | ~ esk43_0
    | ~ esk34_0 )).

cnf(i_0_417,axiom,
    ( esk54_0
    | ~ esk55_0
    | esk42_0
    | ~ esk44_0
    | ~ esk56_0
    | ~ esk43_0 )).

cnf(i_0_418,axiom,
    ( ~ esk50_0
    | esk49_0
    | ~ esk48_0
    | ~ esk36_0
    | ~ esk38_0
    | esk37_0 )).

cnf(i_0_419,axiom,
    ( esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk18_0 )).

cnf(i_0_420,axiom,
    ( ~ esk33_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | esk35_0
    | ~ esk34_0 )).

cnf(i_0_421,axiom,
    ( p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_422,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | p(X5) )).

cnf(i_0_423,axiom,
    ( ~ esk49_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk48_0
    | ~ esk50_0
    | ~ p(X8) )).

cnf(i_0_424,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_425,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_426,axiom,
    ( ~ esk49_0
    | ~ esk54_0
    | ~ esk48_0
    | esk50_0
    | ~ esk55_0
    | esk56_0 )).

cnf(i_0_427,axiom,
    ( esk55_0
    | esk53_0
    | esk52_0
    | esk56_0
    | esk51_0
    | esk54_0 )).

cnf(i_0_428,axiom,
    ( p(X1)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X3) )).

cnf(i_0_429,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_430,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk23_0
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_431,axiom,
    ( p(X5)
    | p(X4)
    | p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_432,axiom,
    ( ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk27_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_433,axiom,
    ( esk40_0
    | ~ esk53_0
    | esk39_0
    | esk52_0
    | ~ esk41_0
    | esk51_0 )).

cnf(i_0_434,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_435,axiom,
    ( esk33_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk35_0
    | p(X3)
    | ~ esk34_0 )).

cnf(i_0_436,axiom,
    ( esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk26_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_437,axiom,
    ( esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk21_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_438,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X2)
    | p(X5) )).

cnf(i_0_439,axiom,
    ( esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk1_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_440,axiom,
    ( esk41_0
    | ~ p(X3)
    | esk39_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk40_0 )).

cnf(i_0_441,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_442,axiom,
    ( p(X5)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_443,axiom,
    ( esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk4_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_444,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk10_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_445,axiom,
    ( ~ esk39_0
    | esk34_0
    | ~ esk33_0
    | ~ esk41_0
    | ~ esk35_0
    | esk40_0 )).

cnf(i_0_446,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_447,axiom,
    ( esk40_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk41_0
    | ~ esk39_0
    | p(X2) )).

cnf(i_0_448,axiom,
    ( esk47_0
    | esk48_0
    | ~ esk49_0
    | ~ esk46_0
    | esk45_0
    | esk50_0 )).

cnf(i_0_449,axiom,
    ( esk46_0
    | ~ esk47_0
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk45_0
    | ~ p(X6) )).

cnf(i_0_450,axiom,
    ( esk36_0
    | ~ p(X7)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk38_0
    | ~ esk37_0 )).

cnf(i_0_451,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk14_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_452,axiom,
    ( ~ esk46_0
    | esk45_0
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk47_0
    | p(X7) )).

cnf(i_0_453,axiom,
    ( p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X8) )).

cnf(i_0_454,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6) )).

cnf(i_0_455,axiom,
    ( ~ esk51_0
    | ~ esk45_0
    | esk53_0
    | esk52_0
    | esk47_0
    | esk46_0 )).

cnf(i_0_456,axiom,
    ( ~ esk53_0
    | ~ p(X8)
    | ~ esk52_0
    | ~ esk51_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_457,axiom,
    ( ~ esk51_0
    | ~ p(X2)
    | esk52_0
    | esk53_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_458,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_459,axiom,
    ( ~ esk40_0
    | ~ esk38_0
    | ~ esk41_0
    | esk39_0
    | esk36_0
    | ~ esk37_0 )).

cnf(i_0_460,axiom,
    ( ~ esk20_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_461,axiom,
    ( ~ esk50_0
    | ~ esk47_0
    | esk48_0
    | esk45_0
    | esk49_0
    | esk46_0 )).

cnf(i_0_462,axiom,
    ( ~ esk52_0
    | ~ esk40_0
    | ~ esk51_0
    | ~ esk53_0
    | ~ esk39_0
    | ~ esk41_0 )).

cnf(i_0_463,axiom,
    ( esk55_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk56_0
    | esk54_0
    | p(X5) )).

cnf(i_0_464,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk55_0
    | esk56_0
    | ~ esk54_0
    | p(X2) )).

cnf(i_0_465,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_466,axiom,
    ( ~ esk48_0
    | ~ esk36_0
    | esk50_0
    | ~ esk37_0
    | esk38_0
    | ~ esk49_0 )).

cnf(i_0_467,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_468,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7) )).

cnf(i_0_469,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_470,axiom,
    ( p(X5)
    | p(X1)
    | p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_471,axiom,
    ( esk53_0
    | esk37_0
    | esk38_0
    | esk52_0
    | ~ esk36_0
    | ~ esk51_0 )).

cnf(i_0_472,axiom,
    ( ~ esk36_0
    | ~ esk45_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk47_0
    | ~ esk46_0 )).

cnf(i_0_473,axiom,
    ( ~ esk35_0
    | esk33_0
    | esk46_0
    | esk34_0
    | ~ esk47_0
    | esk45_0 )).

cnf(i_0_474,axiom,
    ( esk40_0
    | esk49_0
    | esk39_0
    | esk50_0
    | esk41_0
    | esk48_0 )).

cnf(i_0_475,axiom,
    ( esk48_0
    | esk49_0
    | esk42_0
    | ~ esk44_0
    | ~ esk50_0
    | esk43_0 )).

cnf(i_0_476,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_477,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_478,axiom,
    ( ~ esk52_0
    | esk53_0
    | ~ esk51_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4) )).

cnf(i_0_479,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_480,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X7)
    | p(X1) )).

cnf(i_0_481,axiom,
    ( esk54_0
    | esk55_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | esk56_0 )).

cnf(i_0_482,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_483,axiom,
    ( ~ p(X5)
    | p(X6)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_484,axiom,
    ( esk45_0
    | esk43_0
    | esk46_0
    | esk44_0
    | esk42_0
    | esk47_0 )).

cnf(i_0_485,axiom,
    ( esk48_0
    | esk51_0
    | esk50_0
    | esk52_0
    | esk49_0
    | esk53_0 )).

cnf(i_0_486,axiom,
    ( esk33_0
    | esk36_0
    | ~ esk35_0
    | esk34_0
    | ~ esk38_0
    | esk37_0 )).

cnf(i_0_487,axiom,
    ( ~ esk39_0
    | esk56_0
    | esk41_0
    | ~ esk54_0
    | ~ esk55_0
    | ~ esk40_0 )).

cnf(i_0_488,axiom,
    ( ~ esk40_0
    | esk39_0
    | esk47_0
    | esk41_0
    | esk45_0
    | ~ esk46_0 )).

cnf(i_0_489,axiom,
    ( esk50_0
    | esk48_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | ~ esk49_0 )).

cnf(i_0_490,axiom,
    ( ~ esk37_0
    | ~ esk55_0
    | ~ esk38_0
    | esk54_0
    | ~ esk56_0
    | esk36_0 )).

cnf(i_0_491,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_492,axiom,
    ( esk41_0
    | ~ esk34_0
    | esk39_0
    | esk35_0
    | ~ esk40_0
    | esk33_0 )).

cnf(i_0_493,axiom,
    ( ~ p(X8)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_494,axiom,
    ( ~ esk45_0
    | ~ esk47_0
    | esk46_0
    | ~ esk33_0
    | esk34_0
    | ~ esk35_0 )).

cnf(i_0_495,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_496,axiom,
    ( ~ p(X2)
    | ~ esk42_0
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk44_0
    | esk43_0 )).

cnf(i_0_497,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X6) )).

cnf(i_0_498,axiom,
    ( esk48_0
    | esk50_0
    | esk56_0
    | esk55_0
    | esk49_0
    | esk54_0 )).

cnf(i_0_499,axiom,
    ( ~ esk41_0
    | esk40_0
    | ~ esk42_0
    | ~ esk39_0
    | esk43_0
    | ~ esk44_0 )).

cnf(i_0_500,axiom,
    ( ~ esk46_0
    | ~ esk55_0
    | esk47_0
    | esk56_0
    | esk54_0
    | esk45_0 )).

cnf(i_0_501,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_502,axiom,
    ( esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_503,axiom,
    ( ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_504,axiom,
    ( esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk51_0
    | ~ esk53_0
    | ~ esk52_0
    | ~ p(X7) )).

cnf(i_0_505,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_506,axiom,
    ( p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_507,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_508,axiom,
    ( ~ esk41_0
    | esk39_0
    | ~ esk44_0
    | esk42_0
    | esk43_0
    | esk40_0 )).

cnf(i_0_509,axiom,
    ( esk38_0
    | esk37_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ esk36_0 )).

cnf(i_0_510,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3) )).

cnf(i_0_511,axiom,
    ( ~ esk55_0
    | esk56_0
    | esk54_0
    | esk41_0
    | esk39_0
    | ~ esk40_0 )).

cnf(i_0_512,axiom,
    ( esk34_0
    | esk33_0
    | esk56_0
    | esk35_0
    | esk54_0
    | esk55_0 )).

cnf(i_0_513,axiom,
    ( p(X1)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_514,axiom,
    ( esk43_0
    | esk40_0
    | esk44_0
    | esk41_0
    | ~ esk42_0
    | ~ esk39_0 )).

cnf(i_0_515,axiom,
    ( ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | ~ esk52_0
    | esk53_0
    | ~ esk51_0 )).

cnf(i_0_516,axiom,
    ( ~ esk38_0
    | ~ esk36_0
    | ~ p(X6)
    | esk37_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_517,axiom,
    ( p(X4)
    | ~ esk48_0
    | esk50_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk49_0 )).

cnf(i_0_518,axiom,
    ( ~ esk47_0
    | ~ esk45_0
    | esk49_0
    | ~ esk50_0
    | esk46_0
    | ~ esk48_0 )).

cnf(i_0_519,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_520,axiom,
    ( esk36_0
    | esk38_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk37_0
    | p(X1) )).

cnf(i_0_521,axiom,
    ( esk35_0
    | ~ esk48_0
    | ~ esk34_0
    | ~ esk49_0
    | esk50_0
    | ~ esk33_0 )).

cnf(i_0_522,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_523,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_524,axiom,
    ( ~ esk44_0
    | ~ esk53_0
    | ~ esk52_0
    | esk42_0
    | esk51_0
    | ~ esk43_0 )).

cnf(i_0_525,axiom,
    ( p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_526,axiom,
    ( esk56_0
    | esk37_0
    | esk55_0
    | esk38_0
    | esk54_0
    | esk36_0 )).

cnf(i_0_527,axiom,
    ( esk33_0
    | esk36_0
    | esk35_0
    | esk38_0
    | esk34_0
    | esk37_0 )).

cnf(i_0_528,axiom,
    ( ~ esk47_0
    | ~ esk36_0
    | ~ esk38_0
    | esk46_0
    | ~ esk45_0
    | esk37_0 )).

cnf(i_0_529,axiom,
    ( ~ esk49_0
    | ~ esk33_0
    | ~ esk35_0
    | ~ esk34_0
    | ~ esk50_0
    | ~ esk48_0 )).

cnf(i_0_530,axiom,
    ( ~ esk46_0
    | p(X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk47_0
    | ~ esk45_0 )).

cnf(i_0_531,axiom,
    ( ~ esk45_0
    | ~ esk40_0
    | ~ esk47_0
    | ~ esk41_0
    | ~ esk46_0
    | ~ esk39_0 )).

cnf(i_0_532,axiom,
    ( esk39_0
    | ~ p(X5)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk41_0
    | esk40_0 )).

cnf(i_0_533,axiom,
    ( p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X7) )).

cnf(i_0_534,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk11_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_535,axiom,
    ( ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk15_0 )).

cnf(i_0_536,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk6_0
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_537,axiom,
    ( esk43_0
    | esk53_0
    | esk44_0
    | esk42_0
    | esk52_0
    | esk51_0 )).

cnf(i_0_538,axiom,
    ( p(X2)
    | esk50_0
    | ~ esk48_0
    | esk49_0
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_539,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk32_0
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_540,axiom,
    ( esk54_0
    | esk46_0
    | ~ esk47_0
    | ~ esk56_0
    | esk45_0
    | esk55_0 )).

cnf(i_0_541,axiom,
    ( ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk23_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_542,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_543,axiom,
    ( ~ esk33_0
    | ~ esk36_0
    | esk37_0
    | esk34_0
    | ~ esk35_0
    | ~ esk38_0 )).

cnf(i_0_544,axiom,
    ( esk49_0
    | esk50_0
    | esk34_0
    | esk35_0
    | esk33_0
    | esk48_0 )).

cnf(i_0_545,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_546,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_547,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_548,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_549,axiom,
    ( esk41_0
    | esk35_0
    | ~ esk33_0
    | ~ esk39_0
    | esk40_0
    | esk34_0 )).

cnf(i_0_550,axiom,
    ( esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk26_0 )).

cnf(i_0_551,axiom,
    ( ~ esk43_0
    | ~ esk42_0
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk44_0
    | ~ p(X4) )).

cnf(i_0_552,axiom,
    ( p(X7)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_553,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_554,axiom,
    ( esk35_0
    | esk33_0
    | esk52_0
    | esk53_0
    | esk34_0
    | esk51_0 )).

cnf(i_0_555,axiom,
    ( ~ esk52_0
    | ~ esk45_0
    | ~ esk47_0
    | ~ esk51_0
    | ~ esk46_0
    | ~ esk53_0 )).

cnf(i_0_556,axiom,
    ( esk53_0
    | esk35_0
    | ~ esk33_0
    | ~ esk51_0
    | ~ esk52_0
    | ~ esk34_0 )).

cnf(i_0_557,axiom,
    ( esk48_0
    | ~ p(X5)
    | esk49_0
    | ~ esk50_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_558,axiom,
    ( ~ esk56_0
    | ~ p(X7)
    | ~ esk55_0
    | esk54_0
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_559,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_560,axiom,
    ( p(X3)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk44_0
    | esk42_0
    | ~ esk43_0 )).

cnf(i_0_561,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7) )).

cnf(i_0_562,axiom,
    ( ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_563,axiom,
    ( ~ esk34_0
    | esk33_0
    | ~ esk37_0
    | esk36_0
    | ~ esk38_0
    | ~ esk35_0 )).

cnf(i_0_564,axiom,
    ( ~ esk54_0
    | esk46_0
    | ~ esk56_0
    | ~ esk45_0
    | esk55_0
    | ~ esk47_0 )).

cnf(i_0_565,axiom,
    ( p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_566,axiom,
    ( p(X5)
    | esk52_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk53_0
    | esk51_0 )).

cnf(i_0_567,axiom,
    ( p(X3)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X1) )).

cnf(i_0_568,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk49_0
    | esk48_0
    | ~ esk50_0
    | p(X5) )).

cnf(i_0_569,axiom,
    ( ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk22_0 )).

cnf(i_0_570,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X2)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_571,axiom,
    ( ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk3_0
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_572,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_573,axiom,
    ( ~ esk43_0
    | ~ esk54_0
    | ~ esk55_0
    | ~ esk42_0
    | ~ esk44_0
    | ~ esk56_0 )).

cnf(i_0_574,axiom,
    ( p(X2)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8) )).

cnf(i_0_575,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X6) )).

cnf(i_0_576,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_577,axiom,
    ( ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk50_0
    | esk49_0
    | esk48_0
    | p(X1) )).

cnf(i_0_578,axiom,
    ( ~ esk33_0
    | esk35_0
    | ~ esk40_0
    | ~ esk39_0
    | esk41_0
    | ~ esk34_0 )).

cnf(i_0_579,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6) )).

cnf(i_0_580,axiom,
    ( ~ p(X1)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk55_0
    | esk56_0
    | esk54_0 )).

cnf(i_0_581,axiom,
    ( p(X3)
    | esk47_0
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk45_0
    | ~ esk46_0 )).

cnf(i_0_582,axiom,
    ( esk34_0
    | ~ esk35_0
    | esk42_0
    | ~ esk44_0
    | esk43_0
    | esk33_0 )).

cnf(i_0_583,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X8) )).

cnf(i_0_584,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X1) )).

cnf(i_0_585,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_586,axiom,
    ( esk40_0
    | esk55_0
    | ~ esk56_0
    | ~ esk41_0
    | esk39_0
    | esk54_0 )).

cnf(i_0_587,axiom,
    ( esk51_0
    | ~ esk53_0
    | ~ esk56_0
    | esk55_0
    | esk52_0
    | esk54_0 )).

cnf(i_0_588,axiom,
    ( ~ esk42_0
    | ~ esk48_0
    | ~ esk44_0
    | esk43_0
    | ~ esk50_0
    | esk49_0 )).

cnf(i_0_589,axiom,
    ( esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | esk56_0
    | ~ esk55_0
    | esk54_0 )).

cnf(i_0_590,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_591,axiom,
    ( ~ esk49_0
    | ~ esk40_0
    | ~ esk50_0
    | ~ esk41_0
    | esk48_0
    | esk39_0 )).

cnf(i_0_592,axiom,
    ( esk38_0
    | ~ esk36_0
    | ~ esk37_0
    | ~ esk39_0
    | esk41_0
    | ~ esk40_0 )).

cnf(i_0_593,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_594,axiom,
    ( ~ esk33_0
    | p(X8)
    | ~ esk34_0
    | ~ esk35_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_595,axiom,
    ( esk40_0
    | esk53_0
    | esk52_0
    | ~ esk51_0
    | ~ esk39_0
    | esk41_0 )).

cnf(i_0_596,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_597,axiom,
    ( esk34_0
    | p(X1)
    | esk33_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk35_0 )).

cnf(i_0_598,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_599,axiom,
    ( ~ esk38_0
    | p(X5)
    | esk36_0
    | esk37_0
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_600,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_601,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk56_0
    | ~ esk54_0
    | ~ esk55_0
    | p(X8) )).

cnf(i_0_602,axiom,
    ( esk50_0
    | esk51_0
    | ~ esk52_0
    | ~ esk49_0
    | esk53_0
    | esk48_0 )).

cnf(i_0_603,axiom,
    ( esk55_0
    | ~ esk41_0
    | esk40_0
    | ~ esk39_0
    | ~ esk54_0
    | ~ esk56_0 )).

cnf(i_0_604,axiom,
    ( esk46_0
    | esk33_0
    | esk45_0
    | esk47_0
    | esk34_0
    | esk35_0 )).

cnf(i_0_605,axiom,
    ( esk47_0
    | esk50_0
    | esk46_0
    | esk48_0
    | esk49_0
    | esk45_0 )).

cnf(i_0_606,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X4)
    | p(X1) )).

cnf(i_0_607,axiom,
    ( ~ p(X4)
    | ~ esk37_0
    | esk38_0
    | ~ esk36_0
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_608,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_609,axiom,
    ( p(X5)
    | esk43_0
    | esk42_0
    | ~ esk44_0
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_610,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3) )).

cnf(i_0_611,axiom,
    ( ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk45_0
    | esk47_0
    | ~ esk46_0
    | p(X4) )).

cnf(i_0_612,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_613,axiom,
    ( esk42_0
    | esk41_0
    | ~ esk43_0
    | esk39_0
    | esk44_0
    | ~ esk40_0 )).

cnf(i_0_614,axiom,
    ( ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk4_0
    | esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_615,axiom,
    ( ~ p(X5)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_616,axiom,
    ( ~ esk54_0
    | ~ esk52_0
    | ~ esk55_0
    | ~ esk51_0
    | ~ esk56_0
    | ~ esk53_0 )).

cnf(i_0_617,axiom,
    ( ~ esk43_0
    | esk44_0
    | esk53_0
    | ~ esk52_0
    | ~ esk51_0
    | ~ esk42_0 )).

cnf(i_0_618,axiom,
    ( esk34_0
    | esk56_0
    | esk55_0
    | ~ esk54_0
    | esk35_0
    | ~ esk33_0 )).

cnf(i_0_619,axiom,
    ( esk50_0
    | ~ esk48_0
    | esk53_0
    | ~ esk49_0
    | ~ esk51_0
    | ~ esk52_0 )).

cnf(i_0_620,axiom,
    ( ~ esk38_0
    | ~ esk36_0
    | ~ esk37_0
    | ~ esk43_0
    | ~ esk44_0
    | ~ esk42_0 )).

cnf(i_0_621,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_622,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X2) )).

cnf(i_0_623,axiom,
    ( ~ esk38_0
    | ~ esk37_0
    | esk36_0
    | p(X7)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_624,axiom,
    ( ~ p(X6)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X7) )).

cnf(i_0_625,axiom,
    ( ~ esk35_0
    | ~ esk43_0
    | ~ esk34_0
    | esk42_0
    | esk33_0
    | ~ esk44_0 )).

cnf(i_0_626,axiom,
    ( ~ esk56_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk55_0
    | ~ esk35_0
    | ~ esk54_0 )).

cnf(i_0_627,axiom,
    ( ~ esk49_0
    | ~ esk55_0
    | esk54_0
    | ~ esk50_0
    | esk48_0
    | ~ esk56_0 )).

cnf(i_0_628,axiom,
    ( p(X5)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_629,axiom,
    ( p(X7)
    | p(X2)
    | p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4) )).

cnf(i_0_630,axiom,
    ( esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk19_0
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_631,axiom,
    ( ~ esk56_0
    | ~ esk35_0
    | ~ esk54_0
    | esk34_0
    | ~ esk33_0
    | esk55_0 )).

cnf(i_0_632,axiom,
    ( esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | esk35_0
    | esk34_0
    | ~ esk33_0 )).

cnf(i_0_633,axiom,
    ( ~ esk35_0
    | ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk34_0
    | esk33_0
    | p(X5) )).

cnf(i_0_634,axiom,
    ( esk40_0
    | esk39_0
    | esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X1)
    | esk41_0 )).

cnf(i_0_635,axiom,
    ( p(X6)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2) )).

cnf(i_0_636,axiom,
    ( esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk55_0
    | ~ esk54_0
    | ~ esk56_0
    | ~ p(X8) )).

cnf(i_0_637,axiom,
    ( esk44_0
    | esk41_0
    | ~ esk43_0
    | ~ esk42_0
    | ~ esk40_0
    | ~ esk39_0 )).

cnf(i_0_638,axiom,
    ( p(X5)
    | p(X1)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | p(X6)
    | p(X7) )).

cnf(i_0_639,axiom,
    ( ~ esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk32_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_640,axiom,
    ( esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk66_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk63_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk24_0 )).

cnf(i_0_641,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X5)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_642,axiom,
    ( esk36_0
    | ~ esk53_0
    | ~ esk38_0
    | esk52_0
    | esk51_0
    | esk37_0 )).

cnf(i_0_643,axiom,
    ( ~ esk56_0
    | ~ esk47_0
    | ~ esk46_0
    | ~ esk55_0
    | esk54_0
    | esk45_0 )).

cnf(i_0_644,axiom,
    ( esk44_0
    | ~ p(X1)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk43_0
    | esk42_0 )).

cnf(i_0_645,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_646,axiom,
    ( esk47_0
    | ~ esk46_0
    | ~ esk45_0
    | ~ esk55_0
    | ~ esk54_0
    | esk56_0 )).

cnf(i_0_647,axiom,
    ( ~ esk44_0
    | ~ esk43_0
    | esk42_0
    | ~ esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7) )).

cnf(i_0_648,axiom,
    ( ~ esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X6)
    | ~ esk56_0
    | ~ esk54_0
    | esk55_0 )).

cnf(i_0_649,axiom,
    ( esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | esk49_0
    | ~ esk48_0
    | ~ esk50_0 )).

cnf(i_0_650,axiom,
    ( esk39_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X7)
    | ~ esk41_0
    | ~ esk40_0 )).

cnf(i_0_651,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_652,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_653,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X3)
    | p(X6)
    | p(X5) )).

cnf(i_0_654,axiom,
    ( esk35_0
    | ~ esk33_0
    | ~ esk45_0
    | ~ esk34_0
    | esk47_0
    | ~ esk46_0 )).

cnf(i_0_655,axiom,
    ( esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk59_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk3_0
    | ~ esk58_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_656,axiom,
    ( esk34_0
    | esk44_0
    | ~ esk42_0
    | esk35_0
    | ~ esk33_0
    | esk43_0 )).

cnf(i_0_657,axiom,
    ( ~ esk47_0
    | ~ esk37_0
    | ~ esk38_0
    | esk45_0
    | esk36_0
    | ~ esk46_0 )).

cnf(i_0_658,axiom,
    ( ~ esk49_0
    | ~ esk39_0
    | ~ esk50_0
    | ~ esk48_0
    | ~ esk41_0
    | ~ esk40_0 )).

cnf(i_0_659,axiom,
    ( ~ p(X8)
    | esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk47_0
    | ~ esk46_0
    | ~ esk45_0 )).

cnf(i_0_660,axiom,
    ( ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_661,axiom,
    ( ~ esk65_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk60_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk57_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk13_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk59_8(X1,X2,X3,X4,X5,X6,X7,X8) )).

cnf(i_0_662,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_663,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_664,axiom,
    ( esk52_0
    | ~ esk53_0
    | esk58_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk51_0
    | ~ p(X6) )).

cnf(i_0_665,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_666,axiom,
    ( esk39_0
    | ~ esk62_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ esk40_0
    | p(X3)
    | esk41_0 )).

cnf(i_0_667,axiom,
    ( esk42_0
    | ~ esk44_0
    | ~ esk43_0
    | esk39_0
    | ~ esk40_0
    | ~ esk41_0 )).

cnf(i_0_668,axiom,
    ( ~ esk39_0
    | ~ esk41_0
    | ~ esk56_0
    | ~ esk55_0
    | ~ esk40_0
    | ~ esk54_0 )).

cnf(i_0_669,axiom,
    ( ~ esk43_0
    | ~ esk44_0
    | ~ p(X7)
    | esk61_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk42_0 )).

cnf(i_0_670,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X5) )).

cnf(i_0_671,axiom,
    ( esk35_0
    | esk33_0
    | esk64_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | esk34_0
    | ~ p(X1) )).

cnf(i_0_672,axiom,
    ( ~ esk38_0
    | esk40_0
    | ~ esk41_0
    | esk37_0
    | ~ esk39_0
    | ~ esk36_0 )).

cnf(i_0_673,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_674,axiom,
    ( p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ esk67_8(X1,X2,X3,X4,X5,X6,X7,X8)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_675,axiom,
    ( esk45_0
    | esk39_0
    | esk40_0
    | esk47_0
    | esk41_0
    | esk46_0 )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
