%------------------------------------------------------------------------------
% File     : PLA040-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Planning
% Problem  : QBFLib problem from the evader-pursuer-NxN-logarithmic family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : ev-pr-4x4-5-3-0-0-1-lg-shuffled [Sei12]

% Status   : Satisfiable
% Rating   : 0.83 v6.1.0, 0.80 v6.0.0
% Syntax   : Number of clauses     : 6049 (3185 non-Horn;  35 unit;4327 RR)
%            Number of atoms       : 21283 (   1 equality)
%            Maximal clause size   :   66 (   4 average)
%            Number of predicates  :  886 ( 188 propositional; 0-12 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 55368 (14292 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_SAT_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2,axiom,
    ( esk19_0
    | ~ esk112_0 )).

cnf(i_0_3,axiom,
    ( esk295_6(X1,X2,X3,X4,X5,X6)
    | esk297_6(X1,X2,X3,X4,X5,X6)
    | esk296_6(X1,X2,X3,X4,X5,X6)
    | esk293_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | esk294_6(X1,X2,X3,X4,X5,X6)
    | esk299_6(X1,X2,X3,X4,X5,X6)
    | esk301_6(X1,X2,X3,X4,X5,X6)
    | esk298_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk300_6(X1,X2,X3,X4,X5,X6)
    | esk302_6(X1,X2,X3,X4,X5,X6)
    | ~ esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4,axiom,
    ( esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk369_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6,axiom,
    ( ~ esk37_0
    | ~ esk86_0 )).

cnf(i_0_7,axiom,
    ( esk37_0
    | ~ esk120_0 )).

cnf(i_0_8,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_9,axiom,
    ( ~ esk43_0
    | esk34_0 )).

cnf(i_0_10,axiom,
    ( ~ p(X11)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_11,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_12,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk858_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk367_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_13,axiom,
    ( ~ esk71_0
    | esk35_0 )).

cnf(i_0_14,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_15,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_16,axiom,
    ( ~ esk271_6(X1,X2,X3,X4,X5,X6)
    | esk350_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_17,axiom,
    ( p(X1)
    | p(X3)
    | esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | ~ p(X5)
    | esk188_0
    | p(X2)
    | p(X6) )).

cnf(i_0_18,axiom,
    ( esk182_0
    | ~ esk113_0 )).

cnf(i_0_19,axiom,
    ( ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_20,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_21,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_22,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_23,axiom,
    ( esk38_0
    | ~ esk79_0 )).

cnf(i_0_24,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk290_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_25,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_26,axiom,
    ( esk188_0
    | esk169_0
    | esk667_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_27,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_28,axiom,
    ( ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X3) )).

cnf(i_0_29,axiom,
    ( ~ esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_30,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_31,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_32,axiom,
    ( ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_33,axiom,
    ( esk549_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_34,axiom,
    ( ~ esk220_6(X1,X2,X3,X4,X5,X6)
    | ~ esk219_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_35,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_36,axiom,
    ( esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X12)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_37,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_38,axiom,
    ( ~ esk136_0
    | esk184_0 )).

cnf(i_0_39,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_40,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_41,axiom,
    ( ~ esk33_0
    | ~ esk34_0
    | esk35_0
    | ~ esk38_0
    | esk36_0
    | ~ esk37_0
    | esk39_0
    | esk91_0 )).

cnf(i_0_42,axiom,
    ( ~ esk115_0
    | ~ esk38_0 )).

cnf(i_0_43,axiom,
    ( esk195_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_44,axiom,
    ( ~ esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_45,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_46,axiom,
    ( ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_47,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_48,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_49,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_50,axiom,
    ( ~ esk35_0
    | ~ esk58_0 )).

cnf(i_0_51,axiom,
    ( ~ esk136_0
    | ~ esk28_0 )).

cnf(i_0_52,axiom,
    ( esk29_0
    | ~ esk149_0 )).

cnf(i_0_53,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_54,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_55,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_56,axiom,
    ( ~ esk48_0
    | ~ esk37_0 )).

cnf(i_0_57,axiom,
    ( ~ esk22_0
    | esk177_0 )).

cnf(i_0_58,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_59,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_60,axiom,
    ( esk209_6(X1,X2,X3,X4,X5,X6)
    | esk283_6(X1,X2,X3,X4,X5,X6)
    | esk290_6(X1,X2,X3,X4,X5,X6)
    | esk317_6(X1,X2,X3,X4,X5,X6)
    | esk328_6(X1,X2,X3,X4,X5,X6)
    | esk298_6(X1,X2,X3,X4,X5,X6)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk340_6(X1,X2,X3,X4,X5,X6)
    | esk334_6(X1,X2,X3,X4,X5,X6)
    | esk246_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk267_6(X1,X2,X3,X4,X5,X6)
    | esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_61,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_62,axiom,
    ( ~ esk35_0
    | ~ esk75_0 )).

cnf(i_0_63,axiom,
    ( esk33_0
    | ~ esk39_0
    | ~ esk34_0
    | ~ esk36_0
    | ~ esk38_0
    | ~ esk37_0
    | ~ esk35_0 )).

cnf(i_0_64,axiom,
    ( ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_65,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk373_6(X1,X2,X3,X4,X5,X6)
    | esk876_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_66,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_67,axiom,
    ( esk34_0
    | ~ esk122_0 )).

cnf(i_0_68,axiom,
    ( esk33_0
    | ~ esk34_0
    | esk58_0
    | ~ esk37_0
    | esk36_0
    | esk39_0
    | esk35_0
    | esk38_0 )).

cnf(i_0_69,axiom,
    ( esk188_0
    | ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6) )).

cnf(i_0_70,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_71,axiom,
    ( esk39_0
    | esk35_0
    | esk37_0
    | ~ esk36_0
    | ~ esk34_0
    | esk50_0
    | esk38_0
    | esk33_0 )).

cnf(i_0_72,axiom,
    ( ~ esk35_0
    | ~ esk131_0 )).

cnf(i_0_73,axiom,
    ( ~ esk121_0
    | ~ esk34_0 )).

cnf(i_0_74,axiom,
    ( esk188_0
    | ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1) )).

cnf(i_0_75,axiom,
    ( esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_76,axiom,
    ( esk38_0
    | ~ esk81_0 )).

cnf(i_0_77,axiom,
    ( ~ esk34_0
    | ~ esk97_0 )).

cnf(i_0_78,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk202_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_79,axiom,
    ( ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_80,axiom,
    ( ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_81,axiom,
    ( esk19_0
    | ~ esk113_0 )).

cnf(i_0_82,axiom,
    ( ~ esk137_0
    | ~ esk20_0 )).

cnf(i_0_83,axiom,
    ( esk21_0
    | ~ esk122_0 )).

cnf(i_0_84,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_85,axiom,
    ( ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_86,axiom,
    ( ~ esk37_0
    | ~ esk35_0
    | esk38_0
    | esk34_0
    | ~ esk33_0
    | esk39_0
    | esk69_0
    | ~ esk36_0 )).

cnf(i_0_87,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_88,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_89,axiom,
    ( ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_90,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_91,axiom,
    ( esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk185_0 )).

cnf(i_0_92,axiom,
    ( ~ esk9_0 )).

cnf(i_0_93,axiom,
    ( ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_94,axiom,
    ( p(X12)
    | ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_95,axiom,
    ( ~ p(X1)
    | ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_96,axiom,
    ( esk33_0
    | ~ esk99_0 )).

cnf(i_0_97,axiom,
    ( esk188_0
    | ~ esk700_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk699_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_98,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk251_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_99,axiom,
    ( ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_100,axiom,
    ( ~ esk149_0
    | esk36_0 )).

cnf(i_0_101,axiom,
    ( ~ esk35_0
    | ~ esk96_0 )).

cnf(i_0_102,axiom,
    ( esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_103,axiom,
    ( ~ esk312_6(X1,X2,X3,X4,X5,X6)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_104,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_105,axiom,
    ( ~ esk685_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk175_0 )).

cnf(i_0_106,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_107,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_108,axiom,
    ( p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_109,axiom,
    ( ~ esk110_0
    | esk39_0 )).

cnf(i_0_110,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_111,axiom,
    ( ~ esk665_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk666_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_112,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_113,axiom,
    ( esk33_0
    | esk39_0
    | ~ esk35_0
    | ~ esk38_0
    | ~ esk34_0
    | esk86_0
    | ~ esk36_0
    | esk37_0 )).

cnf(i_0_114,axiom,
    ( ~ esk33_0
    | ~ esk92_0 )).

cnf(i_0_115,axiom,
    ( p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_116,axiom,
    ( esk39_0
    | esk33_0
    | esk92_0
    | ~ esk35_0
    | ~ esk38_0
    | esk36_0
    | esk34_0
    | ~ esk37_0 )).

cnf(i_0_117,axiom,
    ( esk374_6(X1,X2,X3,X4,X5,X6)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_118,axiom,
    ( esk39_0
    | ~ esk117_0 )).

cnf(i_0_119,axiom,
    ( ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_120,axiom,
    ( esk162_0
    | ~ esk83_0 )).

cnf(i_0_121,axiom,
    ( esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_122,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_123,axiom,
    ( ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_124,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_125,axiom,
    ( ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_126,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_127,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | esk188_0
    | esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_128,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk364_6(X1,X2,X3,X4,X5,X6)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_129,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_130,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_131,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk206_6(X1,X2,X3,X4,X5,X6)
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_132,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_133,axiom,
    ( ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk202_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_134,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_135,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_136,axiom,
    ( ~ esk127_0
    | ~ esk178_0 )).

cnf(i_0_137,axiom,
    ( esk162_0
    | ~ esk54_0 )).

cnf(i_0_138,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_139,axiom,
    ( esk707_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk183_0 )).

cnf(i_0_140,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_141,axiom,
    ( ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12)
    | p(X11)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_142,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_143,axiom,
    ( ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_144,axiom,
    ( ~ esk129_0
    | esk37_0 )).

cnf(i_0_145,axiom,
    ( p(X3)
    | ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_146,axiom,
    ( p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_147,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_148,axiom,
    ( ~ esk115_0
    | esk160_0 )).

cnf(i_0_149,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_150,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_151,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_152,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_153,axiom,
    ( ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_154,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_155,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_156,axiom,
    ( ~ esk42_0
    | ~ esk38_0 )).

cnf(i_0_157,axiom,
    ( ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_158,axiom,
    ( ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_159,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_160,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk213_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_161,axiom,
    ( ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_162,axiom,
    ( ~ esk36_0
    | esk35_0
    | ~ esk38_0
    | ~ esk39_0
    | esk33_0
    | ~ esk37_0
    | esk34_0 )).

cnf(i_0_163,axiom,
    ( esk188_0
    | ~ esk635_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk636_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_164,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_165,axiom,
    ( ~ esk166_0
    | esk100_0
    | esk49_0
    | esk43_0
    | esk107_0
    | esk93_0
    | esk11_0
    | esk116_0
    | esk66_0
    | esk85_0
    | esk137_0
    | esk55_0 )).

cnf(i_0_166,axiom,
    ( esk34_0
    | ~ esk126_0 )).

cnf(i_0_167,axiom,
    ( esk34_0
    | ~ esk59_0 )).

cnf(i_0_168,axiom,
    ( ~ esk129_0
    | ~ esk38_0 )).

cnf(i_0_169,axiom,
    ( ~ esk78_0
    | ~ esk39_0 )).

cnf(i_0_170,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk790_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk347_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_171,axiom,
    ( esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk716_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_172,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_173,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk284_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_174,axiom,
    ( p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_175,axiom,
    ( ~ esk636_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_176,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_177,axiom,
    ( ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_178,axiom,
    ( esk188_0
    | ~ esk632_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_179,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6)
    | ~ esk193_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_180,axiom,
    ( ~ esk74_0
    | ~ esk35_0 )).

cnf(i_0_181,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_182,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk315_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_183,axiom,
    ( ~ esk69_0
    | ~ esk34_0 )).

cnf(i_0_184,axiom,
    ( esk878_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk375_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_185,axiom,
    ( ~ esk311_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_186,axiom,
    ( esk40_0
    | ~ esk158_0
    | esk72_0
    | esk53_0
    | esk65_0
    | esk105_0
    | esk3_0
    | esk81_0
    | esk59_0 )).

cnf(i_0_187,axiom,
    ( ~ esk36_0
    | esk35_0
    | ~ esk39_0
    | esk33_0
    | ~ esk38_0
    | esk37_0
    | ~ esk34_0
    | esk146_0 )).

cnf(i_0_188,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk877_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_189,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_190,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_191,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_192,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_193,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_194,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_195,axiom,
    ( ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk215_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_196,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_197,axiom,
    ( esk39_0
    | esk95_0
    | ~ esk37_0
    | esk36_0
    | ~ esk34_0
    | ~ esk38_0
    | ~ esk33_0
    | ~ esk35_0 )).

cnf(i_0_198,axiom,
    ( ~ esk35_0
    | ~ esk120_0 )).

cnf(i_0_199,axiom,
    ( ~ esk38_0
    | ~ esk114_0 )).

cnf(i_0_200,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk859_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_201,axiom,
    ( esk36_0
    | ~ esk148_0 )).

cnf(i_0_202,axiom,
    ( esk179_0
    | esk699_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_203,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_204,axiom,
    ( esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_205,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_206,axiom,
    ( esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_207,axiom,
    ( esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk628_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_208,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_209,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | ~ p(X12)
    | p(X11)
    | p(X9) )).

cnf(i_0_210,axiom,
    ( esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_211,axiom,
    ( ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_212,axiom,
    ( ~ esk176_0
    | ~ esk115_0 )).

cnf(i_0_213,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_214,axiom,
    ( ~ esk59_0
    | esk37_0 )).

cnf(i_0_215,axiom,
    ( ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_216,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_217,axiom,
    ( ~ esk77_0
    | esk35_0 )).

cnf(i_0_218,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk829_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_219,axiom,
    ( ~ esk168_0
    | ~ esk82_0 )).

cnf(i_0_220,axiom,
    ( esk651_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk165_0
    | esk188_0 )).

cnf(i_0_221,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_222,axiom,
    ( ~ esk185_0
    | esk30_0 )).

cnf(i_0_223,axiom,
    ( ~ esk50_0
    | esk168_0 )).

cnf(i_0_224,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_225,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_226,axiom,
    ( p(X3)
    | ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_227,axiom,
    ( esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_228,axiom,
    ( ~ esk861_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_229,axiom,
    ( ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_230,axiom,
    ( ~ esk35_0
    | ~ esk106_0 )).

cnf(i_0_231,axiom,
    ( ~ esk185_0
    | ~ esk715_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_232,axiom,
    ( esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_233,axiom,
    ( esk173_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_234,axiom,
    ( ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_235,axiom,
    ( ~ esk142_0
    | esk39_0 )).

cnf(i_0_236,axiom,
    ( ~ esk685_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk686_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_237,axiom,
    ( ~ esk38_0
    | ~ esk112_0 )).

cnf(i_0_238,axiom,
    ( ~ esk87_0
    | ~ esk39_0 )).

cnf(i_0_239,axiom,
    ( ~ esk167_0
    | ~ esk657_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_240,axiom,
    ( esk373_6(X1,X2,X3,X4,X5,X6)
    | ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_241,axiom,
    ( ~ esk34_0
    | ~ esk84_0 )).

cnf(i_0_242,axiom,
    ( ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_243,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_244,axiom,
    ( ~ esk841_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_245,axiom,
    ( ~ esk92_0
    | esk38_0 )).

cnf(i_0_246,axiom,
    ( esk188_0
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_247,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_248,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_249,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_250,axiom,
    ( ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7) )).

cnf(i_0_251,axiom,
    ( esk188_0
    | ~ esk684_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk683_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_252,axiom,
    ( ~ esk147_0
    | ~ esk37_0 )).

cnf(i_0_253,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_254,axiom,
    ( ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_255,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_256,axiom,
    ( ~ esk176_0
    | ~ esk116_0 )).

cnf(i_0_257,axiom,
    ( ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk553_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_258,axiom,
    ( ~ esk34_0
    | ~ esk92_0 )).

cnf(i_0_259,axiom,
    ( esk375_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk880_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_260,axiom,
    ( ~ esk141_0
    | ~ esk182_0 )).

cnf(i_0_261,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk273_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_262,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_263,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_264,axiom,
    ( esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_265,axiom,
    ( esk87_0
    | esk78_0
    | esk134_0
    | ~ esk174_0
    | esk101_0
    | esk69_0
    | esk139_0
    | esk51_0
    | esk128_0
    | esk19_0
    | esk145_0
    | esk120_0 )).

cnf(i_0_266,axiom,
    ( esk36_0
    | ~ esk116_0 )).

cnf(i_0_267,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_268,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_269,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_270,axiom,
    ( esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_271,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_272,axiom,
    ( esk34_0
    | esk38_0
    | esk36_0
    | ~ esk39_0
    | esk33_0
    | ~ esk37_0
    | esk35_0
    | esk120_0 )).

cnf(i_0_273,axiom,
    ( ~ esk37_0
    | ~ esk72_0 )).

cnf(i_0_274,axiom,
    ( esk9_0
    | ~ esk68_0 )).

cnf(i_0_275,axiom,
    ( ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_276,axiom,
    ( esk188_0
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_277,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_278,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_279,axiom,
    ( ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_280,axiom,
    ( ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_281,axiom,
    ( ~ esk71_0
    | esk11_0 )).

cnf(i_0_282,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_283,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_284,axiom,
    ( esk37_0
    | ~ esk153_0 )).

cnf(i_0_285,axiom,
    ( esk33_0
    | ~ esk65_0 )).

cnf(i_0_286,axiom,
    ( ~ esk174_0
    | ~ esk105_0 )).

cnf(i_0_287,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_288,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_289,axiom,
    ( ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_290,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_291,axiom,
    ( ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_292,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_293,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_294,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_295,axiom,
    ( ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk193_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_296,axiom,
    ( p(X5)
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_297,axiom,
    ( esk11_0
    | ~ esk74_0 )).

cnf(i_0_298,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk220_6(X1,X2,X3,X4,X5,X6)
    | ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_299,axiom,
    ( esk3_0
    | ~ esk49_0 )).

cnf(i_0_300,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk864_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk865_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_301,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_302,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_303,axiom,
    ( ~ esk104_0
    | esk39_0 )).

cnf(i_0_304,axiom,
    ( ~ esk669_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk171_0 )).

cnf(i_0_305,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X4) )).

cnf(i_0_306,axiom,
    ( ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_307,axiom,
    ( esk253_6(X1,X2,X3,X4,X5,X6)
    | esk191_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk293_6(X1,X2,X3,X4,X5,X6)
    | ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk269_6(X1,X2,X3,X4,X5,X6)
    | esk247_6(X1,X2,X3,X4,X5,X6)
    | esk241_6(X1,X2,X3,X4,X5,X6)
    | esk228_6(X1,X2,X3,X4,X5,X6)
    | esk260_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_308,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_309,axiom,
    ( ~ esk690_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk689_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_310,axiom,
    ( ~ esk695_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk177_0
    | esk188_0 )).

cnf(i_0_311,axiom,
    ( ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_312,axiom,
    ( ~ esk93_0
    | esk33_0 )).

cnf(i_0_313,axiom,
    ( p(X12)
    | ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_314,axiom,
    ( esk188_0
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_315,axiom,
    ( ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_316,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_317,axiom,
    ( ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X5) )).

cnf(i_0_318,axiom,
    ( ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_319,axiom,
    ( ~ p(X2)
    | esk188_0
    | ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_320,axiom,
    ( esk287_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_321,axiom,
    ( ~ esk679_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk680_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_322,axiom,
    ( ~ esk361_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk838_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_323,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_324,axiom,
    ( esk176_0
    | ~ esk152_0 )).

cnf(i_0_325,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_326,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_327,axiom,
    ( p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_328,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_329,axiom,
    ( ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk205_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_330,axiom,
    ( esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_331,axiom,
    ( ~ esk125_0
    | esk33_0 )).

cnf(i_0_332,axiom,
    ( ~ esk55_0
    | esk34_0 )).

cnf(i_0_333,axiom,
    ( ~ esk143_0
    | esk186_0 )).

cnf(i_0_334,axiom,
    ( esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_335,axiom,
    ( ~ esk48_0
    | ~ esk38_0 )).

cnf(i_0_336,axiom,
    ( esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_337,axiom,
    ( ~ esk2_0 )).

cnf(i_0_338,axiom,
    ( ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_339,axiom,
    ( esk153_0
    | esk96_0
    | ~ esk178_0
    | esk121_0
    | esk111_0
    | esk23_0
    | esk147_0
    | esk89_0
    | esk63_0 )).

cnf(i_0_340,axiom,
    ( ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_341,axiom,
    ( ~ esk287_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_342,axiom,
    ( esk310_6(X1,X2,X3,X4,X5,X6)
    | esk342_6(X1,X2,X3,X4,X5,X6)
    | esk268_6(X1,X2,X3,X4,X5,X6)
    | esk323_6(X1,X2,X3,X4,X5,X6)
    | esk292_6(X1,X2,X3,X4,X5,X6)
    | esk215_6(X1,X2,X3,X4,X5,X6)
    | esk337_6(X1,X2,X3,X4,X5,X6)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk301_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_343,axiom,
    ( esk348_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_344,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_345,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk859_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk858_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_346,axiom,
    ( ~ esk102_0
    | ~ esk172_0 )).

cnf(i_0_347,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_348,axiom,
    ( esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk161_0
    | esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_349,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_350,axiom,
    ( esk188_0
    | esk167_0
    | esk659_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_351,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_352,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_353,axiom,
    ( ~ esk349_6(X1,X2,X3,X4,X5,X6)
    | esk194_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_354,axiom,
    ( ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_355,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_356,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_357,axiom,
    ( ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_358,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9) )).

cnf(i_0_359,axiom,
    ( ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_360,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6)
    | ~ esk358_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_361,axiom,
    ( ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_362,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_363,axiom,
    ( ~ esk182_0
    | ~ esk142_0 )).

cnf(i_0_364,axiom,
    ( ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_365,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_366,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk198_6(X1,X2,X3,X4,X5,X6)
    | ~ esk353_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_367,axiom,
    ( ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_368,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_369,axiom,
    ( ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_370,axiom,
    ( ~ esk135_0
    | esk37_0 )).

cnf(i_0_371,axiom,
    ( esk188_0
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_372,axiom,
    ( ~ esk116_0
    | esk39_0 )).

cnf(i_0_373,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_374,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_375,axiom,
    ( ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_376,axiom,
    ( ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_377,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk799_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_378,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_379,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_380,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_381,axiom,
    ( ~ esk333_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_382,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_383,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_384,axiom,
    ( ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_385,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_386,axiom,
    ( ~ esk33_0
    | ~ esk64_0 )).

cnf(i_0_387,axiom,
    ( ~ esk90_0
    | ~ esk36_0 )).

cnf(i_0_388,axiom,
    ( ~ esk44_0
    | ~ esk34_0 )).

cnf(i_0_389,axiom,
    ( p(X4)
    | esk188_0
    | ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_390,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_391,axiom,
    ( ~ esk102_0
    | esk37_0 )).

cnf(i_0_392,axiom,
    ( esk35_0
    | esk34_0
    | esk41_0
    | ~ esk33_0
    | esk37_0
    | esk39_0
    | esk38_0
    | esk36_0 )).

cnf(i_0_393,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_394,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk283_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_395,axiom,
    ( ~ esk37_0
    | ~ esk146_0 )).

cnf(i_0_396,axiom,
    ( ~ esk146_0
    | esk39_0 )).

cnf(i_0_397,axiom,
    ( ~ esk55_0
    | ~ esk38_0 )).

cnf(i_0_398,axiom,
    ( ~ esk149_0
    | esk33_0 )).

cnf(i_0_399,axiom,
    ( ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_400,axiom,
    ( esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_401,axiom,
    ( ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0 )).

cnf(i_0_402,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_403,axiom,
    ( esk80_0
    | ~ esk38_0
    | esk33_0
    | ~ esk36_0
    | esk39_0
    | esk35_0
    | esk34_0
    | esk37_0 )).

cnf(i_0_404,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_405,axiom,
    ( ~ esk168_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_406,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_407,axiom,
    ( esk824_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk825_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_408,axiom,
    ( esk36_0
    | ~ esk145_0 )).

cnf(i_0_409,axiom,
    ( esk188_0
    | ~ esk179_0
    | ~ esk701_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_410,axiom,
    ( esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk674_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_411,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_412,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_413,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_414,axiom,
    ( ~ esk14_0
    | ~ esk76_0 )).

cnf(i_0_415,axiom,
    ( ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_416,axiom,
    ( ~ esk67_0
    | ~ esk38_0 )).

cnf(i_0_417,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_418,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_419,axiom,
    ( esk654_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk653_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_420,axiom,
    ( ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_421,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_422,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_423,axiom,
    ( esk846_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk847_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_424,axiom,
    ( ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_425,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk303_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_426,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_427,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_428,axiom,
    ( ~ esk37_0
    | ~ esk39_0
    | esk38_0
    | esk35_0
    | esk34_0
    | ~ esk33_0
    | esk36_0
    | esk121_0 )).

cnf(i_0_429,axiom,
    ( ~ esk374_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_430,axiom,
    ( p(X11)
    | ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_431,axiom,
    ( ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_432,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_433,axiom,
    ( ~ esk61_0
    | ~ esk38_0 )).

cnf(i_0_434,axiom,
    ( ~ p(X4)
    | esk188_0
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_435,axiom,
    ( ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_436,axiom,
    ( ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_437,axiom,
    ( ~ esk179_0
    | esk24_0 )).

cnf(i_0_438,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk265_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_439,axiom,
    ( ~ esk88_0
    | esk38_0 )).

cnf(i_0_440,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_441,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | p(X3)
    | p(X4)
    | esk188_0 )).

cnf(i_0_442,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_443,axiom,
    ( ~ esk662_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_444,axiom,
    ( esk861_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk860_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_445,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_446,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_447,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_448,axiom,
    ( ~ esk66_0
    | esk34_0 )).

cnf(i_0_449,axiom,
    ( ~ esk108_0
    | ~ esk36_0 )).

cnf(i_0_450,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk820_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk357_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_451,axiom,
    ( ~ esk36_0
    | ~ esk92_0 )).

cnf(i_0_452,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_453,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_454,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_455,axiom,
    ( esk188_0
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3) )).

cnf(i_0_456,axiom,
    ( ~ esk37_0
    | ~ esk149_0 )).

cnf(i_0_457,axiom,
    ( ~ esk47_0
    | esk162_0 )).

cnf(i_0_458,axiom,
    ( esk178_0
    | ~ esk96_0 )).

cnf(i_0_459,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_460,axiom,
    ( ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_461,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_462,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk295_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_463,axiom,
    ( ~ esk662_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_464,axiom,
    ( ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_465,axiom,
    ( ~ esk84_0
    | ~ esk168_0 )).

cnf(i_0_466,axiom,
    ( esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_467,axiom,
    ( ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_468,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk341_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_469,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_470,axiom,
    ( ~ esk87_0
    | esk13_0 )).

cnf(i_0_471,axiom,
    ( ~ esk135_0
    | esk36_0 )).

cnf(i_0_472,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_473,axiom,
    ( esk35_0
    | ~ esk63_0 )).

cnf(i_0_474,axiom,
    ( ~ esk36_0
    | ~ esk58_0 )).

cnf(i_0_475,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk285_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_476,axiom,
    ( ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X5) )).

cnf(i_0_477,axiom,
    ( esk35_0
    | ~ esk54_0 )).

cnf(i_0_478,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_479,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_480,axiom,
    ( ~ esk55_0
    | esk166_0 )).

cnf(i_0_481,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk541_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_482,axiom,
    ( esk210_6(X1,X2,X3,X4,X5,X6)
    | esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk177_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_483,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_484,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_485,axiom,
    ( ~ esk368_6(X1,X2,X3,X4,X5,X6)
    | esk336_6(X1,X2,X3,X4,X5,X6)
    | esk329_6(X1,X2,X3,X4,X5,X6)
    | esk213_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk291_6(X1,X2,X3,X4,X5,X6)
    | esk300_6(X1,X2,X3,X4,X5,X6)
    | esk258_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_486,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_487,axiom,
    ( esk188_0
    | esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk708_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_488,axiom,
    ( ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_489,axiom,
    ( ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X1) )).

cnf(i_0_490,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_491,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_492,axiom,
    ( ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X2) )).

cnf(i_0_493,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_494,axiom,
    ( ~ esk172_0
    | ~ esk101_0 )).

cnf(i_0_495,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_496,axiom,
    ( ~ p(X5)
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_497,axiom,
    ( esk199_6(X1,X2,X3,X4,X5,X6)
    | ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_498,axiom,
    ( esk126_0
    | esk129_0
    | esk131_0
    | esk125_0
    | esk178_0
    | esk127_0
    | ~ esk23_0
    | esk130_0
    | esk128_0 )).

cnf(i_0_499,axiom,
    ( esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_500,axiom,
    ( ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_501,axiom,
    ( ~ esk353_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk810_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_502,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk257_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_503,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk248_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_504,axiom,
    ( esk61_0
    | esk60_0
    | esk162_0
    | esk63_0
    | esk59_0
    | ~ esk7_0
    | esk62_0 )).

cnf(i_0_505,axiom,
    ( ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_506,axiom,
    ( ~ p(X10)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_507,axiom,
    ( ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_508,axiom,
    ( ~ esk36_0
    | ~ esk63_0 )).

cnf(i_0_509,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_510,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_511,axiom,
    ( ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9) )).

cnf(i_0_512,axiom,
    ( ~ esk34_0
    | ~ esk57_0 )).

cnf(i_0_513,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_514,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_515,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_516,axiom,
    ( ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_517,axiom,
    ( ~ esk10_0
    | ~ esk98_0 )).

cnf(i_0_518,axiom,
    ( ~ esk146_0
    | esk38_0 )).

cnf(i_0_519,axiom,
    ( ~ esk33_0
    | ~ esk52_0 )).

cnf(i_0_520,axiom,
    ( ~ esk69_0
    | esk9_0 )).

cnf(i_0_521,axiom,
    ( esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ p(X11)
    | ~ p(X9)
    | p(X7)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_522,axiom,
    ( ~ esk140_0
    | ~ esk34_0 )).

cnf(i_0_523,axiom,
    ( ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_524,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_525,axiom,
    ( ~ esk705_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk181_0
    | esk188_0 )).

cnf(i_0_526,axiom,
    ( ~ esk174_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_527,axiom,
    ( p(X12)
    | p(X9)
    | ~ p(X11)
    | esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_528,axiom,
    ( ~ esk79_0
    | esk34_0 )).

cnf(i_0_529,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | ~ esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_530,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_531,axiom,
    ( esk188_0
    | ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_532,axiom,
    ( ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_533,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_534,axiom,
    ( esk172_0
    | ~ esk77_0 )).

cnf(i_0_535,axiom,
    ( esk33_0
    | ~ esk143_0 )).

cnf(i_0_536,axiom,
    ( ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_537,axiom,
    ( ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_538,axiom,
    ( ~ esk121_0
    | esk33_0 )).

cnf(i_0_539,axiom,
    ( esk188_0
    | ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3) )).

cnf(i_0_540,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_541,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_542,axiom,
    ( ~ esk29_0 )).

cnf(i_0_543,axiom,
    ( esk713_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk185_0
    | esk188_0 )).

cnf(i_0_544,axiom,
    ( ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_545,axiom,
    ( esk188_0
    | esk651_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk652_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_546,axiom,
    ( ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_547,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_548,axiom,
    ( ~ esk55_0
    | ~ esk39_0 )).

cnf(i_0_549,axiom,
    ( esk55_0
    | esk54_0
    | esk160_0
    | esk52_0
    | esk53_0
    | esk56_0
    | esk58_0
    | ~ esk5_0
    | esk57_0 )).

cnf(i_0_550,axiom,
    ( ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_551,axiom,
    ( ~ esk231_6(X1,X2,X3,X4,X5,X6)
    | ~ esk344_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_552,axiom,
    ( ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk374_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_553,axiom,
    ( p(X3)
    | ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_554,axiom,
    ( ~ esk164_0
    | ~ esk66_0 )).

cnf(i_0_555,axiom,
    ( esk36_0
    | ~ esk85_0 )).

cnf(i_0_556,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_557,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_558,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_559,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk300_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_560,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_561,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_562,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_563,axiom,
    ( ~ esk34_0
    | ~ esk72_0 )).

cnf(i_0_564,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_565,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_566,axiom,
    ( ~ esk137_0
    | esk33_0 )).

cnf(i_0_567,axiom,
    ( esk211_6(X1,X2,X3,X4,X5,X6)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_568,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_569,axiom,
    ( esk39_0
    | ~ esk139_0 )).

cnf(i_0_570,axiom,
    ( esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_571,axiom,
    ( ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_572,axiom,
    ( ~ esk135_0
    | esk39_0 )).

cnf(i_0_573,axiom,
    ( ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk643_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk644_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_574,axiom,
    ( ~ p(X6)
    | esk188_0
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_575,axiom,
    ( p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_576,axiom,
    ( ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_577,axiom,
    ( esk25_0 )).

cnf(i_0_578,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | ~ esk346_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_579,axiom,
    ( esk186_0
    | ~ esk131_0 )).

cnf(i_0_580,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_581,axiom,
    ( ~ esk38_0
    | ~ esk107_0 )).

cnf(i_0_582,axiom,
    ( esk195_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_583,axiom,
    ( ~ esk37_0
    | esk33_0
    | ~ esk35_0
    | esk34_0
    | ~ esk36_0
    | esk39_0
    | ~ esk38_0
    | esk100_0 )).

cnf(i_0_584,axiom,
    ( ~ esk693_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk694_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_585,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_586,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_587,axiom,
    ( esk275_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_588,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_589,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_590,axiom,
    ( ~ esk34_0
    | ~ esk40_0 )).

cnf(i_0_591,axiom,
    ( ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_592,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_593,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_594,axiom,
    ( ~ esk807_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_595,axiom,
    ( ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_596,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_597,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_598,axiom,
    ( ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_599,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_600,axiom,
    ( ~ esk50_0
    | ~ esk39_0 )).

cnf(i_0_601,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_602,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk219_6(X1,X2,X3,X4,X5,X6)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_603,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_604,axiom,
    ( ~ esk325_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_605,axiom,
    ( ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_606,axiom,
    ( esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk545_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_607,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk304_6(X1,X2,X3,X4,X5,X6)
    | esk312_6(X1,X2,X3,X4,X5,X6)
    | esk311_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6)
    | esk306_6(X1,X2,X3,X4,X5,X6)
    | esk303_6(X1,X2,X3,X4,X5,X6)
    | esk309_6(X1,X2,X3,X4,X5,X6)
    | esk310_6(X1,X2,X3,X4,X5,X6)
    | ~ esk209_6(X1,X2,X3,X4,X5,X6)
    | esk305_6(X1,X2,X3,X4,X5,X6)
    | esk308_6(X1,X2,X3,X4,X5,X6)
    | esk307_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_608,axiom,
    ( ~ p(X2)
    | esk188_0
    | ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_609,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_610,axiom,
    ( ~ esk123_0
    | ~ esk38_0 )).

cnf(i_0_611,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_612,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_613,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_614,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_615,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk357_6(X1,X2,X3,X4,X5,X6)
    | esk824_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_616,axiom,
    ( esk35_0
    | ~ esk84_0 )).

cnf(i_0_617,axiom,
    ( ~ esk170_0
    | ~ esk95_0 )).

cnf(i_0_618,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_619,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_620,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_621,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk848_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk849_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_622,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_623,axiom,
    ( ~ esk371_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk868_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_624,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_625,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_626,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk361_6(X1,X2,X3,X4,X5,X6)
    | ~ esk834_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_627,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_628,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk835_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk834_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_629,axiom,
    ( ~ esk791_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk790_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_630,axiom,
    ( ~ esk178_0
    | ~ esk129_0 )).

cnf(i_0_631,axiom,
    ( esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_632,axiom,
    ( ~ esk179_0
    | ~ esk699_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_633,axiom,
    ( ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_634,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_635,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_636,axiom,
    ( esk39_0
    | ~ esk115_0 )).

cnf(i_0_637,axiom,
    ( esk36_0
    | ~ esk83_0 )).

cnf(i_0_638,axiom,
    ( ~ esk31_0
    | ~ esk32_0 )).

cnf(i_0_639,axiom,
    ( ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_640,axiom,
    ( esk188_0
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3) )).

cnf(i_0_641,axiom,
    ( ~ esk135_0
    | ~ esk38_0 )).

cnf(i_0_642,axiom,
    ( ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_643,axiom,
    ( esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_644,axiom,
    ( p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ p(X12)
    | esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_645,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_646,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_647,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_648,axiom,
    ( ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_649,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_650,axiom,
    ( p(X1)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_651,axiom,
    ( ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_652,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_653,axiom,
    ( esk188_0
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1) )).

cnf(i_0_654,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_655,axiom,
    ( p(X2)
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_656,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0
    | ~ p(X3) )).

cnf(i_0_657,axiom,
    ( ~ esk71_0
    | esk34_0 )).

cnf(i_0_658,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | ~ esk335_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_659,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk793_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_660,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_661,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk259_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_662,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk260_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_663,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk228_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_664,axiom,
    ( ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk192_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_665,axiom,
    ( ~ esk142_0
    | esk38_0 )).

cnf(i_0_666,axiom,
    ( p(X7)
    | esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | p(X8)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_667,axiom,
    ( ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_668,axiom,
    ( ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_669,axiom,
    ( esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk167_0
    | esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk200_6(X1,X2,X3,X4,X5,X6)
    | esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_670,axiom,
    ( esk25_0
    | ~ esk134_0 )).

cnf(i_0_671,axiom,
    ( ~ esk39_0
    | ~ esk97_0 )).

cnf(i_0_672,axiom,
    ( ~ esk79_0
    | ~ esk39_0 )).

cnf(i_0_673,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_674,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_675,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_676,axiom,
    ( ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_677,axiom,
    ( esk34_0
    | ~ esk118_0 )).

cnf(i_0_678,axiom,
    ( ~ esk280_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_679,axiom,
    ( p(X2)
    | ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_680,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_681,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_682,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_683,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_684,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_685,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_686,axiom,
    ( ~ esk33_0
    | ~ esk118_0 )).

cnf(i_0_687,axiom,
    ( ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_688,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_689,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_690,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk312_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_691,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk690_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_692,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk656_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_693,axiom,
    ( ~ esk66_0
    | ~ esk38_0 )).

cnf(i_0_694,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_695,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_696,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk353_6(X1,X2,X3,X4,X5,X6)
    | ~ esk806_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_697,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_698,axiom,
    ( esk35_0
    | ~ esk53_0 )).

cnf(i_0_699,axiom,
    ( esk34_0
    | ~ esk36_0
    | ~ esk38_0
    | ~ esk33_0
    | esk35_0
    | esk37_0
    | esk145_0
    | ~ esk39_0 )).

cnf(i_0_700,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_701,axiom,
    ( esk180_0
    | ~ esk112_0 )).

cnf(i_0_702,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_703,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_704,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_705,axiom,
    ( ~ esk284_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_706,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_707,axiom,
    ( esk36_0
    | ~ esk146_0 )).

cnf(i_0_708,axiom,
    ( esk34_0
    | esk137_0
    | ~ esk39_0
    | ~ esk33_0
    | ~ esk38_0
    | esk35_0
    | esk37_0
    | esk36_0 )).

cnf(i_0_709,axiom,
    ( ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_710,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_711,axiom,
    ( ~ esk694_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk693_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_712,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_713,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk308_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_714,axiom,
    ( ~ esk636_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_715,axiom,
    ( ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_716,axiom,
    ( esk172_0
    | ~ esk68_0 )).

cnf(i_0_717,axiom,
    ( esk188_0
    | ~ esk700_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_718,axiom,
    ( ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_719,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_720,axiom,
    ( esk34_0
    | ~ esk82_0 )).

cnf(i_0_721,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_722,axiom,
    ( ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_723,axiom,
    ( ~ esk34_0
    | ~ esk101_0 )).

cnf(i_0_724,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_725,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_726,axiom,
    ( esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_727,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_728,axiom,
    ( ~ esk137_0
    | ~ esk182_0 )).

cnf(i_0_729,axiom,
    ( ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_730,axiom,
    ( ~ esk35_0
    | ~ esk59_0 )).

cnf(i_0_731,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_732,axiom,
    ( ~ esk168_0
    | ~ esk86_0 )).

cnf(i_0_733,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk698_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_734,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk799_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_735,axiom,
    ( ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_736,axiom,
    ( esk39_0
    | ~ esk136_0 )).

cnf(i_0_737,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_738,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_739,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_740,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk852_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_741,axiom,
    ( ~ esk152_0
    | ~ esk35_0 )).

cnf(i_0_742,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_743,axiom,
    ( ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_744,axiom,
    ( esk348_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_745,axiom,
    ( esk188_0
    | esk656_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk655_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_746,axiom,
    ( ~ esk123_0
    | esk21_0 )).

cnf(i_0_747,axiom,
    ( esk819_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk818_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_748,axiom,
    ( ~ esk33_0
    | esk35_0
    | esk113_0
    | ~ esk36_0
    | ~ esk39_0
    | esk34_0
    | esk37_0
    | esk38_0 )).

cnf(i_0_749,axiom,
    ( ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_750,axiom,
    ( esk688_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk687_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_751,axiom,
    ( ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_752,axiom,
    ( ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_753,axiom,
    ( p(X3)
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_754,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk817_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_755,axiom,
    ( ~ esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk563_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_756,axiom,
    ( esk36_0
    | ~ esk71_0 )).

cnf(i_0_757,axiom,
    ( esk251_6(X1,X2,X3,X4,X5,X6)
    | esk350_6(X1,X2,X3,X4,X5,X6)
    | esk247_6(X1,X2,X3,X4,X5,X6)
    | esk250_6(X1,X2,X3,X4,X5,X6)
    | esk249_6(X1,X2,X3,X4,X5,X6)
    | esk248_6(X1,X2,X3,X4,X5,X6)
    | ~ esk195_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_758,axiom,
    ( ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_759,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_760,axiom,
    ( esk204_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk171_0
    | esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_761,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk654_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_762,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_763,axiom,
    ( ~ esk35_0
    | ~ esk37_0
    | esk61_0
    | esk38_0
    | esk34_0
    | esk39_0
    | ~ esk33_0
    | esk36_0 )).

cnf(i_0_764,axiom,
    ( ~ esk36_0
    | ~ esk35_0
    | ~ esk34_0
    | esk33_0
    | esk134_0
    | ~ esk37_0
    | esk38_0
    | ~ esk39_0 )).

cnf(i_0_765,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_766,axiom,
    ( ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12) )).

cnf(i_0_767,axiom,
    ( esk34_0
    | ~ esk62_0 )).

cnf(i_0_768,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_769,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_770,axiom,
    ( ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_771,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_772,axiom,
    ( esk36_0
    | ~ esk54_0 )).

cnf(i_0_773,axiom,
    ( ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_774,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_775,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_776,axiom,
    ( ~ esk84_0
    | esk164_0 )).

cnf(i_0_777,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_778,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_779,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_780,axiom,
    ( ~ esk37_0
    | ~ esk116_0 )).

cnf(i_0_781,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_782,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_783,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_784,axiom,
    ( ~ esk312_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_785,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_786,axiom,
    ( ~ esk16_0
    | esk171_0 )).

cnf(i_0_787,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_788,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk811_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk810_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_789,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_790,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk269_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_791,axiom,
    ( ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | esk188_0 )).

cnf(i_0_792,axiom,
    ( ~ esk121_0
    | ~ esk176_0 )).

cnf(i_0_793,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_794,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_795,axiom,
    ( ~ p(X8)
    | p(X12)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ p(X11)
    | esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_796,axiom,
    ( esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_797,axiom,
    ( esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk164_0 )).

cnf(i_0_798,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_799,axiom,
    ( ~ esk147_0
    | ~ esk184_0 )).

cnf(i_0_800,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_801,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk278_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_802,axiom,
    ( ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk350_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_803,axiom,
    ( ~ esk252_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_804,axiom,
    ( ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_805,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_806,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk706_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_807,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_808,axiom,
    ( ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_809,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_810,axiom,
    ( ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_811,axiom,
    ( ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_812,axiom,
    ( ~ esk38_0
    | ~ esk36_0
    | ~ esk35_0
    | ~ esk39_0
    | ~ esk37_0
    | esk34_0
    | ~ esk33_0 )).

cnf(i_0_813,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_814,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_815,axiom,
    ( esk645_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk646_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_816,axiom,
    ( esk156_0
    | ~ esk71_0 )).

cnf(i_0_817,axiom,
    ( ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk363_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_818,axiom,
    ( ~ esk873_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_819,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_820,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_821,axiom,
    ( p(X1)
    | ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_822,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | ~ esk820_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_823,axiom,
    ( ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_824,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_825,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_826,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_827,axiom,
    ( ~ esk118_0
    | ~ esk37_0 )).

cnf(i_0_828,axiom,
    ( ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_829,axiom,
    ( esk188_0
    | ~ esk656_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_830,axiom,
    ( ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | esk188_0 )).

cnf(i_0_831,axiom,
    ( esk36_0
    | ~ esk70_0 )).

cnf(i_0_832,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9) )).

cnf(i_0_833,axiom,
    ( ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_834,axiom,
    ( ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_835,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk800_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk349_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_836,axiom,
    ( ~ esk674_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_837,axiom,
    ( ~ esk284_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_838,axiom,
    ( esk34_0
    | ~ esk151_0 )).

cnf(i_0_839,axiom,
    ( ~ esk39_0
    | ~ esk59_0 )).

cnf(i_0_840,axiom,
    ( esk158_0
    | ~ esk59_0 )).

cnf(i_0_841,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_842,axiom,
    ( ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_843,axiom,
    ( ~ esk54_0
    | ~ esk38_0 )).

cnf(i_0_844,axiom,
    ( p(X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | p(X11)
    | esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_845,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_846,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_847,axiom,
    ( ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_848,axiom,
    ( esk717_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk718_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_849,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_850,axiom,
    ( ~ esk689_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk177_0 )).

cnf(i_0_851,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_852,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_853,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk795_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_854,axiom,
    ( ~ esk74_0
    | ~ esk36_0 )).

cnf(i_0_855,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_856,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk325_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_857,axiom,
    ( ~ esk144_0
    | esk168_0 )).

cnf(i_0_858,axiom,
    ( ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_859,axiom,
    ( esk172_0
    | ~ esk119_0 )).

cnf(i_0_860,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_861,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk214_6(X1,X2,X3,X4,X5,X6)
    | esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk181_0 )).

cnf(i_0_862,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_863,axiom,
    ( esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk845_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_864,axiom,
    ( ~ esk175_0
    | esk20_0 )).

cnf(i_0_865,axiom,
    ( ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_866,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk351_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_867,axiom,
    ( ~ esk33_0
    | ~ esk72_0 )).

cnf(i_0_868,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk660_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_869,axiom,
    ( ~ esk90_0
    | ~ esk39_0 )).

cnf(i_0_870,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk664_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_871,axiom,
    ( esk188_0
    | esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk706_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_872,axiom,
    ( ~ esk634_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk633_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_873,axiom,
    ( esk188_0
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_874,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_875,axiom,
    ( ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk196_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_876,axiom,
    ( ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_877,axiom,
    ( esk360_6(X1,X2,X3,X4,X5,X6)
    | ~ esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_878,axiom,
    ( esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk803_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_879,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_880,axiom,
    ( ~ esk56_0
    | ~ esk38_0 )).

cnf(i_0_881,axiom,
    ( p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_882,axiom,
    ( esk38_0
    | esk37_0
    | ~ esk36_0
    | esk53_0
    | esk34_0
    | ~ esk33_0
    | esk39_0
    | ~ esk35_0 )).

cnf(i_0_883,axiom,
    ( ~ esk66_0
    | esk37_0 )).

cnf(i_0_884,axiom,
    ( ~ esk35_0
    | ~ esk41_0 )).

cnf(i_0_885,axiom,
    ( ~ esk33_0
    | ~ esk46_0 )).

cnf(i_0_886,axiom,
    ( ~ esk22_0 )).

cnf(i_0_887,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_888,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_889,axiom,
    ( esk371_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk870_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_890,axiom,
    ( p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_891,axiom,
    ( p(X9)
    | ~ p(X12)
    | ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X11)
    | p(X7) )).

cnf(i_0_892,axiom,
    ( p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_893,axiom,
    ( ~ esk814_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_894,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_895,axiom,
    ( ~ esk105_0
    | esk19_0 )).

cnf(i_0_896,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_897,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk791_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_898,axiom,
    ( esk37_0
    | ~ esk95_0 )).

cnf(i_0_899,axiom,
    ( esk87_0
    | esk82_0
    | esk168_0
    | esk89_0
    | ~ esk13_0
    | esk81_0
    | esk83_0
    | esk90_0
    | esk88_0
    | esk85_0
    | esk84_0
    | esk86_0 )).

cnf(i_0_900,axiom,
    ( ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11) )).

cnf(i_0_901,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_902,axiom,
    ( esk34_0
    | ~ esk91_0 )).

cnf(i_0_903,axiom,
    ( esk166_0
    | ~ esk66_0 )).

cnf(i_0_904,axiom,
    ( ~ esk163_0
    | esk188_0
    | ~ esk645_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_905,axiom,
    ( ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_906,axiom,
    ( ~ esk34_0
    | ~ esk124_0 )).

cnf(i_0_907,axiom,
    ( ~ esk833_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk832_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_908,axiom,
    ( ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_909,axiom,
    ( ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk197_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_910,axiom,
    ( ~ esk113_0
    | ~ esk37_0 )).

cnf(i_0_911,axiom,
    ( ~ esk41_0
    | esk33_0 )).

cnf(i_0_912,axiom,
    ( ~ esk124_0
    | ~ esk38_0 )).

cnf(i_0_913,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_914,axiom,
    ( ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_915,axiom,
    ( ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_916,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_917,axiom,
    ( esk830_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk359_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_918,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_919,axiom,
    ( ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_920,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk320_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_921,axiom,
    ( ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_922,axiom,
    ( ~ p(X6)
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_923,axiom,
    ( ~ p(X1)
    | esk188_0
    | p(X3)
    | ~ p(X5)
    | esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | p(X6)
    | p(X4) )).

cnf(i_0_924,axiom,
    ( ~ esk172_0
    | ~ esk98_0 )).

cnf(i_0_925,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_926,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk868_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk869_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_927,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_928,axiom,
    ( ~ esk150_0
    | ~ esk37_0 )).

cnf(i_0_929,axiom,
    ( esk220_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk375_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_930,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_931,axiom,
    ( esk35_0
    | ~ esk68_0 )).

cnf(i_0_932,axiom,
    ( ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_933,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_934,axiom,
    ( ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_935,axiom,
    ( esk39_0
    | ~ esk129_0 )).

cnf(i_0_936,axiom,
    ( ~ esk37_0
    | ~ esk81_0 )).

cnf(i_0_937,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_938,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk220_6(X1,X2,X3,X4,X5,X6)
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_939,axiom,
    ( ~ esk36_0
    | ~ esk122_0 )).

cnf(i_0_940,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_941,axiom,
    ( esk37_0
    | ~ esk91_0 )).

cnf(i_0_942,axiom,
    ( ~ esk110_0
    | esk35_0 )).

cnf(i_0_943,axiom,
    ( ~ esk38_0
    | esk35_0
    | ~ esk37_0
    | esk34_0
    | ~ esk36_0
    | ~ esk39_0
    | ~ esk33_0 )).

cnf(i_0_944,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_945,axiom,
    ( ~ esk33_0
    | ~ esk108_0 )).

cnf(i_0_946,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_947,axiom,
    ( esk187_0
    | esk719_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_948,axiom,
    ( ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_949,axiom,
    ( ~ esk108_0
    | esk35_0 )).

cnf(i_0_950,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk360_6(X1,X2,X3,X4,X5,X6)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_951,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk196_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_952,axiom,
    ( esk193_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_953,axiom,
    ( esk198_6(X1,X2,X3,X4,X5,X6)
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_954,axiom,
    ( ~ esk138_0
    | esk38_0 )).

cnf(i_0_955,axiom,
    ( esk188_0
    | esk169_0
    | esk665_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_956,axiom,
    ( esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_957,axiom,
    ( esk33_0
    | ~ esk51_0 )).

cnf(i_0_958,axiom,
    ( ~ esk37_0
    | ~ esk105_0 )).

cnf(i_0_959,axiom,
    ( ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_960,axiom,
    ( esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_961,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_962,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_963,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_964,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10) )).

cnf(i_0_965,axiom,
    ( ~ esk314_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_966,axiom,
    ( ~ esk16_0
    | ~ esk63_0 )).

cnf(i_0_967,axiom,
    ( ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk878_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk879_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_968,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk267_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_969,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_970,axiom,
    ( ~ esk12_0
    | ~ esk105_0 )).

cnf(i_0_971,axiom,
    ( esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk206_6(X1,X2,X3,X4,X5,X6)
    | ~ esk173_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_972,axiom,
    ( ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_973,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_974,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_975,axiom,
    ( esk34_0
    | ~ esk90_0 )).

cnf(i_0_976,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | esk188_0
    | p(X4)
    | esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6) )).

cnf(i_0_977,axiom,
    ( esk38_0
    | ~ esk136_0 )).

cnf(i_0_978,axiom,
    ( esk4_0 )).

cnf(i_0_979,axiom,
    ( esk188_0
    | esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk702_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_980,axiom,
    ( esk5_0
    | ~ esk55_0 )).

cnf(i_0_981,axiom,
    ( esk33_0
    | ~ esk61_0 )).

cnf(i_0_982,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_983,axiom,
    ( ~ esk646_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_984,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_985,axiom,
    ( ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_986,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk628_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_987,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_988,axiom,
    ( ~ esk787_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_989,axiom,
    ( ~ esk130_0
    | ~ esk35_0 )).

cnf(i_0_990,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_991,axiom,
    ( ~ esk643_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk163_0 )).

cnf(i_0_992,axiom,
    ( ~ esk76_0
    | esk38_0 )).

cnf(i_0_993,axiom,
    ( ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_994,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_995,axiom,
    ( ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_996,axiom,
    ( ~ esk38_0
    | ~ esk40_0 )).

cnf(i_0_997,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_998,axiom,
    ( ~ esk134_0
    | ~ esk33_0 )).

cnf(i_0_999,axiom,
    ( esk188_0
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_1000,axiom,
    ( ~ esk160_0
    | ~ esk53_0 )).

cnf(i_0_1001,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1002,axiom,
    ( p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | p(X10)
    | p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_1003,axiom,
    ( ~ esk35_0
    | ~ esk72_0 )).

cnf(i_0_1004,axiom,
    ( esk51_0
    | esk37_0
    | ~ esk36_0
    | ~ esk33_0
    | esk38_0
    | ~ esk34_0
    | esk35_0
    | esk39_0 )).

cnf(i_0_1005,axiom,
    ( ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1006,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1007,axiom,
    ( ~ esk36_0
    | ~ esk56_0 )).

cnf(i_0_1008,axiom,
    ( ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1009,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1010,axiom,
    ( ~ esk37_0
    | ~ esk143_0 )).

cnf(i_0_1011,axiom,
    ( ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk200_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1012,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1013,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1014,axiom,
    ( esk557_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1015,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1016,axiom,
    ( ~ esk94_0
    | ~ esk33_0 )).

cnf(i_0_1017,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk229_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1018,axiom,
    ( ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1019,axiom,
    ( esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1020,axiom,
    ( esk37_0
    | ~ esk39_0
    | esk138_0
    | esk36_0
    | esk33_0
    | ~ esk34_0
    | ~ esk38_0
    | esk35_0 )).

cnf(i_0_1021,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1022,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1023,axiom,
    ( ~ esk74_0
    | ~ esk166_0 )).

cnf(i_0_1024,axiom,
    ( ~ esk34_0
    | ~ esk113_0 )).

cnf(i_0_1025,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1026,axiom,
    ( ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1027,axiom,
    ( esk828_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk359_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1028,axiom,
    ( ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1029,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1030,axiom,
    ( esk189_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk259_6(X1,X2,X3,X4,X5,X6)
    | esk286_6(X1,X2,X3,X4,X5,X6)
    | esk240_6(X1,X2,X3,X4,X5,X6)
    | esk252_6(X1,X2,X3,X4,X5,X6)
    | ~ esk344_6(X1,X2,X3,X4,X5,X6)
    | esk233_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1031,axiom,
    ( esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1032,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk207_6(X1,X2,X3,X4,X5,X6)
    | esk174_0 )).

cnf(i_0_1033,axiom,
    ( esk301_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1034,axiom,
    ( ~ esk56_0
    | ~ esk39_0 )).

cnf(i_0_1035,axiom,
    ( ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1036,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1037,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk855_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1038,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk307_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1039,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1040,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1041,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1042,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1043,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1044,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1045,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ p(X12)
    | esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1046,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1047,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1048,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1049,axiom,
    ( esk188_0
    | p(X1)
    | ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1050,axiom,
    ( esk35_0
    | ~ esk135_0 )).

cnf(i_0_1051,axiom,
    ( ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1052,axiom,
    ( ~ esk143_0
    | ~ esk30_0 )).

cnf(i_0_1053,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1054,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1055,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1056,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk869_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1057,axiom,
    ( esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1058,axiom,
    ( esk866_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk371_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1059,axiom,
    ( ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_1060,axiom,
    ( esk38_0
    | ~ esk99_0 )).

cnf(i_0_1061,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1062,axiom,
    ( ~ esk94_0
    | esk168_0 )).

cnf(i_0_1063,axiom,
    ( ~ esk37_0
    | ~ esk115_0 )).

cnf(i_0_1064,axiom,
    ( ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1065,axiom,
    ( ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1066,axiom,
    ( ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1067,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk266_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1068,axiom,
    ( esk33_0
    | ~ esk123_0 )).

cnf(i_0_1069,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk232_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1070,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk231_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1071,axiom,
    ( ~ esk77_0
    | ~ esk34_0 )).

cnf(i_0_1072,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_1073,axiom,
    ( ~ esk38_0
    | ~ esk70_0 )).

cnf(i_0_1074,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk837_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1075,axiom,
    ( esk35_0
    | ~ esk95_0 )).

cnf(i_0_1076,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1077,axiom,
    ( esk38_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk35_0
    | ~ esk36_0
    | esk39_0
    | esk55_0
    | esk37_0 )).

cnf(i_0_1078,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1079,axiom,
    ( ~ esk812_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk813_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1080,axiom,
    ( esk168_0
    | ~ esk56_0 )).

cnf(i_0_1081,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1082,axiom,
    ( esk7_0
    | ~ esk62_0 )).

cnf(i_0_1083,axiom,
    ( ~ esk38_0
    | ~ esk62_0 )).

cnf(i_0_1084,axiom,
    ( ~ esk152_0
    | ~ esk36_0 )).

cnf(i_0_1085,axiom,
    ( ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1086,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1087,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1088,axiom,
    ( ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1089,axiom,
    ( ~ esk250_6(X1,X2,X3,X4,X5,X6)
    | ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1090,axiom,
    ( ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1091,axiom,
    ( ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1092,axiom,
    ( esk643_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk644_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1093,axiom,
    ( esk188_0
    | ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_1094,axiom,
    ( ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1095,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk831_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1096,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk203_6(X1,X2,X3,X4,X5,X6)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1097,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1098,axiom,
    ( ~ esk101_0
    | esk17_0 )).

cnf(i_0_1099,axiom,
    ( ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1100,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1101,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk166_0
    | esk199_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1102,axiom,
    ( ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1103,axiom,
    ( ~ esk820_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk821_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1104,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1105,axiom,
    ( ~ esk47_0
    | ~ esk37_0 )).

cnf(i_0_1106,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk632_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1107,axiom,
    ( ~ esk114_0
    | esk34_0 )).

cnf(i_0_1108,axiom,
    ( ~ esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1109,axiom,
    ( ~ esk7_0 )).

cnf(i_0_1110,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1111,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1112,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1113,axiom,
    ( esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1114,axiom,
    ( ~ esk39_0
    | ~ esk69_0 )).

cnf(i_0_1115,axiom,
    ( ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1116,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk188_0
    | ~ p(X5)
    | p(X1)
    | esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_1117,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1118,axiom,
    ( ~ esk106_0
    | esk19_0 )).

cnf(i_0_1119,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk352_6(X1,X2,X3,X4,X5,X6)
    | ~ esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1120,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1121,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1122,axiom,
    ( esk356_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1123,axiom,
    ( ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1124,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1125,axiom,
    ( ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1126,axiom,
    ( ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1127,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1128,axiom,
    ( ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1129,axiom,
    ( esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1130,axiom,
    ( ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1131,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1132,axiom,
    ( ~ esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1133,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1134,axiom,
    ( esk39_0
    | ~ esk137_0 )).

cnf(i_0_1135,axiom,
    ( ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1136,axiom,
    ( ~ esk33_0
    | ~ esk35_0
    | ~ esk37_0
    | esk38_0
    | esk36_0
    | esk63_0
    | ~ esk34_0
    | esk39_0 )).

cnf(i_0_1137,axiom,
    ( ~ esk35_0
    | ~ esk153_0 )).

cnf(i_0_1138,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1139,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1140,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1141,axiom,
    ( ~ esk102_0
    | esk36_0 )).

cnf(i_0_1142,axiom,
    ( ~ esk100_0
    | ~ esk172_0 )).

cnf(i_0_1143,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1144,axiom,
    ( ~ esk70_0
    | esk35_0 )).

cnf(i_0_1145,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1146,axiom,
    ( ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1147,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1148,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1149,axiom,
    ( ~ esk35_0
    | ~ esk38_0
    | ~ esk39_0
    | esk36_0
    | esk33_0
    | ~ esk37_0
    | ~ esk34_0 )).

cnf(i_0_1150,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1151,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1152,axiom,
    ( ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | ~ esk368_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1153,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1154,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1155,axiom,
    ( esk38_0
    | ~ esk101_0 )).

cnf(i_0_1156,axiom,
    ( ~ esk48_0
    | esk164_0 )).

cnf(i_0_1157,axiom,
    ( ~ esk134_0
    | esk174_0 )).

cnf(i_0_1158,axiom,
    ( esk188_0
    | ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk659_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk660_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1159,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk249_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1160,axiom,
    ( ~ esk35_0
    | ~ esk146_0 )).

cnf(i_0_1161,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1162,axiom,
    ( esk37_0
    | ~ esk130_0 )).

cnf(i_0_1163,axiom,
    ( ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1164,axiom,
    ( ~ esk103_0
    | esk37_0 )).

cnf(i_0_1165,axiom,
    ( ~ esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1166,axiom,
    ( ~ esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk350_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1167,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1168,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1169,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1170,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1171,axiom,
    ( esk38_0
    | ~ esk90_0 )).

cnf(i_0_1172,axiom,
    ( ~ esk122_0
    | ~ esk33_0 )).

cnf(i_0_1173,axiom,
    ( ~ esk41_0
    | ~ esk39_0 )).

cnf(i_0_1174,axiom,
    ( ~ esk128_0
    | esk23_0 )).

cnf(i_0_1175,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1176,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1177,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1178,axiom,
    ( esk188_0
    | ~ esk717_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk718_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1179,axiom,
    ( ~ esk113_0
    | ~ esk38_0 )).

cnf(i_0_1180,axiom,
    ( ~ esk143_0
    | esk35_0 )).

cnf(i_0_1181,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1182,axiom,
    ( esk188_0
    | esk691_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk692_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1183,axiom,
    ( ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1184,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1185,axiom,
    ( ~ esk151_0
    | esk39_0 )).

cnf(i_0_1186,axiom,
    ( ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1187,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1188,axiom,
    ( ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1189,axiom,
    ( ~ esk77_0
    | esk33_0 )).

cnf(i_0_1190,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk159_0
    | esk192_6(X1,X2,X3,X4,X5,X6)
    | esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1191,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk808_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk809_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1192,axiom,
    ( ~ esk100_0
    | ~ esk39_0 )).

cnf(i_0_1193,axiom,
    ( ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1194,axiom,
    ( ~ esk153_0
    | esk33_0 )).

cnf(i_0_1195,axiom,
    ( ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1196,axiom,
    ( ~ esk33_0
    | ~ esk152_0 )).

cnf(i_0_1197,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1198,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1199,axiom,
    ( ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1200,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk847_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1201,axiom,
    ( ~ esk39_0
    | ~ esk88_0 )).

cnf(i_0_1202,axiom,
    ( esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1203,axiom,
    ( ~ esk160_0
    | ~ esk54_0 )).

cnf(i_0_1204,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1205,axiom,
    ( ~ esk35_0
    | ~ esk34_0
    | esk135_0
    | esk38_0
    | ~ esk37_0
    | ~ esk39_0
    | ~ esk36_0
    | ~ esk33_0 )).

cnf(i_0_1206,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1207,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1208,axiom,
    ( esk39_0
    | ~ esk121_0 )).

cnf(i_0_1209,axiom,
    ( ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1210,axiom,
    ( ~ esk75_0
    | esk168_0 )).

cnf(i_0_1211,axiom,
    ( esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk672_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1212,axiom,
    ( esk5_0
    | ~ esk52_0 )).

cnf(i_0_1213,axiom,
    ( esk368_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1214,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1215,axiom,
    ( p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1216,axiom,
    ( ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1217,axiom,
    ( esk39_0
    | esk35_0
    | esk36_0
    | esk75_0
    | ~ esk38_0
    | ~ esk33_0
    | esk37_0
    | ~ esk34_0 )).

cnf(i_0_1218,axiom,
    ( esk27_0
    | ~ esk138_0 )).

cnf(i_0_1219,axiom,
    ( ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1220,axiom,
    ( ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1221,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | ~ esk205_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1222,axiom,
    ( esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1223,axiom,
    ( ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1224,axiom,
    ( ~ esk115_0
    | esk21_0 )).

cnf(i_0_1225,axiom,
    ( esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk202_6(X1,X2,X3,X4,X5,X6)
    | esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk169_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1226,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1227,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1228,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1229,axiom,
    ( ~ esk33_0
    | esk38_0
    | esk36_0
    | esk35_0
    | ~ esk37_0
    | esk59_0
    | ~ esk34_0
    | esk39_0 )).

cnf(i_0_1230,axiom,
    ( esk158_0
    | ~ esk81_0 )).

cnf(i_0_1231,axiom,
    ( ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1232,axiom,
    ( ~ esk186_0
    | esk131_0
    | esk143_0
    | esk150_0
    | esk124_0
    | esk97_0
    | esk31_0 )).

cnf(i_0_1233,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1234,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1235,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | p(X11)
    | p(X10)
    | esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ p(X8)
    | ~ p(X12) )).

cnf(i_0_1236,axiom,
    ( esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk660_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1237,axiom,
    ( ~ esk106_0
    | ~ esk37_0 )).

cnf(i_0_1238,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1239,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1240,axiom,
    ( ~ p(X5)
    | esk188_0
    | ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1241,axiom,
    ( ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1242,axiom,
    ( ~ esk801_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1243,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1244,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1245,axiom,
    ( ~ esk120_0
    | ~ esk36_0 )).

cnf(i_0_1246,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1247,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1248,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk288_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1249,axiom,
    ( p(X6)
    | esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | esk188_0
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X2) )).

cnf(i_0_1250,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1251,axiom,
    ( esk19_0
    | ~ esk108_0 )).

cnf(i_0_1252,axiom,
    ( ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1253,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1254,axiom,
    ( ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1255,axiom,
    ( ~ esk39_0
    | ~ esk54_0 )).

cnf(i_0_1256,axiom,
    ( ~ esk37_0
    | ~ esk50_0 )).

cnf(i_0_1257,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk254_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1258,axiom,
    ( ~ esk67_0
    | ~ esk35_0 )).

cnf(i_0_1259,axiom,
    ( ~ esk38_0
    | ~ esk64_0 )).

cnf(i_0_1260,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X9)
    | p(X11) )).

cnf(i_0_1261,axiom,
    ( esk27_0
    | ~ esk142_0 )).

cnf(i_0_1262,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_1263,axiom,
    ( ~ esk696_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1264,axiom,
    ( ~ esk676_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1265,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1266,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1267,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1268,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1269,axiom,
    ( ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X3) )).

cnf(i_0_1270,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1271,axiom,
    ( ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1272,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1273,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1274,axiom,
    ( esk188_0
    | ~ esk678_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1275,axiom,
    ( ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1276,axiom,
    ( ~ esk73_0
    | ~ esk39_0 )).

cnf(i_0_1277,axiom,
    ( ~ esk12_0 )).

cnf(i_0_1278,axiom,
    ( ~ esk69_0
    | ~ esk164_0 )).

cnf(i_0_1279,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1280,axiom,
    ( ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1281,axiom,
    ( ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1282,axiom,
    ( esk188_0
    | ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_1283,axiom,
    ( esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk670_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1284,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk277_6(X1,X2,X3,X4,X5,X6)
    | esk284_6(X1,X2,X3,X4,X5,X6)
    | esk251_6(X1,X2,X3,X4,X5,X6)
    | esk299_6(X1,X2,X3,X4,X5,X6)
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | esk341_6(X1,X2,X3,X4,X5,X6)
    | esk335_6(X1,X2,X3,X4,X5,X6)
    | esk309_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1285,axiom,
    ( ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1286,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1287,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1288,axiom,
    ( esk164_0
    | ~ esk132_0 )).

cnf(i_0_1289,axiom,
    ( esk188_0
    | ~ esk640_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1290,axiom,
    ( ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1291,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1292,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1293,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1294,axiom,
    ( ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | esk188_0 )).

cnf(i_0_1295,axiom,
    ( ~ esk827_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk826_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1296,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1297,axiom,
    ( ~ esk37_0
    | ~ esk74_0 )).

cnf(i_0_1298,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk238_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1299,axiom,
    ( ~ esk284_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1300,axiom,
    ( esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1301,axiom,
    ( esk37_0
    | esk39_0
    | esk35_0
    | esk34_0
    | esk38_0
    | esk40_0
    | esk36_0
    | esk33_0 )).

cnf(i_0_1302,axiom,
    ( ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk344_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1303,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1304,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1305,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1306,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk877_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk876_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1307,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1308,axiom,
    ( ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2) )).

cnf(i_0_1309,axiom,
    ( ~ esk142_0
    | esk35_0 )).

cnf(i_0_1310,axiom,
    ( ~ esk109_0
    | ~ esk36_0 )).

cnf(i_0_1311,axiom,
    ( ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1312,axiom,
    ( esk188_0
    | ~ esk156_0 )).

cnf(i_0_1313,axiom,
    ( ~ esk96_0
    | ~ esk33_0 )).

cnf(i_0_1314,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk666_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1315,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1316,axiom,
    ( ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1317,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk858_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk859_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1318,axiom,
    ( ~ p(X8)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1319,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1320,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1321,axiom,
    ( ~ p(X6)
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1322,axiom,
    ( ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1323,axiom,
    ( ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1324,axiom,
    ( ~ esk36_0
    | ~ esk127_0 )).

cnf(i_0_1325,axiom,
    ( ~ esk875_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1326,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1327,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1328,axiom,
    ( ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1329,axiom,
    ( ~ esk39_0
    | ~ esk60_0 )).

cnf(i_0_1330,axiom,
    ( ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk300_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1331,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_1332,axiom,
    ( ~ esk138_0
    | ~ esk33_0 )).

cnf(i_0_1333,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk861_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1334,axiom,
    ( ~ esk155_0
    | esk33_0 )).

cnf(i_0_1335,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1336,axiom,
    ( ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1337,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1338,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1339,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | esk188_0
    | p(X3)
    | esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1340,axiom,
    ( ~ esk59_0
    | esk33_0 )).

cnf(i_0_1341,axiom,
    ( ~ esk113_0
    | ~ esk35_0 )).

cnf(i_0_1342,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk535_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1343,axiom,
    ( ~ esk139_0
    | esk38_0 )).

cnf(i_0_1344,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1345,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1346,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1347,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk243_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1348,axiom,
    ( ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1349,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1350,axiom,
    ( ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9) )).

cnf(i_0_1351,axiom,
    ( ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1352,axiom,
    ( ~ esk118_0
    | esk39_0 )).

cnf(i_0_1353,axiom,
    ( ~ esk829_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1354,axiom,
    ( ~ esk87_0
    | esk35_0 )).

cnf(i_0_1355,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk841_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1356,axiom,
    ( esk703_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk181_0 )).

cnf(i_0_1357,axiom,
    ( ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk880_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk881_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1358,axiom,
    ( esk188_0
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5) )).

cnf(i_0_1359,axiom,
    ( esk188_0
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_1360,axiom,
    ( esk188_0
    | ~ esk719_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk720_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1361,axiom,
    ( ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1362,axiom,
    ( ~ esk683_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk175_0
    | esk188_0 )).

cnf(i_0_1363,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | ~ esk824_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1364,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1365,axiom,
    ( ~ esk250_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1366,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1367,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1368,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1369,axiom,
    ( ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_1370,axiom,
    ( esk174_0
    | ~ esk87_0 )).

cnf(i_0_1371,axiom,
    ( ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1372,axiom,
    ( ~ esk51_0
    | esk174_0 )).

cnf(i_0_1373,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1374,axiom,
    ( p(X2)
    | ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1375,axiom,
    ( esk26_0
    | ~ esk181_0 )).

cnf(i_0_1376,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1377,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1378,axiom,
    ( ~ esk140_0
    | esk176_0 )).

cnf(i_0_1379,axiom,
    ( esk794_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk795_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1380,axiom,
    ( esk39_0
    | esk98_0
    | esk33_0
    | ~ esk34_0
    | ~ esk37_0
    | ~ esk38_0
    | esk35_0
    | ~ esk36_0 )).

cnf(i_0_1381,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1382,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1383,axiom,
    ( ~ p(X4)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1384,axiom,
    ( ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1385,axiom,
    ( esk39_0
    | ~ esk123_0 )).

cnf(i_0_1386,axiom,
    ( ~ esk92_0
    | ~ esk39_0 )).

cnf(i_0_1387,axiom,
    ( p(X5)
    | ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1388,axiom,
    ( esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1389,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk254_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1390,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk862_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk369_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1391,axiom,
    ( esk188_0
    | ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5) )).

cnf(i_0_1392,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk875_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk874_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1393,axiom,
    ( esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1394,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1395,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1396,axiom,
    ( ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1397,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | ~ esk344_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1398,axiom,
    ( esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1399,axiom,
    ( ~ esk322_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1400,axiom,
    ( esk188_0
    | ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_1401,axiom,
    ( ~ esk43_0
    | ~ esk36_0 )).

cnf(i_0_1402,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk214_6(X1,X2,X3,X4,X5,X6)
    | ~ esk369_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1403,axiom,
    ( ~ esk129_0
    | esk33_0 )).

cnf(i_0_1404,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1405,axiom,
    ( ~ esk50_0
    | ~ esk33_0 )).

cnf(i_0_1406,axiom,
    ( ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1407,axiom,
    ( esk188_0
    | esk662_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk661_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1408,axiom,
    ( ~ esk714_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1409,axiom,
    ( ~ esk40_0
    | ~ esk39_0 )).

cnf(i_0_1410,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1411,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1412,axiom,
    ( ~ esk143_0
    | esk34_0 )).

cnf(i_0_1413,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1414,axiom,
    ( ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1415,axiom,
    ( ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1416,axiom,
    ( esk822_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk823_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1417,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1418,axiom,
    ( esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk347_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1419,axiom,
    ( ~ esk80_0
    | ~ esk39_0 )).

cnf(i_0_1420,axiom,
    ( esk631_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk632_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1421,axiom,
    ( ~ esk60_0
    | ~ esk38_0 )).

cnf(i_0_1422,axiom,
    ( ~ esk255_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1423,axiom,
    ( esk176_0
    | ~ esk79_0 )).

cnf(i_0_1424,axiom,
    ( ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1425,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1426,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1427,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1428,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1429,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12)
    | ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1430,axiom,
    ( ~ esk141_0
    | ~ esk36_0 )).

cnf(i_0_1431,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1432,axiom,
    ( ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1433,axiom,
    ( ~ esk245_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1434,axiom,
    ( ~ esk126_0
    | ~ esk33_0 )).

cnf(i_0_1435,axiom,
    ( ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1436,axiom,
    ( esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1437,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk549_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1438,axiom,
    ( ~ esk157_0
    | esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk190_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1439,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1440,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk535_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1441,axiom,
    ( ~ esk42_0
    | ~ esk39_0 )).

cnf(i_0_1442,axiom,
    ( esk38_0
    | esk130_0
    | ~ esk36_0
    | esk33_0
    | esk35_0
    | ~ esk34_0
    | ~ esk39_0
    | ~ esk37_0 )).

cnf(i_0_1443,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1444,axiom,
    ( esk188_0
    | ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_1445,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1446,axiom,
    ( esk199_6(X1,X2,X3,X4,X5,X6)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1447,axiom,
    ( esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk361_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1448,axiom,
    ( ~ esk98_0
    | ~ esk33_0 )).

cnf(i_0_1449,axiom,
    ( ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1450,axiom,
    ( ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1451,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | esk215_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1452,axiom,
    ( esk344_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1453,axiom,
    ( esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X11)
    | ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1454,axiom,
    ( ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1455,axiom,
    ( esk357_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk822_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1456,axiom,
    ( esk873_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk872_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1457,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1458,axiom,
    ( esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1459,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1460,axiom,
    ( esk25_0
    | ~ esk132_0 )).

cnf(i_0_1461,axiom,
    ( esk33_0
    | ~ esk34_0
    | ~ esk36_0
    | esk82_0
    | esk37_0
    | esk35_0
    | ~ esk38_0
    | esk39_0 )).

cnf(i_0_1462,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk326_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1463,axiom,
    ( ~ esk36_0
    | ~ esk143_0 )).

cnf(i_0_1464,axiom,
    ( ~ esk325_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1465,axiom,
    ( esk645_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk163_0 )).

cnf(i_0_1466,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1467,axiom,
    ( ~ esk101_0
    | esk35_0 )).

cnf(i_0_1468,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk555_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1469,axiom,
    ( ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1470,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1471,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1472,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk331_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1473,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1474,axiom,
    ( ~ esk847_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1475,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1476,axiom,
    ( ~ esk174_0
    | ~ esk114_0 )).

cnf(i_0_1477,axiom,
    ( ~ esk38_0
    | ~ esk118_0 )).

cnf(i_0_1478,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk680_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1479,axiom,
    ( ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1480,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk302_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1481,axiom,
    ( p(X6)
    | ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1482,axiom,
    ( ~ p(X10)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1483,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1484,axiom,
    ( esk188_0
    | p(X4)
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1485,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1486,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1487,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_1488,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1489,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1490,axiom,
    ( ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1491,axiom,
    ( ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1492,axiom,
    ( esk188_0
    | ~ esk659_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk167_0 )).

cnf(i_0_1493,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk253_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1494,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1495,axiom,
    ( esk291_6(X1,X2,X3,X4,X5,X6)
    | esk286_6(X1,X2,X3,X4,X5,X6)
    | esk290_6(X1,X2,X3,X4,X5,X6)
    | esk288_6(X1,X2,X3,X4,X5,X6)
    | ~ esk205_6(X1,X2,X3,X4,X5,X6)
    | esk292_6(X1,X2,X3,X4,X5,X6)
    | esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk287_6(X1,X2,X3,X4,X5,X6)
    | esk289_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1496,axiom,
    ( ~ esk633_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk159_0 )).

cnf(i_0_1497,axiom,
    ( ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1498,axiom,
    ( ~ esk312_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1499,axiom,
    ( esk37_0
    | ~ esk71_0 )).

cnf(i_0_1500,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1501,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk321_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1502,axiom,
    ( ~ esk135_0
    | esk33_0 )).

cnf(i_0_1503,axiom,
    ( ~ esk72_0
    | esk11_0 )).

cnf(i_0_1504,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1505,axiom,
    ( ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_1506,axiom,
    ( ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1507,axiom,
    ( esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1508,axiom,
    ( esk188_0
    | ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3) )).

cnf(i_0_1509,axiom,
    ( esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk353_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1510,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1511,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1512,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1513,axiom,
    ( ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1514,axiom,
    ( ~ esk121_0
    | ~ esk36_0 )).

cnf(i_0_1515,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1516,axiom,
    ( esk855_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk854_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1517,axiom,
    ( esk21_0
    | ~ esk117_0 )).

cnf(i_0_1518,axiom,
    ( esk166_0
    | ~ esk43_0 )).

cnf(i_0_1519,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1520,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1521,axiom,
    ( ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1522,axiom,
    ( ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1523,axiom,
    ( esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk349_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1524,axiom,
    ( ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1525,axiom,
    ( ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1526,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1527,axiom,
    ( ~ esk56_0
    | esk37_0 )).

cnf(i_0_1528,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1529,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X11)
    | esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ p(X8) )).

cnf(i_0_1530,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1531,axiom,
    ( ~ esk97_0
    | esk33_0 )).

cnf(i_0_1532,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk808_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk353_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1533,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1534,axiom,
    ( ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1535,axiom,
    ( ~ esk123_0
    | ~ esk176_0 )).

cnf(i_0_1536,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk236_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1537,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1538,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk343_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1539,axiom,
    ( ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk808_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk809_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1540,axiom,
    ( ~ esk54_0
    | esk5_0 )).

cnf(i_0_1541,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1542,axiom,
    ( ~ esk82_0
    | esk38_0 )).

cnf(i_0_1543,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1544,axiom,
    ( ~ esk124_0
    | esk39_0 )).

cnf(i_0_1545,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1546,axiom,
    ( esk357_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1547,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk832_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk359_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1548,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1549,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk329_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1550,axiom,
    ( p(X1)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1551,axiom,
    ( ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1552,axiom,
    ( ~ esk6_0
    | ~ esk59_0 )).

cnf(i_0_1553,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk195_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1554,axiom,
    ( esk39_0
    | ~ esk147_0 )).

cnf(i_0_1555,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1556,axiom,
    ( ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1557,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1558,axiom,
    ( ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1559,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1560,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1561,axiom,
    ( ~ esk861_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk860_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1562,axiom,
    ( ~ esk160_0
    | ~ esk56_0 )).

cnf(i_0_1563,axiom,
    ( esk34_0
    | ~ esk147_0 )).

cnf(i_0_1564,axiom,
    ( ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_1565,axiom,
    ( ~ esk660_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk659_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1566,axiom,
    ( ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1567,axiom,
    ( ~ esk61_0
    | esk37_0 )).

cnf(i_0_1568,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1569,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1570,axiom,
    ( ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1571,axiom,
    ( esk248_6(X1,X2,X3,X4,X5,X6)
    | esk279_6(X1,X2,X3,X4,X5,X6)
    | esk303_6(X1,X2,X3,X4,X5,X6)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6)
    | esk270_6(X1,X2,X3,X4,X5,X6)
    | esk229_6(X1,X2,X3,X4,X5,X6)
    | esk193_6(X1,X2,X3,X4,X5,X6)
    | esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk261_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1572,axiom,
    ( ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1573,axiom,
    ( esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk805_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1574,axiom,
    ( esk39_0
    | esk34_0
    | ~ esk33_0
    | esk36_0
    | esk35_0
    | ~ esk37_0
    | esk57_0
    | esk38_0 )).

cnf(i_0_1575,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1576,axiom,
    ( esk657_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk658_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1577,axiom,
    ( ~ esk52_0
    | esk35_0 )).

cnf(i_0_1578,axiom,
    ( ~ esk25_0
    | esk133_0
    | esk136_0
    | esk134_0
    | esk180_0
    | esk132_0
    | esk135_0 )).

cnf(i_0_1579,axiom,
    ( ~ esk145_0
    | esk29_0 )).

cnf(i_0_1580,axiom,
    ( ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1581,axiom,
    ( ~ esk125_0
    | ~ esk34_0 )).

cnf(i_0_1582,axiom,
    ( ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1583,axiom,
    ( esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1584,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk813_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1585,axiom,
    ( esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1586,axiom,
    ( ~ esk786_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk787_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1587,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1588,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1589,axiom,
    ( esk37_0
    | ~ esk38_0
    | esk150_0
    | esk33_0
    | ~ esk35_0
    | ~ esk34_0
    | ~ esk36_0
    | ~ esk39_0 )).

cnf(i_0_1590,axiom,
    ( ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1591,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1592,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk826_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk357_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1593,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1594,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1595,axiom,
    ( ~ esk79_0
    | ~ esk37_0 )).

cnf(i_0_1596,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1597,axiom,
    ( ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1598,axiom,
    ( ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1599,axiom,
    ( ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1600,axiom,
    ( ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1601,axiom,
    ( esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1602,axiom,
    ( ~ esk37_0
    | ~ esk145_0 )).

cnf(i_0_1603,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1604,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1605,axiom,
    ( ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1606,axiom,
    ( ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1607,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1608,axiom,
    ( esk692_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk691_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1609,axiom,
    ( ~ esk85_0
    | ~ esk34_0 )).

cnf(i_0_1610,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1611,axiom,
    ( esk19_0
    | ~ esk111_0 )).

cnf(i_0_1612,axiom,
    ( ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_1613,axiom,
    ( esk68_0
    | ~ esk37_0
    | ~ esk36_0
    | ~ esk35_0
    | esk39_0
    | esk38_0
    | esk34_0
    | esk33_0 )).

cnf(i_0_1614,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1615,axiom,
    ( ~ esk103_0
    | esk38_0 )).

cnf(i_0_1616,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1617,axiom,
    ( ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1618,axiom,
    ( esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1619,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1620,axiom,
    ( p(X5)
    | ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1621,axiom,
    ( ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_1622,axiom,
    ( ~ esk51_0
    | ~ esk12_0 )).

cnf(i_0_1623,axiom,
    ( ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1624,axiom,
    ( ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk695_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk696_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1625,axiom,
    ( ~ esk249_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1626,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1627,axiom,
    ( ~ esk35_0
    | ~ esk89_0 )).

cnf(i_0_1628,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1629,axiom,
    ( ~ esk33_0
    | ~ esk66_0 )).

cnf(i_0_1630,axiom,
    ( ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1631,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk307_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1632,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1633,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1634,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1635,axiom,
    ( ~ p(X5)
    | ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1636,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6)
    | ~ esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1637,axiom,
    ( ~ esk80_0
    | ~ esk34_0 )).

cnf(i_0_1638,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1639,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1640,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1641,axiom,
    ( ~ esk652_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1642,axiom,
    ( ~ esk39_0
    | ~ esk81_0 )).

cnf(i_0_1643,axiom,
    ( esk165_0
    | esk188_0
    | esk649_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1644,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1645,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1646,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1647,axiom,
    ( ~ esk154_0
    | esk37_0 )).

cnf(i_0_1648,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1649,axiom,
    ( p(X9)
    | esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X12)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_1650,axiom,
    ( ~ esk849_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1651,axiom,
    ( ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1652,axiom,
    ( ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8) )).

cnf(i_0_1653,axiom,
    ( ~ esk59_0
    | ~ esk36_0 )).

cnf(i_0_1654,axiom,
    ( ~ esk14_0 )).

cnf(i_0_1655,axiom,
    ( esk13_0
    | ~ esk88_0 )).

cnf(i_0_1656,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk275_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1657,axiom,
    ( ~ esk64_0
    | esk37_0 )).

cnf(i_0_1658,axiom,
    ( ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1659,axiom,
    ( esk39_0
    | ~ esk126_0 )).

cnf(i_0_1660,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1661,axiom,
    ( ~ esk136_0
    | ~ esk33_0 )).

cnf(i_0_1662,axiom,
    ( ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1663,axiom,
    ( ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1664,axiom,
    ( ~ esk211_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk178_0 )).

cnf(i_0_1665,axiom,
    ( ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1666,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_1667,axiom,
    ( ~ esk34_0
    | ~ esk39_0
    | esk35_0
    | ~ esk38_0
    | ~ esk36_0
    | ~ esk37_0
    | esk33_0 )).

cnf(i_0_1668,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk361_6(X1,X2,X3,X4,X5,X6)
    | ~ esk836_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1669,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1670,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1671,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk306_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1672,axiom,
    ( esk36_0
    | ~ esk99_0 )).

cnf(i_0_1673,axiom,
    ( ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_1674,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X11)
    | p(X9)
    | ~ p(X12)
    | esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1675,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk801_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk800_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1676,axiom,
    ( esk36_0
    | ~ esk65_0 )).

cnf(i_0_1677,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7) )).

cnf(i_0_1678,axiom,
    ( ~ esk93_0
    | esk166_0 )).

cnf(i_0_1679,axiom,
    ( ~ esk170_0
    | esk57_0
    | esk62_0
    | esk151_0
    | esk118_0
    | esk15_0
    | esk76_0
    | esk127_0
    | esk86_0 )).

cnf(i_0_1680,axiom,
    ( p(X2)
    | esk188_0
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1681,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1682,axiom,
    ( ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1683,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1684,axiom,
    ( esk36_0
    | ~ esk81_0 )).

cnf(i_0_1685,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1686,axiom,
    ( esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1687,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1688,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | esk188_0
    | esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_1689,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1690,axiom,
    ( ~ esk37_0
    | esk36_0
    | esk33_0
    | ~ esk38_0
    | esk34_0
    | esk39_0
    | esk88_0
    | esk35_0 )).

cnf(i_0_1691,axiom,
    ( esk16_0
    | ~ esk171_0 )).

cnf(i_0_1692,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_1693,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1694,axiom,
    ( ~ esk320_6(X1,X2,X3,X4,X5,X6)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1695,axiom,
    ( ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X1) )).

cnf(i_0_1696,axiom,
    ( ~ p(X12)
    | ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1697,axiom,
    ( p(X9)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1698,axiom,
    ( ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8) )).

cnf(i_0_1699,axiom,
    ( ~ esk98_0
    | esk38_0 )).

cnf(i_0_1700,axiom,
    ( ~ esk37_0
    | esk38_0
    | ~ esk33_0
    | esk35_0
    | esk39_0
    | ~ esk34_0
    | ~ esk36_0
    | esk67_0 )).

cnf(i_0_1701,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1702,axiom,
    ( esk157_0
    | esk188_0
    | esk629_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1703,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1704,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1705,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk561_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1706,axiom,
    ( ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12) )).

cnf(i_0_1707,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1708,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1709,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1710,axiom,
    ( p(X1)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1711,axiom,
    ( esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1712,axiom,
    ( ~ esk134_0
    | esk39_0 )).

cnf(i_0_1713,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1714,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1715,axiom,
    ( ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1716,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1717,axiom,
    ( ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1718,axiom,
    ( ~ esk120_0
    | ~ esk176_0 )).

cnf(i_0_1719,axiom,
    ( ~ esk70_0
    | ~ esk18_0 )).

cnf(i_0_1720,axiom,
    ( ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1721,axiom,
    ( esk39_0
    | ~ esk38_0
    | esk34_0
    | esk72_0
    | esk36_0
    | esk33_0
    | esk35_0
    | esk37_0 )).

cnf(i_0_1722,axiom,
    ( ~ esk189_6(X1,X2,X3,X4,X5,X6)
    | esk156_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1723,axiom,
    ( ~ esk72_0
    | esk38_0 )).

cnf(i_0_1724,axiom,
    ( esk164_0
    | ~ esk74_0 )).

cnf(i_0_1725,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk817_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1726,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1727,axiom,
    ( ~ esk190_6(X1,X2,X3,X4,X5,X6)
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1728,axiom,
    ( ~ esk176_0
    | ~ esk118_0 )).

cnf(i_0_1729,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1730,axiom,
    ( ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1731,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1732,axiom,
    ( esk188_0
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_1733,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_1734,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1735,axiom,
    ( ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1736,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1737,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1738,axiom,
    ( ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1739,axiom,
    ( esk353_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1740,axiom,
    ( esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk644_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1741,axiom,
    ( ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11) )).

cnf(i_0_1742,axiom,
    ( esk188_0
    | ~ p(X1)
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1743,axiom,
    ( esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1744,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1745,axiom,
    ( esk806_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk807_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1746,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk805_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk804_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1747,axiom,
    ( ~ esk688_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1748,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1749,axiom,
    ( ~ esk166_0
    | ~ esk76_0 )).

cnf(i_0_1750,axiom,
    ( esk34_0
    | ~ esk99_0 )).

cnf(i_0_1751,axiom,
    ( ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1752,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1753,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1754,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1755,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk811_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1756,axiom,
    ( esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1757,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11) )).

cnf(i_0_1758,axiom,
    ( esk36_0
    | ~ esk50_0 )).

cnf(i_0_1759,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk216_6(X1,X2,X3,X4,X5,X6)
    | ~ esk371_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1760,axiom,
    ( esk13_0
    | ~ esk83_0 )).

cnf(i_0_1761,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1762,axiom,
    ( ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1763,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1764,axiom,
    ( p(X6)
    | p(X2)
    | esk188_0
    | ~ p(X4)
    | p(X5)
    | esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_1765,axiom,
    ( ~ esk152_0
    | esk37_0 )).

cnf(i_0_1766,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk349_6(X1,X2,X3,X4,X5,X6)
    | esk800_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1767,axiom,
    ( esk188_0
    | ~ p(X4)
    | ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1768,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk230_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1769,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1770,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1771,axiom,
    ( ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X5) )).

cnf(i_0_1772,axiom,
    ( ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1773,axiom,
    ( ~ esk176_0
    | esk95_0
    | esk110_0
    | esk140_0
    | esk88_0
    | esk102_0
    | esk21_0
    | esk79_0
    | esk58_0
    | esk152_0
    | esk146_0
    | esk129_0 )).

cnf(i_0_1774,axiom,
    ( ~ esk99_0
    | esk164_0 )).

cnf(i_0_1775,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1776,axiom,
    ( ~ esk69_0
    | esk35_0 )).

cnf(i_0_1777,axiom,
    ( ~ p(X2)
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1778,axiom,
    ( ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1779,axiom,
    ( esk170_0
    | ~ esk76_0 )).

cnf(i_0_1780,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1781,axiom,
    ( esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1782,axiom,
    ( ~ esk38_0
    | ~ esk50_0 )).

cnf(i_0_1783,axiom,
    ( ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1784,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1785,axiom,
    ( ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1786,axiom,
    ( ~ p(X2)
    | esk188_0
    | ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1787,axiom,
    ( ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1788,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | ~ p(X8)
    | p(X10)
    | ~ p(X11)
    | esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1789,axiom,
    ( ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1790,axiom,
    ( esk369_6(X1,X2,X3,X4,X5,X6)
    | ~ esk214_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1791,axiom,
    ( p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1792,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1793,axiom,
    ( ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1794,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk292_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1795,axiom,
    ( esk189_6(X1,X2,X3,X4,X5,X6)
    | ~ esk156_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1796,axiom,
    ( ~ esk314_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1797,axiom,
    ( p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1798,axiom,
    ( esk33_0
    | ~ esk147_0 )).

cnf(i_0_1799,axiom,
    ( esk35_0
    | ~ esk134_0 )).

cnf(i_0_1800,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1801,axiom,
    ( ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1802,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1803,axiom,
    ( ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1804,axiom,
    ( esk188_0
    | ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_1805,axiom,
    ( ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1806,axiom,
    ( ~ esk255_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1807,axiom,
    ( ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1808,axiom,
    ( esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1809,axiom,
    ( ~ esk57_0
    | ~ esk35_0 )).

cnf(i_0_1810,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1811,axiom,
    ( ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1812,axiom,
    ( esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk373_6(X1,X2,X3,X4,X5,X6)
    | esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1813,axiom,
    ( esk188_0
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_1814,axiom,
    ( esk296_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | esk305_6(X1,X2,X3,X4,X5,X6)
    | esk282_6(X1,X2,X3,X4,X5,X6)
    | esk249_6(X1,X2,X3,X4,X5,X6)
    | esk244_6(X1,X2,X3,X4,X5,X6)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | esk255_6(X1,X2,X3,X4,X5,X6)
    | esk314_6(X1,X2,X3,X4,X5,X6)
    | esk263_6(X1,X2,X3,X4,X5,X6)
    | esk238_6(X1,X2,X3,X4,X5,X6)
    | esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1815,axiom,
    ( esk180_0
    | ~ esk103_0 )).

cnf(i_0_1816,axiom,
    ( ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1817,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1818,axiom,
    ( ~ esk91_0
    | esk15_0 )).

cnf(i_0_1819,axiom,
    ( ~ esk128_0
    | ~ esk33_0 )).

cnf(i_0_1820,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1821,axiom,
    ( ~ esk37_0
    | ~ esk85_0 )).

cnf(i_0_1822,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1823,axiom,
    ( ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1824,axiom,
    ( esk369_6(X1,X2,X3,X4,X5,X6)
    | esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1825,axiom,
    ( ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1826,axiom,
    ( ~ esk38_0
    | ~ esk71_0 )).

cnf(i_0_1827,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1828,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1829,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk355_6(X1,X2,X3,X4,X5,X6)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1830,axiom,
    ( esk188_0
    | ~ esk673_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk674_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1831,axiom,
    ( ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_1832,axiom,
    ( esk46_0
    | esk51_0
    | esk48_0
    | esk47_0
    | esk49_0
    | esk158_0
    | esk50_0
    | esk45_0
    | ~ esk3_0 )).

cnf(i_0_1833,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1834,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1835,axiom,
    ( esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk809_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1836,axiom,
    ( ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1837,axiom,
    ( ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0 )).

cnf(i_0_1838,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk871_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1839,axiom,
    ( esk7_0
    | ~ esk60_0 )).

cnf(i_0_1840,axiom,
    ( ~ esk39_0
    | ~ esk43_0 )).

cnf(i_0_1841,axiom,
    ( esk36_0
    | ~ esk133_0 )).

cnf(i_0_1842,axiom,
    ( ~ esk8_0
    | ~ esk7_0 )).

cnf(i_0_1843,axiom,
    ( ~ esk827_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1844,axiom,
    ( ~ esk76_0
    | ~ esk36_0 )).

cnf(i_0_1845,axiom,
    ( esk188_0
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_1846,axiom,
    ( ~ esk303_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1847,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_1848,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1849,axiom,
    ( ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1850,axiom,
    ( esk35_0
    | ~ esk102_0 )).

cnf(i_0_1851,axiom,
    ( esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1852,axiom,
    ( esk188_0
    | ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_1853,axiom,
    ( ~ esk36_0
    | ~ esk47_0 )).

cnf(i_0_1854,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1855,axiom,
    ( esk29_0
    | ~ esk144_0 )).

cnf(i_0_1856,axiom,
    ( ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1857,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk318_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1858,axiom,
    ( p(X6)
    | ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_1859,axiom,
    ( ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1860,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1861,axiom,
    ( esk860_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk367_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1862,axiom,
    ( esk827_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk826_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1863,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1864,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1865,axiom,
    ( ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1866,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk813_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk812_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1867,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1868,axiom,
    ( ~ esk130_0
    | ~ esk33_0 )).

cnf(i_0_1869,axiom,
    ( esk188_0
    | ~ esk664_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1870,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk359_6(X1,X2,X3,X4,X5,X6)
    | ~ esk828_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1871,axiom,
    ( esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1872,axiom,
    ( ~ esk150_0
    | esk35_0 )).

cnf(i_0_1873,axiom,
    ( ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk193_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1874,axiom,
    ( esk188_0
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5) )).

cnf(i_0_1875,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1876,axiom,
    ( esk188_0
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_1877,axiom,
    ( ~ esk182_0
    | ~ esk143_0 )).

cnf(i_0_1878,axiom,
    ( ~ esk34_0
    | ~ esk152_0 )).

cnf(i_0_1879,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk677_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk678_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1880,axiom,
    ( esk33_0
    | ~ esk117_0 )).

cnf(i_0_1881,axiom,
    ( ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1882,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1883,axiom,
    ( ~ esk155_0
    | esk31_0 )).

cnf(i_0_1884,axiom,
    ( ~ esk35_0
    | ~ esk145_0 )).

cnf(i_0_1885,axiom,
    ( esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6)
    | esk183_0
    | esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1886,axiom,
    ( ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X3) )).

cnf(i_0_1887,axiom,
    ( ~ esk139_0
    | ~ esk182_0 )).

cnf(i_0_1888,axiom,
    ( ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1889,axiom,
    ( ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk547_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1890,axiom,
    ( ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1891,axiom,
    ( ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk714_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk713_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1892,axiom,
    ( ~ esk47_0
    | ~ esk6_0 )).

cnf(i_0_1893,axiom,
    ( ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | ~ p(X8)
    | esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | p(X11)
    | p(X7) )).

cnf(i_0_1894,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1895,axiom,
    ( ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1896,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1897,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1898,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1899,axiom,
    ( ~ p(X9)
    | ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1900,axiom,
    ( ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_1901,axiom,
    ( ~ esk684_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1902,axiom,
    ( ~ esk84_0
    | esk38_0 )).

cnf(i_0_1903,axiom,
    ( ~ esk46_0
    | esk35_0 )).

cnf(i_0_1904,axiom,
    ( esk188_0
    | ~ esk686_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1905,axiom,
    ( esk38_0
    | ~ esk33_0
    | esk35_0
    | esk39_0
    | esk37_0
    | esk49_0
    | ~ esk36_0
    | esk34_0 )).

cnf(i_0_1906,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | ~ esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1907,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1908,axiom,
    ( ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1909,axiom,
    ( esk34_0
    | ~ esk37_0
    | esk36_0
    | ~ esk33_0
    | ~ esk38_0
    | ~ esk35_0
    | ~ esk39_0 )).

cnf(i_0_1910,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1911,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk794_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk795_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1912,axiom,
    ( ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_1913,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1914,axiom,
    ( ~ esk35_0
    | ~ esk144_0 )).

cnf(i_0_1915,axiom,
    ( esk160_0
    | ~ esk73_0 )).

cnf(i_0_1916,axiom,
    ( ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk204_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1917,axiom,
    ( esk35_0
    | ~ esk76_0 )).

cnf(i_0_1918,axiom,
    ( ~ esk34_0
    | ~ esk49_0 )).

cnf(i_0_1919,axiom,
    ( ~ p(X11)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1920,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1921,axiom,
    ( esk39_0
    | ~ esk131_0 )).

cnf(i_0_1922,axiom,
    ( ~ esk103_0
    | ~ esk39_0 )).

cnf(i_0_1923,axiom,
    ( ~ esk180_0
    | ~ esk133_0 )).

cnf(i_0_1924,axiom,
    ( ~ esk686_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1925,axiom,
    ( ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk211_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1926,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1927,axiom,
    ( ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1928,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk327_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1929,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1930,axiom,
    ( ~ esk95_0
    | esk176_0 )).

cnf(i_0_1931,axiom,
    ( ~ esk86_0
    | ~ esk39_0 )).

cnf(i_0_1932,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1933,axiom,
    ( ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1934,axiom,
    ( ~ esk36_0
    | ~ esk153_0 )).

cnf(i_0_1935,axiom,
    ( ~ esk34_0
    | ~ esk76_0 )).

cnf(i_0_1936,axiom,
    ( ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk370_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1937,axiom,
    ( ~ esk93_0
    | esk37_0 )).

cnf(i_0_1938,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1939,axiom,
    ( ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1940,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk209_6(X1,X2,X3,X4,X5,X6)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1941,axiom,
    ( esk188_0
    | ~ p(X6)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1942,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1943,axiom,
    ( ~ esk38_0
    | esk39_0
    | ~ esk35_0
    | ~ esk33_0
    | esk77_0
    | esk37_0
    | esk36_0
    | esk34_0 )).

cnf(i_0_1944,axiom,
    ( ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1945,axiom,
    ( esk176_0
    | ~ esk110_0 )).

cnf(i_0_1946,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1947,axiom,
    ( esk36_0
    | ~ esk51_0 )).

cnf(i_0_1948,axiom,
    ( ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1949,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1950,axiom,
    ( esk820_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk821_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1951,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk198_6(X1,X2,X3,X4,X5,X6)
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1952,axiom,
    ( esk35_0
    | ~ esk103_0 )).

cnf(i_0_1953,axiom,
    ( esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk823_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1954,axiom,
    ( esk144_0
    | esk147_0
    | esk145_0
    | esk184_0
    | esk148_0
    | esk146_0
    | esk150_0
    | ~ esk29_0
    | esk149_0 )).

cnf(i_0_1955,axiom,
    ( esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1956,axiom,
    ( esk271_6(X1,X2,X3,X4,X5,X6)
    | esk275_6(X1,X2,X3,X4,X5,X6)
    | esk356_6(X1,X2,X3,X4,X5,X6)
    | esk273_6(X1,X2,X3,X4,X5,X6)
    | esk277_6(X1,X2,X3,X4,X5,X6)
    | esk270_6(X1,X2,X3,X4,X5,X6)
    | esk269_6(X1,X2,X3,X4,X5,X6)
    | ~ esk201_6(X1,X2,X3,X4,X5,X6)
    | esk276_6(X1,X2,X3,X4,X5,X6)
    | esk272_6(X1,X2,X3,X4,X5,X6)
    | esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk274_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1957,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1958,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1959,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1960,axiom,
    ( ~ esk45_0
    | esk35_0 )).

cnf(i_0_1961,axiom,
    ( ~ esk308_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1962,axiom,
    ( esk188_0
    | ~ esk159_0
    | ~ esk631_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1963,axiom,
    ( ~ esk64_0
    | esk36_0 )).

cnf(i_0_1964,axiom,
    ( ~ esk115_0
    | esk34_0 )).

cnf(i_0_1965,axiom,
    ( ~ esk127_0
    | ~ esk38_0 )).

cnf(i_0_1966,axiom,
    ( esk188_0
    | ~ esk654_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk653_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1967,axiom,
    ( esk178_0
    | ~ esk89_0 )).

cnf(i_0_1968,axiom,
    ( esk188_0
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_1969,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1970,axiom,
    ( ~ esk630_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1971,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1972,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10) )).

cnf(i_0_1973,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1974,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk818_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk819_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1975,axiom,
    ( esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1976,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk863_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk862_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1977,axiom,
    ( esk244_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1978,axiom,
    ( ~ esk34_0
    | esk36_0
    | esk38_0
    | ~ esk37_0
    | ~ esk39_0
    | esk122_0
    | esk35_0
    | esk33_0 )).

cnf(i_0_1979,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1980,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1981,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1982,axiom,
    ( ~ esk134_0
    | esk37_0 )).

cnf(i_0_1983,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1984,axiom,
    ( ~ esk34_0
    | ~ esk105_0 )).

cnf(i_0_1985,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1986,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk330_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1987,axiom,
    ( esk188_0
    | p(X1)
    | p(X4)
    | esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X5) )).

cnf(i_0_1988,axiom,
    ( ~ esk91_0
    | ~ esk35_0 )).

cnf(i_0_1989,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1990,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1991,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1992,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1993,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1994,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk240_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_1995,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1996,axiom,
    ( ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1997,axiom,
    ( ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | esk348_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1998,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_1999,axiom,
    ( esk188_0
    | p(X2)
    | ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2000,axiom,
    ( p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2001,axiom,
    ( ~ esk148_0
    | esk35_0 )).

cnf(i_0_2002,axiom,
    ( esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2003,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk839_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2004,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_2005,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2006,axiom,
    ( ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2007,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2008,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2009,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2010,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2011,axiom,
    ( ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_2012,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2013,axiom,
    ( esk676_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk675_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2014,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | p(X11)
    | p(X12)
    | esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_2015,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2016,axiom,
    ( p(X10)
    | ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2017,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2018,axiom,
    ( esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk557_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2019,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk837_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk836_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2020,axiom,
    ( ~ esk178_0
    | ~ esk126_0 )).

cnf(i_0_2021,axiom,
    ( ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_2022,axiom,
    ( ~ esk853_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk852_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2023,axiom,
    ( esk33_0
    | ~ esk113_0 )).

cnf(i_0_2024,axiom,
    ( ~ esk211_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2025,axiom,
    ( esk33_0
    | esk39_0
    | esk35_0
    | ~ esk36_0
    | esk38_0
    | ~ esk34_0
    | esk66_0
    | ~ esk37_0 )).

cnf(i_0_2026,axiom,
    ( ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7) )).

cnf(i_0_2027,axiom,
    ( ~ esk69_0
    | esk36_0 )).

cnf(i_0_2028,axiom,
    ( ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2029,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2030,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2031,axiom,
    ( ~ esk93_0
    | esk15_0 )).

cnf(i_0_2032,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk833_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2033,axiom,
    ( ~ esk877_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2034,axiom,
    ( ~ esk676_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk675_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2035,axiom,
    ( esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2036,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2037,axiom,
    ( esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2038,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2039,axiom,
    ( esk333_6(X1,X2,X3,X4,X5,X6)
    | esk336_6(X1,X2,X3,X4,X5,X6)
    | ~ esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk334_6(X1,X2,X3,X4,X5,X6)
    | esk332_6(X1,X2,X3,X4,X5,X6)
    | esk338_6(X1,X2,X3,X4,X5,X6)
    | esk335_6(X1,X2,X3,X4,X5,X6)
    | esk337_6(X1,X2,X3,X4,X5,X6)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2040,axiom,
    ( ~ esk4_0
    | esk159_0 )).

cnf(i_0_2041,axiom,
    ( ~ esk89_0
    | ~ esk34_0 )).

cnf(i_0_2042,axiom,
    ( ~ esk110_0
    | ~ esk36_0 )).

cnf(i_0_2043,axiom,
    ( esk701_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk179_0
    | esk188_0 )).

cnf(i_0_2044,axiom,
    ( ~ esk39_0
    | ~ esk76_0 )).

cnf(i_0_2045,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2046,axiom,
    ( esk188_0
    | ~ esk672_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk671_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2047,axiom,
    ( ~ esk367_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk856_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2048,axiom,
    ( ~ esk63_0
    | esk7_0 )).

cnf(i_0_2049,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2050,axiom,
    ( ~ esk73_0
    | ~ esk36_0 )).

cnf(i_0_2051,axiom,
    ( ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2052,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2053,axiom,
    ( ~ esk37_0
    | ~ esk110_0 )).

cnf(i_0_2054,axiom,
    ( esk188_0
    | ~ esk692_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2055,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2056,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2057,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2058,axiom,
    ( ~ esk37_0
    | ~ esk119_0 )).

cnf(i_0_2059,axiom,
    ( ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2060,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2061,axiom,
    ( ~ esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2062,axiom,
    ( ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2063,axiom,
    ( esk37_0
    | ~ esk101_0 )).

cnf(i_0_2064,axiom,
    ( ~ esk136_0
    | ~ esk180_0 )).

cnf(i_0_2065,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2066,axiom,
    ( ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2067,axiom,
    ( esk158_0
    | ~ esk40_0 )).

cnf(i_0_2068,axiom,
    ( ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2069,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2070,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2071,axiom,
    ( ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2072,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2073,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk638_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2074,axiom,
    ( esk707_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk708_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2075,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2076,axiom,
    ( ~ esk156_0
    | esk64_0
    | esk45_0
    | esk1_0
    | esk52_0
    | esk98_0
    | esk71_0 )).

cnf(i_0_2077,axiom,
    ( ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2078,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2079,axiom,
    ( ~ esk11_0 )).

cnf(i_0_2080,axiom,
    ( esk29_0
    | ~ esk146_0 )).

cnf(i_0_2081,axiom,
    ( ~ esk139_0
    | ~ esk37_0 )).

cnf(i_0_2082,axiom,
    ( ~ esk34_0
    | esk36_0
    | esk62_0
    | esk39_0
    | ~ esk35_0
    | ~ esk37_0
    | esk33_0
    | esk38_0 )).

cnf(i_0_2083,axiom,
    ( esk15_0
    | ~ esk95_0 )).

cnf(i_0_2084,axiom,
    ( ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2085,axiom,
    ( esk193_6(X1,X2,X3,X4,X5,X6)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2086,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2087,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2088,axiom,
    ( esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11) )).

cnf(i_0_2089,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk189_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2090,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk809_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2091,axiom,
    ( ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2092,axiom,
    ( ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2093,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2094,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2095,axiom,
    ( esk179_0
    | ~ esk24_0 )).

cnf(i_0_2096,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2097,axiom,
    ( esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2098,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2099,axiom,
    ( ~ esk39_0
    | ~ esk93_0 )).

cnf(i_0_2100,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk811_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2101,axiom,
    ( esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | esk188_0
    | p(X5)
    | p(X2)
    | p(X1) )).

cnf(i_0_2102,axiom,
    ( ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2103,axiom,
    ( ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2104,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2105,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2106,axiom,
    ( ~ esk166_0
    | ~ esk75_0 )).

cnf(i_0_2107,axiom,
    ( ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_2108,axiom,
    ( esk33_0
    | ~ esk69_0 )).

cnf(i_0_2109,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk869_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk868_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2110,axiom,
    ( ~ esk199_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2111,axiom,
    ( esk13_0
    | ~ esk82_0 )).

cnf(i_0_2112,axiom,
    ( ~ esk854_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2113,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2114,axiom,
    ( esk175_0
    | ~ esk20_0 )).

cnf(i_0_2115,axiom,
    ( esk188_0
    | ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_2116,axiom,
    ( esk188_0
    | esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk668_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2117,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_2118,axiom,
    ( ~ esk140_0
    | esk39_0 )).

cnf(i_0_2119,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2120,axiom,
    ( ~ esk45_0
    | ~ esk158_0 )).

cnf(i_0_2121,axiom,
    ( ~ p(X10)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2122,axiom,
    ( esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2123,axiom,
    ( ~ esk122_0
    | ~ esk176_0 )).

cnf(i_0_2124,axiom,
    ( ~ esk10_0
    | ~ esk44_0 )).

cnf(i_0_2125,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2126,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12) )).

cnf(i_0_2127,axiom,
    ( ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_2128,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2129,axiom,
    ( ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2130,axiom,
    ( esk188_0
    | esk691_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk177_0 )).

cnf(i_0_2131,axiom,
    ( ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk216_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2132,axiom,
    ( ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2133,axiom,
    ( ~ esk103_0
    | esk17_0 )).

cnf(i_0_2134,axiom,
    ( ~ esk34_0
    | ~ esk133_0 )).

cnf(i_0_2135,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2136,axiom,
    ( ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2137,axiom,
    ( esk207_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2138,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2139,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk342_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2140,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2141,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk375_6(X1,X2,X3,X4,X5,X6)
    | ~ esk220_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2142,axiom,
    ( ~ esk104_0
    | ~ esk36_0 )).

cnf(i_0_2143,axiom,
    ( ~ esk14_0
    | ~ esk13_0 )).

cnf(i_0_2144,axiom,
    ( p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2145,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2146,axiom,
    ( esk360_6(X1,X2,X3,X4,X5,X6)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2147,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2148,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_2149,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2150,axiom,
    ( ~ esk91_0
    | ~ esk36_0 )).

cnf(i_0_2151,axiom,
    ( ~ esk34_0
    | ~ esk108_0 )).

cnf(i_0_2152,axiom,
    ( ~ esk314_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2153,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2154,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk855_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2155,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2156,axiom,
    ( ~ esk94_0
    | ~ esk170_0 )).

cnf(i_0_2157,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2158,axiom,
    ( ~ esk140_0
    | ~ esk37_0 )).

cnf(i_0_2159,axiom,
    ( ~ p(X3)
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2160,axiom,
    ( ~ esk157_0
    | esk2_0 )).

cnf(i_0_2161,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2162,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_2163,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk247_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2164,axiom,
    ( esk36_0
    | ~ esk117_0 )).

cnf(i_0_2165,axiom,
    ( ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2166,axiom,
    ( esk36_0
    | ~ esk49_0 )).

cnf(i_0_2167,axiom,
    ( ~ esk17_0 )).

cnf(i_0_2168,axiom,
    ( esk37_0
    | ~ esk89_0 )).

cnf(i_0_2169,axiom,
    ( ~ esk80_0
    | esk11_0 )).

cnf(i_0_2170,axiom,
    ( ~ esk38_0
    | ~ esk122_0 )).

cnf(i_0_2171,axiom,
    ( esk679_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk173_0
    | esk188_0 )).

cnf(i_0_2172,axiom,
    ( ~ esk34_0
    | ~ esk145_0 )).

cnf(i_0_2173,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk244_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2174,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2175,axiom,
    ( ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X3) )).

cnf(i_0_2176,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2177,axiom,
    ( ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2178,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2179,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2180,axiom,
    ( ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2181,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2182,axiom,
    ( esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2183,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2184,axiom,
    ( ~ esk167_0
    | esk188_0
    | ~ esk655_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2185,axiom,
    ( ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2186,axiom,
    ( ~ esk146_0
    | esk176_0 )).

cnf(i_0_2187,axiom,
    ( ~ esk174_0
    | ~ esk107_0 )).

cnf(i_0_2188,axiom,
    ( ~ esk106_0
    | ~ esk36_0 )).

cnf(i_0_2189,axiom,
    ( ~ p(X6)
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2190,axiom,
    ( ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_2191,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk210_6(X1,X2,X3,X4,X5,X6)
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2192,axiom,
    ( esk37_0
    | ~ esk100_0 )).

cnf(i_0_2193,axiom,
    ( esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk363_6(X1,X2,X3,X4,X5,X6)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2194,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2195,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2196,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2197,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2198,axiom,
    ( esk34_0
    | ~ esk36_0
    | ~ esk38_0
    | esk96_0
    | esk39_0
    | ~ esk37_0
    | esk33_0
    | esk35_0 )).

cnf(i_0_2199,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2200,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk215_6(X1,X2,X3,X4,X5,X6)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2201,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | esk188_0 )).

cnf(i_0_2202,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk833_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2203,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2204,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2205,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2206,axiom,
    ( ~ esk53_0
    | ~ esk38_0 )).

cnf(i_0_2207,axiom,
    ( ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2208,axiom,
    ( ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2209,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2210,axiom,
    ( esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk363_6(X1,X2,X3,X4,X5,X6)
    | esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2211,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2212,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2213,axiom,
    ( ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2214,axiom,
    ( esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6)
    | esk165_0
    | esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2215,axiom,
    ( ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2216,axiom,
    ( esk33_0
    | ~ esk36_0
    | esk54_0
    | esk39_0
    | esk38_0
    | ~ esk34_0
    | esk37_0
    | ~ esk35_0 )).

cnf(i_0_2217,axiom,
    ( ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk190_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2218,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2219,axiom,
    ( ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_2220,axiom,
    ( esk188_0
    | ~ esk712_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk711_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2221,axiom,
    ( ~ esk137_0
    | ~ esk34_0 )).

cnf(i_0_2222,axiom,
    ( ~ esk87_0
    | esk36_0 )).

cnf(i_0_2223,axiom,
    ( ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk346_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2224,axiom,
    ( ~ esk93_0
    | ~ esk36_0 )).

cnf(i_0_2225,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2226,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2227,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2228,axiom,
    ( ~ esk177_0
    | ~ esk691_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2229,axiom,
    ( ~ esk110_0
    | esk34_0 )).

cnf(i_0_2230,axiom,
    ( ~ esk57_0
    | ~ esk36_0 )).

cnf(i_0_2231,axiom,
    ( ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2232,axiom,
    ( ~ p(X6)
    | ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2233,axiom,
    ( ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2234,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2235,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2236,axiom,
    ( p(X2)
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2237,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk266_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2238,axiom,
    ( ~ esk61_0
    | esk7_0 )).

cnf(i_0_2239,axiom,
    ( esk213_6(X1,X2,X3,X4,X5,X6)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2240,axiom,
    ( ~ esk334_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2241,axiom,
    ( esk38_0
    | ~ esk39_0
    | ~ esk37_0
    | ~ esk36_0
    | esk34_0
    | esk33_0
    | esk128_0
    | esk35_0 )).

cnf(i_0_2242,axiom,
    ( ~ esk44_0
    | esk1_0 )).

cnf(i_0_2243,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2244,axiom,
    ( ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2245,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2246,axiom,
    ( ~ esk821_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2247,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2248,axiom,
    ( ~ esk96_0
    | esk38_0 )).

cnf(i_0_2249,axiom,
    ( esk200_6(X1,X2,X3,X4,X5,X6)
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2250,axiom,
    ( p(X1)
    | ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2251,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2252,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2253,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2254,axiom,
    ( ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2255,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2256,axiom,
    ( ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2257,axiom,
    ( ~ esk209_6(X1,X2,X3,X4,X5,X6)
    | esk176_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2258,axiom,
    ( ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2259,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2260,axiom,
    ( esk9_0
    | ~ esk70_0 )).

cnf(i_0_2261,axiom,
    ( esk38_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk36_0
    | esk39_0
    | ~ esk35_0
    | esk71_0
    | ~ esk37_0 )).

cnf(i_0_2262,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2263,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2264,axiom,
    ( ~ esk64_0
    | esk9_0 )).

cnf(i_0_2265,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2266,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2267,axiom,
    ( esk105_0
    | esk34_0
    | esk37_0
    | esk38_0
    | esk36_0
    | ~ esk39_0
    | esk35_0
    | ~ esk33_0 )).

cnf(i_0_2268,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2269,axiom,
    ( ~ esk220_6(X1,X2,X3,X4,X5,X6)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2270,axiom,
    ( ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2271,axiom,
    ( esk115_0
    | ~ esk33_0
    | ~ esk34_0
    | esk38_0
    | esk35_0
    | ~ esk39_0
    | esk37_0
    | ~ esk36_0 )).

cnf(i_0_2272,axiom,
    ( ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2273,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2274,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2275,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk848_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk849_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2276,axiom,
    ( esk15_0
    | ~ esk97_0 )).

cnf(i_0_2277,axiom,
    ( ~ esk361_6(X1,X2,X3,X4,X5,X6)
    | esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2278,axiom,
    ( ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2279,axiom,
    ( ~ esk104_0
    | ~ esk37_0 )).

cnf(i_0_2280,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2281,axiom,
    ( ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2282,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk668_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2283,axiom,
    ( ~ esk21_0
    | ~ esk22_0 )).

cnf(i_0_2284,axiom,
    ( ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X6) )).

cnf(i_0_2285,axiom,
    ( ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2286,axiom,
    ( ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2) )).

cnf(i_0_2287,axiom,
    ( ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_2288,axiom,
    ( ~ esk148_0
    | esk38_0 )).

cnf(i_0_2289,axiom,
    ( ~ esk642_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2290,axiom,
    ( esk35_0
    | ~ esk118_0 )).

cnf(i_0_2291,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2292,axiom,
    ( esk218_6(X1,X2,X3,X4,X5,X6)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2293,axiom,
    ( ~ esk96_0
    | esk36_0 )).

cnf(i_0_2294,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk316_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2295,axiom,
    ( ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2296,axiom,
    ( ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2297,axiom,
    ( ~ esk35_0
    | ~ esk123_0 )).

cnf(i_0_2298,axiom,
    ( esk33_0
    | ~ esk83_0 )).

cnf(i_0_2299,axiom,
    ( esk166_0
    | ~ esk100_0 )).

cnf(i_0_2300,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2301,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2302,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2303,axiom,
    ( esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk157_0
    | ~ esk190_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2304,axiom,
    ( esk35_0
    | ~ esk60_0 )).

cnf(i_0_2305,axiom,
    ( ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2306,axiom,
    ( ~ esk41_0
    | ~ esk34_0 )).

cnf(i_0_2307,axiom,
    ( esk207_6(X1,X2,X3,X4,X5,X6)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2308,axiom,
    ( esk188_0
    | p(X4)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2309,axiom,
    ( ~ esk28_0
    | ~ esk27_0 )).

cnf(i_0_2310,axiom,
    ( ~ esk68_0
    | esk36_0 )).

cnf(i_0_2311,axiom,
    ( ~ esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2312,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk805_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2313,axiom,
    ( esk33_0
    | ~ esk151_0 )).

cnf(i_0_2314,axiom,
    ( esk188_0
    | ~ esk702_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk701_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2315,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_2316,axiom,
    ( ~ esk180_0
    | ~ esk135_0 )).

cnf(i_0_2317,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | ~ p(X2)
    | esk188_0
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_2318,axiom,
    ( ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2319,axiom,
    ( ~ esk23_0 )).

cnf(i_0_2320,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk261_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2321,axiom,
    ( ~ esk82_0
    | ~ esk37_0 )).

cnf(i_0_2322,axiom,
    ( ~ esk139_0
    | esk27_0 )).

cnf(i_0_2323,axiom,
    ( ~ esk39_0
    | ~ esk71_0 )).

cnf(i_0_2324,axiom,
    ( esk38_0
    | ~ esk85_0 )).

cnf(i_0_2325,axiom,
    ( ~ esk155_0
    | esk184_0 )).

cnf(i_0_2326,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2327,axiom,
    ( ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | p(X11)
    | esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ p(X9)
    | p(X12) )).

cnf(i_0_2328,axiom,
    ( esk351_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk804_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2329,axiom,
    ( ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2330,axiom,
    ( ~ esk709_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk183_0 )).

cnf(i_0_2331,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk239_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2332,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2333,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2334,axiom,
    ( ~ esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk368_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2335,axiom,
    ( esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2336,axiom,
    ( esk36_0
    | esk35_0
    | esk90_0
    | esk33_0
    | ~ esk38_0
    | esk39_0
    | ~ esk37_0
    | ~ esk34_0 )).

cnf(i_0_2337,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2338,axiom,
    ( ~ esk55_0
    | ~ esk37_0 )).

cnf(i_0_2339,axiom,
    ( ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2340,axiom,
    ( ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | esk188_0 )).

cnf(i_0_2341,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2342,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk300_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2343,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2344,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2345,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2346,axiom,
    ( ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_2347,axiom,
    ( esk188_0
    | esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk698_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2348,axiom,
    ( ~ esk26_0 )).

cnf(i_0_2349,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2350,axiom,
    ( ~ esk55_0
    | esk35_0 )).

cnf(i_0_2351,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2352,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2353,axiom,
    ( ~ esk109_0
    | ~ esk174_0 )).

cnf(i_0_2354,axiom,
    ( esk156_0
    | ~ esk64_0 )).

cnf(i_0_2355,axiom,
    ( ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2356,axiom,
    ( ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2357,axiom,
    ( ~ esk45_0
    | ~ esk39_0 )).

cnf(i_0_2358,axiom,
    ( ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2359,axiom,
    ( esk203_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2360,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2361,axiom,
    ( ~ esk37_0
    | esk93_0
    | esk34_0
    | ~ esk35_0
    | ~ esk38_0
    | esk39_0
    | ~ esk33_0
    | esk36_0 )).

cnf(i_0_2362,axiom,
    ( ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2363,axiom,
    ( esk38_0
    | ~ esk155_0 )).

cnf(i_0_2364,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2365,axiom,
    ( ~ esk301_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2366,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2367,axiom,
    ( ~ esk42_0
    | ~ esk36_0 )).

cnf(i_0_2368,axiom,
    ( ~ esk36_0
    | ~ esk155_0 )).

cnf(i_0_2369,axiom,
    ( ~ esk8_0 )).

cnf(i_0_2370,axiom,
    ( ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2371,axiom,
    ( esk38_0
    | ~ esk36_0
    | esk34_0
    | ~ esk39_0
    | ~ esk33_0
    | esk117_0
    | esk37_0
    | ~ esk35_0 )).

cnf(i_0_2372,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8) )).

cnf(i_0_2373,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2374,axiom,
    ( ~ esk39_0
    | esk153_0
    | esk34_0
    | esk36_0
    | esk35_0
    | ~ esk33_0
    | ~ esk37_0
    | ~ esk38_0 )).

cnf(i_0_2375,axiom,
    ( ~ esk118_0
    | esk21_0 )).

cnf(i_0_2376,axiom,
    ( ~ esk42_0
    | ~ esk37_0 )).

cnf(i_0_2377,axiom,
    ( ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2378,axiom,
    ( esk188_0
    | ~ p(X6)
    | ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2379,axiom,
    ( ~ esk52_0
    | ~ esk34_0 )).

cnf(i_0_2380,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2381,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | ~ p(X9)
    | p(X8)
    | p(X12)
    | ~ p(X7)
    | esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2382,axiom,
    ( esk188_0
    | esk177_0
    | esk689_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2383,axiom,
    ( esk188_0
    | ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_2384,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2385,axiom,
    ( esk323_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2386,axiom,
    ( ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2387,axiom,
    ( esk199_6(X1,X2,X3,X4,X5,X6)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2388,axiom,
    ( esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk875_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2389,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2390,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2391,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2392,axiom,
    ( esk204_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2393,axiom,
    ( esk34_0
    | ~ esk94_0 )).

cnf(i_0_2394,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2395,axiom,
    ( esk716_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk715_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2396,axiom,
    ( ~ esk125_0
    | esk39_0 )).

cnf(i_0_2397,axiom,
    ( ~ esk287_6(X1,X2,X3,X4,X5,X6)
    | esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2398,axiom,
    ( ~ esk154_0
    | ~ esk186_0 )).

cnf(i_0_2399,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X12)
    | p(X9)
    | esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2400,axiom,
    ( ~ esk172_0
    | esk205_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2401,axiom,
    ( ~ esk71_0
    | ~ esk166_0 )).

cnf(i_0_2402,axiom,
    ( esk199_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2403,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2404,axiom,
    ( ~ esk863_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2405,axiom,
    ( ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_2406,axiom,
    ( ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2407,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2408,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2409,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2410,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2411,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2412,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2413,axiom,
    ( ~ esk39_0
    | ~ esk77_0 )).

cnf(i_0_2414,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2415,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2416,axiom,
    ( esk188_0
    | ~ esk173_0
    | ~ esk675_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2417,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2418,axiom,
    ( esk35_0
    | ~ esk141_0 )).

cnf(i_0_2419,axiom,
    ( p(X9)
    | ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | p(X7)
    | p(X12) )).

cnf(i_0_2420,axiom,
    ( ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | esk188_0 )).

cnf(i_0_2421,axiom,
    ( esk207_6(X1,X2,X3,X4,X5,X6)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2422,axiom,
    ( ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2423,axiom,
    ( ~ esk38_0
    | ~ esk116_0 )).

cnf(i_0_2424,axiom,
    ( esk36_0
    | ~ esk113_0 )).

cnf(i_0_2425,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2426,axiom,
    ( esk22_0
    | ~ esk177_0 )).

cnf(i_0_2427,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2428,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk797_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2429,axiom,
    ( esk36_0
    | ~ esk118_0 )).

cnf(i_0_2430,axiom,
    ( ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_2431,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2432,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk881_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2433,axiom,
    ( esk219_6(X1,X2,X3,X4,X5,X6)
    | ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2434,axiom,
    ( ~ esk85_0
    | esk35_0 )).

cnf(i_0_2435,axiom,
    ( ~ esk58_0
    | ~ esk38_0 )).

cnf(i_0_2436,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | esk188_0
    | esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2437,axiom,
    ( ~ esk52_0
    | ~ esk160_0 )).

cnf(i_0_2438,axiom,
    ( esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2439,axiom,
    ( ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2440,axiom,
    ( ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2441,axiom,
    ( ~ p(X4)
    | esk188_0
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2442,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2443,axiom,
    ( ~ esk18_0 )).

cnf(i_0_2444,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_2445,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2446,axiom,
    ( ~ esk125_0
    | esk23_0 )).

cnf(i_0_2447,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2448,axiom,
    ( ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2449,axiom,
    ( esk339_6(X1,X2,X3,X4,X5,X6)
    | ~ esk219_6(X1,X2,X3,X4,X5,X6)
    | esk342_6(X1,X2,X3,X4,X5,X6)
    | esk341_6(X1,X2,X3,X4,X5,X6)
    | esk340_6(X1,X2,X3,X4,X5,X6)
    | esk343_6(X1,X2,X3,X4,X5,X6)
    | esk374_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2450,axiom,
    ( esk188_0
    | esk187_0
    | esk721_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2451,axiom,
    ( ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2452,axiom,
    ( ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_2453,axiom,
    ( ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2454,axiom,
    ( ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2455,axiom,
    ( ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | p(X9)
    | esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | p(X8) )).

cnf(i_0_2456,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2457,axiom,
    ( ~ esk153_0
    | ~ esk186_0 )).

cnf(i_0_2458,axiom,
    ( esk814_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk355_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2459,axiom,
    ( ~ esk124_0
    | esk21_0 )).

cnf(i_0_2460,axiom,
    ( ~ esk142_0
    | ~ esk37_0 )).

cnf(i_0_2461,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk369_6(X1,X2,X3,X4,X5,X6)
    | ~ esk864_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2462,axiom,
    ( ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2463,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2464,axiom,
    ( esk35_0
    | ~ esk111_0 )).

cnf(i_0_2465,axiom,
    ( ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2466,axiom,
    ( ~ esk108_0
    | ~ esk174_0 )).

cnf(i_0_2467,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2468,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2469,axiom,
    ( esk188_0
    | esk185_0
    | esk715_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2470,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk210_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2471,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk844_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk845_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2472,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2473,axiom,
    ( ~ esk35_0
    | ~ esk64_0 )).

cnf(i_0_2474,axiom,
    ( ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2475,axiom,
    ( ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2476,axiom,
    ( ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2477,axiom,
    ( ~ p(X5)
    | esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_2478,axiom,
    ( ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2479,axiom,
    ( esk39_0
    | ~ esk33_0
    | ~ esk36_0
    | esk83_0
    | ~ esk38_0
    | esk37_0
    | ~ esk34_0
    | esk35_0 )).

cnf(i_0_2480,axiom,
    ( esk198_6(X1,X2,X3,X4,X5,X6)
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2481,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2482,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk789_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk788_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2483,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2484,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2485,axiom,
    ( ~ esk367_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk860_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2486,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2487,axiom,
    ( esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk342_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2488,axiom,
    ( esk34_0
    | ~ esk42_0 )).

cnf(i_0_2489,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2490,axiom,
    ( ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2491,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8) )).

cnf(i_0_2492,axiom,
    ( ~ esk127_0
    | esk170_0 )).

cnf(i_0_2493,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2494,axiom,
    ( ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2495,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2496,axiom,
    ( ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | esk188_0 )).

cnf(i_0_2497,axiom,
    ( esk33_0
    | ~ esk145_0 )).

cnf(i_0_2498,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk200_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2499,axiom,
    ( esk38_0
    | ~ esk87_0 )).

cnf(i_0_2500,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2501,axiom,
    ( ~ esk84_0
    | ~ esk39_0 )).

cnf(i_0_2502,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3)
    | esk188_0 )).

cnf(i_0_2503,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2504,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2505,axiom,
    ( ~ esk213_6(X1,X2,X3,X4,X5,X6)
    | ~ esk214_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2506,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2507,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2508,axiom,
    ( ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10) )).

cnf(i_0_2509,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2) )).

cnf(i_0_2510,axiom,
    ( ~ esk19_0 )).

cnf(i_0_2511,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk275_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2512,axiom,
    ( ~ esk333_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2513,axiom,
    ( ~ esk40_0
    | esk1_0 )).

cnf(i_0_2514,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk282_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2515,axiom,
    ( ~ esk147_0
    | esk29_0 )).

cnf(i_0_2516,axiom,
    ( ~ esk36_0
    | ~ esk40_0 )).

cnf(i_0_2517,axiom,
    ( ~ esk85_0
    | ~ esk168_0 )).

cnf(i_0_2518,axiom,
    ( ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2519,axiom,
    ( esk35_0
    | ~ esk117_0 )).

cnf(i_0_2520,axiom,
    ( esk188_0
    | p(X3)
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2521,axiom,
    ( ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2522,axiom,
    ( ~ p(X12)
    | esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | p(X8)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_2523,axiom,
    ( esk355_6(X1,X2,X3,X4,X5,X6)
    | esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2524,axiom,
    ( ~ esk86_0
    | esk13_0 )).

cnf(i_0_2525,axiom,
    ( esk36_0
    | ~ esk112_0 )).

cnf(i_0_2526,axiom,
    ( ~ esk164_0
    | ~ esk65_0 )).

cnf(i_0_2527,axiom,
    ( ~ esk61_0
    | esk168_0 )).

cnf(i_0_2528,axiom,
    ( ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2529,axiom,
    ( ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_2530,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_2531,axiom,
    ( ~ esk117_0
    | esk168_0 )).

cnf(i_0_2532,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12) )).

cnf(i_0_2533,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2534,axiom,
    ( ~ esk34_0
    | ~ esk116_0 )).

cnf(i_0_2535,axiom,
    ( ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2536,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2537,axiom,
    ( ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2538,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2539,axiom,
    ( ~ esk111_0
    | esk34_0 )).

cnf(i_0_2540,axiom,
    ( ~ esk184_0
    | ~ esk149_0 )).

cnf(i_0_2541,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2542,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2543,axiom,
    ( ~ esk59_0
    | esk7_0 )).

cnf(i_0_2544,axiom,
    ( esk162_0
    | ~ esk92_0 )).

cnf(i_0_2545,axiom,
    ( ~ esk69_0
    | esk37_0 )).

cnf(i_0_2546,axiom,
    ( ~ esk15_0
    | ~ esk16_0 )).

cnf(i_0_2547,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2548,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2549,axiom,
    ( ~ esk134_0
    | ~ esk180_0 )).

cnf(i_0_2550,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7) )).

cnf(i_0_2551,axiom,
    ( ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2552,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2553,axiom,
    ( ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2554,axiom,
    ( ~ esk73_0
    | esk11_0 )).

cnf(i_0_2555,axiom,
    ( esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2556,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2557,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2558,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2559,axiom,
    ( ~ esk271_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2560,axiom,
    ( esk188_0
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_2561,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2562,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk789_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk788_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2563,axiom,
    ( esk856_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk857_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2564,axiom,
    ( ~ esk129_0
    | ~ esk35_0 )).

cnf(i_0_2565,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk807_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk806_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2566,axiom,
    ( ~ esk651_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk652_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2567,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11) )).

cnf(i_0_2568,axiom,
    ( ~ esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk533_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2569,axiom,
    ( esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2570,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2571,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2572,axiom,
    ( ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2573,axiom,
    ( esk38_0
    | ~ esk73_0 )).

cnf(i_0_2574,axiom,
    ( ~ esk13_0 )).

cnf(i_0_2575,axiom,
    ( ~ esk34_0
    | ~ esk33_0
    | esk127_0
    | ~ esk39_0
    | esk36_0
    | ~ esk37_0
    | esk38_0
    | ~ esk35_0 )).

cnf(i_0_2576,axiom,
    ( ~ esk12_0
    | ~ esk84_0 )).

cnf(i_0_2577,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2578,axiom,
    ( ~ esk25_0
    | ~ esk26_0 )).

cnf(i_0_2579,axiom,
    ( ~ esk37_0
    | ~ esk46_0 )).

cnf(i_0_2580,axiom,
    ( ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2581,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2582,axiom,
    ( ~ esk68_0
    | ~ esk164_0 )).

cnf(i_0_2583,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk850_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk365_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2584,axiom,
    ( esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2585,axiom,
    ( ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2586,axiom,
    ( ~ esk151_0
    | ~ esk186_0 )).

cnf(i_0_2587,axiom,
    ( esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2588,axiom,
    ( ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk701_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk702_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2589,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2590,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2591,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2592,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2593,axiom,
    ( ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2594,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2595,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2596,axiom,
    ( ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2597,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2598,axiom,
    ( ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2599,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk271_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2600,axiom,
    ( ~ esk100_0
    | esk35_0 )).

cnf(i_0_2601,axiom,
    ( ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2602,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | ~ p(X9)
    | esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2603,axiom,
    ( ~ esk90_0
    | esk37_0 )).

cnf(i_0_2604,axiom,
    ( esk673_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk171_0
    | esk188_0 )).

cnf(i_0_2605,axiom,
    ( ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2606,axiom,
    ( esk188_0
    | esk706_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk705_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2607,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk340_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2608,axiom,
    ( ~ esk117_0
    | ~ esk37_0 )).

cnf(i_0_2609,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2610,axiom,
    ( ~ p(X8)
    | ~ p(X11)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2611,axiom,
    ( ~ esk112_0
    | esk39_0 )).

cnf(i_0_2612,axiom,
    ( ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2613,axiom,
    ( ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_2614,axiom,
    ( ~ esk38_0
    | ~ esk57_0 )).

cnf(i_0_2615,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2616,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk811_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk810_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2617,axiom,
    ( esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2618,axiom,
    ( ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2619,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2620,axiom,
    ( ~ esk36_0
    | ~ esk111_0 )).

cnf(i_0_2621,axiom,
    ( esk34_0
    | ~ esk134_0 )).

cnf(i_0_2622,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2623,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2624,axiom,
    ( ~ esk128_0
    | esk174_0 )).

cnf(i_0_2625,axiom,
    ( esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2626,axiom,
    ( esk812_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk355_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2627,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2628,axiom,
    ( ~ esk11_0
    | esk72_0
    | esk76_0
    | esk75_0
    | esk78_0
    | esk80_0
    | esk71_0
    | esk79_0
    | esk166_0
    | esk77_0
    | esk73_0
    | esk74_0 )).

cnf(i_0_2629,axiom,
    ( ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk683_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk684_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2630,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2631,axiom,
    ( ~ esk867_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2632,axiom,
    ( esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk652_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2633,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2634,axiom,
    ( p(X4)
    | ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2635,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2636,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2637,axiom,
    ( ~ esk99_0
    | ~ esk39_0 )).

cnf(i_0_2638,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2639,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2640,axiom,
    ( esk175_0
    | esk188_0
    | esk681_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2641,axiom,
    ( ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2642,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2643,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2644,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2645,axiom,
    ( esk183_0
    | ~ esk28_0 )).

cnf(i_0_2646,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2647,axiom,
    ( ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2648,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2649,axiom,
    ( esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2650,axiom,
    ( ~ esk33_0
    | ~ esk132_0 )).

cnf(i_0_2651,axiom,
    ( ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2652,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk812_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2653,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | esk188_0
    | esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2654,axiom,
    ( ~ esk17_0
    | ~ esk18_0 )).

cnf(i_0_2655,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2656,axiom,
    ( ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2657,axiom,
    ( esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2658,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2659,axiom,
    ( p(X5)
    | p(X6)
    | esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | p(X3)
    | esk188_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_2660,axiom,
    ( ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2661,axiom,
    ( ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2662,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2663,axiom,
    ( ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2664,axiom,
    ( p(X5)
    | ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2665,axiom,
    ( ~ esk34_0
    | esk37_0
    | esk36_0
    | esk78_0
    | ~ esk35_0
    | ~ esk38_0
    | esk33_0
    | esk39_0 )).

cnf(i_0_2666,axiom,
    ( ~ esk39_0
    | ~ esk68_0 )).

cnf(i_0_2667,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2668,axiom,
    ( ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2669,axiom,
    ( ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2670,axiom,
    ( ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2671,axiom,
    ( esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | esk188_0
    | p(X3)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_2672,axiom,
    ( ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2673,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2674,axiom,
    ( ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2675,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk334_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2676,axiom,
    ( ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2677,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2678,axiom,
    ( esk188_0
    | ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk658_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk657_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2679,axiom,
    ( esk184_0
    | ~ esk90_0 )).

cnf(i_0_2680,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2681,axiom,
    ( esk37_0
    | ~ esk70_0 )).

cnf(i_0_2682,axiom,
    ( ~ esk103_0
    | esk33_0 )).

cnf(i_0_2683,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | p(X12)
    | ~ p(X10)
    | p(X9)
    | ~ p(X11)
    | ~ p(X8) )).

cnf(i_0_2684,axiom,
    ( ~ esk277_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2685,axiom,
    ( ~ esk34_0
    | ~ esk81_0 )).

cnf(i_0_2686,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2687,axiom,
    ( p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2688,axiom,
    ( ~ esk697_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk179_0
    | esk188_0 )).

cnf(i_0_2689,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2690,axiom,
    ( esk35_0
    | ~ esk116_0 )).

cnf(i_0_2691,axiom,
    ( esk50_0
    | ~ esk168_0
    | esk75_0
    | esk108_0
    | esk61_0
    | esk13_0
    | esk67_0
    | esk144_0
    | esk117_0
    | esk56_0
    | esk126_0
    | esk94_0 )).

cnf(i_0_2692,axiom,
    ( esk33_0
    | ~ esk47_0 )).

cnf(i_0_2693,axiom,
    ( ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2694,axiom,
    ( ~ esk33_0
    | ~ esk70_0 )).

cnf(i_0_2695,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2696,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2697,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10) )).

cnf(i_0_2698,axiom,
    ( esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2699,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2700,axiom,
    ( esk188_0
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_2701,axiom,
    ( esk357_6(X1,X2,X3,X4,X5,X6)
    | ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2702,axiom,
    ( ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2703,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2704,axiom,
    ( ~ esk37_0
    | ~ esk53_0 )).

cnf(i_0_2705,axiom,
    ( ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2706,axiom,
    ( esk188_0
    | esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk690_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2707,axiom,
    ( ~ esk124_0
    | ~ esk33_0 )).

cnf(i_0_2708,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2709,axiom,
    ( ~ esk34_0
    | esk36_0
    | ~ esk33_0
    | esk38_0
    | esk37_0
    | esk107_0
    | ~ esk39_0
    | esk35_0 )).

cnf(i_0_2710,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2711,axiom,
    ( ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X1) )).

cnf(i_0_2712,axiom,
    ( ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2713,axiom,
    ( ~ esk36_0
    | ~ esk79_0 )).

cnf(i_0_2714,axiom,
    ( esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2715,axiom,
    ( ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2716,axiom,
    ( ~ esk72_0
    | ~ esk166_0 )).

cnf(i_0_2717,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2718,axiom,
    ( ~ esk39_0
    | ~ esk95_0 )).

cnf(i_0_2719,axiom,
    ( esk188_0
    | ~ p(X4)
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2720,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2721,axiom,
    ( ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2722,axiom,
    ( ~ esk38_0
    | ~ esk47_0 )).

cnf(i_0_2723,axiom,
    ( ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2724,axiom,
    ( ~ p(X2)
    | esk188_0
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2725,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2726,axiom,
    ( ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2727,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2728,axiom,
    ( ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2729,axiom,
    ( ~ esk158_0
    | ~ esk47_0 )).

cnf(i_0_2730,axiom,
    ( esk642_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk641_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2731,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2732,axiom,
    ( ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2733,axiom,
    ( ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X3) )).

cnf(i_0_2734,axiom,
    ( ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2735,axiom,
    ( ~ esk60_0
    | ~ esk36_0 )).

cnf(i_0_2736,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2737,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2738,axiom,
    ( ~ esk105_0
    | esk158_0 )).

cnf(i_0_2739,axiom,
    ( ~ p(X5)
    | esk188_0
    | esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_2740,axiom,
    ( ~ esk119_0
    | esk21_0 )).

cnf(i_0_2741,axiom,
    ( ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2742,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2743,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2744,axiom,
    ( esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk849_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2745,axiom,
    ( ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2746,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | ~ p(X7)
    | ~ p(X12)
    | ~ p(X10)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8)
    | esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2747,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk830_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk359_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2748,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2749,axiom,
    ( ~ esk156_0
    | ~ esk42_0 )).

cnf(i_0_2750,axiom,
    ( ~ esk38_0
    | ~ esk109_0 )).

cnf(i_0_2751,axiom,
    ( ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2752,axiom,
    ( ~ esk122_0
    | esk39_0 )).

cnf(i_0_2753,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_2754,axiom,
    ( ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2755,axiom,
    ( ~ esk109_0
    | esk172_0 )).

cnf(i_0_2756,axiom,
    ( ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_2757,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2758,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2759,axiom,
    ( ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2760,axiom,
    ( ~ p(X6)
    | esk188_0
    | p(X4)
    | esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X2) )).

cnf(i_0_2761,axiom,
    ( ~ esk178_0
    | ~ esk131_0 )).

cnf(i_0_2762,axiom,
    ( ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2763,axiom,
    ( esk13_0
    | ~ esk81_0 )).

cnf(i_0_2764,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2765,axiom,
    ( esk170_0
    | ~ esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2766,axiom,
    ( esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk187_0
    | ~ esk220_6(X1,X2,X3,X4,X5,X6)
    | esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2767,axiom,
    ( ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2768,axiom,
    ( esk35_0
    | ~ esk151_0 )).

cnf(i_0_2769,axiom,
    ( ~ esk39_0
    | ~ esk83_0 )).

cnf(i_0_2770,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2771,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2772,axiom,
    ( esk36_0
    | ~ esk151_0 )).

cnf(i_0_2773,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk324_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2774,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2775,axiom,
    ( ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2776,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2777,axiom,
    ( ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2778,axiom,
    ( ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X3) )).

cnf(i_0_2779,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2780,axiom,
    ( ~ esk155_0
    | ~ esk186_0 )).

cnf(i_0_2781,axiom,
    ( ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2782,axiom,
    ( ~ esk209_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2783,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2784,axiom,
    ( ~ esk111_0
    | ~ esk22_0 )).

cnf(i_0_2785,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | p(X8)
    | ~ p(X12)
    | ~ p(X9)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_2786,axiom,
    ( ~ esk850_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2787,axiom,
    ( ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | esk188_0 )).

cnf(i_0_2788,axiom,
    ( esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk851_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2789,axiom,
    ( ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2790,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2791,axiom,
    ( esk183_0
    | esk711_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2792,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2793,axiom,
    ( esk39_0
    | ~ esk36_0
    | esk33_0
    | esk34_0
    | esk38_0
    | esk35_0
    | esk48_0
    | esk37_0 )).

cnf(i_0_2794,axiom,
    ( esk3_0
    | ~ esk51_0 )).

cnf(i_0_2795,axiom,
    ( esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2796,axiom,
    ( ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2797,axiom,
    ( p(X11)
    | ~ p(X8)
    | ~ p(X12)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | ~ p(X9)
    | esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2798,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2799,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2800,axiom,
    ( ~ esk33_0
    | ~ esk112_0 )).

cnf(i_0_2801,axiom,
    ( p(X2)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2802,axiom,
    ( ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2803,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2804,axiom,
    ( ~ esk368_6(X1,X2,X3,X4,X5,X6)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2805,axiom,
    ( p(X4)
    | esk188_0
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_2806,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2807,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2808,axiom,
    ( ~ esk100_0
    | esk17_0 )).

cnf(i_0_2809,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2810,axiom,
    ( ~ esk154_0
    | esk39_0 )).

cnf(i_0_2811,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2812,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk349_6(X1,X2,X3,X4,X5,X6)
    | esk798_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2813,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2814,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2815,axiom,
    ( esk364_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2816,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2817,axiom,
    ( ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X5) )).

cnf(i_0_2818,axiom,
    ( ~ esk94_0
    | esk15_0 )).

cnf(i_0_2819,axiom,
    ( ~ p(X12)
    | ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2820,axiom,
    ( esk188_0
    | esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk654_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2821,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2822,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2823,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2824,axiom,
    ( esk33_0
    | ~ esk115_0 )).

cnf(i_0_2825,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk374_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2826,axiom,
    ( ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_2827,axiom,
    ( ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X12) )).

cnf(i_0_2828,axiom,
    ( esk36_0
    | esk38_0
    | ~ esk37_0
    | esk33_0
    | esk124_0
    | ~ esk35_0
    | ~ esk39_0
    | esk34_0 )).

cnf(i_0_2829,axiom,
    ( ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2830,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2831,axiom,
    ( ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk257_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2832,axiom,
    ( p(X5)
    | ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2833,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk220_6(X1,X2,X3,X4,X5,X6)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2834,axiom,
    ( ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2835,axiom,
    ( ~ esk93_0
    | ~ esk34_0 )).

cnf(i_0_2836,axiom,
    ( ~ esk54_0
    | ~ esk33_0 )).

cnf(i_0_2837,axiom,
    ( ~ esk176_0
    | ~ esk117_0 )).

cnf(i_0_2838,axiom,
    ( ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2839,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2840,axiom,
    ( ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk359_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2841,axiom,
    ( ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2842,axiom,
    ( esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk547_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2843,axiom,
    ( ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2844,axiom,
    ( ~ esk87_0
    | esk33_0 )).

cnf(i_0_2845,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2846,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | ~ esk184_0 )).

cnf(i_0_2847,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk801_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2848,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2849,axiom,
    ( ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2850,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2851,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk291_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2852,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2853,axiom,
    ( esk37_0
    | esk39_0
    | esk38_0
    | esk34_0
    | ~ esk35_0
    | esk33_0
    | esk52_0
    | ~ esk36_0 )).

cnf(i_0_2854,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2855,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2856,axiom,
    ( ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2857,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2858,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2859,axiom,
    ( ~ p(X1)
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2860,axiom,
    ( ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2861,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6)
    | esk314_6(X1,X2,X3,X4,X5,X6)
    | esk319_6(X1,X2,X3,X4,X5,X6)
    | esk315_6(X1,X2,X3,X4,X5,X6)
    | ~ esk211_6(X1,X2,X3,X4,X5,X6)
    | esk318_6(X1,X2,X3,X4,X5,X6)
    | esk316_6(X1,X2,X3,X4,X5,X6)
    | esk313_6(X1,X2,X3,X4,X5,X6)
    | esk317_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2862,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2863,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2864,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2865,axiom,
    ( esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk220_6(X1,X2,X3,X4,X5,X6)
    | esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk187_0 )).

cnf(i_0_2866,axiom,
    ( esk35_0
    | ~ esk92_0 )).

cnf(i_0_2867,axiom,
    ( esk39_0
    | ~ esk109_0 )).

cnf(i_0_2868,axiom,
    ( ~ esk214_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2869,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2870,axiom,
    ( esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2871,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2872,axiom,
    ( ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2873,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2874,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2875,axiom,
    ( ~ esk144_0
    | ~ esk37_0 )).

cnf(i_0_2876,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2877,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2878,axiom,
    ( ~ esk159_0
    | ~ esk635_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_2879,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2880,axiom,
    ( ~ esk333_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2881,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2882,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk702_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2883,axiom,
    ( ~ esk132_0
    | esk36_0 )).

cnf(i_0_2884,axiom,
    ( esk164_0
    | ~ esk42_0 )).

cnf(i_0_2885,axiom,
    ( ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2886,axiom,
    ( ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2887,axiom,
    ( ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2888,axiom,
    ( ~ esk38_0
    | ~ esk119_0 )).

cnf(i_0_2889,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2890,axiom,
    ( ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_2891,axiom,
    ( ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2892,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk551_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2893,axiom,
    ( esk171_0
    | ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2894,axiom,
    ( esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2895,axiom,
    ( ~ esk76_0
    | ~ esk37_0 )).

cnf(i_0_2896,axiom,
    ( ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X2) )).

cnf(i_0_2897,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2898,axiom,
    ( ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk842_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk843_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2899,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2900,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2901,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk347_6(X1,X2,X3,X4,X5,X6)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2902,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2903,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2904,axiom,
    ( ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2905,axiom,
    ( ~ p(X6)
    | esk188_0
    | p(X2)
    | esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_2906,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2907,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk815_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk814_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2908,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2909,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2910,axiom,
    ( esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2911,axiom,
    ( p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2912,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk279_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2913,axiom,
    ( esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2914,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2915,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2916,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2917,axiom,
    ( ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2918,axiom,
    ( esk847_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk846_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2919,axiom,
    ( ~ esk143_0
    | esk39_0 )).

cnf(i_0_2920,axiom,
    ( ~ esk34_0
    | ~ esk48_0 )).

cnf(i_0_2921,axiom,
    ( esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2922,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12) )).

cnf(i_0_2923,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk839_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2924,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2925,axiom,
    ( ~ esk216_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2926,axiom,
    ( ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2927,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2928,axiom,
    ( esk192_6(X1,X2,X3,X4,X5,X6)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2929,axiom,
    ( ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2930,axiom,
    ( esk188_0
    | p(X6)
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2931,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk375_6(X1,X2,X3,X4,X5,X6)
    | esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2932,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2933,axiom,
    ( ~ esk37_0
    | ~ esk77_0 )).

cnf(i_0_2934,axiom,
    ( esk188_0
    | ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_2935,axiom,
    ( esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk177_0
    | ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2936,axiom,
    ( ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2937,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2938,axiom,
    ( esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2939,axiom,
    ( ~ esk58_0
    | esk176_0 )).

cnf(i_0_2940,axiom,
    ( ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2941,axiom,
    ( ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2942,axiom,
    ( ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2943,axiom,
    ( ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2944,axiom,
    ( ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk196_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2945,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2946,axiom,
    ( ~ esk815_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2947,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2948,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2949,axiom,
    ( ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_2950,axiom,
    ( ~ esk115_0
    | ~ esk35_0 )).

cnf(i_0_2951,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk276_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2952,axiom,
    ( ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk209_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2953,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk236_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2954,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk850_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk851_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2955,axiom,
    ( esk347_6(X1,X2,X3,X4,X5,X6)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2956,axiom,
    ( ~ esk73_0
    | ~ esk34_0 )).

cnf(i_0_2957,axiom,
    ( ~ esk86_0
    | esk170_0 )).

cnf(i_0_2958,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10) )).

cnf(i_0_2959,axiom,
    ( esk33_0
    | ~ esk139_0 )).

cnf(i_0_2960,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2961,axiom,
    ( ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2962,axiom,
    ( esk188_0
    | ~ esk185_0
    | ~ esk717_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2963,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2964,axiom,
    ( ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2965,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2966,axiom,
    ( esk33_0
    | esk34_0
    | esk38_0
    | esk35_0
    | esk104_0
    | esk36_0
    | ~ esk39_0
    | esk37_0 )).

cnf(i_0_2967,axiom,
    ( ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2968,axiom,
    ( ~ esk786_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk345_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2969,axiom,
    ( ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7) )).

cnf(i_0_2970,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2971,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2972,axiom,
    ( esk259_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2973,axiom,
    ( ~ esk184_0
    | ~ esk144_0 )).

cnf(i_0_2974,axiom,
    ( ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2975,axiom,
    ( ~ esk97_0
    | esk38_0 )).

cnf(i_0_2976,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_2977,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2978,axiom,
    ( esk870_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk871_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2979,axiom,
    ( ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2980,axiom,
    ( esk212_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2981,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2982,axiom,
    ( esk38_0
    | ~ esk137_0 )).

cnf(i_0_2983,axiom,
    ( esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2984,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2985,axiom,
    ( ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2986,axiom,
    ( ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2987,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2988,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2989,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2990,axiom,
    ( esk39_0
    | ~ esk108_0 )).

cnf(i_0_2991,axiom,
    ( esk218_6(X1,X2,X3,X4,X5,X6)
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2992,axiom,
    ( ~ esk840_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk363_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2993,axiom,
    ( ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2994,axiom,
    ( ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2995,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_2996,axiom,
    ( esk274_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk339_6(X1,X2,X3,X4,X5,X6)
    | esk315_6(X1,X2,X3,X4,X5,X6)
    | esk250_6(X1,X2,X3,X4,X5,X6)
    | esk203_6(X1,X2,X3,X4,X5,X6)
    | ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | esk306_6(X1,X2,X3,X4,X5,X6)
    | esk245_6(X1,X2,X3,X4,X5,X6)
    | esk264_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_2997,axiom,
    ( esk639_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk161_0
    | esk188_0 )).

cnf(i_0_2998,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_2999,axiom,
    ( ~ esk39_0
    | ~ esk89_0 )).

cnf(i_0_3000,axiom,
    ( ~ esk150_0
    | esk36_0 )).

cnf(i_0_3001,axiom,
    ( ~ esk104_0
    | ~ esk35_0 )).

cnf(i_0_3002,axiom,
    ( esk116_0
    | ~ esk35_0
    | esk33_0
    | esk37_0
    | ~ esk39_0
    | esk34_0
    | ~ esk36_0
    | esk38_0 )).

cnf(i_0_3003,axiom,
    ( esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk553_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3004,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3005,axiom,
    ( esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk563_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3006,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3007,axiom,
    ( ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3008,axiom,
    ( ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3009,axiom,
    ( ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3010,axiom,
    ( ~ esk175_0
    | esk208_6(X1,X2,X3,X4,X5,X6)
    | esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3011,axiom,
    ( ~ esk28_0
    | ~ esk148_0 )).

cnf(i_0_3012,axiom,
    ( ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3013,axiom,
    ( ~ esk37_0
    | ~ esk83_0 )).

cnf(i_0_3014,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3015,axiom,
    ( ~ esk650_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3016,axiom,
    ( ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3017,axiom,
    ( ~ esk47_0
    | esk35_0 )).

cnf(i_0_3018,axiom,
    ( ~ esk38_0
    | ~ esk105_0 )).

cnf(i_0_3019,axiom,
    ( ~ esk32_0
    | esk187_0 )).

cnf(i_0_3020,axiom,
    ( esk154_0
    | esk35_0
    | ~ esk34_0
    | ~ esk37_0
    | ~ esk39_0
    | esk36_0
    | esk33_0
    | ~ esk38_0 )).

cnf(i_0_3021,axiom,
    ( ~ esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3022,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3023,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk254_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3024,axiom,
    ( esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk688_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3025,axiom,
    ( ~ esk804_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk351_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3026,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3027,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3028,axiom,
    ( ~ esk678_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3029,axiom,
    ( esk348_6(X1,X2,X3,X4,X5,X6)
    | ~ esk193_6(X1,X2,X3,X4,X5,X6)
    | esk244_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk241_6(X1,X2,X3,X4,X5,X6)
    | esk243_6(X1,X2,X3,X4,X5,X6)
    | esk242_6(X1,X2,X3,X4,X5,X6)
    | esk240_6(X1,X2,X3,X4,X5,X6)
    | esk245_6(X1,X2,X3,X4,X5,X6)
    | esk246_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3030,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk274_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3031,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3032,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3033,axiom,
    ( ~ p(X6)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3034,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3035,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3036,axiom,
    ( esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3037,axiom,
    ( ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_3038,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3039,axiom,
    ( esk1_0
    | ~ esk42_0 )).

cnf(i_0_3040,axiom,
    ( ~ esk277_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3041,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3042,axiom,
    ( ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3043,axiom,
    ( ~ esk33_0
    | ~ esk116_0 )).

cnf(i_0_3044,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3045,axiom,
    ( esk354_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3046,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3047,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3048,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3049,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3050,axiom,
    ( ~ p(X12)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3051,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3052,axiom,
    ( ~ esk671_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk171_0 )).

cnf(i_0_3053,axiom,
    ( ~ esk128_0
    | ~ esk35_0 )).

cnf(i_0_3054,axiom,
    ( ~ esk48_0
    | esk36_0 )).

cnf(i_0_3055,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3056,axiom,
    ( ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3057,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3058,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3059,axiom,
    ( esk36_0
    | ~ esk119_0 )).

cnf(i_0_3060,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3061,axiom,
    ( ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3062,axiom,
    ( ~ esk138_0
    | ~ esk36_0 )).

cnf(i_0_3063,axiom,
    ( ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3064,axiom,
    ( ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3065,axiom,
    ( ~ esk37_0
    | ~ esk136_0 )).

cnf(i_0_3066,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk363_6(X1,X2,X3,X4,X5,X6)
    | ~ esk844_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3067,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3068,axiom,
    ( ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk315_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3069,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3070,axiom,
    ( ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3071,axiom,
    ( ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3072,axiom,
    ( ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3073,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk160_0
    | ~ esk193_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3074,axiom,
    ( ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3075,axiom,
    ( ~ esk136_0
    | ~ esk35_0 )).

cnf(i_0_3076,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3077,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | esk188_0
    | ~ p(X6)
    | esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3078,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3079,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3080,axiom,
    ( esk315_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3081,axiom,
    ( ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3082,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3083,axiom,
    ( ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_3084,axiom,
    ( ~ esk363_6(X1,X2,X3,X4,X5,X6)
    | ~ esk842_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3085,axiom,
    ( p(X7)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3086,axiom,
    ( ~ esk172_0
    | ~ esk103_0 )).

cnf(i_0_3087,axiom,
    ( esk808_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk353_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3088,axiom,
    ( esk35_0
    | ~ esk125_0 )).

cnf(i_0_3089,axiom,
    ( ~ esk831_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk830_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3090,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3091,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk789_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3092,axiom,
    ( ~ esk39_0
    | ~ esk70_0 )).

cnf(i_0_3093,axiom,
    ( ~ esk33_0
    | esk39_0
    | esk89_0
    | esk34_0
    | esk35_0
    | ~ esk38_0
    | esk36_0
    | ~ esk37_0 )).

cnf(i_0_3094,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3095,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk346_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3096,axiom,
    ( esk184_0
    | ~ esk123_0 )).

cnf(i_0_3097,axiom,
    ( ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3098,axiom,
    ( ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3099,axiom,
    ( esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3100,axiom,
    ( ~ esk126_0
    | esk23_0 )).

cnf(i_0_3101,axiom,
    ( esk188_0
    | p(X5)
    | ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3102,axiom,
    ( ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3103,axiom,
    ( ~ esk63_0
    | ~ esk38_0 )).

cnf(i_0_3104,axiom,
    ( esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk555_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3105,axiom,
    ( esk188_0
    | ~ esk671_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk672_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3106,axiom,
    ( ~ esk130_0
    | ~ esk38_0 )).

cnf(i_0_3107,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3108,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3109,axiom,
    ( ~ esk33_0
    | ~ esk84_0 )).

cnf(i_0_3110,axiom,
    ( esk189_6(X1,X2,X3,X4,X5,X6)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3111,axiom,
    ( ~ esk33_0
    | ~ esk38_0
    | esk37_0
    | ~ esk39_0
    | ~ esk35_0
    | esk149_0
    | esk34_0
    | ~ esk36_0 )).

cnf(i_0_3112,axiom,
    ( ~ esk144_0
    | ~ esk33_0 )).

cnf(i_0_3113,axiom,
    ( ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3114,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3115,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3116,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3117,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3118,axiom,
    ( ~ esk103_0
    | esk36_0 )).

cnf(i_0_3119,axiom,
    ( ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3120,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3121,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3122,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3123,axiom,
    ( ~ esk173_0
    | esk18_0 )).

cnf(i_0_3124,axiom,
    ( ~ esk39_0
    | ~ esk47_0 )).

cnf(i_0_3125,axiom,
    ( ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2) )).

cnf(i_0_3126,axiom,
    ( esk161_0
    | ~ esk6_0 )).

cnf(i_0_3127,axiom,
    ( ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_3128,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3129,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3130,axiom,
    ( ~ esk841_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk840_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3131,axiom,
    ( esk35_0
    | ~ esk79_0 )).

cnf(i_0_3132,axiom,
    ( esk31_0
    | ~ esk152_0 )).

cnf(i_0_3133,axiom,
    ( ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3134,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3135,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk551_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3136,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3137,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3138,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3139,axiom,
    ( esk641_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk161_0 )).

cnf(i_0_3140,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3141,axiom,
    ( ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3142,axiom,
    ( ~ esk57_0
    | esk170_0 )).

cnf(i_0_3143,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3144,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk193_6(X1,X2,X3,X4,X5,X6)
    | ~ esk160_0 )).

cnf(i_0_3145,axiom,
    ( ~ esk287_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3146,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3147,axiom,
    ( ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3148,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk835_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3149,axiom,
    ( ~ esk837_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3150,axiom,
    ( ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3151,axiom,
    ( ~ esk147_0
    | esk178_0 )).

cnf(i_0_3152,axiom,
    ( ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3153,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk209_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3154,axiom,
    ( ~ esk133_0
    | esk25_0 )).

cnf(i_0_3155,axiom,
    ( ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0 )).

cnf(i_0_3156,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3157,axiom,
    ( ~ esk35_0
    | ~ esk147_0 )).

cnf(i_0_3158,axiom,
    ( ~ esk61_0
    | ~ esk34_0 )).

cnf(i_0_3159,axiom,
    ( ~ p(X5)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3160,axiom,
    ( esk177_0
    | esk188_0
    | esk693_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3161,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3162,axiom,
    ( esk184_0
    | ~ esk142_0 )).

cnf(i_0_3163,axiom,
    ( esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3164,axiom,
    ( ~ esk35_0
    | ~ esk154_0 )).

cnf(i_0_3165,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3166,axiom,
    ( esk5_0
    | ~ esk58_0 )).

cnf(i_0_3167,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3168,axiom,
    ( ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | esk188_0 )).

cnf(i_0_3169,axiom,
    ( esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3170,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3171,axiom,
    ( esk32_0
    | ~ esk187_0 )).

cnf(i_0_3172,axiom,
    ( ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3173,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3174,axiom,
    ( esk36_0
    | ~ esk98_0 )).

cnf(i_0_3175,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3176,axiom,
    ( ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3177,axiom,
    ( ~ p(X4)
    | p(X5)
    | esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | esk188_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_3178,axiom,
    ( ~ esk330_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk215_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3179,axiom,
    ( ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk561_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3180,axiom,
    ( ~ esk10_0
    | ~ esk9_0 )).

cnf(i_0_3181,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3182,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3183,axiom,
    ( ~ esk154_0
    | esk31_0 )).

cnf(i_0_3184,axiom,
    ( esk38_0
    | ~ esk149_0 )).

cnf(i_0_3185,axiom,
    ( ~ esk73_0
    | ~ esk37_0 )).

cnf(i_0_3186,axiom,
    ( ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3187,axiom,
    ( esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk374_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3188,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3189,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk819_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3190,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3191,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk799_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk798_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3192,axiom,
    ( ~ esk122_0
    | esk182_0 )).

cnf(i_0_3193,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3194,axiom,
    ( esk175_0
    | esk188_0
    | esk685_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3195,axiom,
    ( ~ esk98_0
    | ~ esk39_0 )).

cnf(i_0_3196,axiom,
    ( ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | esk199_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3197,axiom,
    ( p(X1)
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3198,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3199,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3200,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3201,axiom,
    ( ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3202,axiom,
    ( ~ esk121_0
    | ~ esk38_0 )).

cnf(i_0_3203,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3204,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3205,axiom,
    ( ~ esk35_0
    | ~ esk82_0 )).

cnf(i_0_3206,axiom,
    ( ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3207,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk537_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3208,axiom,
    ( ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk829_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk828_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3209,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3210,axiom,
    ( ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3211,axiom,
    ( ~ esk674_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk673_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3212,axiom,
    ( ~ esk54_0
    | ~ esk37_0 )).

cnf(i_0_3213,axiom,
    ( ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3214,axiom,
    ( esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3215,axiom,
    ( ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3216,axiom,
    ( ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3217,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3218,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk284_6(X1,X2,X3,X4,X5,X6)
    | esk285_6(X1,X2,X3,X4,X5,X6)
    | esk282_6(X1,X2,X3,X4,X5,X6)
    | ~ esk203_6(X1,X2,X3,X4,X5,X6)
    | esk281_6(X1,X2,X3,X4,X5,X6)
    | esk279_6(X1,X2,X3,X4,X5,X6)
    | esk283_6(X1,X2,X3,X4,X5,X6)
    | esk358_6(X1,X2,X3,X4,X5,X6)
    | esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3219,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3220,axiom,
    ( esk188_0
    | p(X4)
    | esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_3221,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3222,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk879_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3223,axiom,
    ( p(X5)
    | ~ p(X3)
    | esk188_0
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X1)
    | esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3224,axiom,
    ( esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3225,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7) )).

cnf(i_0_3226,axiom,
    ( ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3227,axiom,
    ( ~ esk35_0
    | ~ esk155_0 )).

cnf(i_0_3228,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3229,axiom,
    ( esk13_0
    | ~ esk89_0 )).

cnf(i_0_3230,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_3231,axiom,
    ( ~ esk68_0
    | esk37_0 )).

cnf(i_0_3232,axiom,
    ( esk173_0
    | esk675_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3233,axiom,
    ( ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3234,axiom,
    ( ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3235,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk363_6(X1,X2,X3,X4,X5,X6)
    | esk208_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3236,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3237,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3238,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3239,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3240,axiom,
    ( ~ p(X6)
    | esk188_0
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3241,axiom,
    ( esk188_0
    | ~ p(X5)
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3242,axiom,
    ( ~ esk681_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk175_0
    | esk188_0 )).

cnf(i_0_3243,axiom,
    ( esk15_0
    | ~ esk92_0 )).

cnf(i_0_3244,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3245,axiom,
    ( ~ p(X2)
    | ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3246,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3247,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3248,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3249,axiom,
    ( ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X5) )).

cnf(i_0_3250,axiom,
    ( esk9_0
    | ~ esk66_0 )).

cnf(i_0_3251,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk845_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3252,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_3253,axiom,
    ( esk196_6(X1,X2,X3,X4,X5,X6)
    | esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk163_0 )).

cnf(i_0_3254,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3255,axiom,
    ( ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_3256,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3257,axiom,
    ( ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3258,axiom,
    ( ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3259,axiom,
    ( esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk359_6(X1,X2,X3,X4,X5,X6)
    | esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3260,axiom,
    ( ~ esk39_0
    | ~ esk85_0 )).

cnf(i_0_3261,axiom,
    ( p(X4)
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3262,axiom,
    ( esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk853_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3263,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3264,axiom,
    ( esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3265,axiom,
    ( ~ esk62_0
    | ~ esk39_0 )).

cnf(i_0_3266,axiom,
    ( ~ esk50_0
    | ~ esk35_0 )).

cnf(i_0_3267,axiom,
    ( ~ esk59_0
    | ~ esk162_0 )).

cnf(i_0_3268,axiom,
    ( ~ esk169_0
    | ~ esk661_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3269,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3270,axiom,
    ( ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3271,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3272,axiom,
    ( ~ esk65_0
    | ~ esk38_0 )).

cnf(i_0_3273,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3274,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3275,axiom,
    ( ~ esk107_0
    | esk39_0 )).

cnf(i_0_3276,axiom,
    ( ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3277,axiom,
    ( ~ esk51_0
    | ~ esk37_0 )).

cnf(i_0_3278,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3279,axiom,
    ( esk188_0
    | ~ esk639_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk161_0 )).

cnf(i_0_3280,axiom,
    ( esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3281,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3282,axiom,
    ( ~ esk34_0
    | ~ esk109_0 )).

cnf(i_0_3283,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3284,axiom,
    ( esk178_0
    | ~ esk111_0 )).

cnf(i_0_3285,axiom,
    ( esk664_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk663_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3286,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12)
    | esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X11)
    | p(X10) )).

cnf(i_0_3287,axiom,
    ( esk338_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3288,axiom,
    ( esk176_0
    | ~ esk129_0 )).

cnf(i_0_3289,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk300_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3290,axiom,
    ( esk188_0
    | esk161_0
    | esk637_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3291,axiom,
    ( esk23_0
    | ~ esk130_0 )).

cnf(i_0_3292,axiom,
    ( ~ esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3293,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3294,axiom,
    ( esk31_0
    | ~ esk151_0 )).

cnf(i_0_3295,axiom,
    ( ~ esk168_0
    | ~ esk89_0 )).

cnf(i_0_3296,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3297,axiom,
    ( ~ esk49_0
    | ~ esk37_0 )).

cnf(i_0_3298,axiom,
    ( ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3299,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk837_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk836_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3300,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3301,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3302,axiom,
    ( esk36_0
    | ~ esk129_0 )).

cnf(i_0_3303,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3304,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3305,axiom,
    ( ~ esk48_0
    | ~ esk39_0 )).

cnf(i_0_3306,axiom,
    ( ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_3307,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3308,axiom,
    ( esk178_0
    | ~ esk63_0 )).

cnf(i_0_3309,axiom,
    ( ~ esk30_0
    | ~ esk29_0 )).

cnf(i_0_3310,axiom,
    ( p(X6)
    | ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3311,axiom,
    ( ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3312,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk796_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk797_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3313,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3314,axiom,
    ( esk188_0
    | esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk712_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3315,axiom,
    ( ~ esk35_0
    | ~ esk114_0 )).

cnf(i_0_3316,axiom,
    ( ~ esk145_0
    | esk38_0 )).

cnf(i_0_3317,axiom,
    ( ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3318,axiom,
    ( ~ esk97_0
    | ~ esk170_0 )).

cnf(i_0_3319,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3320,axiom,
    ( ~ esk276_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3321,axiom,
    ( esk236_6(X1,X2,X3,X4,X5,X6)
    | esk287_6(X1,X2,X3,X4,X5,X6)
    | esk294_6(X1,X2,X3,X4,X5,X6)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | esk272_6(X1,X2,X3,X4,X5,X6)
    | esk230_6(X1,X2,X3,X4,X5,X6)
    | esk320_6(X1,X2,X3,X4,X5,X6)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk262_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3322,axiom,
    ( ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk629_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk630_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3323,axiom,
    ( ~ esk97_0
    | esk36_0 )).

cnf(i_0_3324,axiom,
    ( esk188_0
    | p(X6)
    | ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3325,axiom,
    ( esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3326,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3327,axiom,
    ( ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3328,axiom,
    ( ~ esk36_0
    | ~ esk77_0 )).

cnf(i_0_3329,axiom,
    ( ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3330,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3331,axiom,
    ( ~ esk34_0
    | ~ esk100_0 )).

cnf(i_0_3332,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk793_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3333,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk299_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3334,axiom,
    ( ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_3335,axiom,
    ( esk851_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk850_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3336,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk828_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk829_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3337,axiom,
    ( esk188_0
    | ~ p(X1)
    | ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3338,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk351_6(X1,X2,X3,X4,X5,X6)
    | esk196_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3339,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3340,axiom,
    ( ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3341,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk277_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3342,axiom,
    ( ~ esk91_0
    | ~ esk170_0 )).

cnf(i_0_3343,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk792_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk793_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3344,axiom,
    ( ~ esk137_0
    | ~ esk36_0 )).

cnf(i_0_3345,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3346,axiom,
    ( ~ esk707_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk708_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3347,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3348,axiom,
    ( esk41_0
    | ~ esk1_0
    | esk40_0
    | esk43_0
    | esk156_0
    | esk42_0
    | esk44_0 )).

cnf(i_0_3349,axiom,
    ( ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3350,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk228_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3351,axiom,
    ( ~ esk644_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3352,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3353,axiom,
    ( ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3354,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3355,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3356,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | esk188_0
    | p(X1)
    | esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_3357,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9) )).

cnf(i_0_3358,axiom,
    ( ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_3359,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3360,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3361,axiom,
    ( esk372_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3362,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3363,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3364,axiom,
    ( ~ esk53_0
    | esk36_0 )).

cnf(i_0_3365,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk823_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3366,axiom,
    ( esk188_0
    | ~ p(X4)
    | ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3367,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3368,axiom,
    ( ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3369,axiom,
    ( esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk212_6(X1,X2,X3,X4,X5,X6)
    | ~ esk179_0
    | esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3370,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3371,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3372,axiom,
    ( p(X5)
    | p(X3)
    | p(X1)
    | esk188_0
    | ~ p(X6)
    | esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_3373,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3374,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3375,axiom,
    ( ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3376,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3377,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3378,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3379,axiom,
    ( ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3380,axiom,
    ( ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3381,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3382,axiom,
    ( ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3383,axiom,
    ( ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3384,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3385,axiom,
    ( ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3386,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3387,axiom,
    ( ~ esk49_0
    | ~ esk35_0 )).

cnf(i_0_3388,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3389,axiom,
    ( ~ esk252_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3390,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3391,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3392,axiom,
    ( ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3393,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3394,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3395,axiom,
    ( esk188_0
    | esk157_0
    | esk627_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3396,axiom,
    ( esk37_0
    | ~ esk125_0 )).

cnf(i_0_3397,axiom,
    ( esk162_0
    | ~ esk125_0 )).

cnf(i_0_3398,axiom,
    ( ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3399,axiom,
    ( esk216_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3400,axiom,
    ( ~ esk880_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk375_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3401,axiom,
    ( esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3402,axiom,
    ( ~ esk212_6(X1,X2,X3,X4,X5,X6)
    | esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk179_0 )).

cnf(i_0_3403,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3404,axiom,
    ( ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3405,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3406,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3407,axiom,
    ( esk167_0
    | esk188_0
    | esk653_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3408,axiom,
    ( ~ esk259_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3409,axiom,
    ( ~ esk710_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk709_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3410,axiom,
    ( esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk169_0
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3411,axiom,
    ( ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3412,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ p(X11)
    | ~ p(X12) )).

cnf(i_0_3413,axiom,
    ( ~ esk176_0
    | esk209_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3414,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3415,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3416,axiom,
    ( ~ esk24_0 )).

cnf(i_0_3417,axiom,
    ( ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3418,axiom,
    ( ~ esk374_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3419,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3420,axiom,
    ( ~ esk139_0
    | ~ esk36_0 )).

cnf(i_0_3421,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3422,axiom,
    ( ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3423,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3424,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3425,axiom,
    ( p(X10)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3426,axiom,
    ( ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3427,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk204_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3428,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3429,axiom,
    ( ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3430,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | ~ esk315_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3431,axiom,
    ( ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3432,axiom,
    ( esk148_0
    | ~ esk35_0
    | ~ esk38_0
    | esk34_0
    | esk37_0
    | esk33_0
    | ~ esk39_0
    | ~ esk36_0 )).

cnf(i_0_3433,axiom,
    ( ~ esk102_0
    | esk17_0 )).

cnf(i_0_3434,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3435,axiom,
    ( ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3436,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3437,axiom,
    ( esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3438,axiom,
    ( esk180_0
    | ~ esk141_0 )).

cnf(i_0_3439,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3440,axiom,
    ( ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3441,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3442,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3443,axiom,
    ( ~ esk36_0
    | ~ esk72_0 )).

cnf(i_0_3444,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10) )).

cnf(i_0_3445,axiom,
    ( ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3446,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3447,axiom,
    ( ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3448,axiom,
    ( ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3449,axiom,
    ( ~ esk649_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk165_0 )).

cnf(i_0_3450,axiom,
    ( esk36_0
    | ~ esk101_0 )).

cnf(i_0_3451,axiom,
    ( esk37_0
    | ~ esk122_0 )).

cnf(i_0_3452,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3453,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3454,axiom,
    ( ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_3455,axiom,
    ( esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3456,axiom,
    ( ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk199_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3457,axiom,
    ( ~ esk60_0
    | esk160_0 )).

cnf(i_0_3458,axiom,
    ( esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk345_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3459,axiom,
    ( esk37_0
    | ~ esk34_0
    | esk47_0
    | esk39_0
    | ~ esk33_0
    | esk38_0
    | esk36_0
    | ~ esk35_0 )).

cnf(i_0_3460,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3461,axiom,
    ( esk326_6(X1,X2,X3,X4,X5,X6)
    | esk329_6(X1,X2,X3,X4,X5,X6)
    | esk330_6(X1,X2,X3,X4,X5,X6)
    | esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk215_6(X1,X2,X3,X4,X5,X6)
    | esk325_6(X1,X2,X3,X4,X5,X6)
    | esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk328_6(X1,X2,X3,X4,X5,X6)
    | esk327_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3462,axiom,
    ( ~ esk117_0
    | ~ esk34_0 )).

cnf(i_0_3463,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3464,axiom,
    ( ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_3465,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3466,axiom,
    ( esk704_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk703_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3467,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3468,axiom,
    ( ~ esk76_0
    | esk11_0 )).

cnf(i_0_3469,axiom,
    ( p(X1)
    | esk188_0
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3470,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk205_6(X1,X2,X3,X4,X5,X6)
    | esk172_0 )).

cnf(i_0_3471,axiom,
    ( ~ esk71_0
    | esk33_0 )).

cnf(i_0_3472,axiom,
    ( ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3473,axiom,
    ( ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3474,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3475,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | ~ p(X9)
    | esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | ~ p(X12)
    | p(X11)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3476,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3477,axiom,
    ( esk188_0
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_3478,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3479,axiom,
    ( ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3480,axiom,
    ( ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3481,axiom,
    ( ~ esk38_0
    | ~ esk52_0 )).

cnf(i_0_3482,axiom,
    ( ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_3483,axiom,
    ( ~ esk38_0
    | ~ esk33_0
    | esk36_0
    | ~ esk39_0
    | esk155_0
    | esk35_0
    | ~ esk34_0
    | ~ esk37_0 )).

cnf(i_0_3484,axiom,
    ( ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3485,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk196_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3486,axiom,
    ( ~ esk36_0
    | ~ esk75_0 )).

cnf(i_0_3487,axiom,
    ( p(X9)
    | esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | ~ p(X12)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | p(X10) )).

cnf(i_0_3488,axiom,
    ( ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3489,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3490,axiom,
    ( p(X2)
    | esk188_0
    | ~ esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3491,axiom,
    ( ~ p(X5)
    | ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3492,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3493,axiom,
    ( p(X8)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3494,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk281_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3495,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk209_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3496,axiom,
    ( ~ esk213_6(X1,X2,X3,X4,X5,X6)
    | esk180_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3497,axiom,
    ( ~ esk144_0
    | esk38_0 )).

cnf(i_0_3498,axiom,
    ( ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3499,axiom,
    ( ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3500,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk364_6(X1,X2,X3,X4,X5,X6)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3501,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3502,axiom,
    ( esk38_0
    | ~ esk86_0 )).

cnf(i_0_3503,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | ~ esk346_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3504,axiom,
    ( ~ esk35_0
    | ~ esk40_0 )).

cnf(i_0_3505,axiom,
    ( ~ esk31_0 )).

cnf(i_0_3506,axiom,
    ( esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3507,axiom,
    ( ~ esk125_0
    | ~ esk16_0 )).

cnf(i_0_3508,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3509,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3510,axiom,
    ( ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_3511,axiom,
    ( ~ esk153_0
    | ~ esk34_0 )).

cnf(i_0_3512,axiom,
    ( ~ esk33_0
    | ~ esk104_0 )).

cnf(i_0_3513,axiom,
    ( ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3514,axiom,
    ( esk34_0
    | ~ esk131_0 )).

cnf(i_0_3515,axiom,
    ( ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3516,axiom,
    ( esk38_0
    | ~ esk152_0 )).

cnf(i_0_3517,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk188_0
    | p(X5)
    | p(X6)
    | esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_3518,axiom,
    ( ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3519,axiom,
    ( ~ esk38_0
    | ~ esk106_0 )).

cnf(i_0_3520,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3521,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3522,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3523,axiom,
    ( ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3524,axiom,
    ( esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3525,axiom,
    ( esk5_0
    | ~ esk57_0 )).

cnf(i_0_3526,axiom,
    ( ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3527,axiom,
    ( esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3528,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3529,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3530,axiom,
    ( ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3531,axiom,
    ( ~ esk16_0 )).

cnf(i_0_3532,axiom,
    ( esk188_0
    | p(X1)
    | ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3533,axiom,
    ( ~ esk75_0
    | esk11_0 )).

cnf(i_0_3534,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3535,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3536,axiom,
    ( ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3537,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3538,axiom,
    ( ~ esk133_0
    | esk172_0 )).

cnf(i_0_3539,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk867_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3540,axiom,
    ( ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3541,axiom,
    ( ~ p(X11)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3542,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3543,axiom,
    ( ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3544,axiom,
    ( ~ esk146_0
    | ~ esk184_0 )).

cnf(i_0_3545,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3546,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3547,axiom,
    ( ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3548,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3549,axiom,
    ( p(X8)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3550,axiom,
    ( esk178_0
    | ~ esk153_0 )).

cnf(i_0_3551,axiom,
    ( esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3552,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk872_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk373_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3553,axiom,
    ( ~ p(X5)
    | esk188_0
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3554,axiom,
    ( ~ esk188_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3555,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3556,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3557,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3558,axiom,
    ( ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3559,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3560,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3561,axiom,
    ( ~ esk33_0
    | ~ esk48_0 )).

cnf(i_0_3562,axiom,
    ( ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3563,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3564,axiom,
    ( esk37_0
    | ~ esk123_0 )).

cnf(i_0_3565,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3566,axiom,
    ( ~ esk35_0
    | ~ esk65_0 )).

cnf(i_0_3567,axiom,
    ( ~ esk22_0
    | ~ esk90_0 )).

cnf(i_0_3568,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3569,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3570,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk210_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3571,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3572,axiom,
    ( ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3573,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3574,axiom,
    ( ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_3575,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3576,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3577,axiom,
    ( ~ p(X6)
    | esk188_0
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3578,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3579,axiom,
    ( esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3580,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3581,axiom,
    ( ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_3582,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3583,axiom,
    ( ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3584,axiom,
    ( esk188_0
    | ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5) )).

cnf(i_0_3585,axiom,
    ( esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3586,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3587,axiom,
    ( ~ esk128_0
    | ~ esk178_0 )).

cnf(i_0_3588,axiom,
    ( ~ esk102_0
    | esk38_0 )).

cnf(i_0_3589,axiom,
    ( ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3590,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3591,axiom,
    ( ~ esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | esk188_0 )).

cnf(i_0_3592,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3593,axiom,
    ( esk710_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk709_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3594,axiom,
    ( ~ esk119_0
    | esk39_0 )).

cnf(i_0_3595,axiom,
    ( ~ esk646_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3596,axiom,
    ( esk369_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk864_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3597,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3598,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_3599,axiom,
    ( ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3600,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk258_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3601,axiom,
    ( ~ esk191_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk158_0 )).

cnf(i_0_3602,axiom,
    ( ~ esk35_0
    | ~ esk107_0 )).

cnf(i_0_3603,axiom,
    ( ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3604,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk347_6(X1,X2,X3,X4,X5,X6)
    | ~ esk792_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3605,axiom,
    ( ~ esk36_0
    | esk38_0
    | ~ esk33_0
    | ~ esk37_0
    | esk34_0
    | ~ esk35_0
    | ~ esk39_0
    | esk133_0 )).

cnf(i_0_3606,axiom,
    ( ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk259_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3607,axiom,
    ( ~ esk32_0 )).

cnf(i_0_3608,axiom,
    ( ~ esk39_0
    | ~ esk46_0 )).

cnf(i_0_3609,axiom,
    ( esk188_0
    | ~ p(X5)
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3610,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3611,axiom,
    ( ~ esk39_0
    | ~ esk63_0 )).

cnf(i_0_3612,axiom,
    ( ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3613,axiom,
    ( esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3614,axiom,
    ( ~ esk638_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3615,axiom,
    ( ~ esk846_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk363_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3616,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk234_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3617,axiom,
    ( ~ esk633_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk634_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3618,axiom,
    ( ~ esk99_0
    | esk17_0 )).

cnf(i_0_3619,axiom,
    ( esk36_0
    | ~ esk86_0 )).

cnf(i_0_3620,axiom,
    ( ~ esk125_0
    | ~ esk178_0 )).

cnf(i_0_3621,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3622,axiom,
    ( ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3623,axiom,
    ( ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3624,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3625,axiom,
    ( ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3626,axiom,
    ( esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk371_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3627,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3628,axiom,
    ( ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3629,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3630,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3631,axiom,
    ( esk188_0
    | esk663_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk664_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3632,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3633,axiom,
    ( esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk543_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3634,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3635,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk791_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3636,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3637,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3638,axiom,
    ( esk698_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk697_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3639,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3640,axiom,
    ( esk27_0
    | ~ esk137_0 )).

cnf(i_0_3641,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3642,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3643,axiom,
    ( ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk537_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3644,axiom,
    ( esk365_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk848_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3645,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3646,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3647,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk228_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3648,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3649,axiom,
    ( ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3650,axiom,
    ( esk34_0
    | ~ esk47_0 )).

cnf(i_0_3651,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3652,axiom,
    ( ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3653,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3654,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk817_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk816_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3655,axiom,
    ( ~ esk78_0
    | ~ esk37_0 )).

cnf(i_0_3656,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3657,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3658,axiom,
    ( ~ esk670_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk669_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3659,axiom,
    ( ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3660,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | ~ esk158_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3661,axiom,
    ( esk186_0
    | esk151_0
    | esk155_0
    | esk153_0
    | esk152_0
    | esk154_0
    | ~ esk31_0 )).

cnf(i_0_3662,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3663,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3664,axiom,
    ( ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3665,axiom,
    ( ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk646_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk645_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3666,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_3667,axiom,
    ( ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_3668,axiom,
    ( ~ esk138_0
    | esk39_0 )).

cnf(i_0_3669,axiom,
    ( ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_3670,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3671,axiom,
    ( esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3672,axiom,
    ( esk36_0
    | esk139_0
    | esk35_0
    | ~ esk34_0
    | ~ esk38_0
    | ~ esk39_0
    | ~ esk33_0
    | esk37_0 )).

cnf(i_0_3673,axiom,
    ( ~ esk682_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk681_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3674,axiom,
    ( esk188_0
    | ~ esk173_0
    | ~ esk677_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3675,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3676,axiom,
    ( ~ p(X5)
    | esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | esk188_0 )).

cnf(i_0_3677,axiom,
    ( ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3678,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3679,axiom,
    ( ~ esk80_0
    | esk182_0 )).

cnf(i_0_3680,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3681,axiom,
    ( esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk196_6(X1,X2,X3,X4,X5,X6)
    | esk163_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3682,axiom,
    ( ~ p(X6)
    | ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3683,axiom,
    ( ~ esk37_0
    | ~ esk84_0 )).

cnf(i_0_3684,axiom,
    ( ~ esk138_0
    | esk34_0 )).

cnf(i_0_3685,axiom,
    ( ~ esk39_0
    | esk37_0
    | esk35_0
    | esk34_0
    | ~ esk38_0
    | esk136_0
    | esk36_0
    | esk33_0 )).

cnf(i_0_3686,axiom,
    ( ~ esk51_0
    | ~ esk158_0 )).

cnf(i_0_3687,axiom,
    ( ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3688,axiom,
    ( ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3689,axiom,
    ( ~ esk138_0
    | ~ esk182_0 )).

cnf(i_0_3690,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3691,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3692,axiom,
    ( ~ esk36_0
    | ~ esk124_0 )).

cnf(i_0_3693,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3694,axiom,
    ( ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3695,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3696,axiom,
    ( ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3697,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3698,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3699,axiom,
    ( ~ esk66_0
    | esk36_0 )).

cnf(i_0_3700,axiom,
    ( ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3701,axiom,
    ( esk695_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk696_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3702,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | esk188_0 )).

cnf(i_0_3703,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk818_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk355_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3704,axiom,
    ( ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3705,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3706,axiom,
    ( esk332_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3707,axiom,
    ( ~ esk184_0
    | ~ esk145_0 )).

cnf(i_0_3708,axiom,
    ( ~ esk151_0
    | ~ esk24_0 )).

cnf(i_0_3709,axiom,
    ( esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3710,axiom,
    ( esk842_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk843_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3711,axiom,
    ( ~ esk49_0
    | esk166_0 )).

cnf(i_0_3712,axiom,
    ( ~ esk127_0
    | esk39_0 )).

cnf(i_0_3713,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3714,axiom,
    ( esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3715,axiom,
    ( ~ esk82_0
    | ~ esk39_0 )).

cnf(i_0_3716,axiom,
    ( esk298_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3717,axiom,
    ( esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3718,axiom,
    ( ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3719,axiom,
    ( esk36_0
    | ~ esk55_0 )).

cnf(i_0_3720,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk257_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3721,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk801_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk800_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3722,axiom,
    ( ~ esk115_0
    | esk36_0 )).

cnf(i_0_3723,axiom,
    ( esk36_0
    | ~ esk144_0 )).

cnf(i_0_3724,axiom,
    ( esk34_0
    | ~ esk63_0 )).

cnf(i_0_3725,axiom,
    ( ~ esk33_0
    | ~ esk78_0 )).

cnf(i_0_3726,axiom,
    ( ~ esk34_0
    | ~ esk141_0 )).

cnf(i_0_3727,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3728,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3729,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3730,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3731,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3732,axiom,
    ( p(X2)
    | esk188_0
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3733,axiom,
    ( esk188_0
    | ~ p(X5)
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3734,axiom,
    ( ~ esk651_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk165_0 )).

cnf(i_0_3735,axiom,
    ( ~ esk249_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk350_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3736,axiom,
    ( ~ esk14_0
    | esk169_0 )).

cnf(i_0_3737,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3738,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3739,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3740,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3741,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk272_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3742,axiom,
    ( esk188_0
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6) )).

cnf(i_0_3743,axiom,
    ( ~ esk107_0
    | esk33_0 )).

cnf(i_0_3744,axiom,
    ( ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3745,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk876_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk373_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3746,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3747,axiom,
    ( ~ esk859_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3748,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3749,axiom,
    ( ~ esk33_0
    | ~ esk106_0 )).

cnf(i_0_3750,axiom,
    ( ~ esk150_0
    | esk34_0 )).

cnf(i_0_3751,axiom,
    ( p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3752,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3753,axiom,
    ( esk38_0
    | ~ esk153_0 )).

cnf(i_0_3754,axiom,
    ( esk37_0
    | ~ esk131_0 )).

cnf(i_0_3755,axiom,
    ( esk356_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3756,axiom,
    ( esk41_0
    | esk91_0
    | esk60_0
    | esk5_0
    | esk82_0
    | esk115_0
    | esk73_0
    | esk46_0
    | ~ esk160_0 )).

cnf(i_0_3757,axiom,
    ( ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7) )).

cnf(i_0_3758,axiom,
    ( ~ esk67_0
    | ~ esk12_0 )).

cnf(i_0_3759,axiom,
    ( ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_3760,axiom,
    ( ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | esk188_0 )).

cnf(i_0_3761,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3762,axiom,
    ( ~ esk36_0
    | ~ esk154_0 )).

cnf(i_0_3763,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3764,axiom,
    ( esk34_0
    | ~ esk103_0 )).

cnf(i_0_3765,axiom,
    ( ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3766,axiom,
    ( esk33_0
    | ~ esk55_0 )).

cnf(i_0_3767,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3768,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3769,axiom,
    ( ~ esk93_0
    | ~ esk170_0 )).

cnf(i_0_3770,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3771,axiom,
    ( p(X1)
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3772,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3773,axiom,
    ( ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3774,axiom,
    ( ~ esk36_0
    | esk34_0
    | ~ esk35_0
    | esk33_0
    | ~ esk37_0
    | ~ esk38_0
    | ~ esk39_0 )).

cnf(i_0_3775,axiom,
    ( esk34_0
    | ~ esk106_0 )).

cnf(i_0_3776,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3777,axiom,
    ( ~ esk131_0
    | esk23_0 )).

cnf(i_0_3778,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk266_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3779,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk271_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3780,axiom,
    ( esk118_0
    | esk122_0
    | esk117_0
    | ~ esk21_0
    | esk123_0
    | esk124_0
    | esk121_0
    | esk176_0
    | esk119_0
    | esk116_0
    | esk120_0
    | esk115_0 )).

cnf(i_0_3781,axiom,
    ( ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_3782,axiom,
    ( esk188_0
    | esk683_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk175_0 )).

cnf(i_0_3783,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk864_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk865_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3784,axiom,
    ( ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3785,axiom,
    ( ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3786,axiom,
    ( esk188_0
    | esk167_0
    | esk655_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3787,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3788,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3789,axiom,
    ( ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_3790,axiom,
    ( ~ esk102_0
    | ~ esk20_0 )).

cnf(i_0_3791,axiom,
    ( ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_3792,axiom,
    ( ~ esk36_0
    | ~ esk123_0 )).

cnf(i_0_3793,axiom,
    ( esk38_0
    | ~ esk140_0 )).

cnf(i_0_3794,axiom,
    ( esk37_0
    | ~ esk94_0 )).

cnf(i_0_3795,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk235_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3796,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk818_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3797,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_3798,axiom,
    ( esk13_0
    | ~ esk84_0 )).

cnf(i_0_3799,axiom,
    ( ~ esk49_0
    | ~ esk158_0 )).

cnf(i_0_3800,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3801,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3802,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk242_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3803,axiom,
    ( esk539_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3804,axiom,
    ( ~ esk12_0
    | esk167_0 )).

cnf(i_0_3805,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3806,axiom,
    ( ~ esk255_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3807,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk243_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3808,axiom,
    ( ~ esk44_0
    | ~ esk36_0 )).

cnf(i_0_3809,axiom,
    ( ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3810,axiom,
    ( esk188_0
    | ~ p(X4)
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3811,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3812,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | esk205_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3813,axiom,
    ( esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | esk188_0
    | p(X6)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_3814,axiom,
    ( esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3815,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3816,axiom,
    ( ~ esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3817,axiom,
    ( esk188_0
    | ~ esk688_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk687_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3818,axiom,
    ( ~ esk174_0
    | ~ esk112_0 )).

cnf(i_0_3819,axiom,
    ( ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3820,axiom,
    ( ~ esk149_0
    | esk39_0 )).

cnf(i_0_3821,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3822,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3823,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3824,axiom,
    ( ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3825,axiom,
    ( ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3826,axiom,
    ( esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3827,axiom,
    ( ~ esk851_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3828,axiom,
    ( ~ p(X1)
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3829,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X2) )).

cnf(i_0_3830,axiom,
    ( ~ esk36_0
    | ~ esk107_0 )).

cnf(i_0_3831,axiom,
    ( ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3832,axiom,
    ( ~ esk129_0
    | ~ esk34_0 )).

cnf(i_0_3833,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3834,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3835,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk191_6(X1,X2,X3,X4,X5,X6)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3836,axiom,
    ( p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3837,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3838,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3839,axiom,
    ( esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3840,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10) )).

cnf(i_0_3841,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3842,axiom,
    ( ~ esk185_0
    | ~ esk713_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3843,axiom,
    ( ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3844,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | esk364_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3845,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3846,axiom,
    ( esk168_0
    | ~ esk67_0 )).

cnf(i_0_3847,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3848,axiom,
    ( esk188_0
    | ~ p(X6)
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3849,axiom,
    ( ~ esk114_0
    | esk39_0 )).

cnf(i_0_3850,axiom,
    ( esk168_0
    | ~ esk108_0 )).

cnf(i_0_3851,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3852,axiom,
    ( ~ esk80_0
    | esk38_0 )).

cnf(i_0_3853,axiom,
    ( ~ esk33_0
    | ~ esk56_0 )).

cnf(i_0_3854,axiom,
    ( ~ esk43_0
    | esk33_0 )).

cnf(i_0_3855,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk640_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3856,axiom,
    ( ~ esk167_0
    | esk12_0 )).

cnf(i_0_3857,axiom,
    ( esk142_0
    | esk29_0
    | esk155_0
    | esk130_0
    | esk123_0
    | ~ esk184_0
    | esk114_0
    | esk90_0
    | esk136_0 )).

cnf(i_0_3858,axiom,
    ( ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3859,axiom,
    ( ~ esk111_0
    | ~ esk174_0 )).

cnf(i_0_3860,axiom,
    ( ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3861,axiom,
    ( ~ esk330_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3862,axiom,
    ( ~ esk870_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk371_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3863,axiom,
    ( ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3864,axiom,
    ( ~ esk87_0
    | ~ esk37_0 )).

cnf(i_0_3865,axiom,
    ( ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3866,axiom,
    ( esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | ~ p(X9) )).

cnf(i_0_3867,axiom,
    ( esk186_0
    | ~ esk97_0 )).

cnf(i_0_3868,axiom,
    ( p(X1)
    | esk188_0
    | ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3869,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3870,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3871,axiom,
    ( ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3872,axiom,
    ( ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3873,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_3874,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3875,axiom,
    ( esk823_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk822_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3876,axiom,
    ( ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk193_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3877,axiom,
    ( ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk700_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk699_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3878,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3879,axiom,
    ( ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X4) )).

cnf(i_0_3880,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3881,axiom,
    ( ~ esk39_0
    | ~ esk64_0 )).

cnf(i_0_3882,axiom,
    ( ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X2) )).

cnf(i_0_3883,axiom,
    ( ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3884,axiom,
    ( ~ esk45_0
    | ~ esk36_0 )).

cnf(i_0_3885,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3886,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3887,axiom,
    ( esk34_0
    | ~ esk154_0 )).

cnf(i_0_3888,axiom,
    ( p(X5)
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3889,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3890,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3891,axiom,
    ( ~ esk38_0
    | ~ esk125_0 )).

cnf(i_0_3892,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3893,axiom,
    ( ~ esk58_0
    | esk37_0 )).

cnf(i_0_3894,axiom,
    ( esk171_0
    | esk188_0
    | esk671_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3895,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3896,axiom,
    ( ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3897,axiom,
    ( esk3_0
    | ~ esk47_0 )).

cnf(i_0_3898,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk373_6(X1,X2,X3,X4,X5,X6)
    | esk218_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3899,axiom,
    ( ~ esk140_0
    | esk35_0 )).

cnf(i_0_3900,axiom,
    ( ~ esk101_0
    | esk33_0 )).

cnf(i_0_3901,axiom,
    ( esk188_0
    | p(X1)
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3902,axiom,
    ( ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3903,axiom,
    ( ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk214_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3904,axiom,
    ( esk367_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk856_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3905,axiom,
    ( ~ esk126_0
    | ~ esk38_0 )).

cnf(i_0_3906,axiom,
    ( ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3907,axiom,
    ( esk165_0
    | ~ esk10_0 )).

cnf(i_0_3908,axiom,
    ( esk188_0
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_3909,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3910,axiom,
    ( ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_3911,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_3912,axiom,
    ( esk182_0
    | ~ esk154_0 )).

cnf(i_0_3913,axiom,
    ( ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk803_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk802_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3914,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3915,axiom,
    ( ~ esk37_0
    | ~ esk35_0
    | esk34_0
    | ~ esk33_0
    | ~ esk36_0
    | esk101_0
    | ~ esk38_0
    | esk39_0 )).

cnf(i_0_3916,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3917,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3918,axiom,
    ( ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3919,axiom,
    ( ~ esk140_0
    | ~ esk36_0 )).

cnf(i_0_3920,axiom,
    ( esk213_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3921,axiom,
    ( ~ esk46_0
    | esk160_0 )).

cnf(i_0_3922,axiom,
    ( esk174_0
    | ~ esk139_0 )).

cnf(i_0_3923,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3924,axiom,
    ( esk359_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk832_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3925,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3926,axiom,
    ( esk188_0
    | ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3) )).

cnf(i_0_3927,axiom,
    ( esk188_0
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_3928,axiom,
    ( esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_3929,axiom,
    ( p(X8)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3930,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3931,axiom,
    ( ~ esk132_0
    | esk37_0 )).

cnf(i_0_3932,axiom,
    ( ~ esk154_0
    | ~ esk33_0 )).

cnf(i_0_3933,axiom,
    ( ~ esk149_0
    | esk35_0 )).

cnf(i_0_3934,axiom,
    ( esk183_0
    | esk709_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3935,axiom,
    ( esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3936,axiom,
    ( ~ esk149_0
    | esk182_0 )).

cnf(i_0_3937,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3938,axiom,
    ( ~ p(X6)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_3939,axiom,
    ( esk39_0
    | ~ esk155_0 )).

cnf(i_0_3940,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3941,axiom,
    ( esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3942,axiom,
    ( ~ esk133_0
    | esk37_0 )).

cnf(i_0_3943,axiom,
    ( esk195_6(X1,X2,X3,X4,X5,X6)
    | ~ esk247_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3944,axiom,
    ( esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3945,axiom,
    ( ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3946,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk190_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3947,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3948,axiom,
    ( p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3949,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3950,axiom,
    ( ~ esk43_0
    | esk1_0 )).

cnf(i_0_3951,axiom,
    ( ~ esk62_0
    | esk35_0 )).

cnf(i_0_3952,axiom,
    ( esk172_0
    | ~ esk44_0 )).

cnf(i_0_3953,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3954,axiom,
    ( esk188_0
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5) )).

cnf(i_0_3955,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3956,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk261_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3957,axiom,
    ( esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk367_6(X1,X2,X3,X4,X5,X6)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3958,axiom,
    ( ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_3959,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3960,axiom,
    ( esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3961,axiom,
    ( ~ esk161_0
    | esk188_0
    | ~ esk637_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3962,axiom,
    ( ~ esk33_0
    | ~ esk90_0 )).

cnf(i_0_3963,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3964,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3965,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3966,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3967,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3968,axiom,
    ( ~ esk75_0
    | esk38_0 )).

cnf(i_0_3969,axiom,
    ( ~ esk53_0
    | esk158_0 )).

cnf(i_0_3970,axiom,
    ( esk3_0
    | ~ esk46_0 )).

cnf(i_0_3971,axiom,
    ( ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3972,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3973,axiom,
    ( ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3974,axiom,
    ( ~ esk3_0 )).

cnf(i_0_3975,axiom,
    ( p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3976,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3977,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3978,axiom,
    ( ~ esk83_0
    | esk34_0 )).

cnf(i_0_3979,axiom,
    ( ~ esk33_0
    | ~ esk86_0 )).

cnf(i_0_3980,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3981,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3982,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3983,axiom,
    ( ~ esk38_0
    | ~ esk43_0 )).

cnf(i_0_3984,axiom,
    ( ~ esk138_0
    | esk172_0 )).

cnf(i_0_3985,axiom,
    ( ~ esk88_0
    | esk176_0 )).

cnf(i_0_3986,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3987,axiom,
    ( ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3988,axiom,
    ( ~ esk284_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3989,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk874_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk373_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_3990,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3991,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3992,axiom,
    ( ~ esk248_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3993,axiom,
    ( ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3994,axiom,
    ( esk34_0
    | ~ esk98_0 )).

cnf(i_0_3995,axiom,
    ( ~ esk33_0
    | ~ esk76_0 )).

cnf(i_0_3996,axiom,
    ( esk188_0
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5) )).

cnf(i_0_3997,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3998,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_3999,axiom,
    ( esk627_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk628_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4000,axiom,
    ( ~ esk88_0
    | ~ esk33_0 )).

cnf(i_0_4001,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk854_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk365_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4002,axiom,
    ( ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4003,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4004,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4005,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4006,axiom,
    ( ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4007,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk333_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4008,axiom,
    ( esk346_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4009,axiom,
    ( esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4010,axiom,
    ( ~ esk57_0
    | esk37_0 )).

cnf(i_0_4011,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4012,axiom,
    ( esk825_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk824_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4013,axiom,
    ( ~ esk85_0
    | esk13_0 )).

cnf(i_0_4014,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4015,axiom,
    ( ~ esk58_0
    | ~ esk14_0 )).

cnf(i_0_4016,axiom,
    ( ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | esk188_0 )).

cnf(i_0_4017,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4018,axiom,
    ( ~ esk593_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4019,axiom,
    ( ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4020,axiom,
    ( ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4021,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4022,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4023,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4024,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4025,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4026,axiom,
    ( ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4027,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4028,axiom,
    ( p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ p(X10)
    | p(X8)
    | p(X9) )).

cnf(i_0_4029,axiom,
    ( esk36_0
    | ~ esk134_0 )).

cnf(i_0_4030,axiom,
    ( ~ esk187_0
    | esk188_0
    | ~ esk719_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4031,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4032,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4033,axiom,
    ( ~ esk67_0
    | esk37_0 )).

cnf(i_0_4034,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4035,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4036,axiom,
    ( ~ esk118_0
    | esk170_0 )).

cnf(i_0_4037,axiom,
    ( ~ esk682_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4038,axiom,
    ( esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4039,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_4040,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk364_6(X1,X2,X3,X4,X5,X6)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4041,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4042,axiom,
    ( ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4043,axiom,
    ( ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4044,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk539_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4045,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4046,axiom,
    ( ~ p(X4)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4047,axiom,
    ( ~ esk587_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0 )).

cnf(i_0_4048,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4049,axiom,
    ( ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4050,axiom,
    ( ~ p(X1)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4051,axiom,
    ( ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk208_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4052,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4053,axiom,
    ( ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4054,axiom,
    ( esk209_6(X1,X2,X3,X4,X5,X6)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4055,axiom,
    ( esk180_0
    | ~ esk70_0 )).

cnf(i_0_4056,axiom,
    ( ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4057,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4058,axiom,
    ( ~ esk198_6(X1,X2,X3,X4,X5,X6)
    | ~ esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4059,axiom,
    ( ~ esk110_0
    | esk19_0 )).

cnf(i_0_4060,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4061,axiom,
    ( esk188_0
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2) )).

cnf(i_0_4062,axiom,
    ( ~ esk36_0
    | ~ esk89_0 )).

cnf(i_0_4063,axiom,
    ( ~ esk37_0
    | ~ esk39_0
    | esk132_0
    | ~ esk36_0
    | ~ esk35_0
    | esk38_0
    | esk33_0
    | esk34_0 )).

cnf(i_0_4064,axiom,
    ( esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4065,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4066,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk359_6(X1,X2,X3,X4,X5,X6)
    | esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4067,axiom,
    ( esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4068,axiom,
    ( ~ esk162_0
    | esk125_0
    | esk7_0
    | esk54_0
    | esk47_0
    | esk83_0
    | esk92_0 )).

cnf(i_0_4069,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4070,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4071,axiom,
    ( ~ p(X5)
    | esk188_0
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4072,axiom,
    ( ~ esk18_0
    | esk173_0 )).

cnf(i_0_4073,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4074,axiom,
    ( ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4075,axiom,
    ( ~ esk676_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4076,axiom,
    ( esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4077,axiom,
    ( esk39_0
    | ~ esk150_0 )).

cnf(i_0_4078,axiom,
    ( ~ esk176_0
    | ~ esk124_0 )).

cnf(i_0_4079,axiom,
    ( ~ esk65_0
    | esk158_0 )).

cnf(i_0_4080,axiom,
    ( ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4081,axiom,
    ( esk34_0
    | ~ esk155_0 )).

cnf(i_0_4082,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4083,axiom,
    ( esk36_0
    | ~ esk35_0
    | ~ esk38_0
    | ~ esk34_0
    | esk39_0
    | esk33_0
    | esk94_0
    | ~ esk37_0 )).

cnf(i_0_4084,axiom,
    ( p(X5)
    | esk188_0
    | ~ esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4085,axiom,
    ( esk188_0
    | esk638_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk637_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4086,axiom,
    ( esk313_6(X1,X2,X3,X4,X5,X6)
    | esk242_6(X1,X2,X3,X4,X5,X6)
    | esk271_6(X1,X2,X3,X4,X5,X6)
    | esk195_6(X1,X2,X3,X4,X5,X6)
    | ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | esk280_6(X1,X2,X3,X4,X5,X6)
    | esk235_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4087,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk320_6(X1,X2,X3,X4,X5,X6)
    | ~ esk213_6(X1,X2,X3,X4,X5,X6)
    | esk323_6(X1,X2,X3,X4,X5,X6)
    | esk368_6(X1,X2,X3,X4,X5,X6)
    | esk324_6(X1,X2,X3,X4,X5,X6)
    | esk321_6(X1,X2,X3,X4,X5,X6)
    | esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4088,axiom,
    ( ~ esk158_0
    | ~ esk50_0 )).

cnf(i_0_4089,axiom,
    ( esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4090,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk335_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4091,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4092,axiom,
    ( esk215_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4093,axiom,
    ( esk37_0
    | ~ esk121_0 )).

cnf(i_0_4094,axiom,
    ( esk188_0
    | ~ p(X6)
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4095,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4096,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk219_6(X1,X2,X3,X4,X5,X6)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4097,axiom,
    ( esk27_0
    | ~ esk143_0 )).

cnf(i_0_4098,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4099,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4100,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk188_0
    | ~ p(X2)
    | esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_4101,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_4102,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4103,axiom,
    ( esk192_6(X1,X2,X3,X4,X5,X6)
    | ~ esk347_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4104,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4105,axiom,
    ( esk365_6(X1,X2,X3,X4,X5,X6)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4106,axiom,
    ( esk361_6(X1,X2,X3,X4,X5,X6)
    | esk834_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4107,axiom,
    ( esk33_0
    | ~ esk109_0 )).

cnf(i_0_4108,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4109,axiom,
    ( ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4110,axiom,
    ( ~ esk710_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4111,axiom,
    ( ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4112,axiom,
    ( ~ esk87_0
    | esk34_0 )).

cnf(i_0_4113,axiom,
    ( ~ p(X2)
    | ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4114,axiom,
    ( esk188_0
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5) )).

cnf(i_0_4115,axiom,
    ( esk695_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk177_0 )).

cnf(i_0_4116,axiom,
    ( ~ esk35_0
    | esk36_0
    | ~ esk38_0
    | esk34_0
    | ~ esk37_0
    | esk33_0
    | ~ esk39_0 )).

cnf(i_0_4117,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4118,axiom,
    ( ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4119,axiom,
    ( ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4120,axiom,
    ( ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk261_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4121,axiom,
    ( esk188_0
    | ~ p(X5)
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4122,axiom,
    ( ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4123,axiom,
    ( esk35_0
    | esk64_0
    | esk33_0
    | ~ esk37_0
    | esk34_0
    | esk39_0
    | esk38_0
    | ~ esk36_0 )).

cnf(i_0_4124,axiom,
    ( esk267_6(X1,X2,X3,X4,X5,X6)
    | esk260_6(X1,X2,X3,X4,X5,X6)
    | esk264_6(X1,X2,X3,X4,X5,X6)
    | esk268_6(X1,X2,X3,X4,X5,X6)
    | esk354_6(X1,X2,X3,X4,X5,X6)
    | esk261_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk262_6(X1,X2,X3,X4,X5,X6)
    | esk265_6(X1,X2,X3,X4,X5,X6)
    | esk259_6(X1,X2,X3,X4,X5,X6)
    | esk263_6(X1,X2,X3,X4,X5,X6)
    | ~ esk199_6(X1,X2,X3,X4,X5,X6)
    | esk266_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4125,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk314_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4126,axiom,
    ( ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4127,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk838_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk361_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4128,axiom,
    ( ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4129,axiom,
    ( esk188_0
    | ~ esk718_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4130,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk344_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4131,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4132,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4133,axiom,
    ( ~ esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4134,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4135,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4136,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4137,axiom,
    ( p(X7)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4138,axiom,
    ( ~ esk120_0
    | esk174_0 )).

cnf(i_0_4139,axiom,
    ( ~ esk36_0
    | ~ esk41_0 )).

cnf(i_0_4140,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4141,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4142,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4143,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4144,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4145,axiom,
    ( ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_4146,axiom,
    ( ~ esk104_0
    | esk17_0 )).

cnf(i_0_4147,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4148,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4149,axiom,
    ( ~ esk109_0
    | esk35_0 )).

cnf(i_0_4150,axiom,
    ( ~ esk38_0
    | ~ esk110_0 )).

cnf(i_0_4151,axiom,
    ( ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4152,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk244_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4153,axiom,
    ( p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4154,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4155,axiom,
    ( ~ esk20_0
    | ~ esk80_0 )).

cnf(i_0_4156,axiom,
    ( ~ esk100_0
    | ~ esk33_0 )).

cnf(i_0_4157,axiom,
    ( ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4158,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4159,axiom,
    ( ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4160,axiom,
    ( ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4161,axiom,
    ( esk34_0
    | esk39_0
    | esk33_0
    | ~ esk35_0
    | esk36_0
    | esk76_0
    | ~ esk38_0
    | esk37_0 )).

cnf(i_0_4162,axiom,
    ( esk27_0
    | ~ esk140_0 )).

cnf(i_0_4163,axiom,
    ( ~ esk35_0
    | ~ esk43_0 )).

cnf(i_0_4164,axiom,
    ( ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4165,axiom,
    ( ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11) )).

cnf(i_0_4166,axiom,
    ( ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4167,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk217_6(X1,X2,X3,X4,X5,X6)
    | esk184_0 )).

cnf(i_0_4168,axiom,
    ( ~ esk132_0
    | ~ esk180_0 )).

cnf(i_0_4169,axiom,
    ( ~ esk11_0
    | ~ esk12_0 )).

cnf(i_0_4170,axiom,
    ( ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4171,axiom,
    ( ~ esk28_0 )).

cnf(i_0_4172,axiom,
    ( esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4173,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk816_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk355_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4174,axiom,
    ( esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk722_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4175,axiom,
    ( esk38_0
    | ~ esk100_0 )).

cnf(i_0_4176,axiom,
    ( ~ esk330_6(X1,X2,X3,X4,X5,X6)
    | esk372_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4177,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4178,axiom,
    ( ~ esk111_0
    | ~ esk38_0 )).

cnf(i_0_4179,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk327_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4180,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4181,axiom,
    ( esk33_0
    | ~ esk81_0 )).

cnf(i_0_4182,axiom,
    ( ~ esk22_0
    | ~ esk144_0 )).

cnf(i_0_4183,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9) )).

cnf(i_0_4184,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4185,axiom,
    ( ~ esk36_0
    | esk39_0
    | esk34_0
    | esk37_0
    | esk35_0
    | esk81_0
    | ~ esk38_0
    | ~ esk33_0 )).

cnf(i_0_4186,axiom,
    ( esk34_0
    | ~ esk119_0 )).

cnf(i_0_4187,axiom,
    ( ~ esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4188,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4189,axiom,
    ( esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk704_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4190,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4191,axiom,
    ( ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_4192,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk803_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4193,axiom,
    ( ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4194,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4195,axiom,
    ( ~ esk82_0
    | ~ esk33_0 )).

cnf(i_0_4196,axiom,
    ( esk38_0
    | esk36_0
    | ~ esk37_0
    | esk60_0
    | esk39_0
    | ~ esk35_0
    | esk33_0
    | esk34_0 )).

cnf(i_0_4197,axiom,
    ( ~ esk96_0
    | esk15_0 )).

cnf(i_0_4198,axiom,
    ( p(X1)
    | esk188_0
    | ~ esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4199,axiom,
    ( ~ esk41_0
    | ~ esk38_0 )).

cnf(i_0_4200,axiom,
    ( ~ esk182_0
    | esk215_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4201,axiom,
    ( ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4202,axiom,
    ( ~ esk186_0
    | ~ esk152_0 )).

cnf(i_0_4203,axiom,
    ( ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4204,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4205,axiom,
    ( esk188_0
    | ~ esk167_0
    | ~ esk653_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4206,axiom,
    ( ~ esk41_0
    | esk160_0 )).

cnf(i_0_4207,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4208,axiom,
    ( esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ p(X8)
    | p(X10)
    | p(X12)
    | ~ p(X7) )).

cnf(i_0_4209,axiom,
    ( esk235_6(X1,X2,X3,X4,X5,X6)
    | esk239_6(X1,X2,X3,X4,X5,X6)
    | esk237_6(X1,X2,X3,X4,X5,X6)
    | esk233_6(X1,X2,X3,X4,X5,X6)
    | esk238_6(X1,X2,X3,X4,X5,X6)
    | esk234_6(X1,X2,X3,X4,X5,X6)
    | esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk346_6(X1,X2,X3,X4,X5,X6)
    | ~ esk191_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4210,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4211,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk871_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4212,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4213,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X6) )).

cnf(i_0_4214,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4215,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4216,axiom,
    ( ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4217,axiom,
    ( esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4218,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4219,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4220,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4221,axiom,
    ( ~ esk37_0
    | ~ esk114_0 )).

cnf(i_0_4222,axiom,
    ( ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X6) )).

cnf(i_0_4223,axiom,
    ( esk188_0
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1) )).

cnf(i_0_4224,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4225,axiom,
    ( ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3)
    | esk188_0 )).

cnf(i_0_4226,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4227,axiom,
    ( esk109_0
    | esk106_0
    | esk110_0
    | esk107_0
    | esk113_0
    | esk108_0
    | esk112_0
    | ~ esk19_0
    | esk174_0
    | esk111_0
    | esk105_0
    | esk114_0 )).

cnf(i_0_4228,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4229,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk286_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4230,axiom,
    ( ~ esk45_0
    | esk156_0 )).

cnf(i_0_4231,axiom,
    ( ~ esk35_0
    | ~ esk88_0 )).

cnf(i_0_4232,axiom,
    ( ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4233,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4234,axiom,
    ( ~ esk160_0
    | ~ esk57_0 )).

cnf(i_0_4235,axiom,
    ( ~ esk230_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk189_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4236,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk807_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4237,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4238,axiom,
    ( ~ esk634_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4239,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4240,axiom,
    ( esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4241,axiom,
    ( esk37_0
    | ~ esk60_0 )).

cnf(i_0_4242,axiom,
    ( ~ p(X2)
    | ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4243,axiom,
    ( esk347_6(X1,X2,X3,X4,X5,X6)
    | esk794_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4244,axiom,
    ( esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4245,axiom,
    ( ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4246,axiom,
    ( ~ esk39_0
    | ~ esk74_0 )).

cnf(i_0_4247,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | ~ p(X11)
    | esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_4248,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4249,axiom,
    ( ~ esk57_0
    | esk33_0 )).

cnf(i_0_4250,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4251,axiom,
    ( ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4252,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4253,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4254,axiom,
    ( ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk374_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4255,axiom,
    ( esk207_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4256,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4257,axiom,
    ( esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4258,axiom,
    ( esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6)
    | esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk161_0
    | esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4259,axiom,
    ( ~ esk648_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk647_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4260,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4261,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11) )).

cnf(i_0_4262,axiom,
    ( ~ esk33_0
    | ~ esk58_0 )).

cnf(i_0_4263,axiom,
    ( ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4264,axiom,
    ( ~ p(X6)
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4265,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10) )).

cnf(i_0_4266,axiom,
    ( ~ esk14_0
    | ~ esk115_0 )).

cnf(i_0_4267,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4268,axiom,
    ( ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4269,axiom,
    ( ~ esk165_0
    | esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk198_6(X1,X2,X3,X4,X5,X6)
    | esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4270,axiom,
    ( esk77_0
    | esk138_0
    | esk109_0
    | esk44_0
    | esk119_0
    | esk68_0
    | ~ esk172_0
    | esk133_0
    | esk17_0 )).

cnf(i_0_4271,axiom,
    ( esk817_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk816_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4272,axiom,
    ( esk157_0
    | ~ esk2_0 )).

cnf(i_0_4273,axiom,
    ( ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | esk188_0 )).

cnf(i_0_4274,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk320_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4275,axiom,
    ( esk351_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk196_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4276,axiom,
    ( ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4277,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | esk358_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4278,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4279,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4280,axiom,
    ( ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4281,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4282,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4283,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4284,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4285,axiom,
    ( esk188_0
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_4286,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4287,axiom,
    ( ~ esk128_0
    | esk37_0 )).

cnf(i_0_4288,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4289,axiom,
    ( p(X4)
    | p(X5)
    | esk188_0
    | ~ p(X2)
    | ~ p(X6)
    | esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4290,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4291,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4292,axiom,
    ( esk166_0
    | ~ esk107_0 )).

cnf(i_0_4293,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk204_6(X1,X2,X3,X4,X5,X6)
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4294,axiom,
    ( esk188_0
    | esk173_0
    | esk677_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4295,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4296,axiom,
    ( ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk237_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4297,axiom,
    ( esk185_0
    | esk188_0
    | esk717_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4298,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4299,axiom,
    ( ~ esk128_0
    | ~ esk38_0 )).

cnf(i_0_4300,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X11)
    | esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | p(X12) )).

cnf(i_0_4301,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4302,axiom,
    ( ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4303,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk792_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk793_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4304,axiom,
    ( esk160_0
    | ~ esk82_0 )).

cnf(i_0_4305,axiom,
    ( ~ p(X11)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8) )).

cnf(i_0_4306,axiom,
    ( ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4307,axiom,
    ( ~ esk35_0
    | ~ esk138_0 )).

cnf(i_0_4308,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4309,axiom,
    ( ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4310,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4311,axiom,
    ( esk632_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk631_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4312,axiom,
    ( esk36_0
    | ~ esk100_0 )).

cnf(i_0_4313,axiom,
    ( esk188_0
    | p(X1)
    | ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4314,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4315,axiom,
    ( ~ esk1_0 )).

cnf(i_0_4316,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4317,axiom,
    ( ~ esk821_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4318,axiom,
    ( ~ esk134_0
    | ~ esk38_0 )).

cnf(i_0_4319,axiom,
    ( esk188_0
    | p(X2)
    | ~ esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4320,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4321,axiom,
    ( ~ esk119_0
    | esk35_0 )).

cnf(i_0_4322,axiom,
    ( ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_4323,axiom,
    ( esk104_0
    | esk172_0
    | esk100_0
    | esk102_0
    | esk99_0
    | esk103_0
    | esk98_0
    | esk101_0
    | ~ esk17_0 )).

cnf(i_0_4324,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4325,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4326,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk349_6(X1,X2,X3,X4,X5,X6)
    | ~ esk194_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4327,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4328,axiom,
    ( esk188_0
    | ~ esk649_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk650_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4329,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4330,axiom,
    ( ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4331,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk257_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4332,axiom,
    ( ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4333,axiom,
    ( ~ esk130_0
    | esk34_0 )).

cnf(i_0_4334,axiom,
    ( ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4335,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4336,axiom,
    ( ~ esk162_0
    | ~ esk62_0 )).

cnf(i_0_4337,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4338,axiom,
    ( esk209_6(X1,X2,X3,X4,X5,X6)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4339,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4340,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk797_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk796_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4341,axiom,
    ( ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4342,axiom,
    ( esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4343,axiom,
    ( ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4344,axiom,
    ( p(X1)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4345,axiom,
    ( ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4346,axiom,
    ( esk188_0
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_4347,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4348,axiom,
    ( ~ esk15_0 )).

cnf(i_0_4349,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk297_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4350,axiom,
    ( ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4351,axiom,
    ( ~ esk630_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk629_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4352,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4353,axiom,
    ( ~ esk120_0
    | ~ esk38_0 )).

cnf(i_0_4354,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4355,axiom,
    ( ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4356,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4357,axiom,
    ( esk337_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4358,axiom,
    ( ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4359,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk348_6(X1,X2,X3,X4,X5,X6)
    | ~ esk229_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4360,axiom,
    ( ~ esk46_0
    | ~ esk38_0 )).

cnf(i_0_4361,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4362,axiom,
    ( ~ esk27_0 )).

cnf(i_0_4363,axiom,
    ( ~ p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4364,axiom,
    ( esk181_0
    | ~ esk26_0 )).

cnf(i_0_4365,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk376_6(X1,X2,X3,X4,X5,X6)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4366,axiom,
    ( ~ esk119_0
    | ~ esk176_0 )).

cnf(i_0_4367,axiom,
    ( ~ esk306_6(X1,X2,X3,X4,X5,X6)
    | esk358_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4368,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X2) )).

cnf(i_0_4369,axiom,
    ( ~ esk66_0
    | ~ esk35_0 )).

cnf(i_0_4370,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4371,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X7)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4372,axiom,
    ( esk361_6(X1,X2,X3,X4,X5,X6)
    | esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4373,axiom,
    ( ~ p(X5)
    | ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4374,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4375,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk305_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4376,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4377,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4378,axiom,
    ( esk39_0
    | ~ esk35_0
    | esk46_0
    | esk38_0
    | esk37_0
    | esk36_0
    | esk33_0
    | ~ esk34_0 )).

cnf(i_0_4379,axiom,
    ( ~ esk183_0
    | esk28_0 )).

cnf(i_0_4380,axiom,
    ( ~ esk107_0
    | ~ esk37_0 )).

cnf(i_0_4381,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk796_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk349_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4382,axiom,
    ( ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4383,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4384,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4385,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4386,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4387,axiom,
    ( esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4388,axiom,
    ( ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4389,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4390,axiom,
    ( ~ esk36_0
    | ~ esk61_0 )).

cnf(i_0_4391,axiom,
    ( esk188_0
    | esk640_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk639_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4392,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4393,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk879_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4394,axiom,
    ( ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9) )).

cnf(i_0_4395,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk252_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4396,axiom,
    ( ~ esk182_0
    | ~ esk140_0 )).

cnf(i_0_4397,axiom,
    ( ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4398,axiom,
    ( p(X8)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4399,axiom,
    ( ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4400,axiom,
    ( ~ esk59_0
    | ~ esk38_0 )).

cnf(i_0_4401,axiom,
    ( esk38_0
    | ~ esk154_0 )).

cnf(i_0_4402,axiom,
    ( ~ esk369_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk862_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4403,axiom,
    ( ~ esk52_0
    | ~ esk37_0 )).

cnf(i_0_4404,axiom,
    ( ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4405,axiom,
    ( esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4406,axiom,
    ( ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4407,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4408,axiom,
    ( ~ esk866_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk371_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4409,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4410,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4411,axiom,
    ( p(X1)
    | esk188_0
    | ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4412,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4413,axiom,
    ( ~ esk241_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4414,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk255_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4415,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4416,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4417,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4418,axiom,
    ( esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4419,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4420,axiom,
    ( p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ p(X11)
    | p(X7)
    | esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_4421,axiom,
    ( ~ esk629_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk157_0
    | esk188_0 )).

cnf(i_0_4422,axiom,
    ( ~ esk38_0
    | ~ esk117_0 )).

cnf(i_0_4423,axiom,
    ( ~ esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4424,axiom,
    ( ~ esk251_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4425,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk216_6(X1,X2,X3,X4,X5,X6)
    | ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4426,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk310_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4427,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk789_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4428,axiom,
    ( ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4429,axiom,
    ( esk188_0
    | ~ esk710_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4430,axiom,
    ( esk188_0
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1) )).

cnf(i_0_4431,axiom,
    ( ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12) )).

cnf(i_0_4432,axiom,
    ( esk346_6(X1,X2,X3,X4,X5,X6)
    | ~ esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4433,axiom,
    ( ~ esk787_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk786_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4434,axiom,
    ( esk34_0
    | ~ esk58_0 )).

cnf(i_0_4435,axiom,
    ( esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4436,axiom,
    ( p(X5)
    | ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4437,axiom,
    ( ~ esk34_0
    | ~ esk149_0 )).

cnf(i_0_4438,axiom,
    ( p(X1)
    | ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4439,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4440,axiom,
    ( esk113_0
    | esk149_0
    | esk27_0
    | esk135_0
    | esk122_0
    | esk80_0
    | esk154_0
    | esk104_0
    | ~ esk182_0 )).

cnf(i_0_4441,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk296_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4442,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk213_6(X1,X2,X3,X4,X5,X6)
    | ~ esk180_0 )).

cnf(i_0_4443,axiom,
    ( ~ esk330_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4444,axiom,
    ( ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4445,axiom,
    ( esk188_0
    | ~ esk169_0
    | ~ esk667_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4446,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4447,axiom,
    ( ~ esk96_0
    | ~ esk170_0 )).

cnf(i_0_4448,axiom,
    ( esk13_0
    | ~ esk90_0 )).

cnf(i_0_4449,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk747_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk834_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk835_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4450,axiom,
    ( ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4451,axiom,
    ( ~ esk81_0
    | ~ esk35_0 )).

cnf(i_0_4452,axiom,
    ( p(X5)
    | ~ p(X3)
    | esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | esk188_0
    | p(X6)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_4453,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4454,axiom,
    ( ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4455,axiom,
    ( ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4456,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4457,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4458,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4459,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4460,axiom,
    ( ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4461,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk219_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4462,axiom,
    ( ~ esk43_0
    | ~ esk156_0 )).

cnf(i_0_4463,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4464,axiom,
    ( esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk819_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4465,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4466,axiom,
    ( esk36_0
    | ~ esk52_0 )).

cnf(i_0_4467,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4468,axiom,
    ( esk33_0
    | ~ esk73_0 )).

cnf(i_0_4469,axiom,
    ( ~ esk130_0
    | esk184_0 )).

cnf(i_0_4470,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4471,axiom,
    ( ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4472,axiom,
    ( ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4473,axiom,
    ( ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X5) )).

cnf(i_0_4474,axiom,
    ( esk3_0
    | ~ esk45_0 )).

cnf(i_0_4475,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk317_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4476,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk275_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4477,axiom,
    ( esk285_6(X1,X2,X3,X4,X5,X6)
    | esk319_6(X1,X2,X3,X4,X5,X6)
    | esk312_6(X1,X2,X3,X4,X5,X6)
    | ~ esk374_6(X1,X2,X3,X4,X5,X6)
    | esk331_6(X1,X2,X3,X4,X5,X6)
    | esk338_6(X1,X2,X3,X4,X5,X6)
    | esk219_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4478,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4479,axiom,
    ( ~ esk35_0
    | esk37_0
    | esk36_0
    | esk110_0
    | ~ esk34_0
    | ~ esk39_0
    | esk38_0
    | esk33_0 )).

cnf(i_0_4480,axiom,
    ( ~ esk95_0
    | esk33_0 )).

cnf(i_0_4481,axiom,
    ( esk166_0
    | ~ esk116_0 )).

cnf(i_0_4482,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk881_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4483,axiom,
    ( ~ esk102_0
    | ~ esk39_0 )).

cnf(i_0_4484,axiom,
    ( ~ esk113_0
    | ~ esk174_0 )).

cnf(i_0_4485,axiom,
    ( ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4486,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4487,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4488,axiom,
    ( esk185_0
    | ~ esk30_0 )).

cnf(i_0_4489,axiom,
    ( ~ esk35_0
    | ~ esk80_0 )).

cnf(i_0_4490,axiom,
    ( ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11) )).

cnf(i_0_4491,axiom,
    ( ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4492,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4493,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4494,axiom,
    ( ~ p(X8)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4495,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk346_6(X1,X2,X3,X4,X5,X6)
    | ~ esk293_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4496,axiom,
    ( ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4497,axiom,
    ( ~ esk79_0
    | esk33_0 )).

cnf(i_0_4498,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk866_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk867_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4499,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk720_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4500,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4501,axiom,
    ( ~ esk20_0
    | ~ esk119_0 )).

cnf(i_0_4502,axiom,
    ( esk175_0
    | esk687_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4503,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4504,axiom,
    ( ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4505,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11) )).

cnf(i_0_4506,axiom,
    ( ~ esk65_0
    | ~ esk34_0 )).

cnf(i_0_4507,axiom,
    ( esk21_0
    | ~ esk121_0 )).

cnf(i_0_4508,axiom,
    ( esk188_0
    | ~ esk693_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk177_0 )).

cnf(i_0_4509,axiom,
    ( p(X5)
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4510,axiom,
    ( ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4511,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4512,axiom,
    ( ~ esk106_0
    | esk39_0 )).

cnf(i_0_4513,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4514,axiom,
    ( ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_4515,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4516,axiom,
    ( esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4517,axiom,
    ( ~ esk79_0
    | ~ esk166_0 )).

cnf(i_0_4518,axiom,
    ( ~ esk34_0
    | ~ esk33_0
    | ~ esk38_0
    | ~ esk36_0
    | esk35_0
    | ~ esk39_0
    | ~ esk37_0 )).

cnf(i_0_4519,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4520,axiom,
    ( ~ p(X1)
    | ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4521,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk246_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4522,axiom,
    ( ~ esk138_0
    | ~ esk37_0 )).

cnf(i_0_4523,axiom,
    ( ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4524,axiom,
    ( ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4525,axiom,
    ( esk188_0
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X3) )).

cnf(i_0_4526,axiom,
    ( ~ esk132_0
    | ~ esk38_0 )).

cnf(i_0_4527,axiom,
    ( ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4528,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4529,axiom,
    ( ~ esk39_0
    | ~ esk57_0 )).

cnf(i_0_4530,axiom,
    ( ~ esk52_0
    | esk156_0 )).

cnf(i_0_4531,axiom,
    ( ~ esk216_6(X1,X2,X3,X4,X5,X6)
    | esk371_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4532,axiom,
    ( ~ esk153_0
    | esk39_0 )).

cnf(i_0_4533,axiom,
    ( ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4534,axiom,
    ( ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4535,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4536,axiom,
    ( esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4537,axiom,
    ( ~ esk815_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk814_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4538,axiom,
    ( esk188_0
    | ~ esk183_0
    | ~ esk711_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4539,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4540,axiom,
    ( esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4541,axiom,
    ( ~ esk45_0
    | esk33_0 )).

cnf(i_0_4542,axiom,
    ( esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4543,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4544,axiom,
    ( ~ esk38_0
    | ~ esk49_0 )).

cnf(i_0_4545,axiom,
    ( esk204_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk359_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4546,axiom,
    ( esk209_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4547,axiom,
    ( ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_4548,axiom,
    ( esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4549,axiom,
    ( esk243_6(X1,X2,X3,X4,X5,X6)
    | esk288_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk325_6(X1,X2,X3,X4,X5,X6)
    | esk231_6(X1,X2,X3,X4,X5,X6)
    | esk304_6(X1,X2,X3,X4,X5,X6)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | esk237_6(X1,X2,X3,X4,X5,X6)
    | esk281_6(X1,X2,X3,X4,X5,X6)
    | esk273_6(X1,X2,X3,X4,X5,X6)
    | esk199_6(X1,X2,X3,X4,X5,X6)
    | esk254_6(X1,X2,X3,X4,X5,X6)
    | esk295_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4550,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4551,axiom,
    ( ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6)
    | esk188_0 )).

cnf(i_0_4552,axiom,
    ( ~ esk37_0
    | ~ esk148_0 )).

cnf(i_0_4553,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4554,axiom,
    ( ~ esk55_0
    | ~ esk160_0 )).

cnf(i_0_4555,axiom,
    ( esk188_0
    | ~ esk706_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk705_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4556,axiom,
    ( esk210_6(X1,X2,X3,X4,X5,X6)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4557,axiom,
    ( esk182_0
    | esk141_0
    | esk140_0
    | esk143_0
    | ~ esk27_0
    | esk139_0
    | esk142_0
    | esk138_0
    | esk137_0 )).

cnf(i_0_4558,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk813_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4559,axiom,
    ( ~ esk44_0
    | ~ esk156_0 )).

cnf(i_0_4560,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk694_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4561,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4562,axiom,
    ( ~ esk142_0
    | ~ esk33_0 )).

cnf(i_0_4563,axiom,
    ( ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4564,axiom,
    ( ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4565,axiom,
    ( ~ p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4566,axiom,
    ( ~ esk341_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4567,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4568,axiom,
    ( ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4569,axiom,
    ( esk37_0
    | ~ esk126_0 )).

cnf(i_0_4570,axiom,
    ( ~ esk74_0
    | esk34_0 )).

cnf(i_0_4571,axiom,
    ( ~ esk37_0
    | ~ esk108_0 )).

cnf(i_0_4572,axiom,
    ( ~ esk714_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk713_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4573,axiom,
    ( esk368_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4574,axiom,
    ( ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4575,axiom,
    ( ~ esk166_0
    | ~ esk73_0 )).

cnf(i_0_4576,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk275_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4577,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | ~ esk757_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4578,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4579,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk366_6(X1,X2,X3,X4,X5,X6)
    | ~ esk251_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4580,axiom,
    ( ~ esk214_6(X1,X2,X3,X4,X5,X6)
    | esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk181_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4581,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4582,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4583,axiom,
    ( ~ esk61_0
    | esk35_0 )).

cnf(i_0_4584,axiom,
    ( ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4585,axiom,
    ( esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk373_6(X1,X2,X3,X4,X5,X6)
    | esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4586,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4587,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4588,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | esk360_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4589,axiom,
    ( ~ esk133_0
    | esk33_0 )).

cnf(i_0_4590,axiom,
    ( ~ esk314_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4591,axiom,
    ( ~ p(X10)
    | ~ esk741_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4592,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4593,axiom,
    ( p(X1)
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4594,axiom,
    ( esk188_0
    | p(X6)
    | esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | p(X2)
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_4595,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk797_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4596,axiom,
    ( esk33_0
    | ~ esk67_0 )).

cnf(i_0_4597,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4598,axiom,
    ( esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4599,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4600,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4601,axiom,
    ( ~ esk698_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk697_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4602,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk798_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk349_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4603,axiom,
    ( p(X1)
    | esk188_0
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4604,axiom,
    ( ~ esk22_0
    | ~ esk128_0 )).

cnf(i_0_4605,axiom,
    ( ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4606,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4607,axiom,
    ( esk363_6(X1,X2,X3,X4,X5,X6)
    | esk842_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4608,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4609,axiom,
    ( ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4610,axiom,
    ( esk665_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk666_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4611,axiom,
    ( ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4612,axiom,
    ( ~ esk44_0
    | ~ esk39_0 )).

cnf(i_0_4613,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_4614,axiom,
    ( ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4615,axiom,
    ( esk345_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk788_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4616,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4617,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4618,axiom,
    ( ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4619,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4620,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4621,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4622,axiom,
    ( ~ esk148_0
    | ~ esk33_0 )).

cnf(i_0_4623,axiom,
    ( ~ esk94_0
    | ~ esk39_0 )).

cnf(i_0_4624,axiom,
    ( ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4625,axiom,
    ( ~ esk37_0
    | ~ esk137_0 )).

cnf(i_0_4626,axiom,
    ( ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk541_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4627,axiom,
    ( ~ esk250_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4628,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_4629,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4630,axiom,
    ( ~ esk107_0
    | esk19_0 )).

cnf(i_0_4631,axiom,
    ( ~ esk215_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4632,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk336_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4633,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_4634,axiom,
    ( esk67_0
    | esk164_0
    | ~ esk9_0
    | esk70_0
    | esk66_0
    | esk64_0
    | esk68_0
    | esk69_0
    | esk65_0 )).

cnf(i_0_4635,axiom,
    ( ~ esk178_0
    | esk211_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4636,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4637,axiom,
    ( ~ esk39_0
    | esk38_0
    | ~ esk35_0
    | esk36_0
    | ~ esk33_0
    | ~ esk34_0
    | esk37_0
    | esk111_0 )).

cnf(i_0_4638,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4639,axiom,
    ( ~ esk156_0
    | ~ esk40_0 )).

cnf(i_0_4640,axiom,
    ( ~ esk39_0
    | esk33_0
    | ~ esk36_0
    | esk38_0
    | ~ esk35_0
    | ~ esk34_0
    | esk37_0
    | esk118_0 )).

cnf(i_0_4641,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4642,axiom,
    ( ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4643,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk241_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4644,axiom,
    ( ~ esk39_0
    | ~ esk75_0 )).

cnf(i_0_4645,axiom,
    ( ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X9) )).

cnf(i_0_4646,axiom,
    ( ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4647,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4648,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4649,axiom,
    ( ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X3) )).

cnf(i_0_4650,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk311_6(X1,X2,X3,X4,X5,X6)
    | esk372_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4651,axiom,
    ( ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4652,axiom,
    ( ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk205_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4653,axiom,
    ( esk19_0
    | ~ esk109_0 )).

cnf(i_0_4654,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4655,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4656,axiom,
    ( ~ esk114_0
    | esk184_0 )).

cnf(i_0_4657,axiom,
    ( ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4658,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4659,axiom,
    ( ~ esk201_6(X1,X2,X3,X4,X5,X6)
    | esk168_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4660,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4661,axiom,
    ( ~ esk51_0
    | ~ esk35_0 )).

cnf(i_0_4662,axiom,
    ( ~ esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4663,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4664,axiom,
    ( ~ esk132_0
    | esk39_0 )).

cnf(i_0_4665,axiom,
    ( esk214_6(X1,X2,X3,X4,X5,X6)
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4666,axiom,
    ( ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4667,axiom,
    ( ~ esk14_0
    | ~ esk93_0 )).

cnf(i_0_4668,axiom,
    ( ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9) )).

cnf(i_0_4669,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4670,axiom,
    ( ~ esk127_0
    | esk23_0 )).

cnf(i_0_4671,axiom,
    ( ~ esk168_0
    | ~ esk90_0 )).

cnf(i_0_4672,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk566_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4673,axiom,
    ( ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4674,axiom,
    ( ~ esk166_0
    | ~ esk77_0 )).

cnf(i_0_4675,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4676,axiom,
    ( ~ esk853_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4677,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4678,axiom,
    ( esk347_6(X1,X2,X3,X4,X5,X6)
    | esk792_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4679,axiom,
    ( ~ esk822_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4680,axiom,
    ( ~ esk33_0
    | ~ esk44_0 )).

cnf(i_0_4681,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4682,axiom,
    ( ~ esk42_0
    | ~ esk33_0 )).

cnf(i_0_4683,axiom,
    ( ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4684,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk438_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4685,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4686,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7) )).

cnf(i_0_4687,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | esk188_0
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4688,axiom,
    ( ~ esk34_0
    | esk36_0
    | ~ esk33_0
    | ~ esk39_0
    | esk37_0
    | esk143_0
    | ~ esk38_0
    | ~ esk35_0 )).

cnf(i_0_4689,axiom,
    ( ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4690,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4691,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk162_0
    | ~ esk195_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4692,axiom,
    ( ~ esk51_0
    | ~ esk38_0 )).

cnf(i_0_4693,axiom,
    ( ~ esk132_0
    | ~ esk34_0 )).

cnf(i_0_4694,axiom,
    ( ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4695,axiom,
    ( ~ esk108_0
    | ~ esk38_0 )).

cnf(i_0_4696,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk805_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk804_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4697,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4698,axiom,
    ( p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4699,axiom,
    ( ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4700,axiom,
    ( esk33_0
    | ~ esk85_0 )).

cnf(i_0_4701,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk203_6(X1,X2,X3,X4,X5,X6)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4702,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk803_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk802_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4703,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk795_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4704,axiom,
    ( esk164_0
    | ~ esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4705,axiom,
    ( ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9) )).

cnf(i_0_4706,axiom,
    ( esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4707,axiom,
    ( ~ esk67_0
    | esk9_0 )).

cnf(i_0_4708,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4709,axiom,
    ( ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4710,axiom,
    ( esk34_0
    | ~ esk146_0 )).

cnf(i_0_4711,axiom,
    ( ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4712,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4713,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4714,axiom,
    ( esk878_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk879_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4715,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4716,axiom,
    ( esk37_0
    | ~ esk96_0 )).

cnf(i_0_4717,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk308_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4718,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4719,axiom,
    ( esk371_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4720,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4721,axiom,
    ( ~ esk80_0
    | esk36_0 )).

cnf(i_0_4722,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4723,axiom,
    ( ~ esk276_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4724,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4725,axiom,
    ( p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4726,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4727,axiom,
    ( esk280_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4728,axiom,
    ( ~ esk33_0
    | ~ esk146_0 )).

cnf(i_0_4729,axiom,
    ( p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4730,axiom,
    ( ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4731,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4732,axiom,
    ( ~ esk124_0
    | esk35_0 )).

cnf(i_0_4733,axiom,
    ( esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4734,axiom,
    ( ~ esk162_0
    | esk195_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4735,axiom,
    ( esk193_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4736,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4737,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk435_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4738,axiom,
    ( p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X1) )).

cnf(i_0_4739,axiom,
    ( esk188_0
    | p(X5)
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4740,axiom,
    ( esk14_0
    | ~ esk169_0 )).

cnf(i_0_4741,axiom,
    ( ~ esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11) )).

cnf(i_0_4742,axiom,
    ( ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4743,axiom,
    ( esk34_0
    | ~ esk102_0 )).

cnf(i_0_4744,axiom,
    ( esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4745,axiom,
    ( ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4746,axiom,
    ( ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4747,axiom,
    ( esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4748,axiom,
    ( ~ esk183_0
    | esk188_0
    | ~ esk707_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4749,axiom,
    ( ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk213_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4750,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk355_6(X1,X2,X3,X4,X5,X6)
    | ~ esk816_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4751,axiom,
    ( esk354_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4752,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk198_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4753,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4754,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk446_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4755,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4756,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk836_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk361_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4757,axiom,
    ( ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4758,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4759,axiom,
    ( ~ esk20_0 )).

cnf(i_0_4760,axiom,
    ( esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4761,axiom,
    ( ~ esk161_0
    | esk6_0 )).

cnf(i_0_4762,axiom,
    ( ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4763,axiom,
    ( ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk214_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4764,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4765,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk258_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4766,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk825_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4767,axiom,
    ( ~ esk276_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4768,axiom,
    ( ~ esk111_0
    | esk39_0 )).

cnf(i_0_4769,axiom,
    ( ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4770,axiom,
    ( esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk375_6(X1,X2,X3,X4,X5,X6)
    | esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4771,axiom,
    ( ~ esk36_0
    | ~ esk62_0 )).

cnf(i_0_4772,axiom,
    ( ~ esk37_0
    | esk39_0
    | esk36_0
    | esk56_0
    | esk33_0
    | esk35_0
    | esk38_0
    | esk34_0 )).

cnf(i_0_4773,axiom,
    ( esk34_0
    | ~ esk54_0 )).

cnf(i_0_4774,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4775,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4776,axiom,
    ( ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4777,axiom,
    ( ~ esk95_0
    | esk34_0 )).

cnf(i_0_4778,axiom,
    ( ~ esk38_0
    | ~ esk45_0 )).

cnf(i_0_4779,axiom,
    ( ~ esk184_0
    | ~ esk150_0 )).

cnf(i_0_4780,axiom,
    ( ~ esk33_0
    | ~ esk110_0 )).

cnf(i_0_4781,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk422_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4782,axiom,
    ( ~ esk35_0
    | ~ esk97_0 )).

cnf(i_0_4783,axiom,
    ( ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4784,axiom,
    ( ~ esk33_0
    | ~ esk74_0 )).

cnf(i_0_4785,axiom,
    ( ~ esk164_0
    | ~ esk70_0 )).

cnf(i_0_4786,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4787,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_4788,axiom,
    ( ~ esk78_0
    | esk174_0 )).

cnf(i_0_4789,axiom,
    ( ~ esk248_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4790,axiom,
    ( esk34_0
    | ~ esk46_0 )).

cnf(i_0_4791,axiom,
    ( esk38_0
    | ~ esk95_0 )).

cnf(i_0_4792,axiom,
    ( ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4793,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4794,axiom,
    ( ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4795,axiom,
    ( ~ p(X6)
    | ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4796,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4797,axiom,
    ( ~ esk62_0
    | esk170_0 )).

cnf(i_0_4798,axiom,
    ( ~ esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_4799,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4800,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk670_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4801,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4802,axiom,
    ( ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4803,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4804,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4805,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4806,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4807,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4808,axiom,
    ( ~ esk279_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4809,axiom,
    ( esk178_0
    | ~ esk121_0 )).

cnf(i_0_4810,axiom,
    ( ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4811,axiom,
    ( ~ esk34_0
    | ~ esk144_0 )).

cnf(i_0_4812,axiom,
    ( ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4813,axiom,
    ( ~ esk4_0
    | ~ esk3_0 )).

cnf(i_0_4814,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4815,axiom,
    ( ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4816,axiom,
    ( ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4817,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4818,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4819,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4820,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4821,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk870_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk765_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk871_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4822,axiom,
    ( ~ esk507_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4823,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk354_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4824,axiom,
    ( ~ esk349_6(X1,X2,X3,X4,X5,X6)
    | esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4825,axiom,
    ( ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4826,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4827,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4828,axiom,
    ( ~ esk878_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk375_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4829,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4830,axiom,
    ( esk831_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk830_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4831,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4832,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk368_6(X1,X2,X3,X4,X5,X6)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4833,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4834,axiom,
    ( esk592_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk684_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4835,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4836,axiom,
    ( esk168_0
    | ~ esk126_0 )).

cnf(i_0_4837,axiom,
    ( ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4838,axiom,
    ( esk188_0
    | ~ esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_4839,axiom,
    ( esk39_0
    | ~ esk113_0 )).

cnf(i_0_4840,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6)
    | ~ esk216_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4841,axiom,
    ( ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4842,axiom,
    ( ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4843,axiom,
    ( ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4844,axiom,
    ( esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4845,axiom,
    ( ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4846,axiom,
    ( ~ esk38_0
    | esk36_0
    | ~ esk33_0
    | esk141_0
    | ~ esk35_0
    | esk34_0
    | ~ esk39_0
    | esk37_0 )).

cnf(i_0_4847,axiom,
    ( ~ esk83_0
    | ~ esk168_0 )).

cnf(i_0_4848,axiom,
    ( esk188_0
    | esk655_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk656_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4849,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4850,axiom,
    ( ~ esk95_0
    | ~ esk36_0 )).

cnf(i_0_4851,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk367_6(X1,X2,X3,X4,X5,X6)
    | ~ esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4852,axiom,
    ( ~ esk142_0
    | ~ esk36_0 )).

cnf(i_0_4853,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk600_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4854,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4855,axiom,
    ( ~ esk141_0
    | esk27_0 )).

cnf(i_0_4856,axiom,
    ( esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4857,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4858,axiom,
    ( ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4859,axiom,
    ( esk36_0
    | ~ esk130_0 )).

cnf(i_0_4860,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk863_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4861,axiom,
    ( ~ esk37_0
    | ~ esk75_0 )).

cnf(i_0_4862,axiom,
    ( esk39_0
    | ~ esk128_0 )).

cnf(i_0_4863,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4864,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4865,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4866,axiom,
    ( ~ esk36_0
    | esk129_0
    | esk38_0
    | ~ esk37_0
    | esk34_0
    | ~ esk39_0
    | ~ esk33_0
    | esk35_0 )).

cnf(i_0_4867,axiom,
    ( ~ esk45_0
    | ~ esk37_0 )).

cnf(i_0_4868,axiom,
    ( ~ esk721_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk187_0 )).

cnf(i_0_4869,axiom,
    ( esk188_0
    | ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1) )).

cnf(i_0_4870,axiom,
    ( ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk839_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk838_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4871,axiom,
    ( ~ esk36_0
    | ~ esk105_0 )).

cnf(i_0_4872,axiom,
    ( ~ esk642_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4873,axiom,
    ( ~ esk104_0
    | ~ esk172_0 )).

cnf(i_0_4874,axiom,
    ( esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4875,axiom,
    ( esk199_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk267_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4876,axiom,
    ( ~ esk102_0
    | ~ esk33_0 )).

cnf(i_0_4877,axiom,
    ( esk38_0
    | ~ esk36_0
    | esk37_0
    | esk114_0
    | esk35_0
    | ~ esk39_0
    | esk33_0
    | ~ esk34_0 )).

cnf(i_0_4878,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4879,axiom,
    ( ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4880,axiom,
    ( ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4881,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk799_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk798_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4882,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4883,axiom,
    ( ~ esk39_0
    | ~ esk38_0
    | ~ esk36_0
    | ~ esk34_0
    | ~ esk35_0
    | ~ esk33_0
    | esk37_0
    | esk151_0 )).

cnf(i_0_4884,axiom,
    ( esk188_0
    | ~ esk680_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk590_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4885,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4886,axiom,
    ( ~ esk142_0
    | esk34_0 )).

cnf(i_0_4887,axiom,
    ( ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X12) )).

cnf(i_0_4888,axiom,
    ( esk656_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk720_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk664_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk704_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk638_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk684_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk714_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk696_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk640_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk648_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk716_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk680_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk636_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk644_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk632_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk642_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk654_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk628_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk634_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk708_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk662_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk690_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk652_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk702_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk668_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk672_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk694_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk674_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk676_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk692_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk678_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk666_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk686_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk700_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk650_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk646_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk660_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk630_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk698_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk624_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk718_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk670_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk722_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk622_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk688_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk625_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk658_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk706_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk710_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk712_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk682_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4889,axiom,
    ( ~ esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4890,axiom,
    ( ~ esk665_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk169_0 )).

cnf(i_0_4891,axiom,
    ( esk633_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk159_0 )).

cnf(i_0_4892,axiom,
    ( ~ esk63_0
    | esk33_0 )).

cnf(i_0_4893,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4894,axiom,
    ( ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4895,axiom,
    ( ~ esk164_0
    | esk42_0
    | esk84_0
    | esk9_0
    | esk74_0
    | esk132_0
    | esk48_0
    | esk99_0
    | esk106_0 )).

cnf(i_0_4896,axiom,
    ( ~ p(X12)
    | ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4897,axiom,
    ( esk93_0
    | ~ esk15_0
    | esk95_0
    | esk91_0
    | esk92_0
    | esk96_0
    | esk94_0
    | esk170_0
    | esk97_0 )).

cnf(i_0_4898,axiom,
    ( ~ esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8) )).

cnf(i_0_4899,axiom,
    ( ~ esk682_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4900,axiom,
    ( ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4901,axiom,
    ( ~ esk33_0
    | ~ esk40_0 )).

cnf(i_0_4902,axiom,
    ( ~ esk380_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4903,axiom,
    ( ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | esk188_0 )).

cnf(i_0_4904,axiom,
    ( ~ esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4905,axiom,
    ( esk209_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4906,axiom,
    ( esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4907,axiom,
    ( ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4908,axiom,
    ( esk35_0
    | esk42_0
    | esk39_0
    | esk37_0
    | ~ esk34_0
    | esk38_0
    | esk33_0
    | esk36_0 )).

cnf(i_0_4909,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4910,axiom,
    ( esk191_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4911,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4912,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk284_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4913,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4914,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk452_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4915,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4916,axiom,
    ( ~ esk37_0
    | ~ esk109_0 )).

cnf(i_0_4917,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4918,axiom,
    ( esk39_0
    | ~ esk152_0 )).

cnf(i_0_4919,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4920,axiom,
    ( ~ esk61_0
    | ~ esk162_0 )).

cnf(i_0_4921,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4922,axiom,
    ( ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk204_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4923,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk289_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4924,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk350_6(X1,X2,X3,X4,X5,X6)
    | esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4925,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6)
    | esk213_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4926,axiom,
    ( esk11_0
    | ~ esk79_0 )).

cnf(i_0_4927,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4928,axiom,
    ( ~ esk162_0
    | ~ esk63_0 )).

cnf(i_0_4929,axiom,
    ( ~ esk73_0
    | ~ esk35_0 )).

cnf(i_0_4930,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10) )).

cnf(i_0_4931,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4932,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk279_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4933,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4934,axiom,
    ( ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4935,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4936,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4937,axiom,
    ( ~ esk130_0
    | ~ esk178_0 )).

cnf(i_0_4938,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4939,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4940,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk191_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4941,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4942,axiom,
    ( esk189_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4943,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk262_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4944,axiom,
    ( p(X6)
    | esk188_0
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4945,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4946,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4947,axiom,
    ( esk250_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4948,axiom,
    ( p(X2)
    | esk188_0
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4949,axiom,
    ( esk370_6(X1,X2,X3,X4,X5,X6)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4950,axiom,
    ( ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4951,axiom,
    ( ~ esk788_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk345_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4952,axiom,
    ( esk188_0
    | ~ p(X4)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4953,axiom,
    ( ~ esk34_0
    | ~ esk68_0 )).

cnf(i_0_4954,axiom,
    ( esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk666_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4955,axiom,
    ( ~ esk30_0
    | ~ esk154_0 )).

cnf(i_0_4956,axiom,
    ( ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4957,axiom,
    ( esk36_0
    | esk37_0
    | esk33_0
    | esk38_0
    | esk34_0
    | ~ esk35_0
    | esk108_0
    | ~ esk39_0 )).

cnf(i_0_4958,axiom,
    ( esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4959,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4960,axiom,
    ( ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4961,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4962,axiom,
    ( ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4963,axiom,
    ( esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk634_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4964,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4965,axiom,
    ( ~ esk623_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4)
    | esk188_0 )).

cnf(i_0_4966,axiom,
    ( ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4967,axiom,
    ( esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk159_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4968,axiom,
    ( ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4969,axiom,
    ( ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4970,axiom,
    ( ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4971,axiom,
    ( ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4972,axiom,
    ( ~ esk68_0
    | ~ esk38_0 )).

cnf(i_0_4973,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4974,axiom,
    ( ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4975,axiom,
    ( p(X3)
    | ~ esk626_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_4976,axiom,
    ( esk39_0
    | esk74_0
    | esk37_0
    | ~ esk34_0
    | esk36_0
    | esk35_0
    | ~ esk38_0
    | esk33_0 )).

cnf(i_0_4977,axiom,
    ( ~ esk34_0
    | ~ esk56_0 )).

cnf(i_0_4978,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4979,axiom,
    ( ~ esk34_0
    | ~ esk64_0 )).

cnf(i_0_4980,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4981,axiom,
    ( esk45_0
    | esk36_0
    | ~ esk33_0
    | esk38_0
    | esk37_0
    | esk34_0
    | esk39_0
    | ~ esk35_0 )).

cnf(i_0_4982,axiom,
    ( ~ esk36_0
    | esk33_0
    | ~ esk39_0
    | esk38_0
    | esk35_0
    | esk37_0
    | esk34_0
    | esk112_0 )).

cnf(i_0_4983,axiom,
    ( esk33_0
    | ~ esk131_0 )).

cnf(i_0_4984,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4985,axiom,
    ( ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6)
    | esk188_0 )).

cnf(i_0_4986,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk722_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4987,axiom,
    ( ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4988,axiom,
    ( ~ esk243_6(X1,X2,X3,X4,X5,X6)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4989,axiom,
    ( ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4990,axiom,
    ( ~ esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4991,axiom,
    ( esk35_0
    | ~ esk78_0 )).

cnf(i_0_4992,axiom,
    ( esk166_0
    | ~ esk85_0 )).

cnf(i_0_4993,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4994,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4995,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk503_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4996,axiom,
    ( p(X11)
    | p(X7)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10) )).

cnf(i_0_4997,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6)
    | esk360_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_4998,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_4999,axiom,
    ( esk37_0
    | ~ esk98_0 )).

cnf(i_0_5000,axiom,
    ( ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2)
    | esk188_0 )).

cnf(i_0_5001,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5002,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5003,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5004,axiom,
    ( esk33_0
    | ~ esk75_0 )).

cnf(i_0_5005,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5006,axiom,
    ( ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5007,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5008,axiom,
    ( ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5009,axiom,
    ( esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk650_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5010,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5011,axiom,
    ( ~ esk198_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5012,axiom,
    ( esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5013,axiom,
    ( esk846_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk363_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5014,axiom,
    ( esk188_0
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1) )).

cnf(i_0_5015,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5016,axiom,
    ( esk34_0
    | esk109_0
    | ~ esk33_0
    | esk37_0
    | ~ esk39_0
    | ~ esk35_0
    | esk38_0
    | esk36_0 )).

cnf(i_0_5017,axiom,
    ( ~ esk392_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5018,axiom,
    ( ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5019,axiom,
    ( ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5020,axiom,
    ( ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5021,axiom,
    ( ~ esk34_0
    | ~ esk136_0 )).

cnf(i_0_5022,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5023,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk480_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5024,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5025,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk307_6(X1,X2,X3,X4,X5,X6)
    | esk360_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5026,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5027,axiom,
    ( ~ esk112_0
    | ~ esk35_0 )).

cnf(i_0_5028,axiom,
    ( esk163_0
    | esk188_0
    | esk643_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5029,axiom,
    ( esk188_0
    | ~ esk681_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk682_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5030,axiom,
    ( ~ esk88_0
    | ~ esk36_0 )).

cnf(i_0_5031,axiom,
    ( ~ esk457_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5032,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk194_6(X1,X2,X3,X4,X5,X6)
    | ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5033,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5034,axiom,
    ( ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5035,axiom,
    ( ~ esk58_0
    | ~ esk39_0 )).

cnf(i_0_5036,axiom,
    ( esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5037,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5038,axiom,
    ( ~ esk18_0
    | ~ esk132_0 )).

cnf(i_0_5039,axiom,
    ( esk186_0
    | ~ esk150_0 )).

cnf(i_0_5040,axiom,
    ( ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5041,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5042,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk356_6(X1,X2,X3,X4,X5,X6)
    | ~ esk332_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5043,axiom,
    ( ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5044,axiom,
    ( ~ esk41_0
    | ~ esk37_0 )).

cnf(i_0_5045,axiom,
    ( esk353_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk806_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5046,axiom,
    ( esk188_0
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_5047,axiom,
    ( ~ esk20_0
    | ~ esk19_0 )).

cnf(i_0_5048,axiom,
    ( ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7) )).

cnf(i_0_5049,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5050,axiom,
    ( ~ esk303_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5051,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5052,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5053,axiom,
    ( ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X6) )).

cnf(i_0_5054,axiom,
    ( esk857_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk856_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5055,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5056,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5057,axiom,
    ( ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5058,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5059,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5060,axiom,
    ( p(X8)
    | ~ p(X11)
    | ~ p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | p(X9)
    | ~ p(X12)
    | esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5061,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk342_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5062,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5063,axiom,
    ( ~ esk120_0
    | esk21_0 )).

cnf(i_0_5064,axiom,
    ( ~ esk101_0
    | esk174_0 )).

cnf(i_0_5065,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5066,axiom,
    ( ~ esk385_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5067,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk319_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5068,axiom,
    ( ~ esk90_0
    | ~ esk35_0 )).

cnf(i_0_5069,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5070,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk270_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5071,axiom,
    ( ~ p(X12)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5072,axiom,
    ( esk39_0
    | ~ esk144_0 )).

cnf(i_0_5073,axiom,
    ( ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk393_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5074,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk692_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5075,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5076,axiom,
    ( esk33_0
    | ~ esk49_0 )).

cnf(i_0_5077,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5078,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk354_6(X1,X2,X3,X4,X5,X6)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5079,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5080,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk852_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk365_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5081,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk872_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk873_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5082,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5083,axiom,
    ( ~ esk88_0
    | esk37_0 )).

cnf(i_0_5084,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5085,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5086,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk736_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5087,axiom,
    ( esk35_0
    | ~ esk133_0 )).

cnf(i_0_5088,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk293_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5089,axiom,
    ( ~ esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5090,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk331_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5091,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5092,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5093,axiom,
    ( esk228_6(X1,X2,X3,X4,X5,X6)
    | esk231_6(X1,X2,X3,X4,X5,X6)
    | ~ esk189_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk344_6(X1,X2,X3,X4,X5,X6)
    | esk229_6(X1,X2,X3,X4,X5,X6)
    | esk232_6(X1,X2,X3,X4,X5,X6)
    | esk230_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5094,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk648_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5095,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk366_6(X1,X2,X3,X4,X5,X6)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5096,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5097,axiom,
    ( esk38_0
    | ~ esk78_0 )).

cnf(i_0_5098,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5099,axiom,
    ( esk36_0
    | ~ esk114_0 )).

cnf(i_0_5100,axiom,
    ( ~ esk148_0
    | esk29_0 )).

cnf(i_0_5101,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5102,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk260_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5103,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk288_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5104,axiom,
    ( ~ esk139_0
    | ~ esk35_0 )).

cnf(i_0_5105,axiom,
    ( ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5106,axiom,
    ( ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5107,axiom,
    ( ~ esk34_0
    | ~ esk60_0 )).

cnf(i_0_5108,axiom,
    ( ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X5)
    | esk188_0 )).

cnf(i_0_5109,axiom,
    ( esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5110,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5111,axiom,
    ( ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5112,axiom,
    ( ~ esk325_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5113,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5114,axiom,
    ( ~ esk35_0
    | ~ esk38_0
    | ~ esk33_0
    | esk39_0
    | ~ esk36_0
    | esk37_0
    | esk34_0
    | esk85_0 )).

cnf(i_0_5115,axiom,
    ( p(X4)
    | esk188_0
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5116,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk874_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk373_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5117,axiom,
    ( esk36_0
    | ~ esk131_0 )).

cnf(i_0_5118,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5119,axiom,
    ( esk35_0
    | ~ esk94_0 )).

cnf(i_0_5120,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5121,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5122,axiom,
    ( ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk243_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5123,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5124,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk261_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5125,axiom,
    ( esk255_6(X1,X2,X3,X4,X5,X6)
    | esk252_6(X1,X2,X3,X4,X5,X6)
    | esk253_6(X1,X2,X3,X4,X5,X6)
    | esk254_6(X1,X2,X3,X4,X5,X6)
    | esk256_6(X1,X2,X3,X4,X5,X6)
    | ~ esk197_6(X1,X2,X3,X4,X5,X6)
    | esk258_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk257_6(X1,X2,X3,X4,X5,X6)
    | esk352_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5126,axiom,
    ( ~ esk37_0
    | ~ esk80_0 )).

cnf(i_0_5127,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5128,axiom,
    ( ~ esk46_0
    | ~ esk158_0 )).

cnf(i_0_5129,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5130,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk367_6(X1,X2,X3,X4,X5,X6)
    | esk212_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5131,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk845_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk844_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5132,axiom,
    ( ~ esk106_0
    | esk164_0 )).

cnf(i_0_5133,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk506_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5134,axiom,
    ( ~ esk135_0
    | esk182_0 )).

cnf(i_0_5135,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5136,axiom,
    ( ~ esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5137,axiom,
    ( esk189_6(X1,X2,X3,X4,X5,X6)
    | ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5138,axiom,
    ( ~ esk722_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk721_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5139,axiom,
    ( ~ esk39_0
    | ~ esk96_0 )).

cnf(i_0_5140,axiom,
    ( ~ esk347_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk794_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5141,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5142,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5143,axiom,
    ( ~ esk34_0
    | ~ esk35_0
    | esk126_0
    | esk38_0
    | ~ esk39_0
    | ~ esk37_0
    | esk33_0
    | esk36_0 )).

cnf(i_0_5144,axiom,
    ( ~ esk37_0
    | esk34_0
    | ~ esk33_0
    | esk125_0
    | ~ esk35_0
    | ~ esk39_0
    | esk36_0
    | esk38_0 )).

cnf(i_0_5145,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5146,axiom,
    ( ~ esk140_0
    | ~ esk33_0 )).

cnf(i_0_5147,axiom,
    ( esk663_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk169_0 )).

cnf(i_0_5148,axiom,
    ( esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk185_0 )).

cnf(i_0_5149,axiom,
    ( esk33_0
    | ~ esk111_0 )).

cnf(i_0_5150,axiom,
    ( esk38_0
    | ~ esk93_0 )).

cnf(i_0_5151,axiom,
    ( esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5152,axiom,
    ( esk35_0
    | ~ esk39_0
    | esk38_0
    | ~ esk36_0
    | esk131_0
    | ~ esk34_0
    | ~ esk37_0
    | ~ esk33_0 )).

cnf(i_0_5153,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_5154,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk384_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk351_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5155,axiom,
    ( ~ esk494_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5156,axiom,
    ( ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk199_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5157,axiom,
    ( ~ esk44_0
    | ~ esk38_0 )).

cnf(i_0_5158,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5159,axiom,
    ( ~ esk66_0
    | ~ esk39_0 )).

cnf(i_0_5160,axiom,
    ( ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5161,axiom,
    ( ~ p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5162,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5163,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5164,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk843_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5165,axiom,
    ( esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk770_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5166,axiom,
    ( p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_5167,axiom,
    ( ~ esk137_0
    | esk166_0 )).

cnf(i_0_5168,axiom,
    ( ~ esk325_6(X1,X2,X3,X4,X5,X6)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5169,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk533_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5170,axiom,
    ( ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk534_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5171,axiom,
    ( ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5172,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5173,axiom,
    ( ~ esk44_0
    | esk35_0 )).

cnf(i_0_5174,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk325_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5175,axiom,
    ( ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5176,axiom,
    ( esk371_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk868_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5177,axiom,
    ( esk188_0
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4) )).

cnf(i_0_5178,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk255_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5179,axiom,
    ( ~ esk150_0
    | ~ esk33_0 )).

cnf(i_0_5180,axiom,
    ( ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5181,axiom,
    ( ~ esk5_0
    | ~ esk6_0 )).

cnf(i_0_5182,axiom,
    ( ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5183,axiom,
    ( ~ esk299_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5184,axiom,
    ( ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5185,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5186,axiom,
    ( ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5187,axiom,
    ( ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_5188,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5189,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | p(X11)
    | p(X7)
    | esk727_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | p(X8)
    | p(X10) )).

cnf(i_0_5190,axiom,
    ( esk697_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk179_0 )).

cnf(i_0_5191,axiom,
    ( ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5192,axiom,
    ( ~ esk132_0
    | esk35_0 )).

cnf(i_0_5193,axiom,
    ( ~ esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5194,axiom,
    ( ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5195,axiom,
    ( ~ esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5196,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5197,axiom,
    ( ~ esk444_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5198,axiom,
    ( ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5199,axiom,
    ( esk35_0
    | ~ esk36_0
    | esk38_0
    | ~ esk37_0
    | esk34_0
    | ~ esk33_0
    | esk39_0
    | esk65_0 )).

cnf(i_0_5200,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk250_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5201,axiom,
    ( ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5202,axiom,
    ( ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5203,axiom,
    ( ~ esk815_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5204,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk402_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5205,axiom,
    ( ~ esk324_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5206,axiom,
    ( esk188_0
    | esk661_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk169_0 )).

cnf(i_0_5207,axiom,
    ( ~ esk294_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5208,axiom,
    ( ~ esk37_0
    | ~ esk151_0 )).

cnf(i_0_5209,axiom,
    ( ~ esk640_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk639_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5210,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5211,axiom,
    ( esk39_0
    | ~ esk141_0 )).

cnf(i_0_5212,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5213,axiom,
    ( esk39_0
    | ~ esk148_0 )).

cnf(i_0_5214,axiom,
    ( ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5215,axiom,
    ( esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5216,axiom,
    ( ~ esk658_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5217,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk737_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X12) )).

cnf(i_0_5218,axiom,
    ( ~ esk694_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5219,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk276_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5220,axiom,
    ( esk144_0
    | esk37_0
    | esk34_0
    | ~ esk38_0
    | esk35_0
    | ~ esk39_0
    | ~ esk36_0
    | esk33_0 )).

cnf(i_0_5221,axiom,
    ( ~ esk65_0
    | esk9_0 )).

cnf(i_0_5222,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5223,axiom,
    ( ~ esk35_0
    | esk36_0
    | ~ esk38_0
    | esk39_0
    | ~ esk34_0
    | ~ esk33_0
    | esk79_0
    | esk37_0 )).

cnf(i_0_5224,axiom,
    ( esk23_0
    | ~ esk129_0 )).

cnf(i_0_5225,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5226,axiom,
    ( ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X2)
    | esk188_0 )).

cnf(i_0_5227,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk313_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5228,axiom,
    ( ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5229,axiom,
    ( ~ esk364_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk303_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5230,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk322_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5231,axiom,
    ( ~ esk145_0
    | esk174_0 )).

cnf(i_0_5232,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk508_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5233,axiom,
    ( ~ esk704_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5234,axiom,
    ( ~ esk8_0
    | esk163_0 )).

cnf(i_0_5235,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk263_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5236,axiom,
    ( esk188_0
    | esk631_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk159_0 )).

cnf(i_0_5237,axiom,
    ( ~ p(X2)
    | ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5238,axiom,
    ( esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5239,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | ~ esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5240,axiom,
    ( esk188_0
    | ~ esk648_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5241,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk240_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5242,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5243,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk858_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk367_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5244,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5245,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5246,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk530_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5247,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | esk188_0
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5248,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5249,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5250,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5251,axiom,
    ( ~ esk5_0 )).

cnf(i_0_5252,axiom,
    ( esk119_0
    | ~ esk35_0
    | ~ esk33_0
    | ~ esk39_0
    | esk38_0
    | ~ esk34_0
    | ~ esk36_0
    | esk37_0 )).

cnf(i_0_5253,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5254,axiom,
    ( ~ esk67_0
    | ~ esk164_0 )).

cnf(i_0_5255,axiom,
    ( ~ p(X12)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10) )).

cnf(i_0_5256,axiom,
    ( ~ esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5257,axiom,
    ( ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5258,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5259,axiom,
    ( ~ esk30_0 )).

cnf(i_0_5260,axiom,
    ( ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5261,axiom,
    ( ~ esk258_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5262,axiom,
    ( esk188_0
    | ~ esk650_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk649_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5263,axiom,
    ( ~ esk72_0
    | ~ esk39_0 )).

cnf(i_0_5264,axiom,
    ( ~ esk65_0
    | ~ esk39_0 )).

cnf(i_0_5265,axiom,
    ( esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5266,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7) )).

cnf(i_0_5267,axiom,
    ( esk841_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk840_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk750_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5268,axiom,
    ( ~ esk42_0
    | ~ esk35_0 )).

cnf(i_0_5269,axiom,
    ( ~ esk405_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk524_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5270,axiom,
    ( ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5271,axiom,
    ( ~ esk34_0
    | ~ esk53_0 )).

cnf(i_0_5272,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5273,axiom,
    ( esk3_0
    | ~ esk48_0 )).

cnf(i_0_5274,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk334_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5275,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5276,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5277,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5278,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5279,axiom,
    ( ~ esk714_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5280,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk318_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5281,axiom,
    ( ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5282,axiom,
    ( esk37_0
    | esk73_0
    | ~ esk33_0
    | esk39_0
    | esk35_0
    | esk36_0
    | ~ esk38_0
    | esk34_0 )).

cnf(i_0_5283,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5284,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5285,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5286,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5287,axiom,
    ( ~ esk37_0
    | ~ esk141_0 )).

cnf(i_0_5288,axiom,
    ( esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5289,axiom,
    ( ~ esk56_0
    | esk5_0 )).

cnf(i_0_5290,axiom,
    ( ~ esk450_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5291,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5292,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5293,axiom,
    ( ~ esk155_0
    | esk37_0 )).

cnf(i_0_5294,axiom,
    ( ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5295,axiom,
    ( ~ esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5296,axiom,
    ( p(X2)
    | esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_5297,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk296_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5298,axiom,
    ( esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5299,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk527_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5300,axiom,
    ( ~ esk39_0
    | ~ esk51_0 )).

cnf(i_0_5301,axiom,
    ( ~ esk125_0
    | ~ esk36_0 )).

cnf(i_0_5302,axiom,
    ( ~ esk206_6(X1,X2,X3,X4,X5,X6)
    | esk361_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5303,axiom,
    ( ~ esk127_0
    | esk33_0 )).

cnf(i_0_5304,axiom,
    ( ~ esk126_0
    | ~ esk36_0 )).

cnf(i_0_5305,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5306,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk441_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5307,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk281_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5308,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5309,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5310,axiom,
    ( ~ esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9) )).

cnf(i_0_5311,axiom,
    ( ~ esk38_0
    | ~ esk69_0 )).

cnf(i_0_5312,axiom,
    ( esk188_0
    | ~ esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_5313,axiom,
    ( ~ esk473_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk546_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5314,axiom,
    ( ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5315,axiom,
    ( ~ esk4_0
    | ~ esk52_0 )).

cnf(i_0_5316,axiom,
    ( esk39_0
    | ~ esk133_0 )).

cnf(i_0_5317,axiom,
    ( esk188_0
    | ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_5318,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5319,axiom,
    ( esk188_0
    | ~ esk175_0
    | ~ esk687_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5320,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk268_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5321,axiom,
    ( esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5322,axiom,
    ( esk188_0
    | p(X6)
    | ~ esk617_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5323,axiom,
    ( ~ esk309_6(X1,X2,X3,X4,X5,X6)
    | esk366_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5324,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5325,axiom,
    ( ~ esk23_0
    | ~ esk24_0 )).

cnf(i_0_5326,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5327,axiom,
    ( ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5328,axiom,
    ( ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5329,axiom,
    ( ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X1) )).

cnf(i_0_5330,axiom,
    ( ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5331,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5332,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12) )).

cnf(i_0_5333,axiom,
    ( ~ esk195_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk196_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5334,axiom,
    ( ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk292_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5335,axiom,
    ( esk34_0
    | ~ esk135_0 )).

cnf(i_0_5336,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5337,axiom,
    ( ~ esk36_0
    | esk39_0
    | ~ esk38_0
    | esk103_0
    | ~ esk37_0
    | ~ esk33_0
    | ~ esk34_0
    | ~ esk35_0 )).

cnf(i_0_5338,axiom,
    ( ~ esk88_0
    | ~ esk168_0 )).

cnf(i_0_5339,axiom,
    ( ~ esk78_0
    | ~ esk166_0 )).

cnf(i_0_5340,axiom,
    ( ~ esk38_0
    | esk33_0
    | ~ esk35_0
    | esk84_0
    | esk34_0
    | ~ esk36_0
    | esk37_0
    | esk39_0 )).

cnf(i_0_5341,axiom,
    ( esk170_0
    | ~ esk151_0 )).

cnf(i_0_5342,axiom,
    ( ~ esk264_6(X1,X2,X3,X4,X5,X6)
    | ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5343,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk857_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5344,axiom,
    ( ~ esk34_0
    | ~ esk128_0 )).

cnf(i_0_5345,axiom,
    ( ~ esk686_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk685_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5346,axiom,
    ( esk33_0
    | ~ esk141_0 )).

cnf(i_0_5347,axiom,
    ( ~ esk53_0
    | esk33_0 )).

cnf(i_0_5348,axiom,
    ( esk35_0
    | ~ esk127_0 )).

cnf(i_0_5349,axiom,
    ( esk156_0
    | ~ esk188_0 )).

cnf(i_0_5350,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5351,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk350_6(X1,X2,X3,X4,X5,X6)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5352,axiom,
    ( ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5353,axiom,
    ( ~ esk162_0
    | ~ esk60_0 )).

cnf(i_0_5354,axiom,
    ( ~ esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5355,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk278_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5356,axiom,
    ( ~ esk406_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5357,axiom,
    ( ~ p(X5)
    | esk188_0
    | ~ esk602_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5358,axiom,
    ( esk188_0
    | ~ esk673_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk171_0 )).

cnf(i_0_5359,axiom,
    ( esk39_0
    | ~ esk120_0 )).

cnf(i_0_5360,axiom,
    ( esk38_0
    | ~ esk91_0 )).

cnf(i_0_5361,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk306_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5362,axiom,
    ( ~ esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5363,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5364,axiom,
    ( esk188_0
    | ~ esk603_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1) )).

cnf(i_0_5365,axiom,
    ( ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5366,axiom,
    ( ~ esk67_0
    | ~ esk39_0 )).

cnf(i_0_5367,axiom,
    ( ~ esk293_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5368,axiom,
    ( ~ esk742_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X7) )).

cnf(i_0_5369,axiom,
    ( esk386_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk353_6(X1,X2,X3,X4,X5,X6)
    | esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5370,axiom,
    ( ~ esk34_0
    | esk39_0
    | ~ esk37_0
    | esk102_0
    | ~ esk38_0
    | ~ esk36_0
    | ~ esk35_0
    | esk33_0 )).

cnf(i_0_5371,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5372,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk236_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5373,axiom,
    ( esk451_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk520_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk544_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5374,axiom,
    ( esk559_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5375,axiom,
    ( esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5376,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5377,axiom,
    ( ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5378,axiom,
    ( ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5379,axiom,
    ( ~ esk745_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5380,axiom,
    ( ~ esk33_0
    | ~ esk120_0 )).

cnf(i_0_5381,axiom,
    ( ~ esk80_0
    | ~ esk166_0 )).

cnf(i_0_5382,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5383,axiom,
    ( ~ esk77_0
    | esk38_0 )).

cnf(i_0_5384,axiom,
    ( ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk205_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5385,axiom,
    ( ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5386,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5387,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk751_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk843_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5388,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6)
    | ~ esk356_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5389,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5390,axiom,
    ( ~ esk305_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5391,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5392,axiom,
    ( ~ esk218_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk217_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5393,axiom,
    ( esk318_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | esk324_6(X1,X2,X3,X4,X5,X6)
    | ~ esk372_6(X1,X2,X3,X4,X5,X6)
    | esk302_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk330_6(X1,X2,X3,X4,X5,X6)
    | esk311_6(X1,X2,X3,X4,X5,X6)
    | esk278_6(X1,X2,X3,X4,X5,X6)
    | esk343_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5394,axiom,
    ( ~ esk72_0
    | esk158_0 )).

cnf(i_0_5395,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5396,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5397,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk345_6(X1,X2,X3,X4,X5,X6)
    | esk786_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5398,axiom,
    ( ~ esk62_0
    | esk37_0 )).

cnf(i_0_5399,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk428_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5400,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk467_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5401,axiom,
    ( esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5402,axiom,
    ( ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5403,axiom,
    ( esk188_0
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_5404,axiom,
    ( esk350_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk242_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5405,axiom,
    ( ~ esk865_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5406,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5407,axiom,
    ( ~ esk4_0
    | ~ esk41_0 )).

cnf(i_0_5408,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5409,axiom,
    ( p(X2)
    | esk188_0
    | ~ p(X6)
    | esk608_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X5) )).

cnf(i_0_5410,axiom,
    ( ~ esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk874_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk875_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5411,axiom,
    ( esk379_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5412,axiom,
    ( ~ esk121_0
    | ~ esk35_0 )).

cnf(i_0_5413,axiom,
    ( ~ p(X2)
    | ~ esk572_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5414,axiom,
    ( ~ esk114_0
    | esk19_0 )).

cnf(i_0_5415,axiom,
    ( ~ esk262_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5416,axiom,
    ( esk34_0
    | ~ esk35_0
    | esk36_0
    | esk37_0
    | esk33_0
    | esk38_0
    | esk39_0
    | esk44_0 )).

cnf(i_0_5417,axiom,
    ( ~ esk163_0
    | esk8_0 )).

cnf(i_0_5418,axiom,
    ( ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5419,axiom,
    ( esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5420,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5421,axiom,
    ( esk188_0
    | ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1) )).

cnf(i_0_5422,axiom,
    ( esk543_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5423,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5424,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5425,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5426,axiom,
    ( ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5427,axiom,
    ( ~ esk24_0
    | ~ esk97_0 )).

cnf(i_0_5428,axiom,
    ( p(X6)
    | p(X5)
    | p(X3)
    | esk573_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk188_0 )).

cnf(i_0_5429,axiom,
    ( ~ esk10_0 )).

cnf(i_0_5430,axiom,
    ( ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk191_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5431,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk256_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5432,axiom,
    ( p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk749_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5433,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5434,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5435,axiom,
    ( p(X8)
    | ~ esk753_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5436,axiom,
    ( ~ esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk232_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5437,axiom,
    ( p(X3)
    | ~ esk570_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5438,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk235_6(X1,X2,X3,X4,X5,X6)
    | esk350_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5439,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5440,axiom,
    ( esk309_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5441,axiom,
    ( esk188_0
    | ~ p(X2)
    | ~ esk601_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5442,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8) )).

cnf(i_0_5443,axiom,
    ( esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5444,axiom,
    ( esk188_0
    | ~ esk169_0
    | ~ esk663_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5445,axiom,
    ( esk33_0
    | ~ esk91_0 )).

cnf(i_0_5446,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5447,axiom,
    ( esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk739_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5448,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5449,axiom,
    ( esk194_6(X1,X2,X3,X4,X5,X6)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5450,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5451,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5452,axiom,
    ( ~ esk33_0
    | ~ esk62_0 )).

cnf(i_0_5453,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5454,axiom,
    ( ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5455,axiom,
    ( esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk509_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5456,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5457,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5458,axiom,
    ( esk188_0
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X6) )).

cnf(i_0_5459,axiom,
    ( esk35_0
    | esk37_0
    | ~ esk39_0
    | ~ esk38_0
    | ~ esk36_0
    | ~ esk33_0
    | esk147_0
    | ~ esk34_0 )).

cnf(i_0_5460,axiom,
    ( esk36_0
    | ~ esk82_0 )).

cnf(i_0_5461,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5462,axiom,
    ( ~ esk40_0
    | ~ esk37_0 )).

cnf(i_0_5463,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk426_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5464,axiom,
    ( ~ esk84_0
    | esk36_0 )).

cnf(i_0_5465,axiom,
    ( ~ esk35_0
    | ~ esk137_0 )).

cnf(i_0_5466,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk345_6(X1,X2,X3,X4,X5,X6)
    | esk190_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5467,axiom,
    ( esk33_0
    | ~ esk89_0 )).

cnf(i_0_5468,axiom,
    ( ~ esk621_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0 )).

cnf(i_0_5469,axiom,
    ( esk166_0
    | ~ esk199_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5470,axiom,
    ( esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5471,axiom,
    ( ~ esk679_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk173_0
    | esk188_0 )).

cnf(i_0_5472,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5473,axiom,
    ( ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5474,axiom,
    ( ~ esk102_0
    | esk176_0 )).

cnf(i_0_5475,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk873_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5476,axiom,
    ( ~ esk315_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5477,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5478,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk525_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5479,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5480,axiom,
    ( esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk300_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5481,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5482,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5483,axiom,
    ( ~ p(X12)
    | ~ esk732_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5484,axiom,
    ( ~ esk271_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5485,axiom,
    ( esk181_0
    | esk705_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5486,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk243_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5487,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8)
    | ~ esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5488,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5489,axiom,
    ( esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5490,axiom,
    ( ~ esk192_6(X1,X2,X3,X4,X5,X6)
    | ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5491,axiom,
    ( ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk545_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5492,axiom,
    ( ~ esk672_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5493,axiom,
    ( ~ esk36_0
    | ~ esk46_0 )).

cnf(i_0_5494,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5495,axiom,
    ( ~ esk489_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5496,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5497,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5498,axiom,
    ( ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5499,axiom,
    ( ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5500,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5501,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk474_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5502,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5503,axiom,
    ( esk142_0
    | ~ esk38_0
    | esk36_0
    | ~ esk39_0
    | ~ esk35_0
    | esk37_0
    | ~ esk34_0
    | esk33_0 )).

cnf(i_0_5504,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5505,axiom,
    ( p(X1)
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5506,axiom,
    ( esk182_0
    | ~ esk104_0 )).

cnf(i_0_5507,axiom,
    ( ~ esk34_0
    | esk36_0
    | ~ esk33_0
    | esk35_0
    | esk43_0
    | esk39_0
    | esk38_0
    | esk37_0 )).

cnf(i_0_5508,axiom,
    ( ~ esk34_0
    | ~ esk112_0 )).

cnf(i_0_5509,axiom,
    ( esk188_0
    | esk628_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk627_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5510,axiom,
    ( ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5511,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk488_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5512,axiom,
    ( ~ esk127_0
    | esk34_0 )).

cnf(i_0_5513,axiom,
    ( p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X12)
    | p(X9)
    | esk733_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_5514,axiom,
    ( ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5515,axiom,
    ( ~ p(X3)
    | ~ esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5516,axiom,
    ( ~ esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5517,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5518,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5519,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk538_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5520,axiom,
    ( esk35_0
    | ~ esk39_0
    | ~ esk34_0
    | ~ esk33_0
    | ~ esk37_0
    | esk38_0
    | esk123_0
    | esk36_0 )).

cnf(i_0_5521,axiom,
    ( esk25_0
    | ~ esk136_0 )).

cnf(i_0_5522,axiom,
    ( esk36_0
    | ~ esk147_0 )).

cnf(i_0_5523,axiom,
    ( ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5524,axiom,
    ( ~ esk98_0
    | esk17_0 )).

cnf(i_0_5525,axiom,
    ( ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5526,axiom,
    ( ~ esk862_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk863_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk761_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5527,axiom,
    ( esk188_0
    | ~ esk583_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X6) )).

cnf(i_0_5528,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5529,axiom,
    ( ~ esk581_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_5530,axiom,
    ( ~ esk729_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5531,axiom,
    ( ~ esk394_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5532,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5533,axiom,
    ( esk188_0
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | esk614_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_5534,axiom,
    ( ~ esk38_0
    | ~ esk133_0 )).

cnf(i_0_5535,axiom,
    ( esk34_0
    | ~ esk70_0 )).

cnf(i_0_5536,axiom,
    ( ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5537,axiom,
    ( esk34_0
    | ~ esk139_0 )).

cnf(i_0_5538,axiom,
    ( esk215_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk329_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5539,axiom,
    ( esk31_0
    | ~ esk153_0 )).

cnf(i_0_5540,axiom,
    ( ~ esk104_0
    | ~ esk38_0 )).

cnf(i_0_5541,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5542,axiom,
    ( esk186_0
    | ~ esk124_0 )).

cnf(i_0_5543,axiom,
    ( ~ esk239_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5544,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk268_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5545,axiom,
    ( ~ esk34_0
    | ~ esk120_0 )).

cnf(i_0_5546,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk735_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7) )).

cnf(i_0_5547,axiom,
    ( ~ esk49_0
    | ~ esk39_0 )).

cnf(i_0_5548,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk277_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5549,axiom,
    ( esk495_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5550,axiom,
    ( ~ esk662_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk661_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5551,axiom,
    ( ~ esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5552,axiom,
    ( ~ esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5553,axiom,
    ( p(X7)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk734_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5554,axiom,
    ( ~ esk548_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5555,axiom,
    ( ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5556,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5557,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk865_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk762_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5558,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk295_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5559,axiom,
    ( esk188_0
    | ~ esk669_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk585_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk670_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5560,axiom,
    ( ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X5) )).

cnf(i_0_5561,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk273_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5562,axiom,
    ( esk304_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5563,axiom,
    ( ~ esk91_0
    | ~ esk39_0 )).

cnf(i_0_5564,axiom,
    ( ~ p(X5)
    | ~ esk569_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5565,axiom,
    ( p(X7)
    | ~ p(X12)
    | p(X8)
    | p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X9)
    | esk767_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10) )).

cnf(i_0_5566,axiom,
    ( ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk272_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5567,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk449_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5568,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_5569,axiom,
    ( ~ esk136_0
    | ~ esk36_0 )).

cnf(i_0_5570,axiom,
    ( ~ esk620_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3)
    | esk188_0 )).

cnf(i_0_5571,axiom,
    ( ~ esk36_0
    | esk35_0
    | ~ esk37_0
    | ~ esk34_0
    | ~ esk33_0
    | esk99_0
    | ~ esk38_0
    | esk39_0 )).

cnf(i_0_5572,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5573,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6)
    | esk362_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5574,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk790_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk791_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk725_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5575,axiom,
    ( esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5576,axiom,
    ( ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5577,axiom,
    ( esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5578,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk286_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5579,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5580,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11)
    | ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5581,axiom,
    ( esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk269_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5582,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5583,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5584,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk696_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5585,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5586,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5587,axiom,
    ( esk29_0
    | ~ esk150_0 )).

cnf(i_0_5588,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk716_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5589,axiom,
    ( ~ esk39_0
    | ~ esk61_0 )).

cnf(i_0_5590,axiom,
    ( ~ esk344_6(X1,X2,X3,X4,X5,X6)
    | esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5591,axiom,
    ( p(X3)
    | ~ esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5592,axiom,
    ( ~ esk852_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk853_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk756_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5593,axiom,
    ( ~ esk168_0
    | ~ esk87_0 )).

cnf(i_0_5594,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk192_6(X1,X2,X3,X4,X5,X6)
    | ~ esk577_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5595,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk264_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5596,axiom,
    ( ~ esk257_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5597,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5598,axiom,
    ( ~ esk39_0
    | esk35_0
    | esk33_0
    | esk152_0
    | esk36_0
    | ~ esk37_0
    | ~ esk38_0
    | esk34_0 )).

cnf(i_0_5599,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk290_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5600,axiom,
    ( esk38_0
    | ~ esk34_0
    | esk33_0
    | esk37_0
    | esk106_0
    | esk36_0
    | esk35_0
    | ~ esk39_0 )).

cnf(i_0_5601,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk265_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5602,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5603,axiom,
    ( ~ esk323_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5604,axiom,
    ( ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk462_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5605,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5606,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5607,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5608,axiom,
    ( ~ esk52_0
    | ~ esk39_0 )).

cnf(i_0_5609,axiom,
    ( ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5610,axiom,
    ( ~ esk454_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5611,axiom,
    ( ~ esk567_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_5612,axiom,
    ( esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5613,axiom,
    ( ~ esk119_0
    | esk33_0 )).

cnf(i_0_5614,axiom,
    ( ~ p(X2)
    | p(X6)
    | esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | esk188_0
    | ~ p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_5615,axiom,
    ( ~ esk35_0
    | ~ esk48_0 )).

cnf(i_0_5616,axiom,
    ( ~ p(X2)
    | p(X6)
    | esk571_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X1)
    | esk188_0
    | p(X5)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5617,axiom,
    ( esk188_0
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X4) )).

cnf(i_0_5618,axiom,
    ( ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_5619,axiom,
    ( ~ esk106_0
    | ~ esk174_0 )).

cnf(i_0_5620,axiom,
    ( ~ esk477_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5621,axiom,
    ( ~ esk35_0
    | ~ esk99_0 )).

cnf(i_0_5622,axiom,
    ( esk5_0
    | ~ esk53_0 )).

cnf(i_0_5623,axiom,
    ( ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5624,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5625,axiom,
    ( esk641_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk642_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5626,axiom,
    ( esk39_0
    | ~ esk145_0 )).

cnf(i_0_5627,axiom,
    ( ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5628,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk440_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5629,axiom,
    ( ~ esk576_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk206_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5630,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk526_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5631,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5632,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk195_6(X1,X2,X3,X4,X5,X6)
    | ~ esk249_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5633,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5634,axiom,
    ( ~ esk114_0
    | ~ esk33_0 )).

cnf(i_0_5635,axiom,
    ( ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5636,axiom,
    ( esk188_0
    | ~ p(X2)
    | ~ esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5637,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk586_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5638,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk245_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5639,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5640,axiom,
    ( ~ esk437_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5641,axiom,
    ( ~ esk77_0
    | esk11_0 )).

cnf(i_0_5642,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk832_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk746_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk833_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5643,axiom,
    ( ~ esk511_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5644,axiom,
    ( ~ esk496_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5645,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk443_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5646,axiom,
    ( esk188_0
    | esk719_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk720_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5647,axiom,
    ( ~ esk83_0
    | ~ esk35_0 )).

cnf(i_0_5648,axiom,
    ( ~ esk35_0
    | ~ esk122_0 )).

cnf(i_0_5649,axiom,
    ( ~ esk292_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5650,axiom,
    ( esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk468_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5651,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk312_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5652,axiom,
    ( ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5653,axiom,
    ( ~ esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk344_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5654,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5655,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk338_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5656,axiom,
    ( ~ esk50_0
    | esk34_0 )).

cnf(i_0_5657,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk306_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5658,axiom,
    ( ~ esk124_0
    | esk37_0 )).

cnf(i_0_5659,axiom,
    ( ~ esk562_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5660,axiom,
    ( ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5661,axiom,
    ( ~ esk6_0 )).

cnf(i_0_5662,axiom,
    ( esk245_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5663,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5664,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk463_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5665,axiom,
    ( ~ esk36_0
    | ~ esk94_0 )).

cnf(i_0_5666,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk327_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5667,axiom,
    ( esk37_0
    | ~ esk97_0 )).

cnf(i_0_5668,axiom,
    ( ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5)
    | esk188_0 )).

cnf(i_0_5669,axiom,
    ( esk38_0
    | ~ esk83_0 )).

cnf(i_0_5670,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk328_6(X1,X2,X3,X4,X5,X6)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5671,axiom,
    ( ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk501_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5672,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk313_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5673,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5674,axiom,
    ( esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk580_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk175_0 )).

cnf(i_0_5675,axiom,
    ( ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5676,axiom,
    ( ~ esk34_0
    | ~ esk96_0 )).

cnf(i_0_5677,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X1)
    | p(X4)
    | esk188_0
    | p(X6) )).

cnf(i_0_5678,axiom,
    ( ~ esk202_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5679,axiom,
    ( esk401_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk512_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5680,axiom,
    ( esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5681,axiom,
    ( ~ esk91_0
    | esk160_0 )).

cnf(i_0_5682,axiom,
    ( ~ esk881_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk880_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5683,axiom,
    ( ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5684,axiom,
    ( ~ esk231_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5685,axiom,
    ( esk34_0
    | ~ esk123_0 )).

cnf(i_0_5686,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5687,axiom,
    ( ~ esk855_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk854_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5688,axiom,
    ( esk167_0
    | esk568_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk591_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | esk582_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5689,axiom,
    ( ~ esk764_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X8) )).

cnf(i_0_5690,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk311_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5691,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk718_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5692,axiom,
    ( ~ esk35_0
    | ~ esk105_0 )).

cnf(i_0_5693,axiom,
    ( ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5694,axiom,
    ( esk167_0
    | esk657_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5695,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5696,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5697,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X8)
    | ~ esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5698,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk336_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5699,axiom,
    ( esk358_6(X1,X2,X3,X4,X5,X6)
    | ~ esk391_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5700,axiom,
    ( esk321_6(X1,X2,X3,X4,X5,X6)
    | esk326_6(X1,X2,X3,X4,X5,X6)
    | esk205_6(X1,X2,X3,X4,X5,X6)
    | esk265_6(X1,X2,X3,X4,X5,X6)
    | esk256_6(X1,X2,X3,X4,X5,X6)
    | ~ esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk232_6(X1,X2,X3,X4,X5,X6)
    | esk307_6(X1,X2,X3,X4,X5,X6)
    | esk297_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5701,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5702,axiom,
    ( ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5703,axiom,
    ( esk679_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk680_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5704,axiom,
    ( ~ esk297_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk207_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5705,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5706,axiom,
    ( esk205_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk287_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5707,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk423_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5708,axiom,
    ( p(X2)
    | ~ esk607_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5709,axiom,
    ( esk188_0
    | ~ esk720_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk610_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5710,axiom,
    ( ~ esk348_6(X1,X2,X3,X4,X5,X6)
    | ~ esk241_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5711,axiom,
    ( ~ esk78_0
    | ~ esk36_0 )).

cnf(i_0_5712,axiom,
    ( ~ esk200_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk239_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5713,axiom,
    ( ~ esk150_0
    | esk38_0 )).

cnf(i_0_5714,axiom,
    ( ~ esk98_0
    | ~ esk35_0 )).

cnf(i_0_5715,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5716,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk304_6(X1,X2,X3,X4,X5,X6)
    | esk209_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5717,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk521_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5718,axiom,
    ( ~ esk796_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk349_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5719,axiom,
    ( ~ esk711_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk712_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5720,axiom,
    ( ~ esk261_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5721,axiom,
    ( esk715_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk716_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5722,axiom,
    ( ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5723,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5724,axiom,
    ( esk36_0
    | ~ esk67_0 )).

cnf(i_0_5725,axiom,
    ( ~ esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_5726,axiom,
    ( esk10_0
    | ~ esk165_0 )).

cnf(i_0_5727,axiom,
    ( ~ esk58_0
    | ~ esk160_0 )).

cnf(i_0_5728,axiom,
    ( esk33_0
    | ~ esk105_0 )).

cnf(i_0_5729,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk408_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk407_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5730,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5731,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5732,axiom,
    ( ~ esk78_0
    | esk11_0 )).

cnf(i_0_5733,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5734,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X5)
    | esk188_0
    | p(X2)
    | p(X3)
    | esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5735,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk872_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk373_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5736,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X9) )).

cnf(i_0_5737,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5738,axiom,
    ( ~ esk35_0
    | ~ esk56_0 )).

cnf(i_0_5739,axiom,
    ( ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | p(X4) )).

cnf(i_0_5740,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6)
    | esk366_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5741,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5742,axiom,
    ( esk112_0
    | esk141_0
    | esk103_0
    | esk25_0
    | esk70_0
    | esk148_0
    | ~ esk180_0 )).

cnf(i_0_5743,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk445_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5744,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk345_6(X1,X2,X3,X4,X5,X6)
    | esk378_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk724_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk723_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5745,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6)
    | esk328_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5746,axiom,
    ( esk188_0
    | ~ esk615_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X3) )).

cnf(i_0_5747,axiom,
    ( ~ esk98_0
    | esk156_0 )).

cnf(i_0_5748,axiom,
    ( ~ esk212_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk285_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5749,axiom,
    ( ~ esk728_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ p(X11) )).

cnf(i_0_5750,axiom,
    ( ~ esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5751,axiom,
    ( esk21_0
    | ~ esk116_0 )).

cnf(i_0_5752,axiom,
    ( esk36_0
    | ~ esk128_0 )).

cnf(i_0_5753,axiom,
    ( ~ esk689_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk595_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk690_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5754,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk248_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5755,axiom,
    ( ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5756,axiom,
    ( ~ esk237_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5757,axiom,
    ( esk851_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk861_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk825_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk833_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk793_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk831_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk841_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk859_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk801_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk837_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk817_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk827_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk813_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk823_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk783_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk863_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk847_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk811_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk781_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk829_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk845_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk819_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk877_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk784_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk778_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk879_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk795_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk771_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk839_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk775_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk787_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk782_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk881_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk789_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk853_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk865_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk797_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk772_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk799_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk835_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk785_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk803_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk807_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk780_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk791_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk777_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk843_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk776_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk815_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk821_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk857_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk867_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk869_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk855_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk774_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk849_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk875_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk873_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk805_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk871_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk809_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5758,axiom,
    ( ~ esk370_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5759,axiom,
    ( ~ esk37_0
    | ~ esk43_0 )).

cnf(i_0_5760,axiom,
    ( ~ esk236_6(X1,X2,X3,X4,X5,X6)
    | ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5761,axiom,
    ( esk188_0
    | esk703_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk704_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5762,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5763,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5764,axiom,
    ( ~ esk242_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5765,axiom,
    ( p(X3)
    | esk188_0
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5766,axiom,
    ( ~ esk34_0
    | ~ esk38_0
    | esk36_0
    | ~ esk35_0
    | ~ esk37_0
    | ~ esk33_0
    | ~ esk39_0 )).

cnf(i_0_5767,axiom,
    ( ~ esk135_0
    | esk25_0 )).

cnf(i_0_5768,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5769,axiom,
    ( ~ esk41_0
    | esk1_0 )).

cnf(i_0_5770,axiom,
    ( ~ esk184_0
    | ~ esk148_0 )).

cnf(i_0_5771,axiom,
    ( ~ esk826_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk357_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5772,axiom,
    ( ~ esk111_0
    | ~ esk37_0 )).

cnf(i_0_5773,axiom,
    ( ~ esk255_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5774,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk484_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5775,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk787_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5776,axiom,
    ( ~ esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk550_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5777,axiom,
    ( esk216_6(X1,X2,X3,X4,X5,X6)
    | esk604_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk183_0
    | esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5778,axiom,
    ( ~ esk433_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5779,axiom,
    ( esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk475_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5780,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5781,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk453_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5782,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk857_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5783,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk215_6(X1,X2,X3,X4,X5,X6)
    | ~ esk327_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5784,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk367_6(X1,X2,X3,X4,X5,X6)
    | esk758_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk400_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk760_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5785,axiom,
    ( ~ esk92_0
    | ~ esk170_0 )).

cnf(i_0_5786,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk500_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5787,axiom,
    ( esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk542_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk492_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk476_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk469_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk442_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5788,axiom,
    ( ~ esk158_0
    | ~ esk48_0 )).

cnf(i_0_5789,axiom,
    ( esk876_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk877_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5790,axiom,
    ( ~ esk254_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5791,axiom,
    ( p(X5)
    | p(X4)
    | esk188_0
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk596_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5792,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk712_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5793,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk790_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk347_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5794,axiom,
    ( ~ esk802_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk351_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5795,axiom,
    ( ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk459_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5796,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk289_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5797,axiom,
    ( esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5798,axiom,
    ( ~ esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5799,axiom,
    ( ~ esk53_0
    | ~ esk39_0 )).

cnf(i_0_5800,axiom,
    ( ~ esk78_0
    | esk34_0 )).

cnf(i_0_5801,axiom,
    ( esk188_0
    | ~ esk605_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X2) )).

cnf(i_0_5802,axiom,
    ( ~ esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk362_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5803,axiom,
    ( ~ esk848_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk365_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5804,axiom,
    ( p(X12)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk748_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | p(X9) )).

cnf(i_0_5805,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | ~ esk755_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5806,axiom,
    ( ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5807,axiom,
    ( ~ esk396_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5808,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk425_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5809,axiom,
    ( ~ p(X6)
    | esk188_0
    | ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5810,axiom,
    ( ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5811,axiom,
    ( ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5812,axiom,
    ( ~ esk229_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk344_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5813,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk210_6(X1,X2,X3,X4,X5,X6)
    | ~ esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5814,axiom,
    ( ~ esk99_0
    | esk37_0 )).

cnf(i_0_5815,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk343_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5816,axiom,
    ( ~ esk300_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk368_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5817,axiom,
    ( ~ esk35_0
    | esk37_0
    | ~ esk39_0
    | ~ esk38_0
    | esk140_0
    | esk36_0
    | esk34_0
    | esk33_0 )).

cnf(i_0_5818,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk769_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5819,axiom,
    ( ~ esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5820,axiom,
    ( ~ esk594_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5821,axiom,
    ( ~ esk579_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk200_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5822,axiom,
    ( esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk531_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5823,axiom,
    ( ~ esk708_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5824,axiom,
    ( ~ p(X11)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | esk740_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | p(X9)
    | p(X12)
    | p(X10) )).

cnf(i_0_5825,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk321_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5826,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk436_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk383_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5827,axiom,
    ( ~ esk265_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk199_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5828,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk301_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5829,axiom,
    ( ~ esk310_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk209_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5830,axiom,
    ( esk668_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ esk584_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk667_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5831,axiom,
    ( ~ esk267_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5832,axiom,
    ( ~ esk726_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X10)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5833,axiom,
    ( ~ esk281_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk223_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5834,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk282_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5835,axiom,
    ( ~ esk215_6(X1,X2,X3,X4,X5,X6)
    | esk182_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5836,axiom,
    ( ~ esk80_0
    | ~ esk33_0 )).

cnf(i_0_5837,axiom,
    ( ~ esk482_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk395_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5838,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk432_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5839,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk314_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5840,axiom,
    ( esk188_0
    | ~ esk606_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X5) )).

cnf(i_0_5841,axiom,
    ( ~ esk64_0
    | ~ esk164_0 )).

cnf(i_0_5842,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk197_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5843,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk491_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5844,axiom,
    ( ~ esk502_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5845,axiom,
    ( ~ esk34_0
    | ~ esk45_0 )).

cnf(i_0_5846,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5847,axiom,
    ( ~ esk86_0
    | esk34_0 )).

cnf(i_0_5848,axiom,
    ( ~ esk613_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X3) )).

cnf(i_0_5849,axiom,
    ( esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk244_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5850,axiom,
    ( esk363_6(X1,X2,X3,X4,X5,X6)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk844_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5851,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk193_6(X1,X2,X3,X4,X5,X6)
    | ~ esk246_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5852,axiom,
    ( ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5853,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk330_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5854,axiom,
    ( ~ esk730_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk382_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5855,axiom,
    ( ~ esk700_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5856,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk867_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk866_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk763_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5857,axiom,
    ( esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk552_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk434_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk486_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk455_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk464_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk522_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk397_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk478_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk528_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5858,axiom,
    ( ~ esk431_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5859,axiom,
    ( esk37_0
    | ~ esk65_0 )).

cnf(i_0_5860,axiom,
    ( ~ esk721_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk722_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5861,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk233_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5862,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5863,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk461_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5864,axiom,
    ( ~ esk68_0
    | ~ esk33_0 )).

cnf(i_0_5865,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5866,axiom,
    ( ~ esk647_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk165_0
    | esk188_0 )).

cnf(i_0_5867,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5868,axiom,
    ( ~ p(X3)
    | esk188_0
    | ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5869,axiom,
    ( esk560_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk490_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5870,axiom,
    ( esk205_6(X1,X2,X3,X4,X5,X6)
    | ~ esk291_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5871,axiom,
    ( ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5872,axiom,
    ( ~ esk50_0
    | esk3_0 )).

cnf(i_0_5873,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk199_6(X1,X2,X3,X4,X5,X6)
    | ~ esk259_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5874,axiom,
    ( esk38_0
    | ~ esk94_0 )).

cnf(i_0_5875,axiom,
    ( ~ esk156_0
    | ~ esk41_0 )).

cnf(i_0_5876,axiom,
    ( esk37_0
    | ~ esk63_0 )).

cnf(i_0_5877,axiom,
    ( ~ esk112_0
    | ~ esk37_0 )).

cnf(i_0_5878,axiom,
    ( ~ esk334_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5879,axiom,
    ( ~ esk99_0
    | ~ esk172_0 )).

cnf(i_0_5880,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk352_6(X1,X2,X3,X4,X5,X6)
    | ~ esk262_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5881,axiom,
    ( ~ esk505_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5882,axiom,
    ( esk188_0
    | p(X4)
    | ~ esk611_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5883,axiom,
    ( ~ esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5884,axiom,
    ( ~ esk104_0
    | ~ esk34_0 )).

cnf(i_0_5885,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X7)
    | ~ esk744_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5886,axiom,
    ( esk188_0
    | ~ p(X2)
    | ~ esk616_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5887,axiom,
    ( ~ esk190_6(X1,X2,X3,X4,X5,X6)
    | esk345_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5888,axiom,
    ( ~ esk36_0
    | ~ esk37_0
    | ~ esk38_0
    | esk97_0
    | ~ esk33_0
    | esk34_0
    | esk35_0
    | esk39_0 )).

cnf(i_0_5889,axiom,
    ( esk540_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk424_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5890,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk835_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5891,axiom,
    ( ~ esk311_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5892,axiom,
    ( esk264_6(X1,X2,X3,X4,X5,X6)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5893,axiom,
    ( ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5894,axiom,
    ( esk37_0
    | ~ esk127_0 )).

cnf(i_0_5895,axiom,
    ( ~ esk186_0
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk219_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5896,axiom,
    ( ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5897,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk186_0
    | ~ esk219_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5898,axiom,
    ( ~ esk130_0
    | esk39_0 )).

cnf(i_0_5899,axiom,
    ( esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk427_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5900,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk266_6(X1,X2,X3,X4,X5,X6)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5901,axiom,
    ( ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk230_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5902,axiom,
    ( esk38_0
    | ~ esk143_0 )).

cnf(i_0_5903,axiom,
    ( ~ esk34_0
    | ~ esk88_0 )).

cnf(i_0_5904,axiom,
    ( ~ p(X10)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5905,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk416_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk377_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5906,axiom,
    ( esk180_0
    | ~ esk148_0 )).

cnf(i_0_5907,axiom,
    ( p(X5)
    | ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5908,axiom,
    ( ~ esk256_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5909,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk283_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5910,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk389_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk466_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5911,axiom,
    ( ~ esk668_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk667_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5912,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk326_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5913,axiom,
    ( esk171_0
    | esk188_0
    | esk669_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5914,axiom,
    ( esk188_0
    | p(X4)
    | ~ esk575_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5915,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk201_6(X1,X2,X3,X4,X5,X6)
    | ~ esk270_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5916,axiom,
    ( ~ esk228_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk226_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5917,axiom,
    ( ~ esk131_0
    | ~ esk38_0 )).

cnf(i_0_5918,axiom,
    ( ~ esk630_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk565_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5919,axiom,
    ( ~ esk831_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5920,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk204_6(X1,X2,X3,X4,X5,X6)
    | ~ esk203_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5921,axiom,
    ( ~ esk322_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5922,axiom,
    ( ~ esk636_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | esk635_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5923,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk238_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5924,axiom,
    ( esk39_0
    | ~ esk38_0
    | esk37_0
    | ~ esk36_0
    | esk87_0
    | ~ esk35_0
    | ~ esk34_0
    | ~ esk33_0 )).

cnf(i_0_5925,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk493_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5926,axiom,
    ( ~ esk298_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5927,axiom,
    ( esk201_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk274_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5928,axiom,
    ( esk743_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk759_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk766_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk752_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk365_6(X1,X2,X3,X4,X5,X6)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5929,axiom,
    ( p(X5)
    | ~ esk588_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5930,axiom,
    ( esk360_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk297_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5931,axiom,
    ( ~ esk234_6(X1,X2,X3,X4,X5,X6)
    | ~ esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5932,axiom,
    ( esk165_0
    | esk188_0
    | esk647_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5933,axiom,
    ( ~ esk420_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5934,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk231_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5935,axiom,
    ( ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk269_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5936,axiom,
    ( ~ esk75_0
    | esk34_0 )).

cnf(i_0_5937,axiom,
    ( esk518_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk403_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk515_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk558_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk516_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk514_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk517_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk513_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5938,axiom,
    ( esk458_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk410_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5939,axiom,
    ( ~ esk285_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5940,axiom,
    ( ~ esk589_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X6) )).

cnf(i_0_5941,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk485_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5942,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk869_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5943,axiom,
    ( ~ esk303_6(X1,X2,X3,X4,X5,X6)
    | esk224_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5944,axiom,
    ( ~ esk92_0
    | esk37_0 )).

cnf(i_0_5945,axiom,
    ( esk648_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk647_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk574_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5946,axiom,
    ( p(X2)
    | ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5947,axiom,
    ( ~ esk89_0
    | esk38_0 )).

cnf(i_0_5948,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk310_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5949,axiom,
    ( ~ esk74_0
    | esk38_0 )).

cnf(i_0_5950,axiom,
    ( ~ esk39_0
    | ~ esk101_0 )).

cnf(i_0_5951,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk337_6(X1,X2,X3,X4,X5,X6)
    | esk221_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5952,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk307_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5953,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk417_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5954,axiom,
    ( esk34_0
    | ~ esk51_0 )).

cnf(i_0_5955,axiom,
    ( ~ esk33_0
    | ~ esk60_0 )).

cnf(i_0_5956,axiom,
    ( esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk470_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5957,axiom,
    ( ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk418_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5958,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk315_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5959,axiom,
    ( esk38_0
    | ~ esk147_0 )).

cnf(i_0_5960,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | esk351_6(X1,X2,X3,X4,X5,X6)
    | esk802_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5961,axiom,
    ( esk38_0
    | ~ esk151_0 )).

cnf(i_0_5962,axiom,
    ( esk344_6(X1,X2,X3,X4,X5,X6)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5963,axiom,
    ( ~ esk429_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5964,axiom,
    ( ~ esk597_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk212_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5965,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk390_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk738_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5966,axiom,
    ( ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk498_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5967,axiom,
    ( ~ esk313_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk211_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5968,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk504_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk398_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5969,axiom,
    ( esk188_0
    | p(X1)
    | ~ esk619_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5970,axiom,
    ( ~ esk107_0
    | esk34_0 )).

cnf(i_0_5971,axiom,
    ( esk637_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk638_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_5972,axiom,
    ( ~ esk612_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0
    | ~ p(X1) )).

cnf(i_0_5973,axiom,
    ( esk223_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk339_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5974,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | esk363_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk840_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5975,axiom,
    ( esk35_0
    | ~ esk86_0 )).

cnf(i_0_5976,axiom,
    ( esk203_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk170_0 )).

cnf(i_0_5977,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk414_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5978,axiom,
    ( ~ esk21_0 )).

cnf(i_0_5979,axiom,
    ( ~ esk168_0
    | ~ esk81_0 )).

cnf(i_0_5980,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | esk223_6(X1,X2,X3,X4,X5,X6)
    | ~ esk227_6(X1,X2,X3,X4,X5,X6)
    | ~ esk221_6(X1,X2,X3,X4,X5,X6)
    | ~ esk225_6(X1,X2,X3,X4,X5,X6)
    | esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk319_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5981,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk556_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk510_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5982,axiom,
    ( ~ esk174_0
    | ~ esk110_0 )).

cnf(i_0_5983,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5984,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk419_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5985,axiom,
    ( esk188_0
    | ~ esk161_0
    | ~ esk641_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5986,axiom,
    ( esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk460_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5987,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk388_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk481_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5988,axiom,
    ( ~ esk731_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X7)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5989,axiom,
    ( ~ esk44_0
    | ~ esk37_0 )).

cnf(i_0_5990,axiom,
    ( esk222_6(X1,X2,X3,X4,X5,X6)
    | ~ esk294_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5991,axiom,
    ( ~ esk222_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk333_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5992,axiom,
    ( esk4_0
    | ~ esk159_0 )).

cnf(i_0_5993,axiom,
    ( ~ esk332_6(X1,X2,X3,X4,X5,X6)
    | esk217_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5994,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk839_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk838_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5995,axiom,
    ( esk529_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk523_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk399_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk465_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk497_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk554_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk487_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk472_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk439_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_5996,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk564_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk190_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_5997,axiom,
    ( esk35_0
    | ~ esk93_0 )).

cnf(i_0_5998,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk779_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X11) )).

cnf(i_0_5999,axiom,
    ( esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk825_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6000,axiom,
    ( p(X6)
    | esk188_0
    | ~ esk618_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6001,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk519_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6002,axiom,
    ( ~ esk34_0
    | ~ esk148_0 )).

cnf(i_0_6003,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk415_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk421_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6004,axiom,
    ( ~ esk105_0
    | esk39_0 )).

cnf(i_0_6005,axiom,
    ( esk346_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk253_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6006,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk532_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk447_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6007,axiom,
    ( ~ esk559_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk404_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6008,axiom,
    ( ~ esk286_6(X1,X2,X3,X4,X5,X6)
    | esk205_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6009,axiom,
    ( ~ p(X3)
    | ~ esk599_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_6010,axiom,
    ( esk635_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk159_0
    | esk188_0 )).

cnf(i_0_6011,axiom,
    ( ~ esk536_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk430_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6012,axiom,
    ( esk353_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk810_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6013,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk381_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk348_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6014,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6)
    | ~ esk341_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6015,axiom,
    ( esk677_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk678_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_6016,axiom,
    ( ~ esk36_0
    | esk39_0
    | esk70_0
    | ~ esk34_0
    | esk33_0
    | ~ esk37_0
    | ~ esk35_0
    | esk38_0 )).

cnf(i_0_6017,axiom,
    ( ~ esk499_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk412_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6018,axiom,
    ( esk227_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk335_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6019,axiom,
    ( esk188_0
    | ~ p(X1)
    | ~ esk598_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6020,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk225_6(X1,X2,X3,X4,X5,X6)
    | ~ esk323_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6021,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk448_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk387_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6022,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk768_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ p(X11)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6023,axiom,
    ( esk38_0
    | ~ esk141_0 )).

cnf(i_0_6024,axiom,
    ( ~ esk827_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk882_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6025,axiom,
    ( esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk479_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6026,axiom,
    ( esk188_0
    | ~ esk157_0
    | ~ esk627_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6027,axiom,
    ( ~ p(X5)
    | ~ esk609_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(i_0_6028,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk335_6(X1,X2,X3,X4,X5,X6)
    | esk222_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6029,axiom,
    ( ~ esk329_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk224_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6030,axiom,
    ( esk174_0
    | ~ esk69_0 )).

cnf(i_0_6031,axiom,
    ( esk376_6(X1,X2,X3,X4,X5,X6)
    | ~ esk754_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | p(X8)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6032,axiom,
    ( ~ esk352_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk252_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6033,axiom,
    ( ~ esk471_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk411_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6034,axiom,
    ( esk289_6(X1,X2,X3,X4,X5,X6)
    | esk207_6(X1,X2,X3,X4,X5,X6)
    | esk333_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk275_6(X1,X2,X3,X4,X5,X6)
    | esk327_6(X1,X2,X3,X4,X5,X6)
    | esk322_6(X1,X2,X3,X4,X5,X6)
    | ~ esk362_6(X1,X2,X3,X4,X5,X6)
    | esk257_6(X1,X2,X3,X4,X5,X6)
    | esk308_6(X1,X2,X3,X4,X5,X6)
    | esk239_6(X1,X2,X3,X4,X5,X6)
    | esk266_6(X1,X2,X3,X4,X5,X6)
    | esk316_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6035,axiom,
    ( esk35_0
    | ~ esk126_0 )).

cnf(i_0_6036,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk317_6(X1,X2,X3,X4,X5,X6)
    | esk225_6(X1,X2,X3,X4,X5,X6) )).

cnf(i_0_6037,axiom,
    ( ~ esk340_6(X1,X2,X3,X4,X5,X6)
    | esk219_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6038,axiom,
    ( ~ p(X1)
    | esk188_0
    | ~ esk578_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6039,axiom,
    ( ~ esk658_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6040,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk413_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk483_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6041,axiom,
    ( esk226_6(X1,X2,X3,X4,X5,X6)
    | ~ esk280_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6042,axiom,
    ( ~ esk67_0
    | esk34_0 )).

cnf(i_0_6043,axiom,
    ( esk884_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk456_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | ~ esk409_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6044,axiom,
    ( esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk376_6(X1,X2,X3,X4,X5,X6)
    | p(X8)
    | ~ esk773_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6045,axiom,
    ( ~ esk207_6(X1,X2,X3,X4,X5,X6)
    | ~ esk208_6(X1,X2,X3,X4,X5,X6)
    | esk883_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12) )).

cnf(i_0_6046,axiom,
    ( ~ esk181_0
    | ~ esk703_12(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10,X11,X12)
    | esk188_0 )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
