%------------------------------------------------------------------------------
% File     : PLA045-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Planning
% Problem  : QBFLib problem from the ToiletA family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : toilet_a_10_10.2-shuffled [Sei12]

% Status   : Satisfiable
% Rating   : 0.88 v6.1.0, 1.00 v6.0.0
% Syntax   : Number of clauses     : 12843 (10225 non-Horn;  33 unit;7513 RR)
%            Number of atoms       : 118033 (   1 equality)
%            Maximal clause size   :   12 (   9 average)
%            Number of predicates  :  282 ( 220 propositional; 0-10 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 108400 (5500 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( ~ esk141_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_3,axiom,
    ( p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_4,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5) )).

cnf(i_0_5,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_6,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_7,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_8,axiom,
    ( p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_9,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_10,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_11,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_12,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_13,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_14,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_15,axiom,
    ( ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_16,axiom,
    ( ~ esk76_0
    | ~ esk120_0 )).

cnf(i_0_17,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_18,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_19,axiom,
    ( p(X2)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_20,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_21,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_22,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_23,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_24,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_25,axiom,
    ( ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | p(X1) )).

cnf(i_0_26,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_27,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_28,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_29,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_30,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8) )).

cnf(i_0_31,axiom,
    ( p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_32,axiom,
    ( ~ esk156_0
    | ~ esk162_0 )).

cnf(i_0_33,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X8)
    | p(X4)
    | p(X7) )).

cnf(i_0_34,axiom,
    ( ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_35,axiom,
    ( p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X4)
    | p(X5) )).

cnf(i_0_36,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X6) )).

cnf(i_0_37,axiom,
    ( ~ esk144_0
    | ~ esk150_0 )).

cnf(i_0_38,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_39,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_40,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_41,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_42,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_43,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_44,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_45,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X4) )).

cnf(i_0_46,axiom,
    ( p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_47,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_48,axiom,
    ( ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X10) )).

cnf(i_0_49,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_50,axiom,
    ( p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_51,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_52,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_53,axiom,
    ( p(X2)
    | p(X8)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_54,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk77_0 )).

cnf(i_0_55,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_56,axiom,
    ( p(X5)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_57,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk99_0 )).

cnf(i_0_58,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_59,axiom,
    ( p(X1)
    | p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_60,axiom,
    ( ~ esk210_0
    | ~ esk166_0 )).

cnf(i_0_61,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_62,axiom,
    ( p(X7)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10) )).

cnf(i_0_63,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X5) )).

cnf(i_0_64,axiom,
    ( p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_65,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_66,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_67,axiom,
    ( p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_68,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_69,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_70,axiom,
    ( ~ esk197_0
    | ~ esk109_0 )).

cnf(i_0_71,axiom,
    ( ~ esk68_0
    | ~ esk134_0 )).

cnf(i_0_72,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_73,axiom,
    ( ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_74,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_75,axiom,
    ( p(X3)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_76,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X5)
    | p(X2)
    | p(X8) )).

cnf(i_0_77,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_78,axiom,
    ( ~ esk127_0
    | ~ esk193_0 )).

cnf(i_0_79,axiom,
    ( p(X6)
    | p(X4)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_80,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_81,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_82,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_83,axiom,
    ( ~ esk159_0
    | ~ esk174_0 )).

cnf(i_0_84,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_85,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | p(X7)
    | p(X4) )).

cnf(i_0_86,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_87,axiom,
    ( ~ esk29_0
    | ~ esk161_0 )).

cnf(i_0_88,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_89,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_90,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_91,axiom,
    ( ~ esk187_0
    | ~ esk143_0 )).

cnf(i_0_92,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_93,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_94,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_95,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_96,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_97,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X3)
    | p(X7)
    | p(X1) )).

cnf(i_0_98,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_99,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_100,axiom,
    ( p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_101,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_102,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X5) )).

cnf(i_0_103,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_104,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_105,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X5)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X8) )).

cnf(i_0_106,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_107,axiom,
    ( ~ esk96_0
    | ~ esk206_0 )).

cnf(i_0_108,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_109,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_110,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_111,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_112,axiom,
    ( ~ esk44_0
    | ~ esk40_0 )).

cnf(i_0_113,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_114,axiom,
    ( ~ esk168_0
    | ~ esk170_0 )).

cnf(i_0_115,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_116,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_117,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_118,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_119,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X5)
    | p(X6) )).

cnf(i_0_120,axiom,
    ( p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X8) )).

cnf(i_0_121,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_122,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X2) )).

cnf(i_0_123,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X9)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_124,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X6) )).

cnf(i_0_125,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_126,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X9) )).

cnf(i_0_127,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_128,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_129,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_130,axiom,
    ( ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk169_0 )).

cnf(i_0_131,axiom,
    ( ~ esk18_0
    | ~ esk128_0 )).

cnf(i_0_132,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_133,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_134,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_135,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_136,axiom,
    ( esk1_0
    | esk177_0
    | esk89_0
    | esk67_0
    | esk111_0
    | esk45_0
    | ~ esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk199_0
    | esk155_0
    | esk133_0
    | esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk23_0 )).

cnf(i_0_137,axiom,
    ( p(X9)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_138,axiom,
    ( ~ esk8_0
    | ~ esk118_0 )).

cnf(i_0_139,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_140,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_141,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_142,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_143,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_144,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_145,axiom,
    ( ~ esk119_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_146,axiom,
    ( p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_147,axiom,
    ( p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_148,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_149,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_150,axiom,
    ( ~ esk57_0
    | ~ esk59_0 )).

cnf(i_0_151,axiom,
    ( p(X3)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_152,axiom,
    ( p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_153,axiom,
    ( p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_154,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_155,axiom,
    ( ~ esk194_0
    | ~ esk128_0 )).

cnf(i_0_156,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_157,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_158,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_159,axiom,
    ( p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | p(X3) )).

cnf(i_0_160,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_161,axiom,
    ( ~ esk110_0
    | ~ esk98_0 )).

cnf(i_0_162,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_163,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_164,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_165,axiom,
    ( ~ esk19_0
    | ~ esk217_0 )).

cnf(i_0_166,axiom,
    ( ~ esk43_0
    | ~ esk65_0 )).

cnf(i_0_167,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_168,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_169,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_170,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_171,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_172,axiom,
    ( ~ esk63_0
    | ~ esk151_0 )).

cnf(i_0_173,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk107_0 )).

cnf(i_0_174,axiom,
    ( p(X5)
    | p(X4)
    | p(X2)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_175,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_176,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X3) )).

cnf(i_0_177,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | p(X7) )).

cnf(i_0_178,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_179,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_180,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_181,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_182,axiom,
    ( p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_183,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_184,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_185,axiom,
    ( p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_186,axiom,
    ( ~ esk122_0
    | ~ esk144_0 )).

cnf(i_0_187,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_188,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | p(X2) )).

cnf(i_0_189,axiom,
    ( ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_190,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_191,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_192,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_193,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_194,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_195,axiom,
    ( ~ esk168_0
    | ~ esk36_0 )).

cnf(i_0_196,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_197,axiom,
    ( p(X3)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_198,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X7) )).

cnf(i_0_199,axiom,
    ( ~ esk133_0
    | ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_200,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_201,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | p(X5) )).

cnf(i_0_202,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X3) )).

cnf(i_0_203,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_204,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X8) )).

cnf(i_0_205,axiom,
    ( ~ esk99_0
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_206,axiom,
    ( esk117_0
    | esk127_0
    | esk129_0
    | esk119_0
    | esk121_0
    | esk125_0
    | esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk111_0
    | esk123_0
    | esk113_0
    | ~ esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk115_0 )).

cnf(i_0_207,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_208,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X9)
    | p(X1) )).

cnf(i_0_209,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_210,axiom,
    ( ~ esk214_0
    | ~ esk16_0 )).

cnf(i_0_211,axiom,
    ( p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | p(X1)
    | p(X10) )).

cnf(i_0_212,axiom,
    ( ~ p(X8)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_213,axiom,
    ( p(X3)
    | p(X6)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_214,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk91_0 )).

cnf(i_0_215,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_216,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X7) )).

cnf(i_0_217,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_218,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X8) )).

cnf(i_0_219,axiom,
    ( ~ esk72_0
    | ~ esk182_0 )).

cnf(i_0_220,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_221,axiom,
    ( ~ esk71_0
    | ~ esk49_0 )).

cnf(i_0_222,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_223,axiom,
    ( p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_224,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_225,axiom,
    ( ~ esk109_0
    | ~ esk43_0 )).

cnf(i_0_226,axiom,
    ( ~ esk124_0
    | ~ esk190_0 )).

cnf(i_0_227,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_228,axiom,
    ( ~ esk69_0
    | ~ esk81_0 )).

cnf(i_0_229,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_230,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_231,axiom,
    ( ~ esk34_0
    | ~ esk40_0 )).

cnf(i_0_232,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X10) )).

cnf(i_0_233,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_234,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X10) )).

cnf(i_0_235,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_236,axiom,
    ( p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_237,axiom,
    ( ~ esk73_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_238,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_239,axiom,
    ( ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_240,axiom,
    ( ~ esk74_0
    | ~ esk76_0 )).

cnf(i_0_241,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_242,axiom,
    ( p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X8) )).

cnf(i_0_243,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_244,axiom,
    ( p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_245,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_246,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_247,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_248,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X3) )).

cnf(i_0_249,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk191_0 )).

cnf(i_0_250,axiom,
    ( p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X8) )).

cnf(i_0_251,axiom,
    ( ~ esk158_0
    | ~ esk4_0 )).

cnf(i_0_252,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_253,axiom,
    ( ~ esk108_0
    | ~ esk103_0 )).

cnf(i_0_254,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_255,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_256,axiom,
    ( ~ esk150_0
    | ~ esk106_0 )).

cnf(i_0_257,axiom,
    ( ~ esk27_0
    | ~ esk93_0 )).

cnf(i_0_258,axiom,
    ( ~ esk213_0
    | ~ esk59_0 )).

cnf(i_0_259,axiom,
    ( ~ esk210_0
    | ~ esk200_0 )).

cnf(i_0_260,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_261,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_262,axiom,
    ( ~ esk177_0
    | ~ esk195_0 )).

cnf(i_0_263,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_264,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_265,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_266,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_267,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_268,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_269,axiom,
    ( ~ esk12_0
    | ~ esk210_0 )).

cnf(i_0_270,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X8) )).

cnf(i_0_271,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_272,axiom,
    ( ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk117_0 )).

cnf(i_0_273,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X10) )).

cnf(i_0_274,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_275,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_276,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X1) )).

cnf(i_0_277,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_278,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X9) )).

cnf(i_0_279,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | p(X1) )).

cnf(i_0_280,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_281,axiom,
    ( p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_282,axiom,
    ( ~ esk194_0
    | ~ esk178_0 )).

cnf(i_0_283,axiom,
    ( ~ p(X4)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_284,axiom,
    ( ~ esk1_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_285,axiom,
    ( ~ esk117_0
    | ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_286,axiom,
    ( ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X4)
    | p(X6) )).

cnf(i_0_287,axiom,
    ( ~ esk86_0
    | ~ esk75_0 )).

cnf(i_0_288,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_289,axiom,
    ( ~ esk79_0
    | ~ esk77_0 )).

cnf(i_0_290,axiom,
    ( ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk121_0 )).

cnf(i_0_291,axiom,
    ( ~ esk148_0
    | ~ esk192_0 )).

cnf(i_0_292,axiom,
    ( ~ esk95_0
    | ~ esk89_0 )).

cnf(i_0_293,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_294,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | p(X1)
    | p(X7)
    | p(X10)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_295,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1) )).

cnf(i_0_296,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_297,axiom,
    ( ~ esk149_0
    | ~ esk141_0 )).

cnf(i_0_298,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_299,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_300,axiom,
    ( ~ esk157_0
    | ~ esk3_0 )).

cnf(i_0_301,axiom,
    ( ~ esk119_0
    | esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_302,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_303,axiom,
    ( ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_304,axiom,
    ( ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_305,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_306,axiom,
    ( ~ esk108_0
    | ~ esk107_0 )).

cnf(i_0_307,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_308,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_309,axiom,
    ( ~ esk24_0
    | ~ esk34_0 )).

cnf(i_0_310,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10) )).

cnf(i_0_311,axiom,
    ( ~ esk55_0
    | ~ esk47_0 )).

cnf(i_0_312,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X10)
    | p(X7) )).

cnf(i_0_313,axiom,
    ( p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_314,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_315,axiom,
    ( ~ esk12_0
    | ~ esk4_0 )).

cnf(i_0_316,axiom,
    ( ~ esk150_0
    | ~ esk128_0 )).

cnf(i_0_317,axiom,
    ( ~ esk211_0
    | ~ esk13_0 )).

cnf(i_0_318,axiom,
    ( ~ esk61_0
    | ~ esk127_0 )).

cnf(i_0_319,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_320,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_321,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_322,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_323,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_324,axiom,
    ( ~ esk158_0
    | ~ esk170_0 )).

cnf(i_0_325,axiom,
    ( p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X8) )).

cnf(i_0_326,axiom,
    ( p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_327,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_328,axiom,
    ( p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_329,axiom,
    ( ~ esk27_0
    | ~ esk29_0 )).

cnf(i_0_330,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_331,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_332,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_333,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_334,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_335,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_336,axiom,
    ( ~ p(X9)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_337,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_338,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X9) )).

cnf(i_0_339,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_340,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_341,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_342,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_343,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_344,axiom,
    ( p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_345,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_346,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_347,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_348,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_349,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_350,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_351,axiom,
    ( p(X9)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_352,axiom,
    ( ~ esk93_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_353,axiom,
    ( p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_354,axiom,
    ( p(X7)
    | p(X5)
    | p(X6)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_355,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_356,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_357,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_358,axiom,
    ( p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_359,axiom,
    ( ~ esk186_0
    | ~ esk164_0 )).

cnf(i_0_360,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_361,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_362,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_363,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_364,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_365,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_366,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_367,axiom,
    ( p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_368,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk187_0 )).

cnf(i_0_369,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_370,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X10) )).

cnf(i_0_371,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_372,axiom,
    ( ~ esk156_0
    | ~ esk172_0 )).

cnf(i_0_373,axiom,
    ( ~ esk177_0
    | ~ esk155_0 )).

cnf(i_0_374,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk67_0 )).

cnf(i_0_375,axiom,
    ( ~ esk144_0
    | ~ esk146_0 )).

cnf(i_0_376,axiom,
    ( p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X2)
    | p(X9)
    | p(X4) )).

cnf(i_0_377,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X9)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_378,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_379,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X2) )).

cnf(i_0_380,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_381,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_382,axiom,
    ( p(X7)
    | p(X8)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X10) )).

cnf(i_0_383,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_384,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_385,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk179_0 )).

cnf(i_0_386,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_387,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X9) )).

cnf(i_0_388,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_389,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_390,axiom,
    ( p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_391,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_392,axiom,
    ( p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_393,axiom,
    ( ~ esk89_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_394,axiom,
    ( p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X10) )).

cnf(i_0_395,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_396,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_397,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X10) )).

cnf(i_0_398,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_399,axiom,
    ( p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_400,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_401,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X2) )).

cnf(i_0_402,axiom,
    ( ~ esk84_0
    | ~ esk128_0 )).

cnf(i_0_403,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_404,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_405,axiom,
    ( ~ esk4_0
    | ~ esk22_0 )).

cnf(i_0_406,axiom,
    ( ~ esk155_0
    | ~ esk111_0 )).

cnf(i_0_407,axiom,
    ( ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_408,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_409,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_410,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_411,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_412,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_413,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | p(X5)
    | p(X6) )).

cnf(i_0_414,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_415,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_416,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_417,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_418,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_419,axiom,
    ( p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_420,axiom,
    ( ~ esk33_0
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_421,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_422,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_423,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | p(X3)
    | p(X10)
    | p(X2) )).

cnf(i_0_424,axiom,
    ( p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_425,axiom,
    ( ~ esk208_0
    | ~ esk10_0 )).

cnf(i_0_426,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_427,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_428,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_429,axiom,
    ( ~ esk155_0
    | ~ esk159_0 )).

cnf(i_0_430,axiom,
    ( ~ esk44_0
    | ~ esk28_0 )).

cnf(i_0_431,axiom,
    ( p(X10)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X2) )).

cnf(i_0_432,axiom,
    ( ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_433,axiom,
    ( ~ esk56_0
    | ~ esk188_0 )).

cnf(i_0_434,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_435,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk55_0 )).

cnf(i_0_436,axiom,
    ( ~ esk59_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_437,axiom,
    ( ~ esk143_0
    | ~ esk133_0 )).

cnf(i_0_438,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_439,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_440,axiom,
    ( ~ esk75_0
    | ~ esk83_0 )).

cnf(i_0_441,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_442,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_443,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X8) )).

cnf(i_0_444,axiom,
    ( ~ esk156_0
    | ~ esk24_0 )).

cnf(i_0_445,axiom,
    ( p(X6)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_446,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_447,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_448,axiom,
    ( p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_449,axiom,
    ( ~ esk102_0
    | ~ esk98_0 )).

cnf(i_0_450,axiom,
    ( ~ p(X1)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_451,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_452,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_453,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X6) )).

cnf(i_0_454,axiom,
    ( ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_455,axiom,
    ( p(X1)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_456,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_457,axiom,
    ( p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_458,axiom,
    ( ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_459,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_460,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_461,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_462,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_463,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_464,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X5) )).

cnf(i_0_465,axiom,
    ( p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_466,axiom,
    ( ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_467,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_468,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_469,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X8) )).

cnf(i_0_470,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_471,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_472,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_473,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk33_0 )).

cnf(i_0_474,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_475,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_476,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_477,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_478,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_479,axiom,
    ( p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_480,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_481,axiom,
    ( ~ esk133_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_482,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_483,axiom,
    ( ~ esk98_0
    | ~ esk54_0 )).

cnf(i_0_484,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_485,axiom,
    ( p(X4)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_486,axiom,
    ( p(X6)
    | p(X10)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X5) )).

cnf(i_0_487,axiom,
    ( ~ esk117_0
    | ~ esk139_0 )).

cnf(i_0_488,axiom,
    ( p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_489,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_490,axiom,
    ( ~ esk172_0
    | ~ esk168_0 )).

cnf(i_0_491,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_492,axiom,
    ( ~ esk113_0
    | ~ esk157_0 )).

cnf(i_0_493,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_494,axiom,
    ( ~ esk169_0
    | ~ esk103_0 )).

cnf(i_0_495,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_496,axiom,
    ( ~ esk122_0
    | ~ esk166_0 )).

cnf(i_0_497,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | p(X7) )).

cnf(i_0_498,axiom,
    ( ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_499,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_500,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_501,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_502,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_503,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_504,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_505,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_506,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_507,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_508,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_509,axiom,
    ( ~ esk39_0
    | ~ esk29_0 )).

cnf(i_0_510,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_511,axiom,
    ( ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_512,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7) )).

cnf(i_0_513,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_514,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_515,axiom,
    ( p(X2)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_516,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X9) )).

cnf(i_0_517,axiom,
    ( ~ esk174_0
    | ~ esk161_0 )).

cnf(i_0_518,axiom,
    ( p(X5)
    | p(X4)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_519,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_520,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_521,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_522,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X4) )).

cnf(i_0_523,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_524,axiom,
    ( ~ esk40_0
    | ~ esk172_0 )).

cnf(i_0_525,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X6) )).

cnf(i_0_526,axiom,
    ( ~ esk166_0
    | ~ esk158_0 )).

cnf(i_0_527,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | p(X8) )).

cnf(i_0_528,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_529,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_530,axiom,
    ( p(X3)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X10) )).

cnf(i_0_531,axiom,
    ( ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X8)
    | p(X3) )).

cnf(i_0_532,axiom,
    ( ~ esk40_0
    | ~ esk43_0 )).

cnf(i_0_533,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_534,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_535,axiom,
    ( ~ esk212_0
    | ~ esk190_0 )).

cnf(i_0_536,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X9) )).

cnf(i_0_537,axiom,
    ( ~ esk177_0
    | ~ esk89_0 )).

cnf(i_0_538,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_539,axiom,
    ( ~ esk7_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_540,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X5) )).

cnf(i_0_541,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_542,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_543,axiom,
    ( ~ esk139_0
    | ~ esk137_0 )).

cnf(i_0_544,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_545,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_546,axiom,
    ( ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X3) )).

cnf(i_0_547,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk155_0 )).

cnf(i_0_548,axiom,
    ( p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_549,axiom,
    ( ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_550,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk101_0 )).

cnf(i_0_551,axiom,
    ( ~ esk97_0
    | ~ esk103_0 )).

cnf(i_0_552,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X8) )).

cnf(i_0_553,axiom,
    ( ~ esk203_0
    | ~ esk201_0 )).

cnf(i_0_554,axiom,
    ( ~ esk95_0
    | ~ esk93_0 )).

cnf(i_0_555,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_556,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4) )).

cnf(i_0_557,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_558,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_559,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_560,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_561,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_562,axiom,
    ( p(X5)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | p(X1)
    | p(X10) )).

cnf(i_0_563,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_564,axiom,
    ( p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_565,axiom,
    ( esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk125_0 )).

cnf(i_0_566,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_567,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_568,axiom,
    ( ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_569,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X9) )).

cnf(i_0_570,axiom,
    ( ~ esk68_0
    | ~ esk76_0 )).

cnf(i_0_571,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_572,axiom,
    ( p(X2)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_573,axiom,
    ( p(X2)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_574,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_575,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X1)
    | p(X5)
    | p(X10) )).

cnf(i_0_576,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_577,axiom,
    ( ~ esk73_0
    | ~ esk85_0 )).

cnf(i_0_578,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_579,axiom,
    ( ~ esk217_0
    | ~ esk215_0 )).

cnf(i_0_580,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_581,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X6)
    | p(X10) )).

cnf(i_0_582,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_583,axiom,
    ( p(X7)
    | p(X8)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X3) )).

cnf(i_0_584,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X10) )).

cnf(i_0_585,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_586,axiom,
    ( ~ esk96_0
    | ~ esk102_0 )).

cnf(i_0_587,axiom,
    ( ~ esk164_0
    | ~ esk168_0 )).

cnf(i_0_588,axiom,
    ( ~ esk38_0
    | ~ esk82_0 )).

cnf(i_0_589,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_590,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_591,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_592,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_593,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_594,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10)
    | p(X5) )).

cnf(i_0_595,axiom,
    ( ~ esk173_0
    | ~ esk165_0 )).

cnf(i_0_596,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_597,axiom,
    ( p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_598,axiom,
    ( p(X10)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_599,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_600,axiom,
    ( ~ esk148_0
    | ~ esk146_0 )).

cnf(i_0_601,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_602,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X2) )).

cnf(i_0_603,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_604,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_605,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_606,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_607,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_608,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk7_0 )).

cnf(i_0_609,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X1) )).

cnf(i_0_610,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_611,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8) )).

cnf(i_0_612,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_613,axiom,
    ( p(X3)
    | p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_614,axiom,
    ( ~ esk220_0
    | ~ esk212_0 )).

cnf(i_0_615,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | p(X5) )).

cnf(i_0_616,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_617,axiom,
    ( ~ esk171_0
    | ~ esk163_0 )).

cnf(i_0_618,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_619,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_620,axiom,
    ( ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_621,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_622,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_623,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_624,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_625,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_626,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_627,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_628,axiom,
    ( esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk17_0 )).

cnf(i_0_629,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_630,axiom,
    ( ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_631,axiom,
    ( ~ esk28_0
    | ~ esk32_0 )).

cnf(i_0_632,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_633,axiom,
    ( ~ esk114_0
    | ~ esk128_0 )).

cnf(i_0_634,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_635,axiom,
    ( p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_636,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_637,axiom,
    ( ~ esk29_0
    | ~ esk51_0 )).

cnf(i_0_638,axiom,
    ( ~ esk169_0
    | ~ esk174_0 )).

cnf(i_0_639,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_640,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_641,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_642,axiom,
    ( ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_643,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_644,axiom,
    ( ~ esk165_0
    | ~ esk121_0 )).

cnf(i_0_645,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_646,axiom,
    ( ~ esk50_0
    | ~ esk94_0 )).

cnf(i_0_647,axiom,
    ( p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_648,axiom,
    ( p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_649,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X4) )).

cnf(i_0_650,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_651,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_652,axiom,
    ( p(X9)
    | p(X10)
    | p(X7)
    | p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_653,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2) )).

cnf(i_0_654,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_655,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_656,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X4)
    | p(X9) )).

cnf(i_0_657,axiom,
    ( p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_658,axiom,
    ( ~ esk213_0
    | ~ esk203_0 )).

cnf(i_0_659,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X1) )).

cnf(i_0_660,axiom,
    ( p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_661,axiom,
    ( ~ esk73_0
    | ~ esk7_0 )).

cnf(i_0_662,axiom,
    ( ~ esk53_0
    | ~ esk31_0 )).

cnf(i_0_663,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_664,axiom,
    ( ~ esk38_0
    | ~ esk32_0 )).

cnf(i_0_665,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_666,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_667,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_668,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | p(X10)
    | p(X1) )).

cnf(i_0_669,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_670,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_671,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_672,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_673,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X3) )).

cnf(i_0_674,axiom,
    ( ~ esk63_0
    | ~ esk41_0 )).

cnf(i_0_675,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_676,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X3) )).

cnf(i_0_677,axiom,
    ( ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_678,axiom,
    ( ~ esk155_0
    | ~ esk157_0 )).

cnf(i_0_679,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_680,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_681,axiom,
    ( ~ p(X5)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X1) )).

cnf(i_0_682,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_683,axiom,
    ( ~ esk63_0
    | ~ esk129_0 )).

cnf(i_0_684,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_685,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_686,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_687,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_688,axiom,
    ( ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_689,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_690,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_691,axiom,
    ( ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_692,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_693,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_694,axiom,
    ( p(X9)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | p(X1) )).

cnf(i_0_695,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_696,axiom,
    ( p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_697,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_698,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_699,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_700,axiom,
    ( p(X3)
    | p(X9)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_701,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X6)
    | p(X9) )).

cnf(i_0_702,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X2) )).

cnf(i_0_703,axiom,
    ( ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_704,axiom,
    ( ~ esk92_0
    | ~ esk96_0 )).

cnf(i_0_705,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_706,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_707,axiom,
    ( ~ esk138_0
    | ~ esk153_0 )).

cnf(i_0_708,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X9) )).

cnf(i_0_709,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_710,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk93_0 )).

cnf(i_0_711,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_712,axiom,
    ( p(X8)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_713,axiom,
    ( ~ esk107_0
    | ~ esk63_0 )).

cnf(i_0_714,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X10) )).

cnf(i_0_715,axiom,
    ( ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_716,axiom,
    ( p(X10)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_717,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_718,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X4) )).

cnf(i_0_719,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X5) )).

cnf(i_0_720,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_721,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_722,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_723,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | p(X1) )).

cnf(i_0_724,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_725,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_726,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_727,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X2) )).

cnf(i_0_728,axiom,
    ( ~ esk23_0
    | ~ esk111_0 )).

cnf(i_0_729,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_730,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_731,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_732,axiom,
    ( p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_733,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_734,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X1)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_735,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_736,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_737,axiom,
    ( ~ esk143_0
    | ~ esk135_0 )).

cnf(i_0_738,axiom,
    ( ~ esk59_0
    | ~ esk147_0 )).

cnf(i_0_739,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | p(X5)
    | p(X2) )).

cnf(i_0_740,axiom,
    ( ~ esk107_0
    | ~ esk103_0 )).

cnf(i_0_741,axiom,
    ( p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_742,axiom,
    ( ~ esk201_0
    | ~ esk91_0 )).

cnf(i_0_743,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_744,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_745,axiom,
    ( ~ esk17_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_746,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_747,axiom,
    ( p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | p(X2) )).

cnf(i_0_748,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_749,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_750,axiom,
    ( ~ esk102_0
    | ~ esk58_0 )).

cnf(i_0_751,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X2) )).

cnf(i_0_752,axiom,
    ( ~ esk135_0
    | ~ esk157_0 )).

cnf(i_0_753,axiom,
    ( ~ esk11_0
    | ~ esk33_0 )).

cnf(i_0_754,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_755,axiom,
    ( ~ esk148_0
    | ~ esk140_0 )).

cnf(i_0_756,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_757,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_758,axiom,
    ( ~ esk103_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_759,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_760,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X4)
    | p(X6)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_761,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X8) )).

cnf(i_0_762,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X7) )).

cnf(i_0_763,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_764,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_765,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_766,axiom,
    ( ~ esk76_0
    | ~ esk87_0 )).

cnf(i_0_767,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X9)
    | p(X10)
    | p(X4) )).

cnf(i_0_768,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_769,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X6)
    | p(X3) )).

cnf(i_0_770,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_771,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_772,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_773,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_774,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X2) )).

cnf(i_0_775,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_776,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_777,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_778,axiom,
    ( p(X3)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | p(X1)
    | p(X5)
    | p(X6)
    | p(X10) )).

cnf(i_0_779,axiom,
    ( ~ esk86_0
    | ~ esk77_0 )).

cnf(i_0_780,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_781,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_782,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_783,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_784,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_785,axiom,
    ( p(X4)
    | p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_786,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_787,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_788,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_789,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_790,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X5)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_791,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_792,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_793,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_794,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_795,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_796,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_797,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_798,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_799,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X6) )).

cnf(i_0_800,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_801,axiom,
    ( ~ esk75_0
    | ~ esk9_0 )).

cnf(i_0_802,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_803,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_804,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_805,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X9) )).

cnf(i_0_806,axiom,
    ( ~ esk107_0
    | ~ esk93_0 )).

cnf(i_0_807,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_808,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9) )).

cnf(i_0_809,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_810,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_811,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_812,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_813,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | p(X5) )).

cnf(i_0_814,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_815,axiom,
    ( p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_816,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10) )).

cnf(i_0_817,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_818,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_819,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_820,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_821,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_822,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X3)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_823,axiom,
    ( p(X10)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X9) )).

cnf(i_0_824,axiom,
    ( p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_825,axiom,
    ( ~ esk99_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_826,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X6) )).

cnf(i_0_827,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_828,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_829,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_830,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_831,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_832,axiom,
    ( ~ esk135_0
    | ~ esk113_0 )).

cnf(i_0_833,axiom,
    ( p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_834,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_835,axiom,
    ( p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X8) )).

cnf(i_0_836,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_837,axiom,
    ( p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_838,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_839,axiom,
    ( ~ esk97_0
    | ~ esk108_0 )).

cnf(i_0_840,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_841,axiom,
    ( ~ esk156_0
    | ~ esk46_0 )).

cnf(i_0_842,axiom,
    ( ~ p(X4)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_843,axiom,
    ( ~ esk13_0
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_844,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_845,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_846,axiom,
    ( ~ esk13_0
    | ~ esk189_0 )).

cnf(i_0_847,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_848,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_849,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_850,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk141_0 )).

cnf(i_0_851,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | p(X9) )).

cnf(i_0_852,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_853,axiom,
    ( ~ esk99_0
    | ~ esk97_0 )).

cnf(i_0_854,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_855,axiom,
    ( ~ esk142_0
    | ~ esk120_0 )).

cnf(i_0_856,axiom,
    ( ~ esk60_0
    | ~ esk54_0 )).

cnf(i_0_857,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_858,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_859,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_860,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X1) )).

cnf(i_0_861,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_862,axiom,
    ( p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_863,axiom,
    ( p(X7)
    | p(X5)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_864,axiom,
    ( ~ esk114_0
    | ~ esk202_0 )).

cnf(i_0_865,axiom,
    ( p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_866,axiom,
    ( ~ esk15_0
    | ~ esk20_0 )).

cnf(i_0_867,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_868,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_869,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_870,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_871,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_872,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | p(X10) )).

cnf(i_0_873,axiom,
    ( p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X1) )).

cnf(i_0_874,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk73_0 )).

cnf(i_0_875,axiom,
    ( ~ esk148_0
    | ~ esk144_0 )).

cnf(i_0_876,axiom,
    ( ~ esk174_0
    | ~ esk157_0 )).

cnf(i_0_877,axiom,
    ( ~ esk182_0
    | ~ esk94_0 )).

cnf(i_0_878,axiom,
    ( ~ esk35_0
    | ~ esk37_0 )).

cnf(i_0_879,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_880,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | p(X2) )).

cnf(i_0_881,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_882,axiom,
    ( p(X10)
    | p(X1)
    | p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_883,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_884,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X4) )).

cnf(i_0_885,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X8)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X5) )).

cnf(i_0_886,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_887,axiom,
    ( ~ esk33_0
    | esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_888,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_889,axiom,
    ( p(X9)
    | p(X2)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X6)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_890,axiom,
    ( p(X1)
    | p(X3)
    | p(X10)
    | p(X8)
    | p(X5)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_891,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X8) )).

cnf(i_0_892,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_893,axiom,
    ( ~ esk205_0
    | ~ esk161_0 )).

cnf(i_0_894,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_895,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_896,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_897,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_898,axiom,
    ( p(X2)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_899,axiom,
    ( ~ esk52_0
    | ~ esk58_0 )).

cnf(i_0_900,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_901,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_902,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_903,axiom,
    ( ~ esk183_0
    | ~ esk161_0 )).

cnf(i_0_904,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_905,axiom,
    ( p(X10)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_906,axiom,
    ( ~ esk31_0
    | ~ esk25_0 )).

cnf(i_0_907,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_908,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk209_0 )).

cnf(i_0_909,axiom,
    ( ~ esk131_0
    | ~ esk132_0 )).

cnf(i_0_910,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_911,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_912,axiom,
    ( p(X10)
    | p(X5)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_913,axiom,
    ( ~ esk40_0
    | ~ esk128_0 )).

cnf(i_0_914,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_915,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_916,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk149_0 )).

cnf(i_0_917,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_918,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_919,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_920,axiom,
    ( ~ esk37_0
    | ~ esk29_0 )).

cnf(i_0_921,axiom,
    ( p(X6)
    | p(X10)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_922,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X3) )).

cnf(i_0_923,axiom,
    ( ~ esk163_0
    | ~ esk141_0 )).

cnf(i_0_924,axiom,
    ( p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_925,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_926,axiom,
    ( ~ esk33_0
    | ~ esk42_0 )).

cnf(i_0_927,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_928,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_929,axiom,
    ( ~ esk206_0
    | ~ esk52_0 )).

cnf(i_0_930,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_931,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_932,axiom,
    ( p(X7)
    | p(X9)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_933,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1) )).

cnf(i_0_934,axiom,
    ( ~ esk147_0
    | ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_935,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_936,axiom,
    ( ~ esk183_0
    | ~ esk95_0 )).

cnf(i_0_937,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_938,axiom,
    ( ~ esk186_0
    | ~ esk178_0 )).

cnf(i_0_939,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_940,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_941,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_942,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X5)
    | p(X1) )).

cnf(i_0_943,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_944,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_945,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_946,axiom,
    ( ~ esk147_0
    | ~ esk152_0 )).

cnf(i_0_947,axiom,
    ( ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_948,axiom,
    ( ~ esk201_0
    | ~ esk218_0 )).

cnf(i_0_949,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_950,axiom,
    ( p(X4)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_951,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_952,axiom,
    ( p(X8)
    | p(X5)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_953,axiom,
    ( ~ esk188_0
    | ~ esk182_0 )).

cnf(i_0_954,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1) )).

cnf(i_0_955,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_956,axiom,
    ( p(X1)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_957,axiom,
    ( p(X1)
    | p(X8)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_958,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_959,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_960,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_961,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_962,axiom,
    ( ~ esk202_0
    | ~ esk216_0 )).

cnf(i_0_963,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_964,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X8) )).

cnf(i_0_965,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_966,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_967,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | p(X7) )).

cnf(i_0_968,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X4) )).

cnf(i_0_969,axiom,
    ( p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X4)
    | p(X5) )).

cnf(i_0_970,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_971,axiom,
    ( p(X2)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X8) )).

cnf(i_0_972,axiom,
    ( ~ esk90_0
    | ~ esk156_0 )).

cnf(i_0_973,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_974,axiom,
    ( ~ esk11_0
    | ~ esk19_0 )).

cnf(i_0_975,axiom,
    ( p(X8)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X7) )).

cnf(i_0_976,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_977,axiom,
    ( ~ esk55_0
    | ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_978,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_979,axiom,
    ( ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_980,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_981,axiom,
    ( ~ esk32_0
    | ~ esk10_0 )).

cnf(i_0_982,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_983,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X10) )).

cnf(i_0_984,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X3)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_985,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_986,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_987,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | p(X4) )).

cnf(i_0_988,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_989,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_990,axiom,
    ( ~ esk155_0
    | ~ esk167_0 )).

cnf(i_0_991,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_992,axiom,
    ( p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X3) )).

cnf(i_0_993,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_994,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_995,axiom,
    ( ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X5) )).

cnf(i_0_996,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X2) )).

cnf(i_0_997,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_998,axiom,
    ( ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_999,axiom,
    ( ~ esk149_0
    | ~ esk215_0 )).

cnf(i_0_1000,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_1001,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X7) )).

cnf(i_0_1002,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_1003,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_1004,axiom,
    ( ~ esk126_0
    | ~ esk16_0 )).

cnf(i_0_1005,axiom,
    ( ~ esk120_0
    | ~ esk208_0 )).

cnf(i_0_1006,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_1007,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_1008,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_1009,axiom,
    ( p(X5)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1010,axiom,
    ( ~ esk120_0
    | ~ esk98_0 )).

cnf(i_0_1011,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_1012,axiom,
    ( ~ esk71_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1013,axiom,
    ( p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X4) )).

cnf(i_0_1014,axiom,
    ( ~ esk209_0
    | ~ esk201_0 )).

cnf(i_0_1015,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1016,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_1017,axiom,
    ( ~ esk94_0
    | ~ esk109_0 )).

cnf(i_0_1018,axiom,
    ( p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1019,axiom,
    ( ~ esk79_0
    | ~ esk35_0 )).

cnf(i_0_1020,axiom,
    ( p(X8)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_1021,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X2)
    | p(X10) )).

cnf(i_0_1022,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1023,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_1024,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_1025,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_1026,axiom,
    ( ~ esk79_0
    | ~ esk81_0 )).

cnf(i_0_1027,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_1028,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_1029,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1030,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1031,axiom,
    ( ~ esk116_0
    | ~ esk128_0 )).

cnf(i_0_1032,axiom,
    ( ~ esk9_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1033,axiom,
    ( ~ esk97_0
    | ~ esk119_0 )).

cnf(i_0_1034,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_1035,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X6) )).

cnf(i_0_1036,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_1037,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X9) )).

cnf(i_0_1038,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_1039,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_1040,axiom,
    ( p(X2)
    | p(X3)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_1041,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_1042,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_1043,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_1044,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1045,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_1046,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_1047,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | p(X7) )).

cnf(i_0_1048,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_1049,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_1050,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_1051,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_1052,axiom,
    ( p(X7)
    | p(X4)
    | p(X9)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X6)
    | p(X10)
    | p(X1)
    | p(X8) )).

cnf(i_0_1053,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X6) )).

cnf(i_0_1054,axiom,
    ( ~ p(X10)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_1055,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | p(X2) )).

cnf(i_0_1056,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_1057,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_1058,axiom,
    ( ~ esk177_0
    | ~ esk199_0 )).

cnf(i_0_1059,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X2) )).

cnf(i_0_1060,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_1061,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1062,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X10) )).

cnf(i_0_1063,axiom,
    ( ~ esk115_0
    | ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1064,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_1065,axiom,
    ( p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X4) )).

cnf(i_0_1066,axiom,
    ( ~ esk72_0
    | ~ esk80_0 )).

cnf(i_0_1067,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_1068,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_1069,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_1070,axiom,
    ( p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_1071,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_1072,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_1073,axiom,
    ( ~ esk125_0
    | ~ esk103_0 )).

cnf(i_0_1074,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_1075,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_1076,axiom,
    ( p(X6)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_1077,axiom,
    ( ~ esk67_0
    | ~ esk1_0 )).

cnf(i_0_1078,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_1079,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_1080,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_1081,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X4) )).

cnf(i_0_1082,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1083,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X10)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X9) )).

cnf(i_0_1084,axiom,
    ( ~ esk51_0
    | ~ esk55_0 )).

cnf(i_0_1085,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10) )).

cnf(i_0_1086,axiom,
    ( p(X3)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1087,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_1088,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1089,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_1090,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X2) )).

cnf(i_0_1091,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_1092,axiom,
    ( p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1093,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1094,axiom,
    ( ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_1095,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X5) )).

cnf(i_0_1096,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_1097,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_1098,axiom,
    ( ~ esk66_0
    | ~ esk54_0 )).

cnf(i_0_1099,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_1100,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_1101,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_1102,axiom,
    ( p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_1103,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_1104,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_1105,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1106,axiom,
    ( p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_1107,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_1108,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_1109,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_1110,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_1111,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_1112,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_1113,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1114,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_1115,axiom,
    ( p(X8)
    | p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_1116,axiom,
    ( p(X8)
    | p(X2)
    | p(X1)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_1117,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_1118,axiom,
    ( ~ esk180_0
    | ~ esk70_0 )).

cnf(i_0_1119,axiom,
    ( ~ esk134_0
    | ~ esk178_0 )).

cnf(i_0_1120,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X6) )).

cnf(i_0_1121,axiom,
    ( p(X4)
    | p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_1122,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_1123,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | p(X10) )).

cnf(i_0_1124,axiom,
    ( p(X10)
    | p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_1125,axiom,
    ( p(X7)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X1) )).

cnf(i_0_1126,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1127,axiom,
    ( p(X10)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_1128,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_1129,axiom,
    ( p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_1130,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_1131,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_1132,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1133,axiom,
    ( ~ esk215_0
    | ~ esk209_0 )).

cnf(i_0_1134,axiom,
    ( ~ esk72_0
    | ~ esk82_0 )).

cnf(i_0_1135,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_1136,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_1137,axiom,
    ( p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_1138,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1139,axiom,
    ( ~ esk217_0
    | ~ esk63_0 )).

cnf(i_0_1140,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_1141,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_1142,axiom,
    ( p(X8)
    | p(X10)
    | p(X6)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_1143,axiom,
    ( p(X10)
    | p(X8)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X5) )).

cnf(i_0_1144,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_1145,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2) )).

cnf(i_0_1146,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_1147,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_1148,axiom,
    ( ~ esk198_0
    | ~ esk180_0 )).

cnf(i_0_1149,axiom,
    ( ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X5)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1150,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X6)
    | p(X7)
    | p(X1) )).

cnf(i_0_1151,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_1152,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_1153,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_1154,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X2) )).

cnf(i_0_1155,axiom,
    ( ~ esk206_0
    | ~ esk162_0 )).

cnf(i_0_1156,axiom,
    ( ~ esk129_0
    | ~ esk85_0 )).

cnf(i_0_1157,axiom,
    ( p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_1158,axiom,
    ( ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_1159,axiom,
    ( p(X6)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_1160,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X6) )).

cnf(i_0_1161,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_1162,axiom,
    ( ~ esk25_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1163,axiom,
    ( ~ esk88_0
    | ~ esk76_0 )).

cnf(i_0_1164,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_1165,axiom,
    ( ~ esk213_0
    | ~ esk207_0 )).

cnf(i_0_1166,axiom,
    ( p(X2)
    | p(X8)
    | p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_1167,axiom,
    ( p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_1168,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_1169,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_1170,axiom,
    ( ~ esk164_0
    | ~ esk162_0 )).

cnf(i_0_1171,axiom,
    ( ~ esk183_0
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1172,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X10)
    | p(X1) )).

cnf(i_0_1173,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_1174,axiom,
    ( p(X6)
    | p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_1175,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_1176,axiom,
    ( ~ esk90_0
    | ~ esk134_0 )).

cnf(i_0_1177,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1178,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_1179,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1180,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1181,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_1182,axiom,
    ( ~ p(X5)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_1183,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1184,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_1185,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_1186,axiom,
    ( p(X2)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_1187,axiom,
    ( ~ esk179_0
    | ~ esk157_0 )).

cnf(i_0_1188,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_1189,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1190,axiom,
    ( p(X3)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1191,axiom,
    ( ~ esk58_0
    | ~ esk14_0 )).

cnf(i_0_1192,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1193,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_1194,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_1195,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_1196,axiom,
    ( ~ esk162_0
    | ~ esk30_0 )).

cnf(i_0_1197,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X4) )).

cnf(i_0_1198,axiom,
    ( ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_1199,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_1200,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk55_0 )).

cnf(i_0_1201,axiom,
    ( ~ esk136_0
    | ~ esk142_0 )).

cnf(i_0_1202,axiom,
    ( p(X2)
    | p(X4)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1203,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_1204,axiom,
    ( p(X4)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_1205,axiom,
    ( ~ esk136_0
    | ~ esk140_0 )).

cnf(i_0_1206,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_1207,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_1208,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_1209,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_1210,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_1211,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_1212,axiom,
    ( ~ esk73_0
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1213,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_1214,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1215,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_1216,axiom,
    ( ~ esk68_0
    | ~ esk70_0 )).

cnf(i_0_1217,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_1218,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_1219,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_1220,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_1221,axiom,
    ( p(X4)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1222,axiom,
    ( ~ esk33_0
    | ~ esk121_0 )).

cnf(i_0_1223,axiom,
    ( p(X4)
    | p(X1)
    | p(X10)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_1224,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_1225,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_1226,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_1227,axiom,
    ( ~ esk11_0
    | ~ esk17_0 )).

cnf(i_0_1228,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X10) )).

cnf(i_0_1229,axiom,
    ( p(X9)
    | p(X4)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_1230,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_1231,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X2)
    | p(X5) )).

cnf(i_0_1232,axiom,
    ( ~ esk119_0
    | ~ esk115_0 )).

cnf(i_0_1233,axiom,
    ( ~ esk2_0
    | ~ esk6_0 )).

cnf(i_0_1234,axiom,
    ( p(X9)
    | p(X10)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_1235,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_1236,axiom,
    ( ~ esk216_0
    | ~ esk172_0 )).

cnf(i_0_1237,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_1238,axiom,
    ( ~ esk71_0
    | ~ esk67_0 )).

cnf(i_0_1239,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_1240,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_1241,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_1242,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X1) )).

cnf(i_0_1243,axiom,
    ( ~ esk126_0
    | ~ esk118_0 )).

cnf(i_0_1244,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk123_0 )).

cnf(i_0_1245,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1246,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_1247,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1248,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_1249,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_1250,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1251,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_1252,axiom,
    ( ~ p(X10)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_1253,axiom,
    ( ~ esk149_0
    | ~ esk39_0 )).

cnf(i_0_1254,axiom,
    ( p(X10)
    | p(X7)
    | p(X2)
    | p(X8)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_1255,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_1256,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1257,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X2) )).

cnf(i_0_1258,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_1259,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_1260,axiom,
    ( p(X2)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1261,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_1262,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_1263,axiom,
    ( ~ esk79_0
    | ~ esk167_0 )).

cnf(i_0_1264,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_1265,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1266,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1267,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_1268,axiom,
    ( p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_1269,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_1270,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_1271,axiom,
    ( ~ esk84_0
    | ~ esk87_0 )).

cnf(i_0_1272,axiom,
    ( p(X9)
    | p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1273,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_1274,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk71_0 )).

cnf(i_0_1275,axiom,
    ( ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_1276,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1277,axiom,
    ( ~ esk124_0
    | ~ esk80_0 )).

cnf(i_0_1278,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_1279,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1280,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_1281,axiom,
    ( p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_1282,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_1283,axiom,
    ( ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_1284,axiom,
    ( p(X7)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_1285,axiom,
    ( ~ esk218_0
    | ~ esk211_0 )).

cnf(i_0_1286,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_1287,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | p(X2) )).

cnf(i_0_1288,axiom,
    ( ~ esk66_0
    | ~ esk48_0 )).

cnf(i_0_1289,axiom,
    ( p(X9)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_1290,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_1291,axiom,
    ( ~ p(X2)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_1292,axiom,
    ( p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_1293,axiom,
    ( p(X6)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1294,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_1295,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1296,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X10) )).

cnf(i_0_1297,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_1298,axiom,
    ( ~ esk18_0
    | ~ esk150_0 )).

cnf(i_0_1299,axiom,
    ( ~ esk65_0
    | ~ esk131_0 )).

cnf(i_0_1300,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1) )).

cnf(i_0_1301,axiom,
    ( ~ esk203_0
    | ~ esk218_0 )).

cnf(i_0_1302,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_1303,axiom,
    ( p(X6)
    | p(X4)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1304,axiom,
    ( p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_1305,axiom,
    ( ~ esk100_0
    | ~ esk144_0 )).

cnf(i_0_1306,axiom,
    ( p(X9)
    | p(X6)
    | p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_1307,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1308,axiom,
    ( ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_1309,axiom,
    ( ~ esk171_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1310,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_1311,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_1312,axiom,
    ( ~ esk171_0
    | ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1313,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1314,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_1315,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X10) )).

cnf(i_0_1316,axiom,
    ( ~ esk168_0
    | ~ esk102_0 )).

cnf(i_0_1317,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_1318,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_1319,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_1320,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X9)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_1321,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_1322,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | p(X10)
    | p(X4)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_1323,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_1324,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_1325,axiom,
    ( p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1326,axiom,
    ( ~ esk177_0
    | ~ esk189_0 )).

cnf(i_0_1327,axiom,
    ( ~ esk149_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1328,axiom,
    ( p(X4)
    | p(X5)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_1329,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_1330,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_1331,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1332,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_1333,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_1334,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_1335,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_1336,axiom,
    ( p(X7)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_1337,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_1338,axiom,
    ( p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_1339,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_1340,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_1341,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_1342,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_1343,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_1344,axiom,
    ( p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_1345,axiom,
    ( p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1346,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | p(X8) )).

cnf(i_0_1347,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_1348,axiom,
    ( p(X4)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1349,axiom,
    ( ~ esk28_0
    | ~ esk94_0 )).

cnf(i_0_1350,axiom,
    ( ~ esk33_0
    | ~ esk209_0 )).

cnf(i_0_1351,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1352,axiom,
    ( p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_1353,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X10)
    | p(X5)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1354,axiom,
    ( ~ esk153_0
    | ~ esk21_0 )).

cnf(i_0_1355,axiom,
    ( ~ esk72_0
    | ~ esk116_0 )).

cnf(i_0_1356,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_1357,axiom,
    ( ~ esk142_0
    | ~ esk164_0 )).

cnf(i_0_1358,axiom,
    ( ~ esk61_0
    | ~ esk49_0 )).

cnf(i_0_1359,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1360,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X7)
    | p(X4) )).

cnf(i_0_1361,axiom,
    ( ~ esk127_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1362,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_1363,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_1364,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1365,axiom,
    ( ~ esk193_0
    | ~ esk215_0 )).

cnf(i_0_1366,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_1367,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_1368,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_1369,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_1370,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_1371,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1372,axiom,
    ( p(X8)
    | p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_1373,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_1374,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_1375,axiom,
    ( ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_1376,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_1377,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_1378,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_1379,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X6) )).

cnf(i_0_1380,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_1381,axiom,
    ( p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_1382,axiom,
    ( ~ esk166_0
    | ~ esk156_0 )).

cnf(i_0_1383,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_1384,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | p(X9) )).

cnf(i_0_1385,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X6) )).

cnf(i_0_1386,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_1387,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_1388,axiom,
    ( p(X2)
    | p(X10)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_1389,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_1390,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_1391,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_1392,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X6) )).

cnf(i_0_1393,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_1394,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1395,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_1396,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_1397,axiom,
    ( ~ esk27_0
    | ~ esk203_0 )).

cnf(i_0_1398,axiom,
    ( p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X9) )).

cnf(i_0_1399,axiom,
    ( ~ esk32_0
    | ~ esk76_0 )).

cnf(i_0_1400,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1401,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_1402,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_1403,axiom,
    ( ~ esk28_0
    | ~ esk50_0 )).

cnf(i_0_1404,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_1405,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X9)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_1406,axiom,
    ( ~ esk26_0
    | ~ esk30_0 )).

cnf(i_0_1407,axiom,
    ( p(X3)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X9) )).

cnf(i_0_1408,axiom,
    ( ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_1409,axiom,
    ( p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_1410,axiom,
    ( esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk81_0 )).

cnf(i_0_1411,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X8) )).

cnf(i_0_1412,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_1413,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_1414,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X6) )).

cnf(i_0_1415,axiom,
    ( ~ esk113_0
    | ~ esk3_0 )).

cnf(i_0_1416,axiom,
    ( ~ esk115_0
    | ~ esk137_0 )).

cnf(i_0_1417,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_1418,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_1419,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1420,axiom,
    ( ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_1421,axiom,
    ( p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X8) )).

cnf(i_0_1422,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_1423,axiom,
    ( ~ esk34_0
    | ~ esk144_0 )).

cnf(i_0_1424,axiom,
    ( ~ esk14_0
    | ~ esk12_0 )).

cnf(i_0_1425,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_1426,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_1427,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1428,axiom,
    ( p(X7)
    | p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_1429,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_1430,axiom,
    ( p(X4)
    | p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_1431,axiom,
    ( p(X6)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_1432,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_1433,axiom,
    ( ~ esk52_0
    | ~ esk50_0 )).

cnf(i_0_1434,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1435,axiom,
    ( ~ esk145_0
    | ~ esk57_0 )).

cnf(i_0_1436,axiom,
    ( ~ esk97_0
    | ~ esk89_0 )).

cnf(i_0_1437,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1438,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6) )).

cnf(i_0_1439,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_1440,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_1441,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_1442,axiom,
    ( ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1443,axiom,
    ( p(X7)
    | p(X5)
    | p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_1444,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1445,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X10) )).

cnf(i_0_1446,axiom,
    ( ~ esk125_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1447,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1448,axiom,
    ( esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk191_0 )).

cnf(i_0_1449,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_1450,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_1451,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_1452,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_1453,axiom,
    ( ~ esk186_0
    | ~ esk142_0 )).

cnf(i_0_1454,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_1455,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_1456,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_1457,axiom,
    ( ~ esk186_0
    | ~ esk76_0 )).

cnf(i_0_1458,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_1459,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_1460,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_1461,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_1462,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_1463,axiom,
    ( ~ esk135_0
    | ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1464,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X1) )).

cnf(i_0_1465,axiom,
    ( ~ esk143_0
    | ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1466,axiom,
    ( p(X3)
    | p(X10)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_1467,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X10) )).

cnf(i_0_1468,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X6) )).

cnf(i_0_1469,axiom,
    ( ~ esk49_0
    | ~ esk5_0 )).

cnf(i_0_1470,axiom,
    ( ~ esk113_0
    | ~ esk127_0 )).

cnf(i_0_1471,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_1472,axiom,
    ( ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_1473,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X8) )).

cnf(i_0_1474,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_1475,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X8)
    | p(X2)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_1476,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1) )).

cnf(i_0_1477,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_1478,axiom,
    ( ~ esk53_0
    | ~ esk207_0 )).

cnf(i_0_1479,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_1480,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6) )).

cnf(i_0_1481,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1482,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X10) )).

cnf(i_0_1483,axiom,
    ( p(X3)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_1484,axiom,
    ( ~ esk214_0
    | ~ esk148_0 )).

cnf(i_0_1485,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | p(X2)
    | p(X1)
    | p(X3)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1486,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_1487,axiom,
    ( p(X6)
    | p(X1)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_1488,axiom,
    ( ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_1489,axiom,
    ( ~ esk162_0
    | ~ esk52_0 )).

cnf(i_0_1490,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_1491,axiom,
    ( ~ esk35_0
    | ~ esk13_0 )).

cnf(i_0_1492,axiom,
    ( ~ esk196_0
    | ~ esk185_0 )).

cnf(i_0_1493,axiom,
    ( ~ esk110_0
    | ~ esk100_0 )).

cnf(i_0_1494,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | p(X2) )).

cnf(i_0_1495,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_1496,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_1497,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X2) )).

cnf(i_0_1498,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_1499,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1500,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_1501,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_1502,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1503,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_1504,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_1505,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_1506,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_1507,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_1508,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_1509,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk85_0 )).

cnf(i_0_1510,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_1511,axiom,
    ( p(X3)
    | p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_1512,axiom,
    ( p(X8)
    | p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_1513,axiom,
    ( ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1514,axiom,
    ( ~ esk163_0
    | ~ esk53_0 )).

cnf(i_0_1515,axiom,
    ( esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk130_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1516,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_1517,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_1518,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_1519,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1520,axiom,
    ( ~ esk17_0
    | ~ esk5_0 )).

cnf(i_0_1521,axiom,
    ( p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_1522,axiom,
    ( ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1523,axiom,
    ( p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_1524,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1525,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X10) )).

cnf(i_0_1526,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_1527,axiom,
    ( ~ esk184_0
    | ~ esk140_0 )).

cnf(i_0_1528,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1529,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X7) )).

cnf(i_0_1530,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_1531,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_1532,axiom,
    ( ~ esk191_0
    | ~ esk185_0 )).

cnf(i_0_1533,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_1534,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_1535,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_1536,axiom,
    ( p(X3)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1537,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_1538,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X4) )).

cnf(i_0_1539,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X9) )).

cnf(i_0_1540,axiom,
    ( ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk81_0 )).

cnf(i_0_1541,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_1542,axiom,
    ( ~ esk206_0
    | ~ esk118_0 )).

cnf(i_0_1543,axiom,
    ( ~ esk131_0
    | ~ esk118_0 )).

cnf(i_0_1544,axiom,
    ( p(X7)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_1545,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_1546,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_1547,axiom,
    ( ~ esk176_0
    | ~ esk156_0 )).

cnf(i_0_1548,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_1549,axiom,
    ( ~ esk191_0
    | ~ esk179_0 )).

cnf(i_0_1550,axiom,
    ( ~ esk105_0
    | ~ esk95_0 )).

cnf(i_0_1551,axiom,
    ( ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X8) )).

cnf(i_0_1552,axiom,
    ( ~ esk31_0
    | ~ esk42_0 )).

cnf(i_0_1553,axiom,
    ( ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_1554,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X9) )).

cnf(i_0_1555,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_1556,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_1557,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_1558,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_1559,axiom,
    ( ~ esk188_0
    | ~ esk184_0 )).

cnf(i_0_1560,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1561,axiom,
    ( ~ esk181_0
    | ~ esk71_0 )).

cnf(i_0_1562,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | p(X5) )).

cnf(i_0_1563,axiom,
    ( ~ esk46_0
    | ~ esk134_0 )).

cnf(i_0_1564,axiom,
    ( p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | p(X2) )).

cnf(i_0_1565,axiom,
    ( ~ esk28_0
    | ~ esk116_0 )).

cnf(i_0_1566,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | p(X2) )).

cnf(i_0_1567,axiom,
    ( p(X7)
    | p(X9)
    | p(X6)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_1568,axiom,
    ( p(X4)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_1569,axiom,
    ( p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_1570,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk35_0 )).

cnf(i_0_1571,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1572,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X4) )).

cnf(i_0_1573,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_1574,axiom,
    ( p(X5)
    | p(X9)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_1575,axiom,
    ( p(X1)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_1576,axiom,
    ( ~ esk70_0
    | ~ esk84_0 )).

cnf(i_0_1577,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_1578,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_1579,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_1580,axiom,
    ( ~ esk113_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1581,axiom,
    ( p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_1582,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X2) )).

cnf(i_0_1583,axiom,
    ( ~ esk171_0
    | ~ esk161_0 )).

cnf(i_0_1584,axiom,
    ( p(X2)
    | p(X6)
    | p(X4)
    | p(X9)
    | p(X1)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_1585,axiom,
    ( p(X4)
    | p(X1)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_1586,axiom,
    ( p(X4)
    | p(X10)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_1587,axiom,
    ( p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X2) )).

cnf(i_0_1588,axiom,
    ( p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X9) )).

cnf(i_0_1589,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_1590,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X8) )).

cnf(i_0_1591,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_1592,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X5) )).

cnf(i_0_1593,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_1594,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_1595,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_1596,axiom,
    ( p(X1)
    | p(X8)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1597,axiom,
    ( ~ esk195_0
    | ~ esk189_0 )).

cnf(i_0_1598,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_1599,axiom,
    ( ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_1600,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1601,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | p(X10) )).

cnf(i_0_1602,axiom,
    ( ~ p(X2)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_1603,axiom,
    ( p(X4)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X9) )).

cnf(i_0_1604,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X1)
    | p(X3)
    | p(X5) )).

cnf(i_0_1605,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_1606,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1607,axiom,
    ( ~ esk185_0
    | ~ esk195_0 )).

cnf(i_0_1608,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X10) )).

cnf(i_0_1609,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X8)
    | p(X1) )).

cnf(i_0_1610,axiom,
    ( ~ esk2_0
    | ~ esk16_0 )).

cnf(i_0_1611,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_1612,axiom,
    ( p(X5)
    | p(X9)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X1) )).

cnf(i_0_1613,axiom,
    ( ~ esk106_0
    | ~ esk92_0 )).

cnf(i_0_1614,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_1615,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_1616,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X5)
    | p(X8)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_1617,axiom,
    ( ~ esk199_0
    | esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1618,axiom,
    ( p(X6)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_1619,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1620,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_1621,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_1622,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_1623,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_1624,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk141_0 )).

cnf(i_0_1625,axiom,
    ( ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_1626,axiom,
    ( p(X7)
    | p(X6)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_1627,axiom,
    ( p(X9)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_1628,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_1629,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_1630,axiom,
    ( ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_1631,axiom,
    ( p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_1632,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_1633,axiom,
    ( ~ esk19_0
    | ~ esk151_0 )).

cnf(i_0_1634,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_1635,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X10) )).

cnf(i_0_1636,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10) )).

cnf(i_0_1637,axiom,
    ( ~ esk69_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1638,axiom,
    ( ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk155_0 )).

cnf(i_0_1639,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X1) )).

cnf(i_0_1640,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1641,axiom,
    ( ~ esk123_0
    | ~ esk189_0 )).

cnf(i_0_1642,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_1643,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_1644,axiom,
    ( ~ p(X1)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_1645,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1646,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_1647,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_1648,axiom,
    ( ~ esk80_0
    | ~ esk102_0 )).

cnf(i_0_1649,axiom,
    ( ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_1650,axiom,
    ( p(X1)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_1651,axiom,
    ( p(X4)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_1652,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_1653,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_1654,axiom,
    ( ~ esk112_0
    | ~ esk132_0 )).

cnf(i_0_1655,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_1656,axiom,
    ( ~ esk84_0
    | ~ esk68_0 )).

cnf(i_0_1657,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X4) )).

cnf(i_0_1658,axiom,
    ( p(X2)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_1659,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_1660,axiom,
    ( ~ esk169_0
    | ~ esk161_0 )).

cnf(i_0_1661,axiom,
    ( p(X6)
    | p(X2)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_1662,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X7) )).

cnf(i_0_1663,axiom,
    ( ~ esk117_0
    | ~ esk73_0 )).

cnf(i_0_1664,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_1665,axiom,
    ( ~ esk203_0
    | ~ esk199_0 )).

cnf(i_0_1666,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1667,axiom,
    ( ~ p(X1)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_1668,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_1669,axiom,
    ( p(X8)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X2)
    | p(X10) )).

cnf(i_0_1670,axiom,
    ( ~ esk27_0
    | ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1671,axiom,
    ( ~ esk149_0
    | ~ esk137_0 )).

cnf(i_0_1672,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X7) )).

cnf(i_0_1673,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X8) )).

cnf(i_0_1674,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_1675,axiom,
    ( ~ esk165_0
    | ~ esk163_0 )).

cnf(i_0_1676,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_1677,axiom,
    ( ~ esk115_0
    | ~ esk121_0 )).

cnf(i_0_1678,axiom,
    ( ~ esk41_0
    | ~ esk35_0 )).

cnf(i_0_1679,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1680,axiom,
    ( ~ esk32_0
    | ~ esk44_0 )).

cnf(i_0_1681,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X2) )).

cnf(i_0_1682,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_1683,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_1684,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1685,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1686,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_1687,axiom,
    ( ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X6) )).

cnf(i_0_1688,axiom,
    ( p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X7) )).

cnf(i_0_1689,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_1690,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_1691,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_1692,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X2) )).

cnf(i_0_1693,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_1694,axiom,
    ( esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk9_0 )).

cnf(i_0_1695,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_1696,axiom,
    ( ~ esk14_0
    | ~ esk2_0 )).

cnf(i_0_1697,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_1698,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_1699,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X4) )).

cnf(i_0_1700,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1701,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_1702,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1703,axiom,
    ( ~ esk76_0
    | ~ esk142_0 )).

cnf(i_0_1704,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8) )).

cnf(i_0_1705,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_1706,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1707,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1708,axiom,
    ( p(X5)
    | p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_1709,axiom,
    ( ~ esk57_0
    | esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1710,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1711,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1712,axiom,
    ( ~ esk142_0
    | ~ esk146_0 )).

cnf(i_0_1713,axiom,
    ( p(X9)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1714,axiom,
    ( ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_1715,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X7) )).

cnf(i_0_1716,axiom,
    ( ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_1717,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_1718,axiom,
    ( p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_1719,axiom,
    ( p(X2)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_1720,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X6) )).

cnf(i_0_1721,axiom,
    ( ~ esk156_0
    | ~ esk158_0 )).

cnf(i_0_1722,axiom,
    ( ~ esk145_0
    | ~ esk101_0 )).

cnf(i_0_1723,axiom,
    ( p(X10)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_1724,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X5) )).

cnf(i_0_1725,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1726,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_1727,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_1728,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_1729,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_1730,axiom,
    ( ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_1731,axiom,
    ( ~ esk89_0
    | ~ esk105_0 )).

cnf(i_0_1732,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1733,axiom,
    ( ~ esk147_0
    | ~ esk103_0 )).

cnf(i_0_1734,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_1735,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_1736,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_1737,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X3) )).

cnf(i_0_1738,axiom,
    ( p(X6)
    | p(X4)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1739,axiom,
    ( p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_1740,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_1741,axiom,
    ( ~ esk210_0
    | ~ esk34_0 )).

cnf(i_0_1742,axiom,
    ( p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1743,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_1744,axiom,
    ( ~ esk145_0
    | ~ esk123_0 )).

cnf(i_0_1745,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_1746,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | p(X9)
    | p(X4) )).

cnf(i_0_1747,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X5) )).

cnf(i_0_1748,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1) )).

cnf(i_0_1749,axiom,
    ( p(X7)
    | p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1750,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_1751,axiom,
    ( ~ esk105_0
    | ~ esk61_0 )).

cnf(i_0_1752,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X6) )).

cnf(i_0_1753,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X3) )).

cnf(i_0_1754,axiom,
    ( ~ esk87_0
    | ~ esk21_0 )).

cnf(i_0_1755,axiom,
    ( ~ esk188_0
    | ~ esk178_0 )).

cnf(i_0_1756,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1757,axiom,
    ( ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk17_0 )).

cnf(i_0_1758,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1759,axiom,
    ( ~ esk104_0
    | ~ esk98_0 )).

cnf(i_0_1760,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X3) )).

cnf(i_0_1761,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1762,axiom,
    ( p(X8)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_1763,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_1764,axiom,
    ( p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_1765,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X8) )).

cnf(i_0_1766,axiom,
    ( ~ esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk196_0 )).

cnf(i_0_1767,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X3) )).

cnf(i_0_1768,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1769,axiom,
    ( ~ esk26_0
    | ~ esk38_0 )).

cnf(i_0_1770,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_1771,axiom,
    ( ~ p(X4)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_1772,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X3) )).

cnf(i_0_1773,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_1774,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_1775,axiom,
    ( p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1776,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_1777,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_1778,axiom,
    ( esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk157_0 )).

cnf(i_0_1779,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | p(X8)
    | p(X3)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_1780,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_1781,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_1782,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_1783,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7) )).

cnf(i_0_1784,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_1785,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_1786,axiom,
    ( ~ esk43_0
    | ~ esk153_0 )).

cnf(i_0_1787,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5) )).

cnf(i_0_1788,axiom,
    ( p(X9)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1789,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X3) )).

cnf(i_0_1790,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1791,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_1792,axiom,
    ( p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_1793,axiom,
    ( ~ esk135_0
    | ~ esk133_0 )).

cnf(i_0_1794,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_1795,axiom,
    ( p(X3)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_1796,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_1797,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_1798,axiom,
    ( p(X5)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X6) )).

cnf(i_0_1799,axiom,
    ( p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_1800,axiom,
    ( p(X10)
    | p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_1801,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1802,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1803,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_1804,axiom,
    ( p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_1805,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_1806,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_1807,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X5) )).

cnf(i_0_1808,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X2) )).

cnf(i_0_1809,axiom,
    ( ~ esk109_0
    | ~ esk92_0 )).

cnf(i_0_1810,axiom,
    ( ~ esk81_0
    | ~ esk147_0 )).

cnf(i_0_1811,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_1812,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_1813,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_1814,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_1815,axiom,
    ( ~ esk203_0
    | ~ esk209_0 )).

cnf(i_0_1816,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X5)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_1817,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | p(X3) )).

cnf(i_0_1818,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_1819,axiom,
    ( p(X8)
    | p(X1)
    | p(X10)
    | p(X9)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_1820,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_1821,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_1822,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_1823,axiom,
    ( p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X10)
    | p(X3) )).

cnf(i_0_1824,axiom,
    ( ~ p(X4)
    | p(X8)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_1825,axiom,
    ( p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1826,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X6)
    | p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_1827,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_1828,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_1829,axiom,
    ( p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_1830,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_1831,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | p(X5) )).

cnf(i_0_1832,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1833,axiom,
    ( ~ esk178_0
    | ~ esk192_0 )).

cnf(i_0_1834,axiom,
    ( p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_1835,axiom,
    ( ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_1836,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_1837,axiom,
    ( ~ esk191_0
    | ~ esk147_0 )).

cnf(i_0_1838,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X10) )).

cnf(i_0_1839,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_1840,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_1841,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_1842,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_1843,axiom,
    ( p(X3)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_1844,axiom,
    ( ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_1845,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_1846,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_1847,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1848,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1849,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4) )).

cnf(i_0_1850,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_1851,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_1852,axiom,
    ( ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X5) )).

cnf(i_0_1853,axiom,
    ( ~ esk117_0
    | ~ esk205_0 )).

cnf(i_0_1854,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_1855,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_1856,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1857,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X5) )).

cnf(i_0_1858,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1859,axiom,
    ( ~ esk169_0
    | ~ esk15_0 )).

cnf(i_0_1860,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X3)
    | p(X10) )).

cnf(i_0_1861,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_1862,axiom,
    ( ~ esk10_0
    | ~ esk98_0 )).

cnf(i_0_1863,axiom,
    ( ~ esk90_0
    | ~ esk96_0 )).

cnf(i_0_1864,axiom,
    ( ~ esk59_0
    | ~ esk49_0 )).

cnf(i_0_1865,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1866,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_1867,axiom,
    ( ~ esk164_0
    | ~ esk176_0 )).

cnf(i_0_1868,axiom,
    ( ~ esk1_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1869,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X3)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_1870,axiom,
    ( p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_1871,axiom,
    ( ~ esk119_0
    | ~ esk163_0 )).

cnf(i_0_1872,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_1873,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_1874,axiom,
    ( ~ esk172_0
    | ~ esk175_0 )).

cnf(i_0_1875,axiom,
    ( p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_1876,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk173_0 )).

cnf(i_0_1877,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1878,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X7) )).

cnf(i_0_1879,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_1880,axiom,
    ( ~ esk68_0
    | ~ esk156_0 )).

cnf(i_0_1881,axiom,
    ( ~ esk73_0
    | ~ esk71_0 )).

cnf(i_0_1882,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_1883,axiom,
    ( ~ esk159_0
    | ~ esk71_0 )).

cnf(i_0_1884,axiom,
    ( p(X2)
    | p(X5)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_1885,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_1886,axiom,
    ( ~ esk78_0
    | ~ esk84_0 )).

cnf(i_0_1887,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1888,axiom,
    ( p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_1889,axiom,
    ( p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1890,axiom,
    ( p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | p(X3) )).

cnf(i_0_1891,axiom,
    ( p(X3)
    | p(X6)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1892,axiom,
    ( p(X7)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_1893,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_1894,axiom,
    ( p(X7)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X10) )).

cnf(i_0_1895,axiom,
    ( p(X1)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X10) )).

cnf(i_0_1896,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_1897,axiom,
    ( ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_1898,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X4) )).

cnf(i_0_1899,axiom,
    ( p(X8)
    | p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X10) )).

cnf(i_0_1900,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_1901,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X5) )).

cnf(i_0_1902,axiom,
    ( ~ esk202_0
    | ~ esk219_0 )).

cnf(i_0_1903,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1904,axiom,
    ( ~ esk161_0
    | ~ esk159_0 )).

cnf(i_0_1905,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_1906,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_1907,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | p(X5)
    | p(X10) )).

cnf(i_0_1908,axiom,
    ( ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_1909,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_1910,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1911,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1912,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_1913,axiom,
    ( p(X3)
    | p(X5)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_1914,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X10) )).

cnf(i_0_1915,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X5) )).

cnf(i_0_1916,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_1917,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_1918,axiom,
    ( ~ esk101_0
    | ~ esk99_0 )).

cnf(i_0_1919,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X2) )).

cnf(i_0_1920,axiom,
    ( ~ esk206_0
    | ~ esk140_0 )).

cnf(i_0_1921,axiom,
    ( ~ esk155_0
    | ~ esk133_0 )).

cnf(i_0_1922,axiom,
    ( p(X2)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_1923,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_1924,axiom,
    ( ~ esk68_0
    | ~ esk82_0 )).

cnf(i_0_1925,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X7) )).

cnf(i_0_1926,axiom,
    ( p(X9)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_1927,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_1928,axiom,
    ( p(X2)
    | p(X6)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_1929,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_1930,axiom,
    ( p(X2)
    | p(X9)
    | p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X5) )).

cnf(i_0_1931,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1932,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_1933,axiom,
    ( p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_1934,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X7) )).

cnf(i_0_1935,axiom,
    ( ~ esk214_0
    | ~ esk170_0 )).

cnf(i_0_1936,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X2) )).

cnf(i_0_1937,axiom,
    ( ~ esk189_0
    | ~ esk181_0 )).

cnf(i_0_1938,axiom,
    ( ~ esk26_0
    | ~ esk158_0 )).

cnf(i_0_1939,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_1940,axiom,
    ( ~ esk70_0
    | ~ esk92_0 )).

cnf(i_0_1941,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | p(X5) )).

cnf(i_0_1942,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_1943,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_1944,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1945,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | p(X9) )).

cnf(i_0_1946,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1947,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_1948,axiom,
    ( ~ esk66_0
    | ~ esk65_0 )).

cnf(i_0_1949,axiom,
    ( ~ esk205_0
    | ~ esk218_0 )).

cnf(i_0_1950,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_1951,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X2) )).

cnf(i_0_1952,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_1953,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | p(X8) )).

cnf(i_0_1954,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_1955,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_1956,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_1957,axiom,
    ( p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X9) )).

cnf(i_0_1958,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_1959,axiom,
    ( p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X3) )).

cnf(i_0_1960,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_1961,axiom,
    ( p(X5)
    | p(X4)
    | p(X9)
    | p(X8)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1962,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_1963,axiom,
    ( ~ p(X8)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_1964,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_1965,axiom,
    ( ~ esk197_0
    | ~ esk182_0 )).

cnf(i_0_1966,axiom,
    ( p(X9)
    | p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_1967,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_1968,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1969,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | p(X3)
    | p(X10) )).

cnf(i_0_1970,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_1971,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X8) )).

cnf(i_0_1972,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_1973,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_1974,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_1975,axiom,
    ( p(X4)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_1976,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X6) )).

cnf(i_0_1977,axiom,
    ( p(X1)
    | p(X7)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_1978,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_1979,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | p(X4) )).

cnf(i_0_1980,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_1981,axiom,
    ( ~ esk79_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1982,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_1983,axiom,
    ( ~ esk27_0
    | ~ esk115_0 )).

cnf(i_0_1984,axiom,
    ( p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X2) )).

cnf(i_0_1985,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_1986,axiom,
    ( ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_1987,axiom,
    ( p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X4) )).

cnf(i_0_1988,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1989,axiom,
    ( p(X7)
    | p(X6)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_1990,axiom,
    ( ~ esk150_0
    | ~ esk153_0 )).

cnf(i_0_1991,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_1992,axiom,
    ( p(X8)
    | p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_1993,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_1994,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_1995,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_1996,axiom,
    ( ~ esk184_0
    | ~ esk8_0 )).

cnf(i_0_1997,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_1998,axiom,
    ( p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_1999,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_2000,axiom,
    ( ~ esk50_0
    | ~ esk54_0 )).

cnf(i_0_2001,axiom,
    ( ~ esk90_0
    | ~ esk104_0 )).

cnf(i_0_2002,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_2003,axiom,
    ( ~ esk9_0
    | ~ esk119_0 )).

cnf(i_0_2004,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_2005,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_2006,axiom,
    ( ~ esk199_0
    | ~ esk215_0 )).

cnf(i_0_2007,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X9) )).

cnf(i_0_2008,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_2009,axiom,
    ( p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_2010,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_2011,axiom,
    ( ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_2012,axiom,
    ( p(X9)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_2013,axiom,
    ( p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X3)
    | p(X5)
    | p(X7) )).

cnf(i_0_2014,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X8)
    | p(X5)
    | p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_2015,axiom,
    ( ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk163_0 )).

cnf(i_0_2016,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_2017,axiom,
    ( ~ esk45_0
    | ~ esk111_0 )).

cnf(i_0_2018,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_2019,axiom,
    ( ~ esk77_0
    | ~ esk121_0 )).

cnf(i_0_2020,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_2021,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_2022,axiom,
    ( ~ esk214_0
    | ~ esk126_0 )).

cnf(i_0_2023,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2024,axiom,
    ( ~ esk131_0
    | ~ esk21_0 )).

cnf(i_0_2025,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_2026,axiom,
    ( ~ esk127_0
    | ~ esk39_0 )).

cnf(i_0_2027,axiom,
    ( p(X10)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_2028,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_2029,axiom,
    ( p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_2030,axiom,
    ( ~ esk158_0
    | ~ esk175_0 )).

cnf(i_0_2031,axiom,
    ( ~ esk100_0
    | ~ esk122_0 )).

cnf(i_0_2032,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X7) )).

cnf(i_0_2033,axiom,
    ( p(X6)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_2034,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_2035,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_2036,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_2037,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2038,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2039,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X9) )).

cnf(i_0_2040,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_2041,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X9) )).

cnf(i_0_2042,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_2043,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X8) )).

cnf(i_0_2044,axiom,
    ( ~ esk195_0
    | ~ esk217_0 )).

cnf(i_0_2045,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_2046,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2047,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_2048,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_2049,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_2050,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_2051,axiom,
    ( ~ esk129_0
    | ~ esk19_0 )).

cnf(i_0_2052,axiom,
    ( ~ esk208_0
    | ~ esk202_0 )).

cnf(i_0_2053,axiom,
    ( p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X5)
    | p(X1)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_2054,axiom,
    ( ~ esk65_0
    | ~ esk52_0 )).

cnf(i_0_2055,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk185_0 )).

cnf(i_0_2056,axiom,
    ( p(X5)
    | p(X4)
    | p(X1)
    | p(X9)
    | p(X6)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X7) )).

cnf(i_0_2057,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_2058,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_2059,axiom,
    ( ~ esk173_0
    | ~ esk174_0 )).

cnf(i_0_2060,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2061,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_2062,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_2063,axiom,
    ( p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_2064,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_2065,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_2066,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_2067,axiom,
    ( ~ esk189_0
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2068,axiom,
    ( p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2069,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_2070,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X1) )).

cnf(i_0_2071,axiom,
    ( p(X4)
    | p(X8)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X5) )).

cnf(i_0_2072,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2073,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_2074,axiom,
    ( ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X6) )).

cnf(i_0_2075,axiom,
    ( p(X9)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_2076,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_2077,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_2078,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_2079,axiom,
    ( ~ esk33_0
    | ~ esk99_0 )).

cnf(i_0_2080,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_2081,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8) )).

cnf(i_0_2082,axiom,
    ( ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_2083,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_2084,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_2085,axiom,
    ( p(X10)
    | p(X1)
    | p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_2086,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_2087,axiom,
    ( ~ esk207_0
    | ~ esk185_0 )).

cnf(i_0_2088,axiom,
    ( p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_2089,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2090,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_2091,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2092,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_2093,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_2094,axiom,
    ( ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X9) )).

cnf(i_0_2095,axiom,
    ( ~ esk204_0
    | ~ esk50_0 )).

cnf(i_0_2096,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_2097,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X5) )).

cnf(i_0_2098,axiom,
    ( ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk31_0 )).

cnf(i_0_2099,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_2100,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X1) )).

cnf(i_0_2101,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | p(X2) )).

cnf(i_0_2102,axiom,
    ( ~ esk79_0
    | ~ esk211_0 )).

cnf(i_0_2103,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X2) )).

cnf(i_0_2104,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_2105,axiom,
    ( p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_2106,axiom,
    ( p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_2107,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_2108,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2109,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_2110,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2111,axiom,
    ( ~ esk51_0
    | ~ esk117_0 )).

cnf(i_0_2112,axiom,
    ( p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_2113,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X9) )).

cnf(i_0_2114,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_2115,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_2116,axiom,
    ( ~ esk27_0
    | esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2117,axiom,
    ( esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk125_0 )).

cnf(i_0_2118,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_2119,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2120,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2121,axiom,
    ( ~ esk197_0
    | ~ esk175_0 )).

cnf(i_0_2122,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2123,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2124,axiom,
    ( ~ esk81_0
    | ~ esk83_0 )).

cnf(i_0_2125,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_2126,axiom,
    ( p(X7)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | p(X6)
    | p(X1)
    | p(X4) )).

cnf(i_0_2127,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_2128,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_2129,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_2130,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_2131,axiom,
    ( ~ esk120_0
    | ~ esk132_0 )).

cnf(i_0_2132,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_2133,axiom,
    ( p(X9)
    | p(X4)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2134,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2135,axiom,
    ( p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2136,axiom,
    ( ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_2137,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X4) )).

cnf(i_0_2138,axiom,
    ( ~ esk6_0
    | ~ esk4_0 )).

cnf(i_0_2139,axiom,
    ( ~ esk34_0
    | ~ esk32_0 )).

cnf(i_0_2140,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_2141,axiom,
    ( ~ esk10_0
    | ~ esk142_0 )).

cnf(i_0_2142,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_2143,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_2144,axiom,
    ( ~ esk165_0
    | ~ esk169_0 )).

cnf(i_0_2145,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_2146,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_2147,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_2148,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_2149,axiom,
    ( ~ esk110_0
    | ~ esk102_0 )).

cnf(i_0_2150,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_2151,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X10) )).

cnf(i_0_2152,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X5) )).

cnf(i_0_2153,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_2154,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2155,axiom,
    ( ~ p(X8)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_2156,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4) )).

cnf(i_0_2157,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_2158,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_2159,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_2160,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_2161,axiom,
    ( ~ esk218_0
    | ~ esk217_0 )).

cnf(i_0_2162,axiom,
    ( ~ esk175_0
    | ~ esk176_0 )).

cnf(i_0_2163,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2164,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_2165,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2166,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2167,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_2168,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_2169,axiom,
    ( ~ esk136_0
    | ~ esk48_0 )).

cnf(i_0_2170,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_2171,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_2172,axiom,
    ( ~ esk107_0
    | ~ esk41_0 )).

cnf(i_0_2173,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_2174,axiom,
    ( p(X6)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_2175,axiom,
    ( ~ esk201_0
    | ~ esk215_0 )).

cnf(i_0_2176,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2177,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_2178,axiom,
    ( p(X2)
    | p(X1)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_2179,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | p(X6)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_2180,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_2181,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X2)
    | p(X8) )).

cnf(i_0_2182,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_2183,axiom,
    ( p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X7) )).

cnf(i_0_2184,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | p(X3) )).

cnf(i_0_2185,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2186,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_2187,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_2188,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_2189,axiom,
    ( ~ esk193_0
    | ~ esk61_0 )).

cnf(i_0_2190,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X3)
    | p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_2191,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_2192,axiom,
    ( ~ esk82_0
    | ~ esk76_0 )).

cnf(i_0_2193,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_2194,axiom,
    ( p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_2195,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_2196,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_2197,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_2198,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2199,axiom,
    ( ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk183_0 )).

cnf(i_0_2200,axiom,
    ( ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_2201,axiom,
    ( ~ esk18_0
    | ~ esk4_0 )).

cnf(i_0_2202,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_2203,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_2204,axiom,
    ( ~ esk110_0
    | ~ esk96_0 )).

cnf(i_0_2205,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_2206,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_2207,axiom,
    ( ~ esk26_0
    | ~ esk136_0 )).

cnf(i_0_2208,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_2209,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_2210,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_2211,axiom,
    ( p(X5)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_2212,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X7)
    | p(X4)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_2213,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_2214,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_2215,axiom,
    ( p(X9)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_2216,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X3) )).

cnf(i_0_2217,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3) )).

cnf(i_0_2218,axiom,
    ( ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X10) )).

cnf(i_0_2219,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_2220,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_2221,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_2222,axiom,
    ( p(X5)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_2223,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_2224,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2225,axiom,
    ( p(X9)
    | p(X2)
    | p(X5)
    | p(X10)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2226,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_2227,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2228,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2229,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_2230,axiom,
    ( ~ esk210_0
    | ~ esk202_0 )).

cnf(i_0_2231,axiom,
    ( p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X6) )).

cnf(i_0_2232,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_2233,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_2234,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2235,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_2236,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_2237,axiom,
    ( ~ esk87_0
    | ~ esk70_0 )).

cnf(i_0_2238,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_2239,axiom,
    ( ~ esk79_0
    | ~ esk123_0 )).

cnf(i_0_2240,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_2241,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_2242,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2243,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2244,axiom,
    ( p(X4)
    | p(X6)
    | p(X2)
    | p(X5)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2245,axiom,
    ( ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_2246,axiom,
    ( ~ esk97_0
    | ~ esk185_0 )).

cnf(i_0_2247,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_2248,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X8)
    | p(X5)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_2249,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_2250,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_2251,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X8)
    | p(X10) )).

cnf(i_0_2252,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_2253,axiom,
    ( ~ esk9_0
    | ~ esk1_0 )).

cnf(i_0_2254,axiom,
    ( ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_2255,axiom,
    ( ~ esk18_0
    | ~ esk172_0 )).

cnf(i_0_2256,axiom,
    ( ~ esk29_0
    | ~ esk205_0 )).

cnf(i_0_2257,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_2258,axiom,
    ( p(X7)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X6) )).

cnf(i_0_2259,axiom,
    ( p(X2)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_2260,axiom,
    ( ~ esk53_0
    | ~ esk47_0 )).

cnf(i_0_2261,axiom,
    ( ~ esk139_0
    | ~ esk161_0 )).

cnf(i_0_2262,axiom,
    ( ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_2263,axiom,
    ( ~ p(X5)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_2264,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_2265,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2266,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_2267,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_2268,axiom,
    ( ~ esk55_0
    | ~ esk49_0 )).

cnf(i_0_2269,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | p(X6) )).

cnf(i_0_2270,axiom,
    ( ~ esk167_0
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2271,axiom,
    ( esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk1_0 )).

cnf(i_0_2272,axiom,
    ( ~ esk127_0
    | ~ esk117_0 )).

cnf(i_0_2273,axiom,
    ( ~ esk15_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2274,axiom,
    ( ~ esk210_0
    | ~ esk78_0 )).

cnf(i_0_2275,axiom,
    ( p(X6)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_2276,axiom,
    ( ~ esk140_0
    | ~ esk150_0 )).

cnf(i_0_2277,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2278,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_2279,axiom,
    ( p(X8)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X5) )).

cnf(i_0_2280,axiom,
    ( ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk123_0 )).

cnf(i_0_2281,axiom,
    ( p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9) )).

cnf(i_0_2282,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X5)
    | p(X2)
    | p(X8)
    | p(X9) )).

cnf(i_0_2283,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_2284,axiom,
    ( ~ esk154_0
    | ~ esk150_0 )).

cnf(i_0_2285,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_2286,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_2287,axiom,
    ( esk55_0
    | esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk47_0
    | esk63_0
    | esk57_0
    | ~ esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk59_0
    | esk53_0
    | esk49_0
    | esk61_0
    | esk51_0
    | esk45_0 )).

cnf(i_0_2288,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_2289,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X4) )).

cnf(i_0_2290,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | p(X10) )).

cnf(i_0_2291,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | p(X3)
    | p(X7) )).

cnf(i_0_2292,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_2293,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2294,axiom,
    ( ~ esk145_0
    | ~ esk143_0 )).

cnf(i_0_2295,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_2296,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_2297,axiom,
    ( ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X9) )).

cnf(i_0_2298,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_2299,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | p(X10) )).

cnf(i_0_2300,axiom,
    ( p(X5)
    | p(X2)
    | p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_2301,axiom,
    ( ~ esk58_0
    | ~ esk124_0 )).

cnf(i_0_2302,axiom,
    ( p(X8)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2303,axiom,
    ( ~ esk35_0
    | ~ esk145_0 )).

cnf(i_0_2304,axiom,
    ( ~ p(X4)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_2305,axiom,
    ( p(X2)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_2306,axiom,
    ( ~ esk172_0
    | ~ esk162_0 )).

cnf(i_0_2307,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X7) )).

cnf(i_0_2308,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_2309,axiom,
    ( ~ esk160_0
    | ~ esk204_0 )).

cnf(i_0_2310,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_2311,axiom,
    ( ~ esk117_0
    | ~ esk125_0 )).

cnf(i_0_2312,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_2313,axiom,
    ( ~ esk99_0
    | ~ esk77_0 )).

cnf(i_0_2314,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_2315,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2316,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_2317,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_2318,axiom,
    ( p(X4)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | p(X7)
    | p(X2) )).

cnf(i_0_2319,axiom,
    ( p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2320,axiom,
    ( p(X7)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_2321,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_2322,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_2323,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_2324,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_2325,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_2326,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_2327,axiom,
    ( ~ esk175_0
    | ~ esk65_0 )).

cnf(i_0_2328,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_2329,axiom,
    ( ~ esk117_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2330,axiom,
    ( p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_2331,axiom,
    ( ~ esk47_0
    | ~ esk157_0 )).

cnf(i_0_2332,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_2333,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2334,axiom,
    ( p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_2335,axiom,
    ( ~ esk46_0
    | ~ esk58_0 )).

cnf(i_0_2336,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_2337,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk183_0 )).

cnf(i_0_2338,axiom,
    ( ~ esk99_0
    | ~ esk91_0 )).

cnf(i_0_2339,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_2340,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2341,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X10) )).

cnf(i_0_2342,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_2343,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_2344,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_2345,axiom,
    ( ~ esk50_0
    | ~ esk65_0 )).

cnf(i_0_2346,axiom,
    ( ~ esk145_0
    | ~ esk147_0 )).

cnf(i_0_2347,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_2348,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X1) )).

cnf(i_0_2349,axiom,
    ( p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X10) )).

cnf(i_0_2350,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_2351,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_2352,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_2353,axiom,
    ( ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_2354,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_2355,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X1) )).

cnf(i_0_2356,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2357,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_2358,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | p(X5)
    | p(X4) )).

cnf(i_0_2359,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_2360,axiom,
    ( p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_2361,axiom,
    ( ~ esk144_0
    | ~ esk136_0 )).

cnf(i_0_2362,axiom,
    ( ~ esk135_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2363,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_2364,axiom,
    ( ~ esk115_0
    | esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2365,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_2366,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_2367,axiom,
    ( p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_2368,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_2369,axiom,
    ( p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_2370,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_2371,axiom,
    ( ~ esk167_0
    | ~ esk174_0 )).

cnf(i_0_2372,axiom,
    ( ~ esk9_0
    | ~ esk141_0 )).

cnf(i_0_2373,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_2374,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk53_0 )).

cnf(i_0_2375,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_2376,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_2377,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_2378,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2379,axiom,
    ( p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_2380,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2381,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2382,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2383,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2384,axiom,
    ( ~ esk55_0
    | ~ esk63_0 )).

cnf(i_0_2385,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_2386,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2387,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2388,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_2389,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_2390,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2391,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_2392,axiom,
    ( ~ esk146_0
    | ~ esk140_0 )).

cnf(i_0_2393,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_2394,axiom,
    ( ~ esk105_0
    | ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2395,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_2396,axiom,
    ( ~ esk109_0
    | ~ esk219_0 )).

cnf(i_0_2397,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2398,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_2399,axiom,
    ( ~ esk148_0
    | ~ esk16_0 )).

cnf(i_0_2400,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2401,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X5) )).

cnf(i_0_2402,axiom,
    ( ~ esk150_0
    | ~ esk172_0 )).

cnf(i_0_2403,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | p(X10) )).

cnf(i_0_2404,axiom,
    ( p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_2405,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_2406,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_2407,axiom,
    ( ~ esk112_0
    | ~ esk120_0 )).

cnf(i_0_2408,axiom,
    ( ~ esk144_0
    | ~ esk134_0 )).

cnf(i_0_2409,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_2410,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7) )).

cnf(i_0_2411,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_2412,axiom,
    ( p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X8) )).

cnf(i_0_2413,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2414,axiom,
    ( ~ esk35_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2415,axiom,
    ( ~ esk215_0
    | ~ esk213_0 )).

cnf(i_0_2416,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_2417,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_2418,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2419,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_2420,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_2421,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_2422,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_2423,axiom,
    ( ~ esk124_0
    | ~ esk132_0 )).

cnf(i_0_2424,axiom,
    ( ~ esk107_0
    | ~ esk151_0 )).

cnf(i_0_2425,axiom,
    ( ~ esk98_0
    | ~ esk96_0 )).

cnf(i_0_2426,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X8)
    | p(X2) )).

cnf(i_0_2427,axiom,
    ( ~ esk16_0
    | ~ esk14_0 )).

cnf(i_0_2428,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X2)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_2429,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_2430,axiom,
    ( p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | p(X3) )).

cnf(i_0_2431,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_2432,axiom,
    ( p(X7)
    | p(X9)
    | p(X6)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_2433,axiom,
    ( p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_2434,axiom,
    ( p(X1)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_2435,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_2436,axiom,
    ( p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2437,axiom,
    ( ~ esk181_0
    | ~ esk115_0 )).

cnf(i_0_2438,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_2439,axiom,
    ( ~ esk86_0
    | ~ esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2440,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk203_0 )).

cnf(i_0_2441,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | p(X5) )).

cnf(i_0_2442,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_2443,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X10) )).

cnf(i_0_2444,axiom,
    ( p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_2445,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_2446,axiom,
    ( p(X10)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_2447,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2448,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_2449,axiom,
    ( p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_2450,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_2451,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_2452,axiom,
    ( ~ esk139_0
    | ~ esk145_0 )).

cnf(i_0_2453,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_2454,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X4) )).

cnf(i_0_2455,axiom,
    ( ~ esk18_0
    | ~ esk10_0 )).

cnf(i_0_2456,axiom,
    ( p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_2457,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_2458,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X8)
    | p(X7)
    | p(X5) )).

cnf(i_0_2459,axiom,
    ( p(X6)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_2460,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_2461,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10)
    | p(X2) )).

cnf(i_0_2462,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X1) )).

cnf(i_0_2463,axiom,
    ( ~ esk29_0
    | ~ esk42_0 )).

cnf(i_0_2464,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2465,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_2466,axiom,
    ( p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_2467,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_2468,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_2469,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_2470,axiom,
    ( p(X10)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_2471,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2472,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_2473,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_2474,axiom,
    ( ~ esk109_0
    | ~ esk87_0 )).

cnf(i_0_2475,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_2476,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_2477,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2478,axiom,
    ( p(X10)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_2479,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_2480,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_2481,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X10) )).

cnf(i_0_2482,axiom,
    ( ~ esk217_0
    | ~ esk213_0 )).

cnf(i_0_2483,axiom,
    ( p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_2484,axiom,
    ( ~ esk68_0
    | ~ esk46_0 )).

cnf(i_0_2485,axiom,
    ( p(X10)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2486,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_2487,axiom,
    ( p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X10) )).

cnf(i_0_2488,axiom,
    ( p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X2) )).

cnf(i_0_2489,axiom,
    ( ~ esk138_0
    | ~ esk154_0 )).

cnf(i_0_2490,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2491,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9) )).

cnf(i_0_2492,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_2493,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_2494,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_2495,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_2496,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_2497,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_2498,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_2499,axiom,
    ( ~ esk194_0
    | ~ esk198_0 )).

cnf(i_0_2500,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_2501,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_2502,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_2503,axiom,
    ( ~ esk119_0
    | ~ esk141_0 )).

cnf(i_0_2504,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_2505,axiom,
    ( p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2506,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_2507,axiom,
    ( p(X8)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_2508,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_2509,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_2510,axiom,
    ( p(X8)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | p(X1) )).

cnf(i_0_2511,axiom,
    ( ~ esk113_0
    | ~ esk130_0 )).

cnf(i_0_2512,axiom,
    ( p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2513,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2514,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_2515,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_2516,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_2517,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_2518,axiom,
    ( ~ esk40_0
    | ~ esk28_0 )).

cnf(i_0_2519,axiom,
    ( p(X4)
    | p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_2520,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_2521,axiom,
    ( p(X2)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_2522,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_2523,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_2524,axiom,
    ( ~ esk143_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2525,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_2526,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_2527,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_2528,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_2529,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X9) )).

cnf(i_0_2530,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_2531,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X10) )).

cnf(i_0_2532,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_2533,axiom,
    ( ~ esk11_0
    | ~ esk55_0 )).

cnf(i_0_2534,axiom,
    ( p(X7)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_2535,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_2536,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_2537,axiom,
    ( p(X3)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_2538,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_2539,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_2540,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_2541,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_2542,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_2543,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_2544,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_2545,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_2546,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_2547,axiom,
    ( ~ esk174_0
    | esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2548,axiom,
    ( p(X4)
    | p(X8)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_2549,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_2550,axiom,
    ( ~ esk59_0
    | ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2551,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_2552,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X4) )).

cnf(i_0_2553,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_2554,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_2555,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk151_0 )).

cnf(i_0_2556,axiom,
    ( ~ esk105_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2557,axiom,
    ( p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_2558,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_2559,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_2560,axiom,
    ( ~ esk40_0
    | ~ esk62_0 )).

cnf(i_0_2561,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_2562,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6) )).

cnf(i_0_2563,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X2) )).

cnf(i_0_2564,axiom,
    ( ~ esk147_0
    | ~ esk137_0 )).

cnf(i_0_2565,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_2566,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_2567,axiom,
    ( p(X8)
    | p(X1)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_2568,axiom,
    ( ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2569,axiom,
    ( ~ esk80_0
    | ~ esk78_0 )).

cnf(i_0_2570,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | p(X6) )).

cnf(i_0_2571,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X8)
    | p(X7) )).

cnf(i_0_2572,axiom,
    ( ~ esk85_0
    | ~ esk75_0 )).

cnf(i_0_2573,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X2) )).

cnf(i_0_2574,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_2575,axiom,
    ( ~ esk59_0
    | ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2576,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_2577,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_2578,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X2) )).

cnf(i_0_2579,axiom,
    ( p(X1)
    | p(X8)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_2580,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2581,axiom,
    ( ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_2582,axiom,
    ( ~ esk59_0
    | ~ esk45_0 )).

cnf(i_0_2583,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X2) )).

cnf(i_0_2584,axiom,
    ( ~ esk7_0
    | ~ esk161_0 )).

cnf(i_0_2585,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_2586,axiom,
    ( p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_2587,axiom,
    ( p(X7)
    | p(X4)
    | p(X8)
    | p(X9)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_2588,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2589,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X2) )).

cnf(i_0_2590,axiom,
    ( ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_2591,axiom,
    ( esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk15_0 )).

cnf(i_0_2592,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_2593,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_2594,axiom,
    ( ~ esk193_0
    | ~ esk189_0 )).

cnf(i_0_2595,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_2596,axiom,
    ( ~ esk7_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2597,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_2598,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_2599,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2600,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_2601,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_2602,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_2603,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2604,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X5)
    | p(X8) )).

cnf(i_0_2605,axiom,
    ( ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_2606,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_2607,axiom,
    ( p(X8)
    | p(X9)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | p(X4) )).

cnf(i_0_2608,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2609,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_2610,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_2611,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2612,axiom,
    ( ~ esk111_0
    | ~ esk133_0 )).

cnf(i_0_2613,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X2) )).

cnf(i_0_2614,axiom,
    ( ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_2615,axiom,
    ( p(X1)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_2616,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_2617,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_2618,axiom,
    ( ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2619,axiom,
    ( ~ esk181_0
    | ~ esk93_0 )).

cnf(i_0_2620,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_2621,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_2622,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_2623,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_2624,axiom,
    ( p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_2625,axiom,
    ( ~ esk27_0
    | ~ esk25_0 )).

cnf(i_0_2626,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X9)
    | p(X5) )).

cnf(i_0_2627,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X6) )).

cnf(i_0_2628,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2629,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X7) )).

cnf(i_0_2630,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_2631,axiom,
    ( ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | p(X2)
    | p(X3)
    | p(X8) )).

cnf(i_0_2632,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_2633,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_2634,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_2635,axiom,
    ( p(X8)
    | p(X4)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_2636,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_2637,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_2638,axiom,
    ( ~ esk161_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2639,axiom,
    ( p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2640,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_2641,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_2642,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2643,axiom,
    ( p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_2644,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X6) )).

cnf(i_0_2645,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2646,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2647,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_2648,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2649,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_2650,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_2651,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_2652,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2653,axiom,
    ( ~ esk77_0
    | ~ esk33_0 )).

cnf(i_0_2654,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_2655,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_2656,axiom,
    ( ~ esk197_0
    | ~ esk219_0 )).

cnf(i_0_2657,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_2658,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2659,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_2660,axiom,
    ( p(X5)
    | p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_2661,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_2662,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X2)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X1) )).

cnf(i_0_2663,axiom,
    ( p(X2)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2664,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X6) )).

cnf(i_0_2665,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_2666,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2667,axiom,
    ( p(X5)
    | p(X6)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_2668,axiom,
    ( ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | p(X5) )).

cnf(i_0_2669,axiom,
    ( ~ esk89_0
    | ~ esk1_0 )).

cnf(i_0_2670,axiom,
    ( ~ esk192_0
    | ~ esk214_0 )).

cnf(i_0_2671,axiom,
    ( ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_2672,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2673,axiom,
    ( ~ esk174_0
    | ~ esk165_0 )).

cnf(i_0_2674,axiom,
    ( ~ esk60_0
    | ~ esk170_0 )).

cnf(i_0_2675,axiom,
    ( p(X5)
    | p(X3)
    | p(X4)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_2676,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2677,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_2678,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_2679,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_2680,axiom,
    ( ~ esk69_0
    | ~ esk77_0 )).

cnf(i_0_2681,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_2682,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2683,axiom,
    ( ~ esk199_0
    | ~ esk111_0 )).

cnf(i_0_2684,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_2685,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_2686,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_2687,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_2688,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_2689,axiom,
    ( p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_2690,axiom,
    ( p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X8) )).

cnf(i_0_2691,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_2692,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X8)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_2693,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_2694,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_2695,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_2696,axiom,
    ( ~ esk19_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2697,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X3) )).

cnf(i_0_2698,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X1) )).

cnf(i_0_2699,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X3) )).

cnf(i_0_2700,axiom,
    ( ~ esk107_0
    | ~ esk105_0 )).

cnf(i_0_2701,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_2702,axiom,
    ( p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2703,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_2704,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2705,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_2706,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_2707,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_2708,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2709,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_2710,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X2) )).

cnf(i_0_2711,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_2712,axiom,
    ( ~ esk24_0
    | ~ esk112_0 )).

cnf(i_0_2713,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_2714,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_2715,axiom,
    ( ~ esk131_0
    | ~ esk128_0 )).

cnf(i_0_2716,axiom,
    ( p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_2717,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_2718,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_2719,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X5)
    | p(X2) )).

cnf(i_0_2720,axiom,
    ( p(X10)
    | p(X2)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_2721,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_2722,axiom,
    ( ~ esk185_0
    | ~ esk119_0 )).

cnf(i_0_2723,axiom,
    ( ~ p(X4)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_2724,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2725,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_2726,axiom,
    ( p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X8) )).

cnf(i_0_2727,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_2728,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_2729,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_2730,axiom,
    ( p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_2731,axiom,
    ( p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_2732,axiom,
    ( p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_2733,axiom,
    ( p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_2734,axiom,
    ( ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X10) )).

cnf(i_0_2735,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_2736,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_2737,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X7) )).

cnf(i_0_2738,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2739,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_2740,axiom,
    ( ~ esk50_0
    | ~ esk6_0 )).

cnf(i_0_2741,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_2742,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_2743,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_2744,axiom,
    ( ~ esk194_0
    | ~ esk182_0 )).

cnf(i_0_2745,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_2746,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_2747,axiom,
    ( ~ esk214_0
    | ~ esk220_0 )).

cnf(i_0_2748,axiom,
    ( ~ esk208_0
    | ~ esk206_0 )).

cnf(i_0_2749,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2750,axiom,
    ( ~ esk60_0
    | ~ esk66_0 )).

cnf(i_0_2751,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_2752,axiom,
    ( ~ esk149_0
    | ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2753,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X3)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_2754,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_2755,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk19_0 )).

cnf(i_0_2756,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_2757,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2758,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2759,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_2760,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_2761,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_2762,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | p(X7) )).

cnf(i_0_2763,axiom,
    ( p(X6)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X3) )).

cnf(i_0_2764,axiom,
    ( ~ esk172_0
    | ~ esk170_0 )).

cnf(i_0_2765,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_2766,axiom,
    ( p(X3)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_2767,axiom,
    ( ~ esk196_0
    | ~ esk177_0 )).

cnf(i_0_2768,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_2769,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X9) )).

cnf(i_0_2770,axiom,
    ( ~ esk94_0
    | ~ esk106_0 )).

cnf(i_0_2771,axiom,
    ( ~ esk136_0
    | ~ esk138_0 )).

cnf(i_0_2772,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_2773,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_2774,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X10) )).

cnf(i_0_2775,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_2776,axiom,
    ( ~ esk97_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2777,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_2778,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_2779,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_2780,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_2781,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X5)
    | p(X1) )).

cnf(i_0_2782,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2783,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_2784,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_2785,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X6) )).

cnf(i_0_2786,axiom,
    ( ~ esk203_0
    | ~ esk181_0 )).

cnf(i_0_2787,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_2788,axiom,
    ( ~ esk25_0
    | ~ esk91_0 )).

cnf(i_0_2789,axiom,
    ( p(X4)
    | p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_2790,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_2791,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_2792,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_2793,axiom,
    ( p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_2794,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X4) )).

cnf(i_0_2795,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_2796,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_2797,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_2798,axiom,
    ( ~ esk118_0
    | ~ esk124_0 )).

cnf(i_0_2799,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_2800,axiom,
    ( ~ esk143_0
    | ~ esk99_0 )).

cnf(i_0_2801,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_2802,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X10) )).

cnf(i_0_2803,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2804,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_2805,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2806,axiom,
    ( ~ esk160_0
    | ~ esk170_0 )).

cnf(i_0_2807,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_2808,axiom,
    ( ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_2809,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_2810,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_2811,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_2812,axiom,
    ( ~ esk188_0
    | ~ esk180_0 )).

cnf(i_0_2813,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_2814,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_2815,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_2816,axiom,
    ( ~ esk183_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2817,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_2818,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_2819,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_2820,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_2821,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X6) )).

cnf(i_0_2822,axiom,
    ( ~ esk211_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2823,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_2824,axiom,
    ( ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | p(X1) )).

cnf(i_0_2825,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_2826,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_2827,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk63_0 )).

cnf(i_0_2828,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_2829,axiom,
    ( ~ esk167_0
    | ~ esk101_0 )).

cnf(i_0_2830,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_2831,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2832,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_2833,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_2834,axiom,
    ( ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_2835,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_2836,axiom,
    ( ~ esk37_0
    | ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2837,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk33_0
    | esk11_0
    | esk143_0
    | esk187_0
    | esk209_0
    | esk99_0
    | esk165_0
    | esk77_0
    | esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk121_0
    | esk55_0 )).

cnf(i_0_2838,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_2839,axiom,
    ( p(X3)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_2840,axiom,
    ( p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_2841,axiom,
    ( ~ esk102_0
    | ~ esk36_0 )).

cnf(i_0_2842,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_2843,axiom,
    ( p(X8)
    | p(X7)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_2844,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_2845,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_2846,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X4) )).

cnf(i_0_2847,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X6)
    | p(X8) )).

cnf(i_0_2848,axiom,
    ( p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_2849,axiom,
    ( p(X9)
    | p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2850,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_2851,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_2852,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_2853,axiom,
    ( ~ esk32_0
    | ~ esk40_0 )).

cnf(i_0_2854,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_2855,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_2856,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_2857,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X10) )).

cnf(i_0_2858,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_2859,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_2860,axiom,
    ( ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X7) )).

cnf(i_0_2861,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_2862,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_2863,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_2864,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_2865,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2866,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_2867,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2868,axiom,
    ( ~ esk160_0
    | ~ esk50_0 )).

cnf(i_0_2869,axiom,
    ( ~ esk41_0
    | ~ esk129_0 )).

cnf(i_0_2870,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_2871,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_2872,axiom,
    ( p(X4)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2873,axiom,
    ( ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_2874,axiom,
    ( ~ esk199_0
    | ~ esk67_0 )).

cnf(i_0_2875,axiom,
    ( ~ esk194_0
    | ~ esk62_0 )).

cnf(i_0_2876,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_2877,axiom,
    ( p(X6)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_2878,axiom,
    ( ~ esk5_0
    | ~ esk7_0 )).

cnf(i_0_2879,axiom,
    ( ~ esk15_0
    | ~ esk147_0 )).

cnf(i_0_2880,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_2881,axiom,
    ( ~ esk179_0
    | ~ esk135_0 )).

cnf(i_0_2882,axiom,
    ( p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_2883,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_2884,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_2885,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X9) )).

cnf(i_0_2886,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_2887,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk177_0 )).

cnf(i_0_2888,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_2889,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_2890,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X2)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_2891,axiom,
    ( ~ esk16_0
    | ~ esk192_0 )).

cnf(i_0_2892,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_2893,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X7) )).

cnf(i_0_2894,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_2895,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_2896,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_2897,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_2898,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_2899,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_2900,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_2901,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk25_0 )).

cnf(i_0_2902,axiom,
    ( p(X4)
    | p(X1)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X9) )).

cnf(i_0_2903,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X6) )).

cnf(i_0_2904,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_2905,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2906,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_2907,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2908,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_2909,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2910,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2911,axiom,
    ( p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_2912,axiom,
    ( p(X1)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_2913,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk37_0 )).

cnf(i_0_2914,axiom,
    ( p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X4) )).

cnf(i_0_2915,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X2) )).

cnf(i_0_2916,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_2917,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_2918,axiom,
    ( p(X9)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_2919,axiom,
    ( ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_2920,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X2) )).

cnf(i_0_2921,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_2922,axiom,
    ( ~ esk122_0
    | ~ esk114_0 )).

cnf(i_0_2923,axiom,
    ( ~ esk42_0
    | ~ esk25_0 )).

cnf(i_0_2924,axiom,
    ( ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_2925,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_2926,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2927,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_2928,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_2929,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_2930,axiom,
    ( ~ esk173_0
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2931,axiom,
    ( p(X9)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_2932,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_2933,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2934,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_2935,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_2936,axiom,
    ( p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_2937,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X3) )).

cnf(i_0_2938,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2939,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_2940,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X7) )).

cnf(i_0_2941,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_2942,axiom,
    ( ~ esk158_0
    | ~ esk136_0 )).

cnf(i_0_2943,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_2944,axiom,
    ( ~ esk172_0
    | ~ esk166_0 )).

cnf(i_0_2945,axiom,
    ( p(X10)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_2946,axiom,
    ( p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_2947,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_2948,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_2949,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_2950,axiom,
    ( ~ esk19_0
    | ~ esk7_0 )).

cnf(i_0_2951,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_2952,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | p(X8) )).

cnf(i_0_2953,axiom,
    ( p(X3)
    | p(X4)
    | p(X8)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_2954,axiom,
    ( p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_2955,axiom,
    ( ~ esk151_0
    | ~ esk135_0 )).

cnf(i_0_2956,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_2957,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_2958,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_2959,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_2960,axiom,
    ( ~ esk47_0
    | ~ esk59_0 )).

cnf(i_0_2961,axiom,
    ( ~ esk172_0
    | ~ esk158_0 )).

cnf(i_0_2962,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_2963,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_2964,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X8) )).

cnf(i_0_2965,axiom,
    ( ~ esk208_0
    | ~ esk200_0 )).

cnf(i_0_2966,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X2) )).

cnf(i_0_2967,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2968,axiom,
    ( ~ esk92_0
    | ~ esk136_0 )).

cnf(i_0_2969,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_2970,axiom,
    ( ~ esk138_0
    | ~ esk94_0 )).

cnf(i_0_2971,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_2972,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_2973,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2974,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_2975,axiom,
    ( ~ esk35_0
    | ~ esk25_0 )).

cnf(i_0_2976,axiom,
    ( ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_2977,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_2978,axiom,
    ( p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_2979,axiom,
    ( ~ esk170_0
    | ~ esk175_0 )).

cnf(i_0_2980,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X3)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X9) )).

cnf(i_0_2981,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | p(X6) )).

cnf(i_0_2982,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | p(X4)
    | p(X2)
    | p(X5) )).

cnf(i_0_2983,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_2984,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2985,axiom,
    ( ~ esk149_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2986,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_2987,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_2988,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_2989,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | p(X5)
    | p(X9) )).

cnf(i_0_2990,axiom,
    ( p(X3)
    | p(X2)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X7)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_2991,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X3) )).

cnf(i_0_2992,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_2993,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_2994,axiom,
    ( esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk15_0 )).

cnf(i_0_2995,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_2996,axiom,
    ( p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_2997,axiom,
    ( ~ esk161_0
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_2998,axiom,
    ( ~ esk179_0
    | ~ esk177_0 )).

cnf(i_0_2999,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_3000,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X6) )).

cnf(i_0_3001,axiom,
    ( p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_3002,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_3003,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_3004,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_3005,axiom,
    ( p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_3006,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3007,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X9) )).

cnf(i_0_3008,axiom,
    ( ~ esk107_0
    | ~ esk97_0 )).

cnf(i_0_3009,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_3010,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_3011,axiom,
    ( ~ esk214_0
    | ~ esk82_0 )).

cnf(i_0_3012,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X8) )).

cnf(i_0_3013,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_3014,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X4)
    | p(X1)
    | p(X6)
    | p(X10) )).

cnf(i_0_3015,axiom,
    ( ~ esk209_0
    | ~ esk165_0 )).

cnf(i_0_3016,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3017,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_3018,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X5)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_3019,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_3020,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_3021,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_3022,axiom,
    ( ~ esk83_0
    | ~ esk69_0 )).

cnf(i_0_3023,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_3024,axiom,
    ( ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_3025,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X2) )).

cnf(i_0_3026,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_3027,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X3) )).

cnf(i_0_3028,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_3029,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X5) )).

cnf(i_0_3030,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_3031,axiom,
    ( p(X4)
    | p(X2)
    | p(X6)
    | p(X8)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_3032,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_3033,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3034,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_3035,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3036,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3037,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk69_0 )).

cnf(i_0_3038,axiom,
    ( p(X10)
    | p(X1)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X7) )).

cnf(i_0_3039,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X1) )).

cnf(i_0_3040,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_3041,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3042,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_3043,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3044,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_3045,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X6)
    | p(X10) )).

cnf(i_0_3046,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_3047,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_3048,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_3049,axiom,
    ( ~ esk113_0
    | ~ esk129_0 )).

cnf(i_0_3050,axiom,
    ( ~ esk56_0
    | ~ esk122_0 )).

cnf(i_0_3051,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_3052,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_3053,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X4) )).

cnf(i_0_3054,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_3055,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3056,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3057,axiom,
    ( ~ esk136_0
    | ~ esk180_0 )).

cnf(i_0_3058,axiom,
    ( ~ esk118_0
    | ~ esk112_0 )).

cnf(i_0_3059,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_3060,axiom,
    ( ~ esk36_0
    | ~ esk43_0 )).

cnf(i_0_3061,axiom,
    ( ~ esk211_0
    | esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3062,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_3063,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X3)
    | p(X6)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_3064,axiom,
    ( ~ p(X5)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_3065,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_3066,axiom,
    ( p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_3067,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X9) )).

cnf(i_0_3068,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3069,axiom,
    ( p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_3070,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3071,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_3072,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_3073,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_3074,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_3075,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3076,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_3077,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_3078,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5) )).

cnf(i_0_3079,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3080,axiom,
    ( ~ esk149_0
    | ~ esk135_0 )).

cnf(i_0_3081,axiom,
    ( ~ esk5_0
    | ~ esk19_0 )).

cnf(i_0_3082,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_3083,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3084,axiom,
    ( p(X10)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_3085,axiom,
    ( ~ esk114_0
    | ~ esk158_0 )).

cnf(i_0_3086,axiom,
    ( ~ esk74_0
    | ~ esk206_0 )).

cnf(i_0_3087,axiom,
    ( ~ esk55_0
    | ~ esk77_0 )).

cnf(i_0_3088,axiom,
    ( ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X4) )).

cnf(i_0_3089,axiom,
    ( ~ esk35_0
    | ~ esk101_0 )).

cnf(i_0_3090,axiom,
    ( ~ esk197_0
    | ~ esk180_0 )).

cnf(i_0_3091,axiom,
    ( p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_3092,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X1) )).

cnf(i_0_3093,axiom,
    ( p(X5)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_3094,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_3095,axiom,
    ( ~ esk115_0
    | ~ esk130_0 )).

cnf(i_0_3096,axiom,
    ( p(X3)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X1) )).

cnf(i_0_3097,axiom,
    ( p(X10)
    | p(X4)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_3098,axiom,
    ( ~ esk22_0
    | ~ esk10_0 )).

cnf(i_0_3099,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_3100,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_3101,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk99_0 )).

cnf(i_0_3102,axiom,
    ( ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_3103,axiom,
    ( ~ esk51_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3104,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_3105,axiom,
    ( ~ esk61_0
    | ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3106,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_3107,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_3108,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_3109,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_3110,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_3111,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_3112,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3113,axiom,
    ( ~ esk160_0
    | ~ esk172_0 )).

cnf(i_0_3114,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3115,axiom,
    ( ~ esk61_0
    | ~ esk17_0 )).

cnf(i_0_3116,axiom,
    ( p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | p(X3)
    | p(X1) )).

cnf(i_0_3117,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_3118,axiom,
    ( ~ esk162_0
    | ~ esk118_0 )).

cnf(i_0_3119,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_3120,axiom,
    ( ~ esk128_0
    | ~ esk106_0 )).

cnf(i_0_3121,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3122,axiom,
    ( ~ esk181_0
    | ~ esk177_0 )).

cnf(i_0_3123,axiom,
    ( p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_3124,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3125,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3126,axiom,
    ( ~ esk190_0
    | ~ esk102_0 )).

cnf(i_0_3127,axiom,
    ( ~ esk21_0
    | ~ esk14_0 )).

cnf(i_0_3128,axiom,
    ( ~ esk83_0
    | ~ esk105_0 )).

cnf(i_0_3129,axiom,
    ( ~ esk135_0
    | ~ esk141_0 )).

cnf(i_0_3130,axiom,
    ( p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_3131,axiom,
    ( ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_3132,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X3)
    | p(X7) )).

cnf(i_0_3133,axiom,
    ( p(X4)
    | p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X2) )).

cnf(i_0_3134,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3135,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3136,axiom,
    ( p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3137,axiom,
    ( p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_3138,axiom,
    ( p(X8)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_3139,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_3140,axiom,
    ( p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_3141,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_3142,axiom,
    ( ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_3143,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3144,axiom,
    ( ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X3) )).

cnf(i_0_3145,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_3146,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_3147,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_3148,axiom,
    ( ~ esk11_0
    | ~ esk7_0 )).

cnf(i_0_3149,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X1) )).

cnf(i_0_3150,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3151,axiom,
    ( ~ esk186_0
    | ~ esk208_0 )).

cnf(i_0_3152,axiom,
    ( ~ esk211_0
    | ~ esk35_0 )).

cnf(i_0_3153,axiom,
    ( p(X1)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_3154,axiom,
    ( p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X6) )).

cnf(i_0_3155,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_3156,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_3157,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | p(X10) )).

cnf(i_0_3158,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_3159,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3160,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_3161,axiom,
    ( p(X9)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3162,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_3163,axiom,
    ( ~ esk174_0
    | ~ esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3164,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_3165,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_3166,axiom,
    ( p(X1)
    | p(X5)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_3167,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_3168,axiom,
    ( ~ esk97_0
    | ~ esk91_0 )).

cnf(i_0_3169,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3170,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_3171,axiom,
    ( ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_3172,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk181_0 )).

cnf(i_0_3173,axiom,
    ( p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_3174,axiom,
    ( p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_3175,axiom,
    ( ~ p(X8)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_3176,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1) )).

cnf(i_0_3177,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_3178,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_3179,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_3180,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3181,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X10) )).

cnf(i_0_3182,axiom,
    ( ~ esk145_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3183,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_3184,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_3185,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_3186,axiom,
    ( ~ esk204_0
    | ~ esk138_0 )).

cnf(i_0_3187,axiom,
    ( ~ esk11_0
    | ~ esk77_0 )).

cnf(i_0_3188,axiom,
    ( ~ esk40_0
    | ~ esk36_0 )).

cnf(i_0_3189,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_3190,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_3191,axiom,
    ( ~ esk60_0
    | ~ esk65_0 )).

cnf(i_0_3192,axiom,
    ( ~ esk195_0
    | ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3193,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_3194,axiom,
    ( ~ esk63_0
    | ~ esk64_0 )).

cnf(i_0_3195,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_3196,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_3197,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3198,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3199,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X2) )).

cnf(i_0_3200,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_3201,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X7)
    | p(X9) )).

cnf(i_0_3202,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X4) )).

cnf(i_0_3203,axiom,
    ( ~ esk3_0
    | ~ esk25_0 )).

cnf(i_0_3204,axiom,
    ( p(X6)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3205,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_3206,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_3207,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_3208,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_3209,axiom,
    ( ~ esk56_0
    | ~ esk54_0 )).

cnf(i_0_3210,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3) )).

cnf(i_0_3211,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_3212,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3213,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_3214,axiom,
    ( p(X6)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_3215,axiom,
    ( ~ esk146_0
    | ~ esk14_0 )).

cnf(i_0_3216,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_3217,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X9) )).

cnf(i_0_3218,axiom,
    ( ~ esk139_0
    | ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3219,axiom,
    ( p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | p(X6) )).

cnf(i_0_3220,axiom,
    ( p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_3221,axiom,
    ( ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_3222,axiom,
    ( p(X8)
    | p(X1)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_3223,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_3224,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_3225,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2) )).

cnf(i_0_3226,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_3227,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3228,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_3229,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_3230,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3231,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_3232,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_3233,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_3234,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3235,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_3236,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_3237,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_3238,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_3239,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_3240,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X7) )).

cnf(i_0_3241,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_3242,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3243,axiom,
    ( ~ esk78_0
    | ~ esk87_0 )).

cnf(i_0_3244,axiom,
    ( ~ esk165_0
    | ~ esk171_0 )).

cnf(i_0_3245,axiom,
    ( p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X5) )).

cnf(i_0_3246,axiom,
    ( ~ p(X7)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_3247,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3248,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_3249,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3250,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_3251,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_3252,axiom,
    ( ~ esk73_0
    | ~ esk51_0 )).

cnf(i_0_3253,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_3254,axiom,
    ( ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_3255,axiom,
    ( ~ p(X10)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_3256,axiom,
    ( ~ esk53_0
    | ~ esk63_0 )).

cnf(i_0_3257,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_3258,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_3259,axiom,
    ( ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_3260,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_3261,axiom,
    ( ~ esk101_0
    | ~ esk123_0 )).

cnf(i_0_3262,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_3263,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_3264,axiom,
    ( p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_3265,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_3266,axiom,
    ( ~ esk107_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3267,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_3268,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3269,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3270,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3271,axiom,
    ( p(X6)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_3272,axiom,
    ( p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3273,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_3274,axiom,
    ( ~ esk92_0
    | ~ esk48_0 )).

cnf(i_0_3275,axiom,
    ( ~ esk70_0
    | ~ esk82_0 )).

cnf(i_0_3276,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9) )).

cnf(i_0_3277,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_3278,axiom,
    ( p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3279,axiom,
    ( ~ esk121_0
    | ~ esk55_0 )).

cnf(i_0_3280,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6) )).

cnf(i_0_3281,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_3282,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | p(X7) )).

cnf(i_0_3283,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3284,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_3285,axiom,
    ( ~ esk214_0
    | ~ esk212_0 )).

cnf(i_0_3286,axiom,
    ( p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_3287,axiom,
    ( p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_3288,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_3289,axiom,
    ( ~ esk72_0
    | ~ esk84_0 )).

cnf(i_0_3290,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_3291,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_3292,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_3293,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | p(X10) )).

cnf(i_0_3294,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_3295,axiom,
    ( ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_3296,axiom,
    ( ~ esk104_0
    | ~ esk60_0 )).

cnf(i_0_3297,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3298,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_3299,axiom,
    ( ~ esk207_0
    | esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3300,axiom,
    ( p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X7)
    | p(X10) )).

cnf(i_0_3301,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3302,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3303,axiom,
    ( ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X10)
    | p(X8) )).

cnf(i_0_3304,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3305,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3306,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_3307,axiom,
    ( ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_3308,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X5) )).

cnf(i_0_3309,axiom,
    ( ~ esk103_0
    | ~ esk91_0 )).

cnf(i_0_3310,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_3311,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X4) )).

cnf(i_0_3312,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3313,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_3314,axiom,
    ( p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_3315,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X2) )).

cnf(i_0_3316,axiom,
    ( p(X1)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_3317,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3318,axiom,
    ( ~ esk20_0
    | ~ esk1_0 )).

cnf(i_0_3319,axiom,
    ( p(X8)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_3320,axiom,
    ( ~ esk79_0
    | ~ esk57_0 )).

cnf(i_0_3321,axiom,
    ( ~ esk123_0
    | ~ esk211_0 )).

cnf(i_0_3322,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X2)
    | p(X3)
    | p(X5)
    | p(X4) )).

cnf(i_0_3323,axiom,
    ( ~ esk101_0
    | ~ esk89_0 )).

cnf(i_0_3324,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X5) )).

cnf(i_0_3325,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X1) )).

cnf(i_0_3326,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_3327,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_3328,axiom,
    ( p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_3329,axiom,
    ( ~ esk71_0
    | ~ esk86_0 )).

cnf(i_0_3330,axiom,
    ( ~ esk14_0
    | ~ esk6_0 )).

cnf(i_0_3331,axiom,
    ( ~ esk138_0
    | ~ esk150_0 )).

cnf(i_0_3332,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_3333,axiom,
    ( ~ esk143_0
    | ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3334,axiom,
    ( p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_3335,axiom,
    ( ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X9) )).

cnf(i_0_3336,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_3337,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3338,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_3339,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_3340,axiom,
    ( p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_3341,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3342,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_3343,axiom,
    ( ~ esk57_0
    | ~ esk101_0 )).

cnf(i_0_3344,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3345,axiom,
    ( p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_3346,axiom,
    ( p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_3347,axiom,
    ( ~ esk105_0
    | ~ esk193_0 )).

cnf(i_0_3348,axiom,
    ( esk218_0
    | ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3349,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_3350,axiom,
    ( p(X3)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X9) )).

cnf(i_0_3351,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_3352,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3353,axiom,
    ( ~ esk14_0
    | ~ esk8_0 )).

cnf(i_0_3354,axiom,
    ( esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk147_0 )).

cnf(i_0_3355,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_3356,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_3357,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_3358,axiom,
    ( ~ esk21_0
    | ~ esk8_0 )).

cnf(i_0_3359,axiom,
    ( esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk20_0 )).

cnf(i_0_3360,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_3361,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X6) )).

cnf(i_0_3362,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3363,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_3364,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_3365,axiom,
    ( p(X9)
    | p(X5)
    | p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_3366,axiom,
    ( ~ esk15_0
    | ~ esk59_0 )).

cnf(i_0_3367,axiom,
    ( ~ esk189_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3368,axiom,
    ( ~ esk157_0
    | ~ esk201_0 )).

cnf(i_0_3369,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_3370,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_3371,axiom,
    ( ~ esk209_0
    | ~ esk121_0 )).

cnf(i_0_3372,axiom,
    ( ~ esk99_0
    | ~ esk107_0 )).

cnf(i_0_3373,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_3374,axiom,
    ( p(X5)
    | p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_3375,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_3376,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_3377,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_3378,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_3379,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_3380,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_3381,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_3382,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_3383,axiom,
    ( ~ esk71_0
    | ~ esk69_0 )).

cnf(i_0_3384,axiom,
    ( ~ esk211_0
    | ~ esk207_0 )).

cnf(i_0_3385,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_3386,axiom,
    ( p(X10)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3387,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_3388,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_3389,axiom,
    ( esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk67_0 )).

cnf(i_0_3390,axiom,
    ( p(X4)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_3391,axiom,
    ( ~ esk145_0
    | ~ esk189_0 )).

cnf(i_0_3392,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_3393,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3394,axiom,
    ( p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3395,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_3396,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3397,axiom,
    ( p(X9)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_3398,axiom,
    ( ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | p(X7) )).

cnf(i_0_3399,axiom,
    ( ~ esk194_0
    | ~ esk106_0 )).

cnf(i_0_3400,axiom,
    ( ~ esk76_0
    | ~ esk164_0 )).

cnf(i_0_3401,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_3402,axiom,
    ( ~ esk39_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3403,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_3404,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X7)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3405,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3406,axiom,
    ( ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_3407,axiom,
    ( ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk167_0 )).

cnf(i_0_3408,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_3409,axiom,
    ( ~ esk188_0
    | ~ esk34_0 )).

cnf(i_0_3410,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk135_0 )).

cnf(i_0_3411,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_3412,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_3413,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_3414,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3415,axiom,
    ( esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk23_0 )).

cnf(i_0_3416,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3417,axiom,
    ( ~ esk88_0
    | ~ esk78_0 )).

cnf(i_0_3418,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3419,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_3420,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_3421,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_3422,axiom,
    ( p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_3423,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_3424,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_3425,axiom,
    ( ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7) )).

cnf(i_0_3426,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_3427,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3428,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_3429,axiom,
    ( ~ p(X9)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_3430,axiom,
    ( p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X3)
    | p(X4)
    | p(X6) )).

cnf(i_0_3431,axiom,
    ( ~ esk121_0
    | ~ esk119_0 )).

cnf(i_0_3432,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3433,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | p(X8) )).

cnf(i_0_3434,axiom,
    ( p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_3435,axiom,
    ( p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X4) )).

cnf(i_0_3436,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X10)
    | p(X6) )).

cnf(i_0_3437,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_3438,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3439,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5) )).

cnf(i_0_3440,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_3441,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3) )).

cnf(i_0_3442,axiom,
    ( p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_3443,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_3444,axiom,
    ( ~ esk114_0
    | ~ esk112_0 )).

cnf(i_0_3445,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk33_0 )).

cnf(i_0_3446,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_3447,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X10)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3448,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3449,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_3450,axiom,
    ( ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_3451,axiom,
    ( ~ esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk152_0 )).

cnf(i_0_3452,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_3453,axiom,
    ( p(X8)
    | p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3454,axiom,
    ( p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_3455,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_3456,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_3457,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_3458,axiom,
    ( p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_3459,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3460,axiom,
    ( ~ esk215_0
    | ~ esk83_0 )).

cnf(i_0_3461,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_3462,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_3463,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_3464,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3465,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X7)
    | p(X9)
    | p(X8) )).

cnf(i_0_3466,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk105_0
    | esk127_0
    | esk39_0
    | esk171_0
    | esk61_0
    | esk149_0
    | esk193_0
    | esk17_0
    | esk83_0
    | esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk215_0 )).

cnf(i_0_3467,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_3468,axiom,
    ( p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_3469,axiom,
    ( ~ esk172_0
    | ~ esk84_0 )).

cnf(i_0_3470,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_3471,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3472,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_3473,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_3474,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_3475,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_3476,axiom,
    ( p(X10)
    | p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X1) )).

cnf(i_0_3477,axiom,
    ( ~ esk65_0
    | ~ esk109_0 )).

cnf(i_0_3478,axiom,
    ( ~ esk10_0
    | ~ esk186_0 )).

cnf(i_0_3479,axiom,
    ( ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_3480,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X10) )).

cnf(i_0_3481,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_3482,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X10)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X2) )).

cnf(i_0_3483,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk215_0 )).

cnf(i_0_3484,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3485,axiom,
    ( p(X9)
    | p(X1)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_3486,axiom,
    ( ~ esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk77_0
    | esk11_0
    | esk187_0
    | esk165_0
    | esk99_0
    | esk121_0
    | esk143_0
    | esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk209_0
    | esk55_0
    | esk33_0 )).

cnf(i_0_3487,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X4) )).

cnf(i_0_3488,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X9) )).

cnf(i_0_3489,axiom,
    ( p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3490,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3491,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4) )).

cnf(i_0_3492,axiom,
    ( p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_3493,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_3494,axiom,
    ( ~ esk126_0
    | ~ esk120_0 )).

cnf(i_0_3495,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_3496,axiom,
    ( p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_3497,axiom,
    ( ~ esk165_0
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3498,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_3499,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_3500,axiom,
    ( ~ esk16_0
    | ~ esk12_0 )).

cnf(i_0_3501,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X2)
    | p(X8) )).

cnf(i_0_3502,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3503,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_3504,axiom,
    ( ~ esk135_0
    | ~ esk69_0 )).

cnf(i_0_3505,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3506,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_3507,axiom,
    ( p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_3508,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_3509,axiom,
    ( p(X6)
    | p(X4)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3510,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X6)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_3511,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X8) )).

cnf(i_0_3512,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_3513,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | p(X3) )).

cnf(i_0_3514,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_3515,axiom,
    ( ~ esk20_0
    | ~ esk19_0 )).

cnf(i_0_3516,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X8)
    | p(X6) )).

cnf(i_0_3517,axiom,
    ( ~ esk25_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3518,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X1) )).

cnf(i_0_3519,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X3)
    | p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_3520,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_3521,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_3522,axiom,
    ( ~ esk197_0
    | ~ esk153_0 )).

cnf(i_0_3523,axiom,
    ( ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_3524,axiom,
    ( ~ esk72_0
    | ~ esk94_0 )).

cnf(i_0_3525,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk19_0 )).

cnf(i_0_3526,axiom,
    ( ~ esk188_0
    | ~ esk198_0 )).

cnf(i_0_3527,axiom,
    ( p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_3528,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_3529,axiom,
    ( p(X9)
    | p(X8)
    | p(X5)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_3530,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | p(X1)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3531,axiom,
    ( ~ esk177_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3532,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_3533,axiom,
    ( ~ esk101_0
    | ~ esk79_0 )).

cnf(i_0_3534,axiom,
    ( p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_3535,axiom,
    ( ~ esk181_0
    | ~ esk196_0 )).

cnf(i_0_3536,axiom,
    ( ~ esk213_0
    | ~ esk211_0 )).

cnf(i_0_3537,axiom,
    ( ~ esk75_0
    | ~ esk73_0 )).

cnf(i_0_3538,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X1)
    | p(X10) )).

cnf(i_0_3539,axiom,
    ( p(X10)
    | p(X4)
    | p(X7)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_3540,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_3541,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_3542,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3543,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_3544,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X8) )).

cnf(i_0_3545,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_3546,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_3547,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_3548,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_3549,axiom,
    ( ~ esk119_0
    | ~ esk117_0 )).

cnf(i_0_3550,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_3551,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3552,axiom,
    ( ~ esk123_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3553,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk79_0 )).

cnf(i_0_3554,axiom,
    ( p(X1)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_3555,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_3556,axiom,
    ( p(X6)
    | p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_3557,axiom,
    ( ~ esk125_0
    | ~ esk115_0 )).

cnf(i_0_3558,axiom,
    ( ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | p(X10) )).

cnf(i_0_3559,axiom,
    ( ~ esk2_0
    | ~ esk134_0 )).

cnf(i_0_3560,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X2) )).

cnf(i_0_3561,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_3562,axiom,
    ( p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_3563,axiom,
    ( ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk91_0 )).

cnf(i_0_3564,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3565,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X9) )).

cnf(i_0_3566,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_3567,axiom,
    ( ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_3568,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X1) )).

cnf(i_0_3569,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_3570,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_3571,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_3572,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_3573,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X8) )).

cnf(i_0_3574,axiom,
    ( ~ esk197_0
    | ~ esk178_0 )).

cnf(i_0_3575,axiom,
    ( p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3576,axiom,
    ( ~ esk117_0
    | ~ esk95_0 )).

cnf(i_0_3577,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_3578,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3579,axiom,
    ( ~ esk24_0
    | ~ esk32_0 )).

cnf(i_0_3580,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3581,axiom,
    ( ~ esk139_0
    | ~ esk152_0 )).

cnf(i_0_3582,axiom,
    ( ~ esk133_0
    | ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3583,axiom,
    ( p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_3584,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_3585,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_3586,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_3587,axiom,
    ( ~ esk114_0
    | ~ esk136_0 )).

cnf(i_0_3588,axiom,
    ( ~ esk2_0
    | ~ esk24_0 )).

cnf(i_0_3589,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_3590,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_3591,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3592,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_3593,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3594,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3595,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_3596,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_3597,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3598,axiom,
    ( ~ p(X10)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_3599,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | p(X2) )).

cnf(i_0_3600,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_3601,axiom,
    ( p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_3602,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_3603,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_3604,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_3605,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_3606,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_3607,axiom,
    ( ~ esk77_0
    | ~ esk209_0 )).

cnf(i_0_3608,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_3609,axiom,
    ( ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk3_0 )).

cnf(i_0_3610,axiom,
    ( p(X10)
    | p(X4)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3611,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_3612,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3613,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_3614,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_3615,axiom,
    ( ~ esk160_0
    | ~ esk166_0 )).

cnf(i_0_3616,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8) )).

cnf(i_0_3617,axiom,
    ( ~ esk197_0
    | ~ esk184_0 )).

cnf(i_0_3618,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_3619,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_3620,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_3621,axiom,
    ( p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_3622,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_3623,axiom,
    ( ~ esk133_0
    | ~ esk67_0 )).

cnf(i_0_3624,axiom,
    ( ~ esk171_0
    | ~ esk174_0 )).

cnf(i_0_3625,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_3626,axiom,
    ( ~ esk112_0
    | ~ esk134_0 )).

cnf(i_0_3627,axiom,
    ( ~ esk105_0
    | ~ esk149_0 )).

cnf(i_0_3628,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3629,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_3630,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10) )).

cnf(i_0_3631,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_3632,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_3633,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_3634,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_3635,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3636,axiom,
    ( ~ esk148_0
    | ~ esk60_0 )).

cnf(i_0_3637,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_3638,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_3639,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_3640,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_3641,axiom,
    ( p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_3642,axiom,
    ( ~ esk203_0
    | ~ esk5_0 )).

cnf(i_0_3643,axiom,
    ( ~ esk85_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3644,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk181_0 )).

cnf(i_0_3645,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_3646,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_3647,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_3648,axiom,
    ( ~ esk95_0
    | ~ esk99_0 )).

cnf(i_0_3649,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X8) )).

cnf(i_0_3650,axiom,
    ( ~ esk89_0
    | ~ esk199_0 )).

cnf(i_0_3651,axiom,
    ( p(X1)
    | p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3652,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_3653,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_3654,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3655,axiom,
    ( p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_3656,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_3657,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_3658,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7) )).

cnf(i_0_3659,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_3660,axiom,
    ( ~ esk90_0
    | ~ esk178_0 )).

cnf(i_0_3661,axiom,
    ( ~ esk165_0
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3662,axiom,
    ( p(X3)
    | p(X10)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_3663,axiom,
    ( ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_3664,axiom,
    ( ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_3665,axiom,
    ( p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_3666,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X7) )).

cnf(i_0_3667,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3668,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3669,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X3) )).

cnf(i_0_3670,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X2) )).

cnf(i_0_3671,axiom,
    ( p(X10)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_3672,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_3673,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_3674,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_3675,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_3676,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_3677,axiom,
    ( ~ esk46_0
    | ~ esk65_0 )).

cnf(i_0_3678,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_3679,axiom,
    ( p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X7) )).

cnf(i_0_3680,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_3681,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_3682,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_3683,axiom,
    ( ~ esk73_0
    | ~ esk79_0 )).

cnf(i_0_3684,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_3685,axiom,
    ( ~ esk151_0
    | ~ esk217_0 )).

cnf(i_0_3686,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3687,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3688,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3689,axiom,
    ( ~ esk74_0
    | ~ esk80_0 )).

cnf(i_0_3690,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_3691,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_3692,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_3693,axiom,
    ( p(X6)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | p(X1) )).

cnf(i_0_3694,axiom,
    ( ~ esk93_0
    | ~ esk97_0 )).

cnf(i_0_3695,axiom,
    ( p(X7)
    | p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_3696,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3697,axiom,
    ( ~ esk88_0
    | ~ esk82_0 )).

cnf(i_0_3698,axiom,
    ( p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X8) )).

cnf(i_0_3699,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_3700,axiom,
    ( p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X8) )).

cnf(i_0_3701,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_3702,axiom,
    ( ~ esk45_0
    | ~ esk177_0 )).

cnf(i_0_3703,axiom,
    ( ~ esk43_0
    | ~ esk44_0 )).

cnf(i_0_3704,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3705,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_3706,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_3707,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_3708,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3709,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_3710,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3711,axiom,
    ( ~ esk16_0
    | ~ esk8_0 )).

cnf(i_0_3712,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_3713,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_3714,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | p(X9) )).

cnf(i_0_3715,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_3716,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_3717,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X1) )).

cnf(i_0_3718,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_3719,axiom,
    ( ~ esk122_0
    | ~ esk116_0 )).

cnf(i_0_3720,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3721,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3722,axiom,
    ( ~ esk29_0
    | ~ esk73_0 )).

cnf(i_0_3723,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3724,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_3725,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_3726,axiom,
    ( ~ esk67_0
    | ~ esk85_0 )).

cnf(i_0_3727,axiom,
    ( ~ esk34_0
    | ~ esk56_0 )).

cnf(i_0_3728,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_3729,axiom,
    ( p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3730,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_3731,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X8) )).

cnf(i_0_3732,axiom,
    ( esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk51_0 )).

cnf(i_0_3733,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_3734,axiom,
    ( ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_3735,axiom,
    ( p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_3736,axiom,
    ( p(X1)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_3737,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_3738,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | p(X8) )).

cnf(i_0_3739,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_3740,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_3741,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3742,axiom,
    ( ~ esk85_0
    | ~ esk71_0 )).

cnf(i_0_3743,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3744,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_3745,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3746,axiom,
    ( p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_3747,axiom,
    ( ~ esk212_0
    | ~ esk200_0 )).

cnf(i_0_3748,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_3749,axiom,
    ( ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_3750,axiom,
    ( ~ esk31_0
    | ~ esk97_0 )).

cnf(i_0_3751,axiom,
    ( ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_3752,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3753,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_3754,axiom,
    ( p(X6)
    | p(X2)
    | p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3755,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_3756,axiom,
    ( ~ esk29_0
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3757,axiom,
    ( ~ esk16_0
    | ~ esk104_0 )).

cnf(i_0_3758,axiom,
    ( ~ esk36_0
    | ~ esk26_0 )).

cnf(i_0_3759,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_3760,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_3761,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_3762,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3763,axiom,
    ( ~ esk25_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3764,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3765,axiom,
    ( ~ esk188_0
    | ~ esk122_0 )).

cnf(i_0_3766,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_3767,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3768,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_3769,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_3770,axiom,
    ( ~ esk196_0
    | ~ esk183_0 )).

cnf(i_0_3771,axiom,
    ( p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_3772,axiom,
    ( p(X4)
    | p(X2)
    | p(X5)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X3) )).

cnf(i_0_3773,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3774,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_3775,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_3776,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_3777,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_3778,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_3779,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_3780,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3781,axiom,
    ( p(X1)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_3782,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3783,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X10) )).

cnf(i_0_3784,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_3785,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_3786,axiom,
    ( ~ esk57_0
    | ~ esk35_0 )).

cnf(i_0_3787,axiom,
    ( p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3788,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_3789,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_3790,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X8)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3791,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_3792,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_3793,axiom,
    ( ~ esk205_0
    | ~ esk139_0 )).

cnf(i_0_3794,axiom,
    ( ~ esk158_0
    | ~ esk176_0 )).

cnf(i_0_3795,axiom,
    ( p(X10)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3796,axiom,
    ( ~ esk77_0
    | ~ esk85_0 )).

cnf(i_0_3797,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_3798,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3799,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_3800,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_3801,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_3802,axiom,
    ( p(X6)
    | p(X5)
    | p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3803,axiom,
    ( p(X4)
    | p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_3804,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_3805,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_3806,axiom,
    ( ~ esk156_0
    | ~ esk134_0 )).

cnf(i_0_3807,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_3808,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_3809,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_3810,axiom,
    ( ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_3811,axiom,
    ( p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_3812,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_3813,axiom,
    ( p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3814,axiom,
    ( p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_3815,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_3816,axiom,
    ( ~ esk164_0
    | ~ esk166_0 )).

cnf(i_0_3817,axiom,
    ( p(X10)
    | p(X9)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_3818,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_3819,axiom,
    ( p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_3820,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_3821,axiom,
    ( ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_3822,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X2) )).

cnf(i_0_3823,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3824,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3825,axiom,
    ( p(X4)
    | p(X10)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X3) )).

cnf(i_0_3826,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_3827,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_3828,axiom,
    ( p(X10)
    | p(X6)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3829,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X2)
    | p(X3)
    | p(X8)
    | p(X1)
    | p(X9) )).

cnf(i_0_3830,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_3831,axiom,
    ( ~ esk144_0
    | ~ esk140_0 )).

cnf(i_0_3832,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_3833,axiom,
    ( ~ esk107_0
    | ~ esk217_0 )).

cnf(i_0_3834,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3835,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X2) )).

cnf(i_0_3836,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_3837,axiom,
    ( p(X3)
    | p(X4)
    | p(X8)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_3838,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_3839,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3840,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_3841,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X10) )).

cnf(i_0_3842,axiom,
    ( p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3843,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_3844,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_3845,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_3846,axiom,
    ( ~ p(X3)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_3847,axiom,
    ( p(X4)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X9) )).

cnf(i_0_3848,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_3849,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3850,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X1)
    | p(X9)
    | p(X8)
    | p(X2) )).

cnf(i_0_3851,axiom,
    ( p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_3852,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3853,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_3854,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3855,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_3856,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3857,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3858,axiom,
    ( ~ esk100_0
    | ~ esk102_0 )).

cnf(i_0_3859,axiom,
    ( p(X4)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | p(X5) )).

cnf(i_0_3860,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3861,axiom,
    ( p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3862,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X10) )).

cnf(i_0_3863,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X8) )).

cnf(i_0_3864,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk3_0 )).

cnf(i_0_3865,axiom,
    ( ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_3866,axiom,
    ( ~ esk198_0
    | ~ esk184_0 )).

cnf(i_0_3867,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X1) )).

cnf(i_0_3868,axiom,
    ( ~ esk196_0
    | esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3869,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | p(X1) )).

cnf(i_0_3870,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_3871,axiom,
    ( ~ esk25_0
    | ~ esk69_0 )).

cnf(i_0_3872,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_3873,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_3874,axiom,
    ( ~ esk71_0
    | ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3875,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_3876,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_3877,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_3878,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_3879,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_3880,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_3881,axiom,
    ( ~ esk3_0
    | ~ esk201_0 )).

cnf(i_0_3882,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3883,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X9) )).

cnf(i_0_3884,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_3885,axiom,
    ( p(X4)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X2) )).

cnf(i_0_3886,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X2)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_3887,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_3888,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X2)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3889,axiom,
    ( ~ esk97_0
    | ~ esk9_0 )).

cnf(i_0_3890,axiom,
    ( p(X3)
    | p(X9)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3891,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_3892,axiom,
    ( p(X1)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_3893,axiom,
    ( ~ esk192_0
    | ~ esk82_0 )).

cnf(i_0_3894,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_3895,axiom,
    ( ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X2) )).

cnf(i_0_3896,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_3897,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_3898,axiom,
    ( ~ esk93_0
    | ~ esk5_0 )).

cnf(i_0_3899,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_3900,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_3901,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | p(X2) )).

cnf(i_0_3902,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X5)
    | p(X2)
    | p(X3) )).

cnf(i_0_3903,axiom,
    ( ~ esk39_0
    | ~ esk33_0 )).

cnf(i_0_3904,axiom,
    ( ~ esk81_0
    | ~ esk213_0 )).

cnf(i_0_3905,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_3906,axiom,
    ( ~ esk153_0
    | ~ esk65_0 )).

cnf(i_0_3907,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_3908,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3909,axiom,
    ( ~ esk45_0
    | ~ esk64_0 )).

cnf(i_0_3910,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3911,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3912,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_3913,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_3914,axiom,
    ( p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3915,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_3916,axiom,
    ( ~ esk186_0
    | ~ esk194_0 )).

cnf(i_0_3917,axiom,
    ( p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_3918,axiom,
    ( p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_3919,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_3920,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X9) )).

cnf(i_0_3921,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_3922,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3923,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X8) )).

cnf(i_0_3924,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_3925,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X4) )).

cnf(i_0_3926,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3927,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_3928,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_3929,axiom,
    ( ~ esk150_0
    | ~ esk40_0 )).

cnf(i_0_3930,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3931,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_3932,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_3933,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_3934,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3935,axiom,
    ( ~ esk16_0
    | ~ esk38_0 )).

cnf(i_0_3936,axiom,
    ( p(X10)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_3937,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_3938,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_3939,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_3940,axiom,
    ( p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10) )).

cnf(i_0_3941,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_3942,axiom,
    ( p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_3943,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3944,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_3945,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_3946,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_3947,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3948,axiom,
    ( p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_3949,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3950,axiom,
    ( ~ esk180_0
    | ~ esk202_0 )).

cnf(i_0_3951,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_3952,axiom,
    ( p(X7)
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_3953,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_3954,axiom,
    ( p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_3955,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X10) )).

cnf(i_0_3956,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_3957,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_3958,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X6)
    | p(X9)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_3959,axiom,
    ( p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X10) )).

cnf(i_0_3960,axiom,
    ( p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_3961,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | p(X3)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3962,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_3963,axiom,
    ( p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_3964,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_3965,axiom,
    ( p(X8)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3966,axiom,
    ( ~ esk100_0
    | ~ esk92_0 )).

cnf(i_0_3967,axiom,
    ( p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | p(X7) )).

cnf(i_0_3968,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3969,axiom,
    ( ~ esk61_0
    | esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3970,axiom,
    ( ~ esk55_0
    | ~ esk57_0 )).

cnf(i_0_3971,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X8) )).

cnf(i_0_3972,axiom,
    ( ~ esk134_0
    | ~ esk146_0 )).

cnf(i_0_3973,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X1) )).

cnf(i_0_3974,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_3975,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X6) )).

cnf(i_0_3976,axiom,
    ( ~ esk110_0
    | ~ esk104_0 )).

cnf(i_0_3977,axiom,
    ( ~ esk69_0
    | ~ esk73_0 )).

cnf(i_0_3978,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_3979,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_3980,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_3981,axiom,
    ( ~ esk199_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3982,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X4)
    | p(X7) )).

cnf(i_0_3983,axiom,
    ( ~ esk7_0
    | ~ esk139_0 )).

cnf(i_0_3984,axiom,
    ( ~ esk41_0
    | ~ esk37_0 )).

cnf(i_0_3985,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_3986,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_3987,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_3988,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_3989,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_3990,axiom,
    ( p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_3991,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_3992,axiom,
    ( p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_3993,axiom,
    ( ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk174_0 )).

cnf(i_0_3994,axiom,
    ( ~ esk76_0
    | ~ esk208_0 )).

cnf(i_0_3995,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk86_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_3996,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_3997,axiom,
    ( ~ esk72_0
    | ~ esk68_0 )).

cnf(i_0_3998,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk129_0 )).

cnf(i_0_3999,axiom,
    ( ~ esk59_0
    | ~ esk63_0 )).

cnf(i_0_4000,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_4001,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X10) )).

cnf(i_0_4002,axiom,
    ( p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X7) )).

cnf(i_0_4003,axiom,
    ( ~ esk111_0
    | ~ esk123_0 )).

cnf(i_0_4004,axiom,
    ( ~ esk48_0
    | ~ esk180_0 )).

cnf(i_0_4005,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_4006,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_4007,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_4008,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_4009,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_4010,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_4011,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_4012,axiom,
    ( p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4013,axiom,
    ( ~ esk28_0
    | ~ esk30_0 )).

cnf(i_0_4014,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_4015,axiom,
    ( p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_4016,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_4017,axiom,
    ( ~ esk219_0
    | ~ esk175_0 )).

cnf(i_0_4018,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X9) )).

cnf(i_0_4019,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_4020,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_4021,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X9) )).

cnf(i_0_4022,axiom,
    ( ~ esk209_0
    | ~ esk199_0 )).

cnf(i_0_4023,axiom,
    ( ~ esk34_0
    | ~ esk78_0 )).

cnf(i_0_4024,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_4025,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_4026,axiom,
    ( p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_4027,axiom,
    ( ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | p(X8)
    | p(X7) )).

cnf(i_0_4028,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_4029,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4030,axiom,
    ( p(X6)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_4031,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_4032,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_4033,axiom,
    ( p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_4034,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_4035,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_4036,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X4) )).

cnf(i_0_4037,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_4038,axiom,
    ( ~ esk145_0
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4039,axiom,
    ( ~ esk185_0
    | ~ esk179_0 )).

cnf(i_0_4040,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_4041,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_4042,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_4043,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_4044,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4045,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X8) )).

cnf(i_0_4046,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_4047,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_4048,axiom,
    ( p(X9)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4049,axiom,
    ( p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_4050,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_4051,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_4052,axiom,
    ( ~ esk94_0
    | ~ esk90_0 )).

cnf(i_0_4053,axiom,
    ( ~ esk152_0
    | ~ esk137_0 )).

cnf(i_0_4054,axiom,
    ( ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_4055,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_4056,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4057,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_4058,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_4059,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_4060,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4061,axiom,
    ( ~ esk219_0
    | ~ esk131_0 )).

cnf(i_0_4062,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_4063,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4064,axiom,
    ( ~ esk7_0
    | ~ esk3_0 )).

cnf(i_0_4065,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_4066,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_4067,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_4068,axiom,
    ( p(X1)
    | p(X9)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_4069,axiom,
    ( ~ esk103_0
    | ~ esk89_0 )).

cnf(i_0_4070,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | p(X8) )).

cnf(i_0_4071,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_4072,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_4073,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_4074,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4075,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | p(X2)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X5) )).

cnf(i_0_4076,axiom,
    ( p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | p(X2)
    | p(X10)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4077,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_4078,axiom,
    ( p(X8)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X5) )).

cnf(i_0_4079,axiom,
    ( ~ esk100_0
    | ~ esk98_0 )).

cnf(i_0_4080,axiom,
    ( ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4081,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_4082,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_4083,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_4084,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_4085,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | p(X10)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4086,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_4087,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_4088,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_4089,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_4090,axiom,
    ( p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X1) )).

cnf(i_0_4091,axiom,
    ( p(X9)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_4092,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X2) )).

cnf(i_0_4093,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_4094,axiom,
    ( ~ esk10_0
    | ~ esk6_0 )).

cnf(i_0_4095,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_4096,axiom,
    ( ~ esk160_0
    | ~ esk168_0 )).

cnf(i_0_4097,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk143_0 )).

cnf(i_0_4098,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4099,axiom,
    ( ~ esk94_0
    | ~ esk110_0 )).

cnf(i_0_4100,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_4101,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | p(X8)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4102,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_4103,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X4) )).

cnf(i_0_4104,axiom,
    ( p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4105,axiom,
    ( ~ esk4_0
    | ~ esk114_0 )).

cnf(i_0_4106,axiom,
    ( ~ esk4_0
    | ~ esk180_0 )).

cnf(i_0_4107,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_4108,axiom,
    ( ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4109,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_4110,axiom,
    ( ~ esk22_0
    | ~ esk12_0 )).

cnf(i_0_4111,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_4112,axiom,
    ( ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_4113,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4114,axiom,
    ( p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_4115,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X9) )).

cnf(i_0_4116,axiom,
    ( p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X10) )).

cnf(i_0_4117,axiom,
    ( p(X2)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_4118,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X2) )).

cnf(i_0_4119,axiom,
    ( p(X6)
    | p(X1)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_4120,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_4121,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_4122,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_4123,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_4124,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4125,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_4126,axiom,
    ( esk107_0
    | esk93_0
    | esk97_0
    | esk91_0
    | esk89_0
    | ~ esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk101_0
    | esk105_0
    | esk95_0
    | esk103_0
    | esk99_0
    | esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4127,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_4128,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4129,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_4130,axiom,
    ( ~ esk198_0
    | ~ esk192_0 )).

cnf(i_0_4131,axiom,
    ( ~ esk104_0
    | ~ esk126_0 )).

cnf(i_0_4132,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X9) )).

cnf(i_0_4133,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_4134,axiom,
    ( ~ esk3_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4135,axiom,
    ( ~ esk55_0
    | ~ esk187_0 )).

cnf(i_0_4136,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_4137,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk189_0 )).

cnf(i_0_4138,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_4139,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4140,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4141,axiom,
    ( ~ esk104_0
    | ~ esk148_0 )).

cnf(i_0_4142,axiom,
    ( ~ p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_4143,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4144,axiom,
    ( p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X7)
    | p(X5)
    | p(X3)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X2) )).

cnf(i_0_4145,axiom,
    ( ~ esk54_0
    | ~ esk186_0 )).

cnf(i_0_4146,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_4147,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_4148,axiom,
    ( ~ esk40_0
    | ~ esk194_0 )).

cnf(i_0_4149,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4150,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X2) )).

cnf(i_0_4151,axiom,
    ( ~ esk68_0
    | ~ esk80_0 )).

cnf(i_0_4152,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X3)
    | p(X10)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_4153,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4154,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_4155,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_4156,axiom,
    ( esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk83_0 )).

cnf(i_0_4157,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_4158,axiom,
    ( ~ esk42_0
    | ~ esk27_0 )).

cnf(i_0_4159,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_4160,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9) )).

cnf(i_0_4161,axiom,
    ( ~ esk138_0
    | ~ esk50_0 )).

cnf(i_0_4162,axiom,
    ( ~ esk144_0
    | ~ esk138_0 )).

cnf(i_0_4163,axiom,
    ( esk196_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4164,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X2)
    | p(X10) )).

cnf(i_0_4165,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_4166,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk217_0 )).

cnf(i_0_4167,axiom,
    ( p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_4168,axiom,
    ( p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_4169,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_4170,axiom,
    ( ~ esk27_0
    | ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4171,axiom,
    ( ~ esk114_0
    | ~ esk116_0 )).

cnf(i_0_4172,axiom,
    ( ~ esk123_0
    | ~ esk57_0 )).

cnf(i_0_4173,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_4174,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_4175,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk31_0 )).

cnf(i_0_4176,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X7)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_4177,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X3) )).

cnf(i_0_4178,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X9) )).

cnf(i_0_4179,axiom,
    ( ~ esk159_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4180,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_4181,axiom,
    ( ~ esk94_0
    | ~ esk96_0 )).

cnf(i_0_4182,axiom,
    ( esk161_0
    | esk165_0
    | esk163_0
    | esk159_0
    | ~ esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk167_0
    | esk157_0
    | esk169_0
    | esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk173_0
    | esk155_0
    | esk171_0 )).

cnf(i_0_4183,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_4184,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_4185,axiom,
    ( ~ esk127_0
    | ~ esk123_0 )).

cnf(i_0_4186,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X10) )).

cnf(i_0_4187,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_4188,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_4189,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_4190,axiom,
    ( ~ esk4_0
    | ~ esk10_0 )).

cnf(i_0_4191,axiom,
    ( ~ esk96_0
    | ~ esk30_0 )).

cnf(i_0_4192,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4193,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10) )).

cnf(i_0_4194,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_4195,axiom,
    ( p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_4196,axiom,
    ( ~ esk19_0
    | ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4197,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4198,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_4199,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4200,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_4201,axiom,
    ( p(X8)
    | p(X7)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_4202,axiom,
    ( p(X4)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_4203,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_4204,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X1)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_4205,axiom,
    ( ~ esk127_0
    | ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4206,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_4207,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4208,axiom,
    ( ~ esk192_0
    | ~ esk104_0 )).

cnf(i_0_4209,axiom,
    ( p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_4210,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_4211,axiom,
    ( ~ esk80_0
    | ~ esk58_0 )).

cnf(i_0_4212,axiom,
    ( p(X3)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_4213,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_4214,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_4215,axiom,
    ( ~ esk207_0
    | ~ esk209_0 )).

cnf(i_0_4216,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X8) )).

cnf(i_0_4217,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_4218,axiom,
    ( ~ esk121_0
    | ~ esk113_0 )).

cnf(i_0_4219,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_4220,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_4221,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_4222,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_4223,axiom,
    ( ~ esk215_0
    | ~ esk207_0 )).

cnf(i_0_4224,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4225,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_4226,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_4227,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | p(X6) )).

cnf(i_0_4228,axiom,
    ( ~ esk10_0
    | ~ esk54_0 )).

cnf(i_0_4229,axiom,
    ( ~ esk87_0
    | ~ esk88_0 )).

cnf(i_0_4230,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_4231,axiom,
    ( ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4232,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_4233,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_4234,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X1) )).

cnf(i_0_4235,axiom,
    ( ~ esk38_0
    | ~ esk40_0 )).

cnf(i_0_4236,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_4237,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4238,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_4239,axiom,
    ( ~ esk185_0
    | ~ esk31_0 )).

cnf(i_0_4240,axiom,
    ( p(X4)
    | p(X10)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | p(X2) )).

cnf(i_0_4241,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_4242,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_4243,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | p(X7) )).

cnf(i_0_4244,axiom,
    ( ~ esk51_0
    | esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4245,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4246,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_4247,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_4248,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X2) )).

cnf(i_0_4249,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_4250,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_4251,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_4252,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4253,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_4254,axiom,
    ( ~ esk111_0
    | ~ esk125_0 )).

cnf(i_0_4255,axiom,
    ( ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk169_0 )).

cnf(i_0_4256,axiom,
    ( ~ esk119_0
    | ~ esk111_0 )).

cnf(i_0_4257,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_4258,axiom,
    ( ~ esk3_0
    | ~ esk17_0 )).

cnf(i_0_4259,axiom,
    ( p(X10)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_4260,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X6) )).

cnf(i_0_4261,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_4262,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_4263,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4264,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_4265,axiom,
    ( p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_4266,axiom,
    ( p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4267,axiom,
    ( p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_4268,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_4269,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_4270,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4271,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_4272,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X9) )).

cnf(i_0_4273,axiom,
    ( ~ esk118_0
    | ~ esk128_0 )).

cnf(i_0_4274,axiom,
    ( esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk105_0 )).

cnf(i_0_4275,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_4276,axiom,
    ( p(X3)
    | p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4277,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | p(X7) )).

cnf(i_0_4278,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4279,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X3) )).

cnf(i_0_4280,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_4281,axiom,
    ( p(X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_4282,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4283,axiom,
    ( ~ esk216_0
    | ~ esk62_0 )).

cnf(i_0_4284,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4285,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_4286,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk23_0 )).

cnf(i_0_4287,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | p(X4)
    | p(X5)
    | p(X1) )).

cnf(i_0_4288,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_4289,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_4290,axiom,
    ( ~ esk104_0
    | ~ esk102_0 )).

cnf(i_0_4291,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X2) )).

cnf(i_0_4292,axiom,
    ( ~ esk198_0
    | ~ esk190_0 )).

cnf(i_0_4293,axiom,
    ( p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_4294,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_4295,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_4296,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_4297,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_4298,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_4299,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_4300,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk57_0 )).

cnf(i_0_4301,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_4302,axiom,
    ( ~ esk99_0
    | ~ esk165_0 )).

cnf(i_0_4303,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_4304,axiom,
    ( ~ esk1_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4305,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_4306,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9) )).

cnf(i_0_4307,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_4308,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_4309,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_4310,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5) )).

cnf(i_0_4311,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_4312,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_4313,axiom,
    ( ~ esk18_0
    | ~ esk8_0 )).

cnf(i_0_4314,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_4315,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_4316,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4317,axiom,
    ( p(X7)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_4318,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_4319,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4320,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4321,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_4322,axiom,
    ( p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_4323,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_4324,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_4325,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_4326,axiom,
    ( ~ esk103_0
    | ~ esk95_0 )).

cnf(i_0_4327,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_4328,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4329,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4330,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_4331,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X2) )).

cnf(i_0_4332,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_4333,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_4334,axiom,
    ( ~ esk3_0
    | ~ esk179_0 )).

cnf(i_0_4335,axiom,
    ( p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X9) )).

cnf(i_0_4336,axiom,
    ( ~ esk201_0
    | ~ esk135_0 )).

cnf(i_0_4337,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_4338,axiom,
    ( ~ esk82_0
    | ~ esk74_0 )).

cnf(i_0_4339,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X3) )).

cnf(i_0_4340,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_4341,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_4342,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4343,axiom,
    ( esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk95_0 )).

cnf(i_0_4344,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4345,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4346,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X5) )).

cnf(i_0_4347,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4348,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X10) )).

cnf(i_0_4349,axiom,
    ( ~ esk62_0
    | ~ esk128_0 )).

cnf(i_0_4350,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4351,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_4352,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X9)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_4353,axiom,
    ( ~ esk138_0
    | ~ esk134_0 )).

cnf(i_0_4354,axiom,
    ( p(X7)
    | p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_4355,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_4356,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_4357,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_4358,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4359,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4360,axiom,
    ( ~ esk51_0
    | ~ esk47_0 )).

cnf(i_0_4361,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4362,axiom,
    ( ~ esk19_0
    | ~ esk195_0 )).

cnf(i_0_4363,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_4364,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_4365,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_4366,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_4367,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4368,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_4369,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X5) )).

cnf(i_0_4370,axiom,
    ( ~ esk139_0
    | ~ esk151_0 )).

cnf(i_0_4371,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4372,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_4373,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_4374,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X7) )).

cnf(i_0_4375,axiom,
    ( p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4376,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_4377,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_4378,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_4379,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_4380,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk64_0
    | ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4381,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | p(X10) )).

cnf(i_0_4382,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_4383,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_4384,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X9) )).

cnf(i_0_4385,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_4386,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X5)
    | p(X9)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_4387,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X3) )).

cnf(i_0_4388,axiom,
    ( ~ esk48_0
    | ~ esk52_0 )).

cnf(i_0_4389,axiom,
    ( p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_4390,axiom,
    ( ~ esk12_0
    | ~ esk78_0 )).

cnf(i_0_4391,axiom,
    ( ~ esk159_0
    | ~ esk157_0 )).

cnf(i_0_4392,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | p(X7)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_4393,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_4394,axiom,
    ( ~ esk37_0
    | ~ esk31_0 )).

cnf(i_0_4395,axiom,
    ( ~ esk120_0
    | ~ esk116_0 )).

cnf(i_0_4396,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_4397,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_4398,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_4399,axiom,
    ( p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_4400,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_4401,axiom,
    ( ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4402,axiom,
    ( p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_4403,axiom,
    ( p(X7)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_4404,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4405,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4406,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_4407,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4408,axiom,
    ( ~ esk10_0
    | ~ esk12_0 )).

cnf(i_0_4409,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_4410,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_4411,axiom,
    ( ~ p(X9)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_4412,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_4413,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_4414,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_4415,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_4416,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_4417,axiom,
    ( p(X4)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_4418,axiom,
    ( ~ esk39_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4419,axiom,
    ( esk5_0
    | esk49_0
    | esk27_0
    | esk115_0
    | esk137_0
    | esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk181_0
    | esk93_0
    | ~ esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk71_0
    | esk159_0
    | esk203_0 )).

cnf(i_0_4420,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_4421,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_4422,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4423,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X7) )).

cnf(i_0_4424,axiom,
    ( ~ esk35_0
    | ~ esk23_0 )).

cnf(i_0_4425,axiom,
    ( p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_4426,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_4427,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_4428,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_4429,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_4430,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_4431,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_4432,axiom,
    ( p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | p(X5)
    | p(X9) )).

cnf(i_0_4433,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_4434,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_4435,axiom,
    ( ~ esk199_0
    | ~ esk133_0 )).

cnf(i_0_4436,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_4437,axiom,
    ( ~ esk34_0
    | ~ esk36_0 )).

cnf(i_0_4438,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X4)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_4439,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_4440,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_4441,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X4) )).

cnf(i_0_4442,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_4443,axiom,
    ( ~ esk119_0
    | ~ esk125_0 )).

cnf(i_0_4444,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_4445,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | p(X6) )).

cnf(i_0_4446,axiom,
    ( p(X9)
    | p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4447,axiom,
    ( ~ esk46_0
    | ~ esk52_0 )).

cnf(i_0_4448,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_4449,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_4450,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4451,axiom,
    ( ~ esk9_0
    | ~ esk20_0 )).

cnf(i_0_4452,axiom,
    ( p(X8)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_4453,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X5) )).

cnf(i_0_4454,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_4455,axiom,
    ( ~ p(X8)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_4456,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_4457,axiom,
    ( ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_4458,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_4459,axiom,
    ( p(X10)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | p(X9) )).

cnf(i_0_4460,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | p(X3)
    | p(X6)
    | p(X5)
    | p(X2) )).

cnf(i_0_4461,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X10) )).

cnf(i_0_4462,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4463,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_4464,axiom,
    ( p(X7)
    | p(X10)
    | p(X4)
    | p(X1)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X6)
    | p(X8) )).

cnf(i_0_4465,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_4466,axiom,
    ( ~ esk70_0
    | ~ esk114_0 )).

cnf(i_0_4467,axiom,
    ( ~ esk58_0
    | ~ esk212_0 )).

cnf(i_0_4468,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_4469,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4470,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X4) )).

cnf(i_0_4471,axiom,
    ( ~ esk194_0
    | ~ esk172_0 )).

cnf(i_0_4472,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_4473,axiom,
    ( ~ esk71_0
    | ~ esk81_0 )).

cnf(i_0_4474,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_4475,axiom,
    ( p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_4476,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_4477,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X9) )).

cnf(i_0_4478,axiom,
    ( ~ esk156_0
    | ~ esk168_0 )).

cnf(i_0_4479,axiom,
    ( ~ esk195_0
    | ~ esk193_0 )).

cnf(i_0_4480,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_4481,axiom,
    ( p(X1)
    | p(X4)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | p(X10) )).

cnf(i_0_4482,axiom,
    ( p(X6)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_4483,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_4484,axiom,
    ( p(X9)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_4485,axiom,
    ( ~ esk175_0
    | ~ esk156_0 )).

cnf(i_0_4486,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_4487,axiom,
    ( ~ esk115_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4488,axiom,
    ( ~ esk195_0
    | ~ esk151_0 )).

cnf(i_0_4489,axiom,
    ( ~ esk156_0
    | ~ esk164_0 )).

cnf(i_0_4490,axiom,
    ( ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_4491,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_4492,axiom,
    ( ~ esk71_0
    | ~ esk115_0 )).

cnf(i_0_4493,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_4494,axiom,
    ( p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4495,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4496,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_4497,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_4498,axiom,
    ( ~ esk216_0
    | ~ esk18_0 )).

cnf(i_0_4499,axiom,
    ( ~ esk158_0
    | ~ esk164_0 )).

cnf(i_0_4500,axiom,
    ( ~ esk147_0
    | ~ esk149_0 )).

cnf(i_0_4501,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_4502,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_4503,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_4504,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_4505,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4506,axiom,
    ( ~ esk12_0
    | ~ esk21_0 )).

cnf(i_0_4507,axiom,
    ( ~ esk188_0
    | ~ esk210_0 )).

cnf(i_0_4508,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_4509,axiom,
    ( esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk207_0
    | esk163_0
    | esk97_0
    | esk9_0
    | esk31_0
    | esk185_0
    | esk75_0
    | ~ esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk119_0
    | esk53_0
    | esk141_0 )).

cnf(i_0_4510,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4511,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_4512,axiom,
    ( p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_4513,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_4514,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_4515,axiom,
    ( ~ esk131_0
    | ~ esk43_0 )).

cnf(i_0_4516,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_4517,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_4518,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_4519,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_4520,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_4521,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_4522,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4523,axiom,
    ( ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4524,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_4525,axiom,
    ( ~ esk127_0
    | ~ esk115_0 )).

cnf(i_0_4526,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_4527,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4528,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_4529,axiom,
    ( ~ esk153_0
    | ~ esk146_0 )).

cnf(i_0_4530,axiom,
    ( ~ esk21_0
    | ~ esk109_0 )).

cnf(i_0_4531,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_4532,axiom,
    ( ~ esk167_0
    | ~ esk189_0 )).

cnf(i_0_4533,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_4534,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_4535,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_4536,axiom,
    ( ~ esk193_0
    | ~ esk177_0 )).

cnf(i_0_4537,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_4538,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X1)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_4539,axiom,
    ( ~ esk192_0
    | ~ esk182_0 )).

cnf(i_0_4540,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_4541,axiom,
    ( ~ esk39_0
    | ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4542,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_4543,axiom,
    ( esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk213_0 )).

cnf(i_0_4544,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_4545,axiom,
    ( ~ esk1_0
    | ~ esk45_0 )).

cnf(i_0_4546,axiom,
    ( ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_4547,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_4548,axiom,
    ( ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_4549,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_4550,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_4551,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4552,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_4553,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X5) )).

cnf(i_0_4554,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_4555,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_4556,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X2)
    | p(X8) )).

cnf(i_0_4557,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_4558,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk53_0 )).

cnf(i_0_4559,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_4560,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_4561,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_4562,axiom,
    ( ~ esk14_0
    | ~ esk102_0 )).

cnf(i_0_4563,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_4564,axiom,
    ( ~ esk163_0
    | ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4565,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4566,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_4567,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_4568,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4569,axiom,
    ( ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_4570,axiom,
    ( ~ esk119_0
    | ~ esk130_0 )).

cnf(i_0_4571,axiom,
    ( ~ esk86_0
    | ~ esk85_0 )).

cnf(i_0_4572,axiom,
    ( ~ esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk64_0 )).

cnf(i_0_4573,axiom,
    ( ~ esk149_0
    | ~ esk139_0 )).

cnf(i_0_4574,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_4575,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | p(X1) )).

cnf(i_0_4576,axiom,
    ( ~ esk100_0
    | ~ esk12_0 )).

cnf(i_0_4577,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4578,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4579,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_4580,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_4581,axiom,
    ( ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_4582,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_4583,axiom,
    ( ~ esk22_0
    | ~ esk18_0 )).

cnf(i_0_4584,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_4585,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_4586,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X2) )).

cnf(i_0_4587,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4588,axiom,
    ( ~ esk115_0
    | ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4589,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X2)
    | p(X8) )).

cnf(i_0_4590,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_4591,axiom,
    ( p(X10)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | p(X8)
    | p(X5) )).

cnf(i_0_4592,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_4593,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4594,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_4595,axiom,
    ( p(X3)
    | p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X1)
    | p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4596,axiom,
    ( ~ p(X4)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_4597,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_4598,axiom,
    ( ~ esk220_0
    | ~ esk204_0 )).

cnf(i_0_4599,axiom,
    ( ~ esk160_0
    | ~ esk6_0 )).

cnf(i_0_4600,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_4601,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X9) )).

cnf(i_0_4602,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_4603,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_4604,axiom,
    ( p(X6)
    | p(X4)
    | p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_4605,axiom,
    ( ~ esk101_0
    | ~ esk107_0 )).

cnf(i_0_4606,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_4607,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X8) )).

cnf(i_0_4608,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_4609,axiom,
    ( ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_4610,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_4611,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4612,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X1)
    | p(X2)
    | p(X8) )).

cnf(i_0_4613,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X7) )).

cnf(i_0_4614,axiom,
    ( p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_4615,axiom,
    ( p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X10)
    | p(X7) )).

cnf(i_0_4616,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X8) )).

cnf(i_0_4617,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_4618,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_4619,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X2) )).

cnf(i_0_4620,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4621,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk57_0 )).

cnf(i_0_4622,axiom,
    ( p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_4623,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_4624,axiom,
    ( ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_4625,axiom,
    ( ~ esk119_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4626,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X2) )).

cnf(i_0_4627,axiom,
    ( p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_4628,axiom,
    ( ~ p(X5)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_4629,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_4630,axiom,
    ( p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_4631,axiom,
    ( ~ esk6_0
    | ~ esk21_0 )).

cnf(i_0_4632,axiom,
    ( p(X4)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X8) )).

cnf(i_0_4633,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X3) )).

cnf(i_0_4634,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X7) )).

cnf(i_0_4635,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_4636,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_4637,axiom,
    ( ~ esk104_0
    | ~ esk94_0 )).

cnf(i_0_4638,axiom,
    ( p(X5)
    | p(X4)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_4639,axiom,
    ( ~ esk8_0
    | ~ esk96_0 )).

cnf(i_0_4640,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_4641,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X6)
    | p(X3)
    | p(X8)
    | p(X2)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X5) )).

cnf(i_0_4642,axiom,
    ( ~ esk20_0
    | ~ esk11_0 )).

cnf(i_0_4643,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_4644,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_4645,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_4646,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8) )).

cnf(i_0_4647,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4648,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X1) )).

cnf(i_0_4649,axiom,
    ( p(X7)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_4650,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X8) )).

cnf(i_0_4651,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_4652,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_4653,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X5) )).

cnf(i_0_4654,axiom,
    ( p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_4655,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | p(X6) )).

cnf(i_0_4656,axiom,
    ( ~ esk53_0
    | esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4657,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_4658,axiom,
    ( ~ esk114_0
    | ~ esk26_0 )).

cnf(i_0_4659,axiom,
    ( p(X3)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_4660,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4661,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4662,axiom,
    ( p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2) )).

cnf(i_0_4663,axiom,
    ( ~ esk203_0
    | ~ esk115_0 )).

cnf(i_0_4664,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_4665,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_4666,axiom,
    ( ~ esk189_0
    | ~ esk183_0 )).

cnf(i_0_4667,axiom,
    ( ~ esk5_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4668,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_4669,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | p(X3)
    | p(X4) )).

cnf(i_0_4670,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X6) )).

cnf(i_0_4671,axiom,
    ( ~ esk37_0
    | ~ esk25_0 )).

cnf(i_0_4672,axiom,
    ( p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_4673,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_4674,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_4675,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_4676,axiom,
    ( p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_4677,axiom,
    ( p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_4678,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_4679,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_4680,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4681,axiom,
    ( ~ esk126_0
    | ~ esk148_0 )).

cnf(i_0_4682,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_4683,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_4684,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4685,axiom,
    ( ~ p(X3)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_4686,axiom,
    ( p(X1)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4687,axiom,
    ( esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk189_0 )).

cnf(i_0_4688,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_4689,axiom,
    ( ~ esk158_0
    | ~ esk48_0 )).

cnf(i_0_4690,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_4691,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_4692,axiom,
    ( ~ esk179_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4693,axiom,
    ( p(X6)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_4694,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_4695,axiom,
    ( p(X1)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_4696,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_4697,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_4698,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X8) )).

cnf(i_0_4699,axiom,
    ( ~ esk208_0
    | ~ esk142_0 )).

cnf(i_0_4700,axiom,
    ( esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk59_0 )).

cnf(i_0_4701,axiom,
    ( p(X2)
    | p(X6)
    | p(X8)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_4702,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X5) )).

cnf(i_0_4703,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_4704,axiom,
    ( p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | p(X3) )).

cnf(i_0_4705,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_4706,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_4707,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4708,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_4709,axiom,
    ( ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_4710,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X6) )).

cnf(i_0_4711,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X4) )).

cnf(i_0_4712,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_4713,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_4714,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_4715,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_4716,axiom,
    ( ~ esk218_0
    | ~ esk207_0 )).

cnf(i_0_4717,axiom,
    ( ~ esk95_0
    | ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4718,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4719,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | p(X3)
    | p(X5) )).

cnf(i_0_4720,axiom,
    ( p(X2)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X7)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_4721,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4722,axiom,
    ( p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X2) )).

cnf(i_0_4723,axiom,
    ( ~ esk125_0
    | ~ esk147_0 )).

cnf(i_0_4724,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_4725,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X5) )).

cnf(i_0_4726,axiom,
    ( ~ esk78_0
    | ~ esk188_0 )).

cnf(i_0_4727,axiom,
    ( ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_4728,axiom,
    ( ~ esk12_0
    | ~ esk122_0 )).

cnf(i_0_4729,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_4730,axiom,
    ( ~ esk25_0
    | ~ esk33_0 )).

cnf(i_0_4731,axiom,
    ( ~ esk45_0
    | ~ esk63_0 )).

cnf(i_0_4732,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_4733,axiom,
    ( p(X1)
    | p(X7)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_4734,axiom,
    ( p(X3)
    | p(X8)
    | p(X7)
    | p(X10)
    | p(X4)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4735,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_4736,axiom,
    ( p(X4)
    | p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_4737,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_4738,axiom,
    ( p(X10)
    | p(X5)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_4739,axiom,
    ( ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_4740,axiom,
    ( ~ esk117_0
    | ~ esk113_0 )).

cnf(i_0_4741,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_4742,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_4743,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_4744,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_4745,axiom,
    ( ~ esk155_0
    | ~ esk173_0 )).

cnf(i_0_4746,axiom,
    ( ~ esk187_0
    | ~ esk165_0 )).

cnf(i_0_4747,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_4748,axiom,
    ( ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_4749,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X4) )).

cnf(i_0_4750,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_4751,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_4752,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_4753,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_4754,axiom,
    ( ~ esk37_0
    | esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4755,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X5)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_4756,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4757,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_4758,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_4759,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_4760,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_4761,axiom,
    ( ~ esk38_0
    | ~ esk214_0 )).

cnf(i_0_4762,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_4763,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7) )).

cnf(i_0_4764,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_4765,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_4766,axiom,
    ( p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_4767,axiom,
    ( p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4768,axiom,
    ( p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_4769,axiom,
    ( p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_4770,axiom,
    ( ~ esk178_0
    | ~ esk198_0 )).

cnf(i_0_4771,axiom,
    ( ~ esk128_0
    | ~ esk216_0 )).

cnf(i_0_4772,axiom,
    ( ~ esk23_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4773,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk137_0 )).

cnf(i_0_4774,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X7) )).

cnf(i_0_4775,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_4776,axiom,
    ( ~ esk89_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4777,axiom,
    ( ~ esk25_0
    | ~ esk47_0 )).

cnf(i_0_4778,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4779,axiom,
    ( ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk179_0 )).

cnf(i_0_4780,axiom,
    ( ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_4781,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X8) )).

cnf(i_0_4782,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_4783,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4784,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X2) )).

cnf(i_0_4785,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_4786,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X4) )).

cnf(i_0_4787,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_4788,axiom,
    ( ~ p(X3)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_4789,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4790,axiom,
    ( ~ esk51_0
    | ~ esk95_0 )).

cnf(i_0_4791,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_4792,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_4793,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X8) )).

cnf(i_0_4794,axiom,
    ( p(X1)
    | p(X9)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_4795,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4796,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4797,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_4798,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_4799,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X6) )).

cnf(i_0_4800,axiom,
    ( ~ esk77_0
    | esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4801,axiom,
    ( p(X10)
    | p(X8)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_4802,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4803,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | p(X4)
    | p(X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4804,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_4805,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_4806,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_4807,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_4808,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X1) )).

cnf(i_0_4809,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_4810,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_4811,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_4812,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk5_0 )).

cnf(i_0_4813,axiom,
    ( ~ esk37_0
    | ~ esk81_0 )).

cnf(i_0_4814,axiom,
    ( ~ esk131_0
    | ~ esk112_0 )).

cnf(i_0_4815,axiom,
    ( p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X5)
    | p(X8) )).

cnf(i_0_4816,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_4817,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4818,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_4819,axiom,
    ( p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7) )).

cnf(i_0_4820,axiom,
    ( p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_4821,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_4822,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_4823,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_4824,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_4825,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_4826,axiom,
    ( p(X1)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X10) )).

cnf(i_0_4827,axiom,
    ( ~ esk157_0
    | ~ esk165_0 )).

cnf(i_0_4828,axiom,
    ( esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk11_0 )).

cnf(i_0_4829,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_4830,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_4831,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_4832,axiom,
    ( p(X1)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_4833,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4834,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4835,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4836,axiom,
    ( ~ esk39_0
    | ~ esk23_0 )).

cnf(i_0_4837,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4838,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_4839,axiom,
    ( p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_4840,axiom,
    ( p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_4841,axiom,
    ( ~ esk24_0
    | ~ esk46_0 )).

cnf(i_0_4842,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_4843,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_4844,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_4845,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X3) )).

cnf(i_0_4846,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_4847,axiom,
    ( ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_4848,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_4849,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_4850,axiom,
    ( p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_4851,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_4852,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | p(X9) )).

cnf(i_0_4853,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_4854,axiom,
    ( ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | p(X8) )).

cnf(i_0_4855,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4856,axiom,
    ( ~ esk92_0
    | ~ esk114_0 )).

cnf(i_0_4857,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk209_0 )).

cnf(i_0_4858,axiom,
    ( ~ esk201_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4859,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_4860,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_4861,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_4862,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_4863,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X10) )).

cnf(i_0_4864,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_4865,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_4866,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_4867,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_4868,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_4869,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_4870,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_4871,axiom,
    ( p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_4872,axiom,
    ( p(X1)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_4873,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4874,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_4875,axiom,
    ( ~ esk165_0
    | ~ esk167_0 )).

cnf(i_0_4876,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_4877,axiom,
    ( ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_4878,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_4879,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_4880,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_4881,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_4882,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_4883,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4884,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4885,axiom,
    ( p(X9)
    | p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_4886,axiom,
    ( p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_4887,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4888,axiom,
    ( p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4889,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_4890,axiom,
    ( ~ p(X2)
    | p(X7)
    | p(X9)
    | p(X4)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_4891,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_4892,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_4893,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_4894,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_4895,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_4896,axiom,
    ( ~ esk147_0
    | ~ esk213_0 )).

cnf(i_0_4897,axiom,
    ( ~ esk220_0
    | ~ esk210_0 )).

cnf(i_0_4898,axiom,
    ( ~ esk4_0
    | ~ esk26_0 )).

cnf(i_0_4899,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_4900,axiom,
    ( ~ esk153_0
    | ~ esk154_0 )).

cnf(i_0_4901,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X2) )).

cnf(i_0_4902,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_4903,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_4904,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_4905,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_4906,axiom,
    ( ~ esk215_0
    | ~ esk17_0 )).

cnf(i_0_4907,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4908,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_4909,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_4910,axiom,
    ( p(X7)
    | p(X5)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X3) )).

cnf(i_0_4911,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_4912,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_4913,axiom,
    ( p(X8)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_4914,axiom,
    ( ~ esk176_0
    | ~ esk166_0 )).

cnf(i_0_4915,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_4916,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | p(X1) )).

cnf(i_0_4917,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4918,axiom,
    ( p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_4919,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_4920,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_4921,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_4922,axiom,
    ( ~ esk123_0
    | ~ esk117_0 )).

cnf(i_0_4923,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_4924,axiom,
    ( p(X2)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_4925,axiom,
    ( ~ p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_4926,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_4927,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_4928,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_4929,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_4930,axiom,
    ( ~ esk131_0
    | ~ esk175_0 )).

cnf(i_0_4931,axiom,
    ( ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_4932,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_4933,axiom,
    ( ~ esk214_0
    | ~ esk104_0 )).

cnf(i_0_4934,axiom,
    ( p(X8)
    | p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_4935,axiom,
    ( ~ esk79_0
    | ~ esk71_0 )).

cnf(i_0_4936,axiom,
    ( ~ esk149_0
    | ~ esk145_0 )).

cnf(i_0_4937,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_4938,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_4939,axiom,
    ( p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X3) )).

cnf(i_0_4940,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_4941,axiom,
    ( ~ esk124_0
    | ~ esk168_0 )).

cnf(i_0_4942,axiom,
    ( ~ esk213_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4943,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | p(X3) )).

cnf(i_0_4944,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_4945,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_4946,axiom,
    ( ~ esk106_0
    | ~ esk100_0 )).

cnf(i_0_4947,axiom,
    ( ~ esk45_0
    | ~ esk51_0 )).

cnf(i_0_4948,axiom,
    ( p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_4949,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_4950,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_4951,axiom,
    ( ~ esk18_0
    | ~ esk16_0 )).

cnf(i_0_4952,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_4953,axiom,
    ( p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_4954,axiom,
    ( ~ esk218_0
    | ~ esk215_0 )).

cnf(i_0_4955,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_4956,axiom,
    ( ~ esk200_0
    | ~ esk219_0 )).

cnf(i_0_4957,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | p(X4) )).

cnf(i_0_4958,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_4959,axiom,
    ( ~ esk37_0
    | ~ esk169_0 )).

cnf(i_0_4960,axiom,
    ( p(X2)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_4961,axiom,
    ( p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_4962,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_4963,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8) )).

cnf(i_0_4964,axiom,
    ( ~ esk139_0
    | ~ esk133_0 )).

cnf(i_0_4965,axiom,
    ( ~ esk26_0
    | ~ esk92_0 )).

cnf(i_0_4966,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_4967,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_4968,axiom,
    ( ~ esk80_0
    | ~ esk88_0 )).

cnf(i_0_4969,axiom,
    ( p(X8)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_4970,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4971,axiom,
    ( ~ esk189_0
    | ~ esk185_0 )).

cnf(i_0_4972,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_4973,axiom,
    ( p(X9)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_4974,axiom,
    ( ~ esk167_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4975,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_4976,axiom,
    ( ~ esk181_0
    | ~ esk179_0 )).

cnf(i_0_4977,axiom,
    ( ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_4978,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_4979,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X10) )).

cnf(i_0_4980,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_4981,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_4982,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_4983,axiom,
    ( p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_4984,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_4985,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_4986,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_4987,axiom,
    ( p(X3)
    | p(X7)
    | p(X6)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_4988,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_4989,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X2)
    | p(X9)
    | p(X8)
    | p(X10) )).

cnf(i_0_4990,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | p(X9) )).

cnf(i_0_4991,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_4992,axiom,
    ( ~ esk87_0
    | ~ esk175_0 )).

cnf(i_0_4993,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_4994,axiom,
    ( ~ esk183_0
    | ~ esk29_0 )).

cnf(i_0_4995,axiom,
    ( p(X1)
    | p(X8)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_4996,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X7) )).

cnf(i_0_4997,axiom,
    ( ~ esk75_0
    | ~ esk79_0 )).

cnf(i_0_4998,axiom,
    ( ~ esk13_0
    | ~ esk7_0 )).

cnf(i_0_4999,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_5000,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_5001,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_5002,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_5003,axiom,
    ( ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_5004,axiom,
    ( ~ esk72_0
    | ~ esk88_0 )).

cnf(i_0_5005,axiom,
    ( ~ esk81_0
    | ~ esk67_0 )).

cnf(i_0_5006,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X9) )).

cnf(i_0_5007,axiom,
    ( ~ esk34_0
    | ~ esk28_0 )).

cnf(i_0_5008,axiom,
    ( ~ esk126_0
    | ~ esk114_0 )).

cnf(i_0_5009,axiom,
    ( ~ esk193_0
    | ~ esk181_0 )).

cnf(i_0_5010,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_5011,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X4)
    | p(X2)
    | p(X6) )).

cnf(i_0_5012,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_5013,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5014,axiom,
    ( p(X5)
    | p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5015,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | p(X9)
    | p(X4)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5016,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_5017,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_5018,axiom,
    ( p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_5019,axiom,
    ( ~ esk11_0
    | ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5020,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_5021,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_5022,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5023,axiom,
    ( p(X6)
    | p(X10)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X8) )).

cnf(i_0_5024,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5025,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5026,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5027,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_5028,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10) )).

cnf(i_0_5029,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk167_0 )).

cnf(i_0_5030,axiom,
    ( p(X5)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_5031,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_5032,axiom,
    ( p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_5033,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X8) )).

cnf(i_0_5034,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_5035,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk49_0 )).

cnf(i_0_5036,axiom,
    ( ~ esk149_0
    | ~ esk61_0 )).

cnf(i_0_5037,axiom,
    ( ~ esk67_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5038,axiom,
    ( ~ esk191_0
    | ~ esk103_0 )).

cnf(i_0_5039,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X10) )).

cnf(i_0_5040,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X5) )).

cnf(i_0_5041,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X5) )).

cnf(i_0_5042,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X5) )).

cnf(i_0_5043,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_5044,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5045,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_5046,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_5047,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_5048,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_5049,axiom,
    ( ~ esk73_0
    | ~ esk86_0 )).

cnf(i_0_5050,axiom,
    ( ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_5051,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_5052,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5053,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5054,axiom,
    ( ~ esk207_0
    | esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5055,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5056,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_5057,axiom,
    ( p(X10)
    | p(X1)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_5058,axiom,
    ( p(X8)
    | p(X9)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_5059,axiom,
    ( ~ esk51_0
    | ~ esk61_0 )).

cnf(i_0_5060,axiom,
    ( ~ esk160_0
    | ~ esk156_0 )).

cnf(i_0_5061,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5062,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_5063,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_5064,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_5065,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_5066,axiom,
    ( ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_5067,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5068,axiom,
    ( ~ esk25_0
    | ~ esk179_0 )).

cnf(i_0_5069,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_5070,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5071,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_5072,axiom,
    ( ~ esk161_0
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5073,axiom,
    ( p(X5)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_5074,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_5075,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_5076,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5077,axiom,
    ( ~ esk27_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5078,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_5079,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5080,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_5081,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_5082,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5083,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_5084,axiom,
    ( ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X2) )).

cnf(i_0_5085,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk193_0 )).

cnf(i_0_5086,axiom,
    ( ~ esk134_0
    | ~ esk24_0 )).

cnf(i_0_5087,axiom,
    ( ~ esk105_0
    | ~ esk101_0 )).

cnf(i_0_5088,axiom,
    ( p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_5089,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X2) )).

cnf(i_0_5090,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_5091,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_5092,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_5093,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X2) )).

cnf(i_0_5094,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X4) )).

cnf(i_0_5095,axiom,
    ( ~ esk130_0
    | ~ esk111_0 )).

cnf(i_0_5096,axiom,
    ( p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_5097,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5098,axiom,
    ( p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_5099,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_5100,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_5101,axiom,
    ( ~ esk103_0
    | ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5102,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_5103,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | p(X4)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5104,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5105,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_5106,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_5107,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_5108,axiom,
    ( ~ esk109_0
    | ~ esk102_0 )).

cnf(i_0_5109,axiom,
    ( p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X4) )).

cnf(i_0_5110,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_5111,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_5112,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X1)
    | p(X5) )).

cnf(i_0_5113,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_5114,axiom,
    ( ~ esk181_0
    | ~ esk183_0 )).

cnf(i_0_5115,axiom,
    ( p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_5116,axiom,
    ( p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5117,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_5118,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_5119,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_5120,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_5121,axiom,
    ( ~ esk57_0
    | ~ esk211_0 )).

cnf(i_0_5122,axiom,
    ( ~ esk39_0
    | ~ esk37_0 )).

cnf(i_0_5123,axiom,
    ( ~ p(X4)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_5124,axiom,
    ( p(X8)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_5125,axiom,
    ( p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_5126,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | p(X10)
    | p(X2)
    | p(X7)
    | p(X1) )).

cnf(i_0_5127,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | p(X2) )).

cnf(i_0_5128,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_5129,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_5130,axiom,
    ( p(X10)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_5131,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X7) )).

cnf(i_0_5132,axiom,
    ( ~ esk81_0
    | ~ esk77_0 )).

cnf(i_0_5133,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_5134,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_5135,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_5136,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_5137,axiom,
    ( ~ esk40_0
    | ~ esk26_0 )).

cnf(i_0_5138,axiom,
    ( ~ esk187_0
    | ~ esk183_0 )).

cnf(i_0_5139,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X5) )).

cnf(i_0_5140,axiom,
    ( p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_5141,axiom,
    ( ~ esk138_0
    | ~ esk160_0 )).

cnf(i_0_5142,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X4) )).

cnf(i_0_5143,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_5144,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5145,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_5146,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_5147,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_5148,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5149,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_5150,axiom,
    ( p(X7)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X3) )).

cnf(i_0_5151,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X2) )).

cnf(i_0_5152,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_5153,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_5154,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk141_0 )).

cnf(i_0_5155,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_5156,axiom,
    ( p(X10)
    | p(X2)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X1) )).

cnf(i_0_5157,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_5158,axiom,
    ( ~ esk83_0
    | ~ esk171_0 )).

cnf(i_0_5159,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_5160,axiom,
    ( p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_5161,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5162,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | p(X4)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5163,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_5164,axiom,
    ( ~ esk73_0
    | ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5165,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | p(X9)
    | p(X10) )).

cnf(i_0_5166,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5167,axiom,
    ( ~ esk64_0
    | ~ esk55_0 )).

cnf(i_0_5168,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_5169,axiom,
    ( ~ esk107_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5170,axiom,
    ( p(X4)
    | p(X9)
    | p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5171,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X8) )).

cnf(i_0_5172,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X9) )).

cnf(i_0_5173,axiom,
    ( p(X6)
    | p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5174,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_5175,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_5176,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_5177,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_5178,axiom,
    ( ~ esk117_0
    | ~ esk111_0 )).

cnf(i_0_5179,axiom,
    ( ~ esk129_0
    | ~ esk130_0 )).

cnf(i_0_5180,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_5181,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5182,axiom,
    ( ~ esk212_0
    | ~ esk219_0 )).

cnf(i_0_5183,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X5)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5184,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_5185,axiom,
    ( p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_5186,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_5187,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5188,axiom,
    ( ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_5189,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5190,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X5) )).

cnf(i_0_5191,axiom,
    ( ~ esk96_0
    | ~ esk118_0 )).

cnf(i_0_5192,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5193,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5194,axiom,
    ( p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_5195,axiom,
    ( ~ esk44_0
    | ~ esk36_0 )).

cnf(i_0_5196,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_5197,axiom,
    ( ~ esk75_0
    | ~ esk77_0 )).

cnf(i_0_5198,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_5199,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_5200,axiom,
    ( ~ esk173_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5201,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X9)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_5202,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5203,axiom,
    ( p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_5204,axiom,
    ( ~ esk163_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5205,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_5206,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_5207,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_5208,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk217_0 )).

cnf(i_0_5209,axiom,
    ( ~ esk42_0
    | ~ esk23_0 )).

cnf(i_0_5210,axiom,
    ( p(X7)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5211,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5212,axiom,
    ( p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_5213,axiom,
    ( ~ esk139_0
    | ~ esk51_0 )).

cnf(i_0_5214,axiom,
    ( ~ esk160_0
    | ~ esk175_0 )).

cnf(i_0_5215,axiom,
    ( ~ esk78_0
    | ~ esk82_0 )).

cnf(i_0_5216,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X4) )).

cnf(i_0_5217,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10) )).

cnf(i_0_5218,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_5219,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_5220,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_5221,axiom,
    ( p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_5222,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_5223,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_5224,axiom,
    ( ~ esk177_0
    | ~ esk185_0 )).

cnf(i_0_5225,axiom,
    ( ~ esk13_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5226,axiom,
    ( p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_5227,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5228,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_5229,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5230,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9) )).

cnf(i_0_5231,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5232,axiom,
    ( ~ esk168_0
    | ~ esk162_0 )).

cnf(i_0_5233,axiom,
    ( ~ esk93_0
    | ~ esk108_0 )).

cnf(i_0_5234,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_5235,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5236,axiom,
    ( p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_5237,axiom,
    ( ~ esk111_0
    | ~ esk121_0 )).

cnf(i_0_5238,axiom,
    ( esk113_0
    | esk201_0
    | esk47_0
    | esk91_0
    | esk135_0
    | esk25_0
    | esk157_0
    | esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk69_0
    | esk3_0
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk179_0 )).

cnf(i_0_5239,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5240,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5241,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_5242,axiom,
    ( ~ p(X4)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_5243,axiom,
    ( ~ esk82_0
    | ~ esk84_0 )).

cnf(i_0_5244,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_5245,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_5246,axiom,
    ( ~ esk151_0
    | ~ esk129_0 )).

cnf(i_0_5247,axiom,
    ( ~ esk124_0
    | ~ esk120_0 )).

cnf(i_0_5248,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_5249,axiom,
    ( p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_5250,axiom,
    ( ~ esk49_0
    | ~ esk45_0 )).

cnf(i_0_5251,axiom,
    ( p(X9)
    | p(X1)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_5252,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_5253,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_5254,axiom,
    ( ~ esk5_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5255,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X4) )).

cnf(i_0_5256,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_5257,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5258,axiom,
    ( p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | p(X7) )).

cnf(i_0_5259,axiom,
    ( p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_5260,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_5261,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5262,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_5263,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5264,axiom,
    ( p(X1)
    | p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_5265,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5266,axiom,
    ( p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_5267,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_5268,axiom,
    ( ~ esk49_0
    | ~ esk51_0 )).

cnf(i_0_5269,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X4) )).

cnf(i_0_5270,axiom,
    ( ~ esk179_0
    | ~ esk193_0 )).

cnf(i_0_5271,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_5272,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X4) )).

cnf(i_0_5273,axiom,
    ( ~ esk76_0
    | ~ esk84_0 )).

cnf(i_0_5274,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_5275,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_5276,axiom,
    ( ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X10)
    | p(X4) )).

cnf(i_0_5277,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_5278,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_5279,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_5280,axiom,
    ( ~ esk218_0
    | ~ esk199_0 )).

cnf(i_0_5281,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_5282,axiom,
    ( ~ esk180_0
    | ~ esk194_0 )).

cnf(i_0_5283,axiom,
    ( ~ esk185_0
    | ~ esk141_0 )).

cnf(i_0_5284,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk45_0 )).

cnf(i_0_5285,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_5286,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X4)
    | p(X2) )).

cnf(i_0_5287,axiom,
    ( ~ esk49_0
    | ~ esk203_0 )).

cnf(i_0_5288,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_5289,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_5290,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_5291,axiom,
    ( p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_5292,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_5293,axiom,
    ( p(X10)
    | p(X1)
    | p(X5)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_5294,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_5295,axiom,
    ( p(X7)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X8)
    | p(X10)
    | p(X5) )).

cnf(i_0_5296,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_5297,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | p(X7) )).

cnf(i_0_5298,axiom,
    ( ~ esk196_0
    | ~ esk189_0 )).

cnf(i_0_5299,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_5300,axiom,
    ( p(X4)
    | p(X8)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X2)
    | p(X9)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5301,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_5302,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_5303,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5304,axiom,
    ( ~ esk13_0
    | ~ esk145_0 )).

cnf(i_0_5305,axiom,
    ( p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | p(X7) )).

cnf(i_0_5306,axiom,
    ( ~ esk202_0
    | ~ esk48_0 )).

cnf(i_0_5307,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5308,axiom,
    ( ~ esk122_0
    | ~ esk126_0 )).

cnf(i_0_5309,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_5310,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5311,axiom,
    ( ~ esk54_0
    | ~ esk164_0 )).

cnf(i_0_5312,axiom,
    ( ~ esk77_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5313,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_5314,axiom,
    ( ~ esk141_0
    | ~ esk31_0 )).

cnf(i_0_5315,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10) )).

cnf(i_0_5316,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_5317,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_5318,axiom,
    ( p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X5) )).

cnf(i_0_5319,axiom,
    ( ~ esk18_0
    | ~ esk2_0 )).

cnf(i_0_5320,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_5321,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_5322,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_5323,axiom,
    ( ~ esk15_0
    | ~ esk19_0 )).

cnf(i_0_5324,axiom,
    ( ~ esk187_0
    | ~ esk33_0 )).

cnf(i_0_5325,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_5326,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X9) )).

cnf(i_0_5327,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5328,axiom,
    ( ~ esk140_0
    | ~ esk154_0 )).

cnf(i_0_5329,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_5330,axiom,
    ( ~ esk50_0
    | ~ esk58_0 )).

cnf(i_0_5331,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_5332,axiom,
    ( ~ esk105_0
    | ~ esk17_0 )).

cnf(i_0_5333,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_5334,axiom,
    ( ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5335,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8) )).

cnf(i_0_5336,axiom,
    ( p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_5337,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_5338,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_5339,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_5340,axiom,
    ( p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_5341,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_5342,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_5343,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_5344,axiom,
    ( ~ esk205_0
    | ~ esk203_0 )).

cnf(i_0_5345,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_5346,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_5347,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_5348,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X4) )).

cnf(i_0_5349,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_5350,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_5351,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X6) )).

cnf(i_0_5352,axiom,
    ( p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5353,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_5354,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5355,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_5356,axiom,
    ( ~ esk149_0
    | ~ esk151_0 )).

cnf(i_0_5357,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_5358,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_5359,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_5360,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_5361,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5362,axiom,
    ( ~ esk1_0
    | ~ esk3_0 )).

cnf(i_0_5363,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_5364,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5365,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_5366,axiom,
    ( ~ esk159_0
    | ~ esk93_0 )).

cnf(i_0_5367,axiom,
    ( p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5368,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_5369,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5370,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_5371,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_5372,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5373,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_5374,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X6) )).

cnf(i_0_5375,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_5376,axiom,
    ( ~ esk212_0
    | ~ esk210_0 )).

cnf(i_0_5377,axiom,
    ( p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_5378,axiom,
    ( p(X6)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_5379,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_5380,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5381,axiom,
    ( p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_5382,axiom,
    ( p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_5383,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X9) )).

cnf(i_0_5384,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5385,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X2) )).

cnf(i_0_5386,axiom,
    ( ~ esk81_0
    | ~ esk86_0 )).

cnf(i_0_5387,axiom,
    ( ~ esk171_0
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5388,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_5389,axiom,
    ( ~ esk192_0
    | ~ esk194_0 )).

cnf(i_0_5390,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_5391,axiom,
    ( ~ esk167_0
    | ~ esk13_0 )).

cnf(i_0_5392,axiom,
    ( ~ esk163_0
    | ~ esk161_0 )).

cnf(i_0_5393,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_5394,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_5395,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_5396,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_5397,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_5398,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_5399,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_5400,axiom,
    ( ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_5401,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_5402,axiom,
    ( p(X9)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_5403,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5404,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5405,axiom,
    ( ~ esk133_0
    | ~ esk1_0 )).

cnf(i_0_5406,axiom,
    ( p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_5407,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_5408,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_5409,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5410,axiom,
    ( ~ esk126_0
    | ~ esk60_0 )).

cnf(i_0_5411,axiom,
    ( ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_5412,axiom,
    ( ~ esk23_0
    | ~ esk155_0 )).

cnf(i_0_5413,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_5414,axiom,
    ( p(X10)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_5415,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X2)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X8) )).

cnf(i_0_5416,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_5417,axiom,
    ( p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_5418,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4) )).

cnf(i_0_5419,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_5420,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5421,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_5422,axiom,
    ( p(X1)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_5423,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_5424,axiom,
    ( ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_5425,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X3)
    | p(X9) )).

cnf(i_0_5426,axiom,
    ( ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_5427,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_5428,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_5429,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_5430,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5431,axiom,
    ( ~ esk7_0
    | ~ esk51_0 )).

cnf(i_0_5432,axiom,
    ( ~ esk43_0
    | ~ esk34_0 )).

cnf(i_0_5433,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk152_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5434,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_5435,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_5436,axiom,
    ( p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_5437,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_5438,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_5439,axiom,
    ( ~ esk5_0
    | ~ esk1_0 )).

cnf(i_0_5440,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5441,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_5442,axiom,
    ( ~ esk210_0
    | ~ esk208_0 )).

cnf(i_0_5443,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_5444,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_5445,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_5446,axiom,
    ( p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_5447,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | p(X2)
    | p(X3) )).

cnf(i_0_5448,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_5449,axiom,
    ( p(X5)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_5450,axiom,
    ( p(X5)
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_5451,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5452,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_5453,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_5454,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_5455,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X5) )).

cnf(i_0_5456,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_5457,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_5458,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | p(X5)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5459,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_5460,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_5461,axiom,
    ( p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5462,axiom,
    ( ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_5463,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_5464,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_5465,axiom,
    ( ~ esk185_0
    | ~ esk53_0 )).

cnf(i_0_5466,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_5467,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_5468,axiom,
    ( p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | p(X5) )).

cnf(i_0_5469,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_5470,axiom,
    ( ~ p(X5)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_5471,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_5472,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_5473,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_5474,axiom,
    ( p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | p(X7) )).

cnf(i_0_5475,axiom,
    ( p(X8)
    | p(X1)
    | p(X9)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_5476,axiom,
    ( ~ esk153_0
    | ~ esk131_0 )).

cnf(i_0_5477,axiom,
    ( p(X10)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X4) )).

cnf(i_0_5478,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_5479,axiom,
    ( p(X9)
    | p(X5)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_5480,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_5481,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_5482,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X10) )).

cnf(i_0_5483,axiom,
    ( ~ esk209_0
    | ~ esk143_0 )).

cnf(i_0_5484,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_5485,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_5486,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_5487,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5488,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_5489,axiom,
    ( ~ esk179_0
    | ~ esk183_0 )).

cnf(i_0_5490,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_5491,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5492,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_5493,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5494,axiom,
    ( ~ esk193_0
    | ~ esk17_0 )).

cnf(i_0_5495,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_5496,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_5497,axiom,
    ( p(X2)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_5498,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_5499,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5500,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5501,axiom,
    ( p(X10)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X2)
    | p(X9) )).

cnf(i_0_5502,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X8) )).

cnf(i_0_5503,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_5504,axiom,
    ( p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5505,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk41_0 )).

cnf(i_0_5506,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_5507,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_5508,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_5509,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_5510,axiom,
    ( ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_5511,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X5) )).

cnf(i_0_5512,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_5513,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_5514,axiom,
    ( p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_5515,axiom,
    ( p(X6)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X4) )).

cnf(i_0_5516,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_5517,axiom,
    ( p(X2)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_5518,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_5519,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5520,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_5521,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_5522,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_5523,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_5524,axiom,
    ( ~ esk1_0
    | ~ esk111_0 )).

cnf(i_0_5525,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_5526,axiom,
    ( p(X3)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_5527,axiom,
    ( ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_5528,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_5529,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X1) )).

cnf(i_0_5530,axiom,
    ( ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X6) )).

cnf(i_0_5531,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_5532,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_5533,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_5534,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5535,axiom,
    ( p(X9)
    | p(X1)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_5536,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5537,axiom,
    ( esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk155_0 )).

cnf(i_0_5538,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_5539,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_5540,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk83_0 )).

cnf(i_0_5541,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_5542,axiom,
    ( ~ esk207_0
    | ~ esk9_0 )).

cnf(i_0_5543,axiom,
    ( ~ esk120_0
    | ~ esk131_0 )).

cnf(i_0_5544,axiom,
    ( ~ esk87_0
    | ~ esk43_0 )).

cnf(i_0_5545,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5546,axiom,
    ( ~ esk103_0
    | ~ esk15_0 )).

cnf(i_0_5547,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_5548,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_5549,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5550,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_5551,axiom,
    ( ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_5552,axiom,
    ( ~ p(X5)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | p(X3)
    | p(X8) )).

cnf(i_0_5553,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1) )).

cnf(i_0_5554,axiom,
    ( ~ esk159_0
    | ~ esk137_0 )).

cnf(i_0_5555,axiom,
    ( ~ p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_5556,axiom,
    ( p(X2)
    | p(X3)
    | p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5557,axiom,
    ( ~ esk83_0
    | ~ esk73_0 )).

cnf(i_0_5558,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_5559,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_5560,axiom,
    ( ~ esk107_0
    | ~ esk19_0 )).

cnf(i_0_5561,axiom,
    ( ~ esk15_0
    | ~ esk191_0 )).

cnf(i_0_5562,axiom,
    ( p(X10)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_5563,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_5564,axiom,
    ( ~ esk30_0
    | ~ esk36_0 )).

cnf(i_0_5565,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_5566,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_5567,axiom,
    ( esk103_0
    | esk15_0
    | esk125_0
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk147_0
    | esk81_0
    | esk191_0
    | esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk213_0
    | esk37_0
    | esk169_0
    | esk59_0 )).

cnf(i_0_5568,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_5569,axiom,
    ( ~ esk72_0
    | ~ esk160_0 )).

cnf(i_0_5570,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_5571,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_5572,axiom,
    ( p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X3)
    | p(X7)
    | p(X10) )).

cnf(i_0_5573,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_5574,axiom,
    ( p(X5)
    | p(X6)
    | p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_5575,axiom,
    ( ~ esk115_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5576,axiom,
    ( p(X1)
    | p(X7)
    | p(X4)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_5577,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_5578,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5579,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5580,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_5581,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_5582,axiom,
    ( p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_5583,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_5584,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_5585,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X10) )).

cnf(i_0_5586,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X6) )).

cnf(i_0_5587,axiom,
    ( ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_5588,axiom,
    ( ~ esk55_0
    | ~ esk45_0 )).

cnf(i_0_5589,axiom,
    ( ~ esk3_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5590,axiom,
    ( p(X8)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_5591,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_5592,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_5593,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_5594,axiom,
    ( ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5595,axiom,
    ( ~ esk56_0
    | ~ esk78_0 )).

cnf(i_0_5596,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_5597,axiom,
    ( p(X3)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_5598,axiom,
    ( ~ esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk125_0
    | esk59_0
    | esk147_0
    | esk103_0
    | esk15_0
    | esk213_0
    | esk191_0
    | esk169_0
    | esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk37_0
    | esk81_0 )).

cnf(i_0_5599,axiom,
    ( ~ esk61_0
    | ~ esk215_0 )).

cnf(i_0_5600,axiom,
    ( ~ esk149_0
    | ~ esk127_0 )).

cnf(i_0_5601,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_5602,axiom,
    ( p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_5603,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_5604,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_5605,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_5606,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5607,axiom,
    ( ~ esk166_0
    | ~ esk170_0 )).

cnf(i_0_5608,axiom,
    ( ~ esk75_0
    | ~ esk141_0 )).

cnf(i_0_5609,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_5610,axiom,
    ( ~ esk159_0
    | esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5611,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_5612,axiom,
    ( ~ p(X6)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_5613,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_5614,axiom,
    ( ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_5615,axiom,
    ( ~ esk9_0
    | ~ esk15_0 )).

cnf(i_0_5616,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_5617,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_5618,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X10) )).

cnf(i_0_5619,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5620,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_5621,axiom,
    ( ~ esk15_0
    | ~ esk1_0 )).

cnf(i_0_5622,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_5623,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_5624,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_5625,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_5626,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5627,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_5628,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5629,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_5630,axiom,
    ( ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_5631,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X5)
    | p(X8) )).

cnf(i_0_5632,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_5633,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_5634,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_5635,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_5636,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5637,axiom,
    ( p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_5638,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_5639,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5640,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | p(X6)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5641,axiom,
    ( p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5642,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X9) )).

cnf(i_0_5643,axiom,
    ( p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_5644,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_5645,axiom,
    ( ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_5646,axiom,
    ( ~ p(X4)
    | p(X8)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X10)
    | p(X1) )).

cnf(i_0_5647,axiom,
    ( ~ esk146_0
    | ~ esk36_0 )).

cnf(i_0_5648,axiom,
    ( ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_5649,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk181_0 )).

cnf(i_0_5650,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_5651,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X3) )).

cnf(i_0_5652,axiom,
    ( p(X4)
    | p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_5653,axiom,
    ( ~ esk83_0
    | ~ esk127_0 )).

cnf(i_0_5654,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_5655,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_5656,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_5657,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_5658,axiom,
    ( ~ esk104_0
    | ~ esk38_0 )).

cnf(i_0_5659,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_5660,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5661,axiom,
    ( ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_5662,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_5663,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5664,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_5665,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_5666,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X6) )).

cnf(i_0_5667,axiom,
    ( p(X1)
    | p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_5668,axiom,
    ( ~ esk93_0
    | ~ esk105_0 )).

cnf(i_0_5669,axiom,
    ( ~ esk162_0
    | ~ esk160_0 )).

cnf(i_0_5670,axiom,
    ( ~ esk202_0
    | ~ esk92_0 )).

cnf(i_0_5671,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_5672,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_5673,axiom,
    ( p(X3)
    | p(X5)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_5674,axiom,
    ( p(X2)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_5675,axiom,
    ( ~ esk201_0
    | esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5676,axiom,
    ( ~ esk186_0
    | ~ esk188_0 )).

cnf(i_0_5677,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5678,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_5679,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk57_0 )).

cnf(i_0_5680,axiom,
    ( ~ esk219_0
    | ~ esk220_0 )).

cnf(i_0_5681,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_5682,axiom,
    ( esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk91_0 )).

cnf(i_0_5683,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X6)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_5684,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5685,axiom,
    ( ~ esk75_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5686,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_5687,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_5688,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_5689,axiom,
    ( ~ esk143_0
    | ~ esk141_0 )).

cnf(i_0_5690,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_5691,axiom,
    ( ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_5692,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_5693,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_5694,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X9)
    | p(X7) )).

cnf(i_0_5695,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_5696,axiom,
    ( ~ esk193_0
    | ~ esk187_0 )).

cnf(i_0_5697,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X7) )).

cnf(i_0_5698,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X2)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_5699,axiom,
    ( p(X8)
    | p(X4)
    | p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5700,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_5701,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X8) )).

cnf(i_0_5702,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_5703,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_5704,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_5705,axiom,
    ( ~ esk11_0
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5706,axiom,
    ( p(X4)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_5707,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X10) )).

cnf(i_0_5708,axiom,
    ( ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_5709,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_5710,axiom,
    ( p(X6)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_5711,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_5712,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5713,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_5714,axiom,
    ( ~ esk2_0
    | ~ esk4_0 )).

cnf(i_0_5715,axiom,
    ( p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_5716,axiom,
    ( p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_5717,axiom,
    ( ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X7) )).

cnf(i_0_5718,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_5719,axiom,
    ( ~ esk36_0
    | ~ esk212_0 )).

cnf(i_0_5720,axiom,
    ( p(X3)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_5721,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_5722,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_5723,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_5724,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_5725,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_5726,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_5727,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X2) )).

cnf(i_0_5728,axiom,
    ( ~ esk164_0
    | ~ esk160_0 )).

cnf(i_0_5729,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X4)
    | p(X1) )).

cnf(i_0_5730,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_5731,axiom,
    ( ~ esk50_0
    | ~ esk66_0 )).

cnf(i_0_5732,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_5733,axiom,
    ( p(X5)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X4) )).

cnf(i_0_5734,axiom,
    ( ~ esk170_0
    | ~ esk156_0 )).

cnf(i_0_5735,axiom,
    ( p(X3)
    | p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_5736,axiom,
    ( ~ esk72_0
    | ~ esk28_0 )).

cnf(i_0_5737,axiom,
    ( ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_5738,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_5739,axiom,
    ( p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_5740,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk111_0 )).

cnf(i_0_5741,axiom,
    ( ~ esk13_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5742,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5743,axiom,
    ( ~ esk208_0
    | ~ esk98_0 )).

cnf(i_0_5744,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_5745,axiom,
    ( p(X1)
    | p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_5746,axiom,
    ( p(X5)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_5747,axiom,
    ( ~ esk193_0
    | ~ esk185_0 )).

cnf(i_0_5748,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_5749,axiom,
    ( ~ esk10_0
    | ~ esk21_0 )).

cnf(i_0_5750,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_5751,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_5752,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_5753,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5754,axiom,
    ( p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5755,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5756,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X7) )).

cnf(i_0_5757,axiom,
    ( p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_5758,axiom,
    ( ~ esk126_0
    | ~ esk132_0 )).

cnf(i_0_5759,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_5760,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_5761,axiom,
    ( p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_5762,axiom,
    ( p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_5763,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_5764,axiom,
    ( ~ p(X8)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_5765,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_5766,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_5767,axiom,
    ( p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_5768,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5769,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_5770,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_5771,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5772,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_5773,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_5774,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_5775,axiom,
    ( p(X1)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_5776,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_5777,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X9) )).

cnf(i_0_5778,axiom,
    ( ~ esk157_0
    | ~ esk171_0 )).

cnf(i_0_5779,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_5780,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_5781,axiom,
    ( ~ esk75_0
    | ~ esk207_0 )).

cnf(i_0_5782,axiom,
    ( ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | p(X2)
    | p(X6)
    | p(X1) )).

cnf(i_0_5783,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X10) )).

cnf(i_0_5784,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk5_0 )).

cnf(i_0_5785,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_5786,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_5787,axiom,
    ( p(X2)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_5788,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_5789,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_5790,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5791,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_5792,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_5793,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5794,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_5795,axiom,
    ( p(X1)
    | p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_5796,axiom,
    ( p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_5797,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_5798,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_5799,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_5800,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_5801,axiom,
    ( ~ esk9_0
    | ~ esk163_0 )).

cnf(i_0_5802,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5803,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X10) )).

cnf(i_0_5804,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_5805,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_5806,axiom,
    ( ~ esk191_0
    | ~ esk81_0 )).

cnf(i_0_5807,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X9) )).

cnf(i_0_5808,axiom,
    ( ~ esk149_0
    | ~ esk152_0 )).

cnf(i_0_5809,axiom,
    ( ~ esk26_0
    | ~ esk44_0 )).

cnf(i_0_5810,axiom,
    ( ~ esk189_0
    | ~ esk211_0 )).

cnf(i_0_5811,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | p(X2) )).

cnf(i_0_5812,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_5813,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_5814,axiom,
    ( p(X6)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_5815,axiom,
    ( ~ esk64_0
    | ~ esk59_0 )).

cnf(i_0_5816,axiom,
    ( ~ esk65_0
    | ~ esk197_0 )).

cnf(i_0_5817,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5818,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_5819,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X1) )).

cnf(i_0_5820,axiom,
    ( ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_5821,axiom,
    ( p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_5822,axiom,
    ( p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X4) )).

cnf(i_0_5823,axiom,
    ( p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_5824,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | p(X8) )).

cnf(i_0_5825,axiom,
    ( esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk75_0 )).

cnf(i_0_5826,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5827,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_5828,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_5829,axiom,
    ( p(X4)
    | p(X2)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_5830,axiom,
    ( ~ esk32_0
    | ~ esk98_0 )).

cnf(i_0_5831,axiom,
    ( ~ esk139_0
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5832,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_5833,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X8) )).

cnf(i_0_5834,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_5835,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_5836,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_5837,axiom,
    ( p(X7)
    | p(X10)
    | p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5838,axiom,
    ( p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_5839,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5840,axiom,
    ( p(X10)
    | p(X3)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_5841,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_5842,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_5843,axiom,
    ( ~ esk144_0
    | ~ esk210_0 )).

cnf(i_0_5844,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_5845,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_5846,axiom,
    ( ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_5847,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X2) )).

cnf(i_0_5848,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_5849,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_5850,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk177_0 )).

cnf(i_0_5851,axiom,
    ( p(X1)
    | p(X3)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7) )).

cnf(i_0_5852,axiom,
    ( ~ esk11_0
    | ~ esk99_0 )).

cnf(i_0_5853,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X10) )).

cnf(i_0_5854,axiom,
    ( p(X8)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X3) )).

cnf(i_0_5855,axiom,
    ( p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_5856,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_5857,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_5858,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_5859,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_5860,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | p(X4)
    | p(X10) )).

cnf(i_0_5861,axiom,
    ( ~ esk204_0
    | ~ esk182_0 )).

cnf(i_0_5862,axiom,
    ( ~ esk173_0
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5863,axiom,
    ( ~ esk135_0
    | ~ esk145_0 )).

cnf(i_0_5864,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_5865,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5866,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_5867,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_5868,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_5869,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk145_0 )).

cnf(i_0_5870,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X8)
    | p(X1)
    | p(X9)
    | p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_5871,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_5872,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_5873,axiom,
    ( ~ esk204_0
    | ~ esk72_0 )).

cnf(i_0_5874,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_5875,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_5876,axiom,
    ( ~ esk72_0
    | ~ esk6_0 )).

cnf(i_0_5877,axiom,
    ( p(X3)
    | p(X2)
    | p(X9)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_5878,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5879,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_5880,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk59_0 )).

cnf(i_0_5881,axiom,
    ( ~ esk151_0
    | ~ esk133_0 )).

cnf(i_0_5882,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_5883,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X1) )).

cnf(i_0_5884,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_5885,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_5886,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X3)
    | p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_5887,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | p(X1)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_5888,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_5889,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5890,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_5891,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X10) )).

cnf(i_0_5892,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_5893,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_5894,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_5895,axiom,
    ( ~ esk46_0
    | ~ esk62_0 )).

cnf(i_0_5896,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_5897,axiom,
    ( p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_5898,axiom,
    ( ~ esk40_0
    | ~ esk106_0 )).

cnf(i_0_5899,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_5900,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5901,axiom,
    ( ~ esk86_0
    | ~ esk67_0 )).

cnf(i_0_5902,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_5903,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_5904,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_5905,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_5906,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_5907,axiom,
    ( p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_5908,axiom,
    ( ~ esk77_0
    | ~ esk73_0 )).

cnf(i_0_5909,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_5910,axiom,
    ( ~ esk6_0
    | ~ esk22_0 )).

cnf(i_0_5911,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_5912,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_5913,axiom,
    ( ~ esk67_0
    | ~ esk73_0 )).

cnf(i_0_5914,axiom,
    ( ~ esk26_0
    | ~ esk180_0 )).

cnf(i_0_5915,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_5916,axiom,
    ( ~ esk109_0
    | ~ esk106_0 )).

cnf(i_0_5917,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_5918,axiom,
    ( p(X6)
    | p(X5)
    | p(X7)
    | p(X9)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_5919,axiom,
    ( p(X6)
    | p(X9)
    | p(X5)
    | p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_5920,axiom,
    ( p(X2)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5921,axiom,
    ( p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_5922,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5923,axiom,
    ( p(X4)
    | p(X10)
    | p(X3)
    | p(X9)
    | p(X6)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_5924,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5925,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_5926,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_5927,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_5928,axiom,
    ( p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X8) )).

cnf(i_0_5929,axiom,
    ( ~ esk170_0
    | ~ esk38_0 )).

cnf(i_0_5930,axiom,
    ( ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X10) )).

cnf(i_0_5931,axiom,
    ( ~ esk152_0
    | ~ esk141_0 )).

cnf(i_0_5932,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5933,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_5934,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_5935,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_5936,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_5937,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X9)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_5938,axiom,
    ( ~ esk153_0
    | ~ esk144_0 )).

cnf(i_0_5939,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5940,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_5941,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_5942,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_5943,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_5944,axiom,
    ( p(X1)
    | p(X5)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X10) )).

cnf(i_0_5945,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_5946,axiom,
    ( ~ esk97_0
    | ~ esk105_0 )).

cnf(i_0_5947,axiom,
    ( ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_5948,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_5949,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5950,axiom,
    ( ~ esk74_0
    | ~ esk68_0 )).

cnf(i_0_5951,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_5952,axiom,
    ( p(X2)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_5953,axiom,
    ( ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X10) )).

cnf(i_0_5954,axiom,
    ( p(X1)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_5955,axiom,
    ( ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_5956,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X5) )).

cnf(i_0_5957,axiom,
    ( ~ esk152_0
    | ~ esk143_0 )).

cnf(i_0_5958,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5959,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_5960,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X5) )).

cnf(i_0_5961,axiom,
    ( ~ esk21_0
    | ~ esk175_0 )).

cnf(i_0_5962,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_5963,axiom,
    ( ~ p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_5964,axiom,
    ( ~ esk154_0
    | ~ esk148_0 )).

cnf(i_0_5965,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_5966,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_5967,axiom,
    ( ~ esk203_0
    | ~ esk217_0 )).

cnf(i_0_5968,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_5969,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk121_0 )).

cnf(i_0_5970,axiom,
    ( p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_5971,axiom,
    ( ~ esk23_0
    | ~ esk27_0 )).

cnf(i_0_5972,axiom,
    ( ~ esk28_0
    | ~ esk24_0 )).

cnf(i_0_5973,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_5974,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_5975,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5976,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_5977,axiom,
    ( ~ esk195_0
    | ~ esk63_0 )).

cnf(i_0_5978,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_5979,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_5980,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_5981,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_5982,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_5983,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_5984,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_5985,axiom,
    ( p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_5986,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10) )).

cnf(i_0_5987,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5988,axiom,
    ( ~ esk75_0
    | ~ esk53_0 )).

cnf(i_0_5989,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_5990,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_5991,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_5992,axiom,
    ( p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_5993,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_5994,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_5995,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_5996,axiom,
    ( ~ esk193_0
    | ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_5997,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_5998,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_5999,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_6000,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_6001,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_6002,axiom,
    ( p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_6003,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_6004,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_6005,axiom,
    ( p(X1)
    | p(X8)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_6006,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | p(X1) )).

cnf(i_0_6007,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X1) )).

cnf(i_0_6008,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_6009,axiom,
    ( ~ esk110_0
    | ~ esk106_0 )).

cnf(i_0_6010,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_6011,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5) )).

cnf(i_0_6012,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6013,axiom,
    ( p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6014,axiom,
    ( ~ esk53_0
    | ~ esk45_0 )).

cnf(i_0_6015,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6016,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_6017,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6018,axiom,
    ( p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_6019,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_6020,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_6021,axiom,
    ( p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6022,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X8) )).

cnf(i_0_6023,axiom,
    ( p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6024,axiom,
    ( p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_6025,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_6026,axiom,
    ( p(X9)
    | p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_6027,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X3) )).

cnf(i_0_6028,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X7)
    | p(X9) )).

cnf(i_0_6029,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | p(X6) )).

cnf(i_0_6030,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk79_0 )).

cnf(i_0_6031,axiom,
    ( ~ esk69_0
    | ~ esk91_0 )).

cnf(i_0_6032,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | p(X10) )).

cnf(i_0_6033,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X1) )).

cnf(i_0_6034,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_6035,axiom,
    ( ~ esk33_0
    | ~ esk29_0 )).

cnf(i_0_6036,axiom,
    ( p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X5) )).

cnf(i_0_6037,axiom,
    ( ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_6038,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6039,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6040,axiom,
    ( p(X10)
    | p(X8)
    | p(X3)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_6041,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_6042,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X1) )).

cnf(i_0_6043,axiom,
    ( ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6044,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_6045,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1) )).

cnf(i_0_6046,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_6047,axiom,
    ( ~ p(X7)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_6048,axiom,
    ( ~ esk46_0
    | ~ esk178_0 )).

cnf(i_0_6049,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_6050,axiom,
    ( ~ esk112_0
    | ~ esk126_0 )).

cnf(i_0_6051,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_6052,axiom,
    ( ~ esk15_0
    | ~ esk13_0 )).

cnf(i_0_6053,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_6054,axiom,
    ( p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6055,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_6056,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_6057,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_6058,axiom,
    ( ~ esk6_0
    | ~ esk182_0 )).

cnf(i_0_6059,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_6060,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk97_0 )).

cnf(i_0_6061,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_6062,axiom,
    ( ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | p(X1) )).

cnf(i_0_6063,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_6064,axiom,
    ( ~ esk109_0
    | ~ esk104_0 )).

cnf(i_0_6065,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6066,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6067,axiom,
    ( ~ p(X9)
    | p(X3)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6068,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6069,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_6070,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6071,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_6072,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_6073,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X10) )).

cnf(i_0_6074,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_6075,axiom,
    ( ~ esk201_0
    | ~ esk47_0 )).

cnf(i_0_6076,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6077,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6078,axiom,
    ( p(X3)
    | p(X2)
    | p(X8)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_6079,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_6080,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_6081,axiom,
    ( ~ esk54_0
    | ~ esk208_0 )).

cnf(i_0_6082,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_6083,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_6084,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_6085,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_6086,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6087,axiom,
    ( ~ esk146_0
    | ~ esk150_0 )).

cnf(i_0_6088,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_6089,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6090,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6091,axiom,
    ( ~ esk101_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6092,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_6093,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X1)
    | p(X3)
    | p(X10)
    | p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_6094,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_6095,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6096,axiom,
    ( ~ esk36_0
    | ~ esk32_0 )).

cnf(i_0_6097,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6098,axiom,
    ( esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk64_0 )).

cnf(i_0_6099,axiom,
    ( p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_6100,axiom,
    ( ~ esk85_0
    | ~ esk81_0 )).

cnf(i_0_6101,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_6102,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_6103,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_6104,axiom,
    ( ~ esk210_0
    | ~ esk216_0 )).

cnf(i_0_6105,axiom,
    ( ~ esk49_0
    | ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6106,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_6107,axiom,
    ( p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6108,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X3)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_6109,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6110,axiom,
    ( p(X9)
    | p(X7)
    | p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_6111,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | p(X2)
    | p(X4)
    | p(X3)
    | p(X9) )).

cnf(i_0_6112,axiom,
    ( p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_6113,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X5)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_6114,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6115,axiom,
    ( ~ esk19_0
    | ~ esk173_0 )).

cnf(i_0_6116,axiom,
    ( esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk179_0 )).

cnf(i_0_6117,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_6118,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_6119,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X6) )).

cnf(i_0_6120,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk185_0 )).

cnf(i_0_6121,axiom,
    ( ~ esk63_0
    | esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6122,axiom,
    ( ~ esk111_0
    | ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6123,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6124,axiom,
    ( ~ esk181_0
    | ~ esk191_0 )).

cnf(i_0_6125,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6126,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_6127,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_6128,axiom,
    ( ~ esk73_0
    | ~ esk95_0 )).

cnf(i_0_6129,axiom,
    ( ~ esk57_0
    | ~ esk51_0 )).

cnf(i_0_6130,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | p(X3) )).

cnf(i_0_6131,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_6132,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_6133,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_6134,axiom,
    ( ~ esk188_0
    | ~ esk12_0 )).

cnf(i_0_6135,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_6136,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_6137,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_6138,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_6139,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6140,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk63_0 )).

cnf(i_0_6141,axiom,
    ( ~ esk37_0
    | ~ esk125_0 )).

cnf(i_0_6142,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X6)
    | p(X10)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_6143,axiom,
    ( ~ p(X8)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_6144,axiom,
    ( ~ esk187_0
    | ~ esk209_0 )).

cnf(i_0_6145,axiom,
    ( p(X5)
    | p(X8)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_6146,axiom,
    ( ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_6147,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_6148,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X1) )).

cnf(i_0_6149,axiom,
    ( esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk97_0 )).

cnf(i_0_6150,axiom,
    ( p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_6151,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_6152,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_6153,axiom,
    ( ~ esk115_0
    | ~ esk129_0 )).

cnf(i_0_6154,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_6155,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_6156,axiom,
    ( ~ esk38_0
    | ~ esk34_0 )).

cnf(i_0_6157,axiom,
    ( ~ esk13_0
    | ~ esk9_0 )).

cnf(i_0_6158,axiom,
    ( ~ esk189_0
    | ~ esk35_0 )).

cnf(i_0_6159,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_6160,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6161,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6162,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6163,axiom,
    ( ~ esk125_0
    | ~ esk59_0 )).

cnf(i_0_6164,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_6165,axiom,
    ( ~ esk107_0
    | ~ esk85_0 )).

cnf(i_0_6166,axiom,
    ( p(X7)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_6167,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_6168,axiom,
    ( ~ esk56_0
    | ~ esk100_0 )).

cnf(i_0_6169,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_6170,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_6171,axiom,
    ( ~ esk30_0
    | ~ esk52_0 )).

cnf(i_0_6172,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X7) )).

cnf(i_0_6173,axiom,
    ( p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_6174,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_6175,axiom,
    ( p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X2) )).

cnf(i_0_6176,axiom,
    ( ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_6177,axiom,
    ( p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_6178,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_6179,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk25_0 )).

cnf(i_0_6180,axiom,
    ( ~ esk85_0
    | ~ esk19_0 )).

cnf(i_0_6181,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_6182,axiom,
    ( ~ esk2_0
    | ~ esk22_0 )).

cnf(i_0_6183,axiom,
    ( ~ esk62_0
    | ~ esk50_0 )).

cnf(i_0_6184,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_6185,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X3)
    | p(X7) )).

cnf(i_0_6186,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6187,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_6188,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6189,axiom,
    ( ~ esk135_0
    | ~ esk147_0 )).

cnf(i_0_6190,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_6191,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_6192,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_6193,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6194,axiom,
    ( esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk108_0 )).

cnf(i_0_6195,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X6) )).

cnf(i_0_6196,axiom,
    ( p(X2)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X4) )).

cnf(i_0_6197,axiom,
    ( ~ p(X7)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_6198,axiom,
    ( ~ esk2_0
    | ~ esk200_0 )).

cnf(i_0_6199,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6200,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_6201,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6202,axiom,
    ( p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_6203,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_6204,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_6205,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_6206,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6207,axiom,
    ( ~ esk69_0
    | esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6208,axiom,
    ( p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_6209,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6210,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_6211,axiom,
    ( ~ esk58_0
    | ~ esk48_0 )).

cnf(i_0_6212,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_6213,axiom,
    ( p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_6214,axiom,
    ( p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6215,axiom,
    ( p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_6216,axiom,
    ( ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_6217,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_6218,axiom,
    ( ~ esk69_0
    | ~ esk67_0 )).

cnf(i_0_6219,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2) )).

cnf(i_0_6220,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6221,axiom,
    ( ~ p(X5)
    | p(X4)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_6222,axiom,
    ( ~ esk151_0
    | ~ esk85_0 )).

cnf(i_0_6223,axiom,
    ( ~ esk123_0
    | ~ esk167_0 )).

cnf(i_0_6224,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_6225,axiom,
    ( ~ esk131_0
    | ~ esk87_0 )).

cnf(i_0_6226,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_6227,axiom,
    ( ~ esk203_0
    | ~ esk137_0 )).

cnf(i_0_6228,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X3) )).

cnf(i_0_6229,axiom,
    ( ~ esk33_0
    | ~ esk27_0 )).

cnf(i_0_6230,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk63_0 )).

cnf(i_0_6231,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_6232,axiom,
    ( p(X10)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6233,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6234,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_6235,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_6236,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X10) )).

cnf(i_0_6237,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_6238,axiom,
    ( ~ esk178_0
    | ~ esk68_0 )).

cnf(i_0_6239,axiom,
    ( ~ esk74_0
    | ~ esk87_0 )).

cnf(i_0_6240,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_6241,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_6242,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X9) )).

cnf(i_0_6243,axiom,
    ( ~ esk205_0
    | ~ esk199_0 )).

cnf(i_0_6244,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | p(X9) )).

cnf(i_0_6245,axiom,
    ( p(X9)
    | p(X8)
    | p(X3)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6246,axiom,
    ( ~ esk28_0
    | ~ esk43_0 )).

cnf(i_0_6247,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_6248,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_6249,axiom,
    ( ~ esk78_0
    | ~ esk70_0 )).

cnf(i_0_6250,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X2) )).

cnf(i_0_6251,axiom,
    ( ~ esk188_0
    | ~ esk100_0 )).

cnf(i_0_6252,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_6253,axiom,
    ( ~ esk54_0
    | ~ esk58_0 )).

cnf(i_0_6254,axiom,
    ( ~ esk59_0
    | ~ esk55_0 )).

cnf(i_0_6255,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_6256,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_6257,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_6258,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_6259,axiom,
    ( p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_6260,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6261,axiom,
    ( p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6262,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_6263,axiom,
    ( ~ esk47_0
    | ~ esk45_0 )).

cnf(i_0_6264,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_6265,axiom,
    ( p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_6266,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_6267,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6268,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_6269,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | p(X3) )).

cnf(i_0_6270,axiom,
    ( ~ esk190_0
    | ~ esk14_0 )).

cnf(i_0_6271,axiom,
    ( ~ esk68_0
    | ~ esk24_0 )).

cnf(i_0_6272,axiom,
    ( p(X2)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X3) )).

cnf(i_0_6273,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_6274,axiom,
    ( ~ esk203_0
    | ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6275,axiom,
    ( ~ esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk20_0 )).

cnf(i_0_6276,axiom,
    ( p(X3)
    | p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6277,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_6278,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_6279,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6280,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_6281,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X1)
    | p(X9) )).

cnf(i_0_6282,axiom,
    ( ~ esk64_0
    | ~ esk47_0 )).

cnf(i_0_6283,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6284,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_6285,axiom,
    ( ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X6) )).

cnf(i_0_6286,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_6287,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_6288,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_6289,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_6290,axiom,
    ( ~ esk171_0
    | ~ esk215_0 )).

cnf(i_0_6291,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_6292,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_6293,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6294,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk41_0 )).

cnf(i_0_6295,axiom,
    ( ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_6296,axiom,
    ( ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X1)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_6297,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X3)
    | p(X7) )).

cnf(i_0_6298,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_6299,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_6300,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_6301,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6302,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_6303,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_6304,axiom,
    ( p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6305,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6306,axiom,
    ( ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_6307,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_6308,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_6309,axiom,
    ( p(X2)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_6310,axiom,
    ( p(X5)
    | p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_6311,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_6312,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_6313,axiom,
    ( ~ esk53_0
    | ~ esk141_0 )).

cnf(i_0_6314,axiom,
    ( ~ p(X7)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_6315,axiom,
    ( p(X6)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X7) )).

cnf(i_0_6316,axiom,
    ( ~ esk31_0
    | ~ esk75_0 )).

cnf(i_0_6317,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_6318,axiom,
    ( p(X7)
    | p(X4)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6319,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7) )).

cnf(i_0_6320,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_6321,axiom,
    ( p(X2)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6322,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk205_0 )).

cnf(i_0_6323,axiom,
    ( p(X6)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_6324,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_6325,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_6326,axiom,
    ( p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_6327,axiom,
    ( p(X7)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_6328,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_6329,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_6330,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X4) )).

cnf(i_0_6331,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_6332,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6333,axiom,
    ( p(X1)
    | p(X4)
    | p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_6334,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_6335,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_6336,axiom,
    ( ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_6337,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_6338,axiom,
    ( ~ esk149_0
    | ~ esk193_0 )).

cnf(i_0_6339,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X1)
    | p(X8)
    | p(X5) )).

cnf(i_0_6340,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6341,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X8) )).

cnf(i_0_6342,axiom,
    ( p(X7)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_6343,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X3)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X6) )).

cnf(i_0_6344,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_6345,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X6) )).

cnf(i_0_6346,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_6347,axiom,
    ( ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_6348,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_6349,axiom,
    ( p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6350,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_6351,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_6352,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_6353,axiom,
    ( p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_6354,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_6355,axiom,
    ( ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_6356,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6357,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X5) )).

cnf(i_0_6358,axiom,
    ( p(X3)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X1)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X7) )).

cnf(i_0_6359,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_6360,axiom,
    ( ~ esk139_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6361,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_6362,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_6363,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X3) )).

cnf(i_0_6364,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X1) )).

cnf(i_0_6365,axiom,
    ( ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_6366,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X6)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6367,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_6368,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_6369,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6370,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_6371,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_6372,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_6373,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk207_0 )).

cnf(i_0_6374,axiom,
    ( ~ esk121_0
    | ~ esk129_0 )).

cnf(i_0_6375,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_6376,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_6377,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_6378,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_6379,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_6380,axiom,
    ( ~ esk187_0
    | ~ esk181_0 )).

cnf(i_0_6381,axiom,
    ( p(X7)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_6382,axiom,
    ( p(X5)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_6383,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_6384,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | p(X1) )).

cnf(i_0_6385,axiom,
    ( ~ esk175_0
    | ~ esk164_0 )).

cnf(i_0_6386,axiom,
    ( esk37_0
    | esk23_0
    | esk27_0
    | esk39_0
    | esk31_0
    | esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk35_0
    | esk25_0
    | ~ esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk41_0
    | esk33_0
    | esk29_0 )).

cnf(i_0_6387,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6388,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_6389,axiom,
    ( ~ esk184_0
    | ~ esk30_0 )).

cnf(i_0_6390,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_6391,axiom,
    ( ~ esk16_0
    | ~ esk6_0 )).

cnf(i_0_6392,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | p(X5)
    | p(X7)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6393,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_6394,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_6395,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X6) )).

cnf(i_0_6396,axiom,
    ( p(X5)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_6397,axiom,
    ( ~ esk185_0
    | ~ esk163_0 )).

cnf(i_0_6398,axiom,
    ( p(X2)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_6399,axiom,
    ( ~ esk62_0
    | ~ esk54_0 )).

cnf(i_0_6400,axiom,
    ( ~ esk191_0
    | ~ esk195_0 )).

cnf(i_0_6401,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X9) )).

cnf(i_0_6402,axiom,
    ( ~ esk192_0
    | ~ esk197_0 )).

cnf(i_0_6403,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X3)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6404,axiom,
    ( ~ esk207_0
    | ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6405,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_6406,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6407,axiom,
    ( ~ esk14_0
    | ~ esk124_0 )).

cnf(i_0_6408,axiom,
    ( ~ esk39_0
    | ~ esk27_0 )).

cnf(i_0_6409,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | p(X9)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_6410,axiom,
    ( p(X9)
    | p(X7)
    | p(X8)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_6411,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_6412,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_6413,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_6414,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X6) )).

cnf(i_0_6415,axiom,
    ( ~ esk47_0
    | ~ esk61_0 )).

cnf(i_0_6416,axiom,
    ( ~ esk123_0
    | ~ esk121_0 )).

cnf(i_0_6417,axiom,
    ( ~ esk79_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6418,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_6419,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | p(X5) )).

cnf(i_0_6420,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_6421,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6422,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_6423,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_6424,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6425,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X10) )).

cnf(i_0_6426,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_6427,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_6428,axiom,
    ( p(X4)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_6429,axiom,
    ( ~ p(X3)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_6430,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_6431,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_6432,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_6433,axiom,
    ( p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_6434,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6435,axiom,
    ( p(X7)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_6436,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_6437,axiom,
    ( ~ esk71_0
    | ~ esk83_0 )).

cnf(i_0_6438,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6439,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_6440,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_6441,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_6442,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_6443,axiom,
    ( ~ esk9_0
    | ~ esk11_0 )).

cnf(i_0_6444,axiom,
    ( p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | p(X2) )).

cnf(i_0_6445,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_6446,axiom,
    ( ~ esk190_0
    | ~ esk184_0 )).

cnf(i_0_6447,axiom,
    ( ~ esk70_0
    | ~ esk4_0 )).

cnf(i_0_6448,axiom,
    ( p(X8)
    | p(X9)
    | p(X2)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_6449,axiom,
    ( ~ esk180_0
    | ~ esk186_0 )).

cnf(i_0_6450,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_6451,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_6452,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6453,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_6454,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X6)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_6455,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_6456,axiom,
    ( p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_6457,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X6) )).

cnf(i_0_6458,axiom,
    ( p(X3)
    | p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_6459,axiom,
    ( ~ esk99_0
    | ~ esk108_0 )).

cnf(i_0_6460,axiom,
    ( ~ esk149_0
    | ~ esk171_0 )).

cnf(i_0_6461,axiom,
    ( p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6462,axiom,
    ( p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_6463,axiom,
    ( p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X9)
    | p(X4) )).

cnf(i_0_6464,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_6465,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_6466,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6467,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_6468,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_6469,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_6470,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_6471,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_6472,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_6473,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_6474,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_6475,axiom,
    ( p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_6476,axiom,
    ( p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_6477,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6478,axiom,
    ( ~ esk155_0
    | ~ esk165_0 )).

cnf(i_0_6479,axiom,
    ( ~ p(X7)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_6480,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_6481,axiom,
    ( p(X9)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X7) )).

cnf(i_0_6482,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_6483,axiom,
    ( ~ esk163_0
    | ~ esk97_0 )).

cnf(i_0_6484,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_6485,axiom,
    ( ~ esk151_0
    | ~ esk143_0 )).

cnf(i_0_6486,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6487,axiom,
    ( ~ esk39_0
    | ~ esk171_0 )).

cnf(i_0_6488,axiom,
    ( p(X9)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | p(X8) )).

cnf(i_0_6489,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | p(X10)
    | p(X5)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6490,axiom,
    ( ~ esk41_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6491,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_6492,axiom,
    ( p(X5)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X3) )).

cnf(i_0_6493,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_6494,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_6495,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | p(X10)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X5) )).

cnf(i_0_6496,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_6497,axiom,
    ( ~ esk22_0
    | ~ esk21_0 )).

cnf(i_0_6498,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_6499,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_6500,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | p(X4)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6501,axiom,
    ( ~ esk13_0
    | ~ esk20_0 )).

cnf(i_0_6502,axiom,
    ( ~ esk101_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6503,axiom,
    ( ~ esk85_0
    | ~ esk83_0 )).

cnf(i_0_6504,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X9)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6505,axiom,
    ( ~ esk79_0
    | ~ esk145_0 )).

cnf(i_0_6506,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6507,axiom,
    ( ~ esk187_0
    | ~ esk99_0 )).

cnf(i_0_6508,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_6509,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_6510,axiom,
    ( ~ esk187_0
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6511,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6512,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_6513,axiom,
    ( p(X9)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_6514,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_6515,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_6516,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X10)
    | p(X4) )).

cnf(i_0_6517,axiom,
    ( ~ esk70_0
    | ~ esk72_0 )).

cnf(i_0_6518,axiom,
    ( ~ esk142_0
    | ~ esk144_0 )).

cnf(i_0_6519,axiom,
    ( ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_6520,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_6521,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X9) )).

cnf(i_0_6522,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6523,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6524,axiom,
    ( ~ esk38_0
    | ~ esk44_0 )).

cnf(i_0_6525,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6526,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X5) )).

cnf(i_0_6527,axiom,
    ( ~ esk137_0
    | ~ esk135_0 )).

cnf(i_0_6528,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_6529,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_6530,axiom,
    ( ~ esk89_0
    | ~ esk93_0 )).

cnf(i_0_6531,axiom,
    ( ~ esk119_0
    | ~ esk207_0 )).

cnf(i_0_6532,axiom,
    ( p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_6533,axiom,
    ( ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | p(X1) )).

cnf(i_0_6534,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | p(X1)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6535,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6536,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_6537,axiom,
    ( ~ esk7_0
    | ~ esk1_0 )).

cnf(i_0_6538,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_6539,axiom,
    ( ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_6540,axiom,
    ( ~ esk113_0
    | ~ esk115_0 )).

cnf(i_0_6541,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_6542,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_6543,axiom,
    ( p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_6544,axiom,
    ( p(X5)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_6545,axiom,
    ( ~ esk5_0
    | ~ esk115_0 )).

cnf(i_0_6546,axiom,
    ( ~ esk137_0
    | ~ esk145_0 )).

cnf(i_0_6547,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_6548,axiom,
    ( ~ esk147_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6549,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_6550,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_6551,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | p(X6) )).

cnf(i_0_6552,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_6553,axiom,
    ( ~ esk124_0
    | ~ esk131_0 )).

cnf(i_0_6554,axiom,
    ( ~ esk211_0
    | ~ esk217_0 )).

cnf(i_0_6555,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_6556,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6557,axiom,
    ( ~ esk192_0
    | ~ esk38_0 )).

cnf(i_0_6558,axiom,
    ( ~ esk81_0
    | ~ esk125_0 )).

cnf(i_0_6559,axiom,
    ( ~ esk187_0
    | ~ esk121_0 )).

cnf(i_0_6560,axiom,
    ( ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk191_0 )).

cnf(i_0_6561,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_6562,axiom,
    ( ~ esk94_0
    | ~ esk100_0 )).

cnf(i_0_6563,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_6564,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X5)
    | p(X7) )).

cnf(i_0_6565,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_6566,axiom,
    ( p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X3) )).

cnf(i_0_6567,axiom,
    ( ~ esk46_0
    | ~ esk112_0 )).

cnf(i_0_6568,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | p(X9)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X1) )).

cnf(i_0_6569,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_6570,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6571,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_6572,axiom,
    ( p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X4) )).

cnf(i_0_6573,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_6574,axiom,
    ( ~ esk4_0
    | ~ esk92_0 )).

cnf(i_0_6575,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_6576,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_6577,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_6578,axiom,
    ( ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X10) )).

cnf(i_0_6579,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X3) )).

cnf(i_0_6580,axiom,
    ( p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X6) )).

cnf(i_0_6581,axiom,
    ( ~ esk11_0
    | ~ esk3_0 )).

cnf(i_0_6582,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_6583,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_6584,axiom,
    ( ~ esk65_0
    | ~ esk219_0 )).

cnf(i_0_6585,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_6586,axiom,
    ( ~ esk175_0
    | ~ esk109_0 )).

cnf(i_0_6587,axiom,
    ( p(X1)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_6588,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk187_0 )).

cnf(i_0_6589,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X1) )).

cnf(i_0_6590,axiom,
    ( ~ esk164_0
    | ~ esk10_0 )).

cnf(i_0_6591,axiom,
    ( ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X3) )).

cnf(i_0_6592,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6593,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_6594,axiom,
    ( p(X2)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_6595,axiom,
    ( ~ p(X10)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X3) )).

cnf(i_0_6596,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X3) )).

cnf(i_0_6597,axiom,
    ( ~ esk68_0
    | ~ esk200_0 )).

cnf(i_0_6598,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_6599,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_6600,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_6601,axiom,
    ( ~ esk124_0
    | ~ esk212_0 )).

cnf(i_0_6602,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X8)
    | p(X9)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6603,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_6604,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_6605,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6606,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_6607,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_6608,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_6609,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_6610,axiom,
    ( ~ esk24_0
    | ~ esk40_0 )).

cnf(i_0_6611,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_6612,axiom,
    ( ~ esk169_0
    | ~ esk147_0 )).

cnf(i_0_6613,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6614,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_6615,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_6616,axiom,
    ( ~ esk59_0
    | ~ esk169_0 )).

cnf(i_0_6617,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_6618,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6619,axiom,
    ( ~ esk93_0
    | ~ esk115_0 )).

cnf(i_0_6620,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_6621,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | p(X9) )).

cnf(i_0_6622,axiom,
    ( p(X7)
    | p(X1)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6623,axiom,
    ( p(X4)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_6624,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9) )).

cnf(i_0_6625,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X10) )).

cnf(i_0_6626,axiom,
    ( ~ esk171_0
    | ~ esk193_0 )).

cnf(i_0_6627,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_6628,axiom,
    ( p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | p(X6) )).

cnf(i_0_6629,axiom,
    ( ~ esk205_0
    | ~ esk213_0 )).

cnf(i_0_6630,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk159_0 )).

cnf(i_0_6631,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6632,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6633,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_6634,axiom,
    ( ~ esk206_0
    | ~ esk204_0 )).

cnf(i_0_6635,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_6636,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6637,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_6638,axiom,
    ( ~ esk75_0
    | ~ esk97_0 )).

cnf(i_0_6639,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_6640,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6641,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_6642,axiom,
    ( ~ esk13_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6643,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_6644,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_6645,axiom,
    ( p(X5)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_6646,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_6647,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_6648,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_6649,axiom,
    ( p(X3)
    | p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X8) )).

cnf(i_0_6650,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_6651,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6652,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6653,axiom,
    ( ~ esk192_0
    | ~ esk190_0 )).

cnf(i_0_6654,axiom,
    ( ~ esk157_0
    | ~ esk169_0 )).

cnf(i_0_6655,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_6656,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_6657,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_6658,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6659,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X1) )).

cnf(i_0_6660,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_6661,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X9) )).

cnf(i_0_6662,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk149_0 )).

cnf(i_0_6663,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X8)
    | p(X9) )).

cnf(i_0_6664,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_6665,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X1) )).

cnf(i_0_6666,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6667,axiom,
    ( p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_6668,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6669,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_6670,axiom,
    ( ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6671,axiom,
    ( ~ esk18_0
    | ~ esk12_0 )).

cnf(i_0_6672,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_6673,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X8)
    | p(X3)
    | p(X6) )).

cnf(i_0_6674,axiom,
    ( ~ esk208_0
    | ~ esk32_0 )).

cnf(i_0_6675,axiom,
    ( ~ esk46_0
    | ~ esk48_0 )).

cnf(i_0_6676,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X1) )).

cnf(i_0_6677,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X4) )).

cnf(i_0_6678,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X4) )).

cnf(i_0_6679,axiom,
    ( ~ p(X2)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | p(X8) )).

cnf(i_0_6680,axiom,
    ( ~ esk146_0
    | ~ esk80_0 )).

cnf(i_0_6681,axiom,
    ( ~ esk142_0
    | ~ esk153_0 )).

cnf(i_0_6682,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_6683,axiom,
    ( ~ esk184_0
    | ~ esk178_0 )).

cnf(i_0_6684,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_6685,axiom,
    ( p(X8)
    | p(X7)
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_6686,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_6687,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X5) )).

cnf(i_0_6688,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_6689,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X2) )).

cnf(i_0_6690,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X4) )).

cnf(i_0_6691,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_6692,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_6693,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_6694,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_6695,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | p(X2) )).

cnf(i_0_6696,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_6697,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6698,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_6699,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X8)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_6700,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_6701,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_6702,axiom,
    ( ~ esk99_0
    | ~ esk103_0 )).

cnf(i_0_6703,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X10) )).

cnf(i_0_6704,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | p(X7) )).

cnf(i_0_6705,axiom,
    ( p(X10)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_6706,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_6707,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_6708,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_6709,axiom,
    ( p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_6710,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_6711,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_6712,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X5) )).

cnf(i_0_6713,axiom,
    ( ~ esk84_0
    | ~ esk194_0 )).

cnf(i_0_6714,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X8) )).

cnf(i_0_6715,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6716,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X4) )).

cnf(i_0_6717,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6718,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6719,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X9) )).

cnf(i_0_6720,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_6721,axiom,
    ( p(X9)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6722,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6723,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_6724,axiom,
    ( ~ esk62_0
    | ~ esk60_0 )).

cnf(i_0_6725,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_6726,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6727,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X10)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_6728,axiom,
    ( ~ esk48_0
    | ~ esk62_0 )).

cnf(i_0_6729,axiom,
    ( ~ esk115_0
    | ~ esk159_0 )).

cnf(i_0_6730,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_6731,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_6732,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_6733,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6734,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_6735,axiom,
    ( ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_6736,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_6737,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6738,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_6739,axiom,
    ( ~ esk161_0
    | ~ esk165_0 )).

cnf(i_0_6740,axiom,
    ( ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X3) )).

cnf(i_0_6741,axiom,
    ( ~ esk35_0
    | ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6742,axiom,
    ( ~ esk21_0
    | ~ esk2_0 )).

cnf(i_0_6743,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X10)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6744,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X2) )).

cnf(i_0_6745,axiom,
    ( p(X5)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_6746,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_6747,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_6748,axiom,
    ( ~ esk5_0
    | ~ esk71_0 )).

cnf(i_0_6749,axiom,
    ( p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_6750,axiom,
    ( p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_6751,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_6752,axiom,
    ( p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_6753,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_6754,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_6755,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6756,axiom,
    ( ~ esk132_0
    | ~ esk116_0 )).

cnf(i_0_6757,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X10)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X8) )).

cnf(i_0_6758,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_6759,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X8)
    | p(X3)
    | p(X4) )).

cnf(i_0_6760,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_6761,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6762,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_6763,axiom,
    ( ~ esk84_0
    | ~ esk150_0 )).

cnf(i_0_6764,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_6765,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_6766,axiom,
    ( ~ esk19_0
    | ~ esk63_0 )).

cnf(i_0_6767,axiom,
    ( p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | p(X5) )).

cnf(i_0_6768,axiom,
    ( p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_6769,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6770,axiom,
    ( ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_6771,axiom,
    ( p(X1)
    | p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_6772,axiom,
    ( ~ esk219_0
    | ~ esk204_0 )).

cnf(i_0_6773,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_6774,axiom,
    ( ~ esk199_0
    | ~ esk45_0 )).

cnf(i_0_6775,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_6776,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6777,axiom,
    ( p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_6778,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_6779,axiom,
    ( ~ esk96_0
    | ~ esk109_0 )).

cnf(i_0_6780,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_6781,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_6782,axiom,
    ( ~ esk52_0
    | ~ esk118_0 )).

cnf(i_0_6783,axiom,
    ( ~ esk201_0
    | ~ esk207_0 )).

cnf(i_0_6784,axiom,
    ( p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_6785,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10) )).

cnf(i_0_6786,axiom,
    ( ~ esk161_0
    | ~ esk157_0 )).

cnf(i_0_6787,axiom,
    ( p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_6788,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X6)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6789,axiom,
    ( ~ esk47_0
    | ~ esk113_0 )).

cnf(i_0_6790,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_6791,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6792,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_6793,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_6794,axiom,
    ( p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X6)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6795,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk31_0 )).

cnf(i_0_6796,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8) )).

cnf(i_0_6797,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk171_0 )).

cnf(i_0_6798,axiom,
    ( p(X8)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_6799,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X2) )).

cnf(i_0_6800,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_6801,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6802,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6803,axiom,
    ( ~ esk205_0
    | ~ esk217_0 )).

cnf(i_0_6804,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_6805,axiom,
    ( p(X6)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_6806,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6807,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_6808,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_6809,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_6810,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_6811,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_6812,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6813,axiom,
    ( ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X9) )).

cnf(i_0_6814,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6815,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_6816,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6817,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X6) )).

cnf(i_0_6818,axiom,
    ( p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6819,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_6820,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X7)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_6821,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | p(X10)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_6822,axiom,
    ( p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_6823,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_6824,axiom,
    ( p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_6825,axiom,
    ( ~ esk130_0
    | ~ esk121_0 )).

cnf(i_0_6826,axiom,
    ( p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_6827,axiom,
    ( ~ esk214_0
    | ~ esk206_0 )).

cnf(i_0_6828,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X7)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_6829,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_6830,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_6831,axiom,
    ( ~ esk125_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6832,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_6833,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_6834,axiom,
    ( ~ esk7_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6835,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_6836,axiom,
    ( p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_6837,axiom,
    ( ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_6838,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_6839,axiom,
    ( p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X6) )).

cnf(i_0_6840,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_6841,axiom,
    ( p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_6842,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_6843,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6844,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X5) )).

cnf(i_0_6845,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_6846,axiom,
    ( ~ esk147_0
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6847,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_6848,axiom,
    ( ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | p(X8) )).

cnf(i_0_6849,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_6850,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X2)
    | p(X3) )).

cnf(i_0_6851,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_6852,axiom,
    ( p(X2)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X3) )).

cnf(i_0_6853,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_6854,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_6855,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_6856,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_6857,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_6858,axiom,
    ( esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk7_0 )).

cnf(i_0_6859,axiom,
    ( ~ p(X3)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X10) )).

cnf(i_0_6860,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6861,axiom,
    ( ~ esk29_0
    | ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6862,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_6863,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6864,axiom,
    ( ~ esk17_0
    | ~ esk149_0 )).

cnf(i_0_6865,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_6866,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_6867,axiom,
    ( ~ esk129_0
    | esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6868,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X9) )).

cnf(i_0_6869,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X1) )).

cnf(i_0_6870,axiom,
    ( ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_6871,axiom,
    ( p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X1)
    | p(X7)
    | p(X8) )).

cnf(i_0_6872,axiom,
    ( ~ esk8_0
    | ~ esk162_0 )).

cnf(i_0_6873,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6874,axiom,
    ( ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_6875,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X9) )).

cnf(i_0_6876,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_6877,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_6878,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_6879,axiom,
    ( ~ esk38_0
    | ~ esk148_0 )).

cnf(i_0_6880,axiom,
    ( ~ esk206_0
    | ~ esk200_0 )).

cnf(i_0_6881,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X5) )).

cnf(i_0_6882,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_6883,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_6884,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_6885,axiom,
    ( p(X5)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_6886,axiom,
    ( ~ esk43_0
    | ~ esk24_0 )).

cnf(i_0_6887,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_6888,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X7) )).

cnf(i_0_6889,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_6890,axiom,
    ( ~ esk19_0
    | ~ esk3_0 )).

cnf(i_0_6891,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X7) )).

cnf(i_0_6892,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_6893,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_6894,axiom,
    ( ~ esk59_0
    | ~ esk53_0 )).

cnf(i_0_6895,axiom,
    ( p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_6896,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6897,axiom,
    ( p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_6898,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6899,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_6900,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X1) )).

cnf(i_0_6901,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_6902,axiom,
    ( p(X1)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_6903,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_6904,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_6905,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_6906,axiom,
    ( ~ esk188_0
    | ~ esk144_0 )).

cnf(i_0_6907,axiom,
    ( ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_6908,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X2) )).

cnf(i_0_6909,axiom,
    ( ~ esk103_0
    | ~ esk213_0 )).

cnf(i_0_6910,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk69_0 )).

cnf(i_0_6911,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_6912,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X3) )).

cnf(i_0_6913,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X1) )).

cnf(i_0_6914,axiom,
    ( p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | p(X4) )).

cnf(i_0_6915,axiom,
    ( p(X7)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_6916,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_6917,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6918,axiom,
    ( ~ esk9_0
    | ~ esk3_0 )).

cnf(i_0_6919,axiom,
    ( ~ esk101_0
    | ~ esk189_0 )).

cnf(i_0_6920,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_6921,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6922,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_6923,axiom,
    ( ~ esk13_0
    | ~ esk5_0 )).

cnf(i_0_6924,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_6925,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X6) )).

cnf(i_0_6926,axiom,
    ( ~ esk117_0
    | ~ esk115_0 )).

cnf(i_0_6927,axiom,
    ( p(X4)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_6928,axiom,
    ( p(X5)
    | p(X4)
    | p(X2)
    | p(X10)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_6929,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X1) )).

cnf(i_0_6930,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X2) )).

cnf(i_0_6931,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_6932,axiom,
    ( ~ esk49_0
    | esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6933,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | p(X5) )).

cnf(i_0_6934,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_6935,axiom,
    ( p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6936,axiom,
    ( esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk119_0 )).

cnf(i_0_6937,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_6938,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_6939,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_6940,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X5) )).

cnf(i_0_6941,axiom,
    ( ~ p(X5)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_6942,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_6943,axiom,
    ( ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_6944,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_6945,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_6946,axiom,
    ( p(X8)
    | p(X6)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_6947,axiom,
    ( ~ esk142_0
    | ~ esk150_0 )).

cnf(i_0_6948,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_6949,axiom,
    ( ~ esk96_0
    | ~ esk140_0 )).

cnf(i_0_6950,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_6951,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_6952,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X3)
    | p(X5) )).

cnf(i_0_6953,axiom,
    ( ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_6954,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_6955,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_6956,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_6957,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_6958,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_6959,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_6960,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_6961,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk139_0 )).

cnf(i_0_6962,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_6963,axiom,
    ( ~ esk45_0
    | ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6964,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_6965,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_6966,axiom,
    ( p(X7)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_6967,axiom,
    ( ~ esk106_0
    | ~ esk18_0 )).

cnf(i_0_6968,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_6969,axiom,
    ( p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_6970,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_6971,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_6972,axiom,
    ( ~ esk35_0
    | ~ esk33_0 )).

cnf(i_0_6973,axiom,
    ( ~ esk135_0
    | ~ esk152_0 )).

cnf(i_0_6974,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_6975,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_6976,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_6977,axiom,
    ( ~ esk53_0
    | ~ esk64_0 )).

cnf(i_0_6978,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_6979,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_6980,axiom,
    ( ~ esk179_0
    | ~ esk69_0 )).

cnf(i_0_6981,axiom,
    ( p(X1)
    | p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_6982,axiom,
    ( ~ esk145_0
    | ~ esk151_0 )).

cnf(i_0_6983,axiom,
    ( ~ esk201_0
    | ~ esk217_0 )).

cnf(i_0_6984,axiom,
    ( ~ esk153_0
    | ~ esk109_0 )).

cnf(i_0_6985,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_6986,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk143_0 )).

cnf(i_0_6987,axiom,
    ( ~ esk49_0
    | ~ esk181_0 )).

cnf(i_0_6988,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_6989,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_6990,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X10) )).

cnf(i_0_6991,axiom,
    ( ~ esk76_0
    | ~ esk54_0 )).

cnf(i_0_6992,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_6993,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X8)
    | p(X3) )).

cnf(i_0_6994,axiom,
    ( ~ esk111_0
    | ~ esk127_0 )).

cnf(i_0_6995,axiom,
    ( p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X4) )).

cnf(i_0_6996,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X10) )).

cnf(i_0_6997,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_6998,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_6999,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_7000,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_7001,axiom,
    ( ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_7002,axiom,
    ( ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X9) )).

cnf(i_0_7003,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X10) )).

cnf(i_0_7004,axiom,
    ( ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7005,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7006,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_7007,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_7008,axiom,
    ( ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_7009,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X5)
    | p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7010,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_7011,axiom,
    ( p(X5)
    | p(X7)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_7012,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_7013,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_7014,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X1) )).

cnf(i_0_7015,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_7016,axiom,
    ( p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7017,axiom,
    ( ~ esk153_0
    | ~ esk134_0 )).

cnf(i_0_7018,axiom,
    ( ~ esk75_0
    | ~ esk81_0 )).

cnf(i_0_7019,axiom,
    ( p(X1)
    | p(X4)
    | p(X8)
    | p(X2)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X7) )).

cnf(i_0_7020,axiom,
    ( ~ esk88_0
    | ~ esk84_0 )).

cnf(i_0_7021,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_7022,axiom,
    ( ~ esk176_0
    | ~ esk170_0 )).

cnf(i_0_7023,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_7024,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_7025,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_7026,axiom,
    ( ~ esk37_0
    | ~ esk213_0 )).

cnf(i_0_7027,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_7028,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7029,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_7030,axiom,
    ( ~ esk133_0
    | ~ esk145_0 )).

cnf(i_0_7031,axiom,
    ( ~ p(X7)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_7032,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_7033,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk89_0 )).

cnf(i_0_7034,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk211_0 )).

cnf(i_0_7035,axiom,
    ( p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_7036,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_7037,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_7038,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_7039,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_7040,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_7041,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_7042,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_7043,axiom,
    ( ~ esk212_0
    | ~ esk216_0 )).

cnf(i_0_7044,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_7045,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7046,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | p(X8) )).

cnf(i_0_7047,axiom,
    ( ~ esk140_0
    | ~ esk74_0 )).

cnf(i_0_7048,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X8) )).

cnf(i_0_7049,axiom,
    ( ~ esk165_0
    | ~ esk33_0 )).

cnf(i_0_7050,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_7051,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_7052,axiom,
    ( ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X10) )).

cnf(i_0_7053,axiom,
    ( ~ esk156_0
    | ~ esk200_0 )).

cnf(i_0_7054,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_7055,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X4) )).

cnf(i_0_7056,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_7057,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7058,axiom,
    ( p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_7059,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_7060,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_7061,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_7062,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7063,axiom,
    ( ~ esk17_0
    | ~ esk20_0 )).

cnf(i_0_7064,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_7065,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_7066,axiom,
    ( ~ esk52_0
    | ~ esk62_0 )).

cnf(i_0_7067,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X4) )).

cnf(i_0_7068,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X8)
    | p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_7069,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_7070,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X2) )).

cnf(i_0_7071,axiom,
    ( ~ esk47_0
    | ~ esk57_0 )).

cnf(i_0_7072,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7073,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_7074,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_7075,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_7076,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_7077,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_7078,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_7079,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X5)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_7080,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_7081,axiom,
    ( ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_7082,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7083,axiom,
    ( p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X2)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7084,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7085,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_7086,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7087,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_7088,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_7089,axiom,
    ( ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_7090,axiom,
    ( ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_7091,axiom,
    ( ~ esk42_0
    | ~ esk37_0 )).

cnf(i_0_7092,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_7093,axiom,
    ( p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_7094,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | p(X7) )).

cnf(i_0_7095,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X7)
    | p(X3)
    | p(X1)
    | p(X9) )).

cnf(i_0_7096,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_7097,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7) )).

cnf(i_0_7098,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_7099,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_7100,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_7101,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X2)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7102,axiom,
    ( ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_7103,axiom,
    ( p(X6)
    | p(X2)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X4) )).

cnf(i_0_7104,axiom,
    ( p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_7105,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | p(X1) )).

cnf(i_0_7106,axiom,
    ( ~ esk76_0
    | ~ esk10_0 )).

cnf(i_0_7107,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_7108,axiom,
    ( p(X9)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | p(X10) )).

cnf(i_0_7109,axiom,
    ( p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X6)
    | p(X5)
    | p(X2)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_7110,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_7111,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_7112,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_7113,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk107_0 )).

cnf(i_0_7114,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X9) )).

cnf(i_0_7115,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_7116,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_7117,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_7118,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | p(X5)
    | p(X9) )).

cnf(i_0_7119,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_7120,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_7121,axiom,
    ( p(X10)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X7) )).

cnf(i_0_7122,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_7123,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7124,axiom,
    ( p(X1)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_7125,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7126,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_7127,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_7128,axiom,
    ( ~ esk55_0
    | ~ esk53_0 )).

cnf(i_0_7129,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_7130,axiom,
    ( p(X2)
    | p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_7131,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7132,axiom,
    ( ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | p(X3)
    | p(X4) )).

cnf(i_0_7133,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_7134,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_7135,axiom,
    ( p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_7136,axiom,
    ( p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_7137,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_7138,axiom,
    ( ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_7139,axiom,
    ( ~ esk90_0
    | ~ esk112_0 )).

cnf(i_0_7140,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_7141,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_7142,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_7143,axiom,
    ( ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X2) )).

cnf(i_0_7144,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_7145,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7146,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X3) )).

cnf(i_0_7147,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7148,axiom,
    ( ~ esk97_0
    | ~ esk53_0 )).

cnf(i_0_7149,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7150,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_7151,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7152,axiom,
    ( ~ esk4_0
    | ~ esk14_0 )).

cnf(i_0_7153,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_7154,axiom,
    ( p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_7155,axiom,
    ( p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X10) )).

cnf(i_0_7156,axiom,
    ( p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_7157,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_7158,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_7159,axiom,
    ( p(X1)
    | p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X3) )).

cnf(i_0_7160,axiom,
    ( ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | p(X2) )).

cnf(i_0_7161,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_7162,axiom,
    ( ~ esk38_0
    | ~ esk60_0 )).

cnf(i_0_7163,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X8)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_7164,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_7165,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_7166,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_7167,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_7168,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X2) )).

cnf(i_0_7169,axiom,
    ( ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X2) )).

cnf(i_0_7170,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_7171,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X3) )).

cnf(i_0_7172,axiom,
    ( p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_7173,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_7174,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X6) )).

cnf(i_0_7175,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_7176,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_7177,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_7178,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7179,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_7180,axiom,
    ( ~ esk3_0
    | ~ esk13_0 )).

cnf(i_0_7181,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_7182,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_7183,axiom,
    ( ~ p(X3)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_7184,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_7185,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_7186,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_7187,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7188,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_7189,axiom,
    ( p(X9)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_7190,axiom,
    ( ~ esk129_0
    | ~ esk107_0 )).

cnf(i_0_7191,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_7192,axiom,
    ( ~ esk184_0
    | ~ esk194_0 )).

cnf(i_0_7193,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_7194,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_7195,axiom,
    ( ~ esk3_0
    | ~ esk47_0 )).

cnf(i_0_7196,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_7197,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_7198,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | p(X5)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_7199,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7200,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_7201,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_7202,axiom,
    ( ~ esk24_0
    | ~ esk200_0 )).

cnf(i_0_7203,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_7204,axiom,
    ( p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_7205,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_7206,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X7) )).

cnf(i_0_7207,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_7208,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_7209,axiom,
    ( ~ esk11_0
    | ~ esk187_0 )).

cnf(i_0_7210,axiom,
    ( ~ esk33_0
    | ~ esk143_0 )).

cnf(i_0_7211,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_7212,axiom,
    ( p(X10)
    | p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_7213,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7214,axiom,
    ( ~ esk53_0
    | ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7215,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_7216,axiom,
    ( ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_7217,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_7218,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X9)
    | p(X2)
    | p(X4)
    | p(X5) )).

cnf(i_0_7219,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_7220,axiom,
    ( esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk73_0 )).

cnf(i_0_7221,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | p(X3) )).

cnf(i_0_7222,axiom,
    ( ~ p(X1)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | p(X9)
    | p(X6) )).

cnf(i_0_7223,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_7224,axiom,
    ( ~ esk148_0
    | ~ esk170_0 )).

cnf(i_0_7225,axiom,
    ( ~ esk157_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7226,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_7227,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk81_0 )).

cnf(i_0_7228,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_7229,axiom,
    ( p(X4)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_7230,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_7231,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X10)
    | p(X1) )).

cnf(i_0_7232,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_7233,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_7234,axiom,
    ( p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_7235,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_7236,axiom,
    ( p(X10)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_7237,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_7238,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_7239,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X7) )).

cnf(i_0_7240,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_7241,axiom,
    ( p(X5)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_7242,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7243,axiom,
    ( ~ esk99_0
    | ~ esk209_0 )).

cnf(i_0_7244,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_7245,axiom,
    ( esk61_0
    | esk193_0
    | ~ esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk171_0
    | esk105_0
    | esk127_0
    | esk83_0
    | esk215_0
    | esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk17_0
    | esk39_0
    | esk149_0 )).

cnf(i_0_7246,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_7247,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X3) )).

cnf(i_0_7248,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_7249,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7250,axiom,
    ( ~ esk150_0
    | ~ esk136_0 )).

cnf(i_0_7251,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_7252,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_7253,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_7254,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_7255,axiom,
    ( ~ esk195_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7256,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5) )).

cnf(i_0_7257,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_7258,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_7259,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X3) )).

cnf(i_0_7260,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7261,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7262,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_7263,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_7264,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_7265,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7266,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_7267,axiom,
    ( ~ esk205_0
    | ~ esk183_0 )).

cnf(i_0_7268,axiom,
    ( ~ esk148_0
    | ~ esk136_0 )).

cnf(i_0_7269,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_7270,axiom,
    ( ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_7271,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_7272,axiom,
    ( ~ esk204_0
    | ~ esk202_0 )).

cnf(i_0_7273,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_7274,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | p(X2)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7275,axiom,
    ( p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_7276,axiom,
    ( ~ esk125_0
    | ~ esk169_0 )).

cnf(i_0_7277,axiom,
    ( p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_7278,axiom,
    ( ~ esk202_0
    | ~ esk214_0 )).

cnf(i_0_7279,axiom,
    ( ~ esk112_0
    | ~ esk2_0 )).

cnf(i_0_7280,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_7281,axiom,
    ( ~ esk108_0
    | ~ esk95_0 )).

cnf(i_0_7282,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_7283,axiom,
    ( p(X10)
    | p(X3)
    | p(X2)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X8)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_7284,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_7285,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X9) )).

cnf(i_0_7286,axiom,
    ( p(X7)
    | p(X10)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_7287,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_7288,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X6) )).

cnf(i_0_7289,axiom,
    ( ~ esk65_0
    | ~ esk62_0 )).

cnf(i_0_7290,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7291,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_7292,axiom,
    ( ~ p(X5)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_7293,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7294,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X7) )).

cnf(i_0_7295,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_7296,axiom,
    ( ~ esk200_0
    | ~ esk216_0 )).

cnf(i_0_7297,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_7298,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_7299,axiom,
    ( ~ esk113_0
    | ~ esk123_0 )).

cnf(i_0_7300,axiom,
    ( ~ esk98_0
    | ~ esk186_0 )).

cnf(i_0_7301,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_7302,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_7303,axiom,
    ( ~ esk171_0
    | ~ esk173_0 )).

cnf(i_0_7304,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_7305,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_7306,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7307,axiom,
    ( p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_7308,axiom,
    ( ~ esk39_0
    | ~ esk31_0 )).

cnf(i_0_7309,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7310,axiom,
    ( ~ esk96_0
    | ~ esk106_0 )).

cnf(i_0_7311,axiom,
    ( ~ esk123_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7312,axiom,
    ( ~ esk120_0
    | ~ esk186_0 )).

cnf(i_0_7313,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | p(X7)
    | p(X10)
    | p(X3)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_7314,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_7315,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_7316,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_7317,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_7318,axiom,
    ( ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_7319,axiom,
    ( p(X10)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_7320,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_7321,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_7322,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_7323,axiom,
    ( p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_7324,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7325,axiom,
    ( ~ esk87_0
    | ~ esk197_0 )).

cnf(i_0_7326,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_7327,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_7328,axiom,
    ( p(X5)
    | p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_7329,axiom,
    ( p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7330,axiom,
    ( ~ esk220_0
    | ~ esk200_0 )).

cnf(i_0_7331,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6) )).

cnf(i_0_7332,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7333,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X2) )).

cnf(i_0_7334,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_7335,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_7336,axiom,
    ( ~ esk93_0
    | ~ esk137_0 )).

cnf(i_0_7337,axiom,
    ( ~ esk8_0
    | ~ esk4_0 )).

cnf(i_0_7338,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_7339,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_7340,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_7341,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X9) )).

cnf(i_0_7342,axiom,
    ( p(X7)
    | p(X2)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7343,axiom,
    ( p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X8) )).

cnf(i_0_7344,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7345,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7346,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_7347,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_7348,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X10) )).

cnf(i_0_7349,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_7350,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_7351,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_7352,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_7353,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X6) )).

cnf(i_0_7354,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_7355,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7356,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_7357,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5) )).

cnf(i_0_7358,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_7359,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_7360,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X2)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_7361,axiom,
    ( ~ esk62_0
    | ~ esk172_0 )).

cnf(i_0_7362,axiom,
    ( ~ p(X6)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_7363,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_7364,axiom,
    ( ~ esk48_0
    | ~ esk60_0 )).

cnf(i_0_7365,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_7366,axiom,
    ( ~ esk32_0
    | ~ esk186_0 )).

cnf(i_0_7367,axiom,
    ( ~ p(X2)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7368,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X8) )).

cnf(i_0_7369,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_7370,axiom,
    ( ~ esk14_0
    | ~ esk18_0 )).

cnf(i_0_7371,axiom,
    ( ~ esk96_0
    | ~ esk100_0 )).

cnf(i_0_7372,axiom,
    ( p(X3)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_7373,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_7374,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7375,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_7376,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7377,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_7378,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_7379,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7380,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_7381,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X9) )).

cnf(i_0_7382,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_7383,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_7384,axiom,
    ( ~ esk41_0
    | ~ esk31_0 )).

cnf(i_0_7385,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X2) )).

cnf(i_0_7386,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk77_0 )).

cnf(i_0_7387,axiom,
    ( ~ esk172_0
    | ~ esk106_0 )).

cnf(i_0_7388,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_7389,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X10) )).

cnf(i_0_7390,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X2) )).

cnf(i_0_7391,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_7392,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_7393,axiom,
    ( ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk205_0 )).

cnf(i_0_7394,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_7395,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | p(X4) )).

cnf(i_0_7396,axiom,
    ( p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_7397,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_7398,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7399,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7400,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_7401,axiom,
    ( p(X1)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_7402,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_7403,axiom,
    ( ~ esk77_0
    | ~ esk143_0 )).

cnf(i_0_7404,axiom,
    ( ~ esk169_0
    | ~ esk159_0 )).

cnf(i_0_7405,axiom,
    ( p(X5)
    | p(X3)
    | p(X7)
    | p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X8) )).

cnf(i_0_7406,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_7407,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X9) )).

cnf(i_0_7408,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_7409,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk125_0 )).

cnf(i_0_7410,axiom,
    ( p(X3)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_7411,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_7412,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7413,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_7414,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_7415,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7416,axiom,
    ( ~ esk159_0
    | ~ esk163_0 )).

cnf(i_0_7417,axiom,
    ( ~ esk113_0
    | ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7418,axiom,
    ( ~ esk24_0
    | ~ esk36_0 )).

cnf(i_0_7419,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_7420,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X3) )).

cnf(i_0_7421,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_7422,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_7423,axiom,
    ( ~ esk165_0
    | ~ esk159_0 )).

cnf(i_0_7424,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X10) )).

cnf(i_0_7425,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7426,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X2) )).

cnf(i_0_7427,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7428,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_7429,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_7430,axiom,
    ( ~ esk70_0
    | ~ esk88_0 )).

cnf(i_0_7431,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_7432,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_7433,axiom,
    ( p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_7434,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7435,axiom,
    ( p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_7436,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_7437,axiom,
    ( p(X7)
    | ~ p(X9)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7438,axiom,
    ( ~ esk177_0
    | ~ esk133_0 )).

cnf(i_0_7439,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_7440,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7441,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7442,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X5)
    | p(X6) )).

cnf(i_0_7443,axiom,
    ( p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7444,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X9) )).

cnf(i_0_7445,axiom,
    ( p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X10) )).

cnf(i_0_7446,axiom,
    ( ~ esk182_0
    | ~ esk138_0 )).

cnf(i_0_7447,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_7448,axiom,
    ( ~ esk163_0
    | ~ esk169_0 )).

cnf(i_0_7449,axiom,
    ( p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X4)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_7450,axiom,
    ( ~ esk1_0
    | ~ esk199_0 )).

cnf(i_0_7451,axiom,
    ( ~ esk195_0
    | ~ esk183_0 )).

cnf(i_0_7452,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_7453,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_7454,axiom,
    ( ~ esk63_0
    | ~ esk47_0 )).

cnf(i_0_7455,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7456,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X10) )).

cnf(i_0_7457,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | p(X5) )).

cnf(i_0_7458,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_7459,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_7460,axiom,
    ( p(X7)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X5) )).

cnf(i_0_7461,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_7462,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X7) )).

cnf(i_0_7463,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_7464,axiom,
    ( p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7465,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_7466,axiom,
    ( ~ esk41_0
    | ~ esk195_0 )).

cnf(i_0_7467,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_7468,axiom,
    ( ~ esk100_0
    | ~ esk166_0 )).

cnf(i_0_7469,axiom,
    ( p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | p(X5)
    | p(X10)
    | p(X1) )).

cnf(i_0_7470,axiom,
    ( ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_7471,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_7472,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_7473,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_7474,axiom,
    ( ~ esk168_0
    | ~ esk158_0 )).

cnf(i_0_7475,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7476,axiom,
    ( ~ p(X8)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_7477,axiom,
    ( ~ esk29_0
    | esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7478,axiom,
    ( p(X8)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X5)
    | p(X6)
    | p(X2) )).

cnf(i_0_7479,axiom,
    ( ~ esk2_0
    | ~ esk90_0 )).

cnf(i_0_7480,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_7481,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X5) )).

cnf(i_0_7482,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7483,axiom,
    ( p(X6)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X7) )).

cnf(i_0_7484,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7485,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_7486,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk42_0
    | ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7487,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X8) )).

cnf(i_0_7488,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_7489,axiom,
    ( ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X9) )).

cnf(i_0_7490,axiom,
    ( ~ esk6_0
    | ~ esk116_0 )).

cnf(i_0_7491,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_7492,axiom,
    ( ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_7493,axiom,
    ( ~ esk211_0
    | ~ esk209_0 )).

cnf(i_0_7494,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X5) )).

cnf(i_0_7495,axiom,
    ( ~ esk9_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7496,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_7497,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7498,axiom,
    ( ~ esk214_0
    | ~ esk200_0 )).

cnf(i_0_7499,axiom,
    ( p(X6)
    | p(X5)
    | p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X1)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7500,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_7501,axiom,
    ( ~ esk12_0
    | ~ esk2_0 )).

cnf(i_0_7502,axiom,
    ( p(X4)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_7503,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_7504,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_7505,axiom,
    ( p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_7506,axiom,
    ( ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_7507,axiom,
    ( ~ esk144_0
    | ~ esk78_0 )).

cnf(i_0_7508,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_7509,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_7510,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_7511,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_7512,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X6) )).

cnf(i_0_7513,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7514,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_7515,axiom,
    ( ~ esk64_0
    | ~ esk49_0 )).

cnf(i_0_7516,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_7517,axiom,
    ( p(X1)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_7518,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_7519,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk63_0 )).

cnf(i_0_7520,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7521,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_7522,axiom,
    ( ~ esk25_0
    | ~ esk23_0 )).

cnf(i_0_7523,axiom,
    ( ~ esk118_0
    | ~ esk122_0 )).

cnf(i_0_7524,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7525,axiom,
    ( ~ esk211_0
    | esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7526,axiom,
    ( p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_7527,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_7528,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_7529,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_7530,axiom,
    ( p(X8)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7531,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_7532,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_7533,axiom,
    ( p(X7)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X6) )).

cnf(i_0_7534,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7535,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_7536,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_7537,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X8) )).

cnf(i_0_7538,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7539,axiom,
    ( p(X9)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_7540,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_7541,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_7542,axiom,
    ( p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_7543,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X5)
    | p(X9) )).

cnf(i_0_7544,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_7545,axiom,
    ( ~ esk143_0
    | ~ esk165_0 )).

cnf(i_0_7546,axiom,
    ( ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_7547,axiom,
    ( p(X5)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_7548,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_7549,axiom,
    ( p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_7550,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_7551,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_7552,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | p(X6) )).

cnf(i_0_7553,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_7554,axiom,
    ( p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_7555,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7556,axiom,
    ( p(X2)
    | p(X6)
    | p(X7)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_7557,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_7558,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7559,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_7560,axiom,
    ( p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_7561,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_7562,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_7563,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_7564,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_7565,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_7566,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_7567,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_7568,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_7569,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_7570,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_7571,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_7572,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7573,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_7574,axiom,
    ( p(X5)
    | p(X4)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X3) )).

cnf(i_0_7575,axiom,
    ( p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_7576,axiom,
    ( ~ esk113_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7577,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_7578,axiom,
    ( ~ esk67_0
    | ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7579,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_7580,axiom,
    ( p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_7581,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_7582,axiom,
    ( ~ esk32_0
    | ~ esk43_0 )).

cnf(i_0_7583,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7584,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_7585,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_7586,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | p(X1) )).

cnf(i_0_7587,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_7588,axiom,
    ( ~ esk34_0
    | ~ esk122_0 )).

cnf(i_0_7589,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_7590,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_7591,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_7592,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_7593,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_7594,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | p(X4) )).

cnf(i_0_7595,axiom,
    ( ~ esk98_0
    | ~ esk142_0 )).

cnf(i_0_7596,axiom,
    ( ~ esk159_0
    | ~ esk203_0 )).

cnf(i_0_7597,axiom,
    ( p(X8)
    | p(X1)
    | p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_7598,axiom,
    ( p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X9) )).

cnf(i_0_7599,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_7600,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_7601,axiom,
    ( p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7602,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X5)
    | p(X3)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7603,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_7604,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_7605,axiom,
    ( ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_7606,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_7607,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_7608,axiom,
    ( p(X1)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_7609,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7610,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_7611,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_7612,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X3) )).

cnf(i_0_7613,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_7614,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X8) )).

cnf(i_0_7615,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_7616,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_7617,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X10) )).

cnf(i_0_7618,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7619,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_7620,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | p(X6)
    | p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7621,axiom,
    ( ~ esk104_0
    | ~ esk96_0 )).

cnf(i_0_7622,axiom,
    ( ~ esk185_0
    | ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7623,axiom,
    ( p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_7624,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_7625,axiom,
    ( p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_7626,axiom,
    ( ~ esk161_0
    | ~ esk117_0 )).

cnf(i_0_7627,axiom,
    ( ~ esk210_0
    | ~ esk122_0 )).

cnf(i_0_7628,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X1) )).

cnf(i_0_7629,axiom,
    ( ~ esk130_0
    | ~ esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7630,axiom,
    ( ~ esk22_0
    | ~ esk8_0 )).

cnf(i_0_7631,axiom,
    ( ~ esk28_0
    | ~ esk36_0 )).

cnf(i_0_7632,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_7633,axiom,
    ( ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X7) )).

cnf(i_0_7634,axiom,
    ( ~ esk63_0
    | ~ esk51_0 )).

cnf(i_0_7635,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | p(X4) )).

cnf(i_0_7636,axiom,
    ( p(X5)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_7637,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_7638,axiom,
    ( p(X4)
    | p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_7639,axiom,
    ( ~ esk136_0
    | ~ esk154_0 )).

cnf(i_0_7640,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_7641,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X8) )).

cnf(i_0_7642,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X6)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7643,axiom,
    ( p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_7644,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_7645,axiom,
    ( ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_7646,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_7647,axiom,
    ( ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7648,axiom,
    ( ~ p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_7649,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_7650,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X2) )).

cnf(i_0_7651,axiom,
    ( p(X9)
    | p(X2)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_7652,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X9) )).

cnf(i_0_7653,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_7654,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_7655,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_7656,axiom,
    ( ~ esk89_0
    | ~ esk91_0 )).

cnf(i_0_7657,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_7658,axiom,
    ( ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X8) )).

cnf(i_0_7659,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X7) )).

cnf(i_0_7660,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X4)
    | p(X9)
    | p(X10) )).

cnf(i_0_7661,axiom,
    ( ~ esk203_0
    | ~ esk211_0 )).

cnf(i_0_7662,axiom,
    ( ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | p(X3)
    | p(X10)
    | p(X7) )).

cnf(i_0_7663,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_7664,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_7665,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7666,axiom,
    ( ~ esk85_0
    | ~ esk195_0 )).

cnf(i_0_7667,axiom,
    ( p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7668,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_7669,axiom,
    ( p(X4)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_7670,axiom,
    ( p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_7671,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X2) )).

cnf(i_0_7672,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_7673,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_7674,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_7675,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_7676,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_7677,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_7678,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_7679,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_7680,axiom,
    ( ~ esk23_0
    | ~ esk199_0 )).

cnf(i_0_7681,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_7682,axiom,
    ( ~ esk181_0
    | ~ esk185_0 )).

cnf(i_0_7683,axiom,
    ( p(X3)
    | p(X7)
    | p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_7684,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_7685,axiom,
    ( p(X8)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X5) )).

cnf(i_0_7686,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_7687,axiom,
    ( ~ esk184_0
    | ~ esk186_0 )).

cnf(i_0_7688,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_7689,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_7690,axiom,
    ( ~ esk166_0
    | ~ esk168_0 )).

cnf(i_0_7691,axiom,
    ( ~ esk215_0
    | ~ esk105_0 )).

cnf(i_0_7692,axiom,
    ( p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_7693,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_7694,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_7695,axiom,
    ( ~ esk133_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7696,axiom,
    ( p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_7697,axiom,
    ( ~ esk35_0
    | esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7698,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X1) )).

cnf(i_0_7699,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_7700,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_7701,axiom,
    ( p(X10)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_7702,axiom,
    ( p(X8)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_7703,axiom,
    ( ~ esk200_0
    | ~ esk46_0 )).

cnf(i_0_7704,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_7705,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | p(X5)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_7706,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_7707,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_7708,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X7) )).

cnf(i_0_7709,axiom,
    ( ~ esk80_0
    | ~ esk168_0 )).

cnf(i_0_7710,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X4)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7711,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_7712,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_7713,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_7714,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7715,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_7716,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_7717,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X5) )).

cnf(i_0_7718,axiom,
    ( p(X10)
    | p(X4)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_7719,axiom,
    ( ~ p(X8)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_7720,axiom,
    ( p(X5)
    | p(X4)
    | p(X10)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X7) )).

cnf(i_0_7721,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7722,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_7723,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | p(X8) )).

cnf(i_0_7724,axiom,
    ( p(X6)
    | p(X3)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_7725,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_7726,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_7727,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7728,axiom,
    ( ~ esk181_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7729,axiom,
    ( ~ esk189_0
    | ~ esk187_0 )).

cnf(i_0_7730,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_7731,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X2) )).

cnf(i_0_7732,axiom,
    ( p(X1)
    | p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_7733,axiom,
    ( ~ esk95_0
    | ~ esk91_0 )).

cnf(i_0_7734,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_7735,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X8) )).

cnf(i_0_7736,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_7737,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7738,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X10) )).

cnf(i_0_7739,axiom,
    ( ~ esk10_0
    | ~ esk16_0 )).

cnf(i_0_7740,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_7741,axiom,
    ( ~ esk151_0
    | ~ esk137_0 )).

cnf(i_0_7742,axiom,
    ( p(X1)
    | p(X10)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_7743,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_7744,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X5) )).

cnf(i_0_7745,axiom,
    ( p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7746,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_7747,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_7748,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X7)
    | p(X10) )).

cnf(i_0_7749,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X5) )).

cnf(i_0_7750,axiom,
    ( p(X2)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X4)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_7751,axiom,
    ( ~ esk114_0
    | ~ esk132_0 )).

cnf(i_0_7752,axiom,
    ( p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_7753,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_7754,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_7755,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk203_0 )).

cnf(i_0_7756,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X5) )).

cnf(i_0_7757,axiom,
    ( ~ esk61_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7758,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_7759,axiom,
    ( ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_7760,axiom,
    ( esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk152_0 )).

cnf(i_0_7761,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_7762,axiom,
    ( ~ esk204_0
    | ~ esk6_0 )).

cnf(i_0_7763,axiom,
    ( p(X8)
    | p(X7)
    | p(X5)
    | p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7764,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X7) )).

cnf(i_0_7765,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_7766,axiom,
    ( ~ esk30_0
    | ~ esk43_0 )).

cnf(i_0_7767,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7768,axiom,
    ( ~ esk30_0
    | ~ esk32_0 )).

cnf(i_0_7769,axiom,
    ( ~ esk137_0
    | ~ esk71_0 )).

cnf(i_0_7770,axiom,
    ( ~ p(X10)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_7771,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_7772,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X10)
    | p(X8)
    | p(X9) )).

cnf(i_0_7773,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_7774,axiom,
    ( ~ esk49_0
    | ~ esk115_0 )).

cnf(i_0_7775,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_7776,axiom,
    ( ~ esk142_0
    | ~ esk54_0 )).

cnf(i_0_7777,axiom,
    ( ~ esk57_0
    | ~ esk45_0 )).

cnf(i_0_7778,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X8)
    | p(X10) )).

cnf(i_0_7779,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_7780,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2) )).

cnf(i_0_7781,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_7782,axiom,
    ( ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_7783,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_7784,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7785,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X9) )).

cnf(i_0_7786,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_7787,axiom,
    ( ~ esk155_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7788,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7789,axiom,
    ( ~ esk135_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7790,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_7791,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7792,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_7793,axiom,
    ( p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_7794,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_7795,axiom,
    ( ~ esk12_0
    | ~ esk34_0 )).

cnf(i_0_7796,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X5) )).

cnf(i_0_7797,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_7798,axiom,
    ( ~ esk57_0
    | ~ esk64_0 )).

cnf(i_0_7799,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_7800,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_7801,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X10) )).

cnf(i_0_7802,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_7803,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | p(X4) )).

cnf(i_0_7804,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_7805,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_7806,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7807,axiom,
    ( ~ esk40_0
    | ~ esk216_0 )).

cnf(i_0_7808,axiom,
    ( esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk99_0 )).

cnf(i_0_7809,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_7810,axiom,
    ( ~ esk66_0
    | ~ esk58_0 )).

cnf(i_0_7811,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_7812,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_7813,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_7814,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_7815,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X2) )).

cnf(i_0_7816,axiom,
    ( p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_7817,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_7818,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X4) )).

cnf(i_0_7819,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X10)
    | p(X1)
    | p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_7820,axiom,
    ( ~ esk54_0
    | ~ esk120_0 )).

cnf(i_0_7821,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_7822,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_7823,axiom,
    ( ~ esk60_0
    | ~ esk58_0 )).

cnf(i_0_7824,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_7825,axiom,
    ( ~ esk116_0
    | ~ esk160_0 )).

cnf(i_0_7826,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7827,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | p(X8) )).

cnf(i_0_7828,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X3) )).

cnf(i_0_7829,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_7830,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_7831,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_7832,axiom,
    ( p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_7833,axiom,
    ( ~ esk208_0
    | ~ esk204_0 )).

cnf(i_0_7834,axiom,
    ( ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk5_0 )).

cnf(i_0_7835,axiom,
    ( p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_7836,axiom,
    ( ~ esk75_0
    | ~ esk119_0 )).

cnf(i_0_7837,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_7838,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_7839,axiom,
    ( ~ esk75_0
    | ~ esk71_0 )).

cnf(i_0_7840,axiom,
    ( ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_7841,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X6) )).

cnf(i_0_7842,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X4) )).

cnf(i_0_7843,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_7844,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7845,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7846,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | p(X9) )).

cnf(i_0_7847,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X4) )).

cnf(i_0_7848,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_7849,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_7850,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7851,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_7852,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7853,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_7854,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_7855,axiom,
    ( p(X10)
    | p(X1)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_7856,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_7857,axiom,
    ( ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_7858,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_7859,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7860,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_7861,axiom,
    ( ~ esk20_0
    | ~ esk7_0 )).

cnf(i_0_7862,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_7863,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4) )).

cnf(i_0_7864,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_7865,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_7866,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7867,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_7868,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7869,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7870,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | p(X5)
    | p(X3) )).

cnf(i_0_7871,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_7872,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_7873,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_7874,axiom,
    ( ~ esk170_0
    | ~ esk162_0 )).

cnf(i_0_7875,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_7876,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X6) )).

cnf(i_0_7877,axiom,
    ( p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_7878,axiom,
    ( ~ esk140_0
    | ~ esk153_0 )).

cnf(i_0_7879,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_7880,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_7881,axiom,
    ( ~ esk87_0
    | ~ esk68_0 )).

cnf(i_0_7882,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_7883,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7884,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_7885,axiom,
    ( p(X6)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_7886,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X8)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_7887,axiom,
    ( p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_7888,axiom,
    ( ~ esk34_0
    | ~ esk166_0 )).

cnf(i_0_7889,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_7890,axiom,
    ( ~ esk167_0
    | ~ esk163_0 )).

cnf(i_0_7891,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7892,axiom,
    ( ~ esk43_0
    | ~ esk38_0 )).

cnf(i_0_7893,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_7894,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8) )).

cnf(i_0_7895,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_7896,axiom,
    ( ~ esk124_0
    | ~ esk112_0 )).

cnf(i_0_7897,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_7898,axiom,
    ( p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | p(X6)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_7899,axiom,
    ( p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_7900,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7901,axiom,
    ( ~ esk74_0
    | ~ esk118_0 )).

cnf(i_0_7902,axiom,
    ( ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_7903,axiom,
    ( ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7904,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_7905,axiom,
    ( ~ p(X1)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_7906,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X2) )).

cnf(i_0_7907,axiom,
    ( p(X6)
    | p(X5)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X10) )).

cnf(i_0_7908,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_7909,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_7910,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7911,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_7912,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7913,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_7914,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_7915,axiom,
    ( ~ esk139_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7916,axiom,
    ( ~ esk143_0
    | ~ esk139_0 )).

cnf(i_0_7917,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_7918,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_7919,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X8) )).

cnf(i_0_7920,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_7921,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_7922,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_7923,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk51_0 )).

cnf(i_0_7924,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_7925,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_7926,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_7927,axiom,
    ( ~ esk12_0
    | ~ esk56_0 )).

cnf(i_0_7928,axiom,
    ( ~ esk161_0
    | ~ esk173_0 )).

cnf(i_0_7929,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_7930,axiom,
    ( ~ esk85_0
    | ~ esk173_0 )).

cnf(i_0_7931,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_7932,axiom,
    ( p(X9)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_7933,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7934,axiom,
    ( p(X6)
    | p(X1)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_7935,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_7936,axiom,
    ( p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7937,axiom,
    ( p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X8) )).

cnf(i_0_7938,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7939,axiom,
    ( ~ esk180_0
    | ~ esk114_0 )).

cnf(i_0_7940,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_7941,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_7942,axiom,
    ( ~ esk101_0
    | ~ esk95_0 )).

cnf(i_0_7943,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_7944,axiom,
    ( ~ esk17_0
    | ~ esk127_0 )).

cnf(i_0_7945,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_7946,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_7947,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_7948,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_7949,axiom,
    ( ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk101_0 )).

cnf(i_0_7950,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_7951,axiom,
    ( p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7952,axiom,
    ( ~ esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk218_0 )).

cnf(i_0_7953,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_7954,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_7955,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_7956,axiom,
    ( p(X8)
    | p(X10)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_7957,axiom,
    ( p(X7)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_7958,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_7959,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_7960,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_7961,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_7962,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7963,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_7964,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_7965,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_7966,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X5) )).

cnf(i_0_7967,axiom,
    ( ~ esk203_0
    | ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7968,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_7969,axiom,
    ( ~ esk15_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_7970,axiom,
    ( p(X5)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_7971,axiom,
    ( ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | p(X6) )).

cnf(i_0_7972,axiom,
    ( ~ esk100_0
    | ~ esk90_0 )).

cnf(i_0_7973,axiom,
    ( ~ esk209_0
    | ~ esk217_0 )).

cnf(i_0_7974,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X9) )).

cnf(i_0_7975,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X8) )).

cnf(i_0_7976,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | p(X9) )).

cnf(i_0_7977,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_7978,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_7979,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6) )).

cnf(i_0_7980,axiom,
    ( p(X4)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_7981,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_7982,axiom,
    ( p(X8)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7983,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X6)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X9)
    | p(X4) )).

cnf(i_0_7984,axiom,
    ( p(X5)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_7985,axiom,
    ( p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_7986,axiom,
    ( p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | p(X10) )).

cnf(i_0_7987,axiom,
    ( p(X5)
    | p(X7)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_7988,axiom,
    ( p(X2)
    | p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_7989,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_7990,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_7991,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X9) )).

cnf(i_0_7992,axiom,
    ( ~ p(X1)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | p(X10) )).

cnf(i_0_7993,axiom,
    ( ~ esk102_0
    | ~ esk90_0 )).

cnf(i_0_7994,axiom,
    ( ~ esk183_0
    | ~ esk7_0 )).

cnf(i_0_7995,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_7996,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk31_0 )).

cnf(i_0_7997,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_7998,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_7999,axiom,
    ( ~ esk131_0
    | ~ esk116_0 )).

cnf(i_0_8000,axiom,
    ( p(X8)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_8001,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X4) )).

cnf(i_0_8002,axiom,
    ( p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8003,axiom,
    ( ~ esk94_0
    | ~ esk160_0 )).

cnf(i_0_8004,axiom,
    ( ~ esk71_0
    | ~ esk93_0 )).

cnf(i_0_8005,axiom,
    ( ~ esk30_0
    | ~ esk44_0 )).

cnf(i_0_8006,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_8007,axiom,
    ( esk83_0
    | ~ esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk79_0
    | esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk71_0
    | esk77_0
    | esk67_0
    | esk75_0
    | esk85_0
    | esk69_0
    | esk73_0
    | esk81_0 )).

cnf(i_0_8008,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_8009,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_8010,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_8011,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8012,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_8013,axiom,
    ( p(X5)
    | p(X8)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_8014,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_8015,axiom,
    ( p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_8016,axiom,
    ( p(X10)
    | p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8017,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_8018,axiom,
    ( p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_8019,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8020,axiom,
    ( p(X5)
    | p(X8)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8021,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8022,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_8023,axiom,
    ( p(X6)
    | p(X9)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X4) )).

cnf(i_0_8024,axiom,
    ( ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_8025,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_8026,axiom,
    ( ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_8027,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_8028,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8029,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_8030,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_8031,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_8032,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_8033,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_8034,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8035,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_8036,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_8037,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_8038,axiom,
    ( ~ esk27_0
    | ~ esk159_0 )).

cnf(i_0_8039,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_8040,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | p(X5)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8041,axiom,
    ( p(X10)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_8042,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_8043,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_8044,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_8045,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_8046,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_8047,axiom,
    ( p(X4)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_8048,axiom,
    ( ~ esk189_0
    | ~ esk191_0 )).

cnf(i_0_8049,axiom,
    ( ~ esk117_0
    | ~ esk129_0 )).

cnf(i_0_8050,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_8051,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_8052,axiom,
    ( p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8053,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8054,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8055,axiom,
    ( p(X2)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8056,axiom,
    ( ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_8057,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8058,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | p(X8)
    | p(X10) )).

cnf(i_0_8059,axiom,
    ( ~ esk199_0
    | ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8060,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_8061,axiom,
    ( p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_8062,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_8063,axiom,
    ( ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_8064,axiom,
    ( ~ esk212_0
    | ~ esk206_0 )).

cnf(i_0_8065,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_8066,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_8067,axiom,
    ( p(X3)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_8068,axiom,
    ( ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_8069,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_8070,axiom,
    ( p(X9)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_8071,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8072,axiom,
    ( ~ esk204_0
    | ~ esk28_0 )).

cnf(i_0_8073,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_8074,axiom,
    ( ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8075,axiom,
    ( p(X7)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_8076,axiom,
    ( ~ esk112_0
    | ~ esk68_0 )).

cnf(i_0_8077,axiom,
    ( p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_8078,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X1) )).

cnf(i_0_8079,axiom,
    ( ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_8080,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_8081,axiom,
    ( ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_8082,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_8083,axiom,
    ( p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_8084,axiom,
    ( ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_8085,axiom,
    ( ~ esk129_0
    | ~ esk127_0 )).

cnf(i_0_8086,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_8087,axiom,
    ( ~ p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8088,axiom,
    ( ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_8089,axiom,
    ( ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_8090,axiom,
    ( p(X6)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8091,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_8092,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8093,axiom,
    ( p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_8094,axiom,
    ( ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X3) )).

cnf(i_0_8095,axiom,
    ( ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_8096,axiom,
    ( p(X4)
    | p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_8097,axiom,
    ( p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8098,axiom,
    ( ~ esk110_0
    | ~ esk109_0 )).

cnf(i_0_8099,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | p(X3) )).

cnf(i_0_8100,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | p(X10)
    | p(X7)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8101,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_8102,axiom,
    ( p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X3)
    | p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X4) )).

cnf(i_0_8103,axiom,
    ( p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_8104,axiom,
    ( ~ esk80_0
    | ~ esk70_0 )).

cnf(i_0_8105,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk41_0 )).

cnf(i_0_8106,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_8107,axiom,
    ( ~ esk199_0
    | ~ esk213_0 )).

cnf(i_0_8108,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8109,axiom,
    ( p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_8110,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_8111,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X3) )).

cnf(i_0_8112,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_8113,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_8114,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_8115,axiom,
    ( ~ esk76_0
    | ~ esk78_0 )).

cnf(i_0_8116,axiom,
    ( ~ p(X2)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_8117,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_8118,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10) )).

cnf(i_0_8119,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_8120,axiom,
    ( ~ esk75_0
    | ~ esk67_0 )).

cnf(i_0_8121,axiom,
    ( ~ esk7_0
    | ~ esk117_0 )).

cnf(i_0_8122,axiom,
    ( p(X4)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_8123,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8124,axiom,
    ( ~ esk217_0
    | ~ esk129_0 )).

cnf(i_0_8125,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X2) )).

cnf(i_0_8126,axiom,
    ( p(X2)
    | p(X4)
    | p(X8)
    | p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8127,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk49_0 )).

cnf(i_0_8128,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_8129,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk47_0 )).

cnf(i_0_8130,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_8131,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | p(X8)
    | p(X7)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8132,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8133,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_8134,axiom,
    ( p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X6) )).

cnf(i_0_8135,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_8136,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_8137,axiom,
    ( ~ esk124_0
    | ~ esk102_0 )).

cnf(i_0_8138,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_8139,axiom,
    ( ~ esk137_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8140,axiom,
    ( ~ esk212_0
    | ~ esk168_0 )).

cnf(i_0_8141,axiom,
    ( ~ esk92_0
    | ~ esk98_0 )).

cnf(i_0_8142,axiom,
    ( p(X6)
    | p(X7)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_8143,axiom,
    ( ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_8144,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_8145,axiom,
    ( ~ esk61_0
    | ~ esk57_0 )).

cnf(i_0_8146,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_8147,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_8148,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_8149,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_8150,axiom,
    ( ~ esk113_0
    | ~ esk179_0 )).

cnf(i_0_8151,axiom,
    ( p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_8152,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8153,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8154,axiom,
    ( ~ esk193_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8155,axiom,
    ( ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_8156,axiom,
    ( ~ esk91_0
    | ~ esk93_0 )).

cnf(i_0_8157,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8158,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_8159,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_8160,axiom,
    ( p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X8) )).

cnf(i_0_8161,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_8162,axiom,
    ( p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X7) )).

cnf(i_0_8163,axiom,
    ( p(X7)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_8164,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8165,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_8166,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_8167,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_8168,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_8169,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_8170,axiom,
    ( ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | p(X8) )).

cnf(i_0_8171,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8172,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_8173,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_8174,axiom,
    ( ~ esk113_0
    | ~ esk25_0 )).

cnf(i_0_8175,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_8176,axiom,
    ( p(X6)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2) )).

cnf(i_0_8177,axiom,
    ( p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_8178,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_8179,axiom,
    ( ~ esk45_0
    | ~ esk67_0 )).

cnf(i_0_8180,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_8181,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_8182,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X9) )).

cnf(i_0_8183,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_8184,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8185,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8186,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_8187,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_8188,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_8189,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_8190,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_8191,axiom,
    ( p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_8192,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_8193,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_8194,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_8195,axiom,
    ( ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk95_0 )).

cnf(i_0_8196,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_8197,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X9) )).

cnf(i_0_8198,axiom,
    ( ~ p(X9)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_8199,axiom,
    ( p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_8200,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X2) )).

cnf(i_0_8201,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_8202,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_8203,axiom,
    ( ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_8204,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_8205,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_8206,axiom,
    ( ~ esk31_0
    | ~ esk207_0 )).

cnf(i_0_8207,axiom,
    ( ~ esk114_0
    | ~ esk131_0 )).

cnf(i_0_8208,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_8209,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_8210,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8211,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X7) )).

cnf(i_0_8212,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_8213,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_8214,axiom,
    ( ~ esk47_0
    | ~ esk179_0 )).

cnf(i_0_8215,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk61_0 )).

cnf(i_0_8216,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_8217,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_8218,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_8219,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_8220,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8221,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_8222,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_8223,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_8224,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8225,axiom,
    ( p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_8226,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_8227,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_8228,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X9)
    | p(X7) )).

cnf(i_0_8229,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8230,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_8231,axiom,
    ( p(X10)
    | p(X6)
    | p(X9)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_8232,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_8233,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_8234,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7) )).

cnf(i_0_8235,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8236,axiom,
    ( ~ esk19_0
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8237,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_8238,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_8239,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_8240,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_8241,axiom,
    ( ~ esk66_0
    | ~ esk62_0 )).

cnf(i_0_8242,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_8243,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8) )).

cnf(i_0_8244,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_8245,axiom,
    ( ~ esk56_0
    | ~ esk66_0 )).

cnf(i_0_8246,axiom,
    ( ~ p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8247,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_8248,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_8249,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X5) )).

cnf(i_0_8250,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_8251,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_8252,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8253,axiom,
    ( ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_8254,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_8255,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_8256,axiom,
    ( ~ esk67_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8257,axiom,
    ( ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_8258,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8259,axiom,
    ( p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_8260,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_8261,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_8262,axiom,
    ( p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_8263,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_8264,axiom,
    ( ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_8265,axiom,
    ( p(X9)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8266,axiom,
    ( p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_8267,axiom,
    ( ~ esk20_0
    | ~ esk3_0 )).

cnf(i_0_8268,axiom,
    ( p(X4)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_8269,axiom,
    ( p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_8270,axiom,
    ( p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_8271,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_8272,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8273,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X4)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_8274,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_8275,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_8276,axiom,
    ( p(X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X9) )).

cnf(i_0_8277,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X7) )).

cnf(i_0_8278,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8279,axiom,
    ( ~ esk217_0
    | ~ esk85_0 )).

cnf(i_0_8280,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_8281,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3) )).

cnf(i_0_8282,axiom,
    ( p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_8283,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_8284,axiom,
    ( ~ esk84_0
    | ~ esk62_0 )).

cnf(i_0_8285,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X3) )).

cnf(i_0_8286,axiom,
    ( ~ esk137_0
    | ~ esk272_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8287,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | p(X1)
    | p(X3)
    | p(X8) )).

cnf(i_0_8288,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk13_0 )).

cnf(i_0_8289,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk55_0 )).

cnf(i_0_8290,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_8291,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X7) )).

cnf(i_0_8292,axiom,
    ( p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_8293,axiom,
    ( ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_8294,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X10)
    | p(X8)
    | p(X5)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8295,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_8296,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_8297,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8298,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_8299,axiom,
    ( ~ p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_8300,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_8301,axiom,
    ( ~ esk23_0
    | ~ esk89_0 )).

cnf(i_0_8302,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_8303,axiom,
    ( ~ esk213_0
    | ~ esk191_0 )).

cnf(i_0_8304,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8305,axiom,
    ( ~ esk191_0
    | ~ esk177_0 )).

cnf(i_0_8306,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_8307,axiom,
    ( ~ esk83_0
    | ~ esk86_0 )).

cnf(i_0_8308,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_8309,axiom,
    ( p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_8310,axiom,
    ( ~ esk145_0
    | ~ esk211_0 )).

cnf(i_0_8311,axiom,
    ( p(X5)
    | p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_8312,axiom,
    ( p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | p(X5) )).

cnf(i_0_8313,axiom,
    ( p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_8314,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_8315,axiom,
    ( ~ esk115_0
    | ~ esk123_0 )).

cnf(i_0_8316,axiom,
    ( ~ esk126_0
    | ~ esk192_0 )).

cnf(i_0_8317,axiom,
    ( ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_8318,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_8319,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_8320,axiom,
    ( p(X3)
    | p(X7)
    | p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_8321,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_8322,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8323,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_8324,axiom,
    ( p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_8325,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8326,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_8327,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X1) )).

cnf(i_0_8328,axiom,
    ( ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_8329,axiom,
    ( p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_8330,axiom,
    ( ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_8331,axiom,
    ( ~ esk139_0
    | ~ esk73_0 )).

cnf(i_0_8332,axiom,
    ( esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk127_0 )).

cnf(i_0_8333,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8334,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8335,axiom,
    ( p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_8336,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8337,axiom,
    ( esk234_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk83_0 )).

cnf(i_0_8338,axiom,
    ( p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_8339,axiom,
    ( ~ esk105_0
    | ~ esk108_0 )).

cnf(i_0_8340,axiom,
    ( p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_8341,axiom,
    ( ~ esk5_0
    | ~ esk27_0 )).

cnf(i_0_8342,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8343,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_8344,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_8345,axiom,
    ( ~ esk67_0
    | ~ esk83_0 )).

cnf(i_0_8346,axiom,
    ( p(X9)
    | p(X6)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_8347,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_8348,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_8349,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8350,axiom,
    ( ~ esk19_0
    | ~ esk41_0 )).

cnf(i_0_8351,axiom,
    ( p(X10)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_8352,axiom,
    ( ~ p(X2)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8353,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X7)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_8354,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_8355,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_8356,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_8357,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_8358,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_8359,axiom,
    ( p(X9)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_8360,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X10) )).

cnf(i_0_8361,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | p(X9)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2) )).

cnf(i_0_8362,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_8363,axiom,
    ( esk145_0
    | esk35_0
    | esk57_0
    | esk211_0
    | ~ esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk123_0
    | esk79_0
    | esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk189_0
    | esk167_0
    | esk101_0
    | esk13_0 )).

cnf(i_0_8364,axiom,
    ( ~ esk34_0
    | ~ esk100_0 )).

cnf(i_0_8365,axiom,
    ( p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_8366,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_8367,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_8368,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_8369,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_8370,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_8371,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8372,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_8373,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8374,axiom,
    ( ~ esk176_0
    | ~ esk168_0 )).

cnf(i_0_8375,axiom,
    ( ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_8376,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_8377,axiom,
    ( p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X1)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_8378,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk51_0 )).

cnf(i_0_8379,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_8380,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_8381,axiom,
    ( ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk105_0 )).

cnf(i_0_8382,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8383,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_8384,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8385,axiom,
    ( p(X5)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8386,axiom,
    ( p(X10)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_8387,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_8388,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1) )).

cnf(i_0_8389,axiom,
    ( ~ esk214_0
    | ~ esk60_0 )).

cnf(i_0_8390,axiom,
    ( ~ esk23_0
    | ~ esk29_0 )).

cnf(i_0_8391,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X5) )).

cnf(i_0_8392,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_8393,axiom,
    ( p(X4)
    | p(X10)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_8394,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X9) )).

cnf(i_0_8395,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | p(X7)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_8396,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_8397,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8398,axiom,
    ( ~ esk216_0
    | ~ esk204_0 )).

cnf(i_0_8399,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk191_0 )).

cnf(i_0_8400,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X9) )).

cnf(i_0_8401,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_8402,axiom,
    ( ~ esk145_0
    | ~ esk152_0 )).

cnf(i_0_8403,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_8404,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_8405,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8406,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8407,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X7)
    | p(X10)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_8408,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_8409,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_8410,axiom,
    ( ~ esk41_0
    | ~ esk173_0 )).

cnf(i_0_8411,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_8412,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_8413,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_8414,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_8415,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_8416,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_8417,axiom,
    ( p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_8418,axiom,
    ( ~ esk111_0
    | ~ esk177_0 )).

cnf(i_0_8419,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_8420,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_8421,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_8422,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_8423,axiom,
    ( ~ esk75_0
    | ~ esk69_0 )).

cnf(i_0_8424,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_8425,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8426,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_8427,axiom,
    ( ~ esk194_0
    | ~ esk188_0 )).

cnf(i_0_8428,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8429,axiom,
    ( ~ esk127_0
    | ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8430,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8431,axiom,
    ( ~ esk171_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8432,axiom,
    ( ~ esk143_0
    | ~ esk147_0 )).

cnf(i_0_8433,axiom,
    ( ~ esk82_0
    | ~ esk87_0 )).

cnf(i_0_8434,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_8435,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_8436,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8437,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X2) )).

cnf(i_0_8438,axiom,
    ( ~ esk133_0
    | ~ esk45_0 )).

cnf(i_0_8439,axiom,
    ( p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8440,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_8441,axiom,
    ( p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8442,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_8443,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X8) )).

cnf(i_0_8444,axiom,
    ( ~ esk196_0
    | ~ esk191_0 )).

cnf(i_0_8445,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_8446,axiom,
    ( p(X9)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8447,axiom,
    ( ~ esk15_0
    | ~ esk81_0 )).

cnf(i_0_8448,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_8449,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X10) )).

cnf(i_0_8450,axiom,
    ( ~ esk180_0
    | ~ esk192_0 )).

cnf(i_0_8451,axiom,
    ( p(X9)
    | p(X3)
    | p(X10)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_8452,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk195_0 )).

cnf(i_0_8453,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_8454,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X1)
    | p(X6)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8455,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8456,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_8457,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_8458,axiom,
    ( ~ esk159_0
    | ~ esk171_0 )).

cnf(i_0_8459,axiom,
    ( ~ esk107_0
    | ~ esk173_0 )).

cnf(i_0_8460,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8461,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_8462,axiom,
    ( ~ esk183_0
    | ~ esk73_0 )).

cnf(i_0_8463,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X9) )).

cnf(i_0_8464,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_8465,axiom,
    ( p(X5)
    | p(X4)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_8466,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_8467,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_8468,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_8469,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_8470,axiom,
    ( ~ p(X10)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | p(X6)
    | p(X9) )).

cnf(i_0_8471,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X3) )).

cnf(i_0_8472,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_8473,axiom,
    ( p(X8)
    | p(X6)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_8474,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X4)
    | p(X9) )).

cnf(i_0_8475,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_8476,axiom,
    ( ~ esk151_0
    | ~ esk141_0 )).

cnf(i_0_8477,axiom,
    ( p(X5)
    | p(X6)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_8478,axiom,
    ( ~ esk38_0
    | ~ esk30_0 )).

cnf(i_0_8479,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_8480,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_8481,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_8482,axiom,
    ( p(X10)
    | p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8483,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_8484,axiom,
    ( ~ esk139_0
    | ~ esk183_0 )).

cnf(i_0_8485,axiom,
    ( ~ esk182_0
    | ~ esk184_0 )).

cnf(i_0_8486,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_8487,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_8488,axiom,
    ( p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_8489,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X4) )).

cnf(i_0_8490,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X2) )).

cnf(i_0_8491,axiom,
    ( ~ esk31_0
    | ~ esk23_0 )).

cnf(i_0_8492,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_8493,axiom,
    ( ~ esk46_0
    | ~ esk2_0 )).

cnf(i_0_8494,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8495,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_8496,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_8497,axiom,
    ( p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8498,axiom,
    ( p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_8499,axiom,
    ( ~ esk92_0
    | ~ esk158_0 )).

cnf(i_0_8500,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X1) )).

cnf(i_0_8501,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_8502,axiom,
    ( ~ esk140_0
    | ~ esk162_0 )).

cnf(i_0_8503,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_8504,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4) )).

cnf(i_0_8505,axiom,
    ( p(X7)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X6) )).

cnf(i_0_8506,axiom,
    ( p(X7)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_8507,axiom,
    ( ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_8508,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_8509,axiom,
    ( ~ esk145_0
    | ~ esk167_0 )).

cnf(i_0_8510,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_8511,axiom,
    ( p(X2)
    | p(X7)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X4) )).

cnf(i_0_8512,axiom,
    ( p(X8)
    | p(X4)
    | p(X7)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_8513,axiom,
    ( ~ p(X10)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_8514,axiom,
    ( ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_8515,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_8516,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_8517,axiom,
    ( p(X4)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8518,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_8519,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_8520,axiom,
    ( p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X7) )).

cnf(i_0_8521,axiom,
    ( ~ esk180_0
    | ~ esk184_0 )).

cnf(i_0_8522,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_8523,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_8524,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_8525,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_8526,axiom,
    ( ~ esk106_0
    | ~ esk62_0 )).

cnf(i_0_8527,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X5)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_8528,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | p(X5)
    | p(X10) )).

cnf(i_0_8529,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8530,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8531,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_8532,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8533,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_8534,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_8535,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1) )).

cnf(i_0_8536,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_8537,axiom,
    ( ~ esk141_0
    | ~ esk145_0 )).

cnf(i_0_8538,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8539,axiom,
    ( p(X5)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X2)
    | p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_8540,axiom,
    ( p(X5)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_8541,axiom,
    ( ~ esk151_0
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8542,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_8543,axiom,
    ( ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_8544,axiom,
    ( p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X8) )).

cnf(i_0_8545,axiom,
    ( ~ esk161_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8546,axiom,
    ( ~ esk99_0
    | ~ esk89_0 )).

cnf(i_0_8547,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_8548,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_8549,axiom,
    ( ~ esk86_0
    | ~ esk79_0 )).

cnf(i_0_8550,axiom,
    ( p(X5)
    | p(X2)
    | p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_8551,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X8) )).

cnf(i_0_8552,axiom,
    ( p(X2)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X5) )).

cnf(i_0_8553,axiom,
    ( p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_8554,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8555,axiom,
    ( ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_8556,axiom,
    ( ~ p(X4)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8557,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_8558,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_8559,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_8560,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_8561,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_8562,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | p(X2) )).

cnf(i_0_8563,axiom,
    ( ~ esk1_0
    | ~ esk11_0 )).

cnf(i_0_8564,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_8565,axiom,
    ( ~ esk142_0
    | ~ esk154_0 )).

cnf(i_0_8566,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_8567,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_8568,axiom,
    ( p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_8569,axiom,
    ( p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8570,axiom,
    ( ~ esk167_0
    | ~ esk157_0 )).

cnf(i_0_8571,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_8572,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8573,axiom,
    ( esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk161_0
    | esk95_0
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk117_0
    | esk183_0
    | esk7_0
    | esk139_0
    | esk51_0
    | esk73_0
    | esk29_0
    | esk205_0 )).

cnf(i_0_8574,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8575,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8576,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_8577,axiom,
    ( ~ esk127_0
    | ~ esk125_0 )).

cnf(i_0_8578,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | p(X6) )).

cnf(i_0_8579,axiom,
    ( p(X9)
    | p(X2)
    | p(X8)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_8580,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_8581,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8582,axiom,
    ( p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X6)
    | p(X10) )).

cnf(i_0_8583,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_8584,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_8585,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_8586,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8587,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_8588,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_8589,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_8590,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8591,axiom,
    ( ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | p(X3) )).

cnf(i_0_8592,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8593,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_8594,axiom,
    ( ~ esk138_0
    | ~ esk146_0 )).

cnf(i_0_8595,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X9) )).

cnf(i_0_8596,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_8597,axiom,
    ( ~ esk72_0
    | ~ esk87_0 )).

cnf(i_0_8598,axiom,
    ( p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_8599,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_8600,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_8601,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | p(X2)
    | p(X6) )).

cnf(i_0_8602,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_8603,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_8604,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk181_0 )).

cnf(i_0_8605,axiom,
    ( ~ esk125_0
    | ~ esk130_0 )).

cnf(i_0_8606,axiom,
    ( ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_8607,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_8608,axiom,
    ( p(X7)
    | p(X4)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_8609,axiom,
    ( ~ esk215_0
    | esk230_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8610,axiom,
    ( ~ esk119_0
    | ~ esk31_0 )).

cnf(i_0_8611,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_8612,axiom,
    ( ~ esk77_0
    | ~ esk71_0 )).

cnf(i_0_8613,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_8614,axiom,
    ( ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_8615,axiom,
    ( p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_8616,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_8617,axiom,
    ( ~ esk109_0
    | ~ esk100_0 )).

cnf(i_0_8618,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X6) )).

cnf(i_0_8619,axiom,
    ( ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_8620,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_8621,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_8622,axiom,
    ( ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_8623,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_8624,axiom,
    ( p(X5)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_8625,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_8626,axiom,
    ( ~ esk35_0
    | ~ esk27_0 )).

cnf(i_0_8627,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_8628,axiom,
    ( ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X8)
    | p(X6) )).

cnf(i_0_8629,axiom,
    ( ~ esk175_0
    | ~ esk168_0 )).

cnf(i_0_8630,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8631,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_8632,axiom,
    ( p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X10) )).

cnf(i_0_8633,axiom,
    ( ~ esk159_0
    | ~ esk173_0 )).

cnf(i_0_8634,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_8635,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X3)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_8636,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8637,axiom,
    ( ~ esk39_0
    | ~ esk35_0 )).

cnf(i_0_8638,axiom,
    ( p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_8639,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_8640,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_8641,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_8642,axiom,
    ( ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_8643,axiom,
    ( p(X2)
    | p(X7)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_8644,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_8645,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8646,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_8647,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8648,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8649,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5) )).

cnf(i_0_8650,axiom,
    ( p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_8651,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X10) )).

cnf(i_0_8652,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_8653,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8654,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8) )).

cnf(i_0_8655,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X5) )).

cnf(i_0_8656,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6) )).

cnf(i_0_8657,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_8658,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X8) )).

cnf(i_0_8659,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_8660,axiom,
    ( p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_8661,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_8662,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_8663,axiom,
    ( ~ esk41_0
    | ~ esk217_0 )).

cnf(i_0_8664,axiom,
    ( p(X3)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_8665,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_8666,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_8667,axiom,
    ( ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X10) )).

cnf(i_0_8668,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X8) )).

cnf(i_0_8669,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_8670,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_8671,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_8672,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X7) )).

cnf(i_0_8673,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_8674,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X5) )).

cnf(i_0_8675,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_8676,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_8677,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8678,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_8679,axiom,
    ( p(X2)
    | p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_8680,axiom,
    ( ~ esk155_0
    | ~ esk1_0 )).

cnf(i_0_8681,axiom,
    ( ~ p(X6)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_8682,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X7) )).

cnf(i_0_8683,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_8684,axiom,
    ( p(X3)
    | p(X2)
    | p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_8685,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8686,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_8687,axiom,
    ( ~ esk13_0
    | ~ esk79_0 )).

cnf(i_0_8688,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_8689,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X8)
    | p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_8690,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X5)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8691,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X3) )).

cnf(i_0_8692,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_8693,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk9_0 )).

cnf(i_0_8694,axiom,
    ( p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_8695,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X6)
    | p(X9)
    | p(X1) )).

cnf(i_0_8696,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_8697,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_8698,axiom,
    ( ~ esk162_0
    | ~ esk96_0 )).

cnf(i_0_8699,axiom,
    ( p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_8700,axiom,
    ( ~ p(X1)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_8701,axiom,
    ( p(X10)
    | p(X6)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X4) )).

cnf(i_0_8702,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_8703,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8704,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8705,axiom,
    ( ~ esk120_0
    | ~ esk32_0 )).

cnf(i_0_8706,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | p(X3)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_8707,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8708,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8709,axiom,
    ( ~ esk142_0
    | ~ esk134_0 )).

cnf(i_0_8710,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X3) )).

cnf(i_0_8711,axiom,
    ( ~ esk211_0
    | ~ esk205_0 )).

cnf(i_0_8712,axiom,
    ( ~ esk46_0
    | ~ esk56_0 )).

cnf(i_0_8713,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_8714,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_8715,axiom,
    ( p(X8)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_8716,axiom,
    ( ~ esk120_0
    | ~ esk114_0 )).

cnf(i_0_8717,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_8718,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_8719,axiom,
    ( p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_8720,axiom,
    ( ~ esk127_0
    | ~ esk119_0 )).

cnf(i_0_8721,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_8722,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8723,axiom,
    ( p(X10)
    | p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_8724,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_8725,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_8726,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_8727,axiom,
    ( p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_8728,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_8729,axiom,
    ( p(X9)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_8730,axiom,
    ( ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_8731,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_8732,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8733,axiom,
    ( ~ esk124_0
    | ~ esk114_0 )).

cnf(i_0_8734,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_8735,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk93_0 )).

cnf(i_0_8736,axiom,
    ( p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_8737,axiom,
    ( ~ esk215_0
    | ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8738,axiom,
    ( ~ esk30_0
    | ~ esk118_0 )).

cnf(i_0_8739,axiom,
    ( p(X1)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_8740,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_8741,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X2) )).

cnf(i_0_8742,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_8743,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_8744,axiom,
    ( ~ esk163_0
    | ~ esk174_0 )).

cnf(i_0_8745,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_8746,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_8747,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8748,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X9) )).

cnf(i_0_8749,axiom,
    ( ~ esk162_0
    | ~ esk176_0 )).

cnf(i_0_8750,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_8751,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_8752,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_8753,axiom,
    ( p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_8754,axiom,
    ( ~ esk121_0
    | esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8755,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_8756,axiom,
    ( ~ esk217_0
    | ~ esk207_0 )).

cnf(i_0_8757,axiom,
    ( p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_8758,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_8759,axiom,
    ( p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8760,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_8761,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8762,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_8763,axiom,
    ( ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X7) )).

cnf(i_0_8764,axiom,
    ( p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_8765,axiom,
    ( p(X7)
    | p(X8)
    | p(X1)
    | p(X6)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_8766,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8767,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_8768,axiom,
    ( p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_8769,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_8770,axiom,
    ( ~ esk146_0
    | ~ esk136_0 )).

cnf(i_0_8771,axiom,
    ( p(X8)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X3) )).

cnf(i_0_8772,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X1) )).

cnf(i_0_8773,axiom,
    ( ~ esk79_0
    | ~ esk85_0 )).

cnf(i_0_8774,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_8775,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_8776,axiom,
    ( ~ esk78_0
    | ~ esk68_0 )).

cnf(i_0_8777,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_8778,axiom,
    ( p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8779,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X8) )).

cnf(i_0_8780,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3) )).

cnf(i_0_8781,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk217_0 )).

cnf(i_0_8782,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_8783,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_8784,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | p(X6)
    | p(X3)
    | p(X4)
    | p(X5) )).

cnf(i_0_8785,axiom,
    ( p(X8)
    | p(X3)
    | p(X10)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_8786,axiom,
    ( p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_8787,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X4) )).

cnf(i_0_8788,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_8789,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_8790,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_8791,axiom,
    ( ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk53_0 )).

cnf(i_0_8792,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_8793,axiom,
    ( ~ esk60_0
    | ~ esk50_0 )).

cnf(i_0_8794,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8) )).

cnf(i_0_8795,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_8796,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_8797,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_8798,axiom,
    ( p(X8)
    | p(X1)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8799,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_8800,axiom,
    ( ~ esk57_0
    | ~ esk53_0 )).

cnf(i_0_8801,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_8802,axiom,
    ( p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8803,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_8804,axiom,
    ( p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8805,axiom,
    ( ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8806,axiom,
    ( p(X10)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_8807,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_8808,axiom,
    ( p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8809,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_8810,axiom,
    ( p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_8811,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_8812,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_8813,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_8814,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X4)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_8815,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8816,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_8817,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X10) )).

cnf(i_0_8818,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_8819,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8820,axiom,
    ( p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_8821,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8822,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_8823,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_8824,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_8825,axiom,
    ( ~ esk194_0
    | ~ esk150_0 )).

cnf(i_0_8826,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_8827,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_8828,axiom,
    ( ~ esk110_0
    | ~ esk92_0 )).

cnf(i_0_8829,axiom,
    ( p(X4)
    | p(X10)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_8830,axiom,
    ( p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_8831,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8832,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_8833,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_8834,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_8835,axiom,
    ( ~ esk69_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8836,axiom,
    ( p(X6)
    | p(X10)
    | p(X3)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_8837,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | p(X8)
    | p(X3) )).

cnf(i_0_8838,axiom,
    ( p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8839,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_8840,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_8841,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_8842,axiom,
    ( ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | p(X1) )).

cnf(i_0_8843,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8844,axiom,
    ( ~ esk33_0
    | ~ esk37_0 )).

cnf(i_0_8845,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X2)
    | p(X4)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X9) )).

cnf(i_0_8846,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9) )).

cnf(i_0_8847,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_8848,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_8849,axiom,
    ( ~ esk110_0
    | ~ esk90_0 )).

cnf(i_0_8850,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_8851,axiom,
    ( ~ esk216_0
    | ~ esk219_0 )).

cnf(i_0_8852,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X4)
    | p(X8) )).

cnf(i_0_8853,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_8854,axiom,
    ( p(X7)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_8855,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_8856,axiom,
    ( ~ esk146_0
    | ~ esk124_0 )).

cnf(i_0_8857,axiom,
    ( ~ esk190_0
    | ~ esk188_0 )).

cnf(i_0_8858,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_8859,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8860,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_8861,axiom,
    ( ~ esk161_0
    | ~ esk95_0 )).

cnf(i_0_8862,axiom,
    ( p(X7)
    | p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_8863,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_8864,axiom,
    ( ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_8865,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_8866,axiom,
    ( p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X2) )).

cnf(i_0_8867,axiom,
    ( p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_8868,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk85_0 )).

cnf(i_0_8869,axiom,
    ( ~ esk112_0
    | ~ esk122_0 )).

cnf(i_0_8870,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_8871,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_8872,axiom,
    ( esk217_0
    | esk173_0
    | esk41_0
    | esk129_0
    | esk19_0
    | esk63_0
    | esk195_0
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk85_0
    | esk151_0
    | esk107_0
    | esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8873,axiom,
    ( ~ esk201_0
    | ~ esk69_0 )).

cnf(i_0_8874,axiom,
    ( ~ esk216_0
    | ~ esk106_0 )).

cnf(i_0_8875,axiom,
    ( ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | p(X8) )).

cnf(i_0_8876,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_8877,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_8878,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8879,axiom,
    ( ~ esk27_0
    | ~ esk137_0 )).

cnf(i_0_8880,axiom,
    ( ~ esk54_0
    | ~ esk52_0 )).

cnf(i_0_8881,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8882,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_8883,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_8884,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X9) )).

cnf(i_0_8885,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_8886,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8887,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_8888,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_8889,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_8890,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_8891,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_8892,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_8893,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_8894,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X4) )).

cnf(i_0_8895,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X2)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8896,axiom,
    ( ~ esk38_0
    | ~ esk28_0 )).

cnf(i_0_8897,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_8898,axiom,
    ( p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_8899,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_8900,axiom,
    ( ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_8901,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_8902,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_8903,axiom,
    ( ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_8904,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8905,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_8906,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_8907,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_8908,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8909,axiom,
    ( p(X7)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X3) )).

cnf(i_0_8910,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X3) )).

cnf(i_0_8911,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8912,axiom,
    ( p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_8913,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk151_0 )).

cnf(i_0_8914,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X5) )).

cnf(i_0_8915,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_8916,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_8917,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_8918,axiom,
    ( p(X3)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_8919,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_8920,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8921,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_8922,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_8923,axiom,
    ( ~ esk67_0
    | ~ esk177_0 )).

cnf(i_0_8924,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8925,axiom,
    ( ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_8926,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8927,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_8928,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_8929,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8930,axiom,
    ( ~ esk199_0
    | ~ esk211_0 )).

cnf(i_0_8931,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8932,axiom,
    ( ~ esk145_0
    | esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8933,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | p(X8) )).

cnf(i_0_8934,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_8935,axiom,
    ( p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_8936,axiom,
    ( p(X3)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_8937,axiom,
    ( ~ p(X9)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_8938,axiom,
    ( ~ esk123_0
    | ~ esk125_0 )).

cnf(i_0_8939,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X3) )).

cnf(i_0_8940,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_8941,axiom,
    ( ~ esk114_0
    | ~ esk48_0 )).

cnf(i_0_8942,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_8943,axiom,
    ( ~ esk136_0
    | ~ esk153_0 )).

cnf(i_0_8944,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8945,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | p(X10)
    | p(X7) )).

cnf(i_0_8946,axiom,
    ( ~ esk82_0
    | ~ esk170_0 )).

cnf(i_0_8947,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | p(X10)
    | p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_8948,axiom,
    ( p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8949,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_8950,axiom,
    ( p(X8)
    | p(X6)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_8951,axiom,
    ( ~ esk5_0
    | ~ esk181_0 )).

cnf(i_0_8952,axiom,
    ( ~ esk84_0
    | ~ esk106_0 )).

cnf(i_0_8953,axiom,
    ( p(X1)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_8954,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X4)
    | p(X2) )).

cnf(i_0_8955,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X10) )).

cnf(i_0_8956,axiom,
    ( ~ esk204_0
    | ~ esk212_0 )).

cnf(i_0_8957,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_8958,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8959,axiom,
    ( ~ esk111_0
    | ~ esk129_0 )).

cnf(i_0_8960,axiom,
    ( ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X7) )).

cnf(i_0_8961,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_8962,axiom,
    ( esk147_0
    | esk139_0
    | esk133_0
    | ~ esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk137_0
    | esk149_0
    | esk141_0
    | esk145_0
    | esk151_0
    | esk143_0
    | esk135_0
    | esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8963,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_8964,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X5) )).

cnf(i_0_8965,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X2) )).

cnf(i_0_8966,axiom,
    ( ~ esk47_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8967,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8968,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8969,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X3)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_8970,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_8971,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_8972,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_8973,axiom,
    ( ~ esk171_0
    | ~ esk105_0 )).

cnf(i_0_8974,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8975,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_8976,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_8977,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_8978,axiom,
    ( ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_8979,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_8980,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | p(X5)
    | p(X8)
    | p(X7)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_8981,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_8982,axiom,
    ( ~ p(X3)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_8983,axiom,
    ( ~ esk120_0
    | ~ esk128_0 )).

cnf(i_0_8984,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_8985,axiom,
    ( p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_8986,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_8987,axiom,
    ( ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_8988,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_8989,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_8990,axiom,
    ( ~ esk3_0
    | ~ esk5_0 )).

cnf(i_0_8991,axiom,
    ( ~ esk79_0
    | ~ esk67_0 )).

cnf(i_0_8992,axiom,
    ( p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_8993,axiom,
    ( p(X5)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_8994,axiom,
    ( ~ esk35_0
    | ~ esk29_0 )).

cnf(i_0_8995,axiom,
    ( p(X5)
    | p(X8)
    | p(X4)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_8996,axiom,
    ( ~ esk140_0
    | ~ esk52_0 )).

cnf(i_0_8997,axiom,
    ( p(X6)
    | p(X3)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_8998,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_8999,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_9000,axiom,
    ( p(X9)
    | p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9001,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_9002,axiom,
    ( p(X10)
    | p(X9)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9003,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_9004,axiom,
    ( p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_9005,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_9006,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_9007,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_9008,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_9009,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_9010,axiom,
    ( p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_9011,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_9012,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_9013,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_9014,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_9015,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_9016,axiom,
    ( ~ esk11_0
    | ~ esk121_0 )).

cnf(i_0_9017,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_9018,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9019,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_9020,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_9021,axiom,
    ( ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X10) )).

cnf(i_0_9022,axiom,
    ( esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk179_0 )).

cnf(i_0_9023,axiom,
    ( ~ esk35_0
    | ~ esk42_0 )).

cnf(i_0_9024,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_9025,axiom,
    ( p(X1)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_9026,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_9027,axiom,
    ( p(X7)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_9028,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_9029,axiom,
    ( ~ esk37_0
    | ~ esk103_0 )).

cnf(i_0_9030,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X9)
    | p(X2) )).

cnf(i_0_9031,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9032,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9033,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_9034,axiom,
    ( ~ esk13_0
    | ~ esk19_0 )).

cnf(i_0_9035,axiom,
    ( ~ esk45_0
    | ~ esk61_0 )).

cnf(i_0_9036,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X10)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_9037,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9038,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_9039,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_9040,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_9041,axiom,
    ( ~ esk87_0
    | ~ esk80_0 )).

cnf(i_0_9042,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9043,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_9044,axiom,
    ( ~ p(X9)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_9045,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk49_0 )).

cnf(i_0_9046,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_9047,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_9048,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_9049,axiom,
    ( ~ esk94_0
    | ~ esk204_0 )).

cnf(i_0_9050,axiom,
    ( ~ esk205_0
    | ~ esk95_0 )).

cnf(i_0_9051,axiom,
    ( p(X1)
    | p(X3)
    | p(X7)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X2) )).

cnf(i_0_9052,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9053,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_9054,axiom,
    ( ~ esk173_0
    | esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9055,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | p(X2) )).

cnf(i_0_9056,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9057,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_9058,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_9059,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_9060,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9061,axiom,
    ( ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X8)
    | p(X10) )).

cnf(i_0_9062,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7) )).

cnf(i_0_9063,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9064,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9065,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_9066,axiom,
    ( ~ esk50_0
    | ~ esk46_0 )).

cnf(i_0_9067,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X5)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9068,axiom,
    ( ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_9069,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9070,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_9071,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X5) )).

cnf(i_0_9072,axiom,
    ( p(X8)
    | p(X4)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_9073,axiom,
    ( p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_9074,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_9075,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_9076,axiom,
    ( ~ esk116_0
    | ~ esk182_0 )).

cnf(i_0_9077,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_9078,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_9079,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X1)
    | p(X9) )).

cnf(i_0_9080,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_9081,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9082,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_9083,axiom,
    ( ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X10) )).

cnf(i_0_9084,axiom,
    ( ~ esk191_0
    | ~ esk169_0 )).

cnf(i_0_9085,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_9086,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X7) )).

cnf(i_0_9087,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_9088,axiom,
    ( p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X4) )).

cnf(i_0_9089,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X5) )).

cnf(i_0_9090,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | p(X8)
    | p(X2)
    | p(X10) )).

cnf(i_0_9091,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9092,axiom,
    ( p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X1) )).

cnf(i_0_9093,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9094,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | p(X4)
    | p(X7)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_9095,axiom,
    ( ~ esk164_0
    | ~ esk120_0 )).

cnf(i_0_9096,axiom,
    ( ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X8) )).

cnf(i_0_9097,axiom,
    ( p(X7)
    | p(X5)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_9098,axiom,
    ( ~ esk193_0
    | ~ esk191_0 )).

cnf(i_0_9099,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_9100,axiom,
    ( p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9101,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_9102,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_9103,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_9104,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_9105,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_9106,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_9107,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X9)
    | p(X6) )).

cnf(i_0_9108,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X3) )).

cnf(i_0_9109,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X7) )).

cnf(i_0_9110,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_9111,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_9112,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_9113,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_9114,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_9115,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3) )).

cnf(i_0_9116,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_9117,axiom,
    ( ~ esk80_0
    | ~ esk212_0 )).

cnf(i_0_9118,axiom,
    ( p(X9)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9119,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_9120,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_9121,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_9122,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X1) )).

cnf(i_0_9123,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6) )).

cnf(i_0_9124,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_9125,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X9) )).

cnf(i_0_9126,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_9127,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X8) )).

cnf(i_0_9128,axiom,
    ( ~ esk167_0
    | ~ esk211_0 )).

cnf(i_0_9129,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_9130,axiom,
    ( ~ esk62_0
    | ~ esk58_0 )).

cnf(i_0_9131,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_9132,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X5) )).

cnf(i_0_9133,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X7) )).

cnf(i_0_9134,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_9135,axiom,
    ( ~ p(X9)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_9136,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9137,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_9138,axiom,
    ( p(X7)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_9139,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X10)
    | p(X1) )).

cnf(i_0_9140,axiom,
    ( ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_9141,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_9142,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_9143,axiom,
    ( p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_9144,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_9145,axiom,
    ( ~ esk169_0
    | ~ esk81_0 )).

cnf(i_0_9146,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_9147,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_9148,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2) )).

cnf(i_0_9149,axiom,
    ( p(X8)
    | p(X1)
    | p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X3) )).

cnf(i_0_9150,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_9151,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk11_0 )).

cnf(i_0_9152,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X4) )).

cnf(i_0_9153,axiom,
    ( ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9154,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_9155,axiom,
    ( p(X9)
    | p(X8)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_9156,axiom,
    ( p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_9157,axiom,
    ( ~ esk109_0
    | ~ esk98_0 )).

cnf(i_0_9158,axiom,
    ( p(X7)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_9159,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_9160,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_9161,axiom,
    ( p(X3)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_9162,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9163,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9164,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_9165,axiom,
    ( p(X2)
    | p(X8)
    | p(X3)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_9166,axiom,
    ( p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_9167,axiom,
    ( p(X3)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9168,axiom,
    ( p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_9169,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_9170,axiom,
    ( ~ esk139_0
    | ~ esk141_0 )).

cnf(i_0_9171,axiom,
    ( ~ esk115_0
    | ~ esk111_0 )).

cnf(i_0_9172,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_9173,axiom,
    ( ~ esk128_0
    | ~ esk122_0 )).

cnf(i_0_9174,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_9175,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_9176,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9177,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X8)
    | p(X4) )).

cnf(i_0_9178,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_9179,axiom,
    ( ~ esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk179_0
    | esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk157_0
    | esk135_0
    | esk47_0
    | esk91_0
    | esk113_0
    | esk3_0
    | esk201_0
    | esk25_0
    | esk69_0 )).

cnf(i_0_9180,axiom,
    ( p(X8)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_9181,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_9182,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9183,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_9184,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_9185,axiom,
    ( ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X5) )).

cnf(i_0_9186,axiom,
    ( p(X10)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_9187,axiom,
    ( p(X6)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9188,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_9189,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9190,axiom,
    ( ~ p(X2)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_9191,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9192,axiom,
    ( p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_9193,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_9194,axiom,
    ( ~ esk99_0
    | ~ esk55_0 )).

cnf(i_0_9195,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_9196,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_9197,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_9198,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X6) )).

cnf(i_0_9199,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_9200,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9201,axiom,
    ( p(X10)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2) )).

cnf(i_0_9202,axiom,
    ( ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X3)
    | p(X7)
    | p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_9203,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_9204,axiom,
    ( p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_9205,axiom,
    ( ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_9206,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9207,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_9208,axiom,
    ( p(X8)
    | p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9209,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk71_0 )).

cnf(i_0_9210,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X10) )).

cnf(i_0_9211,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_9212,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | p(X8) )).

cnf(i_0_9213,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9214,axiom,
    ( ~ esk197_0
    | ~ esk194_0 )).

cnf(i_0_9215,axiom,
    ( p(X1)
    | p(X5)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9216,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_9217,axiom,
    ( ~ esk72_0
    | ~ esk138_0 )).

cnf(i_0_9218,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_9219,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | p(X5) )).

cnf(i_0_9220,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9221,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X1)
    | p(X5)
    | p(X4)
    | p(X10) )).

cnf(i_0_9222,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_9223,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9224,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X3) )).

cnf(i_0_9225,axiom,
    ( ~ esk24_0
    | ~ esk90_0 )).

cnf(i_0_9226,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_9227,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | p(X6) )).

cnf(i_0_9228,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_9229,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_9230,axiom,
    ( ~ esk48_0
    | ~ esk54_0 )).

cnf(i_0_9231,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_9232,axiom,
    ( ~ esk3_0
    | ~ esk69_0 )).

cnf(i_0_9233,axiom,
    ( p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_9234,axiom,
    ( ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_9235,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | p(X7) )).

cnf(i_0_9236,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2) )).

cnf(i_0_9237,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_9238,axiom,
    ( esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk89_0 )).

cnf(i_0_9239,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_9240,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_9241,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_9242,axiom,
    ( p(X9)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X2)
    | p(X3)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_9243,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | p(X6) )).

cnf(i_0_9244,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9245,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk213_0 )).

cnf(i_0_9246,axiom,
    ( ~ esk186_0
    | ~ esk182_0 )).

cnf(i_0_9247,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_9248,axiom,
    ( ~ esk11_0
    | ~ esk13_0 )).

cnf(i_0_9249,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_9250,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_9251,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | p(X4)
    | p(X8) )).

cnf(i_0_9252,axiom,
    ( p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_9253,axiom,
    ( ~ esk40_0
    | ~ esk30_0 )).

cnf(i_0_9254,axiom,
    ( p(X7)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X10) )).

cnf(i_0_9255,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_9256,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_9257,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_9258,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_9259,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_9260,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X8) )).

cnf(i_0_9261,axiom,
    ( ~ p(X5)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_9262,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_9263,axiom,
    ( ~ esk209_0
    | ~ esk55_0 )).

cnf(i_0_9264,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_9265,axiom,
    ( p(X3)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_9266,axiom,
    ( p(X10)
    | ~ p(X6)
    | p(X9)
    | p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_9267,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | p(X3) )).

cnf(i_0_9268,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X6)
    | p(X8)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X3) )).

cnf(i_0_9269,axiom,
    ( p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_9270,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9271,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_9272,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | p(X10)
    | p(X9) )).

cnf(i_0_9273,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_9274,axiom,
    ( ~ esk42_0
    | ~ esk39_0 )).

cnf(i_0_9275,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_9276,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_9277,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_9278,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_9279,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_9280,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_9281,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_9282,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9283,axiom,
    ( p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_9284,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_9285,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9286,axiom,
    ( p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_9287,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X3) )).

cnf(i_0_9288,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_9289,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9290,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_9291,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_9292,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_9293,axiom,
    ( ~ esk67_0
    | ~ esk77_0 )).

cnf(i_0_9294,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_9295,axiom,
    ( ~ esk209_0
    | ~ esk205_0 )).

cnf(i_0_9296,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_9297,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9298,axiom,
    ( p(X8)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X4) )).

cnf(i_0_9299,axiom,
    ( p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_9300,axiom,
    ( ~ esk138_0
    | ~ esk148_0 )).

cnf(i_0_9301,axiom,
    ( p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9302,axiom,
    ( ~ esk155_0
    | ~ esk161_0 )).

cnf(i_0_9303,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9304,axiom,
    ( ~ esk49_0
    | ~ esk93_0 )).

cnf(i_0_9305,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X10)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X8) )).

cnf(i_0_9306,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_9307,axiom,
    ( ~ esk151_0
    | ~ esk41_0 )).

cnf(i_0_9308,axiom,
    ( p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9309,axiom,
    ( p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_9310,axiom,
    ( ~ esk69_0
    | ~ esk79_0 )).

cnf(i_0_9311,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_9312,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_9313,axiom,
    ( ~ esk159_0
    | ~ esk167_0 )).

cnf(i_0_9314,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_9315,axiom,
    ( ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_9316,axiom,
    ( p(X4)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X7) )).

cnf(i_0_9317,axiom,
    ( ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X3) )).

cnf(i_0_9318,axiom,
    ( ~ esk9_0
    | ~ esk31_0 )).

cnf(i_0_9319,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_9320,axiom,
    ( p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_9321,axiom,
    ( ~ esk97_0
    | ~ esk207_0 )).

cnf(i_0_9322,axiom,
    ( ~ esk29_0
    | ~ esk95_0 )).

cnf(i_0_9323,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X3) )).

cnf(i_0_9324,axiom,
    ( p(X7)
    | p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_9325,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_9326,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_9327,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_9328,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_9329,axiom,
    ( ~ esk43_0
    | ~ esk219_0 )).

cnf(i_0_9330,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9331,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_9332,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_9333,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_9334,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_9335,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_9336,axiom,
    ( ~ esk39_0
    | esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9337,axiom,
    ( p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_9338,axiom,
    ( p(X6)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_9339,axiom,
    ( ~ esk34_0
    | ~ esk26_0 )).

cnf(i_0_9340,axiom,
    ( p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_9341,axiom,
    ( p(X7)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X3)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_9342,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk93_0 )).

cnf(i_0_9343,axiom,
    ( ~ esk56_0
    | ~ esk58_0 )).

cnf(i_0_9344,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | p(X2) )).

cnf(i_0_9345,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X1) )).

cnf(i_0_9346,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9347,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_9348,axiom,
    ( ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_9349,axiom,
    ( ~ esk129_0
    | ~ esk195_0 )).

cnf(i_0_9350,axiom,
    ( p(X6)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X1) )).

cnf(i_0_9351,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X10)
    | p(X7)
    | p(X1) )).

cnf(i_0_9352,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_9353,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9354,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X10) )).

cnf(i_0_9355,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9356,axiom,
    ( ~ esk133_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9357,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_9358,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_9359,axiom,
    ( p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_9360,axiom,
    ( ~ esk42_0
    | ~ esk41_0 )).

cnf(i_0_9361,axiom,
    ( p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X8) )).

cnf(i_0_9362,axiom,
    ( ~ esk163_0
    | ~ esk207_0 )).

cnf(i_0_9363,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X1) )).

cnf(i_0_9364,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_9365,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X8) )).

cnf(i_0_9366,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_9367,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X2) )).

cnf(i_0_9368,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_9369,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_9370,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X9)
    | p(X2) )).

cnf(i_0_9371,axiom,
    ( p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9372,axiom,
    ( p(X5)
    | p(X3)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_9373,axiom,
    ( p(X1)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_9374,axiom,
    ( ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9375,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_9376,axiom,
    ( ~ p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_9377,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_9378,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_9379,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_9380,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X5) )).

cnf(i_0_9381,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X10) )).

cnf(i_0_9382,axiom,
    ( p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X7)
    | p(X5) )).

cnf(i_0_9383,axiom,
    ( p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_9384,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_9385,axiom,
    ( p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_9386,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X1) )).

cnf(i_0_9387,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9388,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_9389,axiom,
    ( ~ esk18_0
    | ~ esk62_0 )).

cnf(i_0_9390,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X8) )).

cnf(i_0_9391,axiom,
    ( ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_9392,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_9393,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_9394,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X9)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_9395,axiom,
    ( ~ esk163_0
    | ~ esk155_0 )).

cnf(i_0_9396,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X10) )).

cnf(i_0_9397,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X6) )).

cnf(i_0_9398,axiom,
    ( ~ esk51_0
    | ~ esk59_0 )).

cnf(i_0_9399,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_9400,axiom,
    ( ~ esk125_0
    | ~ esk113_0 )).

cnf(i_0_9401,axiom,
    ( ~ esk201_0
    | ~ esk113_0 )).

cnf(i_0_9402,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_9403,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_9404,axiom,
    ( ~ esk135_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9405,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_9406,axiom,
    ( ~ esk168_0
    | ~ esk14_0 )).

cnf(i_0_9407,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_9408,axiom,
    ( ~ p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_9409,axiom,
    ( ~ esk33_0
    | esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9410,axiom,
    ( p(X9)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_9411,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9412,axiom,
    ( p(X7)
    | p(X3)
    | p(X5)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X1) )).

cnf(i_0_9413,axiom,
    ( p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X3) )).

cnf(i_0_9414,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_9415,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X5) )).

cnf(i_0_9416,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_9417,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_9418,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_9419,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_9420,axiom,
    ( ~ esk145_0
    | esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9421,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_9422,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_9423,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_9424,axiom,
    ( p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_9425,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_9426,axiom,
    ( ~ esk133_0
    | ~ esk152_0 )).

cnf(i_0_9427,axiom,
    ( ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_9428,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_9429,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9430,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X2) )).

cnf(i_0_9431,axiom,
    ( ~ p(X4)
    | p(X10)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_9432,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_9433,axiom,
    ( ~ esk119_0
    | ~ esk123_0 )).

cnf(i_0_9434,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9435,axiom,
    ( ~ esk144_0
    | ~ esk12_0 )).

cnf(i_0_9436,axiom,
    ( ~ esk208_0
    | ~ esk219_0 )).

cnf(i_0_9437,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9438,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9439,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9440,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X6) )).

cnf(i_0_9441,axiom,
    ( p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_9442,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_9443,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9444,axiom,
    ( p(X6)
    | p(X8)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_9445,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X1)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_9446,axiom,
    ( ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9447,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_9448,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_9449,axiom,
    ( ~ esk14_0
    | ~ esk10_0 )).

cnf(i_0_9450,axiom,
    ( ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X2) )).

cnf(i_0_9451,axiom,
    ( ~ esk80_0
    | ~ esk76_0 )).

cnf(i_0_9452,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_9453,axiom,
    ( ~ esk117_0
    | ~ esk29_0 )).

cnf(i_0_9454,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_9455,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_9456,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9457,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X10) )).

cnf(i_0_9458,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_9459,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk205_0 )).

cnf(i_0_9460,axiom,
    ( ~ esk98_0
    | ~ esk106_0 )).

cnf(i_0_9461,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_9462,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_9463,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_9464,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_9465,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X10) )).

cnf(i_0_9466,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X7) )).

cnf(i_0_9467,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_9468,axiom,
    ( p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X4) )).

cnf(i_0_9469,axiom,
    ( ~ esk61_0
    | ~ esk53_0 )).

cnf(i_0_9470,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_9471,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9472,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_9473,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9474,axiom,
    ( p(X10)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_9475,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_9476,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X1) )).

cnf(i_0_9477,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X9)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9478,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9479,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X6) )).

cnf(i_0_9480,axiom,
    ( ~ esk187_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9481,axiom,
    ( ~ esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk108_0 )).

cnf(i_0_9482,axiom,
    ( p(X4)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_9483,axiom,
    ( esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk167_0 )).

cnf(i_0_9484,axiom,
    ( p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | p(X7) )).

cnf(i_0_9485,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_9486,axiom,
    ( p(X7)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_9487,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_9488,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_9489,axiom,
    ( ~ esk208_0
    | ~ esk164_0 )).

cnf(i_0_9490,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X5)
    | p(X10) )).

cnf(i_0_9491,axiom,
    ( p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_9492,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_9493,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X8) )).

cnf(i_0_9494,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_9495,axiom,
    ( p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9496,axiom,
    ( ~ esk133_0
    | ~ esk89_0 )).

cnf(i_0_9497,axiom,
    ( ~ esk80_0
    | ~ esk82_0 )).

cnf(i_0_9498,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_9499,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_9500,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_9501,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_9502,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9503,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_9504,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_9505,axiom,
    ( ~ esk103_0
    | ~ esk105_0 )).

cnf(i_0_9506,axiom,
    ( p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_9507,axiom,
    ( ~ esk41_0
    | ~ esk23_0 )).

cnf(i_0_9508,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_9509,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | p(X1)
    | p(X6) )).

cnf(i_0_9510,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_9511,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X6) )).

cnf(i_0_9512,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9513,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X7)
    | p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9514,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X9) )).

cnf(i_0_9515,axiom,
    ( p(X7)
    | p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9516,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_9517,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_9518,axiom,
    ( ~ esk121_0
    | ~ esk117_0 )).

cnf(i_0_9519,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_9520,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_9521,axiom,
    ( ~ esk148_0
    | ~ esk82_0 )).

cnf(i_0_9522,axiom,
    ( p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X8)
    | p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_9523,axiom,
    ( ~ p(X4)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_9524,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X1) )).

cnf(i_0_9525,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_9526,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_9527,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3) )).

cnf(i_0_9528,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X8) )).

cnf(i_0_9529,axiom,
    ( ~ esk45_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9530,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_9531,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X1) )).

cnf(i_0_9532,axiom,
    ( p(X2)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X1) )).

cnf(i_0_9533,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_9534,axiom,
    ( ~ esk6_0
    | ~ esk8_0 )).

cnf(i_0_9535,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9536,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk209_0 )).

cnf(i_0_9537,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_9538,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_9539,axiom,
    ( ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_9540,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9541,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9542,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9543,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X1)
    | p(X9) )).

cnf(i_0_9544,axiom,
    ( p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_9545,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_9546,axiom,
    ( ~ esk171_0
    | ~ esk127_0 )).

cnf(i_0_9547,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X6) )).

cnf(i_0_9548,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_9549,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_9550,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9551,axiom,
    ( ~ esk81_0
    | ~ esk73_0 )).

cnf(i_0_9552,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_9553,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_9554,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_9555,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_9556,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_9557,axiom,
    ( p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_9558,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_9559,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_9560,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_9561,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_9562,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X8) )).

cnf(i_0_9563,axiom,
    ( ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_9564,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9565,axiom,
    ( p(X3)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_9566,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_9567,axiom,
    ( ~ esk8_0
    | ~ esk2_0 )).

cnf(i_0_9568,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_9569,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_9570,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_9571,axiom,
    ( ~ esk184_0
    | ~ esk192_0 )).

cnf(i_0_9572,axiom,
    ( ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X7) )).

cnf(i_0_9573,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9574,axiom,
    ( ~ esk7_0
    | ~ esk17_0 )).

cnf(i_0_9575,axiom,
    ( ~ esk182_0
    | ~ esk198_0 )).

cnf(i_0_9576,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_9577,axiom,
    ( p(X6)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_9578,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_9579,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_9580,axiom,
    ( ~ esk47_0
    | ~ esk91_0 )).

cnf(i_0_9581,axiom,
    ( ~ esk167_0
    | ~ esk57_0 )).

cnf(i_0_9582,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_9583,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_9584,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_9585,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_9586,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_9587,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_9588,axiom,
    ( p(X2)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_9589,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_9590,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9591,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_9592,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X7)
    | p(X9)
    | p(X2) )).

cnf(i_0_9593,axiom,
    ( ~ esk123_0
    | ~ esk35_0 )).

cnf(i_0_9594,axiom,
    ( p(X3)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_9595,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X5) )).

cnf(i_0_9596,axiom,
    ( ~ esk63_0
    | ~ esk173_0 )).

cnf(i_0_9597,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_9598,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_9599,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_9600,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_9601,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_9602,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_9603,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_9604,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_9605,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_9606,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_9607,axiom,
    ( ~ esk21_0
    | ~ esk219_0 )).

cnf(i_0_9608,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_9609,axiom,
    ( ~ esk193_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9610,axiom,
    ( ~ esk116_0
    | ~ esk204_0 )).

cnf(i_0_9611,axiom,
    ( ~ esk150_0
    | ~ esk134_0 )).

cnf(i_0_9612,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9613,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_9614,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_9615,axiom,
    ( p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_9616,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_9617,axiom,
    ( ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_9618,axiom,
    ( p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_9619,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_9620,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_9621,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_9622,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9623,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_9624,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X7) )).

cnf(i_0_9625,axiom,
    ( ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_9626,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_9627,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_9628,axiom,
    ( p(X2)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_9629,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X3)
    | p(X10) )).

cnf(i_0_9630,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_9631,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_9632,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9633,axiom,
    ( p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_9634,axiom,
    ( ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_9635,axiom,
    ( p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | p(X1) )).

cnf(i_0_9636,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_9637,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X4) )).

cnf(i_0_9638,axiom,
    ( ~ p(X3)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_9639,axiom,
    ( ~ p(X4)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_9640,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X10)
    | p(X7) )).

cnf(i_0_9641,axiom,
    ( ~ esk211_0
    | ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9642,axiom,
    ( ~ esk181_0
    | ~ esk137_0 )).

cnf(i_0_9643,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9644,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_9645,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_9646,axiom,
    ( ~ esk41_0
    | ~ esk39_0 )).

cnf(i_0_9647,axiom,
    ( ~ esk163_0
    | esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9648,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_9649,axiom,
    ( ~ esk5_0
    | ~ esk159_0 )).

cnf(i_0_9650,axiom,
    ( ~ esk193_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9651,axiom,
    ( p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_9652,axiom,
    ( p(X7)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9653,axiom,
    ( ~ esk211_0
    | ~ esk215_0 )).

cnf(i_0_9654,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_9655,axiom,
    ( ~ esk103_0
    | ~ esk81_0 )).

cnf(i_0_9656,axiom,
    ( p(X9)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | p(X3)
    | p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_9657,axiom,
    ( ~ esk116_0
    | ~ esk50_0 )).

cnf(i_0_9658,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9659,axiom,
    ( ~ p(X3)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_9660,axiom,
    ( ~ esk205_0
    | ~ esk207_0 )).

cnf(i_0_9661,axiom,
    ( p(X10)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X9)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_9662,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_9663,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_9664,axiom,
    ( ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_9665,axiom,
    ( ~ esk12_0
    | ~ esk166_0 )).

cnf(i_0_9666,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_9667,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_9668,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_9669,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_9670,axiom,
    ( ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk29_0 )).

cnf(i_0_9671,axiom,
    ( p(X5)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_9672,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_9673,axiom,
    ( p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_9674,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_9675,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_9676,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X4) )).

cnf(i_0_9677,axiom,
    ( ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_9678,axiom,
    ( p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_9679,axiom,
    ( ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_9680,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_9681,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_9682,axiom,
    ( ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X8) )).

cnf(i_0_9683,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_9684,axiom,
    ( ~ esk118_0
    | ~ esk140_0 )).

cnf(i_0_9685,axiom,
    ( ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_9686,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_9687,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_9688,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X5)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X1) )).

cnf(i_0_9689,axiom,
    ( ~ p(X7)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X2) )).

cnf(i_0_9690,axiom,
    ( p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_9691,axiom,
    ( ~ esk108_0
    | ~ esk89_0 )).

cnf(i_0_9692,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_9693,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_9694,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_9695,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_9696,axiom,
    ( ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_9697,axiom,
    ( ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9698,axiom,
    ( ~ esk143_0
    | ~ esk55_0 )).

cnf(i_0_9699,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_9700,axiom,
    ( p(X10)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_9701,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_9702,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_9703,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_9704,axiom,
    ( ~ esk190_0
    | ~ esk58_0 )).

cnf(i_0_9705,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9706,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_9707,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_9708,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9) )).

cnf(i_0_9709,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_9710,axiom,
    ( p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | p(X9)
    | p(X1) )).

cnf(i_0_9711,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X7) )).

cnf(i_0_9712,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X8) )).

cnf(i_0_9713,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9714,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_9715,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_9716,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_9717,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_9718,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9719,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X4) )).

cnf(i_0_9720,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X8) )).

cnf(i_0_9721,axiom,
    ( p(X1)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_9722,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9723,axiom,
    ( ~ esk127_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9724,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_9725,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_9726,axiom,
    ( ~ esk35_0
    | ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9727,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_9728,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_9729,axiom,
    ( p(X2)
    | p(X4)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_9730,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9731,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_9732,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_9733,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | p(X7)
    | p(X10)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9734,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_9735,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_9736,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9737,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_9738,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_9739,axiom,
    ( ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X3) )).

cnf(i_0_9740,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_9741,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_9742,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9743,axiom,
    ( p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_9744,axiom,
    ( p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_9745,axiom,
    ( ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X6) )).

cnf(i_0_9746,axiom,
    ( p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_9747,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X1)
    | p(X5) )).

cnf(i_0_9748,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9749,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_9750,axiom,
    ( ~ esk92_0
    | ~ esk90_0 )).

cnf(i_0_9751,axiom,
    ( p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9752,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X4) )).

cnf(i_0_9753,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_9754,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_9755,axiom,
    ( p(X9)
    | p(X2)
    | p(X5)
    | p(X6)
    | p(X1)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_9756,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9757,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_9758,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X10) )).

cnf(i_0_9759,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk147_0 )).

cnf(i_0_9760,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_9761,axiom,
    ( ~ esk74_0
    | ~ esk52_0 )).

cnf(i_0_9762,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X4)
    | p(X9) )).

cnf(i_0_9763,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_9764,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_9765,axiom,
    ( ~ esk90_0
    | ~ esk106_0 )).

cnf(i_0_9766,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X10)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_9767,axiom,
    ( ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_9768,axiom,
    ( esk155_0
    | esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk45_0
    | esk177_0
    | esk23_0
    | esk89_0
    | esk1_0
    | esk111_0
    | esk67_0
    | esk199_0
    | esk133_0 )).

cnf(i_0_9769,axiom,
    ( p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_9770,axiom,
    ( ~ p(X1)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_9771,axiom,
    ( esk19_0
    | esk17_0
    | esk7_0
    | ~ esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk13_0
    | esk5_0
    | esk15_0
    | esk3_0
    | esk1_0
    | esk11_0
    | esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk9_0 )).

cnf(i_0_9772,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9773,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_9774,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_9775,axiom,
    ( p(X10)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_9776,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_9777,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9778,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_9779,axiom,
    ( ~ esk33_0
    | ~ esk55_0 )).

cnf(i_0_9780,axiom,
    ( p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_9781,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9782,axiom,
    ( p(X6)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_9783,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_9784,axiom,
    ( ~ esk104_0
    | ~ esk100_0 )).

cnf(i_0_9785,axiom,
    ( ~ p(X8)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9786,axiom,
    ( p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_9787,axiom,
    ( ~ esk126_0
    | ~ esk82_0 )).

cnf(i_0_9788,axiom,
    ( p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_9789,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X3) )).

cnf(i_0_9790,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_9791,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk187_0 )).

cnf(i_0_9792,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9793,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_9794,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_9795,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X10) )).

cnf(i_0_9796,axiom,
    ( ~ esk213_0
    | ~ esk125_0 )).

cnf(i_0_9797,axiom,
    ( ~ esk91_0
    | ~ esk105_0 )).

cnf(i_0_9798,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9799,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9800,axiom,
    ( p(X6)
    | p(X1)
    | p(X10)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9801,axiom,
    ( ~ esk217_0
    | ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9802,axiom,
    ( ~ esk135_0
    | ~ esk47_0 )).

cnf(i_0_9803,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_9804,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8) )).

cnf(i_0_9805,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X2) )).

cnf(i_0_9806,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X10)
    | p(X6) )).

cnf(i_0_9807,axiom,
    ( p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_9808,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_9809,axiom,
    ( p(X5)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_9810,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_9811,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_9812,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_9813,axiom,
    ( p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_9814,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_9815,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_9816,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_9817,axiom,
    ( ~ esk69_0
    | ~ esk157_0 )).

cnf(i_0_9818,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X6)
    | p(X1)
    | p(X4) )).

cnf(i_0_9819,axiom,
    ( p(X8)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X1) )).

cnf(i_0_9820,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_9821,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_9822,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X4)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_9823,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X5) )).

cnf(i_0_9824,axiom,
    ( ~ p(X3)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X10) )).

cnf(i_0_9825,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_9826,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_9827,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X7) )).

cnf(i_0_9828,axiom,
    ( ~ esk205_0
    | ~ esk7_0 )).

cnf(i_0_9829,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_9830,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_9831,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_9832,axiom,
    ( ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_9833,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X5) )).

cnf(i_0_9834,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_9835,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_9836,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_9837,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_9838,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | p(X7)
    | p(X2) )).

cnf(i_0_9839,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_9840,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X7) )).

cnf(i_0_9841,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_9842,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_9843,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_9844,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X5) )).

cnf(i_0_9845,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_9846,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X7) )).

cnf(i_0_9847,axiom,
    ( ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X1)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_9848,axiom,
    ( ~ esk184_0
    | ~ esk96_0 )).

cnf(i_0_9849,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | p(X6) )).

cnf(i_0_9850,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_9851,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X10) )).

cnf(i_0_9852,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_9853,axiom,
    ( ~ esk157_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9854,axiom,
    ( ~ esk250_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk41_0 )).

cnf(i_0_9855,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_9856,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_9857,axiom,
    ( ~ esk93_0
    | ~ esk103_0 )).

cnf(i_0_9858,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_9859,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_9860,axiom,
    ( p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X5)
    | p(X10) )).

cnf(i_0_9861,axiom,
    ( ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk77_0 )).

cnf(i_0_9862,axiom,
    ( ~ esk208_0
    | ~ esk216_0 )).

cnf(i_0_9863,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_9864,axiom,
    ( ~ esk70_0
    | ~ esk136_0 )).

cnf(i_0_9865,axiom,
    ( ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_9866,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_9867,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X5)
    | p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_9868,axiom,
    ( ~ esk121_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9869,axiom,
    ( p(X6)
    | p(X1)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_9870,axiom,
    ( p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_9871,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_9872,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X1) )).

cnf(i_0_9873,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9874,axiom,
    ( ~ esk8_0
    | ~ esk10_0 )).

cnf(i_0_9875,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_9876,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9877,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_9878,axiom,
    ( ~ p(X4)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_9879,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | p(X4)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X1) )).

cnf(i_0_9880,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_9881,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_9882,axiom,
    ( ~ esk215_0
    | ~ esk205_0 )).

cnf(i_0_9883,axiom,
    ( ~ esk16_0
    | ~ esk60_0 )).

cnf(i_0_9884,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X3)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_9885,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_9886,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_9887,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | p(X6)
    | p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_9888,axiom,
    ( ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X5)
    | p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7) )).

cnf(i_0_9889,axiom,
    ( ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X2) )).

cnf(i_0_9890,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_9891,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9892,axiom,
    ( ~ p(X6)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X5) )).

cnf(i_0_9893,axiom,
    ( p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | p(X10) )).

cnf(i_0_9894,axiom,
    ( ~ esk183_0
    | ~ esk51_0 )).

cnf(i_0_9895,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_9896,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_9897,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_9898,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_9899,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_9900,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_9901,axiom,
    ( ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X4) )).

cnf(i_0_9902,axiom,
    ( ~ esk133_0
    | ~ esk141_0 )).

cnf(i_0_9903,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9904,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9905,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_9906,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X8)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_9907,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_9908,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_9909,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_9910,axiom,
    ( ~ esk216_0
    | ~ esk206_0 )).

cnf(i_0_9911,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_9912,axiom,
    ( ~ esk12_0
    | ~ esk8_0 )).

cnf(i_0_9913,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9914,axiom,
    ( p(X9)
    | p(X7)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_9915,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_9916,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_9917,axiom,
    ( ~ esk71_0
    | ~ esk203_0 )).

cnf(i_0_9918,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | p(X7)
    | p(X9) )).

cnf(i_0_9919,axiom,
    ( ~ esk72_0
    | ~ esk78_0 )).

cnf(i_0_9920,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X2) )).

cnf(i_0_9921,axiom,
    ( ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_9922,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_9923,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_9924,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_9925,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_9926,axiom,
    ( ~ esk5_0
    | ~ esk20_0 )).

cnf(i_0_9927,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_9928,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | p(X10) )).

cnf(i_0_9929,axiom,
    ( ~ esk180_0
    | ~ esk158_0 )).

cnf(i_0_9930,axiom,
    ( ~ esk116_0
    | ~ esk138_0 )).

cnf(i_0_9931,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_9932,axiom,
    ( ~ esk197_0
    | ~ esk21_0 )).

cnf(i_0_9933,axiom,
    ( ~ esk180_0
    | ~ esk182_0 )).

cnf(i_0_9934,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | p(X8)
    | p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_9935,axiom,
    ( p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_9936,axiom,
    ( ~ esk89_0
    | ~ esk67_0 )).

cnf(i_0_9937,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_9938,axiom,
    ( ~ p(X8)
    | p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_9939,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_9940,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_9941,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_9942,axiom,
    ( ~ esk164_0
    | ~ esk98_0 )).

cnf(i_0_9943,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_9944,axiom,
    ( ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_9945,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9946,axiom,
    ( p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2) )).

cnf(i_0_9947,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X8)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_9948,axiom,
    ( ~ p(X5)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_9949,axiom,
    ( ~ esk266_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk151_0 )).

cnf(i_0_9950,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_9951,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_9952,axiom,
    ( p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_9953,axiom,
    ( ~ esk30_0
    | ~ esk34_0 )).

cnf(i_0_9954,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9955,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_9956,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_9957,axiom,
    ( ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9958,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk23_0 )).

cnf(i_0_9959,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_9960,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_9961,axiom,
    ( p(X2)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X10) )).

cnf(i_0_9962,axiom,
    ( p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_9963,axiom,
    ( p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_9964,axiom,
    ( ~ esk147_0
    | ~ esk151_0 )).

cnf(i_0_9965,axiom,
    ( ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_9966,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9967,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_9968,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X8) )).

cnf(i_0_9969,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_9970,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_9971,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_9972,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_9973,axiom,
    ( ~ esk85_0
    | ~ esk69_0 )).

cnf(i_0_9974,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_9975,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_9976,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_9977,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_9978,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_9979,axiom,
    ( p(X10)
    | p(X9)
    | p(X6)
    | p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_9980,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_9981,axiom,
    ( ~ p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_9982,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9983,axiom,
    ( p(X10)
    | p(X7)
    | p(X1)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_9984,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_9985,axiom,
    ( ~ esk122_0
    | ~ esk131_0 )).

cnf(i_0_9986,axiom,
    ( ~ esk30_0
    | ~ esk140_0 )).

cnf(i_0_9987,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_9988,axiom,
    ( p(X8)
    | p(X2)
    | p(X6)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_9989,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_9990,axiom,
    ( p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9991,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9992,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_9993,axiom,
    ( ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X9)
    | p(X10) )).

cnf(i_0_9994,axiom,
    ( ~ esk126_0
    | ~ esk170_0 )).

cnf(i_0_9995,axiom,
    ( p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X4)
    | p(X8) )).

cnf(i_0_9996,axiom,
    ( ~ esk201_0
    | ~ esk205_0 )).

cnf(i_0_9997,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_9998,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_9999,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_10000,axiom,
    ( ~ esk128_0
    | ~ esk172_0 )).

cnf(i_0_10001,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_10002,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | p(X6) )).

cnf(i_0_10003,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_10004,axiom,
    ( ~ esk79_0
    | ~ esk83_0 )).

cnf(i_0_10005,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10006,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk161_0 )).

cnf(i_0_10007,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_10008,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_10009,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_10010,axiom,
    ( ~ esk13_0
    | ~ esk1_0 )).

cnf(i_0_10011,axiom,
    ( p(X9)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X10)
    | p(X6)
    | p(X1)
    | p(X2) )).

cnf(i_0_10012,axiom,
    ( ~ esk51_0
    | ~ esk161_0 )).

cnf(i_0_10013,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_10014,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_10015,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_10016,axiom,
    ( ~ p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_10017,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk215_0 )).

cnf(i_0_10018,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X10) )).

cnf(i_0_10019,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10020,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_10021,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X3) )).

cnf(i_0_10022,axiom,
    ( ~ esk101_0
    | ~ esk103_0 )).

cnf(i_0_10023,axiom,
    ( ~ esk84_0
    | ~ esk74_0 )).

cnf(i_0_10024,axiom,
    ( p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X8) )).

cnf(i_0_10025,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_10026,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_10027,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_10028,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_10029,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X1) )).

cnf(i_0_10030,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10031,axiom,
    ( ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X3) )).

cnf(i_0_10032,axiom,
    ( p(X3)
    | p(X10)
    | p(X9)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_10033,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_10034,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X10) )).

cnf(i_0_10035,axiom,
    ( ~ esk126_0
    | ~ esk131_0 )).

cnf(i_0_10036,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_10037,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_10038,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_10039,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X9) )).

cnf(i_0_10040,axiom,
    ( ~ esk157_0
    | esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10041,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10042,axiom,
    ( ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10043,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X7) )).

cnf(i_0_10044,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X5)
    | p(X8)
    | p(X9) )).

cnf(i_0_10045,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X2) )).

cnf(i_0_10046,axiom,
    ( ~ esk58_0
    | ~ esk65_0 )).

cnf(i_0_10047,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_10048,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_10049,axiom,
    ( ~ p(X7)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_10050,axiom,
    ( ~ p(X10)
    | p(X4)
    | p(X1)
    | p(X9)
    | p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_10051,axiom,
    ( ~ esk124_0
    | ~ esk126_0 )).

cnf(i_0_10052,axiom,
    ( esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk169_0 )).

cnf(i_0_10053,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_10054,axiom,
    ( ~ p(X8)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_10055,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10056,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_10057,axiom,
    ( ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_10058,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10059,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_10060,axiom,
    ( p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10061,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_10062,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk17_0 )).

cnf(i_0_10063,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10064,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X8) )).

cnf(i_0_10065,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_10066,axiom,
    ( ~ esk202_0
    | ~ esk26_0 )).

cnf(i_0_10067,axiom,
    ( ~ esk121_0
    | ~ esk125_0 )).

cnf(i_0_10068,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_10069,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_10070,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10071,axiom,
    ( ~ esk3_0
    | ~ esk91_0 )).

cnf(i_0_10072,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_10073,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_10074,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_10075,axiom,
    ( p(X6)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_10076,axiom,
    ( ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_10077,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X5) )).

cnf(i_0_10078,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X6) )).

cnf(i_0_10079,axiom,
    ( ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_10080,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_10081,axiom,
    ( p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_10082,axiom,
    ( ~ esk213_0
    | ~ esk209_0 )).

cnf(i_0_10083,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_10084,axiom,
    ( p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_10085,axiom,
    ( ~ esk201_0
    | ~ esk199_0 )).

cnf(i_0_10086,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_10087,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_10088,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_10089,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10090,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10091,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_10092,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | p(X9)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10093,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_10094,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10095,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10096,axiom,
    ( ~ esk123_0
    | ~ esk129_0 )).

cnf(i_0_10097,axiom,
    ( ~ esk6_0
    | ~ esk28_0 )).

cnf(i_0_10098,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10099,axiom,
    ( p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_10100,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_10101,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_10102,axiom,
    ( ~ esk148_0
    | ~ esk134_0 )).

cnf(i_0_10103,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_10104,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_10105,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X5) )).

cnf(i_0_10106,axiom,
    ( p(X1)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_10107,axiom,
    ( ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10108,axiom,
    ( ~ esk134_0
    | ~ esk140_0 )).

cnf(i_0_10109,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_10110,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10111,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_10112,axiom,
    ( p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X2) )).

cnf(i_0_10113,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X2)
    | p(X9) )).

cnf(i_0_10114,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X5) )).

cnf(i_0_10115,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10116,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_10117,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10118,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10119,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_10120,axiom,
    ( ~ esk36_0
    | ~ esk190_0 )).

cnf(i_0_10121,axiom,
    ( p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | p(X4) )).

cnf(i_0_10122,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10123,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_10124,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_10125,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_10126,axiom,
    ( ~ esk175_0
    | ~ esk43_0 )).

cnf(i_0_10127,axiom,
    ( p(X3)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_10128,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6) )).

cnf(i_0_10129,axiom,
    ( ~ esk70_0
    | ~ esk76_0 )).

cnf(i_0_10130,axiom,
    ( p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X3) )).

cnf(i_0_10131,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_10132,axiom,
    ( p(X9)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_10133,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10134,axiom,
    ( ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_10135,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_10136,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10137,axiom,
    ( ~ esk49_0
    | ~ esk47_0 )).

cnf(i_0_10138,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_10139,axiom,
    ( ~ esk90_0
    | ~ esk109_0 )).

cnf(i_0_10140,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10141,axiom,
    ( ~ esk165_0
    | esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10142,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10143,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10144,axiom,
    ( ~ esk146_0
    | ~ esk212_0 )).

cnf(i_0_10145,axiom,
    ( ~ esk155_0
    | ~ esk174_0 )).

cnf(i_0_10146,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_10147,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X1)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X8)
    | p(X2) )).

cnf(i_0_10148,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_10149,axiom,
    ( ~ esk185_0
    | ~ esk183_0 )).

cnf(i_0_10150,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_10151,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | p(X1) )).

cnf(i_0_10152,axiom,
    ( p(X9)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_10153,axiom,
    ( p(X1)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_10154,axiom,
    ( ~ esk65_0
    | ~ esk87_0 )).

cnf(i_0_10155,axiom,
    ( ~ esk187_0
    | ~ esk185_0 )).

cnf(i_0_10156,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10157,axiom,
    ( p(X7)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_10158,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_10159,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_10160,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_10161,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X1) )).

cnf(i_0_10162,axiom,
    ( p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10163,axiom,
    ( ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_10164,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X7) )).

cnf(i_0_10165,axiom,
    ( esk187_0
    | esk193_0
    | esk183_0
    | esk177_0
    | esk179_0
    | esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk189_0
    | esk181_0
    | ~ esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk191_0
    | esk195_0
    | esk185_0 )).

cnf(i_0_10166,axiom,
    ( p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_10167,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X6) )).

cnf(i_0_10168,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_10169,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_10170,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_10171,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10172,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | p(X9)
    | p(X2) )).

cnf(i_0_10173,axiom,
    ( ~ esk37_0
    | ~ esk23_0 )).

cnf(i_0_10174,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | p(X7)
    | p(X1)
    | p(X10) )).

cnf(i_0_10175,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_10176,axiom,
    ( ~ esk30_0
    | ~ esk74_0 )).

cnf(i_0_10177,axiom,
    ( ~ esk1_0
    | ~ esk17_0 )).

cnf(i_0_10178,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8) )).

cnf(i_0_10179,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_10180,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_10181,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk201_0 )).

cnf(i_0_10182,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X1)
    | p(X5)
    | p(X6) )).

cnf(i_0_10183,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10184,axiom,
    ( p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_10185,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_10186,axiom,
    ( ~ esk103_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10187,axiom,
    ( ~ esk15_0
    | ~ esk7_0 )).

cnf(i_0_10188,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_10189,axiom,
    ( ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8) )).

cnf(i_0_10190,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | p(X2) )).

cnf(i_0_10191,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10192,axiom,
    ( ~ esk132_0
    | ~ esk118_0 )).

cnf(i_0_10193,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_10194,axiom,
    ( ~ esk199_0
    | ~ esk217_0 )).

cnf(i_0_10195,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10196,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_10197,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_10198,axiom,
    ( ~ p(X2)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_10199,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_10200,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X8) )).

cnf(i_0_10201,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk217_0 )).

cnf(i_0_10202,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_10203,axiom,
    ( ~ esk91_0
    | ~ esk135_0 )).

cnf(i_0_10204,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_10205,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X6) )).

cnf(i_0_10206,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10207,axiom,
    ( ~ esk147_0
    | ~ esk139_0 )).

cnf(i_0_10208,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | p(X7) )).

cnf(i_0_10209,axiom,
    ( p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_10210,axiom,
    ( ~ p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X1) )).

cnf(i_0_10211,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10212,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10213,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X6) )).

cnf(i_0_10214,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_10215,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10216,axiom,
    ( p(X2)
    | p(X3)
    | p(X8)
    | p(X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_10217,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10218,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X2) )).

cnf(i_0_10219,axiom,
    ( ~ esk55_0
    | ~ esk165_0 )).

cnf(i_0_10220,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_10221,axiom,
    ( ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X4) )).

cnf(i_0_10222,axiom,
    ( p(X1)
    | p(X4)
    | p(X5)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_10223,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_10224,axiom,
    ( ~ esk127_0
    | ~ esk105_0 )).

cnf(i_0_10225,axiom,
    ( ~ esk25_0
    | ~ esk201_0 )).

cnf(i_0_10226,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10227,axiom,
    ( ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_10228,axiom,
    ( ~ esk210_0
    | ~ esk56_0 )).

cnf(i_0_10229,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_10230,axiom,
    ( ~ esk116_0
    | ~ esk112_0 )).

cnf(i_0_10231,axiom,
    ( ~ esk202_0
    | ~ esk70_0 )).

cnf(i_0_10232,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_10233,axiom,
    ( p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_10234,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_10235,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_10236,axiom,
    ( ~ esk52_0
    | ~ esk8_0 )).

cnf(i_0_10237,axiom,
    ( p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10238,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_10239,axiom,
    ( ~ esk15_0
    | ~ esk5_0 )).

cnf(i_0_10240,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_10241,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10242,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_10243,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_10244,axiom,
    ( p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_10245,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10246,axiom,
    ( p(X7)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_10247,axiom,
    ( ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_10248,axiom,
    ( p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10249,axiom,
    ( ~ esk212_0
    | ~ esk14_0 )).

cnf(i_0_10250,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | p(X9)
    | p(X3) )).

cnf(i_0_10251,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_10252,axiom,
    ( ~ esk37_0
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10253,axiom,
    ( p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X3) )).

cnf(i_0_10254,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_10255,axiom,
    ( p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_10256,axiom,
    ( ~ esk8_0
    | ~ esk74_0 )).

cnf(i_0_10257,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_10258,axiom,
    ( ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_10259,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_10260,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10261,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_10262,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_10263,axiom,
    ( esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk113_0 )).

cnf(i_0_10264,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_10265,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10266,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10267,axiom,
    ( p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_10268,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_10269,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_10270,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_10271,axiom,
    ( p(X3)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_10272,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_10273,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_10274,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_10275,axiom,
    ( ~ esk157_0
    | ~ esk25_0 )).

cnf(i_0_10276,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_10277,axiom,
    ( ~ esk143_0
    | ~ esk149_0 )).

cnf(i_0_10278,axiom,
    ( ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_10279,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_10280,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_10281,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_10282,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_10283,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_10284,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10285,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10286,axiom,
    ( ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X4) )).

cnf(i_0_10287,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_10288,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_10289,axiom,
    ( ~ p(X1)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_10290,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10291,axiom,
    ( ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_10292,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_10293,axiom,
    ( ~ esk186_0
    | ~ esk190_0 )).

cnf(i_0_10294,axiom,
    ( p(X4)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X10) )).

cnf(i_0_10295,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_10296,axiom,
    ( p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10297,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_10298,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_10299,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_10300,axiom,
    ( ~ esk138_0
    | ~ esk142_0 )).

cnf(i_0_10301,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_10302,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_10303,axiom,
    ( ~ esk25_0
    | ~ esk29_0 )).

cnf(i_0_10304,axiom,
    ( ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_10305,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_10306,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X7) )).

cnf(i_0_10307,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X3) )).

cnf(i_0_10308,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | p(X5)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_10309,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_10310,axiom,
    ( p(X7)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X1) )).

cnf(i_0_10311,axiom,
    ( ~ esk179_0
    | ~ esk189_0 )).

cnf(i_0_10312,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_10313,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_10314,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10315,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | p(X9) )).

cnf(i_0_10316,axiom,
    ( p(X7)
    | p(X10)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_10317,axiom,
    ( p(X7)
    | p(X1)
    | p(X5)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_10318,axiom,
    ( ~ esk177_0
    | ~ esk1_0 )).

cnf(i_0_10319,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_10320,axiom,
    ( esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk151_0 )).

cnf(i_0_10321,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_10322,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10323,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_10324,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X8) )).

cnf(i_0_10325,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X10)
    | p(X2)
    | p(X9)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10326,axiom,
    ( ~ esk129_0
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10327,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X6) )).

cnf(i_0_10328,axiom,
    ( ~ esk178_0
    | ~ esk156_0 )).

cnf(i_0_10329,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_10330,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10331,axiom,
    ( p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4) )).

cnf(i_0_10332,axiom,
    ( p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_10333,axiom,
    ( ~ esk66_0
    | ~ esk52_0 )).

cnf(i_0_10334,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X1)
    | p(X10)
    | p(X2) )).

cnf(i_0_10335,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_10336,axiom,
    ( p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_10337,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | p(X10)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_10338,axiom,
    ( p(X5)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_10339,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_10340,axiom,
    ( ~ esk166_0
    | ~ esk144_0 )).

cnf(i_0_10341,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_10342,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10343,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_10344,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10345,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_10346,axiom,
    ( ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_10347,axiom,
    ( p(X10)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X7)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_10348,axiom,
    ( p(X8)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_10349,axiom,
    ( ~ esk122_0
    | ~ esk124_0 )).

cnf(i_0_10350,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | p(X10) )).

cnf(i_0_10351,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_10352,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10353,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_10354,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10355,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_10356,axiom,
    ( p(X8)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X3) )).

cnf(i_0_10357,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10358,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_10359,axiom,
    ( p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | p(X10) )).

cnf(i_0_10360,axiom,
    ( ~ esk70_0
    | ~ esk158_0 )).

cnf(i_0_10361,axiom,
    ( p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_10362,axiom,
    ( p(X6)
    | p(X8)
    | p(X10)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_10363,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_10364,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_10365,axiom,
    ( ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_10366,axiom,
    ( p(X5)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_10367,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X10) )).

cnf(i_0_10368,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_10369,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_10370,axiom,
    ( ~ esk42_0
    | esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10371,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X8) )).

cnf(i_0_10372,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_10373,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_10374,axiom,
    ( ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_10375,axiom,
    ( ~ esk83_0
    | ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10376,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X9)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_10377,axiom,
    ( ~ esk51_0
    | ~ esk205_0 )).

cnf(i_0_10378,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X8)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X1) )).

cnf(i_0_10379,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10380,axiom,
    ( ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X5)
    | p(X6)
    | p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_10381,axiom,
    ( p(X4)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_10382,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_10383,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_10384,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_10385,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_10386,axiom,
    ( ~ esk68_0
    | ~ esk90_0 )).

cnf(i_0_10387,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10388,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk169_0 )).

cnf(i_0_10389,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10390,axiom,
    ( ~ esk215_0
    | ~ esk127_0 )).

cnf(i_0_10391,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_10392,axiom,
    ( p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X6)
    | p(X1)
    | p(X8) )).

cnf(i_0_10393,axiom,
    ( p(X8)
    | p(X10)
    | p(X2)
    | p(X7)
    | p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10394,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10395,axiom,
    ( esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk81_0 )).

cnf(i_0_10396,axiom,
    ( p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_10397,axiom,
    ( ~ esk26_0
    | ~ esk32_0 )).

cnf(i_0_10398,axiom,
    ( p(X5)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | p(X8)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10399,axiom,
    ( p(X4)
    | p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_10400,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_10401,axiom,
    ( ~ esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10402,axiom,
    ( ~ esk68_0
    | ~ esk2_0 )).

cnf(i_0_10403,axiom,
    ( p(X7)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_10404,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_10405,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_10406,axiom,
    ( p(X8)
    | p(X1)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_10407,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_10408,axiom,
    ( ~ esk78_0
    | ~ esk166_0 )).

cnf(i_0_10409,axiom,
    ( p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10410,axiom,
    ( ~ esk146_0
    | ~ esk190_0 )).

cnf(i_0_10411,axiom,
    ( ~ esk86_0
    | esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10412,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_10413,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_10414,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_10415,axiom,
    ( ~ esk48_0
    | ~ esk26_0 )).

cnf(i_0_10416,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_10417,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_10418,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_10419,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X4) )).

cnf(i_0_10420,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_10421,axiom,
    ( p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_10422,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10423,axiom,
    ( p(X3)
    | p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_10424,axiom,
    ( ~ esk124_0
    | ~ esk36_0 )).

cnf(i_0_10425,axiom,
    ( ~ esk158_0
    | ~ esk202_0 )).

cnf(i_0_10426,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10427,axiom,
    ( p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_10428,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_10429,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_10430,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_10431,axiom,
    ( ~ esk179_0
    | ~ esk187_0 )).

cnf(i_0_10432,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_10433,axiom,
    ( ~ esk112_0
    | ~ esk128_0 )).

cnf(i_0_10434,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_10435,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X9)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_10436,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_10437,axiom,
    ( esk233_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk45_0 )).

cnf(i_0_10438,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_10439,axiom,
    ( p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_10440,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_10441,axiom,
    ( p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_10442,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_10443,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10444,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_10445,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_10446,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_10447,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10448,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_10449,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_10450,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X8) )).

cnf(i_0_10451,axiom,
    ( ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_10452,axiom,
    ( p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_10453,axiom,
    ( p(X9)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_10454,axiom,
    ( ~ esk164_0
    | ~ esk170_0 )).

cnf(i_0_10455,axiom,
    ( ~ esk17_0
    | ~ esk13_0 )).

cnf(i_0_10456,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_10457,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_10458,axiom,
    ( ~ esk116_0
    | ~ esk118_0 )).

cnf(i_0_10459,axiom,
    ( ~ esk49_0
    | ~ esk57_0 )).

cnf(i_0_10460,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_10461,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_10462,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_10463,axiom,
    ( ~ p(X5)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_10464,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_10465,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_10466,axiom,
    ( ~ esk206_0
    | ~ esk219_0 )).

cnf(i_0_10467,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | p(X7) )).

cnf(i_0_10468,axiom,
    ( ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_10469,axiom,
    ( p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X6)
    | p(X9)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_10470,axiom,
    ( p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10471,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_10472,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_10473,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10474,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_10475,axiom,
    ( p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5) )).

cnf(i_0_10476,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_10477,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X3)
    | p(X10) )).

cnf(i_0_10478,axiom,
    ( ~ esk122_0
    | ~ esk78_0 )).

cnf(i_0_10479,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X4) )).

cnf(i_0_10480,axiom,
    ( ~ esk220_0
    | ~ esk216_0 )).

cnf(i_0_10481,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X8) )).

cnf(i_0_10482,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2) )).

cnf(i_0_10483,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10484,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_10485,axiom,
    ( p(X5)
    | p(X10)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_10486,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_10487,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_10488,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9) )).

cnf(i_0_10489,axiom,
    ( ~ esk95_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10490,axiom,
    ( esk189_0
    | esk123_0
    | esk35_0
    | esk247_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk57_0
    | esk79_0
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk13_0
    | esk145_0
    | esk167_0
    | esk101_0
    | esk211_0 )).

cnf(i_0_10491,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | p(X4)
    | p(X2)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_10492,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_10493,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10494,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_10495,axiom,
    ( p(X7)
    | p(X1)
    | p(X5)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_10496,axiom,
    ( p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X7) )).

cnf(i_0_10497,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_10498,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10499,axiom,
    ( ~ esk50_0
    | ~ esk72_0 )).

cnf(i_0_10500,axiom,
    ( ~ esk183_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10501,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10502,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_10503,axiom,
    ( p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_10504,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_10505,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X7)
    | p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_10506,axiom,
    ( ~ p(X8)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_10507,axiom,
    ( p(X1)
    | p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_10508,axiom,
    ( ~ esk33_0
    | ~ esk31_0 )).

cnf(i_0_10509,axiom,
    ( ~ esk92_0
    | ~ esk94_0 )).

cnf(i_0_10510,axiom,
    ( ~ esk183_0
    | ~ esk117_0 )).

cnf(i_0_10511,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10512,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_10513,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_10514,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk85_0 )).

cnf(i_0_10515,axiom,
    ( ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_10516,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_10517,axiom,
    ( p(X3)
    | p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_10518,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X5) )).

cnf(i_0_10519,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X1)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | p(X6) )).

cnf(i_0_10520,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_10521,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10522,axiom,
    ( ~ esk218_0
    | ~ esk213_0 )).

cnf(i_0_10523,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10524,axiom,
    ( ~ esk193_0
    | ~ esk196_0 )).

cnf(i_0_10525,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_10526,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_10527,axiom,
    ( ~ esk10_0
    | ~ esk120_0 )).

cnf(i_0_10528,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X7) )).

cnf(i_0_10529,axiom,
    ( p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_10530,axiom,
    ( ~ esk57_0
    | ~ esk13_0 )).

cnf(i_0_10531,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_10532,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_10533,axiom,
    ( ~ esk90_0
    | ~ esk98_0 )).

cnf(i_0_10534,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X5) )).

cnf(i_0_10535,axiom,
    ( ~ esk107_0
    | ~ esk95_0 )).

cnf(i_0_10536,axiom,
    ( ~ esk6_0
    | ~ esk12_0 )).

cnf(i_0_10537,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X3)
    | p(X5)
    | p(X6)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_10538,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_10539,axiom,
    ( p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_10540,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_10541,axiom,
    ( p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_10542,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X1) )).

cnf(i_0_10543,axiom,
    ( ~ esk160_0
    | ~ esk176_0 )).

cnf(i_0_10544,axiom,
    ( ~ esk74_0
    | ~ esk96_0 )).

cnf(i_0_10545,axiom,
    ( esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk163_0 )).

cnf(i_0_10546,axiom,
    ( ~ esk171_0
    | ~ esk169_0 )).

cnf(i_0_10547,axiom,
    ( ~ esk179_0
    | ~ esk201_0 )).

cnf(i_0_10548,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X2) )).

cnf(i_0_10549,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_10550,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | p(X2)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_10551,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_10552,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_10553,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X5) )).

cnf(i_0_10554,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_10555,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_10556,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_10557,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10558,axiom,
    ( p(X5)
    | p(X7)
    | p(X6)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_10559,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_10560,axiom,
    ( ~ esk81_0
    | ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10561,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_10562,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_10563,axiom,
    ( ~ esk276_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk57_0 )).

cnf(i_0_10564,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_10565,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_10566,axiom,
    ( ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X8)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_10567,axiom,
    ( p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X4) )).

cnf(i_0_10568,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_10569,axiom,
    ( p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_10570,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_10571,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_10572,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10) )).

cnf(i_0_10573,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_10574,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_10575,axiom,
    ( ~ esk87_0
    | ~ esk219_0 )).

cnf(i_0_10576,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10577,axiom,
    ( p(X1)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X10) )).

cnf(i_0_10578,axiom,
    ( ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_10579,axiom,
    ( ~ esk37_0
    | ~ esk147_0 )).

cnf(i_0_10580,axiom,
    ( p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_10581,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | p(X4)
    | p(X2)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_10582,axiom,
    ( ~ esk158_0
    | ~ esk162_0 )).

cnf(i_0_10583,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9) )).

cnf(i_0_10584,axiom,
    ( ~ esk202_0
    | ~ esk200_0 )).

cnf(i_0_10585,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | p(X7)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10586,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X5) )).

cnf(i_0_10587,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10588,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10589,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_10590,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_10591,axiom,
    ( p(X9)
    | p(X6)
    | p(X5)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_10592,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_10593,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_10594,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_10595,axiom,
    ( ~ esk202_0
    | ~ esk4_0 )).

cnf(i_0_10596,axiom,
    ( p(X8)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_10597,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10598,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_10599,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | p(X5)
    | p(X3)
    | p(X1)
    | p(X10) )).

cnf(i_0_10600,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_10601,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_10602,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10603,axiom,
    ( ~ p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10604,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_10605,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_10606,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_10607,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X3)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_10608,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_10609,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_10610,axiom,
    ( p(X2)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10611,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_10612,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10613,axiom,
    ( ~ p(X7)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_10614,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_10615,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_10616,axiom,
    ( p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10617,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10618,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_10619,axiom,
    ( ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_10620,axiom,
    ( ~ esk33_0
    | ~ esk41_0 )).

cnf(i_0_10621,axiom,
    ( p(X4)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_10622,axiom,
    ( p(X8)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_10623,axiom,
    ( ~ esk108_0
    | ~ esk91_0 )).

cnf(i_0_10624,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_10625,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X6) )).

cnf(i_0_10626,axiom,
    ( p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X1) )).

cnf(i_0_10627,axiom,
    ( ~ esk178_0
    | ~ esk24_0 )).

cnf(i_0_10628,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X8) )).

cnf(i_0_10629,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_10630,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_10631,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_10632,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_10633,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10) )).

cnf(i_0_10634,axiom,
    ( p(X9)
    | p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_10635,axiom,
    ( ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | p(X1) )).

cnf(i_0_10636,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_10637,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_10638,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X6)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_10639,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk209_0 )).

cnf(i_0_10640,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10641,axiom,
    ( p(X6)
    | p(X1)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_10642,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_10643,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4) )).

cnf(i_0_10644,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_10645,axiom,
    ( p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_10646,axiom,
    ( ~ esk186_0
    | ~ esk192_0 )).

cnf(i_0_10647,axiom,
    ( ~ esk80_0
    | ~ esk36_0 )).

cnf(i_0_10648,axiom,
    ( p(X6)
    | p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10649,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_10650,axiom,
    ( ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_10651,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10652,axiom,
    ( ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | p(X7)
    | p(X8) )).

cnf(i_0_10653,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10654,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10655,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_10656,axiom,
    ( ~ esk78_0
    | ~ esk74_0 )).

cnf(i_0_10657,axiom,
    ( p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_10658,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X6)
    | p(X9)
    | p(X5) )).

cnf(i_0_10659,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk71_0 )).

cnf(i_0_10660,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_10661,axiom,
    ( p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_10662,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_10663,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_10664,axiom,
    ( esk108_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10665,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X6)
    | p(X5)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X8) )).

cnf(i_0_10666,axiom,
    ( ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10667,axiom,
    ( ~ esk179_0
    | ~ esk195_0 )).

cnf(i_0_10668,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10669,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X6) )).

cnf(i_0_10670,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_10671,axiom,
    ( ~ esk173_0
    | ~ esk163_0 )).

cnf(i_0_10672,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_10673,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10674,axiom,
    ( p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_10675,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_10676,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_10677,axiom,
    ( ~ esk178_0
    | ~ esk2_0 )).

cnf(i_0_10678,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk17_0 )).

cnf(i_0_10679,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | p(X5)
    | p(X2)
    | ~ p(X6)
    | p(X1) )).

cnf(i_0_10680,axiom,
    ( ~ esk179_0
    | ~ esk91_0 )).

cnf(i_0_10681,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_10682,axiom,
    ( ~ esk206_0
    | ~ esk184_0 )).

cnf(i_0_10683,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4) )).

cnf(i_0_10684,axiom,
    ( ~ esk165_0
    | ~ esk77_0 )).

cnf(i_0_10685,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_10686,axiom,
    ( ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X2)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_10687,axiom,
    ( esk238_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk159_0 )).

cnf(i_0_10688,axiom,
    ( ~ esk83_0
    | ~ esk17_0 )).

cnf(i_0_10689,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_10690,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_10691,axiom,
    ( ~ esk84_0
    | ~ esk40_0 )).

cnf(i_0_10692,axiom,
    ( p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X7)
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_10693,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10694,axiom,
    ( ~ esk167_0
    | ~ esk173_0 )).

cnf(i_0_10695,axiom,
    ( ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X5) )).

cnf(i_0_10696,axiom,
    ( ~ esk121_0
    | ~ esk143_0 )).

cnf(i_0_10697,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_10698,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_10699,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_10700,axiom,
    ( ~ p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10701,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X7) )).

cnf(i_0_10702,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_10703,axiom,
    ( ~ esk84_0
    | ~ esk18_0 )).

cnf(i_0_10704,axiom,
    ( p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_10705,axiom,
    ( p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_10706,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | p(X8)
    | p(X7) )).

cnf(i_0_10707,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_10708,axiom,
    ( esk215_0
    | esk205_0
    | esk213_0
    | esk217_0
    | esk207_0
    | esk211_0
    | esk201_0
    | esk199_0
    | esk209_0
    | ~ esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk203_0 )).

cnf(i_0_10709,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X6) )).

cnf(i_0_10710,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_10711,axiom,
    ( ~ esk24_0
    | ~ esk26_0 )).

cnf(i_0_10712,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_10713,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_10714,axiom,
    ( p(X5)
    | p(X7)
    | p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X10) )).

cnf(i_0_10715,axiom,
    ( ~ p(X3)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10716,axiom,
    ( p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_10717,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1) )).

cnf(i_0_10718,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X4)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_10719,axiom,
    ( ~ esk45_0
    | ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10720,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10721,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_10722,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_10723,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_10724,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_10725,axiom,
    ( ~ esk138_0
    | ~ esk28_0 )).

cnf(i_0_10726,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10727,axiom,
    ( p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_10728,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_10729,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_10730,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X2) )).

cnf(i_0_10731,axiom,
    ( p(X2)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_10732,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_10733,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_10734,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X1)
    | p(X2)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_10735,axiom,
    ( ~ esk160_0
    | ~ esk182_0 )).

cnf(i_0_10736,axiom,
    ( ~ esk67_0
    | ~ esk111_0 )).

cnf(i_0_10737,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_10738,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_10739,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_10740,axiom,
    ( p(X3)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_10741,axiom,
    ( ~ esk162_0
    | ~ esk166_0 )).

cnf(i_0_10742,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X8) )).

cnf(i_0_10743,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X2) )).

cnf(i_0_10744,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10745,axiom,
    ( p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_10746,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_10747,axiom,
    ( ~ esk56_0
    | ~ esk52_0 )).

cnf(i_0_10748,axiom,
    ( p(X8)
    | p(X2)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_10749,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10750,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_10751,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X5)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10) )).

cnf(i_0_10752,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7) )).

cnf(i_0_10753,axiom,
    ( ~ esk62_0
    | ~ esk150_0 )).

cnf(i_0_10754,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_10755,axiom,
    ( p(X3)
    | p(X1)
    | p(X5)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_10756,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | p(X8)
    | p(X1) )).

cnf(i_0_10757,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_10758,axiom,
    ( ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X6) )).

cnf(i_0_10759,axiom,
    ( ~ p(X9)
    | p(X7)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X2) )).

cnf(i_0_10760,axiom,
    ( p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X6) )).

cnf(i_0_10761,axiom,
    ( p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_10762,axiom,
    ( ~ esk149_0
    | ~ esk133_0 )).

cnf(i_0_10763,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_10764,axiom,
    ( ~ esk220_0
    | ~ esk208_0 )).

cnf(i_0_10765,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_10766,axiom,
    ( ~ p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_10767,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_10768,axiom,
    ( p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X1) )).

cnf(i_0_10769,axiom,
    ( p(X7)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | p(X10)
    | p(X9) )).

cnf(i_0_10770,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | p(X2)
    | p(X3) )).

cnf(i_0_10771,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | p(X9)
    | p(X4)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_10772,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | p(X2) )).

cnf(i_0_10773,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10774,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_10775,axiom,
    ( ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_10776,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_10777,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_10778,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_10779,axiom,
    ( ~ esk47_0
    | ~ esk69_0 )).

cnf(i_0_10780,axiom,
    ( ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_10781,axiom,
    ( ~ esk72_0
    | ~ esk74_0 )).

cnf(i_0_10782,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_10783,axiom,
    ( p(X6)
    | p(X2)
    | p(X8)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_10784,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | p(X8)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X5) )).

cnf(i_0_10785,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_10786,axiom,
    ( p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_10787,axiom,
    ( ~ esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk42_0 )).

cnf(i_0_10788,axiom,
    ( ~ esk47_0
    | esk223_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10789,axiom,
    ( p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X4)
    | p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_10790,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X5)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_10791,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_10792,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10793,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10794,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7) )).

cnf(i_0_10795,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_10796,axiom,
    ( ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X9) )).

cnf(i_0_10797,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_10798,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_10799,axiom,
    ( p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_10800,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_10801,axiom,
    ( ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X8)
    | p(X10)
    | p(X3)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_10802,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_10803,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_10804,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_10805,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10806,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | p(X9)
    | p(X5)
    | p(X6) )).

cnf(i_0_10807,axiom,
    ( p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_10808,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_10809,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_10810,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_10811,axiom,
    ( ~ esk135_0
    | ~ esk3_0 )).

cnf(i_0_10812,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10813,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10814,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10815,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_10816,axiom,
    ( ~ esk207_0
    | ~ esk203_0 )).

cnf(i_0_10817,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_10818,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_10819,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_10820,axiom,
    ( p(X6)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_10821,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_10822,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_10823,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_10824,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_10825,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_10826,axiom,
    ( p(X9)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_10827,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X2)
    | p(X8)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_10828,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | p(X9) )).

cnf(i_0_10829,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_10830,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8) )).

cnf(i_0_10831,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | p(X2) )).

cnf(i_0_10832,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_10833,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_10834,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X5)
    | p(X6)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_10835,axiom,
    ( ~ esk113_0
    | ~ esk69_0 )).

cnf(i_0_10836,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | p(X8) )).

cnf(i_0_10837,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_10838,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_10839,axiom,
    ( ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10840,axiom,
    ( p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_10841,axiom,
    ( ~ esk89_0
    | ~ esk107_0 )).

cnf(i_0_10842,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X5) )).

cnf(i_0_10843,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10844,axiom,
    ( p(X5)
    | p(X1)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_10845,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X5) )).

cnf(i_0_10846,axiom,
    ( p(X7)
    | p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_10847,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_10848,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_10849,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk189_0 )).

cnf(i_0_10850,axiom,
    ( p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_10851,axiom,
    ( ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10852,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X9)
    | p(X6) )).

cnf(i_0_10853,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_10854,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_10855,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X9)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10856,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_10857,axiom,
    ( p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10858,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_10859,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_10860,axiom,
    ( ~ esk102_0
    | ~ esk146_0 )).

cnf(i_0_10861,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_10862,axiom,
    ( ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10863,axiom,
    ( p(X6)
    | p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_10864,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X4) )).

cnf(i_0_10865,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_10866,axiom,
    ( p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_10867,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_10868,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_10869,axiom,
    ( ~ esk101_0
    | ~ esk211_0 )).

cnf(i_0_10870,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3) )).

cnf(i_0_10871,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X9) )).

cnf(i_0_10872,axiom,
    ( ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10873,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_10874,axiom,
    ( p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_10875,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_10876,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | p(X4) )).

cnf(i_0_10877,axiom,
    ( ~ esk182_0
    | ~ esk190_0 )).

cnf(i_0_10878,axiom,
    ( ~ esk67_0
    | ~ esk23_0 )).

cnf(i_0_10879,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X7) )).

cnf(i_0_10880,axiom,
    ( ~ esk185_0
    | ~ esk9_0 )).

cnf(i_0_10881,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10882,axiom,
    ( p(X3)
    | p(X7)
    | p(X5)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_10883,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_10884,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X5) )).

cnf(i_0_10885,axiom,
    ( p(X5)
    | p(X6)
    | p(X3)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | p(X7) )).

cnf(i_0_10886,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_10887,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X9) )).

cnf(i_0_10888,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_10889,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_10890,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_10891,axiom,
    ( ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X9) )).

cnf(i_0_10892,axiom,
    ( p(X9)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_10893,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10894,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_10895,axiom,
    ( p(X6)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_10896,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_10897,axiom,
    ( ~ esk146_0
    | ~ esk154_0 )).

cnf(i_0_10898,axiom,
    ( ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | p(X3)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_10899,axiom,
    ( ~ esk165_0
    | ~ esk267_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10900,axiom,
    ( p(X1)
    | p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_10901,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X4) )).

cnf(i_0_10902,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X9)
    | p(X7)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X8)
    | p(X5) )).

cnf(i_0_10903,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_10904,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_10905,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_10906,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_10907,axiom,
    ( ~ esk165_0
    | ~ esk11_0 )).

cnf(i_0_10908,axiom,
    ( ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_10909,axiom,
    ( p(X1)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_10910,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X4) )).

cnf(i_0_10911,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_10912,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_10913,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_10914,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10915,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_10916,axiom,
    ( ~ esk131_0
    | ~ esk109_0 )).

cnf(i_0_10917,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X10) )).

cnf(i_0_10918,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_10919,axiom,
    ( ~ esk11_0
    | ~ esk143_0 )).

cnf(i_0_10920,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_10921,axiom,
    ( p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_10922,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_10923,axiom,
    ( p(X5)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1) )).

cnf(i_0_10924,axiom,
    ( p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_10925,axiom,
    ( p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_10926,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_10927,axiom,
    ( ~ esk95_0
    | ~ esk97_0 )).

cnf(i_0_10928,axiom,
    ( ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | p(X1) )).

cnf(i_0_10929,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X8)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X7) )).

cnf(i_0_10930,axiom,
    ( p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_10931,axiom,
    ( p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_10932,axiom,
    ( ~ esk148_0
    | ~ esk153_0 )).

cnf(i_0_10933,axiom,
    ( ~ esk13_0
    | ~ esk101_0 )).

cnf(i_0_10934,axiom,
    ( p(X2)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_10935,axiom,
    ( ~ esk41_0
    | ~ esk85_0 )).

cnf(i_0_10936,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X6)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_10937,axiom,
    ( ~ esk173_0
    | ~ esk217_0 )).

cnf(i_0_10938,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_10939,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10940,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10941,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2) )).

cnf(i_0_10942,axiom,
    ( p(X7)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X3)
    | p(X1) )).

cnf(i_0_10943,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_10944,axiom,
    ( p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_10945,axiom,
    ( p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_10946,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_10947,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_10948,axiom,
    ( ~ esk53_0
    | ~ esk51_0 )).

cnf(i_0_10949,axiom,
    ( ~ esk101_0
    | esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10950,axiom,
    ( p(X3)
    | p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_10951,axiom,
    ( ~ esk118_0
    | ~ esk120_0 )).

cnf(i_0_10952,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X10)
    | p(X2) )).

cnf(i_0_10953,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_10954,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_10955,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_10956,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_10957,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_10958,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X6) )).

cnf(i_0_10959,axiom,
    ( p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_10960,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | p(X5) )).

cnf(i_0_10961,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | p(X4) )).

cnf(i_0_10962,axiom,
    ( p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X2)
    | p(X7)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_10963,axiom,
    ( p(X2)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X10) )).

cnf(i_0_10964,axiom,
    ( p(X10)
    | p(X8)
    | p(X4)
    | p(X6)
    | p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_10965,axiom,
    ( p(X1)
    | p(X10)
    | p(X7)
    | p(X2)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X4) )).

cnf(i_0_10966,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X6)
    | p(X8) )).

cnf(i_0_10967,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_10968,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_10969,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_10970,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_10971,axiom,
    ( ~ p(X8)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_10972,axiom,
    ( p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | p(X3)
    | p(X8) )).

cnf(i_0_10973,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10974,axiom,
    ( ~ esk88_0
    | ~ esk74_0 )).

cnf(i_0_10975,axiom,
    ( ~ esk181_0
    | ~ esk195_0 )).

cnf(i_0_10976,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_10977,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_10978,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_10979,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_10980,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10981,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_10982,axiom,
    ( ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_10983,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_10984,axiom,
    ( ~ esk99_0
    | ~ esk105_0 )).

cnf(i_0_10985,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_10986,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_10987,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10988,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_10989,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_10990,axiom,
    ( ~ esk101_0
    | ~ esk93_0 )).

cnf(i_0_10991,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X9) )).

cnf(i_0_10992,axiom,
    ( p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_10993,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_10994,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_10995,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10996,axiom,
    ( p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X7)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X3) )).

cnf(i_0_10997,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10998,axiom,
    ( ~ esk61_0
    | ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_10999,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_11000,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_11001,axiom,
    ( p(X4)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_11002,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_11003,axiom,
    ( ~ esk63_0
    | ~ esk49_0 )).

cnf(i_0_11004,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_11005,axiom,
    ( p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_11006,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11007,axiom,
    ( ~ esk64_0
    | ~ esk51_0 )).

cnf(i_0_11008,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_11009,axiom,
    ( p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11010,axiom,
    ( p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_11011,axiom,
    ( ~ p(X3)
    | p(X8)
    | p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_11012,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_11013,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11014,axiom,
    ( ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11015,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_11016,axiom,
    ( ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_11017,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_11018,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_11019,axiom,
    ( ~ esk30_0
    | ~ esk206_0 )).

cnf(i_0_11020,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11021,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_11022,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X8)
    | p(X5)
    | p(X10) )).

cnf(i_0_11023,axiom,
    ( ~ esk124_0
    | ~ esk116_0 )).

cnf(i_0_11024,axiom,
    ( p(X1)
    | p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X6) )).

cnf(i_0_11025,axiom,
    ( p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_11026,axiom,
    ( p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_11027,axiom,
    ( ~ esk21_0
    | ~ esk65_0 )).

cnf(i_0_11028,axiom,
    ( ~ esk117_0
    | ~ esk130_0 )).

cnf(i_0_11029,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X10) )).

cnf(i_0_11030,axiom,
    ( ~ p(X4)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_11031,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_11032,axiom,
    ( p(X8)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_11033,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_11034,axiom,
    ( p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11035,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X8) )).

cnf(i_0_11036,axiom,
    ( ~ esk26_0
    | ~ esk28_0 )).

cnf(i_0_11037,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11038,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X4)
    | p(X7) )).

cnf(i_0_11039,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_11040,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_11041,axiom,
    ( ~ esk97_0
    | ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11042,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11043,axiom,
    ( p(X4)
    | p(X8)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_11044,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_11045,axiom,
    ( p(X8)
    | p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X5)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_11046,axiom,
    ( p(X7)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8) )).

cnf(i_0_11047,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_11048,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_11049,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_11050,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11051,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_11052,axiom,
    ( p(X9)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_11053,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_11054,axiom,
    ( ~ esk175_0
    | ~ esk153_0 )).

cnf(i_0_11055,axiom,
    ( ~ esk49_0
    | ~ esk159_0 )).

cnf(i_0_11056,axiom,
    ( ~ esk219_0
    | ~ esk210_0 )).

cnf(i_0_11057,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_11058,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_11059,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_11060,axiom,
    ( ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X2) )).

cnf(i_0_11061,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11062,axiom,
    ( ~ esk220_0
    | ~ esk202_0 )).

cnf(i_0_11063,axiom,
    ( ~ p(X1)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_11064,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_11065,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X5)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11066,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11067,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11068,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_11069,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_11070,axiom,
    ( p(X2)
    | p(X4)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_11071,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_11072,axiom,
    ( ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11073,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_11074,axiom,
    ( p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_11075,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_11076,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11077,axiom,
    ( p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X7)
    | p(X2) )).

cnf(i_0_11078,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_11079,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_11080,axiom,
    ( ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_11081,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | p(X8)
    | p(X10) )).

cnf(i_0_11082,axiom,
    ( ~ esk83_0
    | ~ esk39_0 )).

cnf(i_0_11083,axiom,
    ( ~ esk61_0
    | ~ esk83_0 )).

cnf(i_0_11084,axiom,
    ( p(X7)
    | ~ p(X2)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_11085,axiom,
    ( p(X6)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | p(X2)
    | p(X8)
    | ~ p(X7) )).

cnf(i_0_11086,axiom,
    ( p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11087,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X9)
    | p(X10)
    | p(X3)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_11088,axiom,
    ( ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_11089,axiom,
    ( p(X2)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_11090,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | p(X6) )).

cnf(i_0_11091,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X9) )).

cnf(i_0_11092,axiom,
    ( p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_11093,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_11094,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_11095,axiom,
    ( p(X2)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_11096,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_11097,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_11098,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11099,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X6) )).

cnf(i_0_11100,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X7) )).

cnf(i_0_11101,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X2) )).

cnf(i_0_11102,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_11103,axiom,
    ( ~ esk39_0
    | ~ esk105_0 )).

cnf(i_0_11104,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_11105,axiom,
    ( p(X8)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_11106,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_11107,axiom,
    ( ~ esk60_0
    | ~ esk56_0 )).

cnf(i_0_11108,axiom,
    ( ~ p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X6) )).

cnf(i_0_11109,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_11110,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_11111,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_11112,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_11113,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | p(X7) )).

cnf(i_0_11114,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_11115,axiom,
    ( ~ esk36_0
    | ~ esk14_0 )).

cnf(i_0_11116,axiom,
    ( ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_11117,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_11118,axiom,
    ( p(X1)
    | p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | p(X4) )).

cnf(i_0_11119,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11120,axiom,
    ( p(X1)
    | p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_11121,axiom,
    ( p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_11122,axiom,
    ( esk237_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk141_0 )).

cnf(i_0_11123,axiom,
    ( ~ p(X2)
    | p(X5)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | p(X3)
    | p(X6) )).

cnf(i_0_11124,axiom,
    ( ~ esk128_0
    | ~ esk124_0 )).

cnf(i_0_11125,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_11126,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_11127,axiom,
    ( ~ esk177_0
    | ~ esk187_0 )).

cnf(i_0_11128,axiom,
    ( ~ esk99_0
    | ~ esk121_0 )).

cnf(i_0_11129,axiom,
    ( ~ esk22_0
    | ~ esk16_0 )).

cnf(i_0_11130,axiom,
    ( p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_11131,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_11132,axiom,
    ( ~ esk37_0
    | ~ esk15_0 )).

cnf(i_0_11133,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | p(X2) )).

cnf(i_0_11134,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_11135,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_11136,axiom,
    ( p(X3)
    | p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_11137,axiom,
    ( ~ esk141_0
    | ~ esk207_0 )).

cnf(i_0_11138,axiom,
    ( p(X2)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_11139,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8) )).

cnf(i_0_11140,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_11141,axiom,
    ( p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_11142,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X4) )).

cnf(i_0_11143,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_11144,axiom,
    ( ~ p(X3)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_11145,axiom,
    ( ~ esk83_0
    | ~ esk149_0 )).

cnf(i_0_11146,axiom,
    ( ~ esk101_0
    | ~ esk91_0 )).

cnf(i_0_11147,axiom,
    ( p(X9)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_11148,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_11149,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_11150,axiom,
    ( p(X8)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X6) )).

cnf(i_0_11151,axiom,
    ( p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_11152,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_11153,axiom,
    ( p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_11154,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_11155,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11156,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_11157,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_11158,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11159,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_11160,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X1)
    | ~ p(X7)
    | p(X8)
    | p(X9) )).

cnf(i_0_11161,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11162,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_11163,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11164,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_11165,axiom,
    ( esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk205_0 )).

cnf(i_0_11166,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_11167,axiom,
    ( ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_11168,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X5)
    | p(X10) )).

cnf(i_0_11169,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_11170,axiom,
    ( p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_11171,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_11172,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_11173,axiom,
    ( ~ esk206_0
    | ~ esk220_0 )).

cnf(i_0_11174,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X3)
    | p(X8)
    | p(X2) )).

cnf(i_0_11175,axiom,
    ( p(X8)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_11176,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_11177,axiom,
    ( ~ esk63_0
    | ~ esk57_0 )).

cnf(i_0_11178,axiom,
    ( ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X10) )).

cnf(i_0_11179,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_11180,axiom,
    ( p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_11181,axiom,
    ( p(X3)
    | ~ p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_11182,axiom,
    ( ~ p(X7)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_11183,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | p(X9)
    | p(X5)
    | p(X3) )).

cnf(i_0_11184,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X4) )).

cnf(i_0_11185,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_11186,axiom,
    ( ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X3) )).

cnf(i_0_11187,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X6)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X9) )).

cnf(i_0_11188,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11189,axiom,
    ( ~ esk169_0
    | ~ esk167_0 )).

cnf(i_0_11190,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_11191,axiom,
    ( ~ esk17_0
    | ~ esk39_0 )).

cnf(i_0_11192,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_11193,axiom,
    ( p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_11194,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk213_0 )).

cnf(i_0_11195,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X3) )).

cnf(i_0_11196,axiom,
    ( ~ esk77_0
    | ~ esk187_0 )).

cnf(i_0_11197,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_11198,axiom,
    ( ~ esk198_0
    | ~ esk186_0 )).

cnf(i_0_11199,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11200,axiom,
    ( ~ p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_11201,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11202,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_11203,axiom,
    ( ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3)
    | p(X9)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_11204,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X3) )).

cnf(i_0_11205,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X1) )).

cnf(i_0_11206,axiom,
    ( ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_11207,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_11208,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_11209,axiom,
    ( ~ esk195_0
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11210,axiom,
    ( ~ esk156_0
    | ~ esk2_0 )).

cnf(i_0_11211,axiom,
    ( p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_11212,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X1) )).

cnf(i_0_11213,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_11214,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_11215,axiom,
    ( ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_11216,axiom,
    ( ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X5)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_11217,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_11218,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X3) )).

cnf(i_0_11219,axiom,
    ( ~ esk9_0
    | ~ esk17_0 )).

cnf(i_0_11220,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X8)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_11221,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X3)
    | p(X7)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | p(X1)
    | p(X8) )).

cnf(i_0_11222,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11223,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_11224,axiom,
    ( p(X6)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_11225,axiom,
    ( ~ esk155_0
    | ~ esk89_0 )).

cnf(i_0_11226,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_11227,axiom,
    ( ~ esk169_0
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11228,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_11229,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_11230,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X4) )).

cnf(i_0_11231,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | p(X9) )).

cnf(i_0_11232,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_11233,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_11234,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X6) )).

cnf(i_0_11235,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_11236,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_11237,axiom,
    ( ~ esk148_0
    | ~ esk150_0 )).

cnf(i_0_11238,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X7)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_11239,axiom,
    ( ~ p(X5)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | p(X4)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_11240,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | p(X8) )).

cnf(i_0_11241,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_11242,axiom,
    ( p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_11243,axiom,
    ( ~ esk10_0
    | ~ esk2_0 )).

cnf(i_0_11244,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_11245,axiom,
    ( ~ esk132_0
    | ~ esk128_0 )).

cnf(i_0_11246,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X1) )).

cnf(i_0_11247,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_11248,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11249,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_11250,axiom,
    ( ~ esk190_0
    | ~ esk197_0 )).

cnf(i_0_11251,axiom,
    ( p(X1)
    | p(X6)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_11252,axiom,
    ( p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_11253,axiom,
    ( p(X6)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_11254,axiom,
    ( ~ p(X10)
    | p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11255,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk213_0 )).

cnf(i_0_11256,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | p(X6)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_11257,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X8)
    | p(X4) )).

cnf(i_0_11258,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11259,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_11260,axiom,
    ( p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11261,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X4) )).

cnf(i_0_11262,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_11263,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_11264,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk47_0 )).

cnf(i_0_11265,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X8)
    | p(X2) )).

cnf(i_0_11266,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11267,axiom,
    ( ~ esk27_0
    | ~ esk31_0 )).

cnf(i_0_11268,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_11269,axiom,
    ( ~ esk103_0
    | ~ esk59_0 )).

cnf(i_0_11270,axiom,
    ( p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_11271,axiom,
    ( esk75_0
    | esk207_0
    | esk53_0
    | esk163_0
    | esk31_0
    | esk119_0
    | esk9_0
    | esk185_0
    | esk97_0
    | esk141_0
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11272,axiom,
    ( p(X1)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | p(X8) )).

cnf(i_0_11273,axiom,
    ( p(X10)
    | p(X3)
    | p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X7) )).

cnf(i_0_11274,axiom,
    ( ~ esk97_0
    | ~ esk101_0 )).

cnf(i_0_11275,axiom,
    ( ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_11276,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_11277,axiom,
    ( p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_11278,axiom,
    ( p(X6)
    | ~ p(X4)
    | p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11279,axiom,
    ( p(X4)
    | p(X9)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11280,axiom,
    ( ~ esk3_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11281,axiom,
    ( esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk9_0 )).

cnf(i_0_11282,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_11283,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk185_0 )).

cnf(i_0_11284,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11285,axiom,
    ( p(X5)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11286,axiom,
    ( ~ esk102_0
    | ~ esk106_0 )).

cnf(i_0_11287,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_11288,axiom,
    ( ~ esk140_0
    | ~ esk138_0 )).

cnf(i_0_11289,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11290,axiom,
    ( p(X7)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_11291,axiom,
    ( p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | p(X8)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11292,axiom,
    ( ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_11293,axiom,
    ( p(X2)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_11294,axiom,
    ( esk227_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk209_0 )).

cnf(i_0_11295,axiom,
    ( ~ esk18_0
    | ~ esk21_0 )).

cnf(i_0_11296,axiom,
    ( p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_11297,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_11298,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_11299,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X7) )).

cnf(i_0_11300,axiom,
    ( ~ esk210_0
    | ~ esk204_0 )).

cnf(i_0_11301,axiom,
    ( ~ esk71_0
    | ~ esk27_0 )).

cnf(i_0_11302,axiom,
    ( ~ esk171_0
    | ~ esk155_0 )).

cnf(i_0_11303,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_11304,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11305,axiom,
    ( p(X2)
    | p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_11306,axiom,
    ( ~ esk46_0
    | ~ esk66_0 )).

cnf(i_0_11307,axiom,
    ( p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X9) )).

cnf(i_0_11308,axiom,
    ( esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk177_0 )).

cnf(i_0_11309,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_11310,axiom,
    ( ~ esk18_0
    | ~ esk40_0 )).

cnf(i_0_11311,axiom,
    ( ~ esk190_0
    | ~ esk194_0 )).

cnf(i_0_11312,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_11313,axiom,
    ( ~ esk212_0
    | ~ esk202_0 )).

cnf(i_0_11314,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_11315,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11316,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11317,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_11318,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_11319,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X2)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_11320,axiom,
    ( ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X2) )).

cnf(i_0_11321,axiom,
    ( p(X7)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_11322,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_11323,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X10) )).

cnf(i_0_11324,axiom,
    ( p(X2)
    | ~ p(X6)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11325,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X6) )).

cnf(i_0_11326,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5) )).

cnf(i_0_11327,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X10) )).

cnf(i_0_11328,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_11329,axiom,
    ( ~ esk167_0
    | ~ esk161_0 )).

cnf(i_0_11330,axiom,
    ( ~ esk105_0
    | ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11331,axiom,
    ( ~ esk216_0
    | ~ esk194_0 )).

cnf(i_0_11332,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11333,axiom,
    ( ~ esk118_0
    | ~ esk114_0 )).

cnf(i_0_11334,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_11335,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | p(X6) )).

cnf(i_0_11336,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11337,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5) )).

cnf(i_0_11338,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_11339,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_11340,axiom,
    ( ~ esk146_0
    | ~ esk168_0 )).

cnf(i_0_11341,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_11342,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_11343,axiom,
    ( ~ p(X1)
    | p(X6)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_11344,axiom,
    ( p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_11345,axiom,
    ( ~ esk77_0
    | ~ esk83_0 )).

cnf(i_0_11346,axiom,
    ( ~ p(X6)
    | p(X3)
    | p(X9)
    | ~ p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_11347,axiom,
    ( ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X9)
    | p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_11348,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_11349,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11350,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11351,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_11352,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_11353,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_11354,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_11355,axiom,
    ( p(X1)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_11356,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_11357,axiom,
    ( p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_11358,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X5)
    | p(X8)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X10) )).

cnf(i_0_11359,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_11360,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X8) )).

cnf(i_0_11361,axiom,
    ( ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X7) )).

cnf(i_0_11362,axiom,
    ( p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11363,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_11364,axiom,
    ( p(X5)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X10)
    | p(X9)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_11365,axiom,
    ( p(X1)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11366,axiom,
    ( ~ p(X8)
    | p(X9)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_11367,axiom,
    ( ~ esk204_0
    | ~ esk214_0 )).

cnf(i_0_11368,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_11369,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X8)
    | p(X1) )).

cnf(i_0_11370,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11371,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_11372,axiom,
    ( ~ esk23_0
    | ~ esk177_0 )).

cnf(i_0_11373,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_11374,axiom,
    ( ~ esk60_0
    | ~ esk46_0 )).

cnf(i_0_11375,axiom,
    ( ~ p(X7)
    | p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X9) )).

cnf(i_0_11376,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X6) )).

cnf(i_0_11377,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk215_0 )).

cnf(i_0_11378,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | p(X10) )).

cnf(i_0_11379,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_11380,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_11381,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11382,axiom,
    ( ~ esk139_0
    | ~ esk95_0 )).

cnf(i_0_11383,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | p(X1) )).

cnf(i_0_11384,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X6)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_11385,axiom,
    ( ~ esk76_0
    | ~ esk72_0 )).

cnf(i_0_11386,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_11387,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X7) )).

cnf(i_0_11388,axiom,
    ( p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X2)
    | p(X9)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_11389,axiom,
    ( ~ esk159_0
    | ~ esk181_0 )).

cnf(i_0_11390,axiom,
    ( ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_11391,axiom,
    ( ~ esk24_0
    | ~ esk30_0 )).

cnf(i_0_11392,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_11393,axiom,
    ( p(X2)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_11394,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_11395,axiom,
    ( p(X3)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_11396,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | p(X6)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_11397,axiom,
    ( p(X7)
    | ~ p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X2)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | p(X8) )).

cnf(i_0_11398,axiom,
    ( ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk11_0 )).

cnf(i_0_11399,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_11400,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X7) )).

cnf(i_0_11401,axiom,
    ( p(X6)
    | p(X9)
    | ~ p(X10)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11402,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | p(X5)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_11403,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_11404,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_11405,axiom,
    ( p(X3)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_11406,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_11407,axiom,
    ( ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_11408,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9) )).

cnf(i_0_11409,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_11410,axiom,
    ( ~ esk197_0
    | ~ esk198_0 )).

cnf(i_0_11411,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_11412,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_11413,axiom,
    ( ~ p(X4)
    | p(X5)
    | p(X7)
    | p(X8)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_11414,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11415,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X8)
    | p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10) )).

cnf(i_0_11416,axiom,
    ( p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_11417,axiom,
    ( ~ esk196_0
    | ~ esk187_0 )).

cnf(i_0_11418,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_11419,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | p(X1)
    | p(X7)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_11420,axiom,
    ( p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_11421,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11422,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_11423,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_11424,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_11425,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11426,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11427,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_11428,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X10)
    | ~ p(X5) )).

cnf(i_0_11429,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_11430,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X4)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_11431,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_11432,axiom,
    ( p(X4)
    | ~ p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_11433,axiom,
    ( ~ p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X4) )).

cnf(i_0_11434,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11435,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_11436,axiom,
    ( p(X3)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X5)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_11437,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_11438,axiom,
    ( p(X5)
    | p(X9)
    | p(X8)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11439,axiom,
    ( p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X2)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_11440,axiom,
    ( ~ esk157_0
    | ~ esk163_0 )).

cnf(i_0_11441,axiom,
    ( ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X10) )).

cnf(i_0_11442,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | p(X7)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8) )).

cnf(i_0_11443,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_11444,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_11445,axiom,
    ( p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_11446,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_11447,axiom,
    ( ~ esk103_0
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11448,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_11449,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_11450,axiom,
    ( p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X10)
    | p(X8) )).

cnf(i_0_11451,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6) )).

cnf(i_0_11452,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_11453,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | p(X5)
    | p(X7) )).

cnf(i_0_11454,axiom,
    ( ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X9) )).

cnf(i_0_11455,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11456,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11457,axiom,
    ( ~ esk53_0
    | ~ esk119_0 )).

cnf(i_0_11458,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11459,axiom,
    ( ~ p(X3)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X6) )).

cnf(i_0_11460,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X10)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11461,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X2)
    | p(X8)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_11462,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11463,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8) )).

cnf(i_0_11464,axiom,
    ( p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_11465,axiom,
    ( ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11466,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X5) )).

cnf(i_0_11467,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X10) )).

cnf(i_0_11468,axiom,
    ( ~ p(X7)
    | p(X2)
    | p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X9)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X5) )).

cnf(i_0_11469,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | p(X5)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X8) )).

cnf(i_0_11470,axiom,
    ( ~ esk92_0
    | ~ esk102_0 )).

cnf(i_0_11471,axiom,
    ( p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_11472,axiom,
    ( p(X6)
    | p(X5)
    | p(X10)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_11473,axiom,
    ( p(X3)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | p(X5) )).

cnf(i_0_11474,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | p(X8)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_11475,axiom,
    ( ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X3) )).

cnf(i_0_11476,axiom,
    ( p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_11477,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_11478,axiom,
    ( p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X7) )).

cnf(i_0_11479,axiom,
    ( ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X10) )).

cnf(i_0_11480,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_11481,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X10) )).

cnf(i_0_11482,axiom,
    ( p(X1)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_11483,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X7)
    | p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X10) )).

cnf(i_0_11484,axiom,
    ( ~ esk197_0
    | ~ esk43_0 )).

cnf(i_0_11485,axiom,
    ( ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_11486,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | p(X9) )).

cnf(i_0_11487,axiom,
    ( p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | p(X1)
    | p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5) )).

cnf(i_0_11488,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X3)
    | p(X5)
    | p(X7) )).

cnf(i_0_11489,axiom,
    ( ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_11490,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_11491,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | p(X4) )).

cnf(i_0_11492,axiom,
    ( ~ esk245_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk207_0 )).

cnf(i_0_11493,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_11494,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11495,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_11496,axiom,
    ( ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_11497,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_11498,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11499,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X5)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_11500,axiom,
    ( ~ esk7_0
    | ~ esk95_0 )).

cnf(i_0_11501,axiom,
    ( ~ esk17_0
    | ~ esk15_0 )).

cnf(i_0_11502,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_11503,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_11504,axiom,
    ( p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_11505,axiom,
    ( ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_11506,axiom,
    ( p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_11507,axiom,
    ( p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_11508,axiom,
    ( p(X7)
    | p(X10)
    | p(X6)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X4)
    | p(X5) )).

cnf(i_0_11509,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_11510,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_11511,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X7) )).

cnf(i_0_11512,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_11513,axiom,
    ( ~ p(X3)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_11514,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X7)
    | ~ p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X3) )).

cnf(i_0_11515,axiom,
    ( p(X2)
    | p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X6)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11516,axiom,
    ( ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_11517,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X4)
    | p(X3)
    | p(X8)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_11518,axiom,
    ( ~ esk112_0
    | ~ esk178_0 )).

cnf(i_0_11519,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4) )).

cnf(i_0_11520,axiom,
    ( ~ p(X10)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_11521,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_11522,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_11523,axiom,
    ( ~ esk91_0
    | ~ esk157_0 )).

cnf(i_0_11524,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_11525,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11526,axiom,
    ( p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_11527,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9) )).

cnf(i_0_11528,axiom,
    ( ~ esk137_0
    | ~ esk49_0 )).

cnf(i_0_11529,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_11530,axiom,
    ( p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_11531,axiom,
    ( p(X7)
    | p(X10)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_11532,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X1) )).

cnf(i_0_11533,axiom,
    ( ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_11534,axiom,
    ( p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_11535,axiom,
    ( p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_11536,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7) )).

cnf(i_0_11537,axiom,
    ( p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_11538,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | p(X1)
    | p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11539,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_11540,axiom,
    ( p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_11541,axiom,
    ( p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_11542,axiom,
    ( ~ esk36_0
    | ~ esk38_0 )).

cnf(i_0_11543,axiom,
    ( ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11544,axiom,
    ( p(X1)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_11545,axiom,
    ( ~ esk39_0
    | ~ esk61_0 )).

cnf(i_0_11546,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11547,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4) )).

cnf(i_0_11548,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | p(X3)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_11549,axiom,
    ( ~ esk134_0
    | ~ esk200_0 )).

cnf(i_0_11550,axiom,
    ( ~ esk111_0
    | ~ esk113_0 )).

cnf(i_0_11551,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_11552,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_11553,axiom,
    ( ~ esk37_0
    | ~ esk191_0 )).

cnf(i_0_11554,axiom,
    ( p(X2)
    | p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | p(X5)
    | p(X10)
    | p(X9)
    | p(X8)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11555,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X3)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_11556,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | p(X10) )).

cnf(i_0_11557,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_11558,axiom,
    ( ~ esk172_0
    | ~ esk164_0 )).

cnf(i_0_11559,axiom,
    ( ~ p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_11560,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_11561,axiom,
    ( ~ esk34_0
    | ~ esk44_0 )).

cnf(i_0_11562,axiom,
    ( p(X2)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X1) )).

cnf(i_0_11563,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_11564,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X8) )).

cnf(i_0_11565,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_11566,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_11567,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9) )).

cnf(i_0_11568,axiom,
    ( ~ esk153_0
    | ~ esk87_0 )).

cnf(i_0_11569,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11570,axiom,
    ( p(X3)
    | p(X5)
    | p(X8)
    | p(X4)
    | p(X10)
    | ~ p(X2)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_11571,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_11572,axiom,
    ( p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X10)
    | p(X6)
    | p(X8) )).

cnf(i_0_11573,axiom,
    ( ~ p(X9)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | p(X2)
    | p(X6)
    | p(X3)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11574,axiom,
    ( ~ esk191_0
    | ~ esk183_0 )).

cnf(i_0_11575,axiom,
    ( ~ esk195_0
    | ~ esk107_0 )).

cnf(i_0_11576,axiom,
    ( p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11577,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_11578,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_11579,axiom,
    ( ~ esk205_0
    | ~ esk73_0 )).

cnf(i_0_11580,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_11581,axiom,
    ( ~ esk136_0
    | ~ esk134_0 )).

cnf(i_0_11582,axiom,
    ( ~ esk104_0
    | ~ esk92_0 )).

cnf(i_0_11583,axiom,
    ( p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | p(X5) )).

cnf(i_0_11584,axiom,
    ( ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_11585,axiom,
    ( ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_11586,axiom,
    ( p(X7)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X6)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_11587,axiom,
    ( p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X6)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X4)
    | p(X7)
    | p(X5) )).

cnf(i_0_11588,axiom,
    ( p(X3)
    | p(X7)
    | p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_11589,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_11590,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11591,axiom,
    ( p(X6)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X8) )).

cnf(i_0_11592,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_11593,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X3) )).

cnf(i_0_11594,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11595,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_11596,axiom,
    ( ~ esk137_0
    | ~ esk133_0 )).

cnf(i_0_11597,axiom,
    ( ~ esk99_0
    | ~ esk93_0 )).

cnf(i_0_11598,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X4)
    | p(X5) )).

cnf(i_0_11599,axiom,
    ( p(X7)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4) )).

cnf(i_0_11600,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X8) )).

cnf(i_0_11601,axiom,
    ( ~ esk6_0
    | ~ esk138_0 )).

cnf(i_0_11602,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_11603,axiom,
    ( ~ esk63_0
    | ~ esk85_0 )).

cnf(i_0_11604,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_11605,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X8)
    | p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11606,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_11607,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11608,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X9)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_11609,axiom,
    ( ~ esk219_0
    | ~ esk153_0 )).

cnf(i_0_11610,axiom,
    ( p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_11611,axiom,
    ( ~ esk32_0
    | ~ esk142_0 )).

cnf(i_0_11612,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X8) )).

cnf(i_0_11613,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_11614,axiom,
    ( p(X6)
    | p(X1)
    | p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11615,axiom,
    ( ~ esk166_0
    | ~ esk188_0 )).

cnf(i_0_11616,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11617,axiom,
    ( p(X7)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_11618,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X5) )).

cnf(i_0_11619,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_11620,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X2)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11621,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_11622,axiom,
    ( ~ esk23_0
    | ~ esk33_0 )).

cnf(i_0_11623,axiom,
    ( ~ esk41_0
    | ~ esk29_0 )).

cnf(i_0_11624,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_11625,axiom,
    ( ~ esk15_0
    | ~ esk213_0 )).

cnf(i_0_11626,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X1)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X6) )).

cnf(i_0_11627,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_11628,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X8)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_11629,axiom,
    ( p(X8)
    | p(X2)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_11630,axiom,
    ( ~ esk101_0
    | ~ esk108_0 )).

cnf(i_0_11631,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2)
    | p(X7)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11632,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11633,axiom,
    ( ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | p(X3)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_11634,axiom,
    ( ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_11635,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X4) )).

cnf(i_0_11636,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X4)
    | p(X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_11637,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6) )).

cnf(i_0_11638,axiom,
    ( ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk15_0 )).

cnf(i_0_11639,axiom,
    ( p(X7)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | p(X3) )).

cnf(i_0_11640,axiom,
    ( p(X6)
    | p(X8)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_11641,axiom,
    ( ~ esk129_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11642,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_11643,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X1)
    | p(X2)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X8)
    | p(X4) )).

cnf(i_0_11644,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | p(X8)
    | p(X2) )).

cnf(i_0_11645,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_11646,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_11647,axiom,
    ( ~ esk4_0
    | ~ esk21_0 )).

cnf(i_0_11648,axiom,
    ( ~ p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | p(X8) )).

cnf(i_0_11649,axiom,
    ( ~ p(X6)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_11650,axiom,
    ( p(X5)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_11651,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_11652,axiom,
    ( ~ esk19_0
    | ~ esk9_0 )).

cnf(i_0_11653,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_11654,axiom,
    ( p(X4)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_11655,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_11656,axiom,
    ( p(X9)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11657,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | p(X8) )).

cnf(i_0_11658,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_11659,axiom,
    ( ~ esk68_0
    | ~ esk88_0 )).

cnf(i_0_11660,axiom,
    ( ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11661,axiom,
    ( ~ esk136_0
    | ~ esk202_0 )).

cnf(i_0_11662,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X3)
    | p(X4) )).

cnf(i_0_11663,axiom,
    ( ~ esk75_0
    | esk226_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11664,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_11665,axiom,
    ( ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_11666,axiom,
    ( esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_11667,axiom,
    ( ~ p(X5)
    | ~ p(X8)
    | ~ p(X3)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_11668,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_11669,axiom,
    ( ~ esk15_0
    | ~ esk125_0 )).

cnf(i_0_11670,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | ~ p(X9) )).

cnf(i_0_11671,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_11672,axiom,
    ( p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | p(X5) )).

cnf(i_0_11673,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_11674,axiom,
    ( p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_11675,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X7) )).

cnf(i_0_11676,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_11677,axiom,
    ( p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X8)
    | p(X3) )).

cnf(i_0_11678,axiom,
    ( p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_11679,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11680,axiom,
    ( ~ esk142_0
    | ~ esk148_0 )).

cnf(i_0_11681,axiom,
    ( ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_11682,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_11683,axiom,
    ( ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X7) )).

cnf(i_0_11684,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_11685,axiom,
    ( ~ p(X8)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_11686,axiom,
    ( ~ p(X4)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5) )).

cnf(i_0_11687,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ p(X7)
    | p(X8)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | p(X4)
    | p(X2) )).

cnf(i_0_11688,axiom,
    ( p(X7)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_11689,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X10)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X5) )).

cnf(i_0_11690,axiom,
    ( ~ p(X8)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_11691,axiom,
    ( ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_11692,axiom,
    ( p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_11693,axiom,
    ( ~ esk90_0
    | ~ esk46_0 )).

cnf(i_0_11694,axiom,
    ( ~ esk41_0
    | ~ esk25_0 )).

cnf(i_0_11695,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11696,axiom,
    ( ~ p(X7)
    | ~ p(X10)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X5) )).

cnf(i_0_11697,axiom,
    ( ~ esk129_0
    | ~ esk119_0 )).

cnf(i_0_11698,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_11699,axiom,
    ( p(X2)
    | p(X9)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_11700,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X2)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X1)
    | p(X7) )).

cnf(i_0_11701,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X9)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_11702,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X7) )).

cnf(i_0_11703,axiom,
    ( ~ esk23_0
    | ~ esk45_0 )).

cnf(i_0_11704,axiom,
    ( ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_11705,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X7)
    | p(X2)
    | p(X9) )).

cnf(i_0_11706,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X4) )).

cnf(i_0_11707,axiom,
    ( ~ esk133_0
    | ~ esk147_0 )).

cnf(i_0_11708,axiom,
    ( p(X3)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_11709,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X10)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_11710,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5)
    | p(X8) )).

cnf(i_0_11711,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_11712,axiom,
    ( ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_11713,axiom,
    ( ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11714,axiom,
    ( ~ p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X7)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_11715,axiom,
    ( ~ esk154_0
    | ~ esk144_0 )).

cnf(i_0_11716,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_11717,axiom,
    ( ~ esk190_0
    | ~ esk178_0 )).

cnf(i_0_11718,axiom,
    ( p(X1)
    | p(X9)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11719,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X10)
    | p(X9)
    | p(X2)
    | p(X3) )).

cnf(i_0_11720,axiom,
    ( p(X2)
    | p(X7)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_11721,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_11722,axiom,
    ( p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_11723,axiom,
    ( p(X9)
    | ~ p(X2)
    | p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_11724,axiom,
    ( ~ p(X3)
    | ~ p(X8)
    | ~ p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X5) )).

cnf(i_0_11725,axiom,
    ( ~ esk17_0
    | ~ esk19_0 )).

cnf(i_0_11726,axiom,
    ( ~ esk113_0
    | ~ esk91_0 )).

cnf(i_0_11727,axiom,
    ( p(X5)
    | p(X2)
    | p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_11728,axiom,
    ( p(X2)
    | p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11729,axiom,
    ( ~ esk118_0
    | ~ esk184_0 )).

cnf(i_0_11730,axiom,
    ( ~ esk55_0
    | ~ esk61_0 )).

cnf(i_0_11731,axiom,
    ( ~ esk173_0
    | ~ esk129_0 )).

cnf(i_0_11732,axiom,
    ( p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | p(X2)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_11733,axiom,
    ( ~ esk182_0
    | ~ esk178_0 )).

cnf(i_0_11734,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_11735,axiom,
    ( ~ p(X7)
    | p(X5)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_11736,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_11737,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7) )).

cnf(i_0_11738,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_11739,axiom,
    ( p(X3)
    | p(X6)
    | ~ p(X9)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_11740,axiom,
    ( ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_11741,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X10)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11742,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6) )).

cnf(i_0_11743,axiom,
    ( ~ esk188_0
    | ~ esk192_0 )).

cnf(i_0_11744,axiom,
    ( ~ esk60_0
    | ~ esk82_0 )).

cnf(i_0_11745,axiom,
    ( ~ p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11746,axiom,
    ( p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | p(X3) )).

cnf(i_0_11747,axiom,
    ( p(X5)
    | p(X10)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_11748,axiom,
    ( ~ esk48_0
    | ~ esk56_0 )).

cnf(i_0_11749,axiom,
    ( esk20_0
    | esk222_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk280_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11750,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11751,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_11752,axiom,
    ( p(X5)
    | p(X3)
    | p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11753,axiom,
    ( p(X1)
    | p(X9)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X10)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_11754,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk199_0 )).

cnf(i_0_11755,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk248_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11756,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X1)
    | p(X2) )).

cnf(i_0_11757,axiom,
    ( ~ p(X7)
    | p(X8)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_11758,axiom,
    ( ~ esk97_0
    | ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11759,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11760,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_11761,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X4) )).

cnf(i_0_11762,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X3)
    | ~ p(X9)
    | p(X6)
    | p(X5)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11763,axiom,
    ( ~ esk142_0
    | ~ esk140_0 )).

cnf(i_0_11764,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X6) )).

cnf(i_0_11765,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk31_0 )).

cnf(i_0_11766,axiom,
    ( ~ p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11767,axiom,
    ( p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_11768,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X6) )).

cnf(i_0_11769,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X10)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11770,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X2)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_11771,axiom,
    ( ~ esk102_0
    | ~ esk94_0 )).

cnf(i_0_11772,axiom,
    ( p(X5)
    | ~ p(X7)
    | p(X9)
    | p(X4)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_11773,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_11774,axiom,
    ( p(X2)
    | p(X5)
    | p(X9)
    | p(X3)
    | p(X10)
    | p(X7)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_11775,axiom,
    ( ~ p(X6)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_11776,axiom,
    ( p(X3)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_11777,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X8)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | p(X1) )).

cnf(i_0_11778,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7) )).

cnf(i_0_11779,axiom,
    ( p(X9)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_11780,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11781,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | ~ p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8) )).

cnf(i_0_11782,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11783,axiom,
    ( esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk177_0 )).

cnf(i_0_11784,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X9)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_11785,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X8) )).

cnf(i_0_11786,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_11787,axiom,
    ( ~ p(X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_11788,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_11789,axiom,
    ( ~ p(X1)
    | p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_11790,axiom,
    ( ~ esk37_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11791,axiom,
    ( p(X7)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2) )).

cnf(i_0_11792,axiom,
    ( ~ p(X8)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | p(X7) )).

cnf(i_0_11793,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | p(X3)
    | p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_11794,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X10)
    | ~ p(X8)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X6) )).

cnf(i_0_11795,axiom,
    ( ~ esk189_0
    | ~ esk57_0 )).

cnf(i_0_11796,axiom,
    ( p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_11797,axiom,
    ( ~ esk219_0
    | ~ esk214_0 )).

cnf(i_0_11798,axiom,
    ( p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X2) )).

cnf(i_0_11799,axiom,
    ( p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_11800,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | p(X2) )).

cnf(i_0_11801,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | p(X5) )).

cnf(i_0_11802,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11803,axiom,
    ( ~ esk125_0
    | ~ esk129_0 )).

cnf(i_0_11804,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | p(X8)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_11805,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk55_0 )).

cnf(i_0_11806,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X10)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X5)
    | p(X4)
    | p(X6) )).

cnf(i_0_11807,axiom,
    ( esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk111_0 )).

cnf(i_0_11808,axiom,
    ( p(X10)
    | ~ p(X5)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X3) )).

cnf(i_0_11809,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X10) )).

cnf(i_0_11810,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_11811,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_11812,axiom,
    ( p(X1)
    | p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_11813,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11814,axiom,
    ( p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_11815,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_11816,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X9)
    | p(X7)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X6) )).

cnf(i_0_11817,axiom,
    ( p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X3)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_11818,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_11819,axiom,
    ( ~ esk14_0
    | ~ esk80_0 )).

cnf(i_0_11820,axiom,
    ( ~ p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_11821,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_11822,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_11823,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8) )).

cnf(i_0_11824,axiom,
    ( p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X9)
    | p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_11825,axiom,
    ( ~ p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X1)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_11826,axiom,
    ( ~ esk151_0
    | ~ esk152_0 )).

cnf(i_0_11827,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9) )).

cnf(i_0_11828,axiom,
    ( ~ esk212_0
    | ~ esk102_0 )).

cnf(i_0_11829,axiom,
    ( ~ esk53_0
    | ~ esk49_0 )).

cnf(i_0_11830,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_11831,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_11832,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X6)
    | p(X5) )).

cnf(i_0_11833,axiom,
    ( ~ esk215_0
    | ~ esk203_0 )).

cnf(i_0_11834,axiom,
    ( p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_11835,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11836,axiom,
    ( p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11837,axiom,
    ( ~ p(X1)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_11838,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_11839,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_11840,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | p(X6)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X3) )).

cnf(i_0_11841,axiom,
    ( ~ esk35_0
    | ~ esk167_0 )).

cnf(i_0_11842,axiom,
    ( p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | p(X7) )).

cnf(i_0_11843,axiom,
    ( ~ p(X6)
    | ~ p(X7)
    | p(X2)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | p(X1)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_11844,axiom,
    ( p(X3)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X4) )).

cnf(i_0_11845,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | p(X10)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_11846,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X3)
    | p(X6)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_11847,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X2) )).

cnf(i_0_11848,axiom,
    ( ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | p(X10)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_11849,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X6)
    | p(X10)
    | p(X2) )).

cnf(i_0_11850,axiom,
    ( p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_11851,axiom,
    ( p(X10)
    | p(X9)
    | p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7)
    | ~ p(X8)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_11852,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk137_0 )).

cnf(i_0_11853,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | p(X8)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11854,axiom,
    ( p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | p(X8)
    | p(X9) )).

cnf(i_0_11855,axiom,
    ( ~ esk70_0
    | ~ esk48_0 )).

cnf(i_0_11856,axiom,
    ( ~ p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_11857,axiom,
    ( ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk75_0 )).

cnf(i_0_11858,axiom,
    ( ~ esk4_0
    | ~ esk16_0 )).

cnf(i_0_11859,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_11860,axiom,
    ( p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_11861,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11862,axiom,
    ( ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_11863,axiom,
    ( p(X7)
    | p(X4)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_11864,axiom,
    ( ~ p(X5)
    | p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | ~ p(X3) )).

cnf(i_0_11865,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk1_0 )).

cnf(i_0_11866,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11867,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_11868,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | p(X2)
    | p(X7)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11869,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_11870,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X6)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_11871,axiom,
    ( p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | ~ p(X6) )).

cnf(i_0_11872,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk79_0 )).

cnf(i_0_11873,axiom,
    ( ~ esk38_0
    | ~ esk126_0 )).

cnf(i_0_11874,axiom,
    ( p(X5)
    | ~ p(X2)
    | p(X9)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11875,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X6) )).

cnf(i_0_11876,axiom,
    ( ~ esk127_0
    | ~ esk121_0 )).

cnf(i_0_11877,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11878,axiom,
    ( ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_11879,axiom,
    ( p(X10)
    | p(X5)
    | p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_11880,axiom,
    ( ~ esk106_0
    | ~ esk104_0 )).

cnf(i_0_11881,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X2) )).

cnf(i_0_11882,axiom,
    ( p(X8)
    | p(X10)
    | p(X7)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_11883,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_11884,axiom,
    ( ~ esk125_0
    | ~ esk191_0 )).

cnf(i_0_11885,axiom,
    ( p(X7)
    | p(X4)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_11886,axiom,
    ( ~ esk137_0
    | ~ esk143_0 )).

cnf(i_0_11887,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4)
    | p(X9)
    | p(X5) )).

cnf(i_0_11888,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | p(X1)
    | p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11889,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | p(X6) )).

cnf(i_0_11890,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_11891,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_11892,axiom,
    ( ~ esk169_0
    | ~ esk213_0 )).

cnf(i_0_11893,axiom,
    ( ~ esk9_0
    | ~ esk7_0 )).

cnf(i_0_11894,axiom,
    ( ~ esk155_0
    | ~ esk169_0 )).

cnf(i_0_11895,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_11896,axiom,
    ( ~ esk59_0
    | ~ esk81_0 )).

cnf(i_0_11897,axiom,
    ( ~ esk178_0
    | ~ esk180_0 )).

cnf(i_0_11898,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X3)
    | p(X9)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_11899,axiom,
    ( ~ p(X8)
    | p(X4)
    | p(X9)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11900,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11901,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_11902,axiom,
    ( p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6) )).

cnf(i_0_11903,axiom,
    ( p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_11904,axiom,
    ( p(X8)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_11905,axiom,
    ( p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X7)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X3)
    | p(X2) )).

cnf(i_0_11906,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_11907,axiom,
    ( ~ esk54_0
    | ~ esk46_0 )).

cnf(i_0_11908,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_11909,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X10) )).

cnf(i_0_11910,axiom,
    ( ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X8)
    | p(X1)
    | p(X3) )).

cnf(i_0_11911,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_11912,axiom,
    ( p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_11913,axiom,
    ( p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | p(X1) )).

cnf(i_0_11914,axiom,
    ( ~ esk263_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk75_0 )).

cnf(i_0_11915,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | ~ p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X9)
    | p(X5) )).

cnf(i_0_11916,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_11917,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_11918,axiom,
    ( ~ esk9_0
    | ~ esk5_0 )).

cnf(i_0_11919,axiom,
    ( ~ esk58_0
    | ~ esk168_0 )).

cnf(i_0_11920,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X9) )).

cnf(i_0_11921,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | p(X9)
    | p(X10) )).

cnf(i_0_11922,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X1)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_11923,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_11924,axiom,
    ( ~ p(X4)
    | p(X6)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | p(X5)
    | p(X8) )).

cnf(i_0_11925,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_11926,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_11927,axiom,
    ( ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | p(X3) )).

cnf(i_0_11928,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X9)
    | p(X10)
    | p(X8)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_11929,axiom,
    ( p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X1) )).

cnf(i_0_11930,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X8) )).

cnf(i_0_11931,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_11932,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4) )).

cnf(i_0_11933,axiom,
    ( ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_11934,axiom,
    ( p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_11935,axiom,
    ( ~ esk164_0
    | ~ esk32_0 )).

cnf(i_0_11936,axiom,
    ( ~ p(X5)
    | p(X8)
    | p(X6)
    | p(X7)
    | p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11937,axiom,
    ( ~ esk91_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11938,axiom,
    ( p(X3)
    | p(X1)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_11939,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11940,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_11941,axiom,
    ( ~ p(X3)
    | p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11942,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_11943,axiom,
    ( ~ esk15_0
    | ~ esk3_0 )).

cnf(i_0_11944,axiom,
    ( p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_11945,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | p(X8) )).

cnf(i_0_11946,axiom,
    ( p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X4)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_11947,axiom,
    ( p(X1)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X4) )).

cnf(i_0_11948,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_11949,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_11950,axiom,
    ( p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_11951,axiom,
    ( p(X10)
    | ~ p(X6)
    | ~ p(X1)
    | p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_11952,axiom,
    ( ~ esk210_0
    | ~ esk214_0 )).

cnf(i_0_11953,axiom,
    ( ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11954,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_11955,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_11956,axiom,
    ( p(X4)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_11957,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X5)
    | p(X2) )).

cnf(i_0_11958,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_11959,axiom,
    ( ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X4)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_11960,axiom,
    ( p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X8)
    | p(X5)
    | p(X9) )).

cnf(i_0_11961,axiom,
    ( p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_11962,axiom,
    ( ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | ~ p(X10) )).

cnf(i_0_11963,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11964,axiom,
    ( ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X8)
    | p(X5)
    | p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3) )).

cnf(i_0_11965,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X7)
    | p(X10) )).

cnf(i_0_11966,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X9)
    | p(X8)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_11967,axiom,
    ( ~ esk85_0
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11968,axiom,
    ( p(X7)
    | p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X3)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | p(X10)
    | p(X1) )).

cnf(i_0_11969,axiom,
    ( ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | ~ p(X6) )).

cnf(i_0_11970,axiom,
    ( p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_11971,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X4) )).

cnf(i_0_11972,axiom,
    ( p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X2)
    | p(X8)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X7) )).

cnf(i_0_11973,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X2)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_11974,axiom,
    ( ~ p(X4)
    | p(X10)
    | p(X7)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_11975,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X5)
    | p(X1)
    | ~ p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11976,axiom,
    ( p(X1)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_11977,axiom,
    ( p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11978,axiom,
    ( p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X7) )).

cnf(i_0_11979,axiom,
    ( p(X8)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_11980,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X7)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_11981,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_11982,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11983,axiom,
    ( ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11984,axiom,
    ( p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_11985,axiom,
    ( p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_11986,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_11987,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X6) )).

cnf(i_0_11988,axiom,
    ( ~ p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5) )).

cnf(i_0_11989,axiom,
    ( p(X4)
    | p(X9)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X7)
    | p(X5) )).

cnf(i_0_11990,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_11991,axiom,
    ( ~ esk50_0
    | ~ esk48_0 )).

cnf(i_0_11992,axiom,
    ( ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_11993,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_11994,axiom,
    ( ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X1)
    | p(X4)
    | p(X9)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_11995,axiom,
    ( ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8)
    | p(X2)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_11996,axiom,
    ( p(X10)
    | p(X8)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X9)
    | p(X2)
    | p(X6)
    | p(X3)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_11997,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8) )).

cnf(i_0_11998,axiom,
    ( p(X10)
    | p(X3)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_11999,axiom,
    ( ~ esk116_0
    | ~ esk94_0 )).

cnf(i_0_12000,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8)
    | p(X1)
    | p(X9)
    | p(X3)
    | p(X5)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_12001,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | p(X6)
    | p(X9)
    | ~ p(X7)
    | p(X10) )).

cnf(i_0_12002,axiom,
    ( ~ esk136_0
    | ~ esk4_0 )).

cnf(i_0_12003,axiom,
    ( p(X1)
    | p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_12004,axiom,
    ( ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk157_0 )).

cnf(i_0_12005,axiom,
    ( p(X4)
    | p(X10)
    | p(X2)
    | p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X9) )).

cnf(i_0_12006,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X1) )).

cnf(i_0_12007,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X6)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_12008,axiom,
    ( ~ esk122_0
    | ~ esk132_0 )).

cnf(i_0_12009,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_12010,axiom,
    ( ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_12011,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_12012,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X3)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_12013,axiom,
    ( p(X4)
    | p(X7)
    | p(X5)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_12014,axiom,
    ( p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_12015,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X9)
    | p(X10)
    | ~ p(X8)
    | p(X5)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X4)
    | p(X6) )).

cnf(i_0_12016,axiom,
    ( p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12017,axiom,
    ( p(X8)
    | p(X5)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_12018,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_12019,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_12020,axiom,
    ( ~ esk53_0
    | ~ esk9_0 )).

cnf(i_0_12021,axiom,
    ( p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X5)
    | p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_12022,axiom,
    ( ~ esk275_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk121_0 )).

cnf(i_0_12023,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12024,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_12025,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4) )).

cnf(i_0_12026,axiom,
    ( ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_12027,axiom,
    ( ~ esk175_0
    | ~ esk166_0 )).

cnf(i_0_12028,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X4)
    | p(X3)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12029,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9) )).

cnf(i_0_12030,axiom,
    ( p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X9)
    | p(X4)
    | p(X2)
    | ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_12031,axiom,
    ( esk232_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk23_0 )).

cnf(i_0_12032,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | ~ p(X8)
    | p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12033,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ p(X7)
    | p(X3)
    | ~ p(X8)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_12034,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X3)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_12035,axiom,
    ( p(X7)
    | p(X4)
    | p(X9)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | p(X1)
    | p(X10)
    | p(X6) )).

cnf(i_0_12036,axiom,
    ( ~ esk74_0
    | ~ esk162_0 )).

cnf(i_0_12037,axiom,
    ( ~ esk178_0
    | ~ esk200_0 )).

cnf(i_0_12038,axiom,
    ( ~ esk119_0
    | ~ esk274_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12039,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | ~ p(X6)
    | p(X2)
    | ~ p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_12040,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_12041,axiom,
    ( ~ p(X9)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_12042,axiom,
    ( ~ esk73_0
    | ~ esk161_0 )).

cnf(i_0_12043,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X2)
    | p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_12044,axiom,
    ( ~ esk67_0
    | ~ esk155_0 )).

cnf(i_0_12045,axiom,
    ( esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | p(X3) )).

cnf(i_0_12046,axiom,
    ( p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | p(X7)
    | p(X1)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6) )).

cnf(i_0_12047,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12048,axiom,
    ( p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | p(X7)
    | p(X2)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_12049,axiom,
    ( p(X5)
    | p(X6)
    | p(X9)
    | p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12050,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X6)
    | p(X7)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X2)
    | p(X5) )).

cnf(i_0_12051,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_12052,axiom,
    ( p(X6)
    | ~ p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5) )).

cnf(i_0_12053,axiom,
    ( ~ p(X8)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_12054,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk137_0 )).

cnf(i_0_12055,axiom,
    ( ~ p(X9)
    | ~ p(X7)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12056,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk39_0 )).

cnf(i_0_12057,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | p(X4)
    | p(X3) )).

cnf(i_0_12058,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | p(X4)
    | ~ p(X3)
    | p(X5)
    | p(X2)
    | ~ p(X8) )).

cnf(i_0_12059,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_12060,axiom,
    ( p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_12061,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12062,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10)
    | p(X3)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4) )).

cnf(i_0_12063,axiom,
    ( ~ p(X9)
    | p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_12064,axiom,
    ( ~ esk98_0
    | ~ esk76_0 )).

cnf(i_0_12065,axiom,
    ( ~ p(X8)
    | p(X10)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_12066,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X5)
    | p(X9)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_12067,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | p(X10) )).

cnf(i_0_12068,axiom,
    ( ~ p(X8)
    | p(X2)
    | p(X6)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X7)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_12069,axiom,
    ( ~ esk170_0
    | ~ esk104_0 )).

cnf(i_0_12070,axiom,
    ( p(X4)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_12071,axiom,
    ( ~ esk155_0
    | ~ esk199_0 )).

cnf(i_0_12072,axiom,
    ( p(X6)
    | p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X7) )).

cnf(i_0_12073,axiom,
    ( ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_12074,axiom,
    ( ~ esk54_0
    | ~ esk65_0 )).

cnf(i_0_12075,axiom,
    ( p(X1)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | p(X9)
    | p(X7)
    | p(X3) )).

cnf(i_0_12076,axiom,
    ( p(X7)
    | p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X8) )).

cnf(i_0_12077,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_12078,axiom,
    ( ~ esk216_0
    | ~ esk150_0 )).

cnf(i_0_12079,axiom,
    ( p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X8) )).

cnf(i_0_12080,axiom,
    ( p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_12081,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X5)
    | p(X7)
    | p(X1)
    | p(X9)
    | p(X8) )).

cnf(i_0_12082,axiom,
    ( p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_12083,axiom,
    ( p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_12084,axiom,
    ( p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_12085,axiom,
    ( ~ esk16_0
    | ~ esk170_0 )).

cnf(i_0_12086,axiom,
    ( ~ p(X4)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X6) )).

cnf(i_0_12087,axiom,
    ( ~ p(X9)
    | p(X4)
    | p(X6)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X5)
    | p(X3) )).

cnf(i_0_12088,axiom,
    ( ~ esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk205_0 )).

cnf(i_0_12089,axiom,
    ( ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X9)
    | ~ p(X2) )).

cnf(i_0_12090,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X9) )).

cnf(i_0_12091,axiom,
    ( ~ esk195_0
    | ~ esk268_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12092,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X7)
    | ~ p(X10)
    | p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12093,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X10) )).

cnf(i_0_12094,axiom,
    ( ~ esk100_0
    | ~ esk78_0 )).

cnf(i_0_12095,axiom,
    ( ~ p(X2)
    | p(X9)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5) )).

cnf(i_0_12096,axiom,
    ( ~ esk130_0
    | ~ esk123_0 )).

cnf(i_0_12097,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | p(X2) )).

cnf(i_0_12098,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X9) )).

cnf(i_0_12099,axiom,
    ( p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_12100,axiom,
    ( ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X4) )).

cnf(i_0_12101,axiom,
    ( p(X2)
    | p(X5)
    | p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X8)
    | p(X10)
    | p(X4) )).

cnf(i_0_12102,axiom,
    ( ~ esk190_0
    | ~ esk180_0 )).

cnf(i_0_12103,axiom,
    ( p(X4)
    | p(X5)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_12104,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X7)
    | p(X2)
    | p(X6)
    | p(X1)
    | p(X8) )).

cnf(i_0_12105,axiom,
    ( ~ esk211_0
    | ~ esk201_0 )).

cnf(i_0_12106,axiom,
    ( ~ esk167_0
    | ~ esk171_0 )).

cnf(i_0_12107,axiom,
    ( ~ esk111_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12108,axiom,
    ( p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9) )).

cnf(i_0_12109,axiom,
    ( ~ p(X10)
    | p(X5)
    | p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12110,axiom,
    ( ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5)
    | p(X6)
    | p(X1) )).

cnf(i_0_12111,axiom,
    ( ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | p(X10)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12112,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_12113,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X6)
    | p(X9) )).

cnf(i_0_12114,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_12115,axiom,
    ( ~ esk25_0
    | ~ esk39_0 )).

cnf(i_0_12116,axiom,
    ( ~ p(X1)
    | p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X5)
    | p(X2) )).

cnf(i_0_12117,axiom,
    ( ~ esk43_0
    | ~ esk21_0 )).

cnf(i_0_12118,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5) )).

cnf(i_0_12119,axiom,
    ( ~ esk200_0
    | ~ esk112_0 )).

cnf(i_0_12120,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_12121,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X6)
    | p(X10)
    | p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | p(X2) )).

cnf(i_0_12122,axiom,
    ( ~ esk241_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk89_0 )).

cnf(i_0_12123,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8)
    | p(X2)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | ~ p(X9) )).

cnf(i_0_12124,axiom,
    ( ~ esk176_0
    | ~ esk172_0 )).

cnf(i_0_12125,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6) )).

cnf(i_0_12126,axiom,
    ( ~ esk27_0
    | ~ esk37_0 )).

cnf(i_0_12127,axiom,
    ( ~ esk170_0
    | ~ esk192_0 )).

cnf(i_0_12128,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_12129,axiom,
    ( ~ esk126_0
    | ~ esk128_0 )).

cnf(i_0_12130,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X7)
    | p(X6) )).

cnf(i_0_12131,axiom,
    ( esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk117_0 )).

cnf(i_0_12132,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_12133,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_12134,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X6)
    | p(X4) )).

cnf(i_0_12135,axiom,
    ( p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X3)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X5) )).

cnf(i_0_12136,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X8)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_12137,axiom,
    ( p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_12138,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X4)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1) )).

cnf(i_0_12139,axiom,
    ( p(X7)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_12140,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_12141,axiom,
    ( p(X9)
    | ~ p(X3)
    | p(X2)
    | p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X5) )).

cnf(i_0_12142,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12143,axiom,
    ( ~ esk270_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk155_0 )).

cnf(i_0_12144,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_12145,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_12146,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | p(X2)
    | p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_12147,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_12148,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_12149,axiom,
    ( ~ esk31_0
    | ~ esk29_0 )).

cnf(i_0_12150,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_12151,axiom,
    ( ~ p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X2) )).

cnf(i_0_12152,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_12153,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X10) )).

cnf(i_0_12154,axiom,
    ( ~ esk112_0
    | ~ esk156_0 )).

cnf(i_0_12155,axiom,
    ( p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X5)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_12156,axiom,
    ( ~ p(X10)
    | ~ p(X8)
    | ~ p(X4)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_12157,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | p(X7)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_12158,axiom,
    ( ~ p(X3)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X8)
    | p(X7)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X4)
    | ~ p(X5) )).

cnf(i_0_12159,axiom,
    ( p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X6) )).

cnf(i_0_12160,axiom,
    ( ~ esk14_0
    | ~ esk22_0 )).

cnf(i_0_12161,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X6)
    | ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_12162,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12163,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_12164,axiom,
    ( p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4) )).

cnf(i_0_12165,axiom,
    ( p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_12166,axiom,
    ( ~ esk120_0
    | ~ esk122_0 )).

cnf(i_0_12167,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X3)
    | p(X6)
    | p(X2)
    | p(X4)
    | p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8) )).

cnf(i_0_12168,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X9)
    | ~ p(X5)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12169,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12170,axiom,
    ( ~ esk1_0
    | ~ esk19_0 )).

cnf(i_0_12171,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | p(X8)
    | ~ p(X7)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12172,axiom,
    ( p(X1)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3) )).

cnf(i_0_12173,axiom,
    ( ~ p(X5)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_12174,axiom,
    ( ~ esk94_0
    | ~ esk6_0 )).

cnf(i_0_12175,axiom,
    ( ~ p(X7)
    | ~ p(X6)
    | p(X9)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10) )).

cnf(i_0_12176,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X4) )).

cnf(i_0_12177,axiom,
    ( ~ p(X8)
    | p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X7) )).

cnf(i_0_12178,axiom,
    ( esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12179,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X6)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4) )).

cnf(i_0_12180,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_12181,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_12182,axiom,
    ( p(X10)
    | p(X1)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | p(X5)
    | p(X9)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_12183,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X3) )).

cnf(i_0_12184,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X7)
    | p(X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_12185,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12186,axiom,
    ( ~ p(X8)
    | ~ p(X9)
    | p(X4)
    | ~ p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12187,axiom,
    ( ~ esk28_0
    | ~ esk182_0 )).

cnf(i_0_12188,axiom,
    ( ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | ~ p(X4)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X3) )).

cnf(i_0_12189,axiom,
    ( p(X7)
    | p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_12190,axiom,
    ( p(X4)
    | p(X6)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_12191,axiom,
    ( p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | p(X1)
    | p(X6)
    | p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12192,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12193,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X1)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_12194,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X2)
    | p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X9) )).

cnf(i_0_12195,axiom,
    ( p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_12196,axiom,
    ( esk5_0
    | esk203_0
    | esk181_0
    | esk71_0
    | esk115_0
    | esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk49_0
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk93_0
    | esk137_0
    | esk27_0
    | esk159_0 )).

cnf(i_0_12197,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X6) )).

cnf(i_0_12198,axiom,
    ( ~ esk117_0
    | esk236_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12199,axiom,
    ( ~ esk206_0
    | ~ esk8_0 )).

cnf(i_0_12200,axiom,
    ( p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | p(X8)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12201,axiom,
    ( p(X9)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_12202,axiom,
    ( ~ esk209_0
    | ~ esk218_0 )).

cnf(i_0_12203,axiom,
    ( ~ esk90_0
    | ~ esk200_0 )).

cnf(i_0_12204,axiom,
    ( ~ p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X5) )).

cnf(i_0_12205,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X7)
    | ~ p(X3)
    | p(X10) )).

cnf(i_0_12206,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | p(X6)
    | p(X4) )).

cnf(i_0_12207,axiom,
    ( ~ esk61_0
    | ~ esk59_0 )).

cnf(i_0_12208,axiom,
    ( ~ esk184_0
    | ~ esk52_0 )).

cnf(i_0_12209,axiom,
    ( p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X5)
    | p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X3) )).

cnf(i_0_12210,axiom,
    ( ~ esk165_0
    | ~ esk246_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12211,axiom,
    ( p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12212,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X7) )).

cnf(i_0_12213,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1) )).

cnf(i_0_12214,axiom,
    ( p(X9)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_12215,axiom,
    ( ~ esk17_0
    | ~ esk171_0 )).

cnf(i_0_12216,axiom,
    ( ~ p(X7)
    | p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X6)
    | p(X9)
    | p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12217,axiom,
    ( ~ esk15_0
    | ~ esk11_0 )).

cnf(i_0_12218,axiom,
    ( p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | p(X7)
    | p(X5)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_12219,axiom,
    ( p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X6)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_12220,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | p(X6)
    | p(X1)
    | p(X9)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_12221,axiom,
    ( ~ p(X4)
    | p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X7) )).

cnf(i_0_12222,axiom,
    ( ~ esk21_0
    | ~ esk16_0 )).

cnf(i_0_12223,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_12224,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | ~ p(X3) )).

cnf(i_0_12225,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | ~ p(X3)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10) )).

cnf(i_0_12226,axiom,
    ( p(X5)
    | ~ p(X8)
    | p(X1)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_12227,axiom,
    ( ~ p(X10)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X9)
    | ~ p(X4)
    | ~ p(X8)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12228,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X1)
    | p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_12229,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X8)
    | ~ p(X6)
    | p(X2)
    | p(X4)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X1) )).

cnf(i_0_12230,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X2)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_12231,axiom,
    ( ~ p(X8)
    | ~ p(X6)
    | p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_12232,axiom,
    ( p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_12233,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_12234,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_12235,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_12236,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X10)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_12237,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X2)
    | ~ p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X3)
    | p(X10)
    | p(X6)
    | ~ p(X4) )).

cnf(i_0_12238,axiom,
    ( ~ p(X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_12239,axiom,
    ( esk19_0
    | esk107_0
    | esk129_0
    | esk63_0
    | esk217_0
    | esk85_0
    | esk173_0
    | esk41_0
    | ~ esk231_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk151_0
    | esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk195_0 )).

cnf(i_0_12240,axiom,
    ( p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | p(X4)
    | p(X5)
    | ~ p(X6)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_12241,axiom,
    ( ~ p(X7)
    | p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | p(X2) )).

cnf(i_0_12242,axiom,
    ( ~ esk61_0
    | ~ esk171_0 )).

cnf(i_0_12243,axiom,
    ( p(X8)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_12244,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_12245,axiom,
    ( ~ p(X2)
    | ~ p(X7)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_12246,axiom,
    ( p(X5)
    | p(X10)
    | p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1) )).

cnf(i_0_12247,axiom,
    ( ~ p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | p(X1)
    | p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X3) )).

cnf(i_0_12248,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X4)
    | p(X3)
    | p(X1)
    | p(X10)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12249,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_12250,axiom,
    ( p(X6)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_12251,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X8)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_12252,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_12253,axiom,
    ( ~ p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X4)
    | p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12254,axiom,
    ( ~ esk54_0
    | ~ esk32_0 )).

cnf(i_0_12255,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | p(X7)
    | p(X9)
    | p(X3)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_12256,axiom,
    ( p(X3)
    | p(X7)
    | p(X1)
    | ~ p(X10)
    | p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X9) )).

cnf(i_0_12257,axiom,
    ( p(X8)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9) )).

cnf(i_0_12258,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | p(X10)
    | p(X9)
    | p(X7) )).

cnf(i_0_12259,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X10)
    | p(X5)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9) )).

cnf(i_0_12260,axiom,
    ( p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_12261,axiom,
    ( ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X7) )).

cnf(i_0_12262,axiom,
    ( p(X2)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_12263,axiom,
    ( p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9)
    | p(X1)
    | p(X7)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | p(X8)
    | p(X6) )).

cnf(i_0_12264,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X2)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | p(X1)
    | p(X6)
    | p(X3)
    | p(X8) )).

cnf(i_0_12265,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12266,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X7)
    | p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_12267,axiom,
    ( ~ p(X7)
    | p(X3)
    | p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_12268,axiom,
    ( p(X4)
    | ~ p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_12269,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X8)
    | ~ p(X5)
    | p(X4)
    | ~ p(X3)
    | p(X6)
    | p(X7) )).

cnf(i_0_12270,axiom,
    ( ~ esk95_0
    | ~ esk244_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12271,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | p(X3)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | p(X7)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_12272,axiom,
    ( ~ p(X6)
    | p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_12273,axiom,
    ( p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X9)
    | p(X3)
    | p(X10)
    | p(X7)
    | ~ p(X1)
    | ~ p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12274,axiom,
    ( p(X6)
    | p(X7)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X4)
    | p(X9)
    | p(X10)
    | p(X8) )).

cnf(i_0_12275,axiom,
    ( p(X4)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X1) )).

cnf(i_0_12276,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_12277,axiom,
    ( ~ esk69_0
    | ~ esk86_0 )).

cnf(i_0_12278,axiom,
    ( p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X7)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3) )).

cnf(i_0_12279,axiom,
    ( p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_12280,axiom,
    ( ~ esk91_0
    | ~ esk107_0 )).

cnf(i_0_12281,axiom,
    ( ~ esk187_0
    | ~ esk191_0 )).

cnf(i_0_12282,axiom,
    ( p(X10)
    | p(X5)
    | p(X3)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X6)
    | p(X7)
    | p(X2) )).

cnf(i_0_12283,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_12284,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12285,axiom,
    ( ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X5)
    | ~ p(X3)
    | p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | p(X8)
    | ~ p(X10) )).

cnf(i_0_12286,axiom,
    ( ~ esk27_0
    | ~ esk41_0 )).

cnf(i_0_12287,axiom,
    ( ~ esk173_0
    | ~ esk169_0 )).

cnf(i_0_12288,axiom,
    ( ~ esk45_0
    | ~ esk155_0 )).

cnf(i_0_12289,axiom,
    ( ~ p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_12290,axiom,
    ( esk224_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk27_0 )).

cnf(i_0_12291,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | p(X1) )).

cnf(i_0_12292,axiom,
    ( p(X7)
    | p(X6)
    | p(X3)
    | p(X10)
    | p(X8)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_12293,axiom,
    ( ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X1)
    | ~ p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_12294,axiom,
    ( p(X3)
    | p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_12295,axiom,
    ( esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12296,axiom,
    ( p(X10)
    | ~ p(X8)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_12297,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_12298,axiom,
    ( ~ p(X8)
    | p(X10)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_12299,axiom,
    ( p(X8)
    | p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X5)
    | p(X4)
    | p(X10)
    | p(X9)
    | p(X1)
    | ~ p(X7) )).

cnf(i_0_12300,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_12301,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X1)
    | p(X6) )).

cnf(i_0_12302,axiom,
    ( ~ p(X10)
    | ~ p(X1)
    | ~ p(X7)
    | p(X9)
    | ~ p(X2)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | ~ p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12303,axiom,
    ( ~ esk168_0
    | ~ esk190_0 )).

cnf(i_0_12304,axiom,
    ( p(X7)
    | p(X10)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12305,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X6) )).

cnf(i_0_12306,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X8)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_12307,axiom,
    ( p(X3)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_12308,axiom,
    ( ~ p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | ~ p(X7)
    | ~ p(X2) )).

cnf(i_0_12309,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12310,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X10)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X5) )).

cnf(i_0_12311,axiom,
    ( ~ esk206_0
    | ~ esk202_0 )).

cnf(i_0_12312,axiom,
    ( p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | p(X8)
    | p(X4)
    | ~ p(X1)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10)
    | p(X6) )).

cnf(i_0_12313,axiom,
    ( ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8) )).

cnf(i_0_12314,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X9) )).

cnf(i_0_12315,axiom,
    ( ~ esk162_0
    | ~ esk184_0 )).

cnf(i_0_12316,axiom,
    ( ~ esk184_0
    | ~ esk74_0 )).

cnf(i_0_12317,axiom,
    ( ~ esk193_0
    | ~ esk39_0 )).

cnf(i_0_12318,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | p(X4)
    | p(X5)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_12319,axiom,
    ( ~ esk58_0
    | ~ esk36_0 )).

cnf(i_0_12320,axiom,
    ( p(X5)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_12321,axiom,
    ( p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X6)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_12322,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X5) )).

cnf(i_0_12323,axiom,
    ( ~ esk123_0
    | ~ esk13_0 )).

cnf(i_0_12324,axiom,
    ( p(X10)
    | p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_12325,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X5) )).

cnf(i_0_12326,axiom,
    ( p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X8)
    | p(X9)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_12327,axiom,
    ( p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1) )).

cnf(i_0_12328,axiom,
    ( ~ esk191_0
    | esk229_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12329,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X2)
    | p(X9)
    | ~ p(X6) )).

cnf(i_0_12330,axiom,
    ( ~ esk25_0
    | ~ esk135_0 )).

cnf(i_0_12331,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | p(X8)
    | ~ p(X10)
    | p(X1)
    | ~ p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12332,axiom,
    ( ~ p(X8)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X5)
    | ~ p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12333,axiom,
    ( ~ esk59_0
    | ~ esk191_0 )).

cnf(i_0_12334,axiom,
    ( ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X2) )).

cnf(i_0_12335,axiom,
    ( ~ esk44_0
    | ~ esk24_0 )).

cnf(i_0_12336,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12337,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2) )).

cnf(i_0_12338,axiom,
    ( ~ esk137_0
    | ~ esk5_0 )).

cnf(i_0_12339,axiom,
    ( ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_12340,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X8)
    | p(X7)
    | p(X4)
    | p(X1)
    | ~ p(X9) )).

cnf(i_0_12341,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_12342,axiom,
    ( p(X2)
    | p(X9)
    | ~ p(X1)
    | ~ p(X8)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X7)
    | ~ p(X5)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_12343,axiom,
    ( p(X5)
    | p(X3)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12344,axiom,
    ( ~ esk26_0
    | ~ esk43_0 )).

cnf(i_0_12345,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_12346,axiom,
    ( ~ p(X10)
    | p(X8)
    | ~ p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X1)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_12347,axiom,
    ( p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_12348,axiom,
    ( p(X10)
    | ~ p(X4)
    | p(X9)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12349,axiom,
    ( p(X9)
    | ~ p(X4)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_12350,axiom,
    ( p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X5)
    | p(X9)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X3) )).

cnf(i_0_12351,axiom,
    ( p(X5)
    | p(X4)
    | p(X9)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_12352,axiom,
    ( ~ p(X3)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_12353,axiom,
    ( ~ p(X1)
    | p(X6)
    | p(X4)
    | ~ p(X10)
    | p(X5)
    | p(X8)
    | p(X3)
    | p(X7)
    | p(X2)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12354,axiom,
    ( ~ esk65_0
    | ~ esk48_0 )).

cnf(i_0_12355,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | p(X5)
    | p(X4)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12356,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X6)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_12357,axiom,
    ( esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X4)
    | p(X7) )).

cnf(i_0_12358,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X7)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6) )).

cnf(i_0_12359,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X8)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X3) )).

cnf(i_0_12360,axiom,
    ( p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | ~ p(X2)
    | p(X9) )).

cnf(i_0_12361,axiom,
    ( p(X10)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X9)
    | p(X5) )).

cnf(i_0_12362,axiom,
    ( ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X1) )).

cnf(i_0_12363,axiom,
    ( ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X10)
    | p(X2)
    | ~ p(X5)
    | ~ p(X1)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_12364,axiom,
    ( ~ p(X7)
    | ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_12365,axiom,
    ( p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X5)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X8) )).

cnf(i_0_12366,axiom,
    ( p(X6)
    | ~ p(X8)
    | p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_12367,axiom,
    ( ~ p(X8)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X9)
    | p(X2)
    | ~ p(X3)
    | p(X5)
    | p(X4)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_12368,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X7)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_12369,axiom,
    ( ~ esk113_0
    | ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12370,axiom,
    ( ~ p(X7)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X4)
    | p(X8)
    | p(X6)
    | ~ p(X1)
    | p(X5)
    | p(X3)
    | p(X10) )).

cnf(i_0_12371,axiom,
    ( esk240_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk203_0 )).

cnf(i_0_12372,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_12373,axiom,
    ( ~ esk11_0
    | ~ esk209_0 )).

cnf(i_0_12374,axiom,
    ( p(X5)
    | p(X2)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10)
    | p(X3)
    | p(X9) )).

cnf(i_0_12375,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X9)
    | p(X10)
    | p(X7)
    | ~ p(X6)
    | p(X8)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_12376,axiom,
    ( ~ esk197_0
    | ~ esk188_0 )).

cnf(i_0_12377,axiom,
    ( ~ p(X6)
    | ~ p(X1)
    | ~ p(X5)
    | p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X4)
    | p(X2)
    | p(X9)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_12378,axiom,
    ( ~ p(X6)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_12379,axiom,
    ( ~ esk160_0
    | ~ esk158_0 )).

cnf(i_0_12380,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X6) )).

cnf(i_0_12381,axiom,
    ( p(X4)
    | p(X8)
    | p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12382,axiom,
    ( ~ esk199_0
    | esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12383,axiom,
    ( ~ esk50_0
    | ~ esk56_0 )).

cnf(i_0_12384,axiom,
    ( ~ p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_12385,axiom,
    ( p(X5)
    | p(X2)
    | p(X1)
    | p(X6)
    | p(X7)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_12386,axiom,
    ( p(X9)
    | p(X7)
    | ~ p(X2)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X6)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | p(X4) )).

cnf(i_0_12387,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_12388,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | p(X10)
    | p(X9)
    | ~ p(X1)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7)
    | p(X2)
    | p(X8)
    | p(X4) )).

cnf(i_0_12389,axiom,
    ( ~ esk180_0
    | ~ esk92_0 )).

cnf(i_0_12390,axiom,
    ( ~ esk175_0
    | ~ esk162_0 )).

cnf(i_0_12391,axiom,
    ( ~ p(X6)
    | p(X10)
    | p(X8)
    | ~ p(X5)
    | p(X3)
    | ~ p(X2)
    | ~ p(X7)
    | ~ p(X9)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_12392,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X9) )).

cnf(i_0_12393,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_12394,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_12395,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | p(X6)
    | p(X4)
    | ~ p(X5)
    | p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12396,axiom,
    ( p(X8)
    | ~ p(X3)
    | p(X5)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X4)
    | p(X7)
    | p(X2) )).

cnf(i_0_12397,axiom,
    ( ~ p(X10)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2) )).

cnf(i_0_12398,axiom,
    ( p(X9)
    | p(X6)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_12399,axiom,
    ( p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12400,axiom,
    ( ~ p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_12401,axiom,
    ( ~ p(X6)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_12402,axiom,
    ( ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9)
    | p(X6)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | p(X7) )).

cnf(i_0_12403,axiom,
    ( p(X5)
    | ~ p(X4)
    | ~ p(X9)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_12404,axiom,
    ( p(X7)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X10)
    | p(X8) )).

cnf(i_0_12405,axiom,
    ( p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X7)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_12406,axiom,
    ( p(X9)
    | p(X7)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1)
    | p(X4)
    | p(X3)
    | p(X5)
    | p(X2)
    | p(X10)
    | p(X8) )).

cnf(i_0_12407,axiom,
    ( p(X9)
    | ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X7)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_12408,axiom,
    ( p(X10)
    | p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X3) )).

cnf(i_0_12409,axiom,
    ( ~ esk213_0
    | ~ esk201_0 )).

cnf(i_0_12410,axiom,
    ( p(X4)
    | p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X6)
    | p(X1)
    | ~ p(X2)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3) )).

cnf(i_0_12411,axiom,
    ( p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X8) )).

cnf(i_0_12412,axiom,
    ( ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X7)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12413,axiom,
    ( p(X8)
    | p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X10)
    | p(X7)
    | p(X5)
    | p(X4)
    | p(X9) )).

cnf(i_0_12414,axiom,
    ( p(X1)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X4)
    | p(X6)
    | p(X8) )).

cnf(i_0_12415,axiom,
    ( ~ p(X8)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X9)
    | p(X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X4)
    | p(X7) )).

cnf(i_0_12416,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X5)
    | p(X8)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X7)
    | p(X6) )).

cnf(i_0_12417,axiom,
    ( ~ p(X2)
    | p(X7)
    | ~ p(X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_12418,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X2)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_12419,axiom,
    ( p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X4)
    | p(X5)
    | ~ p(X3)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_12420,axiom,
    ( ~ p(X9)
    | ~ p(X3)
    | p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12421,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X1)
    | p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_12422,axiom,
    ( ~ esk48_0
    | ~ esk4_0 )).

cnf(i_0_12423,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X3)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_12424,axiom,
    ( ~ esk189_0
    | ~ esk79_0 )).

cnf(i_0_12425,axiom,
    ( p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X6)
    | p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X9) )).

cnf(i_0_12426,axiom,
    ( ~ esk261_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk29_0 )).

cnf(i_0_12427,axiom,
    ( ~ esk28_0
    | ~ esk160_0 )).

cnf(i_0_12428,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_12429,axiom,
    ( p(X7)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | p(X8)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X9)
    | p(X6) )).

cnf(i_0_12430,axiom,
    ( ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X1)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | ~ p(X6) )).

cnf(i_0_12431,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X1)
    | ~ p(X7)
    | ~ p(X3)
    | p(X9)
    | p(X10)
    | p(X6) )).

cnf(i_0_12432,axiom,
    ( ~ p(X4)
    | p(X9)
    | p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_12433,axiom,
    ( ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ p(X6) )).

cnf(i_0_12434,axiom,
    ( p(X9)
    | p(X3)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X5)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12435,axiom,
    ( ~ p(X1)
    | p(X7)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_12436,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | p(X3)
    | p(X10)
    | p(X4) )).

cnf(i_0_12437,axiom,
    ( ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X9)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X1)
    | p(X10) )).

cnf(i_0_12438,axiom,
    ( p(X7)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_12439,axiom,
    ( ~ esk45_0
    | ~ esk89_0 )).

cnf(i_0_12440,axiom,
    ( ~ esk62_0
    | ~ esk56_0 )).

cnf(i_0_12441,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X4)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_12442,axiom,
    ( ~ p(X5)
    | p(X9)
    | p(X8)
    | ~ p(X7)
    | ~ p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X10) )).

cnf(i_0_12443,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | ~ p(X6)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X8)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_12444,axiom,
    ( ~ esk147_0
    | ~ esk141_0 )).

cnf(i_0_12445,axiom,
    ( ~ esk16_0
    | ~ esk82_0 )).

cnf(i_0_12446,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X3)
    | p(X8)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_12447,axiom,
    ( ~ esk91_0
    | esk235_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12448,axiom,
    ( p(X8)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_12449,axiom,
    ( esk228_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk123_0 )).

cnf(i_0_12450,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X8)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X7) )).

cnf(i_0_12451,axiom,
    ( ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_12452,axiom,
    ( ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X1) )).

cnf(i_0_12453,axiom,
    ( p(X5)
    | p(X7)
    | ~ p(X1)
    | ~ p(X9)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X2)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_12454,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7) )).

cnf(i_0_12455,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X6)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | p(X8) )).

cnf(i_0_12456,axiom,
    ( ~ p(X10)
    | ~ p(X3)
    | p(X4)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_12457,axiom,
    ( p(X2)
    | p(X6)
    | p(X9)
    | p(X8)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_12458,axiom,
    ( p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X6)
    | ~ p(X8)
    | p(X2)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12459,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X4)
    | ~ p(X2)
    | ~ p(X7) )).

cnf(i_0_12460,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk83_0 )).

cnf(i_0_12461,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_12462,axiom,
    ( ~ esk249_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12463,axiom,
    ( ~ esk74_0
    | ~ esk70_0 )).

cnf(i_0_12464,axiom,
    ( p(X4)
    | p(X9)
    | p(X5)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X2)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_12465,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2)
    | ~ p(X4)
    | p(X7)
    | p(X3)
    | ~ p(X10)
    | p(X6)
    | p(X9)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_12466,axiom,
    ( p(X10)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_12467,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X5) )).

cnf(i_0_12468,axiom,
    ( ~ esk126_0
    | ~ esk116_0 )).

cnf(i_0_12469,axiom,
    ( p(X10)
    | p(X6)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | p(X2) )).

cnf(i_0_12470,axiom,
    ( p(X4)
    | p(X5)
    | ~ p(X2)
    | p(X8)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | ~ p(X3)
    | p(X6)
    | p(X9) )).

cnf(i_0_12471,axiom,
    ( p(X9)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X7)
    | p(X6) )).

cnf(i_0_12472,axiom,
    ( ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X5)
    | p(X3)
    | ~ p(X9)
    | ~ p(X2) )).

cnf(i_0_12473,axiom,
    ( p(X8)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_12474,axiom,
    ( ~ esk195_0
    | ~ esk187_0 )).

cnf(i_0_12475,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_12476,axiom,
    ( ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | ~ p(X7)
    | ~ p(X2)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_12477,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X7)
    | p(X8)
    | p(X6)
    | p(X3)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_12478,axiom,
    ( p(X5)
    | ~ p(X1)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_12479,axiom,
    ( ~ esk96_0
    | ~ esk52_0 )).

cnf(i_0_12480,axiom,
    ( p(X2)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X7) )).

cnf(i_0_12481,axiom,
    ( ~ p(X8)
    | p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | p(X10)
    | p(X7)
    | p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_12482,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X5)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_12483,axiom,
    ( ~ p(X10)
    | p(X6)
    | p(X5)
    | ~ p(X2)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_12484,axiom,
    ( ~ esk264_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk93_0 )).

cnf(i_0_12485,axiom,
    ( p(X1)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | ~ p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X9)
    | p(X10)
    | p(X2) )).

cnf(i_0_12486,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | p(X8)
    | ~ p(X2)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_12487,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X4)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X5)
    | p(X9)
    | p(X8)
    | p(X3) )).

cnf(i_0_12488,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | p(X10)
    | p(X4)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12489,axiom,
    ( p(X8)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X3)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X9)
    | ~ p(X5)
    | p(X4) )).

cnf(i_0_12490,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X5)
    | p(X8)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | p(X7)
    | p(X10) )).

cnf(i_0_12491,axiom,
    ( p(X1)
    | p(X8)
    | ~ p(X10)
    | p(X2)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6) )).

cnf(i_0_12492,axiom,
    ( p(X7)
    | p(X2)
    | ~ p(X6)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X8)
    | ~ p(X4)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X3) )).

cnf(i_0_12493,axiom,
    ( p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X4)
    | ~ p(X2)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_12494,axiom,
    ( p(X8)
    | p(X2)
    | p(X4)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_12495,axiom,
    ( p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_12496,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | ~ p(X3)
    | ~ p(X10) )).

cnf(i_0_12497,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | p(X1)
    | p(X4)
    | ~ p(X7)
    | ~ p(X6)
    | p(X9) )).

cnf(i_0_12498,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | p(X1)
    | ~ p(X6)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X9) )).

cnf(i_0_12499,axiom,
    ( ~ p(X4)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X8)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12500,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X2)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X9)
    | p(X5)
    | p(X3)
    | p(X1) )).

cnf(i_0_12501,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X4)
    | ~ p(X10)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_12502,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X4)
    | p(X6)
    | p(X2) )).

cnf(i_0_12503,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_12504,axiom,
    ( p(X6)
    | p(X1)
    | p(X7)
    | p(X4)
    | p(X10)
    | p(X2)
    | p(X5)
    | ~ p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_12505,axiom,
    ( ~ esk271_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk201_0 )).

cnf(i_0_12506,axiom,
    ( ~ p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X7)
    | ~ p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_12507,axiom,
    ( p(X9)
    | ~ p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X3)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | p(X4) )).

cnf(i_0_12508,axiom,
    ( p(X8)
    | ~ p(X9)
    | p(X6)
    | p(X10)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_12509,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | p(X8)
    | p(X9)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7) )).

cnf(i_0_12510,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_12511,axiom,
    ( p(X7)
    | p(X6)
    | ~ p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10) )).

cnf(i_0_12512,axiom,
    ( p(X8)
    | p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X9) )).

cnf(i_0_12513,axiom,
    ( ~ p(X6)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X7)
    | p(X5)
    | ~ p(X10)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12514,axiom,
    ( ~ p(X4)
    | ~ p(X5)
    | p(X2)
    | p(X1)
    | p(X9)
    | p(X8)
    | p(X10)
    | p(X6)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X7) )).

cnf(i_0_12515,axiom,
    ( ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X10)
    | p(X2) )).

cnf(i_0_12516,axiom,
    ( ~ p(X1)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | ~ p(X5)
    | ~ p(X2)
    | p(X6)
    | ~ p(X8) )).

cnf(i_0_12517,axiom,
    ( ~ esk137_0
    | ~ esk141_0 )).

cnf(i_0_12518,axiom,
    ( p(X8)
    | p(X5)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X7)
    | p(X3)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_12519,axiom,
    ( p(X9)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X4)
    | p(X5)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12520,axiom,
    ( ~ esk38_0
    | ~ esk24_0 )).

cnf(i_0_12521,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X1)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X2) )).

cnf(i_0_12522,axiom,
    ( ~ esk83_0
    | ~ esk193_0 )).

cnf(i_0_12523,axiom,
    ( ~ p(X5)
    | p(X7)
    | p(X8)
    | ~ p(X10)
    | p(X6)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_12524,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X7)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9) )).

cnf(i_0_12525,axiom,
    ( p(X10)
    | p(X8)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X7)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_12526,axiom,
    ( p(X3)
    | ~ p(X9)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | ~ p(X6)
    | ~ p(X1)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_12527,axiom,
    ( p(X8)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X7)
    | p(X2)
    | ~ p(X1)
    | ~ p(X5)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_12528,axiom,
    ( ~ esk181_0
    | ~ esk27_0 )).

cnf(i_0_12529,axiom,
    ( p(X9)
    | p(X7)
    | p(X3)
    | ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X8)
    | p(X6)
    | p(X4)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_12530,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X2)
    | p(X4)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X1)
    | p(X6)
    | p(X10) )).

cnf(i_0_12531,axiom,
    ( p(X4)
    | p(X8)
    | p(X3)
    | p(X2)
    | p(X10)
    | p(X7)
    | p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9) )).

cnf(i_0_12532,axiom,
    ( p(X8)
    | p(X3)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | p(X6) )).

cnf(i_0_12533,axiom,
    ( ~ esk179_0
    | ~ esk196_0 )).

cnf(i_0_12534,axiom,
    ( p(X3)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X1) )).

cnf(i_0_12535,axiom,
    ( p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X1)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7) )).

cnf(i_0_12536,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X6)
    | p(X3)
    | p(X2) )).

cnf(i_0_12537,axiom,
    ( esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X1)
    | p(X3)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10) )).

cnf(i_0_12538,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X5)
    | p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7) )).

cnf(i_0_12539,axiom,
    ( ~ esk84_0
    | ~ esk216_0 )).

cnf(i_0_12540,axiom,
    ( p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | p(X8)
    | p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X4)
    | ~ p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12541,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X5)
    | ~ p(X6) )).

cnf(i_0_12542,axiom,
    ( p(X7)
    | p(X4)
    | p(X8)
    | p(X1)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | p(X10)
    | p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5) )).

cnf(i_0_12543,axiom,
    ( ~ esk214_0
    | ~ esk208_0 )).

cnf(i_0_12544,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12545,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X7)
    | p(X5)
    | ~ p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12546,axiom,
    ( ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10)
    | p(X1)
    | ~ p(X4)
    | p(X8)
    | p(X9)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_12547,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X1)
    | p(X2)
    | p(X7)
    | p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X5)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12548,axiom,
    ( p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X10)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X8) )).

cnf(i_0_12549,axiom,
    ( p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | p(X7)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_12550,axiom,
    ( ~ p(X10)
    | p(X1)
    | ~ p(X6)
    | ~ p(X4)
    | ~ p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_12551,axiom,
    ( p(X5)
    | ~ p(X6)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X9)
    | p(X10)
    | p(X8)
    | p(X4)
    | ~ p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12552,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ p(X4)
    | p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | p(X1) )).

cnf(i_0_12553,axiom,
    ( p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12554,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X1)
    | p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X3)
    | p(X5)
    | p(X2) )).

cnf(i_0_12555,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X5)
    | p(X8)
    | ~ p(X6)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X4)
    | p(X3)
    | ~ p(X9)
    | p(X7) )).

cnf(i_0_12556,axiom,
    ( p(X1)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | p(X9)
    | p(X8)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_12557,axiom,
    ( ~ p(X6)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4) )).

cnf(i_0_12558,axiom,
    ( ~ p(X3)
    | p(X6)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12559,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X7)
    | p(X6) )).

cnf(i_0_12560,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X3)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X4) )).

cnf(i_0_12561,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | ~ p(X9)
    | p(X1)
    | p(X7)
    | p(X5)
    | p(X6)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X3) )).

cnf(i_0_12562,axiom,
    ( ~ p(X8)
    | ~ p(X2)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | ~ p(X3)
    | ~ p(X4)
    | p(X9)
    | p(X10)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12563,axiom,
    ( p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X9) )).

cnf(i_0_12564,axiom,
    ( ~ esk194_0
    | ~ esk18_0 )).

cnf(i_0_12565,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_12566,axiom,
    ( ~ esk65_0
    | ~ esk56_0 )).

cnf(i_0_12567,axiom,
    ( ~ esk197_0
    | ~ esk131_0 )).

cnf(i_0_12568,axiom,
    ( p(X10)
    | p(X6)
    | p(X3)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | p(X9) )).

cnf(i_0_12569,axiom,
    ( ~ p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X8)
    | p(X1)
    | ~ p(X2)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X10)
    | p(X9) )).

cnf(i_0_12570,axiom,
    ( esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | p(X8)
    | p(X2)
    | ~ p(X5)
    | p(X3)
    | ~ p(X9)
    | p(X7)
    | ~ p(X4)
    | p(X10) )).

cnf(i_0_12571,axiom,
    ( ~ esk243_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk159_0 )).

cnf(i_0_12572,axiom,
    ( ~ esk146_0
    | ~ esk58_0 )).

cnf(i_0_12573,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X10)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X5)
    | p(X7) )).

cnf(i_0_12574,axiom,
    ( ~ esk134_0
    | ~ esk154_0 )).

cnf(i_0_12575,axiom,
    ( ~ esk192_0
    | ~ esk60_0 )).

cnf(i_0_12576,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | p(X9)
    | ~ p(X5)
    | p(X6)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12577,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X9)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | ~ p(X2)
    | p(X1)
    | p(X5)
    | p(X6)
    | ~ p(X10) )).

cnf(i_0_12578,axiom,
    ( ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_12579,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X9)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | p(X4)
    | p(X3) )).

cnf(i_0_12580,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | p(X2)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12581,axiom,
    ( ~ esk5_0
    | ~ esk11_0 )).

cnf(i_0_12582,axiom,
    ( p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_12583,axiom,
    ( p(X5)
    | p(X9)
    | p(X7)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X8)
    | ~ p(X3)
    | p(X10)
    | ~ p(X6)
    | p(X2)
    | p(X1) )).

cnf(i_0_12584,axiom,
    ( p(X1)
    | ~ p(X5)
    | ~ p(X7)
    | p(X9)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_12585,axiom,
    ( p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | p(X10)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X8) )).

cnf(i_0_12586,axiom,
    ( ~ p(X9)
    | p(X10)
    | ~ p(X7)
    | ~ p(X3)
    | p(X6)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1)
    | p(X5)
    | p(X4) )).

cnf(i_0_12587,axiom,
    ( ~ esk163_0
    | ~ esk75_0 )).

cnf(i_0_12588,axiom,
    ( ~ p(X8)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | p(X9)
    | p(X10) )).

cnf(i_0_12589,axiom,
    ( ~ esk210_0
    | ~ esk100_0 )).

cnf(i_0_12590,axiom,
    ( ~ p(X9)
    | ~ p(X1)
    | p(X6)
    | ~ p(X2)
    | p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_12591,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X10)
    | p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X9)
    | p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X6) )).

cnf(i_0_12592,axiom,
    ( ~ esk262_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk47_0 )).

cnf(i_0_12593,axiom,
    ( ~ esk129_0
    | ~ esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12594,axiom,
    ( ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X3)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2) )).

cnf(i_0_12595,axiom,
    ( ~ p(X7)
    | p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X8)
    | ~ p(X5)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X6)
    | ~ p(X1) )).

cnf(i_0_12596,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X6)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X4)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | p(X9) )).

cnf(i_0_12597,axiom,
    ( p(X8)
    | ~ p(X10)
    | p(X9)
    | ~ p(X2)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X7)
    | p(X5)
    | p(X4)
    | p(X6) )).

cnf(i_0_12598,axiom,
    ( ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X1)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X4)
    | ~ p(X3)
    | p(X6) )).

cnf(i_0_12599,axiom,
    ( p(X8)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X5)
    | ~ p(X9)
    | p(X1)
    | ~ p(X10)
    | p(X7)
    | p(X3)
    | p(X2) )).

cnf(i_0_12600,axiom,
    ( ~ esk185_0
    | ~ esk75_0 )).

cnf(i_0_12601,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X5)
    | p(X7)
    | ~ p(X10)
    | p(X3) )).

cnf(i_0_12602,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | p(X3)
    | p(X1)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X9)
    | p(X6) )).

cnf(i_0_12603,axiom,
    ( esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X8)
    | p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_12604,axiom,
    ( ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | p(X9)
    | ~ p(X8)
    | p(X5)
    | ~ p(X1)
    | p(X6) )).

cnf(i_0_12605,axiom,
    ( p(X9)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X4)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7) )).

cnf(i_0_12606,axiom,
    ( ~ p(X3)
    | ~ p(X10)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X6)
    | p(X2)
    | ~ p(X4)
    | p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X8) )).

cnf(i_0_12607,axiom,
    ( esk269_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk218_0 )).

cnf(i_0_12608,axiom,
    ( ~ esk63_0
    | ~ esk61_0 )).

cnf(i_0_12609,axiom,
    ( p(X8)
    | p(X6)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3) )).

cnf(i_0_12610,axiom,
    ( p(X1)
    | p(X10)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X8)
    | p(X6)
    | p(X5)
    | p(X3)
    | p(X4)
    | ~ p(X9)
    | ~ p(X7) )).

cnf(i_0_12611,axiom,
    ( ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | ~ p(X6)
    | p(X5)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_12612,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X7)
    | ~ p(X9)
    | p(X1)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12613,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | p(X5) )).

cnf(i_0_12614,axiom,
    ( ~ p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X10)
    | ~ p(X9) )).

cnf(i_0_12615,axiom,
    ( ~ p(X7)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X3) )).

cnf(i_0_12616,axiom,
    ( ~ p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X4)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_12617,axiom,
    ( ~ esk144_0
    | ~ esk56_0 )).

cnf(i_0_12618,axiom,
    ( p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X9)
    | p(X1)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10) )).

cnf(i_0_12619,axiom,
    ( p(X3)
    | p(X5)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | ~ p(X6)
    | p(X4)
    | p(X10) )).

cnf(i_0_12620,axiom,
    ( ~ esk186_0
    | ~ esk197_0 )).

cnf(i_0_12621,axiom,
    ( ~ esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12622,axiom,
    ( ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X7)
    | p(X6)
    | ~ p(X5)
    | p(X10)
    | p(X1)
    | p(X4)
    | p(X8)
    | ~ p(X3) )).

cnf(i_0_12623,axiom,
    ( p(X9)
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ p(X6)
    | p(X5)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12624,axiom,
    ( p(X7)
    | p(X3)
    | ~ p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X2)
    | p(X10)
    | p(X4)
    | ~ p(X1)
    | p(X5)
    | p(X9) )).

cnf(i_0_12625,axiom,
    ( p(X5)
    | ~ p(X9)
    | p(X3)
    | p(X4)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12626,axiom,
    ( ~ p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X10) )).

cnf(i_0_12627,axiom,
    ( ~ esk94_0
    | ~ esk98_0 )).

cnf(i_0_12628,axiom,
    ( p(X1)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | p(X9)
    | p(X8)
    | ~ p(X5)
    | ~ p(X3)
    | ~ p(X4)
    | p(X6)
    | ~ p(X2) )).

cnf(i_0_12629,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X2)
    | p(X10)
    | p(X3)
    | p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12630,axiom,
    ( ~ esk200_0
    | ~ esk204_0 )).

cnf(i_0_12631,axiom,
    ( ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X10)
    | p(X4) )).

cnf(i_0_12632,axiom,
    ( p(X7)
    | p(X3)
    | p(X2)
    | p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_12633,axiom,
    ( p(X9)
    | ~ p(X5)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | p(X1)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | p(X10)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12634,axiom,
    ( ~ p(X1)
    | ~ p(X5)
    | p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12635,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X8)
    | p(X10)
    | p(X7)
    | p(X6)
    | p(X5)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_12636,axiom,
    ( ~ p(X5)
    | p(X10)
    | p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X8)
    | p(X7)
    | p(X6) )).

cnf(i_0_12637,axiom,
    ( p(X3)
    | p(X7)
    | p(X8)
    | ~ p(X1)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | p(X6) )).

cnf(i_0_12638,axiom,
    ( ~ esk52_0
    | ~ esk60_0 )).

cnf(i_0_12639,axiom,
    ( esk139_0
    | esk51_0
    | esk7_0
    | esk273_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk95_0
    | ~ esk225_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | esk73_0
    | esk161_0
    | esk29_0
    | esk183_0
    | esk205_0
    | esk117_0 )).

cnf(i_0_12640,axiom,
    ( ~ p(X8)
    | p(X4)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_12641,axiom,
    ( ~ p(X7)
    | ~ p(X4)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X6)
    | p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12642,axiom,
    ( p(X4)
    | p(X1)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X7)
    | p(X9)
    | ~ p(X10) )).

cnf(i_0_12643,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X6)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_12644,axiom,
    ( ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2) )).

cnf(i_0_12645,axiom,
    ( esk221_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk111_0 )).

cnf(i_0_12646,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X7)
    | p(X8)
    | p(X10)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | ~ p(X6)
    | ~ p(X3) )).

cnf(i_0_12647,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X7)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | p(X1)
    | ~ p(X5)
    | ~ p(X2)
    | ~ p(X4)
    | p(X9) )).

cnf(i_0_12648,axiom,
    ( ~ esk84_0
    | ~ esk80_0 )).

cnf(i_0_12649,axiom,
    ( p(X8)
    | ~ p(X6)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X10)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X9) )).

cnf(i_0_12650,axiom,
    ( ~ p(X7)
    | p(X1)
    | ~ p(X8)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X3)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12651,axiom,
    ( ~ p(X3)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X9)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X10)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12652,axiom,
    ( ~ p(X9)
    | ~ p(X2)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | p(X4)
    | ~ p(X10)
    | p(X6)
    | ~ p(X1)
    | p(X8) )).

cnf(i_0_12653,axiom,
    ( p(X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X4)
    | p(X7)
    | p(X6) )).

cnf(i_0_12654,axiom,
    ( p(X3)
    | p(X10)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X5)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X8)
    | ~ p(X6)
    | ~ p(X2) )).

cnf(i_0_12655,axiom,
    ( ~ esk130_0
    | ~ esk127_0 )).

cnf(i_0_12656,axiom,
    ( ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X9)
    | p(X10)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X3)
    | ~ p(X7)
    | p(X4) )).

cnf(i_0_12657,axiom,
    ( p(X5)
    | p(X6)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X3) )).

cnf(i_0_12658,axiom,
    ( p(X3)
    | p(X1)
    | p(X7)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ p(X9)
    | ~ p(X2)
    | ~ p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5) )).

cnf(i_0_12659,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X7)
    | p(X3)
    | p(X6)
    | ~ p(X10)
    | ~ p(X8)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X5)
    | p(X9) )).

cnf(i_0_12660,axiom,
    ( ~ esk49_0
    | ~ esk27_0 )).

cnf(i_0_12661,axiom,
    ( ~ p(X9)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | ~ p(X5)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_12662,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X6)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X5)
    | ~ p(X7)
    | p(X8)
    | p(X10) )).

cnf(i_0_12663,axiom,
    ( p(X8)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X6)
    | p(X7)
    | p(X1)
    | ~ p(X9)
    | p(X10) )).

cnf(i_0_12664,axiom,
    ( ~ p(X2)
    | ~ p(X8)
    | p(X7)
    | ~ p(X3)
    | p(X10)
    | p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X4)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_12665,axiom,
    ( p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X9)
    | p(X1)
    | p(X5)
    | ~ p(X7)
    | ~ p(X8)
    | p(X4)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_12666,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X10)
    | p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | p(X7)
    | p(X8)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12667,axiom,
    ( ~ esk135_0
    | ~ esk139_0 )).

cnf(i_0_12668,axiom,
    ( ~ esk195_0
    | ~ esk196_0 )).

cnf(i_0_12669,axiom,
    ( ~ p(X4)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X8)
    | ~ p(X3)
    | p(X7)
    | ~ p(X5)
    | p(X1)
    | ~ p(X2)
    | ~ p(X10) )).

cnf(i_0_12670,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | p(X10)
    | ~ p(X1)
    | ~ p(X4)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X2)
    | p(X8)
    | p(X6)
    | ~ p(X7) )).

cnf(i_0_12671,axiom,
    ( ~ p(X7)
    | p(X10)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X9)
    | p(X5)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6) )).

cnf(i_0_12672,axiom,
    ( ~ esk201_0
    | ~ esk242_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12673,axiom,
    ( p(X6)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_12674,axiom,
    ( ~ esk29_0
    | ~ esk7_0 )).

cnf(i_0_12675,axiom,
    ( p(X6)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X8)
    | p(X5)
    | p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_12676,axiom,
    ( p(X1)
    | p(X7)
    | ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_12677,axiom,
    ( ~ p(X6)
    | p(X7)
    | p(X8)
    | ~ p(X9)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_12678,axiom,
    ( ~ p(X6)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8) )).

cnf(i_0_12679,axiom,
    ( ~ p(X3)
    | ~ p(X5)
    | ~ p(X10)
    | p(X9)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X2) )).

cnf(i_0_12680,axiom,
    ( ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X6)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_12681,axiom,
    ( p(X6)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X8)
    | ~ p(X5)
    | p(X7)
    | p(X1)
    | ~ p(X4)
    | ~ p(X9) )).

cnf(i_0_12682,axiom,
    ( ~ esk50_0
    | ~ esk182_0 )).

cnf(i_0_12683,axiom,
    ( esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X6)
    | ~ p(X7)
    | ~ p(X4)
    | p(X10)
    | p(X1)
    | ~ p(X8)
    | ~ p(X2)
    | p(X9)
    | p(X3) )).

cnf(i_0_12684,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X3)
    | p(X7)
    | p(X6)
    | p(X10)
    | ~ p(X9)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_12685,axiom,
    ( ~ esk8_0
    | ~ esk30_0 )).

cnf(i_0_12686,axiom,
    ( ~ p(X10)
    | p(X2)
    | ~ p(X6)
    | p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X8)
    | ~ p(X7)
    | ~ p(X3)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_12687,axiom,
    ( ~ esk166_0
    | ~ esk56_0 )).

cnf(i_0_12688,axiom,
    ( p(X10)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X5)
    | ~ p(X1)
    | ~ p(X8)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X4)
    | p(X9) )).

cnf(i_0_12689,axiom,
    ( ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X9)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X4)
    | ~ p(X8)
    | p(X7)
    | ~ p(X2) )).

cnf(i_0_12690,axiom,
    ( ~ p(X5)
    | ~ p(X6)
    | ~ p(X10)
    | p(X1)
    | p(X3)
    | p(X8)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X4) )).

cnf(i_0_12691,axiom,
    ( p(X8)
    | p(X6)
    | p(X2)
    | ~ p(X7)
    | p(X1)
    | p(X9)
    | p(X5)
    | ~ p(X4)
    | ~ p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12692,axiom,
    ( ~ esk203_0
    | ~ esk93_0 )).

cnf(i_0_12693,axiom,
    ( p(X3)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | ~ p(X2)
    | p(X8)
    | ~ p(X7)
    | p(X4)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X1) )).

cnf(i_0_12694,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X1) )).

cnf(i_0_12695,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X6)
    | p(X4)
    | ~ p(X7) )).

cnf(i_0_12696,axiom,
    ( ~ p(X1)
    | p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X7)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12697,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X5)
    | ~ p(X8)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X9)
    | p(X7) )).

cnf(i_0_12698,axiom,
    ( ~ p(X9)
    | p(X3)
    | p(X5)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X4)
    | p(X7)
    | p(X1)
    | p(X2)
    | ~ p(X8)
    | p(X10) )).

cnf(i_0_12699,axiom,
    ( p(X4)
    | p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X10)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X7)
    | p(X9)
    | p(X2)
    | p(X6) )).

cnf(i_0_12700,axiom,
    ( ~ p(X2)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X3)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X8)
    | p(X4) )).

cnf(i_0_12701,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X5)
    | ~ p(X10)
    | ~ p(X2)
    | ~ p(X7)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X8)
    | p(X1) )).

cnf(i_0_12702,axiom,
    ( p(X1)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | ~ p(X6)
    | ~ p(X3)
    | p(X9)
    | ~ p(X4)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2) )).

cnf(i_0_12703,axiom,
    ( p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X7)
    | p(X1)
    | ~ p(X5)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X4)
    | ~ p(X9)
    | ~ p(X3) )).

cnf(i_0_12704,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X1)
    | p(X9)
    | ~ p(X10)
    | p(X3)
    | ~ p(X5)
    | p(X8) )).

cnf(i_0_12705,axiom,
    ( ~ p(X10)
    | p(X1)
    | p(X4)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X5)
    | p(X7)
    | ~ p(X3)
    | ~ p(X6)
    | p(X2)
    | p(X8) )).

cnf(i_0_12706,axiom,
    ( esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | ~ p(X9)
    | ~ p(X5)
    | p(X1)
    | p(X2)
    | p(X7)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_12707,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | p(X10)
    | ~ p(X5)
    | p(X8)
    | p(X9)
    | p(X7) )).

cnf(i_0_12708,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X6)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | ~ p(X9) )).

cnf(i_0_12709,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X9)
    | ~ p(X8)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X5)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_12710,axiom,
    ( ~ p(X1)
    | p(X8)
    | ~ p(X3)
    | p(X4)
    | p(X7)
    | p(X9)
    | p(X5)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X6)
    | p(X2) )).

cnf(i_0_12711,axiom,
    ( ~ esk103_0
    | ~ esk277_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12712,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X9)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | p(X7)
    | p(X8)
    | ~ p(X3)
    | p(X6)
    | p(X5)
    | p(X4) )).

cnf(i_0_12713,axiom,
    ( ~ esk31_0
    | ~ esk163_0 )).

cnf(i_0_12714,axiom,
    ( ~ p(X6)
    | p(X8)
    | p(X7)
    | p(X1)
    | p(X2)
    | p(X10)
    | ~ p(X5)
    | ~ p(X3)
    | p(X9)
    | p(X4)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12715,axiom,
    ( p(X3)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X10)
    | p(X7)
    | ~ p(X9)
    | p(X8)
    | ~ p(X6)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_12716,axiom,
    ( ~ esk111_0
    | ~ esk89_0 )).

cnf(i_0_12717,axiom,
    ( ~ esk185_0
    | esk239_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12718,axiom,
    ( p(X9)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X6)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_12719,axiom,
    ( p(X10)
    | ~ p(X7)
    | p(X9)
    | ~ p(X5)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X6)
    | p(X8)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12720,axiom,
    ( ~ p(X3)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X2)
    | ~ p(X8)
    | p(X6)
    | ~ p(X10)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X9) )).

cnf(i_0_12721,axiom,
    ( ~ esk133_0
    | ~ esk23_0 )).

cnf(i_0_12722,axiom,
    ( ~ p(X5)
    | p(X9)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X6)
    | p(X1)
    | p(X8)
    | p(X4) )).

cnf(i_0_12723,axiom,
    ( ~ p(X5)
    | p(X7)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X2)
    | p(X9)
    | p(X1)
    | p(X10)
    | ~ p(X8) )).

cnf(i_0_12724,axiom,
    ( ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | ~ p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X7)
    | p(X4)
    | p(X9)
    | ~ p(X2)
    | ~ p(X1)
    | p(X5) )).

cnf(i_0_12725,axiom,
    ( ~ p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X3)
    | p(X1)
    | p(X9)
    | ~ p(X5) )).

cnf(i_0_12726,axiom,
    ( ~ p(X1)
    | p(X5)
    | ~ p(X9)
    | p(X6)
    | ~ p(X10)
    | p(X2)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X7)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12727,axiom,
    ( ~ p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X10)
    | p(X4)
    | ~ p(X6)
    | p(X5)
    | ~ p(X9)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8) )).

cnf(i_0_12728,axiom,
    ( ~ esk173_0
    | ~ esk151_0 )).

cnf(i_0_12729,axiom,
    ( ~ p(X9)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | ~ p(X3)
    | p(X2)
    | p(X7) )).

cnf(i_0_12730,axiom,
    ( ~ p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X4)
    | p(X10)
    | p(X5)
    | p(X3)
    | p(X7)
    | p(X2)
    | p(X9) )).

cnf(i_0_12731,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X4)
    | p(X6)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | ~ p(X7)
    | ~ p(X8)
    | p(X9)
    | p(X3)
    | ~ p(X10) )).

cnf(i_0_12732,axiom,
    ( ~ esk279_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk107_0 )).

cnf(i_0_12733,axiom,
    ( ~ p(X1)
    | ~ p(X10)
    | p(X3)
    | p(X5)
    | ~ p(X4)
    | p(X2)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X6)
    | p(X8) )).

cnf(i_0_12734,axiom,
    ( p(X4)
    | ~ p(X5)
    | ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_12735,axiom,
    ( p(X6)
    | ~ p(X7)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X3)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X8)
    | ~ p(X10) )).

cnf(i_0_12736,axiom,
    ( ~ p(X6)
    | ~ p(X4)
    | ~ p(X8)
    | p(X9)
    | p(X10)
    | p(X3)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_12737,axiom,
    ( p(X10)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | ~ p(X3)
    | ~ p(X8)
    | ~ p(X2)
    | ~ p(X5)
    | ~ p(X1) )).

cnf(i_0_12738,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X2)
    | p(X9)
    | p(X3)
    | p(X4)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X5)
    | ~ p(X10)
    | p(X6) )).

cnf(i_0_12739,axiom,
    ( esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | p(X7)
    | p(X8)
    | p(X9)
    | p(X1)
    | p(X3)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X2)
    | p(X5) )).

cnf(i_0_12740,axiom,
    ( ~ esk212_0
    | ~ esk208_0 )).

cnf(i_0_12741,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X6)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7)
    | p(X8)
    | p(X9) )).

cnf(i_0_12742,axiom,
    ( p(X6)
    | p(X9)
    | p(X4)
    | ~ p(X10)
    | p(X8)
    | p(X3)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_12743,axiom,
    ( ~ p(X7)
    | p(X1)
    | p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X6)
    | ~ p(X3)
    | ~ p(X5)
    | p(X2) )).

cnf(i_0_12744,axiom,
    ( ~ p(X10)
    | ~ p(X9)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | p(X8)
    | p(X6)
    | p(X5) )).

cnf(i_0_12745,axiom,
    ( ~ esk214_0
    | ~ esk216_0 )).

cnf(i_0_12746,axiom,
    ( p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X4)
    | p(X8)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X3)
    | ~ p(X7) )).

cnf(i_0_12747,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | ~ p(X6)
    | p(X7)
    | ~ p(X2)
    | p(X8)
    | p(X1)
    | ~ p(X9)
    | p(X4)
    | p(X10)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12748,axiom,
    ( ~ esk210_0
    | ~ esk206_0 )).

cnf(i_0_12749,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X8)
    | p(X2)
    | ~ p(X10)
    | ~ p(X7)
    | p(X5)
    | p(X4) )).

cnf(i_0_12750,axiom,
    ( p(X7)
    | p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X10)
    | p(X8)
    | p(X3)
    | p(X6) )).

cnf(i_0_12751,axiom,
    ( ~ p(X10)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X5)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X7)
    | p(X6)
    | ~ p(X4)
    | ~ p(X9)
    | p(X1) )).

cnf(i_0_12752,axiom,
    ( p(X4)
    | ~ p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X10)
    | ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X7)
    | p(X2)
    | ~ p(X9) )).

cnf(i_0_12753,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X9)
    | ~ p(X4)
    | p(X6)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X10)
    | ~ p(X5)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_12754,axiom,
    ( p(X4)
    | p(X6)
    | p(X10)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X3)
    | ~ p(X9)
    | ~ p(X8) )).

cnf(i_0_12755,axiom,
    ( p(X6)
    | p(X8)
    | ~ p(X4)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | p(X1)
    | p(X9)
    | ~ p(X3)
    | p(X5)
    | p(X2) )).

cnf(i_0_12756,axiom,
    ( ~ p(X9)
    | ~ p(X10)
    | ~ p(X7)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X5)
    | p(X1)
    | p(X8)
    | p(X3)
    | ~ p(X4)
    | ~ p(X6) )).

cnf(i_0_12757,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X2)
    | ~ p(X8)
    | ~ p(X6)
    | p(X5)
    | p(X1) )).

cnf(i_0_12758,axiom,
    ( ~ esk177_0
    | ~ esk183_0 )).

cnf(i_0_12759,axiom,
    ( ~ esk278_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12760,axiom,
    ( ~ p(X6)
    | p(X2)
    | p(X9)
    | ~ p(X10)
    | p(X1)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X7) )).

cnf(i_0_12761,axiom,
    ( ~ p(X2)
    | p(X6)
    | p(X7)
    | ~ p(X1)
    | p(X10)
    | p(X9)
    | p(X5)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X8)
    | ~ p(X4) )).

cnf(i_0_12762,axiom,
    ( ~ esk193_0
    | ~ esk183_0 )).

cnf(i_0_12763,axiom,
    ( ~ p(X3)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X5)
    | ~ p(X7)
    | p(X10)
    | p(X1)
    | ~ p(X9)
    | p(X6)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_12764,axiom,
    ( p(X5)
    | p(X8)
    | p(X6)
    | ~ p(X3)
    | ~ p(X10)
    | p(X1)
    | ~ p(X7)
    | ~ p(X9)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_12765,axiom,
    ( ~ p(X8)
    | p(X3)
    | p(X9)
    | p(X10)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X6)
    | ~ p(X5)
    | p(X7)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_12766,axiom,
    ( ~ p(X6)
    | ~ p(X5)
    | ~ p(X8)
    | p(X10)
    | ~ p(X2)
    | ~ p(X1)
    | p(X7)
    | p(X9)
    | ~ p(X3)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4) )).

cnf(i_0_12767,axiom,
    ( ~ p(X2)
    | p(X1)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | p(X3)
    | ~ p(X10)
    | p(X4)
    | p(X8)
    | p(X6)
    | p(X7) )).

cnf(i_0_12768,axiom,
    ( ~ esk207_0
    | ~ esk199_0 )).

cnf(i_0_12769,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X6)
    | p(X5)
    | ~ p(X8)
    | p(X10)
    | p(X7)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12770,axiom,
    ( ~ p(X5)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | ~ p(X4)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X7)
    | p(X6) )).

cnf(i_0_12771,axiom,
    ( p(X2)
    | p(X8)
    | p(X4)
    | p(X10)
    | p(X6)
    | ~ p(X9)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | p(X7)
    | ~ p(X5)
    | ~ p(X3) )).

cnf(i_0_12772,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X8)
    | p(X10)
    | p(X5)
    | ~ p(X9)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_12773,axiom,
    ( ~ p(X6)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X9)
    | p(X5)
    | ~ p(X10)
    | p(X2)
    | ~ p(X7) )).

cnf(i_0_12774,axiom,
    ( ~ p(X9)
    | p(X3)
    | ~ p(X6)
    | ~ p(X5)
    | p(X2)
    | p(X4)
    | p(X8)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | p(X7)
    | ~ p(X1) )).

cnf(i_0_12775,axiom,
    ( ~ esk26_0
    | ~ esk70_0 )).

cnf(i_0_12776,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | p(X5)
    | p(X10)
    | p(X8)
    | ~ p(X3)
    | p(X1)
    | ~ p(X7)
    | ~ p(X6)
    | ~ p(X4)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12777,axiom,
    ( ~ p(X2)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | p(X4)
    | p(X5)
    | p(X8)
    | p(X10)
    | ~ p(X7)
    | p(X6)
    | ~ p(X3) )).

cnf(i_0_12778,axiom,
    ( ~ esk141_0
    | ~ esk97_0 )).

cnf(i_0_12779,axiom,
    ( ~ p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X6)
    | p(X9)
    | ~ p(X4)
    | p(X7)
    | ~ p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X10) )).

cnf(i_0_12780,axiom,
    ( ~ p(X3)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X6)
    | p(X8)
    | ~ p(X5)
    | p(X10)
    | ~ p(X9)
    | ~ p(X4)
    | ~ p(X7)
    | ~ p(X1) )).

cnf(i_0_12781,axiom,
    ( ~ p(X5)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X6)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X8)
    | p(X2) )).

cnf(i_0_12782,axiom,
    ( ~ p(X2)
    | ~ p(X6)
    | p(X9)
    | p(X5)
    | p(X4)
    | p(X1)
    | ~ p(X8)
    | ~ p(X10)
    | p(X3)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7) )).

cnf(i_0_12783,axiom,
    ( p(X6)
    | p(X10)
    | ~ p(X3)
    | p(X9)
    | ~ p(X5)
    | p(X7)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X8)
    | p(X2)
    | p(X1) )).

cnf(i_0_12784,axiom,
    ( p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X7)
    | ~ p(X10)
    | p(X5)
    | p(X4)
    | p(X6)
    | p(X1)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2) )).

cnf(i_0_12785,axiom,
    ( ~ p(X1)
    | p(X5)
    | p(X10)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X7)
    | ~ p(X6)
    | p(X4)
    | p(X9)
    | p(X8)
    | p(X3) )).

cnf(i_0_12786,axiom,
    ( ~ esk6_0
    | ~ esk18_0 )).

cnf(i_0_12787,axiom,
    ( ~ p(X2)
    | ~ p(X9)
    | ~ p(X8)
    | p(X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X1)
    | ~ p(X5)
    | p(X3)
    | p(X4) )).

cnf(i_0_12788,axiom,
    ( ~ esk29_0
    | ~ esk139_0 )).

cnf(i_0_12789,axiom,
    ( ~ p(X10)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | ~ p(X9)
    | ~ p(X7)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X8)
    | p(X2)
    | ~ p(X6) )).

cnf(i_0_12790,axiom,
    ( p(X9)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X7)
    | ~ p(X6)
    | p(X10)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X5) )).

cnf(i_0_12791,axiom,
    ( ~ esk35_0
    | ~ esk31_0 )).

cnf(i_0_12792,axiom,
    ( p(X7)
    | ~ p(X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | ~ p(X3)
    | p(X9)
    | p(X6)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12793,axiom,
    ( p(X10)
    | ~ esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X2)
    | p(X7)
    | p(X9)
    | p(X5)
    | ~ p(X8)
    | p(X6)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12794,axiom,
    ( p(X2)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X1)
    | ~ p(X10)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X5)
    | p(X4)
    | ~ p(X8)
    | ~ p(X7) )).

cnf(i_0_12795,axiom,
    ( ~ p(X7)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X3)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X6)
    | p(X10) )).

cnf(i_0_12796,axiom,
    ( ~ esk104_0
    | ~ esk82_0 )).

cnf(i_0_12797,axiom,
    ( p(X6)
    | ~ p(X9)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X3)
    | ~ p(X10)
    | p(X4) )).

cnf(i_0_12798,axiom,
    ( p(X1)
    | ~ p(X6)
    | ~ p(X3)
    | p(X2)
    | esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | p(X8)
    | p(X4)
    | p(X7)
    | ~ p(X10)
    | ~ p(X9) )).

cnf(i_0_12799,axiom,
    ( ~ p(X7)
    | p(X6)
    | p(X8)
    | esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | p(X5)
    | ~ p(X2)
    | ~ p(X1)
    | p(X10)
    | ~ p(X3)
    | p(X9) )).

cnf(i_0_12800,axiom,
    ( ~ p(X5)
    | p(X10)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | ~ p(X7)
    | ~ p(X2)
    | ~ p(X9)
    | ~ p(X3)
    | p(X1)
    | p(X8)
    | ~ p(X6) )).

cnf(i_0_12801,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X5)
    | p(X8)
    | p(X7)
    | ~ p(X10)
    | ~ p(X6)
    | p(X4)
    | ~ p(X9)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2) )).

cnf(i_0_12802,axiom,
    ( p(X3)
    | p(X8)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X5)
    | p(X6)
    | esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X7)
    | ~ p(X10) )).

cnf(i_0_12803,axiom,
    ( ~ esk23_0
    | ~ esk1_0 )).

cnf(i_0_12804,axiom,
    ( ~ esk80_0
    | ~ esk190_0 )).

cnf(i_0_12805,axiom,
    ( p(X10)
    | ~ p(X9)
    | p(X2)
    | p(X8)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X4)
    | p(X3)
    | p(X7)
    | p(X1)
    | p(X5) )).

cnf(i_0_12806,axiom,
    ( ~ p(X2)
    | p(X10)
    | ~ p(X9)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X4)
    | ~ p(X8)
    | ~ p(X7)
    | p(X3)
    | p(X6)
    | p(X5)
    | ~ p(X1) )).

cnf(i_0_12807,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X8)
    | p(X2)
    | esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X10)
    | p(X6)
    | p(X7)
    | p(X4)
    | p(X5) )).

cnf(i_0_12808,axiom,
    ( p(X5)
    | p(X1)
    | ~ p(X8)
    | ~ p(X9)
    | ~ p(X6)
    | p(X4)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3) )).

cnf(i_0_12809,axiom,
    ( ~ p(X2)
    | p(X9)
    | ~ p(X6)
    | ~ p(X10)
    | ~ esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X8)
    | p(X4)
    | p(X1)
    | p(X7)
    | ~ p(X3)
    | ~ p(X5) )).

cnf(i_0_12810,axiom,
    ( ~ esk37_0
    | ~ esk59_0 )).

cnf(i_0_12811,axiom,
    ( ~ p(X4)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X10)
    | ~ p(X1)
    | p(X6)
    | ~ p(X3)
    | p(X9)
    | p(X2)
    | ~ p(X5)
    | ~ p(X7)
    | ~ p(X8) )).

cnf(i_0_12812,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X2)
    | p(X6)
    | p(X4)
    | p(X1)
    | p(X5)
    | p(X9)
    | ~ p(X7)
    | p(X10)
    | ~ p(X3) )).

cnf(i_0_12813,axiom,
    ( p(X6)
    | ~ esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X5)
    | ~ p(X1)
    | p(X7)
    | ~ p(X8)
    | ~ p(X2)
    | p(X3)
    | p(X9)
    | p(X4)
    | ~ p(X10) )).

cnf(i_0_12814,axiom,
    ( p(X2)
    | p(X5)
    | ~ p(X9)
    | p(X4)
    | ~ p(X6)
    | ~ p(X10)
    | p(X3)
    | p(X7)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | ~ p(X1) )).

cnf(i_0_12815,axiom,
    ( ~ esk39_0
    | ~ esk215_0 )).

cnf(i_0_12816,axiom,
    ( ~ p(X1)
    | p(X9)
    | ~ p(X8)
    | p(X6)
    | p(X2)
    | p(X3)
    | ~ p(X7)
    | ~ p(X4)
    | ~ p(X5)
    | p(X10)
    | esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12817,axiom,
    ( p(X5)
    | ~ p(X1)
    | p(X9)
    | p(X3)
    | p(X10)
    | ~ p(X8)
    | p(X2)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X6)
    | ~ p(X7)
    | ~ p(X4) )).

cnf(i_0_12818,axiom,
    ( p(X10)
    | p(X2)
    | p(X7)
    | ~ p(X6)
    | ~ p(X5)
    | ~ p(X1)
    | ~ p(X9)
    | ~ p(X8)
    | p(X3)
    | p(X4)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10) )).

cnf(i_0_12819,axiom,
    ( ~ esk173_0
    | ~ esk195_0 )).

cnf(i_0_12820,axiom,
    ( ~ p(X6)
    | p(X7)
    | ~ p(X5)
    | ~ p(X8)
    | p(X9)
    | p(X4)
    | p(X2)
    | esk255_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X10) )).

cnf(i_0_12821,axiom,
    ( p(X7)
    | ~ p(X8)
    | ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X9)
    | ~ p(X1)
    | ~ p(X5)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X10)
    | p(X6) )).

cnf(i_0_12822,axiom,
    ( ~ esk113_0
    | ~ esk119_0 )).

cnf(i_0_12823,axiom,
    ( ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | ~ p(X1)
    | p(X5)
    | p(X2)
    | ~ p(X8)
    | ~ p(X3)
    | p(X7)
    | p(X10)
    | p(X6)
    | p(X4) )).

cnf(i_0_12824,axiom,
    ( ~ esk173_0
    | ~ esk157_0 )).

cnf(i_0_12825,axiom,
    ( ~ esk8_0
    | ~ esk140_0 )).

cnf(i_0_12826,axiom,
    ( p(X1)
    | ~ esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X4)
    | ~ p(X5)
    | p(X9)
    | p(X2)
    | ~ p(X10)
    | p(X7)
    | ~ p(X6)
    | ~ p(X8) )).

cnf(i_0_12827,axiom,
    ( ~ p(X6)
    | p(X4)
    | p(X3)
    | p(X9)
    | ~ p(X5)
    | ~ p(X7)
    | p(X8)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | p(X10)
    | ~ p(X1) )).

cnf(i_0_12828,axiom,
    ( ~ p(X2)
    | esk256_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X5)
    | p(X6)
    | ~ p(X8)
    | p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | p(X9)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_12829,axiom,
    ( p(X8)
    | ~ p(X5)
    | p(X9)
    | ~ p(X6)
    | ~ esk252_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | p(X2)
    | ~ p(X7)
    | ~ p(X1)
    | ~ p(X10)
    | ~ p(X4) )).

cnf(i_0_12830,axiom,
    ( p(X1)
    | ~ p(X6)
    | p(X8)
    | p(X5)
    | p(X9)
    | ~ p(X3)
    | ~ p(X7)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X10) )).

cnf(i_0_12831,axiom,
    ( p(X3)
    | ~ esk257_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X7)
    | p(X6)
    | p(X9)
    | p(X2)
    | p(X1)
    | ~ p(X8)
    | ~ p(X5)
    | p(X10)
    | p(X4) )).

cnf(i_0_12832,axiom,
    ( ~ esk64_0
    | ~ esk61_0 )).

cnf(i_0_12833,axiom,
    ( esk265_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ esk130_0 )).

cnf(i_0_12834,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X10)
    | p(X8)
    | ~ p(X7)
    | p(X9)
    | ~ esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X6)
    | ~ p(X5) )).

cnf(i_0_12835,axiom,
    ( p(X8)
    | ~ p(X7)
    | p(X2)
    | ~ p(X10)
    | p(X4)
    | p(X6)
    | p(X9)
    | ~ esk259_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X3)
    | p(X1)
    | ~ p(X5) )).

cnf(i_0_12836,axiom,
    ( p(X6)
    | p(X2)
    | p(X9)
    | p(X5)
    | p(X8)
    | ~ esk253_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X10)
    | ~ p(X3)
    | p(X7)
    | p(X1)
    | p(X4) )).

cnf(i_0_12837,axiom,
    ( ~ esk254_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X3)
    | ~ p(X10)
    | ~ p(X2)
    | p(X7)
    | p(X9)
    | ~ p(X5)
    | ~ p(X8)
    | ~ p(X4)
    | p(X1)
    | p(X6) )).

cnf(i_0_12838,axiom,
    ( ~ p(X9)
    | p(X6)
    | p(X8)
    | p(X1)
    | p(X10)
    | ~ p(X3)
    | ~ p(X2)
    | esk251_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X4)
    | p(X5)
    | p(X7) )).

cnf(i_0_12839,axiom,
    ( ~ p(X4)
    | p(X7)
    | esk260_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | ~ p(X9)
    | p(X1)
    | ~ p(X5)
    | ~ p(X6)
    | ~ p(X3)
    | p(X10)
    | ~ p(X2)
    | p(X8) )).

cnf(i_0_12840,axiom,
    ( p(X6)
    | ~ p(X2)
    | esk258_10(X1,X2,X3,X4,X5,X6,X7,X8,X9,X10)
    | p(X8)
    | p(X9)
    | p(X5)
    | ~ p(X10)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X7) )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
