%------------------------------------------------------------------------------
% File     : HWV069-1 : TPTP v6.1.0. Bugfixed v5.5.1.
% Domain   : Hardware Verification
% Problem  : QBFLib problem from the C5315 family
% Version  : Especial.
% English  :

% Refs     : [Sei12] Seidl (2012), Email to Geoff Sutcliffe
%          : [SLB12] Seidl et al. (2012), Tool for Generating EPR Formulas
% Source   : [Sei12]
% Names    : c6_BMC_p2_k64-shuffled [Sei12]

% Status   : Unsatisfiable
% Rating   : 0.25 v6.1.0, 0.50 v6.0.0
% Syntax   : Number of clauses     : 27749 (9412 non-Horn;  33 unit;23449 RR)
%            Number of atoms       : 84625 (   1 equality)
%            Maximal clause size   :    6 (   3 average)
%            Number of predicates  : 9746 (1352 propositional; 0-4 arity)
%            Number of functors    :    2 (   2 constant; 0-0 arity)
%            Number of variables   : 110976 ( 112 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments :
% Bugfixes : v5.5.1 - Fixed rule_true and rule_false, added true_not_false
%------------------------------------------------------------------------------
cnf(i_0_1,axiom,
    ( esk8724_4(X1,X2,X3,X4)
    | ~ esk8463_4(X1,X2,X3,X4)
    | esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_2,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk403_0
    | p(X2)
    | ~ p(X3)
    | esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_3,axiom,
    ( ~ esk3202_4(X1,X2,X3,X4)
    | esk3205_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_4,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk8747_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1_0 )).

cnf(i_0_5,axiom,
    ( ~ p(X2)
    | esk8717_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ esk578_0 )).

cnf(i_0_6,axiom,
    ( p(X3)
    | esk9095_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk889_0 )).

cnf(i_0_7,axiom,
    ( ~ esk9685_4(X1,X2,X3,X4)
    | esk8995_4(X1,X2,X3,X4) )).

cnf(i_0_8,axiom,
    ( esk8462_4(X1,X2,X3,X4)
    | ~ esk8497_4(X1,X2,X3,X4) )).

cnf(i_0_9,axiom,
    ( ~ p(X2)
    | esk9166_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1057_0
    | p(X1)
    | p(X3) )).

cnf(i_0_10,axiom,
    ( p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk850_0
    | ~ p(X3) )).

cnf(i_0_11,axiom,
    ( esk2899_4(X1,X2,X3,X4)
    | esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_12,axiom,
    ( ~ esk5952_4(X1,X2,X3,X4)
    | esk3852_4(X1,X2,X3,X4) )).

cnf(i_0_13,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | ~ esk2049_4(X1,X2,X3,X4)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_14,axiom,
    ( esk4987_4(X1,X2,X3,X4)
    | ~ esk3542_4(X1,X2,X3,X4) )).

cnf(i_0_15,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk973_0
    | esk9105_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16,axiom,
    ( ~ esk5652_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_17,axiom,
    ( ~ esk507_0
    | ~ p(X1)
    | esk8547_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_18,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4696_4(X1,X2,X3,X4) )).

cnf(i_0_19,axiom,
    ( ~ esk8357_4(X1,X2,X3,X4)
    | esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_20,axiom,
    ( ~ esk8043_4(X1,X2,X3,X4)
    | esk7688_4(X1,X2,X3,X4) )).

cnf(i_0_21,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk277_0
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_22,axiom,
    ( esk5102_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23,axiom,
    ( p(X4)
    | ~ esk803_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_24,axiom,
    ( ~ esk2953_4(X1,X2,X3,X4)
    | esk1554_4(X1,X2,X3,X4)
    | ~ esk1476_4(X1,X2,X3,X4) )).

cnf(i_0_25,axiom,
    ( ~ esk7478_4(X1,X2,X3,X4)
    | esk7472_4(X1,X2,X3,X4)
    | esk7477_4(X1,X2,X3,X4) )).

cnf(i_0_26,axiom,
    ( ~ esk2269_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27,axiom,
    ( esk3086_4(X1,X2,X3,X4)
    | ~ esk3085_4(X1,X2,X3,X4) )).

cnf(i_0_28,axiom,
    ( ~ esk7010_4(X1,X2,X3,X4)
    | esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_29,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk8731_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk690_0 )).

cnf(i_0_30,axiom,
    ( esk7852_4(X1,X2,X3,X4)
    | ~ esk7850_4(X1,X2,X3,X4) )).

cnf(i_0_31,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4319_4(X1,X2,X3,X4) )).

cnf(i_0_32,axiom,
    ( esk683_0
    | ~ esk8731_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_33,axiom,
    ( esk9411_4(X1,X2,X3,X4)
    | ~ esk9409_4(X1,X2,X3,X4) )).

cnf(i_0_34,axiom,
    ( ~ esk1616_4(X1,X2,X3,X4)
    | ~ esk2918_4(X1,X2,X3,X4)
    | esk1617_4(X1,X2,X3,X4) )).

cnf(i_0_35,axiom,
    ( esk9272_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_36,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk2548_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_37,axiom,
    ( esk7231_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_38,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk2421_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ esk574_0 )).

cnf(i_0_39,axiom,
    ( ~ esk3117_4(X1,X2,X3,X4)
    | esk3118_4(X1,X2,X3,X4) )).

cnf(i_0_40,axiom,
    ( esk8718_4(X1,X2,X3,X4)
    | ~ esk6618_4(X1,X2,X3,X4) )).

cnf(i_0_41,axiom,
    ( ~ esk1374_4(X1,X2,X3,X4)
    | ~ esk1355_4(X1,X2,X3,X4)
    | esk1429_4(X1,X2,X3,X4) )).

cnf(i_0_42,axiom,
    ( esk7266_4(X1,X2,X3,X4)
    | ~ esk7252_4(X1,X2,X3,X4)
    | ~ esk7265_4(X1,X2,X3,X4) )).

cnf(i_0_43,axiom,
    ( ~ esk1582_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_44,axiom,
    ( ~ esk7265_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_45,axiom,
    ( esk5758_4(X1,X2,X3,X4)
    | esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_46,axiom,
    ( ~ esk7414_4(X1,X2,X3,X4)
    | esk7413_4(X1,X2,X3,X4) )).

cnf(i_0_47,axiom,
    ( esk22_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_48,axiom,
    ( ~ esk1944_4(X1,X2,X3,X4)
    | esk1947_4(X1,X2,X3,X4) )).

cnf(i_0_49,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2645_4(X1,X2,X3,X4) )).

cnf(i_0_50,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk3299_4(X1,X2,X3,X4) )).

cnf(i_0_51,axiom,
    ( ~ esk2697_4(X1,X2,X3,X4)
    | esk2698_4(X1,X2,X3,X4) )).

cnf(i_0_52,axiom,
    ( ~ esk1722_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_53,axiom,
    ( ~ esk6092_4(X1,X2,X3,X4)
    | esk6091_4(X1,X2,X3,X4) )).

cnf(i_0_54,axiom,
    ( ~ esk5495_4(X1,X2,X3,X4)
    | esk5494_4(X1,X2,X3,X4) )).

cnf(i_0_55,axiom,
    ( ~ esk5171_4(X1,X2,X3,X4)
    | esk5173_4(X1,X2,X3,X4) )).

cnf(i_0_56,axiom,
    ( esk1006_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_57,axiom,
    ( ~ esk4557_4(X1,X2,X3,X4)
    | esk4562_4(X1,X2,X3,X4) )).

cnf(i_0_58,axiom,
    ( esk3580_4(X1,X2,X3,X4)
    | ~ esk3608_4(X1,X2,X3,X4) )).

cnf(i_0_59,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5072_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_60,axiom,
    ( esk6227_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_61,axiom,
    ( ~ esk6022_4(X1,X2,X3,X4)
    | esk7118_4(X1,X2,X3,X4) )).

cnf(i_0_62,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk1018_0
    | esk2815_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_63,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4367_4(X1,X2,X3,X4)
    | esk4401_4(X1,X2,X3,X4) )).

cnf(i_0_64,axiom,
    ( esk5805_4(X1,X2,X3,X4)
    | ~ esk7095_4(X1,X2,X3,X4) )).

cnf(i_0_65,axiom,
    ( esk7826_4(X1,X2,X3,X4)
    | ~ esk7825_4(X1,X2,X3,X4) )).

cnf(i_0_66,axiom,
    ( esk1983_4(X1,X2,X3,X4)
    | esk1949_4(X1,X2,X3,X4)
    | ~ esk1984_4(X1,X2,X3,X4) )).

cnf(i_0_67,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ esk1715_4(X1,X2,X3,X4) )).

cnf(i_0_68,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1822_4(X1,X2,X3,X4) )).

cnf(i_0_69,axiom,
    ( ~ esk6387_4(X1,X2,X3,X4)
    | esk6388_4(X1,X2,X3,X4) )).

cnf(i_0_70,axiom,
    ( ~ p(X1)
    | esk7740_4(X1,X2,X3,X4)
    | ~ esk61_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_71,axiom,
    ( ~ esk6317_4(X1,X2,X3,X4)
    | esk6319_4(X1,X2,X3,X4) )).

cnf(i_0_72,axiom,
    ( ~ esk8019_4(X1,X2,X3,X4)
    | esk7988_4(X1,X2,X3,X4) )).

cnf(i_0_73,axiom,
    ( ~ esk6230_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk6268_4(X1,X2,X3,X4) )).

cnf(i_0_74,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2112_4(X1,X2,X3,X4) )).

cnf(i_0_75,axiom,
    ( ~ esk7205_4(X1,X2,X3,X4)
    | ~ esk7200_4(X1,X2,X3,X4)
    | esk7206_4(X1,X2,X3,X4) )).

cnf(i_0_76,axiom,
    ( esk9083_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk801_0
    | p(X1) )).

cnf(i_0_77,axiom,
    ( esk6785_4(X1,X2,X3,X4)
    | esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_78,axiom,
    ( ~ esk6414_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_79,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk379_0
    | esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_80,axiom,
    ( ~ esk4526_4(X1,X2,X3,X4)
    | esk4298_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_81,axiom,
    ( esk5895_4(X1,X2,X3,X4)
    | ~ esk5932_4(X1,X2,X3,X4) )).

cnf(i_0_82,axiom,
    ( esk2713_4(X1,X2,X3,X4)
    | ~ esk2714_4(X1,X2,X3,X4)
    | esk2712_4(X1,X2,X3,X4) )).

cnf(i_0_83,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6962_4(X1,X2,X3,X4) )).

cnf(i_0_84,axiom,
    ( ~ esk3937_4(X1,X2,X3,X4)
    | esk3936_4(X1,X2,X3,X4) )).

cnf(i_0_85,axiom,
    ( ~ esk6049_4(X1,X2,X3,X4)
    | esk6052_4(X1,X2,X3,X4)
    | ~ esk6051_4(X1,X2,X3,X4) )).

cnf(i_0_86,axiom,
    ( esk8380_4(X1,X2,X3,X4)
    | ~ esk8413_4(X1,X2,X3,X4) )).

cnf(i_0_87,axiom,
    ( esk6991_4(X1,X2,X3,X4)
    | ~ esk6759_4(X1,X2,X3,X4) )).

cnf(i_0_88,axiom,
    ( ~ esk8536_4(X1,X2,X3,X4)
    | esk8538_4(X1,X2,X3,X4) )).

cnf(i_0_89,axiom,
    ( ~ esk2986_4(X1,X2,X3,X4)
    | esk2985_4(X1,X2,X3,X4)
    | esk2984_4(X1,X2,X3,X4) )).

cnf(i_0_90,axiom,
    ( ~ esk1459_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_91,axiom,
    ( ~ esk9107_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk991_0
    | ~ p(X1) )).

cnf(i_0_92,axiom,
    ( p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | ~ esk964_0
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_93,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk1693_4(X1,X2,X3,X4) )).

cnf(i_0_94,axiom,
    ( esk7199_4(X1,X2,X3,X4)
    | esk7198_4(X1,X2,X3,X4)
    | ~ esk7200_4(X1,X2,X3,X4) )).

cnf(i_0_95,axiom,
    ( esk3796_4(X1,X2,X3,X4)
    | ~ esk3968_4(X1,X2,X3,X4) )).

cnf(i_0_96,axiom,
    ( esk2683_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_97,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk1754_4(X1,X2,X3,X4)
    | esk210_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_98,axiom,
    ( esk1538_4(X1,X2,X3,X4)
    | ~ esk1539_4(X1,X2,X3,X4)
    | esk1537_4(X1,X2,X3,X4) )).

cnf(i_0_99,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk9542_4(X1,X2,X3,X4) )).

cnf(i_0_100,axiom,
    ( esk8346_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_101,axiom,
    ( esk9109_4(X1,X2,X3,X4)
    | ~ esk1002_0
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_102,axiom,
    ( ~ esk4144_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_103,axiom,
    ( ~ esk9154_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_104,axiom,
    ( esk4897_4(X1,X2,X3,X4)
    | ~ esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_105,axiom,
    ( ~ esk5255_4(X1,X2,X3,X4)
    | esk5225_4(X1,X2,X3,X4) )).

cnf(i_0_106,axiom,
    ( esk8248_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk323_0
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_107,axiom,
    ( esk6873_4(X1,X2,X3,X4)
    | ~ esk6874_4(X1,X2,X3,X4) )).

cnf(i_0_108,axiom,
    ( ~ esk2970_4(X1,X2,X3,X4)
    | esk2969_4(X1,X2,X3,X4)
    | esk2968_4(X1,X2,X3,X4) )).

cnf(i_0_109,axiom,
    ( ~ esk564_0
    | esk8715_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_110,axiom,
    ( esk4794_4(X1,X2,X3,X4)
    | ~ esk4795_4(X1,X2,X3,X4) )).

cnf(i_0_111,axiom,
    ( ~ esk7631_4(X1,X2,X3,X4)
    | esk7632_4(X1,X2,X3,X4) )).

cnf(i_0_112,axiom,
    ( ~ esk6754_4(X1,X2,X3,X4)
    | esk7005_4(X1,X2,X3,X4) )).

cnf(i_0_113,axiom,
    ( esk2937_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_114,axiom,
    ( esk8524_4(X1,X2,X3,X4)
    | ~ esk8236_4(X1,X2,X3,X4)
    | ~ esk8523_4(X1,X2,X3,X4) )).

cnf(i_0_115,axiom,
    ( esk3054_4(X1,X2,X3,X4)
    | ~ esk3053_4(X1,X2,X3,X4) )).

cnf(i_0_116,axiom,
    ( ~ esk8249_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4)
    | ~ esk8546_4(X1,X2,X3,X4) )).

cnf(i_0_117,axiom,
    ( esk1903_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2307_4(X1,X2,X3,X4) )).

cnf(i_0_118,axiom,
    ( esk6109_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4)
    | ~ esk6515_4(X1,X2,X3,X4) )).

cnf(i_0_119,axiom,
    ( esk3945_4(X1,X2,X3,X4)
    | ~ esk3926_4(X1,X2,X3,X4) )).

cnf(i_0_120,axiom,
    ( esk7732_4(X1,X2,X3,X4)
    | esk9116_4(X1,X2,X3,X4)
    | ~ esk7949_4(X1,X2,X3,X4) )).

cnf(i_0_121,axiom,
    ( ~ esk7342_4(X1,X2,X3,X4)
    | esk7344_4(X1,X2,X3,X4) )).

cnf(i_0_122,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9031_4(X1,X2,X3,X4) )).

cnf(i_0_123,axiom,
    ( esk3613_4(X1,X2,X3,X4)
    | ~ esk3611_4(X1,X2,X3,X4) )).

cnf(i_0_124,axiom,
    ( esk2784_4(X1,X2,X3,X4)
    | ~ esk2727_4(X1,X2,X3,X4) )).

cnf(i_0_125,axiom,
    ( esk8783_4(X1,X2,X3,X4)
    | ~ esk8432_4(X1,X2,X3,X4) )).

cnf(i_0_126,axiom,
    ( ~ p(X2)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | esk436_0
    | ~ p(X1) )).

cnf(i_0_127,axiom,
    ( ~ p(X2)
    | ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk840_0 )).

cnf(i_0_128,axiom,
    ( esk7571_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7568_4(X1,X2,X3,X4) )).

cnf(i_0_129,axiom,
    ( esk4438_4(X1,X2,X3,X4)
    | ~ esk4439_4(X1,X2,X3,X4) )).

cnf(i_0_130,axiom,
    ( esk5409_4(X1,X2,X3,X4)
    | ~ esk5407_4(X1,X2,X3,X4) )).

cnf(i_0_131,axiom,
    ( esk6840_4(X1,X2,X3,X4)
    | ~ esk6839_4(X1,X2,X3,X4) )).

cnf(i_0_132,axiom,
    ( ~ esk1326_0
    | p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | esk2956_4(X1,X2,X3,X4) )).

cnf(i_0_133,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | ~ esk7871_4(X1,X2,X3,X4) )).

cnf(i_0_134,axiom,
    ( ~ esk2763_4(X1,X2,X3,X4)
    | esk2802_4(X1,X2,X3,X4) )).

cnf(i_0_135,axiom,
    ( esk6306_4(X1,X2,X3,X4)
    | ~ esk6273_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_136,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7450_4(X1,X2,X3,X4) )).

cnf(i_0_137,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4105_4(X1,X2,X3,X4) )).

cnf(i_0_138,axiom,
    ( ~ p(X3)
    | esk2437_4(X1,X2,X3,X4)
    | ~ esk698_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_139,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk1936_4(X1,X2,X3,X4) )).

cnf(i_0_140,axiom,
    ( esk1116_0
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_141,axiom,
    ( esk2519_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_142,axiom,
    ( esk5484_4(X1,X2,X3,X4)
    | esk5483_4(X1,X2,X3,X4)
    | ~ esk5485_4(X1,X2,X3,X4) )).

cnf(i_0_143,axiom,
    ( esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_144,axiom,
    ( ~ esk8544_4(X1,X2,X3,X4)
    | esk8506_4(X1,X2,X3,X4) )).

cnf(i_0_145,axiom,
    ( ~ esk6908_4(X1,X2,X3,X4)
    | ~ esk7609_4(X1,X2,X3,X4)
    | esk7610_4(X1,X2,X3,X4) )).

cnf(i_0_146,axiom,
    ( ~ esk6302_4(X1,X2,X3,X4)
    | esk6303_4(X1,X2,X3,X4) )).

cnf(i_0_147,axiom,
    ( ~ esk9228_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | esk1283_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_148,axiom,
    ( ~ esk3286_4(X1,X2,X3,X4)
    | ~ esk3287_4(X1,X2,X3,X4)
    | ~ esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_149,axiom,
    ( ~ esk8303_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_150,axiom,
    ( ~ esk8741_4(X1,X2,X3,X4)
    | ~ esk8284_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_151,axiom,
    ( ~ esk1622_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_152,axiom,
    ( esk2215_4(X1,X2,X3,X4)
    | ~ esk2214_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_153,axiom,
    ( esk3071_4(X1,X2,X3,X4)
    | ~ esk3072_4(X1,X2,X3,X4) )).

cnf(i_0_154,axiom,
    ( ~ esk1825_4(X1,X2,X3,X4)
    | ~ esk2494_4(X1,X2,X3,X4)
    | esk1826_4(X1,X2,X3,X4) )).

cnf(i_0_155,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6414_4(X1,X2,X3,X4) )).

cnf(i_0_156,axiom,
    ( esk8404_4(X1,X2,X3,X4)
    | ~ esk8403_4(X1,X2,X3,X4)
    | ~ esk8333_4(X1,X2,X3,X4) )).

cnf(i_0_157,axiom,
    ( ~ esk3109_4(X1,X2,X3,X4)
    | esk3110_4(X1,X2,X3,X4) )).

cnf(i_0_158,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9680_4(X1,X2,X3,X4) )).

cnf(i_0_159,axiom,
    ( ~ esk2478_4(X1,X2,X3,X4)
    | esk2476_4(X1,X2,X3,X4)
    | esk2477_4(X1,X2,X3,X4) )).

cnf(i_0_160,axiom,
    ( ~ esk8187_4(X1,X2,X3,X4)
    | esk8518_4(X1,X2,X3,X4) )).

cnf(i_0_161,axiom,
    ( esk7499_4(X1,X2,X3,X4)
    | esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_162,axiom,
    ( ~ esk2063_4(X1,X2,X3,X4)
    | esk1382_4(X1,X2,X3,X4) )).

cnf(i_0_163,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk9089_4(X1,X2,X3,X4)
    | esk854_0 )).

cnf(i_0_164,axiom,
    ( esk3554_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4)
    | ~ esk5014_4(X1,X2,X3,X4) )).

cnf(i_0_165,axiom,
    ( ~ esk6290_4(X1,X2,X3,X4)
    | ~ esk6408_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_166,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | ~ esk6327_4(X1,X2,X3,X4) )).

cnf(i_0_167,axiom,
    ( ~ esk3435_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_168,axiom,
    ( ~ esk4399_4(X1,X2,X3,X4)
    | ~ esk4429_4(X1,X2,X3,X4)
    | esk4400_4(X1,X2,X3,X4) )).

cnf(i_0_169,axiom,
    ( ~ esk2092_4(X1,X2,X3,X4)
    | esk1420_4(X1,X2,X3,X4) )).

cnf(i_0_170,axiom,
    ( esk3193_4(X1,X2,X3,X4)
    | ~ esk3194_4(X1,X2,X3,X4)
    | esk3192_4(X1,X2,X3,X4) )).

cnf(i_0_171,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4111_4(X1,X2,X3,X4) )).

cnf(i_0_172,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | esk1256_0 )).

cnf(i_0_173,axiom,
    ( ~ esk6701_4(X1,X2,X3,X4)
    | esk6702_4(X1,X2,X3,X4) )).

cnf(i_0_174,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | esk1197_0 )).

cnf(i_0_175,axiom,
    ( ~ esk3079_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_176,axiom,
    ( ~ esk8178_4(X1,X2,X3,X4)
    | esk8180_4(X1,X2,X3,X4) )).

cnf(i_0_177,axiom,
    ( ~ esk2270_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_178,axiom,
    ( esk4031_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_179,axiom,
    ( ~ esk4428_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_180,axiom,
    ( ~ esk7726_4(X1,X2,X3,X4)
    | esk7652_4(X1,X2,X3,X4) )).

cnf(i_0_181,axiom,
    ( ~ esk3715_4(X1,X2,X3,X4)
    | esk3716_4(X1,X2,X3,X4)
    | ~ esk5017_4(X1,X2,X3,X4) )).

cnf(i_0_182,axiom,
    ( ~ esk4966_4(X1,X2,X3,X4)
    | esk7066_4(X1,X2,X3,X4) )).

cnf(i_0_183,axiom,
    ( esk8071_4(X1,X2,X3,X4)
    | ~ esk9254_4(X1,X2,X3,X4) )).

cnf(i_0_184,axiom,
    ( ~ esk5951_4(X1,X2,X3,X4)
    | esk5733_4(X1,X2,X3,X4) )).

cnf(i_0_185,axiom,
    ( ~ esk2274_4(X1,X2,X3,X4)
    | esk2198_4(X1,X2,X3,X4) )).

cnf(i_0_186,axiom,
    ( esk8970_4(X1,X2,X3,X4)
    | esk8969_4(X1,X2,X3,X4)
    | ~ esk8971_4(X1,X2,X3,X4) )).

cnf(i_0_187,axiom,
    ( ~ esk6509_4(X1,X2,X3,X4)
    | esk6507_4(X1,X2,X3,X4)
    | esk6508_4(X1,X2,X3,X4) )).

cnf(i_0_188,axiom,
    ( esk2622_4(X1,X2,X3,X4)
    | ~ esk2621_4(X1,X2,X3,X4) )).

cnf(i_0_189,axiom,
    ( ~ esk8932_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_190,axiom,
    ( esk9421_4(X1,X2,X3,X4)
    | ~ esk9423_4(X1,X2,X3,X4)
    | esk9422_4(X1,X2,X3,X4) )).

cnf(i_0_191,axiom,
    ( ~ esk9593_4(X1,X2,X3,X4)
    | esk9595_4(X1,X2,X3,X4) )).

cnf(i_0_192,axiom,
    ( ~ esk5128_4(X1,X2,X3,X4)
    | esk5129_4(X1,X2,X3,X4) )).

cnf(i_0_193,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9059_4(X1,X2,X3,X4) )).

cnf(i_0_194,axiom,
    ( esk3068_4(X1,X2,X3,X4)
    | esk3069_4(X1,X2,X3,X4)
    | ~ esk3070_4(X1,X2,X3,X4) )).

cnf(i_0_195,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4)
    | esk9116_4(X1,X2,X3,X4) )).

cnf(i_0_196,axiom,
    ( ~ p(X3)
    | ~ esk947_0
    | ~ p(X1)
    | esk2805_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_197,axiom,
    ( ~ esk8113_4(X1,X2,X3,X4)
    | esk8101_4(X1,X2,X3,X4) )).

cnf(i_0_198,axiom,
    ( ~ p(X4)
    | esk339_0
    | ~ esk1955_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_199,axiom,
    ( esk2094_4(X1,X2,X3,X4)
    | ~ esk4194_4(X1,X2,X3,X4) )).

cnf(i_0_200,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk726_0
    | p(X1) )).

cnf(i_0_201,axiom,
    ( ~ esk4764_4(X1,X2,X3,X4)
    | esk4765_4(X1,X2,X3,X4) )).

cnf(i_0_202,axiom,
    ( ~ esk1847_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_203,axiom,
    ( ~ esk5004_4(X1,X2,X3,X4)
    | esk5005_4(X1,X2,X3,X4) )).

cnf(i_0_204,axiom,
    ( ~ esk5207_4(X1,X2,X3,X4)
    | esk4457_4(X1,X2,X3,X4) )).

cnf(i_0_205,axiom,
    ( esk4328_4(X1,X2,X3,X4)
    | ~ esk4327_4(X1,X2,X3,X4) )).

cnf(i_0_206,axiom,
    ( esk2872_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1069_0
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_207,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk326_0
    | ~ p(X4) )).

cnf(i_0_208,axiom,
    ( esk6226_4(X1,X2,X3,X4)
    | ~ esk6225_4(X1,X2,X3,X4) )).

cnf(i_0_209,axiom,
    ( esk2495_4(X1,X2,X3,X4)
    | esk2517_4(X1,X2,X3,X4) )).

cnf(i_0_210,axiom,
    ( esk9555_4(X1,X2,X3,X4)
    | ~ esk9553_4(X1,X2,X3,X4) )).

cnf(i_0_211,axiom,
    ( ~ esk5152_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_212,axiom,
    ( esk2445_4(X1,X2,X3,X4)
    | esk3286_4(X1,X2,X3,X4)
    | ~ esk3287_4(X1,X2,X3,X4) )).

cnf(i_0_213,axiom,
    ( p(X4)
    | ~ esk1073_0
    | esk2872_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_214,axiom,
    ( esk4081_4(X1,X2,X3,X4)
    | ~ esk4079_4(X1,X2,X3,X4) )).

cnf(i_0_215,axiom,
    ( esk9138_4(X1,X2,X3,X4)
    | esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_216,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4358_4(X1,X2,X3,X4) )).

cnf(i_0_217,axiom,
    ( esk1987_4(X1,X2,X3,X4)
    | ~ esk2449_4(X1,X2,X3,X4)
    | esk2444_4(X1,X2,X3,X4) )).

cnf(i_0_218,axiom,
    ( ~ esk5317_4(X1,X2,X3,X4)
    | esk5316_4(X1,X2,X3,X4)
    | esk5315_4(X1,X2,X3,X4) )).

cnf(i_0_219,axiom,
    ( ~ esk9049_4(X1,X2,X3,X4)
    | ~ esk9631_4(X1,X2,X3,X4)
    | esk9050_4(X1,X2,X3,X4) )).

cnf(i_0_220,axiom,
    ( ~ esk8732_4(X1,X2,X3,X4)
    | ~ esk8182_4(X1,X2,X3,X4)
    | esk8350_4(X1,X2,X3,X4) )).

cnf(i_0_221,axiom,
    ( ~ esk6481_4(X1,X2,X3,X4)
    | esk6516_4(X1,X2,X3,X4) )).

cnf(i_0_222,axiom,
    ( esk3997_4(X1,X2,X3,X4)
    | ~ esk3996_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_223,axiom,
    ( ~ esk3548_4(X1,X2,X3,X4)
    | esk3547_4(X1,X2,X3,X4) )).

cnf(i_0_224,axiom,
    ( ~ esk5270_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_225,axiom,
    ( p(X1)
    | esk1208_0
    | p(X4)
    | ~ esk2898_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_226,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk7199_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_227,axiom,
    ( esk4086_4(X1,X2,X3,X4)
    | esk4309_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_228,axiom,
    ( ~ esk7590_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_229,axiom,
    ( ~ esk5649_4(X1,X2,X3,X4)
    | esk6679_4(X1,X2,X3,X4) )).

cnf(i_0_230,axiom,
    ( ~ p(X3)
    | ~ esk1119_0
    | esk9174_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_231,axiom,
    ( ~ esk7341_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk7342_4(X1,X2,X3,X4) )).

cnf(i_0_232,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk2705_4(X1,X2,X3,X4) )).

cnf(i_0_233,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | ~ esk2087_4(X1,X2,X3,X4) )).

cnf(i_0_234,axiom,
    ( ~ p(X3)
    | esk351_0
    | ~ p(X4)
    | ~ esk8254_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_235,axiom,
    ( ~ esk6937_4(X1,X2,X3,X4)
    | esk6988_4(X1,X2,X3,X4) )).

cnf(i_0_236,axiom,
    ( ~ esk8924_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_237,axiom,
    ( ~ esk4509_4(X1,X2,X3,X4)
    | esk4510_4(X1,X2,X3,X4) )).

cnf(i_0_238,axiom,
    ( esk984_0
    | ~ esk9107_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_239,axiom,
    ( ~ esk5836_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_240,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk172_0
    | p(X4)
    | ~ p(X2)
    | esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_241,axiom,
    ( esk8565_4(X1,X2,X3,X4)
    | ~ esk8599_4(X1,X2,X3,X4) )).

cnf(i_0_242,axiom,
    ( esk2872_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1081_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_243,axiom,
    ( ~ esk3022_4(X1,X2,X3,X4)
    | esk3021_4(X1,X2,X3,X4)
    | esk3020_4(X1,X2,X3,X4) )).

cnf(i_0_244,axiom,
    ( ~ esk4910_4(X1,X2,X3,X4)
    | esk3739_4(X1,X2,X3,X4) )).

cnf(i_0_245,axiom,
    ( esk4563_4(X1,X2,X3,X4)
    | ~ esk4597_4(X1,X2,X3,X4) )).

cnf(i_0_246,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk890_0
    | p(X1) )).

cnf(i_0_247,axiom,
    ( esk1506_4(X1,X2,X3,X4)
    | ~ esk1505_4(X1,X2,X3,X4) )).

cnf(i_0_248,axiom,
    ( ~ esk668_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | esk2433_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_249,axiom,
    ( ~ esk6373_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_250,axiom,
    ( esk5546_4(X1,X2,X3,X4)
    | esk3908_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_251,axiom,
    ( esk6876_4(X1,X2,X3,X4)
    | ~ esk7546_4(X1,X2,X3,X4) )).

cnf(i_0_252,axiom,
    ( p(X3)
    | esk696_0
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_253,axiom,
    ( ~ esk9642_4(X1,X2,X3,X4)
    | esk9643_4(X1,X2,X3,X4) )).

cnf(i_0_254,axiom,
    ( esk7823_4(X1,X2,X3,X4)
    | ~ esk7824_4(X1,X2,X3,X4) )).

cnf(i_0_255,axiom,
    ( ~ esk3524_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_256,axiom,
    ( ~ esk7733_4(X1,X2,X3,X4)
    | esk9747_4(X1,X2,X3,X4) )).

cnf(i_0_257,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | ~ esk7411_4(X1,X2,X3,X4) )).

cnf(i_0_258,axiom,
    ( esk8086_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_259,axiom,
    ( esk8503_4(X1,X2,X3,X4)
    | ~ esk8504_4(X1,X2,X3,X4) )).

cnf(i_0_260,axiom,
    ( ~ esk2957_4(X1,X2,X3,X4)
    | esk1774_4(X1,X2,X3,X4) )).

cnf(i_0_261,axiom,
    ( ~ esk1574_4(X1,X2,X3,X4)
    | esk1482_4(X1,X2,X3,X4) )).

cnf(i_0_262,axiom,
    ( esk7001_4(X1,X2,X3,X4)
    | ~ esk4901_4(X1,X2,X3,X4) )).

cnf(i_0_263,axiom,
    ( esk2590_4(X1,X2,X3,X4)
    | ~ esk2589_4(X1,X2,X3,X4) )).

cnf(i_0_264,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk538_0
    | p(X2)
    | ~ p(X3)
    | ~ esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_265,axiom,
    ( ~ esk1831_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_266,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk8313_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_267,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | ~ esk3643_4(X1,X2,X3,X4) )).

cnf(i_0_268,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3245_4(X1,X2,X3,X4) )).

cnf(i_0_269,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ esk9101_4(X1,X2,X3,X4)
    | p(X2)
    | esk933_0 )).

cnf(i_0_270,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8665_4(X1,X2,X3,X4) )).

cnf(i_0_271,axiom,
    ( ~ esk9407_4(X1,X2,X3,X4)
    | esk9405_4(X1,X2,X3,X4)
    | esk9406_4(X1,X2,X3,X4) )).

cnf(i_0_272,axiom,
    ( ~ esk5256_4(X1,X2,X3,X4)
    | esk5257_4(X1,X2,X3,X4) )).

cnf(i_0_273,axiom,
    ( ~ esk2442_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_274,axiom,
    ( ~ p(X2)
    | ~ esk556_0
    | ~ p(X1)
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_275,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5156_4(X1,X2,X3,X4) )).

cnf(i_0_276,axiom,
    ( ~ esk2795_4(X1,X2,X3,X4)
    | esk867_0
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_277,axiom,
    ( ~ esk2364_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_278,axiom,
    ( p(X1)
    | esk513_0
    | ~ p(X4)
    | p(X3)
    | ~ esk2289_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_279,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk5112_4(X1,X2,X3,X4) )).

cnf(i_0_280,axiom,
    ( esk9592_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_281,axiom,
    ( ~ esk2719_4(X1,X2,X3,X4)
    | ~ esk2829_4(X1,X2,X3,X4) )).

cnf(i_0_282,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7345_4(X1,X2,X3,X4) )).

cnf(i_0_283,axiom,
    ( esk2780_4(X1,X2,X3,X4)
    | ~ esk2781_4(X1,X2,X3,X4) )).

cnf(i_0_284,axiom,
    ( esk3955_4(X1,X2,X3,X4)
    | esk3956_4(X1,X2,X3,X4)
    | ~ esk3957_4(X1,X2,X3,X4) )).

cnf(i_0_285,axiom,
    ( esk8889_4(X1,X2,X3,X4)
    | esk8890_4(X1,X2,X3,X4)
    | ~ esk8891_4(X1,X2,X3,X4) )).

cnf(i_0_286,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk8031_4(X1,X2,X3,X4) )).

cnf(i_0_287,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk761_0 )).

cnf(i_0_288,axiom,
    ( ~ esk999_0
    | esk2813_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_289,axiom,
    ( p(X2)
    | ~ esk2880_4(X1,X2,X3,X4)
    | esk1130_0
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_290,axiom,
    ( ~ esk5313_4(X1,X2,X3,X4)
    | esk5312_4(X1,X2,X3,X4)
    | esk5311_4(X1,X2,X3,X4) )).

cnf(i_0_291,axiom,
    ( ~ esk6074_4(X1,X2,X3,X4)
    | esk5726_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_292,axiom,
    ( ~ esk5893_4(X1,X2,X3,X4)
    | esk6064_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_293,axiom,
    ( ~ p(X4)
    | ~ esk8747_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | esk732_0
    | p(X2) )).

cnf(i_0_294,axiom,
    ( esk4639_4(X1,X2,X3,X4)
    | esk4638_4(X1,X2,X3,X4)
    | ~ esk4640_4(X1,X2,X3,X4) )).

cnf(i_0_295,axiom,
    ( ~ esk5370_4(X1,X2,X3,X4)
    | esk5373_4(X1,X2,X3,X4) )).

cnf(i_0_296,axiom,
    ( esk5864_4(X1,X2,X3,X4)
    | ~ esk5866_4(X1,X2,X3,X4)
    | esk5865_4(X1,X2,X3,X4) )).

cnf(i_0_297,axiom,
    ( ~ esk7853_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_298,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk84_0
    | ~ p(X2)
    | ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_299,axiom,
    ( ~ esk7974_4(X1,X2,X3,X4)
    | esk7726_4(X1,X2,X3,X4) )).

cnf(i_0_300,axiom,
    ( ~ esk9628_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_301,axiom,
    ( esk4854_4(X1,X2,X3,X4)
    | ~ esk4853_4(X1,X2,X3,X4) )).

cnf(i_0_302,axiom,
    ( esk8840_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk8839_4(X1,X2,X3,X4) )).

cnf(i_0_303,axiom,
    ( ~ esk4172_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_304,axiom,
    ( ~ esk6743_4(X1,X2,X3,X4)
    | esk6899_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_305,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2722_4(X1,X2,X3,X4) )).

cnf(i_0_306,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9004_4(X1,X2,X3,X4) )).

cnf(i_0_307,axiom,
    ( ~ esk9384_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_308,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk264_0
    | esk8138_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_309,axiom,
    ( ~ esk5612_4(X1,X2,X3,X4)
    | esk6220_4(X1,X2,X3,X4) )).

cnf(i_0_310,axiom,
    ( esk3215_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_311,axiom,
    ( esk6677_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_312,axiom,
    ( esk8515_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_313,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk817_0
    | ~ esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_314,axiom,
    ( esk5894_4(X1,X2,X3,X4)
    | ~ esk5928_4(X1,X2,X3,X4) )).

cnf(i_0_315,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk511_0
    | ~ p(X4)
    | esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_316,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1216_0
    | ~ p(X2) )).

cnf(i_0_317,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7636_4(X1,X2,X3,X4) )).

cnf(i_0_318,axiom,
    ( ~ esk5935_4(X1,X2,X3,X4)
    | esk5934_4(X1,X2,X3,X4) )).

cnf(i_0_319,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk9166_4(X1,X2,X3,X4)
    | esk1067_0 )).

cnf(i_0_320,axiom,
    ( ~ esk2953_4(X1,X2,X3,X4)
    | esk1558_4(X1,X2,X3,X4)
    | ~ esk1530_4(X1,X2,X3,X4) )).

cnf(i_0_321,axiom,
    ( esk4189_4(X1,X2,X3,X4)
    | ~ esk4222_4(X1,X2,X3,X4) )).

cnf(i_0_322,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8494_4(X1,X2,X3,X4) )).

cnf(i_0_323,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk2433_4(X1,X2,X3,X4)
    | esk663_0
    | p(X1) )).

cnf(i_0_324,axiom,
    ( ~ esk9102_4(X1,X2,X3,X4)
    | esk8852_4(X1,X2,X3,X4) )).

cnf(i_0_325,axiom,
    ( esk8947_4(X1,X2,X3,X4)
    | ~ esk9714_4(X1,X2,X3,X4) )).

cnf(i_0_326,axiom,
    ( esk6147_4(X1,X2,X3,X4)
    | ~ esk6179_4(X1,X2,X3,X4) )).

cnf(i_0_327,axiom,
    ( esk3891_4(X1,X2,X3,X4)
    | ~ esk3890_4(X1,X2,X3,X4) )).

cnf(i_0_328,axiom,
    ( esk7888_4(X1,X2,X3,X4)
    | ~ esk7887_4(X1,X2,X3,X4) )).

cnf(i_0_329,axiom,
    ( esk7553_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_330,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9010_4(X1,X2,X3,X4) )).

cnf(i_0_331,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2825_4(X1,X2,X3,X4)
    | ~ esk2824_4(X1,X2,X3,X4) )).

cnf(i_0_332,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk2312_4(X1,X2,X3,X4) )).

cnf(i_0_333,axiom,
    ( ~ esk5110_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_334,axiom,
    ( esk17_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_335,axiom,
    ( ~ esk2085_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_336,axiom,
    ( esk5376_4(X1,X2,X3,X4)
    | ~ esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_337,axiom,
    ( ~ esk4815_4(X1,X2,X3,X4)
    | esk4615_4(X1,X2,X3,X4) )).

cnf(i_0_338,axiom,
    ( ~ esk4767_4(X1,X2,X3,X4)
    | esk4766_4(X1,X2,X3,X4) )).

cnf(i_0_339,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1837_4(X1,X2,X3,X4)
    | esk1838_4(X1,X2,X3,X4) )).

cnf(i_0_340,axiom,
    ( esk3111_4(X1,X2,X3,X4)
    | ~ esk3112_4(X1,X2,X3,X4) )).

cnf(i_0_341,axiom,
    ( ~ esk4405_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_342,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9464_4(X1,X2,X3,X4) )).

cnf(i_0_343,axiom,
    ( ~ esk4169_4(X1,X2,X3,X4)
    | esk4131_4(X1,X2,X3,X4) )).

cnf(i_0_344,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk2251_4(X1,X2,X3,X4)
    | ~ esk510_0 )).

cnf(i_0_345,axiom,
    ( ~ esk9401_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_346,axiom,
    ( ~ esk5962_4(X1,X2,X3,X4)
    | esk5960_4(X1,X2,X3,X4) )).

cnf(i_0_347,axiom,
    ( esk3863_4(X1,X2,X3,X4)
    | esk4595_4(X1,X2,X3,X4) )).

cnf(i_0_348,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | esk1758_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X3) )).

cnf(i_0_349,axiom,
    ( ~ esk2032_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk2070_4(X1,X2,X3,X4) )).

cnf(i_0_350,axiom,
    ( esk8770_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_351,axiom,
    ( ~ esk8255_4(X1,X2,X3,X4)
    | esk7713_4(X1,X2,X3,X4) )).

cnf(i_0_352,axiom,
    ( esk4079_4(X1,X2,X3,X4)
    | esk4078_4(X1,X2,X3,X4)
    | ~ esk4081_4(X1,X2,X3,X4)
    | esk4080_4(X1,X2,X3,X4) )).

cnf(i_0_353,axiom,
    ( ~ esk3260_4(X1,X2,X3,X4)
    | esk3254_4(X1,X2,X3,X4) )).

cnf(i_0_354,axiom,
    ( ~ esk4089_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_355,axiom,
    ( ~ esk3006_4(X1,X2,X3,X4)
    | esk3005_4(X1,X2,X3,X4)
    | esk3004_4(X1,X2,X3,X4) )).

cnf(i_0_356,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3998_4(X1,X2,X3,X4) )).

cnf(i_0_357,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5328_4(X1,X2,X3,X4) )).

cnf(i_0_358,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X1)
    | esk2791_4(X1,X2,X3,X4)
    | ~ esk831_0
    | p(X3) )).

cnf(i_0_359,axiom,
    ( esk9347_4(X1,X2,X3,X4)
    | ~ esk9345_4(X1,X2,X3,X4) )).

cnf(i_0_360,axiom,
    ( esk4793_4(X1,X2,X3,X4)
    | ~ esk4792_4(X1,X2,X3,X4) )).

cnf(i_0_361,axiom,
    ( esk4441_4(X1,X2,X3,X4)
    | ~ esk3881_4(X1,X2,X3,X4) )).

cnf(i_0_362,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk1294_0
    | ~ esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_363,axiom,
    ( esk1461_4(X1,X2,X3,X4)
    | ~ esk1462_4(X1,X2,X3,X4) )).

cnf(i_0_364,axiom,
    ( ~ esk8754_4(X1,X2,X3,X4)
    | esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_365,axiom,
    ( esk6088_4(X1,X2,X3,X4)
    | ~ esk6087_4(X1,X2,X3,X4)
    | ~ esk6419_4(X1,X2,X3,X4) )).

cnf(i_0_366,axiom,
    ( esk5978_4(X1,X2,X3,X4)
    | ~ esk6042_4(X1,X2,X3,X4) )).

cnf(i_0_367,axiom,
    ( ~ esk3872_4(X1,X2,X3,X4)
    | ~ esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_368,axiom,
    ( ~ esk6499_4(X1,X2,X3,X4)
    | esk6501_4(X1,X2,X3,X4) )).

cnf(i_0_369,axiom,
    ( ~ esk4886_4(X1,X2,X3,X4)
    | esk5394_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_370,axiom,
    ( ~ esk7410_4(X1,X2,X3,X4)
    | esk7412_4(X1,X2,X3,X4) )).

cnf(i_0_371,axiom,
    ( esk802_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_372,axiom,
    ( ~ esk540_0
    | ~ p(X2)
    | esk8617_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_373,axiom,
    ( esk7026_4(X1,X2,X3,X4)
    | ~ esk7032_4(X1,X2,X3,X4) )).

cnf(i_0_374,axiom,
    ( ~ esk4272_4(X1,X2,X3,X4)
    | esk2172_4(X1,X2,X3,X4) )).

cnf(i_0_375,axiom,
    ( esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_376,axiom,
    ( esk5453_4(X1,X2,X3,X4)
    | ~ esk5451_4(X1,X2,X3,X4) )).

cnf(i_0_377,axiom,
    ( ~ esk5638_4(X1,X2,X3,X4)
    | esk3538_4(X1,X2,X3,X4) )).

cnf(i_0_378,axiom,
    ( esk8663_4(X1,X2,X3,X4)
    | ~ esk8662_4(X1,X2,X3,X4) )).

cnf(i_0_379,axiom,
    ( ~ esk1514_4(X1,X2,X3,X4)
    | esk1513_4(X1,X2,X3,X4)
    | esk1512_4(X1,X2,X3,X4) )).

cnf(i_0_380,axiom,
    ( ~ esk4788_4(X1,X2,X3,X4)
    | esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_381,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6028_4(X1,X2,X3,X4) )).

cnf(i_0_382,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9442_4(X1,X2,X3,X4) )).

cnf(i_0_383,axiom,
    ( esk3235_4(X1,X2,X3,X4)
    | ~ esk3236_4(X1,X2,X3,X4) )).

cnf(i_0_384,axiom,
    ( ~ esk8854_4(X1,X2,X3,X4)
    | esk8918_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_385,axiom,
    ( esk8337_4(X1,X2,X3,X4)
    | ~ esk8335_4(X1,X2,X3,X4) )).

cnf(i_0_386,axiom,
    ( esk9600_4(X1,X2,X3,X4)
    | ~ esk9601_4(X1,X2,X3,X4) )).

cnf(i_0_387,axiom,
    ( ~ esk3687_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_388,axiom,
    ( ~ esk1882_4(X1,X2,X3,X4)
    | esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_389,axiom,
    ( p(X1)
    | p(X3)
    | esk708_0
    | p(X2)
    | ~ p(X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_390,axiom,
    ( esk5000_4(X1,X2,X3,X4)
    | esk4999_4(X1,X2,X3,X4)
    | ~ esk5001_4(X1,X2,X3,X4) )).

cnf(i_0_391,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2711_4(X1,X2,X3,X4) )).

cnf(i_0_392,axiom,
    ( esk5139_4(X1,X2,X3,X4)
    | ~ esk5138_4(X1,X2,X3,X4)
    | ~ esk5125_4(X1,X2,X3,X4) )).

cnf(i_0_393,axiom,
    ( ~ esk4482_4(X1,X2,X3,X4)
    | esk4480_4(X1,X2,X3,X4)
    | esk4481_4(X1,X2,X3,X4) )).

cnf(i_0_394,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | ~ esk1562_4(X1,X2,X3,X4) )).

cnf(i_0_395,axiom,
    ( ~ esk1733_4(X1,X2,X3,X4)
    | esk1732_4(X1,X2,X3,X4) )).

cnf(i_0_396,axiom,
    ( ~ esk1737_4(X1,X2,X3,X4)
    | esk1736_4(X1,X2,X3,X4) )).

cnf(i_0_397,axiom,
    ( ~ esk409_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_398,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8417_4(X1,X2,X3,X4) )).

cnf(i_0_399,axiom,
    ( ~ esk3111_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3112_4(X1,X2,X3,X4) )).

cnf(i_0_400,axiom,
    ( ~ p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk1261_0
    | ~ p(X3) )).

cnf(i_0_401,axiom,
    ( esk4437_4(X1,X2,X3,X4)
    | ~ esk4435_4(X1,X2,X3,X4) )).

cnf(i_0_402,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X4)
    | esk821_0
    | ~ p(X1) )).

cnf(i_0_403,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | esk1672_4(X1,X2,X3,X4) )).

cnf(i_0_404,axiom,
    ( ~ esk6208_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6209_4(X1,X2,X3,X4) )).

cnf(i_0_405,axiom,
    ( ~ esk7823_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_406,axiom,
    ( ~ esk8299_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_407,axiom,
    ( ~ esk7930_4(X1,X2,X3,X4)
    | esk7932_4(X1,X2,X3,X4) )).

cnf(i_0_408,axiom,
    ( ~ p(X3)
    | esk28_0
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_409,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4032_4(X1,X2,X3,X4) )).

cnf(i_0_410,axiom,
    ( esk8429_4(X1,X2,X3,X4)
    | ~ esk8427_4(X1,X2,X3,X4) )).

cnf(i_0_411,axiom,
    ( ~ esk8556_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_412,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5492_4(X1,X2,X3,X4) )).

cnf(i_0_413,axiom,
    ( ~ esk9537_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_414,axiom,
    ( ~ esk4491_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_415,axiom,
    ( ~ esk5803_4(X1,X2,X3,X4)
    | esk5805_4(X1,X2,X3,X4) )).

cnf(i_0_416,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | ~ esk3444_4(X1,X2,X3,X4) )).

cnf(i_0_417,axiom,
    ( esk7431_4(X1,X2,X3,X4)
    | esk7430_4(X1,X2,X3,X4)
    | ~ esk7432_4(X1,X2,X3,X4) )).

cnf(i_0_418,axiom,
    ( esk4051_4(X1,X2,X3,X4)
    | ~ esk4093_4(X1,X2,X3,X4) )).

cnf(i_0_419,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1_0
    | esk2815_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_420,axiom,
    ( ~ esk8234_4(X1,X2,X3,X4)
    | esk8530_4(X1,X2,X3,X4) )).

cnf(i_0_421,axiom,
    ( esk5229_4(X1,X2,X3,X4)
    | ~ esk5228_4(X1,X2,X3,X4) )).

cnf(i_0_422,axiom,
    ( ~ esk9114_4(X1,X2,X3,X4)
    | esk9747_4(X1,X2,X3,X4) )).

cnf(i_0_423,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7921_4(X1,X2,X3,X4) )).

cnf(i_0_424,axiom,
    ( esk4224_4(X1,X2,X3,X4)
    | ~ esk4501_4(X1,X2,X3,X4) )).

cnf(i_0_425,axiom,
    ( ~ esk8710_4(X1,X2,X3,X4)
    | esk8709_4(X1,X2,X3,X4) )).

cnf(i_0_426,axiom,
    ( ~ esk2584_4(X1,X2,X3,X4)
    | esk2586_4(X1,X2,X3,X4) )).

cnf(i_0_427,axiom,
    ( ~ esk4022_4(X1,X2,X3,X4)
    | esk4020_4(X1,X2,X3,X4)
    | esk4021_4(X1,X2,X3,X4) )).

cnf(i_0_428,axiom,
    ( ~ esk3595_4(X1,X2,X3,X4)
    | esk3594_4(X1,X2,X3,X4) )).

cnf(i_0_429,axiom,
    ( ~ esk6352_4(X1,X2,X3,X4)
    | esk6353_4(X1,X2,X3,X4) )).

cnf(i_0_430,axiom,
    ( ~ esk5715_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_431,axiom,
    ( esk312_0
    | p(X2)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_432,axiom,
    ( esk6345_4(X1,X2,X3,X4)
    | ~ esk6343_4(X1,X2,X3,X4) )).

cnf(i_0_433,axiom,
    ( esk6152_4(X1,X2,X3,X4)
    | ~ esk6332_4(X1,X2,X3,X4) )).

cnf(i_0_434,axiom,
    ( ~ esk9345_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_435,axiom,
    ( esk4851_4(X1,X2,X3,X4)
    | ~ esk4852_4(X1,X2,X3,X4) )).

cnf(i_0_436,axiom,
    ( esk5512_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5509_4(X1,X2,X3,X4) )).

cnf(i_0_437,axiom,
    ( esk6655_4(X1,X2,X3,X4)
    | ~ esk6657_4(X1,X2,X3,X4)
    | esk6656_4(X1,X2,X3,X4) )).

cnf(i_0_438,axiom,
    ( ~ esk2949_4(X1,X2,X3,X4)
    | esk2950_4(X1,X2,X3,X4) )).

cnf(i_0_439,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | esk2423_4(X1,X2,X3,X4)
    | ~ esk588_0
    | p(X3) )).

cnf(i_0_440,axiom,
    ( ~ esk2784_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_441,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk62_0
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_442,axiom,
    ( esk9085_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk825_0
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_443,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5402_4(X1,X2,X3,X4) )).

cnf(i_0_444,axiom,
    ( ~ esk6410_4(X1,X2,X3,X4)
    | esk5616_4(X1,X2,X3,X4) )).

cnf(i_0_445,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6600_4(X1,X2,X3,X4) )).

cnf(i_0_446,axiom,
    ( esk2791_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk830_0
    | p(X1) )).

cnf(i_0_447,axiom,
    ( ~ p(X4)
    | esk2425_4(X1,X2,X3,X4)
    | ~ esk609_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_448,axiom,
    ( esk789_0
    | ~ p(X3)
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_449,axiom,
    ( esk5945_4(X1,X2,X3,X4)
    | ~ esk5666_4(X1,X2,X3,X4) )).

cnf(i_0_450,axiom,
    ( esk8758_4(X1,X2,X3,X4)
    | ~ esk8760_4(X1,X2,X3,X4)
    | esk8759_4(X1,X2,X3,X4) )).

cnf(i_0_451,axiom,
    ( p(X4)
    | ~ esk2433_4(X1,X2,X3,X4)
    | esk676_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_452,axiom,
    ( ~ esk7794_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_453,axiom,
    ( esk8139_4(X1,X2,X3,X4)
    | esk7977_4(X1,X2,X3,X4)
    | ~ esk8148_4(X1,X2,X3,X4) )).

cnf(i_0_454,axiom,
    ( esk8930_4(X1,X2,X3,X4)
    | ~ esk8765_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_455,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8330_4(X1,X2,X3,X4)
    | esk8331_4(X1,X2,X3,X4) )).

cnf(i_0_456,axiom,
    ( esk5335_4(X1,X2,X3,X4)
    | ~ esk5321_4(X1,X2,X3,X4)
    | ~ esk5334_4(X1,X2,X3,X4) )).

cnf(i_0_457,axiom,
    ( esk7418_4(X1,X2,X3,X4)
    | ~ esk7417_4(X1,X2,X3,X4)
    | ~ esk6564_4(X1,X2,X3,X4) )).

cnf(i_0_458,axiom,
    ( ~ esk6971_4(X1,X2,X3,X4)
    | esk6973_4(X1,X2,X3,X4) )).

cnf(i_0_459,axiom,
    ( esk6348_4(X1,X2,X3,X4)
    | esk6347_4(X1,X2,X3,X4)
    | ~ esk6349_4(X1,X2,X3,X4) )).

cnf(i_0_460,axiom,
    ( esk332_0
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_461,axiom,
    ( ~ esk4180_4(X1,X2,X3,X4)
    | esk4116_4(X1,X2,X3,X4) )).

cnf(i_0_462,axiom,
    ( ~ p(X2)
    | ~ esk7736_4(X1,X2,X3,X4)
    | p(X1)
    | esk23_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_463,axiom,
    ( ~ esk8002_4(X1,X2,X3,X4)
    | esk9189_4(X1,X2,X3,X4) )).

cnf(i_0_464,axiom,
    ( ~ esk5530_4(X1,X2,X3,X4)
    | esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_465,axiom,
    ( ~ esk4177_4(X1,X2,X3,X4)
    | esk4178_4(X1,X2,X3,X4) )).

cnf(i_0_466,axiom,
    ( esk5761_4(X1,X2,X3,X4)
    | ~ esk5824_4(X1,X2,X3,X4) )).

cnf(i_0_467,axiom,
    ( ~ esk3930_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_468,axiom,
    ( esk3419_4(X1,X2,X3,X4)
    | ~ esk3420_4(X1,X2,X3,X4) )).

cnf(i_0_469,axiom,
    ( esk1735_4(X1,X2,X3,X4)
    | ~ esk1533_4(X1,X2,X3,X4) )).

cnf(i_0_470,axiom,
    ( ~ esk8121_4(X1,X2,X3,X4)
    | esk8149_4(X1,X2,X3,X4)
    | ~ esk7659_4(X1,X2,X3,X4) )).

cnf(i_0_471,axiom,
    ( esk8355_4(X1,X2,X3,X4)
    | ~ esk8546_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_472,axiom,
    ( ~ esk4540_4(X1,X2,X3,X4)
    | esk4542_4(X1,X2,X3,X4) )).

cnf(i_0_473,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk2880_4(X1,X2,X3,X4)
    | esk1132_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_474,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk3299_4(X1,X2,X3,X4) )).

cnf(i_0_475,axiom,
    ( ~ p(X1)
    | esk1286_0
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_476,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2961_4(X1,X2,X3,X4) )).

cnf(i_0_477,axiom,
    ( esk6984_4(X1,X2,X3,X4)
    | ~ esk6929_4(X1,X2,X3,X4) )).

cnf(i_0_478,axiom,
    ( ~ esk5159_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_479,axiom,
    ( ~ esk7979_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_480,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4618_4(X1,X2,X3,X4) )).

cnf(i_0_481,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk881_0
    | esk9093_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_482,axiom,
    ( ~ esk4979_4(X1,X2,X3,X4)
    | esk3591_4(X1,X2,X3,X4)
    | ~ esk3590_4(X1,X2,X3,X4) )).

cnf(i_0_483,axiom,
    ( ~ esk7550_4(X1,X2,X3,X4)
    | esk7003_4(X1,X2,X3,X4) )).

cnf(i_0_484,axiom,
    ( esk7452_4(X1,X2,X3,X4)
    | ~ esk7450_4(X1,X2,X3,X4) )).

cnf(i_0_485,axiom,
    ( ~ esk9541_4(X1,X2,X3,X4)
    | esk9543_4(X1,X2,X3,X4) )).

cnf(i_0_486,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk2894_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk1195_0 )).

cnf(i_0_487,axiom,
    ( ~ esk9066_4(X1,X2,X3,X4)
    | esk9068_4(X1,X2,X3,X4) )).

cnf(i_0_488,axiom,
    ( ~ esk9076_4(X1,X2,X3,X4)
    | esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_489,axiom,
    ( p(X3)
    | esk9111_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk1016_0
    | ~ p(X1) )).

cnf(i_0_490,axiom,
    ( esk6304_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_491,axiom,
    ( ~ esk1_0
    | p(X1)
    | p(X3)
    | p(X4)
    | esk2872_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_492,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6395_4(X1,X2,X3,X4) )).

cnf(i_0_493,axiom,
    ( ~ esk6892_4(X1,X2,X3,X4)
    | ~ esk7577_4(X1,X2,X3,X4)
    | esk7578_4(X1,X2,X3,X4) )).

cnf(i_0_494,axiom,
    ( esk5685_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_495,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_496,axiom,
    ( p(X4)
    | p(X3)
    | esk795_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_497,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk9150_4(X1,X2,X3,X4)
    | esk1026_0 )).

cnf(i_0_498,axiom,
    ( ~ esk1838_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_499,axiom,
    ( esk2902_4(X1,X2,X3,X4)
    | ~ esk2900_4(X1,X2,X3,X4) )).

cnf(i_0_500,axiom,
    ( ~ p(X2)
    | ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1186_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_501,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk2797_4(X1,X2,X3,X4)
    | esk883_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_502,axiom,
    ( esk4989_4(X1,X2,X3,X4)
    | ~ esk3603_4(X1,X2,X3,X4) )).

cnf(i_0_503,axiom,
    ( esk9303_4(X1,X2,X3,X4)
    | ~ esk9301_4(X1,X2,X3,X4) )).

cnf(i_0_504,axiom,
    ( ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk590_0
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_505,axiom,
    ( p(X1)
    | p(X3)
    | esk682_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_506,axiom,
    ( esk1547_4(X1,X2,X3,X4)
    | ~ esk1610_4(X1,X2,X3,X4) )).

cnf(i_0_507,axiom,
    ( ~ esk2435_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk691_0 )).

cnf(i_0_508,axiom,
    ( ~ esk1387_4(X1,X2,X3,X4)
    | esk1754_4(X1,X2,X3,X4) )).

cnf(i_0_509,axiom,
    ( ~ esk7069_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_510,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk2253_4(X1,X2,X3,X4)
    | esk2254_4(X1,X2,X3,X4) )).

cnf(i_0_511,axiom,
    ( esk1638_4(X1,X2,X3,X4)
    | ~ esk1575_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_512,axiom,
    ( esk7981_4(X1,X2,X3,X4)
    | ~ esk9179_4(X1,X2,X3,X4) )).

cnf(i_0_513,axiom,
    ( esk5534_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_514,axiom,
    ( esk8114_4(X1,X2,X3,X4)
    | ~ esk8109_4(X1,X2,X3,X4) )).

cnf(i_0_515,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk8054_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk238_0 )).

cnf(i_0_516,axiom,
    ( esk737_0
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_517,axiom,
    ( ~ esk7026_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk7049_4(X1,X2,X3,X4) )).

cnf(i_0_518,axiom,
    ( esk8216_4(X1,X2,X3,X4)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_519,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | ~ esk2203_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_520,axiom,
    ( ~ esk1654_4(X1,X2,X3,X4)
    | esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_521,axiom,
    ( ~ esk7377_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_522,axiom,
    ( esk8855_4(X1,X2,X3,X4)
    | ~ esk9598_4(X1,X2,X3,X4)
    | esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_523,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8290_4(X1,X2,X3,X4)
    | esk8343_4(X1,X2,X3,X4) )).

cnf(i_0_524,axiom,
    ( ~ esk6753_4(X1,X2,X3,X4)
    | esk7003_4(X1,X2,X3,X4) )).

cnf(i_0_525,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3267_4(X1,X2,X3,X4) )).

cnf(i_0_526,axiom,
    ( ~ esk7122_4(X1,X2,X3,X4)
    | esk7121_4(X1,X2,X3,X4) )).

cnf(i_0_527,axiom,
    ( ~ p(X3)
    | esk950_0
    | ~ esk9103_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_528,axiom,
    ( ~ esk8862_4(X1,X2,X3,X4)
    | esk8830_4(X1,X2,X3,X4) )).

cnf(i_0_529,axiom,
    ( ~ esk5528_4(X1,X2,X3,X4)
    | esk5525_4(X1,X2,X3,X4) )).

cnf(i_0_530,axiom,
    ( esk4117_4(X1,X2,X3,X4)
    | ~ esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_531,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk7986_4(X1,X2,X3,X4)
    | esk7972_4(X1,X2,X3,X4) )).

cnf(i_0_532,axiom,
    ( esk8181_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_533,axiom,
    ( esk9215_4(X1,X2,X3,X4)
    | ~ esk7914_4(X1,X2,X3,X4) )).

cnf(i_0_534,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk1687_4(X1,X2,X3,X4) )).

cnf(i_0_535,axiom,
    ( esk6841_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_536,axiom,
    ( esk1428_4(X1,X2,X3,X4)
    | ~ esk1426_4(X1,X2,X3,X4) )).

cnf(i_0_537,axiom,
    ( esk7492_4(X1,X2,X3,X4)
    | esk6668_4(X1,X2,X3,X4)
    | ~ esk7491_4(X1,X2,X3,X4) )).

cnf(i_0_538,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8262_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_539,axiom,
    ( esk5145_4(X1,X2,X3,X4)
    | ~ esk4496_4(X1,X2,X3,X4) )).

cnf(i_0_540,axiom,
    ( esk8271_4(X1,X2,X3,X4)
    | ~ esk8270_4(X1,X2,X3,X4) )).

cnf(i_0_541,axiom,
    ( ~ esk2795_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | esk870_0 )).

cnf(i_0_542,axiom,
    ( esk4776_4(X1,X2,X3,X4)
    | ~ esk4902_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_543,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7387_4(X1,X2,X3,X4) )).

cnf(i_0_544,axiom,
    ( esk5893_4(X1,X2,X3,X4)
    | ~ esk5891_4(X1,X2,X3,X4) )).

cnf(i_0_545,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1932_4(X1,X2,X3,X4) )).

cnf(i_0_546,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | ~ esk2448_4(X1,X2,X3,X4) )).

cnf(i_0_547,axiom,
    ( esk4474_4(X1,X2,X3,X4)
    | ~ esk4473_4(X1,X2,X3,X4) )).

cnf(i_0_548,axiom,
    ( ~ p(X2)
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk750_0 )).

cnf(i_0_549,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1351_0
    | esk9254_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_550,axiom,
    ( esk4822_4(X1,X2,X3,X4)
    | ~ esk4820_4(X1,X2,X3,X4) )).

cnf(i_0_551,axiom,
    ( esk7795_4(X1,X2,X3,X4)
    | ~ esk7794_4(X1,X2,X3,X4) )).

cnf(i_0_552,axiom,
    ( ~ esk3121_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_553,axiom,
    ( esk8127_4(X1,X2,X3,X4)
    | ~ esk8126_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_554,axiom,
    ( ~ esk7482_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_555,axiom,
    ( esk3323_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_556,axiom,
    ( esk2962_4(X1,X2,X3,X4)
    | ~ esk2968_4(X1,X2,X3,X4) )).

cnf(i_0_557,axiom,
    ( esk4056_4(X1,X2,X3,X4)
    | ~ esk4421_4(X1,X2,X3,X4) )).

cnf(i_0_558,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk3898_4(X1,X2,X3,X4) )).

cnf(i_0_559,axiom,
    ( esk9565_4(X1,X2,X3,X4)
    | ~ esk9535_4(X1,X2,X3,X4)
    | ~ esk9564_4(X1,X2,X3,X4) )).

cnf(i_0_560,axiom,
    ( ~ esk1936_4(X1,X2,X3,X4)
    | ~ esk2233_4(X1,X2,X3,X4)
    | esk1937_4(X1,X2,X3,X4) )).

cnf(i_0_561,axiom,
    ( esk2868_4(X1,X2,X3,X4)
    | ~ esk1484_4(X1,X2,X3,X4) )).

cnf(i_0_562,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6104_4(X1,X2,X3,X4) )).

cnf(i_0_563,axiom,
    ( esk2809_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk969_0 )).

cnf(i_0_564,axiom,
    ( ~ esk1942_4(X1,X2,X3,X4)
    | esk1943_4(X1,X2,X3,X4) )).

cnf(i_0_565,axiom,
    ( ~ esk5978_4(X1,X2,X3,X4)
    | esk5977_4(X1,X2,X3,X4)
    | esk5976_4(X1,X2,X3,X4) )).

cnf(i_0_566,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | ~ esk2841_4(X1,X2,X3,X4)
    | esk2842_4(X1,X2,X3,X4) )).

cnf(i_0_567,axiom,
    ( ~ esk8933_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_568,axiom,
    ( ~ esk3323_4(X1,X2,X3,X4)
    | ~ esk2666_4(X1,X2,X3,X4)
    | esk3324_4(X1,X2,X3,X4) )).

cnf(i_0_569,axiom,
    ( esk3767_4(X1,X2,X3,X4)
    | ~ esk3566_4(X1,X2,X3,X4) )).

cnf(i_0_570,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk792_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_571,axiom,
    ( ~ esk3026_4(X1,X2,X3,X4)
    | esk3025_4(X1,X2,X3,X4)
    | esk3024_4(X1,X2,X3,X4) )).

cnf(i_0_572,axiom,
    ( ~ esk5161_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5164_4(X1,X2,X3,X4) )).

cnf(i_0_573,axiom,
    ( esk9466_4(X1,X2,X3,X4)
    | esk9465_4(X1,X2,X3,X4)
    | ~ esk9467_4(X1,X2,X3,X4) )).

cnf(i_0_574,axiom,
    ( ~ esk6495_4(X1,X2,X3,X4)
    | esk6497_4(X1,X2,X3,X4) )).

cnf(i_0_575,axiom,
    ( ~ esk5096_4(X1,X2,X3,X4)
    | esk5097_4(X1,X2,X3,X4) )).

cnf(i_0_576,axiom,
    ( ~ esk2424_4(X1,X2,X3,X4)
    | esk2391_4(X1,X2,X3,X4) )).

cnf(i_0_577,axiom,
    ( ~ esk6189_4(X1,X2,X3,X4)
    | esk6187_4(X1,X2,X3,X4)
    | esk6186_4(X1,X2,X3,X4)
    | esk6188_4(X1,X2,X3,X4) )).

cnf(i_0_578,axiom,
    ( esk2125_4(X1,X2,X3,X4)
    | ~ esk2124_4(X1,X2,X3,X4) )).

cnf(i_0_579,axiom,
    ( ~ esk816_0
    | ~ p(X3)
    | p(X1)
    | esk9085_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_580,axiom,
    ( ~ esk5076_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_581,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk120_0
    | ~ esk7939_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_582,axiom,
    ( ~ esk1835_4(X1,X2,X3,X4)
    | ~ esk1834_4(X1,X2,X3,X4) )).

cnf(i_0_583,axiom,
    ( ~ p(X1)
    | ~ esk221_0
    | p(X2)
    | ~ p(X4)
    | esk1756_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_584,axiom,
    ( ~ esk4710_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_585,axiom,
    ( ~ esk4626_4(X1,X2,X3,X4)
    | esk4627_4(X1,X2,X3,X4) )).

cnf(i_0_586,axiom,
    ( ~ esk6659_4(X1,X2,X3,X4)
    | esk6661_4(X1,X2,X3,X4) )).

cnf(i_0_587,axiom,
    ( esk5623_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_588,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7621_4(X1,X2,X3,X4) )).

cnf(i_0_589,axiom,
    ( esk5133_4(X1,X2,X3,X4)
    | ~ esk5132_4(X1,X2,X3,X4) )).

cnf(i_0_590,axiom,
    ( esk1880_4(X1,X2,X3,X4)
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_591,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1069_0
    | p(X3)
    | ~ esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_592,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk739_0
    | p(X2) )).

cnf(i_0_593,axiom,
    ( p(X1)
    | esk398_0
    | p(X3)
    | ~ p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_594,axiom,
    ( ~ esk2851_4(X1,X2,X3,X4)
    | esk2852_4(X1,X2,X3,X4) )).

cnf(i_0_595,axiom,
    ( esk7149_4(X1,X2,X3,X4)
    | ~ esk5833_4(X1,X2,X3,X4) )).

cnf(i_0_596,axiom,
    ( ~ esk6417_4(X1,X2,X3,X4)
    | esk6416_4(X1,X2,X3,X4) )).

cnf(i_0_597,axiom,
    ( ~ esk3977_4(X1,X2,X3,X4)
    | ~ esk4672_4(X1,X2,X3,X4) )).

cnf(i_0_598,axiom,
    ( ~ esk3040_4(X1,X2,X3,X4)
    | esk3042_4(X1,X2,X3,X4) )).

cnf(i_0_599,axiom,
    ( esk65_0
    | p(X2)
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_600,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7343_4(X1,X2,X3,X4) )).

cnf(i_0_601,axiom,
    ( esk3575_4(X1,X2,X3,X4)
    | ~ esk3460_4(X1,X2,X3,X4) )).

cnf(i_0_602,axiom,
    ( esk3147_4(X1,X2,X3,X4)
    | ~ esk3148_4(X1,X2,X3,X4) )).

cnf(i_0_603,axiom,
    ( ~ esk3065_4(X1,X2,X3,X4)
    | esk3066_4(X1,X2,X3,X4) )).

cnf(i_0_604,axiom,
    ( ~ esk6089_4(X1,X2,X3,X4)
    | esk6090_4(X1,X2,X3,X4) )).

cnf(i_0_605,axiom,
    ( ~ esk4995_4(X1,X2,X3,X4)
    | esk3470_4(X1,X2,X3,X4) )).

cnf(i_0_606,axiom,
    ( ~ esk3616_4(X1,X2,X3,X4)
    | esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_607,axiom,
    ( esk9076_4(X1,X2,X3,X4)
    | ~ esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_608,axiom,
    ( ~ esk9528_4(X1,X2,X3,X4)
    | esk9529_4(X1,X2,X3,X4)
    | ~ esk9523_4(X1,X2,X3,X4) )).

cnf(i_0_609,axiom,
    ( ~ esk6309_4(X1,X2,X3,X4)
    | esk6308_4(X1,X2,X3,X4) )).

cnf(i_0_610,axiom,
    ( ~ p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ esk788_0 )).

cnf(i_0_611,axiom,
    ( ~ esk7762_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_612,axiom,
    ( esk4131_4(X1,X2,X3,X4)
    | ~ esk4129_4(X1,X2,X3,X4) )).

cnf(i_0_613,axiom,
    ( ~ esk4276_4(X1,X2,X3,X4)
    | esk4238_4(X1,X2,X3,X4) )).

cnf(i_0_614,axiom,
    ( ~ esk8789_4(X1,X2,X3,X4)
    | esk8081_4(X1,X2,X3,X4) )).

cnf(i_0_615,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | esk678_0
    | p(X1)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_616,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3681_4(X1,X2,X3,X4) )).

cnf(i_0_617,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk5979_4(X1,X2,X3,X4) )).

cnf(i_0_618,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk797_0
    | ~ p(X3) )).

cnf(i_0_619,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk618_0
    | p(X3)
    | p(X1)
    | esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_620,axiom,
    ( ~ p(X3)
    | ~ esk1139_0
    | ~ p(X1)
    | p(X2)
    | esk9176_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_621,axiom,
    ( esk8936_4(X1,X2,X3,X4)
    | ~ esk8937_4(X1,X2,X3,X4) )).

cnf(i_0_622,axiom,
    ( esk8806_4(X1,X2,X3,X4)
    | ~ esk8807_4(X1,X2,X3,X4) )).

cnf(i_0_623,axiom,
    ( ~ esk5050_4(X1,X2,X3,X4)
    | esk7150_4(X1,X2,X3,X4) )).

cnf(i_0_624,axiom,
    ( esk8388_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk439_0
    | p(X1) )).

cnf(i_0_625,axiom,
    ( ~ p(X4)
    | ~ esk1643_4(X1,X2,X3,X4)
    | esk108_0
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_626,axiom,
    ( ~ esk9303_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk9306_4(X1,X2,X3,X4) )).

cnf(i_0_627,axiom,
    ( esk4670_4(X1,X2,X3,X4)
    | ~ esk4684_4(X1,X2,X3,X4) )).

cnf(i_0_628,axiom,
    ( ~ esk8202_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_629,axiom,
    ( esk7011_4(X1,X2,X3,X4)
    | ~ esk4911_4(X1,X2,X3,X4) )).

cnf(i_0_630,axiom,
    ( esk5172_4(X1,X2,X3,X4)
    | esk5171_4(X1,X2,X3,X4)
    | ~ esk5173_4(X1,X2,X3,X4) )).

cnf(i_0_631,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk313_0
    | ~ p(X4)
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_632,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk4464_4(X1,X2,X3,X4) )).

cnf(i_0_633,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6318_4(X1,X2,X3,X4) )).

cnf(i_0_634,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk4249_4(X1,X2,X3,X4)
    | ~ esk4212_4(X1,X2,X3,X4) )).

cnf(i_0_635,axiom,
    ( esk3815_4(X1,X2,X3,X4)
    | ~ esk3816_4(X1,X2,X3,X4) )).

cnf(i_0_636,axiom,
    ( ~ esk2719_4(X1,X2,X3,X4)
    | esk2854_4(X1,X2,X3,X4)
    | esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_637,axiom,
    ( ~ esk7057_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_638,axiom,
    ( p(X1)
    | p(X3)
    | esk784_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_639,axiom,
    ( ~ esk7483_4(X1,X2,X3,X4)
    | esk6678_4(X1,X2,X3,X4) )).

cnf(i_0_640,axiom,
    ( esk4224_4(X1,X2,X3,X4)
    | ~ esk4223_4(X1,X2,X3,X4) )).

cnf(i_0_641,axiom,
    ( esk9098_4(X1,X2,X3,X4)
    | ~ esk7742_4(X1,X2,X3,X4) )).

cnf(i_0_642,axiom,
    ( esk2018_4(X1,X2,X3,X4)
    | ~ esk2020_4(X1,X2,X3,X4) )).

cnf(i_0_643,axiom,
    ( esk8245_4(X1,X2,X3,X4)
    | ~ esk8246_4(X1,X2,X3,X4)
    | esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_644,axiom,
    ( ~ esk6964_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_645,axiom,
    ( esk3577_4(X1,X2,X3,X4)
    | ~ esk3504_4(X1,X2,X3,X4) )).

cnf(i_0_646,axiom,
    ( ~ esk7285_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk7286_4(X1,X2,X3,X4) )).

cnf(i_0_647,axiom,
    ( ~ esk2336_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_648,axiom,
    ( esk2321_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk530_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_649,axiom,
    ( ~ esk6576_4(X1,X2,X3,X4)
    | esk6577_4(X1,X2,X3,X4) )).

cnf(i_0_650,axiom,
    ( ~ esk3771_4(X1,X2,X3,X4)
    | esk3622_4(X1,X2,X3,X4) )).

cnf(i_0_651,axiom,
    ( ~ esk5215_4(X1,X2,X3,X4)
    | esk5214_4(X1,X2,X3,X4) )).

cnf(i_0_652,axiom,
    ( ~ esk7878_4(X1,X2,X3,X4)
    | esk7877_4(X1,X2,X3,X4) )).

cnf(i_0_653,axiom,
    ( ~ esk3593_4(X1,X2,X3,X4)
    | esk3685_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_654,axiom,
    ( esk7913_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_655,axiom,
    ( ~ esk7412_4(X1,X2,X3,X4)
    | ~ esk6606_4(X1,X2,X3,X4)
    | esk6607_4(X1,X2,X3,X4) )).

cnf(i_0_656,axiom,
    ( ~ esk9171_4(X1,X2,X3,X4)
    | esk7878_4(X1,X2,X3,X4)
    | ~ esk7877_4(X1,X2,X3,X4) )).

cnf(i_0_657,axiom,
    ( esk8033_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_658,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk675_0
    | ~ esk8729_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_659,axiom,
    ( esk8421_4(X1,X2,X3,X4)
    | ~ esk8728_4(X1,X2,X3,X4)
    | ~ esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_660,axiom,
    ( ~ esk3393_4(X1,X2,X3,X4)
    | esk3394_4(X1,X2,X3,X4) )).

cnf(i_0_661,axiom,
    ( esk6436_4(X1,X2,X3,X4)
    | ~ esk6623_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_662,axiom,
    ( esk6869_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_663,axiom,
    ( ~ esk6112_4(X1,X2,X3,X4)
    | ~ esk6111_4(X1,X2,X3,X4)
    | ~ esk6515_4(X1,X2,X3,X4) )).

cnf(i_0_664,axiom,
    ( esk6741_4(X1,X2,X3,X4)
    | esk6742_4(X1,X2,X3,X4)
    | ~ esk6743_4(X1,X2,X3,X4) )).

cnf(i_0_665,axiom,
    ( esk5692_4(X1,X2,X3,X4)
    | ~ esk5691_4(X1,X2,X3,X4) )).

cnf(i_0_666,axiom,
    ( p(X1)
    | ~ esk144_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_667,axiom,
    ( esk4273_4(X1,X2,X3,X4)
    | ~ esk3478_4(X1,X2,X3,X4) )).

cnf(i_0_668,axiom,
    ( ~ esk4198_4(X1,X2,X3,X4)
    | esk4197_4(X1,X2,X3,X4) )).

cnf(i_0_669,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk2425_4(X1,X2,X3,X4)
    | esk610_0
    | p(X2) )).

cnf(i_0_670,axiom,
    ( ~ esk5314_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_671,axiom,
    ( p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk941_0
    | p(X3) )).

cnf(i_0_672,axiom,
    ( esk1992_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_673,axiom,
    ( ~ esk6627_4(X1,X2,X3,X4)
    | esk6360_4(X1,X2,X3,X4)
    | ~ esk6325_4(X1,X2,X3,X4) )).

cnf(i_0_674,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk1074_0
    | p(X4)
    | p(X1)
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_675,axiom,
    ( p(X4)
    | ~ esk953_0
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_676,axiom,
    ( ~ esk6173_4(X1,X2,X3,X4)
    | esk6174_4(X1,X2,X3,X4)
    | ~ esk6106_4(X1,X2,X3,X4) )).

cnf(i_0_677,axiom,
    ( esk3957_4(X1,X2,X3,X4)
    | ~ esk3955_4(X1,X2,X3,X4) )).

cnf(i_0_678,axiom,
    ( ~ esk6773_4(X1,X2,X3,X4)
    | esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_679,axiom,
    ( esk9214_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk1254_0
    | p(X4) )).

cnf(i_0_680,axiom,
    ( esk8730_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4)
    | ~ esk8664_4(X1,X2,X3,X4) )).

cnf(i_0_681,axiom,
    ( esk3698_4(X1,X2,X3,X4)
    | ~ esk3697_4(X1,X2,X3,X4) )).

cnf(i_0_682,axiom,
    ( ~ esk1894_4(X1,X2,X3,X4)
    | esk1896_4(X1,X2,X3,X4) )).

cnf(i_0_683,axiom,
    ( esk7127_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5912_4(X1,X2,X3,X4) )).

cnf(i_0_684,axiom,
    ( ~ esk7748_4(X1,X2,X3,X4)
    | esk7746_4(X1,X2,X3,X4)
    | esk7747_4(X1,X2,X3,X4) )).

cnf(i_0_685,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk1_0
    | ~ p(X4)
    | esk8050_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_686,axiom,
    ( ~ esk8999_4(X1,X2,X3,X4)
    | esk9693_4(X1,X2,X3,X4)
    | ~ esk9692_4(X1,X2,X3,X4) )).

cnf(i_0_687,axiom,
    ( ~ esk4199_4(X1,X2,X3,X4)
    | esk4200_4(X1,X2,X3,X4) )).

cnf(i_0_688,axiom,
    ( ~ esk8901_4(X1,X2,X3,X4)
    | esk9096_4(X1,X2,X3,X4) )).

cnf(i_0_689,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8660_4(X1,X2,X3,X4) )).

cnf(i_0_690,axiom,
    ( ~ esk2046_4(X1,X2,X3,X4)
    | esk2048_4(X1,X2,X3,X4) )).

cnf(i_0_691,axiom,
    ( esk4724_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk5397_4(X1,X2,X3,X4) )).

cnf(i_0_692,axiom,
    ( ~ esk4814_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_693,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk681_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_694,axiom,
    ( esk4384_4(X1,X2,X3,X4)
    | ~ esk4386_4(X1,X2,X3,X4)
    | esk4385_4(X1,X2,X3,X4) )).

cnf(i_0_695,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | esk424_0 )).

cnf(i_0_696,axiom,
    ( ~ esk7768_4(X1,X2,X3,X4)
    | esk8005_4(X1,X2,X3,X4) )).

cnf(i_0_697,axiom,
    ( ~ esk3760_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_698,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk2242_4(X1,X2,X3,X4) )).

cnf(i_0_699,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | esk3608_4(X1,X2,X3,X4)
    | ~ esk3580_4(X1,X2,X3,X4) )).

cnf(i_0_700,axiom,
    ( esk6693_4(X1,X2,X3,X4)
    | ~ esk6717_4(X1,X2,X3,X4) )).

cnf(i_0_701,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | esk2880_4(X1,X2,X3,X4)
    | ~ esk1132_0 )).

cnf(i_0_702,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk2433_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk671_0 )).

cnf(i_0_703,axiom,
    ( ~ esk1693_4(X1,X2,X3,X4)
    | esk1692_4(X1,X2,X3,X4) )).

cnf(i_0_704,axiom,
    ( ~ esk7641_4(X1,X2,X3,X4)
    | esk7062_4(X1,X2,X3,X4)
    | esk7640_4(X1,X2,X3,X4) )).

cnf(i_0_705,axiom,
    ( ~ esk1902_4(X1,X2,X3,X4)
    | esk1901_4(X1,X2,X3,X4) )).

cnf(i_0_706,axiom,
    ( esk4772_4(X1,X2,X3,X4)
    | esk4771_4(X1,X2,X3,X4)
    | ~ esk4773_4(X1,X2,X3,X4) )).

cnf(i_0_707,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9029_4(X1,X2,X3,X4) )).

cnf(i_0_708,axiom,
    ( esk4366_4(X1,X2,X3,X4)
    | ~ esk4367_4(X1,X2,X3,X4)
    | esk4365_4(X1,X2,X3,X4) )).

cnf(i_0_709,axiom,
    ( esk8675_4(X1,X2,X3,X4)
    | ~ esk8676_4(X1,X2,X3,X4)
    | esk8674_4(X1,X2,X3,X4) )).

cnf(i_0_710,axiom,
    ( esk4061_4(X1,X2,X3,X4)
    | ~ esk4060_4(X1,X2,X3,X4) )).

cnf(i_0_711,axiom,
    ( ~ p(X4)
    | esk8751_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk764_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_712,axiom,
    ( esk3577_4(X1,X2,X3,X4)
    | ~ esk1477_4(X1,X2,X3,X4) )).

cnf(i_0_713,axiom,
    ( ~ esk7127_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_714,axiom,
    ( p(X1)
    | ~ esk351_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_715,axiom,
    ( esk2533_4(X1,X2,X3,X4)
    | ~ esk2565_4(X1,X2,X3,X4) )).

cnf(i_0_716,axiom,
    ( ~ esk4681_4(X1,X2,X3,X4)
    | esk4679_4(X1,X2,X3,X4)
    | esk4680_4(X1,X2,X3,X4) )).

cnf(i_0_717,axiom,
    ( esk5121_4(X1,X2,X3,X4)
    | ~ esk5120_4(X1,X2,X3,X4) )).

cnf(i_0_718,axiom,
    ( esk8812_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_719,axiom,
    ( ~ esk4991_4(X1,X2,X3,X4)
    | esk3466_4(X1,X2,X3,X4) )).

cnf(i_0_720,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6468_4(X1,X2,X3,X4)
    | ~ esk6467_4(X1,X2,X3,X4) )).

cnf(i_0_721,axiom,
    ( p(X3)
    | p(X1)
    | p(X2)
    | esk573_0
    | ~ p(X4)
    | ~ esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_722,axiom,
    ( ~ esk7183_4(X1,X2,X3,X4)
    | esk7184_4(X1,X2,X3,X4) )).

cnf(i_0_723,axiom,
    ( esk8612_4(X1,X2,X3,X4)
    | ~ esk8611_4(X1,X2,X3,X4) )).

cnf(i_0_724,axiom,
    ( esk8026_4(X1,X2,X3,X4)
    | esk8027_4(X1,X2,X3,X4)
    | ~ esk8028_4(X1,X2,X3,X4) )).

cnf(i_0_725,axiom,
    ( ~ esk7422_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_726,axiom,
    ( esk6581_4(X1,X2,X3,X4)
    | ~ esk6579_4(X1,X2,X3,X4) )).

cnf(i_0_727,axiom,
    ( esk2380_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_728,axiom,
    ( ~ esk6331_4(X1,X2,X3,X4)
    | ~ esk6293_4(X1,X2,X3,X4) )).

cnf(i_0_729,axiom,
    ( ~ esk6742_4(X1,X2,X3,X4)
    | esk6743_4(X1,X2,X3,X4) )).

cnf(i_0_730,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk9174_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk1117_0 )).

cnf(i_0_731,axiom,
    ( ~ esk6575_4(X1,X2,X3,X4)
    | esk6574_4(X1,X2,X3,X4) )).

cnf(i_0_732,axiom,
    ( ~ esk2920_4(X1,X2,X3,X4)
    | ~ esk1760_4(X1,X2,X3,X4) )).

cnf(i_0_733,axiom,
    ( esk6010_4(X1,X2,X3,X4)
    | esk6009_4(X1,X2,X3,X4)
    | ~ esk6011_4(X1,X2,X3,X4) )).

cnf(i_0_734,axiom,
    ( esk4088_4(X1,X2,X3,X4)
    | ~ esk4090_4(X1,X2,X3,X4)
    | esk4089_4(X1,X2,X3,X4)
    | esk4087_4(X1,X2,X3,X4) )).

cnf(i_0_735,axiom,
    ( esk9533_4(X1,X2,X3,X4)
    | ~ esk9519_4(X1,X2,X3,X4)
    | ~ esk9532_4(X1,X2,X3,X4) )).

cnf(i_0_736,axiom,
    ( esk2854_4(X1,X2,X3,X4)
    | ~ esk2842_4(X1,X2,X3,X4) )).

cnf(i_0_737,axiom,
    ( ~ esk6098_4(X1,X2,X3,X4)
    | esk6097_4(X1,X2,X3,X4)
    | esk6096_4(X1,X2,X3,X4) )).

cnf(i_0_738,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1440_4(X1,X2,X3,X4)
    | esk24_0
    | p(X1) )).

cnf(i_0_739,axiom,
    ( ~ esk6473_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_740,axiom,
    ( esk5729_4(X1,X2,X3,X4)
    | esk5942_4(X1,X2,X3,X4) )).

cnf(i_0_741,axiom,
    ( p(X3)
    | ~ esk1955_4(X1,X2,X3,X4)
    | esk345_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_742,axiom,
    ( esk7484_4(X1,X2,X3,X4)
    | ~ esk7485_4(X1,X2,X3,X4)
    | esk6643_4(X1,X2,X3,X4) )).

cnf(i_0_743,axiom,
    ( esk1770_4(X1,X2,X3,X4)
    | ~ esk1772_4(X1,X2,X3,X4)
    | esk1771_4(X1,X2,X3,X4) )).

cnf(i_0_744,axiom,
    ( ~ esk5079_4(X1,X2,X3,X4)
    | esk5078_4(X1,X2,X3,X4) )).

cnf(i_0_745,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk8727_4(X1,X2,X3,X4)
    | esk651_0
    | ~ p(X4) )).

cnf(i_0_746,axiom,
    ( esk7101_4(X1,X2,X3,X4)
    | ~ esk7102_4(X1,X2,X3,X4) )).

cnf(i_0_747,axiom,
    ( esk6212_4(X1,X2,X3,X4)
    | ~ esk6213_4(X1,X2,X3,X4) )).

cnf(i_0_748,axiom,
    ( ~ esk9095_4(X1,X2,X3,X4)
    | p(X4)
    | esk892_0
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_749,axiom,
    ( ~ esk9131_4(X1,X2,X3,X4)
    | esk9133_4(X1,X2,X3,X4) )).

cnf(i_0_750,axiom,
    ( ~ esk7082_4(X1,X2,X3,X4)
    | esk7073_4(X1,X2,X3,X4) )).

cnf(i_0_751,axiom,
    ( ~ esk4076_4(X1,X2,X3,X4)
    | esk4042_4(X1,X2,X3,X4) )).

cnf(i_0_752,axiom,
    ( ~ esk6738_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_753,axiom,
    ( ~ esk5601_4(X1,X2,X3,X4)
    | esk5642_4(X1,X2,X3,X4) )).

cnf(i_0_754,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk8713_4(X1,X2,X3,X4)
    | p(X2)
    | esk544_0
    | p(X3) )).

cnf(i_0_755,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk6005_4(X1,X2,X3,X4) )).

cnf(i_0_756,axiom,
    ( esk6812_4(X1,X2,X3,X4)
    | ~ esk6810_4(X1,X2,X3,X4) )).

cnf(i_0_757,axiom,
    ( ~ esk4144_4(X1,X2,X3,X4)
    | esk4147_4(X1,X2,X3,X4) )).

cnf(i_0_758,axiom,
    ( esk4398_4(X1,X2,X3,X4)
    | ~ esk4397_4(X1,X2,X3,X4) )).

cnf(i_0_759,axiom,
    ( esk473_0
    | p(X3)
    | ~ p(X2)
    | ~ esk8469_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_760,axiom,
    ( esk8429_4(X1,X2,X3,X4)
    | ~ esk8428_4(X1,X2,X3,X4) )).

cnf(i_0_761,axiom,
    ( esk4810_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_762,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8924_4(X1,X2,X3,X4) )).

cnf(i_0_763,axiom,
    ( p(X3)
    | p(X1)
    | esk9164_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk1038_0 )).

cnf(i_0_764,axiom,
    ( esk1369_4(X1,X2,X3,X4)
    | ~ esk1647_4(X1,X2,X3,X4) )).

cnf(i_0_765,axiom,
    ( esk4896_4(X1,X2,X3,X4)
    | ~ esk4650_4(X1,X2,X3,X4) )).

cnf(i_0_766,axiom,
    ( esk5850_4(X1,X2,X3,X4)
    | ~ esk5633_4(X1,X2,X3,X4) )).

cnf(i_0_767,axiom,
    ( esk4644_4(X1,X2,X3,X4)
    | ~ esk4800_4(X1,X2,X3,X4) )).

cnf(i_0_768,axiom,
    ( ~ esk9328_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk9329_4(X1,X2,X3,X4) )).

cnf(i_0_769,axiom,
    ( esk4777_4(X1,X2,X3,X4)
    | ~ esk4776_4(X1,X2,X3,X4) )).

cnf(i_0_770,axiom,
    ( ~ esk6277_4(X1,X2,X3,X4)
    | esk6275_4(X1,X2,X3,X4)
    | esk6276_4(X1,X2,X3,X4) )).

cnf(i_0_771,axiom,
    ( ~ esk9151_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4)
    | ~ esk9121_4(X1,X2,X3,X4) )).

cnf(i_0_772,axiom,
    ( esk2281_4(X1,X2,X3,X4)
    | esk2423_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_773,axiom,
    ( esk3597_4(X1,X2,X3,X4)
    | ~ esk3689_4(X1,X2,X3,X4) )).

cnf(i_0_774,axiom,
    ( ~ esk2592_4(X1,X2,X3,X4)
    | esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_775,axiom,
    ( ~ esk1836_4(X1,X2,X3,X4)
    | esk1833_4(X1,X2,X3,X4) )).

cnf(i_0_776,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_777,axiom,
    ( esk4981_4(X1,X2,X3,X4)
    | ~ esk3688_4(X1,X2,X3,X4) )).

cnf(i_0_778,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk2898_4(X1,X2,X3,X4)
    | esk1213_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_779,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk1748_4(X1,X2,X3,X4)
    | ~ esk166_0 )).

cnf(i_0_780,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | esk1681_4(X1,X2,X3,X4) )).

cnf(i_0_781,axiom,
    ( ~ esk7244_4(X1,X2,X3,X4)
    | esk6595_4(X1,X2,X3,X4)
    | ~ esk6594_4(X1,X2,X3,X4) )).

cnf(i_0_782,axiom,
    ( ~ p(X1)
    | ~ esk1756_4(X1,X2,X3,X4)
    | esk225_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_783,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3823_4(X1,X2,X3,X4) )).

cnf(i_0_784,axiom,
    ( ~ esk2588_4(X1,X2,X3,X4)
    | esk2587_4(X1,X2,X3,X4) )).

cnf(i_0_785,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8516_4(X1,X2,X3,X4) )).

cnf(i_0_786,axiom,
    ( esk6622_4(X1,X2,X3,X4)
    | ~ esk6589_4(X1,X2,X3,X4) )).

cnf(i_0_787,axiom,
    ( ~ esk3100_4(X1,X2,X3,X4)
    | esk3099_4(X1,X2,X3,X4) )).

cnf(i_0_788,axiom,
    ( esk4908_4(X1,X2,X3,X4)
    | ~ esk4664_4(X1,X2,X3,X4) )).

cnf(i_0_789,axiom,
    ( esk7867_4(X1,X2,X3,X4)
    | esk7866_4(X1,X2,X3,X4)
    | ~ esk7868_4(X1,X2,X3,X4) )).

cnf(i_0_790,axiom,
    ( esk1677_4(X1,X2,X3,X4)
    | ~ esk1669_4(X1,X2,X3,X4)
    | ~ esk1429_4(X1,X2,X3,X4) )).

cnf(i_0_791,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk618_0
    | ~ esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_792,axiom,
    ( ~ esk4006_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_793,axiom,
    ( ~ esk6397_4(X1,X2,X3,X4)
    | esk6400_4(X1,X2,X3,X4) )).

cnf(i_0_794,axiom,
    ( ~ esk4677_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_795,axiom,
    ( ~ esk5379_4(X1,X2,X3,X4)
    | esk5373_4(X1,X2,X3,X4)
    | esk5378_4(X1,X2,X3,X4) )).

cnf(i_0_796,axiom,
    ( esk7939_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk115_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_797,axiom,
    ( esk4898_4(X1,X2,X3,X4)
    | ~ esk4703_4(X1,X2,X3,X4) )).

cnf(i_0_798,axiom,
    ( ~ esk3342_4(X1,X2,X3,X4)
    | esk2757_4(X1,X2,X3,X4)
    | ~ esk2756_4(X1,X2,X3,X4) )).

cnf(i_0_799,axiom,
    ( esk4740_4(X1,X2,X3,X4)
    | esk4739_4(X1,X2,X3,X4)
    | ~ esk4741_4(X1,X2,X3,X4) )).

cnf(i_0_800,axiom,
    ( esk6482_4(X1,X2,X3,X4)
    | ~ esk6483_4(X1,X2,X3,X4) )).

cnf(i_0_801,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk7491_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_802,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk5071_4(X1,X2,X3,X4)
    | ~ esk5070_4(X1,X2,X3,X4) )).

cnf(i_0_803,axiom,
    ( p(X3)
    | p(X1)
    | esk2801_4(X1,X2,X3,X4)
    | ~ esk907_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_804,axiom,
    ( ~ esk9533_4(X1,X2,X3,X4)
    | esk9519_4(X1,X2,X3,X4) )).

cnf(i_0_805,axiom,
    ( ~ esk8357_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | esk425_0
    | p(X2) )).

cnf(i_0_806,axiom,
    ( esk7477_4(X1,X2,X3,X4)
    | ~ esk7474_4(X1,X2,X3,X4) )).

cnf(i_0_807,axiom,
    ( ~ p(X1)
    | esk2815_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk1015_0 )).

cnf(i_0_808,axiom,
    ( esk4681_4(X1,X2,X3,X4)
    | ~ esk4679_4(X1,X2,X3,X4) )).

cnf(i_0_809,axiom,
    ( esk4359_4(X1,X2,X3,X4)
    | ~ esk4358_4(X1,X2,X3,X4) )).

cnf(i_0_810,axiom,
    ( esk6956_4(X1,X2,X3,X4)
    | esk6955_4(X1,X2,X3,X4)
    | ~ esk6957_4(X1,X2,X3,X4) )).

cnf(i_0_811,axiom,
    ( ~ esk2454_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_812,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | esk7919_4(X1,X2,X3,X4)
    | ~ esk7856_4(X1,X2,X3,X4) )).

cnf(i_0_813,axiom,
    ( esk2168_4(X1,X2,X3,X4)
    | ~ esk2170_4(X1,X2,X3,X4)
    | esk2169_4(X1,X2,X3,X4) )).

cnf(i_0_814,axiom,
    ( ~ esk3491_4(X1,X2,X3,X4)
    | esk3770_4(X1,X2,X3,X4) )).

cnf(i_0_815,axiom,
    ( ~ esk6158_4(X1,X2,X3,X4)
    | esk6269_4(X1,X2,X3,X4) )).

cnf(i_0_816,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | esk1188_0 )).

cnf(i_0_817,axiom,
    ( ~ esk1566_4(X1,X2,X3,X4)
    | esk1567_4(X1,X2,X3,X4) )).

cnf(i_0_818,axiom,
    ( ~ p(X2)
    | esk1058_0
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_819,axiom,
    ( esk9194_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk1204_0 )).

cnf(i_0_820,axiom,
    ( ~ esk3162_4(X1,X2,X3,X4)
    | esk3160_4(X1,X2,X3,X4)
    | esk3161_4(X1,X2,X3,X4) )).

cnf(i_0_821,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk276_0
    | ~ p(X3)
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_822,axiom,
    ( esk4146_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4)
    | ~ esk4092_4(X1,X2,X3,X4) )).

cnf(i_0_823,axiom,
    ( esk9616_4(X1,X2,X3,X4)
    | ~ esk9617_4(X1,X2,X3,X4) )).

cnf(i_0_824,axiom,
    ( ~ esk399_0
    | esk8318_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_825,axiom,
    ( ~ esk8553_4(X1,X2,X3,X4)
    | esk8552_4(X1,X2,X3,X4)
    | esk8551_4(X1,X2,X3,X4) )).

cnf(i_0_826,axiom,
    ( ~ esk6341_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6379_4(X1,X2,X3,X4) )).

cnf(i_0_827,axiom,
    ( esk5728_4(X1,X2,X3,X4)
    | ~ esk5558_4(X1,X2,X3,X4) )).

cnf(i_0_828,axiom,
    ( ~ esk3134_4(X1,X2,X3,X4)
    | esk3133_4(X1,X2,X3,X4)
    | esk3132_4(X1,X2,X3,X4) )).

cnf(i_0_829,axiom,
    ( ~ esk2033_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_830,axiom,
    ( ~ p(X4)
    | esk8391_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk456_0
    | p(X2)
    | p(X1) )).

cnf(i_0_831,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk1990_4(X1,X2,X3,X4) )).

cnf(i_0_832,axiom,
    ( esk551_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_833,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7235_4(X1,X2,X3,X4) )).

cnf(i_0_834,axiom,
    ( esk516_0
    | ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_835,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk2095_4(X1,X2,X3,X4)
    | esk454_0 )).

cnf(i_0_836,axiom,
    ( esk6741_4(X1,X2,X3,X4)
    | ~ esk6740_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_837,axiom,
    ( esk3718_4(X1,X2,X3,X4)
    | ~ esk3716_4(X1,X2,X3,X4) )).

cnf(i_0_838,axiom,
    ( esk4931_4(X1,X2,X3,X4)
    | ~ esk4929_4(X1,X2,X3,X4) )).

cnf(i_0_839,axiom,
    ( p(X1)
    | p(X2)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1099_0
    | p(X4) )).

cnf(i_0_840,axiom,
    ( ~ esk5096_4(X1,X2,X3,X4)
    | esk5093_4(X1,X2,X3,X4) )).

cnf(i_0_841,axiom,
    ( esk8869_4(X1,X2,X3,X4)
    | esk8772_4(X1,X2,X3,X4) )).

cnf(i_0_842,axiom,
    ( ~ esk2120_4(X1,X2,X3,X4)
    | esk2121_4(X1,X2,X3,X4) )).

cnf(i_0_843,axiom,
    ( ~ esk9196_4(X1,X2,X3,X4)
    | ~ esk8061_4(X1,X2,X3,X4) )).

cnf(i_0_844,axiom,
    ( esk5806_4(X1,X2,X3,X4)
    | ~ esk5807_4(X1,X2,X3,X4) )).

cnf(i_0_845,axiom,
    ( ~ esk5772_4(X1,X2,X3,X4)
    | esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_846,axiom,
    ( esk7174_4(X1,X2,X3,X4)
    | ~ esk7173_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_847,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk482_0
    | esk8469_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_848,axiom,
    ( ~ esk1_0
    | p(X4)
    | p(X2)
    | p(X3)
    | esk2918_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_849,axiom,
    ( ~ p(X4)
    | ~ esk35_0
    | ~ p(X3)
    | esk1442_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_850,axiom,
    ( ~ esk4494_4(X1,X2,X3,X4)
    | esk4525_4(X1,X2,X3,X4) )).

cnf(i_0_851,axiom,
    ( ~ esk2540_4(X1,X2,X3,X4)
    | esk2577_4(X1,X2,X3,X4) )).

cnf(i_0_852,axiom,
    ( esk2090_4(X1,X2,X3,X4)
    | ~ esk2127_4(X1,X2,X3,X4)
    | esk2126_4(X1,X2,X3,X4) )).

cnf(i_0_853,axiom,
    ( esk6267_4(X1,X2,X3,X4)
    | ~ esk6129_4(X1,X2,X3,X4)
    | ~ esk6266_4(X1,X2,X3,X4) )).

cnf(i_0_854,axiom,
    ( ~ esk1952_4(X1,X2,X3,X4)
    | esk1994_4(X1,X2,X3,X4) )).

cnf(i_0_855,axiom,
    ( ~ esk6282_4(X1,X2,X3,X4)
    | esk6369_4(X1,X2,X3,X4)
    | ~ esk6331_4(X1,X2,X3,X4) )).

cnf(i_0_856,axiom,
    ( ~ p(X2)
    | ~ esk670_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_857,axiom,
    ( ~ p(X2)
    | ~ esk271_0
    | esk1842_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_858,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk8048_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk193_0 )).

cnf(i_0_859,axiom,
    ( ~ esk6300_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6301_4(X1,X2,X3,X4) )).

cnf(i_0_860,axiom,
    ( ~ esk6581_4(X1,X2,X3,X4)
    | esk6618_4(X1,X2,X3,X4) )).

cnf(i_0_861,axiom,
    ( ~ esk2662_4(X1,X2,X3,X4)
    | esk2660_4(X1,X2,X3,X4)
    | esk2661_4(X1,X2,X3,X4) )).

cnf(i_0_862,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk960_0
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_863,axiom,
    ( ~ esk2116_4(X1,X2,X3,X4)
    | esk2083_4(X1,X2,X3,X4) )).

cnf(i_0_864,axiom,
    ( esk7956_4(X1,X2,X3,X4)
    | ~ esk8012_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_865,axiom,
    ( ~ esk2480_4(X1,X2,X3,X4)
    | esk3285_4(X1,X2,X3,X4) )).

cnf(i_0_866,axiom,
    ( esk6432_4(X1,X2,X3,X4)
    | ~ esk6433_4(X1,X2,X3,X4) )).

cnf(i_0_867,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk8508_4(X1,X2,X3,X4)
    | ~ esk493_0 )).

cnf(i_0_868,axiom,
    ( ~ esk8242_4(X1,X2,X3,X4)
    | esk8244_4(X1,X2,X3,X4) )).

cnf(i_0_869,axiom,
    ( esk1435_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_870,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk8735_4(X1,X2,X3,X4)
    | esk716_0 )).

cnf(i_0_871,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk4677_4(X1,X2,X3,X4) )).

cnf(i_0_872,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4444_4(X1,X2,X3,X4) )).

cnf(i_0_873,axiom,
    ( ~ esk9465_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_874,axiom,
    ( esk9447_4(X1,X2,X3,X4)
    | ~ esk9450_4(X1,X2,X3,X4) )).

cnf(i_0_875,axiom,
    ( ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1017_0
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_876,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6922_4(X1,X2,X3,X4) )).

cnf(i_0_877,axiom,
    ( esk6458_4(X1,X2,X3,X4)
    | ~ esk6089_4(X1,X2,X3,X4) )).

cnf(i_0_878,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7501_4(X1,X2,X3,X4) )).

cnf(i_0_879,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk8251_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk345_0
    | ~ p(X2) )).

cnf(i_0_880,axiom,
    ( ~ esk5072_4(X1,X2,X3,X4)
    | esk5073_4(X1,X2,X3,X4) )).

cnf(i_0_881,axiom,
    ( esk2616_4(X1,X2,X3,X4)
    | ~ esk2615_4(X1,X2,X3,X4)
    | ~ esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_882,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4155_4(X1,X2,X3,X4)
    | esk4185_4(X1,X2,X3,X4) )).

cnf(i_0_883,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk3438_4(X1,X2,X3,X4) )).

cnf(i_0_884,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | esk2880_4(X1,X2,X3,X4)
    | ~ esk1133_0
    | ~ p(X3) )).

cnf(i_0_885,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | ~ esk5256_4(X1,X2,X3,X4) )).

cnf(i_0_886,axiom,
    ( ~ esk4902_4(X1,X2,X3,X4)
    | esk2802_4(X1,X2,X3,X4) )).

cnf(i_0_887,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8968_4(X1,X2,X3,X4) )).

cnf(i_0_888,axiom,
    ( esk6526_4(X1,X2,X3,X4)
    | ~ esk6528_4(X1,X2,X3,X4)
    | esk6527_4(X1,X2,X3,X4) )).

cnf(i_0_889,axiom,
    ( esk7349_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_890,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X4)
    | esk8547_4(X1,X2,X3,X4)
    | ~ esk501_0
    | ~ p(X3) )).

cnf(i_0_891,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk1758_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ esk241_0 )).

cnf(i_0_892,axiom,
    ( esk1816_4(X1,X2,X3,X4)
    | esk1815_4(X1,X2,X3,X4)
    | ~ esk1817_4(X1,X2,X3,X4) )).

cnf(i_0_893,axiom,
    ( p(X2)
    | esk49_0
    | p(X3)
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_894,axiom,
    ( ~ esk4364_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_895,axiom,
    ( esk6008_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_896,axiom,
    ( ~ esk8397_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_897,axiom,
    ( ~ esk3548_4(X1,X2,X3,X4)
    | esk5001_4(X1,X2,X3,X4) )).

cnf(i_0_898,axiom,
    ( ~ esk5858_4(X1,X2,X3,X4)
    | esk5657_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_899,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6915_4(X1,X2,X3,X4) )).

cnf(i_0_900,axiom,
    ( esk2619_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_901,axiom,
    ( ~ esk8157_4(X1,X2,X3,X4)
    | esk7690_4(X1,X2,X3,X4) )).

cnf(i_0_902,axiom,
    ( ~ p(X4)
    | esk1_0
    | ~ p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_903,axiom,
    ( ~ esk7047_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_904,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | ~ esk5665_4(X1,X2,X3,X4) )).

cnf(i_0_905,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | esk903_0
    | p(X4)
    | ~ esk9097_4(X1,X2,X3,X4) )).

cnf(i_0_906,axiom,
    ( esk1090_0
    | p(X3)
    | p(X2)
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_907,axiom,
    ( esk2879_4(X1,X2,X3,X4)
    | ~ esk4979_4(X1,X2,X3,X4) )).

cnf(i_0_908,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5922_4(X1,X2,X3,X4) )).

cnf(i_0_909,axiom,
    ( ~ p(X3)
    | ~ esk46_0
    | p(X4)
    | esk1442_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_910,axiom,
    ( ~ esk1453_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_911,axiom,
    ( esk1884_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4)
    | ~ esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_912,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk3894_4(X1,X2,X3,X4) )).

cnf(i_0_913,axiom,
    ( esk8506_4(X1,X2,X3,X4)
    | ~ esk8505_4(X1,X2,X3,X4) )).

cnf(i_0_914,axiom,
    ( ~ esk2539_4(X1,X2,X3,X4)
    | esk2541_4(X1,X2,X3,X4) )).

cnf(i_0_915,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | esk3719_4(X1,X2,X3,X4) )).

cnf(i_0_916,axiom,
    ( esk6071_4(X1,X2,X3,X4)
    | ~ esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_917,axiom,
    ( ~ esk8439_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_918,axiom,
    ( ~ esk4953_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4921_4(X1,X2,X3,X4) )).

cnf(i_0_919,axiom,
    ( esk2346_4(X1,X2,X3,X4)
    | ~ esk2345_4(X1,X2,X3,X4) )).

cnf(i_0_920,axiom,
    ( esk5682_4(X1,X2,X3,X4)
    | esk5683_4(X1,X2,X3,X4)
    | ~ esk5684_4(X1,X2,X3,X4) )).

cnf(i_0_921,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6433_4(X1,X2,X3,X4) )).

cnf(i_0_922,axiom,
    ( esk3113_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_923,axiom,
    ( ~ esk9505_4(X1,X2,X3,X4)
    | esk9491_4(X1,X2,X3,X4) )).

cnf(i_0_924,axiom,
    ( ~ esk5307_4(X1,X2,X3,X4)
    | esk5306_4(X1,X2,X3,X4) )).

cnf(i_0_925,axiom,
    ( esk3960_4(X1,X2,X3,X4)
    | ~ esk3788_4(X1,X2,X3,X4) )).

cnf(i_0_926,axiom,
    ( ~ esk6913_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_927,axiom,
    ( esk8211_4(X1,X2,X3,X4)
    | esk8210_4(X1,X2,X3,X4)
    | ~ esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_928,axiom,
    ( esk7095_4(X1,X2,X3,X4)
    | ~ esk5805_4(X1,X2,X3,X4) )).

cnf(i_0_929,axiom,
    ( ~ esk9724_4(X1,X2,X3,X4)
    | esk9725_4(X1,X2,X3,X4)
    | ~ esk9015_4(X1,X2,X3,X4) )).

cnf(i_0_930,axiom,
    ( ~ p(X4)
    | esk358_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_931,axiom,
    ( esk3448_4(X1,X2,X3,X4)
    | esk2455_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_932,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9270_4(X1,X2,X3,X4) )).

cnf(i_0_933,axiom,
    ( ~ esk1_0
    | p(X2)
    | p(X1)
    | p(X3)
    | p(X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_934,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk669_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_935,axiom,
    ( esk9512_4(X1,X2,X3,X4)
    | ~ esk9513_4(X1,X2,X3,X4) )).

cnf(i_0_936,axiom,
    ( ~ esk6593_4(X1,X2,X3,X4)
    | esk6591_4(X1,X2,X3,X4)
    | esk6592_4(X1,X2,X3,X4) )).

cnf(i_0_937,axiom,
    ( esk8032_4(X1,X2,X3,X4)
    | ~ esk7830_4(X1,X2,X3,X4) )).

cnf(i_0_938,axiom,
    ( esk7289_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_939,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | ~ esk1384_4(X1,X2,X3,X4) )).

cnf(i_0_940,axiom,
    ( p(X1)
    | p(X2)
    | esk738_0
    | p(X3)
    | p(X4)
    | ~ esk8749_4(X1,X2,X3,X4) )).

cnf(i_0_941,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk8124_4(X1,X2,X3,X4) )).

cnf(i_0_942,axiom,
    ( ~ esk3806_4(X1,X2,X3,X4)
    | esk3745_4(X1,X2,X3,X4) )).

cnf(i_0_943,axiom,
    ( ~ esk6441_4(X1,X2,X3,X4)
    | esk6440_4(X1,X2,X3,X4)
    | esk6402_4(X1,X2,X3,X4) )).

cnf(i_0_944,axiom,
    ( ~ esk8601_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_945,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ esk1842_4(X1,X2,X3,X4)
    | esk265_0
    | p(X3) )).

cnf(i_0_946,axiom,
    ( ~ esk8591_4(X1,X2,X3,X4)
    | ~ esk8107_4(X1,X2,X3,X4)
    | esk8108_4(X1,X2,X3,X4) )).

cnf(i_0_947,axiom,
    ( esk2920_4(X1,X2,X3,X4)
    | ~ esk1824_4(X1,X2,X3,X4) )).

cnf(i_0_948,axiom,
    ( ~ esk7229_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_949,axiom,
    ( esk8947_4(X1,X2,X3,X4)
    | ~ esk8946_4(X1,X2,X3,X4) )).

cnf(i_0_950,axiom,
    ( esk4293_4(X1,X2,X3,X4)
    | ~ esk4331_4(X1,X2,X3,X4) )).

cnf(i_0_951,axiom,
    ( esk3945_4(X1,X2,X3,X4)
    | ~ esk3943_4(X1,X2,X3,X4) )).

cnf(i_0_952,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk1754_4(X1,X2,X3,X4)
    | ~ esk208_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_953,axiom,
    ( esk8410_4(X1,X2,X3,X4)
    | ~ esk8408_4(X1,X2,X3,X4) )).

cnf(i_0_954,axiom,
    ( ~ esk448_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_955,axiom,
    ( esk4648_4(X1,X2,X3,X4)
    | ~ esk4646_4(X1,X2,X3,X4) )).

cnf(i_0_956,axiom,
    ( ~ esk3459_4(X1,X2,X3,X4)
    | esk4095_4(X1,X2,X3,X4) )).

cnf(i_0_957,axiom,
    ( ~ esk8856_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_958,axiom,
    ( esk7104_4(X1,X2,X3,X4)
    | ~ esk7102_4(X1,X2,X3,X4) )).

cnf(i_0_959,axiom,
    ( ~ esk3970_4(X1,X2,X3,X4)
    | esk3535_4(X1,X2,X3,X4) )).

cnf(i_0_960,axiom,
    ( esk6457_4(X1,X2,X3,X4)
    | ~ esk6458_4(X1,X2,X3,X4)
    | esk6456_4(X1,X2,X3,X4) )).

cnf(i_0_961,axiom,
    ( ~ esk2154_4(X1,X2,X3,X4)
    | esk2117_4(X1,X2,X3,X4) )).

cnf(i_0_962,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7217_4(X1,X2,X3,X4) )).

cnf(i_0_963,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk2095_4(X1,X2,X3,X4)
    | ~ esk463_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_964,axiom,
    ( ~ esk3741_4(X1,X2,X3,X4)
    | esk4982_4(X1,X2,X3,X4) )).

cnf(i_0_965,axiom,
    ( esk1995_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk380_0
    | p(X1) )).

cnf(i_0_966,axiom,
    ( esk8466_4(X1,X2,X3,X4)
    | ~ esk8356_4(X1,X2,X3,X4)
    | ~ esk8317_4(X1,X2,X3,X4) )).

cnf(i_0_967,axiom,
    ( ~ esk7731_4(X1,X2,X3,X4)
    | esk7730_4(X1,X2,X3,X4)
    | esk7729_4(X1,X2,X3,X4) )).

cnf(i_0_968,axiom,
    ( ~ esk9453_4(X1,X2,X3,X4)
    | esk9455_4(X1,X2,X3,X4) )).

cnf(i_0_969,axiom,
    ( p(X1)
    | esk681_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_970,axiom,
    ( ~ esk4583_4(X1,X2,X3,X4)
    | esk4162_4(X1,X2,X3,X4) )).

cnf(i_0_971,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk630_0
    | ~ p(X4) )).

cnf(i_0_972,axiom,
    ( esk6912_4(X1,X2,X3,X4)
    | ~ esk7618_4(X1,X2,X3,X4) )).

cnf(i_0_973,axiom,
    ( ~ esk550_0
    | p(X2)
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_974,axiom,
    ( ~ esk5602_4(X1,X2,X3,X4)
    | esk5640_4(X1,X2,X3,X4) )).

cnf(i_0_975,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk2417_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk545_0 )).

cnf(i_0_976,axiom,
    ( esk7037_4(X1,X2,X3,X4)
    | ~ esk7038_4(X1,X2,X3,X4)
    | esk7036_4(X1,X2,X3,X4) )).

cnf(i_0_977,axiom,
    ( esk5501_4(X1,X2,X3,X4)
    | ~ esk5504_4(X1,X2,X3,X4) )).

cnf(i_0_978,axiom,
    ( ~ esk5074_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_979,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | esk2296_4(X1,X2,X3,X4) )).

cnf(i_0_980,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7202_4(X1,X2,X3,X4) )).

cnf(i_0_981,axiom,
    ( ~ esk7487_4(X1,X2,X3,X4)
    | esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_982,axiom,
    ( ~ esk9390_4(X1,X2,X3,X4)
    | esk9387_4(X1,X2,X3,X4) )).

cnf(i_0_983,axiom,
    ( ~ p(X4)
    | ~ esk1285_0
    | esk9228_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_984,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk333_0
    | esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_985,axiom,
    ( ~ p(X1)
    | esk527_0
    | p(X4)
    | ~ p(X3)
    | ~ esk8585_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_986,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8348_4(X1,X2,X3,X4) )).

cnf(i_0_987,axiom,
    ( ~ esk1508_4(X1,X2,X3,X4)
    | esk1507_4(X1,X2,X3,X4) )).

cnf(i_0_988,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk1210_0
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_989,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | ~ esk3368_4(X1,X2,X3,X4) )).

cnf(i_0_990,axiom,
    ( ~ esk7648_4(X1,X2,X3,X4)
    | ~ esk5850_4(X1,X2,X3,X4) )).

cnf(i_0_991,axiom,
    ( ~ p(X2)
    | esk8072_4(X1,X2,X3,X4)
    | ~ esk248_0
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_992,axiom,
    ( esk4748_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4689_4(X1,X2,X3,X4) )).

cnf(i_0_993,axiom,
    ( esk2990_4(X1,X2,X3,X4)
    | ~ esk2393_4(X1,X2,X3,X4) )).

cnf(i_0_994,axiom,
    ( ~ esk6152_4(X1,X2,X3,X4)
    | esk8252_4(X1,X2,X3,X4) )).

cnf(i_0_995,axiom,
    ( ~ p(X3)
    | esk174_0
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_996,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk2803_4(X1,X2,X3,X4)
    | esk922_0
    | p(X1)
    | p(X3) )).

cnf(i_0_997,axiom,
    ( esk8004_4(X1,X2,X3,X4)
    | ~ esk7955_4(X1,X2,X3,X4) )).

cnf(i_0_998,axiom,
    ( ~ esk3911_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_999,axiom,
    ( ~ esk7060_4(X1,X2,X3,X4)
    | esk5723_4(X1,X2,X3,X4) )).

cnf(i_0_1000,axiom,
    ( ~ esk9316_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1001,axiom,
    ( ~ esk2682_4(X1,X2,X3,X4)
    | esk3356_4(X1,X2,X3,X4)
    | ~ esk3355_4(X1,X2,X3,X4) )).

cnf(i_0_1002,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | esk2629_4(X1,X2,X3,X4)
    | ~ esk3292_4(X1,X2,X3,X4) )).

cnf(i_0_1003,axiom,
    ( esk1230_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1004,axiom,
    ( ~ esk6088_4(X1,X2,X3,X4)
    | esk6087_4(X1,X2,X3,X4) )).

cnf(i_0_1005,axiom,
    ( ~ esk9254_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_1006,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8231_4(X1,X2,X3,X4) )).

cnf(i_0_1007,axiom,
    ( esk8690_4(X1,X2,X3,X4)
    | ~ esk8692_4(X1,X2,X3,X4)
    | esk8691_4(X1,X2,X3,X4) )).

cnf(i_0_1008,axiom,
    ( esk5157_4(X1,X2,X3,X4)
    | ~ esk5163_4(X1,X2,X3,X4) )).

cnf(i_0_1009,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk802_0
    | p(X3)
    | ~ p(X2)
    | esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_1010,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk1317_0
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_1011,axiom,
    ( esk3031_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1012,axiom,
    ( esk9563_4(X1,X2,X3,X4)
    | ~ esk9561_4(X1,X2,X3,X4) )).

cnf(i_0_1013,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk7190_4(X1,X2,X3,X4)
    | ~ esk7189_4(X1,X2,X3,X4) )).

cnf(i_0_1014,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk459_0
    | p(X1)
    | ~ p(X3)
    | esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_1015,axiom,
    ( ~ esk9337_4(X1,X2,X3,X4)
    | esk9339_4(X1,X2,X3,X4) )).

cnf(i_0_1016,axiom,
    ( esk2559_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_1017,axiom,
    ( ~ esk9530_4(X1,X2,X3,X4)
    | esk9527_4(X1,X2,X3,X4) )).

cnf(i_0_1018,axiom,
    ( ~ p(X2)
    | ~ esk1995_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk392_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_1019,axiom,
    ( esk7570_4(X1,X2,X3,X4)
    | ~ esk7569_4(X1,X2,X3,X4)
    | ~ esk6888_4(X1,X2,X3,X4) )).

cnf(i_0_1020,axiom,
    ( ~ esk841_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1021,axiom,
    ( esk8818_4(X1,X2,X3,X4)
    | ~ esk8819_4(X1,X2,X3,X4) )).

cnf(i_0_1022,axiom,
    ( ~ esk2946_4(X1,X2,X3,X4)
    | esk1745_4(X1,X2,X3,X4) )).

cnf(i_0_1023,axiom,
    ( p(X4)
    | esk2908_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1219_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_1024,axiom,
    ( esk8735_4(X1,X2,X3,X4)
    | ~ esk9020_4(X1,X2,X3,X4) )).

cnf(i_0_1025,axiom,
    ( esk5430_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_1026,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1280_0
    | ~ p(X4)
    | esk2932_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1027,axiom,
    ( ~ p(X1)
    | esk8731_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk692_0
    | p(X4) )).

cnf(i_0_1028,axiom,
    ( esk6384_4(X1,X2,X3,X4)
    | ~ esk6382_4(X1,X2,X3,X4) )).

cnf(i_0_1029,axiom,
    ( ~ esk3637_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_1030,axiom,
    ( p(X1)
    | ~ esk1995_4(X1,X2,X3,X4)
    | esk381_0
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_1031,axiom,
    ( ~ esk7556_4(X1,X2,X3,X4)
    | esk7554_4(X1,X2,X3,X4)
    | esk7555_4(X1,X2,X3,X4) )).

cnf(i_0_1032,axiom,
    ( ~ esk6377_4(X1,X2,X3,X4)
    | esk6378_4(X1,X2,X3,X4)
    | ~ esk6303_4(X1,X2,X3,X4) )).

cnf(i_0_1033,axiom,
    ( esk6891_4(X1,X2,X3,X4)
    | ~ esk6892_4(X1,X2,X3,X4)
    | esk6890_4(X1,X2,X3,X4) )).

cnf(i_0_1034,axiom,
    ( ~ esk3289_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_1035,axiom,
    ( esk5403_4(X1,X2,X3,X4)
    | ~ esk5405_4(X1,X2,X3,X4)
    | esk5404_4(X1,X2,X3,X4) )).

cnf(i_0_1036,axiom,
    ( esk5414_4(X1,X2,X3,X4)
    | ~ esk5415_4(X1,X2,X3,X4) )).

cnf(i_0_1037,axiom,
    ( ~ esk2855_4(X1,X2,X3,X4)
    | ~ esk1788_4(X1,X2,X3,X4)
    | esk2856_4(X1,X2,X3,X4) )).

cnf(i_0_1038,axiom,
    ( esk4056_4(X1,X2,X3,X4)
    | ~ esk6156_4(X1,X2,X3,X4) )).

cnf(i_0_1039,axiom,
    ( ~ p(X2)
    | ~ esk2_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_1040,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | esk2795_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk858_0 )).

cnf(i_0_1041,axiom,
    ( esk3647_4(X1,X2,X3,X4)
    | ~ esk3648_4(X1,X2,X3,X4) )).

cnf(i_0_1042,axiom,
    ( esk9080_4(X1,X2,X3,X4)
    | ~ esk9078_4(X1,X2,X3,X4) )).

cnf(i_0_1043,axiom,
    ( ~ esk2184_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_1044,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4629_4(X1,X2,X3,X4) )).

cnf(i_0_1045,axiom,
    ( esk2625_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk3298_4(X1,X2,X3,X4) )).

cnf(i_0_1046,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8964_4(X1,X2,X3,X4) )).

cnf(i_0_1047,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3563_4(X1,X2,X3,X4)
    | esk3633_4(X1,X2,X3,X4) )).

cnf(i_0_1048,axiom,
    ( esk4283_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk4282_4(X1,X2,X3,X4) )).

cnf(i_0_1049,axiom,
    ( ~ esk3073_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1050,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4851_4(X1,X2,X3,X4) )).

cnf(i_0_1051,axiom,
    ( ~ esk7311_4(X1,X2,X3,X4)
    | esk7312_4(X1,X2,X3,X4) )).

cnf(i_0_1052,axiom,
    ( esk9218_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1276_0 )).

cnf(i_0_1053,axiom,
    ( ~ esk4495_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_1054,axiom,
    ( ~ esk3092_4(X1,X2,X3,X4)
    | esk3091_4(X1,X2,X3,X4) )).

cnf(i_0_1055,axiom,
    ( esk2634_4(X1,X2,X3,X4)
    | ~ esk2633_4(X1,X2,X3,X4) )).

cnf(i_0_1056,axiom,
    ( ~ esk3181_4(X1,X2,X3,X4)
    | esk3178_4(X1,X2,X3,X4) )).

cnf(i_0_1057,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk177_0
    | ~ esk1750_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_1058,axiom,
    ( ~ esk7373_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_1059,axiom,
    ( ~ esk2233_4(X1,X2,X3,X4)
    | esk2232_4(X1,X2,X3,X4)
    | esk2231_4(X1,X2,X3,X4) )).

cnf(i_0_1060,axiom,
    ( esk2687_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_1061,axiom,
    ( ~ esk9225_4(X1,X2,X3,X4)
    | esk9224_4(X1,X2,X3,X4) )).

cnf(i_0_1062,axiom,
    ( ~ p(X3)
    | ~ esk9182_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk1168_0
    | p(X2) )).

cnf(i_0_1063,axiom,
    ( ~ esk6704_4(X1,X2,X3,X4)
    | esk6703_4(X1,X2,X3,X4) )).

cnf(i_0_1064,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4442_4(X1,X2,X3,X4) )).

cnf(i_0_1065,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9401_4(X1,X2,X3,X4)
    | ~ esk9400_4(X1,X2,X3,X4) )).

cnf(i_0_1066,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | ~ esk1918_4(X1,X2,X3,X4)
    | esk304_0
    | ~ p(X3) )).

cnf(i_0_1067,axiom,
    ( esk9284_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_1068,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk5968_4(X1,X2,X3,X4)
    | ~ esk5967_4(X1,X2,X3,X4) )).

cnf(i_0_1069,axiom,
    ( ~ p(X1)
    | esk1746_4(X1,X2,X3,X4)
    | ~ esk152_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_1070,axiom,
    ( ~ esk6791_4(X1,X2,X3,X4)
    | esk6792_4(X1,X2,X3,X4) )).

cnf(i_0_1071,axiom,
    ( esk6710_4(X1,X2,X3,X4)
    | ~ esk6709_4(X1,X2,X3,X4) )).

cnf(i_0_1072,axiom,
    ( esk1603_4(X1,X2,X3,X4)
    | ~ esk1601_4(X1,X2,X3,X4) )).

cnf(i_0_1073,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk9210_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1244_0
    | p(X2) )).

cnf(i_0_1074,axiom,
    ( ~ esk1211_0
    | ~ p(X1)
    | esk9194_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_1075,axiom,
    ( ~ esk6764_4(X1,X2,X3,X4)
    | ~ esk6118_4(X1,X2,X3,X4)
    | esk6119_4(X1,X2,X3,X4) )).

cnf(i_0_1076,axiom,
    ( ~ p(X4)
    | esk843_0
    | p(X2)
    | p(X1)
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1077,axiom,
    ( ~ esk5577_4(X1,X2,X3,X4)
    | esk6372_4(X1,X2,X3,X4) )).

cnf(i_0_1078,axiom,
    ( ~ p(X1)
    | esk26_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ esk7736_4(X1,X2,X3,X4) )).

cnf(i_0_1079,axiom,
    ( ~ esk9020_4(X1,X2,X3,X4)
    | esk9018_4(X1,X2,X3,X4)
    | esk9019_4(X1,X2,X3,X4) )).

cnf(i_0_1080,axiom,
    ( esk2859_4(X1,X2,X3,X4)
    | esk2861_4(X1,X2,X3,X4)
    | ~ esk2862_4(X1,X2,X3,X4)
    | esk2860_4(X1,X2,X3,X4) )).

cnf(i_0_1081,axiom,
    ( esk6342_4(X1,X2,X3,X4)
    | ~ esk6343_4(X1,X2,X3,X4) )).

cnf(i_0_1082,axiom,
    ( ~ esk8811_4(X1,X2,X3,X4)
    | esk8810_4(X1,X2,X3,X4) )).

cnf(i_0_1083,axiom,
    ( esk7758_4(X1,X2,X3,X4)
    | ~ esk7759_4(X1,X2,X3,X4) )).

cnf(i_0_1084,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | esk7960_4(X1,X2,X3,X4)
    | ~ esk9233_4(X1,X2,X3,X4) )).

cnf(i_0_1085,axiom,
    ( ~ esk138_0
    | p(X2)
    | esk8042_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_1086,axiom,
    ( ~ esk4742_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_1087,axiom,
    ( ~ esk5330_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_1088,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk9218_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1264_0
    | p(X3) )).

cnf(i_0_1089,axiom,
    ( ~ esk1586_4(X1,X2,X3,X4)
    | esk1494_4(X1,X2,X3,X4) )).

cnf(i_0_1090,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3109_4(X1,X2,X3,X4) )).

cnf(i_0_1091,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | esk385_0
    | p(X4)
    | ~ esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_1092,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3259_4(X1,X2,X3,X4) )).

cnf(i_0_1093,axiom,
    ( ~ esk2025_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1094,axiom,
    ( esk7004_4(X1,X2,X3,X4)
    | ~ esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_1095,axiom,
    ( ~ esk1627_4(X1,X2,X3,X4)
    | esk1626_4(X1,X2,X3,X4)
    | esk1625_4(X1,X2,X3,X4) )).

cnf(i_0_1096,axiom,
    ( ~ esk5324_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_1097,axiom,
    ( esk4985_4(X1,X2,X3,X4)
    | ~ esk3599_4(X1,X2,X3,X4) )).

cnf(i_0_1098,axiom,
    ( ~ esk7036_4(X1,X2,X3,X4)
    | esk7013_4(X1,X2,X3,X4) )).

cnf(i_0_1099,axiom,
    ( ~ esk5396_4(X1,X2,X3,X4)
    | esk5397_4(X1,X2,X3,X4) )).

cnf(i_0_1100,axiom,
    ( ~ esk2215_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_1101,axiom,
    ( esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1214_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1102,axiom,
    ( esk8749_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk743_0
    | p(X3)
    | p(X1) )).

cnf(i_0_1103,axiom,
    ( p(X2)
    | esk7939_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk117_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_1104,axiom,
    ( esk6537_4(X1,X2,X3,X4)
    | ~ esk6538_4(X1,X2,X3,X4) )).

cnf(i_0_1105,axiom,
    ( ~ esk2051_4(X1,X2,X3,X4)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_1106,axiom,
    ( esk4794_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_1107,axiom,
    ( ~ esk1653_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_1108,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk592_0
    | ~ esk8719_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_1109,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4760_4(X1,X2,X3,X4) )).

cnf(i_0_1110,axiom,
    ( p(X3)
    | esk498_0
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_1111,axiom,
    ( ~ esk9054_4(X1,X2,X3,X4)
    | esk9053_4(X1,X2,X3,X4) )).

cnf(i_0_1112,axiom,
    ( ~ esk2036_4(X1,X2,X3,X4)
    | esk2107_4(X1,X2,X3,X4)
    | ~ esk2106_4(X1,X2,X3,X4) )).

cnf(i_0_1113,axiom,
    ( esk3489_4(X1,X2,X3,X4)
    | ~ esk3847_4(X1,X2,X3,X4) )).

cnf(i_0_1114,axiom,
    ( esk8388_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk445_0 )).

cnf(i_0_1115,axiom,
    ( esk9407_4(X1,X2,X3,X4)
    | ~ esk9405_4(X1,X2,X3,X4) )).

cnf(i_0_1116,axiom,
    ( ~ esk4401_4(X1,X2,X3,X4)
    | esk4402_4(X1,X2,X3,X4) )).

cnf(i_0_1117,axiom,
    ( esk2783_4(X1,X2,X3,X4)
    | ~ esk2781_4(X1,X2,X3,X4) )).

cnf(i_0_1118,axiom,
    ( ~ esk6663_4(X1,X2,X3,X4)
    | esk6666_4(X1,X2,X3,X4) )).

cnf(i_0_1119,axiom,
    ( ~ esk8353_4(X1,X2,X3,X4)
    | ~ esk8386_4(X1,X2,X3,X4)
    | ~ esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_1120,axiom,
    ( p(X3)
    | esk2922_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk1263_0 )).

cnf(i_0_1121,axiom,
    ( ~ esk4129_4(X1,X2,X3,X4)
    | esk4128_4(X1,X2,X3,X4) )).

cnf(i_0_1122,axiom,
    ( esk6377_4(X1,X2,X3,X4)
    | ~ esk6378_4(X1,X2,X3,X4) )).

cnf(i_0_1123,axiom,
    ( esk3842_4(X1,X2,X3,X4)
    | ~ esk3840_4(X1,X2,X3,X4) )).

cnf(i_0_1124,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | p(X4)
    | esk8749_4(X1,X2,X3,X4)
    | ~ esk742_0 )).

cnf(i_0_1125,axiom,
    ( ~ p(X2)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk750_0 )).

cnf(i_0_1126,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5780_4(X1,X2,X3,X4) )).

cnf(i_0_1127,axiom,
    ( esk3563_4(X1,X2,X3,X4)
    | ~ esk3562_4(X1,X2,X3,X4) )).

cnf(i_0_1128,axiom,
    ( ~ esk3787_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1129,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5322_4(X1,X2,X3,X4)
    | esk5323_4(X1,X2,X3,X4) )).

cnf(i_0_1130,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk9083_4(X1,X2,X3,X4)
    | p(X2)
    | esk809_0
    | ~ p(X1) )).

cnf(i_0_1131,axiom,
    ( esk5046_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_1132,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2_0
    | esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_1133,axiom,
    ( ~ p(X2)
    | esk7939_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk113_0 )).

cnf(i_0_1134,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk572_0
    | esk2419_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1135,axiom,
    ( ~ esk6599_4(X1,X2,X3,X4)
    | esk7300_4(X1,X2,X3,X4) )).

cnf(i_0_1136,axiom,
    ( ~ esk2869_4(X1,X2,X3,X4)
    | esk4969_4(X1,X2,X3,X4) )).

cnf(i_0_1137,axiom,
    ( esk8844_4(X1,X2,X3,X4)
    | ~ esk8846_4(X1,X2,X3,X4)
    | esk8845_4(X1,X2,X3,X4) )).

cnf(i_0_1138,axiom,
    ( ~ esk3839_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_1139,axiom,
    ( ~ esk5972_4(X1,X2,X3,X4)
    | esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_1140,axiom,
    ( ~ esk2938_4(X1,X2,X3,X4)
    | esk1727_4(X1,X2,X3,X4) )).

cnf(i_0_1141,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8908_4(X1,X2,X3,X4) )).

cnf(i_0_1142,axiom,
    ( p(X3)
    | esk8054_4(X1,X2,X3,X4)
    | ~ esk240_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_1143,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7251_4(X1,X2,X3,X4) )).

cnf(i_0_1144,axiom,
    ( esk624_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2427_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_1145,axiom,
    ( esk2998_4(X1,X2,X3,X4)
    | ~ esk3012_4(X1,X2,X3,X4) )).

cnf(i_0_1146,axiom,
    ( esk7660_4(X1,X2,X3,X4)
    | ~ esk8131_4(X1,X2,X3,X4) )).

cnf(i_0_1147,axiom,
    ( esk2180_4(X1,X2,X3,X4)
    | ~ esk2179_4(X1,X2,X3,X4)
    | ~ esk2105_4(X1,X2,X3,X4) )).

cnf(i_0_1148,axiom,
    ( esk9653_4(X1,X2,X3,X4)
    | ~ esk9655_4(X1,X2,X3,X4)
    | esk9654_4(X1,X2,X3,X4) )).

cnf(i_0_1149,axiom,
    ( esk4634_4(X1,X2,X3,X4)
    | ~ esk4633_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_1150,axiom,
    ( esk9267_4(X1,X2,X3,X4)
    | ~ esk9265_4(X1,X2,X3,X4) )).

cnf(i_0_1151,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3819_4(X1,X2,X3,X4) )).

cnf(i_0_1152,axiom,
    ( esk782_0
    | ~ esk8778_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_1153,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8932_4(X1,X2,X3,X4) )).

cnf(i_0_1154,axiom,
    ( esk3904_4(X1,X2,X3,X4)
    | ~ esk3905_4(X1,X2,X3,X4) )).

cnf(i_0_1155,axiom,
    ( esk1478_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk72_0
    | p(X2)
    | p(X4) )).

cnf(i_0_1156,axiom,
    ( ~ esk1304_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk9238_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1157,axiom,
    ( ~ esk3537_4(X1,X2,X3,X4)
    | esk4916_4(X1,X2,X3,X4)
    | ~ esk5549_4(X1,X2,X3,X4) )).

cnf(i_0_1158,axiom,
    ( p(X4)
    | ~ esk1200_0
    | p(X3)
    | esk9190_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_1159,axiom,
    ( esk3719_4(X1,X2,X3,X4)
    | ~ esk3720_4(X1,X2,X3,X4) )).

cnf(i_0_1160,axiom,
    ( ~ esk8045_4(X1,X2,X3,X4)
    | esk5945_4(X1,X2,X3,X4) )).

cnf(i_0_1161,axiom,
    ( ~ esk6592_4(X1,X2,X3,X4)
    | esk6400_4(X1,X2,X3,X4) )).

cnf(i_0_1162,axiom,
    ( ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_1163,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk492_0
    | p(X2) )).

cnf(i_0_1164,axiom,
    ( esk3311_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_1165,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7381_4(X1,X2,X3,X4) )).

cnf(i_0_1166,axiom,
    ( ~ esk2282_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4)
    | esk2281_4(X1,X2,X3,X4) )).

cnf(i_0_1167,axiom,
    ( ~ esk5439_4(X1,X2,X3,X4)
    | esk5438_4(X1,X2,X3,X4) )).

cnf(i_0_1168,axiom,
    ( ~ esk4639_4(X1,X2,X3,X4)
    | esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_1169,axiom,
    ( esk8569_4(X1,X2,X3,X4)
    | ~ esk8199_4(X1,X2,X3,X4) )).

cnf(i_0_1170,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6970_4(X1,X2,X3,X4) )).

cnf(i_0_1171,axiom,
    ( esk4470_4(X1,X2,X3,X4)
    | ~ esk4468_4(X1,X2,X3,X4) )).

cnf(i_0_1172,axiom,
    ( ~ esk4489_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_1173,axiom,
    ( esk9572_4(X1,X2,X3,X4)
    | ~ esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_1174,axiom,
    ( esk861_0
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk2795_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_1175,axiom,
    ( ~ esk4443_4(X1,X2,X3,X4)
    | esk4442_4(X1,X2,X3,X4) )).

cnf(i_0_1176,axiom,
    ( esk1121_0
    | p(X3)
    | ~ p(X4)
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_1177,axiom,
    ( esk2390_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2241_4(X1,X2,X3,X4) )).

cnf(i_0_1178,axiom,
    ( ~ esk3235_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_1179,axiom,
    ( p(X3)
    | esk8733_4(X1,X2,X3,X4)
    | ~ esk698_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_1180,axiom,
    ( esk1538_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1711_4(X1,X2,X3,X4) )).

cnf(i_0_1181,axiom,
    ( ~ esk8126_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1182,axiom,
    ( esk7683_4(X1,X2,X3,X4)
    | ~ esk8053_4(X1,X2,X3,X4) )).

cnf(i_0_1183,axiom,
    ( p(X1)
    | ~ esk8735_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | esk714_0
    | ~ p(X2) )).

cnf(i_0_1184,axiom,
    ( esk4914_4(X1,X2,X3,X4)
    | ~ esk5534_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_1185,axiom,
    ( ~ esk1647_4(X1,X2,X3,X4)
    | esk1703_4(X1,X2,X3,X4) )).

cnf(i_0_1186,axiom,
    ( esk587_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1187,axiom,
    ( ~ esk7500_4(X1,X2,X3,X4)
    | ~ esk6781_4(X1,X2,X3,X4) )).

cnf(i_0_1188,axiom,
    ( esk7330_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7329_4(X1,X2,X3,X4) )).

cnf(i_0_1189,axiom,
    ( ~ esk2449_4(X1,X2,X3,X4)
    | ~ esk2444_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_1190,axiom,
    ( ~ p(X4)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1172_0
    | ~ p(X2) )).

cnf(i_0_1191,axiom,
    ( ~ esk928_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1192,axiom,
    ( esk2693_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_1193,axiom,
    ( ~ esk5462_4(X1,X2,X3,X4)
    | esk5463_4(X1,X2,X3,X4)
    | ~ esk4785_4(X1,X2,X3,X4) )).

cnf(i_0_1194,axiom,
    ( ~ esk4997_4(X1,X2,X3,X4)
    | esk3787_4(X1,X2,X3,X4) )).

cnf(i_0_1195,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk625_0
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1196,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk2813_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1006_0
    | ~ p(X3) )).

cnf(i_0_1197,axiom,
    ( esk4631_4(X1,X2,X3,X4)
    | ~ esk4629_4(X1,X2,X3,X4) )).

cnf(i_0_1198,axiom,
    ( esk6130_4(X1,X2,X3,X4)
    | ~ esk6131_4(X1,X2,X3,X4) )).

cnf(i_0_1199,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3997_4(X1,X2,X3,X4) )).

cnf(i_0_1200,axiom,
    ( esk5433_4(X1,X2,X3,X4)
    | ~ esk4852_4(X1,X2,X3,X4) )).

cnf(i_0_1201,axiom,
    ( ~ esk707_0
    | ~ p(X2)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_1202,axiom,
    ( ~ esk4413_4(X1,X2,X3,X4)
    | esk4381_4(X1,X2,X3,X4) )).

cnf(i_0_1203,axiom,
    ( ~ esk1521_4(X1,X2,X3,X4)
    | esk1522_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_1204,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5210_4(X1,X2,X3,X4) )).

cnf(i_0_1205,axiom,
    ( p(X4)
    | p(X3)
    | esk1274_0
    | ~ p(X2)
    | ~ esk2922_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1206,axiom,
    ( esk3907_4(X1,X2,X3,X4)
    | ~ esk3914_4(X1,X2,X3,X4) )).

cnf(i_0_1207,axiom,
    ( esk7066_4(X1,X2,X3,X4)
    | ~ esk5682_4(X1,X2,X3,X4) )).

cnf(i_0_1208,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk533_0
    | ~ esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_1209,axiom,
    ( ~ esk5468_4(X1,X2,X3,X4)
    | esk5469_4(X1,X2,X3,X4) )).

cnf(i_0_1210,axiom,
    ( esk7722_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_1211,axiom,
    ( ~ esk3607_4(X1,X2,X3,X4)
    | esk3606_4(X1,X2,X3,X4) )).

cnf(i_0_1212,axiom,
    ( esk4508_4(X1,X2,X3,X4)
    | esk4509_4(X1,X2,X3,X4)
    | ~ esk4510_4(X1,X2,X3,X4) )).

cnf(i_0_1213,axiom,
    ( p(X1)
    | ~ esk8214_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk305_0
    | ~ p(X3) )).

cnf(i_0_1214,axiom,
    ( esk3422_4(X1,X2,X3,X4)
    | ~ esk3421_4(X1,X2,X3,X4) )).

cnf(i_0_1215,axiom,
    ( esk6402_4(X1,X2,X3,X4)
    | esk6441_4(X1,X2,X3,X4)
    | ~ esk6440_4(X1,X2,X3,X4) )).

cnf(i_0_1216,axiom,
    ( esk5904_4(X1,X2,X3,X4)
    | ~ esk7089_4(X1,X2,X3,X4) )).

cnf(i_0_1217,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk7740_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk48_0 )).

cnf(i_0_1218,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk8146_4(X1,X2,X3,X4) )).

cnf(i_0_1219,axiom,
    ( ~ p(X1)
    | ~ esk2894_4(X1,X2,X3,X4)
    | esk1202_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_1220,axiom,
    ( ~ esk4432_4(X1,X2,X3,X4)
    | esk4433_4(X1,X2,X3,X4) )).

cnf(i_0_1221,axiom,
    ( ~ esk9323_4(X1,X2,X3,X4)
    | esk9337_4(X1,X2,X3,X4)
    | ~ esk9336_4(X1,X2,X3,X4) )).

cnf(i_0_1222,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6895_4(X1,X2,X3,X4) )).

cnf(i_0_1223,axiom,
    ( esk5120_4(X1,X2,X3,X4)
    | esk5119_4(X1,X2,X3,X4)
    | ~ esk5121_4(X1,X2,X3,X4) )).

cnf(i_0_1224,axiom,
    ( esk6581_4(X1,X2,X3,X4)
    | ~ esk6618_4(X1,X2,X3,X4) )).

cnf(i_0_1225,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8276_4(X1,X2,X3,X4) )).

cnf(i_0_1226,axiom,
    ( esk1478_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk71_0
    | p(X2) )).

cnf(i_0_1227,axiom,
    ( esk9423_4(X1,X2,X3,X4)
    | ~ esk9421_4(X1,X2,X3,X4) )).

cnf(i_0_1228,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | esk1586_4(X1,X2,X3,X4)
    | ~ esk1494_4(X1,X2,X3,X4) )).

cnf(i_0_1229,axiom,
    ( ~ p(X3)
    | ~ esk732_0
    | esk2451_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_1230,axiom,
    ( ~ esk8808_4(X1,X2,X3,X4)
    | esk7983_4(X1,X2,X3,X4) )).

cnf(i_0_1231,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8593_4(X1,X2,X3,X4) )).

cnf(i_0_1232,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6469_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_1233,axiom,
    ( esk7903_4(X1,X2,X3,X4)
    | ~ esk7904_4(X1,X2,X3,X4)
    | esk7902_4(X1,X2,X3,X4) )).

cnf(i_0_1234,axiom,
    ( ~ esk2462_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_1235,axiom,
    ( esk8640_4(X1,X2,X3,X4)
    | ~ esk8641_4(X1,X2,X3,X4) )).

cnf(i_0_1236,axiom,
    ( esk6515_4(X1,X2,X3,X4)
    | ~ esk6108_4(X1,X2,X3,X4) )).

cnf(i_0_1237,axiom,
    ( esk1_0
    | ~ esk2813_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_1238,axiom,
    ( ~ esk6720_4(X1,X2,X3,X4)
    | esk6719_4(X1,X2,X3,X4) )).

cnf(i_0_1239,axiom,
    ( ~ esk6658_4(X1,X2,X3,X4)
    | esk6659_4(X1,X2,X3,X4)
    | ~ esk6676_4(X1,X2,X3,X4) )).

cnf(i_0_1240,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | p(X4)
    | esk2894_4(X1,X2,X3,X4)
    | ~ esk1_0 )).

cnf(i_0_1241,axiom,
    ( ~ esk3771_4(X1,X2,X3,X4)
    | esk3572_4(X1,X2,X3,X4) )).

cnf(i_0_1242,axiom,
    ( esk4653_4(X1,X2,X3,X4)
    | ~ esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_1243,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6551_4(X1,X2,X3,X4) )).

cnf(i_0_1244,axiom,
    ( ~ esk4860_4(X1,X2,X3,X4)
    | esk4862_4(X1,X2,X3,X4) )).

cnf(i_0_1245,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk2421_4(X1,X2,X3,X4)
    | esk581_0
    | ~ p(X4) )).

cnf(i_0_1246,axiom,
    ( ~ esk5756_4(X1,X2,X3,X4)
    | esk5728_4(X1,X2,X3,X4) )).

cnf(i_0_1247,axiom,
    ( ~ esk3709_4(X1,X2,X3,X4)
    | esk3646_4(X1,X2,X3,X4) )).

cnf(i_0_1248,axiom,
    ( ~ esk1554_4(X1,X2,X3,X4)
    | esk1476_4(X1,X2,X3,X4) )).

cnf(i_0_1249,axiom,
    ( esk6929_4(X1,X2,X3,X4)
    | ~ esk6928_4(X1,X2,X3,X4) )).

cnf(i_0_1250,axiom,
    ( ~ p(X4)
    | esk2_0
    | ~ esk8723_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_1251,axiom,
    ( ~ esk9649_4(X1,X2,X3,X4)
    | esk9102_4(X1,X2,X3,X4) )).

cnf(i_0_1252,axiom,
    ( esk4989_4(X1,X2,X3,X4)
    | ~ esk3696_4(X1,X2,X3,X4) )).

cnf(i_0_1253,axiom,
    ( ~ esk7981_4(X1,X2,X3,X4)
    | ~ esk8021_4(X1,X2,X3,X4)
    | esk8022_4(X1,X2,X3,X4) )).

cnf(i_0_1254,axiom,
    ( ~ esk6780_4(X1,X2,X3,X4)
    | esk6778_4(X1,X2,X3,X4)
    | esk6779_4(X1,X2,X3,X4) )).

cnf(i_0_1255,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk9190_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ esk1190_0 )).

cnf(i_0_1256,axiom,
    ( ~ esk2160_4(X1,X2,X3,X4)
    | esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_1257,axiom,
    ( esk7318_4(X1,X2,X3,X4)
    | ~ esk7320_4(X1,X2,X3,X4)
    | esk7319_4(X1,X2,X3,X4) )).

cnf(i_0_1258,axiom,
    ( ~ esk1958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk362_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_1259,axiom,
    ( ~ esk9343_4(X1,X2,X3,X4)
    | esk8694_4(X1,X2,X3,X4)
    | ~ esk8693_4(X1,X2,X3,X4) )).

cnf(i_0_1260,axiom,
    ( esk2580_4(X1,X2,X3,X4)
    | esk2581_4(X1,X2,X3,X4)
    | ~ esk2582_4(X1,X2,X3,X4) )).

cnf(i_0_1261,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4746_4(X1,X2,X3,X4) )).

cnf(i_0_1262,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1618_4(X1,X2,X3,X4) )).

cnf(i_0_1263,axiom,
    ( ~ esk7488_4(X1,X2,X3,X4)
    | esk6668_4(X1,X2,X3,X4) )).

cnf(i_0_1264,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk801_0
    | p(X3)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_1265,axiom,
    ( esk3998_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1266,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5254_4(X1,X2,X3,X4) )).

cnf(i_0_1267,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk136_0
    | esk7967_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_1268,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk522_0
    | p(X4) )).

cnf(i_0_1269,axiom,
    ( ~ esk6980_4(X1,X2,X3,X4)
    | esk6981_4(X1,X2,X3,X4) )).

cnf(i_0_1270,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | esk2874_4(X1,X2,X3,X4)
    | ~ esk1087_0 )).

cnf(i_0_1271,axiom,
    ( esk8708_4(X1,X2,X3,X4)
    | ~ esk8707_4(X1,X2,X3,X4) )).

cnf(i_0_1272,axiom,
    ( esk3416_4(X1,X2,X3,X4)
    | ~ esk3418_4(X1,X2,X3,X4)
    | esk3417_4(X1,X2,X3,X4) )).

cnf(i_0_1273,axiom,
    ( ~ esk8785_4(X1,X2,X3,X4)
    | ~ esk8972_4(X1,X2,X3,X4)
    | esk8973_4(X1,X2,X3,X4) )).

cnf(i_0_1274,axiom,
    ( esk247_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_1275,axiom,
    ( esk7937_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ esk97_0
    | p(X3)
    | p(X1) )).

cnf(i_0_1276,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk9164_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1048_0
    | p(X2) )).

cnf(i_0_1277,axiom,
    ( ~ esk6250_4(X1,X2,X3,X4)
    | esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_1278,axiom,
    ( ~ esk1394_4(X1,X2,X3,X4)
    | esk2816_4(X1,X2,X3,X4) )).

cnf(i_0_1279,axiom,
    ( esk2022_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ esk401_0
    | ~ p(X4) )).

cnf(i_0_1280,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_1281,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk9101_4(X1,X2,X3,X4)
    | p(X1)
    | esk936_0 )).

cnf(i_0_1282,axiom,
    ( esk327_0
    | ~ p(X1)
    | p(X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_1283,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8082_4(X1,X2,X3,X4) )).

cnf(i_0_1284,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6437_4(X1,X2,X3,X4) )).

cnf(i_0_1285,axiom,
    ( ~ esk7571_4(X1,X2,X3,X4)
    | esk7572_4(X1,X2,X3,X4) )).

cnf(i_0_1286,axiom,
    ( esk8064_4(X1,X2,X3,X4)
    | esk8063_4(X1,X2,X3,X4)
    | ~ esk8065_4(X1,X2,X3,X4) )).

cnf(i_0_1287,axiom,
    ( ~ esk4322_4(X1,X2,X3,X4)
    | esk4246_4(X1,X2,X3,X4) )).

cnf(i_0_1288,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6667_4(X1,X2,X3,X4)
    | ~ esk6668_4(X1,X2,X3,X4) )).

cnf(i_0_1289,axiom,
    ( ~ esk6201_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_1290,axiom,
    ( ~ esk3528_4(X1,X2,X3,X4)
    | esk3454_4(X1,X2,X3,X4) )).

cnf(i_0_1291,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk3133_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1292,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2101_4(X1,X2,X3,X4)
    | esk2138_4(X1,X2,X3,X4) )).

cnf(i_0_1293,axiom,
    ( esk9371_4(X1,X2,X3,X4)
    | ~ esk9377_4(X1,X2,X3,X4) )).

cnf(i_0_1294,axiom,
    ( esk2784_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_1295,axiom,
    ( ~ esk7065_4(X1,X2,X3,X4)
    | esk5777_4(X1,X2,X3,X4) )).

cnf(i_0_1296,axiom,
    ( ~ esk8919_4(X1,X2,X3,X4)
    | esk8918_4(X1,X2,X3,X4)
    | esk8917_4(X1,X2,X3,X4) )).

cnf(i_0_1297,axiom,
    ( esk8353_4(X1,X2,X3,X4)
    | esk8387_4(X1,X2,X3,X4)
    | ~ esk8386_4(X1,X2,X3,X4) )).

cnf(i_0_1298,axiom,
    ( esk6639_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_1299,axiom,
    ( ~ esk7535_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_1300,axiom,
    ( p(X3)
    | ~ esk1241_0
    | ~ p(X1)
    | esk9210_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_1301,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9638_4(X1,X2,X3,X4) )).

cnf(i_0_1302,axiom,
    ( ~ esk7667_4(X1,X2,X3,X4)
    | esk9192_4(X1,X2,X3,X4) )).

cnf(i_0_1303,axiom,
    ( ~ esk6704_4(X1,X2,X3,X4)
    | esk6672_4(X1,X2,X3,X4) )).

cnf(i_0_1304,axiom,
    ( ~ esk7298_4(X1,X2,X3,X4)
    | esk7300_4(X1,X2,X3,X4) )).

cnf(i_0_1305,axiom,
    ( ~ esk6692_4(X1,X2,X3,X4)
    | esk6690_4(X1,X2,X3,X4)
    | esk6691_4(X1,X2,X3,X4) )).

cnf(i_0_1306,axiom,
    ( esk2621_4(X1,X2,X3,X4)
    | ~ esk2622_4(X1,X2,X3,X4)
    | esk2620_4(X1,X2,X3,X4) )).

cnf(i_0_1307,axiom,
    ( esk8386_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_1308,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6825_4(X1,X2,X3,X4) )).

cnf(i_0_1309,axiom,
    ( ~ esk5409_4(X1,X2,X3,X4)
    | esk5407_4(X1,X2,X3,X4)
    | esk5408_4(X1,X2,X3,X4) )).

cnf(i_0_1310,axiom,
    ( esk8645_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8644_4(X1,X2,X3,X4) )).

cnf(i_0_1311,axiom,
    ( ~ esk3012_4(X1,X2,X3,X4)
    | esk3014_4(X1,X2,X3,X4) )).

cnf(i_0_1312,axiom,
    ( ~ esk5792_4(X1,X2,X3,X4)
    | esk5793_4(X1,X2,X3,X4) )).

cnf(i_0_1313,axiom,
    ( ~ esk8326_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_1314,axiom,
    ( ~ esk7234_4(X1,X2,X3,X4)
    | esk7233_4(X1,X2,X3,X4) )).

cnf(i_0_1315,axiom,
    ( esk4195_4(X1,X2,X3,X4)
    | ~ esk4016_4(X1,X2,X3,X4) )).

cnf(i_0_1316,axiom,
    ( esk8369_4(X1,X2,X3,X4)
    | ~ esk8370_4(X1,X2,X3,X4) )).

cnf(i_0_1317,axiom,
    ( esk7564_4(X1,X2,X3,X4)
    | ~ esk7563_4(X1,X2,X3,X4) )).

cnf(i_0_1318,axiom,
    ( esk9530_4(X1,X2,X3,X4)
    | ~ esk9531_4(X1,X2,X3,X4)
    | esk9529_4(X1,X2,X3,X4) )).

cnf(i_0_1319,axiom,
    ( ~ esk3269_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_1320,axiom,
    ( ~ esk5248_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_1321,axiom,
    ( ~ esk6483_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_1322,axiom,
    ( esk7292_4(X1,X2,X3,X4)
    | ~ esk7295_4(X1,X2,X3,X4) )).

cnf(i_0_1323,axiom,
    ( ~ esk1329_0
    | esk2956_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1324,axiom,
    ( esk2_0
    | ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_1325,axiom,
    ( esk5849_4(X1,X2,X3,X4)
    | ~ esk5847_4(X1,X2,X3,X4) )).

cnf(i_0_1326,axiom,
    ( ~ esk7317_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_1327,axiom,
    ( esk8336_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8310_4(X1,X2,X3,X4) )).

cnf(i_0_1328,axiom,
    ( ~ p(X4)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1029_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_1329,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk937_0
    | p(X1) )).

cnf(i_0_1330,axiom,
    ( ~ esk2137_4(X1,X2,X3,X4)
    | esk2136_4(X1,X2,X3,X4) )).

cnf(i_0_1331,axiom,
    ( ~ esk3064_4(X1,X2,X3,X4)
    | esk3063_4(X1,X2,X3,X4) )).

cnf(i_0_1332,axiom,
    ( ~ esk7515_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_1333,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk1_0
    | esk2956_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_1334,axiom,
    ( esk2486_4(X1,X2,X3,X4)
    | ~ esk2135_4(X1,X2,X3,X4) )).

cnf(i_0_1335,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | esk374_0
    | ~ p(X1)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_1336,axiom,
    ( esk5013_4(X1,X2,X3,X4)
    | ~ esk3648_4(X1,X2,X3,X4) )).

cnf(i_0_1337,axiom,
    ( ~ esk4698_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_1338,axiom,
    ( ~ esk8150_4(X1,X2,X3,X4)
    | ~ esk8149_4(X1,X2,X3,X4) )).

cnf(i_0_1339,axiom,
    ( ~ esk2353_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1340,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk852_0
    | esk9089_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1341,axiom,
    ( ~ esk2651_4(X1,X2,X3,X4)
    | ~ esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_1342,axiom,
    ( ~ esk3765_4(X1,X2,X3,X4)
    | esk3764_4(X1,X2,X3,X4) )).

cnf(i_0_1343,axiom,
    ( ~ esk4816_4(X1,X2,X3,X4)
    | esk4817_4(X1,X2,X3,X4) )).

cnf(i_0_1344,axiom,
    ( ~ esk8789_4(X1,X2,X3,X4)
    | esk8791_4(X1,X2,X3,X4) )).

cnf(i_0_1345,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4950_4(X1,X2,X3,X4) )).

cnf(i_0_1346,axiom,
    ( esk1809_4(X1,X2,X3,X4)
    | esk3447_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_1347,axiom,
    ( esk5377_4(X1,X2,X3,X4)
    | ~ esk5378_4(X1,X2,X3,X4)
    | esk5375_4(X1,X2,X3,X4) )).

cnf(i_0_1348,axiom,
    ( ~ esk5307_4(X1,X2,X3,X4)
    | esk5309_4(X1,X2,X3,X4) )).

cnf(i_0_1349,axiom,
    ( ~ esk275_0
    | ~ p(X3)
    | esk1860_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_1350,axiom,
    ( ~ esk6909_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_1351,axiom,
    ( ~ esk7710_4(X1,X2,X3,X4)
    | esk8292_4(X1,X2,X3,X4) )).

cnf(i_0_1352,axiom,
    ( ~ esk2886_4(X1,X2,X3,X4)
    | esk1685_4(X1,X2,X3,X4) )).

cnf(i_0_1353,axiom,
    ( ~ esk1618_4(X1,X2,X3,X4)
    | esk1619_4(X1,X2,X3,X4) )).

cnf(i_0_1354,axiom,
    ( esk5610_4(X1,X2,X3,X4)
    | ~ esk6153_4(X1,X2,X3,X4) )).

cnf(i_0_1355,axiom,
    ( ~ esk5715_4(X1,X2,X3,X4)
    | esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_1356,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | ~ esk4680_4(X1,X2,X3,X4) )).

cnf(i_0_1357,axiom,
    ( ~ esk7746_4(X1,X2,X3,X4)
    | esk9199_4(X1,X2,X3,X4) )).

cnf(i_0_1358,axiom,
    ( esk7476_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_1359,axiom,
    ( ~ esk7700_4(X1,X2,X3,X4)
    | esk7741_4(X1,X2,X3,X4) )).

cnf(i_0_1360,axiom,
    ( ~ esk4381_4(X1,X2,X3,X4)
    | ~ esk4415_4(X1,X2,X3,X4)
    | ~ esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_1361,axiom,
    ( ~ esk3856_4(X1,X2,X3,X4)
    | esk3559_4(X1,X2,X3,X4) )).

cnf(i_0_1362,axiom,
    ( esk3047_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1363,axiom,
    ( esk2539_4(X1,X2,X3,X4)
    | esk2540_4(X1,X2,X3,X4)
    | ~ esk2541_4(X1,X2,X3,X4) )).

cnf(i_0_1364,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8409_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_1365,axiom,
    ( ~ esk6525_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_1366,axiom,
    ( ~ esk3369_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_1367,axiom,
    ( esk3941_4(X1,X2,X3,X4)
    | ~ esk1841_4(X1,X2,X3,X4) )).

cnf(i_0_1368,axiom,
    ( ~ esk4573_4(X1,X2,X3,X4)
    | esk4571_4(X1,X2,X3,X4)
    | esk4572_4(X1,X2,X3,X4) )).

cnf(i_0_1369,axiom,
    ( esk7334_4(X1,X2,X3,X4)
    | esk7335_4(X1,X2,X3,X4)
    | ~ esk7336_4(X1,X2,X3,X4) )).

cnf(i_0_1370,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk793_0
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1371,axiom,
    ( ~ esk1363_4(X1,X2,X3,X4)
    | esk1834_4(X1,X2,X3,X4)
    | ~ esk1824_4(X1,X2,X3,X4) )).

cnf(i_0_1372,axiom,
    ( esk1861_4(X1,X2,X3,X4)
    | ~ esk1689_4(X1,X2,X3,X4) )).

cnf(i_0_1373,axiom,
    ( ~ esk8548_4(X1,X2,X3,X4)
    | esk7716_4(X1,X2,X3,X4) )).

cnf(i_0_1374,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2136_4(X1,X2,X3,X4) )).

cnf(i_0_1375,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk8547_4(X1,X2,X3,X4)
    | esk503_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_1376,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | esk1106_0 )).

cnf(i_0_1377,axiom,
    ( ~ esk9373_4(X1,X2,X3,X4)
    | esk9372_4(X1,X2,X3,X4) )).

cnf(i_0_1378,axiom,
    ( ~ esk2835_4(X1,X2,X3,X4)
    | esk2823_4(X1,X2,X3,X4) )).

cnf(i_0_1379,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5316_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1380,axiom,
    ( esk1357_4(X1,X2,X3,X4)
    | ~ esk2096_4(X1,X2,X3,X4) )).

cnf(i_0_1381,axiom,
    ( esk2989_4(X1,X2,X3,X4)
    | esk2988_4(X1,X2,X3,X4)
    | ~ esk2990_4(X1,X2,X3,X4) )).

cnf(i_0_1382,axiom,
    ( esk7320_4(X1,X2,X3,X4)
    | ~ esk7323_4(X1,X2,X3,X4) )).

cnf(i_0_1383,axiom,
    ( ~ esk3057_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1384,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4188_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_1385,axiom,
    ( ~ esk9371_4(X1,X2,X3,X4)
    | esk9369_4(X1,X2,X3,X4)
    | esk9370_4(X1,X2,X3,X4) )).

cnf(i_0_1386,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X1)
    | p(X2)
    | p(X3)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_1387,axiom,
    ( esk8150_4(X1,X2,X3,X4)
    | ~ esk8151_4(X1,X2,X3,X4) )).

cnf(i_0_1388,axiom,
    ( ~ esk8199_4(X1,X2,X3,X4)
    | esk8198_4(X1,X2,X3,X4) )).

cnf(i_0_1389,axiom,
    ( ~ esk1660_4(X1,X2,X3,X4)
    | esk1658_4(X1,X2,X3,X4)
    | esk1659_4(X1,X2,X3,X4) )).

cnf(i_0_1390,axiom,
    ( ~ esk3069_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_1391,axiom,
    ( ~ esk2736_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_1392,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8681_4(X1,X2,X3,X4) )).

cnf(i_0_1393,axiom,
    ( ~ esk5657_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_1394,axiom,
    ( ~ esk1764_4(X1,X2,X3,X4)
    | ~ esk2496_4(X1,X2,X3,X4) )).

cnf(i_0_1395,axiom,
    ( esk2767_4(X1,X2,X3,X4)
    | ~ esk2804_4(X1,X2,X3,X4) )).

cnf(i_0_1396,axiom,
    ( ~ esk4247_4(X1,X2,X3,X4)
    | ~ esk4178_4(X1,X2,X3,X4)
    | esk4248_4(X1,X2,X3,X4) )).

cnf(i_0_1397,axiom,
    ( esk6651_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4)
    | ~ esk5633_4(X1,X2,X3,X4) )).

cnf(i_0_1398,axiom,
    ( ~ esk2966_4(X1,X2,X3,X4)
    | esk2969_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1399,axiom,
    ( esk9292_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_1400,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk9081_4(X1,X2,X3,X4)
    | ~ esk792_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1401,axiom,
    ( esk7769_4(X1,X2,X3,X4)
    | ~ esk7768_4(X1,X2,X3,X4) )).

cnf(i_0_1402,axiom,
    ( esk6122_4(X1,X2,X3,X4)
    | ~ esk6123_4(X1,X2,X3,X4) )).

cnf(i_0_1403,axiom,
    ( esk547_0
    | ~ p(X2)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_1404,axiom,
    ( esk4120_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_1405,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk1756_4(X1,X2,X3,X4)
    | ~ esk214_0
    | p(X4) )).

cnf(i_0_1406,axiom,
    ( esk7473_4(X1,X2,X3,X4)
    | ~ esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_1407,axiom,
    ( ~ esk2183_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1408,axiom,
    ( ~ esk9490_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_1409,axiom,
    ( ~ esk4865_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_1410,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6598_4(X1,X2,X3,X4) )).

cnf(i_0_1411,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9484_4(X1,X2,X3,X4) )).

cnf(i_0_1412,axiom,
    ( p(X3)
    | p(X1)
    | p(X2)
    | ~ esk8050_4(X1,X2,X3,X4)
    | esk199_0
    | ~ p(X4) )).

cnf(i_0_1413,axiom,
    ( esk9288_4(X1,X2,X3,X4)
    | ~ esk9289_4(X1,X2,X3,X4) )).

cnf(i_0_1414,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4503_4(X1,X2,X3,X4) )).

cnf(i_0_1415,axiom,
    ( ~ esk7726_4(X1,X2,X3,X4)
    | esk7974_4(X1,X2,X3,X4)
    | ~ esk7966_4(X1,X2,X3,X4) )).

cnf(i_0_1416,axiom,
    ( ~ esk5827_4(X1,X2,X3,X4)
    | esk5826_4(X1,X2,X3,X4) )).

cnf(i_0_1417,axiom,
    ( ~ esk7496_4(X1,X2,X3,X4)
    | esk6823_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_1418,axiom,
    ( esk2549_4(X1,X2,X3,X4)
    | ~ esk2547_4(X1,X2,X3,X4) )).

cnf(i_0_1419,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5120_4(X1,X2,X3,X4) )).

cnf(i_0_1420,axiom,
    ( ~ esk4937_4(X1,X2,X3,X4)
    | esk4939_4(X1,X2,X3,X4) )).

cnf(i_0_1421,axiom,
    ( ~ esk7861_4(X1,X2,X3,X4)
    | esk7862_4(X1,X2,X3,X4)
    | ~ esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_1422,axiom,
    ( ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | esk1280_0 )).

cnf(i_0_1423,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6897_4(X1,X2,X3,X4) )).

cnf(i_0_1424,axiom,
    ( esk6552_4(X1,X2,X3,X4)
    | ~ esk7250_4(X1,X2,X3,X4) )).

cnf(i_0_1425,axiom,
    ( ~ esk7291_4(X1,X2,X3,X4)
    | esk7292_4(X1,X2,X3,X4) )).

cnf(i_0_1426,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk4092_4(X1,X2,X3,X4)
    | ~ esk4091_4(X1,X2,X3,X4) )).

cnf(i_0_1427,axiom,
    ( ~ esk2910_4(X1,X2,X3,X4)
    | esk2912_4(X1,X2,X3,X4) )).

cnf(i_0_1428,axiom,
    ( esk2371_4(X1,X2,X3,X4)
    | ~ esk2370_4(X1,X2,X3,X4) )).

cnf(i_0_1429,axiom,
    ( esk2294_4(X1,X2,X3,X4)
    | ~ esk2293_4(X1,X2,X3,X4) )).

cnf(i_0_1430,axiom,
    ( esk176_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk1750_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1431,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk8254_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_1432,axiom,
    ( ~ esk3565_4(X1,X2,X3,X4)
    | esk3822_4(X1,X2,X3,X4) )).

cnf(i_0_1433,axiom,
    ( ~ esk6513_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4)
    | esk6580_4(X1,X2,X3,X4) )).

cnf(i_0_1434,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | esk3278_4(X1,X2,X3,X4) )).

cnf(i_0_1435,axiom,
    ( ~ esk7927_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_1436,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5822_4(X1,X2,X3,X4) )).

cnf(i_0_1437,axiom,
    ( esk4552_4(X1,X2,X3,X4)
    | ~ esk5018_4(X1,X2,X3,X4)
    | esk3620_4(X1,X2,X3,X4) )).

cnf(i_0_1438,axiom,
    ( ~ esk2089_4(X1,X2,X3,X4)
    | esk2056_4(X1,X2,X3,X4)
    | esk2090_4(X1,X2,X3,X4) )).

cnf(i_0_1439,axiom,
    ( esk9713_4(X1,X2,X3,X4)
    | ~ esk9712_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_1440,axiom,
    ( ~ esk9261_4(X1,X2,X3,X4)
    | esk9263_4(X1,X2,X3,X4) )).

cnf(i_0_1441,axiom,
    ( esk5056_4(X1,X2,X3,X4)
    | ~ esk7156_4(X1,X2,X3,X4) )).

cnf(i_0_1442,axiom,
    ( ~ esk2892_4(X1,X2,X3,X4)
    | esk1367_4(X1,X2,X3,X4) )).

cnf(i_0_1443,axiom,
    ( esk7900_4(X1,X2,X3,X4)
    | ~ esk7899_4(X1,X2,X3,X4) )).

cnf(i_0_1444,axiom,
    ( ~ esk7378_4(X1,X2,X3,X4)
    | esk7377_4(X1,X2,X3,X4) )).

cnf(i_0_1445,axiom,
    ( ~ esk4620_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk4621_4(X1,X2,X3,X4) )).

cnf(i_0_1446,axiom,
    ( p(X2)
    | esk1339_0
    | p(X1)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1447,axiom,
    ( esk4835_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_1448,axiom,
    ( esk3972_4(X1,X2,X3,X4)
    | ~ esk4470_4(X1,X2,X3,X4) )).

cnf(i_0_1449,axiom,
    ( ~ esk3349_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_1450,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3060_4(X1,X2,X3,X4) )).

cnf(i_0_1451,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk8974_4(X1,X2,X3,X4) )).

cnf(i_0_1452,axiom,
    ( esk8967_4(X1,X2,X3,X4)
    | ~ esk8966_4(X1,X2,X3,X4) )).

cnf(i_0_1453,axiom,
    ( esk611_0
    | p(X2)
    | ~ esk8721_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_1454,axiom,
    ( ~ p(X3)
    | esk1168_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_1455,axiom,
    ( esk2613_4(X1,X2,X3,X4)
    | ~ esk2614_4(X1,X2,X3,X4)
    | esk2612_4(X1,X2,X3,X4) )).

cnf(i_0_1456,axiom,
    ( ~ esk5070_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1457,axiom,
    ( esk5592_4(X1,X2,X3,X4)
    | ~ esk7014_4(X1,X2,X3,X4) )).

cnf(i_0_1458,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk722_0
    | esk8735_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_1459,axiom,
    ( esk2387_4(X1,X2,X3,X4)
    | ~ esk2422_4(X1,X2,X3,X4) )).

cnf(i_0_1460,axiom,
    ( ~ esk9719_4(X1,X2,X3,X4)
    | esk9074_4(X1,X2,X3,X4)
    | ~ esk9073_4(X1,X2,X3,X4) )).

cnf(i_0_1461,axiom,
    ( esk9602_4(X1,X2,X3,X4)
    | ~ esk9603_4(X1,X2,X3,X4)
    | esk9601_4(X1,X2,X3,X4) )).

cnf(i_0_1462,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8669_4(X1,X2,X3,X4) )).

cnf(i_0_1463,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk2886_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1159_0 )).

cnf(i_0_1464,axiom,
    ( ~ esk3935_4(X1,X2,X3,X4)
    | esk3934_4(X1,X2,X3,X4) )).

cnf(i_0_1465,axiom,
    ( esk8461_4(X1,X2,X3,X4)
    | esk8726_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_1466,axiom,
    ( ~ esk2973_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_1467,axiom,
    ( ~ esk4056_4(X1,X2,X3,X4)
    | esk4421_4(X1,X2,X3,X4) )).

cnf(i_0_1468,axiom,
    ( p(X3)
    | esk270_0
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_1469,axiom,
    ( ~ esk6253_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_1470,axiom,
    ( ~ esk7001_4(X1,X2,X3,X4)
    | ~ esk6809_4(X1,X2,X3,X4)
    | esk6810_4(X1,X2,X3,X4) )).

cnf(i_0_1471,axiom,
    ( ~ esk6131_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_1472,axiom,
    ( ~ esk9503_4(X1,X2,X3,X4)
    | esk9502_4(X1,X2,X3,X4)
    | esk9501_4(X1,X2,X3,X4) )).

cnf(i_0_1473,axiom,
    ( ~ esk1845_4(X1,X2,X3,X4)
    | esk1846_4(X1,X2,X3,X4) )).

cnf(i_0_1474,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4434_4(X1,X2,X3,X4) )).

cnf(i_0_1475,axiom,
    ( ~ esk1545_4(X1,X2,X3,X4)
    | esk1547_4(X1,X2,X3,X4) )).

cnf(i_0_1476,axiom,
    ( esk5418_4(X1,X2,X3,X4)
    | ~ esk5419_4(X1,X2,X3,X4) )).

cnf(i_0_1477,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X2)
    | p(X3)
    | p(X1)
    | esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_1478,axiom,
    ( esk7011_4(X1,X2,X3,X4)
    | ~ esk7606_4(X1,X2,X3,X4) )).

cnf(i_0_1479,axiom,
    ( esk5314_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1480,axiom,
    ( ~ esk3701_4(X1,X2,X3,X4)
    | esk3702_4(X1,X2,X3,X4) )).

cnf(i_0_1481,axiom,
    ( ~ esk1425_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1482,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk151_0
    | ~ p(X1)
    | ~ esk8042_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1483,axiom,
    ( esk7582_4(X1,X2,X3,X4)
    | ~ esk7584_4(X1,X2,X3,X4)
    | esk7583_4(X1,X2,X3,X4) )).

cnf(i_0_1484,axiom,
    ( ~ esk8121_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_1485,axiom,
    ( ~ esk7127_4(X1,X2,X3,X4)
    | esk7128_4(X1,X2,X3,X4) )).

cnf(i_0_1486,axiom,
    ( ~ esk6675_4(X1,X2,X3,X4)
    | esk6677_4(X1,X2,X3,X4) )).

cnf(i_0_1487,axiom,
    ( ~ esk5264_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_1488,axiom,
    ( esk2289_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk525_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_1489,axiom,
    ( ~ esk7581_4(X1,X2,X3,X4)
    | esk7582_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_1490,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3263_4(X1,X2,X3,X4) )).

cnf(i_0_1491,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | esk555_0
    | ~ p(X2)
    | ~ esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_1492,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6308_4(X1,X2,X3,X4) )).

cnf(i_0_1493,axiom,
    ( esk6951_4(X1,X2,X3,X4)
    | ~ esk6953_4(X1,X2,X3,X4)
    | esk6952_4(X1,X2,X3,X4) )).

cnf(i_0_1494,axiom,
    ( esk8566_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1495,axiom,
    ( ~ esk7854_4(X1,X2,X3,X4)
    | esk9219_4(X1,X2,X3,X4) )).

cnf(i_0_1496,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3007_4(X1,X2,X3,X4) )).

cnf(i_0_1497,axiom,
    ( esk3026_4(X1,X2,X3,X4)
    | ~ esk3025_4(X1,X2,X3,X4) )).

cnf(i_0_1498,axiom,
    ( esk3580_4(X1,X2,X3,X4)
    | ~ esk3669_4(X1,X2,X3,X4) )).

cnf(i_0_1499,axiom,
    ( esk2049_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4)
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_1500,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4211_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1501,axiom,
    ( ~ esk2084_4(X1,X2,X3,X4)
    | ~ esk2133_4(X1,X2,X3,X4)
    | esk2171_4(X1,X2,X3,X4) )).

cnf(i_0_1502,axiom,
    ( ~ esk3360_4(X1,X2,X3,X4)
    | esk3359_4(X1,X2,X3,X4) )).

cnf(i_0_1503,axiom,
    ( ~ esk5771_4(X1,X2,X3,X4)
    | esk7154_4(X1,X2,X3,X4) )).

cnf(i_0_1504,axiom,
    ( esk2846_4(X1,X2,X3,X4)
    | ~ esk2845_4(X1,X2,X3,X4)
    | ~ esk2840_4(X1,X2,X3,X4) )).

cnf(i_0_1505,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk9150_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1028_0 )).

cnf(i_0_1506,axiom,
    ( esk225_0
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_1507,axiom,
    ( ~ esk3618_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_1508,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8104_4(X1,X2,X3,X4) )).

cnf(i_0_1509,axiom,
    ( ~ esk9184_4(X1,X2,X3,X4)
    | esk7738_4(X1,X2,X3,X4) )).

cnf(i_0_1510,axiom,
    ( esk1802_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1801_4(X1,X2,X3,X4) )).

cnf(i_0_1511,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5186_4(X1,X2,X3,X4) )).

cnf(i_0_1512,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4338_4(X1,X2,X3,X4) )).

cnf(i_0_1513,axiom,
    ( ~ esk4414_4(X1,X2,X3,X4)
    | esk4411_4(X1,X2,X3,X4)
    | esk4412_4(X1,X2,X3,X4)
    | esk4413_4(X1,X2,X3,X4) )).

cnf(i_0_1514,axiom,
    ( esk6291_4(X1,X2,X3,X4)
    | ~ esk6329_4(X1,X2,X3,X4) )).

cnf(i_0_1515,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk660_0
    | esk8727_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1516,axiom,
    ( ~ esk2857_4(X1,X2,X3,X4)
    | esk1428_4(X1,X2,X3,X4) )).

cnf(i_0_1517,axiom,
    ( ~ esk3284_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_1518,axiom,
    ( esk3415_4(X1,X2,X3,X4)
    | ~ esk3416_4(X1,X2,X3,X4) )).

cnf(i_0_1519,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk9394_4(X1,X2,X3,X4) )).

cnf(i_0_1520,axiom,
    ( p(X1)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk758_0 )).

cnf(i_0_1521,axiom,
    ( ~ esk7854_4(X1,X2,X3,X4)
    | esk7856_4(X1,X2,X3,X4) )).

cnf(i_0_1522,axiom,
    ( ~ esk5554_4(X1,X2,X3,X4)
    | esk5680_4(X1,X2,X3,X4) )).

cnf(i_0_1523,axiom,
    ( esk5959_4(X1,X2,X3,X4)
    | ~ esk5729_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_1524,axiom,
    ( ~ p(X3)
    | ~ esk1671_4(X1,X2,X3,X4)
    | esk125_0
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_1525,axiom,
    ( esk3108_4(X1,X2,X3,X4)
    | esk3109_4(X1,X2,X3,X4)
    | ~ esk3110_4(X1,X2,X3,X4) )).

cnf(i_0_1526,axiom,
    ( ~ esk8485_4(X1,X2,X3,X4)
    | esk8484_4(X1,X2,X3,X4) )).

cnf(i_0_1527,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7899_4(X1,X2,X3,X4) )).

cnf(i_0_1528,axiom,
    ( esk4614_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_1529,axiom,
    ( esk8901_4(X1,X2,X3,X4)
    | esk8902_4(X1,X2,X3,X4)
    | ~ esk8903_4(X1,X2,X3,X4) )).

cnf(i_0_1530,axiom,
    ( ~ esk8171_4(X1,X2,X3,X4)
    | esk9574_4(X1,X2,X3,X4) )).

cnf(i_0_1531,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk8547_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk512_0
    | ~ p(X3) )).

cnf(i_0_1532,axiom,
    ( esk6844_4(X1,X2,X3,X4)
    | ~ esk7607_4(X1,X2,X3,X4) )).

cnf(i_0_1533,axiom,
    ( esk6790_4(X1,X2,X3,X4)
    | ~ esk6789_4(X1,X2,X3,X4)
    | ~ esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_1534,axiom,
    ( esk8733_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk704_0
    | ~ p(X1) )).

cnf(i_0_1535,axiom,
    ( esk9476_4(X1,X2,X3,X4)
    | ~ esk9477_4(X1,X2,X3,X4) )).

cnf(i_0_1536,axiom,
    ( ~ esk4331_4(X1,X2,X3,X4)
    | esk4332_4(X1,X2,X3,X4) )).

cnf(i_0_1537,axiom,
    ( ~ esk3252_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_1538,axiom,
    ( ~ esk3429_4(X1,X2,X3,X4)
    | esk3426_4(X1,X2,X3,X4) )).

cnf(i_0_1539,axiom,
    ( ~ esk2885_4(X1,X2,X3,X4)
    | esk1595_4(X1,X2,X3,X4) )).

cnf(i_0_1540,axiom,
    ( ~ esk7818_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4)
    | ~ esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_1541,axiom,
    ( ~ esk4337_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_1542,axiom,
    ( ~ esk6424_4(X1,X2,X3,X4)
    | ~ esk6137_4(X1,X2,X3,X4)
    | esk6425_4(X1,X2,X3,X4) )).

cnf(i_0_1543,axiom,
    ( esk6555_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_1544,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | esk2470_4(X1,X2,X3,X4)
    | ~ esk2469_4(X1,X2,X3,X4) )).

cnf(i_0_1545,axiom,
    ( ~ esk7542_4(X1,X2,X3,X4)
    | esk7544_4(X1,X2,X3,X4) )).

cnf(i_0_1546,axiom,
    ( ~ esk6695_4(X1,X2,X3,X4)
    | esk6694_4(X1,X2,X3,X4) )).

cnf(i_0_1547,axiom,
    ( ~ esk9437_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_1548,axiom,
    ( ~ esk8751_4(X1,X2,X3,X4)
    | esk7826_4(X1,X2,X3,X4) )).

cnf(i_0_1549,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5629_4(X1,X2,X3,X4) )).

cnf(i_0_1550,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | esk411_0
    | p(X4)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_1551,axiom,
    ( esk9105_4(X1,X2,X3,X4)
    | ~ esk9072_4(X1,X2,X3,X4) )).

cnf(i_0_1552,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6883_4(X1,X2,X3,X4) )).

cnf(i_0_1553,axiom,
    ( esk6217_4(X1,X2,X3,X4)
    | ~ esk6084_4(X1,X2,X3,X4) )).

cnf(i_0_1554,axiom,
    ( esk483_0
    | ~ esk8508_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_1555,axiom,
    ( esk3237_4(X1,X2,X3,X4)
    | ~ esk3238_4(X1,X2,X3,X4)
    | esk3236_4(X1,X2,X3,X4) )).

cnf(i_0_1556,axiom,
    ( p(X3)
    | esk712_0
    | p(X4)
    | ~ p(X2)
    | ~ esk8735_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_1557,axiom,
    ( ~ esk5789_4(X1,X2,X3,X4)
    | esk5788_4(X1,X2,X3,X4)
    | esk5787_4(X1,X2,X3,X4) )).

cnf(i_0_1558,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk3978_4(X1,X2,X3,X4) )).

cnf(i_0_1559,axiom,
    ( esk8191_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8190_4(X1,X2,X3,X4) )).

cnf(i_0_1560,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | esk8727_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk648_0 )).

cnf(i_0_1561,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk5720_4(X1,X2,X3,X4)
    | esk5719_4(X1,X2,X3,X4) )).

cnf(i_0_1562,axiom,
    ( ~ esk2863_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk2864_4(X1,X2,X3,X4) )).

cnf(i_0_1563,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8513_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_1564,axiom,
    ( esk7608_4(X1,X2,X3,X4)
    | ~ esk7611_4(X1,X2,X3,X4) )).

cnf(i_0_1565,axiom,
    ( ~ esk5605_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_1566,axiom,
    ( esk1_0
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_1567,axiom,
    ( ~ esk1641_4(X1,X2,X3,X4)
    | esk1401_4(X1,X2,X3,X4) )).

cnf(i_0_1568,axiom,
    ( ~ esk2302_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1569,axiom,
    ( ~ esk3869_4(X1,X2,X3,X4)
    | esk3871_4(X1,X2,X3,X4) )).

cnf(i_0_1570,axiom,
    ( ~ esk4306_4(X1,X2,X3,X4)
    | esk4308_4(X1,X2,X3,X4) )).

cnf(i_0_1571,axiom,
    ( ~ esk8969_4(X1,X2,X3,X4)
    | esk8968_4(X1,X2,X3,X4) )).

cnf(i_0_1572,axiom,
    ( ~ esk5104_4(X1,X2,X3,X4)
    | esk5105_4(X1,X2,X3,X4) )).

cnf(i_0_1573,axiom,
    ( ~ esk5657_4(X1,X2,X3,X4)
    | esk5858_4(X1,X2,X3,X4) )).

cnf(i_0_1574,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk664_0
    | p(X2)
    | esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_1575,axiom,
    ( ~ esk4775_4(X1,X2,X3,X4)
    | esk4774_4(X1,X2,X3,X4) )).

cnf(i_0_1576,axiom,
    ( ~ esk7598_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_1577,axiom,
    ( ~ esk9425_4(X1,X2,X3,X4)
    | esk9424_4(X1,X2,X3,X4) )).

cnf(i_0_1578,axiom,
    ( ~ esk1856_4(X1,X2,X3,X4)
    | esk1855_4(X1,X2,X3,X4) )).

cnf(i_0_1579,axiom,
    ( esk1537_4(X1,X2,X3,X4)
    | ~ esk1703_4(X1,X2,X3,X4)
    | ~ esk1536_4(X1,X2,X3,X4) )).

cnf(i_0_1580,axiom,
    ( p(X1)
    | p(X2)
    | esk1293_0
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1581,axiom,
    ( esk8514_4(X1,X2,X3,X4)
    | ~ esk8512_4(X1,X2,X3,X4) )).

cnf(i_0_1582,axiom,
    ( esk1467_4(X1,X2,X3,X4)
    | ~ esk1668_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_1583,axiom,
    ( esk7043_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_1584,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk465_0
    | ~ p(X2) )).

cnf(i_0_1585,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk91_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_1586,axiom,
    ( ~ p(X3)
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk706_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1587,axiom,
    ( ~ esk5256_4(X1,X2,X3,X4)
    | esk5253_4(X1,X2,X3,X4) )).

cnf(i_0_1588,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk1188_0
    | p(X2)
    | ~ p(X4)
    | esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_1589,axiom,
    ( p(X1)
    | esk2433_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk666_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1590,axiom,
    ( esk8665_4(X1,X2,X3,X4)
    | ~ esk8666_4(X1,X2,X3,X4) )).

cnf(i_0_1591,axiom,
    ( ~ esk1655_4(X1,X2,X3,X4)
    | esk1656_4(X1,X2,X3,X4) )).

cnf(i_0_1592,axiom,
    ( esk5452_4(X1,X2,X3,X4)
    | ~ esk4717_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_1593,axiom,
    ( ~ esk8438_4(X1,X2,X3,X4)
    | esk8437_4(X1,X2,X3,X4) )).

cnf(i_0_1594,axiom,
    ( esk2356_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2355_4(X1,X2,X3,X4) )).

cnf(i_0_1595,axiom,
    ( ~ esk8371_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_1596,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X4)
    | esk823_0
    | ~ p(X3) )).

cnf(i_0_1597,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6432_4(X1,X2,X3,X4) )).

cnf(i_0_1598,axiom,
    ( p(X3)
    | esk255_0
    | ~ esk1776_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_1599,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5526_4(X1,X2,X3,X4) )).

cnf(i_0_1600,axiom,
    ( ~ esk3535_4(X1,X2,X3,X4)
    | esk4965_4(X1,X2,X3,X4) )).

cnf(i_0_1601,axiom,
    ( ~ esk8399_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1602,axiom,
    ( ~ esk5625_4(X1,X2,X3,X4)
    | esk5626_4(X1,X2,X3,X4) )).

cnf(i_0_1603,axiom,
    ( esk1451_4(X1,X2,X3,X4)
    | ~ esk2481_4(X1,X2,X3,X4) )).

cnf(i_0_1604,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5062_4(X1,X2,X3,X4) )).

cnf(i_0_1605,axiom,
    ( ~ esk3953_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4)
    | esk3956_4(X1,X2,X3,X4) )).

cnf(i_0_1606,axiom,
    ( ~ esk8703_4(X1,X2,X3,X4)
    | esk8704_4(X1,X2,X3,X4) )).

cnf(i_0_1607,axiom,
    ( ~ esk6296_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_1608,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk1_0
    | p(X3)
    | esk2807_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_1609,axiom,
    ( ~ p(X1)
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk885_0
    | p(X4)
    | p(X3) )).

cnf(i_0_1610,axiom,
    ( ~ esk5573_4(X1,X2,X3,X4)
    | ~ esk5961_4(X1,X2,X3,X4) )).

cnf(i_0_1611,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8714_4(X1,X2,X3,X4)
    | esk8245_4(X1,X2,X3,X4) )).

cnf(i_0_1612,axiom,
    ( ~ p(X1)
    | esk701_0
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_1613,axiom,
    ( ~ esk6244_4(X1,X2,X3,X4)
    | esk6191_4(X1,X2,X3,X4) )).

cnf(i_0_1614,axiom,
    ( esk7787_4(X1,X2,X3,X4)
    | ~ esk7879_4(X1,X2,X3,X4) )).

cnf(i_0_1615,axiom,
    ( esk8726_4(X1,X2,X3,X4)
    | ~ esk8459_4(X1,X2,X3,X4) )).

cnf(i_0_1616,axiom,
    ( esk3196_4(X1,X2,X3,X4)
    | esk3197_4(X1,X2,X3,X4)
    | ~ esk3198_4(X1,X2,X3,X4) )).

cnf(i_0_1617,axiom,
    ( esk5659_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_1618,axiom,
    ( esk5135_4(X1,X2,X3,X4)
    | ~ esk5129_4(X1,X2,X3,X4)
    | ~ esk5134_4(X1,X2,X3,X4) )).

cnf(i_0_1619,axiom,
    ( ~ esk8323_4(X1,X2,X3,X4)
    | esk8325_4(X1,X2,X3,X4) )).

cnf(i_0_1620,axiom,
    ( ~ p(X3)
    | ~ esk329_0
    | ~ p(X4)
    | esk8248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_1621,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2216_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_1622,axiom,
    ( ~ esk7847_4(X1,X2,X3,X4)
    | esk7772_4(X1,X2,X3,X4) )).

cnf(i_0_1623,axiom,
    ( ~ esk5767_4(X1,X2,X3,X4)
    | esk5766_4(X1,X2,X3,X4) )).

cnf(i_0_1624,axiom,
    ( ~ esk4008_4(X1,X2,X3,X4)
    | esk4011_4(X1,X2,X3,X4) )).

cnf(i_0_1625,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5158_4(X1,X2,X3,X4) )).

cnf(i_0_1626,axiom,
    ( ~ esk3542_4(X1,X2,X3,X4)
    | esk5642_4(X1,X2,X3,X4) )).

cnf(i_0_1627,axiom,
    ( esk1218_0
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_1628,axiom,
    ( ~ esk4930_4(X1,X2,X3,X4)
    | esk4818_4(X1,X2,X3,X4) )).

cnf(i_0_1629,axiom,
    ( esk8838_4(X1,X2,X3,X4)
    | ~ esk8836_4(X1,X2,X3,X4) )).

cnf(i_0_1630,axiom,
    ( ~ esk3582_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_1631,axiom,
    ( esk3447_4(X1,X2,X3,X4)
    | ~ esk3444_4(X1,X2,X3,X4) )).

cnf(i_0_1632,axiom,
    ( ~ esk6322_4(X1,X2,X3,X4)
    | esk6288_4(X1,X2,X3,X4) )).

cnf(i_0_1633,axiom,
    ( esk6153_4(X1,X2,X3,X4)
    | ~ esk5610_4(X1,X2,X3,X4) )).

cnf(i_0_1634,axiom,
    ( ~ esk1786_4(X1,X2,X3,X4)
    | esk1785_4(X1,X2,X3,X4) )).

cnf(i_0_1635,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk3532_4(X1,X2,X3,X4) )).

cnf(i_0_1636,axiom,
    ( ~ esk6499_4(X1,X2,X3,X4)
    | esk6498_4(X1,X2,X3,X4) )).

cnf(i_0_1637,axiom,
    ( esk6129_4(X1,X2,X3,X4)
    | ~ esk6267_4(X1,X2,X3,X4) )).

cnf(i_0_1638,axiom,
    ( ~ esk8721_4(X1,X2,X3,X4)
    | esk603_0
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_1639,axiom,
    ( ~ esk4789_4(X1,X2,X3,X4)
    | esk4788_4(X1,X2,X3,X4)
    | esk4787_4(X1,X2,X3,X4) )).

cnf(i_0_1640,axiom,
    ( esk2699_4(X1,X2,X3,X4)
    | ~ esk2700_4(X1,X2,X3,X4) )).

cnf(i_0_1641,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk7199_4(X1,X2,X3,X4) )).

cnf(i_0_1642,axiom,
    ( esk2283_4(X1,X2,X3,X4)
    | ~ esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_1643,axiom,
    ( esk1829_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_1644,axiom,
    ( esk2282_4(X1,X2,X3,X4)
    | esk2317_4(X1,X2,X3,X4)
    | ~ esk2316_4(X1,X2,X3,X4) )).

cnf(i_0_1645,axiom,
    ( ~ esk2513_4(X1,X2,X3,X4)
    | ~ esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_1646,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3081_4(X1,X2,X3,X4) )).

cnf(i_0_1647,axiom,
    ( ~ esk2487_4(X1,X2,X3,X4)
    | esk2174_4(X1,X2,X3,X4) )).

cnf(i_0_1648,axiom,
    ( esk7398_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk7397_4(X1,X2,X3,X4) )).

cnf(i_0_1649,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9392_4(X1,X2,X3,X4) )).

cnf(i_0_1650,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk5168_4(X1,X2,X3,X4) )).

cnf(i_0_1651,axiom,
    ( esk8058_4(X1,X2,X3,X4)
    | ~ esk8059_4(X1,X2,X3,X4) )).

cnf(i_0_1652,axiom,
    ( esk2139_4(X1,X2,X3,X4)
    | ~ esk2137_4(X1,X2,X3,X4) )).

cnf(i_0_1653,axiom,
    ( esk8241_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_1654,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk329_0
    | ~ p(X1)
    | p(X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_1655,axiom,
    ( esk1513_4(X1,X2,X3,X4)
    | ~ esk1482_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_1656,axiom,
    ( ~ esk6444_4(X1,X2,X3,X4)
    | esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_1657,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk794_0
    | esk2785_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_1658,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X3)
    | esk915_0 )).

cnf(i_0_1659,axiom,
    ( ~ p(X3)
    | esk7736_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk20_0
    | p(X4)
    | p(X2) )).

cnf(i_0_1660,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6978_4(X1,X2,X3,X4) )).

cnf(i_0_1661,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4439_4(X1,X2,X3,X4) )).

cnf(i_0_1662,axiom,
    ( esk4548_4(X1,X2,X3,X4) )).

cnf(i_0_1663,axiom,
    ( ~ esk6034_4(X1,X2,X3,X4)
    | esk6037_4(X1,X2,X3,X4)
    | ~ esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_1664,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9376_4(X1,X2,X3,X4) )).

cnf(i_0_1665,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6545_4(X1,X2,X3,X4) )).

cnf(i_0_1666,axiom,
    ( esk5036_4(X1,X2,X3,X4)
    | ~ esk5037_4(X1,X2,X3,X4) )).

cnf(i_0_1667,axiom,
    ( ~ esk2024_4(X1,X2,X3,X4)
    | esk1383_4(X1,X2,X3,X4) )).

cnf(i_0_1668,axiom,
    ( ~ esk1780_4(X1,X2,X3,X4)
    | ~ esk1843_4(X1,X2,X3,X4)
    | esk1844_4(X1,X2,X3,X4) )).

cnf(i_0_1669,axiom,
    ( ~ esk5144_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_1670,axiom,
    ( ~ esk7194_4(X1,X2,X3,X4)
    | esk6548_4(X1,X2,X3,X4) )).

cnf(i_0_1671,axiom,
    ( ~ esk7427_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_1672,axiom,
    ( esk2685_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_1673,axiom,
    ( esk4166_4(X1,X2,X3,X4)
    | ~ esk4165_4(X1,X2,X3,X4) )).

cnf(i_0_1674,axiom,
    ( esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk1106_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1675,axiom,
    ( esk6707_4(X1,X2,X3,X4)
    | ~ esk6708_4(X1,X2,X3,X4) )).

cnf(i_0_1676,axiom,
    ( ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk1242_0
    | p(X2)
    | p(X3) )).

cnf(i_0_1677,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk2868_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk1039_0 )).

cnf(i_0_1678,axiom,
    ( ~ esk8715_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk572_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_1679,axiom,
    ( ~ esk3865_4(X1,X2,X3,X4)
    | esk3867_4(X1,X2,X3,X4) )).

cnf(i_0_1680,axiom,
    ( esk7005_4(X1,X2,X3,X4)
    | ~ esk6883_4(X1,X2,X3,X4) )).

cnf(i_0_1681,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk817_0
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_1682,axiom,
    ( esk2110_4(X1,X2,X3,X4)
    | ~ esk2111_4(X1,X2,X3,X4) )).

cnf(i_0_1683,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7883_4(X1,X2,X3,X4) )).

cnf(i_0_1684,axiom,
    ( ~ esk1410_4(X1,X2,X3,X4)
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_1685,axiom,
    ( ~ esk8497_4(X1,X2,X3,X4)
    | esk8499_4(X1,X2,X3,X4) )).

cnf(i_0_1686,axiom,
    ( ~ esk3458_4(X1,X2,X3,X4)
    | esk3578_4(X1,X2,X3,X4) )).

cnf(i_0_1687,axiom,
    ( p(X4)
    | p(X1)
    | esk1028_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_1688,axiom,
    ( esk6965_4(X1,X2,X3,X4)
    | ~ esk6963_4(X1,X2,X3,X4) )).

cnf(i_0_1689,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk9095_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk896_0 )).

cnf(i_0_1690,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9536_4(X1,X2,X3,X4)
    | esk9537_4(X1,X2,X3,X4) )).

cnf(i_0_1691,axiom,
    ( esk5146_4(X1,X2,X3,X4)
    | ~ esk5147_4(X1,X2,X3,X4) )).

cnf(i_0_1692,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8256_4(X1,X2,X3,X4) )).

cnf(i_0_1693,axiom,
    ( ~ esk2291_4(X1,X2,X3,X4)
    | ~ esk2217_4(X1,X2,X3,X4)
    | esk2292_4(X1,X2,X3,X4) )).

cnf(i_0_1694,axiom,
    ( ~ esk4500_4(X1,X2,X3,X4)
    | esk4499_4(X1,X2,X3,X4) )).

cnf(i_0_1695,axiom,
    ( ~ esk462_0
    | p(X3)
    | ~ p(X1)
    | esk8391_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1696,axiom,
    ( ~ esk6654_4(X1,X2,X3,X4)
    | ~ esk5571_4(X1,X2,X3,X4) )).

cnf(i_0_1697,axiom,
    ( esk3553_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4)
    | ~ esk3552_4(X1,X2,X3,X4) )).

cnf(i_0_1698,axiom,
    ( esk6270_4(X1,X2,X3,X4)
    | ~ esk6271_4(X1,X2,X3,X4) )).

cnf(i_0_1699,axiom,
    ( ~ esk5260_4(X1,X2,X3,X4)
    | esk5261_4(X1,X2,X3,X4) )).

cnf(i_0_1700,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk2947_4(X1,X2,X3,X4) )).

cnf(i_0_1701,axiom,
    ( esk3008_4(X1,X2,X3,X4)
    | ~ esk3010_4(X1,X2,X3,X4)
    | esk3009_4(X1,X2,X3,X4) )).

cnf(i_0_1702,axiom,
    ( esk2273_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1703,axiom,
    ( esk5851_4(X1,X2,X3,X4)
    | ~ esk5852_4(X1,X2,X3,X4) )).

cnf(i_0_1704,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | esk428_0
    | ~ esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_1705,axiom,
    ( ~ esk943_0
    | ~ p(X3)
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_1706,axiom,
    ( ~ esk6773_4(X1,X2,X3,X4)
    | esk6774_4(X1,X2,X3,X4) )).

cnf(i_0_1707,axiom,
    ( esk8629_4(X1,X2,X3,X4)
    | esk8630_4(X1,X2,X3,X4)
    | ~ esk8631_4(X1,X2,X3,X4) )).

cnf(i_0_1708,axiom,
    ( esk3615_4(X1,X2,X3,X4)
    | ~ esk3501_4(X1,X2,X3,X4) )).

cnf(i_0_1709,axiom,
    ( ~ p(X4)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk496_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1710,axiom,
    ( esk4453_4(X1,X2,X3,X4)
    | ~ esk5151_4(X1,X2,X3,X4) )).

cnf(i_0_1711,axiom,
    ( ~ esk768_0
    | p(X3)
    | p(X2)
    | esk8778_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_1712,axiom,
    ( esk8120_4(X1,X2,X3,X4)
    | esk7818_4(X1,X2,X3,X4)
    | ~ esk7819_4(X1,X2,X3,X4) )).

cnf(i_0_1713,axiom,
    ( ~ esk9694_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_1714,axiom,
    ( esk7400_4(X1,X2,X3,X4)
    | ~ esk7399_4(X1,X2,X3,X4) )).

cnf(i_0_1715,axiom,
    ( ~ esk5083_4(X1,X2,X3,X4)
    | esk5082_4(X1,X2,X3,X4) )).

cnf(i_0_1716,axiom,
    ( ~ esk3887_4(X1,X2,X3,X4)
    | esk3886_4(X1,X2,X3,X4)
    | esk3885_4(X1,X2,X3,X4) )).

cnf(i_0_1717,axiom,
    ( ~ p(X2)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X4)
    | esk827_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_1718,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | esk2437_4(X1,X2,X3,X4)
    | ~ esk701_0
    | ~ p(X4) )).

cnf(i_0_1719,axiom,
    ( ~ esk8837_4(X1,X2,X3,X4)
    | esk8838_4(X1,X2,X3,X4) )).

cnf(i_0_1720,axiom,
    ( esk5666_4(X1,X2,X3,X4)
    | ~ esk5665_4(X1,X2,X3,X4) )).

cnf(i_0_1721,axiom,
    ( esk8892_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_1722,axiom,
    ( esk7110_4(X1,X2,X3,X4)
    | ~ esk7109_4(X1,X2,X3,X4) )).

cnf(i_0_1723,axiom,
    ( ~ esk8501_4(X1,X2,X3,X4)
    | esk8539_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_1724,axiom,
    ( ~ esk2482_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | esk1_0 )).

cnf(i_0_1725,axiom,
    ( esk3743_4(X1,X2,X3,X4)
    | ~ esk4906_4(X1,X2,X3,X4) )).

cnf(i_0_1726,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk906_0
    | ~ esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_1727,axiom,
    ( ~ esk7761_4(X1,X2,X3,X4)
    | esk7759_4(X1,X2,X3,X4)
    | esk7760_4(X1,X2,X3,X4) )).

cnf(i_0_1728,axiom,
    ( ~ esk5808_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_1729,axiom,
    ( esk2165_4(X1,X2,X3,X4)
    | ~ esk2204_4(X1,X2,X3,X4)
    | esk2203_4(X1,X2,X3,X4) )).

cnf(i_0_1730,axiom,
    ( ~ esk4191_4(X1,X2,X3,X4)
    | ~ esk4309_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_1731,axiom,
    ( esk917_0
    | p(X4)
    | ~ p(X1)
    | ~ esk9097_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1732,axiom,
    ( esk1920_4(X1,X2,X3,X4)
    | esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_1733,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk955_0
    | esk9103_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_1734,axiom,
    ( ~ esk2765_4(X1,X2,X3,X4)
    | esk2764_4(X1,X2,X3,X4) )).

cnf(i_0_1735,axiom,
    ( ~ esk6648_4(X1,X2,X3,X4)
    | esk5849_4(X1,X2,X3,X4) )).

cnf(i_0_1736,axiom,
    ( esk3213_4(X1,X2,X3,X4)
    | ~ esk3214_4(X1,X2,X3,X4)
    | esk3212_4(X1,X2,X3,X4) )).

cnf(i_0_1737,axiom,
    ( ~ esk4912_4(X1,X2,X3,X4)
    | ~ esk4637_4(X1,X2,X3,X4)
    | esk4638_4(X1,X2,X3,X4) )).

cnf(i_0_1738,axiom,
    ( ~ esk7431_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_1739,axiom,
    ( ~ esk8361_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1740,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1431_4(X1,X2,X3,X4) )).

cnf(i_0_1741,axiom,
    ( esk6909_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_1742,axiom,
    ( ~ esk4821_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_1743,axiom,
    ( ~ esk5502_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_1744,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk2801_4(X1,X2,X3,X4)
    | ~ esk915_0 )).

cnf(i_0_1745,axiom,
    ( ~ esk284_0
    | ~ p(X2)
    | esk1860_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1746,axiom,
    ( esk3838_4(X1,X2,X3,X4)
    | ~ esk3837_4(X1,X2,X3,X4) )).

cnf(i_0_1747,axiom,
    ( esk3782_4(X1,X2,X3,X4)
    | ~ esk3820_4(X1,X2,X3,X4) )).

cnf(i_0_1748,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4847_4(X1,X2,X3,X4) )).

cnf(i_0_1749,axiom,
    ( ~ esk4412_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_1750,axiom,
    ( ~ esk2685_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_1751,axiom,
    ( esk5930_4(X1,X2,X3,X4)
    | ~ esk5931_4(X1,X2,X3,X4) )).

cnf(i_0_1752,axiom,
    ( ~ esk4239_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1753,axiom,
    ( esk2646_4(X1,X2,X3,X4)
    | ~ esk3409_4(X1,X2,X3,X4) )).

cnf(i_0_1754,axiom,
    ( ~ esk6150_4(X1,X2,X3,X4)
    | esk6192_4(X1,X2,X3,X4) )).

cnf(i_0_1755,axiom,
    ( esk7305_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_1756,axiom,
    ( esk2626_4(X1,X2,X3,X4)
    | ~ esk2625_4(X1,X2,X3,X4) )).

cnf(i_0_1757,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk656_0
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_1758,axiom,
    ( esk2126_4(X1,X2,X3,X4)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_1759,axiom,
    ( ~ esk9183_4(X1,X2,X3,X4)
    | esk7083_4(X1,X2,X3,X4) )).

cnf(i_0_1760,axiom,
    ( esk4944_4(X1,X2,X3,X4)
    | ~ esk4945_4(X1,X2,X3,X4) )).

cnf(i_0_1761,axiom,
    ( ~ esk9211_4(X1,X2,X3,X4)
    | esk8006_4(X1,X2,X3,X4) )).

cnf(i_0_1762,axiom,
    ( esk9440_4(X1,X2,X3,X4)
    | ~ esk9441_4(X1,X2,X3,X4) )).

cnf(i_0_1763,axiom,
    ( ~ esk2773_4(X1,X2,X3,X4)
    | esk3430_4(X1,X2,X3,X4) )).

cnf(i_0_1764,axiom,
    ( esk6768_4(X1,X2,X3,X4)
    | ~ esk6184_4(X1,X2,X3,X4) )).

cnf(i_0_1765,axiom,
    ( ~ esk1700_4(X1,X2,X3,X4)
    | esk1524_4(X1,X2,X3,X4) )).

cnf(i_0_1766,axiom,
    ( ~ esk5663_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_1767,axiom,
    ( ~ esk4092_4(X1,X2,X3,X4)
    | esk4091_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_1768,axiom,
    ( ~ esk3838_4(X1,X2,X3,X4)
    | esk5023_4(X1,X2,X3,X4)
    | ~ esk5022_4(X1,X2,X3,X4) )).

cnf(i_0_1769,axiom,
    ( esk5773_4(X1,X2,X3,X4)
    | ~ esk5772_4(X1,X2,X3,X4) )).

cnf(i_0_1770,axiom,
    ( esk1091_0
    | p(X3)
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_1771,axiom,
    ( esk739_0
    | p(X4)
    | ~ esk2453_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_1772,axiom,
    ( esk3097_4(X1,X2,X3,X4)
    | esk3096_4(X1,X2,X3,X4)
    | ~ esk3098_4(X1,X2,X3,X4) )).

cnf(i_0_1773,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk437_0
    | ~ p(X1)
    | esk2061_4(X1,X2,X3,X4) )).

cnf(i_0_1774,axiom,
    ( ~ esk9094_4(X1,X2,X3,X4)
    | ~ esk9616_4(X1,X2,X3,X4)
    | esk9617_4(X1,X2,X3,X4) )).

cnf(i_0_1775,axiom,
    ( ~ esk4255_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_1776,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | esk1915_4(X1,X2,X3,X4) )).

cnf(i_0_1777,axiom,
    ( ~ esk9102_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk8978_4(X1,X2,X3,X4) )).

cnf(i_0_1778,axiom,
    ( ~ esk8044_4(X1,X2,X3,X4)
    | p(X1)
    | esk160_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_1779,axiom,
    ( esk5126_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1780,axiom,
    ( ~ p(X2)
    | esk8357_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk430_0 )).

cnf(i_0_1781,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | ~ esk4756_4(X1,X2,X3,X4) )).

cnf(i_0_1782,axiom,
    ( esk8819_4(X1,X2,X3,X4)
    | ~ esk8818_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_1783,axiom,
    ( esk2775_4(X1,X2,X3,X4)
    | ~ esk2773_4(X1,X2,X3,X4) )).

cnf(i_0_1784,axiom,
    ( ~ esk3469_4(X1,X2,X3,X4)
    | esk4994_4(X1,X2,X3,X4) )).

cnf(i_0_1785,axiom,
    ( esk7931_4(X1,X2,X3,X4)
    | ~ esk7932_4(X1,X2,X3,X4)
    | esk7930_4(X1,X2,X3,X4) )).

cnf(i_0_1786,axiom,
    ( ~ esk5838_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_1787,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1232_0
    | ~ p(X2)
    | esk9204_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1788,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7575_4(X1,X2,X3,X4) )).

cnf(i_0_1789,axiom,
    ( ~ esk3268_4(X1,X2,X3,X4)
    | esk3267_4(X1,X2,X3,X4) )).

cnf(i_0_1790,axiom,
    ( esk1954_4(X1,X2,X3,X4)
    | ~ esk4054_4(X1,X2,X3,X4) )).

cnf(i_0_1791,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk2640_4(X1,X2,X3,X4) )).

cnf(i_0_1792,axiom,
    ( p(X4)
    | esk919_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_1793,axiom,
    ( ~ esk8726_4(X1,X2,X3,X4)
    | esk6626_4(X1,X2,X3,X4) )).

cnf(i_0_1794,axiom,
    ( ~ esk7249_4(X1,X2,X3,X4)
    | ~ esk6552_4(X1,X2,X3,X4)
    | esk7250_4(X1,X2,X3,X4) )).

cnf(i_0_1795,axiom,
    ( esk4137_4(X1,X2,X3,X4)
    | esk4138_4(X1,X2,X3,X4)
    | ~ esk4139_4(X1,X2,X3,X4) )).

cnf(i_0_1796,axiom,
    ( esk5780_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5688_4(X1,X2,X3,X4) )).

cnf(i_0_1797,axiom,
    ( ~ esk598_0
    | p(X4)
    | esk8719_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_1798,axiom,
    ( esk909_0
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9097_4(X1,X2,X3,X4) )).

cnf(i_0_1799,axiom,
    ( ~ esk4155_4(X1,X2,X3,X4)
    | esk4189_4(X1,X2,X3,X4)
    | esk4188_4(X1,X2,X3,X4) )).

cnf(i_0_1800,axiom,
    ( esk4894_4(X1,X2,X3,X4)
    | ~ esk4695_4(X1,X2,X3,X4) )).

cnf(i_0_1801,axiom,
    ( ~ esk8886_4(X1,X2,X3,X4)
    | esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_1802,axiom,
    ( esk7777_4(X1,X2,X3,X4)
    | ~ esk7655_4(X1,X2,X3,X4) )).

cnf(i_0_1803,axiom,
    ( ~ esk7494_4(X1,X2,X3,X4)
    | esk7496_4(X1,X2,X3,X4) )).

cnf(i_0_1804,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1781_4(X1,X2,X3,X4) )).

cnf(i_0_1805,axiom,
    ( ~ esk4565_4(X1,X2,X3,X4)
    | esk4567_4(X1,X2,X3,X4) )).

cnf(i_0_1806,axiom,
    ( ~ p(X1)
    | esk2437_4(X1,X2,X3,X4)
    | ~ esk703_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1807,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | esk9508_4(X1,X2,X3,X4) )).

cnf(i_0_1808,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2005_4(X1,X2,X3,X4)
    | esk2031_4(X1,X2,X3,X4) )).

cnf(i_0_1809,axiom,
    ( ~ esk8284_4(X1,X2,X3,X4)
    | esk8741_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_1810,axiom,
    ( ~ esk6444_4(X1,X2,X3,X4)
    | esk6446_4(X1,X2,X3,X4) )).

cnf(i_0_1811,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1352_0
    | esk9254_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1812,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk981_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_1813,axiom,
    ( ~ esk9422_4(X1,X2,X3,X4)
    | esk9419_4(X1,X2,X3,X4) )).

cnf(i_0_1814,axiom,
    ( ~ esk3204_4(X1,X2,X3,X4)
    | esk3198_4(X1,X2,X3,X4) )).

cnf(i_0_1815,axiom,
    ( esk829_0
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_1816,axiom,
    ( esk5499_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk5498_4(X1,X2,X3,X4) )).

cnf(i_0_1817,axiom,
    ( esk1041_0
    | ~ p(X2)
    | ~ esk2868_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_1818,axiom,
    ( ~ esk1493_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_1819,axiom,
    ( ~ esk8857_4(X1,X2,X3,X4)
    | esk8859_4(X1,X2,X3,X4) )).

cnf(i_0_1820,axiom,
    ( ~ esk4896_4(X1,X2,X3,X4)
    | esk5419_4(X1,X2,X3,X4)
    | ~ esk5418_4(X1,X2,X3,X4) )).

cnf(i_0_1821,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3331_4(X1,X2,X3,X4) )).

cnf(i_0_1822,axiom,
    ( esk7736_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk22_0
    | p(X1) )).

cnf(i_0_1823,axiom,
    ( ~ esk8832_4(X1,X2,X3,X4)
    | esk8831_4(X1,X2,X3,X4) )).

cnf(i_0_1824,axiom,
    ( esk7863_4(X1,X2,X3,X4)
    | ~ esk7777_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_1825,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk8048_4(X1,X2,X3,X4)
    | esk188_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_1826,axiom,
    ( ~ esk262_0
    | esk1842_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_1827,axiom,
    ( ~ esk6495_4(X1,X2,X3,X4)
    | esk6207_4(X1,X2,X3,X4) )).

cnf(i_0_1828,axiom,
    ( ~ esk7342_4(X1,X2,X3,X4)
    | esk7341_4(X1,X2,X3,X4) )).

cnf(i_0_1829,axiom,
    ( ~ esk3258_4(X1,X2,X3,X4)
    | esk3261_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1830,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8625_4(X1,X2,X3,X4)
    | ~ esk8624_4(X1,X2,X3,X4) )).

cnf(i_0_1831,axiom,
    ( esk7757_4(X1,X2,X3,X4)
    | ~ esk7755_4(X1,X2,X3,X4) )).

cnf(i_0_1832,axiom,
    ( p(X1)
    | ~ esk8354_4(X1,X2,X3,X4)
    | esk415_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_1833,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8554_4(X1,X2,X3,X4)
    | esk8555_4(X1,X2,X3,X4) )).

cnf(i_0_1834,axiom,
    ( esk8723_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk626_0 )).

cnf(i_0_1835,axiom,
    ( ~ esk1587_4(X1,X2,X3,X4)
    | esk2879_4(X1,X2,X3,X4) )).

cnf(i_0_1836,axiom,
    ( esk4086_4(X1,X2,X3,X4)
    | esk4548_4(X1,X2,X3,X4)
    | ~ esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_1837,axiom,
    ( esk7777_4(X1,X2,X3,X4)
    | ~ esk7863_4(X1,X2,X3,X4) )).

cnf(i_0_1838,axiom,
    ( esk3585_4(X1,X2,X3,X4)
    | ~ esk3583_4(X1,X2,X3,X4) )).

cnf(i_0_1839,axiom,
    ( ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1082_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_1840,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | esk2824_4(X1,X2,X3,X4)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_1841,axiom,
    ( ~ esk3328_4(X1,X2,X3,X4)
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_1842,axiom,
    ( esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_1843,axiom,
    ( ~ esk1609_4(X1,X2,X3,X4)
    | esk1611_4(X1,X2,X3,X4) )).

cnf(i_0_1844,axiom,
    ( esk8462_4(X1,X2,X3,X4)
    | esk8461_4(X1,X2,X3,X4)
    | ~ esk8424_4(X1,X2,X3,X4) )).

cnf(i_0_1845,axiom,
    ( esk4157_4(X1,X2,X3,X4)
    | ~ esk2057_4(X1,X2,X3,X4) )).

cnf(i_0_1846,axiom,
    ( ~ esk2066_4(X1,X2,X3,X4)
    | esk2067_4(X1,X2,X3,X4) )).

cnf(i_0_1847,axiom,
    ( p(X3)
    | ~ esk87_0
    | ~ p(X4)
    | esk7812_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_1848,axiom,
    ( esk8129_4(X1,X2,X3,X4)
    | ~ esk8080_4(X1,X2,X3,X4) )).

cnf(i_0_1849,axiom,
    ( ~ esk7964_4(X1,X2,X3,X4)
    | esk7965_4(X1,X2,X3,X4) )).

cnf(i_0_1850,axiom,
    ( ~ esk5749_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | esk5812_4(X1,X2,X3,X4) )).

cnf(i_0_1851,axiom,
    ( esk4122_4(X1,X2,X3,X4)
    | ~ esk3458_4(X1,X2,X3,X4) )).

cnf(i_0_1852,axiom,
    ( ~ esk7803_4(X1,X2,X3,X4)
    | esk7895_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_1853,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6920_4(X1,X2,X3,X4) )).

cnf(i_0_1854,axiom,
    ( ~ p(X2)
    | esk2061_4(X1,X2,X3,X4)
    | ~ esk434_0
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_1855,axiom,
    ( ~ esk1669_4(X1,X2,X3,X4)
    | ~ esk1523_4(X1,X2,X3,X4) )).

cnf(i_0_1856,axiom,
    ( esk3046_4(X1,X2,X3,X4)
    | ~ esk3044_4(X1,X2,X3,X4) )).

cnf(i_0_1857,axiom,
    ( ~ esk7934_4(X1,X2,X3,X4)
    | esk9253_4(X1,X2,X3,X4) )).

cnf(i_0_1858,axiom,
    ( ~ esk2029_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_1859,axiom,
    ( esk6072_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4)
    | ~ esk6113_4(X1,X2,X3,X4) )).

cnf(i_0_1860,axiom,
    ( ~ esk3156_4(X1,X2,X3,X4)
    | esk3158_4(X1,X2,X3,X4) )).

cnf(i_0_1861,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1987_4(X1,X2,X3,X4)
    | esk369_0 )).

cnf(i_0_1862,axiom,
    ( esk7491_4(X1,X2,X3,X4)
    | esk6987_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_1863,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5818_4(X1,X2,X3,X4) )).

cnf(i_0_1864,axiom,
    ( ~ esk8134_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_1865,axiom,
    ( esk2191_4(X1,X2,X3,X4)
    | ~ esk2192_4(X1,X2,X3,X4) )).

cnf(i_0_1866,axiom,
    ( esk1438_4(X1,X2,X3,X4)
    | ~ esk2497_4(X1,X2,X3,X4) )).

cnf(i_0_1867,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6087_4(X1,X2,X3,X4) )).

cnf(i_0_1868,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7211_4(X1,X2,X3,X4) )).

cnf(i_0_1869,axiom,
    ( esk1031_0
    | ~ esk9150_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1870,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8578_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_1871,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1063_0 )).

cnf(i_0_1872,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5154_4(X1,X2,X3,X4) )).

cnf(i_0_1873,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk9172_4(X1,X2,X3,X4)
    | esk1101_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_1874,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6703_4(X1,X2,X3,X4) )).

cnf(i_0_1875,axiom,
    ( ~ esk4350_4(X1,X2,X3,X4)
    | esk2250_4(X1,X2,X3,X4) )).

cnf(i_0_1876,axiom,
    ( esk4905_4(X1,X2,X3,X4)
    | ~ esk4870_4(X1,X2,X3,X4) )).

cnf(i_0_1877,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk583_0
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_1878,axiom,
    ( esk3530_4(X1,X2,X3,X4)
    | ~ esk3531_4(X1,X2,X3,X4) )).

cnf(i_0_1879,axiom,
    ( ~ esk8425_4(X1,X2,X3,X4)
    | esk8174_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4) )).

cnf(i_0_1880,axiom,
    ( ~ esk9594_4(X1,X2,X3,X4)
    | esk9595_4(X1,X2,X3,X4) )).

cnf(i_0_1881,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk924_0
    | ~ p(X3)
    | esk9099_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_1882,axiom,
    ( ~ esk3031_4(X1,X2,X3,X4)
    | esk3032_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_1883,axiom,
    ( esk2807_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk948_0
    | ~ p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_1884,axiom,
    ( esk5361_4(X1,X2,X3,X4)
    | ~ esk5360_4(X1,X2,X3,X4) )).

cnf(i_0_1885,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4031_4(X1,X2,X3,X4)
    | esk4032_4(X1,X2,X3,X4) )).

cnf(i_0_1886,axiom,
    ( ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk6035_4(X1,X2,X3,X4) )).

cnf(i_0_1887,axiom,
    ( ~ esk2880_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | esk1_0
    | p(X3) )).

cnf(i_0_1888,axiom,
    ( ~ p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | esk1080_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_1889,axiom,
    ( esk3616_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4)
    | ~ esk5018_4(X1,X2,X3,X4) )).

cnf(i_0_1890,axiom,
    ( esk3194_4(X1,X2,X3,X4)
    | ~ esk3208_4(X1,X2,X3,X4) )).

cnf(i_0_1891,axiom,
    ( ~ esk7698_4(X1,X2,X3,X4)
    | esk7938_4(X1,X2,X3,X4) )).

cnf(i_0_1892,axiom,
    ( ~ esk4937_4(X1,X2,X3,X4)
    | esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_1893,axiom,
    ( esk3969_4(X1,X2,X3,X4)
    | ~ esk4916_4(X1,X2,X3,X4) )).

cnf(i_0_1894,axiom,
    ( esk7770_4(X1,X2,X3,X4)
    | ~ esk8119_4(X1,X2,X3,X4) )).

cnf(i_0_1895,axiom,
    ( esk7214_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7213_4(X1,X2,X3,X4) )).

cnf(i_0_1896,axiom,
    ( ~ esk8697_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_1897,axiom,
    ( esk3887_4(X1,X2,X3,X4)
    | ~ esk3886_4(X1,X2,X3,X4) )).

cnf(i_0_1898,axiom,
    ( ~ esk3708_4(X1,X2,X3,X4)
    | esk3707_4(X1,X2,X3,X4) )).

cnf(i_0_1899,axiom,
    ( esk2885_4(X1,X2,X3,X4)
    | ~ esk4985_4(X1,X2,X3,X4) )).

cnf(i_0_1900,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3029_4(X1,X2,X3,X4) )).

cnf(i_0_1901,axiom,
    ( esk8938_4(X1,X2,X3,X4)
    | ~ esk8939_4(X1,X2,X3,X4)
    | esk8937_4(X1,X2,X3,X4) )).

cnf(i_0_1902,axiom,
    ( ~ esk508_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1903,axiom,
    ( ~ esk2417_4(X1,X2,X3,X4)
    | esk1948_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_1904,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6926_4(X1,X2,X3,X4) )).

cnf(i_0_1905,axiom,
    ( ~ esk7162_4(X1,X2,X3,X4)
    | esk7161_4(X1,X2,X3,X4) )).

cnf(i_0_1906,axiom,
    ( ~ esk3164_4(X1,X2,X3,X4)
    | esk3163_4(X1,X2,X3,X4) )).

cnf(i_0_1907,axiom,
    ( ~ esk5230_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_1908,axiom,
    ( ~ esk7190_4(X1,X2,X3,X4)
    | esk7192_4(X1,X2,X3,X4) )).

cnf(i_0_1909,axiom,
    ( esk2135_4(X1,X2,X3,X4)
    | ~ esk1380_4(X1,X2,X3,X4) )).

cnf(i_0_1910,axiom,
    ( ~ esk4057_4(X1,X2,X3,X4)
    | esk3515_4(X1,X2,X3,X4) )).

cnf(i_0_1911,axiom,
    ( ~ esk1730_4(X1,X2,X3,X4)
    | esk1696_4(X1,X2,X3,X4) )).

cnf(i_0_1912,axiom,
    ( ~ esk7186_4(X1,X2,X3,X4)
    | esk7185_4(X1,X2,X3,X4) )).

cnf(i_0_1913,axiom,
    ( ~ esk9373_4(X1,X2,X3,X4)
    | esk9375_4(X1,X2,X3,X4) )).

cnf(i_0_1914,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk921_0
    | esk2803_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1915,axiom,
    ( esk1837_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_1916,axiom,
    ( ~ p(X1)
    | ~ esk465_0
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_1917,axiom,
    ( ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk803_0
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_1918,axiom,
    ( esk6330_4(X1,X2,X3,X4)
    | ~ esk6328_4(X1,X2,X3,X4) )).

cnf(i_0_1919,axiom,
    ( esk1203_0
    | p(X1)
    | ~ esk9194_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_1920,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6310_4(X1,X2,X3,X4) )).

cnf(i_0_1921,axiom,
    ( ~ esk7271_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_1922,axiom,
    ( ~ esk595_0
    | esk2423_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_1923,axiom,
    ( ~ esk7408_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | esk7411_4(X1,X2,X3,X4) )).

cnf(i_0_1924,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk823_0
    | p(X2)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1925,axiom,
    ( ~ esk2507_4(X1,X2,X3,X4)
    | esk1800_4(X1,X2,X3,X4) )).

cnf(i_0_1926,axiom,
    ( esk7928_4(X1,X2,X3,X4)
    | ~ esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_1927,axiom,
    ( p(X1)
    | ~ esk904_0
    | p(X2)
    | esk9097_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_1928,axiom,
    ( ~ esk2021_4(X1,X2,X3,X4)
    | esk4121_4(X1,X2,X3,X4) )).

cnf(i_0_1929,axiom,
    ( esk2798_4(X1,X2,X3,X4)
    | ~ esk2755_4(X1,X2,X3,X4) )).

cnf(i_0_1930,axiom,
    ( esk8381_4(X1,X2,X3,X4)
    | ~ esk8616_4(X1,X2,X3,X4) )).

cnf(i_0_1931,axiom,
    ( ~ esk1329_0
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk9252_4(X1,X2,X3,X4) )).

cnf(i_0_1932,axiom,
    ( ~ esk6492_4(X1,X2,X3,X4)
    | esk6009_4(X1,X2,X3,X4)
    | ~ esk6008_4(X1,X2,X3,X4) )).

cnf(i_0_1933,axiom,
    ( esk654_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_1934,axiom,
    ( ~ esk7288_4(X1,X2,X3,X4)
    | esk7287_4(X1,X2,X3,X4)
    | esk7286_4(X1,X2,X3,X4) )).

cnf(i_0_1935,axiom,
    ( esk6489_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_1936,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | esk7887_4(X1,X2,X3,X4)
    | ~ esk7795_4(X1,X2,X3,X4) )).

cnf(i_0_1937,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6003_4(X1,X2,X3,X4) )).

cnf(i_0_1938,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8632_4(X1,X2,X3,X4)
    | esk8633_4(X1,X2,X3,X4) )).

cnf(i_0_1939,axiom,
    ( esk2148_4(X1,X2,X3,X4)
    | ~ esk2149_4(X1,X2,X3,X4) )).

cnf(i_0_1940,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk7614_4(X1,X2,X3,X4)
    | ~ esk7613_4(X1,X2,X3,X4) )).

cnf(i_0_1941,axiom,
    ( esk4734_4(X1,X2,X3,X4)
    | ~ esk4735_4(X1,X2,X3,X4) )).

cnf(i_0_1942,axiom,
    ( esk3991_4(X1,X2,X3,X4)
    | ~ esk3989_4(X1,X2,X3,X4) )).

cnf(i_0_1943,axiom,
    ( esk7628_4(X1,X2,X3,X4)
    | ~ esk7626_4(X1,X2,X3,X4) )).

cnf(i_0_1944,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ esk1163_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_1945,axiom,
    ( ~ esk9443_4(X1,X2,X3,X4)
    | esk9442_4(X1,X2,X3,X4)
    | esk9441_4(X1,X2,X3,X4) )).

cnf(i_0_1946,axiom,
    ( ~ esk1450_4(X1,X2,X3,X4)
    | esk1451_4(X1,X2,X3,X4) )).

cnf(i_0_1947,axiom,
    ( ~ esk4778_4(X1,X2,X3,X4)
    | esk4779_4(X1,X2,X3,X4)
    | ~ esk4588_4(X1,X2,X3,X4) )).

cnf(i_0_1948,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | esk1317_0
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_1949,axiom,
    ( ~ esk6727_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk6728_4(X1,X2,X3,X4) )).

cnf(i_0_1950,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | esk1129_0
    | ~ esk9176_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_1951,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk492_0
    | esk8508_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_1952,axiom,
    ( esk3895_4(X1,X2,X3,X4)
    | ~ esk3878_4(X1,X2,X3,X4) )).

cnf(i_0_1953,axiom,
    ( ~ esk8844_4(X1,X2,X3,X4)
    | esk8843_4(X1,X2,X3,X4) )).

cnf(i_0_1954,axiom,
    ( esk3808_4(X1,X2,X3,X4)
    | ~ esk5013_4(X1,X2,X3,X4) )).

cnf(i_0_1955,axiom,
    ( ~ p(X4)
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | esk559_0 )).

cnf(i_0_1956,axiom,
    ( ~ esk3708_4(X1,X2,X3,X4)
    | esk3710_4(X1,X2,X3,X4) )).

cnf(i_0_1957,axiom,
    ( esk2976_4(X1,X2,X3,X4)
    | esk2977_4(X1,X2,X3,X4)
    | ~ esk2978_4(X1,X2,X3,X4) )).

cnf(i_0_1958,axiom,
    ( ~ esk2584_4(X1,X2,X3,X4)
    | esk2583_4(X1,X2,X3,X4) )).

cnf(i_0_1959,axiom,
    ( ~ esk9490_4(X1,X2,X3,X4)
    | esk9487_4(X1,X2,X3,X4) )).

cnf(i_0_1960,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7599_4(X1,X2,X3,X4) )).

cnf(i_0_1961,axiom,
    ( ~ esk4377_4(X1,X2,X3,X4)
    | esk4379_4(X1,X2,X3,X4) )).

cnf(i_0_1962,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9526_4(X1,X2,X3,X4) )).

cnf(i_0_1963,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9468_4(X1,X2,X3,X4)
    | esk9469_4(X1,X2,X3,X4) )).

cnf(i_0_1964,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | esk1408_4(X1,X2,X3,X4) )).

cnf(i_0_1965,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6095_4(X1,X2,X3,X4) )).

cnf(i_0_1966,axiom,
    ( ~ esk3706_4(X1,X2,X3,X4)
    | esk4996_4(X1,X2,X3,X4) )).

cnf(i_0_1967,axiom,
    ( ~ esk1505_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_1968,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk8072_4(X1,X2,X3,X4)
    | esk257_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_1969,axiom,
    ( esk5095_4(X1,X2,X3,X4)
    | esk5096_4(X1,X2,X3,X4)
    | ~ esk5097_4(X1,X2,X3,X4) )).

cnf(i_0_1970,axiom,
    ( esk8655_4(X1,X2,X3,X4)
    | ~ esk8654_4(X1,X2,X3,X4) )).

cnf(i_0_1971,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | ~ esk5760_4(X1,X2,X3,X4) )).

cnf(i_0_1972,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk2061_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk430_0
    | p(X4) )).

cnf(i_0_1973,axiom,
    ( ~ esk4286_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_1974,axiom,
    ( ~ esk2597_4(X1,X2,X3,X4)
    | esk2598_4(X1,X2,X3,X4) )).

cnf(i_0_1975,axiom,
    ( esk2996_4(X1,X2,X3,X4)
    | ~ esk2350_4(X1,X2,X3,X4)
    | ~ esk2995_4(X1,X2,X3,X4) )).

cnf(i_0_1976,axiom,
    ( esk3069_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3066_4(X1,X2,X3,X4) )).

cnf(i_0_1977,axiom,
    ( ~ esk4066_4(X1,X2,X3,X4)
    | esk4067_4(X1,X2,X3,X4)
    | ~ esk3999_4(X1,X2,X3,X4) )).

cnf(i_0_1978,axiom,
    ( esk6870_4(X1,X2,X3,X4)
    | esk6871_4(X1,X2,X3,X4)
    | ~ esk6872_4(X1,X2,X3,X4) )).

cnf(i_0_1979,axiom,
    ( esk9112_4(X1,X2,X3,X4)
    | ~ esk7012_4(X1,X2,X3,X4) )).

cnf(i_0_1980,axiom,
    ( esk7154_4(X1,X2,X3,X4)
    | ~ esk5835_4(X1,X2,X3,X4) )).

cnf(i_0_1981,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | esk7861_4(X1,X2,X3,X4) )).

cnf(i_0_1982,axiom,
    ( p(X3)
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1143_0
    | p(X1)
    | p(X2) )).

cnf(i_0_1983,axiom,
    ( p(X1)
    | p(X4)
    | p(X2)
    | ~ esk8717_4(X1,X2,X3,X4)
    | esk573_0
    | p(X3) )).

cnf(i_0_1984,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk7730_4(X1,X2,X3,X4) )).

cnf(i_0_1985,axiom,
    ( ~ esk1807_4(X1,X2,X3,X4)
    | esk1808_4(X1,X2,X3,X4) )).

cnf(i_0_1986,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk9091_4(X1,X2,X3,X4)
    | ~ esk867_0
    | p(X2) )).

cnf(i_0_1987,axiom,
    ( ~ esk9408_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_1988,axiom,
    ( esk4374_4(X1,X2,X3,X4)
    | ~ esk4375_4(X1,X2,X3,X4)
    | esk4373_4(X1,X2,X3,X4) )).

cnf(i_0_1989,axiom,
    ( esk4671_4(X1,X2,X3,X4)
    | ~ esk4576_4(X1,X2,X3,X4) )).

cnf(i_0_1990,axiom,
    ( esk2789_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk825_0
    | p(X3) )).

cnf(i_0_1991,axiom,
    ( ~ esk2964_4(X1,X2,X3,X4)
    | esk2966_4(X1,X2,X3,X4) )).

cnf(i_0_1992,axiom,
    ( ~ esk7442_4(X1,X2,X3,X4)
    | esk7444_4(X1,X2,X3,X4) )).

cnf(i_0_1993,axiom,
    ( esk232_0
    | p(X1)
    | p(X3)
    | ~ esk1758_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_1994,axiom,
    ( ~ esk6216_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4)
    | esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_1995,axiom,
    ( esk1970_4(X1,X2,X3,X4)
    | ~ esk2008_4(X1,X2,X3,X4) )).

cnf(i_0_1996,axiom,
    ( esk8283_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk363_0
    | p(X4)
    | p(X3) )).

cnf(i_0_1997,axiom,
    ( esk6546_4(X1,X2,X3,X4)
    | ~ esk6548_4(X1,X2,X3,X4)
    | esk6547_4(X1,X2,X3,X4) )).

cnf(i_0_1998,axiom,
    ( esk4144_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_1999,axiom,
    ( p(X2)
    | esk2092_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1_0
    | p(X3)
    | p(X4) )).

cnf(i_0_2000,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk1955_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk337_0
    | p(X3) )).

cnf(i_0_2001,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5834_4(X1,X2,X3,X4) )).

cnf(i_0_2002,axiom,
    ( esk1543_4(X1,X2,X3,X4)
    | ~ esk1542_4(X1,X2,X3,X4) )).

cnf(i_0_2003,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9279_4(X1,X2,X3,X4)
    | esk9282_4(X1,X2,X3,X4) )).

cnf(i_0_2004,axiom,
    ( ~ esk2628_4(X1,X2,X3,X4)
    | esk2627_4(X1,X2,X3,X4) )).

cnf(i_0_2005,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1790_4(X1,X2,X3,X4) )).

cnf(i_0_2006,axiom,
    ( esk6279_4(X1,X2,X3,X4)
    | ~ esk6278_4(X1,X2,X3,X4)
    | ~ esk6215_4(X1,X2,X3,X4) )).

cnf(i_0_2007,axiom,
    ( esk4055_4(X1,X2,X3,X4)
    | ~ esk3460_4(X1,X2,X3,X4) )).

cnf(i_0_2008,axiom,
    ( ~ esk1830_4(X1,X2,X3,X4)
    | esk1829_4(X1,X2,X3,X4) )).

cnf(i_0_2009,axiom,
    ( esk2106_4(X1,X2,X3,X4)
    | ~ esk2107_4(X1,X2,X3,X4) )).

cnf(i_0_2010,axiom,
    ( ~ esk7570_4(X1,X2,X3,X4)
    | esk7569_4(X1,X2,X3,X4) )).

cnf(i_0_2011,axiom,
    ( esk5184_4(X1,X2,X3,X4)
    | esk5183_4(X1,X2,X3,X4)
    | ~ esk5185_4(X1,X2,X3,X4) )).

cnf(i_0_2012,axiom,
    ( ~ esk9038_4(X1,X2,X3,X4)
    | esk9040_4(X1,X2,X3,X4) )).

cnf(i_0_2013,axiom,
    ( ~ esk2811_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | esk989_0
    | ~ p(X2) )).

cnf(i_0_2014,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1498_4(X1,X2,X3,X4)
    | esk1590_4(X1,X2,X3,X4) )).

cnf(i_0_2015,axiom,
    ( ~ esk8998_4(X1,X2,X3,X4)
    | esk8999_4(X1,X2,X3,X4) )).

cnf(i_0_2016,axiom,
    ( esk7284_4(X1,X2,X3,X4)
    | ~ esk7282_4(X1,X2,X3,X4) )).

cnf(i_0_2017,axiom,
    ( ~ p(X3)
    | esk789_0
    | ~ p(X2)
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_2018,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | ~ esk4958_4(X1,X2,X3,X4) )).

cnf(i_0_2019,axiom,
    ( ~ esk6628_4(X1,X2,X3,X4)
    | esk8728_4(X1,X2,X3,X4) )).

cnf(i_0_2020,axiom,
    ( ~ esk4599_4(X1,X2,X3,X4)
    | esk4147_4(X1,X2,X3,X4) )).

cnf(i_0_2021,axiom,
    ( esk2084_4(X1,X2,X3,X4)
    | esk1997_4(X1,X2,X3,X4) )).

cnf(i_0_2022,axiom,
    ( ~ esk6532_4(X1,X2,X3,X4)
    | esk6531_4(X1,X2,X3,X4)
    | esk6530_4(X1,X2,X3,X4) )).

cnf(i_0_2023,axiom,
    ( esk9474_4(X1,X2,X3,X4)
    | esk9473_4(X1,X2,X3,X4)
    | ~ esk9475_4(X1,X2,X3,X4) )).

cnf(i_0_2024,axiom,
    ( esk8170_4(X1,X2,X3,X4)
    | ~ esk8668_4(X1,X2,X3,X4) )).

cnf(i_0_2025,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk9395_4(X1,X2,X3,X4)
    | esk9398_4(X1,X2,X3,X4) )).

cnf(i_0_2026,axiom,
    ( ~ esk6700_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_2027,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4873_4(X1,X2,X3,X4) )).

cnf(i_0_2028,axiom,
    ( esk9159_4(X1,X2,X3,X4)
    | ~ esk9158_4(X1,X2,X3,X4) )).

cnf(i_0_2029,axiom,
    ( ~ esk8883_4(X1,X2,X3,X4)
    | esk8881_4(X1,X2,X3,X4)
    | esk8882_4(X1,X2,X3,X4) )).

cnf(i_0_2030,axiom,
    ( ~ esk6076_4(X1,X2,X3,X4)
    | ~ esk6853_4(X1,X2,X3,X4) )).

cnf(i_0_2031,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk1294_0
    | esk9238_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_2032,axiom,
    ( esk8848_4(X1,X2,X3,X4)
    | ~ esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_2033,axiom,
    ( ~ esk8294_4(X1,X2,X3,X4)
    | esk8546_4(X1,X2,X3,X4)
    | esk8507_4(X1,X2,X3,X4) )).

cnf(i_0_2034,axiom,
    ( ~ esk5476_4(X1,X2,X3,X4)
    | esk4729_4(X1,X2,X3,X4) )).

cnf(i_0_2035,axiom,
    ( ~ esk5534_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_2036,axiom,
    ( p(X4)
    | esk301_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2037,axiom,
    ( esk978_0
    | p(X1)
    | p(X4)
    | ~ esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_2038,axiom,
    ( esk4378_4(X1,X2,X3,X4)
    | ~ esk4522_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_2039,axiom,
    ( esk3230_4(X1,X2,X3,X4)
    | ~ esk3233_4(X1,X2,X3,X4) )).

cnf(i_0_2040,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1907_4(X1,X2,X3,X4) )).

cnf(i_0_2041,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4821_4(X1,X2,X3,X4) )).

cnf(i_0_2042,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk706_0
    | p(X3)
    | esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_2043,axiom,
    ( esk4190_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_2044,axiom,
    ( ~ esk6533_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2045,axiom,
    ( esk3422_4(X1,X2,X3,X4)
    | ~ esk2777_4(X1,X2,X3,X4) )).

cnf(i_0_2046,axiom,
    ( esk3695_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_2047,axiom,
    ( ~ esk2984_4(X1,X2,X3,X4)
    | esk2970_4(X1,X2,X3,X4) )).

cnf(i_0_2048,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | esk2444_4(X1,X2,X3,X4)
    | esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_2049,axiom,
    ( esk3990_4(X1,X2,X3,X4)
    | esk3989_4(X1,X2,X3,X4)
    | ~ esk3991_4(X1,X2,X3,X4) )).

cnf(i_0_2050,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk239_0 )).

cnf(i_0_2051,axiom,
    ( esk6447_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_2052,axiom,
    ( p(X4)
    | p(X3)
    | esk303_0
    | ~ esk8214_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_2053,axiom,
    ( ~ esk5113_4(X1,X2,X3,X4)
    | esk5143_4(X1,X2,X3,X4)
    | ~ esk5142_4(X1,X2,X3,X4) )).

cnf(i_0_2054,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8437_4(X1,X2,X3,X4) )).

cnf(i_0_2055,axiom,
    ( esk5439_4(X1,X2,X3,X4)
    | ~ esk5441_4(X1,X2,X3,X4)
    | esk5440_4(X1,X2,X3,X4) )).

cnf(i_0_2056,axiom,
    ( esk5200_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5197_4(X1,X2,X3,X4) )).

cnf(i_0_2057,axiom,
    ( ~ esk3878_4(X1,X2,X3,X4)
    | esk3879_4(X1,X2,X3,X4) )).

cnf(i_0_2058,axiom,
    ( ~ esk1688_4(X1,X2,X3,X4)
    | esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_2059,axiom,
    ( ~ esk5711_4(X1,X2,X3,X4)
    | esk5712_4(X1,X2,X3,X4) )).

cnf(i_0_2060,axiom,
    ( esk2734_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_2061,axiom,
    ( esk2942_4(X1,X2,X3,X4)
    | ~ esk1565_4(X1,X2,X3,X4) )).

cnf(i_0_2062,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | ~ esk2020_4(X1,X2,X3,X4) )).

cnf(i_0_2063,axiom,
    ( esk5773_4(X1,X2,X3,X4)
    | ~ esk5771_4(X1,X2,X3,X4) )).

cnf(i_0_2064,axiom,
    ( esk2714_4(X1,X2,X3,X4)
    | ~ esk2712_4(X1,X2,X3,X4) )).

cnf(i_0_2065,axiom,
    ( ~ esk3598_4(X1,X2,X3,X4)
    | esk3599_4(X1,X2,X3,X4)
    | ~ esk4985_4(X1,X2,X3,X4) )).

cnf(i_0_2066,axiom,
    ( esk4623_4(X1,X2,X3,X4)
    | ~ esk4621_4(X1,X2,X3,X4) )).

cnf(i_0_2067,axiom,
    ( ~ esk8723_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk625_0 )).

cnf(i_0_2068,axiom,
    ( esk2745_4(X1,X2,X3,X4)
    | ~ esk2747_4(X1,X2,X3,X4)
    | esk2746_4(X1,X2,X3,X4) )).

cnf(i_0_2069,axiom,
    ( ~ esk7270_4(X1,X2,X3,X4)
    | esk7272_4(X1,X2,X3,X4) )).

cnf(i_0_2070,axiom,
    ( ~ esk8735_4(X1,X2,X3,X4)
    | p(X1)
    | esk715_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_2071,axiom,
    ( esk8016_4(X1,X2,X3,X4)
    | ~ esk8014_4(X1,X2,X3,X4) )).

cnf(i_0_2072,axiom,
    ( esk4703_4(X1,X2,X3,X4)
    | ~ esk4705_4(X1,X2,X3,X4)
    | esk4704_4(X1,X2,X3,X4) )).

cnf(i_0_2073,axiom,
    ( ~ esk4890_4(X1,X2,X3,X4)
    | esk4796_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_2074,axiom,
    ( ~ esk8019_4(X1,X2,X3,X4)
    | esk8020_4(X1,X2,X3,X4) )).

cnf(i_0_2075,axiom,
    ( ~ esk3196_4(X1,X2,X3,X4)
    | esk3195_4(X1,X2,X3,X4) )).

cnf(i_0_2076,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk541_0
    | ~ esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_2077,axiom,
    ( ~ esk1548_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_2078,axiom,
    ( ~ esk5690_4(X1,X2,X3,X4)
    | esk7078_4(X1,X2,X3,X4) )).

cnf(i_0_2079,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8239_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_2080,axiom,
    ( ~ esk1657_4(X1,X2,X3,X4)
    | esk1658_4(X1,X2,X3,X4)
    | ~ esk1707_4(X1,X2,X3,X4) )).

cnf(i_0_2081,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk909_0
    | ~ esk2801_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_2082,axiom,
    ( esk6820_4(X1,X2,X3,X4)
    | ~ esk7559_4(X1,X2,X3,X4) )).

cnf(i_0_2083,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4097_4(X1,X2,X3,X4) )).

cnf(i_0_2084,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4)
    | esk3549_4(X1,X2,X3,X4) )).

cnf(i_0_2085,axiom,
    ( esk6112_4(X1,X2,X3,X4)
    | ~ esk6143_4(X1,X2,X3,X4) )).

cnf(i_0_2086,axiom,
    ( esk7948_4(X1,X2,X3,X4)
    | ~ esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_2087,axiom,
    ( p(X2)
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk171_0 )).

cnf(i_0_2088,axiom,
    ( ~ esk7402_4(X1,X2,X3,X4)
    | esk7396_4(X1,X2,X3,X4) )).

cnf(i_0_2089,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | p(X4)
    | esk2799_4(X1,X2,X3,X4)
    | ~ esk1_0 )).

cnf(i_0_2090,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk876_0
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_2091,axiom,
    ( ~ esk8513_4(X1,X2,X3,X4)
    | esk8514_4(X1,X2,X3,X4) )).

cnf(i_0_2092,axiom,
    ( ~ p(X3)
    | ~ esk8248_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk325_0 )).

cnf(i_0_2093,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk128_0
    | p(X1) )).

cnf(i_0_2094,axiom,
    ( ~ esk4839_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_2095,axiom,
    ( esk6075_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4)
    | ~ esk6326_4(X1,X2,X3,X4) )).

cnf(i_0_2096,axiom,
    ( esk1792_4(X1,X2,X3,X4)
    | ~ esk1791_4(X1,X2,X3,X4) )).

cnf(i_0_2097,axiom,
    ( esk4890_4(X1,X2,X3,X4)
    | ~ esk4566_4(X1,X2,X3,X4) )).

cnf(i_0_2098,axiom,
    ( esk4871_4(X1,X2,X3,X4)
    | ~ esk4872_4(X1,X2,X3,X4) )).

cnf(i_0_2099,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2559_4(X1,X2,X3,X4) )).

cnf(i_0_2100,axiom,
    ( esk4904_4(X1,X2,X3,X4)
    | ~ esk4982_4(X1,X2,X3,X4) )).

cnf(i_0_2101,axiom,
    ( ~ esk5180_4(X1,X2,X3,X4)
    | esk5181_4(X1,X2,X3,X4) )).

cnf(i_0_2102,axiom,
    ( ~ esk8037_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_2103,axiom,
    ( ~ esk3348_4(X1,X2,X3,X4)
    | esk3347_4(X1,X2,X3,X4) )).

cnf(i_0_2104,axiom,
    ( ~ esk8391_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_2105,axiom,
    ( ~ esk6586_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_2106,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_2107,axiom,
    ( ~ esk7478_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_2108,axiom,
    ( esk7674_4(X1,X2,X3,X4)
    | ~ esk8549_4(X1,X2,X3,X4) )).

cnf(i_0_2109,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk2908_4(X1,X2,X3,X4)
    | ~ esk1231_0
    | p(X4) )).

cnf(i_0_2110,axiom,
    ( esk2898_4(X1,X2,X3,X4)
    | ~ esk1605_4(X1,X2,X3,X4) )).

cnf(i_0_2111,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk416_0
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_2112,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | esk6588_4(X1,X2,X3,X4)
    | ~ esk6439_4(X1,X2,X3,X4) )).

cnf(i_0_2113,axiom,
    ( ~ esk7179_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_2114,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | esk505_0
    | p(X4)
    | ~ esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_2115,axiom,
    ( esk3717_4(X1,X2,X3,X4)
    | esk3716_4(X1,X2,X3,X4)
    | ~ esk3718_4(X1,X2,X3,X4) )).

cnf(i_0_2116,axiom,
    ( ~ esk6716_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_2117,axiom,
    ( ~ esk4865_4(X1,X2,X3,X4)
    | esk4866_4(X1,X2,X3,X4) )).

cnf(i_0_2118,axiom,
    ( p(X1)
    | esk818_0
    | p(X3)
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2119,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | esk888_0
    | p(X1)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_2120,axiom,
    ( ~ esk6542_4(X1,X2,X3,X4)
    | esk6544_4(X1,X2,X3,X4) )).

cnf(i_0_2121,axiom,
    ( ~ esk9088_4(X1,X2,X3,X4)
    | esk9598_4(X1,X2,X3,X4) )).

cnf(i_0_2122,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8577_4(X1,X2,X3,X4)
    | esk8683_4(X1,X2,X3,X4) )).

cnf(i_0_2123,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk1776_4(X1,X2,X3,X4)
    | esk252_0
    | ~ p(X1) )).

cnf(i_0_2124,axiom,
    ( ~ esk6633_4(X1,X2,X3,X4)
    | esk6251_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_2125,axiom,
    ( ~ esk125_0
    | p(X1)
    | ~ p(X3)
    | esk7967_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_2126,axiom,
    ( ~ esk73_0
    | esk7774_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_2127,axiom,
    ( ~ esk3901_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_2128,axiom,
    ( esk2761_4(X1,X2,X3,X4)
    | ~ esk2763_4(X1,X2,X3,X4)
    | esk2762_4(X1,X2,X3,X4) )).

cnf(i_0_2129,axiom,
    ( esk8211_4(X1,X2,X3,X4)
    | ~ esk8242_4(X1,X2,X3,X4) )).

cnf(i_0_2130,axiom,
    ( esk7591_4(X1,X2,X3,X4)
    | ~ esk7592_4(X1,X2,X3,X4)
    | esk7590_4(X1,X2,X3,X4) )).

cnf(i_0_2131,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk9166_4(X1,X2,X3,X4)
    | ~ esk1067_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_2132,axiom,
    ( esk4447_4(X1,X2,X3,X4)
    | esk4448_4(X1,X2,X3,X4)
    | ~ esk4449_4(X1,X2,X3,X4) )).

cnf(i_0_2133,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk8725_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk644_0
    | ~ p(X1) )).

cnf(i_0_2134,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4614_4(X1,X2,X3,X4) )).

cnf(i_0_2135,axiom,
    ( esk3790_4(X1,X2,X3,X4)
    | ~ esk3821_4(X1,X2,X3,X4) )).

cnf(i_0_2136,axiom,
    ( esk7976_4(X1,X2,X3,X4)
    | esk8798_4(X1,X2,X3,X4) )).

cnf(i_0_2137,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2031_4(X1,X2,X3,X4) )).

cnf(i_0_2138,axiom,
    ( ~ esk6635_4(X1,X2,X3,X4)
    | ~ esk6082_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_2139,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk690_0
    | p(X3)
    | ~ p(X2)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_2140,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3990_4(X1,X2,X3,X4) )).

cnf(i_0_2141,axiom,
    ( ~ esk1063_0
    | p(X2)
    | esk2870_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2142,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3335_4(X1,X2,X3,X4) )).

cnf(i_0_2143,axiom,
    ( esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_2144,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6126_4(X1,X2,X3,X4) )).

cnf(i_0_2145,axiom,
    ( ~ esk3859_4(X1,X2,X3,X4)
    | ~ esk5019_4(X1,X2,X3,X4) )).

cnf(i_0_2146,axiom,
    ( ~ esk2979_4(X1,X2,X3,X4)
    | esk2980_4(X1,X2,X3,X4)
    | ~ esk2974_4(X1,X2,X3,X4) )).

cnf(i_0_2147,axiom,
    ( esk6596_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6361_4(X1,X2,X3,X4) )).

cnf(i_0_2148,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9469_4(X1,X2,X3,X4) )).

cnf(i_0_2149,axiom,
    ( ~ esk5924_4(X1,X2,X3,X4)
    | esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_2150,axiom,
    ( ~ esk7626_4(X1,X2,X3,X4)
    | esk6916_4(X1,X2,X3,X4) )).

cnf(i_0_2151,axiom,
    ( esk9659_4(X1,X2,X3,X4)
    | ~ esk9662_4(X1,X2,X3,X4) )).

cnf(i_0_2152,axiom,
    ( ~ esk5984_4(X1,X2,X3,X4)
    | esk6544_4(X1,X2,X3,X4) )).

cnf(i_0_2153,axiom,
    ( esk7992_4(X1,X2,X3,X4)
    | ~ esk8163_4(X1,X2,X3,X4) )).

cnf(i_0_2154,axiom,
    ( esk4912_4(X1,X2,X3,X4)
    | ~ esk3507_4(X1,X2,X3,X4) )).

cnf(i_0_2155,axiom,
    ( ~ esk9352_4(X1,X2,X3,X4)
    | esk9353_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_2156,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1580_4(X1,X2,X3,X4) )).

cnf(i_0_2157,axiom,
    ( esk1772_4(X1,X2,X3,X4)
    | ~ esk1771_4(X1,X2,X3,X4) )).

cnf(i_0_2158,axiom,
    ( esk2023_4(X1,X2,X3,X4)
    | ~ esk2288_4(X1,X2,X3,X4) )).

cnf(i_0_2159,axiom,
    ( esk1922_4(X1,X2,X3,X4)
    | ~ esk2093_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_2160,axiom,
    ( ~ esk1907_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2161,axiom,
    ( ~ esk7241_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_2162,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7233_4(X1,X2,X3,X4) )).

cnf(i_0_2163,axiom,
    ( esk1472_4(X1,X2,X3,X4)
    | ~ esk1471_4(X1,X2,X3,X4) )).

cnf(i_0_2164,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_2165,axiom,
    ( esk8368_4(X1,X2,X3,X4)
    | ~ esk8366_4(X1,X2,X3,X4) )).

cnf(i_0_2166,axiom,
    ( esk6164_4(X1,X2,X3,X4)
    | ~ esk6228_4(X1,X2,X3,X4) )).

cnf(i_0_2167,axiom,
    ( esk9203_4(X1,X2,X3,X4)
    | ~ esk9201_4(X1,X2,X3,X4) )).

cnf(i_0_2168,axiom,
    ( ~ esk6607_4(X1,X2,X3,X4)
    | esk7412_4(X1,X2,X3,X4) )).

cnf(i_0_2169,axiom,
    ( esk6020_4(X1,X2,X3,X4)
    | ~ esk5958_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_2170,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6570_4(X1,X2,X3,X4) )).

cnf(i_0_2171,axiom,
    ( ~ esk8279_4(X1,X2,X3,X4)
    | esk8667_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_2172,axiom,
    ( esk7432_4(X1,X2,X3,X4)
    | ~ esk7431_4(X1,X2,X3,X4) )).

cnf(i_0_2173,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4869_4(X1,X2,X3,X4) )).

cnf(i_0_2174,axiom,
    ( esk7944_4(X1,X2,X3,X4)
    | ~ esk8000_4(X1,X2,X3,X4) )).

cnf(i_0_2175,axiom,
    ( ~ esk7217_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2176,axiom,
    ( esk49_0
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk1444_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_2177,axiom,
    ( esk6297_4(X1,X2,X3,X4)
    | ~ esk6296_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_2178,axiom,
    ( ~ esk9009_4(X1,X2,X3,X4)
    | esk9008_4(X1,X2,X3,X4) )).

cnf(i_0_2179,axiom,
    ( ~ esk7506_4(X1,X2,X3,X4)
    | esk6760_4(X1,X2,X3,X4) )).

cnf(i_0_2180,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk569_0
    | esk8715_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_2181,axiom,
    ( ~ esk5236_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_2182,axiom,
    ( esk4887_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_2183,axiom,
    ( p(X1)
    | ~ esk2437_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk1_0
    | p(X4) )).

cnf(i_0_2184,axiom,
    ( esk2010_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2185,axiom,
    ( ~ esk1722_4(X1,X2,X3,X4)
    | esk1723_4(X1,X2,X3,X4) )).

cnf(i_0_2186,axiom,
    ( esk8325_4(X1,X2,X3,X4)
    | ~ esk8324_4(X1,X2,X3,X4) )).

cnf(i_0_2187,axiom,
    ( esk8302_4(X1,X2,X3,X4)
    | ~ esk8328_4(X1,X2,X3,X4) )).

cnf(i_0_2188,axiom,
    ( ~ esk8732_4(X1,X2,X3,X4)
    | esk8174_4(X1,X2,X3,X4) )).

cnf(i_0_2189,axiom,
    ( ~ esk613_0
    | p(X2)
    | esk2425_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2190,axiom,
    ( esk4607_4(X1,X2,X3,X4)
    | ~ esk4606_4(X1,X2,X3,X4) )).

cnf(i_0_2191,axiom,
    ( ~ esk2304_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2192,axiom,
    ( ~ esk210_0
    | p(X4)
    | esk8050_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_2193,axiom,
    ( esk8546_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_2194,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1164_0
    | esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_2195,axiom,
    ( esk2276_4(X1,X2,X3,X4)
    | ~ esk2310_4(X1,X2,X3,X4) )).

cnf(i_0_2196,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk1_0
    | p(X4)
    | p(X1)
    | esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_2197,axiom,
    ( ~ esk3793_4(X1,X2,X3,X4)
    | esk3794_4(X1,X2,X3,X4) )).

cnf(i_0_2198,axiom,
    ( p(X1)
    | p(X4)
    | esk9091_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk862_0
    | ~ p(X2) )).

cnf(i_0_2199,axiom,
    ( ~ esk8084_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_2200,axiom,
    ( ~ esk3675_4(X1,X2,X3,X4)
    | ~ esk4967_4(X1,X2,X3,X4)
    | esk3676_4(X1,X2,X3,X4) )).

cnf(i_0_2201,axiom,
    ( esk7165_4(X1,X2,X3,X4)
    | ~ esk7166_4(X1,X2,X3,X4) )).

cnf(i_0_2202,axiom,
    ( esk1639_4(X1,X2,X3,X4)
    | ~ esk1637_4(X1,X2,X3,X4) )).

cnf(i_0_2203,axiom,
    ( ~ esk8443_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_2204,axiom,
    ( esk6687_4(X1,X2,X3,X4)
    | ~ esk6878_4(X1,X2,X3,X4) )).

cnf(i_0_2205,axiom,
    ( ~ esk3688_4(X1,X2,X3,X4)
    | esk3690_4(X1,X2,X3,X4) )).

cnf(i_0_2206,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2277_4(X1,X2,X3,X4) )).

cnf(i_0_2207,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7521_4(X1,X2,X3,X4) )).

cnf(i_0_2208,axiom,
    ( ~ esk5669_4(X1,X2,X3,X4)
    | esk5670_4(X1,X2,X3,X4) )).

cnf(i_0_2209,axiom,
    ( ~ esk6305_4(X1,X2,X3,X4)
    | esk6307_4(X1,X2,X3,X4) )).

cnf(i_0_2210,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4493_4(X1,X2,X3,X4) )).

cnf(i_0_2211,axiom,
    ( ~ esk3396_4(X1,X2,X3,X4)
    | esk3398_4(X1,X2,X3,X4) )).

cnf(i_0_2212,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | esk1516_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk89_0 )).

cnf(i_0_2213,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3165_4(X1,X2,X3,X4) )).

cnf(i_0_2214,axiom,
    ( ~ esk4109_4(X1,X2,X3,X4)
    | esk4110_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_2215,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2068_4(X1,X2,X3,X4) )).

cnf(i_0_2216,axiom,
    ( ~ esk5359_4(X1,X2,X3,X4)
    | esk5358_4(X1,X2,X3,X4) )).

cnf(i_0_2217,axiom,
    ( ~ esk3916_4(X1,X2,X3,X4)
    | esk3915_4(X1,X2,X3,X4)
    | esk3914_4(X1,X2,X3,X4) )).

cnf(i_0_2218,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4708_4(X1,X2,X3,X4) )).

cnf(i_0_2219,axiom,
    ( ~ esk5126_4(X1,X2,X3,X4)
    | esk5127_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_2220,axiom,
    ( ~ esk3596_4(X1,X2,X3,X4)
    | esk3597_4(X1,X2,X3,X4) )).

cnf(i_0_2221,axiom,
    ( ~ esk146_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk1746_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_2222,axiom,
    ( ~ esk9357_4(X1,X2,X3,X4)
    | esk9359_4(X1,X2,X3,X4) )).

cnf(i_0_2223,axiom,
    ( ~ p(X1)
    | esk446_0
    | p(X3)
    | p(X2)
    | ~ esk8388_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_2224,axiom,
    ( p(X1)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1098_0
    | p(X2)
    | p(X3) )).

cnf(i_0_2225,axiom,
    ( esk5877_4(X1,X2,X3,X4)
    | ~ esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_2226,axiom,
    ( ~ esk39_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk1442_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_2227,axiom,
    ( ~ esk2475_4(X1,X2,X3,X4)
    | esk2476_4(X1,X2,X3,X4)
    | ~ esk2499_4(X1,X2,X3,X4) )).

cnf(i_0_2228,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X4)
    | esk2886_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1165_0 )).

cnf(i_0_2229,axiom,
    ( esk47_0
    | ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_2230,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7197_4(X1,X2,X3,X4) )).

cnf(i_0_2231,axiom,
    ( esk1762_4(X1,X2,X3,X4)
    | ~ esk1761_4(X1,X2,X3,X4)
    | ~ esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_2232,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4705_4(X1,X2,X3,X4)
    | esk5428_4(X1,X2,X3,X4) )).

cnf(i_0_2233,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4734_4(X1,X2,X3,X4) )).

cnf(i_0_2234,axiom,
    ( esk9088_4(X1,X2,X3,X4)
    | ~ esk8764_4(X1,X2,X3,X4) )).

cnf(i_0_2235,axiom,
    ( esk3154_4(X1,X2,X3,X4)
    | ~ esk3152_4(X1,X2,X3,X4) )).

cnf(i_0_2236,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk1287_0
    | p(X2)
    | p(X4)
    | esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_2237,axiom,
    ( p(X3)
    | ~ esk9093_4(X1,X2,X3,X4)
    | p(X2)
    | esk882_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_2238,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | ~ esk2441_4(X1,X2,X3,X4) )).

cnf(i_0_2239,axiom,
    ( esk7932_4(X1,X2,X3,X4)
    | ~ esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_2240,axiom,
    ( esk2978_4(X1,X2,X3,X4)
    | ~ esk2976_4(X1,X2,X3,X4) )).

cnf(i_0_2241,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8988_4(X1,X2,X3,X4) )).

cnf(i_0_2242,axiom,
    ( ~ esk5296_4(X1,X2,X3,X4)
    | esk5297_4(X1,X2,X3,X4) )).

cnf(i_0_2243,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8443_4(X1,X2,X3,X4) )).

cnf(i_0_2244,axiom,
    ( ~ p(X4)
    | ~ esk984_0
    | ~ p(X2)
    | ~ p(X3)
    | esk2811_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_2245,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk1286_0
    | ~ p(X1)
    | esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_2246,axiom,
    ( ~ esk6912_4(X1,X2,X3,X4)
    | esk6910_4(X1,X2,X3,X4)
    | esk6911_4(X1,X2,X3,X4) )).

cnf(i_0_2247,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | ~ esk758_0
    | p(X3)
    | p(X1) )).

cnf(i_0_2248,axiom,
    ( esk8834_4(X1,X2,X3,X4)
    | ~ esk8832_4(X1,X2,X3,X4) )).

cnf(i_0_2249,axiom,
    ( ~ esk5460_4(X1,X2,X3,X4)
    | esk5461_4(X1,X2,X3,X4) )).

cnf(i_0_2250,axiom,
    ( ~ esk2740_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_2251,axiom,
    ( ~ esk1283_0
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_2252,axiom,
    ( ~ p(X2)
    | ~ esk8_0
    | esk7734_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_2253,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk652_0 )).

cnf(i_0_2254,axiom,
    ( ~ esk9232_4(X1,X2,X3,X4)
    | esk9233_4(X1,X2,X3,X4) )).

cnf(i_0_2255,axiom,
    ( ~ esk106_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk7937_4(X1,X2,X3,X4) )).

cnf(i_0_2256,axiom,
    ( ~ esk6859_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_2257,axiom,
    ( p(X4)
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk99_0
    | p(X1) )).

cnf(i_0_2258,axiom,
    ( esk9227_4(X1,X2,X3,X4)
    | ~ esk9225_4(X1,X2,X3,X4) )).

cnf(i_0_2259,axiom,
    ( esk9136_4(X1,X2,X3,X4)
    | ~ esk9129_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_2260,axiom,
    ( ~ esk7116_4(X1,X2,X3,X4)
    | esk5908_4(X1,X2,X3,X4) )).

cnf(i_0_2261,axiom,
    ( ~ esk1442_4(X1,X2,X3,X4)
    | p(X4)
    | esk44_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_2262,axiom,
    ( ~ esk3334_4(X1,X2,X3,X4)
    | ~ esk2752_4(X1,X2,X3,X4)
    | esk2753_4(X1,X2,X3,X4) )).

cnf(i_0_2263,axiom,
    ( ~ esk8555_4(X1,X2,X3,X4)
    | esk8554_4(X1,X2,X3,X4) )).

cnf(i_0_2264,axiom,
    ( p(X4)
    | ~ esk1093_0
    | p(X2)
    | ~ p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_2265,axiom,
    ( esk3458_4(X1,X2,X3,X4)
    | ~ esk4122_4(X1,X2,X3,X4) )).

cnf(i_0_2266,axiom,
    ( ~ esk3302_4(X1,X2,X3,X4)
    | ~ esk2571_4(X1,X2,X3,X4)
    | esk2585_4(X1,X2,X3,X4) )).

cnf(i_0_2267,axiom,
    ( ~ esk6993_4(X1,X2,X3,X4)
    | esk6794_4(X1,X2,X3,X4)
    | ~ esk6793_4(X1,X2,X3,X4) )).

cnf(i_0_2268,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk7022_4(X1,X2,X3,X4)
    | ~ esk7023_4(X1,X2,X3,X4) )).

cnf(i_0_2269,axiom,
    ( ~ esk9049_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_2270,axiom,
    ( esk7129_4(X1,X2,X3,X4)
    | ~ esk9229_4(X1,X2,X3,X4) )).

cnf(i_0_2271,axiom,
    ( esk4480_4(X1,X2,X3,X4)
    | ~ esk4061_4(X1,X2,X3,X4)
    | ~ esk4479_4(X1,X2,X3,X4) )).

cnf(i_0_2272,axiom,
    ( ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk467_0
    | ~ p(X3) )).

cnf(i_0_2273,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5408_4(X1,X2,X3,X4) )).

cnf(i_0_2274,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk5885_4(X1,X2,X3,X4) )).

cnf(i_0_2275,axiom,
    ( ~ esk2262_4(X1,X2,X3,X4)
    | esk2109_4(X1,X2,X3,X4) )).

cnf(i_0_2276,axiom,
    ( ~ esk6214_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_2277,axiom,
    ( ~ esk5251_4(X1,X2,X3,X4)
    | esk5237_4(X1,X2,X3,X4) )).

cnf(i_0_2278,axiom,
    ( ~ esk2349_4(X1,X2,X3,X4)
    | esk2350_4(X1,X2,X3,X4) )).

cnf(i_0_2279,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5072_4(X1,X2,X3,X4) )).

cnf(i_0_2280,axiom,
    ( esk5367_4(X1,X2,X3,X4)
    | ~ esk5369_4(X1,X2,X3,X4)
    | esk5368_4(X1,X2,X3,X4) )).

cnf(i_0_2281,axiom,
    ( esk6988_4(X1,X2,X3,X4)
    | ~ esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_2282,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk2433_4(X1,X2,X3,X4)
    | p(X4)
    | esk668_0
    | ~ p(X2) )).

cnf(i_0_2283,axiom,
    ( esk6430_4(X1,X2,X3,X4)
    | esk6429_4(X1,X2,X3,X4)
    | ~ esk6431_4(X1,X2,X3,X4) )).

cnf(i_0_2284,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk7984_4(X1,X2,X3,X4) )).

cnf(i_0_2285,axiom,
    ( ~ esk3495_4(X1,X2,X3,X4)
    | esk4975_4(X1,X2,X3,X4) )).

cnf(i_0_2286,axiom,
    ( ~ p(X1)
    | ~ esk8254_4(X1,X2,X3,X4)
    | esk362_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_2287,axiom,
    ( esk5673_4(X1,X2,X3,X4)
    | ~ esk5560_4(X1,X2,X3,X4) )).

cnf(i_0_2288,axiom,
    ( ~ esk5780_4(X1,X2,X3,X4)
    | esk5781_4(X1,X2,X3,X4) )).

cnf(i_0_2289,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ esk253_0 )).

cnf(i_0_2290,axiom,
    ( esk8923_4(X1,X2,X3,X4)
    | ~ esk9666_4(X1,X2,X3,X4) )).

cnf(i_0_2291,axiom,
    ( ~ esk9089_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk857_0 )).

cnf(i_0_2292,axiom,
    ( ~ esk3860_4(X1,X2,X3,X4)
    | esk3528_4(X1,X2,X3,X4) )).

cnf(i_0_2293,axiom,
    ( esk8159_4(X1,X2,X3,X4)
    | ~ esk7987_4(X1,X2,X3,X4) )).

cnf(i_0_2294,axiom,
    ( ~ esk7227_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2295,axiom,
    ( p(X3)
    | ~ esk787_0
    | esk2785_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_2296,axiom,
    ( ~ esk4257_4(X1,X2,X3,X4)
    | esk4258_4(X1,X2,X3,X4) )).

cnf(i_0_2297,axiom,
    ( esk1822_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4)
    | ~ esk1760_4(X1,X2,X3,X4) )).

cnf(i_0_2298,axiom,
    ( ~ esk6387_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_2299,axiom,
    ( esk9463_4(X1,X2,X3,X4)
    | ~ esk9461_4(X1,X2,X3,X4) )).

cnf(i_0_2300,axiom,
    ( esk3314_4(X1,X2,X3,X4)
    | ~ esk3317_4(X1,X2,X3,X4) )).

cnf(i_0_2301,axiom,
    ( ~ esk5643_4(X1,X2,X3,X4)
    | esk7075_4(X1,X2,X3,X4) )).

cnf(i_0_2302,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2235_4(X1,X2,X3,X4)
    | ~ esk2234_4(X1,X2,X3,X4) )).

cnf(i_0_2303,axiom,
    ( ~ esk7557_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_2304,axiom,
    ( esk8837_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8874_4(X1,X2,X3,X4) )).

cnf(i_0_2305,axiom,
    ( ~ esk7766_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_2306,axiom,
    ( p(X3)
    | ~ esk2874_4(X1,X2,X3,X4)
    | esk1091_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2307,axiom,
    ( esk3805_4(X1,X2,X3,X4)
    | ~ esk5027_4(X1,X2,X3,X4) )).

cnf(i_0_2308,axiom,
    ( ~ esk193_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk1752_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_2309,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk1918_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk312_0 )).

cnf(i_0_2310,axiom,
    ( ~ esk8166_4(X1,X2,X3,X4)
    | esk7994_4(X1,X2,X3,X4) )).

cnf(i_0_2311,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6551_4(X1,X2,X3,X4) )).

cnf(i_0_2312,axiom,
    ( esk9596_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_2313,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | esk6053_4(X1,X2,X3,X4) )).

cnf(i_0_2314,axiom,
    ( ~ esk4722_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_2315,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | ~ esk2201_4(X1,X2,X3,X4) )).

cnf(i_0_2316,axiom,
    ( esk8950_4(X1,X2,X3,X4)
    | esk8949_4(X1,X2,X3,X4)
    | ~ esk8951_4(X1,X2,X3,X4) )).

cnf(i_0_2317,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk116_0
    | ~ esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_2318,axiom,
    ( ~ esk9069_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_2319,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5354_4(X1,X2,X3,X4) )).

cnf(i_0_2320,axiom,
    ( esk3989_4(X1,X2,X3,X4)
    | ~ esk4320_4(X1,X2,X3,X4)
    | ~ esk3988_4(X1,X2,X3,X4) )).

cnf(i_0_2321,axiom,
    ( ~ esk9093_4(X1,X2,X3,X4)
    | esk884_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2322,axiom,
    ( esk7923_4(X1,X2,X3,X4)
    | ~ esk7860_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_2323,axiom,
    ( esk7442_4(X1,X2,X3,X4)
    | ~ esk7441_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_2324,axiom,
    ( esk3331_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_2325,axiom,
    ( esk6325_4(X1,X2,X3,X4)
    | ~ esk6360_4(X1,X2,X3,X4) )).

cnf(i_0_2326,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2789_4(X1,X2,X3,X4)
    | p(X3)
    | esk825_0 )).

cnf(i_0_2327,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk601_0
    | esk2423_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_2328,axiom,
    ( esk2163_4(X1,X2,X3,X4)
    | ~ esk2398_4(X1,X2,X3,X4) )).

cnf(i_0_2329,axiom,
    ( esk4850_4(X1,X2,X3,X4)
    | ~ esk4848_4(X1,X2,X3,X4) )).

cnf(i_0_2330,axiom,
    ( ~ esk2114_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_2331,axiom,
    ( esk5627_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_2332,axiom,
    ( ~ esk3412_4(X1,X2,X3,X4)
    | esk3414_4(X1,X2,X3,X4) )).

cnf(i_0_2333,axiom,
    ( ~ esk2389_4(X1,X2,X3,X4)
    | esk2391_4(X1,X2,X3,X4) )).

cnf(i_0_2334,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7414_4(X1,X2,X3,X4) )).

cnf(i_0_2335,axiom,
    ( esk7068_4(X1,X2,X3,X4)
    | ~ esk5598_4(X1,X2,X3,X4) )).

cnf(i_0_2336,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8196_4(X1,X2,X3,X4) )).

cnf(i_0_2337,axiom,
    ( ~ esk5440_4(X1,X2,X3,X4)
    | esk5441_4(X1,X2,X3,X4) )).

cnf(i_0_2338,axiom,
    ( ~ esk2431_4(X1,X2,X3,X4)
    | esk662_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_2339,axiom,
    ( ~ esk9580_4(X1,X2,X3,X4)
    | esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_2340,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk1103_0
    | ~ p(X4)
    | p(X1)
    | esk9172_4(X1,X2,X3,X4) )).

cnf(i_0_2341,axiom,
    ( ~ esk4464_4(X1,X2,X3,X4)
    | esk4465_4(X1,X2,X3,X4) )).

cnf(i_0_2342,axiom,
    ( ~ esk1213_0
    | p(X2)
    | esk2898_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2343,axiom,
    ( esk1107_0
    | p(X3)
    | ~ esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_2344,axiom,
    ( esk2499_4(X1,X2,X3,X4)
    | ~ esk2476_4(X1,X2,X3,X4) )).

cnf(i_0_2345,axiom,
    ( ~ esk7458_4(X1,X2,X3,X4)
    | esk7452_4(X1,X2,X3,X4) )).

cnf(i_0_2346,axiom,
    ( ~ esk8600_4(X1,X2,X3,X4)
    | esk8599_4(X1,X2,X3,X4)
    | esk8598_4(X1,X2,X3,X4) )).

cnf(i_0_2347,axiom,
    ( esk3251_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2348,axiom,
    ( ~ p(X3)
    | ~ esk2095_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | esk455_0 )).

cnf(i_0_2349,axiom,
    ( esk9160_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4)
    | ~ esk9161_4(X1,X2,X3,X4) )).

cnf(i_0_2350,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk1036_0
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_2351,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk1303_0
    | ~ esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_2352,axiom,
    ( ~ esk8831_4(X1,X2,X3,X4)
    | esk8832_4(X1,X2,X3,X4)
    | ~ esk8284_4(X1,X2,X3,X4) )).

cnf(i_0_2353,axiom,
    ( esk7209_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_2354,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | esk2882_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1143_0 )).

cnf(i_0_2355,axiom,
    ( esk6755_4(X1,X2,X3,X4)
    | ~ esk6819_4(X1,X2,X3,X4) )).

cnf(i_0_2356,axiom,
    ( esk5462_4(X1,X2,X3,X4)
    | ~ esk5463_4(X1,X2,X3,X4) )).

cnf(i_0_2357,axiom,
    ( esk1944_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_2358,axiom,
    ( esk7786_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7772_4(X1,X2,X3,X4) )).

cnf(i_0_2359,axiom,
    ( esk3933_4(X1,X2,X3,X4)
    | esk3934_4(X1,X2,X3,X4) )).

cnf(i_0_2360,axiom,
    ( esk5490_4(X1,X2,X3,X4)
    | ~ esk5491_4(X1,X2,X3,X4) )).

cnf(i_0_2361,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7327_4(X1,X2,X3,X4) )).

cnf(i_0_2362,axiom,
    ( ~ esk4477_4(X1,X2,X3,X4)
    | esk4478_4(X1,X2,X3,X4) )).

cnf(i_0_2363,axiom,
    ( ~ esk8720_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8578_4(X1,X2,X3,X4) )).

cnf(i_0_2364,axiom,
    ( ~ esk4845_4(X1,X2,X3,X4)
    | esk4846_4(X1,X2,X3,X4) )).

cnf(i_0_2365,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk920_0
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_2366,axiom,
    ( esk3768_4(X1,X2,X3,X4)
    | esk3622_4(X1,X2,X3,X4) )).

cnf(i_0_2367,axiom,
    ( ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1175_0 )).

cnf(i_0_2368,axiom,
    ( ~ esk5160_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_2369,axiom,
    ( esk8590_4(X1,X2,X3,X4)
    | esk8589_4(X1,X2,X3,X4)
    | ~ esk8591_4(X1,X2,X3,X4) )).

cnf(i_0_2370,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1088_0 )).

cnf(i_0_2371,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6377_4(X1,X2,X3,X4) )).

cnf(i_0_2372,axiom,
    ( ~ esk7198_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_2373,axiom,
    ( esk3468_4(X1,X2,X3,X4)
    | ~ esk3746_4(X1,X2,X3,X4) )).

cnf(i_0_2374,axiom,
    ( ~ esk4848_4(X1,X2,X3,X4)
    | esk5425_4(X1,X2,X3,X4) )).

cnf(i_0_2375,axiom,
    ( ~ esk2416_4(X1,X2,X3,X4)
    | esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_2376,axiom,
    ( esk2469_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_2377,axiom,
    ( esk3310_4(X1,X2,X3,X4)
    | ~ esk3308_4(X1,X2,X3,X4) )).

cnf(i_0_2378,axiom,
    ( esk4418_4(X1,X2,X3,X4)
    | ~ esk4194_4(X1,X2,X3,X4)
    | ~ esk4183_4(X1,X2,X3,X4) )).

cnf(i_0_2379,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5260_4(X1,X2,X3,X4) )).

cnf(i_0_2380,axiom,
    ( ~ esk1375_4(X1,X2,X3,X4)
    | esk1679_4(X1,X2,X3,X4)
    | ~ esk1678_4(X1,X2,X3,X4) )).

cnf(i_0_2381,axiom,
    ( ~ esk3885_4(X1,X2,X3,X4)
    | esk3887_4(X1,X2,X3,X4) )).

cnf(i_0_2382,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3131_4(X1,X2,X3,X4) )).

cnf(i_0_2383,axiom,
    ( ~ p(X4)
    | ~ esk649_0
    | p(X1)
    | esk8727_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_2384,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9301_4(X1,X2,X3,X4)
    | ~ esk9300_4(X1,X2,X3,X4) )).

cnf(i_0_2385,axiom,
    ( ~ p(X3)
    | esk62_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_2386,axiom,
    ( ~ esk8724_4(X1,X2,X3,X4)
    | esk6624_4(X1,X2,X3,X4) )).

cnf(i_0_2387,axiom,
    ( esk8382_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_2388,axiom,
    ( esk6505_4(X1,X2,X3,X4)
    | ~ esk6504_4(X1,X2,X3,X4) )).

cnf(i_0_2389,axiom,
    ( ~ esk3555_4(X1,X2,X3,X4)
    | esk3553_4(X1,X2,X3,X4)
    | esk3554_4(X1,X2,X3,X4) )).

cnf(i_0_2390,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk2435_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk692_0
    | ~ p(X3) )).

cnf(i_0_2391,axiom,
    ( ~ esk823_0
    | ~ p(X1)
    | p(X2)
    | esk9085_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_2392,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6005_4(X1,X2,X3,X4) )).

cnf(i_0_2393,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3735_4(X1,X2,X3,X4) )).

cnf(i_0_2394,axiom,
    ( ~ esk5088_4(X1,X2,X3,X4)
    | esk5089_4(X1,X2,X3,X4) )).

cnf(i_0_2395,axiom,
    ( esk5730_4(X1,X2,X3,X4)
    | ~ esk5731_4(X1,X2,X3,X4) )).

cnf(i_0_2396,axiom,
    ( ~ esk6036_4(X1,X2,X3,X4)
    | esk6035_4(X1,X2,X3,X4) )).

cnf(i_0_2397,axiom,
    ( esk8697_4(X1,X2,X3,X4)
    | ~ esk8698_4(X1,X2,X3,X4) )).

cnf(i_0_2398,axiom,
    ( ~ esk1282_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_2399,axiom,
    ( ~ esk6072_4(X1,X2,X3,X4)
    | esk6113_4(X1,X2,X3,X4) )).

cnf(i_0_2400,axiom,
    ( esk8122_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_2401,axiom,
    ( ~ esk2719_4(X1,X2,X3,X4)
    | ~ esk2833_4(X1,X2,X3,X4) )).

cnf(i_0_2402,axiom,
    ( ~ esk9658_4(X1,X2,X3,X4)
    | esk9659_4(X1,X2,X3,X4) )).

cnf(i_0_2403,axiom,
    ( ~ esk1805_4(X1,X2,X3,X4)
    | esk1806_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_2404,axiom,
    ( esk4867_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_2405,axiom,
    ( esk4463_4(X1,X2,X3,X4)
    | esk4464_4(X1,X2,X3,X4)
    | ~ esk4465_4(X1,X2,X3,X4) )).

cnf(i_0_2406,axiom,
    ( ~ esk5104_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_2407,axiom,
    ( ~ p(X2)
    | esk137_0
    | ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2408,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7219_4(X1,X2,X3,X4) )).

cnf(i_0_2409,axiom,
    ( ~ esk2872_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | esk1071_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_2410,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk2183_4(X1,X2,X3,X4)
    | esk2184_4(X1,X2,X3,X4) )).

cnf(i_0_2411,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk223_0
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_2412,axiom,
    ( ~ esk1150_0
    | p(X4)
    | p(X2)
    | esk2882_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_2413,axiom,
    ( p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | esk393_0
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_2414,axiom,
    ( esk5453_4(X1,X2,X3,X4)
    | ~ esk5456_4(X1,X2,X3,X4) )).

cnf(i_0_2415,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X1)
    | esk9238_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1297_0 )).

cnf(i_0_2416,axiom,
    ( esk2363_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2417,axiom,
    ( ~ esk2616_4(X1,X2,X3,X4)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_2418,axiom,
    ( ~ esk8393_4(X1,X2,X3,X4)
    | esk7654_4(X1,X2,X3,X4) )).

cnf(i_0_2419,axiom,
    ( esk2557_4(X1,X2,X3,X4)
    | ~ esk2621_4(X1,X2,X3,X4) )).

cnf(i_0_2420,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2142_4(X1,X2,X3,X4) )).

cnf(i_0_2421,axiom,
    ( esk2037_4(X1,X2,X3,X4)
    | ~ esk2038_4(X1,X2,X3,X4) )).

cnf(i_0_2422,axiom,
    ( ~ esk2539_4(X1,X2,X3,X4)
    | esk2538_4(X1,X2,X3,X4) )).

cnf(i_0_2423,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk5631_4(X1,X2,X3,X4) )).

cnf(i_0_2424,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ esk157_0
    | esk8044_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_2425,axiom,
    ( ~ esk7016_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4)
    | ~ esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_2426,axiom,
    ( ~ esk4363_4(X1,X2,X3,X4)
    | esk4397_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_2427,axiom,
    ( esk5585_4(X1,X2,X3,X4)
    | ~ esk5952_4(X1,X2,X3,X4) )).

cnf(i_0_2428,axiom,
    ( esk5353_4(X1,X2,X3,X4)
    | ~ esk5352_4(X1,X2,X3,X4) )).

cnf(i_0_2429,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk2437_4(X1,X2,X3,X4)
    | esk699_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_2430,axiom,
    ( esk2828_4(X1,X2,X3,X4)
    | ~ esk2851_4(X1,X2,X3,X4) )).

cnf(i_0_2431,axiom,
    ( ~ esk3336_4(X1,X2,X3,X4)
    | esk3338_4(X1,X2,X3,X4) )).

cnf(i_0_2432,axiom,
    ( ~ esk2522_4(X1,X2,X3,X4)
    | esk2524_4(X1,X2,X3,X4) )).

cnf(i_0_2433,axiom,
    ( ~ esk3149_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_2434,axiom,
    ( esk4207_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4174_4(X1,X2,X3,X4) )).

cnf(i_0_2435,axiom,
    ( ~ esk4418_4(X1,X2,X3,X4)
    | ~ esk3778_4(X1,X2,X3,X4)
    | esk3779_4(X1,X2,X3,X4) )).

cnf(i_0_2436,axiom,
    ( esk1440_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk28_0
    | ~ p(X1) )).

cnf(i_0_2437,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6535_4(X1,X2,X3,X4) )).

cnf(i_0_2438,axiom,
    ( ~ esk8014_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_2439,axiom,
    ( ~ esk8311_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk8312_4(X1,X2,X3,X4) )).

cnf(i_0_2440,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5863_4(X1,X2,X3,X4) )).

cnf(i_0_2441,axiom,
    ( esk2768_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_2442,axiom,
    ( ~ esk9582_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4)
    | esk8250_4(X1,X2,X3,X4) )).

cnf(i_0_2443,axiom,
    ( ~ esk4768_4(X1,X2,X3,X4)
    | esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_2444,axiom,
    ( ~ esk4767_4(X1,X2,X3,X4)
    | esk4769_4(X1,X2,X3,X4) )).

cnf(i_0_2445,axiom,
    ( esk4007_4(X1,X2,X3,X4)
    | ~ esk4005_4(X1,X2,X3,X4) )).

cnf(i_0_2446,axiom,
    ( esk9390_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9387_4(X1,X2,X3,X4) )).

cnf(i_0_2447,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk617_0
    | esk2425_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_2448,axiom,
    ( ~ esk2161_4(X1,X2,X3,X4)
    | esk2163_4(X1,X2,X3,X4) )).

cnf(i_0_2449,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X2)
    | esk2482_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk777_0 )).

cnf(i_0_2450,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8025_4(X1,X2,X3,X4) )).

cnf(i_0_2451,axiom,
    ( ~ esk3820_4(X1,X2,X3,X4)
    | esk3822_4(X1,X2,X3,X4) )).

cnf(i_0_2452,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk6001_4(X1,X2,X3,X4) )).

cnf(i_0_2453,axiom,
    ( ~ esk2802_4(X1,X2,X3,X4)
    | esk2763_4(X1,X2,X3,X4) )).

cnf(i_0_2454,axiom,
    ( esk1054_0
    | ~ p(X4)
    | ~ esk9166_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_2455,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | esk6047_4(X1,X2,X3,X4)
    | ~ esk6011_4(X1,X2,X3,X4) )).

cnf(i_0_2456,axiom,
    ( ~ esk9089_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk845_0 )).

cnf(i_0_2457,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1491_4(X1,X2,X3,X4) )).

cnf(i_0_2458,axiom,
    ( ~ esk8489_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_2459,axiom,
    ( ~ esk9091_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | esk868_0
    | ~ p(X3) )).

cnf(i_0_2460,axiom,
    ( esk3863_4(X1,X2,X3,X4)
    | ~ esk4597_4(X1,X2,X3,X4) )).

cnf(i_0_2461,axiom,
    ( ~ esk8957_4(X1,X2,X3,X4)
    | esk8959_4(X1,X2,X3,X4) )).

cnf(i_0_2462,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5306_4(X1,X2,X3,X4) )).

cnf(i_0_2463,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | ~ esk7851_4(X1,X2,X3,X4) )).

cnf(i_0_2464,axiom,
    ( ~ esk1003_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_2465,axiom,
    ( ~ esk6947_4(X1,X2,X3,X4)
    | esk7524_4(X1,X2,X3,X4) )).

cnf(i_0_2466,axiom,
    ( ~ esk2864_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | esk3439_4(X1,X2,X3,X4) )).

cnf(i_0_2467,axiom,
    ( esk9081_4(X1,X2,X3,X4)
    | ~ esk9024_4(X1,X2,X3,X4) )).

cnf(i_0_2468,axiom,
    ( ~ esk1170_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_2469,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3095_4(X1,X2,X3,X4) )).

cnf(i_0_2470,axiom,
    ( ~ esk2152_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_2471,axiom,
    ( ~ esk3596_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_2472,axiom,
    ( ~ esk8716_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8210_4(X1,X2,X3,X4) )).

cnf(i_0_2473,axiom,
    ( ~ esk4235_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_2474,axiom,
    ( esk9593_4(X1,X2,X3,X4)
    | ~ esk9595_4(X1,X2,X3,X4)
    | esk9594_4(X1,X2,X3,X4)
    | esk9592_4(X1,X2,X3,X4) )).

cnf(i_0_2475,axiom,
    ( esk3058_4(X1,X2,X3,X4)
    | ~ esk3064_4(X1,X2,X3,X4) )).

cnf(i_0_2476,axiom,
    ( esk2132_4(X1,X2,X3,X4)
    | ~ esk2168_4(X1,X2,X3,X4) )).

cnf(i_0_2477,axiom,
    ( p(X1)
    | ~ esk1178_0
    | p(X3)
    | esk9186_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_2478,axiom,
    ( ~ esk1649_4(X1,X2,X3,X4)
    | esk2906_4(X1,X2,X3,X4) )).

cnf(i_0_2479,axiom,
    ( esk3984_4(X1,X2,X3,X4)
    | ~ esk4154_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_2480,axiom,
    ( ~ esk6252_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4)
    | esk6608_4(X1,X2,X3,X4) )).

cnf(i_0_2481,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | ~ esk3655_4(X1,X2,X3,X4) )).

cnf(i_0_2482,axiom,
    ( ~ p(X4)
    | esk8354_4(X1,X2,X3,X4)
    | ~ esk419_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_2483,axiom,
    ( esk4277_4(X1,X2,X3,X4)
    | ~ esk3947_4(X1,X2,X3,X4) )).

cnf(i_0_2484,axiom,
    ( esk4051_4(X1,X2,X3,X4)
    | ~ esk1951_4(X1,X2,X3,X4) )).

cnf(i_0_2485,axiom,
    ( ~ esk1860_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk287_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_2486,axiom,
    ( ~ p(X2)
    | ~ esk1_0
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2487,axiom,
    ( ~ esk7137_4(X1,X2,X3,X4)
    | esk5737_4(X1,X2,X3,X4) )).

cnf(i_0_2488,axiom,
    ( esk5217_4(X1,X2,X3,X4)
    | ~ esk5215_4(X1,X2,X3,X4) )).

cnf(i_0_2489,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk5969_4(X1,X2,X3,X4) )).

cnf(i_0_2490,axiom,
    ( esk2422_4(X1,X2,X3,X4)
    | ~ esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_2491,axiom,
    ( ~ esk5115_4(X1,X2,X3,X4)
    | esk5114_4(X1,X2,X3,X4) )).

cnf(i_0_2492,axiom,
    ( ~ esk2483_4(X1,X2,X3,X4)
    | esk2560_4(X1,X2,X3,X4)
    | ~ esk2559_4(X1,X2,X3,X4) )).

cnf(i_0_2493,axiom,
    ( ~ esk3132_4(X1,X2,X3,X4)
    | esk3131_4(X1,X2,X3,X4) )).

cnf(i_0_2494,axiom,
    ( ~ esk5233_4(X1,X2,X3,X4)
    | esk5231_4(X1,X2,X3,X4)
    | esk5232_4(X1,X2,X3,X4) )).

cnf(i_0_2495,axiom,
    ( esk2751_4(X1,X2,X3,X4)
    | ~ esk2749_4(X1,X2,X3,X4) )).

cnf(i_0_2496,axiom,
    ( esk3437_4(X1,X2,X3,X4)
    | ~ esk2865_4(X1,X2,X3,X4) )).

cnf(i_0_2497,axiom,
    ( ~ esk9228_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | esk1291_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_2498,axiom,
    ( p(X1)
    | p(X4)
    | esk1254_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9214_4(X1,X2,X3,X4) )).

cnf(i_0_2499,axiom,
    ( ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk834_0 )).

cnf(i_0_2500,axiom,
    ( ~ esk1927_4(X1,X2,X3,X4)
    | esk1926_4(X1,X2,X3,X4)
    | esk1925_4(X1,X2,X3,X4) )).

cnf(i_0_2501,axiom,
    ( ~ esk6268_4(X1,X2,X3,X4)
    | esk6230_4(X1,X2,X3,X4) )).

cnf(i_0_2502,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk3201_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2503,axiom,
    ( ~ p(X1)
    | ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk691_0
    | ~ p(X2) )).

cnf(i_0_2504,axiom,
    ( ~ esk2254_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2505,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | esk1613_4(X1,X2,X3,X4)
    | ~ esk1612_4(X1,X2,X3,X4) )).

cnf(i_0_2506,axiom,
    ( ~ esk9546_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_2507,axiom,
    ( esk2766_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_2508,axiom,
    ( ~ esk1679_4(X1,X2,X3,X4)
    | ~ esk2501_4(X1,X2,X3,X4) )).

cnf(i_0_2509,axiom,
    ( ~ esk3245_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2510,axiom,
    ( esk6356_4(X1,X2,X3,X4)
    | ~ esk6357_4(X1,X2,X3,X4)
    | esk6355_4(X1,X2,X3,X4) )).

cnf(i_0_2511,axiom,
    ( esk7965_4(X1,X2,X3,X4)
    | ~ esk7963_4(X1,X2,X3,X4) )).

cnf(i_0_2512,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5128_4(X1,X2,X3,X4) )).

cnf(i_0_2513,axiom,
    ( ~ esk7103_4(X1,X2,X3,X4)
    | esk7104_4(X1,X2,X3,X4) )).

cnf(i_0_2514,axiom,
    ( ~ esk1562_4(X1,X2,X3,X4)
    | esk1479_4(X1,X2,X3,X4) )).

cnf(i_0_2515,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6847_4(X1,X2,X3,X4) )).

cnf(i_0_2516,axiom,
    ( esk5921_4(X1,X2,X3,X4)
    | ~ esk5919_4(X1,X2,X3,X4) )).

cnf(i_0_2517,axiom,
    ( esk2825_4(X1,X2,X3,X4)
    | ~ esk3433_4(X1,X2,X3,X4) )).

cnf(i_0_2518,axiom,
    ( ~ esk7601_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_2519,axiom,
    ( esk8726_4(X1,X2,X3,X4)
    | ~ esk6626_4(X1,X2,X3,X4) )).

cnf(i_0_2520,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk341_0
    | ~ esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_2521,axiom,
    ( ~ esk1735_4(X1,X2,X3,X4)
    | ~ esk1532_4(X1,X2,X3,X4)
    | esk1533_4(X1,X2,X3,X4) )).

cnf(i_0_2522,axiom,
    ( ~ esk6167_4(X1,X2,X3,X4)
    | esk6168_4(X1,X2,X3,X4) )).

cnf(i_0_2523,axiom,
    ( ~ esk8251_4(X1,X2,X3,X4)
    | esk8431_4(X1,X2,X3,X4) )).

cnf(i_0_2524,axiom,
    ( ~ esk4527_4(X1,X2,X3,X4)
    | esk4498_4(X1,X2,X3,X4) )).

cnf(i_0_2525,axiom,
    ( p(X2)
    | ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk567_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_2526,axiom,
    ( esk2564_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4)
    | ~ esk2563_4(X1,X2,X3,X4) )).

cnf(i_0_2527,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk925_0
    | ~ esk2803_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_2528,axiom,
    ( ~ esk4386_4(X1,X2,X3,X4)
    | esk4256_4(X1,X2,X3,X4)
    | ~ esk4255_4(X1,X2,X3,X4) )).

cnf(i_0_2529,axiom,
    ( esk8569_4(X1,X2,X3,X4)
    | ~ esk8568_4(X1,X2,X3,X4) )).

cnf(i_0_2530,axiom,
    ( ~ p(X4)
    | ~ esk1066_0
    | ~ p(X2)
    | p(X3)
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_2531,axiom,
    ( esk605_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_2532,axiom,
    ( ~ esk3733_4(X1,X2,X3,X4)
    | esk3734_4(X1,X2,X3,X4) )).

cnf(i_0_2533,axiom,
    ( ~ p(X2)
    | ~ esk2427_4(X1,X2,X3,X4)
    | esk631_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_2534,axiom,
    ( ~ esk4594_4(X1,X2,X3,X4)
    | ~ esk4611_4(X1,X2,X3,X4)
    | esk4626_4(X1,X2,X3,X4) )).

cnf(i_0_2535,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4843_4(X1,X2,X3,X4) )).

cnf(i_0_2536,axiom,
    ( ~ esk5779_4(X1,X2,X3,X4)
    | esk7072_4(X1,X2,X3,X4) )).

cnf(i_0_2537,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk108_0
    | esk1643_4(X1,X2,X3,X4) )).

cnf(i_0_2538,axiom,
    ( esk989_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_2539,axiom,
    ( ~ esk4454_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4455_4(X1,X2,X3,X4) )).

cnf(i_0_2540,axiom,
    ( ~ esk1691_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4)
    | esk1722_4(X1,X2,X3,X4) )).

cnf(i_0_2541,axiom,
    ( esk9102_4(X1,X2,X3,X4)
    | ~ esk8978_4(X1,X2,X3,X4) )).

cnf(i_0_2542,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | esk7267_4(X1,X2,X3,X4)
    | ~ esk7264_4(X1,X2,X3,X4) )).

cnf(i_0_2543,axiom,
    ( ~ esk9290_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_2544,axiom,
    ( esk3722_4(X1,X2,X3,X4)
    | ~ esk3720_4(X1,X2,X3,X4) )).

cnf(i_0_2545,axiom,
    ( ~ esk8989_4(X1,X2,X3,X4)
    | esk8988_4(X1,X2,X3,X4) )).

cnf(i_0_2546,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6339_4(X1,X2,X3,X4) )).

cnf(i_0_2547,axiom,
    ( esk4476_4(X1,X2,X3,X4)
    | ~ esk4398_4(X1,X2,X3,X4)
    | ~ esk4475_4(X1,X2,X3,X4) )).

cnf(i_0_2548,axiom,
    ( esk8989_4(X1,X2,X3,X4)
    | esk8990_4(X1,X2,X3,X4)
    | ~ esk8991_4(X1,X2,X3,X4) )).

cnf(i_0_2549,axiom,
    ( ~ p(X3)
    | ~ esk1097_0
    | ~ p(X4)
    | esk2874_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_2550,axiom,
    ( ~ esk7543_4(X1,X2,X3,X4)
    | esk6812_4(X1,X2,X3,X4) )).

cnf(i_0_2551,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk9190_4(X1,X2,X3,X4)
    | esk1196_0
    | p(X3) )).

cnf(i_0_2552,axiom,
    ( ~ esk470_0
    | esk8469_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_2553,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk8176_4(X1,X2,X3,X4) )).

cnf(i_0_2554,axiom,
    ( esk6629_4(X1,X2,X3,X4)
    | ~ esk6322_4(X1,X2,X3,X4) )).

cnf(i_0_2555,axiom,
    ( ~ esk4907_4(X1,X2,X3,X4)
    | esk4874_4(X1,X2,X3,X4) )).

cnf(i_0_2556,axiom,
    ( ~ p(X4)
    | ~ esk1_0
    | ~ p(X1)
    | esk8391_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_2557,axiom,
    ( esk355_0
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk8254_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2558,axiom,
    ( ~ esk3414_4(X1,X2,X3,X4)
    | esk2781_4(X1,X2,X3,X4)
    | ~ esk2780_4(X1,X2,X3,X4) )).

cnf(i_0_2559,axiom,
    ( esk9717_4(X1,X2,X3,X4)
    | ~ esk9719_4(X1,X2,X3,X4)
    | esk9718_4(X1,X2,X3,X4) )).

cnf(i_0_2560,axiom,
    ( ~ esk6750_4(X1,X2,X3,X4)
    | esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_2561,axiom,
    ( esk5785_4(X1,X2,X3,X4)
    | ~ esk7077_4(X1,X2,X3,X4) )).

cnf(i_0_2562,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk855_0
    | esk2793_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_2563,axiom,
    ( esk9228_4(X1,X2,X3,X4)
    | ~ esk1281_0
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2564,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7423_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2565,axiom,
    ( ~ p(X4)
    | ~ esk2429_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk635_0
    | p(X2) )).

cnf(i_0_2566,axiom,
    ( ~ p(X4)
    | ~ esk2433_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk667_0
    | ~ p(X2) )).

cnf(i_0_2567,axiom,
    ( ~ esk8720_4(X1,X2,X3,X4)
    | esk6620_4(X1,X2,X3,X4) )).

cnf(i_0_2568,axiom,
    ( esk4548_4(X1,X2,X3,X4)
    | ~ esk4158_4(X1,X2,X3,X4) )).

cnf(i_0_2569,axiom,
    ( esk7914_4(X1,X2,X3,X4)
    | ~ esk9215_4(X1,X2,X3,X4)
    | ~ esk7913_4(X1,X2,X3,X4) )).

cnf(i_0_2570,axiom,
    ( esk585_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk8717_4(X1,X2,X3,X4) )).

cnf(i_0_2571,axiom,
    ( ~ esk9060_4(X1,X2,X3,X4)
    | esk9099_4(X1,X2,X3,X4) )).

cnf(i_0_2572,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk1237_0
    | p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_2573,axiom,
    ( esk9214_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1258_0
    | p(X2) )).

cnf(i_0_2574,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3892_4(X1,X2,X3,X4) )).

cnf(i_0_2575,axiom,
    ( ~ esk4860_4(X1,X2,X3,X4)
    | esk4859_4(X1,X2,X3,X4) )).

cnf(i_0_2576,axiom,
    ( esk1331_0
    | ~ p(X1)
    | ~ esk9252_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_2577,axiom,
    ( p(X1)
    | esk9170_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk1088_0
    | ~ p(X2) )).

cnf(i_0_2578,axiom,
    ( esk5897_4(X1,X2,X3,X4)
    | ~ esk6069_4(X1,X2,X3,X4) )).

cnf(i_0_2579,axiom,
    ( esk5652_4(X1,X2,X3,X4)
    | ~ esk5654_4(X1,X2,X3,X4)
    | esk5653_4(X1,X2,X3,X4) )).

cnf(i_0_2580,axiom,
    ( ~ esk606_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_2581,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8221_4(X1,X2,X3,X4) )).

cnf(i_0_2582,axiom,
    ( ~ esk8962_4(X1,X2,X3,X4)
    | esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_2583,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk7967_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk129_0 )).

cnf(i_0_2584,axiom,
    ( ~ esk6621_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6479_4(X1,X2,X3,X4) )).

cnf(i_0_2585,axiom,
    ( ~ esk6093_4(X1,X2,X3,X4)
    | esk6094_4(X1,X2,X3,X4) )).

cnf(i_0_2586,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk9085_4(X1,X2,X3,X4)
    | esk813_0 )).

cnf(i_0_2587,axiom,
    ( esk3620_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | esk3621_4(X1,X2,X3,X4) )).

cnf(i_0_2588,axiom,
    ( ~ esk2987_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_2589,axiom,
    ( esk3149_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3146_4(X1,X2,X3,X4) )).

cnf(i_0_2590,axiom,
    ( ~ esk8304_4(X1,X2,X3,X4)
    | esk8303_4(X1,X2,X3,X4) )).

cnf(i_0_2591,axiom,
    ( esk6636_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_2592,axiom,
    ( esk4977_4(X1,X2,X3,X4)
    | ~ esk3494_4(X1,X2,X3,X4) )).

cnf(i_0_2593,axiom,
    ( esk2570_4(X1,X2,X3,X4)
    | ~ esk2569_4(X1,X2,X3,X4) )).

cnf(i_0_2594,axiom,
    ( esk7861_4(X1,X2,X3,X4)
    | ~ esk7862_4(X1,X2,X3,X4) )).

cnf(i_0_2595,axiom,
    ( ~ esk6864_4(X1,X2,X3,X4)
    | esk6863_4(X1,X2,X3,X4)
    | esk6862_4(X1,X2,X3,X4) )).

cnf(i_0_2596,axiom,
    ( ~ esk8096_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_2597,axiom,
    ( ~ esk6394_4(X1,X2,X3,X4)
    | esk6396_4(X1,X2,X3,X4) )).

cnf(i_0_2598,axiom,
    ( ~ esk5750_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_2599,axiom,
    ( ~ esk8009_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4)
    | esk9232_4(X1,X2,X3,X4) )).

cnf(i_0_2600,axiom,
    ( ~ esk2691_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_2601,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5106_4(X1,X2,X3,X4) )).

cnf(i_0_2602,axiom,
    ( esk2495_4(X1,X2,X3,X4)
    | ~ esk2527_4(X1,X2,X3,X4) )).

cnf(i_0_2603,axiom,
    ( ~ esk8829_4(X1,X2,X3,X4)
    | esk8827_4(X1,X2,X3,X4)
    | esk8828_4(X1,X2,X3,X4) )).

cnf(i_0_2604,axiom,
    ( esk6252_4(X1,X2,X3,X4)
    | ~ esk6608_4(X1,X2,X3,X4) )).

cnf(i_0_2605,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk376_0
    | esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_2606,axiom,
    ( ~ esk4300_4(X1,X2,X3,X4)
    | esk4526_4(X1,X2,X3,X4) )).

cnf(i_0_2607,axiom,
    ( ~ esk6309_4(X1,X2,X3,X4)
    | esk6311_4(X1,X2,X3,X4) )).

cnf(i_0_2608,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | esk7942_4(X1,X2,X3,X4) )).

cnf(i_0_2609,axiom,
    ( ~ esk8048_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | esk191_0 )).

cnf(i_0_2610,axiom,
    ( ~ esk1288_0
    | p(X4)
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_2611,axiom,
    ( esk1309_0
    | ~ esk9248_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_2612,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6163_4(X1,X2,X3,X4) )).

cnf(i_0_2613,axiom,
    ( ~ esk1890_4(X1,X2,X3,X4)
    | esk1892_4(X1,X2,X3,X4) )).

cnf(i_0_2614,axiom,
    ( ~ esk3295_4(X1,X2,X3,X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_2615,axiom,
    ( ~ esk5009_4(X1,X2,X3,X4)
    | esk3555_4(X1,X2,X3,X4) )).

cnf(i_0_2616,axiom,
    ( esk2893_4(X1,X2,X3,X4)
    | ~ esk1603_4(X1,X2,X3,X4) )).

cnf(i_0_2617,axiom,
    ( ~ esk1595_4(X1,X2,X3,X4)
    | esk2885_4(X1,X2,X3,X4) )).

cnf(i_0_2618,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk2868_4(X1,X2,X3,X4)
    | esk1051_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_2619,axiom,
    ( esk7471_4(X1,X2,X3,X4)
    | esk7469_4(X1,X2,X3,X4)
    | ~ esk7472_4(X1,X2,X3,X4) )).

cnf(i_0_2620,axiom,
    ( ~ esk6033_4(X1,X2,X3,X4)
    | ~ esk6032_4(X1,X2,X3,X4) )).

cnf(i_0_2621,axiom,
    ( ~ esk3344_4(X1,X2,X3,X4)
    | esk3343_4(X1,X2,X3,X4) )).

cnf(i_0_2622,axiom,
    ( esk1119_0
    | ~ p(X2)
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_2623,axiom,
    ( esk7043_4(X1,X2,X3,X4)
    | ~ esk7044_4(X1,X2,X3,X4) )).

cnf(i_0_2624,axiom,
    ( esk7547_4(X1,X2,X3,X4)
    | ~ esk7544_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_2625,axiom,
    ( esk6481_4(X1,X2,X3,X4)
    | ~ esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_2626,axiom,
    ( ~ p(X4)
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | esk124_0
    | p(X2) )).

cnf(i_0_2627,axiom,
    ( esk8845_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_2628,axiom,
    ( ~ esk2948_4(X1,X2,X3,X4)
    | esk2947_4(X1,X2,X3,X4) )).

cnf(i_0_2629,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3059_4(X1,X2,X3,X4) )).

cnf(i_0_2630,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3089_4(X1,X2,X3,X4) )).

cnf(i_0_2631,axiom,
    ( ~ esk3151_4(X1,X2,X3,X4)
    | ~ esk3138_4(X1,X2,X3,X4)
    | esk3152_4(X1,X2,X3,X4) )).

cnf(i_0_2632,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk59_0
    | ~ p(X4)
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2633,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8338_4(X1,X2,X3,X4) )).

cnf(i_0_2634,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2012_4(X1,X2,X3,X4) )).

cnf(i_0_2635,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1894_4(X1,X2,X3,X4) )).

cnf(i_0_2636,axiom,
    ( esk7527_4(X1,X2,X3,X4)
    | esk7526_4(X1,X2,X3,X4)
    | ~ esk7528_4(X1,X2,X3,X4) )).

cnf(i_0_2637,axiom,
    ( esk3909_4(X1,X2,X3,X4)
    | ~ esk3910_4(X1,X2,X3,X4) )).

cnf(i_0_2638,axiom,
    ( ~ esk9235_4(X1,X2,X3,X4)
    | esk9234_4(X1,X2,X3,X4) )).

cnf(i_0_2639,axiom,
    ( ~ esk8974_4(X1,X2,X3,X4)
    | esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_2640,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3019_4(X1,X2,X3,X4) )).

cnf(i_0_2641,axiom,
    ( esk2403_4(X1,X2,X3,X4)
    | ~ esk2430_4(X1,X2,X3,X4) )).

cnf(i_0_2642,axiom,
    ( ~ esk893_0
    | ~ p(X2)
    | esk9095_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_2643,axiom,
    ( ~ esk9329_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_2644,axiom,
    ( ~ esk4613_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_2645,axiom,
    ( esk8461_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_2646,axiom,
    ( ~ esk8058_4(X1,X2,X3,X4)
    | esk7726_4(X1,X2,X3,X4) )).

cnf(i_0_2647,axiom,
    ( ~ esk1747_4(X1,X2,X3,X4)
    | esk1468_4(X1,X2,X3,X4) )).

cnf(i_0_2648,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9372_4(X1,X2,X3,X4) )).

cnf(i_0_2649,axiom,
    ( ~ esk2701_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_2650,axiom,
    ( ~ esk4544_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_2651,axiom,
    ( ~ esk133_0
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_2652,axiom,
    ( ~ esk9698_4(X1,X2,X3,X4)
    | esk8939_4(X1,X2,X3,X4) )).

cnf(i_0_2653,axiom,
    ( esk7551_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6816_4(X1,X2,X3,X4) )).

cnf(i_0_2654,axiom,
    ( esk3688_4(X1,X2,X3,X4)
    | ~ esk4981_4(X1,X2,X3,X4)
    | ~ esk3687_4(X1,X2,X3,X4) )).

cnf(i_0_2655,axiom,
    ( ~ esk1980_4(X1,X2,X3,X4)
    | esk1982_4(X1,X2,X3,X4) )).

cnf(i_0_2656,axiom,
    ( esk6533_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2657,axiom,
    ( ~ esk1565_4(X1,X2,X3,X4)
    | esk1564_4(X1,X2,X3,X4) )).

cnf(i_0_2658,axiom,
    ( ~ esk8214_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | esk304_0
    | p(X1) )).

cnf(i_0_2659,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | esk1147_0
    | ~ esk9178_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_2660,axiom,
    ( p(X3)
    | esk26_0
    | ~ p(X1)
    | p(X2)
    | ~ esk1440_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_2661,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk691_0 )).

cnf(i_0_2662,axiom,
    ( esk5325_4(X1,X2,X3,X4)
    | ~ esk5323_4(X1,X2,X3,X4) )).

cnf(i_0_2663,axiom,
    ( ~ esk737_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_2664,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk1136_0
    | ~ p(X1)
    | ~ esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_2665,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | ~ esk4668_4(X1,X2,X3,X4) )).

cnf(i_0_2666,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4009_4(X1,X2,X3,X4) )).

cnf(i_0_2667,axiom,
    ( ~ esk9238_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk1293_0 )).

cnf(i_0_2668,axiom,
    ( ~ esk486_0
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | esk8508_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2669,axiom,
    ( ~ esk5578_4(X1,X2,X3,X4)
    | esk6333_4(X1,X2,X3,X4) )).

cnf(i_0_2670,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8567_4(X1,X2,X3,X4) )).

cnf(i_0_2671,axiom,
    ( ~ esk2361_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_2672,axiom,
    ( ~ esk5056_4(X1,X2,X3,X4)
    | esk7156_4(X1,X2,X3,X4) )).

cnf(i_0_2673,axiom,
    ( esk2807_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk951_0
    | p(X3) )).

cnf(i_0_2674,axiom,
    ( esk6301_4(X1,X2,X3,X4)
    | ~ esk6303_4(X1,X2,X3,X4)
    | esk6302_4(X1,X2,X3,X4) )).

cnf(i_0_2675,axiom,
    ( ~ esk3380_4(X1,X2,X3,X4)
    | esk2694_4(X1,X2,X3,X4) )).

cnf(i_0_2676,axiom,
    ( esk2812_4(X1,X2,X3,X4)
    | ~ esk2783_4(X1,X2,X3,X4) )).

cnf(i_0_2677,axiom,
    ( ~ esk1946_4(X1,X2,X3,X4)
    | esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_2678,axiom,
    ( esk8749_4(X1,X2,X3,X4)
    | ~ esk9209_4(X1,X2,X3,X4) )).

cnf(i_0_2679,axiom,
    ( ~ esk7819_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk7818_4(X1,X2,X3,X4) )).

cnf(i_0_2680,axiom,
    ( p(X4)
    | ~ esk883_0
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_2681,axiom,
    ( ~ esk7303_4(X1,X2,X3,X4)
    | esk7304_4(X1,X2,X3,X4) )).

cnf(i_0_2682,axiom,
    ( esk2715_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_2683,axiom,
    ( esk9480_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_2684,axiom,
    ( ~ esk1787_4(X1,X2,X3,X4)
    | esk1792_4(X1,X2,X3,X4) )).

cnf(i_0_2685,axiom,
    ( ~ esk9090_4(X1,X2,X3,X4)
    | esk8858_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_2686,axiom,
    ( ~ esk4993_4(X1,X2,X3,X4)
    | esk3786_4(X1,X2,X3,X4) )).

cnf(i_0_2687,axiom,
    ( esk7853_4(X1,X2,X3,X4)
    | ~ esk7854_4(X1,X2,X3,X4) )).

cnf(i_0_2688,axiom,
    ( esk6941_4(X1,X2,X3,X4)
    | ~ esk6940_4(X1,X2,X3,X4) )).

cnf(i_0_2689,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1335_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_2690,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8513_4(X1,X2,X3,X4) )).

cnf(i_0_2691,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4)
    | esk9027_4(X1,X2,X3,X4) )).

cnf(i_0_2692,axiom,
    ( ~ esk1_0
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_2693,axiom,
    ( ~ esk5111_4(X1,X2,X3,X4)
    | esk5110_4(X1,X2,X3,X4) )).

cnf(i_0_2694,axiom,
    ( ~ esk8367_4(X1,X2,X3,X4)
    | esk8329_4(X1,X2,X3,X4) )).

cnf(i_0_2695,axiom,
    ( ~ p(X1)
    | ~ esk192_0
    | esk1752_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_2696,axiom,
    ( ~ esk4083_4(X1,X2,X3,X4)
    | esk4082_4(X1,X2,X3,X4)
    | esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_2697,axiom,
    ( ~ esk9074_4(X1,X2,X3,X4)
    | esk9076_4(X1,X2,X3,X4) )).

cnf(i_0_2698,axiom,
    ( ~ esk4518_4(X1,X2,X3,X4)
    | esk4008_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_2699,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3888_4(X1,X2,X3,X4) )).

cnf(i_0_2700,axiom,
    ( esk29_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_2701,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk5019_4(X1,X2,X3,X4)
    | esk3923_4(X1,X2,X3,X4) )).

cnf(i_0_2702,axiom,
    ( ~ esk6629_4(X1,X2,X3,X4)
    | esk4529_4(X1,X2,X3,X4) )).

cnf(i_0_2703,axiom,
    ( ~ esk4688_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_2704,axiom,
    ( esk8284_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4)
    | ~ esk8741_4(X1,X2,X3,X4) )).

cnf(i_0_2705,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1544_4(X1,X2,X3,X4) )).

cnf(i_0_2706,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3139_4(X1,X2,X3,X4) )).

cnf(i_0_2707,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4164_4(X1,X2,X3,X4)
    | ~ esk4163_4(X1,X2,X3,X4) )).

cnf(i_0_2708,axiom,
    ( esk8089_4(X1,X2,X3,X4)
    | ~ esk8088_4(X1,X2,X3,X4) )).

cnf(i_0_2709,axiom,
    ( ~ esk1359_4(X1,X2,X3,X4)
    | esk2023_4(X1,X2,X3,X4) )).

cnf(i_0_2710,axiom,
    ( esk2870_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1062_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_2711,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ esk1995_4(X1,X2,X3,X4)
    | esk386_0 )).

cnf(i_0_2712,axiom,
    ( esk6293_4(X1,X2,X3,X4)
    | esk6331_4(X1,X2,X3,X4) )).

cnf(i_0_2713,axiom,
    ( ~ esk1992_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4)
    | ~ esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_2714,axiom,
    ( esk2609_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2554_4(X1,X2,X3,X4) )).

cnf(i_0_2715,axiom,
    ( p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | esk397_0 )).

cnf(i_0_2716,axiom,
    ( ~ esk4408_4(X1,X2,X3,X4)
    | esk4407_4(X1,X2,X3,X4) )).

cnf(i_0_2717,axiom,
    ( ~ esk5167_4(X1,X2,X3,X4)
    | esk5169_4(X1,X2,X3,X4) )).

cnf(i_0_2718,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk2665_4(X1,X2,X3,X4) )).

cnf(i_0_2719,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk9103_4(X1,X2,X3,X4)
    | esk955_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_2720,axiom,
    ( esk3354_4(X1,X2,X3,X4)
    | ~ esk3352_4(X1,X2,X3,X4) )).

cnf(i_0_2721,axiom,
    ( esk7227_4(X1,X2,X3,X4)
    | esk7226_4(X1,X2,X3,X4)
    | ~ esk7228_4(X1,X2,X3,X4) )).

cnf(i_0_2722,axiom,
    ( ~ esk6944_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_2723,axiom,
    ( esk2100_4(X1,X2,X3,X4)
    | esk2099_4(X1,X2,X3,X4)
    | ~ esk2101_4(X1,X2,X3,X4) )).

cnf(i_0_2724,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2774_4(X1,X2,X3,X4) )).

cnf(i_0_2725,axiom,
    ( ~ esk3346_4(X1,X2,X3,X4)
    | esk3344_4(X1,X2,X3,X4)
    | esk3345_4(X1,X2,X3,X4) )).

cnf(i_0_2726,axiom,
    ( esk2447_4(X1,X2,X3,X4)
    | esk3288_4(X1,X2,X3,X4) )).

cnf(i_0_2727,axiom,
    ( ~ esk3056_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2728,axiom,
    ( ~ esk9351_4(X1,X2,X3,X4)
    | esk9350_4(X1,X2,X3,X4)
    | esk9349_4(X1,X2,X3,X4) )).

cnf(i_0_2729,axiom,
    ( esk4296_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_2730,axiom,
    ( ~ esk3231_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_2731,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4043_4(X1,X2,X3,X4) )).

cnf(i_0_2732,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk1428_4(X1,X2,X3,X4)
    | esk2857_4(X1,X2,X3,X4) )).

cnf(i_0_2733,axiom,
    ( ~ esk6737_4(X1,X2,X3,X4)
    | esk6739_4(X1,X2,X3,X4) )).

cnf(i_0_2734,axiom,
    ( ~ esk1663_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_2735,axiom,
    ( ~ esk945_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_2736,axiom,
    ( ~ esk8317_4(X1,X2,X3,X4)
    | esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_2737,axiom,
    ( ~ esk6046_4(X1,X2,X3,X4)
    | esk6048_4(X1,X2,X3,X4) )).

cnf(i_0_2738,axiom,
    ( esk9563_4(X1,X2,X3,X4)
    | ~ esk9566_4(X1,X2,X3,X4) )).

cnf(i_0_2739,axiom,
    ( ~ esk8307_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_2740,axiom,
    ( esk6633_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk6253_4(X1,X2,X3,X4) )).

cnf(i_0_2741,axiom,
    ( esk4191_4(X1,X2,X3,X4)
    | esk4086_4(X1,X2,X3,X4)
    | ~ esk4309_4(X1,X2,X3,X4) )).

cnf(i_0_2742,axiom,
    ( ~ esk2141_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2743,axiom,
    ( p(X2)
    | esk8747_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk726_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_2744,axiom,
    ( ~ esk7426_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_2745,axiom,
    ( esk3613_4(X1,X2,X3,X4)
    | ~ esk3705_4(X1,X2,X3,X4) )).

cnf(i_0_2746,axiom,
    ( ~ esk5656_4(X1,X2,X3,X4)
    | esk5941_4(X1,X2,X3,X4) )).

cnf(i_0_2747,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk6424_4(X1,X2,X3,X4) )).

cnf(i_0_2748,axiom,
    ( esk2793_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk854_0
    | ~ p(X2) )).

cnf(i_0_2749,axiom,
    ( ~ esk8737_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_2750,axiom,
    ( ~ esk5882_4(X1,X2,X3,X4)
    | ~ esk5922_4(X1,X2,X3,X4)
    | esk5923_4(X1,X2,X3,X4) )).

cnf(i_0_2751,axiom,
    ( esk3510_4(X1,X2,X3,X4)
    | ~ esk4017_4(X1,X2,X3,X4) )).

cnf(i_0_2752,axiom,
    ( ~ esk9457_4(X1,X2,X3,X4)
    | esk9456_4(X1,X2,X3,X4) )).

cnf(i_0_2753,axiom,
    ( ~ p(X4)
    | esk2918_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1252_0
    | p(X3) )).

cnf(i_0_2754,axiom,
    ( ~ esk4934_4(X1,X2,X3,X4)
    | esk4818_4(X1,X2,X3,X4) )).

cnf(i_0_2755,axiom,
    ( ~ p(X4)
    | esk1298_0
    | ~ esk9238_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_2756,axiom,
    ( ~ esk3021_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2757,axiom,
    ( ~ esk4544_4(X1,X2,X3,X4)
    | esk5385_4(X1,X2,X3,X4)
    | esk5386_4(X1,X2,X3,X4) )).

cnf(i_0_2758,axiom,
    ( esk9069_4(X1,X2,X3,X4)
    | ~ esk9070_4(X1,X2,X3,X4) )).

cnf(i_0_2759,axiom,
    ( esk5282_4(X1,X2,X3,X4)
    | ~ esk5283_4(X1,X2,X3,X4) )).

cnf(i_0_2760,axiom,
    ( ~ esk7015_4(X1,X2,X3,X4)
    | esk7648_4(X1,X2,X3,X4) )).

cnf(i_0_2761,axiom,
    ( ~ esk5232_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_2762,axiom,
    ( ~ esk3227_4(X1,X2,X3,X4)
    | esk3228_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2763,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk5082_4(X1,X2,X3,X4) )).

cnf(i_0_2764,axiom,
    ( esk6420_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_2765,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | ~ esk9138_4(X1,X2,X3,X4) )).

cnf(i_0_2766,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk548_0
    | p(X1)
    | ~ p(X4)
    | esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_2767,axiom,
    ( ~ esk7389_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_2768,axiom,
    ( ~ p(X1)
    | esk2942_4(X1,X2,X3,X4)
    | ~ esk1301_0
    | ~ p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_2769,axiom,
    ( ~ esk5788_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_2770,axiom,
    ( ~ esk9156_4(X1,X2,X3,X4)
    | esk9159_4(X1,X2,X3,X4) )).

cnf(i_0_2771,axiom,
    ( p(X3)
    | p(X2)
    | esk1151_0
    | p(X4)
    | ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_2772,axiom,
    ( esk2321_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk528_0
    | p(X1) )).

cnf(i_0_2773,axiom,
    ( ~ esk2095_4(X1,X2,X3,X4)
    | ~ esk2084_4(X1,X2,X3,X4)
    | esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_2774,axiom,
    ( esk4434_4(X1,X2,X3,X4)
    | ~ esk4435_4(X1,X2,X3,X4) )).

cnf(i_0_2775,axiom,
    ( esk2702_4(X1,X2,X3,X4)
    | ~ esk2701_4(X1,X2,X3,X4) )).

cnf(i_0_2776,axiom,
    ( ~ esk4346_4(X1,X2,X3,X4)
    | esk3472_4(X1,X2,X3,X4) )).

cnf(i_0_2777,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9124_4(X1,X2,X3,X4)
    | esk9144_4(X1,X2,X3,X4) )).

cnf(i_0_2778,axiom,
    ( ~ esk8295_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8296_4(X1,X2,X3,X4) )).

cnf(i_0_2779,axiom,
    ( esk8254_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk352_0
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_2780,axiom,
    ( ~ esk9100_4(X1,X2,X3,X4)
    | esk9181_4(X1,X2,X3,X4) )).

cnf(i_0_2781,axiom,
    ( esk3571_4(X1,X2,X3,X4)
    | ~ esk3570_4(X1,X2,X3,X4) )).

cnf(i_0_2782,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3878_4(X1,X2,X3,X4) )).

cnf(i_0_2783,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1874_4(X1,X2,X3,X4)
    | esk288_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_2784,axiom,
    ( ~ esk2870_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1066_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_2785,axiom,
    ( p(X3)
    | ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk558_0
    | p(X2)
    | p(X1) )).

cnf(i_0_2786,axiom,
    ( esk375_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_2787,axiom,
    ( esk2509_4(X1,X2,X3,X4)
    | ~ esk2510_4(X1,X2,X3,X4) )).

cnf(i_0_2788,axiom,
    ( ~ esk6077_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_2789,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk1825_4(X1,X2,X3,X4) )).

cnf(i_0_2790,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk41_0
    | p(X2)
    | ~ p(X4)
    | ~ esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_2791,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | esk629_0
    | ~ esk2427_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_2792,axiom,
    ( ~ esk8790_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_2793,axiom,
    ( esk7735_4(X1,X2,X3,X4)
    | ~ esk5635_4(X1,X2,X3,X4) )).

cnf(i_0_2794,axiom,
    ( ~ esk7095_4(X1,X2,X3,X4)
    | esk9195_4(X1,X2,X3,X4) )).

cnf(i_0_2795,axiom,
    ( ~ esk5538_4(X1,X2,X3,X4)
    | esk4963_4(X1,X2,X3,X4) )).

cnf(i_0_2796,axiom,
    ( ~ esk3863_4(X1,X2,X3,X4)
    | ~ esk3624_4(X1,X2,X3,X4)
    | esk5000_4(X1,X2,X3,X4) )).

cnf(i_0_2797,axiom,
    ( ~ esk5814_4(X1,X2,X3,X4)
    | ~ esk7116_4(X1,X2,X3,X4)
    | esk5815_4(X1,X2,X3,X4) )).

cnf(i_0_2798,axiom,
    ( esk6547_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2799,axiom,
    ( ~ esk9379_4(X1,X2,X3,X4)
    | esk9378_4(X1,X2,X3,X4)
    | esk9377_4(X1,X2,X3,X4) )).

cnf(i_0_2800,axiom,
    ( ~ esk9718_4(X1,X2,X3,X4)
    | esk9719_4(X1,X2,X3,X4) )).

cnf(i_0_2801,axiom,
    ( ~ p(X3)
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X2)
    | esk1348_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_2802,axiom,
    ( ~ esk8234_4(X1,X2,X3,X4)
    | esk8233_4(X1,X2,X3,X4) )).

cnf(i_0_2803,axiom,
    ( ~ esk4047_4(X1,X2,X3,X4)
    | ~ esk4516_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_2804,axiom,
    ( ~ esk2997_4(X1,X2,X3,X4)
    | esk2994_4(X1,X2,X3,X4) )).

cnf(i_0_2805,axiom,
    ( ~ esk2341_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_2806,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk132_0
    | ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_2807,axiom,
    ( esk6281_4(X1,X2,X3,X4)
    | ~ esk6280_4(X1,X2,X3,X4) )).

cnf(i_0_2808,axiom,
    ( esk1616_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_2809,axiom,
    ( esk5012_4(X1,X2,X3,X4)
    | ~ esk3714_4(X1,X2,X3,X4) )).

cnf(i_0_2810,axiom,
    ( ~ esk789_0
    | ~ p(X4)
    | p(X1)
    | esk2785_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_2811,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk996_0
    | ~ p(X4)
    | esk9109_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_2812,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X3)
    | p(X1)
    | p(X2)
    | esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_2813,axiom,
    ( esk1610_4(X1,X2,X3,X4)
    | esk1609_4(X1,X2,X3,X4)
    | ~ esk1611_4(X1,X2,X3,X4) )).

cnf(i_0_2814,axiom,
    ( ~ esk3132_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_2815,axiom,
    ( ~ esk6713_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_2816,axiom,
    ( esk5441_4(X1,X2,X3,X4)
    | ~ esk5439_4(X1,X2,X3,X4) )).

cnf(i_0_2817,axiom,
    ( ~ esk5876_4(X1,X2,X3,X4)
    | ~ esk5573_4(X1,X2,X3,X4)
    | esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_2818,axiom,
    ( esk4975_4(X1,X2,X3,X4)
    | ~ esk2875_4(X1,X2,X3,X4) )).

cnf(i_0_2819,axiom,
    ( ~ esk8781_4(X1,X2,X3,X4)
    | esk8360_4(X1,X2,X3,X4) )).

cnf(i_0_2820,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1998_4(X1,X2,X3,X4) )).

cnf(i_0_2821,axiom,
    ( ~ esk4290_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4291_4(X1,X2,X3,X4) )).

cnf(i_0_2822,axiom,
    ( ~ esk9170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk1094_0
    | p(X2) )).

cnf(i_0_2823,axiom,
    ( ~ esk1343_0
    | esk2958_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_2824,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1198_0
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_2825,axiom,
    ( ~ esk8475_4(X1,X2,X3,X4)
    | esk8473_4(X1,X2,X3,X4)
    | esk8474_4(X1,X2,X3,X4) )).

cnf(i_0_2826,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk1795_4(X1,X2,X3,X4) )).

cnf(i_0_2827,axiom,
    ( ~ p(X3)
    | ~ esk1748_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk159_0
    | p(X1) )).

cnf(i_0_2828,axiom,
    ( ~ p(X1)
    | ~ esk1671_4(X1,X2,X3,X4)
    | p(X2)
    | esk132_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_2829,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5916_4(X1,X2,X3,X4) )).

cnf(i_0_2830,axiom,
    ( ~ esk4643_4(X1,X2,X3,X4)
    | esk4644_4(X1,X2,X3,X4) )).

cnf(i_0_2831,axiom,
    ( p(X3)
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk877_0 )).

cnf(i_0_2832,axiom,
    ( ~ esk724_0
    | esk8747_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_2833,axiom,
    ( esk2089_4(X1,X2,X3,X4)
    | esk2090_4(X1,X2,X3,X4)
    | ~ esk2056_4(X1,X2,X3,X4) )).

cnf(i_0_2834,axiom,
    ( ~ esk8334_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_2835,axiom,
    ( ~ p(X1)
    | ~ esk281_0
    | p(X4)
    | p(X2)
    | esk8156_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_2836,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6170_4(X1,X2,X3,X4) )).

cnf(i_0_2837,axiom,
    ( esk5555_4(X1,X2,X3,X4)
    | ~ esk6294_4(X1,X2,X3,X4) )).

cnf(i_0_2838,axiom,
    ( ~ esk1866_4(X1,X2,X3,X4)
    | esk1695_4(X1,X2,X3,X4) )).

cnf(i_0_2839,axiom,
    ( esk3085_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_2840,axiom,
    ( esk1571_4(X1,X2,X3,X4)
    | ~ esk1569_4(X1,X2,X3,X4) )).

cnf(i_0_2841,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk931_0
    | p(X4)
    | ~ p(X2)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_2842,axiom,
    ( ~ esk5018_4(X1,X2,X3,X4)
    | ~ esk3620_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_2843,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk1197_0
    | p(X2)
    | ~ p(X1)
    | esk9190_4(X1,X2,X3,X4) )).

cnf(i_0_2844,axiom,
    ( ~ esk3371_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_2845,axiom,
    ( ~ esk2612_4(X1,X2,X3,X4)
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_2846,axiom,
    ( esk6417_4(X1,X2,X3,X4)
    | ~ esk6419_4(X1,X2,X3,X4)
    | esk6418_4(X1,X2,X3,X4) )).

cnf(i_0_2847,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8517_4(X1,X2,X3,X4) )).

cnf(i_0_2848,axiom,
    ( ~ esk5469_4(X1,X2,X3,X4)
    | esk5468_4(X1,X2,X3,X4)
    | esk5467_4(X1,X2,X3,X4) )).

cnf(i_0_2849,axiom,
    ( esk2971_4(X1,X2,X3,X4)
    | ~ esk2972_4(X1,X2,X3,X4) )).

cnf(i_0_2850,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk5308_4(X1,X2,X3,X4) )).

cnf(i_0_2851,axiom,
    ( ~ esk8493_4(X1,X2,X3,X4)
    | esk8492_4(X1,X2,X3,X4) )).

cnf(i_0_2852,axiom,
    ( p(X1)
    | ~ esk1040_0
    | esk9164_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_2853,axiom,
    ( esk7072_4(X1,X2,X3,X4)
    | ~ esk4972_4(X1,X2,X3,X4) )).

cnf(i_0_2854,axiom,
    ( ~ esk8839_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_2855,axiom,
    ( ~ esk9417_4(X1,X2,X3,X4)
    | esk9411_4(X1,X2,X3,X4) )).

cnf(i_0_2856,axiom,
    ( ~ esk8109_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_2857,axiom,
    ( esk4041_4(X1,X2,X3,X4)
    | esk4040_4(X1,X2,X3,X4)
    | ~ esk4042_4(X1,X2,X3,X4) )).

cnf(i_0_2858,axiom,
    ( ~ esk1933_4(X1,X2,X3,X4)
    | esk1932_4(X1,X2,X3,X4) )).

cnf(i_0_2859,axiom,
    ( ~ esk5508_4(X1,X2,X3,X4)
    | esk4745_4(X1,X2,X3,X4) )).

cnf(i_0_2860,axiom,
    ( ~ esk9091_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk863_0
    | p(X1) )).

cnf(i_0_2861,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk5985_4(X1,X2,X3,X4)
    | ~ esk5990_4(X1,X2,X3,X4) )).

cnf(i_0_2862,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2013_4(X1,X2,X3,X4)
    | esk2039_4(X1,X2,X3,X4) )).

cnf(i_0_2863,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk759_0
    | esk8751_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_2864,axiom,
    ( ~ esk3984_4(X1,X2,X3,X4)
    | ~ esk4155_4(X1,X2,X3,X4)
    | ~ esk4154_4(X1,X2,X3,X4) )).

cnf(i_0_2865,axiom,
    ( esk8456_4(X1,X2,X3,X4)
    | ~ esk8454_4(X1,X2,X3,X4) )).

cnf(i_0_2866,axiom,
    ( esk9111_4(X1,X2,X3,X4)
    | ~ esk1008_0
    | p(X3)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_2867,axiom,
    ( esk2799_4(X1,X2,X3,X4)
    | ~ esk1645_4(X1,X2,X3,X4) )).

cnf(i_0_2868,axiom,
    ( p(X1)
    | ~ esk1195_0
    | ~ p(X3)
    | ~ p(X4)
    | esk9190_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_2869,axiom,
    ( ~ esk1084_0
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_2870,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8645_4(X1,X2,X3,X4) )).

cnf(i_0_2871,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3377_4(X1,X2,X3,X4) )).

cnf(i_0_2872,axiom,
    ( ~ esk9246_4(X1,X2,X3,X4)
    | esk8006_4(X1,X2,X3,X4) )).

cnf(i_0_2873,axiom,
    ( ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_2874,axiom,
    ( esk6333_4(X1,X2,X3,X4)
    | ~ esk6684_4(X1,X2,X3,X4) )).

cnf(i_0_2875,axiom,
    ( ~ esk6774_4(X1,X2,X3,X4)
    | esk6773_4(X1,X2,X3,X4)
    | esk6772_4(X1,X2,X3,X4) )).

cnf(i_0_2876,axiom,
    ( esk3539_4(X1,X2,X3,X4)
    | ~ esk1439_4(X1,X2,X3,X4) )).

cnf(i_0_2877,axiom,
    ( ~ p(X1)
    | ~ esk820_0
    | p(X2)
    | p(X3)
    | esk2789_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_2878,axiom,
    ( ~ esk6142_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_2879,axiom,
    ( ~ esk6615_4(X1,X2,X3,X4)
    | esk6113_4(X1,X2,X3,X4) )).

cnf(i_0_2880,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | esk918_0
    | p(X4)
    | ~ esk9099_4(X1,X2,X3,X4) )).

cnf(i_0_2881,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7371_4(X1,X2,X3,X4) )).

cnf(i_0_2882,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5482_4(X1,X2,X3,X4) )).

cnf(i_0_2883,axiom,
    ( ~ esk6010_4(X1,X2,X3,X4)
    | esk6015_4(X1,X2,X3,X4) )).

cnf(i_0_2884,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | ~ esk9624_4(X1,X2,X3,X4)
    | esk9625_4(X1,X2,X3,X4) )).

cnf(i_0_2885,axiom,
    ( ~ esk9465_4(X1,X2,X3,X4)
    | esk9467_4(X1,X2,X3,X4) )).

cnf(i_0_2886,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | esk654_0
    | ~ p(X2)
    | ~ esk8727_4(X1,X2,X3,X4) )).

cnf(i_0_2887,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | ~ esk6037_4(X1,X2,X3,X4) )).

cnf(i_0_2888,axiom,
    ( ~ esk5291_4(X1,X2,X3,X4)
    | esk5293_4(X1,X2,X3,X4) )).

cnf(i_0_2889,axiom,
    ( ~ esk7680_4(X1,X2,X3,X4)
    | esk8321_4(X1,X2,X3,X4) )).

cnf(i_0_2890,axiom,
    ( esk9689_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9688_4(X1,X2,X3,X4) )).

cnf(i_0_2891,axiom,
    ( esk6072_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4)
    | ~ esk7475_4(X1,X2,X3,X4) )).

cnf(i_0_2892,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk8721_4(X1,X2,X3,X4)
    | esk615_0 )).

cnf(i_0_2893,axiom,
    ( esk3431_4(X1,X2,X3,X4)
    | esk3432_4(X1,X2,X3,X4)
    | ~ esk3434_4(X1,X2,X3,X4)
    | esk3433_4(X1,X2,X3,X4) )).

cnf(i_0_2894,axiom,
    ( ~ esk8985_4(X1,X2,X3,X4)
    | esk8984_4(X1,X2,X3,X4) )).

cnf(i_0_2895,axiom,
    ( esk5357_4(X1,X2,X3,X4)
    | ~ esk5355_4(X1,X2,X3,X4) )).

cnf(i_0_2896,axiom,
    ( ~ esk4616_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_2897,axiom,
    ( ~ esk3369_4(X1,X2,X3,X4)
    | esk2626_4(X1,X2,X3,X4) )).

cnf(i_0_2898,axiom,
    ( ~ esk2070_4(X1,X2,X3,X4)
    | esk2032_4(X1,X2,X3,X4) )).

cnf(i_0_2899,axiom,
    ( ~ esk3515_4(X1,X2,X3,X4)
    | esk4057_4(X1,X2,X3,X4) )).

cnf(i_0_2900,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4)
    | ~ esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_2901,axiom,
    ( ~ esk8274_4(X1,X2,X3,X4)
    | esk8240_4(X1,X2,X3,X4) )).

cnf(i_0_2902,axiom,
    ( ~ esk5249_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk5252_4(X1,X2,X3,X4) )).

cnf(i_0_2903,axiom,
    ( ~ esk3635_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_2904,axiom,
    ( ~ esk4786_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_2905,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2473_4(X1,X2,X3,X4) )).

cnf(i_0_2906,axiom,
    ( ~ esk4051_4(X1,X2,X3,X4)
    | esk1951_4(X1,X2,X3,X4) )).

cnf(i_0_2907,axiom,
    ( ~ esk5330_4(X1,X2,X3,X4)
    | esk5331_4(X1,X2,X3,X4)
    | ~ esk5325_4(X1,X2,X3,X4) )).

cnf(i_0_2908,axiom,
    ( ~ esk4176_4(X1,X2,X3,X4)
    | esk4175_4(X1,X2,X3,X4) )).

cnf(i_0_2909,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk7297_4(X1,X2,X3,X4) )).

cnf(i_0_2910,axiom,
    ( ~ esk3476_4(X1,X2,X3,X4)
    | esk4351_4(X1,X2,X3,X4) )).

cnf(i_0_2911,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | ~ esk7703_4(X1,X2,X3,X4) )).

cnf(i_0_2912,axiom,
    ( esk3778_4(X1,X2,X3,X4)
    | ~ esk3779_4(X1,X2,X3,X4) )).

cnf(i_0_2913,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5453_4(X1,X2,X3,X4)
    | esk5456_4(X1,X2,X3,X4) )).

cnf(i_0_2914,axiom,
    ( ~ esk2207_4(X1,X2,X3,X4)
    | esk2170_4(X1,X2,X3,X4) )).

cnf(i_0_2915,axiom,
    ( esk8256_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_2916,axiom,
    ( p(X4)
    | ~ esk785_0
    | p(X1)
    | p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2917,axiom,
    ( ~ esk5353_4(X1,X2,X3,X4)
    | ~ esk5358_4(X1,X2,X3,X4)
    | esk5359_4(X1,X2,X3,X4) )).

cnf(i_0_2918,axiom,
    ( ~ esk2139_4(X1,X2,X3,X4)
    | esk2177_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_2919,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk1229_0
    | ~ p(X3)
    | esk9204_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_2920,axiom,
    ( esk9055_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_2921,axiom,
    ( ~ esk3668_4(X1,X2,X3,X4)
    | esk5051_4(X1,X2,X3,X4) )).

cnf(i_0_2922,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk2932_4(X1,X2,X3,X4)
    | esk1282_0
    | ~ p(X4) )).

cnf(i_0_2923,axiom,
    ( esk9084_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk9596_4(X1,X2,X3,X4) )).

cnf(i_0_2924,axiom,
    ( esk9219_4(X1,X2,X3,X4)
    | ~ esk7918_4(X1,X2,X3,X4) )).

cnf(i_0_2925,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8575_4(X1,X2,X3,X4) )).

cnf(i_0_2926,axiom,
    ( ~ esk9153_4(X1,X2,X3,X4)
    | esk9155_4(X1,X2,X3,X4) )).

cnf(i_0_2927,axiom,
    ( ~ p(X3)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk25_0 )).

cnf(i_0_2928,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3135_4(X1,X2,X3,X4) )).

cnf(i_0_2929,axiom,
    ( esk4310_4(X1,X2,X3,X4)
    | ~ esk4055_4(X1,X2,X3,X4) )).

cnf(i_0_2930,axiom,
    ( esk5416_4(X1,X2,X3,X4)
    | ~ esk5417_4(X1,X2,X3,X4)
    | esk5415_4(X1,X2,X3,X4) )).

cnf(i_0_2931,axiom,
    ( ~ esk9637_4(X1,X2,X3,X4)
    | esk8971_4(X1,X2,X3,X4) )).

cnf(i_0_2932,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk3980_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_2933,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk226_0
    | ~ p(X2)
    | ~ esk1756_4(X1,X2,X3,X4) )).

cnf(i_0_2934,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1795_4(X1,X2,X3,X4) )).

cnf(i_0_2935,axiom,
    ( esk2561_4(X1,X2,X3,X4)
    | ~ esk2562_4(X1,X2,X3,X4)
    | esk2560_4(X1,X2,X3,X4) )).

cnf(i_0_2936,axiom,
    ( esk3923_4(X1,X2,X3,X4)
    | ~ esk3951_4(X1,X2,X3,X4) )).

cnf(i_0_2937,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5132_4(X1,X2,X3,X4) )).

cnf(i_0_2938,axiom,
    ( ~ esk4012_4(X1,X2,X3,X4)
    | esk4518_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_2939,axiom,
    ( esk7130_4(X1,X2,X3,X4)
    | ~ esk5759_4(X1,X2,X3,X4) )).

cnf(i_0_2940,axiom,
    ( ~ p(X3)
    | ~ esk365_0
    | p(X4)
    | p(X2)
    | p(X1)
    | esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_2941,axiom,
    ( ~ esk4618_4(X1,X2,X3,X4)
    | esk4619_4(X1,X2,X3,X4) )).

cnf(i_0_2942,axiom,
    ( ~ p(X1)
    | ~ esk2058_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk419_0
    | ~ p(X2) )).

cnf(i_0_2943,axiom,
    ( p(X3)
    | esk2421_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk585_0
    | ~ p(X1) )).

cnf(i_0_2944,axiom,
    ( ~ esk8287_4(X1,X2,X3,X4)
    | esk8288_4(X1,X2,X3,X4) )).

cnf(i_0_2945,axiom,
    ( ~ esk5725_4(X1,X2,X3,X4)
    | esk5854_4(X1,X2,X3,X4) )).

cnf(i_0_2946,axiom,
    ( ~ p(X3)
    | esk609_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_2947,axiom,
    ( esk5484_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4733_4(X1,X2,X3,X4) )).

cnf(i_0_2948,axiom,
    ( esk8882_4(X1,X2,X3,X4)
    | ~ esk8868_4(X1,X2,X3,X4)
    | ~ esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_2949,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2961_4(X1,X2,X3,X4) )).

cnf(i_0_2950,axiom,
    ( ~ esk9376_4(X1,X2,X3,X4)
    | esk9377_4(X1,X2,X3,X4)
    | ~ esk9371_4(X1,X2,X3,X4) )).

cnf(i_0_2951,axiom,
    ( ~ esk1570_4(X1,X2,X3,X4)
    | esk1481_4(X1,X2,X3,X4) )).

cnf(i_0_2952,axiom,
    ( esk4994_4(X1,X2,X3,X4)
    | ~ esk3801_4(X1,X2,X3,X4) )).

cnf(i_0_2953,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk1328_0
    | ~ esk9252_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_2954,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1109_0 )).

cnf(i_0_2955,axiom,
    ( esk7359_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_2956,axiom,
    ( ~ p(X3)
    | ~ esk829_0
    | esk2791_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_2957,axiom,
    ( ~ esk5067_4(X1,X2,X3,X4)
    | esk5069_4(X1,X2,X3,X4) )).

cnf(i_0_2958,axiom,
    ( esk6717_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_2959,axiom,
    ( esk4266_4(X1,X2,X3,X4)
    | esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_2960,axiom,
    ( p(X3)
    | esk2799_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk888_0
    | p(X1) )).

cnf(i_0_2961,axiom,
    ( ~ esk6771_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_2962,axiom,
    ( ~ esk3179_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_2963,axiom,
    ( ~ p(X2)
    | esk7734_4(X1,X2,X3,X4)
    | ~ esk7_0
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_2964,axiom,
    ( ~ esk3631_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_2965,axiom,
    ( ~ p(X4)
    | esk2321_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk542_0
    | ~ p(X3) )).

cnf(i_0_2966,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X4)
    | esk1213_0
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_2967,axiom,
    ( ~ esk9388_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_2968,axiom,
    ( ~ esk6191_4(X1,X2,X3,X4)
    | esk6248_4(X1,X2,X3,X4)
    | esk6247_4(X1,X2,X3,X4) )).

cnf(i_0_2969,axiom,
    ( ~ esk1614_4(X1,X2,X3,X4)
    | esk1551_4(X1,X2,X3,X4) )).

cnf(i_0_2970,axiom,
    ( esk1209_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk9194_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_2971,axiom,
    ( ~ esk1230_0
    | p(X3)
    | esk9204_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_2972,axiom,
    ( ~ esk7607_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_2973,axiom,
    ( ~ esk3793_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_2974,axiom,
    ( ~ esk6708_4(X1,X2,X3,X4)
    | esk6710_4(X1,X2,X3,X4) )).

cnf(i_0_2975,axiom,
    ( ~ esk9064_4(X1,X2,X3,X4)
    | esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_2976,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk8056_4(X1,X2,X3,X4) )).

cnf(i_0_2977,axiom,
    ( ~ esk8595_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_2978,axiom,
    ( esk4458_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_2979,axiom,
    ( esk8426_4(X1,X2,X3,X4)
    | esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_2980,axiom,
    ( esk9015_4(X1,X2,X3,X4)
    | ~ esk9725_4(X1,X2,X3,X4) )).

cnf(i_0_2981,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk1053_0
    | p(X1)
    | esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_2982,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk578_0 )).

cnf(i_0_2983,axiom,
    ( ~ esk4234_4(X1,X2,X3,X4)
    | esk3479_4(X1,X2,X3,X4) )).

cnf(i_0_2984,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6343_4(X1,X2,X3,X4) )).

cnf(i_0_2985,axiom,
    ( ~ esk4514_4(X1,X2,X3,X4)
    | esk4535_4(X1,X2,X3,X4) )).

cnf(i_0_2986,axiom,
    ( esk9715_4(X1,X2,X3,X4)
    | ~ esk9718_4(X1,X2,X3,X4) )).

cnf(i_0_2987,axiom,
    ( ~ esk4953_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4)
    | esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_2988,axiom,
    ( esk4554_4(X1,X2,X3,X4)
    | esk5547_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_2989,axiom,
    ( ~ esk9062_4(X1,X2,X3,X4)
    | esk9655_4(X1,X2,X3,X4) )).

cnf(i_0_2990,axiom,
    ( esk5310_4(X1,X2,X3,X4)
    | ~ esk5311_4(X1,X2,X3,X4) )).

cnf(i_0_2991,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3239_4(X1,X2,X3,X4) )).

cnf(i_0_2992,axiom,
    ( ~ esk9350_4(X1,X2,X3,X4)
    | esk9351_4(X1,X2,X3,X4) )).

cnf(i_0_2993,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1186_0 )).

cnf(i_0_2994,axiom,
    ( ~ esk4512_4(X1,X2,X3,X4)
    | esk4511_4(X1,X2,X3,X4) )).

cnf(i_0_2995,axiom,
    ( ~ esk8291_4(X1,X2,X3,X4)
    | esk389_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_2996,axiom,
    ( ~ esk4939_4(X1,X2,X3,X4)
    | esk4938_4(X1,X2,X3,X4)
    | esk4937_4(X1,X2,X3,X4) )).

cnf(i_0_2997,axiom,
    ( esk7588_4(X1,X2,X3,X4)
    | ~ esk6935_4(X1,X2,X3,X4) )).

cnf(i_0_2998,axiom,
    ( ~ esk7249_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_2999,axiom,
    ( ~ esk9217_4(X1,X2,X3,X4)
    | ~ esk8057_4(X1,X2,X3,X4) )).

cnf(i_0_3000,axiom,
    ( esk5891_4(X1,X2,X3,X4)
    | esk5892_4(X1,X2,X3,X4)
    | ~ esk5893_4(X1,X2,X3,X4) )).

cnf(i_0_3001,axiom,
    ( esk5286_4(X1,X2,X3,X4)
    | ~ esk5287_4(X1,X2,X3,X4) )).

cnf(i_0_3002,axiom,
    ( esk5194_4(X1,X2,X3,X4)
    | ~ esk5195_4(X1,X2,X3,X4) )).

cnf(i_0_3003,axiom,
    ( ~ esk4003_4(X1,X2,X3,X4)
    | esk4037_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_3004,axiom,
    ( ~ esk2145_4(X1,X2,X3,X4)
    | esk2144_4(X1,X2,X3,X4) )).

cnf(i_0_3005,axiom,
    ( esk5179_4(X1,X2,X3,X4)
    | ~ esk5178_4(X1,X2,X3,X4)
    | ~ esk5173_4(X1,X2,X3,X4) )).

cnf(i_0_3006,axiom,
    ( ~ esk7286_4(X1,X2,X3,X4)
    | esk7288_4(X1,X2,X3,X4) )).

cnf(i_0_3007,axiom,
    ( ~ esk2757_4(X1,X2,X3,X4)
    | esk3342_4(X1,X2,X3,X4) )).

cnf(i_0_3008,axiom,
    ( esk6288_4(X1,X2,X3,X4)
    | ~ esk6324_4(X1,X2,X3,X4)
    | esk6325_4(X1,X2,X3,X4) )).

cnf(i_0_3009,axiom,
    ( esk4581_4(X1,X2,X3,X4)
    | ~ esk4999_4(X1,X2,X3,X4) )).

cnf(i_0_3010,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk1516_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk80_0
    | p(X2) )).

cnf(i_0_3011,axiom,
    ( ~ esk6897_4(X1,X2,X3,X4)
    | ~ esk6718_4(X1,X2,X3,X4)
    | esk6898_4(X1,X2,X3,X4) )).

cnf(i_0_3012,axiom,
    ( p(X2)
    | esk865_0
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_3013,axiom,
    ( ~ esk9151_4(X1,X2,X3,X4)
    | esk9117_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_3014,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk807_0
    | p(X2)
    | ~ p(X1)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_3015,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk658_0
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_3016,axiom,
    ( ~ esk2522_4(X1,X2,X3,X4)
    | esk2521_4(X1,X2,X3,X4) )).

cnf(i_0_3017,axiom,
    ( ~ esk504_0
    | p(X1)
    | ~ p(X4)
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_3018,axiom,
    ( ~ esk7953_4(X1,X2,X3,X4)
    | esk7952_4(X1,X2,X3,X4)
    | esk7951_4(X1,X2,X3,X4) )).

cnf(i_0_3019,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2100_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_3020,axiom,
    ( ~ esk3726_4(X1,X2,X3,X4)
    | esk3725_4(X1,X2,X3,X4)
    | esk3724_4(X1,X2,X3,X4) )).

cnf(i_0_3021,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | ~ esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_3022,axiom,
    ( ~ p(X3)
    | esk9182_4(X1,X2,X3,X4)
    | ~ esk1161_0
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_3023,axiom,
    ( esk9461_4(X1,X2,X3,X4)
    | ~ esk9463_4(X1,X2,X3,X4)
    | esk9462_4(X1,X2,X3,X4) )).

cnf(i_0_3024,axiom,
    ( esk5085_4(X1,X2,X3,X4)
    | ~ esk5083_4(X1,X2,X3,X4) )).

cnf(i_0_3025,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7307_4(X1,X2,X3,X4) )).

cnf(i_0_3026,axiom,
    ( ~ esk1528_4(X1,X2,X3,X4)
    | esk1529_4(X1,X2,X3,X4) )).

cnf(i_0_3027,axiom,
    ( esk7392_4(X1,X2,X3,X4)
    | ~ esk7390_4(X1,X2,X3,X4) )).

cnf(i_0_3028,axiom,
    ( esk7993_4(X1,X2,X3,X4)
    | ~ esk8165_4(X1,X2,X3,X4) )).

cnf(i_0_3029,axiom,
    ( ~ p(X4)
    | esk1756_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk213_0
    | p(X3) )).

cnf(i_0_3030,axiom,
    ( esk9116_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4)
    | esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_3031,axiom,
    ( esk9520_4(X1,X2,X3,X4)
    | ~ esk9521_4(X1,X2,X3,X4) )).

cnf(i_0_3032,axiom,
    ( p(X1)
    | ~ esk1_0
    | esk2427_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_3033,axiom,
    ( p(X3)
    | ~ esk900_0
    | ~ p(X1)
    | esk9095_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_3034,axiom,
    ( p(X4)
    | ~ esk394_0
    | p(X2)
    | ~ p(X3)
    | esk2022_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_3035,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4811_4(X1,X2,X3,X4) )).

cnf(i_0_3036,axiom,
    ( esk8093_4(X1,X2,X3,X4)
    | ~ esk8076_4(X1,X2,X3,X4) )).

cnf(i_0_3037,axiom,
    ( ~ p(X4)
    | esk2908_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1230_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3038,axiom,
    ( esk4623_4(X1,X2,X3,X4)
    | ~ esk4803_4(X1,X2,X3,X4) )).

cnf(i_0_3039,axiom,
    ( ~ esk9386_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_3040,axiom,
    ( ~ esk3681_4(X1,X2,X3,X4)
    | esk3682_4(X1,X2,X3,X4) )).

cnf(i_0_3041,axiom,
    ( esk900_0
    | ~ p(X4)
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3042,axiom,
    ( ~ esk9606_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_3043,axiom,
    ( esk2826_4(X1,X2,X3,X4)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_3044,axiom,
    ( esk3528_4(X1,X2,X3,X4)
    | ~ esk3473_4(X1,X2,X3,X4)
    | ~ esk3454_4(X1,X2,X3,X4) )).

cnf(i_0_3045,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9413_4(X1,X2,X3,X4) )).

cnf(i_0_3046,axiom,
    ( ~ esk3456_4(X1,X2,X3,X4)
    | esk3580_4(X1,X2,X3,X4) )).

cnf(i_0_3047,axiom,
    ( esk8913_4(X1,X2,X3,X4)
    | esk8914_4(X1,X2,X3,X4)
    | ~ esk8915_4(X1,X2,X3,X4) )).

cnf(i_0_3048,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1283_0 )).

cnf(i_0_3049,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6391_4(X1,X2,X3,X4) )).

cnf(i_0_3050,axiom,
    ( esk1841_4(X1,X2,X3,X4)
    | ~ esk3941_4(X1,X2,X3,X4) )).

cnf(i_0_3051,axiom,
    ( esk2256_4(X1,X2,X3,X4)
    | ~ esk2255_4(X1,X2,X3,X4) )).

cnf(i_0_3052,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8944_4(X1,X2,X3,X4) )).

cnf(i_0_3053,axiom,
    ( esk4819_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_3054,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | esk2055_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_3055,axiom,
    ( esk4096_4(X1,X2,X3,X4)
    | ~ esk4309_4(X1,X2,X3,X4) )).

cnf(i_0_3056,axiom,
    ( ~ esk4986_4(X1,X2,X3,X4)
    | esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_3057,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7371_4(X1,X2,X3,X4) )).

cnf(i_0_3058,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6093_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3059,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9460_4(X1,X2,X3,X4) )).

cnf(i_0_3060,axiom,
    ( ~ esk982_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk2811_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_3061,axiom,
    ( ~ esk6406_4(X1,X2,X3,X4)
    | esk6407_4(X1,X2,X3,X4) )).

cnf(i_0_3062,axiom,
    ( ~ esk1446_4(X1,X2,X3,X4)
    | esk1515_4(X1,X2,X3,X4) )).

cnf(i_0_3063,axiom,
    ( esk2718_4(X1,X2,X3,X4)
    | ~ esk2717_4(X1,X2,X3,X4) )).

cnf(i_0_3064,axiom,
    ( ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk266_0
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_3065,axiom,
    ( esk2838_4(X1,X2,X3,X4)
    | ~ esk2837_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_3066,axiom,
    ( ~ esk6587_4(X1,X2,X3,X4)
    | esk6586_4(X1,X2,X3,X4) )).

cnf(i_0_3067,axiom,
    ( ~ esk3770_4(X1,X2,X3,X4)
    | esk3491_4(X1,X2,X3,X4) )).

cnf(i_0_3068,axiom,
    ( ~ esk3915_4(X1,X2,X3,X4)
    | esk3916_4(X1,X2,X3,X4) )).

cnf(i_0_3069,axiom,
    ( esk8023_4(X1,X2,X3,X4)
    | esk8022_4(X1,X2,X3,X4)
    | ~ esk8024_4(X1,X2,X3,X4) )).

cnf(i_0_3070,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X3)
    | esk513_0 )).

cnf(i_0_3071,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4569_4(X1,X2,X3,X4)
    | esk4568_4(X1,X2,X3,X4) )).

cnf(i_0_3072,axiom,
    ( ~ esk9342_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_3073,axiom,
    ( esk9722_4(X1,X2,X3,X4)
    | ~ esk9723_4(X1,X2,X3,X4)
    | esk9721_4(X1,X2,X3,X4) )).

cnf(i_0_3074,axiom,
    ( ~ esk2279_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4) )).

cnf(i_0_3075,axiom,
    ( p(X3)
    | ~ esk10_0
    | p(X4)
    | esk1438_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3076,axiom,
    ( esk2095_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk460_0
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_3077,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk561_0
    | ~ p(X2)
    | p(X1)
    | esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_3078,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk6280_4(X1,X2,X3,X4)
    | ~ esk6242_4(X1,X2,X3,X4) )).

cnf(i_0_3079,axiom,
    ( esk2288_4(X1,X2,X3,X4)
    | ~ esk4388_4(X1,X2,X3,X4) )).

cnf(i_0_3080,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4)
    | esk8738_4(X1,X2,X3,X4) )).

cnf(i_0_3081,axiom,
    ( esk6181_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_3082,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | esk9452_4(X1,X2,X3,X4) )).

cnf(i_0_3083,axiom,
    ( esk2738_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_3084,axiom,
    ( esk2008_4(X1,X2,X3,X4)
    | ~ esk1970_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_3085,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6395_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_3086,axiom,
    ( esk6195_4(X1,X2,X3,X4)
    | ~ esk6408_4(X1,X2,X3,X4) )).

cnf(i_0_3087,axiom,
    ( ~ esk8865_4(X1,X2,X3,X4)
    | esk8834_4(X1,X2,X3,X4) )).

cnf(i_0_3088,axiom,
    ( ~ esk7870_4(X1,X2,X3,X4)
    | esk7869_4(X1,X2,X3,X4) )).

cnf(i_0_3089,axiom,
    ( ~ esk7541_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3090,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8890_4(X1,X2,X3,X4) )).

cnf(i_0_3091,axiom,
    ( ~ esk6215_4(X1,X2,X3,X4)
    | esk6214_4(X1,X2,X3,X4)
    | esk6213_4(X1,X2,X3,X4) )).

cnf(i_0_3092,axiom,
    ( ~ esk4256_4(X1,X2,X3,X4)
    | esk4258_4(X1,X2,X3,X4) )).

cnf(i_0_3093,axiom,
    ( esk8641_4(X1,X2,X3,X4)
    | ~ esk8643_4(X1,X2,X3,X4)
    | esk8642_4(X1,X2,X3,X4) )).

cnf(i_0_3094,axiom,
    ( p(X3)
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk311_0
    | p(X4) )).

cnf(i_0_3095,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6539_4(X1,X2,X3,X4) )).

cnf(i_0_3096,axiom,
    ( esk4059_4(X1,X2,X3,X4)
    | ~ esk4170_4(X1,X2,X3,X4)
    | ~ esk4058_4(X1,X2,X3,X4) )).

cnf(i_0_3097,axiom,
    ( ~ esk4663_4(X1,X2,X3,X4)
    | esk4665_4(X1,X2,X3,X4) )).

cnf(i_0_3098,axiom,
    ( ~ esk7410_4(X1,X2,X3,X4)
    | esk7380_4(X1,X2,X3,X4) )).

cnf(i_0_3099,axiom,
    ( ~ esk5122_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_3100,axiom,
    ( ~ esk2482_4(X1,X2,X3,X4)
    | esk2818_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_3101,axiom,
    ( esk9180_4(X1,X2,X3,X4)
    | ~ esk9102_4(X1,X2,X3,X4) )).

cnf(i_0_3102,axiom,
    ( esk4692_4(X1,X2,X3,X4)
    | ~ esk4649_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_3103,axiom,
    ( esk4843_4(X1,X2,X3,X4)
    | ~ esk4844_4(X1,X2,X3,X4) )).

cnf(i_0_3104,axiom,
    ( ~ esk4124_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_3105,axiom,
    ( esk5803_4(X1,X2,X3,X4)
    | ~ esk7096_4(X1,X2,X3,X4)
    | ~ esk5802_4(X1,X2,X3,X4) )).

cnf(i_0_3106,axiom,
    ( esk2789_4(X1,X2,X3,X4)
    | ~ esk3376_4(X1,X2,X3,X4) )).

cnf(i_0_3107,axiom,
    ( p(X2)
    | ~ esk41_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_3108,axiom,
    ( ~ esk1056_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_3109,axiom,
    ( esk2367_4(X1,X2,X3,X4)
    | ~ esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_3110,axiom,
    ( esk4890_4(X1,X2,X3,X4)
    | ~ esk2790_4(X1,X2,X3,X4) )).

cnf(i_0_3111,axiom,
    ( p(X4)
    | esk1756_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk224_0
    | ~ p(X1) )).

cnf(i_0_3112,axiom,
    ( ~ esk1667_4(X1,X2,X3,X4)
    | esk1710_4(X1,X2,X3,X4) )).

cnf(i_0_3113,axiom,
    ( ~ esk6950_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_3114,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk7740_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk58_0
    | p(X2) )).

cnf(i_0_3115,axiom,
    ( esk6243_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_3116,axiom,
    ( ~ esk4168_4(X1,X2,X3,X4)
    | esk4170_4(X1,X2,X3,X4) )).

cnf(i_0_3117,axiom,
    ( esk2765_4(X1,X2,X3,X4)
    | esk2766_4(X1,X2,X3,X4)
    | ~ esk2767_4(X1,X2,X3,X4) )).

cnf(i_0_3118,axiom,
    ( ~ esk1751_4(X1,X2,X3,X4)
    | esk3851_4(X1,X2,X3,X4) )).

cnf(i_0_3119,axiom,
    ( ~ esk8598_4(X1,X2,X3,X4)
    | esk8597_4(X1,X2,X3,X4) )).

cnf(i_0_3120,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9604_4(X1,X2,X3,X4) )).

cnf(i_0_3121,axiom,
    ( ~ esk2571_4(X1,X2,X3,X4)
    | esk2510_4(X1,X2,X3,X4)
    | ~ esk2509_4(X1,X2,X3,X4) )).

cnf(i_0_3122,axiom,
    ( esk7756_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7957_4(X1,X2,X3,X4) )).

cnf(i_0_3123,axiom,
    ( ~ esk6555_4(X1,X2,X3,X4)
    | esk6556_4(X1,X2,X3,X4) )).

cnf(i_0_3124,axiom,
    ( ~ esk9471_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk9474_4(X1,X2,X3,X4) )).

cnf(i_0_3125,axiom,
    ( ~ esk3133_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3126,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5920_4(X1,X2,X3,X4) )).

cnf(i_0_3127,axiom,
    ( esk6820_4(X1,X2,X3,X4)
    | ~ esk6818_4(X1,X2,X3,X4) )).

cnf(i_0_3128,axiom,
    ( esk6768_4(X1,X2,X3,X4)
    | ~ esk6767_4(X1,X2,X3,X4) )).

cnf(i_0_3129,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7315_4(X1,X2,X3,X4) )).

cnf(i_0_3130,axiom,
    ( ~ esk8768_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3131,axiom,
    ( ~ esk7226_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_3132,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3737_4(X1,X2,X3,X4) )).

cnf(i_0_3133,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6594_4(X1,X2,X3,X4) )).

cnf(i_0_3134,axiom,
    ( ~ esk9090_4(X1,X2,X3,X4)
    | esk7743_4(X1,X2,X3,X4) )).

cnf(i_0_3135,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk629_0 )).

cnf(i_0_3136,axiom,
    ( ~ esk5349_4(X1,X2,X3,X4)
    | esk5363_4(X1,X2,X3,X4)
    | ~ esk5362_4(X1,X2,X3,X4) )).

cnf(i_0_3137,axiom,
    ( ~ esk1347_0
    | ~ p(X1)
    | esk9254_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_3138,axiom,
    ( ~ esk2644_4(X1,X2,X3,X4)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_3139,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3203_4(X1,X2,X3,X4) )).

cnf(i_0_3140,axiom,
    ( esk7997_4(X1,X2,X3,X4)
    | ~ esk7821_4(X1,X2,X3,X4) )).

cnf(i_0_3141,axiom,
    ( esk4086_4(X1,X2,X3,X4)
    | ~ esk4120_4(X1,X2,X3,X4) )).

cnf(i_0_3142,axiom,
    ( ~ esk2863_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4)
    | esk2864_4(X1,X2,X3,X4) )).

cnf(i_0_3143,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9530_4(X1,X2,X3,X4) )).

cnf(i_0_3144,axiom,
    ( ~ esk5009_4(X1,X2,X3,X4)
    | esk5011_4(X1,X2,X3,X4) )).

cnf(i_0_3145,axiom,
    ( ~ esk3308_4(X1,X2,X3,X4)
    | esk2562_4(X1,X2,X3,X4) )).

cnf(i_0_3146,axiom,
    ( esk3985_4(X1,X2,X3,X4)
    | ~ esk4118_4(X1,X2,X3,X4)
    | ~ esk3978_4(X1,X2,X3,X4) )).

cnf(i_0_3147,axiom,
    ( ~ p(X4)
    | ~ esk9097_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk916_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_3148,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk88_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3149,axiom,
    ( ~ esk8971_4(X1,X2,X3,X4)
    | ~ esk9636_4(X1,X2,X3,X4)
    | esk9637_4(X1,X2,X3,X4) )).

cnf(i_0_3150,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk15_0
    | ~ p(X1)
    | p(X3)
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_3151,axiom,
    ( p(X2)
    | p(X1)
    | esk558_0
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_3152,axiom,
    ( ~ esk7581_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3153,axiom,
    ( ~ esk8844_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_3154,axiom,
    ( esk2490_4(X1,X2,X3,X4)
    | ~ esk2684_4(X1,X2,X3,X4) )).

cnf(i_0_3155,axiom,
    ( ~ esk3758_4(X1,X2,X3,X4)
    | esk3814_4(X1,X2,X3,X4) )).

cnf(i_0_3156,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6316_4(X1,X2,X3,X4)
    | esk6317_4(X1,X2,X3,X4) )).

cnf(i_0_3157,axiom,
    ( ~ esk9265_4(X1,X2,X3,X4)
    | esk9259_4(X1,X2,X3,X4) )).

cnf(i_0_3158,axiom,
    ( ~ esk9216_4(X1,X2,X3,X4)
    | ~ esk8750_4(X1,X2,X3,X4)
    | esk7814_4(X1,X2,X3,X4) )).

cnf(i_0_3159,axiom,
    ( esk9011_4(X1,X2,X3,X4)
    | ~ esk9010_4(X1,X2,X3,X4) )).

cnf(i_0_3160,axiom,
    ( ~ esk7740_4(X1,X2,X3,X4)
    | esk9185_4(X1,X2,X3,X4) )).

cnf(i_0_3161,axiom,
    ( esk5540_4(X1,X2,X3,X4)
    | ~ esk3551_4(X1,X2,X3,X4) )).

cnf(i_0_3162,axiom,
    ( ~ esk1462_4(X1,X2,X3,X4)
    | esk1705_4(X1,X2,X3,X4) )).

cnf(i_0_3163,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk222_0
    | esk1756_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3164,axiom,
    ( esk7244_4(X1,X2,X3,X4)
    | ~ esk7243_4(X1,X2,X3,X4) )).

cnf(i_0_3165,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk630_0
    | ~ esk2427_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_3166,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk518_0
    | p(X4)
    | ~ esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_3167,axiom,
    ( ~ esk9621_4(X1,X2,X3,X4)
    | esk8963_4(X1,X2,X3,X4) )).

cnf(i_0_3168,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9513_4(X1,X2,X3,X4) )).

cnf(i_0_3169,axiom,
    ( esk3472_4(X1,X2,X3,X4)
    | esk4555_4(X1,X2,X3,X4) )).

cnf(i_0_3170,axiom,
    ( ~ esk6013_4(X1,X2,X3,X4)
    | esk6006_4(X1,X2,X3,X4) )).

cnf(i_0_3171,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5326_4(X1,X2,X3,X4) )).

cnf(i_0_3172,axiom,
    ( esk8487_4(X1,X2,X3,X4)
    | ~ esk8485_4(X1,X2,X3,X4) )).

cnf(i_0_3173,axiom,
    ( ~ esk1790_4(X1,X2,X3,X4)
    | esk1789_4(X1,X2,X3,X4) )).

cnf(i_0_3174,axiom,
    ( ~ esk8391_4(X1,X2,X3,X4)
    | esk464_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_3175,axiom,
    ( ~ esk6000_4(X1,X2,X3,X4)
    | esk6002_4(X1,X2,X3,X4) )).

cnf(i_0_3176,axiom,
    ( ~ p(X4)
    | ~ esk52_0
    | p(X3)
    | esk1444_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_3177,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2357_4(X1,X2,X3,X4) )).

cnf(i_0_3178,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk650_0 )).

cnf(i_0_3179,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7254_4(X1,X2,X3,X4)
    | ~ esk7253_4(X1,X2,X3,X4) )).

cnf(i_0_3180,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | esk755_0
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_3181,axiom,
    ( ~ esk3313_4(X1,X2,X3,X4)
    | esk3314_4(X1,X2,X3,X4) )).

cnf(i_0_3182,axiom,
    ( ~ esk8794_4(X1,X2,X3,X4)
    | esk8796_4(X1,X2,X3,X4) )).

cnf(i_0_3183,axiom,
    ( ~ esk9730_4(X1,X2,X3,X4)
    | esk9731_4(X1,X2,X3,X4) )).

cnf(i_0_3184,axiom,
    ( ~ esk8869_4(X1,X2,X3,X4)
    | ~ esk8772_4(X1,X2,X3,X4) )).

cnf(i_0_3185,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4)
    | ~ esk3286_4(X1,X2,X3,X4) )).

cnf(i_0_3186,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk5892_4(X1,X2,X3,X4) )).

cnf(i_0_3187,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk635_0 )).

cnf(i_0_3188,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7509_4(X1,X2,X3,X4) )).

cnf(i_0_3189,axiom,
    ( esk4906_4(X1,X2,X3,X4)
    | ~ esk4655_4(X1,X2,X3,X4) )).

cnf(i_0_3190,axiom,
    ( esk8972_4(X1,X2,X3,X4)
    | ~ esk8973_4(X1,X2,X3,X4) )).

cnf(i_0_3191,axiom,
    ( ~ esk6051_4(X1,X2,X3,X4)
    | ~ esk6050_4(X1,X2,X3,X4) )).

cnf(i_0_3192,axiom,
    ( ~ esk7902_4(X1,X2,X3,X4)
    | esk9195_4(X1,X2,X3,X4) )).

cnf(i_0_3193,axiom,
    ( esk5154_4(X1,X2,X3,X4)
    | ~ esk5155_4(X1,X2,X3,X4) )).

cnf(i_0_3194,axiom,
    ( esk5844_4(X1,X2,X3,X4)
    | ~ esk5905_4(X1,X2,X3,X4) )).

cnf(i_0_3195,axiom,
    ( ~ esk8180_4(X1,X2,X3,X4)
    | esk8177_4(X1,X2,X3,X4)
    | esk8178_4(X1,X2,X3,X4)
    | esk8179_4(X1,X2,X3,X4) )).

cnf(i_0_3196,axiom,
    ( esk2555_4(X1,X2,X3,X4)
    | ~ esk2613_4(X1,X2,X3,X4) )).

cnf(i_0_3197,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk2918_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1256_0
    | p(X3) )).

cnf(i_0_3198,axiom,
    ( ~ esk2397_4(X1,X2,X3,X4)
    | esk2399_4(X1,X2,X3,X4) )).

cnf(i_0_3199,axiom,
    ( p(X4)
    | esk9194_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1203_0
    | p(X1)
    | p(X2) )).

cnf(i_0_3200,axiom,
    ( ~ esk6544_4(X1,X2,X3,X4)
    | esk6542_4(X1,X2,X3,X4)
    | esk6543_4(X1,X2,X3,X4) )).

cnf(i_0_3201,axiom,
    ( ~ esk2155_4(X1,X2,X3,X4)
    | ~ esk2368_4(X1,X2,X3,X4)
    | esk2369_4(X1,X2,X3,X4) )).

cnf(i_0_3202,axiom,
    ( esk8286_4(X1,X2,X3,X4)
    | esk8285_4(X1,X2,X3,X4)
    | ~ esk8288_4(X1,X2,X3,X4)
    | esk8287_4(X1,X2,X3,X4) )).

cnf(i_0_3203,axiom,
    ( ~ esk191_0
    | p(X4)
    | p(X3)
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_3204,axiom,
    ( esk7212_4(X1,X2,X3,X4)
    | ~ esk7210_4(X1,X2,X3,X4) )).

cnf(i_0_3205,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | esk3275_4(X1,X2,X3,X4) )).

cnf(i_0_3206,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk3980_4(X1,X2,X3,X4) )).

cnf(i_0_3207,axiom,
    ( esk8028_4(X1,X2,X3,X4)
    | ~ esk7959_4(X1,X2,X3,X4) )).

cnf(i_0_3208,axiom,
    ( esk1618_4(X1,X2,X3,X4)
    | esk1617_4(X1,X2,X3,X4)
    | ~ esk1619_4(X1,X2,X3,X4) )).

cnf(i_0_3209,axiom,
    ( esk6995_4(X1,X2,X3,X4)
    | ~ esk7518_4(X1,X2,X3,X4) )).

cnf(i_0_3210,axiom,
    ( p(X4)
    | ~ esk652_0
    | p(X1)
    | ~ p(X2)
    | esk8727_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3211,axiom,
    ( ~ esk4959_4(X1,X2,X3,X4)
    | esk4961_4(X1,X2,X3,X4) )).

cnf(i_0_3212,axiom,
    ( ~ p(X3)
    | ~ esk174_0
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_3213,axiom,
    ( ~ esk4566_4(X1,X2,X3,X4)
    | esk4567_4(X1,X2,X3,X4) )).

cnf(i_0_3214,axiom,
    ( esk8526_4(X1,X2,X3,X4)
    | ~ esk8525_4(X1,X2,X3,X4) )).

cnf(i_0_3215,axiom,
    ( ~ esk7058_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_3216,axiom,
    ( ~ esk3308_4(X1,X2,X3,X4)
    | esk3307_4(X1,X2,X3,X4) )).

cnf(i_0_3217,axiom,
    ( esk9078_4(X1,X2,X3,X4)
    | ~ esk9711_4(X1,X2,X3,X4)
    | ~ esk9077_4(X1,X2,X3,X4) )).

cnf(i_0_3218,axiom,
    ( esk8234_4(X1,X2,X3,X4)
    | ~ esk8530_4(X1,X2,X3,X4)
    | ~ esk8233_4(X1,X2,X3,X4) )).

cnf(i_0_3219,axiom,
    ( esk1698_4(X1,X2,X3,X4)
    | ~ esk1870_4(X1,X2,X3,X4) )).

cnf(i_0_3220,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2306_4(X1,X2,X3,X4) )).

cnf(i_0_3221,axiom,
    ( esk5825_4(X1,X2,X3,X4)
    | ~ esk5823_4(X1,X2,X3,X4) )).

cnf(i_0_3222,axiom,
    ( ~ esk5245_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5248_4(X1,X2,X3,X4) )).

cnf(i_0_3223,axiom,
    ( ~ esk856_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk2793_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3224,axiom,
    ( esk1889_4(X1,X2,X3,X4)
    | ~ esk1890_4(X1,X2,X3,X4) )).

cnf(i_0_3225,axiom,
    ( ~ esk2294_4(X1,X2,X3,X4)
    | esk2292_4(X1,X2,X3,X4)
    | esk2293_4(X1,X2,X3,X4) )).

cnf(i_0_3226,axiom,
    ( esk3098_4(X1,X2,X3,X4)
    | ~ esk3097_4(X1,X2,X3,X4) )).

cnf(i_0_3227,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk4331_4(X1,X2,X3,X4)
    | ~ esk4293_4(X1,X2,X3,X4) )).

cnf(i_0_3228,axiom,
    ( ~ esk4096_4(X1,X2,X3,X4)
    | ~ esk4183_4(X1,X2,X3,X4) )).

cnf(i_0_3229,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk755_0
    | ~ p(X4)
    | p(X1)
    | esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_3230,axiom,
    ( p(X4)
    | esk1100_0
    | p(X1)
    | p(X2)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3231,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9358_4(X1,X2,X3,X4) )).

cnf(i_0_3232,axiom,
    ( ~ esk8191_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_3233,axiom,
    ( esk9062_4(X1,X2,X3,X4)
    | esk9063_4(X1,X2,X3,X4)
    | ~ esk9064_4(X1,X2,X3,X4) )).

cnf(i_0_3234,axiom,
    ( esk3624_4(X1,X2,X3,X4)
    | ~ esk4961_4(X1,X2,X3,X4) )).

cnf(i_0_3235,axiom,
    ( ~ esk9105_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_3236,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5282_4(X1,X2,X3,X4) )).

cnf(i_0_3237,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2106_4(X1,X2,X3,X4) )).

cnf(i_0_3238,axiom,
    ( ~ esk5033_4(X1,X2,X3,X4)
    | esk5032_4(X1,X2,X3,X4) )).

cnf(i_0_3239,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk207_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_3240,axiom,
    ( esk4823_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_3241,axiom,
    ( esk2462_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_3242,axiom,
    ( esk3757_4(X1,X2,X3,X4)
    | ~ esk3756_4(X1,X2,X3,X4)
    | ~ esk3806_4(X1,X2,X3,X4) )).

cnf(i_0_3243,axiom,
    ( ~ esk7734_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | esk6_0 )).

cnf(i_0_3244,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6165_4(X1,X2,X3,X4) )).

cnf(i_0_3245,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2431_4(X1,X2,X3,X4)
    | esk652_0
    | p(X3) )).

cnf(i_0_3246,axiom,
    ( p(X1)
    | ~ esk783_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_3247,axiom,
    ( ~ esk2105_4(X1,X2,X3,X4)
    | esk2103_4(X1,X2,X3,X4)
    | esk2104_4(X1,X2,X3,X4) )).

cnf(i_0_3248,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6030_4(X1,X2,X3,X4)
    | esk5981_4(X1,X2,X3,X4) )).

cnf(i_0_3249,axiom,
    ( ~ esk9212_4(X1,X2,X3,X4)
    | esk7752_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_3250,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | esk4471_4(X1,X2,X3,X4) )).

cnf(i_0_3251,axiom,
    ( ~ esk7771_4(X1,X2,X3,X4)
    | esk7843_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_3252,axiom,
    ( ~ esk7565_4(X1,X2,X3,X4)
    | esk7566_4(X1,X2,X3,X4)
    | ~ esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_3253,axiom,
    ( ~ esk5291_4(X1,X2,X3,X4)
    | esk5285_4(X1,X2,X3,X4) )).

cnf(i_0_3254,axiom,
    ( esk9015_4(X1,X2,X3,X4)
    | ~ esk9013_4(X1,X2,X3,X4) )).

cnf(i_0_3255,axiom,
    ( ~ esk8027_4(X1,X2,X3,X4)
    | esk8028_4(X1,X2,X3,X4) )).

cnf(i_0_3256,axiom,
    ( esk8486_4(X1,X2,X3,X4)
    | ~ esk8487_4(X1,X2,X3,X4)
    | esk8485_4(X1,X2,X3,X4) )).

cnf(i_0_3257,axiom,
    ( ~ esk9735_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_3258,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk1846_4(X1,X2,X3,X4)
    | esk1827_4(X1,X2,X3,X4) )).

cnf(i_0_3259,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk3786_4(X1,X2,X3,X4) )).

cnf(i_0_3260,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk667_0 )).

cnf(i_0_3261,axiom,
    ( ~ esk5863_4(X1,X2,X3,X4)
    | ~ esk5900_4(X1,X2,X3,X4)
    | esk5864_4(X1,X2,X3,X4) )).

cnf(i_0_3262,axiom,
    ( ~ esk2417_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk548_0
    | p(X1)
    | p(X4) )).

cnf(i_0_3263,axiom,
    ( esk1806_4(X1,X2,X3,X4)
    | ~ esk1808_4(X1,X2,X3,X4)
    | esk1807_4(X1,X2,X3,X4) )).

cnf(i_0_3264,axiom,
    ( esk6747_4(X1,X2,X3,X4)
    | ~ esk6745_4(X1,X2,X3,X4) )).

cnf(i_0_3265,axiom,
    ( esk8668_4(X1,X2,X3,X4)
    | ~ esk8666_4(X1,X2,X3,X4) )).

cnf(i_0_3266,axiom,
    ( esk4828_4(X1,X2,X3,X4)
    | esk4829_4(X1,X2,X3,X4)
    | ~ esk4830_4(X1,X2,X3,X4) )).

cnf(i_0_3267,axiom,
    ( esk1873_4(X1,X2,X3,X4)
    | ~ esk3973_4(X1,X2,X3,X4) )).

cnf(i_0_3268,axiom,
    ( ~ esk8408_4(X1,X2,X3,X4)
    | esk8407_4(X1,X2,X3,X4) )).

cnf(i_0_3269,axiom,
    ( ~ esk6659_4(X1,X2,X3,X4)
    | esk6676_4(X1,X2,X3,X4) )).

cnf(i_0_3270,axiom,
    ( ~ esk4937_4(X1,X2,X3,X4)
    | esk4936_4(X1,X2,X3,X4) )).

cnf(i_0_3271,axiom,
    ( ~ esk2849_4(X1,X2,X3,X4)
    | esk2850_4(X1,X2,X3,X4)
    | ~ esk2844_4(X1,X2,X3,X4) )).

cnf(i_0_3272,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5059_4(X1,X2,X3,X4)
    | ~ esk5058_4(X1,X2,X3,X4) )).

cnf(i_0_3273,axiom,
    ( esk2379_4(X1,X2,X3,X4)
    | ~ esk2378_4(X1,X2,X3,X4) )).

cnf(i_0_3274,axiom,
    ( esk8904_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_3275,axiom,
    ( esk9582_4(X1,X2,X3,X4)
    | ~ esk8777_4(X1,X2,X3,X4) )).

cnf(i_0_3276,axiom,
    ( esk3765_4(X1,X2,X3,X4)
    | esk3766_4(X1,X2,X3,X4)
    | ~ esk3767_4(X1,X2,X3,X4) )).

cnf(i_0_3277,axiom,
    ( ~ esk477_0
    | p(X2)
    | ~ p(X1)
    | esk2173_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3278,axiom,
    ( ~ esk3441_4(X1,X2,X3,X4)
    | esk1452_4(X1,X2,X3,X4) )).

cnf(i_0_3279,axiom,
    ( ~ esk5713_4(X1,X2,X3,X4)
    | esk5644_4(X1,X2,X3,X4) )).

cnf(i_0_3280,axiom,
    ( ~ esk9727_4(X1,X2,X3,X4)
    | esk9070_4(X1,X2,X3,X4)
    | ~ esk9069_4(X1,X2,X3,X4) )).

cnf(i_0_3281,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk867_0
    | p(X4) )).

cnf(i_0_3282,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk8044_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk154_0
    | p(X1) )).

cnf(i_0_3283,axiom,
    ( esk3297_4(X1,X2,X3,X4)
    | ~ esk3298_4(X1,X2,X3,X4)
    | esk3296_4(X1,X2,X3,X4)
    | esk3295_4(X1,X2,X3,X4) )).

cnf(i_0_3284,axiom,
    ( esk1522_4(X1,X2,X3,X4)
    | esk3448_4(X1,X2,X3,X4)
    | ~ esk3449_4(X1,X2,X3,X4) )).

cnf(i_0_3285,axiom,
    ( esk6634_4(X1,X2,X3,X4)
    | ~ esk8734_4(X1,X2,X3,X4) )).

cnf(i_0_3286,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2515_4(X1,X2,X3,X4) )).

cnf(i_0_3287,axiom,
    ( ~ esk3388_4(X1,X2,X3,X4)
    | esk3387_4(X1,X2,X3,X4) )).

cnf(i_0_3288,axiom,
    ( esk7736_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk24_0
    | ~ p(X3) )).

cnf(i_0_3289,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk6894_4(X1,X2,X3,X4)
    | ~ esk6893_4(X1,X2,X3,X4) )).

cnf(i_0_3290,axiom,
    ( esk6030_4(X1,X2,X3,X4)
    | ~ esk6029_4(X1,X2,X3,X4) )).

cnf(i_0_3291,axiom,
    ( ~ esk5191_4(X1,X2,X3,X4)
    | esk5185_4(X1,X2,X3,X4) )).

cnf(i_0_3292,axiom,
    ( ~ esk9686_4(X1,X2,X3,X4)
    | esk9687_4(X1,X2,X3,X4) )).

cnf(i_0_3293,axiom,
    ( esk4693_4(X1,X2,X3,X4)
    | ~ esk5404_4(X1,X2,X3,X4) )).

cnf(i_0_3294,axiom,
    ( ~ esk1531_4(X1,X2,X3,X4)
    | ~ esk1744_4(X1,X2,X3,X4) )).

cnf(i_0_3295,axiom,
    ( ~ esk4005_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_3296,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk2886_4(X1,X2,X3,X4)
    | esk1160_0
    | p(X1) )).

cnf(i_0_3297,axiom,
    ( esk1047_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_3298,axiom,
    ( p(X3)
    | p(X2)
    | esk2922_4(X1,X2,X3,X4)
    | ~ esk1271_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_3299,axiom,
    ( esk5918_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_3300,axiom,
    ( esk7778_4(X1,X2,X3,X4)
    | ~ esk7654_4(X1,X2,X3,X4) )).

cnf(i_0_3301,axiom,
    ( p(X1)
    | esk2805_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk933_0
    | p(X3) )).

cnf(i_0_3302,axiom,
    ( ~ esk8383_4(X1,X2,X3,X4)
    | esk8385_4(X1,X2,X3,X4) )).

cnf(i_0_3303,axiom,
    ( esk4341_4(X1,X2,X3,X4)
    | esk4303_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_3304,axiom,
    ( ~ esk9418_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3305,axiom,
    ( esk5544_4(X1,X2,X3,X4)
    | ~ esk3621_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_3306,axiom,
    ( esk8049_4(X1,X2,X3,X4)
    | ~ esk5949_4(X1,X2,X3,X4) )).

cnf(i_0_3307,axiom,
    ( ~ esk9032_4(X1,X2,X3,X4)
    | esk9030_4(X1,X2,X3,X4)
    | esk9031_4(X1,X2,X3,X4) )).

cnf(i_0_3308,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4)
    | esk9031_4(X1,X2,X3,X4) )).

cnf(i_0_3309,axiom,
    ( ~ esk6312_4(X1,X2,X3,X4)
    | ~ esk6176_4(X1,X2,X3,X4)
    | esk6313_4(X1,X2,X3,X4) )).

cnf(i_0_3310,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | esk8182_4(X1,X2,X3,X4)
    | ~ esk8181_4(X1,X2,X3,X4) )).

cnf(i_0_3311,axiom,
    ( ~ esk8853_4(X1,X2,X3,X4)
    | esk8914_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_3312,axiom,
    ( ~ esk6352_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_3313,axiom,
    ( ~ esk1533_4(X1,X2,X3,X4)
    | esk1532_4(X1,X2,X3,X4) )).

cnf(i_0_3314,axiom,
    ( ~ esk8022_4(X1,X2,X3,X4)
    | esk8024_4(X1,X2,X3,X4) )).

cnf(i_0_3315,axiom,
    ( esk4886_4(X1,X2,X3,X4)
    | ~ esk4723_4(X1,X2,X3,X4) )).

cnf(i_0_3316,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | esk1005_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_3317,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2_0
    | esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_3318,axiom,
    ( p(X4)
    | ~ esk8547_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | esk498_0 )).

cnf(i_0_3319,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1874_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk301_0 )).

cnf(i_0_3320,axiom,
    ( esk6211_4(X1,X2,X3,X4)
    | ~ esk6210_4(X1,X2,X3,X4) )).

cnf(i_0_3321,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7255_4(X1,X2,X3,X4) )).

cnf(i_0_3322,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5253_4(X1,X2,X3,X4)
    | esk5256_4(X1,X2,X3,X4) )).

cnf(i_0_3323,axiom,
    ( esk8756_4(X1,X2,X3,X4)
    | ~ esk8755_4(X1,X2,X3,X4) )).

cnf(i_0_3324,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk2868_4(X1,X2,X3,X4)
    | esk1048_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_3325,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk1269_0
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_3326,axiom,
    ( esk3191_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_3327,axiom,
    ( ~ esk9538_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3328,axiom,
    ( ~ esk1987_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4)
    | esk2444_4(X1,X2,X3,X4) )).

cnf(i_0_3329,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | esk160_0
    | p(X4)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_3330,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6177_4(X1,X2,X3,X4) )).

cnf(i_0_3331,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7427_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3332,axiom,
    ( esk9092_4(X1,X2,X3,X4)
    | ~ esk8847_4(X1,X2,X3,X4) )).

cnf(i_0_3333,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7563_4(X1,X2,X3,X4) )).

cnf(i_0_3334,axiom,
    ( esk8334_4(X1,X2,X3,X4)
    | ~ esk8335_4(X1,X2,X3,X4) )).

cnf(i_0_3335,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7363_4(X1,X2,X3,X4) )).

cnf(i_0_3336,axiom,
    ( ~ esk9673_4(X1,X2,X3,X4)
    | esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_3337,axiom,
    ( esk7523_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7520_4(X1,X2,X3,X4) )).

cnf(i_0_3338,axiom,
    ( esk7604_4(X1,X2,X3,X4)
    | ~ esk7602_4(X1,X2,X3,X4) )).

cnf(i_0_3339,axiom,
    ( ~ esk7627_4(X1,X2,X3,X4)
    | esk7628_4(X1,X2,X3,X4) )).

cnf(i_0_3340,axiom,
    ( esk4720_4(X1,X2,X3,X4)
    | esk4719_4(X1,X2,X3,X4)
    | ~ esk4721_4(X1,X2,X3,X4) )).

cnf(i_0_3341,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4)
    | esk9118_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_3342,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4063_4(X1,X2,X3,X4) )).

cnf(i_0_3343,axiom,
    ( esk7082_4(X1,X2,X3,X4)
    | ~ esk7073_4(X1,X2,X3,X4) )).

cnf(i_0_3344,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk7729_4(X1,X2,X3,X4)
    | ~ esk7728_4(X1,X2,X3,X4) )).

cnf(i_0_3345,axiom,
    ( ~ esk3827_4(X1,X2,X3,X4)
    | esk3828_4(X1,X2,X3,X4)
    | ~ esk3784_4(X1,X2,X3,X4) )).

cnf(i_0_3346,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | esk578_0
    | ~ p(X4)
    | ~ esk8717_4(X1,X2,X3,X4) )).

cnf(i_0_3347,axiom,
    ( esk5902_4(X1,X2,X3,X4)
    | ~ esk7132_4(X1,X2,X3,X4) )).

cnf(i_0_3348,axiom,
    ( esk5566_4(X1,X2,X3,X4)
    | ~ esk5645_4(X1,X2,X3,X4) )).

cnf(i_0_3349,axiom,
    ( p(X1)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk757_0 )).

cnf(i_0_3350,axiom,
    ( esk4156_4(X1,X2,X3,X4)
    | ~ esk4675_4(X1,X2,X3,X4) )).

cnf(i_0_3351,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5156_4(X1,X2,X3,X4) )).

cnf(i_0_3352,axiom,
    ( esk7042_4(X1,X2,X3,X4)
    | ~ esk7041_4(X1,X2,X3,X4) )).

cnf(i_0_3353,axiom,
    ( esk6362_4(X1,X2,X3,X4)
    | ~ esk6627_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_3354,axiom,
    ( ~ esk7947_4(X1,X2,X3,X4)
    | esk7948_4(X1,X2,X3,X4) )).

cnf(i_0_3355,axiom,
    ( esk9606_4(X1,X2,X3,X4)
    | ~ esk9603_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_3356,axiom,
    ( esk4762_4(X1,X2,X3,X4)
    | ~ esk4763_4(X1,X2,X3,X4) )).

cnf(i_0_3357,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4463_4(X1,X2,X3,X4) )).

cnf(i_0_3358,axiom,
    ( ~ esk6401_4(X1,X2,X3,X4)
    | esk6625_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_3359,axiom,
    ( ~ esk9114_4(X1,X2,X3,X4)
    | esk7735_4(X1,X2,X3,X4) )).

cnf(i_0_3360,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk2455_4(X1,X2,X3,X4)
    | esk756_0
    | p(X1)
    | p(X4) )).

cnf(i_0_3361,axiom,
    ( esk5123_4(X1,X2,X3,X4)
    | ~ esk5117_4(X1,X2,X3,X4)
    | ~ esk5122_4(X1,X2,X3,X4) )).

cnf(i_0_3362,axiom,
    ( ~ esk4609_4(X1,X2,X3,X4)
    | esk4670_4(X1,X2,X3,X4) )).

cnf(i_0_3363,axiom,
    ( esk2790_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_3364,axiom,
    ( p(X2)
    | esk439_0
    | ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_3365,axiom,
    ( ~ esk3860_4(X1,X2,X3,X4)
    | esk3630_4(X1,X2,X3,X4) )).

cnf(i_0_3366,axiom,
    ( ~ esk9196_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4)
    | esk9197_4(X1,X2,X3,X4) )).

cnf(i_0_3367,axiom,
    ( ~ esk5456_4(X1,X2,X3,X4)
    | esk5457_4(X1,X2,X3,X4) )).

cnf(i_0_3368,axiom,
    ( esk6918_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_3369,axiom,
    ( esk5829_4(X1,X2,X3,X4)
    | ~ esk5828_4(X1,X2,X3,X4) )).

cnf(i_0_3370,axiom,
    ( esk2909_4(X1,X2,X3,X4)
    | ~ esk2910_4(X1,X2,X3,X4) )).

cnf(i_0_3371,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk6968_4(X1,X2,X3,X4) )).

cnf(i_0_3372,axiom,
    ( ~ esk6057_4(X1,X2,X3,X4)
    | esk6070_4(X1,X2,X3,X4) )).

cnf(i_0_3373,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6576_4(X1,X2,X3,X4) )).

cnf(i_0_3374,axiom,
    ( esk1167_0
    | ~ p(X1)
    | ~ esk2886_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_3375,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | ~ esk4959_4(X1,X2,X3,X4) )).

cnf(i_0_3376,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk9174_4(X1,X2,X3,X4)
    | ~ esk1118_0
    | p(X1) )).

cnf(i_0_3377,axiom,
    ( ~ p(X4)
    | esk336_0
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_3378,axiom,
    ( esk2977_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_3379,axiom,
    ( ~ esk9075_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_3380,axiom,
    ( ~ esk6226_4(X1,X2,X3,X4)
    | ~ esk6373_4(X1,X2,X3,X4)
    | esk6374_4(X1,X2,X3,X4) )).

cnf(i_0_3381,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | esk9164_4(X1,X2,X3,X4)
    | ~ esk1050_0
    | ~ p(X2) )).

cnf(i_0_3382,axiom,
    ( ~ esk2420_4(X1,X2,X3,X4)
    | esk2383_4(X1,X2,X3,X4) )).

cnf(i_0_3383,axiom,
    ( ~ esk8086_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3384,axiom,
    ( esk1171_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk2886_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_3385,axiom,
    ( ~ esk2777_4(X1,X2,X3,X4)
    | esk2776_4(X1,X2,X3,X4) )).

cnf(i_0_3386,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | esk5198_4(X1,X2,X3,X4) )).

cnf(i_0_3387,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9308_4(X1,X2,X3,X4) )).

cnf(i_0_3388,axiom,
    ( ~ esk7596_4(X1,X2,X3,X4)
    | ~ esk6918_4(X1,X2,X3,X4)
    | esk6919_4(X1,X2,X3,X4) )).

cnf(i_0_3389,axiom,
    ( esk5521_4(X1,X2,X3,X4)
    | ~ esk4876_4(X1,X2,X3,X4) )).

cnf(i_0_3390,axiom,
    ( ~ esk7559_4(X1,X2,X3,X4)
    | esk7560_4(X1,X2,X3,X4) )).

cnf(i_0_3391,axiom,
    ( ~ esk7451_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3392,axiom,
    ( p(X4)
    | esk2918_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk1255_0
    | ~ p(X1) )).

cnf(i_0_3393,axiom,
    ( esk3128_4(X1,X2,X3,X4)
    | ~ esk3130_4(X1,X2,X3,X4)
    | esk3129_4(X1,X2,X3,X4) )).

cnf(i_0_3394,axiom,
    ( ~ esk8381_4(X1,X2,X3,X4)
    | ~ esk8392_4(X1,X2,X3,X4)
    | esk8616_4(X1,X2,X3,X4) )).

cnf(i_0_3395,axiom,
    ( ~ esk2179_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_3396,axiom,
    ( esk8673_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_3397,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9550_4(X1,X2,X3,X4) )).

cnf(i_0_3398,axiom,
    ( ~ esk112_0
    | esk1643_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_3399,axiom,
    ( ~ esk7132_4(X1,X2,X3,X4)
    | esk7131_4(X1,X2,X3,X4) )).

cnf(i_0_3400,axiom,
    ( esk5852_4(X1,X2,X3,X4)
    | ~ esk6653_4(X1,X2,X3,X4)
    | ~ esk5851_4(X1,X2,X3,X4) )).

cnf(i_0_3401,axiom,
    ( esk8851_4(X1,X2,X3,X4)
    | ~ esk8906_4(X1,X2,X3,X4) )).

cnf(i_0_3402,axiom,
    ( esk4824_4(X1,X2,X3,X4)
    | ~ esk4823_4(X1,X2,X3,X4)
    | ~ esk5505_4(X1,X2,X3,X4) )).

cnf(i_0_3403,axiom,
    ( esk3579_4(X1,X2,X3,X4)
    | ~ esk3665_4(X1,X2,X3,X4) )).

cnf(i_0_3404,axiom,
    ( ~ esk3569_4(X1,X2,X3,X4)
    | esk3568_4(X1,X2,X3,X4) )).

cnf(i_0_3405,axiom,
    ( esk5640_4(X1,X2,X3,X4)
    | ~ esk3540_4(X1,X2,X3,X4) )).

cnf(i_0_3406,axiom,
    ( ~ esk4624_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_3407,axiom,
    ( p(X4)
    | p(X1)
    | esk2785_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X3)
    | p(X2) )).

cnf(i_0_3408,axiom,
    ( ~ esk3665_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_3409,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | esk1221_0
    | ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_3410,axiom,
    ( esk4478_4(X1,X2,X3,X4)
    | ~ esk4476_4(X1,X2,X3,X4) )).

cnf(i_0_3411,axiom,
    ( ~ esk7866_4(X1,X2,X3,X4)
    | esk9249_4(X1,X2,X3,X4) )).

cnf(i_0_3412,axiom,
    ( esk1_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3413,axiom,
    ( ~ esk1585_4(X1,X2,X3,X4)
    | esk1584_4(X1,X2,X3,X4) )).

cnf(i_0_3414,axiom,
    ( esk5094_4(X1,X2,X3,X4)
    | ~ esk5095_4(X1,X2,X3,X4) )).

cnf(i_0_3415,axiom,
    ( ~ esk4080_4(X1,X2,X3,X4)
    | esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_3416,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4900_4(X1,X2,X3,X4)
    | esk4772_4(X1,X2,X3,X4) )).

cnf(i_0_3417,axiom,
    ( esk5725_4(X1,X2,X3,X4)
    | ~ esk5854_4(X1,X2,X3,X4)
    | ~ esk5724_4(X1,X2,X3,X4) )).

cnf(i_0_3418,axiom,
    ( esk9098_4(X1,X2,X3,X4)
    | ~ esk6998_4(X1,X2,X3,X4) )).

cnf(i_0_3419,axiom,
    ( esk2348_4(X1,X2,X3,X4)
    | ~ esk2347_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_3420,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk388_0
    | p(X4)
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_3421,axiom,
    ( ~ esk1428_4(X1,X2,X3,X4)
    | esk1426_4(X1,X2,X3,X4)
    | esk1427_4(X1,X2,X3,X4) )).

cnf(i_0_3422,axiom,
    ( esk7611_4(X1,X2,X3,X4)
    | ~ esk7608_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_3423,axiom,
    ( esk7030_4(X1,X2,X3,X4)
    | ~ esk7037_4(X1,X2,X3,X4) )).

cnf(i_0_3424,axiom,
    ( esk2354_4(X1,X2,X3,X4)
    | ~ esk2352_4(X1,X2,X3,X4) )).

cnf(i_0_3425,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | esk4666_4(X1,X2,X3,X4) )).

cnf(i_0_3426,axiom,
    ( ~ esk4526_4(X1,X2,X3,X4)
    | esk4265_4(X1,X2,X3,X4) )).

cnf(i_0_3427,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2363_4(X1,X2,X3,X4) )).

cnf(i_0_3428,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5328_4(X1,X2,X3,X4) )).

cnf(i_0_3429,axiom,
    ( ~ esk1969_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_3430,axiom,
    ( ~ esk9080_4(X1,X2,X3,X4)
    | esk9109_4(X1,X2,X3,X4) )).

cnf(i_0_3431,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6924_4(X1,X2,X3,X4) )).

cnf(i_0_3432,axiom,
    ( ~ esk1080_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk2872_4(X1,X2,X3,X4) )).

cnf(i_0_3433,axiom,
    ( esk1628_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_3434,axiom,
    ( ~ esk3841_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_3435,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8699_4(X1,X2,X3,X4) )).

cnf(i_0_3436,axiom,
    ( esk2079_4(X1,X2,X3,X4)
    | ~ esk2149_4(X1,X2,X3,X4) )).

cnf(i_0_3437,axiom,
    ( ~ esk5379_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_3438,axiom,
    ( ~ esk4271_4(X1,X2,X3,X4)
    | esk4018_4(X1,X2,X3,X4) )).

cnf(i_0_3439,axiom,
    ( ~ esk1488_4(X1,X2,X3,X4)
    | esk1487_4(X1,X2,X3,X4) )).

cnf(i_0_3440,axiom,
    ( esk1656_4(X1,X2,X3,X4)
    | ~ esk1527_4(X1,X2,X3,X4) )).

cnf(i_0_3441,axiom,
    ( ~ esk9088_4(X1,X2,X3,X4)
    | esk9681_4(X1,X2,X3,X4)
    | ~ esk9680_4(X1,X2,X3,X4) )).

cnf(i_0_3442,axiom,
    ( esk8784_4(X1,X2,X3,X4)
    | ~ esk8471_4(X1,X2,X3,X4) )).

cnf(i_0_3443,axiom,
    ( esk9639_4(X1,X2,X3,X4)
    | ~ esk9054_4(X1,X2,X3,X4) )).

cnf(i_0_3444,axiom,
    ( ~ esk8055_4(X1,X2,X3,X4)
    | esk7682_4(X1,X2,X3,X4) )).

cnf(i_0_3445,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | esk582_0
    | ~ esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_3446,axiom,
    ( p(X4)
    | ~ esk473_0
    | ~ p(X2)
    | esk2173_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_3447,axiom,
    ( esk4927_4(X1,X2,X3,X4)
    | ~ esk4933_4(X1,X2,X3,X4) )).

cnf(i_0_3448,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4849_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_3449,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4074_4(X1,X2,X3,X4) )).

cnf(i_0_3450,axiom,
    ( ~ esk4172_4(X1,X2,X3,X4)
    | esk4171_4(X1,X2,X3,X4) )).

cnf(i_0_3451,axiom,
    ( ~ esk6139_4(X1,X2,X3,X4)
    | esk6138_4(X1,X2,X3,X4) )).

cnf(i_0_3452,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8311_4(X1,X2,X3,X4) )).

cnf(i_0_3453,axiom,
    ( esk7416_4(X1,X2,X3,X4)
    | ~ esk7419_4(X1,X2,X3,X4) )).

cnf(i_0_3454,axiom,
    ( esk8731_4(X1,X2,X3,X4)
    | ~ esk680_0
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3455,axiom,
    ( ~ esk3457_4(X1,X2,X3,X4)
    | esk4161_4(X1,X2,X3,X4) )).

cnf(i_0_3456,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8827_4(X1,X2,X3,X4) )).

cnf(i_0_3457,axiom,
    ( esk1992_4(X1,X2,X3,X4)
    | esk1993_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_3458,axiom,
    ( esk5221_4(X1,X2,X3,X4)
    | ~ esk5224_4(X1,X2,X3,X4) )).

cnf(i_0_3459,axiom,
    ( esk9109_4(X1,X2,X3,X4)
    | ~ esk1000_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_3460,axiom,
    ( ~ esk5774_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_3461,axiom,
    ( ~ esk5860_4(X1,X2,X3,X4)
    | esk5859_4(X1,X2,X3,X4) )).

cnf(i_0_3462,axiom,
    ( esk4324_4(X1,X2,X3,X4)
    | ~ esk4362_4(X1,X2,X3,X4) )).

cnf(i_0_3463,axiom,
    ( ~ esk2385_4(X1,X2,X3,X4)
    | esk1850_4(X1,X2,X3,X4) )).

cnf(i_0_3464,axiom,
    ( esk4535_4(X1,X2,X3,X4)
    | ~ esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_3465,axiom,
    ( ~ esk4284_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_3466,axiom,
    ( ~ esk9046_4(X1,X2,X3,X4)
    | esk9623_4(X1,X2,X3,X4) )).

cnf(i_0_3467,axiom,
    ( ~ esk7162_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_3468,axiom,
    ( esk3926_4(X1,X2,X3,X4)
    | ~ esk3945_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_3469,axiom,
    ( ~ esk2952_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1308_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_3470,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4199_4(X1,X2,X3,X4) )).

cnf(i_0_3471,axiom,
    ( ~ esk7758_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_3472,axiom,
    ( esk9011_4(X1,X2,X3,X4)
    | ~ esk9009_4(X1,X2,X3,X4) )).

cnf(i_0_3473,axiom,
    ( esk9247_4(X1,X2,X3,X4)
    | ~ esk9245_4(X1,X2,X3,X4) )).

cnf(i_0_3474,axiom,
    ( ~ esk9657_4(X1,X2,X3,X4)
    | esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_3475,axiom,
    ( ~ esk2495_4(X1,X2,X3,X4)
    | ~ esk2525_4(X1,X2,X3,X4) )).

cnf(i_0_3476,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk751_0
    | ~ p(X1) )).

cnf(i_0_3477,axiom,
    ( ~ esk7127_4(X1,X2,X3,X4)
    | esk5912_4(X1,X2,X3,X4) )).

cnf(i_0_3478,axiom,
    ( ~ esk7629_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_3479,axiom,
    ( ~ esk7603_4(X1,X2,X3,X4)
    | esk7604_4(X1,X2,X3,X4) )).

cnf(i_0_3480,axiom,
    ( ~ esk3388_4(X1,X2,X3,X4)
    | esk3390_4(X1,X2,X3,X4) )).

cnf(i_0_3481,axiom,
    ( ~ esk2238_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_3482,axiom,
    ( ~ esk1_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_3483,axiom,
    ( esk6354_4(X1,X2,X3,X4)
    | ~ esk6355_4(X1,X2,X3,X4) )).

cnf(i_0_3484,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk44_0
    | esk1442_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3485,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8675_4(X1,X2,X3,X4) )).

cnf(i_0_3486,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X3)
    | esk7774_4(X1,X2,X3,X4)
    | ~ esk71_0 )).

cnf(i_0_3487,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8523_4(X1,X2,X3,X4) )).

cnf(i_0_3488,axiom,
    ( ~ esk6307_4(X1,X2,X3,X4)
    | esk6460_4(X1,X2,X3,X4)
    | ~ esk6459_4(X1,X2,X3,X4) )).

cnf(i_0_3489,axiom,
    ( ~ esk1957_4(X1,X2,X3,X4)
    | esk4057_4(X1,X2,X3,X4) )).

cnf(i_0_3490,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5058_4(X1,X2,X3,X4) )).

cnf(i_0_3491,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8375_4(X1,X2,X3,X4) )).

cnf(i_0_3492,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk869_0 )).

cnf(i_0_3493,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk8119_4(X1,X2,X3,X4) )).

cnf(i_0_3494,axiom,
    ( esk6321_4(X1,X2,X3,X4)
    | esk6322_4(X1,X2,X3,X4)
    | ~ esk6323_4(X1,X2,X3,X4)
    | esk6320_4(X1,X2,X3,X4) )).

cnf(i_0_3495,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7921_4(X1,X2,X3,X4) )).

cnf(i_0_3496,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5104_4(X1,X2,X3,X4) )).

cnf(i_0_3497,axiom,
    ( esk4549_4(X1,X2,X3,X4)
    | ~ esk3750_4(X1,X2,X3,X4) )).

cnf(i_0_3498,axiom,
    ( esk3239_4(X1,X2,X3,X4)
    | ~ esk3240_4(X1,X2,X3,X4) )).

cnf(i_0_3499,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3042_4(X1,X2,X3,X4)
    | esk3045_4(X1,X2,X3,X4) )).

cnf(i_0_3500,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk220_0 )).

cnf(i_0_3501,axiom,
    ( ~ esk2902_4(X1,X2,X3,X4)
    | esk2901_4(X1,X2,X3,X4)
    | esk2900_4(X1,X2,X3,X4) )).

cnf(i_0_3502,axiom,
    ( ~ esk3363_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_3503,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk3894_4(X1,X2,X3,X4) )).

cnf(i_0_3504,axiom,
    ( esk7622_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk7621_4(X1,X2,X3,X4) )).

cnf(i_0_3505,axiom,
    ( esk424_0
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3506,axiom,
    ( ~ esk3757_4(X1,X2,X3,X4)
    | esk3806_4(X1,X2,X3,X4) )).

cnf(i_0_3507,axiom,
    ( ~ p(X3)
    | esk194_0
    | ~ esk8048_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_3508,axiom,
    ( ~ esk9254_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk1351_0
    | ~ p(X2) )).

cnf(i_0_3509,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | ~ esk4060_4(X1,X2,X3,X4) )).

cnf(i_0_3510,axiom,
    ( esk4565_4(X1,X2,X3,X4)
    | esk4566_4(X1,X2,X3,X4)
    | esk4564_4(X1,X2,X3,X4)
    | ~ esk4567_4(X1,X2,X3,X4) )).

cnf(i_0_3511,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk1076_0
    | esk9168_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_3512,axiom,
    ( ~ esk6445_4(X1,X2,X3,X4)
    | esk5571_4(X1,X2,X3,X4) )).

cnf(i_0_3513,axiom,
    ( esk6774_4(X1,X2,X3,X4)
    | ~ esk6772_4(X1,X2,X3,X4) )).

cnf(i_0_3514,axiom,
    ( esk8317_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4)
    | ~ esk8315_4(X1,X2,X3,X4) )).

cnf(i_0_3515,axiom,
    ( ~ esk7369_4(X1,X2,X3,X4)
    | esk7370_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_3516,axiom,
    ( esk1700_4(X1,X2,X3,X4)
    | ~ esk1524_4(X1,X2,X3,X4) )).

cnf(i_0_3517,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk9254_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1345_0 )).

cnf(i_0_3518,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4833_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_3519,axiom,
    ( ~ esk5223_4(X1,X2,X3,X4)
    | esk5222_4(X1,X2,X3,X4) )).

cnf(i_0_3520,axiom,
    ( esk2945_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk2950_4(X1,X2,X3,X4) )).

cnf(i_0_3521,axiom,
    ( ~ esk1510_4(X1,X2,X3,X4)
    | esk1508_4(X1,X2,X3,X4)
    | esk1509_4(X1,X2,X3,X4) )).

cnf(i_0_3522,axiom,
    ( esk8229_4(X1,X2,X3,X4)
    | ~ esk8230_4(X1,X2,X3,X4) )).

cnf(i_0_3523,axiom,
    ( ~ esk3059_4(X1,X2,X3,X4)
    | esk3060_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3524,axiom,
    ( esk5974_4(X1,X2,X3,X4)
    | ~ esk6070_4(X1,X2,X3,X4) )).

cnf(i_0_3525,axiom,
    ( ~ esk4048_4(X1,X2,X3,X4)
    | esk4079_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_3526,axiom,
    ( ~ esk8906_4(X1,X2,X3,X4)
    | esk8907_4(X1,X2,X3,X4) )).

cnf(i_0_3527,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4787_4(X1,X2,X3,X4) )).

cnf(i_0_3528,axiom,
    ( esk7348_4(X1,X2,X3,X4)
    | ~ esk7346_4(X1,X2,X3,X4) )).

cnf(i_0_3529,axiom,
    ( esk6455_4(X1,X2,X3,X4)
    | ~ esk6456_4(X1,X2,X3,X4) )).

cnf(i_0_3530,axiom,
    ( ~ esk4770_4(X1,X2,X3,X4)
    | ~ esk4586_4(X1,X2,X3,X4)
    | esk4771_4(X1,X2,X3,X4) )).

cnf(i_0_3531,axiom,
    ( ~ esk6242_4(X1,X2,X3,X4)
    | esk6240_4(X1,X2,X3,X4)
    | esk6241_4(X1,X2,X3,X4) )).

cnf(i_0_3532,axiom,
    ( ~ esk3017_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_3533,axiom,
    ( ~ esk7859_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_3534,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2_0
    | esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_3535,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6130_4(X1,X2,X3,X4) )).

cnf(i_0_3536,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7449_4(X1,X2,X3,X4) )).

cnf(i_0_3537,axiom,
    ( esk6821_4(X1,X2,X3,X4)
    | ~ esk6822_4(X1,X2,X3,X4) )).

cnf(i_0_3538,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4142_4(X1,X2,X3,X4) )).

cnf(i_0_3539,axiom,
    ( esk7421_4(X1,X2,X3,X4)
    | ~ esk7422_4(X1,X2,X3,X4) )).

cnf(i_0_3540,axiom,
    ( ~ esk4932_4(X1,X2,X3,X4)
    | esk4933_4(X1,X2,X3,X4)
    | ~ esk4927_4(X1,X2,X3,X4) )).

cnf(i_0_3541,axiom,
    ( ~ esk3797_4(X1,X2,X3,X4)
    | esk3969_4(X1,X2,X3,X4) )).

cnf(i_0_3542,axiom,
    ( ~ esk1848_4(X1,X2,X3,X4)
    | esk1850_4(X1,X2,X3,X4) )).

cnf(i_0_3543,axiom,
    ( ~ esk5341_4(X1,X2,X3,X4)
    | esk5347_4(X1,X2,X3,X4)
    | ~ esk5346_4(X1,X2,X3,X4) )).

cnf(i_0_3544,axiom,
    ( p(X1)
    | esk354_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_3545,axiom,
    ( esk6123_4(X1,X2,X3,X4)
    | ~ esk6125_4(X1,X2,X3,X4)
    | esk6124_4(X1,X2,X3,X4) )).

cnf(i_0_3546,axiom,
    ( esk8542_4(X1,X2,X3,X4)
    | ~ esk8543_4(X1,X2,X3,X4) )).

cnf(i_0_3547,axiom,
    ( esk9432_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3548,axiom,
    ( esk9479_4(X1,X2,X3,X4)
    | ~ esk9477_4(X1,X2,X3,X4) )).

cnf(i_0_3549,axiom,
    ( p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ esk783_0
    | p(X3) )).

cnf(i_0_3550,axiom,
    ( ~ esk9084_4(X1,X2,X3,X4)
    | esk8855_4(X1,X2,X3,X4) )).

cnf(i_0_3551,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | ~ esk3612_4(X1,X2,X3,X4) )).

cnf(i_0_3552,axiom,
    ( ~ esk4858_4(X1,X2,X3,X4)
    | esk4856_4(X1,X2,X3,X4)
    | esk4857_4(X1,X2,X3,X4) )).

cnf(i_0_3553,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_3554,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9037_4(X1,X2,X3,X4) )).

cnf(i_0_3555,axiom,
    ( ~ esk5499_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_3556,axiom,
    ( ~ esk9115_4(X1,X2,X3,X4)
    | esk8744_4(X1,X2,X3,X4) )).

cnf(i_0_3557,axiom,
    ( esk9257_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9256_4(X1,X2,X3,X4) )).

cnf(i_0_3558,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk432_0 )).

cnf(i_0_3559,axiom,
    ( ~ esk6222_4(X1,X2,X3,X4)
    | esk5581_4(X1,X2,X3,X4) )).

cnf(i_0_3560,axiom,
    ( esk311_0
    | ~ esk8214_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_3561,axiom,
    ( ~ esk2055_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_3562,axiom,
    ( ~ esk3100_4(X1,X2,X3,X4)
    | esk3102_4(X1,X2,X3,X4) )).

cnf(i_0_3563,axiom,
    ( ~ esk3948_4(X1,X2,X3,X4)
    | esk3949_4(X1,X2,X3,X4) )).

cnf(i_0_3564,axiom,
    ( esk5187_4(X1,X2,X3,X4)
    | esk5188_4(X1,X2,X3,X4)
    | ~ esk5189_4(X1,X2,X3,X4) )).

cnf(i_0_3565,axiom,
    ( ~ esk7148_4(X1,X2,X3,X4)
    | esk7147_4(X1,X2,X3,X4)
    | esk7146_4(X1,X2,X3,X4) )).

cnf(i_0_3566,axiom,
    ( ~ esk6263_4(X1,X2,X3,X4)
    | esk6262_4(X1,X2,X3,X4) )).

cnf(i_0_3567,axiom,
    ( p(X4)
    | ~ esk8170_4(X1,X2,X3,X4)
    | esk292_0
    | p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_3568,axiom,
    ( esk3963_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_3569,axiom,
    ( ~ esk6030_4(X1,X2,X3,X4)
    | esk6029_4(X1,X2,X3,X4)
    | esk6028_4(X1,X2,X3,X4) )).

cnf(i_0_3570,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk9238_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk1297_0 )).

cnf(i_0_3571,axiom,
    ( ~ esk8251_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk346_0 )).

cnf(i_0_3572,axiom,
    ( esk4304_4(X1,X2,X3,X4)
    | ~ esk4530_4(X1,X2,X3,X4) )).

cnf(i_0_3573,axiom,
    ( ~ esk4892_4(X1,X2,X3,X4)
    | esk2792_4(X1,X2,X3,X4) )).

cnf(i_0_3574,axiom,
    ( p(X1)
    | esk638_0
    | ~ p(X2)
    | p(X4)
    | ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3575,axiom,
    ( ~ esk2699_4(X1,X2,X3,X4)
    | esk2700_4(X1,X2,X3,X4)
    | ~ esk2520_4(X1,X2,X3,X4) )).

cnf(i_0_3576,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk851_0
    | ~ p(X1)
    | p(X3)
    | esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_3577,axiom,
    ( ~ esk1019_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk2815_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_3578,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk1467_4(X1,X2,X3,X4) )).

cnf(i_0_3579,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | esk2805_4(X1,X2,X3,X4)
    | ~ esk940_0
    | p(X4) )).

cnf(i_0_3580,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4240_4(X1,X2,X3,X4) )).

cnf(i_0_3581,axiom,
    ( esk8939_4(X1,X2,X3,X4)
    | ~ esk8938_4(X1,X2,X3,X4) )).

cnf(i_0_3582,axiom,
    ( esk4044_4(X1,X2,X3,X4)
    | ~ esk4013_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_3583,axiom,
    ( ~ esk8759_4(X1,X2,X3,X4)
    | esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_3584,axiom,
    ( esk5017_4(X1,X2,X3,X4)
    | ~ esk2917_4(X1,X2,X3,X4) )).

cnf(i_0_3585,axiom,
    ( esk3663_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_3586,axiom,
    ( ~ esk4534_4(X1,X2,X3,X4)
    | esk4466_4(X1,X2,X3,X4) )).

cnf(i_0_3587,axiom,
    ( esk1117_0
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk9174_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_3588,axiom,
    ( esk5576_4(X1,X2,X3,X4)
    | ~ esk6411_4(X1,X2,X3,X4) )).

cnf(i_0_3589,axiom,
    ( esk7269_4(X1,X2,X3,X4)
    | ~ esk7270_4(X1,X2,X3,X4) )).

cnf(i_0_3590,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk446_0
    | esk2092_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3591,axiom,
    ( esk7576_4(X1,X2,X3,X4)
    | ~ esk7579_4(X1,X2,X3,X4) )).

cnf(i_0_3592,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3810_4(X1,X2,X3,X4)
    | esk3637_4(X1,X2,X3,X4) )).

cnf(i_0_3593,axiom,
    ( esk7829_4(X1,X2,X3,X4)
    | ~ esk7830_4(X1,X2,X3,X4) )).

cnf(i_0_3594,axiom,
    ( ~ esk1708_4(X1,X2,X3,X4)
    | esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_3595,axiom,
    ( esk9097_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk911_0
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3596,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3094_4(X1,X2,X3,X4)
    | esk3097_4(X1,X2,X3,X4) )).

cnf(i_0_3597,axiom,
    ( ~ esk3049_4(X1,X2,X3,X4)
    | esk3050_4(X1,X2,X3,X4) )).

cnf(i_0_3598,axiom,
    ( esk6515_4(X1,X2,X3,X4)
    | ~ esk6111_4(X1,X2,X3,X4)
    | esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_3599,axiom,
    ( ~ esk3030_4(X1,X2,X3,X4)
    | esk3029_4(X1,X2,X3,X4)
    | esk3028_4(X1,X2,X3,X4) )).

cnf(i_0_3600,axiom,
    ( p(X1)
    | ~ esk700_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_3601,axiom,
    ( ~ esk2677_4(X1,X2,X3,X4)
    | esk2678_4(X1,X2,X3,X4) )).

cnf(i_0_3602,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X1)
    | esk801_0
    | ~ p(X3)
    | ~ esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_3603,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk3532_4(X1,X2,X3,X4) )).

cnf(i_0_3604,axiom,
    ( esk4433_4(X1,X2,X3,X4)
    | ~ esk4431_4(X1,X2,X3,X4) )).

cnf(i_0_3605,axiom,
    ( ~ esk3634_4(X1,X2,X3,X4)
    | esk3632_4(X1,X2,X3,X4)
    | esk3633_4(X1,X2,X3,X4) )).

cnf(i_0_3606,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2597_4(X1,X2,X3,X4) )).

cnf(i_0_3607,axiom,
    ( ~ esk6427_4(X1,X2,X3,X4)
    | esk6426_4(X1,X2,X3,X4)
    | esk6425_4(X1,X2,X3,X4) )).

cnf(i_0_3608,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1874_4(X1,X2,X3,X4)
    | esk1979_4(X1,X2,X3,X4) )).

cnf(i_0_3609,axiom,
    ( esk9092_4(X1,X2,X3,X4)
    | ~ esk6992_4(X1,X2,X3,X4) )).

cnf(i_0_3610,axiom,
    ( esk5109_4(X1,X2,X3,X4)
    | ~ esk5112_4(X1,X2,X3,X4) )).

cnf(i_0_3611,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | esk66_0
    | ~ p(X2)
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_3612,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9356_4(X1,X2,X3,X4)
    | esk9357_4(X1,X2,X3,X4) )).

cnf(i_0_3613,axiom,
    ( esk2479_4(X1,X2,X3,X4)
    | ~ esk2477_4(X1,X2,X3,X4) )).

cnf(i_0_3614,axiom,
    ( esk1191_0
    | ~ p(X2)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_3615,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7627_4(X1,X2,X3,X4)
    | ~ esk7624_4(X1,X2,X3,X4) )).

cnf(i_0_3616,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4863_4(X1,X2,X3,X4) )).

cnf(i_0_3617,axiom,
    ( ~ esk8163_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3618,axiom,
    ( esk126_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk1671_4(X1,X2,X3,X4) )).

cnf(i_0_3619,axiom,
    ( ~ esk3355_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_3620,axiom,
    ( ~ esk2818_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_3621,axiom,
    ( esk4354_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_3622,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X2)
    | esk8318_4(X1,X2,X3,X4)
    | ~ esk401_0 )).

cnf(i_0_3623,axiom,
    ( ~ esk8038_4(X1,X2,X3,X4)
    | esk8037_4(X1,X2,X3,X4) )).

cnf(i_0_3624,axiom,
    ( ~ esk7193_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_3625,axiom,
    ( ~ esk3983_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4)
    | esk4536_4(X1,X2,X3,X4) )).

cnf(i_0_3626,axiom,
    ( ~ esk6163_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_3627,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | esk5709_4(X1,X2,X3,X4) )).

cnf(i_0_3628,axiom,
    ( ~ p(X1)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | esk597_0 )).

cnf(i_0_3629,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk359_0
    | ~ p(X1)
    | p(X4)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_3630,axiom,
    ( ~ esk2602_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3321_4(X1,X2,X3,X4) )).

cnf(i_0_3631,axiom,
    ( ~ esk8982_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_3632,axiom,
    ( esk1978_4(X1,X2,X3,X4)
    | ~ esk1977_4(X1,X2,X3,X4) )).

cnf(i_0_3633,axiom,
    ( ~ p(X4)
    | ~ esk332_0
    | ~ p(X1)
    | esk1952_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_3634,axiom,
    ( esk5353_4(X1,X2,X3,X4)
    | ~ esk5359_4(X1,X2,X3,X4) )).

cnf(i_0_3635,axiom,
    ( esk9429_4(X1,X2,X3,X4)
    | esk9430_4(X1,X2,X3,X4)
    | ~ esk9431_4(X1,X2,X3,X4) )).

cnf(i_0_3636,axiom,
    ( ~ esk5915_4(X1,X2,X3,X4)
    | esk5914_4(X1,X2,X3,X4) )).

cnf(i_0_3637,axiom,
    ( esk2311_4(X1,X2,X3,X4)
    | ~ esk2310_4(X1,X2,X3,X4) )).

cnf(i_0_3638,axiom,
    ( ~ esk9403_4(X1,X2,X3,X4)
    | esk9406_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3639,axiom,
    ( ~ esk3785_4(X1,X2,X3,X4)
    | ~ esk3831_4(X1,X2,X3,X4)
    | esk3832_4(X1,X2,X3,X4) )).

cnf(i_0_3640,axiom,
    ( esk7853_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_3641,axiom,
    ( esk4188_4(X1,X2,X3,X4)
    | ~ esk4189_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_3642,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk412_0
    | p(X1)
    | p(X3)
    | esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_3643,axiom,
    ( esk4486_4(X1,X2,X3,X4)
    | ~ esk4484_4(X1,X2,X3,X4) )).

cnf(i_0_3644,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk2421_4(X1,X2,X3,X4)
    | p(X4)
    | esk574_0
    | p(X2) )).

cnf(i_0_3645,axiom,
    ( esk8074_4(X1,X2,X3,X4)
    | ~ esk8075_4(X1,X2,X3,X4) )).

cnf(i_0_3646,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8945_4(X1,X2,X3,X4) )).

cnf(i_0_3647,axiom,
    ( esk1_0
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3648,axiom,
    ( ~ esk7016_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4)
    | esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_3649,axiom,
    ( ~ esk4281_4(X1,X2,X3,X4)
    | esk4280_4(X1,X2,X3,X4)
    | esk4279_4(X1,X2,X3,X4) )).

cnf(i_0_3650,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk561_0 )).

cnf(i_0_3651,axiom,
    ( esk7055_4(X1,X2,X3,X4)
    | ~ esk5626_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_3652,axiom,
    ( ~ esk7236_4(X1,X2,X3,X4)
    | esk7235_4(X1,X2,X3,X4)
    | esk7234_4(X1,X2,X3,X4) )).

cnf(i_0_3653,axiom,
    ( ~ esk1455_4(X1,X2,X3,X4)
    | esk1456_4(X1,X2,X3,X4) )).

cnf(i_0_3654,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5148_4(X1,X2,X3,X4) )).

cnf(i_0_3655,axiom,
    ( ~ esk3813_4(X1,X2,X3,X4)
    | esk5051_4(X1,X2,X3,X4) )).

cnf(i_0_3656,axiom,
    ( esk3698_4(X1,X2,X3,X4)
    | ~ esk4988_4(X1,X2,X3,X4) )).

cnf(i_0_3657,axiom,
    ( p(X1)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | esk727_0 )).

cnf(i_0_3658,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2327_4(X1,X2,X3,X4) )).

cnf(i_0_3659,axiom,
    ( ~ esk3309_4(X1,X2,X3,X4)
    | esk3306_4(X1,X2,X3,X4) )).

cnf(i_0_3660,axiom,
    ( ~ esk7633_4(X1,X2,X3,X4)
    | ~ esk7023_4(X1,X2,X3,X4)
    | ~ esk7634_4(X1,X2,X3,X4) )).

cnf(i_0_3661,axiom,
    ( ~ esk4893_4(X1,X2,X3,X4)
    | esk4846_4(X1,X2,X3,X4) )).

cnf(i_0_3662,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk1440_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk29_0 )).

cnf(i_0_3663,axiom,
    ( ~ esk338_0
    | ~ p(X4)
    | p(X3)
    | esk8251_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_3664,axiom,
    ( esk1245_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_3665,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1789_4(X1,X2,X3,X4) )).

cnf(i_0_3666,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3253_4(X1,X2,X3,X4) )).

cnf(i_0_3667,axiom,
    ( esk3241_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3668,axiom,
    ( ~ esk2172_4(X1,X2,X3,X4)
    | esk4272_4(X1,X2,X3,X4) )).

cnf(i_0_3669,axiom,
    ( ~ esk7988_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_3670,axiom,
    ( ~ esk5283_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_3671,axiom,
    ( p(X2)
    | esk640_0
    | p(X4)
    | ~ p(X1)
    | ~ esk2429_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3672,axiom,
    ( esk5742_4(X1,X2,X3,X4)
    | esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_3673,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk911_0
    | ~ p(X1)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_3674,axiom,
    ( ~ esk2963_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_3675,axiom,
    ( ~ esk7697_4(X1,X2,X3,X4)
    | esk9167_4(X1,X2,X3,X4) )).

cnf(i_0_3676,axiom,
    ( ~ esk4754_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_3677,axiom,
    ( esk7074_4(X1,X2,X3,X4)
    | ~ esk5594_4(X1,X2,X3,X4) )).

cnf(i_0_3678,axiom,
    ( esk428_0
    | ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3679,axiom,
    ( esk1715_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_3680,axiom,
    ( esk7378_4(X1,X2,X3,X4)
    | ~ esk7380_4(X1,X2,X3,X4)
    | esk7379_4(X1,X2,X3,X4) )).

cnf(i_0_3681,axiom,
    ( ~ esk5283_4(X1,X2,X3,X4)
    | esk5285_4(X1,X2,X3,X4) )).

cnf(i_0_3682,axiom,
    ( esk2894_4(X1,X2,X3,X4)
    | ~ esk1202_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3683,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | esk7061_4(X1,X2,X3,X4)
    | esk7062_4(X1,X2,X3,X4) )).

cnf(i_0_3684,axiom,
    ( esk9641_4(X1,X2,X3,X4)
    | ~ esk9640_4(X1,X2,X3,X4)
    | ~ esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_3685,axiom,
    ( esk6406_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_3686,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5362_4(X1,X2,X3,X4) )).

cnf(i_0_3687,axiom,
    ( esk1582_4(X1,X2,X3,X4)
    | esk1581_4(X1,X2,X3,X4)
    | ~ esk1583_4(X1,X2,X3,X4) )).

cnf(i_0_3688,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4487_4(X1,X2,X3,X4) )).

cnf(i_0_3689,axiom,
    ( ~ esk8566_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8567_4(X1,X2,X3,X4) )).

cnf(i_0_3690,axiom,
    ( ~ esk8925_4(X1,X2,X3,X4)
    | esk8927_4(X1,X2,X3,X4) )).

cnf(i_0_3691,axiom,
    ( esk1152_0
    | ~ p(X1)
    | ~ esk2882_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_3692,axiom,
    ( esk3990_4(X1,X2,X3,X4)
    | ~ esk4359_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_3693,axiom,
    ( ~ esk7222_4(X1,X2,X3,X4)
    | esk7221_4(X1,X2,X3,X4) )).

cnf(i_0_3694,axiom,
    ( esk8125_4(X1,X2,X3,X4)
    | ~ esk8124_4(X1,X2,X3,X4) )).

cnf(i_0_3695,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk8508_4(X1,X2,X3,X4)
    | ~ esk495_0 )).

cnf(i_0_3696,axiom,
    ( esk1579_4(X1,X2,X3,X4)
    | ~ esk2867_4(X1,X2,X3,X4) )).

cnf(i_0_3697,axiom,
    ( esk5703_4(X1,X2,X3,X4)
    | ~ esk5678_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_3698,axiom,
    ( ~ esk2142_4(X1,X2,X3,X4)
    | esk2143_4(X1,X2,X3,X4) )).

cnf(i_0_3699,axiom,
    ( esk8561_4(X1,X2,X3,X4)
    | ~ esk8560_4(X1,X2,X3,X4) )).

cnf(i_0_3700,axiom,
    ( ~ esk5353_4(X1,X2,X3,X4)
    | esk5352_4(X1,X2,X3,X4)
    | esk5351_4(X1,X2,X3,X4) )).

cnf(i_0_3701,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk62_0
    | esk1444_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_3702,axiom,
    ( ~ esk7088_4(X1,X2,X3,X4)
    | esk5884_4(X1,X2,X3,X4) )).

cnf(i_0_3703,axiom,
    ( ~ esk5606_4(X1,X2,X3,X4)
    | esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_3704,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4072_4(X1,X2,X3,X4) )).

cnf(i_0_3705,axiom,
    ( esk1898_4(X1,X2,X3,X4)
    | esk1899_4(X1,X2,X3,X4)
    | ~ esk1900_4(X1,X2,X3,X4) )).

cnf(i_0_3706,axiom,
    ( esk8330_4(X1,X2,X3,X4)
    | ~ esk8331_4(X1,X2,X3,X4) )).

cnf(i_0_3707,axiom,
    ( ~ esk1658_4(X1,X2,X3,X4)
    | esk1657_4(X1,X2,X3,X4) )).

cnf(i_0_3708,axiom,
    ( esk1744_4(X1,X2,X3,X4)
    | esk1531_4(X1,X2,X3,X4) )).

cnf(i_0_3709,axiom,
    ( esk8896_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_3710,axiom,
    ( ~ esk9302_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_3711,axiom,
    ( esk8090_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3712,axiom,
    ( ~ esk3272_4(X1,X2,X3,X4)
    | esk3273_4(X1,X2,X3,X4) )).

cnf(i_0_3713,axiom,
    ( ~ esk7678_4(X1,X2,X3,X4)
    | esk8394_4(X1,X2,X3,X4) )).

cnf(i_0_3714,axiom,
    ( esk7927_4(X1,X2,X3,X4)
    | esk7926_4(X1,X2,X3,X4)
    | ~ esk7928_4(X1,X2,X3,X4) )).

cnf(i_0_3715,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1192_0 )).

cnf(i_0_3716,axiom,
    ( ~ esk7796_4(X1,X2,X3,X4)
    | esk7797_4(X1,X2,X3,X4)
    | ~ esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_3717,axiom,
    ( esk2890_4(X1,X2,X3,X4)
    | ~ esk1182_0
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_3718,axiom,
    ( esk2894_4(X1,X2,X3,X4)
    | ~ esk1508_4(X1,X2,X3,X4) )).

cnf(i_0_3719,axiom,
    ( p(X4)
    | p(X3)
    | esk802_0
    | ~ p(X2)
    | ~ esk9083_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_3720,axiom,
    ( esk5692_4(X1,X2,X3,X4)
    | ~ esk5784_4(X1,X2,X3,X4) )).

cnf(i_0_3721,axiom,
    ( esk3710_4(X1,X2,X3,X4)
    | ~ esk3709_4(X1,X2,X3,X4) )).

cnf(i_0_3722,axiom,
    ( esk7057_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_3723,axiom,
    ( esk1681_4(X1,X2,X3,X4)
    | ~ esk1674_4(X1,X2,X3,X4) )).

cnf(i_0_3724,axiom,
    ( esk1752_4(X1,X2,X3,X4)
    | ~ esk1388_4(X1,X2,X3,X4) )).

cnf(i_0_3725,axiom,
    ( ~ esk2022_4(X1,X2,X3,X4)
    | esk1414_4(X1,X2,X3,X4) )).

cnf(i_0_3726,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | ~ esk7960_4(X1,X2,X3,X4) )).

cnf(i_0_3727,axiom,
    ( ~ esk6891_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3728,axiom,
    ( ~ esk6228_4(X1,X2,X3,X4)
    | esk6227_4(X1,X2,X3,X4) )).

cnf(i_0_3729,axiom,
    ( ~ esk7129_4(X1,X2,X3,X4)
    | esk5825_4(X1,X2,X3,X4) )).

cnf(i_0_3730,axiom,
    ( ~ esk5210_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5211_4(X1,X2,X3,X4) )).

cnf(i_0_3731,axiom,
    ( ~ esk8878_4(X1,X2,X3,X4)
    | esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_3732,axiom,
    ( ~ esk8313_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_3733,axiom,
    ( esk7010_4(X1,X2,X3,X4)
    | ~ esk6981_4(X1,X2,X3,X4) )).

cnf(i_0_3734,axiom,
    ( ~ esk8407_4(X1,X2,X3,X4)
    | esk8408_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_3735,axiom,
    ( esk9324_4(X1,X2,X3,X4)
    | ~ esk9325_4(X1,X2,X3,X4) )).

cnf(i_0_3736,axiom,
    ( esk1748_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk158_0 )).

cnf(i_0_3737,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7897_4(X1,X2,X3,X4) )).

cnf(i_0_3738,axiom,
    ( ~ esk7452_4(X1,X2,X3,X4)
    | esk7450_4(X1,X2,X3,X4)
    | esk7451_4(X1,X2,X3,X4) )).

cnf(i_0_3739,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk8401_4(X1,X2,X3,X4) )).

cnf(i_0_3740,axiom,
    ( ~ esk1839_4(X1,X2,X3,X4)
    | esk1840_4(X1,X2,X3,X4) )).

cnf(i_0_3741,axiom,
    ( ~ p(X3)
    | esk2_0
    | ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3742,axiom,
    ( esk6059_4(X1,X2,X3,X4)
    | ~ esk5887_4(X1,X2,X3,X4) )).

cnf(i_0_3743,axiom,
    ( p(X2)
    | ~ esk1671_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk123_0 )).

cnf(i_0_3744,axiom,
    ( esk7826_4(X1,X2,X3,X4)
    | ~ esk7824_4(X1,X2,X3,X4) )).

cnf(i_0_3745,axiom,
    ( p(X2)
    | esk895_0
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_3746,axiom,
    ( esk4553_4(X1,X2,X3,X4)
    | ~ esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_3747,axiom,
    ( esk6561_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3748,axiom,
    ( esk2044_4(X1,X2,X3,X4)
    | ~ esk2042_4(X1,X2,X3,X4) )).

cnf(i_0_3749,axiom,
    ( ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk181_0 )).

cnf(i_0_3750,axiom,
    ( ~ esk6873_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3751,axiom,
    ( esk7092_4(X1,X2,X3,X4)
    | ~ esk5799_4(X1,X2,X3,X4) )).

cnf(i_0_3752,axiom,
    ( ~ esk2812_4(X1,X2,X3,X4)
    | esk2783_4(X1,X2,X3,X4) )).

cnf(i_0_3753,axiom,
    ( esk8549_4(X1,X2,X3,X4)
    | ~ esk7674_4(X1,X2,X3,X4) )).

cnf(i_0_3754,axiom,
    ( esk3730_4(X1,X2,X3,X4)
    | ~ esk5040_4(X1,X2,X3,X4) )).

cnf(i_0_3755,axiom,
    ( ~ esk2162_4(X1,X2,X3,X4)
    | esk2127_4(X1,X2,X3,X4) )).

cnf(i_0_3756,axiom,
    ( ~ esk9692_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_3757,axiom,
    ( esk6060_4(X1,X2,X3,X4)
    | ~ esk6040_4(X1,X2,X3,X4) )).

cnf(i_0_3758,axiom,
    ( ~ esk6627_4(X1,X2,X3,X4)
    | esk7470_4(X1,X2,X3,X4) )).

cnf(i_0_3759,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3225_4(X1,X2,X3,X4) )).

cnf(i_0_3760,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk1803_4(X1,X2,X3,X4) )).

cnf(i_0_3761,axiom,
    ( ~ esk9615_4(X1,X2,X3,X4)
    | esk9613_4(X1,X2,X3,X4)
    | esk9614_4(X1,X2,X3,X4) )).

cnf(i_0_3762,axiom,
    ( esk2488_4(X1,X2,X3,X4)
    | ~ esk2213_4(X1,X2,X3,X4) )).

cnf(i_0_3763,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8482_4(X1,X2,X3,X4) )).

cnf(i_0_3764,axiom,
    ( ~ esk9518_4(X1,X2,X3,X4)
    | esk9515_4(X1,X2,X3,X4) )).

cnf(i_0_3765,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6968_4(X1,X2,X3,X4) )).

cnf(i_0_3766,axiom,
    ( p(X4)
    | esk9083_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk806_0
    | p(X3)
    | p(X2) )).

cnf(i_0_3767,axiom,
    ( esk5123_4(X1,X2,X3,X4)
    | ~ esk5125_4(X1,X2,X3,X4)
    | esk5124_4(X1,X2,X3,X4) )).

cnf(i_0_3768,axiom,
    ( esk5631_4(X1,X2,X3,X4)
    | ~ esk5632_4(X1,X2,X3,X4)
    | esk5630_4(X1,X2,X3,X4) )).

cnf(i_0_3769,axiom,
    ( ~ esk5998_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6705_4(X1,X2,X3,X4) )).

cnf(i_0_3770,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6231_4(X1,X2,X3,X4) )).

cnf(i_0_3771,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk461_0
    | esk8391_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3772,axiom,
    ( ~ esk3372_4(X1,X2,X3,X4)
    | esk3374_4(X1,X2,X3,X4) )).

cnf(i_0_3773,axiom,
    ( ~ esk1618_4(X1,X2,X3,X4)
    | esk1555_4(X1,X2,X3,X4) )).

cnf(i_0_3774,axiom,
    ( ~ esk6297_4(X1,X2,X3,X4)
    | esk6299_4(X1,X2,X3,X4) )).

cnf(i_0_3775,axiom,
    ( esk9526_4(X1,X2,X3,X4)
    | ~ esk9527_4(X1,X2,X3,X4)
    | esk9525_4(X1,X2,X3,X4) )).

cnf(i_0_3776,axiom,
    ( ~ esk8609_4(X1,X2,X3,X4)
    | esk8612_4(X1,X2,X3,X4) )).

cnf(i_0_3777,axiom,
    ( esk8719_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk593_0
    | ~ p(X2) )).

cnf(i_0_3778,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4736_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_3779,axiom,
    ( ~ esk1_0
    | esk8713_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_3780,axiom,
    ( esk4797_4(X1,X2,X3,X4)
    | ~ esk4796_4(X1,X2,X3,X4) )).

cnf(i_0_3781,axiom,
    ( ~ p(X3)
    | ~ esk7740_4(X1,X2,X3,X4)
    | esk58_0
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_3782,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3055_4(X1,X2,X3,X4) )).

cnf(i_0_3783,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9370_4(X1,X2,X3,X4) )).

cnf(i_0_3784,axiom,
    ( ~ esk6714_4(X1,X2,X3,X4)
    | esk6914_4(X1,X2,X3,X4)
    | ~ esk6913_4(X1,X2,X3,X4) )).

cnf(i_0_3785,axiom,
    ( esk6613_4(X1,X2,X3,X4)
    | ~ esk6611_4(X1,X2,X3,X4) )).

cnf(i_0_3786,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk331_0
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_3787,axiom,
    ( esk2571_4(X1,X2,X3,X4)
    | ~ esk2585_4(X1,X2,X3,X4) )).

cnf(i_0_3788,axiom,
    ( esk3428_4(X1,X2,X3,X4)
    | ~ esk3427_4(X1,X2,X3,X4)
    | ~ esk2718_4(X1,X2,X3,X4) )).

cnf(i_0_3789,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | esk9366_4(X1,X2,X3,X4)
    | ~ esk9363_4(X1,X2,X3,X4) )).

cnf(i_0_3790,axiom,
    ( esk8445_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3791,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9556_4(X1,X2,X3,X4) )).

cnf(i_0_3792,axiom,
    ( ~ esk5296_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_3793,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6276_4(X1,X2,X3,X4) )).

cnf(i_0_3794,axiom,
    ( ~ p(X4)
    | ~ esk9182_4(X1,X2,X3,X4)
    | esk1163_0
    | p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_3795,axiom,
    ( esk8722_4(X1,X2,X3,X4)
    | ~ esk8615_4(X1,X2,X3,X4)
    | esk8580_4(X1,X2,X3,X4) )).

cnf(i_0_3796,axiom,
    ( esk6035_4(X1,X2,X3,X4)
    | esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_3797,axiom,
    ( esk2611_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_3798,axiom,
    ( esk372_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_3799,axiom,
    ( ~ esk2692_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3800,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk2453_4(X1,X2,X3,X4)
    | ~ esk752_0 )).

cnf(i_0_3801,axiom,
    ( ~ esk4369_4(X1,X2,X3,X4)
    | esk4368_4(X1,X2,X3,X4) )).

cnf(i_0_3802,axiom,
    ( ~ esk6489_4(X1,X2,X3,X4)
    | esk6490_4(X1,X2,X3,X4)
    | ~ esk6415_4(X1,X2,X3,X4) )).

cnf(i_0_3803,axiom,
    ( ~ esk4550_4(X1,X2,X3,X4)
    | esk4918_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_3804,axiom,
    ( esk6935_4(X1,X2,X3,X4)
    | ~ esk6937_4(X1,X2,X3,X4)
    | esk6936_4(X1,X2,X3,X4) )).

cnf(i_0_3805,axiom,
    ( ~ esk8702_4(X1,X2,X3,X4)
    | esk8701_4(X1,X2,X3,X4) )).

cnf(i_0_3806,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9620_4(X1,X2,X3,X4) )).

cnf(i_0_3807,axiom,
    ( ~ esk8452_4(X1,X2,X3,X4)
    | esk8666_4(X1,X2,X3,X4)
    | ~ esk8665_4(X1,X2,X3,X4) )).

cnf(i_0_3808,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk595_0
    | ~ p(X3) )).

cnf(i_0_3809,axiom,
    ( esk541_0
    | p(X4)
    | ~ p(X2)
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_3810,axiom,
    ( ~ esk2738_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_3811,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2637_4(X1,X2,X3,X4) )).

cnf(i_0_3812,axiom,
    ( ~ esk8027_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_3813,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | esk3731_4(X1,X2,X3,X4) )).

cnf(i_0_3814,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5404_4(X1,X2,X3,X4) )).

cnf(i_0_3815,axiom,
    ( esk3735_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_3816,axiom,
    ( esk7496_4(X1,X2,X3,X4)
    | ~ esk7493_4(X1,X2,X3,X4) )).

cnf(i_0_3817,axiom,
    ( esk375_0
    | ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_3818,axiom,
    ( ~ esk8710_4(X1,X2,X3,X4)
    | esk8712_4(X1,X2,X3,X4) )).

cnf(i_0_3819,axiom,
    ( ~ esk8749_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | esk739_0
    | p(X2) )).

cnf(i_0_3820,axiom,
    ( esk8982_4(X1,X2,X3,X4)
    | ~ esk8983_4(X1,X2,X3,X4)
    | esk8981_4(X1,X2,X3,X4) )).

cnf(i_0_3821,axiom,
    ( esk1781_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_3822,axiom,
    ( esk3450_4(X1,X2,X3,X4)
    | ~ esk2817_4(X1,X2,X3,X4) )).

cnf(i_0_3823,axiom,
    ( ~ esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | esk169_0
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_3824,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk777_0
    | p(X4) )).

cnf(i_0_3825,axiom,
    ( ~ esk4326_4(X1,X2,X3,X4)
    | esk4325_4(X1,X2,X3,X4) )).

cnf(i_0_3826,axiom,
    ( ~ esk5023_4(X1,X2,X3,X4)
    | esk3838_4(X1,X2,X3,X4) )).

cnf(i_0_3827,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8802_4(X1,X2,X3,X4) )).

cnf(i_0_3828,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | esk8747_4(X1,X2,X3,X4)
    | ~ esk735_0 )).

cnf(i_0_3829,axiom,
    ( esk5251_4(X1,X2,X3,X4)
    | ~ esk5237_4(X1,X2,X3,X4)
    | ~ esk5250_4(X1,X2,X3,X4) )).

cnf(i_0_3830,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk3876_4(X1,X2,X3,X4) )).

cnf(i_0_3831,axiom,
    ( ~ esk6001_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_3832,axiom,
    ( ~ esk7672_4(X1,X2,X3,X4)
    | ~ esk8060_4(X1,X2,X3,X4) )).

cnf(i_0_3833,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6029_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_3834,axiom,
    ( esk2173_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk475_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_3835,axiom,
    ( esk2127_4(X1,X2,X3,X4)
    | esk2165_4(X1,X2,X3,X4)
    | ~ esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_3836,axiom,
    ( ~ esk4226_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4260_4(X1,X2,X3,X4) )).

cnf(i_0_3837,axiom,
    ( ~ esk4780_4(X1,X2,X3,X4)
    | esk4781_4(X1,X2,X3,X4) )).

cnf(i_0_3838,axiom,
    ( esk1828_4(X1,X2,X3,X4)
    | ~ esk1827_4(X1,X2,X3,X4) )).

cnf(i_0_3839,axiom,
    ( p(X1)
    | esk364_0
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_3840,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk338_0
    | ~ p(X3)
    | esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_3841,axiom,
    ( ~ esk1914_4(X1,X2,X3,X4)
    | ~ esk1913_4(X1,X2,X3,X4)
    | ~ esk2317_4(X1,X2,X3,X4) )).

cnf(i_0_3842,axiom,
    ( esk5133_4(X1,X2,X3,X4)
    | ~ esk5131_4(X1,X2,X3,X4) )).

cnf(i_0_3843,axiom,
    ( ~ esk4940_4(X1,X2,X3,X4)
    | esk4941_4(X1,X2,X3,X4)
    | ~ esk4953_4(X1,X2,X3,X4) )).

cnf(i_0_3844,axiom,
    ( p(X1)
    | p(X2)
    | esk8214_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ esk303_0 )).

cnf(i_0_3845,axiom,
    ( esk4087_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4)
    | ~ esk4548_4(X1,X2,X3,X4) )).

cnf(i_0_3846,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | ~ esk7867_4(X1,X2,X3,X4) )).

cnf(i_0_3847,axiom,
    ( ~ esk7739_4(X1,X2,X3,X4)
    | esk7701_4(X1,X2,X3,X4) )).

cnf(i_0_3848,axiom,
    ( ~ esk9253_4(X1,X2,X3,X4)
    | esk8012_4(X1,X2,X3,X4) )).

cnf(i_0_3849,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk553_0
    | ~ p(X1)
    | ~ esk8713_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_3850,axiom,
    ( esk8614_4(X1,X2,X3,X4)
    | esk8579_4(X1,X2,X3,X4)
    | ~ esk8613_4(X1,X2,X3,X4) )).

cnf(i_0_3851,axiom,
    ( ~ esk9602_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_3852,axiom,
    ( esk1418_4(X1,X2,X3,X4)
    | ~ esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_3853,axiom,
    ( ~ esk8586_4(X1,X2,X3,X4)
    | esk7706_4(X1,X2,X3,X4) )).

cnf(i_0_3854,axiom,
    ( ~ esk3774_4(X1,X2,X3,X4)
    | esk3775_4(X1,X2,X3,X4) )).

cnf(i_0_3855,axiom,
    ( ~ esk4246_4(X1,X2,X3,X4)
    | esk4244_4(X1,X2,X3,X4)
    | esk4245_4(X1,X2,X3,X4) )).

cnf(i_0_3856,axiom,
    ( ~ esk1965_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_3857,axiom,
    ( esk5454_4(X1,X2,X3,X4)
    | ~ esk5455_4(X1,X2,X3,X4) )).

cnf(i_0_3858,axiom,
    ( ~ p(X4)
    | ~ esk440_0
    | ~ p(X3)
    | esk2092_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_3859,axiom,
    ( esk1522_4(X1,X2,X3,X4)
    | esk3449_4(X1,X2,X3,X4)
    | ~ esk3448_4(X1,X2,X3,X4) )).

cnf(i_0_3860,axiom,
    ( ~ esk8389_4(X1,X2,X3,X4)
    | esk7717_4(X1,X2,X3,X4) )).

cnf(i_0_3861,axiom,
    ( ~ esk9453_4(X1,X2,X3,X4)
    | esk9423_4(X1,X2,X3,X4) )).

cnf(i_0_3862,axiom,
    ( ~ esk7130_4(X1,X2,X3,X4)
    | esk5759_4(X1,X2,X3,X4)
    | ~ esk5758_4(X1,X2,X3,X4) )).

cnf(i_0_3863,axiom,
    ( ~ p(X3)
    | esk8508_4(X1,X2,X3,X4)
    | ~ esk490_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_3864,axiom,
    ( ~ p(X2)
    | esk1268_0
    | p(X4)
    | p(X1)
    | ~ esk2922_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3865,axiom,
    ( ~ esk1549_4(X1,X2,X3,X4)
    | esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_3866,axiom,
    ( esk6231_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3867,axiom,
    ( esk3589_4(X1,X2,X3,X4)
    | ~ esk3681_4(X1,X2,X3,X4) )).

cnf(i_0_3868,axiom,
    ( esk4061_4(X1,X2,X3,X4)
    | ~ esk4480_4(X1,X2,X3,X4) )).

cnf(i_0_3869,axiom,
    ( ~ esk5343_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_3870,axiom,
    ( ~ esk3186_4(X1,X2,X3,X4)
    | esk3185_4(X1,X2,X3,X4)
    | esk3184_4(X1,X2,X3,X4) )).

cnf(i_0_3871,axiom,
    ( ~ esk6784_4(X1,X2,X3,X4)
    | esk6843_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_3872,axiom,
    ( ~ esk567_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_3873,axiom,
    ( esk5248_4(X1,X2,X3,X4)
    | ~ esk5249_4(X1,X2,X3,X4)
    | esk5247_4(X1,X2,X3,X4) )).

cnf(i_0_3874,axiom,
    ( esk8170_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk293_0
    | p(X3) )).

cnf(i_0_3875,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk2173_4(X1,X2,X3,X4)
    | p(X3)
    | esk472_0
    | ~ p(X2) )).

cnf(i_0_3876,axiom,
    ( esk1886_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_3877,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | esk1959_4(X1,X2,X3,X4) )).

cnf(i_0_3878,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk781_0 )).

cnf(i_0_3879,axiom,
    ( ~ esk3085_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_3880,axiom,
    ( ~ esk3309_4(X1,X2,X3,X4)
    | esk3310_4(X1,X2,X3,X4) )).

cnf(i_0_3881,axiom,
    ( ~ esk9386_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3882,axiom,
    ( esk2740_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_3883,axiom,
    ( ~ esk3528_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4)
    | ~ esk3474_4(X1,X2,X3,X4) )).

cnf(i_0_3884,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk1205_0
    | p(X1)
    | ~ esk2898_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_3885,axiom,
    ( ~ esk2832_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk2839_4(X1,X2,X3,X4) )).

cnf(i_0_3886,axiom,
    ( ~ esk3566_4(X1,X2,X3,X4)
    | esk3567_4(X1,X2,X3,X4) )).

cnf(i_0_3887,axiom,
    ( esk2489_4(X1,X2,X3,X4)
    | ~ esk2252_4(X1,X2,X3,X4) )).

cnf(i_0_3888,axiom,
    ( esk8684_4(X1,X2,X3,X4)
    | ~ esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_3889,axiom,
    ( ~ esk2_0
    | ~ p(X4)
    | ~ p(X2)
    | esk7774_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_3890,axiom,
    ( ~ esk5383_4(X1,X2,X3,X4)
    | esk4544_4(X1,X2,X3,X4) )).

cnf(i_0_3891,axiom,
    ( ~ esk8340_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3892,axiom,
    ( esk7746_4(X1,X2,X3,X4)
    | ~ esk9199_4(X1,X2,X3,X4)
    | ~ esk7745_4(X1,X2,X3,X4) )).

cnf(i_0_3893,axiom,
    ( esk5679_4(X1,X2,X3,X4)
    | ~ esk5707_4(X1,X2,X3,X4) )).

cnf(i_0_3894,axiom,
    ( ~ esk2339_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_3895,axiom,
    ( ~ esk7080_4(X1,X2,X3,X4)
    | ~ esk5693_4(X1,X2,X3,X4)
    | esk5694_4(X1,X2,X3,X4) )).

cnf(i_0_3896,axiom,
    ( esk3810_4(X1,X2,X3,X4)
    | ~ esk5021_4(X1,X2,X3,X4) )).

cnf(i_0_3897,axiom,
    ( esk8202_4(X1,X2,X3,X4)
    | ~ esk8203_4(X1,X2,X3,X4) )).

cnf(i_0_3898,axiom,
    ( esk6631_4(X1,X2,X3,X4)
    | ~ esk6283_4(X1,X2,X3,X4) )).

cnf(i_0_3899,axiom,
    ( ~ esk520_0
    | esk2289_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3900,axiom,
    ( esk3592_4(X1,X2,X3,X4)
    | ~ esk3575_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_3901,axiom,
    ( ~ esk3718_4(X1,X2,X3,X4)
    | esk5016_4(X1,X2,X3,X4) )).

cnf(i_0_3902,axiom,
    ( ~ esk5959_4(X1,X2,X3,X4)
    | esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_3903,axiom,
    ( ~ esk6887_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3904,axiom,
    ( esk5707_4(X1,X2,X3,X4)
    | ~ esk5679_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_3905,axiom,
    ( esk2425_4(X1,X2,X3,X4)
    | esk2283_4(X1,X2,X3,X4)
    | ~ esk2318_4(X1,X2,X3,X4) )).

cnf(i_0_3906,axiom,
    ( esk7133_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5910_4(X1,X2,X3,X4) )).

cnf(i_0_3907,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X1)
    | esk218_0
    | ~ p(X2) )).

cnf(i_0_3908,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6162_4(X1,X2,X3,X4)
    | ~ esk6161_4(X1,X2,X3,X4) )).

cnf(i_0_3909,axiom,
    ( esk2454_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_3910,axiom,
    ( ~ esk3169_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3911,axiom,
    ( esk2501_4(X1,X2,X3,X4)
    | esk1679_4(X1,X2,X3,X4) )).

cnf(i_0_3912,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1499_4(X1,X2,X3,X4) )).

cnf(i_0_3913,axiom,
    ( esk150_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk8042_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_3914,axiom,
    ( esk5626_4(X1,X2,X3,X4)
    | ~ esk7055_4(X1,X2,X3,X4) )).

cnf(i_0_3915,axiom,
    ( ~ esk5816_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_3916,axiom,
    ( esk6274_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3917,axiom,
    ( esk2618_4(X1,X2,X3,X4)
    | ~ esk3353_4(X1,X2,X3,X4) )).

cnf(i_0_3918,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk30_0
    | ~ esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_3919,axiom,
    ( p(X4)
    | ~ esk2914_4(X1,X2,X3,X4)
    | esk1246_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_3920,axiom,
    ( esk6031_4(X1,X2,X3,X4)
    | ~ esk7063_4(X1,X2,X3,X4) )).

cnf(i_0_3921,axiom,
    ( ~ esk9452_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_3922,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | esk9095_4(X1,X2,X3,X4)
    | ~ esk902_0 )).

cnf(i_0_3923,axiom,
    ( esk2286_4(X1,X2,X3,X4)
    | esk2285_4(X1,X2,X3,X4)
    | ~ esk2287_4(X1,X2,X3,X4) )).

cnf(i_0_3924,axiom,
    ( ~ esk1634_4(X1,X2,X3,X4)
    | esk1635_4(X1,X2,X3,X4) )).

cnf(i_0_3925,axiom,
    ( p(X3)
    | ~ esk1271_0
    | p(X2)
    | esk9218_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_3926,axiom,
    ( esk3217_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_3927,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9670_4(X1,X2,X3,X4) )).

cnf(i_0_3928,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2333_4(X1,X2,X3,X4) )).

cnf(i_0_3929,axiom,
    ( ~ esk7082_4(X1,X2,X3,X4)
    | esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_3930,axiom,
    ( esk9177_4(X1,X2,X3,X4)
    | ~ esk7882_4(X1,X2,X3,X4) )).

cnf(i_0_3931,axiom,
    ( ~ esk9614_4(X1,X2,X3,X4)
    | esk9611_4(X1,X2,X3,X4) )).

cnf(i_0_3932,axiom,
    ( esk9057_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_3933,axiom,
    ( ~ esk2935_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_3934,axiom,
    ( esk2114_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_3935,axiom,
    ( ~ esk6653_4(X1,X2,X3,X4)
    | esk7642_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_3936,axiom,
    ( ~ esk5252_4(X1,X2,X3,X4)
    | esk5253_4(X1,X2,X3,X4) )).

cnf(i_0_3937,axiom,
    ( ~ esk5437_4(X1,X2,X3,X4)
    | esk5436_4(X1,X2,X3,X4)
    | esk5435_4(X1,X2,X3,X4) )).

cnf(i_0_3938,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk512_0
    | ~ p(X1)
    | ~ p(X4)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_3939,axiom,
    ( ~ esk9352_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3940,axiom,
    ( esk3792_4(X1,X2,X3,X4)
    | ~ esk3794_4(X1,X2,X3,X4)
    | esk3793_4(X1,X2,X3,X4) )).

cnf(i_0_3941,axiom,
    ( ~ esk3753_4(X1,X2,X3,X4)
    | esk3752_4(X1,X2,X3,X4) )).

cnf(i_0_3942,axiom,
    ( ~ esk8512_4(X1,X2,X3,X4)
    | esk8511_4(X1,X2,X3,X4) )).

cnf(i_0_3943,axiom,
    ( ~ esk2945_4(X1,X2,X3,X4)
    | esk2946_4(X1,X2,X3,X4) )).

cnf(i_0_3944,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk8042_4(X1,X2,X3,X4)
    | ~ esk2_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3945,axiom,
    ( esk8455_4(X1,X2,X3,X4)
    | ~ esk8418_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_3946,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk864_0
    | ~ p(X3)
    | p(X4)
    | esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_3947,axiom,
    ( ~ esk4202_4(X1,X2,X3,X4)
    | esk4201_4(X1,X2,X3,X4) )).

cnf(i_0_3948,axiom,
    ( ~ esk5264_4(X1,X2,X3,X4)
    | esk5265_4(X1,X2,X3,X4) )).

cnf(i_0_3949,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk310_0
    | ~ p(X3)
    | esk8214_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_3950,axiom,
    ( esk5967_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_3951,axiom,
    ( esk7782_4(X1,X2,X3,X4)
    | ~ esk7783_4(X1,X2,X3,X4)
    | esk7781_4(X1,X2,X3,X4) )).

cnf(i_0_3952,axiom,
    ( ~ esk5694_4(X1,X2,X3,X4)
    | esk5696_4(X1,X2,X3,X4) )).

cnf(i_0_3953,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_3954,axiom,
    ( ~ esk5335_4(X1,X2,X3,X4)
    | esk5334_4(X1,X2,X3,X4) )).

cnf(i_0_3955,axiom,
    ( ~ esk7583_4(X1,X2,X3,X4)
    | esk7584_4(X1,X2,X3,X4) )).

cnf(i_0_3956,axiom,
    ( p(X1)
    | ~ esk8617_4(X1,X2,X3,X4)
    | p(X4)
    | esk534_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_3957,axiom,
    ( ~ esk8204_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_3958,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | esk4511_4(X1,X2,X3,X4) )).

cnf(i_0_3959,axiom,
    ( ~ esk7367_4(X1,X2,X3,X4)
    | esk7368_4(X1,X2,X3,X4) )).

cnf(i_0_3960,axiom,
    ( ~ esk7015_4(X1,X2,X3,X4)
    | esk5636_4(X1,X2,X3,X4) )).

cnf(i_0_3961,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3107_4(X1,X2,X3,X4) )).

cnf(i_0_3962,axiom,
    ( p(X1)
    | p(X2)
    | esk2421_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X4)
    | p(X3) )).

cnf(i_0_3963,axiom,
    ( p(X3)
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk623_0 )).

cnf(i_0_3964,axiom,
    ( esk3386_4(X1,X2,X3,X4)
    | ~ esk3385_4(X1,X2,X3,X4) )).

cnf(i_0_3965,axiom,
    ( esk5068_4(X1,X2,X3,X4)
    | esk5067_4(X1,X2,X3,X4)
    | ~ esk5069_4(X1,X2,X3,X4) )).

cnf(i_0_3966,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7643_4(X1,X2,X3,X4) )).

cnf(i_0_3967,axiom,
    ( esk4131_4(X1,X2,X3,X4)
    | ~ esk4130_4(X1,X2,X3,X4) )).

cnf(i_0_3968,axiom,
    ( esk8550_4(X1,X2,X3,X4)
    | ~ esk8551_4(X1,X2,X3,X4) )).

cnf(i_0_3969,axiom,
    ( ~ esk8232_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8266_4(X1,X2,X3,X4) )).

cnf(i_0_3970,axiom,
    ( ~ p(X2)
    | ~ esk7738_4(X1,X2,X3,X4)
    | esk46_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_3971,axiom,
    ( esk357_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_3972,axiom,
    ( esk7301_4(X1,X2,X3,X4)
    | ~ esk7302_4(X1,X2,X3,X4) )).

cnf(i_0_3973,axiom,
    ( esk8623_4(X1,X2,X3,X4)
    | ~ esk8622_4(X1,X2,X3,X4) )).

cnf(i_0_3974,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk1444_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1)
    | p(X3) )).

cnf(i_0_3975,axiom,
    ( ~ esk3836_4(X1,X2,X3,X4)
    | esk3835_4(X1,X2,X3,X4) )).

cnf(i_0_3976,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5701_4(X1,X2,X3,X4) )).

cnf(i_0_3977,axiom,
    ( ~ esk231_0
    | ~ p(X4)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_3978,axiom,
    ( esk7825_4(X1,X2,X3,X4)
    | esk7824_4(X1,X2,X3,X4)
    | ~ esk7826_4(X1,X2,X3,X4) )).

cnf(i_0_3979,axiom,
    ( esk3339_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_3980,axiom,
    ( esk1155_0
    | p(X3)
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_3981,axiom,
    ( ~ esk5479_4(X1,X2,X3,X4)
    | esk5481_4(X1,X2,X3,X4) )).

cnf(i_0_3982,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk604_0
    | ~ esk8721_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_3983,axiom,
    ( ~ esk1918_4(X1,X2,X3,X4)
    | esk303_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_3984,axiom,
    ( ~ esk7605_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_3985,axiom,
    ( ~ esk1509_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_3986,axiom,
    ( esk6628_4(X1,X2,X3,X4)
    | ~ esk8728_4(X1,X2,X3,X4) )).

cnf(i_0_3987,axiom,
    ( ~ esk8411_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_3988,axiom,
    ( ~ p(X3)
    | ~ esk2022_4(X1,X2,X3,X4)
    | esk406_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_3989,axiom,
    ( ~ esk2815_4(X1,X2,X3,X4)
    | esk1009_0
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_3990,axiom,
    ( ~ esk7874_4(X1,X2,X3,X4)
    | esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_3991,axiom,
    ( ~ esk3381_4(X1,X2,X3,X4)
    | esk3378_4(X1,X2,X3,X4) )).

cnf(i_0_3992,axiom,
    ( ~ esk5389_4(X1,X2,X3,X4)
    | esk4569_4(X1,X2,X3,X4) )).

cnf(i_0_3993,axiom,
    ( ~ esk7089_4(X1,X2,X3,X4)
    | esk5564_4(X1,X2,X3,X4) )).

cnf(i_0_3994,axiom,
    ( esk6775_4(X1,X2,X3,X4)
    | ~ esk6709_4(X1,X2,X3,X4) )).

cnf(i_0_3995,axiom,
    ( esk7738_4(X1,X2,X3,X4)
    | ~ esk47_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_3996,axiom,
    ( ~ esk7839_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_3997,axiom,
    ( esk5903_4(X1,X2,X3,X4)
    | ~ esk7090_4(X1,X2,X3,X4) )).

cnf(i_0_3998,axiom,
    ( esk6549_4(X1,X2,X3,X4)
    | ~ esk6550_4(X1,X2,X3,X4) )).

cnf(i_0_3999,axiom,
    ( p(X1)
    | p(X3)
    | esk9218_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk1263_0 )).

cnf(i_0_4000,axiom,
    ( esk8500_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8724_4(X1,X2,X3,X4) )).

cnf(i_0_4001,axiom,
    ( esk6780_4(X1,X2,X3,X4)
    | ~ esk6778_4(X1,X2,X3,X4) )).

cnf(i_0_4002,axiom,
    ( ~ p(X4)
    | ~ esk9210_4(X1,X2,X3,X4)
    | esk1240_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_4003,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6105_4(X1,X2,X3,X4) )).

cnf(i_0_4004,axiom,
    ( ~ esk6082_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_4005,axiom,
    ( p(X4)
    | p(X1)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1148_0 )).

cnf(i_0_4006,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ esk1346_0
    | ~ p(X4) )).

cnf(i_0_4007,axiom,
    ( esk7073_4(X1,X2,X3,X4)
    | ~ esk9173_4(X1,X2,X3,X4) )).

cnf(i_0_4008,axiom,
    ( ~ esk8881_4(X1,X2,X3,X4)
    | esk8880_4(X1,X2,X3,X4) )).

cnf(i_0_4009,axiom,
    ( esk5317_4(X1,X2,X3,X4)
    | ~ esk5320_4(X1,X2,X3,X4) )).

cnf(i_0_4010,axiom,
    ( ~ esk9366_4(X1,X2,X3,X4)
    | esk9363_4(X1,X2,X3,X4) )).

cnf(i_0_4011,axiom,
    ( esk6129_4(X1,X2,X3,X4)
    | ~ esk6127_4(X1,X2,X3,X4) )).

cnf(i_0_4012,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk512_0
    | ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4013,axiom,
    ( ~ esk7561_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_4014,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk8731_4(X1,X2,X3,X4)
    | ~ esk679_0
    | p(X3) )).

cnf(i_0_4015,axiom,
    ( ~ esk1862_4(X1,X2,X3,X4)
    | esk1690_4(X1,X2,X3,X4) )).

cnf(i_0_4016,axiom,
    ( esk6281_4(X1,X2,X3,X4)
    | ~ esk6314_4(X1,X2,X3,X4) )).

cnf(i_0_4017,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7221_4(X1,X2,X3,X4) )).

cnf(i_0_4018,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3087_4(X1,X2,X3,X4) )).

cnf(i_0_4019,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | esk878_0
    | ~ p(X2)
    | ~ esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_4020,axiom,
    ( ~ esk1337_0
    | ~ p(X4)
    | ~ p(X3)
    | esk2956_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4021,axiom,
    ( esk5342_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4022,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk624_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4023,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | p(X4)
    | esk9214_4(X1,X2,X3,X4)
    | ~ esk1248_0 )).

cnf(i_0_4024,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3365_4(X1,X2,X3,X4) )).

cnf(i_0_4025,axiom,
    ( ~ esk6715_4(X1,X2,X3,X4)
    | esk6716_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_4026,axiom,
    ( esk689_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_4027,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8716_4(X1,X2,X3,X4)
    | esk8210_4(X1,X2,X3,X4) )).

cnf(i_0_4028,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2519_4(X1,X2,X3,X4) )).

cnf(i_0_4029,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk535_0
    | esk8617_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_4030,axiom,
    ( esk5654_4(X1,X2,X3,X4)
    | ~ esk7108_4(X1,X2,X3,X4) )).

cnf(i_0_4031,axiom,
    ( ~ esk7138_4(X1,X2,X3,X4)
    | esk7136_4(X1,X2,X3,X4)
    | esk7137_4(X1,X2,X3,X4) )).

cnf(i_0_4032,axiom,
    ( ~ esk3661_4(X1,X2,X3,X4)
    | esk3578_4(X1,X2,X3,X4) )).

cnf(i_0_4033,axiom,
    ( ~ esk3444_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_4034,axiom,
    ( ~ esk2147_4(X1,X2,X3,X4)
    | esk2146_4(X1,X2,X3,X4)
    | esk2145_4(X1,X2,X3,X4) )).

cnf(i_0_4035,axiom,
    ( ~ esk5650_4(X1,X2,X3,X4)
    | esk7103_4(X1,X2,X3,X4)
    | ~ esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_4036,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | ~ esk1993_4(X1,X2,X3,X4)
    | esk2047_4(X1,X2,X3,X4) )).

cnf(i_0_4037,axiom,
    ( esk8347_4(X1,X2,X3,X4)
    | esk8290_4(X1,X2,X3,X4)
    | ~ esk8346_4(X1,X2,X3,X4) )).

cnf(i_0_4038,axiom,
    ( esk3614_4(X1,X2,X3,X4)
    | ~ esk5714_4(X1,X2,X3,X4) )).

cnf(i_0_4039,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7429_4(X1,X2,X3,X4) )).

cnf(i_0_4040,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3037_4(X1,X2,X3,X4) )).

cnf(i_0_4041,axiom,
    ( ~ esk6744_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_4042,axiom,
    ( esk4548_4(X1,X2,X3,X4)
    | ~ esk4540_4(X1,X2,X3,X4) )).

cnf(i_0_4043,axiom,
    ( ~ esk779_0
    | p(X2)
    | esk8778_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_4044,axiom,
    ( esk4918_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_4045,axiom,
    ( esk8784_4(X1,X2,X3,X4)
    | ~ esk8969_4(X1,X2,X3,X4) )).

cnf(i_0_4046,axiom,
    ( ~ esk2762_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_4047,axiom,
    ( ~ esk7947_4(X1,X2,X3,X4)
    | esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_4048,axiom,
    ( p(X1)
    | esk138_0
    | p(X3)
    | p(X2)
    | ~ esk1746_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_4049,axiom,
    ( esk4719_4(X1,X2,X3,X4)
    | ~ esk4906_4(X1,X2,X3,X4)
    | ~ esk4718_4(X1,X2,X3,X4) )).

cnf(i_0_4050,axiom,
    ( esk8164_4(X1,X2,X3,X4)
    | ~ esk8142_4(X1,X2,X3,X4) )).

cnf(i_0_4051,axiom,
    ( ~ esk2118_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4052,axiom,
    ( esk5814_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_4053,axiom,
    ( esk7902_4(X1,X2,X3,X4)
    | ~ esk7901_4(X1,X2,X3,X4)
    | ~ esk9195_4(X1,X2,X3,X4) )).

cnf(i_0_4054,axiom,
    ( esk2222_4(X1,X2,X3,X4)
    | ~ esk2223_4(X1,X2,X3,X4) )).

cnf(i_0_4055,axiom,
    ( esk2577_4(X1,X2,X3,X4)
    | ~ esk2511_4(X1,X2,X3,X4) )).

cnf(i_0_4056,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk985_0
    | esk9107_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_4057,axiom,
    ( ~ esk8416_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_4058,axiom,
    ( esk1604_4(X1,X2,X3,X4)
    | ~ esk1605_4(X1,X2,X3,X4) )).

cnf(i_0_4059,axiom,
    ( ~ esk7164_4(X1,X2,X3,X4)
    | esk7163_4(X1,X2,X3,X4)
    | esk7162_4(X1,X2,X3,X4) )).

cnf(i_0_4060,axiom,
    ( ~ esk8319_4(X1,X2,X3,X4)
    | esk6219_4(X1,X2,X3,X4) )).

cnf(i_0_4061,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7159_4(X1,X2,X3,X4) )).

cnf(i_0_4062,axiom,
    ( ~ esk5867_4(X1,X2,X3,X4)
    | esk5875_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_4063,axiom,
    ( esk1368_4(X1,X2,X3,X4)
    | ~ esk1447_4(X1,X2,X3,X4) )).

cnf(i_0_4064,axiom,
    ( esk5620_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4)
    | ~ esk6082_4(X1,X2,X3,X4) )).

cnf(i_0_4065,axiom,
    ( ~ esk6232_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_4066,axiom,
    ( esk5897_4(X1,X2,X3,X4)
    | ~ esk5940_4(X1,X2,X3,X4) )).

cnf(i_0_4067,axiom,
    ( esk6277_4(X1,X2,X3,X4)
    | ~ esk6275_4(X1,X2,X3,X4) )).

cnf(i_0_4068,axiom,
    ( ~ esk5004_4(X1,X2,X3,X4)
    | esk3551_4(X1,X2,X3,X4) )).

cnf(i_0_4069,axiom,
    ( esk8197_4(X1,X2,X3,X4)
    | ~ esk8196_4(X1,X2,X3,X4) )).

cnf(i_0_4070,axiom,
    ( ~ esk3082_4(X1,X2,X3,X4)
    | esk3096_4(X1,X2,X3,X4)
    | ~ esk3095_4(X1,X2,X3,X4) )).

cnf(i_0_4071,axiom,
    ( esk7949_4(X1,X2,X3,X4)
    | esk9747_4(X1,X2,X3,X4) )).

cnf(i_0_4072,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6824_4(X1,X2,X3,X4)
    | esk7567_4(X1,X2,X3,X4) )).

cnf(i_0_4073,axiom,
    ( esk1888_4(X1,X2,X3,X4)
    | esk2018_4(X1,X2,X3,X4) )).

cnf(i_0_4074,axiom,
    ( ~ esk4441_4(X1,X2,X3,X4)
    | esk4439_4(X1,X2,X3,X4)
    | esk4440_4(X1,X2,X3,X4) )).

cnf(i_0_4075,axiom,
    ( ~ esk7403_4(X1,X2,X3,X4)
    | esk7404_4(X1,X2,X3,X4) )).

cnf(i_0_4076,axiom,
    ( ~ esk5205_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5208_4(X1,X2,X3,X4) )).

cnf(i_0_4077,axiom,
    ( esk2891_4(X1,X2,X3,X4)
    | ~ esk1706_4(X1,X2,X3,X4) )).

cnf(i_0_4078,axiom,
    ( ~ esk5860_4(X1,X2,X3,X4)
    | esk5929_4(X1,X2,X3,X4) )).

cnf(i_0_4079,axiom,
    ( ~ esk6687_4(X1,X2,X3,X4)
    | ~ esk6877_4(X1,X2,X3,X4)
    | esk6878_4(X1,X2,X3,X4) )).

cnf(i_0_4080,axiom,
    ( esk9093_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk882_0
    | ~ p(X1) )).

cnf(i_0_4081,axiom,
    ( esk2097_4(X1,X2,X3,X4)
    | ~ esk2485_4(X1,X2,X3,X4) )).

cnf(i_0_4082,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk6741_4(X1,X2,X3,X4) )).

cnf(i_0_4083,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3677_4(X1,X2,X3,X4) )).

cnf(i_0_4084,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2025_4(X1,X2,X3,X4) )).

cnf(i_0_4085,axiom,
    ( esk8734_4(X1,X2,X3,X4)
    | ~ esk8179_4(X1,X2,X3,X4) )).

cnf(i_0_4086,axiom,
    ( ~ esk7359_4(X1,X2,X3,X4)
    | esk7360_4(X1,X2,X3,X4) )).

cnf(i_0_4087,axiom,
    ( esk3221_4(X1,X2,X3,X4)
    | ~ esk3218_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_4088,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2696_4(X1,X2,X3,X4) )).

cnf(i_0_4089,axiom,
    ( ~ esk4191_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | esk4089_4(X1,X2,X3,X4) )).

cnf(i_0_4090,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1310_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_4091,axiom,
    ( esk4049_4(X1,X2,X3,X4)
    | ~ esk4084_4(X1,X2,X3,X4)
    | esk4417_4(X1,X2,X3,X4) )).

cnf(i_0_4092,axiom,
    ( ~ esk3037_4(X1,X2,X3,X4)
    | esk3034_4(X1,X2,X3,X4) )).

cnf(i_0_4093,axiom,
    ( esk2942_4(X1,X2,X3,X4)
    | ~ esk1713_4(X1,X2,X3,X4) )).

cnf(i_0_4094,axiom,
    ( ~ esk6146_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4) )).

cnf(i_0_4095,axiom,
    ( ~ esk2932_4(X1,X2,X3,X4)
    | p(X4)
    | esk1285_0
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_4096,axiom,
    ( esk8757_4(X1,X2,X3,X4)
    | ~ esk8758_4(X1,X2,X3,X4) )).

cnf(i_0_4097,axiom,
    ( esk8383_4(X1,X2,X3,X4)
    | esk8382_4(X1,X2,X3,X4)
    | esk8384_4(X1,X2,X3,X4)
    | ~ esk8385_4(X1,X2,X3,X4) )).

cnf(i_0_4098,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk9218_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ esk1275_0 )).

cnf(i_0_4099,axiom,
    ( ~ esk4159_4(X1,X2,X3,X4)
    | esk6259_4(X1,X2,X3,X4) )).

cnf(i_0_4100,axiom,
    ( ~ esk7756_4(X1,X2,X3,X4)
    | esk7757_4(X1,X2,X3,X4) )).

cnf(i_0_4101,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2412_4(X1,X2,X3,X4) )).

cnf(i_0_4102,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8449_4(X1,X2,X3,X4) )).

cnf(i_0_4103,axiom,
    ( ~ esk7564_4(X1,X2,X3,X4)
    | esk7563_4(X1,X2,X3,X4)
    | esk7562_4(X1,X2,X3,X4) )).

cnf(i_0_4104,axiom,
    ( ~ esk2317_4(X1,X2,X3,X4)
    | ~ esk2316_4(X1,X2,X3,X4)
    | ~ esk2282_4(X1,X2,X3,X4) )).

cnf(i_0_4105,axiom,
    ( esk9539_4(X1,X2,X3,X4)
    | ~ esk9538_4(X1,X2,X3,X4) )).

cnf(i_0_4106,axiom,
    ( esk7722_4(X1,X2,X3,X4)
    | ~ esk7723_4(X1,X2,X3,X4) )).

cnf(i_0_4107,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X3)
    | esk97_0
    | p(X4) )).

cnf(i_0_4108,axiom,
    ( esk3154_4(X1,X2,X3,X4)
    | ~ esk3157_4(X1,X2,X3,X4) )).

cnf(i_0_4109,axiom,
    ( ~ p(X2)
    | esk2092_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk441_0
    | p(X4)
    | p(X3) )).

cnf(i_0_4110,axiom,
    ( ~ esk5950_4(X1,X2,X3,X4)
    | esk5586_4(X1,X2,X3,X4) )).

cnf(i_0_4111,axiom,
    ( esk9505_4(X1,X2,X3,X4)
    | esk9506_4(X1,X2,X3,X4)
    | ~ esk9507_4(X1,X2,X3,X4) )).

cnf(i_0_4112,axiom,
    ( ~ esk4418_4(X1,X2,X3,X4)
    | esk4194_4(X1,X2,X3,X4) )).

cnf(i_0_4113,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk232_0 )).

cnf(i_0_4114,axiom,
    ( ~ esk4908_4(X1,X2,X3,X4)
    | esk4664_4(X1,X2,X3,X4)
    | ~ esk4632_4(X1,X2,X3,X4) )).

cnf(i_0_4115,axiom,
    ( ~ esk3223_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4116,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk324_0
    | ~ p(X3) )).

cnf(i_0_4117,axiom,
    ( esk3125_4(X1,X2,X3,X4)
    | esk3124_4(X1,X2,X3,X4)
    | ~ esk3126_4(X1,X2,X3,X4) )).

cnf(i_0_4118,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk475_0
    | ~ p(X2)
    | ~ esk8469_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_4119,axiom,
    ( esk3799_4(X1,X2,X3,X4)
    | ~ esk3569_4(X1,X2,X3,X4) )).

cnf(i_0_4120,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2605_4(X1,X2,X3,X4) )).

cnf(i_0_4121,axiom,
    ( ~ esk7328_4(X1,X2,X3,X4)
    | esk7327_4(X1,X2,X3,X4)
    | esk7326_4(X1,X2,X3,X4) )).

cnf(i_0_4122,axiom,
    ( ~ esk521_0
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | esk8585_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_4123,axiom,
    ( esk6423_4(X1,X2,X3,X4)
    | ~ esk6421_4(X1,X2,X3,X4) )).

cnf(i_0_4124,axiom,
    ( esk3190_4(X1,X2,X3,X4)
    | ~ esk3193_4(X1,X2,X3,X4) )).

cnf(i_0_4125,axiom,
    ( esk5300_4(X1,X2,X3,X4)
    | ~ esk5301_4(X1,X2,X3,X4)
    | esk5299_4(X1,X2,X3,X4) )).

cnf(i_0_4126,axiom,
    ( p(X4)
    | esk1145_0
    | ~ esk9178_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_4127,axiom,
    ( esk7133_4(X1,X2,X3,X4)
    | esk7132_4(X1,X2,X3,X4)
    | ~ esk7134_4(X1,X2,X3,X4) )).

cnf(i_0_4128,axiom,
    ( ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk461_0
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4129,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9304_4(X1,X2,X3,X4) )).

cnf(i_0_4130,axiom,
    ( esk6502_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4131,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2_0 )).

cnf(i_0_4132,axiom,
    ( ~ esk4059_4(X1,X2,X3,X4)
    | esk4170_4(X1,X2,X3,X4) )).

cnf(i_0_4133,axiom,
    ( esk8575_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_4134,axiom,
    ( esk8263_4(X1,X2,X3,X4)
    | ~ esk8262_4(X1,X2,X3,X4) )).

cnf(i_0_4135,axiom,
    ( ~ esk6152_4(X1,X2,X3,X4)
    | esk6332_4(X1,X2,X3,X4) )).

cnf(i_0_4136,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5271_4(X1,X2,X3,X4) )).

cnf(i_0_4137,axiom,
    ( ~ esk5455_4(X1,X2,X3,X4)
    | esk5457_4(X1,X2,X3,X4) )).

cnf(i_0_4138,axiom,
    ( ~ p(X1)
    | esk9214_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_4139,axiom,
    ( esk3889_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3888_4(X1,X2,X3,X4) )).

cnf(i_0_4140,axiom,
    ( ~ esk2328_4(X1,X2,X3,X4)
    | esk2330_4(X1,X2,X3,X4) )).

cnf(i_0_4141,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5685_4(X1,X2,X3,X4) )).

cnf(i_0_4142,axiom,
    ( ~ esk6596_4(X1,X2,X3,X4)
    | esk6361_4(X1,X2,X3,X4) )).

cnf(i_0_4143,axiom,
    ( ~ esk3377_4(X1,X2,X3,X4)
    | esk3378_4(X1,X2,X3,X4) )).

cnf(i_0_4144,axiom,
    ( esk5366_4(X1,X2,X3,X4)
    | ~ esk5367_4(X1,X2,X3,X4) )).

cnf(i_0_4145,axiom,
    ( esk7605_4(X1,X2,X3,X4)
    | ~ esk7606_4(X1,X2,X3,X4) )).

cnf(i_0_4146,axiom,
    ( ~ esk7268_4(X1,X2,X3,X4)
    | esk7267_4(X1,X2,X3,X4)
    | esk7266_4(X1,X2,X3,X4) )).

cnf(i_0_4147,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk983_0
    | p(X3)
    | ~ p(X2)
    | esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_4148,axiom,
    ( ~ esk7081_4(X1,X2,X3,X4)
    | esk7003_4(X1,X2,X3,X4) )).

cnf(i_0_4149,axiom,
    ( ~ p(X3)
    | esk1010_0
    | ~ esk2815_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4150,axiom,
    ( esk9062_4(X1,X2,X3,X4)
    | ~ esk9061_4(X1,X2,X3,X4)
    | ~ esk9655_4(X1,X2,X3,X4) )).

cnf(i_0_4151,axiom,
    ( ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk804_0
    | p(X1)
    | p(X4) )).

cnf(i_0_4152,axiom,
    ( ~ esk6923_4(X1,X2,X3,X4)
    | esk6925_4(X1,X2,X3,X4) )).

cnf(i_0_4153,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | esk8042_4(X1,X2,X3,X4)
    | ~ esk146_0
    | p(X4) )).

cnf(i_0_4154,axiom,
    ( esk1639_4(X1,X2,X3,X4)
    | ~ esk2955_4(X1,X2,X3,X4) )).

cnf(i_0_4155,axiom,
    ( p(X4)
    | p(X1)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk234_0
    | ~ p(X2) )).

cnf(i_0_4156,axiom,
    ( esk8032_4(X1,X2,X3,X4)
    | ~ esk8031_4(X1,X2,X3,X4) )).

cnf(i_0_4157,axiom,
    ( esk7088_4(X1,X2,X3,X4)
    | ~ esk5795_4(X1,X2,X3,X4) )).

cnf(i_0_4158,axiom,
    ( esk5633_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4)
    | ~ esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_4159,axiom,
    ( ~ esk2596_4(X1,X2,X3,X4)
    | esk2595_4(X1,X2,X3,X4) )).

cnf(i_0_4160,axiom,
    ( esk4520_4(X1,X2,X3,X4)
    | esk4415_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_4161,axiom,
    ( esk6629_4(X1,X2,X3,X4)
    | esk6364_4(X1,X2,X3,X4)
    | ~ esk6403_4(X1,X2,X3,X4) )).

cnf(i_0_4162,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk322_0
    | p(X3)
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_4163,axiom,
    ( p(X4)
    | ~ esk348_0
    | p(X1)
    | esk8254_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_4164,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk9238_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1302_0 )).

cnf(i_0_4165,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk8029_4(X1,X2,X3,X4) )).

cnf(i_0_4166,axiom,
    ( esk1751_4(X1,X2,X3,X4)
    | ~ esk3851_4(X1,X2,X3,X4) )).

cnf(i_0_4167,axiom,
    ( esk3728_4(X1,X2,X3,X4)
    | ~ esk3727_4(X1,X2,X3,X4)
    | ~ esk5041_4(X1,X2,X3,X4) )).

cnf(i_0_4168,axiom,
    ( ~ esk2489_4(X1,X2,X3,X4)
    | esk2680_4(X1,X2,X3,X4)
    | ~ esk2679_4(X1,X2,X3,X4) )).

cnf(i_0_4169,axiom,
    ( ~ esk7004_4(X1,X2,X3,X4)
    | esk6969_4(X1,X2,X3,X4) )).

cnf(i_0_4170,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | esk5432_4(X1,X2,X3,X4)
    | ~ esk5429_4(X1,X2,X3,X4) )).

cnf(i_0_4171,axiom,
    ( esk8767_4(X1,X2,X3,X4)
    | ~ esk9587_4(X1,X2,X3,X4) )).

cnf(i_0_4172,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk1748_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk166_0 )).

cnf(i_0_4173,axiom,
    ( ~ esk2451_4(X1,X2,X3,X4)
    | esk2904_4(X1,X2,X3,X4)
    | ~ esk2903_4(X1,X2,X3,X4) )).

cnf(i_0_4174,axiom,
    ( esk2086_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2056_4(X1,X2,X3,X4) )).

cnf(i_0_4175,axiom,
    ( ~ esk7519_4(X1,X2,X3,X4)
    | esk7520_4(X1,X2,X3,X4) )).

cnf(i_0_4176,axiom,
    ( esk4671_4(X1,X2,X3,X4)
    | esk4574_4(X1,X2,X3,X4) )).

cnf(i_0_4177,axiom,
    ( ~ esk5274_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_4178,axiom,
    ( esk2555_4(X1,X2,X3,X4)
    | ~ esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_4179,axiom,
    ( esk3957_4(X1,X2,X3,X4)
    | ~ esk3940_4(X1,X2,X3,X4) )).

cnf(i_0_4180,axiom,
    ( esk8479_4(X1,X2,X3,X4)
    | ~ esk8478_4(X1,X2,X3,X4) )).

cnf(i_0_4181,axiom,
    ( ~ esk7960_4(X1,X2,X3,X4)
    | esk9233_4(X1,X2,X3,X4) )).

cnf(i_0_4182,axiom,
    ( esk5844_4(X1,X2,X3,X4)
    | ~ esk5563_4(X1,X2,X3,X4) )).

cnf(i_0_4183,axiom,
    ( ~ esk9187_4(X1,X2,X3,X4)
    | esk7983_4(X1,X2,X3,X4) )).

cnf(i_0_4184,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk1058_0
    | p(X1)
    | ~ p(X4)
    | ~ esk9166_4(X1,X2,X3,X4) )).

cnf(i_0_4185,axiom,
    ( p(X2)
    | esk1040_0
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4186,axiom,
    ( esk1686_4(X1,X2,X3,X4)
    | ~ esk2890_4(X1,X2,X3,X4) )).

cnf(i_0_4187,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | esk1605_4(X1,X2,X3,X4)
    | ~ esk1604_4(X1,X2,X3,X4) )).

cnf(i_0_4188,axiom,
    ( esk7099_4(X1,X2,X3,X4)
    | ~ esk5962_4(X1,X2,X3,X4)
    | ~ esk5723_4(X1,X2,X3,X4) )).

cnf(i_0_4189,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3155_4(X1,X2,X3,X4) )).

cnf(i_0_4190,axiom,
    ( ~ esk8084_4(X1,X2,X3,X4)
    | esk8089_4(X1,X2,X3,X4) )).

cnf(i_0_4191,axiom,
    ( esk6680_4(X1,X2,X3,X4)
    | esk7061_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_4192,axiom,
    ( ~ esk6989_4(X1,X2,X3,X4)
    | esk6830_4(X1,X2,X3,X4)
    | ~ esk6829_4(X1,X2,X3,X4) )).

cnf(i_0_4193,axiom,
    ( esk264_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_4194,axiom,
    ( esk1313_0
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_4195,axiom,
    ( esk2212_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk488_0
    | ~ p(X3) )).

cnf(i_0_4196,axiom,
    ( ~ esk4048_4(X1,X2,X3,X4)
    | ~ esk4083_4(X1,X2,X3,X4)
    | ~ esk4082_4(X1,X2,X3,X4) )).

cnf(i_0_4197,axiom,
    ( esk3987_4(X1,X2,X3,X4)
    | esk4117_4(X1,X2,X3,X4) )).

cnf(i_0_4198,axiom,
    ( ~ esk7814_4(X1,X2,X3,X4)
    | esk7817_4(X1,X2,X3,X4) )).

cnf(i_0_4199,axiom,
    ( ~ esk7831_4(X1,X2,X3,X4)
    | esk7832_4(X1,X2,X3,X4) )).

cnf(i_0_4200,axiom,
    ( ~ esk7582_4(X1,X2,X3,X4)
    | esk7584_4(X1,X2,X3,X4) )).

cnf(i_0_4201,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7181_4(X1,X2,X3,X4) )).

cnf(i_0_4202,axiom,
    ( esk4216_4(X1,X2,X3,X4)
    | ~ esk4253_4(X1,X2,X3,X4) )).

cnf(i_0_4203,axiom,
    ( ~ esk5401_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4680_4(X1,X2,X3,X4) )).

cnf(i_0_4204,axiom,
    ( ~ esk3941_4(X1,X2,X3,X4)
    | esk3961_4(X1,X2,X3,X4) )).

cnf(i_0_4205,axiom,
    ( esk6105_4(X1,X2,X3,X4)
    | esk6104_4(X1,X2,X3,X4)
    | ~ esk6106_4(X1,X2,X3,X4) )).

cnf(i_0_4206,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk1050_0
    | ~ p(X2)
    | esk2868_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4207,axiom,
    ( esk8487_4(X1,X2,X3,X4)
    | ~ esk8525_4(X1,X2,X3,X4) )).

cnf(i_0_4208,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5693_4(X1,X2,X3,X4) )).

cnf(i_0_4209,axiom,
    ( ~ esk3176_4(X1,X2,X3,X4)
    | esk3175_4(X1,X2,X3,X4) )).

cnf(i_0_4210,axiom,
    ( ~ esk3584_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_4211,axiom,
    ( esk6518_4(X1,X2,X3,X4)
    | ~ esk6260_4(X1,X2,X3,X4) )).

cnf(i_0_4212,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk1188_0
    | esk9190_4(X1,X2,X3,X4) )).

cnf(i_0_4213,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | esk156_0
    | ~ p(X4)
    | ~ esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_4214,axiom,
    ( ~ esk6229_4(X1,X2,X3,X4)
    | esk6203_4(X1,X2,X3,X4) )).

cnf(i_0_4215,axiom,
    ( ~ esk1096_0
    | ~ p(X1)
    | esk2874_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_4216,axiom,
    ( ~ p(X2)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1_0 )).

cnf(i_0_4217,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | ~ esk200_0
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4218,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk7738_4(X1,X2,X3,X4)
    | esk33_0 )).

cnf(i_0_4219,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1322_0 )).

cnf(i_0_4220,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk364_0 )).

cnf(i_0_4221,axiom,
    ( esk2837_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_4222,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2724_4(X1,X2,X3,X4) )).

cnf(i_0_4223,axiom,
    ( esk5711_4(X1,X2,X3,X4)
    | ~ esk5712_4(X1,X2,X3,X4)
    | esk5710_4(X1,X2,X3,X4) )).

cnf(i_0_4224,axiom,
    ( ~ esk2843_4(X1,X2,X3,X4)
    | esk2836_4(X1,X2,X3,X4) )).

cnf(i_0_4225,axiom,
    ( esk2774_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4226,axiom,
    ( ~ esk8977_4(X1,X2,X3,X4)
    | esk8786_4(X1,X2,X3,X4) )).

cnf(i_0_4227,axiom,
    ( ~ esk9239_4(X1,X2,X3,X4)
    | esk7139_4(X1,X2,X3,X4) )).

cnf(i_0_4228,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk607_0
    | p(X1)
    | ~ p(X2)
    | esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_4229,axiom,
    ( esk9446_4(X1,X2,X3,X4)
    | ~ esk9447_4(X1,X2,X3,X4)
    | esk9445_4(X1,X2,X3,X4) )).

cnf(i_0_4230,axiom,
    ( esk1883_4(X1,X2,X3,X4)
    | ~ esk1881_4(X1,X2,X3,X4) )).

cnf(i_0_4231,axiom,
    ( esk8354_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk409_0
    | p(X3) )).

cnf(i_0_4232,axiom,
    ( ~ esk8472_4(X1,X2,X3,X4)
    | ~ esk8325_4(X1,X2,X3,X4)
    | esk8473_4(X1,X2,X3,X4) )).

cnf(i_0_4233,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4109_4(X1,X2,X3,X4) )).

cnf(i_0_4234,axiom,
    ( esk3811_4(X1,X2,X3,X4)
    | ~ esk5034_4(X1,X2,X3,X4) )).

cnf(i_0_4235,axiom,
    ( esk8684_4(X1,X2,X3,X4)
    | ~ esk8683_4(X1,X2,X3,X4) )).

cnf(i_0_4236,axiom,
    ( ~ esk4654_4(X1,X2,X3,X4)
    | esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_4237,axiom,
    ( ~ p(X1)
    | ~ esk9248_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | esk1316_0
    | p(X4) )).

cnf(i_0_4238,axiom,
    ( esk5039_4(X1,X2,X3,X4)
    | ~ esk3848_4(X1,X2,X3,X4) )).

cnf(i_0_4239,axiom,
    ( esk7003_4(X1,X2,X3,X4)
    | ~ esk6879_4(X1,X2,X3,X4) )).

cnf(i_0_4240,axiom,
    ( esk9495_4(X1,X2,X3,X4)
    | ~ esk9494_4(X1,X2,X3,X4) )).

cnf(i_0_4241,axiom,
    ( ~ esk9741_4(X1,X2,X3,X4)
    | esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_4242,axiom,
    ( esk8885_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8884_4(X1,X2,X3,X4) )).

cnf(i_0_4243,axiom,
    ( esk4004_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4244,axiom,
    ( ~ esk4844_4(X1,X2,X3,X4)
    | esk5417_4(X1,X2,X3,X4) )).

cnf(i_0_4245,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk4_0
    | esk7734_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_4246,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | esk2249_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_4247,axiom,
    ( esk1748_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk156_0 )).

cnf(i_0_4248,axiom,
    ( ~ p(X3)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X1)
    | esk549_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_4249,axiom,
    ( esk4261_4(X1,X2,X3,X4)
    | esk4259_4(X1,X2,X3,X4)
    | esk4260_4(X1,X2,X3,X4)
    | ~ esk4262_4(X1,X2,X3,X4) )).

cnf(i_0_4250,axiom,
    ( esk8457_4(X1,X2,X3,X4)
    | esk8458_4(X1,X2,X3,X4)
    | ~ esk8460_4(X1,X2,X3,X4)
    | esk8459_4(X1,X2,X3,X4) )).

cnf(i_0_4251,axiom,
    ( ~ esk9732_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4)
    | ~ esk9733_4(X1,X2,X3,X4) )).

cnf(i_0_4252,axiom,
    ( esk2399_4(X1,X2,X3,X4)
    | ~ esk2428_4(X1,X2,X3,X4) )).

cnf(i_0_4253,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | esk816_0
    | p(X3)
    | ~ esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_4254,axiom,
    ( esk6066_4(X1,X2,X3,X4)
    | ~ esk5894_4(X1,X2,X3,X4) )).

cnf(i_0_4255,axiom,
    ( esk5409_4(X1,X2,X3,X4)
    | ~ esk5408_4(X1,X2,X3,X4) )).

cnf(i_0_4256,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2482_4(X1,X2,X3,X4)
    | esk776_0
    | p(X3) )).

cnf(i_0_4257,axiom,
    ( esk1927_4(X1,X2,X3,X4)
    | ~ esk1925_4(X1,X2,X3,X4) )).

cnf(i_0_4258,axiom,
    ( esk5620_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4)
    | ~ esk6667_4(X1,X2,X3,X4) )).

cnf(i_0_4259,axiom,
    ( esk1797_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4260,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk980_0 )).

cnf(i_0_4261,axiom,
    ( ~ esk3709_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_4262,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | esk3295_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_4263,axiom,
    ( ~ esk4532_4(X1,X2,X3,X4)
    | esk4188_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_4264,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4637_4(X1,X2,X3,X4) )).

cnf(i_0_4265,axiom,
    ( esk2536_4(X1,X2,X3,X4)
    | ~ esk1679_4(X1,X2,X3,X4)
    | ~ esk2448_4(X1,X2,X3,X4) )).

cnf(i_0_4266,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | esk3283_4(X1,X2,X3,X4)
    | ~ esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_4267,axiom,
    ( esk7548_4(X1,X2,X3,X4)
    | ~ esk6959_4(X1,X2,X3,X4) )).

cnf(i_0_4268,axiom,
    ( esk8370_4(X1,X2,X3,X4)
    | ~ esk8369_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_4269,axiom,
    ( ~ esk3299_4(X1,X2,X3,X4)
    | ~ esk3300_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_4270,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk1791_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4271,axiom,
    ( esk6504_4(X1,X2,X3,X4)
    | esk6503_4(X1,X2,X3,X4)
    | ~ esk6505_4(X1,X2,X3,X4) )).

cnf(i_0_4272,axiom,
    ( ~ esk6951_4(X1,X2,X3,X4)
    | esk7532_4(X1,X2,X3,X4) )).

cnf(i_0_4273,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk710_0
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_4274,axiom,
    ( ~ esk4829_4(X1,X2,X3,X4)
    | esk4830_4(X1,X2,X3,X4) )).

cnf(i_0_4275,axiom,
    ( esk8245_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_4276,axiom,
    ( ~ esk6360_4(X1,X2,X3,X4)
    | esk6361_4(X1,X2,X3,X4) )).

cnf(i_0_4277,axiom,
    ( ~ esk8817_4(X1,X2,X3,X4)
    | esk8815_4(X1,X2,X3,X4)
    | esk8816_4(X1,X2,X3,X4) )).

cnf(i_0_4278,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk1011_0
    | esk2815_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_4279,axiom,
    ( esk4914_4(X1,X2,X3,X4)
    | ~ esk5532_4(X1,X2,X3,X4) )).

cnf(i_0_4280,axiom,
    ( esk3194_4(X1,X2,X3,X4)
    | ~ esk3192_4(X1,X2,X3,X4) )).

cnf(i_0_4281,axiom,
    ( esk9054_4(X1,X2,X3,X4)
    | ~ esk9053_4(X1,X2,X3,X4)
    | ~ esk9639_4(X1,X2,X3,X4) )).

cnf(i_0_4282,axiom,
    ( ~ esk4412_4(X1,X2,X3,X4)
    | esk4414_4(X1,X2,X3,X4) )).

cnf(i_0_4283,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk3_0
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_4284,axiom,
    ( esk9142_4(X1,X2,X3,X4)
    | ~ esk9143_4(X1,X2,X3,X4) )).

cnf(i_0_4285,axiom,
    ( ~ esk2345_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4286,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk762_0
    | p(X2)
    | ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_4287,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9384_4(X1,X2,X3,X4) )).

cnf(i_0_4288,axiom,
    ( esk4082_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk3973_4(X1,X2,X3,X4) )).

cnf(i_0_4289,axiom,
    ( esk2345_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4290,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk575_0 )).

cnf(i_0_4291,axiom,
    ( ~ esk4240_4(X1,X2,X3,X4)
    | esk4242_4(X1,X2,X3,X4) )).

cnf(i_0_4292,axiom,
    ( p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1335_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_4293,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | esk7323_4(X1,X2,X3,X4)
    | ~ esk7320_4(X1,X2,X3,X4) )).

cnf(i_0_4294,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2963_4(X1,X2,X3,X4) )).

cnf(i_0_4295,axiom,
    ( esk3826_4(X1,X2,X3,X4)
    | ~ esk5037_4(X1,X2,X3,X4) )).

cnf(i_0_4296,axiom,
    ( ~ esk2127_4(X1,X2,X3,X4)
    | esk2165_4(X1,X2,X3,X4)
    | esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_4297,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8609_4(X1,X2,X3,X4) )).

cnf(i_0_4298,axiom,
    ( ~ esk3489_4(X1,X2,X3,X4)
    | esk3847_4(X1,X2,X3,X4) )).

cnf(i_0_4299,axiom,
    ( ~ esk252_0
    | p(X2)
    | p(X3)
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_4300,axiom,
    ( ~ esk8586_4(X1,X2,X3,X4)
    | esk6486_4(X1,X2,X3,X4) )).

cnf(i_0_4301,axiom,
    ( ~ esk9478_4(X1,X2,X3,X4)
    | esk9475_4(X1,X2,X3,X4) )).

cnf(i_0_4302,axiom,
    ( ~ esk5659_4(X1,X2,X3,X4)
    | esk5660_4(X1,X2,X3,X4)
    | ~ esk5903_4(X1,X2,X3,X4) )).

cnf(i_0_4303,axiom,
    ( ~ esk3248_4(X1,X2,X3,X4)
    | esk3250_4(X1,X2,X3,X4) )).

cnf(i_0_4304,axiom,
    ( ~ esk4484_4(X1,X2,X3,X4)
    | esk4483_4(X1,X2,X3,X4) )).

cnf(i_0_4305,axiom,
    ( ~ esk2523_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_4306,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk1271_0
    | ~ esk9218_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_4307,axiom,
    ( esk1446_4(X1,X2,X3,X4)
    | ~ esk1515_4(X1,X2,X3,X4) )).

cnf(i_0_4308,axiom,
    ( ~ esk4287_4(X1,X2,X3,X4)
    | esk4286_4(X1,X2,X3,X4) )).

cnf(i_0_4309,axiom,
    ( esk8061_4(X1,X2,X3,X4)
    | esk9196_4(X1,X2,X3,X4) )).

cnf(i_0_4310,axiom,
    ( ~ esk9278_4(X1,X2,X3,X4)
    | esk9275_4(X1,X2,X3,X4) )).

cnf(i_0_4311,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2979_4(X1,X2,X3,X4) )).

cnf(i_0_4312,axiom,
    ( esk7404_4(X1,X2,X3,X4)
    | ~ esk7407_4(X1,X2,X3,X4) )).

cnf(i_0_4313,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | esk1256_0
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4314,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2191_4(X1,X2,X3,X4) )).

cnf(i_0_4315,axiom,
    ( esk348_0
    | p(X3)
    | ~ esk1958_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_4316,axiom,
    ( ~ esk8252_4(X1,X2,X3,X4)
    | esk6152_4(X1,X2,X3,X4) )).

cnf(i_0_4317,axiom,
    ( esk9576_4(X1,X2,X3,X4)
    | esk9571_4(X1,X2,X3,X4)
    | ~ esk9577_4(X1,X2,X3,X4) )).

cnf(i_0_4318,axiom,
    ( ~ esk3352_4(X1,X2,X3,X4)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_4319,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3001_4(X1,X2,X3,X4) )).

cnf(i_0_4320,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk2976_4(X1,X2,X3,X4)
    | ~ esk2975_4(X1,X2,X3,X4) )).

cnf(i_0_4321,axiom,
    ( esk3726_4(X1,X2,X3,X4)
    | ~ esk3725_4(X1,X2,X3,X4) )).

cnf(i_0_4322,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk588_0
    | p(X1)
    | esk8719_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_4323,axiom,
    ( ~ esk9509_4(X1,X2,X3,X4)
    | esk9479_4(X1,X2,X3,X4) )).

cnf(i_0_4324,axiom,
    ( ~ esk2519_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_4325,axiom,
    ( ~ esk6592_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_4326,axiom,
    ( esk6757_4(X1,X2,X3,X4)
    | ~ esk6758_4(X1,X2,X3,X4) )).

cnf(i_0_4327,axiom,
    ( ~ esk6724_4(X1,X2,X3,X4)
    | esk6769_4(X1,X2,X3,X4) )).

cnf(i_0_4328,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1897_4(X1,X2,X3,X4) )).

cnf(i_0_4329,axiom,
    ( ~ esk1824_4(X1,X2,X3,X4)
    | esk1852_4(X1,X2,X3,X4)
    | ~ esk1362_4(X1,X2,X3,X4) )).

cnf(i_0_4330,axiom,
    ( esk8753_4(X1,X2,X3,X4)
    | esk7670_4(X1,X2,X3,X4) )).

cnf(i_0_4331,axiom,
    ( esk274_0
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_4332,axiom,
    ( ~ esk4896_4(X1,X2,X3,X4)
    | esk4986_4(X1,X2,X3,X4) )).

cnf(i_0_4333,axiom,
    ( esk3425_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_4334,axiom,
    ( ~ esk763_0
    | esk8751_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_4335,axiom,
    ( ~ esk8042_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | esk142_0 )).

cnf(i_0_4336,axiom,
    ( esk7371_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_4337,axiom,
    ( esk2001_4(X1,X2,X3,X4)
    | ~ esk2000_4(X1,X2,X3,X4) )).

cnf(i_0_4338,axiom,
    ( esk6189_4(X1,X2,X3,X4)
    | ~ esk6186_4(X1,X2,X3,X4) )).

cnf(i_0_4339,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk978_0
    | p(X2)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_4340,axiom,
    ( ~ esk3955_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4341,axiom,
    ( ~ esk1949_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk1980_4(X1,X2,X3,X4) )).

cnf(i_0_4342,axiom,
    ( ~ esk7207_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4343,axiom,
    ( ~ esk7495_4(X1,X2,X3,X4)
    | esk7496_4(X1,X2,X3,X4) )).

cnf(i_0_4344,axiom,
    ( ~ esk9205_4(X1,X2,X3,X4)
    | esk7105_4(X1,X2,X3,X4) )).

cnf(i_0_4345,axiom,
    ( p(X2)
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk516_0 )).

cnf(i_0_4346,axiom,
    ( esk2208_4(X1,X2,X3,X4)
    | ~ esk2093_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_4347,axiom,
    ( ~ esk9698_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_4348,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4766_4(X1,X2,X3,X4) )).

cnf(i_0_4349,axiom,
    ( ~ esk5935_4(X1,X2,X3,X4)
    | esk5885_4(X1,X2,X3,X4) )).

cnf(i_0_4350,axiom,
    ( ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk264_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_4351,axiom,
    ( ~ esk2291_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_4352,axiom,
    ( ~ esk1460_4(X1,X2,X3,X4)
    | esk1757_4(X1,X2,X3,X4) )).

cnf(i_0_4353,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7203_4(X1,X2,X3,X4) )).

cnf(i_0_4354,axiom,
    ( esk7483_4(X1,X2,X3,X4)
    | ~ esk6678_4(X1,X2,X3,X4) )).

cnf(i_0_4355,axiom,
    ( esk1464_4(X1,X2,X3,X4)
    | ~ esk1534_4(X1,X2,X3,X4) )).

cnf(i_0_4356,axiom,
    ( ~ esk3149_4(X1,X2,X3,X4)
    | esk3150_4(X1,X2,X3,X4) )).

cnf(i_0_4357,axiom,
    ( ~ esk4706_4(X1,X2,X3,X4)
    | esk4707_4(X1,X2,X3,X4)
    | ~ esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_4358,axiom,
    ( ~ esk5216_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_4359,axiom,
    ( esk1560_4(X1,X2,X3,X4)
    | ~ esk1561_4(X1,X2,X3,X4) )).

cnf(i_0_4360,axiom,
    ( esk7216_4(X1,X2,X3,X4)
    | ~ esk7215_4(X1,X2,X3,X4) )).

cnf(i_0_4361,axiom,
    ( ~ esk354_0
    | ~ p(X4)
    | p(X1)
    | esk1958_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_4362,axiom,
    ( esk9168_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk1078_0 )).

cnf(i_0_4363,axiom,
    ( ~ esk5360_4(X1,X2,X3,X4)
    | esk5357_4(X1,X2,X3,X4) )).

cnf(i_0_4364,axiom,
    ( esk8176_4(X1,X2,X3,X4)
    | ~ esk8183_4(X1,X2,X3,X4) )).

cnf(i_0_4365,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk1754_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk206_0
    | ~ p(X4) )).

cnf(i_0_4366,axiom,
    ( esk1985_4(X1,X2,X3,X4)
    | ~ esk2318_4(X1,X2,X3,X4) )).

cnf(i_0_4367,axiom,
    ( esk5025_4(X1,X2,X3,X4)
    | ~ esk5023_4(X1,X2,X3,X4) )).

cnf(i_0_4368,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2782_4(X1,X2,X3,X4) )).

cnf(i_0_4369,axiom,
    ( esk2482_4(X1,X2,X3,X4)
    | ~ esk2861_4(X1,X2,X3,X4) )).

cnf(i_0_4370,axiom,
    ( esk6214_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4371,axiom,
    ( ~ esk8799_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_4372,axiom,
    ( esk2642_4(X1,X2,X3,X4)
    | ~ esk2640_4(X1,X2,X3,X4) )).

cnf(i_0_4373,axiom,
    ( ~ esk7570_4(X1,X2,X3,X4)
    | esk7572_4(X1,X2,X3,X4) )).

cnf(i_0_4374,axiom,
    ( esk4516_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4047_4(X1,X2,X3,X4) )).

cnf(i_0_4375,axiom,
    ( esk5723_4(X1,X2,X3,X4)
    | ~ esk7099_4(X1,X2,X3,X4) )).

cnf(i_0_4376,axiom,
    ( esk3198_4(X1,X2,X3,X4)
    | ~ esk3196_4(X1,X2,X3,X4) )).

cnf(i_0_4377,axiom,
    ( ~ esk8042_4(X1,X2,X3,X4)
    | esk139_0
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_4378,axiom,
    ( esk5540_4(X1,X2,X3,X4)
    | ~ esk5537_4(X1,X2,X3,X4) )).

cnf(i_0_4379,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2066_4(X1,X2,X3,X4) )).

cnf(i_0_4380,axiom,
    ( ~ esk7277_4(X1,X2,X3,X4)
    | ~ esk7272_4(X1,X2,X3,X4)
    | esk7278_4(X1,X2,X3,X4) )).

cnf(i_0_4381,axiom,
    ( esk8272_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_4382,axiom,
    ( esk3042_4(X1,X2,X3,X4)
    | ~ esk3045_4(X1,X2,X3,X4) )).

cnf(i_0_4383,axiom,
    ( ~ esk6696_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_4384,axiom,
    ( esk4713_4(X1,X2,X3,X4)
    | ~ esk5444_4(X1,X2,X3,X4) )).

cnf(i_0_4385,axiom,
    ( ~ esk2801_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk905_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4386,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1277_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_4387,axiom,
    ( esk6962_4(X1,X2,X3,X4)
    | ~ esk6963_4(X1,X2,X3,X4) )).

cnf(i_0_4388,axiom,
    ( ~ esk6656_4(X1,X2,X3,X4)
    | esk6657_4(X1,X2,X3,X4) )).

cnf(i_0_4389,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4572_4(X1,X2,X3,X4) )).

cnf(i_0_4390,axiom,
    ( esk5600_4(X1,X2,X3,X4)
    | ~ esk5714_4(X1,X2,X3,X4) )).

cnf(i_0_4391,axiom,
    ( esk9695_4(X1,X2,X3,X4)
    | ~ esk9018_4(X1,X2,X3,X4) )).

cnf(i_0_4392,axiom,
    ( ~ esk6591_4(X1,X2,X3,X4)
    | esk7188_4(X1,X2,X3,X4) )).

cnf(i_0_4393,axiom,
    ( esk4969_4(X1,X2,X3,X4)
    | ~ esk3499_4(X1,X2,X3,X4) )).

cnf(i_0_4394,axiom,
    ( ~ esk7809_4(X1,X2,X3,X4)
    | esk7811_4(X1,X2,X3,X4) )).

cnf(i_0_4395,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6484_4(X1,X2,X3,X4) )).

cnf(i_0_4396,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5192_4(X1,X2,X3,X4) )).

cnf(i_0_4397,axiom,
    ( ~ esk2376_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_4398,axiom,
    ( esk1817_4(X1,X2,X3,X4)
    | ~ esk1815_4(X1,X2,X3,X4) )).

cnf(i_0_4399,axiom,
    ( ~ esk4818_4(X1,X2,X3,X4)
    | ~ esk5533_4(X1,X2,X3,X4)
    | esk4930_4(X1,X2,X3,X4) )).

cnf(i_0_4400,axiom,
    ( ~ esk2866_4(X1,X2,X3,X4)
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_4401,axiom,
    ( esk2487_4(X1,X2,X3,X4)
    | ~ esk2174_4(X1,X2,X3,X4) )).

cnf(i_0_4402,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4200_4(X1,X2,X3,X4)
    | esk4237_4(X1,X2,X3,X4) )).

cnf(i_0_4403,axiom,
    ( esk6161_4(X1,X2,X3,X4)
    | ~ esk6162_4(X1,X2,X3,X4) )).

cnf(i_0_4404,axiom,
    ( ~ esk3114_4(X1,X2,X3,X4)
    | esk3120_4(X1,X2,X3,X4)
    | ~ esk3119_4(X1,X2,X3,X4) )).

cnf(i_0_4405,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7796_4(X1,X2,X3,X4) )).

cnf(i_0_4406,axiom,
    ( p(X4)
    | ~ esk1268_0
    | p(X1)
    | ~ p(X2)
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_4407,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk4812_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4408,axiom,
    ( ~ esk8943_4(X1,X2,X3,X4)
    | esk9706_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_4409,axiom,
    ( esk6196_4(X1,X2,X3,X4)
    | ~ esk6197_4(X1,X2,X3,X4) )).

cnf(i_0_4410,axiom,
    ( ~ esk8103_4(X1,X2,X3,X4)
    | esk8105_4(X1,X2,X3,X4) )).

cnf(i_0_4411,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk940_0
    | p(X4) )).

cnf(i_0_4412,axiom,
    ( ~ esk4312_4(X1,X2,X3,X4)
    | esk4587_4(X1,X2,X3,X4) )).

cnf(i_0_4413,axiom,
    ( ~ esk8176_4(X1,X2,X3,X4)
    | ~ esk8316_4(X1,X2,X3,X4)
    | esk8183_4(X1,X2,X3,X4) )).

cnf(i_0_4414,axiom,
    ( ~ esk1666_4(X1,X2,X3,X4)
    | esk1668_4(X1,X2,X3,X4) )).

cnf(i_0_4415,axiom,
    ( esk2430_4(X1,X2,X3,X4)
    | ~ esk2403_4(X1,X2,X3,X4) )).

cnf(i_0_4416,axiom,
    ( esk6781_4(X1,X2,X3,X4)
    | ~ esk6782_4(X1,X2,X3,X4) )).

cnf(i_0_4417,axiom,
    ( ~ esk5133_4(X1,X2,X3,X4)
    | esk5136_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_4418,axiom,
    ( ~ esk606_0
    | ~ p(X4)
    | esk8721_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_4419,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk7121_4(X1,X2,X3,X4) )).

cnf(i_0_4420,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | esk2874_4(X1,X2,X3,X4)
    | ~ esk1090_0 )).

cnf(i_0_4421,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2273_4(X1,X2,X3,X4) )).

cnf(i_0_4422,axiom,
    ( esk4701_4(X1,X2,X3,X4)
    | ~ esk4700_4(X1,X2,X3,X4) )).

cnf(i_0_4423,axiom,
    ( esk8664_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4)
    | ~ esk9568_4(X1,X2,X3,X4) )).

cnf(i_0_4424,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4)
    | esk8286_4(X1,X2,X3,X4) )).

cnf(i_0_4425,axiom,
    ( ~ esk6168_4(X1,X2,X3,X4)
    | esk6166_4(X1,X2,X3,X4)
    | esk6167_4(X1,X2,X3,X4) )).

cnf(i_0_4426,axiom,
    ( ~ esk3928_4(X1,X2,X3,X4)
    | esk3929_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4427,axiom,
    ( ~ esk5786_4(X1,X2,X3,X4)
    | ~ esk7080_4(X1,X2,X3,X4)
    | esk5787_4(X1,X2,X3,X4) )).

cnf(i_0_4428,axiom,
    ( esk6216_4(X1,X2,X3,X4)
    | esk6086_4(X1,X2,X3,X4) )).

cnf(i_0_4429,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk396_0
    | p(X2)
    | ~ p(X4)
    | esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_4430,axiom,
    ( ~ esk2734_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_4431,axiom,
    ( ~ esk4369_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4432,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk340_0
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_4433,axiom,
    ( ~ esk3137_4(X1,X2,X3,X4)
    | esk3138_4(X1,X2,X3,X4) )).

cnf(i_0_4434,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk3299_4(X1,X2,X3,X4) )).

cnf(i_0_4435,axiom,
    ( esk8346_4(X1,X2,X3,X4)
    | esk8347_4(X1,X2,X3,X4)
    | ~ esk8290_4(X1,X2,X3,X4) )).

cnf(i_0_4436,axiom,
    ( ~ esk1803_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_4437,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6885_4(X1,X2,X3,X4) )).

cnf(i_0_4438,axiom,
    ( esk9088_4(X1,X2,X3,X4)
    | ~ esk8929_4(X1,X2,X3,X4) )).

cnf(i_0_4439,axiom,
    ( esk7388_4(X1,X2,X3,X4)
    | ~ esk7386_4(X1,X2,X3,X4) )).

cnf(i_0_4440,axiom,
    ( ~ esk9553_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_4441,axiom,
    ( esk1515_4(X1,X2,X3,X4)
    | ~ esk3615_4(X1,X2,X3,X4) )).

cnf(i_0_4442,axiom,
    ( ~ esk1589_4(X1,X2,X3,X4)
    | esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_4443,axiom,
    ( ~ esk8406_4(X1,X2,X3,X4)
    | ~ esk8558_4(X1,X2,X3,X4)
    | esk8559_4(X1,X2,X3,X4) )).

cnf(i_0_4444,axiom,
    ( ~ esk3979_4(X1,X2,X3,X4)
    | esk3982_4(X1,X2,X3,X4) )).

cnf(i_0_4445,axiom,
    ( esk4189_4(X1,X2,X3,X4)
    | ~ esk4188_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_4446,axiom,
    ( ~ esk2083_4(X1,X2,X3,X4)
    | esk2081_4(X1,X2,X3,X4)
    | esk2082_4(X1,X2,X3,X4) )).

cnf(i_0_4447,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | esk1232_0
    | ~ esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_4448,axiom,
    ( ~ esk7218_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_4449,axiom,
    ( ~ p(X2)
    | esk1438_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk17_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_4450,axiom,
    ( ~ esk2030_4(X1,X2,X3,X4)
    | esk2029_4(X1,X2,X3,X4) )).

cnf(i_0_4451,axiom,
    ( ~ esk7900_4(X1,X2,X3,X4)
    | esk9190_4(X1,X2,X3,X4) )).

cnf(i_0_4452,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2271_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4453,axiom,
    ( ~ esk4206_4(X1,X2,X3,X4)
    | esk4135_4(X1,X2,X3,X4) )).

cnf(i_0_4454,axiom,
    ( esk3080_4(X1,X2,X3,X4)
    | ~ esk3074_4(X1,X2,X3,X4)
    | ~ esk3079_4(X1,X2,X3,X4) )).

cnf(i_0_4455,axiom,
    ( ~ esk3114_4(X1,X2,X3,X4)
    | esk3112_4(X1,X2,X3,X4)
    | esk3113_4(X1,X2,X3,X4) )).

cnf(i_0_4456,axiom,
    ( p(X4)
    | esk796_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_4457,axiom,
    ( ~ esk4520_4(X1,X2,X3,X4)
    | esk4382_4(X1,X2,X3,X4) )).

cnf(i_0_4458,axiom,
    ( esk3106_4(X1,X2,X3,X4)
    | ~ esk3105_4(X1,X2,X3,X4) )).

cnf(i_0_4459,axiom,
    ( ~ esk8858_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_4460,axiom,
    ( esk1914_4(X1,X2,X3,X4)
    | esk1949_4(X1,X2,X3,X4)
    | ~ esk1948_4(X1,X2,X3,X4) )).

cnf(i_0_4461,axiom,
    ( esk9103_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk959_0 )).

cnf(i_0_4462,axiom,
    ( ~ esk3416_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_4463,axiom,
    ( esk1534_4(X1,X2,X3,X4)
    | ~ esk1535_4(X1,X2,X3,X4)
    | esk1533_4(X1,X2,X3,X4) )).

cnf(i_0_4464,axiom,
    ( ~ esk5141_4(X1,X2,X3,X4)
    | esk5144_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_4465,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk60_0
    | ~ p(X2)
    | esk7740_4(X1,X2,X3,X4) )).

cnf(i_0_4466,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk8042_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ esk143_0 )).

cnf(i_0_4467,axiom,
    ( ~ esk7931_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_4468,axiom,
    ( ~ esk9606_4(X1,X2,X3,X4)
    | esk9607_4(X1,X2,X3,X4) )).

cnf(i_0_4469,axiom,
    ( esk5314_4(X1,X2,X3,X4)
    | ~ esk5315_4(X1,X2,X3,X4) )).

cnf(i_0_4470,axiom,
    ( ~ esk5182_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4471,axiom,
    ( esk7165_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4472,axiom,
    ( p(X3)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ esk813_0
    | p(X1) )).

cnf(i_0_4473,axiom,
    ( esk6890_4(X1,X2,X3,X4)
    | ~ esk6889_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_4474,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5242_4(X1,X2,X3,X4) )).

cnf(i_0_4475,axiom,
    ( ~ esk3284_4(X1,X2,X3,X4)
    | esk3285_4(X1,X2,X3,X4) )).

cnf(i_0_4476,axiom,
    ( esk3143_4(X1,X2,X3,X4)
    | ~ esk3144_4(X1,X2,X3,X4) )).

cnf(i_0_4477,axiom,
    ( ~ esk6321_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_4478,axiom,
    ( esk7648_4(X1,X2,X3,X4)
    | esk5850_4(X1,X2,X3,X4) )).

cnf(i_0_4479,axiom,
    ( esk4911_4(X1,X2,X3,X4)
    | ~ esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_4480,axiom,
    ( esk7941_4(X1,X2,X3,X4)
    | ~ esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_4481,axiom,
    ( esk3726_4(X1,X2,X3,X4)
    | ~ esk5030_4(X1,X2,X3,X4) )).

cnf(i_0_4482,axiom,
    ( ~ esk4969_4(X1,X2,X3,X4)
    | esk3499_4(X1,X2,X3,X4) )).

cnf(i_0_4483,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk8138_4(X1,X2,X3,X4)
    | esk269_0 )).

cnf(i_0_4484,axiom,
    ( p(X3)
    | ~ esk9107_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk982_0
    | p(X4)
    | p(X1) )).

cnf(i_0_4485,axiom,
    ( ~ esk8756_4(X1,X2,X3,X4)
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_4486,axiom,
    ( ~ esk4758_4(X1,X2,X3,X4)
    | ~ esk4583_4(X1,X2,X3,X4)
    | esk4759_4(X1,X2,X3,X4) )).

cnf(i_0_4487,axiom,
    ( esk8426_4(X1,X2,X3,X4)
    | ~ esk8427_4(X1,X2,X3,X4) )).

cnf(i_0_4488,axiom,
    ( esk7111_4(X1,X2,X3,X4)
    | ~ esk9211_4(X1,X2,X3,X4) )).

cnf(i_0_4489,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6143_4(X1,X2,X3,X4)
    | ~ esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_4490,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4372_4(X1,X2,X3,X4) )).

cnf(i_0_4491,axiom,
    ( p(X3)
    | ~ esk757_0
    | esk8751_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_4492,axiom,
    ( ~ esk5879_4(X1,X2,X3,X4)
    | ~ esk5974_4(X1,X2,X3,X4)
    | esk6070_4(X1,X2,X3,X4) )).

cnf(i_0_4493,axiom,
    ( ~ esk7619_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_4494,axiom,
    ( ~ esk7494_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_4495,axiom,
    ( esk2030_4(X1,X2,X3,X4)
    | ~ esk1966_4(X1,X2,X3,X4)
    | ~ esk2029_4(X1,X2,X3,X4) )).

cnf(i_0_4496,axiom,
    ( esk8155_4(X1,X2,X3,X4)
    | ~ esk8153_4(X1,X2,X3,X4) )).

cnf(i_0_4497,axiom,
    ( esk818_0
    | ~ esk2789_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_4498,axiom,
    ( esk7480_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_4499,axiom,
    ( ~ esk7107_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_4500,axiom,
    ( ~ esk6703_4(X1,X2,X3,X4)
    | ~ esk6672_4(X1,X2,X3,X4)
    | esk6704_4(X1,X2,X3,X4) )).

cnf(i_0_4501,axiom,
    ( ~ esk4509_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_4502,axiom,
    ( esk7803_4(X1,X2,X3,X4)
    | ~ esk7895_4(X1,X2,X3,X4) )).

cnf(i_0_4503,axiom,
    ( esk3447_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk1809_4(X1,X2,X3,X4) )).

cnf(i_0_4504,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8996_4(X1,X2,X3,X4) )).

cnf(i_0_4505,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk2_0
    | ~ esk8170_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_4506,axiom,
    ( ~ esk5640_4(X1,X2,X3,X4)
    | esk5602_4(X1,X2,X3,X4) )).

cnf(i_0_4507,axiom,
    ( esk6389_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4508,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3187_4(X1,X2,X3,X4) )).

cnf(i_0_4509,axiom,
    ( ~ esk1163_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2886_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4510,axiom,
    ( esk2229_4(X1,X2,X3,X4)
    | ~ esk2228_4(X1,X2,X3,X4) )).

cnf(i_0_4511,axiom,
    ( esk2903_4(X1,X2,X3,X4)
    | ~ esk2904_4(X1,X2,X3,X4) )).

cnf(i_0_4512,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk9166_4(X1,X2,X3,X4)
    | esk1066_0 )).

cnf(i_0_4513,axiom,
    ( esk9151_4(X1,X2,X3,X4)
    | ~ esk7051_4(X1,X2,X3,X4) )).

cnf(i_0_4514,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6201_4(X1,X2,X3,X4)
    | ~ esk6200_4(X1,X2,X3,X4) )).

cnf(i_0_4515,axiom,
    ( ~ esk7009_4(X1,X2,X3,X4)
    | ~ esk5651_4(X1,X2,X3,X4) )).

cnf(i_0_4516,axiom,
    ( esk6499_4(X1,X2,X3,X4)
    | ~ esk6498_4(X1,X2,X3,X4)
    | ~ esk6528_4(X1,X2,X3,X4) )).

cnf(i_0_4517,axiom,
    ( ~ esk3923_4(X1,X2,X3,X4)
    | esk5019_4(X1,X2,X3,X4) )).

cnf(i_0_4518,axiom,
    ( esk2024_4(X1,X2,X3,X4)
    | ~ esk1383_4(X1,X2,X3,X4) )).

cnf(i_0_4519,axiom,
    ( ~ esk5325_4(X1,X2,X3,X4)
    | esk5324_4(X1,X2,X3,X4)
    | esk5323_4(X1,X2,X3,X4) )).

cnf(i_0_4520,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2977_4(X1,X2,X3,X4) )).

cnf(i_0_4521,axiom,
    ( ~ esk99_0
    | ~ p(X4)
    | ~ p(X2)
    | esk1641_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_4522,axiom,
    ( ~ esk1642_4(X1,X2,X3,X4)
    | esk2883_4(X1,X2,X3,X4) )).

cnf(i_0_4523,axiom,
    ( esk6277_4(X1,X2,X3,X4)
    | ~ esk6347_4(X1,X2,X3,X4) )).

cnf(i_0_4524,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk3131_4(X1,X2,X3,X4)
    | esk3132_4(X1,X2,X3,X4) )).

cnf(i_0_4525,axiom,
    ( ~ esk6523_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_4526,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5182_4(X1,X2,X3,X4) )).

cnf(i_0_4527,axiom,
    ( ~ esk6864_4(X1,X2,X3,X4)
    | esk7522_4(X1,X2,X3,X4)
    | ~ esk7521_4(X1,X2,X3,X4) )).

cnf(i_0_4528,axiom,
    ( ~ esk7867_4(X1,X2,X3,X4)
    | esk7778_4(X1,X2,X3,X4) )).

cnf(i_0_4529,axiom,
    ( esk6143_4(X1,X2,X3,X4)
    | ~ esk6145_4(X1,X2,X3,X4)
    | esk6144_4(X1,X2,X3,X4)
    | esk6142_4(X1,X2,X3,X4) )).

cnf(i_0_4530,axiom,
    ( ~ esk6447_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4)
    | esk6256_4(X1,X2,X3,X4) )).

cnf(i_0_4531,axiom,
    ( esk7258_4(X1,X2,X3,X4)
    | ~ esk7260_4(X1,X2,X3,X4)
    | esk7259_4(X1,X2,X3,X4) )).

cnf(i_0_4532,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6346_4(X1,X2,X3,X4) )).

cnf(i_0_4533,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk5385_4(X1,X2,X3,X4)
    | ~ esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_4534,axiom,
    ( esk6903_4(X1,X2,X3,X4)
    | ~ esk6747_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_4535,axiom,
    ( esk1_0
    | ~ esk2815_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_4536,axiom,
    ( ~ esk7345_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4537,axiom,
    ( esk2502_4(X1,X2,X3,X4)
    | ~ esk2501_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_4538,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6907_4(X1,X2,X3,X4) )).

cnf(i_0_4539,axiom,
    ( esk6027_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4540,axiom,
    ( ~ esk2626_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3369_4(X1,X2,X3,X4) )).

cnf(i_0_4541,axiom,
    ( ~ esk8980_4(X1,X2,X3,X4)
    | ~ esk8787_4(X1,X2,X3,X4)
    | esk8981_4(X1,X2,X3,X4) )).

cnf(i_0_4542,axiom,
    ( ~ esk3983_4(X1,X2,X3,X4)
    | ~ esk3984_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_4543,axiom,
    ( ~ p(X3)
    | esk8547_4(X1,X2,X3,X4)
    | ~ esk509_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_4544,axiom,
    ( ~ esk3951_4(X1,X2,X3,X4)
    | esk3461_4(X1,X2,X3,X4) )).

cnf(i_0_4545,axiom,
    ( esk8991_4(X1,X2,X3,X4)
    | ~ esk8990_4(X1,X2,X3,X4) )).

cnf(i_0_4546,axiom,
    ( ~ esk5992_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_4547,axiom,
    ( esk1448_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_4548,axiom,
    ( ~ esk3693_4(X1,X2,X3,X4)
    | esk3694_4(X1,X2,X3,X4) )).

cnf(i_0_4549,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3193_4(X1,X2,X3,X4) )).

cnf(i_0_4550,axiom,
    ( p(X4)
    | ~ esk9083_4(X1,X2,X3,X4)
    | p(X2)
    | esk806_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4551,axiom,
    ( ~ esk8823_4(X1,X2,X3,X4)
    | esk8825_4(X1,X2,X3,X4) )).

cnf(i_0_4552,axiom,
    ( esk5818_4(X1,X2,X3,X4)
    | ~ esk5819_4(X1,X2,X3,X4) )).

cnf(i_0_4553,axiom,
    ( esk7361_4(X1,X2,X3,X4)
    | ~ esk7362_4(X1,X2,X3,X4) )).

cnf(i_0_4554,axiom,
    ( ~ esk8807_4(X1,X2,X3,X4)
    | esk8809_4(X1,X2,X3,X4) )).

cnf(i_0_4555,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3701_4(X1,X2,X3,X4) )).

cnf(i_0_4556,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk2791_4(X1,X2,X3,X4)
    | esk833_0
    | ~ p(X3) )).

cnf(i_0_4557,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1856_4(X1,X2,X3,X4)
    | ~ esk1855_4(X1,X2,X3,X4) )).

cnf(i_0_4558,axiom,
    ( ~ esk5493_4(X1,X2,X3,X4)
    | esk5496_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_4559,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk3424_4(X1,X2,X3,X4)
    | ~ esk3423_4(X1,X2,X3,X4) )).

cnf(i_0_4560,axiom,
    ( esk5466_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_4561,axiom,
    ( ~ esk9585_4(X1,X2,X3,X4)
    | ~ esk8744_4(X1,X2,X3,X4) )).

cnf(i_0_4562,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | ~ esk6651_4(X1,X2,X3,X4)
    | esk5717_4(X1,X2,X3,X4) )).

cnf(i_0_4563,axiom,
    ( esk8605_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_4564,axiom,
    ( esk4085_4(X1,X2,X3,X4)
    | ~ esk4669_4(X1,X2,X3,X4) )).

cnf(i_0_4565,axiom,
    ( esk1978_4(X1,X2,X3,X4)
    | ~ esk1976_4(X1,X2,X3,X4) )).

cnf(i_0_4566,axiom,
    ( esk6318_4(X1,X2,X3,X4)
    | ~ esk6319_4(X1,X2,X3,X4)
    | esk6317_4(X1,X2,X3,X4) )).

cnf(i_0_4567,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5178_4(X1,X2,X3,X4) )).

cnf(i_0_4568,axiom,
    ( esk258_0
    | ~ esk1842_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_4569,axiom,
    ( ~ p(X4)
    | esk97_0
    | ~ esk1641_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_4570,axiom,
    ( esk9090_4(X1,X2,X3,X4)
    | ~ esk6990_4(X1,X2,X3,X4) )).

cnf(i_0_4571,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5806_4(X1,X2,X3,X4) )).

cnf(i_0_4572,axiom,
    ( ~ esk7131_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_4573,axiom,
    ( ~ esk9469_4(X1,X2,X3,X4)
    | esk9468_4(X1,X2,X3,X4) )).

cnf(i_0_4574,axiom,
    ( esk9279_4(X1,X2,X3,X4)
    | ~ esk9277_4(X1,X2,X3,X4) )).

cnf(i_0_4575,axiom,
    ( ~ esk7989_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_4576,axiom,
    ( ~ esk5839_4(X1,X2,X3,X4)
    | esk5599_4(X1,X2,X3,X4) )).

cnf(i_0_4577,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk569_0
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_4578,axiom,
    ( ~ esk3040_4(X1,X2,X3,X4)
    | esk3039_4(X1,X2,X3,X4) )).

cnf(i_0_4579,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | ~ esk9204_4(X1,X2,X3,X4)
    | esk1226_0
    | ~ p(X1) )).

cnf(i_0_4580,axiom,
    ( esk9560_4(X1,X2,X3,X4)
    | ~ esk9561_4(X1,X2,X3,X4) )).

cnf(i_0_4581,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5120_4(X1,X2,X3,X4) )).

cnf(i_0_4582,axiom,
    ( ~ esk3188_4(X1,X2,X3,X4)
    | esk3187_4(X1,X2,X3,X4) )).

cnf(i_0_4583,axiom,
    ( ~ esk47_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_4584,axiom,
    ( ~ esk6430_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4585,axiom,
    ( esk6472_4(X1,X2,X3,X4)
    | ~ esk6474_4(X1,X2,X3,X4)
    | esk6473_4(X1,X2,X3,X4) )).

cnf(i_0_4586,axiom,
    ( ~ esk9145_4(X1,X2,X3,X4)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_4587,axiom,
    ( ~ esk2007_4(X1,X2,X3,X4)
    | esk2009_4(X1,X2,X3,X4) )).

cnf(i_0_4588,axiom,
    ( esk9064_4(X1,X2,X3,X4)
    | ~ esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_4589,axiom,
    ( esk8789_4(X1,X2,X3,X4)
    | ~ esk8081_4(X1,X2,X3,X4)
    | ~ esk8788_4(X1,X2,X3,X4) )).

cnf(i_0_4590,axiom,
    ( esk7343_4(X1,X2,X3,X4)
    | esk7342_4(X1,X2,X3,X4)
    | ~ esk7344_4(X1,X2,X3,X4) )).

cnf(i_0_4591,axiom,
    ( ~ p(X3)
    | esk369_0
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_4592,axiom,
    ( ~ esk8046_4(X1,X2,X3,X4)
    | p(X4)
    | esk180_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4593,axiom,
    ( ~ esk4716_4(X1,X2,X3,X4)
    | esk4655_4(X1,X2,X3,X4) )).

cnf(i_0_4594,axiom,
    ( ~ esk2193_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4595,axiom,
    ( esk5012_4(X1,X2,X3,X4)
    | ~ esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_4596,axiom,
    ( ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ esk3442_4(X1,X2,X3,X4) )).

cnf(i_0_4597,axiom,
    ( esk9508_4(X1,X2,X3,X4)
    | ~ esk9509_4(X1,X2,X3,X4) )).

cnf(i_0_4598,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7301_4(X1,X2,X3,X4) )).

cnf(i_0_4599,axiom,
    ( ~ esk6320_4(X1,X2,X3,X4)
    | esk6629_4(X1,X2,X3,X4) )).

cnf(i_0_4600,axiom,
    ( ~ esk1878_4(X1,X2,X3,X4)
    | ~ esk2567_4(X1,X2,X3,X4) )).

cnf(i_0_4601,axiom,
    ( p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk198_0
    | esk8050_4(X1,X2,X3,X4) )).

cnf(i_0_4602,axiom,
    ( ~ p(X4)
    | esk1114_0
    | ~ esk9174_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_4603,axiom,
    ( ~ esk9296_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_4604,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5784_4(X1,X2,X3,X4) )).

cnf(i_0_4605,axiom,
    ( esk7304_4(X1,X2,X3,X4)
    | ~ esk7307_4(X1,X2,X3,X4) )).

cnf(i_0_4606,axiom,
    ( ~ esk4102_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4607,axiom,
    ( ~ esk7421_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7422_4(X1,X2,X3,X4) )).

cnf(i_0_4608,axiom,
    ( esk4751_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4)
    | ~ esk4750_4(X1,X2,X3,X4) )).

cnf(i_0_4609,axiom,
    ( ~ esk8506_4(X1,X2,X3,X4)
    | esk8504_4(X1,X2,X3,X4)
    | esk8505_4(X1,X2,X3,X4) )).

cnf(i_0_4610,axiom,
    ( esk4217_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4611,axiom,
    ( esk9168_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk1082_0
    | ~ p(X1) )).

cnf(i_0_4612,axiom,
    ( ~ esk5247_4(X1,X2,X3,X4)
    | esk5246_4(X1,X2,X3,X4) )).

cnf(i_0_4613,axiom,
    ( ~ p(X3)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X4)
    | esk219_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_4614,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk1096_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_4615,axiom,
    ( esk8975_4(X1,X2,X3,X4)
    | ~ esk8973_4(X1,X2,X3,X4) )).

cnf(i_0_4616,axiom,
    ( p(X3)
    | esk180_0
    | ~ p(X1)
    | ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_4617,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk242_0 )).

cnf(i_0_4618,axiom,
    ( esk5034_4(X1,X2,X3,X4)
    | ~ esk5035_4(X1,X2,X3,X4)
    | esk5033_4(X1,X2,X3,X4) )).

cnf(i_0_4619,axiom,
    ( esk3943_4(X1,X2,X3,X4)
    | ~ esk3945_4(X1,X2,X3,X4)
    | esk3944_4(X1,X2,X3,X4) )).

cnf(i_0_4620,axiom,
    ( esk7694_4(X1,X2,X3,X4)
    | ~ esk7940_4(X1,X2,X3,X4) )).

cnf(i_0_4621,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5501_4(X1,X2,X3,X4)
    | esk5504_4(X1,X2,X3,X4) )).

cnf(i_0_4622,axiom,
    ( ~ esk5059_4(X1,X2,X3,X4)
    | esk5061_4(X1,X2,X3,X4) )).

cnf(i_0_4623,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk8778_4(X1,X2,X3,X4)
    | ~ esk777_0 )).

cnf(i_0_4624,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8673_4(X1,X2,X3,X4) )).

cnf(i_0_4625,axiom,
    ( p(X1)
    | ~ esk2212_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X3)
    | esk1_0 )).

cnf(i_0_4626,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4734_4(X1,X2,X3,X4) )).

cnf(i_0_4627,axiom,
    ( ~ esk6721_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_4628,axiom,
    ( esk2109_4(X1,X2,X3,X4)
    | ~ esk2107_4(X1,X2,X3,X4) )).

cnf(i_0_4629,axiom,
    ( ~ esk9430_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_4630,axiom,
    ( esk4323_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4285_4(X1,X2,X3,X4) )).

cnf(i_0_4631,axiom,
    ( ~ esk6249_4(X1,X2,X3,X4)
    | esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_4632,axiom,
    ( ~ esk4602_4(X1,X2,X3,X4)
    | esk4603_4(X1,X2,X3,X4) )).

cnf(i_0_4633,axiom,
    ( ~ esk2081_4(X1,X2,X3,X4)
    | esk2083_4(X1,X2,X3,X4) )).

cnf(i_0_4634,axiom,
    ( ~ esk1704_4(X1,X2,X3,X4)
    | esk2934_4(X1,X2,X3,X4)
    | ~ esk2933_4(X1,X2,X3,X4) )).

cnf(i_0_4635,axiom,
    ( ~ esk9286_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_4636,axiom,
    ( ~ esk6845_4(X1,X2,X3,X4)
    | esk6846_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_4637,axiom,
    ( esk7793_4(X1,X2,X3,X4)
    | esk7794_4(X1,X2,X3,X4)
    | ~ esk7795_4(X1,X2,X3,X4) )).

cnf(i_0_4638,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk2799_4(X1,X2,X3,X4)
    | esk889_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4639,axiom,
    ( ~ esk8389_4(X1,X2,X3,X4)
    | esk8507_4(X1,X2,X3,X4)
    | esk8284_4(X1,X2,X3,X4) )).

cnf(i_0_4640,axiom,
    ( ~ esk96_0
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_4641,axiom,
    ( ~ p(X3)
    | esk2799_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk902_0 )).

cnf(i_0_4642,axiom,
    ( esk5950_4(X1,X2,X3,X4)
    | ~ esk5586_4(X1,X2,X3,X4) )).

cnf(i_0_4643,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ esk1637_4(X1,X2,X3,X4) )).

cnf(i_0_4644,axiom,
    ( esk2021_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_4645,axiom,
    ( esk8220_4(X1,X2,X3,X4)
    | ~ esk8218_4(X1,X2,X3,X4) )).

cnf(i_0_4646,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4282_4(X1,X2,X3,X4) )).

cnf(i_0_4647,axiom,
    ( ~ esk2190_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4)
    | esk2228_4(X1,X2,X3,X4) )).

cnf(i_0_4648,axiom,
    ( esk3102_4(X1,X2,X3,X4)
    | ~ esk2401_4(X1,X2,X3,X4) )).

cnf(i_0_4649,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4239_4(X1,X2,X3,X4)
    | esk4240_4(X1,X2,X3,X4) )).

cnf(i_0_4650,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk2232_4(X1,X2,X3,X4)
    | ~ esk2194_4(X1,X2,X3,X4) )).

cnf(i_0_4651,axiom,
    ( ~ esk8973_4(X1,X2,X3,X4)
    | esk8785_4(X1,X2,X3,X4) )).

cnf(i_0_4652,axiom,
    ( ~ esk4362_4(X1,X2,X3,X4)
    | esk4363_4(X1,X2,X3,X4) )).

cnf(i_0_4653,axiom,
    ( esk5055_4(X1,X2,X3,X4)
    | ~ esk3736_4(X1,X2,X3,X4) )).

cnf(i_0_4654,axiom,
    ( p(X3)
    | p(X2)
    | esk536_0
    | ~ p(X1)
    | ~ esk8617_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4655,axiom,
    ( ~ esk3380_4(X1,X2,X3,X4)
    | esk3382_4(X1,X2,X3,X4) )).

cnf(i_0_4656,axiom,
    ( esk8648_4(X1,X2,X3,X4)
    | ~ esk8649_4(X1,X2,X3,X4) )).

cnf(i_0_4657,axiom,
    ( ~ esk7695_4(X1,X2,X3,X4)
    | esk7737_4(X1,X2,X3,X4) )).

cnf(i_0_4658,axiom,
    ( ~ esk7513_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_4659,axiom,
    ( ~ esk4181_4(X1,X2,X3,X4)
    | esk4182_4(X1,X2,X3,X4) )).

cnf(i_0_4660,axiom,
    ( ~ esk2258_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_4661,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | esk2164_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_4662,axiom,
    ( ~ esk4800_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_4663,axiom,
    ( esk9376_4(X1,X2,X3,X4)
    | ~ esk9377_4(X1,X2,X3,X4) )).

cnf(i_0_4664,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5064_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_4665,axiom,
    ( ~ esk8176_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_4666,axiom,
    ( esk6866_4(X1,X2,X3,X4)
    | esk6867_4(X1,X2,X3,X4)
    | ~ esk6868_4(X1,X2,X3,X4) )).

cnf(i_0_4667,axiom,
    ( ~ esk7301_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk7302_4(X1,X2,X3,X4) )).

cnf(i_0_4668,axiom,
    ( esk4174_4(X1,X2,X3,X4)
    | ~ esk4172_4(X1,X2,X3,X4) )).

cnf(i_0_4669,axiom,
    ( ~ esk8438_4(X1,X2,X3,X4)
    | esk8440_4(X1,X2,X3,X4) )).

cnf(i_0_4670,axiom,
    ( esk2559_4(X1,X2,X3,X4)
    | ~ esk2560_4(X1,X2,X3,X4) )).

cnf(i_0_4671,axiom,
    ( esk7470_4(X1,X2,X3,X4)
    | ~ esk6625_4(X1,X2,X3,X4) )).

cnf(i_0_4672,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk591_0
    | p(X1) )).

cnf(i_0_4673,axiom,
    ( ~ esk4246_4(X1,X2,X3,X4)
    | ~ esk4321_4(X1,X2,X3,X4)
    | esk4322_4(X1,X2,X3,X4) )).

cnf(i_0_4674,axiom,
    ( ~ esk1687_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_4675,axiom,
    ( p(X3)
    | ~ esk821_0
    | ~ p(X1)
    | p(X2)
    | esk9085_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4676,axiom,
    ( esk3834_4(X1,X2,X3,X4)
    | ~ esk3832_4(X1,X2,X3,X4) )).

cnf(i_0_4677,axiom,
    ( esk2338_4(X1,X2,X3,X4)
    | ~ esk2337_4(X1,X2,X3,X4) )).

cnf(i_0_4678,axiom,
    ( esk3234_4(X1,X2,X3,X4)
    | ~ esk3232_4(X1,X2,X3,X4) )).

cnf(i_0_4679,axiom,
    ( ~ esk4542_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4)
    | ~ esk4015_4(X1,X2,X3,X4) )).

cnf(i_0_4680,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | esk2824_4(X1,X2,X3,X4)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_4681,axiom,
    ( esk8156_4(X1,X2,X3,X4)
    | ~ esk8169_4(X1,X2,X3,X4) )).

cnf(i_0_4682,axiom,
    ( p(X2)
    | p(X4)
    | esk2455_4(X1,X2,X3,X4)
    | ~ esk760_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4683,axiom,
    ( ~ p(X1)
    | ~ esk2878_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk1125_0 )).

cnf(i_0_4684,axiom,
    ( esk2700_4(X1,X2,X3,X4)
    | esk2701_4(X1,X2,X3,X4)
    | ~ esk2702_4(X1,X2,X3,X4) )).

cnf(i_0_4685,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk932_0
    | ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4686,axiom,
    ( esk5533_4(X1,X2,X3,X4)
    | ~ esk5532_4(X1,X2,X3,X4) )).

cnf(i_0_4687,axiom,
    ( esk8393_4(X1,X2,X3,X4)
    | ~ esk7654_4(X1,X2,X3,X4) )).

cnf(i_0_4688,axiom,
    ( ~ esk5138_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_4689,axiom,
    ( esk5573_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_4690,axiom,
    ( ~ esk3364_4(X1,X2,X3,X4)
    | esk2686_4(X1,X2,X3,X4) )).

cnf(i_0_4691,axiom,
    ( ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk1_0
    | ~ p(X2) )).

cnf(i_0_4692,axiom,
    ( ~ esk5425_4(X1,X2,X3,X4)
    | esk5424_4(X1,X2,X3,X4)
    | esk5423_4(X1,X2,X3,X4) )).

cnf(i_0_4693,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk8046_4(X1,X2,X3,X4)
    | esk172_0
    | p(X3) )).

cnf(i_0_4694,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8610_4(X1,X2,X3,X4)
    | ~ esk8579_4(X1,X2,X3,X4) )).

cnf(i_0_4695,axiom,
    ( esk7433_4(X1,X2,X3,X4)
    | ~ esk7434_4(X1,X2,X3,X4) )).

cnf(i_0_4696,axiom,
    ( ~ esk2572_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_4697,axiom,
    ( esk8300_4(X1,X2,X3,X4)
    | ~ esk8302_4(X1,X2,X3,X4)
    | esk8301_4(X1,X2,X3,X4) )).

cnf(i_0_4698,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk1049_0
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_4699,axiom,
    ( ~ esk7716_4(X1,X2,X3,X4)
    | esk8548_4(X1,X2,X3,X4) )).

cnf(i_0_4700,axiom,
    ( ~ esk9155_4(X1,X2,X3,X4)
    | ~ esk9284_4(X1,X2,X3,X4)
    | esk9285_4(X1,X2,X3,X4) )).

cnf(i_0_4701,axiom,
    ( ~ esk8451_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_4702,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | esk2425_4(X1,X2,X3,X4)
    | ~ esk603_0 )).

cnf(i_0_4703,axiom,
    ( esk4900_4(X1,X2,X3,X4)
    | ~ esk4652_4(X1,X2,X3,X4) )).

cnf(i_0_4704,axiom,
    ( ~ esk6040_4(X1,X2,X3,X4)
    | esk3940_4(X1,X2,X3,X4) )).

cnf(i_0_4705,axiom,
    ( ~ esk8976_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_4706,axiom,
    ( esk5057_4(X1,X2,X3,X4)
    | ~ esk3483_4(X1,X2,X3,X4) )).

cnf(i_0_4707,axiom,
    ( esk1652_4(X1,X2,X3,X4)
    | ~ esk1435_4(X1,X2,X3,X4) )).

cnf(i_0_4708,axiom,
    ( ~ esk4188_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_4709,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk8054_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk241_0
    | p(X3) )).

cnf(i_0_4710,axiom,
    ( ~ esk1729_4(X1,X2,X3,X4)
    | esk1728_4(X1,X2,X3,X4) )).

cnf(i_0_4711,axiom,
    ( ~ esk6429_4(X1,X2,X3,X4)
    | esk6431_4(X1,X2,X3,X4) )).

cnf(i_0_4712,axiom,
    ( ~ p(X1)
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | esk344_0
    | ~ p(X3) )).

cnf(i_0_4713,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8583_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_4714,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4219_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4715,axiom,
    ( ~ esk6817_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_4716,axiom,
    ( ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk870_0
    | ~ p(X2) )).

cnf(i_0_4717,axiom,
    ( esk6026_4(X1,X2,X3,X4)
    | ~ esk6587_4(X1,X2,X3,X4) )).

cnf(i_0_4718,axiom,
    ( ~ esk2155_4(X1,X2,X3,X4)
    | esk2153_4(X1,X2,X3,X4)
    | esk2154_4(X1,X2,X3,X4) )).

cnf(i_0_4719,axiom,
    ( esk1735_4(X1,X2,X3,X4)
    | ~ esk1734_4(X1,X2,X3,X4) )).

cnf(i_0_4720,axiom,
    ( ~ esk5191_4(X1,X2,X3,X4)
    | esk5190_4(X1,X2,X3,X4) )).

cnf(i_0_4721,axiom,
    ( esk1417_4(X1,X2,X3,X4)
    | ~ esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_4722,axiom,
    ( ~ esk8699_4(X1,X2,X3,X4)
    | esk8422_4(X1,X2,X3,X4) )).

cnf(i_0_4723,axiom,
    ( esk8728_4(X1,X2,X3,X4)
    | ~ esk9570_4(X1,X2,X3,X4)
    | esk9569_4(X1,X2,X3,X4) )).

cnf(i_0_4724,axiom,
    ( ~ esk7910_4(X1,X2,X3,X4)
    | esk7912_4(X1,X2,X3,X4) )).

cnf(i_0_4725,axiom,
    ( esk4697_4(X1,X2,X3,X4)
    | ~ esk4696_4(X1,X2,X3,X4) )).

cnf(i_0_4726,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8068_4(X1,X2,X3,X4) )).

cnf(i_0_4727,axiom,
    ( ~ esk6921_4(X1,X2,X3,X4)
    | esk6636_4(X1,X2,X3,X4) )).

cnf(i_0_4728,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | esk963_0
    | ~ esk9105_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4729,axiom,
    ( esk9694_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9691_4(X1,X2,X3,X4) )).

cnf(i_0_4730,axiom,
    ( esk8445_4(X1,X2,X3,X4)
    | ~ esk8446_4(X1,X2,X3,X4) )).

cnf(i_0_4731,axiom,
    ( ~ esk7739_4(X1,X2,X3,X4)
    | esk5639_4(X1,X2,X3,X4) )).

cnf(i_0_4732,axiom,
    ( esk1885_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk1884_4(X1,X2,X3,X4) )).

cnf(i_0_4733,axiom,
    ( esk5175_4(X1,X2,X3,X4)
    | ~ esk5174_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_4734,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9262_4(X1,X2,X3,X4) )).

cnf(i_0_4735,axiom,
    ( ~ p(X1)
    | esk1095_0
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_4736,axiom,
    ( ~ esk9683_4(X1,X2,X3,X4)
    | esk9682_4(X1,X2,X3,X4)
    | esk9681_4(X1,X2,X3,X4) )).

cnf(i_0_4737,axiom,
    ( ~ p(X1)
    | esk1842_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk268_0
    | p(X2) )).

cnf(i_0_4738,axiom,
    ( ~ esk6356_4(X1,X2,X3,X4)
    | esk6319_4(X1,X2,X3,X4) )).

cnf(i_0_4739,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | ~ esk1336_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_4740,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6233_4(X1,X2,X3,X4) )).

cnf(i_0_4741,axiom,
    ( esk2233_4(X1,X2,X3,X4)
    | ~ esk2231_4(X1,X2,X3,X4) )).

cnf(i_0_4742,axiom,
    ( esk4191_4(X1,X2,X3,X4)
    | esk4309_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_4743,axiom,
    ( esk4027_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_4744,axiom,
    ( esk5297_4(X1,X2,X3,X4)
    | ~ esk5295_4(X1,X2,X3,X4) )).

cnf(i_0_4745,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9053_4(X1,X2,X3,X4) )).

cnf(i_0_4746,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | esk7123_4(X1,X2,X3,X4)
    | ~ esk7128_4(X1,X2,X3,X4) )).

cnf(i_0_4747,axiom,
    ( esk6026_4(X1,X2,X3,X4)
    | ~ esk6024_4(X1,X2,X3,X4) )).

cnf(i_0_4748,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk1924_4(X1,X2,X3,X4) )).

cnf(i_0_4749,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4399_4(X1,X2,X3,X4) )).

cnf(i_0_4750,axiom,
    ( ~ esk2904_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_4751,axiom,
    ( p(X4)
    | p(X2)
    | esk8214_4(X1,X2,X3,X4)
    | ~ esk305_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_4752,axiom,
    ( esk1064_0
    | ~ p(X1)
    | p(X4)
    | ~ esk2870_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_4753,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | esk8352_4(X1,X2,X3,X4)
    | ~ esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_4754,axiom,
    ( ~ esk8061_4(X1,X2,X3,X4)
    | esk8060_4(X1,X2,X3,X4) )).

cnf(i_0_4755,axiom,
    ( esk4255_4(X1,X2,X3,X4)
    | ~ esk4256_4(X1,X2,X3,X4) )).

cnf(i_0_4756,axiom,
    ( esk1867_4(X1,X2,X3,X4)
    | ~ esk1845_4(X1,X2,X3,X4) )).

cnf(i_0_4757,axiom,
    ( ~ esk3297_4(X1,X2,X3,X4)
    | esk3298_4(X1,X2,X3,X4) )).

cnf(i_0_4758,axiom,
    ( esk9723_4(X1,X2,X3,X4)
    | ~ esk9721_4(X1,X2,X3,X4) )).

cnf(i_0_4759,axiom,
    ( ~ esk4770_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_4760,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1010_0
    | ~ p(X3)
    | esk9111_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4761,axiom,
    ( esk6995_4(X1,X2,X3,X4)
    | ~ esk6749_4(X1,X2,X3,X4) )).

cnf(i_0_4762,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | esk2894_4(X1,X2,X3,X4)
    | ~ esk1193_0
    | ~ p(X2) )).

cnf(i_0_4763,axiom,
    ( ~ p(X1)
    | ~ esk872_0
    | ~ p(X3)
    | ~ p(X2)
    | esk9091_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4764,axiom,
    ( ~ esk3354_4(X1,X2,X3,X4)
    | esk3357_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_4765,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk450_0
    | ~ p(X1) )).

cnf(i_0_4766,axiom,
    ( ~ esk1836_4(X1,X2,X3,X4)
    | ~ esk1682_4(X1,X2,X3,X4)
    | esk1839_4(X1,X2,X3,X4) )).

cnf(i_0_4767,axiom,
    ( ~ esk3196_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_4768,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk421_0
    | ~ esk8354_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_4769,axiom,
    ( ~ esk454_0
    | p(X1)
    | p(X4)
    | p(X2)
    | esk2095_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_4770,axiom,
    ( esk7389_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4771,axiom,
    ( ~ esk6453_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4772,axiom,
    ( ~ esk5424_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_4773,axiom,
    ( esk5694_4(X1,X2,X3,X4)
    | ~ esk5696_4(X1,X2,X3,X4)
    | esk5695_4(X1,X2,X3,X4) )).

cnf(i_0_4774,axiom,
    ( esk6760_4(X1,X2,X3,X4)
    | ~ esk6759_4(X1,X2,X3,X4) )).

cnf(i_0_4775,axiom,
    ( ~ esk3310_4(X1,X2,X3,X4)
    | ~ esk2740_4(X1,X2,X3,X4)
    | esk2741_4(X1,X2,X3,X4) )).

cnf(i_0_4776,axiom,
    ( ~ esk3927_4(X1,X2,X3,X4)
    | esk3925_4(X1,X2,X3,X4)
    | esk3926_4(X1,X2,X3,X4) )).

cnf(i_0_4777,axiom,
    ( esk9509_4(X1,X2,X3,X4)
    | ~ esk9508_4(X1,X2,X3,X4)
    | ~ esk9479_4(X1,X2,X3,X4) )).

cnf(i_0_4778,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9628_4(X1,X2,X3,X4) )).

cnf(i_0_4779,axiom,
    ( esk5433_4(X1,X2,X3,X4)
    | ~ esk5431_4(X1,X2,X3,X4) )).

cnf(i_0_4780,axiom,
    ( esk5487_4(X1,X2,X3,X4)
    | ~ esk5486_4(X1,X2,X3,X4)
    | ~ esk4797_4(X1,X2,X3,X4) )).

cnf(i_0_4781,axiom,
    ( esk8125_4(X1,X2,X3,X4)
    | ~ esk8123_4(X1,X2,X3,X4) )).

cnf(i_0_4782,axiom,
    ( esk2673_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_4783,axiom,
    ( ~ esk3229_4(X1,X2,X3,X4)
    | esk3230_4(X1,X2,X3,X4) )).

cnf(i_0_4784,axiom,
    ( ~ esk6830_4(X1,X2,X3,X4)
    | esk6832_4(X1,X2,X3,X4) )).

cnf(i_0_4785,axiom,
    ( ~ esk1686_4(X1,X2,X3,X4)
    | esk2511_4(X1,X2,X3,X4)
    | ~ esk2577_4(X1,X2,X3,X4) )).

cnf(i_0_4786,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk9097_4(X1,X2,X3,X4)
    | ~ esk909_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4787,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2782_4(X1,X2,X3,X4) )).

cnf(i_0_4788,axiom,
    ( ~ esk1688_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4789,axiom,
    ( esk2327_4(X1,X2,X3,X4)
    | ~ esk2328_4(X1,X2,X3,X4) )).

cnf(i_0_4790,axiom,
    ( ~ p(X1)
    | ~ esk1034_0
    | p(X3)
    | p(X4)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_4791,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk2665_4(X1,X2,X3,X4) )).

cnf(i_0_4792,axiom,
    ( ~ esk1_0
    | p(X3)
    | esk1444_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_4793,axiom,
    ( esk3447_4(X1,X2,X3,X4)
    | ~ esk2916_4(X1,X2,X3,X4) )).

cnf(i_0_4794,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8091_4(X1,X2,X3,X4) )).

cnf(i_0_4795,axiom,
    ( esk4615_4(X1,X2,X3,X4)
    | ~ esk4614_4(X1,X2,X3,X4) )).

cnf(i_0_4796,axiom,
    ( ~ esk4351_4(X1,X2,X3,X4)
    | esk3476_4(X1,X2,X3,X4) )).

cnf(i_0_4797,axiom,
    ( ~ esk2445_4(X1,X2,X3,X4)
    | esk2444_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_4798,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1803_4(X1,X2,X3,X4) )).

cnf(i_0_4799,axiom,
    ( esk4387_4(X1,X2,X3,X4)
    | ~ esk6487_4(X1,X2,X3,X4) )).

cnf(i_0_4800,axiom,
    ( ~ esk4502_4(X1,X2,X3,X4)
    | esk4501_4(X1,X2,X3,X4)
    | esk4500_4(X1,X2,X3,X4) )).

cnf(i_0_4801,axiom,
    ( p(X3)
    | p(X1)
    | esk9204_4(X1,X2,X3,X4)
    | ~ esk1219_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_4802,axiom,
    ( ~ esk9579_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_4803,axiom,
    ( esk7515_4(X1,X2,X3,X4)
    | esk7514_4(X1,X2,X3,X4)
    | ~ esk7516_4(X1,X2,X3,X4) )).

cnf(i_0_4804,axiom,
    ( ~ esk4344_4(X1,X2,X3,X4)
    | ~ esk3472_4(X1,X2,X3,X4) )).

cnf(i_0_4805,axiom,
    ( ~ esk9303_4(X1,X2,X3,X4)
    | esk9302_4(X1,X2,X3,X4)
    | esk9301_4(X1,X2,X3,X4) )).

cnf(i_0_4806,axiom,
    ( esk2407_4(X1,X2,X3,X4)
    | ~ esk2432_4(X1,X2,X3,X4) )).

cnf(i_0_4807,axiom,
    ( ~ esk8633_4(X1,X2,X3,X4)
    | esk8632_4(X1,X2,X3,X4) )).

cnf(i_0_4808,axiom,
    ( esk4873_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_4809,axiom,
    ( esk7616_4(X1,X2,X3,X4)
    | ~ esk7619_4(X1,X2,X3,X4) )).

cnf(i_0_4810,axiom,
    ( esk3649_4(X1,X2,X3,X4)
    | ~ esk3650_4(X1,X2,X3,X4)
    | esk3648_4(X1,X2,X3,X4) )).

cnf(i_0_4811,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2437_4(X1,X2,X3,X4)
    | esk698_0 )).

cnf(i_0_4812,axiom,
    ( esk6598_4(X1,X2,X3,X4)
    | ~ esk6599_4(X1,X2,X3,X4) )).

cnf(i_0_4813,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7621_4(X1,X2,X3,X4) )).

cnf(i_0_4814,axiom,
    ( esk7338_4(X1,X2,X3,X4)
    | ~ esk7337_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_4815,axiom,
    ( esk7770_4(X1,X2,X3,X4)
    | ~ esk7969_4(X1,X2,X3,X4) )).

cnf(i_0_4816,axiom,
    ( ~ esk8461_4(X1,X2,X3,X4)
    | esk8424_4(X1,X2,X3,X4)
    | esk8462_4(X1,X2,X3,X4) )).

cnf(i_0_4817,axiom,
    ( ~ esk4515_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4) )).

cnf(i_0_4818,axiom,
    ( esk2736_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_4819,axiom,
    ( esk3941_4(X1,X2,X3,X4)
    | esk3779_4(X1,X2,X3,X4)
    | ~ esk3950_4(X1,X2,X3,X4) )).

cnf(i_0_4820,axiom,
    ( ~ esk6977_4(X1,X2,X3,X4)
    | esk7008_4(X1,X2,X3,X4) )).

cnf(i_0_4821,axiom,
    ( ~ esk5970_4(X1,X2,X3,X4)
    | esk5968_4(X1,X2,X3,X4)
    | esk5969_4(X1,X2,X3,X4) )).

cnf(i_0_4822,axiom,
    ( ~ esk4145_4(X1,X2,X3,X4)
    | esk4092_4(X1,X2,X3,X4) )).

cnf(i_0_4823,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1100_0 )).

cnf(i_0_4824,axiom,
    ( ~ esk4409_4(X1,X2,X3,X4)
    | esk4375_4(X1,X2,X3,X4) )).

cnf(i_0_4825,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1754_4(X1,X2,X3,X4)
    | ~ esk211_0 )).

cnf(i_0_4826,axiom,
    ( ~ esk1_0
    | esk7734_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_4827,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | esk779_0
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_4828,axiom,
    ( esk4503_4(X1,X2,X3,X4)
    | ~ esk4504_4(X1,X2,X3,X4) )).

cnf(i_0_4829,axiom,
    ( esk4483_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_4830,axiom,
    ( esk3653_4(X1,X2,X3,X4)
    | ~ esk3654_4(X1,X2,X3,X4)
    | esk3652_4(X1,X2,X3,X4) )).

cnf(i_0_4831,axiom,
    ( ~ esk8013_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_4832,axiom,
    ( esk7949_4(X1,X2,X3,X4)
    | ~ esk7732_4(X1,X2,X3,X4) )).

cnf(i_0_4833,axiom,
    ( ~ esk6340_4(X1,X2,X3,X4)
    | esk6341_4(X1,X2,X3,X4) )).

cnf(i_0_4834,axiom,
    ( ~ esk6472_4(X1,X2,X3,X4)
    | esk6396_4(X1,X2,X3,X4) )).

cnf(i_0_4835,axiom,
    ( ~ esk8965_4(X1,X2,X3,X4)
    | esk8783_4(X1,X2,X3,X4) )).

cnf(i_0_4836,axiom,
    ( ~ esk6259_4(X1,X2,X3,X4)
    | esk5613_4(X1,X2,X3,X4) )).

cnf(i_0_4837,axiom,
    ( esk3991_4(X1,X2,X3,X4)
    | ~ esk4025_4(X1,X2,X3,X4) )).

cnf(i_0_4838,axiom,
    ( esk4332_4(X1,X2,X3,X4)
    | ~ esk4036_4(X1,X2,X3,X4) )).

cnf(i_0_4839,axiom,
    ( ~ esk6999_4(X1,X2,X3,X4)
    | esk4899_4(X1,X2,X3,X4) )).

cnf(i_0_4840,axiom,
    ( esk3106_4(X1,X2,X3,X4)
    | ~ esk3109_4(X1,X2,X3,X4) )).

cnf(i_0_4841,axiom,
    ( ~ esk6614_4(X1,X2,X3,X4)
    | esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_4842,axiom,
    ( ~ esk5160_4(X1,X2,X3,X4)
    | esk5161_4(X1,X2,X3,X4) )).

cnf(i_0_4843,axiom,
    ( esk3848_4(X1,X2,X3,X4)
    | ~ esk5948_4(X1,X2,X3,X4) )).

cnf(i_0_4844,axiom,
    ( ~ esk5537_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_4845,axiom,
    ( esk9409_4(X1,X2,X3,X4)
    | ~ esk9408_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_4846,axiom,
    ( ~ esk1372_4(X1,X2,X3,X4)
    | esk1524_4(X1,X2,X3,X4) )).

cnf(i_0_4847,axiom,
    ( esk7178_4(X1,X2,X3,X4)
    | ~ esk7180_4(X1,X2,X3,X4)
    | esk7179_4(X1,X2,X3,X4) )).

cnf(i_0_4848,axiom,
    ( esk2014_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4849,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | esk670_0
    | ~ esk2433_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4850,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2663_4(X1,X2,X3,X4) )).

cnf(i_0_4851,axiom,
    ( ~ esk6229_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_4852,axiom,
    ( ~ esk1776_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk1_0
    | p(X4) )).

cnf(i_0_4853,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3201_4(X1,X2,X3,X4) )).

cnf(i_0_4854,axiom,
    ( esk7063_4(X1,X2,X3,X4)
    | ~ esk6031_4(X1,X2,X3,X4)
    | esk5974_4(X1,X2,X3,X4) )).

cnf(i_0_4855,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1279_0
    | p(X3)
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_4856,axiom,
    ( esk1169_0
    | p(X2)
    | ~ p(X1)
    | ~ esk9182_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4857,axiom,
    ( ~ esk5504_4(X1,X2,X3,X4)
    | esk5505_4(X1,X2,X3,X4) )).

cnf(i_0_4858,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9261_4(X1,X2,X3,X4) )).

cnf(i_0_4859,axiom,
    ( ~ esk3368_4(X1,X2,X3,X4)
    | esk3367_4(X1,X2,X3,X4) )).

cnf(i_0_4860,axiom,
    ( ~ esk4192_4(X1,X2,X3,X4)
    | esk4230_4(X1,X2,X3,X4)
    | ~ esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_4861,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | esk5776_4(X1,X2,X3,X4)
    | ~ esk5684_4(X1,X2,X3,X4) )).

cnf(i_0_4862,axiom,
    ( esk2367_4(X1,X2,X3,X4)
    | esk2437_4(X1,X2,X3,X4)
    | ~ esk3271_4(X1,X2,X3,X4) )).

cnf(i_0_4863,axiom,
    ( esk9199_4(X1,X2,X3,X4)
    | ~ esk9198_4(X1,X2,X3,X4) )).

cnf(i_0_4864,axiom,
    ( esk6389_4(X1,X2,X3,X4)
    | ~ esk6390_4(X1,X2,X3,X4) )).

cnf(i_0_4865,axiom,
    ( p(X2)
    | esk1068_0
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_4866,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5344_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4867,axiom,
    ( esk8561_4(X1,X2,X3,X4)
    | ~ esk8559_4(X1,X2,X3,X4) )).

cnf(i_0_4868,axiom,
    ( esk8951_4(X1,X2,X3,X4)
    | ~ esk8871_4(X1,X2,X3,X4) )).

cnf(i_0_4869,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8628_4(X1,X2,X3,X4)
    | esk8629_4(X1,X2,X3,X4) )).

cnf(i_0_4870,axiom,
    ( ~ esk4688_4(X1,X2,X3,X4)
    | esk5401_4(X1,X2,X3,X4) )).

cnf(i_0_4871,axiom,
    ( ~ esk7041_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_4872,axiom,
    ( esk8291_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk381_0
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_4873,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | ~ esk1497_4(X1,X2,X3,X4) )).

cnf(i_0_4874,axiom,
    ( ~ esk8749_4(X1,X2,X3,X4)
    | esk748_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_4875,axiom,
    ( ~ p(X1)
    | ~ esk1758_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk238_0 )).

cnf(i_0_4876,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5356_4(X1,X2,X3,X4) )).

cnf(i_0_4877,axiom,
    ( p(X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1004_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_4878,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk8156_4(X1,X2,X3,X4)
    | ~ esk274_0
    | p(X2)
    | p(X1) )).

cnf(i_0_4879,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk1947_4(X1,X2,X3,X4)
    | esk2374_4(X1,X2,X3,X4) )).

cnf(i_0_4880,axiom,
    ( ~ esk6293_4(X1,X2,X3,X4)
    | ~ esk6282_4(X1,X2,X3,X4)
    | esk6517_4(X1,X2,X3,X4) )).

cnf(i_0_4881,axiom,
    ( esk9065_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_4882,axiom,
    ( esk1363_4(X1,X2,X3,X4)
    | ~ esk1834_4(X1,X2,X3,X4) )).

cnf(i_0_4883,axiom,
    ( ~ esk9346_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_4884,axiom,
    ( ~ esk3003_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_4885,axiom,
    ( ~ esk7991_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_4886,axiom,
    ( ~ esk6402_4(X1,X2,X3,X4)
    | ~ esk6623_4(X1,X2,X3,X4)
    | esk6438_4(X1,X2,X3,X4) )).

cnf(i_0_4887,axiom,
    ( esk2480_4(X1,X2,X3,X4)
    | ~ esk2503_4(X1,X2,X3,X4) )).

cnf(i_0_4888,axiom,
    ( p(X4)
    | esk1322_0
    | ~ p(X1)
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_4889,axiom,
    ( ~ esk3599_4(X1,X2,X3,X4)
    | esk3598_4(X1,X2,X3,X4) )).

cnf(i_0_4890,axiom,
    ( ~ esk4827_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_4891,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3007_4(X1,X2,X3,X4) )).

cnf(i_0_4892,axiom,
    ( ~ esk8011_4(X1,X2,X3,X4)
    | esk9249_4(X1,X2,X3,X4) )).

cnf(i_0_4893,axiom,
    ( esk9463_4(X1,X2,X3,X4)
    | ~ esk9462_4(X1,X2,X3,X4) )).

cnf(i_0_4894,axiom,
    ( ~ p(X1)
    | esk9081_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk795_0
    | p(X3)
    | p(X4) )).

cnf(i_0_4895,axiom,
    ( ~ esk7947_4(X1,X2,X3,X4)
    | esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_4896,axiom,
    ( ~ esk7555_4(X1,X2,X3,X4)
    | esk7556_4(X1,X2,X3,X4) )).

cnf(i_0_4897,axiom,
    ( esk7441_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_4898,axiom,
    ( esk8541_4(X1,X2,X3,X4)
    | ~ esk8425_4(X1,X2,X3,X4) )).

cnf(i_0_4899,axiom,
    ( esk9554_4(X1,X2,X3,X4)
    | esk9553_4(X1,X2,X3,X4)
    | ~ esk9555_4(X1,X2,X3,X4) )).

cnf(i_0_4900,axiom,
    ( esk6767_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_4901,axiom,
    ( ~ esk5012_4(X1,X2,X3,X4)
    | esk3714_4(X1,X2,X3,X4) )).

cnf(i_0_4902,axiom,
    ( ~ esk3621_4(X1,X2,X3,X4)
    | ~ esk3620_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_4903,axiom,
    ( ~ esk6047_4(X1,X2,X3,X4)
    | esk6011_4(X1,X2,X3,X4) )).

cnf(i_0_4904,axiom,
    ( esk431_0
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk8357_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_4905,axiom,
    ( esk6728_4(X1,X2,X3,X4)
    | ~ esk6730_4(X1,X2,X3,X4)
    | esk6729_4(X1,X2,X3,X4) )).

cnf(i_0_4906,axiom,
    ( p(X1)
    | p(X3)
    | esk9176_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1133_0 )).

cnf(i_0_4907,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9049_4(X1,X2,X3,X4) )).

cnf(i_0_4908,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X2)
    | esk155_0
    | ~ esk8044_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4909,axiom,
    ( esk4408_4(X1,X2,X3,X4)
    | esk4409_4(X1,X2,X3,X4)
    | ~ esk4410_4(X1,X2,X3,X4) )).

cnf(i_0_4910,axiom,
    ( esk5687_4(X1,X2,X3,X4)
    | esk5686_4(X1,X2,X3,X4)
    | ~ esk5688_4(X1,X2,X3,X4) )).

cnf(i_0_4911,axiom,
    ( ~ esk4642_4(X1,X2,X3,X4)
    | esk4644_4(X1,X2,X3,X4) )).

cnf(i_0_4912,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5160_4(X1,X2,X3,X4) )).

cnf(i_0_4913,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9378_4(X1,X2,X3,X4) )).

cnf(i_0_4914,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6235_4(X1,X2,X3,X4) )).

cnf(i_0_4915,axiom,
    ( esk8775_4(X1,X2,X3,X4)
    | ~ esk8774_4(X1,X2,X3,X4) )).

cnf(i_0_4916,axiom,
    ( ~ esk9097_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_4917,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4066_4(X1,X2,X3,X4) )).

cnf(i_0_4918,axiom,
    ( ~ esk2246_4(X1,X2,X3,X4)
    | esk2245_4(X1,X2,X3,X4) )).

cnf(i_0_4919,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk962_0
    | ~ p(X1) )).

cnf(i_0_4920,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk751_0
    | p(X3)
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_4921,axiom,
    ( ~ esk4568_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_4922,axiom,
    ( ~ esk6547_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_4923,axiom,
    ( ~ esk5963_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk5964_4(X1,X2,X3,X4) )).

cnf(i_0_4924,axiom,
    ( esk8834_4(X1,X2,X3,X4)
    | ~ esk8833_4(X1,X2,X3,X4) )).

cnf(i_0_4925,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2981_4(X1,X2,X3,X4) )).

cnf(i_0_4926,axiom,
    ( ~ esk1756_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | esk224_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_4927,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk2815_4(X1,X2,X3,X4)
    | esk1011_0
    | p(X4) )).

cnf(i_0_4928,axiom,
    ( ~ esk6417_4(X1,X2,X3,X4)
    | esk6419_4(X1,X2,X3,X4) )).

cnf(i_0_4929,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk167_0
    | p(X4)
    | ~ esk8044_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_4930,axiom,
    ( ~ esk9565_4(X1,X2,X3,X4)
    | esk9564_4(X1,X2,X3,X4) )).

cnf(i_0_4931,axiom,
    ( esk7456_4(X1,X2,X3,X4)
    | ~ esk7454_4(X1,X2,X3,X4) )).

cnf(i_0_4932,axiom,
    ( ~ esk5272_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_4933,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5697_4(X1,X2,X3,X4) )).

cnf(i_0_4934,axiom,
    ( esk9457_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9456_4(X1,X2,X3,X4) )).

cnf(i_0_4935,axiom,
    ( esk6359_4(X1,X2,X3,X4)
    | ~ esk6361_4(X1,X2,X3,X4)
    | esk6360_4(X1,X2,X3,X4)
    | esk6358_4(X1,X2,X3,X4) )).

cnf(i_0_4936,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk965_0 )).

cnf(i_0_4937,axiom,
    ( esk3654_4(X1,X2,X3,X4)
    | ~ esk3652_4(X1,X2,X3,X4) )).

cnf(i_0_4938,axiom,
    ( ~ esk1787_4(X1,X2,X3,X4)
    | esk1788_4(X1,X2,X3,X4) )).

cnf(i_0_4939,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk986_0
    | p(X2)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_4940,axiom,
    ( ~ esk2161_4(X1,X2,X3,X4)
    | esk2127_4(X1,X2,X3,X4) )).

cnf(i_0_4941,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk9238_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1300_0 )).

cnf(i_0_4942,axiom,
    ( esk9283_4(X1,X2,X3,X4)
    | ~ esk9282_4(X1,X2,X3,X4) )).

cnf(i_0_4943,axiom,
    ( ~ esk2935_4(X1,X2,X3,X4)
    | esk2936_4(X1,X2,X3,X4) )).

cnf(i_0_4944,axiom,
    ( ~ esk91_0
    | ~ p(X4)
    | ~ p(X1)
    | esk7812_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_4945,axiom,
    ( p(X1)
    | esk335_0
    | ~ esk1955_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_4946,axiom,
    ( ~ esk7021_4(X1,X2,X3,X4)
    | esk7033_4(X1,X2,X3,X4)
    | ~ esk6917_4(X1,X2,X3,X4) )).

cnf(i_0_4947,axiom,
    ( ~ esk9566_4(X1,X2,X3,X4)
    | esk9567_4(X1,X2,X3,X4) )).

cnf(i_0_4948,axiom,
    ( ~ esk7806_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_4949,axiom,
    ( esk6449_4(X1,X2,X3,X4)
    | ~ esk4349_4(X1,X2,X3,X4) )).

cnf(i_0_4950,axiom,
    ( esk8830_4(X1,X2,X3,X4)
    | ~ esk8288_4(X1,X2,X3,X4) )).

cnf(i_0_4951,axiom,
    ( esk6649_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4)
    | esk7640_4(X1,X2,X3,X4) )).

cnf(i_0_4952,axiom,
    ( esk6750_4(X1,X2,X3,X4)
    | ~ esk6799_4(X1,X2,X3,X4) )).

cnf(i_0_4953,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk1130_0
    | esk9176_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4954,axiom,
    ( esk2022_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk403_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_4955,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1495_4(X1,X2,X3,X4) )).

cnf(i_0_4956,axiom,
    ( ~ esk8621_4(X1,X2,X3,X4)
    | esk8623_4(X1,X2,X3,X4) )).

cnf(i_0_4957,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | esk3621_4(X1,X2,X3,X4)
    | ~ esk3620_4(X1,X2,X3,X4) )).

cnf(i_0_4958,axiom,
    ( ~ p(X1)
    | esk286_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1860_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_4959,axiom,
    ( ~ esk8415_4(X1,X2,X3,X4)
    | esk8416_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_4960,axiom,
    ( ~ esk6957_4(X1,X2,X3,X4)
    | esk6998_4(X1,X2,X3,X4) )).

cnf(i_0_4961,axiom,
    ( esk1783_4(X1,X2,X3,X4)
    | ~ esk1784_4(X1,X2,X3,X4)
    | esk1782_4(X1,X2,X3,X4) )).

cnf(i_0_4962,axiom,
    ( esk9288_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_4963,axiom,
    ( esk3023_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_4964,axiom,
    ( esk9488_4(X1,X2,X3,X4)
    | ~ esk9489_4(X1,X2,X3,X4) )).

cnf(i_0_4965,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7505_4(X1,X2,X3,X4) )).

cnf(i_0_4966,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk5042_4(X1,X2,X3,X4) )).

cnf(i_0_4967,axiom,
    ( esk4147_4(X1,X2,X3,X4)
    | ~ esk4145_4(X1,X2,X3,X4) )).

cnf(i_0_4968,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk965_0
    | ~ p(X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_4969,axiom,
    ( esk2373_4(X1,X2,X3,X4)
    | ~ esk2372_4(X1,X2,X3,X4)
    | ~ esk2229_4(X1,X2,X3,X4) )).

cnf(i_0_4970,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2396_4(X1,X2,X3,X4) )).

cnf(i_0_4971,axiom,
    ( ~ p(X2)
    | esk8719_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk594_0
    | p(X4) )).

cnf(i_0_4972,axiom,
    ( ~ esk3614_4(X1,X2,X3,X4)
    | esk3545_4(X1,X2,X3,X4) )).

cnf(i_0_4973,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1_0
    | esk9174_4(X1,X2,X3,X4) )).

cnf(i_0_4974,axiom,
    ( ~ esk6204_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_4975,axiom,
    ( p(X4)
    | ~ esk2427_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk623_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_4976,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | esk1083_0
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_4977,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4621_4(X1,X2,X3,X4) )).

cnf(i_0_4978,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4520_4(X1,X2,X3,X4)
    | ~ esk4415_4(X1,X2,X3,X4) )).

cnf(i_0_4979,axiom,
    ( ~ p(X4)
    | esk1185_0
    | ~ p(X1)
    | ~ esk2890_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_4980,axiom,
    ( ~ esk3973_4(X1,X2,X3,X4)
    | esk4078_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_4981,axiom,
    ( ~ esk7273_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7274_4(X1,X2,X3,X4) )).

cnf(i_0_4982,axiom,
    ( p(X1)
    | esk9095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk890_0 )).

cnf(i_0_4983,axiom,
    ( esk3376_4(X1,X2,X3,X4)
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ esk3375_4(X1,X2,X3,X4) )).

cnf(i_0_4984,axiom,
    ( ~ esk4055_4(X1,X2,X3,X4)
    | esk3460_4(X1,X2,X3,X4) )).

cnf(i_0_4985,axiom,
    ( esk7428_4(X1,X2,X3,X4)
    | ~ esk7426_4(X1,X2,X3,X4) )).

cnf(i_0_4986,axiom,
    ( esk8412_4(X1,X2,X3,X4)
    | ~ esk8275_4(X1,X2,X3,X4)
    | ~ esk8411_4(X1,X2,X3,X4) )).

cnf(i_0_4987,axiom,
    ( esk3382_4(X1,X2,X3,X4)
    | ~ esk3381_4(X1,X2,X3,X4) )).

cnf(i_0_4988,axiom,
    ( esk4790_4(X1,X2,X3,X4)
    | ~ esk4791_4(X1,X2,X3,X4) )).

cnf(i_0_4989,axiom,
    ( p(X4)
    | esk9103_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk950_0 )).

cnf(i_0_4990,axiom,
    ( esk2278_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2243_4(X1,X2,X3,X4) )).

cnf(i_0_4991,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | esk477_0
    | ~ esk2173_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_4992,axiom,
    ( ~ esk7032_4(X1,X2,X3,X4)
    | esk7034_4(X1,X2,X3,X4) )).

cnf(i_0_4993,axiom,
    ( esk4086_4(X1,X2,X3,X4)
    | ~ esk1986_4(X1,X2,X3,X4) )).

cnf(i_0_4994,axiom,
    ( ~ esk6857_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_4995,axiom,
    ( ~ esk538_0
    | esk8617_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_4996,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6385_4(X1,X2,X3,X4) )).

cnf(i_0_4997,axiom,
    ( esk6850_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6849_4(X1,X2,X3,X4) )).

cnf(i_0_4998,axiom,
    ( ~ p(X4)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk714_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_4999,axiom,
    ( esk9038_4(X1,X2,X3,X4)
    | ~ esk9040_4(X1,X2,X3,X4)
    | esk9039_4(X1,X2,X3,X4) )).

cnf(i_0_5000,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3033_4(X1,X2,X3,X4) )).

cnf(i_0_5001,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk8214_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk312_0 )).

cnf(i_0_5002,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | esk2803_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk919_0 )).

cnf(i_0_5003,axiom,
    ( esk4427_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4426_4(X1,X2,X3,X4) )).

cnf(i_0_5004,axiom,
    ( ~ esk7059_4(X1,X2,X3,X4)
    | esk7060_4(X1,X2,X3,X4) )).

cnf(i_0_5005,axiom,
    ( ~ esk5898_4(X1,X2,X3,X4)
    | esk5722_4(X1,X2,X3,X4) )).

cnf(i_0_5006,axiom,
    ( ~ esk3998_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5007,axiom,
    ( p(X1)
    | esk396_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_5008,axiom,
    ( ~ p(X2)
    | ~ esk367_0
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_5009,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk779_0
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_5010,axiom,
    ( ~ esk5932_4(X1,X2,X3,X4)
    | esk5933_4(X1,X2,X3,X4) )).

cnf(i_0_5011,axiom,
    ( ~ esk5066_4(X1,X2,X3,X4)
    | esk5067_4(X1,X2,X3,X4)
    | ~ esk5061_4(X1,X2,X3,X4) )).

cnf(i_0_5012,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9426_4(X1,X2,X3,X4) )).

cnf(i_0_5013,axiom,
    ( ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk594_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_5014,axiom,
    ( ~ p(X3)
    | ~ esk1643_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | esk117_0 )).

cnf(i_0_5015,axiom,
    ( esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5016,axiom,
    ( ~ esk1360_4(X1,X2,X3,X4)
    | esk1530_4(X1,X2,X3,X4) )).

cnf(i_0_5017,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk713_0 )).

cnf(i_0_5018,axiom,
    ( ~ esk4745_4(X1,X2,X3,X4)
    | esk5508_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_5019,axiom,
    ( esk5257_4(X1,X2,X3,X4)
    | ~ esk4504_4(X1,X2,X3,X4) )).

cnf(i_0_5020,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk1284_0
    | p(X1)
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5021,axiom,
    ( ~ esk3407_4(X1,X2,X3,X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | esk3408_4(X1,X2,X3,X4) )).

cnf(i_0_5022,axiom,
    ( esk2120_4(X1,X2,X3,X4)
    | ~ esk2121_4(X1,X2,X3,X4)
    | esk2119_4(X1,X2,X3,X4) )).

cnf(i_0_5023,axiom,
    ( esk9518_4(X1,X2,X3,X4)
    | esk9517_4(X1,X2,X3,X4)
    | ~ esk9519_4(X1,X2,X3,X4) )).

cnf(i_0_5024,axiom,
    ( esk8059_4(X1,X2,X3,X4)
    | ~ esk9255_4(X1,X2,X3,X4)
    | ~ esk8058_4(X1,X2,X3,X4) )).

cnf(i_0_5025,axiom,
    ( ~ esk5439_4(X1,X2,X3,X4)
    | esk4773_4(X1,X2,X3,X4) )).

cnf(i_0_5026,axiom,
    ( ~ esk9602_4(X1,X2,X3,X4)
    | esk9603_4(X1,X2,X3,X4) )).

cnf(i_0_5027,axiom,
    ( ~ esk8099_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_5028,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3259_4(X1,X2,X3,X4) )).

cnf(i_0_5029,axiom,
    ( ~ esk4854_4(X1,X2,X3,X4)
    | esk4897_4(X1,X2,X3,X4) )).

cnf(i_0_5030,axiom,
    ( esk7829_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_5031,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk800_0
    | ~ esk2787_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_5032,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8511_4(X1,X2,X3,X4) )).

cnf(i_0_5033,axiom,
    ( ~ esk2012_4(X1,X2,X3,X4)
    | esk2013_4(X1,X2,X3,X4) )).

cnf(i_0_5034,axiom,
    ( ~ esk3618_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4) )).

cnf(i_0_5035,axiom,
    ( ~ esk4840_4(X1,X2,X3,X4)
    | esk4839_4(X1,X2,X3,X4) )).

cnf(i_0_5036,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk6010_4(X1,X2,X3,X4) )).

cnf(i_0_5037,axiom,
    ( esk8205_4(X1,X2,X3,X4)
    | ~ esk8273_4(X1,X2,X3,X4) )).

cnf(i_0_5038,axiom,
    ( esk5689_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_5039,axiom,
    ( esk1691_4(X1,X2,X3,X4)
    | ~ esk1726_4(X1,X2,X3,X4) )).

cnf(i_0_5040,axiom,
    ( esk2212_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk491_0
    | ~ p(X4) )).

cnf(i_0_5041,axiom,
    ( esk704_0
    | p(X2)
    | ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_5042,axiom,
    ( esk3697_4(X1,X2,X3,X4)
    | ~ esk3605_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_5043,axiom,
    ( ~ esk3168_4(X1,X2,X3,X4)
    | esk3167_4(X1,X2,X3,X4) )).

cnf(i_0_5044,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9336_4(X1,X2,X3,X4) )).

cnf(i_0_5045,axiom,
    ( esk9130_4(X1,X2,X3,X4)
    | esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_5046,axiom,
    ( ~ esk1235_0
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | esk9210_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_5047,axiom,
    ( esk1461_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_5048,axiom,
    ( ~ esk8865_4(X1,X2,X3,X4)
    | esk8867_4(X1,X2,X3,X4) )).

cnf(i_0_5049,axiom,
    ( ~ esk7539_4(X1,X2,X3,X4)
    | esk7540_4(X1,X2,X3,X4) )).

cnf(i_0_5050,axiom,
    ( esk523_0
    | ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_5051,axiom,
    ( ~ esk5471_4(X1,X2,X3,X4)
    | esk5470_4(X1,X2,X3,X4) )).

cnf(i_0_5052,axiom,
    ( ~ esk1_0
    | p(X4)
    | p(X3)
    | esk1440_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_5053,axiom,
    ( ~ esk9216_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | esk9157_4(X1,X2,X3,X4) )).

cnf(i_0_5054,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5914_4(X1,X2,X3,X4) )).

cnf(i_0_5055,axiom,
    ( ~ esk2774_4(X1,X2,X3,X4)
    | esk2775_4(X1,X2,X3,X4) )).

cnf(i_0_5056,axiom,
    ( p(X4)
    | esk8721_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk617_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_5057,axiom,
    ( ~ esk8404_4(X1,X2,X3,X4)
    | esk8406_4(X1,X2,X3,X4) )).

cnf(i_0_5058,axiom,
    ( esk794_0
    | ~ p(X2)
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5059,axiom,
    ( p(X2)
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk875_0
    | p(X1)
    | p(X4) )).

cnf(i_0_5060,axiom,
    ( ~ esk7494_4(X1,X2,X3,X4)
    | esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_5061,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk3280_4(X1,X2,X3,X4) )).

cnf(i_0_5062,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4522_4(X1,X2,X3,X4)
    | ~ esk4380_4(X1,X2,X3,X4) )).

cnf(i_0_5063,axiom,
    ( ~ esk8969_4(X1,X2,X3,X4)
    | esk8971_4(X1,X2,X3,X4) )).

cnf(i_0_5064,axiom,
    ( esk3958_4(X1,X2,X3,X4)
    | ~ esk6058_4(X1,X2,X3,X4) )).

cnf(i_0_5065,axiom,
    ( esk5018_4(X1,X2,X3,X4) )).

cnf(i_0_5066,axiom,
    ( esk2572_4(X1,X2,X3,X4)
    | esk2475_4(X1,X2,X3,X4) )).

cnf(i_0_5067,axiom,
    ( ~ esk5172_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5068,axiom,
    ( ~ p(X2)
    | esk1127_0
    | ~ esk9174_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_5069,axiom,
    ( esk2165_4(X1,X2,X3,X4)
    | ~ esk2201_4(X1,X2,X3,X4) )).

cnf(i_0_5070,axiom,
    ( ~ p(X2)
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk375_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_5071,axiom,
    ( ~ esk9263_4(X1,X2,X3,X4)
    | esk9266_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5072,axiom,
    ( esk4838_4(X1,X2,X3,X4)
    | ~ esk4889_4(X1,X2,X3,X4) )).

cnf(i_0_5073,axiom,
    ( esk9640_4(X1,X2,X3,X4)
    | ~ esk9641_4(X1,X2,X3,X4) )).

cnf(i_0_5074,axiom,
    ( ~ esk5466_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_5075,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1643_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk110_0 )).

cnf(i_0_5076,axiom,
    ( ~ esk2433_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2089_4(X1,X2,X3,X4) )).

cnf(i_0_5077,axiom,
    ( esk8351_4(X1,X2,X3,X4)
    | ~ esk8349_4(X1,X2,X3,X4) )).

cnf(i_0_5078,axiom,
    ( esk9201_4(X1,X2,X3,X4)
    | ~ esk9203_4(X1,X2,X3,X4)
    | esk9202_4(X1,X2,X3,X4) )).

cnf(i_0_5079,axiom,
    ( esk1911_4(X1,X2,X3,X4)
    | ~ esk1912_4(X1,X2,X3,X4)
    | esk1909_4(X1,X2,X3,X4)
    | esk1910_4(X1,X2,X3,X4) )).

cnf(i_0_5080,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk1122_0
    | p(X2)
    | esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_5081,axiom,
    ( p(X4)
    | ~ esk2894_4(X1,X2,X3,X4)
    | esk1201_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_5082,axiom,
    ( esk9057_4(X1,X2,X3,X4)
    | ~ esk9058_4(X1,X2,X3,X4) )).

cnf(i_0_5083,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk655_0
    | p(X2)
    | p(X4) )).

cnf(i_0_5084,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9280_4(X1,X2,X3,X4) )).

cnf(i_0_5085,axiom,
    ( ~ esk5465_4(X1,X2,X3,X4)
    | esk5463_4(X1,X2,X3,X4)
    | esk5464_4(X1,X2,X3,X4) )).

cnf(i_0_5086,axiom,
    ( ~ esk6670_4(X1,X2,X3,X4)
    | esk6669_4(X1,X2,X3,X4) )).

cnf(i_0_5087,axiom,
    ( ~ esk5856_4(X1,X2,X3,X4)
    | esk5855_4(X1,X2,X3,X4) )).

cnf(i_0_5088,axiom,
    ( ~ esk8732_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8348_4(X1,X2,X3,X4) )).

cnf(i_0_5089,axiom,
    ( esk825_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_5090,axiom,
    ( esk4462_4(X1,X2,X3,X4)
    | ~ esk4463_4(X1,X2,X3,X4) )).

cnf(i_0_5091,axiom,
    ( esk8017_4(X1,X2,X3,X4)
    | ~ esk8018_4(X1,X2,X3,X4) )).

cnf(i_0_5092,axiom,
    ( esk3368_4(X1,X2,X3,X4)
    | esk3369_4(X1,X2,X3,X4)
    | ~ esk3370_4(X1,X2,X3,X4) )).

cnf(i_0_5093,axiom,
    ( esk9220_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_5094,axiom,
    ( esk9350_4(X1,X2,X3,X4)
    | ~ esk9347_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5095,axiom,
    ( ~ esk9646_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_5096,axiom,
    ( esk1972_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1971_4(X1,X2,X3,X4) )).

cnf(i_0_5097,axiom,
    ( ~ esk7692_4(X1,X2,X3,X4)
    | esk9175_4(X1,X2,X3,X4) )).

cnf(i_0_5098,axiom,
    ( esk8982_4(X1,X2,X3,X4)
    | ~ esk9104_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_5099,axiom,
    ( esk823_0
    | p(X2)
    | ~ p(X4)
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_5100,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | p(X4)
    | esk2882_4(X1,X2,X3,X4)
    | ~ esk1_0 )).

cnf(i_0_5101,axiom,
    ( esk8204_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_5102,axiom,
    ( ~ esk3056_4(X1,X2,X3,X4)
    | esk3055_4(X1,X2,X3,X4) )).

cnf(i_0_5103,axiom,
    ( ~ esk4294_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5104,axiom,
    ( esk5023_4(X1,X2,X3,X4)
    | ~ esk5025_4(X1,X2,X3,X4)
    | esk5024_4(X1,X2,X3,X4) )).

cnf(i_0_5105,axiom,
    ( esk3723_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_5106,axiom,
    ( esk6273_4(X1,X2,X3,X4)
    | ~ esk6272_4(X1,X2,X3,X4) )).

cnf(i_0_5107,axiom,
    ( ~ esk7983_4(X1,X2,X3,X4)
    | ~ esk8806_4(X1,X2,X3,X4) )).

cnf(i_0_5108,axiom,
    ( ~ esk8081_4(X1,X2,X3,X4)
    | esk8080_4(X1,X2,X3,X4)
    | esk8079_4(X1,X2,X3,X4) )).

cnf(i_0_5109,axiom,
    ( ~ esk6563_4(X1,X2,X3,X4)
    | esk6564_4(X1,X2,X3,X4) )).

cnf(i_0_5110,axiom,
    ( ~ esk6028_4(X1,X2,X3,X4)
    | esk6030_4(X1,X2,X3,X4) )).

cnf(i_0_5111,axiom,
    ( ~ esk1484_4(X1,X2,X3,X4)
    | esk1486_4(X1,X2,X3,X4) )).

cnf(i_0_5112,axiom,
    ( ~ esk3761_4(X1,X2,X3,X4)
    | esk3763_4(X1,X2,X3,X4) )).

cnf(i_0_5113,axiom,
    ( ~ esk3944_4(X1,X2,X3,X4)
    | esk3945_4(X1,X2,X3,X4) )).

cnf(i_0_5114,axiom,
    ( ~ p(X1)
    | esk1752_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk195_0 )).

cnf(i_0_5115,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk65_0
    | esk1478_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_5116,axiom,
    ( ~ esk8555_4(X1,X2,X3,X4)
    | esk8557_4(X1,X2,X3,X4) )).

cnf(i_0_5117,axiom,
    ( ~ esk8997_4(X1,X2,X3,X4)
    | esk8996_4(X1,X2,X3,X4) )).

cnf(i_0_5118,axiom,
    ( ~ esk6592_4(X1,X2,X3,X4)
    | esk6593_4(X1,X2,X3,X4) )).

cnf(i_0_5119,axiom,
    ( p(X2)
    | esk401_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_5120,axiom,
    ( ~ esk7074_4(X1,X2,X3,X4)
    | esk4974_4(X1,X2,X3,X4) )).

cnf(i_0_5121,axiom,
    ( esk5721_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_5122,axiom,
    ( ~ p(X4)
    | esk2791_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk834_0
    | ~ p(X2) )).

cnf(i_0_5123,axiom,
    ( esk6137_4(X1,X2,X3,X4)
    | ~ esk6135_4(X1,X2,X3,X4) )).

cnf(i_0_5124,axiom,
    ( esk6466_4(X1,X2,X3,X4)
    | ~ esk6500_4(X1,X2,X3,X4) )).

cnf(i_0_5125,axiom,
    ( ~ esk7302_4(X1,X2,X3,X4)
    | esk7304_4(X1,X2,X3,X4) )).

cnf(i_0_5126,axiom,
    ( esk4289_4(X1,X2,X3,X4)
    | ~ esk4327_4(X1,X2,X3,X4) )).

cnf(i_0_5127,axiom,
    ( esk2579_4(X1,X2,X3,X4)
    | ~ esk2580_4(X1,X2,X3,X4) )).

cnf(i_0_5128,axiom,
    ( ~ esk2466_4(X1,X2,X3,X4)
    | esk2468_4(X1,X2,X3,X4) )).

cnf(i_0_5129,axiom,
    ( esk5523_4(X1,X2,X3,X4)
    | esk5524_4(X1,X2,X3,X4)
    | ~ esk5525_4(X1,X2,X3,X4) )).

cnf(i_0_5130,axiom,
    ( esk1559_4(X1,X2,X3,X4)
    | ~ esk1557_4(X1,X2,X3,X4) )).

cnf(i_0_5131,axiom,
    ( esk6938_4(X1,X2,X3,X4)
    | ~ esk6939_4(X1,X2,X3,X4) )).

cnf(i_0_5132,axiom,
    ( esk7363_4(X1,X2,X3,X4)
    | esk7362_4(X1,X2,X3,X4)
    | ~ esk7364_4(X1,X2,X3,X4) )).

cnf(i_0_5133,axiom,
    ( esk2741_4(X1,X2,X3,X4)
    | ~ esk2743_4(X1,X2,X3,X4)
    | esk2742_4(X1,X2,X3,X4) )).

cnf(i_0_5134,axiom,
    ( ~ esk6306_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_5135,axiom,
    ( ~ esk2704_4(X1,X2,X3,X4)
    | esk2703_4(X1,X2,X3,X4) )).

cnf(i_0_5136,axiom,
    ( ~ esk1295_0
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_5137,axiom,
    ( ~ esk6631_4(X1,X2,X3,X4)
    | esk6075_4(X1,X2,X3,X4) )).

cnf(i_0_5138,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6161_4(X1,X2,X3,X4) )).

cnf(i_0_5139,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2671_4(X1,X2,X3,X4) )).

cnf(i_0_5140,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk585_0
    | ~ p(X4)
    | ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_5141,axiom,
    ( ~ esk7443_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5142,axiom,
    ( esk8564_4(X1,X2,X3,X4)
    | esk8563_4(X1,X2,X3,X4)
    | ~ esk8565_4(X1,X2,X3,X4) )).

cnf(i_0_5143,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk8729_4(X1,X2,X3,X4)
    | esk669_0
    | p(X1) )).

cnf(i_0_5144,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk1185_0
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5145,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk836_0
    | esk9087_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_5146,axiom,
    ( esk6837_4(X1,X2,X3,X4)
    | ~ esk6838_4(X1,X2,X3,X4) )).

cnf(i_0_5147,axiom,
    ( ~ esk2195_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5148,axiom,
    ( esk9692_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_5149,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk5360_4(X1,X2,X3,X4)
    | ~ esk5357_4(X1,X2,X3,X4) )).

cnf(i_0_5150,axiom,
    ( esk4602_4(X1,X2,X3,X4)
    | ~ esk4603_4(X1,X2,X3,X4)
    | esk4601_4(X1,X2,X3,X4) )).

cnf(i_0_5151,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5171_4(X1,X2,X3,X4)
    | ~ esk5170_4(X1,X2,X3,X4) )).

cnf(i_0_5152,axiom,
    ( esk2892_4(X1,X2,X3,X4)
    | ~ esk1367_4(X1,X2,X3,X4) )).

cnf(i_0_5153,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2722_4(X1,X2,X3,X4) )).

cnf(i_0_5154,axiom,
    ( p(X1)
    | esk9172_4(X1,X2,X3,X4)
    | ~ esk1102_0
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5155,axiom,
    ( ~ esk8560_4(X1,X2,X3,X4)
    | esk8522_4(X1,X2,X3,X4) )).

cnf(i_0_5156,axiom,
    ( ~ esk4396_4(X1,X2,X3,X4)
    | esk4108_4(X1,X2,X3,X4) )).

cnf(i_0_5157,axiom,
    ( esk9394_4(X1,X2,X3,X4)
    | ~ esk9391_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_5158,axiom,
    ( esk5687_4(X1,X2,X3,X4)
    | ~ esk5673_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_5159,axiom,
    ( esk5166_4(X1,X2,X3,X4)
    | ~ esk5167_4(X1,X2,X3,X4) )).

cnf(i_0_5160,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk9109_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1_0 )).

cnf(i_0_5161,axiom,
    ( p(X1)
    | ~ esk1958_4(X1,X2,X3,X4)
    | p(X3)
    | esk351_0
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5162,axiom,
    ( ~ esk1507_4(X1,X2,X3,X4)
    | esk1508_4(X1,X2,X3,X4)
    | ~ esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_5163,axiom,
    ( esk4301_4(X1,X2,X3,X4)
    | ~ esk4298_4(X1,X2,X3,X4) )).

cnf(i_0_5164,axiom,
    ( ~ esk3852_4(X1,X2,X3,X4)
    | esk3634_4(X1,X2,X3,X4) )).

cnf(i_0_5165,axiom,
    ( ~ esk880_0
    | p(X3)
    | p(X4)
    | esk2797_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_5166,axiom,
    ( ~ esk2629_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_5167,axiom,
    ( esk8039_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk7996_4(X1,X2,X3,X4) )).

cnf(i_0_5168,axiom,
    ( esk7029_4(X1,X2,X3,X4)
    | ~ esk6917_4(X1,X2,X3,X4)
    | ~ esk7632_4(X1,X2,X3,X4) )).

cnf(i_0_5169,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | esk2429_4(X1,X2,X3,X4)
    | ~ esk636_0 )).

cnf(i_0_5170,axiom,
    ( ~ esk1757_4(X1,X2,X3,X4)
    | esk3857_4(X1,X2,X3,X4) )).

cnf(i_0_5171,axiom,
    ( ~ esk8654_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_5172,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2972_4(X1,X2,X3,X4) )).

cnf(i_0_5173,axiom,
    ( ~ esk3980_4(X1,X2,X3,X4)
    | esk3982_4(X1,X2,X3,X4) )).

cnf(i_0_5174,axiom,
    ( esk4705_4(X1,X2,X3,X4)
    | ~ esk5428_4(X1,X2,X3,X4) )).

cnf(i_0_5175,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | esk1139_0
    | ~ p(X2)
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_5176,axiom,
    ( esk3179_4(X1,X2,X3,X4)
    | ~ esk3180_4(X1,X2,X3,X4) )).

cnf(i_0_5177,axiom,
    ( ~ esk9401_4(X1,X2,X3,X4)
    | esk9403_4(X1,X2,X3,X4) )).

cnf(i_0_5178,axiom,
    ( p(X1)
    | esk9172_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ esk1104_0
    | ~ p(X2) )).

cnf(i_0_5179,axiom,
    ( ~ esk6133_4(X1,X2,X3,X4)
    | esk6131_4(X1,X2,X3,X4)
    | esk6132_4(X1,X2,X3,X4) )).

cnf(i_0_5180,axiom,
    ( ~ esk3496_4(X1,X2,X3,X4)
    | esk3742_4(X1,X2,X3,X4) )).

cnf(i_0_5181,axiom,
    ( esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_5182,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk6023_4(X1,X2,X3,X4) )).

cnf(i_0_5183,axiom,
    ( esk8799_4(X1,X2,X3,X4)
    | esk8800_4(X1,X2,X3,X4)
    | ~ esk8801_4(X1,X2,X3,X4) )).

cnf(i_0_5184,axiom,
    ( esk3496_4(X1,X2,X3,X4)
    | ~ esk3742_4(X1,X2,X3,X4) )).

cnf(i_0_5185,axiom,
    ( ~ p(X2)
    | esk2437_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk704_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_5186,axiom,
    ( esk2460_4(X1,X2,X3,X4)
    | ~ esk2461_4(X1,X2,X3,X4) )).

cnf(i_0_5187,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk338_0
    | p(X1)
    | ~ esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_5188,axiom,
    ( ~ esk2399_4(X1,X2,X3,X4)
    | esk2398_4(X1,X2,X3,X4)
    | esk2397_4(X1,X2,X3,X4) )).

cnf(i_0_5189,axiom,
    ( esk1498_4(X1,X2,X3,X4)
    | ~ esk1590_4(X1,X2,X3,X4) )).

cnf(i_0_5190,axiom,
    ( esk2211_4(X1,X2,X3,X4)
    | ~ esk4311_4(X1,X2,X3,X4) )).

cnf(i_0_5191,axiom,
    ( ~ p(X4)
    | esk85_0
    | p(X1)
    | ~ p(X2)
    | ~ esk7812_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5192,axiom,
    ( ~ esk9042_4(X1,X2,X3,X4)
    | esk9044_4(X1,X2,X3,X4) )).

cnf(i_0_5193,axiom,
    ( ~ esk8486_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_5194,axiom,
    ( p(X1)
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk175_0 )).

cnf(i_0_5195,axiom,
    ( ~ esk8079_4(X1,X2,X3,X4)
    | esk8081_4(X1,X2,X3,X4) )).

cnf(i_0_5196,axiom,
    ( ~ esk2019_4(X1,X2,X3,X4)
    | esk1886_4(X1,X2,X3,X4)
    | ~ esk1879_4(X1,X2,X3,X4) )).

cnf(i_0_5197,axiom,
    ( ~ p(X3)
    | ~ esk737_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_5198,axiom,
    ( ~ esk1977_4(X1,X2,X3,X4)
    | esk1943_4(X1,X2,X3,X4) )).

cnf(i_0_5199,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ esk1_0
    | p(X4)
    | esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_5200,axiom,
    ( esk5417_4(X1,X2,X3,X4)
    | ~ esk5416_4(X1,X2,X3,X4) )).

cnf(i_0_5201,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk221_0
    | p(X2)
    | p(X3)
    | ~ esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_5202,axiom,
    ( ~ esk6805_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_5203,axiom,
    ( esk7483_4(X1,X2,X3,X4)
    | ~ esk7480_4(X1,X2,X3,X4) )).

cnf(i_0_5204,axiom,
    ( ~ esk4891_4(X1,X2,X3,X4)
    | esk4842_4(X1,X2,X3,X4) )).

cnf(i_0_5205,axiom,
    ( ~ esk7915_4(X1,X2,X3,X4)
    | esk7916_4(X1,X2,X3,X4) )).

cnf(i_0_5206,axiom,
    ( ~ esk2433_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk665_0
    | ~ p(X4) )).

cnf(i_0_5207,axiom,
    ( ~ esk8520_4(X1,X2,X3,X4)
    | esk8519_4(X1,X2,X3,X4) )).

cnf(i_0_5208,axiom,
    ( esk6776_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_5209,axiom,
    ( ~ esk8793_4(X1,X2,X3,X4)
    | ~ esk8061_4(X1,X2,X3,X4) )).

cnf(i_0_5210,axiom,
    ( ~ esk3288_4(X1,X2,X3,X4)
    | ~ esk2447_4(X1,X2,X3,X4) )).

cnf(i_0_5211,axiom,
    ( esk201_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk8050_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_5212,axiom,
    ( ~ esk6386_4(X1,X2,X3,X4)
    | esk6385_4(X1,X2,X3,X4) )).

cnf(i_0_5213,axiom,
    ( ~ esk9011_4(X1,X2,X3,X4)
    | ~ esk9716_4(X1,X2,X3,X4)
    | esk9717_4(X1,X2,X3,X4) )).

cnf(i_0_5214,axiom,
    ( ~ esk6954_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_5215,axiom,
    ( ~ esk7024_4(X1,X2,X3,X4)
    | ~ esk7635_4(X1,X2,X3,X4) )).

cnf(i_0_5216,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk8048_4(X1,X2,X3,X4)
    | ~ esk2_0
    | ~ p(X2) )).

cnf(i_0_5217,axiom,
    ( ~ esk8796_4(X1,X2,X3,X4)
    | esk8795_4(X1,X2,X3,X4)
    | esk8794_4(X1,X2,X3,X4) )).

cnf(i_0_5218,axiom,
    ( esk6005_4(X1,X2,X3,X4)
    | esk6004_4(X1,X2,X3,X4)
    | ~ esk6006_4(X1,X2,X3,X4) )).

cnf(i_0_5219,axiom,
    ( ~ esk1783_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_5220,axiom,
    ( ~ esk2456_4(X1,X2,X3,X4)
    | ~ esk1373_4(X1,X2,X3,X4) )).

cnf(i_0_5221,axiom,
    ( ~ esk2564_4(X1,X2,X3,X4)
    | esk2563_4(X1,X2,X3,X4) )).

cnf(i_0_5222,axiom,
    ( p(X1)
    | ~ esk1438_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk4_0
    | ~ p(X3) )).

cnf(i_0_5223,axiom,
    ( ~ p(X3)
    | esk9150_4(X1,X2,X3,X4)
    | ~ esk1030_0
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_5224,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk8357_4(X1,X2,X3,X4)
    | p(X1)
    | esk429_0 )).

cnf(i_0_5225,axiom,
    ( esk4755_4(X1,X2,X3,X4)
    | ~ esk4757_4(X1,X2,X3,X4)
    | esk4756_4(X1,X2,X3,X4) )).

cnf(i_0_5226,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2142_4(X1,X2,X3,X4) )).

cnf(i_0_5227,axiom,
    ( ~ esk9693_4(X1,X2,X3,X4)
    | esk9695_4(X1,X2,X3,X4) )).

cnf(i_0_5228,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5204_4(X1,X2,X3,X4) )).

cnf(i_0_5229,axiom,
    ( ~ p(X4)
    | esk9174_4(X1,X2,X3,X4)
    | ~ esk1126_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5230,axiom,
    ( ~ esk3076_4(X1,X2,X3,X4)
    | esk3078_4(X1,X2,X3,X4) )).

cnf(i_0_5231,axiom,
    ( ~ esk7317_4(X1,X2,X3,X4)
    | ~ esk7312_4(X1,X2,X3,X4)
    | esk7318_4(X1,X2,X3,X4) )).

cnf(i_0_5232,axiom,
    ( ~ esk6978_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_5233,axiom,
    ( ~ esk9077_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_5234,axiom,
    ( esk1934_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_5235,axiom,
    ( esk733_0
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_5236,axiom,
    ( esk5031_4(X1,X2,X3,X4)
    | ~ esk3811_4(X1,X2,X3,X4) )).

cnf(i_0_5237,axiom,
    ( ~ esk7228_4(X1,X2,X3,X4)
    | ~ esk7233_4(X1,X2,X3,X4)
    | esk7234_4(X1,X2,X3,X4) )).

cnf(i_0_5238,axiom,
    ( esk5957_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_5239,axiom,
    ( esk3026_4(X1,X2,X3,X4)
    | ~ esk3024_4(X1,X2,X3,X4) )).

cnf(i_0_5240,axiom,
    ( ~ esk9591_4(X1,X2,X3,X4)
    | esk9597_4(X1,X2,X3,X4)
    | esk9596_4(X1,X2,X3,X4) )).

cnf(i_0_5241,axiom,
    ( ~ esk7799_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | esk7891_4(X1,X2,X3,X4) )).

cnf(i_0_5242,axiom,
    ( esk8138_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk269_0 )).

cnf(i_0_5243,axiom,
    ( ~ p(X2)
    | esk1842_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk270_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5244,axiom,
    ( ~ esk7378_4(X1,X2,X3,X4)
    | esk7380_4(X1,X2,X3,X4) )).

cnf(i_0_5245,axiom,
    ( ~ esk8963_4(X1,X2,X3,X4)
    | ~ esk9620_4(X1,X2,X3,X4)
    | esk9621_4(X1,X2,X3,X4) )).

cnf(i_0_5246,axiom,
    ( ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk7945_4(X1,X2,X3,X4) )).

cnf(i_0_5247,axiom,
    ( ~ esk7550_4(X1,X2,X3,X4)
    | esk7552_4(X1,X2,X3,X4) )).

cnf(i_0_5248,axiom,
    ( esk3726_4(X1,X2,X3,X4)
    | ~ esk3724_4(X1,X2,X3,X4) )).

cnf(i_0_5249,axiom,
    ( esk7748_4(X1,X2,X3,X4)
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_5250,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9503_4(X1,X2,X3,X4)
    | esk9506_4(X1,X2,X3,X4) )).

cnf(i_0_5251,axiom,
    ( esk2854_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ esk1026_0
    | p(X3)
    | p(X1) )).

cnf(i_0_5252,axiom,
    ( esk4264_4(X1,X2,X3,X4)
    | esk4302_4(X1,X2,X3,X4)
    | ~ esk4303_4(X1,X2,X3,X4) )).

cnf(i_0_5253,axiom,
    ( esk8806_4(X1,X2,X3,X4)
    | esk7983_4(X1,X2,X3,X4) )).

cnf(i_0_5254,axiom,
    ( ~ esk4160_4(X1,X2,X3,X4)
    | esk2060_4(X1,X2,X3,X4) )).

cnf(i_0_5255,axiom,
    ( esk7561_4(X1,X2,X3,X4)
    | ~ esk7562_4(X1,X2,X3,X4) )).

cnf(i_0_5256,axiom,
    ( esk1313_0
    | ~ p(X2)
    | ~ esk2952_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5257,axiom,
    ( ~ esk4918_4(X1,X2,X3,X4)
    | esk3751_4(X1,X2,X3,X4) )).

cnf(i_0_5258,axiom,
    ( ~ esk6010_4(X1,X2,X3,X4)
    | esk6011_4(X1,X2,X3,X4) )).

cnf(i_0_5259,axiom,
    ( ~ esk337_0
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_5260,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2627_4(X1,X2,X3,X4) )).

cnf(i_0_5261,axiom,
    ( esk3004_4(X1,X2,X3,X4)
    | ~ esk3003_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_5262,axiom,
    ( esk7596_4(X1,X2,X3,X4)
    | ~ esk7595_4(X1,X2,X3,X4) )).

cnf(i_0_5263,axiom,
    ( ~ esk8050_4(X1,X2,X3,X4)
    | p(X3)
    | esk211_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_5264,axiom,
    ( ~ esk4076_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_5265,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1_0
    | ~ p(X4)
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_5266,axiom,
    ( ~ esk9030_4(X1,X2,X3,X4)
    | esk9032_4(X1,X2,X3,X4) )).

cnf(i_0_5267,axiom,
    ( ~ esk9072_4(X1,X2,X3,X4)
    | esk9070_4(X1,X2,X3,X4)
    | esk9071_4(X1,X2,X3,X4) )).

cnf(i_0_5268,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6667_4(X1,X2,X3,X4)
    | ~ esk6668_4(X1,X2,X3,X4) )).

cnf(i_0_5269,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5518_4(X1,X2,X3,X4) )).

cnf(i_0_5270,axiom,
    ( ~ esk5890_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5271,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | esk2425_4(X1,X2,X3,X4)
    | ~ esk2242_4(X1,X2,X3,X4) )).

cnf(i_0_5272,axiom,
    ( ~ esk8987_4(X1,X2,X3,X4)
    | esk8986_4(X1,X2,X3,X4)
    | esk8985_4(X1,X2,X3,X4) )).

cnf(i_0_5273,axiom,
    ( esk6293_4(X1,X2,X3,X4)
    | ~ esk6328_4(X1,X2,X3,X4) )).

cnf(i_0_5274,axiom,
    ( esk2259_4(X1,X2,X3,X4)
    | ~ esk2260_4(X1,X2,X3,X4)
    | esk2258_4(X1,X2,X3,X4) )).

cnf(i_0_5275,axiom,
    ( p(X4)
    | p(X3)
    | esk135_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_5276,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | esk1598_4(X1,X2,X3,X4)
    | ~ esk1506_4(X1,X2,X3,X4) )).

cnf(i_0_5277,axiom,
    ( ~ esk5653_4(X1,X2,X3,X4)
    | esk5654_4(X1,X2,X3,X4) )).

cnf(i_0_5278,axiom,
    ( ~ esk6166_4(X1,X2,X3,X4)
    | esk6098_4(X1,X2,X3,X4) )).

cnf(i_0_5279,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4278_4(X1,X2,X3,X4) )).

cnf(i_0_5280,axiom,
    ( ~ esk7161_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5281,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk8719_4(X1,X2,X3,X4)
    | ~ esk595_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_5282,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk5890_4(X1,X2,X3,X4) )).

cnf(i_0_5283,axiom,
    ( esk6168_4(X1,X2,X3,X4)
    | ~ esk6166_4(X1,X2,X3,X4) )).

cnf(i_0_5284,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5469_4(X1,X2,X3,X4)
    | esk5472_4(X1,X2,X3,X4) )).

cnf(i_0_5285,axiom,
    ( esk744_0
    | p(X4)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_5286,axiom,
    ( esk5273_4(X1,X2,X3,X4)
    | ~ esk5272_4(X1,X2,X3,X4) )).

cnf(i_0_5287,axiom,
    ( esk6326_4(X1,X2,X3,X4)
    | ~ esk6075_4(X1,X2,X3,X4) )).

cnf(i_0_5288,axiom,
    ( ~ esk3001_4(X1,X2,X3,X4)
    | esk3002_4(X1,X2,X3,X4) )).

cnf(i_0_5289,axiom,
    ( ~ esk2861_4(X1,X2,X3,X4)
    | esk2862_4(X1,X2,X3,X4) )).

cnf(i_0_5290,axiom,
    ( ~ esk6402_4(X1,X2,X3,X4)
    | ~ esk6441_4(X1,X2,X3,X4)
    | ~ esk6440_4(X1,X2,X3,X4) )).

cnf(i_0_5291,axiom,
    ( esk6787_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_5292,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6500_4(X1,X2,X3,X4) )).

cnf(i_0_5293,axiom,
    ( ~ esk4236_4(X1,X2,X3,X4)
    | esk4235_4(X1,X2,X3,X4) )).

cnf(i_0_5294,axiom,
    ( esk5684_4(X1,X2,X3,X4)
    | ~ esk5683_4(X1,X2,X3,X4) )).

cnf(i_0_5295,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5310_4(X1,X2,X3,X4) )).

cnf(i_0_5296,axiom,
    ( ~ esk2271_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_5297,axiom,
    ( esk723_0
    | p(X2)
    | p(X4)
    | ~ esk8747_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_5298,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6455_4(X1,X2,X3,X4) )).

cnf(i_0_5299,axiom,
    ( ~ esk5032_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_5300,axiom,
    ( ~ esk5337_4(X1,X2,X3,X4)
    | ~ esk5366_4(X1,X2,X3,X4)
    | esk5367_4(X1,X2,X3,X4) )).

cnf(i_0_5301,axiom,
    ( ~ esk5768_4(X1,X2,X3,X4)
    | esk5679_4(X1,X2,X3,X4) )).

cnf(i_0_5302,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk661_0
    | p(X3) )).

cnf(i_0_5303,axiom,
    ( esk3276_4(X1,X2,X3,X4)
    | ~ esk3275_4(X1,X2,X3,X4) )).

cnf(i_0_5304,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7058_4(X1,X2,X3,X4) )).

cnf(i_0_5305,axiom,
    ( ~ esk3361_4(X1,X2,X3,X4)
    | esk2622_4(X1,X2,X3,X4) )).

cnf(i_0_5306,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6082_4(X1,X2,X3,X4)
    | esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_5307,axiom,
    ( ~ esk9266_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5308,axiom,
    ( ~ esk6956_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_5309,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | esk4409_4(X1,X2,X3,X4)
    | ~ esk4375_4(X1,X2,X3,X4) )).

cnf(i_0_5310,axiom,
    ( esk9266_4(X1,X2,X3,X4)
    | esk9265_4(X1,X2,X3,X4)
    | ~ esk9267_4(X1,X2,X3,X4) )).

cnf(i_0_5311,axiom,
    ( ~ esk6329_4(X1,X2,X3,X4)
    | esk7007_4(X1,X2,X3,X4) )).

cnf(i_0_5312,axiom,
    ( ~ esk4500_4(X1,X2,X3,X4)
    | esk4502_4(X1,X2,X3,X4) )).

cnf(i_0_5313,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk580_0 )).

cnf(i_0_5314,axiom,
    ( esk7236_4(X1,X2,X3,X4)
    | ~ esk7239_4(X1,X2,X3,X4) )).

cnf(i_0_5315,axiom,
    ( esk7967_4(X1,X2,X3,X4)
    | ~ esk130_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_5316,axiom,
    ( ~ esk9344_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_5317,axiom,
    ( ~ p(X4)
    | esk8721_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk2_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_5318,axiom,
    ( esk7661_4(X1,X2,X3,X4)
    | ~ esk8854_4(X1,X2,X3,X4) )).

cnf(i_0_5319,axiom,
    ( ~ esk6488_4(X1,X2,X3,X4)
    | esk5574_4(X1,X2,X3,X4) )).

cnf(i_0_5320,axiom,
    ( ~ esk4333_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4334_4(X1,X2,X3,X4) )).

cnf(i_0_5321,axiom,
    ( p(X1)
    | esk1324_0
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5322,axiom,
    ( esk4594_4(X1,X2,X3,X4)
    | esk4620_4(X1,X2,X3,X4) )).

cnf(i_0_5323,axiom,
    ( esk119_0
    | ~ p(X1)
    | p(X3)
    | ~ esk1643_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_5324,axiom,
    ( ~ esk6905_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_5325,axiom,
    ( esk8212_4(X1,X2,X3,X4)
    | ~ esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_5326,axiom,
    ( ~ esk9553_4(X1,X2,X3,X4)
    | esk9552_4(X1,X2,X3,X4) )).

cnf(i_0_5327,axiom,
    ( esk2403_4(X1,X2,X3,X4)
    | ~ esk2401_4(X1,X2,X3,X4) )).

cnf(i_0_5328,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk6310_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5329,axiom,
    ( ~ esk6632_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_5330,axiom,
    ( esk6148_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_5331,axiom,
    ( esk4116_4(X1,X2,X3,X4)
    | ~ esk4114_4(X1,X2,X3,X4) )).

cnf(i_0_5332,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4)
    | esk6247_4(X1,X2,X3,X4) )).

cnf(i_0_5333,axiom,
    ( esk4875_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_5334,axiom,
    ( esk4993_4(X1,X2,X3,X4)
    | ~ esk2893_4(X1,X2,X3,X4) )).

cnf(i_0_5335,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk7939_4(X1,X2,X3,X4)
    | esk112_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_5336,axiom,
    ( esk4366_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5337,axiom,
    ( esk2062_4(X1,X2,X3,X4)
    | ~ esk1358_4(X1,X2,X3,X4) )).

cnf(i_0_5338,axiom,
    ( esk8225_4(X1,X2,X3,X4)
    | ~ esk8226_4(X1,X2,X3,X4) )).

cnf(i_0_5339,axiom,
    ( esk353_0
    | ~ esk1958_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_5340,axiom,
    ( p(X1)
    | ~ esk273_0
    | p(X4)
    | p(X2)
    | esk8156_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_5341,axiom,
    ( ~ esk1473_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_5342,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4215_4(X1,X2,X3,X4) )).

cnf(i_0_5343,axiom,
    ( ~ esk9477_4(X1,X2,X3,X4)
    | esk9463_4(X1,X2,X3,X4) )).

cnf(i_0_5344,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7245_4(X1,X2,X3,X4) )).

cnf(i_0_5345,axiom,
    ( ~ esk4113_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5346,axiom,
    ( ~ esk2062_4(X1,X2,X3,X4)
    | esk2320_4(X1,X2,X3,X4) )).

cnf(i_0_5347,axiom,
    ( esk4701_4(X1,X2,X3,X4)
    | ~ esk4699_4(X1,X2,X3,X4) )).

cnf(i_0_5348,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X4)
    | esk1235_0
    | p(X2) )).

cnf(i_0_5349,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2120_4(X1,X2,X3,X4) )).

cnf(i_0_5350,axiom,
    ( ~ esk3096_4(X1,X2,X3,X4)
    | esk3098_4(X1,X2,X3,X4) )).

cnf(i_0_5351,axiom,
    ( ~ esk1865_4(X1,X2,X3,X4)
    | esk1772_4(X1,X2,X3,X4) )).

cnf(i_0_5352,axiom,
    ( esk2930_4(X1,X2,X3,X4)
    | ~ esk2925_4(X1,X2,X3,X4) )).

cnf(i_0_5353,axiom,
    ( ~ esk4210_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_5354,axiom,
    ( esk6393_4(X1,X2,X3,X4)
    | ~ esk6394_4(X1,X2,X3,X4) )).

cnf(i_0_5355,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk574_0
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_5356,axiom,
    ( esk6662_4(X1,X2,X3,X4)
    | ~ esk6660_4(X1,X2,X3,X4) )).

cnf(i_0_5357,axiom,
    ( esk4885_4(X1,X2,X3,X4)
    | ~ esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_5358,axiom,
    ( ~ esk5114_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5359,axiom,
    ( ~ esk6802_4(X1,X2,X3,X4)
    | esk6804_4(X1,X2,X3,X4) )).

cnf(i_0_5360,axiom,
    ( ~ esk5280_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_5361,axiom,
    ( esk3439_4(X1,X2,X3,X4)
    | ~ esk3441_4(X1,X2,X3,X4)
    | esk3440_4(X1,X2,X3,X4)
    | esk3438_4(X1,X2,X3,X4) )).

cnf(i_0_5362,axiom,
    ( esk8099_4(X1,X2,X3,X4)
    | esk8100_4(X1,X2,X3,X4)
    | ~ esk8101_4(X1,X2,X3,X4) )).

cnf(i_0_5363,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | ~ esk7747_4(X1,X2,X3,X4) )).

cnf(i_0_5364,axiom,
    ( esk2464_4(X1,X2,X3,X4)
    | ~ esk1650_4(X1,X2,X3,X4) )).

cnf(i_0_5365,axiom,
    ( esk4628_4(X1,X2,X3,X4)
    | ~ esk4629_4(X1,X2,X3,X4) )).

cnf(i_0_5366,axiom,
    ( esk7472_4(X1,X2,X3,X4)
    | ~ esk7469_4(X1,X2,X3,X4) )).

cnf(i_0_5367,axiom,
    ( esk1995_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk391_0 )).

cnf(i_0_5368,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7447_4(X1,X2,X3,X4) )).

cnf(i_0_5369,axiom,
    ( ~ p(X1)
    | esk9164_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_5370,axiom,
    ( esk9500_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5371,axiom,
    ( esk5757_4(X1,X2,X3,X4)
    | ~ esk5820_4(X1,X2,X3,X4) )).

cnf(i_0_5372,axiom,
    ( ~ esk1628_4(X1,X2,X3,X4)
    | esk1629_4(X1,X2,X3,X4)
    | ~ esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_5373,axiom,
    ( esk5454_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_5374,axiom,
    ( esk8196_4(X1,X2,X3,X4)
    | ~ esk8197_4(X1,X2,X3,X4)
    | esk8195_4(X1,X2,X3,X4) )).

cnf(i_0_5375,axiom,
    ( esk196_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_5376,axiom,
    ( esk7413_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5377,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3731_4(X1,X2,X3,X4) )).

cnf(i_0_5378,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | esk7808_4(X1,X2,X3,X4) )).

cnf(i_0_5379,axiom,
    ( esk7961_4(X1,X2,X3,X4)
    | ~ esk8048_4(X1,X2,X3,X4) )).

cnf(i_0_5380,axiom,
    ( esk1708_4(X1,X2,X3,X4)
    | ~ esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_5381,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk1715_4(X1,X2,X3,X4) )).

cnf(i_0_5382,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk9107_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk992_0
    | ~ p(X1) )).

cnf(i_0_5383,axiom,
    ( ~ esk8732_4(X1,X2,X3,X4)
    | esk8664_4(X1,X2,X3,X4) )).

cnf(i_0_5384,axiom,
    ( ~ esk1935_4(X1,X2,X3,X4)
    | esk1969_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_5385,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6417_4(X1,X2,X3,X4) )).

cnf(i_0_5386,axiom,
    ( esk7072_4(X1,X2,X3,X4)
    | ~ esk5686_4(X1,X2,X3,X4) )).

cnf(i_0_5387,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9722_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_5388,axiom,
    ( ~ esk8178_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_5389,axiom,
    ( esk9551_4(X1,X2,X3,X4)
    | ~ esk9557_4(X1,X2,X3,X4) )).

cnf(i_0_5390,axiom,
    ( esk9534_4(X1,X2,X3,X4)
    | ~ esk9535_4(X1,X2,X3,X4)
    | esk9533_4(X1,X2,X3,X4) )).

cnf(i_0_5391,axiom,
    ( esk6155_4(X1,X2,X3,X4)
    | ~ esk8255_4(X1,X2,X3,X4) )).

cnf(i_0_5392,axiom,
    ( ~ esk9516_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5393,axiom,
    ( ~ esk7114_4(X1,X2,X3,X4)
    | esk5853_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_5394,axiom,
    ( ~ esk3437_4(X1,X2,X3,X4)
    | ~ esk2826_4(X1,X2,X3,X4) )).

cnf(i_0_5395,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3421_4(X1,X2,X3,X4) )).

cnf(i_0_5396,axiom,
    ( ~ esk5800_4(X1,X2,X3,X4)
    | esk5801_4(X1,X2,X3,X4) )).

cnf(i_0_5397,axiom,
    ( ~ esk3136_4(X1,X2,X3,X4)
    | esk3138_4(X1,X2,X3,X4) )).

cnf(i_0_5398,axiom,
    ( ~ esk9194_4(X1,X2,X3,X4)
    | esk1207_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_5399,axiom,
    ( ~ esk8630_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_5400,axiom,
    ( ~ esk4063_4(X1,X2,X3,X4)
    | esk4065_4(X1,X2,X3,X4) )).

cnf(i_0_5401,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk641_0
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5402,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4292_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5403,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2365_4(X1,X2,X3,X4) )).

cnf(i_0_5404,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | esk1156_0
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5405,axiom,
    ( ~ esk2423_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk593_0
    | p(X4) )).

cnf(i_0_5406,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9260_4(X1,X2,X3,X4) )).

cnf(i_0_5407,axiom,
    ( ~ esk2711_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2712_4(X1,X2,X3,X4) )).

cnf(i_0_5408,axiom,
    ( ~ esk4211_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_5409,axiom,
    ( ~ p(X1)
    | ~ esk8054_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | esk237_0 )).

cnf(i_0_5410,axiom,
    ( esk5879_4(X1,X2,X3,X4)
    | ~ esk5872_4(X1,X2,X3,X4) )).

cnf(i_0_5411,axiom,
    ( ~ esk9360_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5412,axiom,
    ( ~ esk5616_4(X1,X2,X3,X4)
    | esk6410_4(X1,X2,X3,X4) )).

cnf(i_0_5413,axiom,
    ( esk8243_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_5414,axiom,
    ( esk1993_4(X1,X2,X3,X4)
    | ~ esk2049_4(X1,X2,X3,X4)
    | esk2050_4(X1,X2,X3,X4) )).

cnf(i_0_5415,axiom,
    ( esk9085_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk822_0
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_5416,axiom,
    ( ~ p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | esk1255_0
    | p(X2) )).

cnf(i_0_5417,axiom,
    ( ~ esk1942_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5418,axiom,
    ( ~ esk4420_4(X1,X2,X3,X4)
    | esk3509_4(X1,X2,X3,X4) )).

cnf(i_0_5419,axiom,
    ( ~ esk4801_4(X1,X2,X3,X4)
    | esk4799_4(X1,X2,X3,X4)
    | esk4800_4(X1,X2,X3,X4) )).

cnf(i_0_5420,axiom,
    ( ~ esk9626_4(X1,X2,X3,X4)
    | esk8903_4(X1,X2,X3,X4) )).

cnf(i_0_5421,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2185_4(X1,X2,X3,X4) )).

cnf(i_0_5422,axiom,
    ( ~ esk9191_4(X1,X2,X3,X4)
    | esk7091_4(X1,X2,X3,X4) )).

cnf(i_0_5423,axiom,
    ( ~ esk8609_4(X1,X2,X3,X4)
    | esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_5424,axiom,
    ( esk9516_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_5425,axiom,
    ( ~ p(X2)
    | esk377_0
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_5426,axiom,
    ( esk2916_4(X1,X2,X3,X4)
    | ~ esk1655_4(X1,X2,X3,X4) )).

cnf(i_0_5427,axiom,
    ( esk9515_4(X1,X2,X3,X4)
    | ~ esk9514_4(X1,X2,X3,X4) )).

cnf(i_0_5428,axiom,
    ( esk8735_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk712_0
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_5429,axiom,
    ( ~ esk4762_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_5430,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk9170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1088_0 )).

cnf(i_0_5431,axiom,
    ( ~ esk8791_4(X1,X2,X3,X4)
    | esk8790_4(X1,X2,X3,X4)
    | esk8789_4(X1,X2,X3,X4) )).

cnf(i_0_5432,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6889_4(X1,X2,X3,X4) )).

cnf(i_0_5433,axiom,
    ( ~ esk5844_4(X1,X2,X3,X4)
    | esk5563_4(X1,X2,X3,X4) )).

cnf(i_0_5434,axiom,
    ( esk2177_4(X1,X2,X3,X4)
    | esk2176_4(X1,X2,X3,X4)
    | ~ esk2178_4(X1,X2,X3,X4) )).

cnf(i_0_5435,axiom,
    ( ~ esk5165_4(X1,X2,X3,X4)
    | esk5163_4(X1,X2,X3,X4)
    | esk5164_4(X1,X2,X3,X4) )).

cnf(i_0_5436,axiom,
    ( ~ esk2956_4(X1,X2,X3,X4)
    | ~ esk1572_4(X1,X2,X3,X4)
    | esk1573_4(X1,X2,X3,X4) )).

cnf(i_0_5437,axiom,
    ( esk4461_4(X1,X2,X3,X4)
    | ~ esk4460_4(X1,X2,X3,X4) )).

cnf(i_0_5438,axiom,
    ( esk1436_4(X1,X2,X3,X4)
    | ~ esk1871_4(X1,X2,X3,X4) )).

cnf(i_0_5439,axiom,
    ( ~ esk5567_4(X1,X2,X3,X4)
    | esk5845_4(X1,X2,X3,X4) )).

cnf(i_0_5440,axiom,
    ( esk6713_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_5441,axiom,
    ( ~ esk3257_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_5442,axiom,
    ( esk7201_4(X1,X2,X3,X4)
    | ~ esk7202_4(X1,X2,X3,X4) )).

cnf(i_0_5443,axiom,
    ( ~ esk2218_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5444,axiom,
    ( ~ esk7941_4(X1,X2,X3,X4)
    | esk7736_4(X1,X2,X3,X4) )).

cnf(i_0_5445,axiom,
    ( ~ esk1517_4(X1,X2,X3,X4)
    | esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_5446,axiom,
    ( ~ esk1173_0
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | esk2890_4(X1,X2,X3,X4) )).

cnf(i_0_5447,axiom,
    ( esk2289_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X3)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_5448,axiom,
    ( p(X2)
    | p(X3)
    | p(X4)
    | esk1023_0
    | p(X1)
    | ~ esk9150_4(X1,X2,X3,X4) )).

cnf(i_0_5449,axiom,
    ( ~ esk6722_4(X1,X2,X3,X4)
    | esk6720_4(X1,X2,X3,X4)
    | esk6721_4(X1,X2,X3,X4) )).

cnf(i_0_5450,axiom,
    ( esk5083_4(X1,X2,X3,X4)
    | esk5084_4(X1,X2,X3,X4)
    | ~ esk5085_4(X1,X2,X3,X4) )).

cnf(i_0_5451,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6266_4(X1,X2,X3,X4) )).

cnf(i_0_5452,axiom,
    ( esk1671_4(X1,X2,X3,X4)
    | ~ esk1392_4(X1,X2,X3,X4) )).

cnf(i_0_5453,axiom,
    ( ~ esk3332_4(X1,X2,X3,X4)
    | esk3331_4(X1,X2,X3,X4) )).

cnf(i_0_5454,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | ~ esk7123_4(X1,X2,X3,X4) )).

cnf(i_0_5455,axiom,
    ( esk8861_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4)
    | ~ esk8860_4(X1,X2,X3,X4) )).

cnf(i_0_5456,axiom,
    ( esk2248_4(X1,X2,X3,X4)
    | ~ esk2247_4(X1,X2,X3,X4) )).

cnf(i_0_5457,axiom,
    ( ~ esk3545_4(X1,X2,X3,X4)
    | esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_5458,axiom,
    ( ~ esk2851_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_5459,axiom,
    ( esk1375_4(X1,X2,X3,X4)
    | esk1763_4(X1,X2,X3,X4) )).

cnf(i_0_5460,axiom,
    ( ~ esk3275_4(X1,X2,X3,X4)
    | esk2421_4(X1,X2,X3,X4)
    | esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_5461,axiom,
    ( esk4445_4(X1,X2,X3,X4)
    | ~ esk3885_4(X1,X2,X3,X4) )).

cnf(i_0_5462,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | esk1881_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_5463,axiom,
    ( ~ esk9283_4(X1,X2,X3,X4)
    | esk9281_4(X1,X2,X3,X4)
    | esk9282_4(X1,X2,X3,X4) )).

cnf(i_0_5464,axiom,
    ( ~ esk7554_4(X1,X2,X3,X4)
    | esk7556_4(X1,X2,X3,X4) )).

cnf(i_0_5465,axiom,
    ( ~ esk8530_4(X1,X2,X3,X4)
    | esk8529_4(X1,X2,X3,X4)
    | esk8528_4(X1,X2,X3,X4) )).

cnf(i_0_5466,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4179_4(X1,X2,X3,X4) )).

cnf(i_0_5467,axiom,
    ( ~ esk3427_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_5468,axiom,
    ( esk770_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_5469,axiom,
    ( ~ esk3297_4(X1,X2,X3,X4)
    | esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_5470,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4169_4(X1,X2,X3,X4) )).

cnf(i_0_5471,axiom,
    ( esk2991_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5472,axiom,
    ( esk1851_4(X1,X2,X3,X4)
    | ~ esk1854_4(X1,X2,X3,X4) )).

cnf(i_0_5473,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5090_4(X1,X2,X3,X4) )).

cnf(i_0_5474,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk674_0
    | ~ esk2433_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_5475,axiom,
    ( esk94_0
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_5476,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6563_4(X1,X2,X3,X4) )).

cnf(i_0_5477,axiom,
    ( ~ esk3014_4(X1,X2,X3,X4)
    | esk3013_4(X1,X2,X3,X4)
    | esk3012_4(X1,X2,X3,X4) )).

cnf(i_0_5478,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3835_4(X1,X2,X3,X4) )).

cnf(i_0_5479,axiom,
    ( ~ esk2417_4(X1,X2,X3,X4)
    | p(X1)
    | esk546_0
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_5480,axiom,
    ( ~ esk3680_4(X1,X2,X3,X4)
    | esk3682_4(X1,X2,X3,X4) )).

cnf(i_0_5481,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4520_4(X1,X2,X3,X4)
    | ~ esk4415_4(X1,X2,X3,X4) )).

cnf(i_0_5482,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk6336_4(X1,X2,X3,X4)
    | ~ esk6299_4(X1,X2,X3,X4) )).

cnf(i_0_5483,axiom,
    ( ~ esk9622_4(X1,X2,X3,X4)
    | esk9623_4(X1,X2,X3,X4) )).

cnf(i_0_5484,axiom,
    ( ~ esk5198_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_5485,axiom,
    ( ~ esk4569_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4)
    | ~ esk5392_4(X1,X2,X3,X4) )).

cnf(i_0_5486,axiom,
    ( ~ esk8694_4(X1,X2,X3,X4)
    | esk8693_4(X1,X2,X3,X4) )).

cnf(i_0_5487,axiom,
    ( ~ esk4372_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_5488,axiom,
    ( esk2522_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2521_4(X1,X2,X3,X4) )).

cnf(i_0_5489,axiom,
    ( esk9719_4(X1,X2,X3,X4)
    | ~ esk9074_4(X1,X2,X3,X4) )).

cnf(i_0_5490,axiom,
    ( esk8959_4(X1,X2,X3,X4)
    | ~ esk9613_4(X1,X2,X3,X4) )).

cnf(i_0_5491,axiom,
    ( esk9228_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1290_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_5492,axiom,
    ( ~ esk8574_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_5493,axiom,
    ( esk1948_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_5494,axiom,
    ( esk6640_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_5495,axiom,
    ( ~ esk4030_4(X1,X2,X3,X4)
    | esk4168_4(X1,X2,X3,X4)
    | ~ esk4167_4(X1,X2,X3,X4) )).

cnf(i_0_5496,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | esk2116_4(X1,X2,X3,X4)
    | ~ esk2083_4(X1,X2,X3,X4) )).

cnf(i_0_5497,axiom,
    ( ~ esk7530_4(X1,X2,X3,X4)
    | esk7532_4(X1,X2,X3,X4) )).

cnf(i_0_5498,axiom,
    ( esk8251_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk346_0 )).

cnf(i_0_5499,axiom,
    ( ~ esk9336_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_5500,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk9111_4(X1,X2,X3,X4)
    | esk1013_0
    | ~ p(X2) )).

cnf(i_0_5501,axiom,
    ( ~ p(X4)
    | esk8391_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk454_0
    | p(X3)
    | p(X1) )).

cnf(i_0_5502,axiom,
    ( ~ esk1640_4(X1,X2,X3,X4)
    | esk3740_4(X1,X2,X3,X4) )).

cnf(i_0_5503,axiom,
    ( ~ p(X1)
    | ~ esk1260_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_5504,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk3157_4(X1,X2,X3,X4) )).

cnf(i_0_5505,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1220_0 )).

cnf(i_0_5506,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk1035_0
    | ~ p(X4)
    | ~ p(X1)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_5507,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4385_4(X1,X2,X3,X4) )).

cnf(i_0_5508,axiom,
    ( esk8309_4(X1,X2,X3,X4)
    | esk8308_4(X1,X2,X3,X4)
    | ~ esk8310_4(X1,X2,X3,X4) )).

cnf(i_0_5509,axiom,
    ( ~ esk9242_4(X1,X2,X3,X4)
    | esk9243_4(X1,X2,X3,X4) )).

cnf(i_0_5510,axiom,
    ( ~ esk8623_4(X1,X2,X3,X4)
    | ~ esk8527_4(X1,X2,X3,X4)
    | esk8528_4(X1,X2,X3,X4) )).

cnf(i_0_5511,axiom,
    ( esk7352_4(X1,X2,X3,X4)
    | ~ esk7351_4(X1,X2,X3,X4) )).

cnf(i_0_5512,axiom,
    ( esk3706_4(X1,X2,X3,X4)
    | ~ esk3705_4(X1,X2,X3,X4) )).

cnf(i_0_5513,axiom,
    ( esk9089_4(X1,X2,X3,X4)
    | ~ esk855_0
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_5514,axiom,
    ( ~ esk9089_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1_0 )).

cnf(i_0_5515,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4377_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_5516,axiom,
    ( ~ esk4373_4(X1,X2,X3,X4)
    | esk4297_4(X1,X2,X3,X4) )).

cnf(i_0_5517,axiom,
    ( ~ esk4639_4(X1,X2,X3,X4)
    | esk4640_4(X1,X2,X3,X4) )).

cnf(i_0_5518,axiom,
    ( ~ esk1483_4(X1,X2,X3,X4)
    | ~ esk2868_4(X1,X2,X3,X4)
    | esk1484_4(X1,X2,X3,X4) )).

cnf(i_0_5519,axiom,
    ( p(X1)
    | ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk505_0 )).

cnf(i_0_5520,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk1302_0
    | esk2942_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5521,axiom,
    ( esk2698_4(X1,X2,X3,X4)
    | ~ esk2696_4(X1,X2,X3,X4) )).

cnf(i_0_5522,axiom,
    ( ~ esk1741_4(X1,X2,X3,X4)
    | esk1688_4(X1,X2,X3,X4) )).

cnf(i_0_5523,axiom,
    ( ~ esk5754_4(X1,X2,X3,X4)
    | ~ esk7120_4(X1,X2,X3,X4)
    | esk5755_4(X1,X2,X3,X4) )).

cnf(i_0_5524,axiom,
    ( esk6295_4(X1,X2,X3,X4)
    | ~ esk5579_4(X1,X2,X3,X4) )).

cnf(i_0_5525,axiom,
    ( ~ esk1451_4(X1,X2,X3,X4)
    | esk2481_4(X1,X2,X3,X4) )).

cnf(i_0_5526,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk2_0
    | ~ p(X2)
    | esk8283_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5527,axiom,
    ( esk9355_4(X1,X2,X3,X4)
    | ~ esk9354_4(X1,X2,X3,X4) )).

cnf(i_0_5528,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | esk9101_4(X1,X2,X3,X4)
    | ~ esk935_0 )).

cnf(i_0_5529,axiom,
    ( ~ esk1259_0
    | p(X3)
    | ~ p(X2)
    | esk2918_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_5530,axiom,
    ( ~ esk4605_4(X1,X2,X3,X4)
    | esk4573_4(X1,X2,X3,X4) )).

cnf(i_0_5531,axiom,
    ( ~ esk9648_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_5532,axiom,
    ( esk3610_4(X1,X2,X3,X4)
    | ~ esk3611_4(X1,X2,X3,X4) )).

cnf(i_0_5533,axiom,
    ( esk1227_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_5534,axiom,
    ( esk2941_4(X1,X2,X3,X4)
    | ~ esk5041_4(X1,X2,X3,X4) )).

cnf(i_0_5535,axiom,
    ( esk4893_4(X1,X2,X3,X4)
    | ~ esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_5536,axiom,
    ( esk1642_4(X1,X2,X3,X4)
    | ~ esk3742_4(X1,X2,X3,X4) )).

cnf(i_0_5537,axiom,
    ( esk154_0
    | ~ p(X4)
    | p(X1)
    | ~ esk8044_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_5538,axiom,
    ( esk5937_4(X1,X2,X3,X4)
    | ~ esk5936_4(X1,X2,X3,X4) )).

cnf(i_0_5539,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk3524_4(X1,X2,X3,X4) )).

cnf(i_0_5540,axiom,
    ( ~ esk9685_4(X1,X2,X3,X4)
    | esk9687_4(X1,X2,X3,X4) )).

cnf(i_0_5541,axiom,
    ( esk6217_4(X1,X2,X3,X4)
    | ~ esk6183_4(X1,X2,X3,X4) )).

cnf(i_0_5542,axiom,
    ( ~ esk7629_4(X1,X2,X3,X4)
    | esk7013_4(X1,X2,X3,X4) )).

cnf(i_0_5543,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk9194_4(X1,X2,X3,X4)
    | p(X4)
    | esk1217_0
    | ~ p(X3) )).

cnf(i_0_5544,axiom,
    ( esk8354_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk413_0
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_5545,axiom,
    ( ~ esk8145_4(X1,X2,X3,X4)
    | esk8147_4(X1,X2,X3,X4) )).

cnf(i_0_5546,axiom,
    ( ~ esk7156_4(X1,X2,X3,X4)
    | esk5960_4(X1,X2,X3,X4)
    | ~ esk5959_4(X1,X2,X3,X4) )).

cnf(i_0_5547,axiom,
    ( ~ esk8644_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_5548,axiom,
    ( ~ esk8304_4(X1,X2,X3,X4)
    | esk8306_4(X1,X2,X3,X4) )).

cnf(i_0_5549,axiom,
    ( ~ esk6986_4(X1,X2,X3,X4)
    | esk6933_4(X1,X2,X3,X4) )).

cnf(i_0_5550,axiom,
    ( ~ esk4456_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_5551,axiom,
    ( ~ esk2737_4(X1,X2,X3,X4)
    | esk3390_4(X1,X2,X3,X4) )).

cnf(i_0_5552,axiom,
    ( esk9233_4(X1,X2,X3,X4)
    | ~ esk9231_4(X1,X2,X3,X4) )).

cnf(i_0_5553,axiom,
    ( ~ esk5097_4(X1,X2,X3,X4)
    | esk5111_4(X1,X2,X3,X4)
    | ~ esk5110_4(X1,X2,X3,X4) )).

cnf(i_0_5554,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7439_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5555,axiom,
    ( ~ esk3120_4(X1,X2,X3,X4)
    | esk3114_4(X1,X2,X3,X4) )).

cnf(i_0_5556,axiom,
    ( esk2702_4(X1,X2,X3,X4)
    | ~ esk3396_4(X1,X2,X3,X4) )).

cnf(i_0_5557,axiom,
    ( esk6189_4(X1,X2,X3,X4)
    | ~ esk6187_4(X1,X2,X3,X4) )).

cnf(i_0_5558,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk651_0
    | esk8727_4(X1,X2,X3,X4) )).

cnf(i_0_5559,axiom,
    ( ~ esk2331_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5560,axiom,
    ( ~ esk6447_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_5561,axiom,
    ( esk7475_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_5562,axiom,
    ( esk6067_4(X1,X2,X3,X4)
    | ~ esk6369_4(X1,X2,X3,X4) )).

cnf(i_0_5563,axiom,
    ( esk4294_4(X1,X2,X3,X4)
    | ~ esk4295_4(X1,X2,X3,X4) )).

cnf(i_0_5564,axiom,
    ( ~ esk6651_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4)
    | esk5719_4(X1,X2,X3,X4) )).

cnf(i_0_5565,axiom,
    ( esk5650_4(X1,X2,X3,X4)
    | ~ esk7639_4(X1,X2,X3,X4) )).

cnf(i_0_5566,axiom,
    ( ~ esk2219_4(X1,X2,X3,X4)
    | esk2218_4(X1,X2,X3,X4) )).

cnf(i_0_5567,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk282_0
    | ~ p(X3)
    | esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_5568,axiom,
    ( esk3873_4(X1,X2,X3,X4)
    | ~ esk5056_4(X1,X2,X3,X4) )).

cnf(i_0_5569,axiom,
    ( ~ esk5720_4(X1,X2,X3,X4)
    | ~ esk5719_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_5570,axiom,
    ( esk8729_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk663_0
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_5571,axiom,
    ( ~ esk8188_4(X1,X2,X3,X4)
    | esk8189_4(X1,X2,X3,X4) )).

cnf(i_0_5572,axiom,
    ( p(X3)
    | p(X1)
    | esk978_0
    | p(X2)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_5573,axiom,
    ( esk4894_4(X1,X2,X3,X4)
    | ~ esk5411_4(X1,X2,X3,X4) )).

cnf(i_0_5574,axiom,
    ( esk2321_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk537_0
    | p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_5575,axiom,
    ( p(X2)
    | esk8617_4(X1,X2,X3,X4)
    | ~ esk539_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_5576,axiom,
    ( esk7917_4(X1,X2,X3,X4)
    | ~ esk7918_4(X1,X2,X3,X4) )).

cnf(i_0_5577,axiom,
    ( esk5021_4(X1,X2,X3,X4)
    | ~ esk3810_4(X1,X2,X3,X4) )).

cnf(i_0_5578,axiom,
    ( ~ esk1558_4(X1,X2,X3,X4)
    | esk1530_4(X1,X2,X3,X4) )).

cnf(i_0_5579,axiom,
    ( ~ esk4697_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk5412_4(X1,X2,X3,X4) )).

cnf(i_0_5580,axiom,
    ( ~ esk3893_4(X1,X2,X3,X4)
    | esk3895_4(X1,X2,X3,X4) )).

cnf(i_0_5581,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk2914_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1244_0 )).

cnf(i_0_5582,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk4088_4(X1,X2,X3,X4) )).

cnf(i_0_5583,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3965_4(X1,X2,X3,X4) )).

cnf(i_0_5584,axiom,
    ( ~ esk3825_4(X1,X2,X3,X4)
    | esk3790_4(X1,X2,X3,X4) )).

cnf(i_0_5585,axiom,
    ( esk914_0
    | ~ esk2801_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_5586,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk3598_4(X1,X2,X3,X4) )).

cnf(i_0_5587,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1726_4(X1,X2,X3,X4) )).

cnf(i_0_5588,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8566_4(X1,X2,X3,X4) )).

cnf(i_0_5589,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk495_0
    | esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_5590,axiom,
    ( esk3863_4(X1,X2,X3,X4)
    | esk5002_4(X1,X2,X3,X4) )).

cnf(i_0_5591,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk548_0
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_5592,axiom,
    ( ~ esk4335_4(X1,X2,X3,X4)
    | esk4336_4(X1,X2,X3,X4) )).

cnf(i_0_5593,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk234_0
    | esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_5594,axiom,
    ( ~ esk7003_4(X1,X2,X3,X4)
    | esk6814_4(X1,X2,X3,X4)
    | ~ esk6813_4(X1,X2,X3,X4) )).

cnf(i_0_5595,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7174_4(X1,X2,X3,X4) )).

cnf(i_0_5596,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | ~ esk3645_4(X1,X2,X3,X4) )).

cnf(i_0_5597,axiom,
    ( ~ esk3870_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5598,axiom,
    ( ~ esk5556_4(X1,X2,X3,X4)
    | esk6260_4(X1,X2,X3,X4) )).

cnf(i_0_5599,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5957_4(X1,X2,X3,X4)
    | ~ esk5942_4(X1,X2,X3,X4) )).

cnf(i_0_5600,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8816_4(X1,X2,X3,X4)
    | ~ esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_5601,axiom,
    ( esk7314_4(X1,X2,X3,X4)
    | ~ esk7313_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_5602,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk1995_4(X1,X2,X3,X4)
    | ~ esk1_0 )).

cnf(i_0_5603,axiom,
    ( ~ esk7139_4(X1,X2,X3,X4)
    | esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_5604,axiom,
    ( p(X4)
    | p(X3)
    | esk101_0
    | ~ p(X1)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_5605,axiom,
    ( esk6996_4(X1,X2,X3,X4)
    | ~ esk6953_4(X1,X2,X3,X4) )).

cnf(i_0_5606,axiom,
    ( esk9253_4(X1,X2,X3,X4)
    | ~ esk8012_4(X1,X2,X3,X4) )).

cnf(i_0_5607,axiom,
    ( esk6126_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_5608,axiom,
    ( ~ esk7812_4(X1,X2,X3,X4)
    | esk86_0
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_5609,axiom,
    ( ~ esk7858_4(X1,X2,X3,X4)
    | esk9229_4(X1,X2,X3,X4) )).

cnf(i_0_5610,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | esk813_0
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_5611,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2762_4(X1,X2,X3,X4) )).

cnf(i_0_5612,axiom,
    ( ~ esk2901_4(X1,X2,X3,X4)
    | esk2902_4(X1,X2,X3,X4) )).

cnf(i_0_5613,axiom,
    ( p(X4)
    | esk239_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_5614,axiom,
    ( ~ esk2325_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_5615,axiom,
    ( p(X2)
    | ~ esk703_0
    | ~ p(X1)
    | esk8733_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_5616,axiom,
    ( ~ esk2236_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_5617,axiom,
    ( ~ p(X3)
    | esk759_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_5618,axiom,
    ( ~ esk878_0
    | ~ p(X2)
    | esk2797_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5619,axiom,
    ( ~ esk9708_4(X1,X2,X3,X4)
    | esk9709_4(X1,X2,X3,X4)
    | ~ esk9007_4(X1,X2,X3,X4) )).

cnf(i_0_5620,axiom,
    ( esk8121_4(X1,X2,X3,X4)
    | ~ esk8149_4(X1,X2,X3,X4) )).

cnf(i_0_5621,axiom,
    ( ~ esk8463_4(X1,X2,X3,X4)
    | esk8502_4(X1,X2,X3,X4) )).

cnf(i_0_5622,axiom,
    ( p(X2)
    | ~ esk8723_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk627_0 )).

cnf(i_0_5623,axiom,
    ( esk9671_4(X1,X2,X3,X4)
    | ~ esk9669_4(X1,X2,X3,X4) )).

cnf(i_0_5624,axiom,
    ( esk9436_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_5625,axiom,
    ( esk6226_4(X1,X2,X3,X4)
    | ~ esk6224_4(X1,X2,X3,X4) )).

cnf(i_0_5626,axiom,
    ( ~ p(X1)
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk137_0
    | ~ p(X4) )).

cnf(i_0_5627,axiom,
    ( esk1237_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2914_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_5628,axiom,
    ( esk1813_4(X1,X2,X3,X4)
    | ~ esk1849_4(X1,X2,X3,X4) )).

cnf(i_0_5629,axiom,
    ( ~ esk9170_4(X1,X2,X3,X4)
    | esk7880_4(X1,X2,X3,X4) )).

cnf(i_0_5630,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | ~ esk820_0 )).

cnf(i_0_5631,axiom,
    ( ~ esk3268_4(X1,X2,X3,X4)
    | esk3238_4(X1,X2,X3,X4) )).

cnf(i_0_5632,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1578_4(X1,X2,X3,X4) )).

cnf(i_0_5633,axiom,
    ( esk3646_4(X1,X2,X3,X4)
    | ~ esk3645_4(X1,X2,X3,X4) )).

cnf(i_0_5634,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | esk7823_4(X1,X2,X3,X4) )).

cnf(i_0_5635,axiom,
    ( ~ esk6128_4(X1,X2,X3,X4)
    | esk6094_4(X1,X2,X3,X4) )).

cnf(i_0_5636,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8362_4(X1,X2,X3,X4) )).

cnf(i_0_5637,axiom,
    ( ~ esk5875_4(X1,X2,X3,X4)
    | esk5867_4(X1,X2,X3,X4) )).

cnf(i_0_5638,axiom,
    ( p(X3)
    | ~ esk1245_0
    | esk9210_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_5639,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk758_0
    | ~ esk8751_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_5640,axiom,
    ( ~ esk3402_4(X1,X2,X3,X4)
    | esk3401_4(X1,X2,X3,X4)
    | esk3400_4(X1,X2,X3,X4) )).

cnf(i_0_5641,axiom,
    ( esk2509_4(X1,X2,X3,X4)
    | esk1686_4(X1,X2,X3,X4) )).

cnf(i_0_5642,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5352_4(X1,X2,X3,X4) )).

cnf(i_0_5643,axiom,
    ( ~ esk1276_0
    | ~ p(X3)
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5644,axiom,
    ( ~ esk2769_4(X1,X2,X3,X4)
    | esk2768_4(X1,X2,X3,X4) )).

cnf(i_0_5645,axiom,
    ( ~ esk5140_4(X1,X2,X3,X4)
    | esk5137_4(X1,X2,X3,X4) )).

cnf(i_0_5646,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk8715_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk561_0 )).

cnf(i_0_5647,axiom,
    ( ~ esk9062_4(X1,X2,X3,X4)
    | esk9064_4(X1,X2,X3,X4) )).

cnf(i_0_5648,axiom,
    ( esk1715_4(X1,X2,X3,X4)
    | ~ esk2956_4(X1,X2,X3,X4) )).

cnf(i_0_5649,axiom,
    ( ~ esk9589_4(X1,X2,X3,X4)
    | esk9587_4(X1,X2,X3,X4)
    | esk9588_4(X1,X2,X3,X4)
    | esk9586_4(X1,X2,X3,X4) )).

cnf(i_0_5650,axiom,
    ( ~ esk3305_4(X1,X2,X3,X4)
    | esk2594_4(X1,X2,X3,X4) )).

cnf(i_0_5651,axiom,
    ( ~ esk5890_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk5891_4(X1,X2,X3,X4) )).

cnf(i_0_5652,axiom,
    ( esk3270_4(X1,X2,X3,X4)
    | ~ esk3269_4(X1,X2,X3,X4) )).

cnf(i_0_5653,axiom,
    ( ~ esk9405_4(X1,X2,X3,X4)
    | esk9404_4(X1,X2,X3,X4) )).

cnf(i_0_5654,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk1756_4(X1,X2,X3,X4)
    | ~ esk227_0
    | ~ p(X2) )).

cnf(i_0_5655,axiom,
    ( ~ esk4433_4(X1,X2,X3,X4)
    | esk4432_4(X1,X2,X3,X4)
    | esk4431_4(X1,X2,X3,X4) )).

cnf(i_0_5656,axiom,
    ( ~ esk5625_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_5657,axiom,
    ( esk6121_4(X1,X2,X3,X4)
    | ~ esk6119_4(X1,X2,X3,X4) )).

cnf(i_0_5658,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk8749_4(X1,X2,X3,X4)
    | ~ esk748_0
    | p(X2) )).

cnf(i_0_5659,axiom,
    ( esk3976_4(X1,X2,X3,X4)
    | ~ esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_5660,axiom,
    ( esk2874_4(X1,X2,X3,X4)
    | ~ esk1084_0
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_5661,axiom,
    ( ~ esk9232_4(X1,X2,X3,X4)
    | esk8009_4(X1,X2,X3,X4) )).

cnf(i_0_5662,axiom,
    ( ~ esk7893_4(X1,X2,X3,X4)
    | esk7894_4(X1,X2,X3,X4)
    | ~ esk9187_4(X1,X2,X3,X4) )).

cnf(i_0_5663,axiom,
    ( ~ p(X1)
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X2)
    | esk133_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5664,axiom,
    ( ~ esk1664_4(X1,X2,X3,X4)
    | esk1751_4(X1,X2,X3,X4) )).

cnf(i_0_5665,axiom,
    ( esk502_0
    | ~ esk2251_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_5666,axiom,
    ( esk8886_4(X1,X2,X3,X4)
    | ~ esk8887_4(X1,X2,X3,X4)
    | esk8885_4(X1,X2,X3,X4) )).

cnf(i_0_5667,axiom,
    ( esk6125_4(X1,X2,X3,X4)
    | ~ esk6124_4(X1,X2,X3,X4) )).

cnf(i_0_5668,axiom,
    ( ~ esk6148_4(X1,X2,X3,X4)
    | esk6183_4(X1,X2,X3,X4) )).

cnf(i_0_5669,axiom,
    ( p(X1)
    | esk81_0
    | ~ esk7812_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_5670,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9144_4(X1,X2,X3,X4) )).

cnf(i_0_5671,axiom,
    ( ~ esk5536_4(X1,X2,X3,X4)
    | esk4964_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_5672,axiom,
    ( esk9739_4(X1,X2,X3,X4)
    | esk9161_4(X1,X2,X3,X4)
    | ~ esk9740_4(X1,X2,X3,X4) )).

cnf(i_0_5673,axiom,
    ( esk2957_4(X1,X2,X3,X4)
    | ~ esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_5674,axiom,
    ( ~ esk7300_4(X1,X2,X3,X4)
    | esk7298_4(X1,X2,X3,X4)
    | esk7299_4(X1,X2,X3,X4) )).

cnf(i_0_5675,axiom,
    ( p(X1)
    | p(X2)
    | esk350_0
    | ~ p(X3)
    | ~ esk8254_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_5676,axiom,
    ( ~ esk7789_4(X1,X2,X3,X4)
    | esk7791_4(X1,X2,X3,X4) )).

cnf(i_0_5677,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2306_4(X1,X2,X3,X4) )).

cnf(i_0_5678,axiom,
    ( ~ esk4455_4(X1,X2,X3,X4)
    | esk4454_4(X1,X2,X3,X4) )).

cnf(i_0_5679,axiom,
    ( esk5441_4(X1,X2,X3,X4)
    | ~ esk4856_4(X1,X2,X3,X4) )).

cnf(i_0_5680,axiom,
    ( esk7241_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_5681,axiom,
    ( esk6585_4(X1,X2,X3,X4)
    | ~ esk6620_4(X1,X2,X3,X4) )).

cnf(i_0_5682,axiom,
    ( ~ esk5031_4(X1,X2,X3,X4)
    | esk2931_4(X1,X2,X3,X4) )).

cnf(i_0_5683,axiom,
    ( ~ esk1651_4(X1,X2,X3,X4)
    | esk2450_4(X1,X2,X3,X4) )).

cnf(i_0_5684,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk8508_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk488_0 )).

cnf(i_0_5685,axiom,
    ( esk414_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_5686,axiom,
    ( esk3903_4(X1,X2,X3,X4)
    | ~ esk3901_4(X1,X2,X3,X4) )).

cnf(i_0_5687,axiom,
    ( ~ esk8016_4(X1,X2,X3,X4)
    | esk8015_4(X1,X2,X3,X4)
    | esk8014_4(X1,X2,X3,X4) )).

cnf(i_0_5688,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk3532_4(X1,X2,X3,X4) )).

cnf(i_0_5689,axiom,
    ( ~ esk6344_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5690,axiom,
    ( ~ esk4819_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_5691,axiom,
    ( ~ p(X3)
    | esk328_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_5692,axiom,
    ( ~ esk4601_4(X1,X2,X3,X4)
    | esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_5693,axiom,
    ( ~ esk5239_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_5694,axiom,
    ( ~ esk4709_4(X1,X2,X3,X4)
    | esk4708_4(X1,X2,X3,X4)
    | esk4707_4(X1,X2,X3,X4) )).

cnf(i_0_5695,axiom,
    ( esk7488_4(X1,X2,X3,X4)
    | esk7487_4(X1,X2,X3,X4)
    | ~ esk7490_4(X1,X2,X3,X4)
    | esk7489_4(X1,X2,X3,X4) )).

cnf(i_0_5696,axiom,
    ( esk9613_4(X1,X2,X3,X4)
    | ~ esk8959_4(X1,X2,X3,X4)
    | ~ esk9612_4(X1,X2,X3,X4) )).

cnf(i_0_5697,axiom,
    ( ~ esk8508_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk497_0
    | p(X4) )).

cnf(i_0_5698,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8397_4(X1,X2,X3,X4) )).

cnf(i_0_5699,axiom,
    ( esk8197_4(X1,X2,X3,X4)
    | ~ esk8265_4(X1,X2,X3,X4) )).

cnf(i_0_5700,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4690_4(X1,X2,X3,X4) )).

cnf(i_0_5701,axiom,
    ( esk5289_4(X1,X2,X3,X4)
    | ~ esk5287_4(X1,X2,X3,X4) )).

cnf(i_0_5702,axiom,
    ( ~ esk2162_4(X1,X2,X3,X4)
    | esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_5703,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2999_4(X1,X2,X3,X4) )).

cnf(i_0_5704,axiom,
    ( ~ esk8521_4(X1,X2,X3,X4)
    | esk8522_4(X1,X2,X3,X4) )).

cnf(i_0_5705,axiom,
    ( ~ esk6441_4(X1,X2,X3,X4)
    | esk6476_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_5706,axiom,
    ( esk8491_4(X1,X2,X3,X4)
    | ~ esk8490_4(X1,X2,X3,X4) )).

cnf(i_0_5707,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk5188_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5708,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk2657_4(X1,X2,X3,X4) )).

cnf(i_0_5709,axiom,
    ( ~ esk7583_4(X1,X2,X3,X4)
    | esk6832_4(X1,X2,X3,X4) )).

cnf(i_0_5710,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | ~ esk4938_4(X1,X2,X3,X4) )).

cnf(i_0_5711,axiom,
    ( esk8499_4(X1,X2,X3,X4)
    | ~ esk8496_4(X1,X2,X3,X4) )).

cnf(i_0_5712,axiom,
    ( esk627_0
    | ~ esk2427_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_5713,axiom,
    ( esk8158_4(X1,X2,X3,X4)
    | ~ esk7986_4(X1,X2,X3,X4) )).

cnf(i_0_5714,axiom,
    ( ~ esk5845_4(X1,X2,X3,X4)
    | esk5567_4(X1,X2,X3,X4) )).

cnf(i_0_5715,axiom,
    ( esk1635_4(X1,X2,X3,X4)
    | ~ esk2951_4(X1,X2,X3,X4) )).

cnf(i_0_5716,axiom,
    ( ~ esk4068_4(X1,X2,X3,X4)
    | esk4034_4(X1,X2,X3,X4) )).

cnf(i_0_5717,axiom,
    ( ~ esk5326_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5718,axiom,
    ( ~ esk5294_4(X1,X2,X3,X4)
    | esk5295_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_5719,axiom,
    ( esk7404_4(X1,X2,X3,X4)
    | ~ esk7402_4(X1,X2,X3,X4) )).

cnf(i_0_5720,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk13_0
    | ~ p(X1)
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_5721,axiom,
    ( ~ esk5361_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk5364_4(X1,X2,X3,X4) )).

cnf(i_0_5722,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk646_0
    | ~ p(X2) )).

cnf(i_0_5723,axiom,
    ( ~ esk1602_4(X1,X2,X3,X4)
    | esk1603_4(X1,X2,X3,X4) )).

cnf(i_0_5724,axiom,
    ( esk3442_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_5725,axiom,
    ( esk1525_4(X1,X2,X3,X4)
    | ~ esk2862_4(X1,X2,X3,X4) )).

cnf(i_0_5726,axiom,
    ( ~ esk8730_4(X1,X2,X3,X4)
    | esk6630_4(X1,X2,X3,X4) )).

cnf(i_0_5727,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk668_0 )).

cnf(i_0_5728,axiom,
    ( esk7416_4(X1,X2,X3,X4)
    | ~ esk7415_4(X1,X2,X3,X4) )).

cnf(i_0_5729,axiom,
    ( ~ esk8763_4(X1,X2,X3,X4)
    | esk8765_4(X1,X2,X3,X4) )).

cnf(i_0_5730,axiom,
    ( esk7544_4(X1,X2,X3,X4)
    | ~ esk7547_4(X1,X2,X3,X4) )).

cnf(i_0_5731,axiom,
    ( ~ esk6565_4(X1,X2,X3,X4)
    | esk7469_4(X1,X2,X3,X4) )).

cnf(i_0_5732,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk1688_4(X1,X2,X3,X4) )).

cnf(i_0_5733,axiom,
    ( p(X1)
    | p(X4)
    | esk2801_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk906_0 )).

cnf(i_0_5734,axiom,
    ( esk891_0
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_5735,axiom,
    ( ~ p(X4)
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk385_0
    | p(X1) )).

cnf(i_0_5736,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk8042_4(X1,X2,X3,X4)
    | esk152_0
    | ~ p(X2) )).

cnf(i_0_5737,axiom,
    ( esk9696_4(X1,X2,X3,X4)
    | ~ esk9697_4(X1,X2,X3,X4) )).

cnf(i_0_5738,axiom,
    ( ~ esk8648_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8649_4(X1,X2,X3,X4) )).

cnf(i_0_5739,axiom,
    ( ~ esk6009_4(X1,X2,X3,X4)
    | esk6008_4(X1,X2,X3,X4) )).

cnf(i_0_5740,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk7835_4(X1,X2,X3,X4) )).

cnf(i_0_5741,axiom,
    ( p(X4)
    | esk8156_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk277_0
    | p(X1) )).

cnf(i_0_5742,axiom,
    ( ~ esk1856_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_5743,axiom,
    ( esk7623_4(X1,X2,X3,X4)
    | esk7622_4(X1,X2,X3,X4)
    | ~ esk7624_4(X1,X2,X3,X4) )).

cnf(i_0_5744,axiom,
    ( ~ esk2544_4(X1,X2,X3,X4)
    | esk2545_4(X1,X2,X3,X4) )).

cnf(i_0_5745,axiom,
    ( esk5207_4(X1,X2,X3,X4)
    | ~ esk4457_4(X1,X2,X3,X4)
    | ~ esk5206_4(X1,X2,X3,X4) )).

cnf(i_0_5746,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2744_4(X1,X2,X3,X4) )).

cnf(i_0_5747,axiom,
    ( ~ esk6274_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5748,axiom,
    ( ~ esk5272_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_5749,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk7020_4(X1,X2,X3,X4) )).

cnf(i_0_5750,axiom,
    ( esk7326_4(X1,X2,X3,X4)
    | ~ esk7325_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_5751,axiom,
    ( ~ esk9587_4(X1,X2,X3,X4)
    | esk9589_4(X1,X2,X3,X4) )).

cnf(i_0_5752,axiom,
    ( ~ esk8239_4(X1,X2,X3,X4)
    | esk8240_4(X1,X2,X3,X4) )).

cnf(i_0_5753,axiom,
    ( ~ p(X4)
    | esk2908_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1228_0
    | ~ p(X1) )).

cnf(i_0_5754,axiom,
    ( esk5085_4(X1,X2,X3,X4)
    | ~ esk5088_4(X1,X2,X3,X4) )).

cnf(i_0_5755,axiom,
    ( esk3618_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_5756,axiom,
    ( p(X3)
    | ~ esk432_0
    | p(X2)
    | esk8357_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_5757,axiom,
    ( esk4657_4(X1,X2,X3,X4)
    | ~ esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_5758,axiom,
    ( esk7653_4(X1,X2,X3,X4)
    | ~ esk7779_4(X1,X2,X3,X4) )).

cnf(i_0_5759,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4)
    | ~ esk2824_4(X1,X2,X3,X4) )).

cnf(i_0_5760,axiom,
    ( ~ esk7261_4(X1,X2,X3,X4)
    | ~ esk7256_4(X1,X2,X3,X4)
    | esk7262_4(X1,X2,X3,X4) )).

cnf(i_0_5761,axiom,
    ( ~ esk8027_4(X1,X2,X3,X4)
    | esk7993_4(X1,X2,X3,X4) )).

cnf(i_0_5762,axiom,
    ( ~ esk9584_4(X1,X2,X3,X4)
    | esk8742_4(X1,X2,X3,X4)
    | esk9583_4(X1,X2,X3,X4) )).

cnf(i_0_5763,axiom,
    ( esk1483_4(X1,X2,X3,X4)
    | ~ esk1484_4(X1,X2,X3,X4) )).

cnf(i_0_5764,axiom,
    ( esk6841_4(X1,X2,X3,X4)
    | ~ esk6842_4(X1,X2,X3,X4) )).

cnf(i_0_5765,axiom,
    ( ~ esk9684_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_5766,axiom,
    ( p(X3)
    | p(X1)
    | esk51_0
    | ~ p(X2)
    | p(X4)
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_5767,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3530_4(X1,X2,X3,X4) )).

cnf(i_0_5768,axiom,
    ( ~ esk7891_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_5769,axiom,
    ( ~ esk5296_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_5770,axiom,
    ( ~ esk1690_4(X1,X2,X3,X4)
    | esk1718_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_5771,axiom,
    ( ~ esk2574_4(X1,X2,X3,X4)
    | esk2573_4(X1,X2,X3,X4) )).

cnf(i_0_5772,axiom,
    ( esk6243_4(X1,X2,X3,X4)
    | ~ esk6246_4(X1,X2,X3,X4)
    | esk6244_4(X1,X2,X3,X4)
    | esk6245_4(X1,X2,X3,X4) )).

cnf(i_0_5773,axiom,
    ( ~ esk3998_4(X1,X2,X3,X4)
    | esk3999_4(X1,X2,X3,X4) )).

cnf(i_0_5774,axiom,
    ( ~ esk9259_4(X1,X2,X3,X4)
    | esk9258_4(X1,X2,X3,X4)
    | esk9257_4(X1,X2,X3,X4) )).

cnf(i_0_5775,axiom,
    ( ~ esk4651_4(X1,X2,X3,X4)
    | esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_5776,axiom,
    ( ~ esk4548_4(X1,X2,X3,X4)
    | esk4539_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_5777,axiom,
    ( esk9168_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk1069_0 )).

cnf(i_0_5778,axiom,
    ( ~ esk6690_4(X1,X2,X3,X4)
    | esk5982_4(X1,X2,X3,X4) )).

cnf(i_0_5779,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9380_4(X1,X2,X3,X4) )).

cnf(i_0_5780,axiom,
    ( ~ esk4959_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_5781,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk8156_4(X1,X2,X3,X4)
    | ~ esk279_0
    | p(X1) )).

cnf(i_0_5782,axiom,
    ( ~ esk4206_4(X1,X2,X3,X4)
    | esk4205_4(X1,X2,X3,X4) )).

cnf(i_0_5783,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk4647_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_5784,axiom,
    ( ~ esk4487_4(X1,X2,X3,X4)
    | esk4488_4(X1,X2,X3,X4)
    | ~ esk3927_4(X1,X2,X3,X4) )).

cnf(i_0_5785,axiom,
    ( esk6159_4(X1,X2,X3,X4)
    | esk6158_4(X1,X2,X3,X4)
    | ~ esk6160_4(X1,X2,X3,X4) )).

cnf(i_0_5786,axiom,
    ( esk2387_4(X1,X2,X3,X4)
    | ~ esk2386_4(X1,X2,X3,X4) )).

cnf(i_0_5787,axiom,
    ( ~ esk6243_4(X1,X2,X3,X4)
    | esk6246_4(X1,X2,X3,X4) )).

cnf(i_0_5788,axiom,
    ( esk7580_4(X1,X2,X3,X4)
    | ~ esk7579_4(X1,X2,X3,X4) )).

cnf(i_0_5789,axiom,
    ( esk2622_4(X1,X2,X3,X4)
    | ~ esk2620_4(X1,X2,X3,X4) )).

cnf(i_0_5790,axiom,
    ( esk7260_4(X1,X2,X3,X4)
    | ~ esk7258_4(X1,X2,X3,X4) )).

cnf(i_0_5791,axiom,
    ( esk8110_4(X1,X2,X3,X4)
    | ~ esk8109_4(X1,X2,X3,X4) )).

cnf(i_0_5792,axiom,
    ( esk8601_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_5793,axiom,
    ( esk3194_4(X1,X2,X3,X4)
    | ~ esk3193_4(X1,X2,X3,X4) )).

cnf(i_0_5794,axiom,
    ( esk2204_4(X1,X2,X3,X4)
    | ~ esk2240_4(X1,X2,X3,X4) )).

cnf(i_0_5795,axiom,
    ( ~ esk1292_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_5796,axiom,
    ( ~ esk3332_4(X1,X2,X3,X4)
    | esk2670_4(X1,X2,X3,X4) )).

cnf(i_0_5797,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9055_4(X1,X2,X3,X4) )).

cnf(i_0_5798,axiom,
    ( esk2401_4(X1,X2,X3,X4)
    | ~ esk2400_4(X1,X2,X3,X4)
    | ~ esk3102_4(X1,X2,X3,X4) )).

cnf(i_0_5799,axiom,
    ( esk2277_4(X1,X2,X3,X4)
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_5800,axiom,
    ( esk729_0
    | ~ p(X3)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_5801,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4)
    | ~ esk7497_4(X1,X2,X3,X4) )).

cnf(i_0_5802,axiom,
    ( ~ esk9425_4(X1,X2,X3,X4)
    | esk9427_4(X1,X2,X3,X4) )).

cnf(i_0_5803,axiom,
    ( ~ esk2040_4(X1,X2,X3,X4)
    | esk2188_4(X1,X2,X3,X4)
    | ~ esk2187_4(X1,X2,X3,X4) )).

cnf(i_0_5804,axiom,
    ( ~ esk2544_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_5805,axiom,
    ( ~ esk5362_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_5806,axiom,
    ( ~ esk9506_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_5807,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk9166_4(X1,X2,X3,X4)
    | p(X2)
    | esk1063_0
    | ~ p(X3) )).

cnf(i_0_5808,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk778_0
    | esk2482_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_5809,axiom,
    ( esk8143_4(X1,X2,X3,X4)
    | ~ esk8124_4(X1,X2,X3,X4) )).

cnf(i_0_5810,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6451_4(X1,X2,X3,X4) )).

cnf(i_0_5811,axiom,
    ( esk3336_4(X1,X2,X3,X4)
    | esk3337_4(X1,X2,X3,X4)
    | ~ esk3338_4(X1,X2,X3,X4) )).

cnf(i_0_5812,axiom,
    ( ~ esk6378_4(X1,X2,X3,X4)
    | esk6380_4(X1,X2,X3,X4) )).

cnf(i_0_5813,axiom,
    ( ~ esk2302_4(X1,X2,X3,X4)
    | esk2268_4(X1,X2,X3,X4) )).

cnf(i_0_5814,axiom,
    ( esk875_0
    | ~ esk9093_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_5815,axiom,
    ( ~ esk6908_4(X1,X2,X3,X4)
    | esk6906_4(X1,X2,X3,X4)
    | esk6907_4(X1,X2,X3,X4) )).

cnf(i_0_5816,axiom,
    ( ~ esk5972_4(X1,X2,X3,X4)
    | esk5971_4(X1,X2,X3,X4) )).

cnf(i_0_5817,axiom,
    ( ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7778_4(X1,X2,X3,X4)
    | esk7867_4(X1,X2,X3,X4) )).

cnf(i_0_5818,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk2815_4(X1,X2,X3,X4)
    | esk1016_0 )).

cnf(i_0_5819,axiom,
    ( esk8189_4(X1,X2,X3,X4)
    | ~ esk8223_4(X1,X2,X3,X4) )).

cnf(i_0_5820,axiom,
    ( esk3127_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_5821,axiom,
    ( ~ esk8734_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8179_4(X1,X2,X3,X4) )).

cnf(i_0_5822,axiom,
    ( ~ esk3820_4(X1,X2,X3,X4)
    | esk3819_4(X1,X2,X3,X4) )).

cnf(i_0_5823,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5065_4(X1,X2,X3,X4)
    | esk5068_4(X1,X2,X3,X4) )).

cnf(i_0_5824,axiom,
    ( ~ esk9367_4(X1,X2,X3,X4)
    | esk9366_4(X1,X2,X3,X4)
    | esk9365_4(X1,X2,X3,X4) )).

cnf(i_0_5825,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1758_4(X1,X2,X3,X4)
    | ~ esk238_0 )).

cnf(i_0_5826,axiom,
    ( ~ esk3979_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_5827,axiom,
    ( ~ esk3607_4(X1,X2,X3,X4)
    | esk4993_4(X1,X2,X3,X4) )).

cnf(i_0_5828,axiom,
    ( esk6569_4(X1,X2,X3,X4)
    | ~ esk6567_4(X1,X2,X3,X4) )).

cnf(i_0_5829,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk1152_0
    | esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_5830,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk275_0
    | ~ p(X3)
    | ~ esk1860_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_5831,axiom,
    ( esk4490_4(X1,X2,X3,X4)
    | ~ esk4523_4(X1,X2,X3,X4) )).

cnf(i_0_5832,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9718_4(X1,X2,X3,X4) )).

cnf(i_0_5833,axiom,
    ( esk2831_4(X1,X2,X3,X4)
    | ~ esk3434_4(X1,X2,X3,X4)
    | ~ esk2719_4(X1,X2,X3,X4) )).

cnf(i_0_5834,axiom,
    ( esk4191_4(X1,X2,X3,X4)
    | esk4015_4(X1,X2,X3,X4)
    | ~ esk4542_4(X1,X2,X3,X4) )).

cnf(i_0_5835,axiom,
    ( esk4403_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5836,axiom,
    ( esk8568_4(X1,X2,X3,X4)
    | ~ esk8569_4(X1,X2,X3,X4)
    | esk8567_4(X1,X2,X3,X4) )).

cnf(i_0_5837,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk1227_0
    | esk9204_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_5838,axiom,
    ( esk6068_4(X1,X2,X3,X4)
    | ~ esk5896_4(X1,X2,X3,X4) )).

cnf(i_0_5839,axiom,
    ( esk8672_4(X1,X2,X3,X4)
    | ~ esk8670_4(X1,X2,X3,X4) )).

cnf(i_0_5840,axiom,
    ( ~ esk2575_4(X1,X2,X3,X4)
    | esk2093_4(X1,X2,X3,X4) )).

cnf(i_0_5841,axiom,
    ( esk8619_4(X1,X2,X3,X4)
    | ~ esk7660_4(X1,X2,X3,X4) )).

cnf(i_0_5842,axiom,
    ( esk7856_4(X1,X2,X3,X4)
    | ~ esk7919_4(X1,X2,X3,X4) )).

cnf(i_0_5843,axiom,
    ( ~ esk7339_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_5844,axiom,
    ( esk8544_4(X1,X2,X3,X4)
    | ~ esk7670_4(X1,X2,X3,X4)
    | ~ esk8506_4(X1,X2,X3,X4) )).

cnf(i_0_5845,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | ~ esk1913_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_5846,axiom,
    ( ~ esk3084_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_5847,axiom,
    ( ~ esk8775_4(X1,X2,X3,X4)
    | ~ esk8757_4(X1,X2,X3,X4)
    | esk8758_4(X1,X2,X3,X4) )).

cnf(i_0_5848,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X2)
    | esk567_0 )).

cnf(i_0_5849,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk305_0
    | p(X2)
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_5850,axiom,
    ( esk4882_4(X1,X2,X3,X4)
    | ~ esk4911_4(X1,X2,X3,X4) )).

cnf(i_0_5851,axiom,
    ( esk179_0
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_5852,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X3)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk517_0 )).

cnf(i_0_5853,axiom,
    ( ~ esk9666_4(X1,X2,X3,X4)
    | esk9667_4(X1,X2,X3,X4) )).

cnf(i_0_5854,axiom,
    ( esk2204_4(X1,X2,X3,X4)
    | ~ esk2242_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4) )).

cnf(i_0_5855,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5482_4(X1,X2,X3,X4) )).

cnf(i_0_5856,axiom,
    ( ~ esk3153_4(X1,X2,X3,X4)
    | esk3150_4(X1,X2,X3,X4) )).

cnf(i_0_5857,axiom,
    ( ~ esk9442_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_5858,axiom,
    ( esk3477_4(X1,X2,X3,X4)
    | ~ esk4312_4(X1,X2,X3,X4) )).

cnf(i_0_5859,axiom,
    ( ~ esk9393_4(X1,X2,X3,X4)
    | esk9379_4(X1,X2,X3,X4) )).

cnf(i_0_5860,axiom,
    ( ~ p(X1)
    | ~ esk390_0
    | esk1995_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_5861,axiom,
    ( esk6103_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_5862,axiom,
    ( esk4870_4(X1,X2,X3,X4)
    | ~ esk4905_4(X1,X2,X3,X4) )).

cnf(i_0_5863,axiom,
    ( p(X2)
    | ~ esk9214_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk1250_0
    | ~ p(X3) )).

cnf(i_0_5864,axiom,
    ( ~ esk3448_4(X1,X2,X3,X4)
    | ~ esk2455_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_5865,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk9085_4(X1,X2,X3,X4)
    | esk814_0 )).

cnf(i_0_5866,axiom,
    ( esk3804_4(X1,X2,X3,X4)
    | ~ esk3561_4(X1,X2,X3,X4) )).

cnf(i_0_5867,axiom,
    ( ~ esk3585_4(X1,X2,X3,X4)
    | esk3584_4(X1,X2,X3,X4)
    | esk3583_4(X1,X2,X3,X4) )).

cnf(i_0_5868,axiom,
    ( esk9151_4(X1,X2,X3,X4)
    | esk9112_4(X1,X2,X3,X4)
    | ~ esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_5869,axiom,
    ( ~ esk9043_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_5870,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk4317_4(X1,X2,X3,X4)
    | esk4318_4(X1,X2,X3,X4) )).

cnf(i_0_5871,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8630_4(X1,X2,X3,X4) )).

cnf(i_0_5872,axiom,
    ( esk8700_4(X1,X2,X3,X4)
    | ~ esk8727_4(X1,X2,X3,X4) )).

cnf(i_0_5873,axiom,
    ( esk7060_4(X1,X2,X3,X4)
    | ~ esk7057_4(X1,X2,X3,X4) )).

cnf(i_0_5874,axiom,
    ( ~ esk9510_4(X1,X2,X3,X4)
    | esk9507_4(X1,X2,X3,X4) )).

cnf(i_0_5875,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3392_4(X1,X2,X3,X4) )).

cnf(i_0_5876,axiom,
    ( esk6253_4(X1,X2,X3,X4)
    | esk6633_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_5877,axiom,
    ( esk4208_4(X1,X2,X3,X4)
    | ~ esk4206_4(X1,X2,X3,X4) )).

cnf(i_0_5878,axiom,
    ( esk9327_4(X1,X2,X3,X4)
    | ~ esk9333_4(X1,X2,X3,X4) )).

cnf(i_0_5879,axiom,
    ( ~ esk1616_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_5880,axiom,
    ( ~ esk4860_4(X1,X2,X3,X4)
    | esk5449_4(X1,X2,X3,X4) )).

cnf(i_0_5881,axiom,
    ( esk6780_4(X1,X2,X3,X4)
    | ~ esk6779_4(X1,X2,X3,X4) )).

cnf(i_0_5882,axiom,
    ( ~ esk5545_4(X1,X2,X3,X4)
    | esk3621_4(X1,X2,X3,X4) )).

cnf(i_0_5883,axiom,
    ( esk4295_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4294_4(X1,X2,X3,X4) )).

cnf(i_0_5884,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3327_4(X1,X2,X3,X4) )).

cnf(i_0_5885,axiom,
    ( esk1607_4(X1,X2,X3,X4)
    | ~ esk1606_4(X1,X2,X3,X4) )).

cnf(i_0_5886,axiom,
    ( ~ esk1478_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | esk68_0
    | ~ p(X3) )).

cnf(i_0_5887,axiom,
    ( ~ esk3850_4(X1,X2,X3,X4)
    | esk5950_4(X1,X2,X3,X4) )).

cnf(i_0_5888,axiom,
    ( esk5151_4(X1,X2,X3,X4)
    | ~ esk5150_4(X1,X2,X3,X4)
    | ~ esk4453_4(X1,X2,X3,X4) )).

cnf(i_0_5889,axiom,
    ( ~ esk4990_4(X1,X2,X3,X4)
    | esk3465_4(X1,X2,X3,X4) )).

cnf(i_0_5890,axiom,
    ( esk7178_4(X1,X2,X3,X4)
    | ~ esk7177_4(X1,X2,X3,X4)
    | ~ esk7172_4(X1,X2,X3,X4) )).

cnf(i_0_5891,axiom,
    ( ~ esk2362_4(X1,X2,X3,X4)
    | esk2361_4(X1,X2,X3,X4)
    | esk2360_4(X1,X2,X3,X4) )).

cnf(i_0_5892,axiom,
    ( esk2950_4(X1,X2,X3,X4)
    | ~ esk2948_4(X1,X2,X3,X4) )).

cnf(i_0_5893,axiom,
    ( ~ esk5977_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_5894,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | esk1083_0
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_5895,axiom,
    ( esk8874_4(X1,X2,X3,X4)
    | ~ esk8837_4(X1,X2,X3,X4) )).

cnf(i_0_5896,axiom,
    ( ~ esk2944_4(X1,X2,X3,X4)
    | esk1719_4(X1,X2,X3,X4) )).

cnf(i_0_5897,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3713_4(X1,X2,X3,X4) )).

cnf(i_0_5898,axiom,
    ( esk7874_4(X1,X2,X3,X4)
    | ~ esk7873_4(X1,X2,X3,X4)
    | ~ esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_5899,axiom,
    ( ~ esk7920_4(X1,X2,X3,X4)
    | esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_5900,axiom,
    ( esk3227_4(X1,X2,X3,X4)
    | ~ esk3228_4(X1,X2,X3,X4) )).

cnf(i_0_5901,axiom,
    ( esk7228_4(X1,X2,X3,X4)
    | ~ esk7234_4(X1,X2,X3,X4) )).

cnf(i_0_5902,axiom,
    ( ~ esk1715_4(X1,X2,X3,X4)
    | esk1659_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_5903,axiom,
    ( p(X2)
    | ~ esk498_0
    | p(X4)
    | p(X1)
    | esk8547_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_5904,axiom,
    ( ~ esk7009_4(X1,X2,X3,X4)
    | ~ esk7034_4(X1,X2,X3,X4)
    | esk7041_4(X1,X2,X3,X4) )).

cnf(i_0_5905,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk5492_4(X1,X2,X3,X4)
    | ~ esk4737_4(X1,X2,X3,X4) )).

cnf(i_0_5906,axiom,
    ( esk1690_4(X1,X2,X3,X4)
    | ~ esk1718_4(X1,X2,X3,X4) )).

cnf(i_0_5907,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8536_4(X1,X2,X3,X4) )).

cnf(i_0_5908,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk459_0
    | ~ p(X3)
    | esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_5909,axiom,
    ( ~ esk9559_4(X1,X2,X3,X4)
    | esk9558_4(X1,X2,X3,X4)
    | esk9557_4(X1,X2,X3,X4) )).

cnf(i_0_5910,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6629_4(X1,X2,X3,X4)
    | esk6324_4(X1,X2,X3,X4) )).

cnf(i_0_5911,axiom,
    ( esk5353_4(X1,X2,X3,X4)
    | ~ esk5351_4(X1,X2,X3,X4) )).

cnf(i_0_5912,axiom,
    ( ~ esk3184_4(X1,X2,X3,X4)
    | esk3186_4(X1,X2,X3,X4) )).

cnf(i_0_5913,axiom,
    ( esk5645_4(X1,X2,X3,X4)
    | ~ esk5902_4(X1,X2,X3,X4) )).

cnf(i_0_5914,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7537_4(X1,X2,X3,X4) )).

cnf(i_0_5915,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9612_4(X1,X2,X3,X4) )).

cnf(i_0_5916,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk762_0
    | ~ esk2455_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_5917,axiom,
    ( ~ esk5081_4(X1,X2,X3,X4)
    | esk5084_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_5918,axiom,
    ( esk9314_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_5919,axiom,
    ( esk3798_4(X1,X2,X3,X4)
    | ~ esk3841_4(X1,X2,X3,X4) )).

cnf(i_0_5920,axiom,
    ( ~ esk3526_4(X1,X2,X3,X4)
    | esk3527_4(X1,X2,X3,X4) )).

cnf(i_0_5921,axiom,
    ( ~ esk4645_4(X1,X2,X3,X4)
    | esk4646_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_5922,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk5444_4(X1,X2,X3,X4)
    | ~ esk4713_4(X1,X2,X3,X4) )).

cnf(i_0_5923,axiom,
    ( ~ esk1898_4(X1,X2,X3,X4)
    | esk1897_4(X1,X2,X3,X4) )).

cnf(i_0_5924,axiom,
    ( esk8148_4(X1,X2,X3,X4)
    | ~ esk8139_4(X1,X2,X3,X4) )).

cnf(i_0_5925,axiom,
    ( ~ esk8344_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_5926,axiom,
    ( ~ esk1767_4(X1,X2,X3,X4)
    | esk1768_4(X1,X2,X3,X4) )).

cnf(i_0_5927,axiom,
    ( esk6987_4(X1,X2,X3,X4)
    | ~ esk6826_4(X1,X2,X3,X4) )).

cnf(i_0_5928,axiom,
    ( esk3973_4(X1,X2,X3,X4)
    | ~ esk1873_4(X1,X2,X3,X4) )).

cnf(i_0_5929,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk946_0
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5930,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7248_4(X1,X2,X3,X4)
    | esk7251_4(X1,X2,X3,X4) )).

cnf(i_0_5931,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7175_4(X1,X2,X3,X4) )).

cnf(i_0_5932,axiom,
    ( ~ esk8414_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4)
    | esk8451_4(X1,X2,X3,X4) )).

cnf(i_0_5933,axiom,
    ( ~ esk3574_4(X1,X2,X3,X4)
    | esk3461_4(X1,X2,X3,X4) )).

cnf(i_0_5934,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk509_0
    | ~ esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_5935,axiom,
    ( ~ esk6337_4(X1,X2,X3,X4)
    | esk6336_4(X1,X2,X3,X4)
    | esk6335_4(X1,X2,X3,X4) )).

cnf(i_0_5936,axiom,
    ( esk6338_4(X1,X2,X3,X4)
    | ~ esk6339_4(X1,X2,X3,X4) )).

cnf(i_0_5937,axiom,
    ( esk4709_4(X1,X2,X3,X4)
    | ~ esk4707_4(X1,X2,X3,X4) )).

cnf(i_0_5938,axiom,
    ( esk6164_4(X1,X2,X3,X4)
    | ~ esk6163_4(X1,X2,X3,X4) )).

cnf(i_0_5939,axiom,
    ( esk8639_4(X1,X2,X3,X4)
    | ~ esk8079_4(X1,X2,X3,X4) )).

cnf(i_0_5940,axiom,
    ( ~ esk389_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_5941,axiom,
    ( ~ p(X3)
    | ~ esk8138_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk268_0 )).

cnf(i_0_5942,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9414_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_5943,axiom,
    ( esk2067_4(X1,X2,X3,X4)
    | ~ esk2065_4(X1,X2,X3,X4) )).

cnf(i_0_5944,axiom,
    ( esk4133_4(X1,X2,X3,X4)
    | ~ esk4135_4(X1,X2,X3,X4)
    | esk4134_4(X1,X2,X3,X4) )).

cnf(i_0_5945,axiom,
    ( esk6265_4(X1,X2,X3,X4)
    | ~ esk6263_4(X1,X2,X3,X4) )).

cnf(i_0_5946,axiom,
    ( ~ esk6286_4(X1,X2,X3,X4)
    | esk6283_4(X1,X2,X3,X4)
    | esk6285_4(X1,X2,X3,X4)
    | esk6284_4(X1,X2,X3,X4) )).

cnf(i_0_5947,axiom,
    ( esk1407_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_5948,axiom,
    ( ~ esk4958_4(X1,X2,X3,X4)
    | esk4961_4(X1,X2,X3,X4) )).

cnf(i_0_5949,axiom,
    ( esk1952_4(X1,X2,X3,X4)
    | ~ esk2249_4(X1,X2,X3,X4)
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_5950,axiom,
    ( esk5902_4(X1,X2,X3,X4)
    | ~ esk5645_4(X1,X2,X3,X4) )).

cnf(i_0_5951,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3868_4(X1,X2,X3,X4) )).

cnf(i_0_5952,axiom,
    ( esk2287_4(X1,X2,X3,X4)
    | ~ esk2286_4(X1,X2,X3,X4) )).

cnf(i_0_5953,axiom,
    ( esk2858_4(X1,X2,X3,X4)
    | ~ esk2857_4(X1,X2,X3,X4) )).

cnf(i_0_5954,axiom,
    ( esk4713_4(X1,X2,X3,X4)
    | ~ esk4711_4(X1,X2,X3,X4) )).

cnf(i_0_5955,axiom,
    ( esk4622_4(X1,X2,X3,X4)
    | esk4621_4(X1,X2,X3,X4)
    | ~ esk4623_4(X1,X2,X3,X4) )).

cnf(i_0_5956,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | esk778_0
    | ~ p(X1)
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_5957,axiom,
    ( esk7864_4(X1,X2,X3,X4)
    | ~ esk7862_4(X1,X2,X3,X4) )).

cnf(i_0_5958,axiom,
    ( esk3567_4(X1,X2,X3,X4)
    | ~ esk3846_4(X1,X2,X3,X4) )).

cnf(i_0_5959,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3889_4(X1,X2,X3,X4) )).

cnf(i_0_5960,axiom,
    ( esk3760_4(X1,X2,X3,X4)
    | ~ esk3761_4(X1,X2,X3,X4) )).

cnf(i_0_5961,axiom,
    ( esk5614_4(X1,X2,X3,X4)
    | ~ esk6156_4(X1,X2,X3,X4) )).

cnf(i_0_5962,axiom,
    ( esk6225_4(X1,X2,X3,X4)
    | esk6224_4(X1,X2,X3,X4)
    | ~ esk6226_4(X1,X2,X3,X4) )).

cnf(i_0_5963,axiom,
    ( ~ esk9473_4(X1,X2,X3,X4)
    | esk9467_4(X1,X2,X3,X4) )).

cnf(i_0_5964,axiom,
    ( esk6074_4(X1,X2,X3,X4)
    | ~ esk6660_4(X1,X2,X3,X4) )).

cnf(i_0_5965,axiom,
    ( ~ esk9189_4(X1,X2,X3,X4)
    | esk7664_4(X1,X2,X3,X4) )).

cnf(i_0_5966,axiom,
    ( esk7265_4(X1,X2,X3,X4)
    | ~ esk7266_4(X1,X2,X3,X4) )).

cnf(i_0_5967,axiom,
    ( ~ esk9491_4(X1,X2,X3,X4)
    | ~ esk9504_4(X1,X2,X3,X4)
    | esk9505_4(X1,X2,X3,X4) )).

cnf(i_0_5968,axiom,
    ( ~ esk5531_4(X1,X2,X3,X4)
    | esk5533_4(X1,X2,X3,X4) )).

cnf(i_0_5969,axiom,
    ( ~ esk4856_4(X1,X2,X3,X4)
    | esk4858_4(X1,X2,X3,X4) )).

cnf(i_0_5970,axiom,
    ( ~ esk9019_4(X1,X2,X3,X4)
    | esk9020_4(X1,X2,X3,X4) )).

cnf(i_0_5971,axiom,
    ( ~ esk8235_4(X1,X2,X3,X4)
    | esk8236_4(X1,X2,X3,X4) )).

cnf(i_0_5972,axiom,
    ( p(X2)
    | esk1754_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk205_0
    | p(X4) )).

cnf(i_0_5973,axiom,
    ( esk3256_4(X1,X2,X3,X4)
    | ~ esk3258_4(X1,X2,X3,X4)
    | esk3257_4(X1,X2,X3,X4) )).

cnf(i_0_5974,axiom,
    ( ~ esk1904_4(X1,X2,X3,X4)
    | esk1938_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_5975,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | esk3347_4(X1,X2,X3,X4) )).

cnf(i_0_5976,axiom,
    ( esk8727_4(X1,X2,X3,X4)
    | ~ esk655_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_5977,axiom,
    ( esk8934_4(X1,X2,X3,X4)
    | esk8933_4(X1,X2,X3,X4)
    | ~ esk8935_4(X1,X2,X3,X4) )).

cnf(i_0_5978,axiom,
    ( esk4770_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_5979,axiom,
    ( esk8201_4(X1,X2,X3,X4)
    | ~ esk8235_4(X1,X2,X3,X4) )).

cnf(i_0_5980,axiom,
    ( esk3930_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_5981,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4321_4(X1,X2,X3,X4) )).

cnf(i_0_5982,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk1243_0 )).

cnf(i_0_5983,axiom,
    ( esk3538_4(X1,X2,X3,X4)
    | ~ esk3743_4(X1,X2,X3,X4) )).

cnf(i_0_5984,axiom,
    ( ~ esk3124_4(X1,X2,X3,X4)
    | esk3126_4(X1,X2,X3,X4) )).

cnf(i_0_5985,axiom,
    ( ~ esk631_0
    | ~ p(X3)
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_5986,axiom,
    ( esk6282_4(X1,X2,X3,X4)
    | ~ esk6517_4(X1,X2,X3,X4) )).

cnf(i_0_5987,axiom,
    ( ~ p(X3)
    | ~ esk484_0
    | p(X4)
    | esk2212_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_5988,axiom,
    ( ~ esk887_0
    | ~ p(X2)
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_5989,axiom,
    ( ~ esk1909_4(X1,X2,X3,X4)
    | esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_5990,axiom,
    ( ~ p(X1)
    | ~ esk299_0
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | esk1874_4(X1,X2,X3,X4) )).

cnf(i_0_5991,axiom,
    ( ~ esk5286_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_5992,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk632_0
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_5993,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6815_4(X1,X2,X3,X4) )).

cnf(i_0_5994,axiom,
    ( ~ esk3626_4(X1,X2,X3,X4)
    | esk3625_4(X1,X2,X3,X4) )).

cnf(i_0_5995,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | esk5832_4(X1,X2,X3,X4)
    | ~ esk5769_4(X1,X2,X3,X4) )).

cnf(i_0_5996,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_5997,axiom,
    ( ~ esk2863_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_5998,axiom,
    ( esk2508_4(X1,X2,X3,X4)
    | ~ esk2506_4(X1,X2,X3,X4) )).

cnf(i_0_5999,axiom,
    ( esk4228_4(X1,X2,X3,X4)
    | esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_6000,axiom,
    ( ~ esk7895_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_6001,axiom,
    ( ~ esk9497_4(X1,X2,X3,X4)
    | esk9499_4(X1,X2,X3,X4) )).

cnf(i_0_6002,axiom,
    ( ~ p(X2)
    | esk2435_4(X1,X2,X3,X4)
    | ~ esk692_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6003,axiom,
    ( esk5635_4(X1,X2,X3,X4)
    | ~ esk6657_4(X1,X2,X3,X4) )).

cnf(i_0_6004,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3375_4(X1,X2,X3,X4) )).

cnf(i_0_6005,axiom,
    ( esk9642_4(X1,X2,X3,X4)
    | ~ esk9643_4(X1,X2,X3,X4)
    | esk9641_4(X1,X2,X3,X4) )).

cnf(i_0_6006,axiom,
    ( esk6698_4(X1,X2,X3,X4)
    | ~ esk6851_4(X1,X2,X3,X4) )).

cnf(i_0_6007,axiom,
    ( ~ esk5018_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4)
    | esk4958_4(X1,X2,X3,X4) )).

cnf(i_0_6008,axiom,
    ( esk4967_4(X1,X2,X3,X4)
    | ~ esk3676_4(X1,X2,X3,X4) )).

cnf(i_0_6009,axiom,
    ( esk7146_4(X1,X2,X3,X4)
    | ~ esk5899_4(X1,X2,X3,X4)
    | ~ esk7145_4(X1,X2,X3,X4) )).

cnf(i_0_6010,axiom,
    ( esk9068_4(X1,X2,X3,X4)
    | ~ esk9067_4(X1,X2,X3,X4) )).

cnf(i_0_6011,axiom,
    ( ~ esk3894_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6012,axiom,
    ( esk8556_4(X1,X2,X3,X4)
    | ~ esk8557_4(X1,X2,X3,X4)
    | esk8555_4(X1,X2,X3,X4) )).

cnf(i_0_6013,axiom,
    ( ~ esk8508_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk486_0 )).

cnf(i_0_6014,axiom,
    ( ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | esk746_0
    | p(X4) )).

cnf(i_0_6015,axiom,
    ( p(X3)
    | esk349_0
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_6016,axiom,
    ( esk8338_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_6017,axiom,
    ( esk8577_4(X1,X2,X3,X4)
    | ~ esk8576_4(X1,X2,X3,X4) )).

cnf(i_0_6018,axiom,
    ( esk2_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_6019,axiom,
    ( ~ esk4808_4(X1,X2,X3,X4)
    | esk4809_4(X1,X2,X3,X4) )).

cnf(i_0_6020,axiom,
    ( p(X1)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk383_0
    | ~ p(X2) )).

cnf(i_0_6021,axiom,
    ( ~ esk6283_4(X1,X2,X3,X4)
    | esk6286_4(X1,X2,X3,X4) )).

cnf(i_0_6022,axiom,
    ( ~ esk1786_4(X1,X2,X3,X4)
    | esk1788_4(X1,X2,X3,X4) )).

cnf(i_0_6023,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1463_4(X1,X2,X3,X4) )).

cnf(i_0_6024,axiom,
    ( ~ esk4662_4(X1,X2,X3,X4)
    | ~ esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_6025,axiom,
    ( esk6693_4(X1,X2,X3,X4)
    | ~ esk6713_4(X1,X2,X3,X4) )).

cnf(i_0_6026,axiom,
    ( ~ esk9306_4(X1,X2,X3,X4)
    | esk9307_4(X1,X2,X3,X4) )).

cnf(i_0_6027,axiom,
    ( p(X3)
    | esk566_0
    | p(X4)
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6028,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk2482_4(X1,X2,X3,X4)
    | esk775_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6029,axiom,
    ( ~ esk7114_4(X1,X2,X3,X4)
    | esk7645_4(X1,X2,X3,X4) )).

cnf(i_0_6030,axiom,
    ( ~ p(X1)
    | ~ esk1316_0
    | esk2952_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_6031,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk7614_4(X1,X2,X3,X4) )).

cnf(i_0_6032,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1598_4(X1,X2,X3,X4) )).

cnf(i_0_6033,axiom,
    ( ~ esk7932_4(X1,X2,X3,X4)
    | esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_6034,axiom,
    ( esk4038_4(X1,X2,X3,X4)
    | ~ esk4036_4(X1,X2,X3,X4) )).

cnf(i_0_6035,axiom,
    ( ~ esk5719_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4)
    | ~ esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_6036,axiom,
    ( esk5757_4(X1,X2,X3,X4)
    | ~ esk5755_4(X1,X2,X3,X4) )).

cnf(i_0_6037,axiom,
    ( ~ esk5387_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4)
    | esk4671_4(X1,X2,X3,X4) )).

cnf(i_0_6038,axiom,
    ( esk5773_4(X1,X2,X3,X4)
    | ~ esk5836_4(X1,X2,X3,X4) )).

cnf(i_0_6039,axiom,
    ( esk4814_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_6040,axiom,
    ( esk1962_4(X1,X2,X3,X4)
    | ~ esk2381_4(X1,X2,X3,X4) )).

cnf(i_0_6041,axiom,
    ( ~ esk4099_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_6042,axiom,
    ( ~ esk4592_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_6043,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | esk8675_4(X1,X2,X3,X4)
    | ~ esk8209_4(X1,X2,X3,X4) )).

cnf(i_0_6044,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk9150_4(X1,X2,X3,X4)
    | esk1035_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_6045,axiom,
    ( ~ esk6185_4(X1,X2,X3,X4)
    | esk4085_4(X1,X2,X3,X4) )).

cnf(i_0_6046,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk474_0
    | p(X4)
    | p(X1)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_6047,axiom,
    ( esk4212_4(X1,X2,X3,X4)
    | ~ esk4249_4(X1,X2,X3,X4) )).

cnf(i_0_6048,axiom,
    ( esk7092_4(X1,X2,X3,X4)
    | ~ esk5885_4(X1,X2,X3,X4) )).

cnf(i_0_6049,axiom,
    ( esk1676_4(X1,X2,X3,X4)
    | ~ esk1675_4(X1,X2,X3,X4) )).

cnf(i_0_6050,axiom,
    ( esk5955_4(X1,X2,X3,X4)
    | ~ esk5658_4(X1,X2,X3,X4) )).

cnf(i_0_6051,axiom,
    ( ~ esk3696_4(X1,X2,X3,X4)
    | esk3698_4(X1,X2,X3,X4) )).

cnf(i_0_6052,axiom,
    ( esk9382_4(X1,X2,X3,X4)
    | esk9381_4(X1,X2,X3,X4)
    | ~ esk9383_4(X1,X2,X3,X4) )).

cnf(i_0_6053,axiom,
    ( p(X1)
    | esk459_0
    | ~ p(X2)
    | p(X4)
    | ~ esk8391_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_6054,axiom,
    ( ~ esk8590_4(X1,X2,X3,X4)
    | esk8591_4(X1,X2,X3,X4) )).

cnf(i_0_6055,axiom,
    ( esk4608_4(X1,X2,X3,X4)
    | esk3785_4(X1,X2,X3,X4) )).

cnf(i_0_6056,axiom,
    ( ~ esk880_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk9093_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_6057,axiom,
    ( esk3558_4(X1,X2,X3,X4)
    | esk3557_4(X1,X2,X3,X4)
    | ~ esk3559_4(X1,X2,X3,X4) )).

cnf(i_0_6058,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6466_4(X1,X2,X3,X4)
    | esk6500_4(X1,X2,X3,X4) )).

cnf(i_0_6059,axiom,
    ( ~ esk3620_4(X1,X2,X3,X4)
    | esk5018_4(X1,X2,X3,X4)
    | esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_6060,axiom,
    ( esk4308_4(X1,X2,X3,X4)
    | ~ esk4346_4(X1,X2,X3,X4) )).

cnf(i_0_6061,axiom,
    ( esk7253_4(X1,X2,X3,X4)
    | ~ esk7254_4(X1,X2,X3,X4) )).

cnf(i_0_6062,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk4642_4(X1,X2,X3,X4) )).

cnf(i_0_6063,axiom,
    ( ~ esk1613_4(X1,X2,X3,X4)
    | esk1615_4(X1,X2,X3,X4) )).

cnf(i_0_6064,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7454_4(X1,X2,X3,X4) )).

cnf(i_0_6065,axiom,
    ( ~ esk7394_4(X1,X2,X3,X4)
    | esk7393_4(X1,X2,X3,X4) )).

cnf(i_0_6066,axiom,
    ( esk9315_4(X1,X2,X3,X4)
    | ~ esk9321_4(X1,X2,X3,X4) )).

cnf(i_0_6067,axiom,
    ( ~ esk6236_4(X1,X2,X3,X4)
    | esk6172_4(X1,X2,X3,X4) )).

cnf(i_0_6068,axiom,
    ( esk4189_4(X1,X2,X3,X4)
    | esk4225_4(X1,X2,X3,X4)
    | ~ esk4226_4(X1,X2,X3,X4) )).

cnf(i_0_6069,axiom,
    ( ~ esk8585_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk526_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_6070,axiom,
    ( ~ p(X1)
    | esk1171_0
    | ~ esk9182_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6071,axiom,
    ( ~ esk7603_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_6072,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk983_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_6073,axiom,
    ( ~ esk9188_4(X1,X2,X3,X4)
    | esk8003_4(X1,X2,X3,X4) )).

cnf(i_0_6074,axiom,
    ( esk7904_4(X1,X2,X3,X4)
    | ~ esk9194_4(X1,X2,X3,X4) )).

cnf(i_0_6075,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk936_0
    | ~ p(X2)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_6076,axiom,
    ( ~ esk7091_4(X1,X2,X3,X4)
    | esk9191_4(X1,X2,X3,X4) )).

cnf(i_0_6077,axiom,
    ( ~ esk4466_4(X1,X2,X3,X4)
    | esk5370_4(X1,X2,X3,X4) )).

cnf(i_0_6078,axiom,
    ( esk969_0
    | p(X4)
    | ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6079,axiom,
    ( esk9564_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_6080,axiom,
    ( esk8487_4(X1,X2,X3,X4)
    | ~ esk8486_4(X1,X2,X3,X4) )).

cnf(i_0_6081,axiom,
    ( esk7606_4(X1,X2,X3,X4)
    | ~ esk7605_4(X1,X2,X3,X4)
    | ~ esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_6082,axiom,
    ( ~ esk6375_4(X1,X2,X3,X4)
    | esk6376_4(X1,X2,X3,X4) )).

cnf(i_0_6083,axiom,
    ( esk3703_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_6084,axiom,
    ( ~ esk7462_4(X1,X2,X3,X4)
    | esk7448_4(X1,X2,X3,X4) )).

cnf(i_0_6085,axiom,
    ( p(X4)
    | esk1321_0
    | ~ esk2952_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_6086,axiom,
    ( esk6727_4(X1,X2,X3,X4)
    | ~ esk6728_4(X1,X2,X3,X4) )).

cnf(i_0_6087,axiom,
    ( ~ esk8509_4(X1,X2,X3,X4)
    | esk7715_4(X1,X2,X3,X4) )).

cnf(i_0_6088,axiom,
    ( ~ esk7130_4(X1,X2,X3,X4)
    | esk5823_4(X1,X2,X3,X4)
    | ~ esk5822_4(X1,X2,X3,X4) )).

cnf(i_0_6089,axiom,
    ( ~ esk4150_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_6090,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk566_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6091,axiom,
    ( esk7138_4(X1,X2,X3,X4)
    | ~ esk7137_4(X1,X2,X3,X4) )).

cnf(i_0_6092,axiom,
    ( ~ esk6207_4(X1,X2,X3,X4)
    | esk6495_4(X1,X2,X3,X4)
    | ~ esk6494_4(X1,X2,X3,X4) )).

cnf(i_0_6093,axiom,
    ( ~ esk4214_4(X1,X2,X3,X4)
    | esk4216_4(X1,X2,X3,X4) )).

cnf(i_0_6094,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9541_4(X1,X2,X3,X4)
    | ~ esk9540_4(X1,X2,X3,X4) )).

cnf(i_0_6095,axiom,
    ( esk1900_4(X1,X2,X3,X4)
    | ~ esk1968_4(X1,X2,X3,X4) )).

cnf(i_0_6096,axiom,
    ( ~ esk5969_4(X1,X2,X3,X4)
    | esk5970_4(X1,X2,X3,X4) )).

cnf(i_0_6097,axiom,
    ( esk1082_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_6098,axiom,
    ( esk8826_4(X1,X2,X3,X4)
    | ~ esk8827_4(X1,X2,X3,X4) )).

cnf(i_0_6099,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | esk2419_4(X1,X2,X3,X4)
    | ~ esk559_0
    | p(X1) )).

cnf(i_0_6100,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk1244_0
    | ~ p(X1)
    | ~ esk2914_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_6101,axiom,
    ( esk4906_4(X1,X2,X3,X4)
    | ~ esk4784_4(X1,X2,X3,X4) )).

cnf(i_0_6102,axiom,
    ( esk1464_4(X1,X2,X3,X4)
    | ~ esk1463_4(X1,X2,X3,X4) )).

cnf(i_0_6103,axiom,
    ( ~ esk8652_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_6104,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7425_4(X1,X2,X3,X4) )).

cnf(i_0_6105,axiom,
    ( esk9111_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk1015_0
    | ~ p(X2) )).

cnf(i_0_6106,axiom,
    ( ~ esk1876_4(X1,X2,X3,X4)
    | ~ esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_6107,axiom,
    ( esk2652_4(X1,X2,X3,X4)
    | ~ esk2654_4(X1,X2,X3,X4)
    | esk2653_4(X1,X2,X3,X4) )).

cnf(i_0_6108,axiom,
    ( esk6540_4(X1,X2,X3,X4)
    | ~ esk6538_4(X1,X2,X3,X4) )).

cnf(i_0_6109,axiom,
    ( ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk125_0
    | p(X2)
    | p(X4) )).

cnf(i_0_6110,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | ~ esk2952_4(X1,X2,X3,X4)
    | p(X4)
    | esk1_0 )).

cnf(i_0_6111,axiom,
    ( esk3209_4(X1,X2,X3,X4)
    | ~ esk3210_4(X1,X2,X3,X4)
    | esk3208_4(X1,X2,X3,X4) )).

cnf(i_0_6112,axiom,
    ( esk4894_4(X1,X2,X3,X4)
    | ~ esk4649_4(X1,X2,X3,X4) )).

cnf(i_0_6113,axiom,
    ( esk6716_4(X1,X2,X3,X4)
    | esk6717_4(X1,X2,X3,X4)
    | ~ esk6718_4(X1,X2,X3,X4) )).

cnf(i_0_6114,axiom,
    ( ~ esk2657_4(X1,X2,X3,X4)
    | esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_6115,axiom,
    ( ~ esk5614_4(X1,X2,X3,X4)
    | esk6156_4(X1,X2,X3,X4) )).

cnf(i_0_6116,axiom,
    ( ~ esk4347_4(X1,X2,X3,X4)
    | esk4346_4(X1,X2,X3,X4)
    | esk4345_4(X1,X2,X3,X4) )).

cnf(i_0_6117,axiom,
    ( esk8647_4(X1,X2,X3,X4)
    | ~ esk8646_4(X1,X2,X3,X4) )).

cnf(i_0_6118,axiom,
    ( ~ esk8623_4(X1,X2,X3,X4)
    | esk8621_4(X1,X2,X3,X4)
    | esk8622_4(X1,X2,X3,X4) )).

cnf(i_0_6119,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1052_0
    | ~ p(X1)
    | p(X4)
    | ~ esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_6120,axiom,
    ( ~ esk7350_4(X1,X2,X3,X4)
    | esk7352_4(X1,X2,X3,X4) )).

cnf(i_0_6121,axiom,
    ( ~ esk5974_4(X1,X2,X3,X4)
    | esk3874_4(X1,X2,X3,X4) )).

cnf(i_0_6122,axiom,
    ( ~ esk4836_4(X1,X2,X3,X4)
    | esk4838_4(X1,X2,X3,X4) )).

cnf(i_0_6123,axiom,
    ( p(X3)
    | ~ esk9170_4(X1,X2,X3,X4)
    | esk1092_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6124,axiom,
    ( ~ esk199_0
    | p(X4)
    | ~ p(X3)
    | esk1754_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_6125,axiom,
    ( esk7174_4(X1,X2,X3,X4)
    | esk7175_4(X1,X2,X3,X4)
    | ~ esk7176_4(X1,X2,X3,X4) )).

cnf(i_0_6126,axiom,
    ( esk1588_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_6127,axiom,
    ( ~ esk3290_4(X1,X2,X3,X4)
    | esk2470_4(X1,X2,X3,X4) )).

cnf(i_0_6128,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4)
    | esk9121_4(X1,X2,X3,X4) )).

cnf(i_0_6129,axiom,
    ( ~ esk6915_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6130,axiom,
    ( esk3444_4(X1,X2,X3,X4)
    | ~ esk3447_4(X1,X2,X3,X4)
    | esk3446_4(X1,X2,X3,X4)
    | esk3445_4(X1,X2,X3,X4) )).

cnf(i_0_6131,axiom,
    ( ~ esk9166_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1064_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6132,axiom,
    ( esk4436_4(X1,X2,X3,X4)
    | esk4435_4(X1,X2,X3,X4)
    | ~ esk4437_4(X1,X2,X3,X4) )).

cnf(i_0_6133,axiom,
    ( esk4227_4(X1,X2,X3,X4)
    | esk4304_4(X1,X2,X3,X4)
    | ~ esk4343_4(X1,X2,X3,X4) )).

cnf(i_0_6134,axiom,
    ( ~ esk5946_4(X1,X2,X3,X4)
    | esk5588_4(X1,X2,X3,X4) )).

cnf(i_0_6135,axiom,
    ( ~ esk2332_4(X1,X2,X3,X4)
    | esk2334_4(X1,X2,X3,X4) )).

cnf(i_0_6136,axiom,
    ( ~ esk9092_4(X1,X2,X3,X4)
    | ~ esk8892_4(X1,X2,X3,X4)
    | esk8893_4(X1,X2,X3,X4) )).

cnf(i_0_6137,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk9176_4(X1,X2,X3,X4)
    | p(X2)
    | esk1131_0 )).

cnf(i_0_6138,axiom,
    ( p(X3)
    | esk1_0
    | ~ esk2451_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_6139,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9555_4(X1,X2,X3,X4)
    | esk9558_4(X1,X2,X3,X4) )).

cnf(i_0_6140,axiom,
    ( esk7924_4(X1,X2,X3,X4)
    | ~ esk7923_4(X1,X2,X3,X4) )).

cnf(i_0_6141,axiom,
    ( p(X3)
    | ~ esk184_0
    | p(X2)
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_6142,axiom,
    ( esk4418_4(X1,X2,X3,X4)
    | ~ esk3967_4(X1,X2,X3,X4) )).

cnf(i_0_6143,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | ~ esk2466_4(X1,X2,X3,X4) )).

cnf(i_0_6144,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk1093_0
    | ~ esk9170_4(X1,X2,X3,X4) )).

cnf(i_0_6145,axiom,
    ( esk6141_4(X1,X2,X3,X4)
    | ~ esk6140_4(X1,X2,X3,X4) )).

cnf(i_0_6146,axiom,
    ( esk3267_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_6147,axiom,
    ( esk1603_4(X1,X2,X3,X4)
    | ~ esk2893_4(X1,X2,X3,X4) )).

cnf(i_0_6148,axiom,
    ( ~ p(X2)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X3)
    | esk38_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_6149,axiom,
    ( ~ esk6134_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_6150,axiom,
    ( esk2937_4(X1,X2,X3,X4)
    | ~ esk2938_4(X1,X2,X3,X4) )).

cnf(i_0_6151,axiom,
    ( esk1608_4(X1,X2,X3,X4)
    | ~ esk1609_4(X1,X2,X3,X4) )).

cnf(i_0_6152,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | esk8778_4(X1,X2,X3,X4)
    | ~ esk772_0
    | ~ p(X2) )).

cnf(i_0_6153,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6527_4(X1,X2,X3,X4) )).

cnf(i_0_6154,axiom,
    ( ~ esk3283_4(X1,X2,X3,X4)
    | esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_6155,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8985_4(X1,X2,X3,X4)
    | ~ esk8984_4(X1,X2,X3,X4) )).

cnf(i_0_6156,axiom,
    ( esk6985_4(X1,X2,X3,X4)
    | ~ esk6887_4(X1,X2,X3,X4) )).

cnf(i_0_6157,axiom,
    ( esk5625_4(X1,X2,X3,X4)
    | ~ esk5632_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6158,axiom,
    ( ~ esk7573_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_6159,axiom,
    ( esk9691_4(X1,X2,X3,X4)
    | ~ esk9690_4(X1,X2,X3,X4) )).

cnf(i_0_6160,axiom,
    ( esk2383_4(X1,X2,X3,X4)
    | ~ esk2382_4(X1,X2,X3,X4) )).

cnf(i_0_6161,axiom,
    ( ~ esk4149_4(X1,X2,X3,X4)
    | ~ esk4092_4(X1,X2,X3,X4)
    | ~ esk4148_4(X1,X2,X3,X4) )).

cnf(i_0_6162,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk9109_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1004_0
    | ~ p(X1) )).

cnf(i_0_6163,axiom,
    ( ~ esk5872_4(X1,X2,X3,X4)
    | esk5871_4(X1,X2,X3,X4) )).

cnf(i_0_6164,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X1)
    | esk378_0
    | p(X3) )).

cnf(i_0_6165,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk586_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_6166,axiom,
    ( ~ esk5848_4(X1,X2,X3,X4)
    | esk5849_4(X1,X2,X3,X4) )).

cnf(i_0_6167,axiom,
    ( ~ esk4217_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6168,axiom,
    ( esk5675_4(X1,X2,X3,X4)
    | ~ esk5843_4(X1,X2,X3,X4) )).

cnf(i_0_6169,axiom,
    ( ~ esk7435_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_6170,axiom,
    ( esk1498_4(X1,X2,X3,X4)
    | ~ esk1496_4(X1,X2,X3,X4) )).

cnf(i_0_6171,axiom,
    ( esk6680_4(X1,X2,X3,X4)
    | ~ esk7057_4(X1,X2,X3,X4) )).

cnf(i_0_6172,axiom,
    ( ~ esk1247_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6173,axiom,
    ( ~ esk1509_4(X1,X2,X3,X4)
    | esk1481_4(X1,X2,X3,X4) )).

cnf(i_0_6174,axiom,
    ( ~ p(X3)
    | esk7774_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk74_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_6175,axiom,
    ( esk7358_4(X1,X2,X3,X4)
    | ~ esk7357_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_6176,axiom,
    ( esk869_0
    | p(X3)
    | p(X4)
    | ~ esk2795_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_6177,axiom,
    ( ~ esk4734_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | esk4735_4(X1,X2,X3,X4) )).

cnf(i_0_6178,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk9099_4(X1,X2,X3,X4)
    | ~ esk927_0
    | p(X2) )).

cnf(i_0_6179,axiom,
    ( esk3973_4(X1,X2,X3,X4)
    | ~ esk4080_4(X1,X2,X3,X4) )).

cnf(i_0_6180,axiom,
    ( esk6150_4(X1,X2,X3,X4)
    | ~ esk6192_4(X1,X2,X3,X4) )).

cnf(i_0_6181,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4511_4(X1,X2,X3,X4) )).

cnf(i_0_6182,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6079_4(X1,X2,X3,X4) )).

cnf(i_0_6183,axiom,
    ( p(X4)
    | p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | ~ esk553_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6184,axiom,
    ( esk6949_4(X1,X2,X3,X4)
    | ~ esk6947_4(X1,X2,X3,X4) )).

cnf(i_0_6185,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7915_4(X1,X2,X3,X4) )).

cnf(i_0_6186,axiom,
    ( esk6042_4(X1,X2,X3,X4)
    | ~ esk6041_4(X1,X2,X3,X4)
    | ~ esk5978_4(X1,X2,X3,X4) )).

cnf(i_0_6187,axiom,
    ( ~ esk6392_4(X1,X2,X3,X4)
    | esk6430_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6188,axiom,
    ( esk7686_4(X1,X2,X3,X4)
    | ~ esk8047_4(X1,X2,X3,X4) )).

cnf(i_0_6189,axiom,
    ( p(X2)
    | ~ esk814_0
    | p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_6190,axiom,
    ( esk6133_4(X1,X2,X3,X4)
    | ~ esk6131_4(X1,X2,X3,X4) )).

cnf(i_0_6191,axiom,
    ( ~ esk4857_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_6192,axiom,
    ( ~ esk1842_4(X1,X2,X3,X4)
    | esk1862_4(X1,X2,X3,X4) )).

cnf(i_0_6193,axiom,
    ( ~ esk5235_4(X1,X2,X3,X4)
    | esk5229_4(X1,X2,X3,X4) )).

cnf(i_0_6194,axiom,
    ( ~ p(X2)
    | esk2482_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk774_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6195,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk2952_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1321_0
    | ~ p(X3) )).

cnf(i_0_6196,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk570_0
    | ~ esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_6197,axiom,
    ( esk6998_4(X1,X2,X3,X4)
    | ~ esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_6198,axiom,
    ( ~ esk6635_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4)
    | esk6078_4(X1,X2,X3,X4) )).

cnf(i_0_6199,axiom,
    ( ~ esk3653_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_6200,axiom,
    ( esk2791_4(X1,X2,X3,X4)
    | ~ esk2697_4(X1,X2,X3,X4) )).

cnf(i_0_6201,axiom,
    ( esk3711_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_6202,axiom,
    ( esk3765_4(X1,X2,X3,X4)
    | ~ esk3764_4(X1,X2,X3,X4)
    | ~ esk3801_4(X1,X2,X3,X4) )).

cnf(i_0_6203,axiom,
    ( esk6815_4(X1,X2,X3,X4)
    | ~ esk6816_4(X1,X2,X3,X4)
    | esk6814_4(X1,X2,X3,X4) )).

cnf(i_0_6204,axiom,
    ( ~ esk6551_4(X1,X2,X3,X4)
    | esk6552_4(X1,X2,X3,X4) )).

cnf(i_0_6205,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4368_4(X1,X2,X3,X4)
    | esk4369_4(X1,X2,X3,X4) )).

cnf(i_0_6206,axiom,
    ( ~ esk4350_4(X1,X2,X3,X4)
    | esk3518_4(X1,X2,X3,X4) )).

cnf(i_0_6207,axiom,
    ( ~ esk4880_4(X1,X2,X3,X4)
    | esk5513_4(X1,X2,X3,X4) )).

cnf(i_0_6208,axiom,
    ( esk5986_4(X1,X2,X3,X4)
    | ~ esk5984_4(X1,X2,X3,X4) )).

cnf(i_0_6209,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8642_4(X1,X2,X3,X4) )).

cnf(i_0_6210,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk89_0 )).

cnf(i_0_6211,axiom,
    ( esk999_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_6212,axiom,
    ( ~ esk3080_4(X1,X2,X3,X4)
    | esk3074_4(X1,X2,X3,X4) )).

cnf(i_0_6213,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3183_4(X1,X2,X3,X4) )).

cnf(i_0_6214,axiom,
    ( ~ esk4270_4(X1,X2,X3,X4)
    | esk4183_4(X1,X2,X3,X4) )).

cnf(i_0_6215,axiom,
    ( esk9086_4(X1,X2,X3,X4)
    | ~ esk6986_4(X1,X2,X3,X4) )).

cnf(i_0_6216,axiom,
    ( esk8374_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8373_4(X1,X2,X3,X4) )).

cnf(i_0_6217,axiom,
    ( esk216_0
    | ~ p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_6218,axiom,
    ( esk7089_4(X1,X2,X3,X4)
    | ~ esk5904_4(X1,X2,X3,X4) )).

cnf(i_0_6219,axiom,
    ( ~ esk6716_4(X1,X2,X3,X4)
    | esk6715_4(X1,X2,X3,X4) )).

cnf(i_0_6220,axiom,
    ( ~ esk7066_4(X1,X2,X3,X4)
    | esk4966_4(X1,X2,X3,X4) )).

cnf(i_0_6221,axiom,
    ( ~ p(X1)
    | esk2321_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk538_0 )).

cnf(i_0_6222,axiom,
    ( esk648_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk2431_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_6223,axiom,
    ( p(X3)
    | esk259_0
    | p(X2)
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_6224,axiom,
    ( esk9328_4(X1,X2,X3,X4)
    | ~ esk9329_4(X1,X2,X3,X4) )).

cnf(i_0_6225,axiom,
    ( esk5786_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_6226,axiom,
    ( esk8085_4(X1,X2,X3,X4)
    | ~ esk8083_4(X1,X2,X3,X4) )).

cnf(i_0_6227,axiom,
    ( ~ esk5892_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6228,axiom,
    ( ~ esk2632_4(X1,X2,X3,X4)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_6229,axiom,
    ( ~ esk6898_4(X1,X2,X3,X4)
    | esk6718_4(X1,X2,X3,X4) )).

cnf(i_0_6230,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9616_4(X1,X2,X3,X4) )).

cnf(i_0_6231,axiom,
    ( esk4238_4(X1,X2,X3,X4)
    | ~ esk4237_4(X1,X2,X3,X4) )).

cnf(i_0_6232,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2380_4(X1,X2,X3,X4) )).

cnf(i_0_6233,axiom,
    ( ~ esk7243_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_6234,axiom,
    ( esk1739_4(X1,X2,X3,X4)
    | ~ esk1737_4(X1,X2,X3,X4) )).

cnf(i_0_6235,axiom,
    ( esk6160_4(X1,X2,X3,X4)
    | ~ esk6158_4(X1,X2,X3,X4) )).

cnf(i_0_6236,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk207_0
    | p(X3)
    | ~ esk8050_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_6237,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk1961_4(X1,X2,X3,X4) )).

cnf(i_0_6238,axiom,
    ( esk6685_4(X1,X2,X3,X4)
    | ~ esk6372_4(X1,X2,X3,X4) )).

cnf(i_0_6239,axiom,
    ( ~ esk9177_4(X1,X2,X3,X4)
    | esk7789_4(X1,X2,X3,X4)
    | ~ esk7788_4(X1,X2,X3,X4) )).

cnf(i_0_6240,axiom,
    ( ~ esk5920_4(X1,X2,X3,X4)
    | esk5921_4(X1,X2,X3,X4) )).

cnf(i_0_6241,axiom,
    ( esk5837_4(X1,X2,X3,X4)
    | ~ esk5836_4(X1,X2,X3,X4) )).

cnf(i_0_6242,axiom,
    ( ~ esk3672_4(X1,X2,X3,X4)
    | esk5055_4(X1,X2,X3,X4) )).

cnf(i_0_6243,axiom,
    ( esk6323_4(X1,X2,X3,X4)
    | ~ esk6600_4(X1,X2,X3,X4) )).

cnf(i_0_6244,axiom,
    ( ~ esk5976_4(X1,X2,X3,X4)
    | esk6730_4(X1,X2,X3,X4) )).

cnf(i_0_6245,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk1785_4(X1,X2,X3,X4) )).

cnf(i_0_6246,axiom,
    ( ~ esk7609_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_6247,axiom,
    ( esk9190_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk1194_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_6248,axiom,
    ( ~ esk8560_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_6249,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6910_4(X1,X2,X3,X4) )).

cnf(i_0_6250,axiom,
    ( ~ esk7294_4(X1,X2,X3,X4)
    | esk7280_4(X1,X2,X3,X4) )).

cnf(i_0_6251,axiom,
    ( ~ esk5667_4(X1,X2,X3,X4)
    | ~ esk5898_4(X1,X2,X3,X4)
    | esk5668_4(X1,X2,X3,X4) )).

cnf(i_0_6252,axiom,
    ( esk1892_4(X1,X2,X3,X4)
    | ~ esk1891_4(X1,X2,X3,X4) )).

cnf(i_0_6253,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8198_4(X1,X2,X3,X4) )).

cnf(i_0_6254,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk9095_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk899_0
    | ~ p(X4) )).

cnf(i_0_6255,axiom,
    ( esk4148_4(X1,X2,X3,X4)
    | ~ esk4092_4(X1,X2,X3,X4)
    | esk4149_4(X1,X2,X3,X4) )).

cnf(i_0_6256,axiom,
    ( esk4200_4(X1,X2,X3,X4)
    | ~ esk4237_4(X1,X2,X3,X4) )).

cnf(i_0_6257,axiom,
    ( ~ esk2095_4(X1,X2,X3,X4)
    | p(X3)
    | esk453_0
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_6258,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4313_4(X1,X2,X3,X4)
    | esk4314_4(X1,X2,X3,X4) )).

cnf(i_0_6259,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4)
    | ~ esk1879_4(X1,X2,X3,X4) )).

cnf(i_0_6260,axiom,
    ( esk6462_4(X1,X2,X3,X4)
    | ~ esk6496_4(X1,X2,X3,X4) )).

cnf(i_0_6261,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4100_4(X1,X2,X3,X4)
    | esk4126_4(X1,X2,X3,X4) )).

cnf(i_0_6262,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk300_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_6263,axiom,
    ( esk5606_4(X1,X2,X3,X4)
    | ~ esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_6264,axiom,
    ( esk1457_4(X1,X2,X3,X4)
    | ~ esk1458_4(X1,X2,X3,X4) )).

cnf(i_0_6265,axiom,
    ( esk1810_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_6266,axiom,
    ( ~ esk2852_4(X1,X2,X3,X4)
    | esk2853_4(X1,X2,X3,X4) )).

cnf(i_0_6267,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk550_0
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_6268,axiom,
    ( ~ esk8754_4(X1,X2,X3,X4)
    | esk8756_4(X1,X2,X3,X4) )).

cnf(i_0_6269,axiom,
    ( esk6149_4(X1,X2,X3,X4)
    | ~ esk6856_4(X1,X2,X3,X4) )).

cnf(i_0_6270,axiom,
    ( ~ p(X1)
    | ~ esk8469_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk481_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_6271,axiom,
    ( ~ esk6855_4(X1,X2,X3,X4)
    | esk6856_4(X1,X2,X3,X4) )).

cnf(i_0_6272,axiom,
    ( esk5030_4(X1,X2,X3,X4)
    | ~ esk7130_4(X1,X2,X3,X4) )).

cnf(i_0_6273,axiom,
    ( esk2071_4(X1,X2,X3,X4)
    | ~ esk2069_4(X1,X2,X3,X4) )).

cnf(i_0_6274,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5863_4(X1,X2,X3,X4) )).

cnf(i_0_6275,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk7125_4(X1,X2,X3,X4) )).

cnf(i_0_6276,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk628_0
    | p(X2) )).

cnf(i_0_6277,axiom,
    ( esk8733_4(X1,X2,X3,X4)
    | ~ esk699_0
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_6278,axiom,
    ( esk8088_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_6279,axiom,
    ( p(X2)
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk791_0
    | ~ p(X1) )).

cnf(i_0_6280,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk1342_0
    | p(X4)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_6281,axiom,
    ( ~ esk8036_4(X1,X2,X3,X4)
    | esk8034_4(X1,X2,X3,X4)
    | esk8035_4(X1,X2,X3,X4) )).

cnf(i_0_6282,axiom,
    ( ~ esk6082_4(X1,X2,X3,X4)
    | esk6083_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_6283,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1724_4(X1,X2,X3,X4) )).

cnf(i_0_6284,axiom,
    ( ~ esk9023_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_6285,axiom,
    ( esk3082_4(X1,X2,X3,X4)
    | ~ esk3081_4(X1,X2,X3,X4) )).

cnf(i_0_6286,axiom,
    ( esk3302_4(X1,X2,X3,X4)
    | ~ esk2581_4(X1,X2,X3,X4) )).

cnf(i_0_6287,axiom,
    ( ~ esk3185_4(X1,X2,X3,X4)
    | esk3186_4(X1,X2,X3,X4) )).

cnf(i_0_6288,axiom,
    ( ~ esk6768_4(X1,X2,X3,X4)
    | esk6184_4(X1,X2,X3,X4) )).

cnf(i_0_6289,axiom,
    ( esk1660_4(X1,X2,X3,X4)
    | ~ esk1658_4(X1,X2,X3,X4) )).

cnf(i_0_6290,axiom,
    ( ~ esk8576_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_6291,axiom,
    ( esk9109_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ esk999_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6292,axiom,
    ( esk741_0
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk2453_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_6293,axiom,
    ( esk4677_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_6294,axiom,
    ( esk5473_4(X1,X2,X3,X4)
    | ~ esk4828_4(X1,X2,X3,X4) )).

cnf(i_0_6295,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7055_4(X1,X2,X3,X4) )).

cnf(i_0_6296,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk7279_4(X1,X2,X3,X4)
    | ~ esk7276_4(X1,X2,X3,X4) )).

cnf(i_0_6297,axiom,
    ( esk9431_4(X1,X2,X3,X4)
    | ~ esk9429_4(X1,X2,X3,X4) )).

cnf(i_0_6298,axiom,
    ( esk7909_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_6299,axiom,
    ( ~ esk8246_4(X1,X2,X3,X4)
    | ~ esk8280_4(X1,X2,X3,X4)
    | ~ esk8281_4(X1,X2,X3,X4) )).

cnf(i_0_6300,axiom,
    ( ~ esk5522_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_6301,axiom,
    ( ~ esk2460_4(X1,X2,X3,X4)
    | esk2461_4(X1,X2,X3,X4)
    | ~ esk2478_4(X1,X2,X3,X4) )).

cnf(i_0_6302,axiom,
    ( ~ esk4151_4(X1,X2,X3,X4)
    | esk4153_4(X1,X2,X3,X4) )).

cnf(i_0_6303,axiom,
    ( ~ esk1930_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_6304,axiom,
    ( p(X3)
    | esk8170_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ esk288_0 )).

cnf(i_0_6305,axiom,
    ( ~ esk6064_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6306,axiom,
    ( ~ esk2609_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_6307,axiom,
    ( esk7198_4(X1,X2,X3,X4)
    | ~ esk7197_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_6308,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk873_0
    | p(X2) )).

cnf(i_0_6309,axiom,
    ( esk3174_4(X1,X2,X3,X4)
    | ~ esk3173_4(X1,X2,X3,X4) )).

cnf(i_0_6310,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | ~ esk3762_4(X1,X2,X3,X4) )).

cnf(i_0_6311,axiom,
    ( ~ esk4643_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_6312,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk1497_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_6313,axiom,
    ( p(X1)
    | ~ esk1860_4(X1,X2,X3,X4)
    | esk274_0
    | p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_6314,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | ~ esk4684_4(X1,X2,X3,X4) )).

cnf(i_0_6315,axiom,
    ( esk2711_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_6316,axiom,
    ( esk6999_4(X1,X2,X3,X4)
    | ~ esk6871_4(X1,X2,X3,X4) )).

cnf(i_0_6317,axiom,
    ( esk1633_4(X1,X2,X3,X4)
    | ~ esk1632_4(X1,X2,X3,X4)
    | ~ esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_6318,axiom,
    ( esk5007_4(X1,X2,X3,X4)
    | ~ esk3708_4(X1,X2,X3,X4) )).

cnf(i_0_6319,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | ~ esk2958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1345_0 )).

cnf(i_0_6320,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | esk1521_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_6321,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk894_0
    | ~ p(X2)
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_6322,axiom,
    ( ~ esk7757_4(X1,X2,X3,X4)
    | esk8054_4(X1,X2,X3,X4) )).

cnf(i_0_6323,axiom,
    ( p(X1)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk831_0 )).

cnf(i_0_6324,axiom,
    ( ~ esk2045_4(X1,X2,X3,X4)
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_6325,axiom,
    ( ~ esk5155_4(X1,X2,X3,X4)
    | esk5157_4(X1,X2,X3,X4) )).

cnf(i_0_6326,axiom,
    ( ~ esk9342_4(X1,X2,X3,X4)
    | esk9339_4(X1,X2,X3,X4) )).

cnf(i_0_6327,axiom,
    ( esk5753_4(X1,X2,X3,X4)
    | ~ esk5816_4(X1,X2,X3,X4) )).

cnf(i_0_6328,axiom,
    ( ~ esk3690_4(X1,X2,X3,X4)
    | esk3688_4(X1,X2,X3,X4)
    | esk3689_4(X1,X2,X3,X4) )).

cnf(i_0_6329,axiom,
    ( ~ esk1799_4(X1,X2,X3,X4)
    | esk1800_4(X1,X2,X3,X4) )).

cnf(i_0_6330,axiom,
    ( ~ esk952_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_6331,axiom,
    ( ~ esk1705_4(X1,X2,X3,X4)
    | ~ esk1461_4(X1,X2,X3,X4)
    | esk1462_4(X1,X2,X3,X4) )).

cnf(i_0_6332,axiom,
    ( esk6446_4(X1,X2,X3,X4)
    | ~ esk6292_4(X1,X2,X3,X4) )).

cnf(i_0_6333,axiom,
    ( ~ esk1268_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk9218_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_6334,axiom,
    ( esk8443_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_6335,axiom,
    ( ~ esk1412_4(X1,X2,X3,X4)
    | esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_6336,axiom,
    ( ~ esk4440_4(X1,X2,X3,X4)
    | esk4441_4(X1,X2,X3,X4) )).

cnf(i_0_6337,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | esk8144_4(X1,X2,X3,X4) )).

cnf(i_0_6338,axiom,
    ( esk9105_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk974_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6339,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk8048_4(X1,X2,X3,X4)
    | ~ esk194_0 )).

cnf(i_0_6340,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1975_4(X1,X2,X3,X4) )).

cnf(i_0_6341,axiom,
    ( esk4863_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_6342,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk101_0
    | esk1641_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_6343,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7274_4(X1,X2,X3,X4) )).

cnf(i_0_6344,axiom,
    ( p(X3)
    | esk641_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_6345,axiom,
    ( ~ esk5013_4(X1,X2,X3,X4)
    | esk2913_4(X1,X2,X3,X4) )).

cnf(i_0_6346,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk9618_4(X1,X2,X3,X4)
    | ~ esk8899_4(X1,X2,X3,X4) )).

cnf(i_0_6347,axiom,
    ( p(X3)
    | p(X1)
    | esk859_0
    | ~ p(X4)
    | p(X2)
    | ~ esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_6348,axiom,
    ( esk6692_4(X1,X2,X3,X4)
    | ~ esk6024_4(X1,X2,X3,X4) )).

cnf(i_0_6349,axiom,
    ( esk8246_4(X1,X2,X3,X4)
    | esk8245_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_6350,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | ~ esk3669_4(X1,X2,X3,X4) )).

cnf(i_0_6351,axiom,
    ( ~ esk6391_4(X1,X2,X3,X4)
    | esk6392_4(X1,X2,X3,X4) )).

cnf(i_0_6352,axiom,
    ( ~ esk6609_4(X1,X2,X3,X4)
    | esk6607_4(X1,X2,X3,X4)
    | esk6608_4(X1,X2,X3,X4) )).

cnf(i_0_6353,axiom,
    ( esk1908_4(X1,X2,X3,X4)
    | ~ esk1976_4(X1,X2,X3,X4) )).

cnf(i_0_6354,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk2874_4(X1,X2,X3,X4)
    | ~ esk1095_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6355,axiom,
    ( ~ esk6982_4(X1,X2,X3,X4)
    | esk6925_4(X1,X2,X3,X4) )).

cnf(i_0_6356,axiom,
    ( esk8422_4(X1,X2,X3,X4)
    | ~ esk8419_4(X1,X2,X3,X4) )).

cnf(i_0_6357,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2748_4(X1,X2,X3,X4) )).

cnf(i_0_6358,axiom,
    ( esk4717_4(X1,X2,X3,X4)
    | ~ esk4716_4(X1,X2,X3,X4) )).

cnf(i_0_6359,axiom,
    ( esk1881_4(X1,X2,X3,X4)
    | esk1882_4(X1,X2,X3,X4)
    | esk1880_4(X1,X2,X3,X4)
    | ~ esk1883_4(X1,X2,X3,X4) )).

cnf(i_0_6360,axiom,
    ( ~ esk4521_4(X1,X2,X3,X4)
    | esk4486_4(X1,X2,X3,X4) )).

cnf(i_0_6361,axiom,
    ( ~ esk3617_4(X1,X2,X3,X4)
    | esk5018_4(X1,X2,X3,X4) )).

cnf(i_0_6362,axiom,
    ( ~ p(X3)
    | esk229_0
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_6363,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4714_4(X1,X2,X3,X4) )).

cnf(i_0_6364,axiom,
    ( esk6197_4(X1,X2,X3,X4)
    | ~ esk6196_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6365,axiom,
    ( esk8358_4(X1,X2,X3,X4)
    | ~ esk6258_4(X1,X2,X3,X4) )).

cnf(i_0_6366,axiom,
    ( ~ esk7594_4(X1,X2,X3,X4)
    | esk7593_4(X1,X2,X3,X4) )).

cnf(i_0_6367,axiom,
    ( p(X2)
    | esk1167_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_6368,axiom,
    ( ~ esk2355_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_6369,axiom,
    ( ~ esk1983_4(X1,X2,X3,X4)
    | ~ esk1949_4(X1,X2,X3,X4)
    | ~ esk1984_4(X1,X2,X3,X4) )).

cnf(i_0_6370,axiom,
    ( p(X1)
    | ~ esk84_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_6371,axiom,
    ( esk5979_4(X1,X2,X3,X4)
    | ~ esk5980_4(X1,X2,X3,X4) )).

cnf(i_0_6372,axiom,
    ( ~ p(X3)
    | ~ esk839_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk9087_4(X1,X2,X3,X4) )).

cnf(i_0_6373,axiom,
    ( ~ esk5496_4(X1,X2,X3,X4)
    | esk5497_4(X1,X2,X3,X4) )).

cnf(i_0_6374,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1315_0
    | ~ esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_6375,axiom,
    ( ~ esk4302_4(X1,X2,X3,X4)
    | esk4303_4(X1,X2,X3,X4)
    | esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_6376,axiom,
    ( ~ esk4994_4(X1,X2,X3,X4)
    | esk3469_4(X1,X2,X3,X4) )).

cnf(i_0_6377,axiom,
    ( esk3674_4(X1,X2,X3,X4)
    | ~ esk3673_4(X1,X2,X3,X4) )).

cnf(i_0_6378,axiom,
    ( ~ esk2111_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_6379,axiom,
    ( esk6754_4(X1,X2,X3,X4)
    | ~ esk6815_4(X1,X2,X3,X4) )).

cnf(i_0_6380,axiom,
    ( ~ esk5999_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6381,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3756_4(X1,X2,X3,X4) )).

cnf(i_0_6382,axiom,
    ( esk394_0
    | ~ esk8318_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_6383,axiom,
    ( ~ esk6744_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6745_4(X1,X2,X3,X4) )).

cnf(i_0_6384,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk1995_4(X1,X2,X3,X4)
    | ~ esk378_0
    | p(X2)
    | p(X1) )).

cnf(i_0_6385,axiom,
    ( ~ esk1750_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk178_0 )).

cnf(i_0_6386,axiom,
    ( ~ esk5559_4(X1,X2,X3,X4)
    | esk6154_4(X1,X2,X3,X4) )).

cnf(i_0_6387,axiom,
    ( esk3964_4(X1,X2,X3,X4)
    | ~ esk3871_4(X1,X2,X3,X4)
    | ~ esk3963_4(X1,X2,X3,X4) )).

cnf(i_0_6388,axiom,
    ( esk9180_4(X1,X2,X3,X4)
    | ~ esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_6389,axiom,
    ( esk6857_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_6390,axiom,
    ( ~ esk330_0
    | ~ p(X2)
    | ~ p(X1)
    | esk8248_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_6391,axiom,
    ( esk403_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6392,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8280_4(X1,X2,X3,X4)
    | esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_6393,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8898_4(X1,X2,X3,X4) )).

cnf(i_0_6394,axiom,
    ( ~ p(X1)
    | ~ esk1444_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk60_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_6395,axiom,
    ( ~ esk380_0
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk8291_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_6396,axiom,
    ( ~ esk1911_4(X1,X2,X3,X4)
    | esk2317_4(X1,X2,X3,X4) )).

cnf(i_0_6397,axiom,
    ( ~ esk6012_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6398,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | esk880_0
    | p(X3)
    | ~ esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_6399,axiom,
    ( p(X2)
    | esk8735_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk718_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6400,axiom,
    ( esk7255_4(X1,X2,X3,X4)
    | esk7254_4(X1,X2,X3,X4)
    | ~ esk7256_4(X1,X2,X3,X4) )).

cnf(i_0_6401,axiom,
    ( ~ esk3954_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk3955_4(X1,X2,X3,X4) )).

cnf(i_0_6402,axiom,
    ( ~ esk8424_4(X1,X2,X3,X4)
    | ~ esk8462_4(X1,X2,X3,X4)
    | ~ esk8461_4(X1,X2,X3,X4) )).

cnf(i_0_6403,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk389_0
    | p(X4)
    | ~ esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_6404,axiom,
    ( ~ esk9709_4(X1,X2,X3,X4)
    | esk9708_4(X1,X2,X3,X4) )).

cnf(i_0_6405,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5158_4(X1,X2,X3,X4) )).

cnf(i_0_6406,axiom,
    ( esk2275_4(X1,X2,X3,X4)
    | ~ esk2276_4(X1,X2,X3,X4)
    | esk2274_4(X1,X2,X3,X4) )).

cnf(i_0_6407,axiom,
    ( esk55_0
    | ~ esk1444_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_6408,axiom,
    ( ~ esk2_0
    | ~ p(X3)
    | esk9190_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6409,axiom,
    ( ~ esk4605_4(X1,X2,X3,X4)
    | esk4607_4(X1,X2,X3,X4) )).

cnf(i_0_6410,axiom,
    ( ~ esk9473_4(X1,X2,X3,X4)
    | esk9475_4(X1,X2,X3,X4) )).

cnf(i_0_6411,axiom,
    ( ~ esk1057_0
    | p(X3)
    | p(X1)
    | esk2870_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_6412,axiom,
    ( esk2654_4(X1,X2,X3,X4)
    | ~ esk2652_4(X1,X2,X3,X4) )).

cnf(i_0_6413,axiom,
    ( ~ esk3572_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_6414,axiom,
    ( ~ esk3430_4(X1,X2,X3,X4)
    | esk3429_4(X1,X2,X3,X4)
    | esk3428_4(X1,X2,X3,X4) )).

cnf(i_0_6415,axiom,
    ( esk8615_4(X1,X2,X3,X4)
    | esk8247_4(X1,X2,X3,X4)
    | ~ esk8282_4(X1,X2,X3,X4) )).

cnf(i_0_6416,axiom,
    ( esk7564_4(X1,X2,X3,X4)
    | ~ esk6967_4(X1,X2,X3,X4) )).

cnf(i_0_6417,axiom,
    ( ~ esk5503_4(X1,X2,X3,X4)
    | esk5502_4(X1,X2,X3,X4) )).

cnf(i_0_6418,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk4251_4(X1,X2,X3,X4) )).

cnf(i_0_6419,axiom,
    ( ~ esk5243_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_6420,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | esk525_0
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_6421,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1247_0
    | ~ p(X1) )).

cnf(i_0_6422,axiom,
    ( ~ esk9378_4(X1,X2,X3,X4)
    | esk9375_4(X1,X2,X3,X4) )).

cnf(i_0_6423,axiom,
    ( ~ esk3278_4(X1,X2,X3,X4)
    | esk3279_4(X1,X2,X3,X4) )).

cnf(i_0_6424,axiom,
    ( ~ esk19_0
    | esk1440_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_6425,axiom,
    ( esk5345_4(X1,X2,X3,X4)
    | ~ esk5348_4(X1,X2,X3,X4) )).

cnf(i_0_6426,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk9109_4(X1,X2,X3,X4)
    | ~ esk995_0
    | p(X4)
    | p(X2) )).

cnf(i_0_6427,axiom,
    ( esk2397_4(X1,X2,X3,X4)
    | ~ esk3046_4(X1,X2,X3,X4)
    | ~ esk2396_4(X1,X2,X3,X4) )).

cnf(i_0_6428,axiom,
    ( ~ esk8902_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_6429,axiom,
    ( esk2864_4(X1,X2,X3,X4)
    | ~ esk3440_4(X1,X2,X3,X4) )).

cnf(i_0_6430,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X1)
    | esk520_0 )).

cnf(i_0_6431,axiom,
    ( esk9348_4(X1,X2,X3,X4)
    | ~ esk9349_4(X1,X2,X3,X4) )).

cnf(i_0_6432,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9097_4(X1,X2,X3,X4)
    | esk907_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_6433,axiom,
    ( esk9205_4(X1,X2,X3,X4)
    | ~ esk7105_4(X1,X2,X3,X4) )).

cnf(i_0_6434,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | esk7837_4(X1,X2,X3,X4) )).

cnf(i_0_6435,axiom,
    ( ~ esk4253_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_6436,axiom,
    ( ~ esk3324_4(X1,X2,X3,X4)
    | esk2666_4(X1,X2,X3,X4) )).

cnf(i_0_6437,axiom,
    ( esk8481_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8480_4(X1,X2,X3,X4) )).

cnf(i_0_6438,axiom,
    ( ~ esk4602_4(X1,X2,X3,X4)
    | esk3778_4(X1,X2,X3,X4) )).

cnf(i_0_6439,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk1124_0
    | esk2878_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_6440,axiom,
    ( esk7388_4(X1,X2,X3,X4)
    | ~ esk7391_4(X1,X2,X3,X4) )).

cnf(i_0_6441,axiom,
    ( ~ esk220_0
    | ~ p(X4)
    | ~ p(X2)
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_6442,axiom,
    ( ~ esk6614_4(X1,X2,X3,X4)
    | esk6573_4(X1,X2,X3,X4) )).

cnf(i_0_6443,axiom,
    ( ~ esk6619_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6510_4(X1,X2,X3,X4) )).

cnf(i_0_6444,axiom,
    ( esk2582_4(X1,X2,X3,X4)
    | ~ esk2580_4(X1,X2,X3,X4) )).

cnf(i_0_6445,axiom,
    ( ~ esk2707_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_6446,axiom,
    ( esk6169_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6447,axiom,
    ( ~ esk7022_4(X1,X2,X3,X4)
    | ~ esk7052_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_6448,axiom,
    ( esk8242_4(X1,X2,X3,X4)
    | esk8243_4(X1,X2,X3,X4)
    | esk8241_4(X1,X2,X3,X4)
    | ~ esk8244_4(X1,X2,X3,X4) )).

cnf(i_0_6449,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7429_4(X1,X2,X3,X4) )).

cnf(i_0_6450,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6755_4(X1,X2,X3,X4)
    | esk6819_4(X1,X2,X3,X4) )).

cnf(i_0_6451,axiom,
    ( p(X3)
    | ~ esk2439_4(X1,X2,X3,X4)
    | esk720_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_6452,axiom,
    ( p(X4)
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk511_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_6453,axiom,
    ( ~ esk4614_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_6454,axiom,
    ( ~ esk6084_4(X1,X2,X3,X4)
    | ~ esk5880_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_6455,axiom,
    ( ~ esk3921_4(X1,X2,X3,X4)
    | esk3859_4(X1,X2,X3,X4) )).

cnf(i_0_6456,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk5036_4(X1,X2,X3,X4) )).

cnf(i_0_6457,axiom,
    ( ~ esk3205_4(X1,X2,X3,X4)
    | esk3206_4(X1,X2,X3,X4) )).

cnf(i_0_6458,axiom,
    ( esk7160_4(X1,X2,X3,X4)
    | ~ esk7158_4(X1,X2,X3,X4) )).

cnf(i_0_6459,axiom,
    ( ~ esk5735_4(X1,X2,X3,X4)
    | esk5901_4(X1,X2,X3,X4) )).

cnf(i_0_6460,axiom,
    ( esk6074_4(X1,X2,X3,X4)
    | ~ esk7109_4(X1,X2,X3,X4) )).

cnf(i_0_6461,axiom,
    ( ~ p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | esk1076_0 )).

cnf(i_0_6462,axiom,
    ( esk197_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6463,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk43_0 )).

cnf(i_0_6464,axiom,
    ( ~ esk6547_4(X1,X2,X3,X4)
    | esk6548_4(X1,X2,X3,X4) )).

cnf(i_0_6465,axiom,
    ( esk1672_4(X1,X2,X3,X4)
    | ~ esk1523_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_6466,axiom,
    ( esk3827_4(X1,X2,X3,X4)
    | ~ esk3828_4(X1,X2,X3,X4) )).

cnf(i_0_6467,axiom,
    ( esk7128_4(X1,X2,X3,X4)
    | ~ esk7126_4(X1,X2,X3,X4) )).

cnf(i_0_6468,axiom,
    ( ~ esk7304_4(X1,X2,X3,X4)
    | esk7307_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6469,axiom,
    ( p(X1)
    | p(X3)
    | esk1643_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk111_0
    | p(X4) )).

cnf(i_0_6470,axiom,
    ( ~ esk3621_4(X1,X2,X3,X4)
    | esk5545_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_6471,axiom,
    ( esk4947_4(X1,X2,X3,X4)
    | ~ esk4945_4(X1,X2,X3,X4) )).

cnf(i_0_6472,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | ~ esk2085_4(X1,X2,X3,X4) )).

cnf(i_0_6473,axiom,
    ( esk3271_4(X1,X2,X3,X4)
    | ~ esk2367_4(X1,X2,X3,X4) )).

cnf(i_0_6474,axiom,
    ( ~ esk8042_4(X1,X2,X3,X4)
    | esk9243_4(X1,X2,X3,X4) )).

cnf(i_0_6475,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5072_4(X1,X2,X3,X4) )).

cnf(i_0_6476,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | ~ esk9156_4(X1,X2,X3,X4) )).

cnf(i_0_6477,axiom,
    ( esk2710_4(X1,X2,X3,X4)
    | ~ esk2709_4(X1,X2,X3,X4) )).

cnf(i_0_6478,axiom,
    ( ~ esk6282_4(X1,X2,X3,X4)
    | ~ esk6195_4(X1,X2,X3,X4) )).

cnf(i_0_6479,axiom,
    ( esk2032_4(X1,X2,X3,X4)
    | ~ esk2030_4(X1,X2,X3,X4) )).

cnf(i_0_6480,axiom,
    ( esk4350_4(X1,X2,X3,X4)
    | ~ esk3518_4(X1,X2,X3,X4) )).

cnf(i_0_6481,axiom,
    ( esk4137_4(X1,X2,X3,X4)
    | ~ esk4073_4(X1,X2,X3,X4)
    | ~ esk4136_4(X1,X2,X3,X4) )).

cnf(i_0_6482,axiom,
    ( ~ esk6791_4(X1,X2,X3,X4)
    | esk6748_4(X1,X2,X3,X4) )).

cnf(i_0_6483,axiom,
    ( ~ esk9309_4(X1,X2,X3,X4)
    | esk9308_4(X1,X2,X3,X4) )).

cnf(i_0_6484,axiom,
    ( esk4250_4(X1,X2,X3,X4)
    | ~ esk4249_4(X1,X2,X3,X4) )).

cnf(i_0_6485,axiom,
    ( ~ p(X2)
    | ~ esk240_0
    | p(X3)
    | ~ p(X1)
    | esk1758_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_6486,axiom,
    ( p(X4)
    | esk7812_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk84_0
    | ~ p(X3) )).

cnf(i_0_6487,axiom,
    ( ~ p(X2)
    | ~ esk171_0
    | esk1750_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_6488,axiom,
    ( esk2865_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ esk3437_4(X1,X2,X3,X4) )).

cnf(i_0_6489,axiom,
    ( esk7217_4(X1,X2,X3,X4)
    | ~ esk7218_4(X1,X2,X3,X4) )).

cnf(i_0_6490,axiom,
    ( ~ esk8405_4(X1,X2,X3,X4)
    | esk8406_4(X1,X2,X3,X4) )).

cnf(i_0_6491,axiom,
    ( ~ esk2263_4(X1,X2,X3,X4)
    | esk2225_4(X1,X2,X3,X4) )).

cnf(i_0_6492,axiom,
    ( ~ esk7870_4(X1,X2,X3,X4)
    | esk9253_4(X1,X2,X3,X4) )).

cnf(i_0_6493,axiom,
    ( esk2748_4(X1,X2,X3,X4)
    | ~ esk2749_4(X1,X2,X3,X4) )).

cnf(i_0_6494,axiom,
    ( esk2871_4(X1,X2,X3,X4)
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_6495,axiom,
    ( esk1841_4(X1,X2,X3,X4)
    | ~ esk1858_4(X1,X2,X3,X4) )).

cnf(i_0_6496,axiom,
    ( esk1359_4(X1,X2,X3,X4)
    | ~ esk1479_4(X1,X2,X3,X4) )).

cnf(i_0_6497,axiom,
    ( ~ esk6511_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_6498,axiom,
    ( ~ esk2453_4(X1,X2,X3,X4)
    | ~ esk1435_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_6499,axiom,
    ( esk4811_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4810_4(X1,X2,X3,X4) )).

cnf(i_0_6500,axiom,
    ( ~ esk1686_4(X1,X2,X3,X4)
    | ~ esk2509_4(X1,X2,X3,X4) )).

cnf(i_0_6501,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4)
    | esk7636_4(X1,X2,X3,X4) )).

cnf(i_0_6502,axiom,
    ( ~ esk3472_4(X1,X2,X3,X4)
    | esk4557_4(X1,X2,X3,X4)
    | ~ esk4562_4(X1,X2,X3,X4) )).

cnf(i_0_6503,axiom,
    ( ~ esk5699_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_6504,axiom,
    ( ~ esk4965_4(X1,X2,X3,X4)
    | ~ esk5549_4(X1,X2,X3,X4)
    | esk3535_4(X1,X2,X3,X4) )).

cnf(i_0_6505,axiom,
    ( ~ esk8306_4(X1,X2,X3,X4)
    | esk8305_4(X1,X2,X3,X4)
    | esk8304_4(X1,X2,X3,X4) )).

cnf(i_0_6506,axiom,
    ( ~ esk688_0
    | p(X2)
    | esk8731_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_6507,axiom,
    ( ~ esk6927_4(X1,X2,X3,X4)
    | esk6926_4(X1,X2,X3,X4) )).

cnf(i_0_6508,axiom,
    ( ~ esk5747_4(X1,X2,X3,X4)
    | esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_6509,axiom,
    ( ~ esk1823_4(X1,X2,X3,X4)
    | esk2863_4(X1,X2,X3,X4)
    | esk2864_4(X1,X2,X3,X4) )).

cnf(i_0_6510,axiom,
    ( esk5448_4(X1,X2,X3,X4)
    | ~ esk5449_4(X1,X2,X3,X4)
    | esk5447_4(X1,X2,X3,X4) )).

cnf(i_0_6511,axiom,
    ( ~ esk9351_4(X1,X2,X3,X4)
    | ~ esk9364_4(X1,X2,X3,X4)
    | esk9365_4(X1,X2,X3,X4) )).

cnf(i_0_6512,axiom,
    ( ~ esk7672_4(X1,X2,X3,X4)
    | esk7976_4(X1,X2,X3,X4)
    | ~ esk7975_4(X1,X2,X3,X4) )).

cnf(i_0_6513,axiom,
    ( esk3999_4(X1,X2,X3,X4)
    | ~ esk3997_4(X1,X2,X3,X4) )).

cnf(i_0_6514,axiom,
    ( ~ esk7975_4(X1,X2,X3,X4)
    | esk9255_4(X1,X2,X3,X4) )).

cnf(i_0_6515,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk372_0
    | esk8283_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_6516,axiom,
    ( ~ esk4568_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4569_4(X1,X2,X3,X4) )).

cnf(i_0_6517,axiom,
    ( ~ esk6261_4(X1,X2,X3,X4)
    | esk6682_4(X1,X2,X3,X4) )).

cnf(i_0_6518,axiom,
    ( p(X3)
    | ~ esk9109_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2)
    | esk993_0 )).

cnf(i_0_6519,axiom,
    ( esk1330_0
    | ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_6520,axiom,
    ( ~ esk7110_4(X1,X2,X3,X4)
    | esk6650_4(X1,X2,X3,X4) )).

cnf(i_0_6521,axiom,
    ( ~ esk2286_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_6522,axiom,
    ( esk793_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_6523,axiom,
    ( esk9090_4(X1,X2,X3,X4)
    | ~ esk7743_4(X1,X2,X3,X4) )).

cnf(i_0_6524,axiom,
    ( ~ esk6840_4(X1,X2,X3,X4)
    | esk6838_4(X1,X2,X3,X4)
    | esk6839_4(X1,X2,X3,X4) )).

cnf(i_0_6525,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1269_0 )).

cnf(i_0_6526,axiom,
    ( esk8791_4(X1,X2,X3,X4)
    | ~ esk8123_4(X1,X2,X3,X4) )).

cnf(i_0_6527,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7311_4(X1,X2,X3,X4) )).

cnf(i_0_6528,axiom,
    ( ~ esk2116_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_6529,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3996_4(X1,X2,X3,X4) )).

cnf(i_0_6530,axiom,
    ( ~ esk5814_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_6531,axiom,
    ( ~ p(X4)
    | ~ esk14_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_6532,axiom,
    ( ~ esk9741_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_6533,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4259_4(X1,X2,X3,X4) )).

cnf(i_0_6534,axiom,
    ( esk8584_4(X1,X2,X3,X4)
    | ~ esk8582_4(X1,X2,X3,X4) )).

cnf(i_0_6535,axiom,
    ( esk2844_4(X1,X2,X3,X4)
    | ~ esk2842_4(X1,X2,X3,X4) )).

cnf(i_0_6536,axiom,
    ( esk862_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk2795_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_6537,axiom,
    ( ~ esk5568_4(X1,X2,X3,X4)
    | esk7093_4(X1,X2,X3,X4) )).

cnf(i_0_6538,axiom,
    ( ~ esk8957_4(X1,X2,X3,X4)
    | esk8956_4(X1,X2,X3,X4) )).

cnf(i_0_6539,axiom,
    ( ~ esk5422_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_6540,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk1045_0
    | p(X4) )).

cnf(i_0_6541,axiom,
    ( esk9356_4(X1,X2,X3,X4)
    | ~ esk9357_4(X1,X2,X3,X4) )).

cnf(i_0_6542,axiom,
    ( ~ esk3313_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_6543,axiom,
    ( ~ esk2658_4(X1,X2,X3,X4)
    | esk1951_4(X1,X2,X3,X4) )).

cnf(i_0_6544,axiom,
    ( ~ esk8713_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk554_0
    | ~ p(X4) )).

cnf(i_0_6545,axiom,
    ( esk6283_4(X1,X2,X3,X4)
    | ~ esk6631_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_6546,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk960_0
    | esk9103_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_6547,axiom,
    ( ~ esk135_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | esk7967_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6548,axiom,
    ( ~ esk5527_4(X1,X2,X3,X4)
    | esk5529_4(X1,X2,X3,X4) )).

cnf(i_0_6549,axiom,
    ( esk1216_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2898_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_6550,axiom,
    ( ~ esk3215_4(X1,X2,X3,X4)
    | esk3216_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_6551,axiom,
    ( ~ esk2320_4(X1,X2,X3,X4)
    | esk2062_4(X1,X2,X3,X4) )).

cnf(i_0_6552,axiom,
    ( ~ esk1652_4(X1,X2,X3,X4)
    | esk2819_4(X1,X2,X3,X4)
    | esk1435_4(X1,X2,X3,X4) )).

cnf(i_0_6553,axiom,
    ( ~ esk928_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk9099_4(X1,X2,X3,X4) )).

cnf(i_0_6554,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk8068_4(X1,X2,X3,X4) )).

cnf(i_0_6555,axiom,
    ( esk9164_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ esk1042_0 )).

cnf(i_0_6556,axiom,
    ( esk8656_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_6557,axiom,
    ( esk6993_4(X1,X2,X3,X4)
    | ~ esk7086_4(X1,X2,X3,X4) )).

cnf(i_0_6558,axiom,
    ( ~ esk7013_4(X1,X2,X3,X4)
    | esk7631_4(X1,X2,X3,X4)
    | ~ esk7023_4(X1,X2,X3,X4) )).

cnf(i_0_6559,axiom,
    ( esk8584_4(X1,X2,X3,X4)
    | ~ esk8583_4(X1,X2,X3,X4) )).

cnf(i_0_6560,axiom,
    ( ~ esk8690_4(X1,X2,X3,X4)
    | esk8692_4(X1,X2,X3,X4) )).

cnf(i_0_6561,axiom,
    ( ~ esk5336_4(X1,X2,X3,X4)
    | esk5333_4(X1,X2,X3,X4) )).

cnf(i_0_6562,axiom,
    ( ~ p(X3)
    | esk250_0
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_6563,axiom,
    ( ~ esk8656_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_6564,axiom,
    ( esk7939_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ esk108_0 )).

cnf(i_0_6565,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5148_4(X1,X2,X3,X4) )).

cnf(i_0_6566,axiom,
    ( ~ esk4177_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_6567,axiom,
    ( esk8715_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk568_0
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_6568,axiom,
    ( ~ esk5758_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_6569,axiom,
    ( esk4024_4(X1,X2,X3,X4)
    | esk4025_4(X1,X2,X3,X4)
    | ~ esk4026_4(X1,X2,X3,X4) )).

cnf(i_0_6570,axiom,
    ( esk6464_4(X1,X2,X3,X4)
    | ~ esk6466_4(X1,X2,X3,X4)
    | esk6465_4(X1,X2,X3,X4) )).

cnf(i_0_6571,axiom,
    ( ~ esk1438_4(X1,X2,X3,X4)
    | p(X3)
    | esk14_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_6572,axiom,
    ( esk8722_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8539_4(X1,X2,X3,X4) )).

cnf(i_0_6573,axiom,
    ( esk2614_4(X1,X2,X3,X4)
    | ~ esk2613_4(X1,X2,X3,X4) )).

cnf(i_0_6574,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk392_0
    | esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_6575,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4259_4(X1,X2,X3,X4)
    | ~ esk4528_4(X1,X2,X3,X4) )).

cnf(i_0_6576,axiom,
    ( ~ esk4192_4(X1,X2,X3,X4)
    | esk4307_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_6577,axiom,
    ( esk4436_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6578,axiom,
    ( ~ esk3845_4(X1,X2,X3,X4)
    | esk1745_4(X1,X2,X3,X4) )).

cnf(i_0_6579,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk1771_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_6580,axiom,
    ( ~ esk5094_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_6581,axiom,
    ( ~ esk6663_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_6582,axiom,
    ( ~ esk6256_4(X1,X2,X3,X4)
    | esk4156_4(X1,X2,X3,X4) )).

cnf(i_0_6583,axiom,
    ( esk9176_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1135_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_6584,axiom,
    ( esk5972_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4)
    | ~ esk5971_4(X1,X2,X3,X4) )).

cnf(i_0_6585,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8407_4(X1,X2,X3,X4) )).

cnf(i_0_6586,axiom,
    ( esk5989_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6587,axiom,
    ( esk6769_4(X1,X2,X3,X4)
    | ~ esk6783_4(X1,X2,X3,X4) )).

cnf(i_0_6588,axiom,
    ( esk5449_4(X1,X2,X3,X4)
    | ~ esk5448_4(X1,X2,X3,X4) )).

cnf(i_0_6589,axiom,
    ( ~ esk5043_4(X1,X2,X3,X4)
    | esk3818_4(X1,X2,X3,X4) )).

cnf(i_0_6590,axiom,
    ( esk7497_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_6591,axiom,
    ( ~ esk2060_4(X1,X2,X3,X4)
    | esk4160_4(X1,X2,X3,X4) )).

cnf(i_0_6592,axiom,
    ( ~ p(X3)
    | esk8508_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk494_0 )).

cnf(i_0_6593,axiom,
    ( ~ esk90_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk7812_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_6594,axiom,
    ( ~ esk4723_4(X1,X2,X3,X4)
    | esk4725_4(X1,X2,X3,X4) )).

cnf(i_0_6595,axiom,
    ( ~ esk5652_4(X1,X2,X3,X4)
    | esk5654_4(X1,X2,X3,X4) )).

cnf(i_0_6596,axiom,
    ( esk5670_4(X1,X2,X3,X4)
    | ~ esk5740_4(X1,X2,X3,X4) )).

cnf(i_0_6597,axiom,
    ( ~ esk6333_4(X1,X2,X3,X4)
    | esk6684_4(X1,X2,X3,X4) )).

cnf(i_0_6598,axiom,
    ( ~ esk1966_4(X1,X2,X3,X4)
    | esk1964_4(X1,X2,X3,X4)
    | esk1965_4(X1,X2,X3,X4) )).

cnf(i_0_6599,axiom,
    ( ~ esk6975_4(X1,X2,X3,X4)
    | esk6974_4(X1,X2,X3,X4) )).

cnf(i_0_6600,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3207_4(X1,X2,X3,X4) )).

cnf(i_0_6601,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk7255_4(X1,X2,X3,X4) )).

cnf(i_0_6602,axiom,
    ( esk9449_4(X1,X2,X3,X4)
    | esk9450_4(X1,X2,X3,X4)
    | ~ esk9451_4(X1,X2,X3,X4) )).

cnf(i_0_6603,axiom,
    ( p(X2)
    | ~ esk2880_4(X1,X2,X3,X4)
    | p(X3)
    | esk1135_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_6604,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | ~ esk5544_4(X1,X2,X3,X4) )).

cnf(i_0_6605,axiom,
    ( esk7765_4(X1,X2,X3,X4)
    | ~ esk7764_4(X1,X2,X3,X4) )).

cnf(i_0_6606,axiom,
    ( ~ esk2333_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_6607,axiom,
    ( ~ p(X3)
    | ~ esk1024_0
    | p(X4)
    | esk2854_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_6608,axiom,
    ( p(X1)
    | p(X2)
    | esk9166_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1055_0
    | ~ p(X3) )).

cnf(i_0_6609,axiom,
    ( ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk450_0
    | ~ p(X2) )).

cnf(i_0_6610,axiom,
    ( esk6050_4(X1,X2,X3,X4)
    | esk6051_4(X1,X2,X3,X4) )).

cnf(i_0_6611,axiom,
    ( ~ esk3678_4(X1,X2,X3,X4)
    | esk4966_4(X1,X2,X3,X4) )).

cnf(i_0_6612,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk8254_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | esk354_0 )).

cnf(i_0_6613,axiom,
    ( ~ esk3746_4(X1,X2,X3,X4)
    | esk3802_4(X1,X2,X3,X4) )).

cnf(i_0_6614,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk1987_4(X1,X2,X3,X4)
    | esk370_0 )).

cnf(i_0_6615,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk677_0
    | p(X4)
    | ~ p(X2)
    | esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_6616,axiom,
    ( ~ esk5915_4(X1,X2,X3,X4)
    | esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_6617,axiom,
    ( p(X1)
    | ~ esk545_0
    | esk2417_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_6618,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk1106_0
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6619,axiom,
    ( esk7474_4(X1,X2,X3,X4)
    | ~ esk7477_4(X1,X2,X3,X4)
    | esk7476_4(X1,X2,X3,X4) )).

cnf(i_0_6620,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_6621,axiom,
    ( ~ esk7968_4(X1,X2,X3,X4)
    | esk7689_4(X1,X2,X3,X4) )).

cnf(i_0_6622,axiom,
    ( ~ esk5087_4(X1,X2,X3,X4)
    | esk4957_4(X1,X2,X3,X4) )).

cnf(i_0_6623,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5202_4(X1,X2,X3,X4) )).

cnf(i_0_6624,axiom,
    ( ~ esk4579_4(X1,X2,X3,X4)
    | esk5384_4(X1,X2,X3,X4) )).

cnf(i_0_6625,axiom,
    ( ~ esk1916_4(X1,X2,X3,X4)
    | esk1888_4(X1,X2,X3,X4) )).

cnf(i_0_6626,axiom,
    ( ~ esk7165_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6627,axiom,
    ( ~ esk5224_4(X1,X2,X3,X4)
    | esk5225_4(X1,X2,X3,X4) )).

cnf(i_0_6628,axiom,
    ( esk7776_4(X1,X2,X3,X4)
    | ~ esk7656_4(X1,X2,X3,X4) )).

cnf(i_0_6629,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7329_4(X1,X2,X3,X4) )).

cnf(i_0_6630,axiom,
    ( ~ esk8083_4(X1,X2,X3,X4)
    | esk8082_4(X1,X2,X3,X4) )).

cnf(i_0_6631,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2361_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_6632,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5262_4(X1,X2,X3,X4) )).

cnf(i_0_6633,axiom,
    ( ~ esk5988_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6634,axiom,
    ( esk7245_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6635,axiom,
    ( esk2456_4(X1,X2,X3,X4)
    | esk1373_4(X1,X2,X3,X4) )).

cnf(i_0_6636,axiom,
    ( esk7981_4(X1,X2,X3,X4)
    | ~ esk8022_4(X1,X2,X3,X4) )).

cnf(i_0_6637,axiom,
    ( ~ esk6193_4(X1,X2,X3,X4)
    | esk4093_4(X1,X2,X3,X4) )).

cnf(i_0_6638,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk143_0
    | ~ esk1746_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_6639,axiom,
    ( esk3818_4(X1,X2,X3,X4)
    | ~ esk3816_4(X1,X2,X3,X4) )).

cnf(i_0_6640,axiom,
    ( ~ esk8054_4(X1,X2,X3,X4)
    | esk240_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_6641,axiom,
    ( ~ esk8583_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_6642,axiom,
    ( ~ esk4756_4(X1,X2,X3,X4)
    | esk4757_4(X1,X2,X3,X4) )).

cnf(i_0_6643,axiom,
    ( ~ esk7326_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_6644,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk2421_4(X1,X2,X3,X4)
    | esk579_0 )).

cnf(i_0_6645,axiom,
    ( ~ esk5658_4(X1,X2,X3,X4)
    | esk5656_4(X1,X2,X3,X4)
    | esk5657_4(X1,X2,X3,X4) )).

cnf(i_0_6646,axiom,
    ( esk2241_4(X1,X2,X3,X4)
    | ~ esk2239_4(X1,X2,X3,X4) )).

cnf(i_0_6647,axiom,
    ( esk3420_4(X1,X2,X3,X4)
    | ~ esk3422_4(X1,X2,X3,X4)
    | esk3421_4(X1,X2,X3,X4) )).

cnf(i_0_6648,axiom,
    ( ~ esk2180_4(X1,X2,X3,X4)
    | esk2182_4(X1,X2,X3,X4) )).

cnf(i_0_6649,axiom,
    ( ~ esk5279_4(X1,X2,X3,X4)
    | esk5278_4(X1,X2,X3,X4) )).

cnf(i_0_6650,axiom,
    ( esk1793_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_6651,axiom,
    ( ~ esk1552_4(X1,X2,X3,X4)
    | esk1553_4(X1,X2,X3,X4)
    | ~ esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_6652,axiom,
    ( esk7904_4(X1,X2,X3,X4)
    | ~ esk7903_4(X1,X2,X3,X4) )).

cnf(i_0_6653,axiom,
    ( esk7736_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk27_0
    | ~ p(X4) )).

cnf(i_0_6654,axiom,
    ( esk6343_4(X1,X2,X3,X4)
    | ~ esk6342_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_6655,axiom,
    ( p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk702_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6656,axiom,
    ( ~ esk8219_4(X1,X2,X3,X4)
    | esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_6657,axiom,
    ( ~ esk8852_4(X1,X2,X3,X4)
    | esk8910_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_6658,axiom,
    ( ~ esk6023_4(X1,X2,X3,X4)
    | esk6024_4(X1,X2,X3,X4)
    | ~ esk6692_4(X1,X2,X3,X4) )).

cnf(i_0_6659,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk3973_4(X1,X2,X3,X4)
    | esk4082_4(X1,X2,X3,X4) )).

cnf(i_0_6660,axiom,
    ( esk4528_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk4263_4(X1,X2,X3,X4) )).

cnf(i_0_6661,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk445_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_6662,axiom,
    ( ~ esk5529_4(X1,X2,X3,X4)
    | esk5528_4(X1,X2,X3,X4)
    | esk5527_4(X1,X2,X3,X4) )).

cnf(i_0_6663,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | esk8875_4(X1,X2,X3,X4) )).

cnf(i_0_6664,axiom,
    ( ~ esk5407_4(X1,X2,X3,X4)
    | esk4661_4(X1,X2,X3,X4) )).

cnf(i_0_6665,axiom,
    ( p(X1)
    | ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk1011_0
    | p(X2) )).

cnf(i_0_6666,axiom,
    ( esk8974_4(X1,X2,X3,X4)
    | ~ esk9100_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_6667,axiom,
    ( ~ esk2255_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_6668,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk985_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_6669,axiom,
    ( esk9410_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_6670,axiom,
    ( ~ esk8309_4(X1,X2,X3,X4)
    | esk8310_4(X1,X2,X3,X4) )).

cnf(i_0_6671,axiom,
    ( esk5596_4(X1,X2,X3,X4)
    | ~ esk5638_4(X1,X2,X3,X4) )).

cnf(i_0_6672,axiom,
    ( esk3811_4(X1,X2,X3,X4)
    | ~ esk5031_4(X1,X2,X3,X4) )).

cnf(i_0_6673,axiom,
    ( esk3759_4(X1,X2,X3,X4)
    | ~ esk3757_4(X1,X2,X3,X4) )).

cnf(i_0_6674,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6881_4(X1,X2,X3,X4) )).

cnf(i_0_6675,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ esk742_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_6676,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3993_4(X1,X2,X3,X4) )).

cnf(i_0_6677,axiom,
    ( esk4425_4(X1,X2,X3,X4)
    | ~ esk4424_4(X1,X2,X3,X4) )).

cnf(i_0_6678,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | ~ esk2870_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1) )).

cnf(i_0_6679,axiom,
    ( esk9594_4(X1,X2,X3,X4)
    | ~ esk9591_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_6680,axiom,
    ( ~ esk41_0
    | esk7738_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_6681,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6457_4(X1,X2,X3,X4) )).

cnf(i_0_6682,axiom,
    ( esk9099_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk919_0
    | p(X3) )).

cnf(i_0_6683,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7277_4(X1,X2,X3,X4) )).

cnf(i_0_6684,axiom,
    ( esk2123_4(X1,X2,X3,X4)
    | esk2122_4(X1,X2,X3,X4)
    | ~ esk2125_4(X1,X2,X3,X4)
    | esk2124_4(X1,X2,X3,X4) )).

cnf(i_0_6685,axiom,
    ( ~ esk5251_4(X1,X2,X3,X4)
    | esk5250_4(X1,X2,X3,X4) )).

cnf(i_0_6686,axiom,
    ( esk563_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk8715_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_6687,axiom,
    ( ~ esk4992_4(X1,X2,X3,X4)
    | esk3702_4(X1,X2,X3,X4) )).

cnf(i_0_6688,axiom,
    ( esk7444_4(X1,X2,X3,X4)
    | ~ esk7447_4(X1,X2,X3,X4) )).

cnf(i_0_6689,axiom,
    ( esk1749_4(X1,X2,X3,X4)
    | ~ esk2940_4(X1,X2,X3,X4) )).

cnf(i_0_6690,axiom,
    ( ~ esk3248_4(X1,X2,X3,X4)
    | esk3247_4(X1,X2,X3,X4) )).

cnf(i_0_6691,axiom,
    ( ~ p(X1)
    | ~ esk615_0
    | p(X3)
    | esk2425_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6692,axiom,
    ( ~ esk1610_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_6693,axiom,
    ( ~ esk2181_4(X1,X2,X3,X4)
    | esk2143_4(X1,X2,X3,X4) )).

cnf(i_0_6694,axiom,
    ( ~ esk6679_4(X1,X2,X3,X4)
    | esk5649_4(X1,X2,X3,X4) )).

cnf(i_0_6695,axiom,
    ( esk3966_4(X1,X2,X3,X4)
    | ~ esk3964_4(X1,X2,X3,X4) )).

cnf(i_0_6696,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6689_4(X1,X2,X3,X4) )).

cnf(i_0_6697,axiom,
    ( ~ esk4550_4(X1,X2,X3,X4)
    | esk2450_4(X1,X2,X3,X4) )).

cnf(i_0_6698,axiom,
    ( esk8696_4(X1,X2,X3,X4)
    | ~ esk8694_4(X1,X2,X3,X4) )).

cnf(i_0_6699,axiom,
    ( esk8333_4(X1,X2,X3,X4)
    | ~ esk8404_4(X1,X2,X3,X4) )).

cnf(i_0_6700,axiom,
    ( esk4350_4(X1,X2,X3,X4)
    | ~ esk2250_4(X1,X2,X3,X4) )).

cnf(i_0_6701,axiom,
    ( esk8499_4(X1,X2,X3,X4)
    | ~ esk8691_4(X1,X2,X3,X4) )).

cnf(i_0_6702,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | esk8898_4(X1,X2,X3,X4)
    | ~ esk8849_4(X1,X2,X3,X4) )).

cnf(i_0_6703,axiom,
    ( ~ esk9618_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_6704,axiom,
    ( ~ esk7188_4(X1,X2,X3,X4)
    | esk6591_4(X1,X2,X3,X4)
    | ~ esk6590_4(X1,X2,X3,X4) )).

cnf(i_0_6705,axiom,
    ( ~ esk5664_4(X1,X2,X3,X4)
    | esk5921_4(X1,X2,X3,X4) )).

cnf(i_0_6706,axiom,
    ( ~ esk3254_4(X1,X2,X3,X4)
    | ~ esk3259_4(X1,X2,X3,X4)
    | esk3260_4(X1,X2,X3,X4) )).

cnf(i_0_6707,axiom,
    ( esk3365_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3362_4(X1,X2,X3,X4) )).

cnf(i_0_6708,axiom,
    ( esk9163_4(X1,X2,X3,X4)
    | ~ esk7733_4(X1,X2,X3,X4) )).

cnf(i_0_6709,axiom,
    ( esk2015_4(X1,X2,X3,X4)
    | ~ esk2014_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_6710,axiom,
    ( esk2672_4(X1,X2,X3,X4)
    | esk2673_4(X1,X2,X3,X4)
    | ~ esk2674_4(X1,X2,X3,X4) )).

cnf(i_0_6711,axiom,
    ( ~ p(X2)
    | esk352_0
    | p(X3)
    | p(X1)
    | ~ esk1958_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_6712,axiom,
    ( ~ esk8459_4(X1,X2,X3,X4)
    | esk8460_4(X1,X2,X3,X4) )).

cnf(i_0_6713,axiom,
    ( esk5683_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5672_4(X1,X2,X3,X4) )).

cnf(i_0_6714,axiom,
    ( ~ esk5305_4(X1,X2,X3,X4)
    | esk5304_4(X1,X2,X3,X4)
    | esk5303_4(X1,X2,X3,X4) )).

cnf(i_0_6715,axiom,
    ( ~ esk2533_4(X1,X2,X3,X4)
    | ~ esk2809_4(X1,X2,X3,X4)
    | esk2565_4(X1,X2,X3,X4) )).

cnf(i_0_6716,axiom,
    ( p(X4)
    | ~ esk1750_4(X1,X2,X3,X4)
    | esk169_0
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_6717,axiom,
    ( esk5680_4(X1,X2,X3,X4)
    | ~ esk5772_4(X1,X2,X3,X4) )).

cnf(i_0_6718,axiom,
    ( ~ esk8845_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_6719,axiom,
    ( esk2605_4(X1,X2,X3,X4)
    | ~ esk2606_4(X1,X2,X3,X4)
    | esk2604_4(X1,X2,X3,X4) )).

cnf(i_0_6720,axiom,
    ( esk8157_4(X1,X2,X3,X4)
    | ~ esk7690_4(X1,X2,X3,X4) )).

cnf(i_0_6721,axiom,
    ( p(X4)
    | ~ esk9190_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1198_0 )).

cnf(i_0_6722,axiom,
    ( esk8976_4(X1,X2,X3,X4)
    | ~ esk8977_4(X1,X2,X3,X4) )).

cnf(i_0_6723,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk997_0
    | ~ esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_6724,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk1062_0
    | ~ p(X1)
    | ~ esk2870_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_6725,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk637_0
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_6726,axiom,
    ( p(X3)
    | esk1006_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk9109_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_6727,axiom,
    ( ~ esk8496_4(X1,X2,X3,X4)
    | esk8724_4(X1,X2,X3,X4) )).

cnf(i_0_6728,axiom,
    ( esk7150_4(X1,X2,X3,X4)
    | ~ esk5912_4(X1,X2,X3,X4) )).

cnf(i_0_6729,axiom,
    ( ~ esk6531_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6730,axiom,
    ( ~ esk4383_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6731,axiom,
    ( ~ p(X1)
    | ~ esk2212_4(X1,X2,X3,X4)
    | esk491_0
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_6732,axiom,
    ( esk8475_4(X1,X2,X3,X4)
    | ~ esk8474_4(X1,X2,X3,X4) )).

cnf(i_0_6733,axiom,
    ( esk8635_4(X1,X2,X3,X4)
    | ~ esk8634_4(X1,X2,X3,X4) )).

cnf(i_0_6734,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1710_4(X1,X2,X3,X4)
    | esk1667_4(X1,X2,X3,X4) )).

cnf(i_0_6735,axiom,
    ( ~ esk1452_4(X1,X2,X3,X4)
    | esk3441_4(X1,X2,X3,X4) )).

cnf(i_0_6736,axiom,
    ( ~ p(X1)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | esk315_0 )).

cnf(i_0_6737,axiom,
    ( ~ esk9404_4(X1,X2,X3,X4)
    | esk9405_4(X1,X2,X3,X4)
    | ~ esk8655_4(X1,X2,X3,X4) )).

cnf(i_0_6738,axiom,
    ( ~ esk6491_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_6739,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6970_4(X1,X2,X3,X4) )).

cnf(i_0_6740,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4440_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_6741,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5456_4(X1,X2,X3,X4) )).

cnf(i_0_6742,axiom,
    ( ~ esk6450_4(X1,X2,X3,X4)
    | esk5575_4(X1,X2,X3,X4) )).

cnf(i_0_6743,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3307_4(X1,X2,X3,X4) )).

cnf(i_0_6744,axiom,
    ( ~ esk6636_4(X1,X2,X3,X4)
    | esk6921_4(X1,X2,X3,X4) )).

cnf(i_0_6745,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ esk1039_0
    | esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_6746,axiom,
    ( esk7934_4(X1,X2,X3,X4)
    | esk7935_4(X1,X2,X3,X4)
    | ~ esk7936_4(X1,X2,X3,X4) )).

cnf(i_0_6747,axiom,
    ( esk6475_4(X1,X2,X3,X4)
    | esk6477_4(X1,X2,X3,X4)
    | esk6476_4(X1,X2,X3,X4)
    | ~ esk6478_4(X1,X2,X3,X4) )).

cnf(i_0_6748,axiom,
    ( ~ esk6633_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6253_4(X1,X2,X3,X4) )).

cnf(i_0_6749,axiom,
    ( esk3145_4(X1,X2,X3,X4)
    | ~ esk3146_4(X1,X2,X3,X4)
    | esk3144_4(X1,X2,X3,X4) )).

cnf(i_0_6750,axiom,
    ( esk9141_4(X1,X2,X3,X4)
    | ~ esk9140_4(X1,X2,X3,X4) )).

cnf(i_0_6751,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8638_4(X1,X2,X3,X4) )).

cnf(i_0_6752,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2120_4(X1,X2,X3,X4) )).

cnf(i_0_6753,axiom,
    ( p(X4)
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X1)
    | esk515_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_6754,axiom,
    ( ~ esk4534_4(X1,X2,X3,X4)
    | esk3976_4(X1,X2,X3,X4) )).

cnf(i_0_6755,axiom,
    ( ~ esk8254_4(X1,X2,X3,X4)
    | esk8619_4(X1,X2,X3,X4) )).

cnf(i_0_6756,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6539_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6757,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8984_4(X1,X2,X3,X4) )).

cnf(i_0_6758,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1109_0
    | ~ p(X4) )).

cnf(i_0_6759,axiom,
    ( esk9517_4(X1,X2,X3,X4)
    | ~ esk9516_4(X1,X2,X3,X4)
    | ~ esk8663_4(X1,X2,X3,X4) )).

cnf(i_0_6760,axiom,
    ( ~ esk1864_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_6761,axiom,
    ( esk4084_4(X1,X2,X3,X4)
    | ~ esk4118_4(X1,X2,X3,X4)
    | esk4343_4(X1,X2,X3,X4) )).

cnf(i_0_6762,axiom,
    ( p(X4)
    | ~ esk571_0
    | ~ p(X1)
    | esk2419_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_6763,axiom,
    ( ~ esk5687_4(X1,X2,X3,X4)
    | esk5673_4(X1,X2,X3,X4) )).

cnf(i_0_6764,axiom,
    ( esk4786_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_6765,axiom,
    ( esk4902_4(X1,X2,X3,X4)
    | ~ esk4653_4(X1,X2,X3,X4) )).

cnf(i_0_6766,axiom,
    ( esk9679_4(X1,X2,X3,X4)
    | ~ esk9030_4(X1,X2,X3,X4) )).

cnf(i_0_6767,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk2878_4(X1,X2,X3,X4)
    | esk1117_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_6768,axiom,
    ( ~ esk4695_4(X1,X2,X3,X4)
    | esk4694_4(X1,X2,X3,X4) )).

cnf(i_0_6769,axiom,
    ( esk7467_4(X1,X2,X3,X4)
    | ~ esk7468_4(X1,X2,X3,X4)
    | esk7466_4(X1,X2,X3,X4) )).

cnf(i_0_6770,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | esk376_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_6771,axiom,
    ( ~ esk3690_4(X1,X2,X3,X4)
    | esk4980_4(X1,X2,X3,X4) )).

cnf(i_0_6772,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7285_4(X1,X2,X3,X4) )).

cnf(i_0_6773,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8661_4(X1,X2,X3,X4)
    | ~ esk8660_4(X1,X2,X3,X4) )).

cnf(i_0_6774,axiom,
    ( ~ esk8630_4(X1,X2,X3,X4)
    | esk8631_4(X1,X2,X3,X4) )).

cnf(i_0_6775,axiom,
    ( ~ esk4618_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_6776,axiom,
    ( esk4090_4(X1,X2,X3,X4)
    | ~ esk4089_4(X1,X2,X3,X4) )).

cnf(i_0_6777,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1673_4(X1,X2,X3,X4) )).

cnf(i_0_6778,axiom,
    ( ~ esk9609_4(X1,X2,X3,X4)
    | esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_6779,axiom,
    ( ~ esk5819_4(X1,X2,X3,X4)
    | esk5821_4(X1,X2,X3,X4) )).

cnf(i_0_6780,axiom,
    ( p(X3)
    | ~ esk1023_0
    | p(X1)
    | esk9150_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_6781,axiom,
    ( esk3639_4(X1,X2,X3,X4)
    | ~ esk3640_4(X1,X2,X3,X4) )).

cnf(i_0_6782,axiom,
    ( p(X4)
    | esk420_0
    | ~ p(X2)
    | ~ esk8354_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_6783,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7189_4(X1,X2,X3,X4) )).

cnf(i_0_6784,axiom,
    ( ~ esk37_0
    | p(X3)
    | ~ p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_6785,axiom,
    ( esk4953_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4)
    | esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_6786,axiom,
    ( ~ p(X4)
    | esk407_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2022_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6787,axiom,
    ( esk1096_0
    | ~ p(X1)
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_6788,axiom,
    ( ~ esk4417_4(X1,X2,X3,X4)
    | esk4084_4(X1,X2,X3,X4) )).

cnf(i_0_6789,axiom,
    ( esk5795_4(X1,X2,X3,X4)
    | ~ esk5794_4(X1,X2,X3,X4)
    | ~ esk7088_4(X1,X2,X3,X4) )).

cnf(i_0_6790,axiom,
    ( esk1611_4(X1,X2,X3,X4)
    | ~ esk2907_4(X1,X2,X3,X4) )).

cnf(i_0_6791,axiom,
    ( ~ esk1382_4(X1,X2,X3,X4)
    | esk2063_4(X1,X2,X3,X4) )).

cnf(i_0_6792,axiom,
    ( ~ esk6720_4(X1,X2,X3,X4)
    | esk6722_4(X1,X2,X3,X4) )).

cnf(i_0_6793,axiom,
    ( ~ esk1872_4(X1,X2,X3,X4)
    | esk1681_4(X1,X2,X3,X4) )).

cnf(i_0_6794,axiom,
    ( esk1741_4(X1,X2,X3,X4)
    | ~ esk1743_4(X1,X2,X3,X4)
    | esk1742_4(X1,X2,X3,X4) )).

cnf(i_0_6795,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8724_4(X1,X2,X3,X4)
    | esk8496_4(X1,X2,X3,X4) )).

cnf(i_0_6796,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | ~ esk2575_4(X1,X2,X3,X4) )).

cnf(i_0_6797,axiom,
    ( esk4866_4(X1,X2,X3,X4)
    | ~ esk4903_4(X1,X2,X3,X4) )).

cnf(i_0_6798,axiom,
    ( ~ esk6902_4(X1,X2,X3,X4)
    | esk6901_4(X1,X2,X3,X4) )).

cnf(i_0_6799,axiom,
    ( ~ esk4164_4(X1,X2,X3,X4)
    | esk4166_4(X1,X2,X3,X4) )).

cnf(i_0_6800,axiom,
    ( ~ esk3913_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_6801,axiom,
    ( ~ esk4194_4(X1,X2,X3,X4)
    | ~ esk4232_4(X1,X2,X3,X4) )).

cnf(i_0_6802,axiom,
    ( ~ esk6025_4(X1,X2,X3,X4)
    | esk6026_4(X1,X2,X3,X4) )).

cnf(i_0_6803,axiom,
    ( esk7065_4(X1,X2,X3,X4)
    | ~ esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_6804,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk518_0
    | p(X1)
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_6805,axiom,
    ( ~ esk7826_4(X1,X2,X3,X4)
    | esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_6806,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk838_0
    | p(X2)
    | ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_6807,axiom,
    ( ~ esk5757_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | esk5820_4(X1,X2,X3,X4) )).

cnf(i_0_6808,axiom,
    ( esk6352_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6315_4(X1,X2,X3,X4) )).

cnf(i_0_6809,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | esk9176_4(X1,X2,X3,X4)
    | ~ esk1131_0 )).

cnf(i_0_6810,axiom,
    ( ~ esk1360_4(X1,X2,X3,X4)
    | esk1996_4(X1,X2,X3,X4) )).

cnf(i_0_6811,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | p(X1)
    | ~ esk1068_0
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_6812,axiom,
    ( esk1540_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_6813,axiom,
    ( ~ esk8198_4(X1,X2,X3,X4)
    | ~ esk8569_4(X1,X2,X3,X4)
    | esk8199_4(X1,X2,X3,X4) )).

cnf(i_0_6814,axiom,
    ( esk4177_4(X1,X2,X3,X4)
    | esk4176_4(X1,X2,X3,X4)
    | ~ esk4178_4(X1,X2,X3,X4) )).

cnf(i_0_6815,axiom,
    ( esk8787_4(X1,X2,X3,X4)
    | ~ esk8981_4(X1,X2,X3,X4) )).

cnf(i_0_6816,axiom,
    ( esk3427_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_6817,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7438_4(X1,X2,X3,X4) )).

cnf(i_0_6818,axiom,
    ( esk5833_4(X1,X2,X3,X4)
    | ~ esk5832_4(X1,X2,X3,X4) )).

cnf(i_0_6819,axiom,
    ( ~ esk4104_4(X1,X2,X3,X4)
    | esk4102_4(X1,X2,X3,X4)
    | esk4103_4(X1,X2,X3,X4) )).

cnf(i_0_6820,axiom,
    ( ~ esk6442_4(X1,X2,X3,X4)
    | esk6217_4(X1,X2,X3,X4) )).

cnf(i_0_6821,axiom,
    ( ~ esk8396_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_6822,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk1225_0
    | ~ p(X4)
    | ~ p(X2)
    | esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_6823,axiom,
    ( ~ esk2437_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | esk695_0
    | ~ p(X3) )).

cnf(i_0_6824,axiom,
    ( ~ esk3844_4(X1,X2,X3,X4)
    | esk5045_4(X1,X2,X3,X4) )).

cnf(i_0_6825,axiom,
    ( ~ esk6972_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6826,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_6827,axiom,
    ( esk7329_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6828,axiom,
    ( ~ esk9593_4(X1,X2,X3,X4)
    | esk9591_4(X1,X2,X3,X4) )).

cnf(i_0_6829,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk1326_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_6830,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk9732_4(X1,X2,X3,X4)
    | esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_6831,axiom,
    ( ~ esk6390_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6832,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk1440_4(X1,X2,X3,X4)
    | p(X2)
    | esk19_0 )).

cnf(i_0_6833,axiom,
    ( esk1482_4(X1,X2,X3,X4)
    | ~ esk1356_4(X1,X2,X3,X4) )).

cnf(i_0_6834,axiom,
    ( esk8315_4(X1,X2,X3,X4)
    | esk8185_4(X1,X2,X3,X4) )).

cnf(i_0_6835,axiom,
    ( ~ p(X4)
    | esk1958_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ esk350_0
    | ~ p(X3) )).

cnf(i_0_6836,axiom,
    ( esk4811_4(X1,X2,X3,X4)
    | esk4812_4(X1,X2,X3,X4)
    | ~ esk4813_4(X1,X2,X3,X4) )).

cnf(i_0_6837,axiom,
    ( esk5176_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_6838,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5462_4(X1,X2,X3,X4) )).

cnf(i_0_6839,axiom,
    ( esk3397_4(X1,X2,X3,X4)
    | esk3396_4(X1,X2,X3,X4)
    | ~ esk3398_4(X1,X2,X3,X4) )).

cnf(i_0_6840,axiom,
    ( esk4979_4(X1,X2,X3,X4)
    | ~ esk2879_4(X1,X2,X3,X4) )).

cnf(i_0_6841,axiom,
    ( ~ esk5202_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6842,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | esk1709_4(X1,X2,X3,X4) )).

cnf(i_0_6843,axiom,
    ( esk1808_4(X1,X2,X3,X4)
    | ~ esk1815_4(X1,X2,X3,X4) )).

cnf(i_0_6844,axiom,
    ( ~ esk6043_4(X1,X2,X3,X4)
    | esk6065_4(X1,X2,X3,X4) )).

cnf(i_0_6845,axiom,
    ( esk8596_4(X1,X2,X3,X4)
    | ~ esk8594_4(X1,X2,X3,X4) )).

cnf(i_0_6846,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2880_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk1136_0 )).

cnf(i_0_6847,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4072_4(X1,X2,X3,X4) )).

cnf(i_0_6848,axiom,
    ( ~ esk2530_4(X1,X2,X3,X4)
    | esk2532_4(X1,X2,X3,X4) )).

cnf(i_0_6849,axiom,
    ( ~ esk6811_4(X1,X2,X3,X4)
    | esk6812_4(X1,X2,X3,X4) )).

cnf(i_0_6850,axiom,
    ( esk2276_4(X1,X2,X3,X4)
    | ~ esk2275_4(X1,X2,X3,X4) )).

cnf(i_0_6851,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk543_0
    | esk8713_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_6852,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8140_4(X1,X2,X3,X4) )).

cnf(i_0_6853,axiom,
    ( p(X2)
    | esk8044_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk155_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_6854,axiom,
    ( esk4196_4(X1,X2,X3,X4)
    | ~ esk4584_4(X1,X2,X3,X4) )).

cnf(i_0_6855,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk2929_4(X1,X2,X3,X4) )).

cnf(i_0_6856,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | esk2417_4(X1,X2,X3,X4)
    | ~ esk1915_4(X1,X2,X3,X4) )).

cnf(i_0_6857,axiom,
    ( ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk968_0
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_6858,axiom,
    ( esk7303_4(X1,X2,X3,X4)
    | esk7302_4(X1,X2,X3,X4)
    | ~ esk7304_4(X1,X2,X3,X4) )).

cnf(i_0_6859,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk5523_4(X1,X2,X3,X4)
    | ~ esk5522_4(X1,X2,X3,X4) )).

cnf(i_0_6860,axiom,
    ( ~ esk1908_4(X1,X2,X3,X4)
    | ~ esk1975_4(X1,X2,X3,X4)
    | esk1976_4(X1,X2,X3,X4) )).

cnf(i_0_6861,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk608_0
    | p(X1)
    | ~ esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_6862,axiom,
    ( ~ esk2872_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | esk1073_0
    | ~ p(X3) )).

cnf(i_0_6863,axiom,
    ( esk2530_4(X1,X2,X3,X4)
    | esk2531_4(X1,X2,X3,X4)
    | ~ esk2532_4(X1,X2,X3,X4) )).

cnf(i_0_6864,axiom,
    ( ~ esk9079_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_6865,axiom,
    ( ~ esk2770_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_6866,axiom,
    ( esk9115_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4)
    | esk7817_4(X1,X2,X3,X4) )).

cnf(i_0_6867,axiom,
    ( ~ p(X2)
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk415_0
    | p(X1) )).

cnf(i_0_6868,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2969_4(X1,X2,X3,X4) )).

cnf(i_0_6869,axiom,
    ( ~ esk1275_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk2922_4(X1,X2,X3,X4) )).

cnf(i_0_6870,axiom,
    ( esk7206_4(X1,X2,X3,X4)
    | ~ esk7208_4(X1,X2,X3,X4)
    | esk7207_4(X1,X2,X3,X4) )).

cnf(i_0_6871,axiom,
    ( ~ esk4400_4(X1,X2,X3,X4)
    | esk4402_4(X1,X2,X3,X4) )).

cnf(i_0_6872,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6479_4(X1,X2,X3,X4)
    | esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_6873,axiom,
    ( ~ esk2865_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_6874,axiom,
    ( ~ esk3299_4(X1,X2,X3,X4)
    | esk3300_4(X1,X2,X3,X4)
    | esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_6875,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6317_4(X1,X2,X3,X4) )).

cnf(i_0_6876,axiom,
    ( ~ esk1758_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | esk235_0 )).

cnf(i_0_6877,axiom,
    ( esk8994_4(X1,X2,X3,X4)
    | ~ esk8995_4(X1,X2,X3,X4)
    | esk8993_4(X1,X2,X3,X4) )).

cnf(i_0_6878,axiom,
    ( ~ p(X4)
    | esk1776_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ esk243_0 )).

cnf(i_0_6879,axiom,
    ( esk4970_4(X1,X2,X3,X4)
    | ~ esk7070_4(X1,X2,X3,X4) )).

cnf(i_0_6880,axiom,
    ( esk6549_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6881,axiom,
    ( esk5118_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6882,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk7990_4(X1,X2,X3,X4) )).

cnf(i_0_6883,axiom,
    ( ~ esk9238_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk1296_0 )).

cnf(i_0_6884,axiom,
    ( ~ esk3037_4(X1,X2,X3,X4)
    | esk3038_4(X1,X2,X3,X4) )).

cnf(i_0_6885,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2103_4(X1,X2,X3,X4) )).

cnf(i_0_6886,axiom,
    ( esk6647_4(X1,X2,X3,X4)
    | ~ esk6186_4(X1,X2,X3,X4) )).

cnf(i_0_6887,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X4)
    | esk593_0
    | ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_6888,axiom,
    ( esk1811_4(X1,X2,X3,X4)
    | ~ esk1813_4(X1,X2,X3,X4)
    | esk1812_4(X1,X2,X3,X4) )).

cnf(i_0_6889,axiom,
    ( esk9199_4(X1,X2,X3,X4)
    | ~ esk9197_4(X1,X2,X3,X4) )).

cnf(i_0_6890,axiom,
    ( esk6667_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_6891,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | ~ esk1653_4(X1,X2,X3,X4)
    | esk1654_4(X1,X2,X3,X4) )).

cnf(i_0_6892,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8605_4(X1,X2,X3,X4) )).

cnf(i_0_6893,axiom,
    ( ~ p(X1)
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk1047_0
    | ~ p(X4) )).

cnf(i_0_6894,axiom,
    ( ~ esk8034_4(X1,X2,X3,X4)
    | esk7984_4(X1,X2,X3,X4) )).

cnf(i_0_6895,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk4058_4(X1,X2,X3,X4) )).

cnf(i_0_6896,axiom,
    ( ~ esk515_0
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_6897,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1268_0
    | p(X1)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_6898,axiom,
    ( ~ esk7829_4(X1,X2,X3,X4)
    | ~ esk8032_4(X1,X2,X3,X4)
    | esk7830_4(X1,X2,X3,X4) )).

cnf(i_0_6899,axiom,
    ( esk7523_4(X1,X2,X3,X4)
    | ~ esk7524_4(X1,X2,X3,X4)
    | esk7522_4(X1,X2,X3,X4) )).

cnf(i_0_6900,axiom,
    ( ~ esk8226_4(X1,X2,X3,X4)
    | esk8631_4(X1,X2,X3,X4) )).

cnf(i_0_6901,axiom,
    ( esk8520_4(X1,X2,X3,X4)
    | ~ esk8522_4(X1,X2,X3,X4)
    | esk8521_4(X1,X2,X3,X4) )).

cnf(i_0_6902,axiom,
    ( p(X2)
    | ~ esk604_0
    | ~ p(X3)
    | esk2425_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_6903,axiom,
    ( ~ esk5350_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_6904,axiom,
    ( esk7804_4(X1,X2,X3,X4)
    | ~ esk7805_4(X1,X2,X3,X4) )).

cnf(i_0_6905,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk826_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_6906,axiom,
    ( esk7287_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6907,axiom,
    ( esk9737_4(X1,X2,X3,X4)
    | esk9735_4(X1,X2,X3,X4)
    | ~ esk9738_4(X1,X2,X3,X4)
    | esk9736_4(X1,X2,X3,X4) )).

cnf(i_0_6908,axiom,
    ( ~ esk2479_4(X1,X2,X3,X4)
    | ~ esk2572_4(X1,X2,X3,X4)
    | esk2477_4(X1,X2,X3,X4) )).

cnf(i_0_6909,axiom,
    ( esk5693_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_6910,axiom,
    ( ~ esk4267_4(X1,X2,X3,X4)
    | esk4269_4(X1,X2,X3,X4) )).

cnf(i_0_6911,axiom,
    ( ~ esk7643_4(X1,X2,X3,X4)
    | esk7645_4(X1,X2,X3,X4) )).

cnf(i_0_6912,axiom,
    ( ~ esk8722_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8535_4(X1,X2,X3,X4) )).

cnf(i_0_6913,axiom,
    ( p(X4)
    | ~ esk1339_0
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_6914,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4390_4(X1,X2,X3,X4) )).

cnf(i_0_6915,axiom,
    ( esk4948_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_6916,axiom,
    ( esk7540_4(X1,X2,X3,X4)
    | ~ esk7538_4(X1,X2,X3,X4) )).

cnf(i_0_6917,axiom,
    ( esk4113_4(X1,X2,X3,X4)
    | ~ esk4114_4(X1,X2,X3,X4) )).

cnf(i_0_6918,axiom,
    ( ~ esk5620_4(X1,X2,X3,X4)
    | esk6082_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_6919,axiom,
    ( esk5797_4(X1,X2,X3,X4)
    | ~ esk5795_4(X1,X2,X3,X4) )).

cnf(i_0_6920,axiom,
    ( esk4142_4(X1,X2,X3,X4)
    | ~ esk4143_4(X1,X2,X3,X4)
    | esk4141_4(X1,X2,X3,X4) )).

cnf(i_0_6921,axiom,
    ( ~ esk2900_4(X1,X2,X3,X4)
    | esk2899_4(X1,X2,X3,X4) )).

cnf(i_0_6922,axiom,
    ( esk8730_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8386_4(X1,X2,X3,X4) )).

cnf(i_0_6923,axiom,
    ( ~ esk7919_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_6924,axiom,
    ( esk9244_4(X1,X2,X3,X4)
    | ~ esk9245_4(X1,X2,X3,X4) )).

cnf(i_0_6925,axiom,
    ( esk3808_4(X1,X2,X3,X4)
    | ~ esk5048_4(X1,X2,X3,X4) )).

cnf(i_0_6926,axiom,
    ( ~ esk8168_4(X1,X2,X3,X4)
    | esk7996_4(X1,X2,X3,X4) )).

cnf(i_0_6927,axiom,
    ( esk5421_4(X1,X2,X3,X4)
    | ~ esk5419_4(X1,X2,X3,X4) )).

cnf(i_0_6928,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4729_4(X1,X2,X3,X4)
    | esk5476_4(X1,X2,X3,X4) )).

cnf(i_0_6929,axiom,
    ( esk2772_4(X1,X2,X3,X4)
    | ~ esk2773_4(X1,X2,X3,X4) )).

cnf(i_0_6930,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7438_4(X1,X2,X3,X4)
    | ~ esk7437_4(X1,X2,X3,X4) )).

cnf(i_0_6931,axiom,
    ( esk266_0
    | p(X4)
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_6932,axiom,
    ( ~ esk4840_4(X1,X2,X3,X4)
    | esk5409_4(X1,X2,X3,X4) )).

cnf(i_0_6933,axiom,
    ( ~ esk9563_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4)
    | esk9566_4(X1,X2,X3,X4) )).

cnf(i_0_6934,axiom,
    ( ~ esk2939_4(X1,X2,X3,X4)
    | esk2940_4(X1,X2,X3,X4) )).

cnf(i_0_6935,axiom,
    ( ~ esk3684_4(X1,X2,X3,X4)
    | esk3683_4(X1,X2,X3,X4) )).

cnf(i_0_6936,axiom,
    ( ~ esk7951_4(X1,X2,X3,X4)
    | esk7953_4(X1,X2,X3,X4) )).

cnf(i_0_6937,axiom,
    ( esk7405_4(X1,X2,X3,X4)
    | ~ esk7406_4(X1,X2,X3,X4) )).

cnf(i_0_6938,axiom,
    ( esk3870_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_6939,axiom,
    ( esk8353_4(X1,X2,X3,X4)
    | esk8182_4(X1,X2,X3,X4)
    | ~ esk8352_4(X1,X2,X3,X4) )).

cnf(i_0_6940,axiom,
    ( ~ esk4034_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk4068_4(X1,X2,X3,X4) )).

cnf(i_0_6941,axiom,
    ( esk988_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_6942,axiom,
    ( ~ esk5403_4(X1,X2,X3,X4)
    | esk5405_4(X1,X2,X3,X4) )).

cnf(i_0_6943,axiom,
    ( ~ esk8575_4(X1,X2,X3,X4)
    | esk8577_4(X1,X2,X3,X4) )).

cnf(i_0_6944,axiom,
    ( ~ esk4505_4(X1,X2,X3,X4)
    | esk4187_4(X1,X2,X3,X4) )).

cnf(i_0_6945,axiom,
    ( ~ esk1839_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_6946,axiom,
    ( esk9179_4(X1,X2,X3,X4)
    | ~ esk7793_4(X1,X2,X3,X4) )).

cnf(i_0_6947,axiom,
    ( ~ esk8195_4(X1,X2,X3,X4)
    | esk8194_4(X1,X2,X3,X4) )).

cnf(i_0_6948,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk2803_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk928_0 )).

cnf(i_0_6949,axiom,
    ( ~ esk6866_4(X1,X2,X3,X4)
    | esk6865_4(X1,X2,X3,X4) )).

cnf(i_0_6950,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2713_4(X1,X2,X3,X4) )).

cnf(i_0_6951,axiom,
    ( esk1955_4(X1,X2,X3,X4)
    | ~ esk342_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_6952,axiom,
    ( ~ esk3245_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_6953,axiom,
    ( ~ esk2326_4(X1,X2,X3,X4)
    | esk2324_4(X1,X2,X3,X4)
    | esk2325_4(X1,X2,X3,X4) )).

cnf(i_0_6954,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ esk423_0
    | esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_6955,axiom,
    ( esk6307_4(X1,X2,X3,X4)
    | ~ esk6306_4(X1,X2,X3,X4) )).

cnf(i_0_6956,axiom,
    ( esk4883_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_6957,axiom,
    ( esk6796_4(X1,X2,X3,X4)
    | ~ esk7511_4(X1,X2,X3,X4) )).

cnf(i_0_6958,axiom,
    ( ~ esk4720_4(X1,X2,X3,X4)
    | esk4721_4(X1,X2,X3,X4) )).

cnf(i_0_6959,axiom,
    ( esk8464_4(X1,X2,X3,X4)
    | esk8317_4(X1,X2,X3,X4) )).

cnf(i_0_6960,axiom,
    ( ~ p(X1)
    | ~ esk1641_4(X1,X2,X3,X4)
    | p(X4)
    | esk102_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_6961,axiom,
    ( ~ esk4013_4(X1,X2,X3,X4)
    | esk4045_4(X1,X2,X3,X4)
    | ~ esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_6962,axiom,
    ( ~ esk2084_4(X1,X2,X3,X4)
    | ~ esk1997_4(X1,X2,X3,X4) )).

cnf(i_0_6963,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk2425_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk605_0
    | p(X1) )).

cnf(i_0_6964,axiom,
    ( esk2060_4(X1,X2,X3,X4)
    | ~ esk1679_4(X1,X2,X3,X4) )).

cnf(i_0_6965,axiom,
    ( ~ esk4829_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_6966,axiom,
    ( ~ esk2077_4(X1,X2,X3,X4)
    | esk2076_4(X1,X2,X3,X4) )).

cnf(i_0_6967,axiom,
    ( ~ esk7366_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_6968,axiom,
    ( esk7719_4(X1,X2,X3,X4)
    | ~ esk8178_4(X1,X2,X3,X4) )).

cnf(i_0_6969,axiom,
    ( ~ esk2519_4(X1,X2,X3,X4)
    | esk2520_4(X1,X2,X3,X4) )).

cnf(i_0_6970,axiom,
    ( esk2370_4(X1,X2,X3,X4)
    | ~ esk1982_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_6971,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4219_4(X1,X2,X3,X4) )).

cnf(i_0_6972,axiom,
    ( p(X2)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk971_0 )).

cnf(i_0_6973,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7383_4(X1,X2,X3,X4) )).

cnf(i_0_6974,axiom,
    ( esk7084_4(X1,X2,X3,X4)
    | ~ esk5791_4(X1,X2,X3,X4) )).

cnf(i_0_6975,axiom,
    ( ~ esk8567_4(X1,X2,X3,X4)
    | esk8569_4(X1,X2,X3,X4) )).

cnf(i_0_6976,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | ~ esk2127_4(X1,X2,X3,X4)
    | esk2162_4(X1,X2,X3,X4) )).

cnf(i_0_6977,axiom,
    ( ~ esk7036_4(X1,X2,X3,X4)
    | esk7035_4(X1,X2,X3,X4) )).

cnf(i_0_6978,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk319_0 )).

cnf(i_0_6979,axiom,
    ( ~ esk5250_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_6980,axiom,
    ( ~ esk6365_4(X1,X2,X3,X4)
    | esk6366_4(X1,X2,X3,X4)
    | ~ esk6330_4(X1,X2,X3,X4) )).

cnf(i_0_6981,axiom,
    ( ~ esk5337_4(X1,X2,X3,X4)
    | esk5336_4(X1,X2,X3,X4)
    | esk5335_4(X1,X2,X3,X4) )).

cnf(i_0_6982,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7395_4(X1,X2,X3,X4) )).

cnf(i_0_6983,axiom,
    ( esk1084_0
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_6984,axiom,
    ( ~ esk5989_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_6985,axiom,
    ( p(X1)
    | p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk544_0 )).

cnf(i_0_6986,axiom,
    ( ~ esk4529_4(X1,X2,X3,X4)
    | esk4502_4(X1,X2,X3,X4) )).

cnf(i_0_6987,axiom,
    ( esk6933_4(X1,X2,X3,X4)
    | ~ esk6932_4(X1,X2,X3,X4) )).

cnf(i_0_6988,axiom,
    ( ~ esk9114_4(X1,X2,X3,X4)
    | esk8167_4(X1,X2,X3,X4) )).

cnf(i_0_6989,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8331_4(X1,X2,X3,X4) )).

cnf(i_0_6990,axiom,
    ( esk8217_4(X1,X2,X3,X4)
    | ~ esk8218_4(X1,X2,X3,X4) )).

cnf(i_0_6991,axiom,
    ( ~ esk7541_4(X1,X2,X3,X4)
    | esk7542_4(X1,X2,X3,X4)
    | ~ esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_6992,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8270_4(X1,X2,X3,X4) )).

cnf(i_0_6993,axiom,
    ( ~ esk3527_4(X1,X2,X3,X4)
    | esk3525_4(X1,X2,X3,X4)
    | esk3526_4(X1,X2,X3,X4) )).

cnf(i_0_6994,axiom,
    ( esk6132_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_6995,axiom,
    ( ~ esk1891_4(X1,X2,X3,X4)
    | esk2260_4(X1,X2,X3,X4) )).

cnf(i_0_6996,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk575_0
    | esk8717_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_6997,axiom,
    ( ~ esk5155_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_6998,axiom,
    ( ~ esk5537_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_6999,axiom,
    ( esk4262_4(X1,X2,X3,X4)
    | ~ esk4261_4(X1,X2,X3,X4) )).

cnf(i_0_7000,axiom,
    ( esk3427_4(X1,X2,X3,X4)
    | ~ esk3428_4(X1,X2,X3,X4) )).

cnf(i_0_7001,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk2421_4(X1,X2,X3,X4)
    | ~ esk577_0 )).

cnf(i_0_7002,axiom,
    ( ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | esk43_0
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_7003,axiom,
    ( ~ p(X2)
    | esk1746_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk142_0
    | p(X1)
    | p(X3) )).

cnf(i_0_7004,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6522_4(X1,X2,X3,X4) )).

cnf(i_0_7005,axiom,
    ( esk808_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_7006,axiom,
    ( esk3828_4(X1,X2,X3,X4)
    | esk3829_4(X1,X2,X3,X4)
    | ~ esk3830_4(X1,X2,X3,X4) )).

cnf(i_0_7007,axiom,
    ( ~ esk9591_4(X1,X2,X3,X4)
    | ~ esk8767_4(X1,X2,X3,X4)
    | ~ esk9590_4(X1,X2,X3,X4) )).

cnf(i_0_7008,axiom,
    ( ~ esk6394_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_7009,axiom,
    ( esk3405_4(X1,X2,X3,X4)
    | ~ esk3406_4(X1,X2,X3,X4)
    | esk3404_4(X1,X2,X3,X4) )).

cnf(i_0_7010,axiom,
    ( esk1591_4(X1,X2,X3,X4)
    | ~ esk2881_4(X1,X2,X3,X4) )).

cnf(i_0_7011,axiom,
    ( esk3788_4(X1,X2,X3,X4)
    | ~ esk3960_4(X1,X2,X3,X4) )).

cnf(i_0_7012,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4859_4(X1,X2,X3,X4) )).

cnf(i_0_7013,axiom,
    ( esk4543_4(X1,X2,X3,X4)
    | esk4548_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_7014,axiom,
    ( ~ esk7446_4(X1,X2,X3,X4)
    | esk7445_4(X1,X2,X3,X4) )).

cnf(i_0_7015,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6506_4(X1,X2,X3,X4) )).

cnf(i_0_7016,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8563_4(X1,X2,X3,X4) )).

cnf(i_0_7017,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7271_4(X1,X2,X3,X4) )).

cnf(i_0_7018,axiom,
    ( ~ esk6762_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_7019,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk9226_4(X1,X2,X3,X4) )).

cnf(i_0_7020,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk711_0
    | ~ p(X4)
    | p(X1)
    | esk8735_4(X1,X2,X3,X4) )).

cnf(i_0_7021,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk714_0
    | ~ p(X2)
    | ~ p(X3)
    | esk8735_4(X1,X2,X3,X4) )).

cnf(i_0_7022,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6498_4(X1,X2,X3,X4) )).

cnf(i_0_7023,axiom,
    ( ~ p(X2)
    | esk562_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_7024,axiom,
    ( ~ esk2552_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4)
    | esk2601_4(X1,X2,X3,X4) )).

cnf(i_0_7025,axiom,
    ( esk6160_4(X1,X2,X3,X4)
    | ~ esk6579_4(X1,X2,X3,X4) )).

cnf(i_0_7026,axiom,
    ( esk7086_4(X1,X2,X3,X4)
    | ~ esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_7027,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk1518_4(X1,X2,X3,X4) )).

cnf(i_0_7028,axiom,
    ( ~ esk6738_4(X1,X2,X3,X4)
    | esk6775_4(X1,X2,X3,X4) )).

cnf(i_0_7029,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk202_0
    | esk8050_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_7030,axiom,
    ( ~ esk9310_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_7031,axiom,
    ( ~ esk1743_4(X1,X2,X3,X4)
    | ~ esk1457_4(X1,X2,X3,X4)
    | esk1458_4(X1,X2,X3,X4) )).

cnf(i_0_7032,axiom,
    ( esk5230_4(X1,X2,X3,X4)
    | ~ esk5231_4(X1,X2,X3,X4) )).

cnf(i_0_7033,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6398_4(X1,X2,X3,X4)
    | ~ esk6363_4(X1,X2,X3,X4) )).

cnf(i_0_7034,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5930_4(X1,X2,X3,X4) )).

cnf(i_0_7035,axiom,
    ( ~ esk5748_4(X1,X2,X3,X4)
    | esk5749_4(X1,X2,X3,X4) )).

cnf(i_0_7036,axiom,
    ( esk1727_4(X1,X2,X3,X4)
    | ~ esk1726_4(X1,X2,X3,X4) )).

cnf(i_0_7037,axiom,
    ( esk7583_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6832_4(X1,X2,X3,X4) )).

cnf(i_0_7038,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4033_4(X1,X2,X3,X4) )).

cnf(i_0_7039,axiom,
    ( ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk127_0
    | ~ p(X2) )).

cnf(i_0_7040,axiom,
    ( ~ esk5698_4(X1,X2,X3,X4)
    | esk5700_4(X1,X2,X3,X4) )).

cnf(i_0_7041,axiom,
    ( ~ esk3316_4(X1,X2,X3,X4)
    | esk3315_4(X1,X2,X3,X4) )).

cnf(i_0_7042,axiom,
    ( ~ esk8066_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_7043,axiom,
    ( esk7453_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7044,axiom,
    ( ~ esk4456_4(X1,X2,X3,X4)
    | esk4457_4(X1,X2,X3,X4) )).

cnf(i_0_7045,axiom,
    ( esk6711_4(X1,X2,X3,X4)
    | ~ esk6712_4(X1,X2,X3,X4) )).

cnf(i_0_7046,axiom,
    ( esk6710_4(X1,X2,X3,X4)
    | ~ esk6725_4(X1,X2,X3,X4) )).

cnf(i_0_7047,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk248_0
    | ~ p(X2)
    | ~ p(X3)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_7048,axiom,
    ( ~ esk2665_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_7049,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | esk1_0
    | p(X2)
    | ~ esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_7050,axiom,
    ( ~ esk3754_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_7051,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2197_4(X1,X2,X3,X4) )).

cnf(i_0_7052,axiom,
    ( ~ esk8286_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_7053,axiom,
    ( ~ esk9732_4(X1,X2,X3,X4)
    | esk9122_4(X1,X2,X3,X4)
    | esk9733_4(X1,X2,X3,X4) )).

cnf(i_0_7054,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4039_4(X1,X2,X3,X4) )).

cnf(i_0_7055,axiom,
    ( ~ esk1940_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7056,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk1983_4(X1,X2,X3,X4) )).

cnf(i_0_7057,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9334_4(X1,X2,X3,X4) )).

cnf(i_0_7058,axiom,
    ( esk8879_4(X1,X2,X3,X4)
    | ~ esk8878_4(X1,X2,X3,X4) )).

cnf(i_0_7059,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk8044_4(X1,X2,X3,X4)
    | ~ esk164_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_7060,axiom,
    ( esk600_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_7061,axiom,
    ( esk7013_4(X1,X2,X3,X4)
    | ~ esk4913_4(X1,X2,X3,X4) )).

cnf(i_0_7062,axiom,
    ( esk8048_4(X1,X2,X3,X4)
    | ~ esk7961_4(X1,X2,X3,X4) )).

cnf(i_0_7063,axiom,
    ( esk7592_4(X1,X2,X3,X4)
    | ~ esk7590_4(X1,X2,X3,X4) )).

cnf(i_0_7064,axiom,
    ( ~ esk1012_0
    | ~ p(X4)
    | esk2815_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_7065,axiom,
    ( ~ esk453_0
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_7066,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk7623_4(X1,X2,X3,X4) )).

cnf(i_0_7067,axiom,
    ( ~ esk4627_4(X1,X2,X3,X4)
    | esk4626_4(X1,X2,X3,X4)
    | esk4625_4(X1,X2,X3,X4) )).

cnf(i_0_7068,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk1958_4(X1,X2,X3,X4)
    | ~ esk357_0
    | p(X2) )).

cnf(i_0_7069,axiom,
    ( esk9213_4(X1,X2,X3,X4)
    | ~ esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_7070,axiom,
    ( ~ esk4947_4(X1,X2,X3,X4)
    | esk4946_4(X1,X2,X3,X4)
    | esk4945_4(X1,X2,X3,X4) )).

cnf(i_0_7071,axiom,
    ( esk5909_4(X1,X2,X3,X4)
    | ~ esk7120_4(X1,X2,X3,X4) )).

cnf(i_0_7072,axiom,
    ( ~ esk7174_4(X1,X2,X3,X4)
    | esk7173_4(X1,X2,X3,X4) )).

cnf(i_0_7073,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | esk4686_4(X1,X2,X3,X4) )).

cnf(i_0_7074,axiom,
    ( esk5295_4(X1,X2,X3,X4)
    | esk5296_4(X1,X2,X3,X4)
    | ~ esk5297_4(X1,X2,X3,X4) )).

cnf(i_0_7075,axiom,
    ( ~ esk7116_4(X1,X2,X3,X4)
    | ~ esk5750_4(X1,X2,X3,X4)
    | esk5751_4(X1,X2,X3,X4) )).

cnf(i_0_7076,axiom,
    ( ~ esk8358_4(X1,X2,X3,X4)
    | esk6258_4(X1,X2,X3,X4) )).

cnf(i_0_7077,axiom,
    ( esk1661_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_7078,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2728_4(X1,X2,X3,X4) )).

cnf(i_0_7079,axiom,
    ( ~ esk6057_4(X1,X2,X3,X4)
    | esk8157_4(X1,X2,X3,X4) )).

cnf(i_0_7080,axiom,
    ( ~ esk3866_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7081,axiom,
    ( esk2745_4(X1,X2,X3,X4)
    | ~ esk3318_4(X1,X2,X3,X4)
    | ~ esk2744_4(X1,X2,X3,X4) )).

cnf(i_0_7082,axiom,
    ( ~ esk2494_4(X1,X2,X3,X4)
    | esk2493_4(X1,X2,X3,X4)
    | esk2492_4(X1,X2,X3,X4) )).

cnf(i_0_7083,axiom,
    ( esk910_0
    | ~ p(X2)
    | p(X1)
    | ~ esk9097_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_7084,axiom,
    ( ~ esk2709_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_7085,axiom,
    ( esk2915_4(X1,X2,X3,X4)
    | ~ esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_7086,axiom,
    ( ~ esk2369_4(X1,X2,X3,X4)
    | esk2371_4(X1,X2,X3,X4) )).

cnf(i_0_7087,axiom,
    ( ~ p(X1)
    | esk1000_0
    | p(X4)
    | p(X2)
    | ~ esk2813_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_7088,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk8072_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk246_0 )).

cnf(i_0_7089,axiom,
    ( esk3954_4(X1,X2,X3,X4)
    | esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_7090,axiom,
    ( esk3561_4(X1,X2,X3,X4)
    | ~ esk3804_4(X1,X2,X3,X4)
    | ~ esk3560_4(X1,X2,X3,X4) )).

cnf(i_0_7091,axiom,
    ( ~ esk6995_4(X1,X2,X3,X4)
    | esk6749_4(X1,X2,X3,X4) )).

cnf(i_0_7092,axiom,
    ( esk2012_4(X1,X2,X3,X4)
    | ~ esk2013_4(X1,X2,X3,X4)
    | esk2011_4(X1,X2,X3,X4) )).

cnf(i_0_7093,axiom,
    ( ~ esk8313_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_7094,axiom,
    ( ~ esk8579_4(X1,X2,X3,X4)
    | esk8613_4(X1,X2,X3,X4)
    | esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_7095,axiom,
    ( esk4412_4(X1,X2,X3,X4)
    | ~ esk4381_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_7096,axiom,
    ( ~ esk3225_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_7097,axiom,
    ( ~ esk1_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk8547_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_7098,axiom,
    ( esk8272_4(X1,X2,X3,X4)
    | ~ esk8273_4(X1,X2,X3,X4) )).

cnf(i_0_7099,axiom,
    ( p(X2)
    | ~ esk1070_0
    | esk9168_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_7100,axiom,
    ( ~ esk5229_4(X1,X2,X3,X4)
    | ~ esk5234_4(X1,X2,X3,X4)
    | esk5235_4(X1,X2,X3,X4) )).

cnf(i_0_7101,axiom,
    ( esk7911_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7848_4(X1,X2,X3,X4) )).

cnf(i_0_7102,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5094_4(X1,X2,X3,X4) )).

cnf(i_0_7103,axiom,
    ( ~ esk5044_4(X1,X2,X3,X4)
    | esk5045_4(X1,X2,X3,X4) )).

cnf(i_0_7104,axiom,
    ( ~ esk8322_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_7105,axiom,
    ( ~ esk8267_4(X1,X2,X3,X4)
    | esk8266_4(X1,X2,X3,X4)
    | esk8265_4(X1,X2,X3,X4) )).

cnf(i_0_7106,axiom,
    ( ~ esk7491_4(X1,X2,X3,X4)
    | esk6987_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_7107,axiom,
    ( esk4594_4(X1,X2,X3,X4)
    | ~ esk4626_4(X1,X2,X3,X4) )).

cnf(i_0_7108,axiom,
    ( esk3394_4(X1,X2,X3,X4)
    | ~ esk3397_4(X1,X2,X3,X4) )).

cnf(i_0_7109,axiom,
    ( ~ esk5801_4(X1,X2,X3,X4)
    | esk7091_4(X1,X2,X3,X4) )).

cnf(i_0_7110,axiom,
    ( esk2411_4(X1,X2,X3,X4)
    | ~ esk2409_4(X1,X2,X3,X4) )).

cnf(i_0_7111,axiom,
    ( esk8314_4(X1,X2,X3,X4)
    | ~ esk8378_4(X1,X2,X3,X4) )).

cnf(i_0_7112,axiom,
    ( esk1267_0
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7113,axiom,
    ( ~ esk4832_4(X1,X2,X3,X4)
    | esk4834_4(X1,X2,X3,X4) )).

cnf(i_0_7114,axiom,
    ( esk3640_4(X1,X2,X3,X4)
    | ~ esk3642_4(X1,X2,X3,X4)
    | esk3641_4(X1,X2,X3,X4) )).

cnf(i_0_7115,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2388_4(X1,X2,X3,X4) )).

cnf(i_0_7116,axiom,
    ( esk7857_4(X1,X2,X3,X4)
    | ~ esk7858_4(X1,X2,X3,X4) )).

cnf(i_0_7117,axiom,
    ( esk8351_4(X1,X2,X3,X4)
    | ~ esk8350_4(X1,X2,X3,X4) )).

cnf(i_0_7118,axiom,
    ( esk8862_4(X1,X2,X3,X4)
    | ~ esk8830_4(X1,X2,X3,X4)
    | ~ esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_7119,axiom,
    ( esk3970_4(X1,X2,X3,X4)
    | ~ esk3535_4(X1,X2,X3,X4) )).

cnf(i_0_7120,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk730_0
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_7121,axiom,
    ( ~ esk7136_4(X1,X2,X3,X4)
    | esk5925_4(X1,X2,X3,X4) )).

cnf(i_0_7122,axiom,
    ( esk7576_4(X1,X2,X3,X4)
    | ~ esk7574_4(X1,X2,X3,X4) )).

cnf(i_0_7123,axiom,
    ( esk7296_4(X1,X2,X3,X4)
    | ~ esk7295_4(X1,X2,X3,X4) )).

cnf(i_0_7124,axiom,
    ( ~ esk6970_4(X1,X2,X3,X4)
    | ~ esk7628_4(X1,X2,X3,X4)
    | esk6971_4(X1,X2,X3,X4) )).

cnf(i_0_7125,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9023_4(X1,X2,X3,X4) )).

cnf(i_0_7126,axiom,
    ( esk7893_4(X1,X2,X3,X4)
    | ~ esk7894_4(X1,X2,X3,X4) )).

cnf(i_0_7127,axiom,
    ( ~ esk8023_4(X1,X2,X3,X4)
    | esk7988_4(X1,X2,X3,X4) )).

cnf(i_0_7128,axiom,
    ( ~ esk8338_4(X1,X2,X3,X4)
    | esk8339_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_7129,axiom,
    ( esk2434_4(X1,X2,X3,X4)
    | ~ esk2411_4(X1,X2,X3,X4) )).

cnf(i_0_7130,axiom,
    ( ~ esk5639_4(X1,X2,X3,X4)
    | esk7739_4(X1,X2,X3,X4) )).

cnf(i_0_7131,axiom,
    ( ~ esk1929_4(X1,X2,X3,X4)
    | esk1931_4(X1,X2,X3,X4) )).

cnf(i_0_7132,axiom,
    ( esk1847_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_7133,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk9087_4(X1,X2,X3,X4)
    | esk839_0
    | ~ p(X4) )).

cnf(i_0_7134,axiom,
    ( esk7796_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_7135,axiom,
    ( ~ esk1972_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_7136,axiom,
    ( ~ esk3083_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7137,axiom,
    ( ~ esk5267_4(X1,X2,X3,X4)
    | esk5269_4(X1,X2,X3,X4) )).

cnf(i_0_7138,axiom,
    ( esk7042_4(X1,X2,X3,X4)
    | ~ esk7040_4(X1,X2,X3,X4) )).

cnf(i_0_7139,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1262_0
    | p(X4) )).

cnf(i_0_7140,axiom,
    ( ~ esk7774_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk73_0
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_7141,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk689_0
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_7142,axiom,
    ( esk5538_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4963_4(X1,X2,X3,X4) )).

cnf(i_0_7143,axiom,
    ( esk9387_4(X1,X2,X3,X4)
    | ~ esk9386_4(X1,X2,X3,X4) )).

cnf(i_0_7144,axiom,
    ( esk2823_4(X1,X2,X3,X4)
    | ~ esk2822_4(X1,X2,X3,X4) )).

cnf(i_0_7145,axiom,
    ( ~ esk5054_4(X1,X2,X3,X4)
    | esk3738_4(X1,X2,X3,X4) )).

cnf(i_0_7146,axiom,
    ( ~ esk3096_4(X1,X2,X3,X4)
    | esk3082_4(X1,X2,X3,X4) )).

cnf(i_0_7147,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4)
    | esk3293_4(X1,X2,X3,X4) )).

cnf(i_0_7148,axiom,
    ( ~ esk8462_4(X1,X2,X3,X4)
    | esk8424_4(X1,X2,X3,X4)
    | esk8461_4(X1,X2,X3,X4) )).

cnf(i_0_7149,axiom,
    ( esk4072_4(X1,X2,X3,X4)
    | esk4071_4(X1,X2,X3,X4)
    | ~ esk4073_4(X1,X2,X3,X4) )).

cnf(i_0_7150,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | esk321_0 )).

cnf(i_0_7151,axiom,
    ( ~ esk3164_4(X1,X2,X3,X4)
    | esk3166_4(X1,X2,X3,X4) )).

cnf(i_0_7152,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6664_4(X1,X2,X3,X4) )).

cnf(i_0_7153,axiom,
    ( esk2032_4(X1,X2,X3,X4)
    | ~ esk2031_4(X1,X2,X3,X4) )).

cnf(i_0_7154,axiom,
    ( ~ esk3481_4(X1,X2,X3,X4)
    | esk4162_4(X1,X2,X3,X4) )).

cnf(i_0_7155,axiom,
    ( esk8761_4(X1,X2,X3,X4)
    | ~ esk7747_4(X1,X2,X3,X4) )).

cnf(i_0_7156,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk1042_0
    | esk2868_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_7157,axiom,
    ( esk6463_4(X1,X2,X3,X4)
    | ~ esk6464_4(X1,X2,X3,X4) )).

cnf(i_0_7158,axiom,
    ( ~ esk1902_4(X1,X2,X3,X4)
    | esk1904_4(X1,X2,X3,X4) )).

cnf(i_0_7159,axiom,
    ( ~ esk3863_4(X1,X2,X3,X4)
    | ~ esk5002_4(X1,X2,X3,X4) )).

cnf(i_0_7160,axiom,
    ( ~ esk2982_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk2985_4(X1,X2,X3,X4) )).

cnf(i_0_7161,axiom,
    ( esk95_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk1641_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_7162,axiom,
    ( esk7613_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_7163,axiom,
    ( esk5310_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_7164,axiom,
    ( ~ esk8420_4(X1,X2,X3,X4)
    | esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_7165,axiom,
    ( esk3336_4(X1,X2,X3,X4)
    | ~ esk3335_4(X1,X2,X3,X4)
    | ~ esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_7166,axiom,
    ( esk1972_4(X1,X2,X3,X4)
    | ~ esk1974_4(X1,X2,X3,X4)
    | esk1973_4(X1,X2,X3,X4) )).

cnf(i_0_7167,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk3913_4(X1,X2,X3,X4) )).

cnf(i_0_7168,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | ~ esk9176_4(X1,X2,X3,X4)
    | esk1128_0
    | p(X1) )).

cnf(i_0_7169,axiom,
    ( esk9277_4(X1,X2,X3,X4)
    | esk9278_4(X1,X2,X3,X4)
    | ~ esk9279_4(X1,X2,X3,X4) )).

cnf(i_0_7170,axiom,
    ( ~ esk8355_4(X1,X2,X3,X4)
    | esk8344_4(X1,X2,X3,X4)
    | ~ esk8290_4(X1,X2,X3,X4) )).

cnf(i_0_7171,axiom,
    ( ~ esk1791_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7172,axiom,
    ( esk3966_4(X1,X2,X3,X4)
    | ~ esk3944_4(X1,X2,X3,X4) )).

cnf(i_0_7173,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8189_4(X1,X2,X3,X4)
    | esk8223_4(X1,X2,X3,X4) )).

cnf(i_0_7174,axiom,
    ( p(X1)
    | esk998_0
    | ~ p(X2)
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7175,axiom,
    ( esk7075_4(X1,X2,X3,X4)
    | ~ esk9175_4(X1,X2,X3,X4) )).

cnf(i_0_7176,axiom,
    ( ~ esk3857_4(X1,X2,X3,X4)
    | esk1757_4(X1,X2,X3,X4) )).

cnf(i_0_7177,axiom,
    ( ~ esk3153_4(X1,X2,X3,X4)
    | esk3154_4(X1,X2,X3,X4) )).

cnf(i_0_7178,axiom,
    ( ~ p(X3)
    | esk1089_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_7179,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | esk173_0
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_7180,axiom,
    ( esk8065_4(X1,X2,X3,X4)
    | ~ esk8064_4(X1,X2,X3,X4) )).

cnf(i_0_7181,axiom,
    ( ~ esk4298_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_7182,axiom,
    ( esk4135_4(X1,X2,X3,X4)
    | ~ esk4134_4(X1,X2,X3,X4) )).

cnf(i_0_7183,axiom,
    ( esk7068_4(X1,X2,X3,X4)
    | ~ esk4968_4(X1,X2,X3,X4) )).

cnf(i_0_7184,axiom,
    ( esk4670_4(X1,X2,X3,X4)
    | ~ esk3784_4(X1,X2,X3,X4) )).

cnf(i_0_7185,axiom,
    ( ~ esk1978_4(X1,X2,X3,X4)
    | esk1977_4(X1,X2,X3,X4)
    | esk1976_4(X1,X2,X3,X4) )).

cnf(i_0_7186,axiom,
    ( ~ esk9282_4(X1,X2,X3,X4)
    | esk9279_4(X1,X2,X3,X4) )).

cnf(i_0_7187,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4790_4(X1,X2,X3,X4) )).

cnf(i_0_7188,axiom,
    ( esk4581_4(X1,X2,X3,X4)
    | ~ esk3505_4(X1,X2,X3,X4) )).

cnf(i_0_7189,axiom,
    ( esk4679_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4678_4(X1,X2,X3,X4) )).

cnf(i_0_7190,axiom,
    ( ~ esk5965_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7191,axiom,
    ( ~ esk847_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_7192,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8660_4(X1,X2,X3,X4) )).

cnf(i_0_7193,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3219_4(X1,X2,X3,X4) )).

cnf(i_0_7194,axiom,
    ( esk5422_4(X1,X2,X3,X4)
    | ~ esk5423_4(X1,X2,X3,X4) )).

cnf(i_0_7195,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | esk1015_0
    | ~ esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_7196,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk793_0 )).

cnf(i_0_7197,axiom,
    ( ~ esk8443_4(X1,X2,X3,X4)
    | esk8444_4(X1,X2,X3,X4) )).

cnf(i_0_7198,axiom,
    ( esk9214_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk1249_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_7199,axiom,
    ( ~ esk6301_4(X1,X2,X3,X4)
    | esk6300_4(X1,X2,X3,X4) )).

cnf(i_0_7200,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | esk8733_4(X1,X2,X3,X4)
    | ~ esk695_0
    | p(X2) )).

cnf(i_0_7201,axiom,
    ( esk8247_4(X1,X2,X3,X4)
    | ~ esk8716_4(X1,X2,X3,X4) )).

cnf(i_0_7202,axiom,
    ( ~ esk8373_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_7203,axiom,
    ( ~ esk3393_4(X1,X2,X3,X4)
    | esk2638_4(X1,X2,X3,X4) )).

cnf(i_0_7204,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk1161_0
    | p(X1)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_7205,axiom,
    ( esk6902_4(X1,X2,X3,X4)
    | ~ esk6904_4(X1,X2,X3,X4)
    | esk6903_4(X1,X2,X3,X4) )).

cnf(i_0_7206,axiom,
    ( esk6081_4(X1,X2,X3,X4)
    | ~ esk6612_4(X1,X2,X3,X4) )).

cnf(i_0_7207,axiom,
    ( esk4243_4(X1,X2,X3,X4)
    | ~ esk4244_4(X1,X2,X3,X4) )).

cnf(i_0_7208,axiom,
    ( ~ esk1836_4(X1,X2,X3,X4)
    | esk1835_4(X1,X2,X3,X4) )).

cnf(i_0_7209,axiom,
    ( ~ esk5588_4(X1,X2,X3,X4)
    | esk5946_4(X1,X2,X3,X4) )).

cnf(i_0_7210,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6897_4(X1,X2,X3,X4) )).

cnf(i_0_7211,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk9322_4(X1,X2,X3,X4)
    | ~ esk9319_4(X1,X2,X3,X4) )).

cnf(i_0_7212,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6608_4(X1,X2,X3,X4) )).

cnf(i_0_7213,axiom,
    ( ~ esk5090_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7214,axiom,
    ( ~ esk8400_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_7215,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8980_4(X1,X2,X3,X4) )).

cnf(i_0_7216,axiom,
    ( ~ esk6832_4(X1,X2,X3,X4)
    | esk6831_4(X1,X2,X3,X4)
    | esk6830_4(X1,X2,X3,X4) )).

cnf(i_0_7217,axiom,
    ( ~ esk7506_4(X1,X2,X3,X4)
    | esk7505_4(X1,X2,X3,X4) )).

cnf(i_0_7218,axiom,
    ( esk9094_4(X1,X2,X3,X4)
    | ~ esk8897_4(X1,X2,X3,X4) )).

cnf(i_0_7219,axiom,
    ( ~ esk1682_4(X1,X2,X3,X4)
    | esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_7220,axiom,
    ( esk8749_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk739_0
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_7221,axiom,
    ( esk5925_4(X1,X2,X3,X4)
    | ~ esk5923_4(X1,X2,X3,X4) )).

cnf(i_0_7222,axiom,
    ( esk2221_4(X1,X2,X3,X4)
    | ~ esk2219_4(X1,X2,X3,X4) )).

cnf(i_0_7223,axiom,
    ( esk1475_4(X1,X2,X3,X4)
    | ~ esk1489_4(X1,X2,X3,X4) )).

cnf(i_0_7224,axiom,
    ( esk6074_4(X1,X2,X3,X4)
    | ~ esk5726_4(X1,X2,X3,X4) )).

cnf(i_0_7225,axiom,
    ( ~ esk9135_4(X1,X2,X3,X4)
    | esk9137_4(X1,X2,X3,X4) )).

cnf(i_0_7226,axiom,
    ( p(X3)
    | ~ esk2425_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | esk615_0
    | ~ p(X2) )).

cnf(i_0_7227,axiom,
    ( ~ esk5502_4(X1,X2,X3,X4)
    | esk5503_4(X1,X2,X3,X4)
    | ~ esk4805_4(X1,X2,X3,X4) )).

cnf(i_0_7228,axiom,
    ( esk7264_4(X1,X2,X3,X4)
    | ~ esk7262_4(X1,X2,X3,X4) )).

cnf(i_0_7229,axiom,
    ( ~ esk4807_4(X1,X2,X3,X4)
    | esk4809_4(X1,X2,X3,X4) )).

cnf(i_0_7230,axiom,
    ( ~ esk6435_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6473_4(X1,X2,X3,X4) )).

cnf(i_0_7231,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk8214_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | esk313_0 )).

cnf(i_0_7232,axiom,
    ( esk3757_4(X1,X2,X3,X4)
    | ~ esk3759_4(X1,X2,X3,X4)
    | esk3758_4(X1,X2,X3,X4) )).

cnf(i_0_7233,axiom,
    ( ~ esk5792_4(X1,X2,X3,X4)
    | esk5700_4(X1,X2,X3,X4) )).

cnf(i_0_7234,axiom,
    ( ~ esk8595_4(X1,X2,X3,X4)
    | esk8596_4(X1,X2,X3,X4) )).

cnf(i_0_7235,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk3177_4(X1,X2,X3,X4)
    | ~ esk3174_4(X1,X2,X3,X4) )).

cnf(i_0_7236,axiom,
    ( esk8501_4(X1,X2,X3,X4)
    | ~ esk8537_4(X1,X2,X3,X4) )).

cnf(i_0_7237,axiom,
    ( ~ esk1486_4(X1,X2,X3,X4)
    | esk1578_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_7238,axiom,
    ( ~ esk4097_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7239,axiom,
    ( esk4154_4(X1,X2,X3,X4)
    | ~ esk4155_4(X1,X2,X3,X4)
    | esk3984_4(X1,X2,X3,X4) )).

cnf(i_0_7240,axiom,
    ( ~ esk8901_4(X1,X2,X3,X4)
    | esk8903_4(X1,X2,X3,X4) )).

cnf(i_0_7241,axiom,
    ( esk5015_4(X1,X2,X3,X4)
    | ~ esk3754_4(X1,X2,X3,X4) )).

cnf(i_0_7242,axiom,
    ( ~ p(X1)
    | ~ esk9150_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk2_0
    | ~ p(X4) )).

cnf(i_0_7243,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk667_0 )).

cnf(i_0_7244,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3339_4(X1,X2,X3,X4) )).

cnf(i_0_7245,axiom,
    ( esk9228_4(X1,X2,X3,X4)
    | ~ esk1287_0
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_7246,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk1883_4(X1,X2,X3,X4)
    | esk2414_4(X1,X2,X3,X4) )).

cnf(i_0_7247,axiom,
    ( ~ esk4536_4(X1,X2,X3,X4)
    | esk2436_4(X1,X2,X3,X4) )).

cnf(i_0_7248,axiom,
    ( ~ esk410_0
    | p(X2)
    | p(X4)
    | esk8354_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_7249,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | esk3936_4(X1,X2,X3,X4) )).

cnf(i_0_7250,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7359_4(X1,X2,X3,X4) )).

cnf(i_0_7251,axiom,
    ( ~ esk9368_4(X1,X2,X3,X4)
    | esk9369_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_7252,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | ~ esk1640_4(X1,X2,X3,X4) )).

cnf(i_0_7253,axiom,
    ( esk7960_4(X1,X2,X3,X4)
    | ~ esk7961_4(X1,X2,X3,X4)
    | esk7959_4(X1,X2,X3,X4) )).

cnf(i_0_7254,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk3041_4(X1,X2,X3,X4) )).

cnf(i_0_7255,axiom,
    ( esk6647_4(X1,X2,X3,X4) )).

cnf(i_0_7256,axiom,
    ( ~ esk4185_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_7257,axiom,
    ( ~ esk4726_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_7258,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | esk771_0
    | ~ p(X2)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_7259,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk3747_4(X1,X2,X3,X4) )).

cnf(i_0_7260,axiom,
    ( esk7406_4(X1,X2,X3,X4)
    | esk7407_4(X1,X2,X3,X4)
    | ~ esk7408_4(X1,X2,X3,X4) )).

cnf(i_0_7261,axiom,
    ( ~ esk2104_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7262,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk8170_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk295_0 )).

cnf(i_0_7263,axiom,
    ( ~ esk2879_4(X1,X2,X3,X4)
    | esk1587_4(X1,X2,X3,X4) )).

cnf(i_0_7264,axiom,
    ( ~ esk2343_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7265,axiom,
    ( ~ esk7098_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_7266,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk3991_4(X1,X2,X3,X4)
    | esk4025_4(X1,X2,X3,X4) )).

cnf(i_0_7267,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6212_4(X1,X2,X3,X4) )).

cnf(i_0_7268,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk767_0
    | ~ p(X1)
    | esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_7269,axiom,
    ( esk3142_4(X1,X2,X3,X4)
    | ~ esk3141_4(X1,X2,X3,X4) )).

cnf(i_0_7270,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk414_0
    | ~ p(X3) )).

cnf(i_0_7271,axiom,
    ( esk6714_4(X1,X2,X3,X4)
    | ~ esk6713_4(X1,X2,X3,X4) )).

cnf(i_0_7272,axiom,
    ( esk6957_4(X1,X2,X3,X4)
    | ~ esk6956_4(X1,X2,X3,X4) )).

cnf(i_0_7273,axiom,
    ( p(X1)
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ esk307_0 )).

cnf(i_0_7274,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8370_4(X1,X2,X3,X4) )).

cnf(i_0_7275,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk31_0
    | ~ p(X4) )).

cnf(i_0_7276,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk5997_4(X1,X2,X3,X4) )).

cnf(i_0_7277,axiom,
    ( ~ esk6515_4(X1,X2,X3,X4)
    | esk6112_4(X1,X2,X3,X4)
    | esk6111_4(X1,X2,X3,X4) )).

cnf(i_0_7278,axiom,
    ( ~ p(X3)
    | ~ esk962_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_7279,axiom,
    ( esk6246_4(X1,X2,X3,X4)
    | ~ esk6698_4(X1,X2,X3,X4) )).

cnf(i_0_7280,axiom,
    ( esk4801_4(X1,X2,X3,X4)
    | ~ esk4799_4(X1,X2,X3,X4) )).

cnf(i_0_7281,axiom,
    ( esk6874_4(X1,X2,X3,X4)
    | ~ esk6873_4(X1,X2,X3,X4)
    | ~ esk6686_4(X1,X2,X3,X4) )).

cnf(i_0_7282,axiom,
    ( ~ esk2947_4(X1,X2,X3,X4)
    | esk2948_4(X1,X2,X3,X4)
    | ~ esk1701_4(X1,X2,X3,X4) )).

cnf(i_0_7283,axiom,
    ( ~ esk6172_4(X1,X2,X3,X4)
    | ~ esk6235_4(X1,X2,X3,X4)
    | esk6236_4(X1,X2,X3,X4) )).

cnf(i_0_7284,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4505_4(X1,X2,X3,X4) )).

cnf(i_0_7285,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | esk879_0
    | ~ p(X2)
    | ~ esk9093_4(X1,X2,X3,X4) )).

cnf(i_0_7286,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk2_0
    | ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_7287,axiom,
    ( ~ esk3261_4(X1,X2,X3,X4)
    | esk3262_4(X1,X2,X3,X4) )).

cnf(i_0_7288,axiom,
    ( ~ esk3685_4(X1,X2,X3,X4)
    | esk3686_4(X1,X2,X3,X4) )).

cnf(i_0_7289,axiom,
    ( esk5926_4(X1,X2,X3,X4)
    | ~ esk5927_4(X1,X2,X3,X4) )).

cnf(i_0_7290,axiom,
    ( ~ esk1492_4(X1,X2,X3,X4)
    | esk1491_4(X1,X2,X3,X4) )).

cnf(i_0_7291,axiom,
    ( ~ esk6835_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_7292,axiom,
    ( ~ esk3657_4(X1,X2,X3,X4)
    | esk3658_4(X1,X2,X3,X4) )).

cnf(i_0_7293,axiom,
    ( ~ esk8544_4(X1,X2,X3,X4)
    | esk8545_4(X1,X2,X3,X4) )).

cnf(i_0_7294,axiom,
    ( esk7978_4(X1,X2,X3,X4)
    | ~ esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_7295,axiom,
    ( ~ esk8343_4(X1,X2,X3,X4)
    | esk8345_4(X1,X2,X3,X4) )).

cnf(i_0_7296,axiom,
    ( ~ esk6438_4(X1,X2,X3,X4)
    | esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_7297,axiom,
    ( ~ esk5793_4(X1,X2,X3,X4)
    | esk7083_4(X1,X2,X3,X4) )).

cnf(i_0_7298,axiom,
    ( esk6474_4(X1,X2,X3,X4)
    | ~ esk6508_4(X1,X2,X3,X4) )).

cnf(i_0_7299,axiom,
    ( ~ esk8390_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4)
    | esk8505_4(X1,X2,X3,X4) )).

cnf(i_0_7300,axiom,
    ( esk224_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_7301,axiom,
    ( ~ esk2708_4(X1,X2,X3,X4)
    | esk2528_4(X1,X2,X3,X4) )).

cnf(i_0_7302,axiom,
    ( ~ esk1136_0
    | ~ p(X1)
    | p(X3)
    | esk2880_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_7303,axiom,
    ( ~ esk6703_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_7304,axiom,
    ( esk5509_4(X1,X2,X3,X4)
    | ~ esk5508_4(X1,X2,X3,X4) )).

cnf(i_0_7305,axiom,
    ( ~ esk4257_4(X1,X2,X3,X4)
    | esk4220_4(X1,X2,X3,X4) )).

cnf(i_0_7306,axiom,
    ( ~ esk2504_4(X1,X2,X3,X4)
    | ~ esk2655_4(X1,X2,X3,X4)
    | esk2656_4(X1,X2,X3,X4) )).

cnf(i_0_7307,axiom,
    ( esk6315_4(X1,X2,X3,X4)
    | ~ esk6313_4(X1,X2,X3,X4) )).

cnf(i_0_7308,axiom,
    ( ~ esk6867_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_7309,axiom,
    ( esk1169_0
    | p(X3)
    | ~ p(X1)
    | ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7310,axiom,
    ( ~ esk7401_4(X1,X2,X3,X4)
    | esk7402_4(X1,X2,X3,X4)
    | ~ esk7396_4(X1,X2,X3,X4) )).

cnf(i_0_7311,axiom,
    ( esk5369_4(X1,X2,X3,X4)
    | ~ esk5368_4(X1,X2,X3,X4) )).

cnf(i_0_7312,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6944_4(X1,X2,X3,X4) )).

cnf(i_0_7313,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk1109_0
    | p(X3)
    | p(X4)
    | esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_7314,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2726_4(X1,X2,X3,X4) )).

cnf(i_0_7315,axiom,
    ( esk4951_4(X1,X2,X3,X4)
    | ~ esk4950_4(X1,X2,X3,X4) )).

cnf(i_0_7316,axiom,
    ( ~ esk7503_4(X1,X2,X3,X4)
    | esk7504_4(X1,X2,X3,X4) )).

cnf(i_0_7317,axiom,
    ( esk6848_4(X1,X2,X3,X4)
    | ~ esk6846_4(X1,X2,X3,X4) )).

cnf(i_0_7318,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk926_0
    | p(X3)
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_7319,axiom,
    ( ~ esk4195_4(X1,X2,X3,X4)
    | esk4016_4(X1,X2,X3,X4) )).

cnf(i_0_7320,axiom,
    ( ~ esk4967_4(X1,X2,X3,X4)
    | esk3780_4(X1,X2,X3,X4) )).

cnf(i_0_7321,axiom,
    ( ~ esk8251_4(X1,X2,X3,X4)
    | p(X4)
    | esk343_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7322,axiom,
    ( ~ esk6604_4(X1,X2,X3,X4)
    | esk6605_4(X1,X2,X3,X4) )).

cnf(i_0_7323,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3764_4(X1,X2,X3,X4) )).

cnf(i_0_7324,axiom,
    ( ~ esk9742_4(X1,X2,X3,X4)
    | esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_7325,axiom,
    ( esk5798_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_7326,axiom,
    ( ~ esk2734_4(X1,X2,X3,X4)
    | esk2735_4(X1,X2,X3,X4) )).

cnf(i_0_7327,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3239_4(X1,X2,X3,X4) )).

cnf(i_0_7328,axiom,
    ( ~ esk4638_4(X1,X2,X3,X4)
    | esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_7329,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk1012_0
    | p(X3)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_7330,axiom,
    ( esk7161_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7331,axiom,
    ( esk7669_4(X1,X2,X3,X4)
    | ~ esk7821_4(X1,X2,X3,X4) )).

cnf(i_0_7332,axiom,
    ( ~ esk4520_4(X1,X2,X3,X4)
    | esk5374_4(X1,X2,X3,X4) )).

cnf(i_0_7333,axiom,
    ( esk5317_4(X1,X2,X3,X4)
    | ~ esk5315_4(X1,X2,X3,X4) )).

cnf(i_0_7334,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk327_0
    | p(X3)
    | ~ p(X4)
    | esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_7335,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk8025_4(X1,X2,X3,X4) )).

cnf(i_0_7336,axiom,
    ( esk8524_4(X1,X2,X3,X4)
    | esk8525_4(X1,X2,X3,X4)
    | ~ esk8526_4(X1,X2,X3,X4) )).

cnf(i_0_7337,axiom,
    ( esk6082_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4)
    | ~ esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_7338,axiom,
    ( esk5953_4(X1,X2,X3,X4)
    | ~ esk8053_4(X1,X2,X3,X4) )).

cnf(i_0_7339,axiom,
    ( esk4569_4(X1,X2,X3,X4)
    | ~ esk5390_4(X1,X2,X3,X4) )).

cnf(i_0_7340,axiom,
    ( esk3457_4(X1,X2,X3,X4)
    | ~ esk4161_4(X1,X2,X3,X4) )).

cnf(i_0_7341,axiom,
    ( ~ esk4910_4(X1,X2,X3,X4)
    | esk3754_4(X1,X2,X3,X4)
    | ~ esk5015_4(X1,X2,X3,X4) )).

cnf(i_0_7342,axiom,
    ( esk2380_4(X1,X2,X3,X4)
    | ~ esk2381_4(X1,X2,X3,X4) )).

cnf(i_0_7343,axiom,
    ( esk2265_4(X1,X2,X3,X4)
    | ~ esk2266_4(X1,X2,X3,X4) )).

cnf(i_0_7344,axiom,
    ( ~ p(X4)
    | ~ esk316_0
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_7345,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | ~ esk4942_4(X1,X2,X3,X4) )).

cnf(i_0_7346,axiom,
    ( esk2244_4(X1,X2,X3,X4)
    | ~ esk2128_4(X1,X2,X3,X4) )).

cnf(i_0_7347,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk282_0 )).

cnf(i_0_7348,axiom,
    ( esk5835_4(X1,X2,X3,X4)
    | ~ esk5834_4(X1,X2,X3,X4)
    | ~ esk7154_4(X1,X2,X3,X4) )).

cnf(i_0_7349,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6002_4(X1,X2,X3,X4)
    | esk6014_4(X1,X2,X3,X4) )).

cnf(i_0_7350,axiom,
    ( ~ esk513_0
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_7351,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9600_4(X1,X2,X3,X4) )).

cnf(i_0_7352,axiom,
    ( esk7009_4(X1,X2,X3,X4)
    | ~ esk4909_4(X1,X2,X3,X4) )).

cnf(i_0_7353,axiom,
    ( esk8730_4(X1,X2,X3,X4)
    | ~ esk8386_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_7354,axiom,
    ( ~ esk9704_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_7355,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk423_0 )).

cnf(i_0_7356,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk990_0
    | esk2811_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_7357,axiom,
    ( esk3877_4(X1,X2,X3,X4)
    | ~ esk3876_4(X1,X2,X3,X4)
    | ~ esk4631_4(X1,X2,X3,X4) )).

cnf(i_0_7358,axiom,
    ( ~ esk3906_4(X1,X2,X3,X4)
    | esk3907_4(X1,X2,X3,X4) )).

cnf(i_0_7359,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk1344_0
    | ~ p(X3)
    | esk9254_4(X1,X2,X3,X4) )).

cnf(i_0_7360,axiom,
    ( ~ esk7111_4(X1,X2,X3,X4)
    | esk9211_4(X1,X2,X3,X4) )).

cnf(i_0_7361,axiom,
    ( ~ esk5938_4(X1,X2,X3,X4)
    | ~ esk5886_4(X1,X2,X3,X4)
    | esk5939_4(X1,X2,X3,X4) )).

cnf(i_0_7362,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8398_4(X1,X2,X3,X4)
    | esk8435_4(X1,X2,X3,X4) )).

cnf(i_0_7363,axiom,
    ( ~ esk6572_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_7364,axiom,
    ( esk7140_4(X1,X2,X3,X4)
    | ~ esk5911_4(X1,X2,X3,X4) )).

cnf(i_0_7365,axiom,
    ( p(X2)
    | esk1331_0
    | ~ p(X4)
    | p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_7366,axiom,
    ( ~ esk6233_4(X1,X2,X3,X4)
    | esk6234_4(X1,X2,X3,X4) )).

cnf(i_0_7367,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3900_4(X1,X2,X3,X4) )).

cnf(i_0_7368,axiom,
    ( esk8000_4(X1,X2,X3,X4)
    | ~ esk7834_4(X1,X2,X3,X4) )).

cnf(i_0_7369,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | ~ esk8505_4(X1,X2,X3,X4) )).

cnf(i_0_7370,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9444_4(X1,X2,X3,X4) )).

cnf(i_0_7371,axiom,
    ( ~ esk7779_4(X1,X2,X3,X4)
    | esk7871_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_7372,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | ~ esk1487_4(X1,X2,X3,X4)
    | esk1488_4(X1,X2,X3,X4) )).

cnf(i_0_7373,axiom,
    ( esk4693_4(X1,X2,X3,X4)
    | ~ esk4691_4(X1,X2,X3,X4) )).

cnf(i_0_7374,axiom,
    ( ~ esk6379_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_7375,axiom,
    ( ~ esk9180_4(X1,X2,X3,X4)
    | esk9102_4(X1,X2,X3,X4) )).

cnf(i_0_7376,axiom,
    ( ~ esk8708_4(X1,X2,X3,X4)
    | esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_7377,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X3)
    | esk12_0 )).

cnf(i_0_7378,axiom,
    ( esk5240_4(X1,X2,X3,X4)
    | ~ esk5241_4(X1,X2,X3,X4)
    | esk5239_4(X1,X2,X3,X4) )).

cnf(i_0_7379,axiom,
    ( ~ esk9593_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_7380,axiom,
    ( ~ esk3264_4(X1,X2,X3,X4)
    | esk3250_4(X1,X2,X3,X4) )).

cnf(i_0_7381,axiom,
    ( ~ esk9429_4(X1,X2,X3,X4)
    | esk9428_4(X1,X2,X3,X4) )).

cnf(i_0_7382,axiom,
    ( ~ esk8853_4(X1,X2,X3,X4)
    | esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_7383,axiom,
    ( ~ esk7929_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_7384,axiom,
    ( ~ esk6997_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6867_4(X1,X2,X3,X4) )).

cnf(i_0_7385,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk9019_4(X1,X2,X3,X4) )).

cnf(i_0_7386,axiom,
    ( p(X2)
    | ~ esk1046_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2868_4(X1,X2,X3,X4) )).

cnf(i_0_7387,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk560_0
    | esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_7388,axiom,
    ( ~ esk5163_4(X1,X2,X3,X4)
    | esk5165_4(X1,X2,X3,X4) )).

cnf(i_0_7389,axiom,
    ( ~ esk7394_4(X1,X2,X3,X4)
    | esk7396_4(X1,X2,X3,X4) )).

cnf(i_0_7390,axiom,
    ( esk8583_4(X1,X2,X3,X4)
    | ~ esk8584_4(X1,X2,X3,X4)
    | esk8582_4(X1,X2,X3,X4) )).

cnf(i_0_7391,axiom,
    ( ~ esk8499_4(X1,X2,X3,X4)
    | esk8498_4(X1,X2,X3,X4)
    | esk8496_4(X1,X2,X3,X4)
    | esk8497_4(X1,X2,X3,X4) )).

cnf(i_0_7392,axiom,
    ( ~ esk8293_4(X1,X2,X3,X4)
    | esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_7393,axiom,
    ( ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | esk953_0 )).

cnf(i_0_7394,axiom,
    ( ~ esk2928_4(X1,X2,X3,X4)
    | esk1706_4(X1,X2,X3,X4) )).

cnf(i_0_7395,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8405_4(X1,X2,X3,X4) )).

cnf(i_0_7396,axiom,
    ( ~ esk4202_4(X1,X2,X3,X4)
    | esk4204_4(X1,X2,X3,X4) )).

cnf(i_0_7397,axiom,
    ( esk1940_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7398,axiom,
    ( ~ esk178_0
    | p(X2)
    | esk1750_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_7399,axiom,
    ( esk5261_4(X1,X2,X3,X4)
    | ~ esk5264_4(X1,X2,X3,X4) )).

cnf(i_0_7400,axiom,
    ( ~ esk1774_4(X1,X2,X3,X4)
    | esk1429_4(X1,X2,X3,X4) )).

cnf(i_0_7401,axiom,
    ( ~ esk5275_4(X1,X2,X3,X4)
    | esk5274_4(X1,X2,X3,X4) )).

cnf(i_0_7402,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk572_0 )).

cnf(i_0_7403,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_7404,axiom,
    ( esk9720_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_7405,axiom,
    ( ~ esk4378_4(X1,X2,X3,X4)
    | esk4379_4(X1,X2,X3,X4) )).

cnf(i_0_7406,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5078_4(X1,X2,X3,X4) )).

cnf(i_0_7407,axiom,
    ( ~ esk5829_4(X1,X2,X3,X4)
    | esk7139_4(X1,X2,X3,X4) )).

cnf(i_0_7408,axiom,
    ( esk3038_4(X1,X2,X3,X4)
    | ~ esk3036_4(X1,X2,X3,X4) )).

cnf(i_0_7409,axiom,
    ( esk9299_4(X1,X2,X3,X4)
    | ~ esk9305_4(X1,X2,X3,X4) )).

cnf(i_0_7410,axiom,
    ( ~ esk3345_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_7411,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk1107_0
    | ~ p(X1)
    | ~ p(X3)
    | esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_7412,axiom,
    ( ~ esk9605_4(X1,X2,X3,X4)
    | esk9604_4(X1,X2,X3,X4) )).

cnf(i_0_7413,axiom,
    ( esk5862_4(X1,X2,X3,X4)
    | ~ esk5861_4(X1,X2,X3,X4) )).

cnf(i_0_7414,axiom,
    ( esk4891_4(X1,X2,X3,X4)
    | ~ esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_7415,axiom,
    ( ~ esk8391_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk466_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7416,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6930_4(X1,X2,X3,X4) )).

cnf(i_0_7417,axiom,
    ( esk4842_4(X1,X2,X3,X4)
    | ~ esk4840_4(X1,X2,X3,X4) )).

cnf(i_0_7418,axiom,
    ( ~ esk5619_4(X1,X2,X3,X4)
    | esk6256_4(X1,X2,X3,X4) )).

cnf(i_0_7419,axiom,
    ( esk5470_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_7420,axiom,
    ( ~ esk2190_4(X1,X2,X3,X4)
    | esk2189_4(X1,X2,X3,X4)
    | esk2188_4(X1,X2,X3,X4) )).

cnf(i_0_7421,axiom,
    ( ~ esk1709_4(X1,X2,X3,X4)
    | esk2828_4(X1,X2,X3,X4) )).

cnf(i_0_7422,axiom,
    ( ~ esk2232_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_7423,axiom,
    ( esk9499_4(X1,X2,X3,X4)
    | ~ esk9498_4(X1,X2,X3,X4) )).

cnf(i_0_7424,axiom,
    ( ~ esk1880_4(X1,X2,X3,X4)
    | esk1883_4(X1,X2,X3,X4) )).

cnf(i_0_7425,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk9234_4(X1,X2,X3,X4) )).

cnf(i_0_7426,axiom,
    ( ~ esk7664_4(X1,X2,X3,X4)
    | esk9189_4(X1,X2,X3,X4) )).

cnf(i_0_7427,axiom,
    ( esk5031_4(X1,X2,X3,X4)
    | ~ esk2931_4(X1,X2,X3,X4) )).

cnf(i_0_7428,axiom,
    ( ~ esk4212_4(X1,X2,X3,X4)
    | esk4210_4(X1,X2,X3,X4)
    | esk4211_4(X1,X2,X3,X4) )).

cnf(i_0_7429,axiom,
    ( ~ p(X3)
    | esk754_0
    | ~ esk2455_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_7430,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk1262_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_7431,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2473_4(X1,X2,X3,X4) )).

cnf(i_0_7432,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk1807_4(X1,X2,X3,X4) )).

cnf(i_0_7433,axiom,
    ( ~ esk6297_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_7434,axiom,
    ( esk2186_4(X1,X2,X3,X4)
    | ~ esk2185_4(X1,X2,X3,X4) )).

cnf(i_0_7435,axiom,
    ( ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8814_4(X1,X2,X3,X4) )).

cnf(i_0_7436,axiom,
    ( ~ p(X3)
    | esk869_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_7437,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X1)
    | esk83_0
    | ~ p(X4)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_7438,axiom,
    ( ~ esk7275_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7439,axiom,
    ( ~ esk1794_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_7440,axiom,
    ( esk9631_4(X1,X2,X3,X4)
    | ~ esk9050_4(X1,X2,X3,X4) )).

cnf(i_0_7441,axiom,
    ( esk6044_4(X1,X2,X3,X4)
    | ~ esk6025_4(X1,X2,X3,X4) )).

cnf(i_0_7442,axiom,
    ( p(X3)
    | ~ esk342_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_7443,axiom,
    ( ~ esk1625_4(X1,X2,X3,X4)
    | esk1624_4(X1,X2,X3,X4) )).

cnf(i_0_7444,axiom,
    ( ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_7445,axiom,
    ( ~ esk9081_4(X1,X2,X3,X4)
    | esk792_0
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7446,axiom,
    ( esk6361_4(X1,X2,X3,X4)
    | ~ esk6359_4(X1,X2,X3,X4) )).

cnf(i_0_7447,axiom,
    ( esk4599_4(X1,X2,X3,X4)
    | ~ esk4147_4(X1,X2,X3,X4) )).

cnf(i_0_7448,axiom,
    ( ~ esk272_0
    | ~ p(X2)
    | esk1842_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_7449,axiom,
    ( ~ esk6830_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_7450,axiom,
    ( ~ esk6078_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_7451,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk718_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_7452,axiom,
    ( p(X2)
    | ~ esk9176_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk1138_0
    | ~ p(X3) )).

cnf(i_0_7453,axiom,
    ( ~ esk4224_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4)
    | esk4501_4(X1,X2,X3,X4) )).

cnf(i_0_7454,axiom,
    ( esk8957_4(X1,X2,X3,X4)
    | ~ esk8956_4(X1,X2,X3,X4)
    | ~ esk8781_4(X1,X2,X3,X4) )).

cnf(i_0_7455,axiom,
    ( esk1388_4(X1,X2,X3,X4)
    | ~ esk1752_4(X1,X2,X3,X4) )).

cnf(i_0_7456,axiom,
    ( p(X4)
    | esk1958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk351_0
    | p(X3)
    | p(X1) )).

cnf(i_0_7457,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk565_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_7458,axiom,
    ( p(X3)
    | p(X2)
    | esk7967_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk132_0
    | ~ p(X1) )).

cnf(i_0_7459,axiom,
    ( esk2605_4(X1,X2,X3,X4)
    | ~ esk2553_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_7460,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | esk4489_4(X1,X2,X3,X4)
    | ~ esk4340_4(X1,X2,X3,X4) )).

cnf(i_0_7461,axiom,
    ( esk7827_4(X1,X2,X3,X4)
    | ~ esk7855_4(X1,X2,X3,X4) )).

cnf(i_0_7462,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3915_4(X1,X2,X3,X4) )).

cnf(i_0_7463,axiom,
    ( esk7750_4(X1,X2,X3,X4)
    | ~ esk7751_4(X1,X2,X3,X4) )).

cnf(i_0_7464,axiom,
    ( ~ p(X3)
    | ~ esk1776_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk257_0 )).

cnf(i_0_7465,axiom,
    ( p(X2)
    | ~ esk866_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_7466,axiom,
    ( p(X3)
    | p(X2)
    | esk9168_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1077_0 )).

cnf(i_0_7467,axiom,
    ( ~ p(X4)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk602_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_7468,axiom,
    ( ~ esk6483_4(X1,X2,X3,X4)
    | esk6485_4(X1,X2,X3,X4) )).

cnf(i_0_7469,axiom,
    ( esk4574_4(X1,X2,X3,X4)
    | ~ esk4575_4(X1,X2,X3,X4) )).

cnf(i_0_7470,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8934_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_7471,axiom,
    ( ~ esk8657_4(X1,X2,X3,X4)
    | esk8656_4(X1,X2,X3,X4) )).

cnf(i_0_7472,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2280_4(X1,X2,X3,X4)
    | esk2386_4(X1,X2,X3,X4) )).

cnf(i_0_7473,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8363_4(X1,X2,X3,X4) )).

cnf(i_0_7474,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk83_0
    | p(X3)
    | ~ p(X4)
    | esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_7475,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk313_0
    | p(X2)
    | esk8214_4(X1,X2,X3,X4) )).

cnf(i_0_7476,axiom,
    ( esk3916_4(X1,X2,X3,X4)
    | ~ esk3911_4(X1,X2,X3,X4) )).

cnf(i_0_7477,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4477_4(X1,X2,X3,X4) )).

cnf(i_0_7478,axiom,
    ( ~ esk8684_4(X1,X2,X3,X4)
    | esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_7479,axiom,
    ( esk5579_4(X1,X2,X3,X4)
    | ~ esk6295_4(X1,X2,X3,X4) )).

cnf(i_0_7480,axiom,
    ( ~ esk6596_4(X1,X2,X3,X4)
    | esk6597_4(X1,X2,X3,X4) )).

cnf(i_0_7481,axiom,
    ( esk9209_4(X1,X2,X3,X4)
    | ~ esk9207_4(X1,X2,X3,X4) )).

cnf(i_0_7482,axiom,
    ( esk4095_4(X1,X2,X3,X4)
    | ~ esk4349_4(X1,X2,X3,X4) )).

cnf(i_0_7483,axiom,
    ( esk9322_4(X1,X2,X3,X4)
    | ~ esk9323_4(X1,X2,X3,X4)
    | esk9321_4(X1,X2,X3,X4) )).

cnf(i_0_7484,axiom,
    ( esk8580_4(X1,X2,X3,X4)
    | ~ esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_7485,axiom,
    ( esk4552_4(X1,X2,X3,X4)
    | ~ esk4968_4(X1,X2,X3,X4) )).

cnf(i_0_7486,axiom,
    ( esk5560_4(X1,X2,X3,X4)
    | ~ esk5673_4(X1,X2,X3,X4) )).

cnf(i_0_7487,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | esk1521_4(X1,X2,X3,X4)
    | ~ esk1522_4(X1,X2,X3,X4) )).

cnf(i_0_7488,axiom,
    ( ~ esk1617_4(X1,X2,X3,X4)
    | esk1616_4(X1,X2,X3,X4) )).

cnf(i_0_7489,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2357_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_7490,axiom,
    ( p(X2)
    | ~ esk2815_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk1015_0
    | ~ p(X1) )).

cnf(i_0_7491,axiom,
    ( esk8797_4(X1,X2,X3,X4)
    | ~ esk8345_4(X1,X2,X3,X4) )).

cnf(i_0_7492,axiom,
    ( ~ esk2723_4(X1,X2,X3,X4)
    | esk2438_4(X1,X2,X3,X4) )).

cnf(i_0_7493,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6167_4(X1,X2,X3,X4) )).

cnf(i_0_7494,axiom,
    ( ~ esk7939_4(X1,X2,X3,X4)
    | esk117_0
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_7495,axiom,
    ( ~ esk6398_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_7496,axiom,
    ( ~ esk9119_4(X1,X2,X3,X4)
    | esk9120_4(X1,X2,X3,X4) )).

cnf(i_0_7497,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4352_4(X1,X2,X3,X4) )).

cnf(i_0_7498,axiom,
    ( esk6669_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7499,axiom,
    ( esk5049_4(X1,X2,X3,X4)
    | ~ esk5048_4(X1,X2,X3,X4) )).

cnf(i_0_7500,axiom,
    ( ~ esk4186_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_7501,axiom,
    ( esk8707_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8351_4(X1,X2,X3,X4) )).

cnf(i_0_7502,axiom,
    ( ~ esk5625_4(X1,X2,X3,X4)
    | esk5632_4(X1,X2,X3,X4) )).

cnf(i_0_7503,axiom,
    ( esk4972_4(X1,X2,X3,X4)
    | ~ esk3682_4(X1,X2,X3,X4) )).

cnf(i_0_7504,axiom,
    ( ~ esk4392_4(X1,X2,X3,X4)
    | esk4355_4(X1,X2,X3,X4) )).

cnf(i_0_7505,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3929_4(X1,X2,X3,X4) )).

cnf(i_0_7506,axiom,
    ( ~ esk5153_4(X1,X2,X3,X4)
    | esk5167_4(X1,X2,X3,X4)
    | ~ esk5166_4(X1,X2,X3,X4) )).

cnf(i_0_7507,axiom,
    ( ~ p(X1)
    | esk960_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_7508,axiom,
    ( ~ esk8106_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4)
    | esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_7509,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3556_4(X1,X2,X3,X4) )).

cnf(i_0_7510,axiom,
    ( esk3229_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_7511,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3253_4(X1,X2,X3,X4) )).

cnf(i_0_7512,axiom,
    ( esk8476_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_7513,axiom,
    ( esk2782_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_7514,axiom,
    ( esk9041_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_7515,axiom,
    ( ~ esk6635_4(X1,X2,X3,X4)
    | esk7469_4(X1,X2,X3,X4) )).

cnf(i_0_7516,axiom,
    ( esk6651_4(X1,X2,X3,X4)
    | ~ esk4551_4(X1,X2,X3,X4) )).

cnf(i_0_7517,axiom,
    ( esk2779_4(X1,X2,X3,X4)
    | ~ esk2810_4(X1,X2,X3,X4) )).

cnf(i_0_7518,axiom,
    ( esk196_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_7519,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | ~ esk7825_4(X1,X2,X3,X4) )).

cnf(i_0_7520,axiom,
    ( esk9121_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk9122_4(X1,X2,X3,X4) )).

cnf(i_0_7521,axiom,
    ( ~ esk5987_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk5988_4(X1,X2,X3,X4) )).

cnf(i_0_7522,axiom,
    ( esk6647_4(X1,X2,X3,X4)
    | ~ esk6638_4(X1,X2,X3,X4) )).

cnf(i_0_7523,axiom,
    ( esk9099_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk930_0
    | ~ p(X1) )).

cnf(i_0_7524,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | esk2641_4(X1,X2,X3,X4)
    | ~ esk2582_4(X1,X2,X3,X4) )).

cnf(i_0_7525,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5930_4(X1,X2,X3,X4) )).

cnf(i_0_7526,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk3_0
    | p(X2)
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_7527,axiom,
    ( ~ esk5964_4(X1,X2,X3,X4)
    | esk5966_4(X1,X2,X3,X4) )).

cnf(i_0_7528,axiom,
    ( ~ esk7348_4(X1,X2,X3,X4)
    | esk7346_4(X1,X2,X3,X4)
    | esk7347_4(X1,X2,X3,X4) )).

cnf(i_0_7529,axiom,
    ( ~ esk4047_4(X1,X2,X3,X4)
    | esk4516_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_7530,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk892_0
    | ~ esk2799_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_7531,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1906_4(X1,X2,X3,X4)
    | ~ esk1905_4(X1,X2,X3,X4) )).

cnf(i_0_7532,axiom,
    ( ~ esk4546_4(X1,X2,X3,X4)
    | esk3908_4(X1,X2,X3,X4)
    | esk4917_4(X1,X2,X3,X4) )).

cnf(i_0_7533,axiom,
    ( esk5117_4(X1,X2,X3,X4)
    | ~ esk5123_4(X1,X2,X3,X4) )).

cnf(i_0_7534,axiom,
    ( esk5019_4(X1,X2,X3,X4)
    | esk3859_4(X1,X2,X3,X4) )).

cnf(i_0_7535,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1732_4(X1,X2,X3,X4) )).

cnf(i_0_7536,axiom,
    ( ~ esk7874_4(X1,X2,X3,X4)
    | esk7873_4(X1,X2,X3,X4) )).

cnf(i_0_7537,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | esk70_0
    | p(X4)
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_7538,axiom,
    ( ~ esk8319_4(X1,X2,X3,X4)
    | esk7711_4(X1,X2,X3,X4) )).

cnf(i_0_7539,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5204_4(X1,X2,X3,X4) )).

cnf(i_0_7540,axiom,
    ( esk4245_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7541,axiom,
    ( esk4290_4(X1,X2,X3,X4)
    | ~ esk4291_4(X1,X2,X3,X4) )).

cnf(i_0_7542,axiom,
    ( esk6462_4(X1,X2,X3,X4)
    | ~ esk6460_4(X1,X2,X3,X4) )).

cnf(i_0_7543,axiom,
    ( p(X4)
    | ~ esk9111_4(X1,X2,X3,X4)
    | esk1008_0
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_7544,axiom,
    ( esk2642_4(X1,X2,X3,X4)
    | ~ esk3401_4(X1,X2,X3,X4) )).

cnf(i_0_7545,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk7283_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7546,axiom,
    ( esk3094_4(X1,X2,X3,X4)
    | ~ esk3093_4(X1,X2,X3,X4) )).

cnf(i_0_7547,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | esk4148_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_7548,axiom,
    ( esk6694_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_7549,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5491_4(X1,X2,X3,X4) )).

cnf(i_0_7550,axiom,
    ( ~ esk3689_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_7551,axiom,
    ( esk1731_4(X1,X2,X3,X4)
    | ~ esk1730_4(X1,X2,X3,X4) )).

cnf(i_0_7552,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk716_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7553,axiom,
    ( ~ esk1867_4(X1,X2,X3,X4)
    | esk1865_4(X1,X2,X3,X4)
    | esk1866_4(X1,X2,X3,X4) )).

cnf(i_0_7554,axiom,
    ( ~ esk3010_4(X1,X2,X3,X4)
    | esk3013_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_7555,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3814_4(X1,X2,X3,X4)
    | esk3758_4(X1,X2,X3,X4) )).

cnf(i_0_7556,axiom,
    ( ~ esk2422_4(X1,X2,X3,X4)
    | esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_7557,axiom,
    ( esk1801_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7558,axiom,
    ( esk9195_4(X1,X2,X3,X4)
    | ~ esk7809_4(X1,X2,X3,X4) )).

cnf(i_0_7559,axiom,
    ( ~ esk6526_4(X1,X2,X3,X4)
    | esk6528_4(X1,X2,X3,X4) )).

cnf(i_0_7560,axiom,
    ( ~ esk5243_4(X1,X2,X3,X4)
    | esk5242_4(X1,X2,X3,X4) )).

cnf(i_0_7561,axiom,
    ( ~ esk8517_4(X1,X2,X3,X4)
    | esk8518_4(X1,X2,X3,X4) )).

cnf(i_0_7562,axiom,
    ( ~ esk4760_4(X1,X2,X3,X4)
    | esk4894_4(X1,X2,X3,X4) )).

cnf(i_0_7563,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | esk9580_4(X1,X2,X3,X4)
    | ~ esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_7564,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2145_4(X1,X2,X3,X4) )).

cnf(i_0_7565,axiom,
    ( ~ esk1473_4(X1,X2,X3,X4)
    | esk1822_4(X1,X2,X3,X4)
    | esk1672_4(X1,X2,X3,X4) )).

cnf(i_0_7566,axiom,
    ( ~ esk8614_4(X1,X2,X3,X4)
    | ~ esk8579_4(X1,X2,X3,X4)
    | ~ esk8613_4(X1,X2,X3,X4) )).

cnf(i_0_7567,axiom,
    ( esk8169_4(X1,X2,X3,X4)
    | ~ esk8156_4(X1,X2,X3,X4) )).

cnf(i_0_7568,axiom,
    ( ~ esk7786_4(X1,X2,X3,X4)
    | esk7787_4(X1,X2,X3,X4) )).

cnf(i_0_7569,axiom,
    ( ~ p(X1)
    | ~ esk133_0
    | ~ p(X4)
    | p(X2)
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_7570,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3253_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_7571,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk2251_4(X1,X2,X3,X4)
    | p(X1)
    | esk499_0
    | p(X4) )).

cnf(i_0_7572,axiom,
    ( esk9615_4(X1,X2,X3,X4)
    | ~ esk9614_4(X1,X2,X3,X4) )).

cnf(i_0_7573,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3343_4(X1,X2,X3,X4) )).

cnf(i_0_7574,axiom,
    ( ~ esk4216_4(X1,X2,X3,X4)
    | esk4253_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_7575,axiom,
    ( p(X2)
    | esk1_0
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_7576,axiom,
    ( ~ esk4841_4(X1,X2,X3,X4)
    | esk4842_4(X1,X2,X3,X4) )).

cnf(i_0_7577,axiom,
    ( esk6774_4(X1,X2,X3,X4)
    | ~ esk6255_4(X1,X2,X3,X4) )).

cnf(i_0_7578,axiom,
    ( ~ esk9001_4(X1,X2,X3,X4)
    | esk8821_4(X1,X2,X3,X4) )).

cnf(i_0_7579,axiom,
    ( esk6953_4(X1,X2,X3,X4)
    | ~ esk6996_4(X1,X2,X3,X4) )).

cnf(i_0_7580,axiom,
    ( ~ p(X2)
    | ~ esk1240_0
    | ~ p(X3)
    | esk9210_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_7581,axiom,
    ( ~ esk5993_4(X1,X2,X3,X4)
    | esk5994_4(X1,X2,X3,X4) )).

cnf(i_0_7582,axiom,
    ( ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk510_0
    | p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_7583,axiom,
    ( esk1181_0
    | ~ esk9186_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7584,axiom,
    ( ~ esk5784_4(X1,X2,X3,X4)
    | esk5785_4(X1,X2,X3,X4) )).

cnf(i_0_7585,axiom,
    ( esk8410_4(X1,X2,X3,X4)
    | ~ esk8409_4(X1,X2,X3,X4) )).

cnf(i_0_7586,axiom,
    ( esk4921_4(X1,X2,X3,X4)
    | esk4919_4(X1,X2,X3,X4)
    | esk4920_4(X1,X2,X3,X4)
    | ~ esk4922_4(X1,X2,X3,X4) )).

cnf(i_0_7587,axiom,
    ( esk9105_4(X1,X2,X3,X4)
    | ~ esk976_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_7588,axiom,
    ( esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk266_0
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_7589,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | p(X1)
    | esk759_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_7590,axiom,
    ( esk7672_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_7591,axiom,
    ( ~ esk1924_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_7592,axiom,
    ( esk752_0
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_7593,axiom,
    ( esk2804_4(X1,X2,X3,X4)
    | ~ esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_7594,axiom,
    ( ~ esk1445_4(X1,X2,X3,X4)
    | esk2877_4(X1,X2,X3,X4) )).

cnf(i_0_7595,axiom,
    ( esk8346_4(X1,X2,X3,X4)
    | esk8290_4(X1,X2,X3,X4)
    | ~ esk8347_4(X1,X2,X3,X4) )).

cnf(i_0_7596,axiom,
    ( esk6958_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_7597,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4197_4(X1,X2,X3,X4) )).

cnf(i_0_7598,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2261_4(X1,X2,X3,X4) )).

cnf(i_0_7599,axiom,
    ( esk3124_4(X1,X2,X3,X4)
    | ~ esk3123_4(X1,X2,X3,X4)
    | ~ esk3110_4(X1,X2,X3,X4) )).

cnf(i_0_7600,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9432_4(X1,X2,X3,X4) )).

cnf(i_0_7601,axiom,
    ( ~ esk4221_4(X1,X2,X3,X4)
    | esk4530_4(X1,X2,X3,X4) )).

cnf(i_0_7602,axiom,
    ( ~ esk9150_4(X1,X2,X3,X4)
    | esk1028_0
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7603,axiom,
    ( esk3233_4(X1,X2,X3,X4)
    | esk3232_4(X1,X2,X3,X4)
    | ~ esk3234_4(X1,X2,X3,X4) )).

cnf(i_0_7604,axiom,
    ( esk1479_4(X1,X2,X3,X4)
    | ~ esk1359_4(X1,X2,X3,X4) )).

cnf(i_0_7605,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3048_4(X1,X2,X3,X4) )).

cnf(i_0_7606,axiom,
    ( esk1059_0
    | ~ p(X2)
    | ~ esk2870_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_7607,axiom,
    ( esk6007_4(X1,X2,X3,X4)
    | ~ esk6649_4(X1,X2,X3,X4)
    | esk7645_4(X1,X2,X3,X4) )).

cnf(i_0_7608,axiom,
    ( p(X2)
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk1039_0 )).

cnf(i_0_7609,axiom,
    ( ~ esk7527_4(X1,X2,X3,X4)
    | esk7528_4(X1,X2,X3,X4) )).

cnf(i_0_7610,axiom,
    ( p(X3)
    | esk2453_4(X1,X2,X3,X4)
    | ~ esk738_0
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_7611,axiom,
    ( ~ esk7676_4(X1,X2,X3,X4)
    | esk8471_4(X1,X2,X3,X4) )).

cnf(i_0_7612,axiom,
    ( esk5168_4(X1,X2,X3,X4)
    | ~ esk5165_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_7613,axiom,
    ( esk95_0
    | p(X1)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7614,axiom,
    ( ~ p(X2)
    | esk360_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_7615,axiom,
    ( esk2735_4(X1,X2,X3,X4)
    | ~ esk2788_4(X1,X2,X3,X4) )).

cnf(i_0_7616,axiom,
    ( esk2378_4(X1,X2,X3,X4)
    | esk2377_4(X1,X2,X3,X4)
    | ~ esk2379_4(X1,X2,X3,X4) )).

cnf(i_0_7617,axiom,
    ( ~ esk2305_4(X1,X2,X3,X4)
    | esk2307_4(X1,X2,X3,X4) )).

cnf(i_0_7618,axiom,
    ( ~ esk5334_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_7619,axiom,
    ( esk2039_4(X1,X2,X3,X4)
    | ~ esk2040_4(X1,X2,X3,X4)
    | esk2038_4(X1,X2,X3,X4) )).

cnf(i_0_7620,axiom,
    ( esk2623_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_7621,axiom,
    ( ~ esk6757_4(X1,X2,X3,X4)
    | ~ esk6681_4(X1,X2,X3,X4)
    | esk6758_4(X1,X2,X3,X4) )).

cnf(i_0_7622,axiom,
    ( esk8821_4(X1,X2,X3,X4)
    | ~ esk8820_4(X1,X2,X3,X4) )).

cnf(i_0_7623,axiom,
    ( ~ esk1630_4(X1,X2,X3,X4)
    | esk1567_4(X1,X2,X3,X4) )).

cnf(i_0_7624,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk1060_0
    | ~ esk9166_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7625,axiom,
    ( ~ esk7004_4(X1,X2,X3,X4)
    | esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_7626,axiom,
    ( esk9561_4(X1,X2,X3,X4)
    | ~ esk9547_4(X1,X2,X3,X4)
    | ~ esk9560_4(X1,X2,X3,X4) )).

cnf(i_0_7627,axiom,
    ( p(X2)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk763_0
    | ~ p(X1) )).

cnf(i_0_7628,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk537_0
    | p(X3)
    | ~ esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_7629,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk7145_4(X1,X2,X3,X4) )).

cnf(i_0_7630,axiom,
    ( ~ esk6510_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_7631,axiom,
    ( ~ esk7610_4(X1,X2,X3,X4)
    | esk7612_4(X1,X2,X3,X4) )).

cnf(i_0_7632,axiom,
    ( esk8430_4(X1,X2,X3,X4)
    | esk8392_4(X1,X2,X3,X4) )).

cnf(i_0_7633,axiom,
    ( esk6534_4(X1,X2,X3,X4)
    | ~ esk6536_4(X1,X2,X3,X4)
    | esk6535_4(X1,X2,X3,X4) )).

cnf(i_0_7634,axiom,
    ( ~ esk8195_4(X1,X2,X3,X4)
    | esk8197_4(X1,X2,X3,X4) )).

cnf(i_0_7635,axiom,
    ( ~ esk8067_4(X1,X2,X3,X4)
    | esk8069_4(X1,X2,X3,X4) )).

cnf(i_0_7636,axiom,
    ( esk5956_4(X1,X2,X3,X4)
    | ~ esk3856_4(X1,X2,X3,X4) )).

cnf(i_0_7637,axiom,
    ( esk3188_4(X1,X2,X3,X4)
    | ~ esk3190_4(X1,X2,X3,X4)
    | esk3189_4(X1,X2,X3,X4) )).

cnf(i_0_7638,axiom,
    ( ~ esk2330_4(X1,X2,X3,X4)
    | esk2301_4(X1,X2,X3,X4)
    | ~ esk2300_4(X1,X2,X3,X4) )).

cnf(i_0_7639,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7383_4(X1,X2,X3,X4) )).

cnf(i_0_7640,axiom,
    ( ~ esk1979_4(X1,X2,X3,X4)
    | esk1874_4(X1,X2,X3,X4) )).

cnf(i_0_7641,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2648_4(X1,X2,X3,X4) )).

cnf(i_0_7642,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ esk295_0
    | p(X3) )).

cnf(i_0_7643,axiom,
    ( ~ esk2437_4(X1,X2,X3,X4)
    | esk2128_4(X1,X2,X3,X4) )).

cnf(i_0_7644,axiom,
    ( esk9453_4(X1,X2,X3,X4)
    | ~ esk9455_4(X1,X2,X3,X4)
    | esk9454_4(X1,X2,X3,X4) )).

cnf(i_0_7645,axiom,
    ( esk4023_4(X1,X2,X3,X4)
    | ~ esk4024_4(X1,X2,X3,X4) )).

cnf(i_0_7646,axiom,
    ( esk8254_4(X1,X2,X3,X4)
    | ~ esk353_0
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_7647,axiom,
    ( esk8747_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_7648,axiom,
    ( ~ esk1363_4(X1,X2,X3,X4)
    | esk1474_4(X1,X2,X3,X4) )).

cnf(i_0_7649,axiom,
    ( esk4689_4(X1,X2,X3,X4)
    | ~ esk4687_4(X1,X2,X3,X4) )).

cnf(i_0_7650,axiom,
    ( ~ esk8142_4(X1,X2,X3,X4)
    | esk8143_4(X1,X2,X3,X4) )).

cnf(i_0_7651,axiom,
    ( esk7077_4(X1,X2,X3,X4)
    | ~ esk9177_4(X1,X2,X3,X4) )).

cnf(i_0_7652,axiom,
    ( ~ esk2472_4(X1,X2,X3,X4)
    | esk2474_4(X1,X2,X3,X4) )).

cnf(i_0_7653,axiom,
    ( ~ esk9172_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk1108_0 )).

cnf(i_0_7654,axiom,
    ( esk5421_4(X1,X2,X3,X4)
    | ~ esk5420_4(X1,X2,X3,X4) )).

cnf(i_0_7655,axiom,
    ( ~ esk1981_4(X1,X2,X3,X4)
    | esk1949_4(X1,X2,X3,X4) )).

cnf(i_0_7656,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5810_4(X1,X2,X3,X4) )).

cnf(i_0_7657,axiom,
    ( ~ esk2963_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk2964_4(X1,X2,X3,X4) )).

cnf(i_0_7658,axiom,
    ( ~ esk8267_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk8305_4(X1,X2,X3,X4) )).

cnf(i_0_7659,axiom,
    ( ~ esk4053_4(X1,X2,X3,X4)
    | esk4233_4(X1,X2,X3,X4) )).

cnf(i_0_7660,axiom,
    ( esk502_0
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_7661,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7269_4(X1,X2,X3,X4) )).

cnf(i_0_7662,axiom,
    ( ~ esk3333_4(X1,X2,X3,X4)
    | esk3334_4(X1,X2,X3,X4) )).

cnf(i_0_7663,axiom,
    ( esk6556_4(X1,X2,X3,X4)
    | ~ esk7306_4(X1,X2,X3,X4) )).

cnf(i_0_7664,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk14_0
    | ~ esk7734_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_7665,axiom,
    ( ~ esk4353_4(X1,X2,X3,X4)
    | esk4355_4(X1,X2,X3,X4) )).

cnf(i_0_7666,axiom,
    ( ~ esk5759_4(X1,X2,X3,X4)
    | esk5761_4(X1,X2,X3,X4) )).

cnf(i_0_7667,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4430_4(X1,X2,X3,X4) )).

cnf(i_0_7668,axiom,
    ( ~ esk1589_4(X1,X2,X3,X4)
    | esk1588_4(X1,X2,X3,X4) )).

cnf(i_0_7669,axiom,
    ( ~ esk7279_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_7670,axiom,
    ( ~ esk5428_4(X1,X2,X3,X4)
    | esk5429_4(X1,X2,X3,X4) )).

cnf(i_0_7671,axiom,
    ( ~ esk6550_4(X1,X2,X3,X4)
    | esk6552_4(X1,X2,X3,X4) )).

cnf(i_0_7672,axiom,
    ( esk3795_4(X1,X2,X3,X4)
    | ~ esk3829_4(X1,X2,X3,X4) )).

cnf(i_0_7673,axiom,
    ( ~ esk9273_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_7674,axiom,
    ( ~ esk8922_4(X1,X2,X3,X4)
    | esk9595_4(X1,X2,X3,X4) )).

cnf(i_0_7675,axiom,
    ( ~ esk7718_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_7676,axiom,
    ( ~ esk2713_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_7677,axiom,
    ( esk1695_4(X1,X2,X3,X4)
    | ~ esk1693_4(X1,X2,X3,X4) )).

cnf(i_0_7678,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2110_4(X1,X2,X3,X4) )).

cnf(i_0_7679,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2183_4(X1,X2,X3,X4) )).

cnf(i_0_7680,axiom,
    ( esk7417_4(X1,X2,X3,X4)
    | ~ esk7418_4(X1,X2,X3,X4) )).

cnf(i_0_7681,axiom,
    ( ~ esk9116_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4)
    | esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_7682,axiom,
    ( p(X1)
    | ~ esk7734_4(X1,X2,X3,X4)
    | esk9_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7683,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk622_0
    | p(X3)
    | esk8723_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_7684,axiom,
    ( esk5944_4(X1,X2,X3,X4)
    | ~ esk3844_4(X1,X2,X3,X4) )).

cnf(i_0_7685,axiom,
    ( esk5169_4(X1,X2,X3,X4)
    | ~ esk5199_4(X1,X2,X3,X4) )).

cnf(i_0_7686,axiom,
    ( ~ p(X4)
    | ~ esk9178_4(X1,X2,X3,X4)
    | esk1152_0
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_7687,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6779_4(X1,X2,X3,X4) )).

cnf(i_0_7688,axiom,
    ( ~ p(X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk778_0
    | ~ p(X1) )).

cnf(i_0_7689,axiom,
    ( ~ esk5300_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7690,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk8932_4(X1,X2,X3,X4)
    | esk8933_4(X1,X2,X3,X4) )).

cnf(i_0_7691,axiom,
    ( ~ esk7131_4(X1,X2,X3,X4)
    | esk7132_4(X1,X2,X3,X4)
    | ~ esk5902_4(X1,X2,X3,X4) )).

cnf(i_0_7692,axiom,
    ( ~ esk8050_4(X1,X2,X3,X4)
    | esk7832_4(X1,X2,X3,X4) )).

cnf(i_0_7693,axiom,
    ( ~ esk1720_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_7694,axiom,
    ( ~ esk6348_4(X1,X2,X3,X4)
    | esk6311_4(X1,X2,X3,X4) )).

cnf(i_0_7695,axiom,
    ( ~ esk4992_4(X1,X2,X3,X4)
    | esk7092_4(X1,X2,X3,X4) )).

cnf(i_0_7696,axiom,
    ( ~ p(X2)
    | ~ esk2813_4(X1,X2,X3,X4)
    | p(X4)
    | esk996_0
    | p(X1)
    | p(X3) )).

cnf(i_0_7697,axiom,
    ( ~ esk2921_4(X1,X2,X3,X4)
    | esk5021_4(X1,X2,X3,X4) )).

cnf(i_0_7698,axiom,
    ( ~ esk8033_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_7699,axiom,
    ( esk3799_4(X1,X2,X3,X4)
    | ~ esk3623_4(X1,X2,X3,X4) )).

cnf(i_0_7700,axiom,
    ( ~ esk7956_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_7701,axiom,
    ( esk4629_4(X1,X2,X3,X4)
    | esk4630_4(X1,X2,X3,X4)
    | ~ esk4631_4(X1,X2,X3,X4) )).

cnf(i_0_7702,axiom,
    ( ~ esk9557_4(X1,X2,X3,X4)
    | esk9559_4(X1,X2,X3,X4) )).

cnf(i_0_7703,axiom,
    ( esk7096_4(X1,X2,X3,X4)
    | ~ esk5886_4(X1,X2,X3,X4) )).

cnf(i_0_7704,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9254_4(X1,X2,X3,X4)
    | esk1338_0
    | p(X1)
    | p(X2) )).

cnf(i_0_7705,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk1746_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | esk150_0 )).

cnf(i_0_7706,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk8328_4(X1,X2,X3,X4)
    | ~ esk8302_4(X1,X2,X3,X4) )).

cnf(i_0_7707,axiom,
    ( ~ esk2556_4(X1,X2,X3,X4)
    | esk2617_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_7708,axiom,
    ( ~ esk1525_4(X1,X2,X3,X4)
    | esk2862_4(X1,X2,X3,X4) )).

cnf(i_0_7709,axiom,
    ( ~ esk8728_4(X1,X2,X3,X4)
    | esk8502_4(X1,X2,X3,X4) )).

cnf(i_0_7710,axiom,
    ( esk387_0
    | ~ p(X4)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_7711,axiom,
    ( ~ p(X1)
    | ~ esk1123_0
    | ~ p(X3)
    | p(X4)
    | esk9174_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_7712,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | esk3371_4(X1,X2,X3,X4) )).

cnf(i_0_7713,axiom,
    ( esk8654_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_7714,axiom,
    ( esk5745_4(X1,X2,X3,X4)
    | ~ esk5808_4(X1,X2,X3,X4) )).

cnf(i_0_7715,axiom,
    ( esk8017_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_7716,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk9083_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk811_0 )).

cnf(i_0_7717,axiom,
    ( ~ esk2637_4(X1,X2,X3,X4)
    | esk2638_4(X1,X2,X3,X4) )).

cnf(i_0_7718,axiom,
    ( ~ esk5206_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_7719,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4247_4(X1,X2,X3,X4) )).

cnf(i_0_7720,axiom,
    ( ~ esk2468_4(X1,X2,X3,X4)
    | esk2633_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_7721,axiom,
    ( esk1580_4(X1,X2,X3,X4)
    | ~ esk1581_4(X1,X2,X3,X4) )).

cnf(i_0_7722,axiom,
    ( ~ esk8068_4(X1,X2,X3,X4)
    | esk8069_4(X1,X2,X3,X4) )).

cnf(i_0_7723,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6538_4(X1,X2,X3,X4)
    | ~ esk6537_4(X1,X2,X3,X4) )).

cnf(i_0_7724,axiom,
    ( esk6712_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6711_4(X1,X2,X3,X4) )).

cnf(i_0_7725,axiom,
    ( esk4343_4(X1,X2,X3,X4)
    | ~ esk4227_4(X1,X2,X3,X4) )).

cnf(i_0_7726,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9274_4(X1,X2,X3,X4) )).

cnf(i_0_7727,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1793_4(X1,X2,X3,X4) )).

cnf(i_0_7728,axiom,
    ( ~ esk4556_4(X1,X2,X3,X4)
    | esk4558_4(X1,X2,X3,X4) )).

cnf(i_0_7729,axiom,
    ( ~ p(X1)
    | esk1187_0
    | ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_7730,axiom,
    ( esk1552_4(X1,X2,X3,X4)
    | ~ esk1553_4(X1,X2,X3,X4) )).

cnf(i_0_7731,axiom,
    ( ~ esk4998_4(X1,X2,X3,X4)
    | ~ esk3863_4(X1,X2,X3,X4) )).

cnf(i_0_7732,axiom,
    ( esk8591_4(X1,X2,X3,X4)
    | ~ esk8589_4(X1,X2,X3,X4) )).

cnf(i_0_7733,axiom,
    ( ~ esk7062_4(X1,X2,X3,X4)
    | ~ esk7640_4(X1,X2,X3,X4)
    | ~ esk7641_4(X1,X2,X3,X4) )).

cnf(i_0_7734,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2471_4(X1,X2,X3,X4) )).

cnf(i_0_7735,axiom,
    ( esk2057_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_7736,axiom,
    ( ~ esk4329_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_7737,axiom,
    ( ~ esk3425_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_7738,axiom,
    ( ~ esk5679_4(X1,X2,X3,X4)
    | esk5768_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_7739,axiom,
    ( ~ p(X1)
    | ~ esk8508_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk1_0
    | ~ p(X4) )).

cnf(i_0_7740,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3199_4(X1,X2,X3,X4) )).

cnf(i_0_7741,axiom,
    ( p(X2)
    | ~ esk102_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_7742,axiom,
    ( esk8668_4(X1,X2,X3,X4)
    | ~ esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_7743,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | esk3675_4(X1,X2,X3,X4) )).

cnf(i_0_7744,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk2795_4(X1,X2,X3,X4)
    | p(X4)
    | esk859_0
    | p(X1) )).

cnf(i_0_7745,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk1776_4(X1,X2,X3,X4)
    | esk251_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_7746,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8570_4(X1,X2,X3,X4) )).

cnf(i_0_7747,axiom,
    ( esk1016_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_7748,axiom,
    ( esk7248_4(X1,X2,X3,X4)
    | ~ esk7251_4(X1,X2,X3,X4) )).

cnf(i_0_7749,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4115_4(X1,X2,X3,X4) )).

cnf(i_0_7750,axiom,
    ( ~ esk6375_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_7751,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6465_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7752,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk79_0
    | esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_7753,axiom,
    ( ~ esk4006_4(X1,X2,X3,X4)
    | esk4007_4(X1,X2,X3,X4) )).

cnf(i_0_7754,axiom,
    ( esk4453_4(X1,X2,X3,X4)
    | ~ esk4452_4(X1,X2,X3,X4) )).

cnf(i_0_7755,axiom,
    ( ~ esk5487_4(X1,X2,X3,X4)
    | esk5489_4(X1,X2,X3,X4) )).

cnf(i_0_7756,axiom,
    ( ~ p(X3)
    | ~ esk1_0
    | esk9238_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_7757,axiom,
    ( esk4864_4(X1,X2,X3,X4)
    | ~ esk5457_4(X1,X2,X3,X4)
    | ~ esk4863_4(X1,X2,X3,X4) )).

cnf(i_0_7758,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9541_4(X1,X2,X3,X4) )).

cnf(i_0_7759,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4424_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_7760,axiom,
    ( ~ esk4476_4(X1,X2,X3,X4)
    | esk4475_4(X1,X2,X3,X4) )).

cnf(i_0_7761,axiom,
    ( ~ esk8579_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4)
    | esk8578_4(X1,X2,X3,X4) )).

cnf(i_0_7762,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5800_4(X1,X2,X3,X4) )).

cnf(i_0_7763,axiom,
    ( esk5029_4(X1,X2,X3,X4)
    | ~ esk5027_4(X1,X2,X3,X4) )).

cnf(i_0_7764,axiom,
    ( esk3341_4(X1,X2,X3,X4)
    | ~ esk3342_4(X1,X2,X3,X4)
    | esk3340_4(X1,X2,X3,X4) )).

cnf(i_0_7765,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2203_4(X1,X2,X3,X4)
    | esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_7766,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ esk1_0
    | esk2095_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_7767,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | esk4559_4(X1,X2,X3,X4) )).

cnf(i_0_7768,axiom,
    ( ~ p(X3)
    | esk1234_0
    | p(X4)
    | p(X2)
    | ~ esk2914_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_7769,axiom,
    ( esk480_0
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_7770,axiom,
    ( ~ esk5792_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_7771,axiom,
    ( ~ esk1990_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_7772,axiom,
    ( p(X2)
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk253_0
    | ~ p(X3) )).

cnf(i_0_7773,axiom,
    ( ~ esk7618_4(X1,X2,X3,X4)
    | esk7620_4(X1,X2,X3,X4) )).

cnf(i_0_7774,axiom,
    ( esk6623_4(X1,X2,X3,X4)
    | esk7473_4(X1,X2,X3,X4)
    | ~ esk7474_4(X1,X2,X3,X4) )).

cnf(i_0_7775,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9522_4(X1,X2,X3,X4) )).

cnf(i_0_7776,axiom,
    ( ~ esk7005_4(X1,X2,X3,X4)
    | ~ esk7557_4(X1,X2,X3,X4)
    | esk7558_4(X1,X2,X3,X4) )).

cnf(i_0_7777,axiom,
    ( esk6182_4(X1,X2,X3,X4)
    | ~ esk6147_4(X1,X2,X3,X4)
    | esk6181_4(X1,X2,X3,X4) )).

cnf(i_0_7778,axiom,
    ( ~ esk9398_4(X1,X2,X3,X4)
    | esk9395_4(X1,X2,X3,X4) )).

cnf(i_0_7779,axiom,
    ( esk9253_4(X1,X2,X3,X4)
    | ~ esk7153_4(X1,X2,X3,X4) )).

cnf(i_0_7780,axiom,
    ( esk7762_4(X1,X2,X3,X4)
    | ~ esk7763_4(X1,X2,X3,X4) )).

cnf(i_0_7781,axiom,
    ( esk8737_4(X1,X2,X3,X4)
    | ~ esk8284_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_7782,axiom,
    ( ~ esk9135_4(X1,X2,X3,X4)
    | esk9134_4(X1,X2,X3,X4) )).

cnf(i_0_7783,axiom,
    ( esk3533_4(X1,X2,X3,X4)
    | ~ esk3526_4(X1,X2,X3,X4) )).

cnf(i_0_7784,axiom,
    ( ~ esk8625_4(X1,X2,X3,X4)
    | esk8624_4(X1,X2,X3,X4) )).

cnf(i_0_7785,axiom,
    ( esk5176_4(X1,X2,X3,X4)
    | esk5175_4(X1,X2,X3,X4)
    | ~ esk5177_4(X1,X2,X3,X4) )).

cnf(i_0_7786,axiom,
    ( ~ esk4833_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_7787,axiom,
    ( esk4472_4(X1,X2,X3,X4)
    | ~ esk4474_4(X1,X2,X3,X4)
    | esk4473_4(X1,X2,X3,X4) )).

cnf(i_0_7788,axiom,
    ( ~ esk8238_4(X1,X2,X3,X4)
    | esk8240_4(X1,X2,X3,X4) )).

cnf(i_0_7789,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9174_4(X1,X2,X3,X4)
    | esk1119_0
    | p(X1) )).

cnf(i_0_7790,axiom,
    ( esk8618_4(X1,X2,X3,X4)
    | ~ esk6518_4(X1,X2,X3,X4) )).

cnf(i_0_7791,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk3993_4(X1,X2,X3,X4)
    | ~ esk3992_4(X1,X2,X3,X4) )).

cnf(i_0_7792,axiom,
    ( ~ esk9031_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_7793,axiom,
    ( ~ esk3828_4(X1,X2,X3,X4)
    | esk3784_4(X1,X2,X3,X4) )).

cnf(i_0_7794,axiom,
    ( ~ esk1738_4(X1,X2,X3,X4)
    | esk1739_4(X1,X2,X3,X4) )).

cnf(i_0_7795,axiom,
    ( ~ esk5642_4(X1,X2,X3,X4)
    | esk5601_4(X1,X2,X3,X4) )).

cnf(i_0_7796,axiom,
    ( ~ esk1460_4(X1,X2,X3,X4)
    | esk1459_4(X1,X2,X3,X4)
    | esk1458_4(X1,X2,X3,X4) )).

cnf(i_0_7797,axiom,
    ( ~ esk3153_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_7798,axiom,
    ( esk2918_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1249_0 )).

cnf(i_0_7799,axiom,
    ( ~ p(X3)
    | ~ esk977_0
    | esk9105_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_7800,axiom,
    ( esk3204_4(X1,X2,X3,X4)
    | esk3205_4(X1,X2,X3,X4)
    | ~ esk3206_4(X1,X2,X3,X4) )).

cnf(i_0_7801,axiom,
    ( esk1813_4(X1,X2,X3,X4)
    | ~ esk1811_4(X1,X2,X3,X4) )).

cnf(i_0_7802,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk2807_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk1_0 )).

cnf(i_0_7803,axiom,
    ( esk2119_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2118_4(X1,X2,X3,X4) )).

cnf(i_0_7804,axiom,
    ( ~ esk3354_4(X1,X2,X3,X4)
    | esk3353_4(X1,X2,X3,X4)
    | esk3352_4(X1,X2,X3,X4) )).

cnf(i_0_7805,axiom,
    ( ~ esk1798_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_7806,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk2425_4(X1,X2,X3,X4)
    | p(X2)
    | esk603_0
    | ~ p(X4) )).

cnf(i_0_7807,axiom,
    ( ~ esk5842_4(X1,X2,X3,X4)
    | esk7005_4(X1,X2,X3,X4) )).

cnf(i_0_7808,axiom,
    ( esk5866_4(X1,X2,X3,X4)
    | ~ esk5865_4(X1,X2,X3,X4) )).

cnf(i_0_7809,axiom,
    ( esk2331_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7810,axiom,
    ( p(X2)
    | ~ esk1070_0
    | p(X1)
    | esk2872_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_7811,axiom,
    ( ~ esk2465_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_7812,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9190_4(X1,X2,X3,X4)
    | p(X2)
    | esk1191_0 )).

cnf(i_0_7813,axiom,
    ( esk7904_4(X1,X2,X3,X4)
    | ~ esk7902_4(X1,X2,X3,X4) )).

cnf(i_0_7814,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk1746_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk149_0
    | p(X3) )).

cnf(i_0_7815,axiom,
    ( ~ esk7657_4(X1,X2,X3,X4)
    | esk7827_4(X1,X2,X3,X4) )).

cnf(i_0_7816,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2214_4(X1,X2,X3,X4) )).

cnf(i_0_7817,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1334_0
    | ~ p(X1) )).

cnf(i_0_7818,axiom,
    ( ~ p(X2)
    | ~ esk1_0
    | ~ p(X1)
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_7819,axiom,
    ( ~ esk4276_4(X1,X2,X3,X4)
    | esk4277_4(X1,X2,X3,X4) )).

cnf(i_0_7820,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk1024_0
    | esk9150_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_7821,axiom,
    ( p(X3)
    | ~ esk608_0
    | esk8721_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_7822,axiom,
    ( esk1545_4(X1,X2,X3,X4)
    | ~ esk1544_4(X1,X2,X3,X4)
    | ~ esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_7823,axiom,
    ( esk9072_4(X1,X2,X3,X4)
    | ~ esk9105_4(X1,X2,X3,X4) )).

cnf(i_0_7824,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8113_4(X1,X2,X3,X4) )).

cnf(i_0_7825,axiom,
    ( esk6531_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7826,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2078_4(X1,X2,X3,X4) )).

cnf(i_0_7827,axiom,
    ( ~ esk8949_4(X1,X2,X3,X4)
    | esk8951_4(X1,X2,X3,X4) )).

cnf(i_0_7828,axiom,
    ( esk8725_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2_0 )).

cnf(i_0_7829,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk242_0
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_7830,axiom,
    ( esk3299_4(X1,X2,X3,X4)
    | esk3300_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_7831,axiom,
    ( esk8986_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_7832,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3370_4(X1,X2,X3,X4)
    | esk3373_4(X1,X2,X3,X4) )).

cnf(i_0_7833,axiom,
    ( esk7253_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7834,axiom,
    ( esk3548_4(X1,X2,X3,X4)
    | esk3549_4(X1,X2,X3,X4)
    | ~ esk3550_4(X1,X2,X3,X4) )).

cnf(i_0_7835,axiom,
    ( esk8749_4(X1,X2,X3,X4)
    | ~ esk746_0
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_7836,axiom,
    ( ~ esk7851_4(X1,X2,X3,X4)
    | esk7852_4(X1,X2,X3,X4) )).

cnf(i_0_7837,axiom,
    ( esk3141_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7838,axiom,
    ( ~ esk5771_4(X1,X2,X3,X4)
    | esk5770_4(X1,X2,X3,X4) )).

cnf(i_0_7839,axiom,
    ( ~ esk7021_4(X1,X2,X3,X4)
    | esk7019_4(X1,X2,X3,X4)
    | esk7018_4(X1,X2,X3,X4)
    | esk7020_4(X1,X2,X3,X4) )).

cnf(i_0_7840,axiom,
    ( ~ esk4283_4(X1,X2,X3,X4)
    | esk4285_4(X1,X2,X3,X4) )).

cnf(i_0_7841,axiom,
    ( ~ esk9287_4(X1,X2,X3,X4)
    | esk8690_4(X1,X2,X3,X4)
    | ~ esk8689_4(X1,X2,X3,X4) )).

cnf(i_0_7842,axiom,
    ( ~ esk5498_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_7843,axiom,
    ( esk3891_4(X1,X2,X3,X4)
    | ~ esk3886_4(X1,X2,X3,X4) )).

cnf(i_0_7844,axiom,
    ( esk2658_4(X1,X2,X3,X4)
    | ~ esk1951_4(X1,X2,X3,X4) )).

cnf(i_0_7845,axiom,
    ( esk2347_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7846,axiom,
    ( esk8727_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk654_0 )).

cnf(i_0_7847,axiom,
    ( esk2871_4(X1,X2,X3,X4)
    | ~ esk4971_4(X1,X2,X3,X4) )).

cnf(i_0_7848,axiom,
    ( esk1_0
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ esk1874_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_7849,axiom,
    ( ~ esk8809_4(X1,X2,X3,X4)
    | esk8824_4(X1,X2,X3,X4)
    | ~ esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_7850,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | esk5541_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_7851,axiom,
    ( esk7436_4(X1,X2,X3,X4)
    | ~ esk7434_4(X1,X2,X3,X4) )).

cnf(i_0_7852,axiom,
    ( ~ esk2434_4(X1,X2,X3,X4)
    | esk2411_4(X1,X2,X3,X4) )).

cnf(i_0_7853,axiom,
    ( ~ esk8686_4(X1,X2,X3,X4)
    | esk8688_4(X1,X2,X3,X4) )).

cnf(i_0_7854,axiom,
    ( ~ esk8004_4(X1,X2,X3,X4)
    | esk7955_4(X1,X2,X3,X4)
    | ~ esk7954_4(X1,X2,X3,X4) )).

cnf(i_0_7855,axiom,
    ( p(X3)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk790_0
    | p(X2)
    | p(X4) )).

cnf(i_0_7856,axiom,
    ( ~ esk1823_4(X1,X2,X3,X4)
    | esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_7857,axiom,
    ( esk2813_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1007_0 )).

cnf(i_0_7858,axiom,
    ( p(X3)
    | ~ esk190_0
    | esk1752_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_7859,axiom,
    ( esk8233_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_7860,axiom,
    ( ~ esk4776_4(X1,X2,X3,X4)
    | esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_7861,axiom,
    ( esk6619_4(X1,X2,X3,X4)
    | ~ esk6510_4(X1,X2,X3,X4) )).

cnf(i_0_7862,axiom,
    ( esk9105_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk968_0 )).

cnf(i_0_7863,axiom,
    ( esk4053_4(X1,X2,X3,X4)
    | ~ esk4233_4(X1,X2,X3,X4) )).

cnf(i_0_7864,axiom,
    ( ~ esk2919_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4)
    | esk2863_4(X1,X2,X3,X4) )).

cnf(i_0_7865,axiom,
    ( p(X1)
    | ~ esk638_0
    | ~ p(X2)
    | esk2429_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_7866,axiom,
    ( esk8181_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8182_4(X1,X2,X3,X4) )).

cnf(i_0_7867,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk4173_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_7868,axiom,
    ( esk4288_4(X1,X2,X3,X4)
    | ~ esk4250_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_7869,axiom,
    ( ~ esk2653_4(X1,X2,X3,X4)
    | esk2500_4(X1,X2,X3,X4) )).

cnf(i_0_7870,axiom,
    ( ~ esk3316_4(X1,X2,X3,X4)
    | esk3318_4(X1,X2,X3,X4) )).

cnf(i_0_7871,axiom,
    ( esk1429_4(X1,X2,X3,X4)
    | ~ esk1677_4(X1,X2,X3,X4) )).

cnf(i_0_7872,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk170_0
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_7873,axiom,
    ( ~ esk676_0
    | esk2433_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_7874,axiom,
    ( ~ esk7043_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_7875,axiom,
    ( ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk1158_0
    | p(X2)
    | p(X1) )).

cnf(i_0_7876,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk576_0
    | ~ p(X4) )).

cnf(i_0_7877,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk1203_0
    | p(X3)
    | esk2898_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_7878,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk1304_0
    | p(X4)
    | esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_7879,axiom,
    ( esk1897_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_7880,axiom,
    ( esk6431_4(X1,X2,X3,X4)
    | ~ esk6430_4(X1,X2,X3,X4) )).

cnf(i_0_7881,axiom,
    ( esk7056_4(X1,X2,X3,X4)
    | ~ esk7055_4(X1,X2,X3,X4) )).

cnf(i_0_7882,axiom,
    ( ~ esk2050_4(X1,X2,X3,X4)
    | ~ esk2049_4(X1,X2,X3,X4)
    | ~ esk1993_4(X1,X2,X3,X4) )).

cnf(i_0_7883,axiom,
    ( ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk527_0
    | ~ p(X2) )).

cnf(i_0_7884,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk9079_4(X1,X2,X3,X4) )).

cnf(i_0_7885,axiom,
    ( ~ esk8702_4(X1,X2,X3,X4)
    | esk8704_4(X1,X2,X3,X4) )).

cnf(i_0_7886,axiom,
    ( ~ esk5004_4(X1,X2,X3,X4)
    | esk3863_4(X1,X2,X3,X4) )).

cnf(i_0_7887,axiom,
    ( ~ p(X2)
    | ~ esk9081_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_7888,axiom,
    ( esk8764_4(X1,X2,X3,X4)
    | esk8762_4(X1,X2,X3,X4)
    | esk8763_4(X1,X2,X3,X4)
    | ~ esk8765_4(X1,X2,X3,X4) )).

cnf(i_0_7889,axiom,
    ( ~ esk4663_4(X1,X2,X3,X4)
    | esk4662_4(X1,X2,X3,X4) )).

cnf(i_0_7890,axiom,
    ( ~ esk8687_4(X1,X2,X3,X4)
    | esk8688_4(X1,X2,X3,X4) )).

cnf(i_0_7891,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk2061_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk423_0
    | p(X2) )).

cnf(i_0_7892,axiom,
    ( esk7605_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_7893,axiom,
    ( esk69_0
    | ~ p(X3)
    | p(X1)
    | ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_7894,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3381_4(X1,X2,X3,X4) )).

cnf(i_0_7895,axiom,
    ( ~ p(X4)
    | ~ esk8469_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_7896,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6105_4(X1,X2,X3,X4) )).

cnf(i_0_7897,axiom,
    ( ~ p(X2)
    | ~ esk1754_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk212_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_7898,axiom,
    ( ~ esk8812_4(X1,X2,X3,X4)
    | esk8813_4(X1,X2,X3,X4) )).

cnf(i_0_7899,axiom,
    ( ~ esk642_0
    | p(X2)
    | ~ p(X1)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7900,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3864_4(X1,X2,X3,X4) )).

cnf(i_0_7901,axiom,
    ( esk8052_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk222_0
    | p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7902,axiom,
    ( esk4296_4(X1,X2,X3,X4)
    | esk4295_4(X1,X2,X3,X4)
    | ~ esk4297_4(X1,X2,X3,X4) )).

cnf(i_0_7903,axiom,
    ( esk3301_4(X1,X2,X3,X4)
    | esk3302_4(X1,X2,X3,X4) )).

cnf(i_0_7904,axiom,
    ( ~ esk2108_4(X1,X2,X3,X4)
    | esk2109_4(X1,X2,X3,X4) )).

cnf(i_0_7905,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1738_4(X1,X2,X3,X4) )).

cnf(i_0_7906,axiom,
    ( esk5209_4(X1,X2,X3,X4)
    | ~ esk5208_4(X1,X2,X3,X4) )).

cnf(i_0_7907,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2408_4(X1,X2,X3,X4) )).

cnf(i_0_7908,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk485_0
    | p(X1)
    | esk8508_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_7909,axiom,
    ( ~ esk2127_4(X1,X2,X3,X4)
    | ~ esk2090_4(X1,X2,X3,X4)
    | ~ esk2126_4(X1,X2,X3,X4) )).

cnf(i_0_7910,axiom,
    ( p(X2)
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk318_0
    | p(X1) )).

cnf(i_0_7911,axiom,
    ( ~ esk8348_4(X1,X2,X3,X4)
    | esk8351_4(X1,X2,X3,X4) )).

cnf(i_0_7912,axiom,
    ( esk5206_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_7913,axiom,
    ( ~ esk2958_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | esk1343_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_7914,axiom,
    ( ~ esk2043_4(X1,X2,X3,X4)
    | esk2044_4(X1,X2,X3,X4) )).

cnf(i_0_7915,axiom,
    ( esk4521_4(X1,X2,X3,X4)
    | ~ esk4486_4(X1,X2,X3,X4) )).

cnf(i_0_7916,axiom,
    ( ~ esk6001_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_7917,axiom,
    ( esk9299_4(X1,X2,X3,X4)
    | ~ esk9297_4(X1,X2,X3,X4) )).

cnf(i_0_7918,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk1340_0
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_7919,axiom,
    ( ~ esk4859_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_7920,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk68_0
    | esk7774_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_7921,axiom,
    ( esk2651_4(X1,X2,X3,X4)
    | ~ esk2652_4(X1,X2,X3,X4) )).

cnf(i_0_7922,axiom,
    ( esk5061_4(X1,X2,X3,X4)
    | ~ esk5060_4(X1,X2,X3,X4) )).

cnf(i_0_7923,axiom,
    ( ~ esk5496_4(X1,X2,X3,X4)
    | esk5493_4(X1,X2,X3,X4) )).

cnf(i_0_7924,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk284_0 )).

cnf(i_0_7925,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk1_0
    | p(X2)
    | p(X3) )).

cnf(i_0_7926,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | esk2093_4(X1,X2,X3,X4) )).

cnf(i_0_7927,axiom,
    ( ~ esk6033_4(X1,X2,X3,X4)
    | ~ esk6031_4(X1,X2,X3,X4)
    | esk6034_4(X1,X2,X3,X4) )).

cnf(i_0_7928,axiom,
    ( ~ esk7045_4(X1,X2,X3,X4)
    | esk7025_4(X1,X2,X3,X4) )).

cnf(i_0_7929,axiom,
    ( ~ esk3729_4(X1,X2,X3,X4)
    | esk3666_4(X1,X2,X3,X4) )).

cnf(i_0_7930,axiom,
    ( ~ esk9241_4(X1,X2,X3,X4)
    | esk9240_4(X1,X2,X3,X4) )).

cnf(i_0_7931,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6004_4(X1,X2,X3,X4) )).

cnf(i_0_7932,axiom,
    ( p(X1)
    | p(X4)
    | esk1958_4(X1,X2,X3,X4)
    | ~ esk349_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_7933,axiom,
    ( ~ esk7790_4(X1,X2,X3,X4)
    | esk7773_4(X1,X2,X3,X4) )).

cnf(i_0_7934,axiom,
    ( esk4725_4(X1,X2,X3,X4)
    | ~ esk4724_4(X1,X2,X3,X4) )).

cnf(i_0_7935,axiom,
    ( esk7345_4(X1,X2,X3,X4)
    | ~ esk7346_4(X1,X2,X3,X4) )).

cnf(i_0_7936,axiom,
    ( ~ esk4334_4(X1,X2,X3,X4)
    | esk4336_4(X1,X2,X3,X4) )).

cnf(i_0_7937,axiom,
    ( ~ esk4407_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_7938,axiom,
    ( esk9103_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk949_0 )).

cnf(i_0_7939,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6434_4(X1,X2,X3,X4) )).

cnf(i_0_7940,axiom,
    ( ~ p(X4)
    | ~ esk384_0
    | ~ p(X2)
    | ~ p(X3)
    | esk1995_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_7941,axiom,
    ( esk3707_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_7942,axiom,
    ( p(X4)
    | esk8585_4(X1,X2,X3,X4)
    | ~ esk525_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_7943,axiom,
    ( ~ esk4082_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk3973_4(X1,X2,X3,X4) )).

cnf(i_0_7944,axiom,
    ( esk8418_4(X1,X2,X3,X4)
    | ~ esk8455_4(X1,X2,X3,X4) )).

cnf(i_0_7945,axiom,
    ( ~ esk3204_4(X1,X2,X3,X4)
    | esk3206_4(X1,X2,X3,X4) )).

cnf(i_0_7946,axiom,
    ( ~ p(X3)
    | ~ esk519_0
    | ~ p(X2)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_7947,axiom,
    ( esk9570_4(X1,X2,X3,X4)
    | esk9568_4(X1,X2,X3,X4)
    | ~ esk9571_4(X1,X2,X3,X4) )).

cnf(i_0_7948,axiom,
    ( esk4036_4(X1,X2,X3,X4)
    | ~ esk4038_4(X1,X2,X3,X4)
    | esk4037_4(X1,X2,X3,X4) )).

cnf(i_0_7949,axiom,
    ( esk4398_4(X1,X2,X3,X4)
    | ~ esk4396_4(X1,X2,X3,X4) )).

cnf(i_0_7950,axiom,
    ( esk404_0
    | ~ esk2022_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_7951,axiom,
    ( esk3393_4(X1,X2,X3,X4)
    | esk3392_4(X1,X2,X3,X4)
    | ~ esk3394_4(X1,X2,X3,X4) )).

cnf(i_0_7952,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk5663_4(X1,X2,X3,X4) )).

cnf(i_0_7953,axiom,
    ( ~ esk4265_4(X1,X2,X3,X4)
    | esk4304_4(X1,X2,X3,X4) )).

cnf(i_0_7954,axiom,
    ( esk1953_4(X1,X2,X3,X4)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk3285_4(X1,X2,X3,X4) )).

cnf(i_0_7955,axiom,
    ( esk2349_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_7956,axiom,
    ( ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk800_0
    | p(X1)
    | p(X4) )).

cnf(i_0_7957,axiom,
    ( ~ esk9178_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk1148_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_7958,axiom,
    ( ~ esk2660_4(X1,X2,X3,X4)
    | esk2662_4(X1,X2,X3,X4) )).

cnf(i_0_7959,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk644_0 )).

cnf(i_0_7960,axiom,
    ( ~ esk2031_4(X1,X2,X3,X4)
    | esk2005_4(X1,X2,X3,X4) )).

cnf(i_0_7961,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk1756_4(X1,X2,X3,X4)
    | esk222_0
    | p(X4) )).

cnf(i_0_7962,axiom,
    ( p(X3)
    | ~ esk1196_0
    | ~ p(X4)
    | p(X2)
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_7963,axiom,
    ( esk9532_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_7964,axiom,
    ( ~ esk7919_4(X1,X2,X3,X4)
    | esk7920_4(X1,X2,X3,X4) )).

cnf(i_0_7965,axiom,
    ( ~ p(X3)
    | esk8156_4(X1,X2,X3,X4)
    | ~ esk284_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_7966,axiom,
    ( ~ esk8454_4(X1,X2,X3,X4)
    | esk8453_4(X1,X2,X3,X4) )).

cnf(i_0_7967,axiom,
    ( esk5489_4(X1,X2,X3,X4)
    | ~ esk5488_4(X1,X2,X3,X4) )).

cnf(i_0_7968,axiom,
    ( esk2264_4(X1,X2,X3,X4)
    | ~ esk2263_4(X1,X2,X3,X4) )).

cnf(i_0_7969,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk551_0
    | p(X3)
    | esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_7970,axiom,
    ( esk8066_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_7971,axiom,
    ( esk6427_4(X1,X2,X3,X4)
    | ~ esk6571_4(X1,X2,X3,X4) )).

cnf(i_0_7972,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5826_4(X1,X2,X3,X4) )).

cnf(i_0_7973,axiom,
    ( ~ p(X2)
    | ~ esk210_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | esk1754_4(X1,X2,X3,X4) )).

cnf(i_0_7974,axiom,
    ( ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4)
    | esk4960_4(X1,X2,X3,X4) )).

cnf(i_0_7975,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk688_0
    | p(X2)
    | ~ esk8731_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_7976,axiom,
    ( esk8715_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk565_0
    | p(X1) )).

cnf(i_0_7977,axiom,
    ( esk3030_4(X1,X2,X3,X4)
    | ~ esk3036_4(X1,X2,X3,X4) )).

cnf(i_0_7978,axiom,
    ( esk254_0
    | ~ p(X4)
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_7979,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | esk7945_4(X1,X2,X3,X4) )).

cnf(i_0_7980,axiom,
    ( ~ esk9092_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk8958_4(X1,X2,X3,X4) )).

cnf(i_0_7981,axiom,
    ( esk6439_4(X1,X2,X3,X4)
    | ~ esk6436_4(X1,X2,X3,X4) )).

cnf(i_0_7982,axiom,
    ( ~ esk1798_4(X1,X2,X3,X4)
    | esk1797_4(X1,X2,X3,X4) )).

cnf(i_0_7983,axiom,
    ( ~ esk3716_4(X1,X2,X3,X4)
    | esk3715_4(X1,X2,X3,X4) )).

cnf(i_0_7984,axiom,
    ( ~ esk2889_4(X1,X2,X3,X4)
    | esk1599_4(X1,X2,X3,X4) )).

cnf(i_0_7985,axiom,
    ( esk3562_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3812_4(X1,X2,X3,X4) )).

cnf(i_0_7986,axiom,
    ( ~ esk5063_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_7987,axiom,
    ( ~ esk8471_4(X1,X2,X3,X4)
    | esk7676_4(X1,X2,X3,X4) )).

cnf(i_0_7988,axiom,
    ( ~ esk781_0
    | ~ p(X1)
    | ~ p(X4)
    | esk8778_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_7989,axiom,
    ( ~ esk5538_4(X1,X2,X3,X4)
    | esk5540_4(X1,X2,X3,X4) )).

cnf(i_0_7990,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ esk1621_4(X1,X2,X3,X4) )).

cnf(i_0_7991,axiom,
    ( ~ p(X1)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1112_0 )).

cnf(i_0_7992,axiom,
    ( ~ esk3113_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_7993,axiom,
    ( ~ esk8155_4(X1,X2,X3,X4)
    | esk8154_4(X1,X2,X3,X4)
    | esk8153_4(X1,X2,X3,X4) )).

cnf(i_0_7994,axiom,
    ( esk7136_4(X1,X2,X3,X4)
    | ~ esk7135_4(X1,X2,X3,X4)
    | ~ esk5925_4(X1,X2,X3,X4) )).

cnf(i_0_7995,axiom,
    ( ~ esk2165_4(X1,X2,X3,X4)
    | esk2201_4(X1,X2,X3,X4)
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_7996,axiom,
    ( ~ p(X2)
    | ~ esk2882_4(X1,X2,X3,X4)
    | esk1148_0
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_7997,axiom,
    ( ~ esk5783_4(X1,X2,X3,X4)
    | esk5782_4(X1,X2,X3,X4) )).

cnf(i_0_7998,axiom,
    ( esk8713_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk554_0
    | p(X2) )).

cnf(i_0_7999,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9666_4(X1,X2,X3,X4) )).

cnf(i_0_8000,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8161_4(X1,X2,X3,X4) )).

cnf(i_0_8001,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4)
    | esk9067_4(X1,X2,X3,X4) )).

cnf(i_0_8002,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2507_4(X1,X2,X3,X4) )).

cnf(i_0_8003,axiom,
    ( ~ esk7471_4(X1,X2,X3,X4)
    | esk7472_4(X1,X2,X3,X4) )).

cnf(i_0_8004,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | esk1270_0 )).

cnf(i_0_8005,axiom,
    ( esk2799_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk891_0 )).

cnf(i_0_8006,axiom,
    ( esk7989_4(X1,X2,X3,X4)
    | ~ esk7990_4(X1,X2,X3,X4) )).

cnf(i_0_8007,axiom,
    ( ~ esk5560_4(X1,X2,X3,X4)
    | esk6117_4(X1,X2,X3,X4) )).

cnf(i_0_8008,axiom,
    ( ~ esk7601_4(X1,X2,X3,X4)
    | ~ esk6904_4(X1,X2,X3,X4)
    | esk7602_4(X1,X2,X3,X4) )).

cnf(i_0_8009,axiom,
    ( ~ esk1143_0
    | p(X3)
    | esk9178_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_8010,axiom,
    ( ~ esk3997_4(X1,X2,X3,X4)
    | esk3996_4(X1,X2,X3,X4) )).

cnf(i_0_8011,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | ~ esk9237_4(X1,X2,X3,X4) )).

cnf(i_0_8012,axiom,
    ( esk4805_4(X1,X2,X3,X4)
    | ~ esk4804_4(X1,X2,X3,X4) )).

cnf(i_0_8013,axiom,
    ( esk3007_4(X1,X2,X3,X4)
    | ~ esk3008_4(X1,X2,X3,X4) )).

cnf(i_0_8014,axiom,
    ( esk2071_4(X1,X2,X3,X4)
    | ~ esk1960_4(X1,X2,X3,X4) )).

cnf(i_0_8015,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3049_4(X1,X2,X3,X4) )).

cnf(i_0_8016,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk1752_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk185_0
    | p(X1) )).

cnf(i_0_8017,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk957_0
    | p(X3)
    | ~ p(X1)
    | esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_8018,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | ~ esk1054_0
    | ~ p(X4)
    | esk9166_4(X1,X2,X3,X4) )).

cnf(i_0_8019,axiom,
    ( ~ esk2903_4(X1,X2,X3,X4)
    | ~ esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_8020,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk6636_4(X1,X2,X3,X4) )).

cnf(i_0_8021,axiom,
    ( ~ esk4220_4(X1,X2,X3,X4)
    | esk4219_4(X1,X2,X3,X4)
    | esk4218_4(X1,X2,X3,X4) )).

cnf(i_0_8022,axiom,
    ( esk8581_4(X1,X2,X3,X4)
    | ~ esk8582_4(X1,X2,X3,X4) )).

cnf(i_0_8023,axiom,
    ( ~ esk2668_4(X1,X2,X3,X4)
    | esk2667_4(X1,X2,X3,X4) )).

cnf(i_0_8024,axiom,
    ( ~ esk3324_4(X1,X2,X3,X4)
    | esk3323_4(X1,X2,X3,X4) )).

cnf(i_0_8025,axiom,
    ( ~ esk9496_4(X1,X2,X3,X4)
    | esk9497_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_8026,axiom,
    ( ~ esk9294_4(X1,X2,X3,X4)
    | esk9291_4(X1,X2,X3,X4) )).

cnf(i_0_8027,axiom,
    ( ~ p(X1)
    | esk212_0
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_8028,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk2876_4(X1,X2,X3,X4)
    | ~ esk1104_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_8029,axiom,
    ( esk2862_4(X1,X2,X3,X4)
    | ~ esk2859_4(X1,X2,X3,X4) )).

cnf(i_0_8030,axiom,
    ( esk5746_4(X1,X2,X3,X4)
    | ~ esk5747_4(X1,X2,X3,X4) )).

cnf(i_0_8031,axiom,
    ( ~ esk2905_4(X1,X2,X3,X4)
    | esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_8032,axiom,
    ( esk9737_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4)
    | ~ esk9161_4(X1,X2,X3,X4) )).

cnf(i_0_8033,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2752_4(X1,X2,X3,X4) )).

cnf(i_0_8034,axiom,
    ( ~ p(X4)
    | esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk559_0
    | p(X2) )).

cnf(i_0_8035,axiom,
    ( esk9114_4(X1,X2,X3,X4)
    | ~ esk8167_4(X1,X2,X3,X4) )).

cnf(i_0_8036,axiom,
    ( esk5749_4(X1,X2,X3,X4)
    | ~ esk5812_4(X1,X2,X3,X4) )).

cnf(i_0_8037,axiom,
    ( esk9011_4(X1,X2,X3,X4)
    | ~ esk9717_4(X1,X2,X3,X4) )).

cnf(i_0_8038,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk425_0
    | ~ p(X4) )).

cnf(i_0_8039,axiom,
    ( p(X1)
    | p(X4)
    | esk1296_0
    | ~ p(X2)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_8040,axiom,
    ( esk7620_4(X1,X2,X3,X4)
    | ~ esk6975_4(X1,X2,X3,X4) )).

cnf(i_0_8041,axiom,
    ( esk7074_4(X1,X2,X3,X4)
    | ~ esk4974_4(X1,X2,X3,X4) )).

cnf(i_0_8042,axiom,
    ( esk9455_4(X1,X2,X3,X4)
    | ~ esk8702_4(X1,X2,X3,X4) )).

cnf(i_0_8043,axiom,
    ( p(X1)
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk367_0 )).

cnf(i_0_8044,axiom,
    ( ~ esk1851_4(X1,X2,X3,X4)
    | ~ esk1853_4(X1,X2,X3,X4)
    | esk1854_4(X1,X2,X3,X4) )).

cnf(i_0_8045,axiom,
    ( ~ esk4222_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_8046,axiom,
    ( ~ esk6100_4(X1,X2,X3,X4)
    | esk6099_4(X1,X2,X3,X4) )).

cnf(i_0_8047,axiom,
    ( ~ esk5739_4(X1,X2,X3,X4)
    | esk5741_4(X1,X2,X3,X4) )).

cnf(i_0_8048,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6412_4(X1,X2,X3,X4) )).

cnf(i_0_8049,axiom,
    ( ~ esk6555_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8050,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk722_0
    | ~ p(X1) )).

cnf(i_0_8051,axiom,
    ( ~ esk8285_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_8052,axiom,
    ( ~ esk52_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | esk7740_4(X1,X2,X3,X4) )).

cnf(i_0_8053,axiom,
    ( p(X4)
    | p(X3)
    | esk622_0
    | ~ esk8723_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8054,axiom,
    ( esk2338_4(X1,X2,X3,X4)
    | ~ esk2026_4(X1,X2,X3,X4) )).

cnf(i_0_8055,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk642_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_8056,axiom,
    ( esk2808_4(X1,X2,X3,X4)
    | ~ esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_8057,axiom,
    ( esk4617_4(X1,X2,X3,X4)
    | esk4618_4(X1,X2,X3,X4)
    | ~ esk4619_4(X1,X2,X3,X4) )).

cnf(i_0_8058,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6801_4(X1,X2,X3,X4) )).

cnf(i_0_8059,axiom,
    ( esk1156_0
    | ~ p(X2)
    | ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8060,axiom,
    ( ~ esk8144_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_8061,axiom,
    ( p(X4)
    | ~ esk1131_0
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_8062,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk2947_4(X1,X2,X3,X4) )).

cnf(i_0_8063,axiom,
    ( ~ esk5427_4(X1,X2,X3,X4)
    | esk5426_4(X1,X2,X3,X4) )).

cnf(i_0_8064,axiom,
    ( esk7325_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8065,axiom,
    ( esk2836_4(X1,X2,X3,X4)
    | ~ esk2834_4(X1,X2,X3,X4) )).

cnf(i_0_8066,axiom,
    ( esk7850_4(X1,X2,X3,X4)
    | ~ esk7852_4(X1,X2,X3,X4)
    | esk7851_4(X1,X2,X3,X4) )).

cnf(i_0_8067,axiom,
    ( ~ esk7091_4(X1,X2,X3,X4)
    | esk5801_4(X1,X2,X3,X4) )).

cnf(i_0_8068,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4199_4(X1,X2,X3,X4) )).

cnf(i_0_8069,axiom,
    ( esk2961_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_8070,axiom,
    ( ~ esk8355_4(X1,X2,X3,X4)
    | esk6255_4(X1,X2,X3,X4) )).

cnf(i_0_8071,axiom,
    ( esk3258_4(X1,X2,X3,X4)
    | ~ esk3257_4(X1,X2,X3,X4) )).

cnf(i_0_8072,axiom,
    ( ~ esk6680_4(X1,X2,X3,X4)
    | esk5633_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_8073,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9312_4(X1,X2,X3,X4) )).

cnf(i_0_8074,axiom,
    ( ~ esk5295_4(X1,X2,X3,X4)
    | esk5294_4(X1,X2,X3,X4) )).

cnf(i_0_8075,axiom,
    ( esk1590_4(X1,X2,X3,X4)
    | esk1589_4(X1,X2,X3,X4)
    | ~ esk1591_4(X1,X2,X3,X4) )).

cnf(i_0_8076,axiom,
    ( ~ p(X4)
    | ~ esk1130_0
    | esk2880_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_8077,axiom,
    ( ~ esk4183_4(X1,X2,X3,X4)
    | esk4270_4(X1,X2,X3,X4)
    | ~ esk4232_4(X1,X2,X3,X4) )).

cnf(i_0_8078,axiom,
    ( ~ esk8686_4(X1,X2,X3,X4)
    | esk8125_4(X1,X2,X3,X4) )).

cnf(i_0_8079,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk8841_4(X1,X2,X3,X4) )).

cnf(i_0_8080,axiom,
    ( ~ esk1737_4(X1,X2,X3,X4)
    | esk1687_4(X1,X2,X3,X4) )).

cnf(i_0_8081,axiom,
    ( esk6118_4(X1,X2,X3,X4)
    | ~ esk6119_4(X1,X2,X3,X4) )).

cnf(i_0_8082,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2787_4(X1,X2,X3,X4)
    | ~ esk808_0 )).

cnf(i_0_8083,axiom,
    ( ~ esk3533_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk3526_4(X1,X2,X3,X4) )).

cnf(i_0_8084,axiom,
    ( esk6478_4(X1,X2,X3,X4)
    | ~ esk6584_4(X1,X2,X3,X4) )).

cnf(i_0_8085,axiom,
    ( esk9723_4(X1,X2,X3,X4)
    | ~ esk9722_4(X1,X2,X3,X4) )).

cnf(i_0_8086,axiom,
    ( ~ esk3722_4(X1,X2,X3,X4)
    | esk3720_4(X1,X2,X3,X4)
    | esk3721_4(X1,X2,X3,X4) )).

cnf(i_0_8087,axiom,
    ( ~ p(X3)
    | esk1756_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk219_0
    | p(X1) )).

cnf(i_0_8088,axiom,
    ( esk6501_4(X1,X2,X3,X4)
    | ~ esk6205_4(X1,X2,X3,X4) )).

cnf(i_0_8089,axiom,
    ( p(X1)
    | ~ esk9182_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk1159_0
    | p(X2) )).

cnf(i_0_8090,axiom,
    ( esk3621_4(X1,X2,X3,X4)
    | esk5548_4(X1,X2,X3,X4)
    | ~ esk5547_4(X1,X2,X3,X4) )).

cnf(i_0_8091,axiom,
    ( esk8053_4(X1,X2,X3,X4)
    | ~ esk7683_4(X1,X2,X3,X4) )).

cnf(i_0_8092,axiom,
    ( esk2706_4(X1,X2,X3,X4)
    | ~ esk2705_4(X1,X2,X3,X4) )).

cnf(i_0_8093,axiom,
    ( ~ esk2210_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_8094,axiom,
    ( ~ esk8074_4(X1,X2,X3,X4)
    | esk8075_4(X1,X2,X3,X4)
    | ~ esk8829_4(X1,X2,X3,X4) )).

cnf(i_0_8095,axiom,
    ( ~ esk2440_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_8096,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9644_4(X1,X2,X3,X4) )).

cnf(i_0_8097,axiom,
    ( esk347_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_8098,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6035_4(X1,X2,X3,X4)
    | esk6036_4(X1,X2,X3,X4) )).

cnf(i_0_8099,axiom,
    ( ~ esk4752_4(X1,X2,X3,X4)
    | esk4753_4(X1,X2,X3,X4) )).

cnf(i_0_8100,axiom,
    ( esk3484_4(X1,X2,X3,X4)
    | ~ esk3857_4(X1,X2,X3,X4) )).

cnf(i_0_8101,axiom,
    ( ~ esk8241_4(X1,X2,X3,X4)
    | esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_8102,axiom,
    ( esk5142_4(X1,X2,X3,X4)
    | ~ esk5143_4(X1,X2,X3,X4) )).

cnf(i_0_8103,axiom,
    ( ~ esk3910_4(X1,X2,X3,X4)
    | esk4393_4(X1,X2,X3,X4) )).

cnf(i_0_8104,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6096_4(X1,X2,X3,X4) )).

cnf(i_0_8105,axiom,
    ( esk8153_4(X1,X2,X3,X4)
    | ~ esk8152_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_8106,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8457_4(X1,X2,X3,X4) )).

cnf(i_0_8107,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6669_4(X1,X2,X3,X4) )).

cnf(i_0_8108,axiom,
    ( ~ esk4236_4(X1,X2,X3,X4)
    | esk4166_4(X1,X2,X3,X4) )).

cnf(i_0_8109,axiom,
    ( ~ esk4692_4(X1,X2,X3,X4)
    | esk4693_4(X1,X2,X3,X4) )).

cnf(i_0_8110,axiom,
    ( esk9178_4(X1,X2,X3,X4)
    | ~ esk7888_4(X1,X2,X3,X4) )).

cnf(i_0_8111,axiom,
    ( esk6661_4(X1,X2,X3,X4)
    | ~ esk6660_4(X1,X2,X3,X4) )).

cnf(i_0_8112,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2623_4(X1,X2,X3,X4) )).

cnf(i_0_8113,axiom,
    ( ~ esk9394_4(X1,X2,X3,X4)
    | esk9391_4(X1,X2,X3,X4) )).

cnf(i_0_8114,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9369_4(X1,X2,X3,X4) )).

cnf(i_0_8115,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6578_4(X1,X2,X3,X4) )).

cnf(i_0_8116,axiom,
    ( p(X1)
    | esk783_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_8117,axiom,
    ( ~ esk2617_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_8118,axiom,
    ( ~ esk4274_4(X1,X2,X3,X4)
    | esk4275_4(X1,X2,X3,X4)
    | ~ esk4127_4(X1,X2,X3,X4) )).

cnf(i_0_8119,axiom,
    ( p(X3)
    | esk855_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_8120,axiom,
    ( ~ esk9698_4(X1,X2,X3,X4)
    | esk9699_4(X1,X2,X3,X4) )).

cnf(i_0_8121,axiom,
    ( ~ esk5706_4(X1,X2,X3,X4)
    | esk5705_4(X1,X2,X3,X4) )).

cnf(i_0_8122,axiom,
    ( esk2172_4(X1,X2,X3,X4)
    | ~ esk1919_4(X1,X2,X3,X4) )).

cnf(i_0_8123,axiom,
    ( esk9273_4(X1,X2,X3,X4)
    | esk9274_4(X1,X2,X3,X4)
    | ~ esk9275_4(X1,X2,X3,X4) )).

cnf(i_0_8124,axiom,
    ( ~ esk7159_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8125,axiom,
    ( ~ esk3429_4(X1,X2,X3,X4)
    | esk3430_4(X1,X2,X3,X4) )).

cnf(i_0_8126,axiom,
    ( ~ esk1_0
    | ~ p(X2)
    | ~ p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_8127,axiom,
    ( ~ esk8872_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_8128,axiom,
    ( ~ esk2969_4(X1,X2,X3,X4)
    | esk2966_4(X1,X2,X3,X4) )).

cnf(i_0_8129,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | esk7734_4(X1,X2,X3,X4)
    | ~ esk9_0
    | ~ p(X2) )).

cnf(i_0_8130,axiom,
    ( esk9692_4(X1,X2,X3,X4)
    | ~ esk9693_4(X1,X2,X3,X4) )).

cnf(i_0_8131,axiom,
    ( p(X1)
    | esk2914_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1234_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8132,axiom,
    ( ~ esk8046_4(X1,X2,X3,X4)
    | esk9237_4(X1,X2,X3,X4) )).

cnf(i_0_8133,axiom,
    ( ~ esk2417_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1948_4(X1,X2,X3,X4) )).

cnf(i_0_8134,axiom,
    ( ~ esk1843_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_8135,axiom,
    ( ~ esk5105_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5108_4(X1,X2,X3,X4) )).

cnf(i_0_8136,axiom,
    ( ~ esk4157_4(X1,X2,X3,X4)
    | ~ esk4052_4(X1,X2,X3,X4)
    | ~ esk5384_4(X1,X2,X3,X4) )).

cnf(i_0_8137,axiom,
    ( ~ esk5873_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_8138,axiom,
    ( esk7831_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7761_4(X1,X2,X3,X4) )).

cnf(i_0_8139,axiom,
    ( ~ esk4478_4(X1,X2,X3,X4)
    | esk4476_4(X1,X2,X3,X4)
    | esk4477_4(X1,X2,X3,X4) )).

cnf(i_0_8140,axiom,
    ( esk9066_4(X1,X2,X3,X4)
    | ~ esk9068_4(X1,X2,X3,X4)
    | esk9067_4(X1,X2,X3,X4) )).

cnf(i_0_8141,axiom,
    ( esk9208_4(X1,X2,X3,X4)
    | ~ esk9209_4(X1,X2,X3,X4)
    | esk9207_4(X1,X2,X3,X4) )).

cnf(i_0_8142,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk954_0
    | p(X1) )).

cnf(i_0_8143,axiom,
    ( esk1776_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk256_0 )).

cnf(i_0_8144,axiom,
    ( ~ esk1660_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4)
    | esk1459_4(X1,X2,X3,X4) )).

cnf(i_0_8145,axiom,
    ( ~ esk6448_4(X1,X2,X3,X4)
    | esk6194_4(X1,X2,X3,X4) )).

cnf(i_0_8146,axiom,
    ( ~ esk1809_4(X1,X2,X3,X4)
    | ~ esk3447_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_8147,axiom,
    ( ~ esk9713_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_8148,axiom,
    ( esk1192_0
    | ~ p(X2)
    | ~ esk9190_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_8149,axiom,
    ( esk8120_4(X1,X2,X3,X4)
    | ~ esk7816_4(X1,X2,X3,X4) )).

cnf(i_0_8150,axiom,
    ( ~ esk6434_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8151,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2973_4(X1,X2,X3,X4) )).

cnf(i_0_8152,axiom,
    ( esk2987_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_8153,axiom,
    ( esk5800_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5708_4(X1,X2,X3,X4) )).

cnf(i_0_8154,axiom,
    ( esk8527_4(X1,X2,X3,X4)
    | ~ esk8528_4(X1,X2,X3,X4) )).

cnf(i_0_8155,axiom,
    ( esk6242_4(X1,X2,X3,X4)
    | ~ esk6240_4(X1,X2,X3,X4) )).

cnf(i_0_8156,axiom,
    ( esk9449_4(X1,X2,X3,X4)
    | ~ esk9435_4(X1,X2,X3,X4)
    | ~ esk9448_4(X1,X2,X3,X4) )).

cnf(i_0_8157,axiom,
    ( esk5186_4(X1,X2,X3,X4)
    | ~ esk5187_4(X1,X2,X3,X4) )).

cnf(i_0_8158,axiom,
    ( ~ esk3699_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_8159,axiom,
    ( ~ p(X1)
    | esk1320_0
    | ~ p(X2)
    | p(X3)
    | ~ esk9248_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8160,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9420_4(X1,X2,X3,X4) )).

cnf(i_0_8161,axiom,
    ( ~ esk3284_4(X1,X2,X3,X4)
    | esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_8162,axiom,
    ( esk7939_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk109_0
    | p(X3) )).

cnf(i_0_8163,axiom,
    ( esk9735_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_8164,axiom,
    ( ~ esk2751_4(X1,X2,X3,X4)
    | esk2796_4(X1,X2,X3,X4) )).

cnf(i_0_8165,axiom,
    ( esk5681_4(X1,X2,X3,X4)
    | ~ esk5682_4(X1,X2,X3,X4) )).

cnf(i_0_8166,axiom,
    ( ~ esk7909_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_8167,axiom,
    ( ~ esk3612_4(X1,X2,X3,X4)
    | esk3581_4(X1,X2,X3,X4) )).

cnf(i_0_8168,axiom,
    ( ~ esk3004_4(X1,X2,X3,X4)
    | esk3006_4(X1,X2,X3,X4) )).

cnf(i_0_8169,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk802_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_8170,axiom,
    ( ~ esk3176_4(X1,X2,X3,X4)
    | esk3170_4(X1,X2,X3,X4) )).

cnf(i_0_8171,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9704_4(X1,X2,X3,X4) )).

cnf(i_0_8172,axiom,
    ( esk867_0
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_8173,axiom,
    ( ~ esk5129_4(X1,X2,X3,X4)
    | esk5128_4(X1,X2,X3,X4)
    | esk5127_4(X1,X2,X3,X4) )).

cnf(i_0_8174,axiom,
    ( esk3_0
    | p(X3)
    | p(X1)
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_8175,axiom,
    ( ~ esk3059_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_8176,axiom,
    ( esk2181_4(X1,X2,X3,X4)
    | ~ esk2143_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_8177,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk905_0
    | ~ p(X4)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_8178,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2999_4(X1,X2,X3,X4) )).

cnf(i_0_8179,axiom,
    ( esk5594_4(X1,X2,X3,X4)
    | ~ esk7074_4(X1,X2,X3,X4) )).

cnf(i_0_8180,axiom,
    ( ~ esk1294_0
    | p(X1)
    | ~ p(X3)
    | esk2942_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_8181,axiom,
    ( esk8842_4(X1,X2,X3,X4)
    | ~ esk8998_4(X1,X2,X3,X4) )).

cnf(i_0_8182,axiom,
    ( esk8210_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4)
    | esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_8183,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk1895_4(X1,X2,X3,X4) )).

cnf(i_0_8184,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | ~ esk1918_4(X1,X2,X3,X4)
    | esk306_0
    | ~ p(X2) )).

cnf(i_0_8185,axiom,
    ( esk6560_4(X1,X2,X3,X4)
    | ~ esk7362_4(X1,X2,X3,X4) )).

cnf(i_0_8186,axiom,
    ( esk1933_4(X1,X2,X3,X4)
    | esk1934_4(X1,X2,X3,X4)
    | ~ esk1935_4(X1,X2,X3,X4) )).

cnf(i_0_8187,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2855_4(X1,X2,X3,X4) )).

cnf(i_0_8188,axiom,
    ( ~ esk3020_4(X1,X2,X3,X4)
    | esk3022_4(X1,X2,X3,X4) )).

cnf(i_0_8189,axiom,
    ( esk5340_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_8190,axiom,
    ( p(X1)
    | esk9109_4(X1,X2,X3,X4)
    | ~ esk997_0
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_8191,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | esk96_0 )).

cnf(i_0_8192,axiom,
    ( esk1870_4(X1,X2,X3,X4)
    | ~ esk2817_4(X1,X2,X3,X4) )).

cnf(i_0_8193,axiom,
    ( ~ esk3430_4(X1,X2,X3,X4)
    | ~ esk2772_4(X1,X2,X3,X4)
    | esk2773_4(X1,X2,X3,X4) )).

cnf(i_0_8194,axiom,
    ( ~ esk8290_4(X1,X2,X3,X4)
    | esk8289_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_8195,axiom,
    ( ~ esk7999_4(X1,X2,X3,X4)
    | ~ esk7962_4(X1,X2,X3,X4)
    | esk7963_4(X1,X2,X3,X4) )).

cnf(i_0_8196,axiom,
    ( esk4434_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8197,axiom,
    ( esk284_0
    | p(X3)
    | ~ esk1860_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_8198,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6604_4(X1,X2,X3,X4) )).

cnf(i_0_8199,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7314_4(X1,X2,X3,X4) )).

cnf(i_0_8200,axiom,
    ( ~ esk1065_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk9166_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8201,axiom,
    ( ~ p(X4)
    | esk794_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8202,axiom,
    ( ~ p(X4)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk876_0
    | p(X1) )).

cnf(i_0_8203,axiom,
    ( ~ esk8917_4(X1,X2,X3,X4)
    | esk8916_4(X1,X2,X3,X4) )).

cnf(i_0_8204,axiom,
    ( ~ esk1505_4(X1,X2,X3,X4)
    | esk1480_4(X1,X2,X3,X4) )).

cnf(i_0_8205,axiom,
    ( ~ esk4034_4(X1,X2,X3,X4)
    | esk4032_4(X1,X2,X3,X4)
    | esk4033_4(X1,X2,X3,X4) )).

cnf(i_0_8206,axiom,
    ( ~ p(X1)
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1292_0 )).

cnf(i_0_8207,axiom,
    ( ~ esk6391_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8208,axiom,
    ( esk9125_4(X1,X2,X3,X4)
    | ~ esk8006_4(X1,X2,X3,X4) )).

cnf(i_0_8209,axiom,
    ( esk2877_4(X1,X2,X3,X4)
    | ~ esk4977_4(X1,X2,X3,X4) )).

cnf(i_0_8210,axiom,
    ( ~ esk7912_4(X1,X2,X3,X4)
    | esk7910_4(X1,X2,X3,X4)
    | esk7911_4(X1,X2,X3,X4) )).

cnf(i_0_8211,axiom,
    ( ~ esk2676_4(X1,X2,X3,X4)
    | esk2675_4(X1,X2,X3,X4) )).

cnf(i_0_8212,axiom,
    ( esk8984_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_8213,axiom,
    ( esk7772_4(X1,X2,X3,X4)
    | ~ esk7786_4(X1,X2,X3,X4) )).

cnf(i_0_8214,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk1478_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk74_0 )).

cnf(i_0_8215,axiom,
    ( esk4863_4(X1,X2,X3,X4)
    | ~ esk4864_4(X1,X2,X3,X4) )).

cnf(i_0_8216,axiom,
    ( ~ esk4299_4(X1,X2,X3,X4)
    | esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_8217,axiom,
    ( ~ esk4563_4(X1,X2,X3,X4)
    | ~ esk3975_4(X1,X2,X3,X4)
    | esk4561_4(X1,X2,X3,X4) )).

cnf(i_0_8218,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2376_4(X1,X2,X3,X4) )).

cnf(i_0_8219,axiom,
    ( esk8220_4(X1,X2,X3,X4)
    | ~ esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_8220,axiom,
    ( ~ esk3785_4(X1,X2,X3,X4)
    | esk4610_4(X1,X2,X3,X4)
    | ~ esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_8221,axiom,
    ( ~ esk5308_4(X1,X2,X3,X4)
    | esk5305_4(X1,X2,X3,X4) )).

cnf(i_0_8222,axiom,
    ( ~ esk2827_4(X1,X2,X3,X4)
    | esk2830_4(X1,X2,X3,X4)
    | ~ esk2829_4(X1,X2,X3,X4) )).

cnf(i_0_8223,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3011_4(X1,X2,X3,X4) )).

cnf(i_0_8224,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5240_4(X1,X2,X3,X4) )).

cnf(i_0_8225,axiom,
    ( ~ esk1679_4(X1,X2,X3,X4)
    | ~ esk2534_4(X1,X2,X3,X4) )).

cnf(i_0_8226,axiom,
    ( p(X1)
    | p(X3)
    | esk1_0
    | p(X2)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8227,axiom,
    ( esk5823_4(X1,X2,X3,X4)
    | esk5824_4(X1,X2,X3,X4)
    | ~ esk5825_4(X1,X2,X3,X4) )).

cnf(i_0_8228,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2637_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_8229,axiom,
    ( ~ p(X3)
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk1097_0
    | ~ p(X1) )).

cnf(i_0_8230,axiom,
    ( ~ esk5532_4(X1,X2,X3,X4)
    | esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_8231,axiom,
    ( esk4779_4(X1,X2,X3,X4)
    | ~ esk4781_4(X1,X2,X3,X4)
    | esk4780_4(X1,X2,X3,X4) )).

cnf(i_0_8232,axiom,
    ( ~ esk3671_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_8233,axiom,
    ( esk9223_4(X1,X2,X3,X4)
    | ~ esk9222_4(X1,X2,X3,X4) )).

cnf(i_0_8234,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk3880_4(X1,X2,X3,X4) )).

cnf(i_0_8235,axiom,
    ( esk5410_4(X1,X2,X3,X4)
    | ~ esk5411_4(X1,X2,X3,X4) )).

cnf(i_0_8236,axiom,
    ( ~ p(X4)
    | ~ esk912_0
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_8237,axiom,
    ( esk8608_4(X1,X2,X3,X4)
    | ~ esk8606_4(X1,X2,X3,X4) )).

cnf(i_0_8238,axiom,
    ( ~ esk4702_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_8239,axiom,
    ( esk1651_4(X1,X2,X3,X4)
    | ~ esk2450_4(X1,X2,X3,X4) )).

cnf(i_0_8240,axiom,
    ( p(X2)
    | ~ esk1272_0
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8241,axiom,
    ( esk5870_4(X1,X2,X3,X4)
    | ~ esk5671_4(X1,X2,X3,X4)
    | esk6020_4(X1,X2,X3,X4) )).

cnf(i_0_8242,axiom,
    ( ~ p(X3)
    | esk8723_4(X1,X2,X3,X4)
    | ~ esk629_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_8243,axiom,
    ( ~ p(X2)
    | ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk685_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_8244,axiom,
    ( esk8236_4(X1,X2,X3,X4)
    | ~ esk8234_4(X1,X2,X3,X4) )).

cnf(i_0_8245,axiom,
    ( esk6370_4(X1,X2,X3,X4)
    | ~ esk6117_4(X1,X2,X3,X4) )).

cnf(i_0_8246,axiom,
    ( ~ esk5266_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5267_4(X1,X2,X3,X4) )).

cnf(i_0_8247,axiom,
    ( ~ esk8049_4(X1,X2,X3,X4)
    | esk7685_4(X1,X2,X3,X4) )).

cnf(i_0_8248,axiom,
    ( ~ esk1589_4(X1,X2,X3,X4)
    | esk1591_4(X1,X2,X3,X4) )).

cnf(i_0_8249,axiom,
    ( esk3162_4(X1,X2,X3,X4)
    | ~ esk3165_4(X1,X2,X3,X4) )).

cnf(i_0_8250,axiom,
    ( ~ esk8453_4(X1,X2,X3,X4)
    | ~ esk8584_4(X1,X2,X3,X4)
    | esk8454_4(X1,X2,X3,X4) )).

cnf(i_0_8251,axiom,
    ( esk8777_4(X1,X2,X3,X4)
    | ~ esk8800_4(X1,X2,X3,X4) )).

cnf(i_0_8252,axiom,
    ( ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk1081_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8253,axiom,
    ( ~ esk4384_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_8254,axiom,
    ( esk8444_4(X1,X2,X3,X4)
    | ~ esk8442_4(X1,X2,X3,X4) )).

cnf(i_0_8255,axiom,
    ( esk3198_4(X1,X2,X3,X4)
    | ~ esk3197_4(X1,X2,X3,X4) )).

cnf(i_0_8256,axiom,
    ( ~ esk4817_4(X1,X2,X3,X4)
    | esk5527_4(X1,X2,X3,X4)
    | ~ esk5526_4(X1,X2,X3,X4) )).

cnf(i_0_8257,axiom,
    ( ~ esk1964_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_8258,axiom,
    ( ~ esk506_0
    | p(X2)
    | p(X4)
    | esk8547_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_8259,axiom,
    ( ~ esk2_0
    | ~ p(X3)
    | esk8585_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_8260,axiom,
    ( esk9176_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk1129_0 )).

cnf(i_0_8261,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk217_0
    | p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_8262,axiom,
    ( ~ esk4763_4(X1,X2,X3,X4)
    | esk4584_4(X1,X2,X3,X4) )).

cnf(i_0_8263,axiom,
    ( ~ esk2573_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_8264,axiom,
    ( esk5675_4(X1,X2,X3,X4)
    | ~ esk7775_4(X1,X2,X3,X4) )).

cnf(i_0_8265,axiom,
    ( ~ esk7737_4(X1,X2,X3,X4)
    | esk7695_4(X1,X2,X3,X4) )).

cnf(i_0_8266,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1169_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_8267,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6111_4(X1,X2,X3,X4)
    | esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_8268,axiom,
    ( esk4802_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_8269,axiom,
    ( ~ p(X3)
    | ~ esk215_0
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1756_4(X1,X2,X3,X4) )).

cnf(i_0_8270,axiom,
    ( esk5177_4(X1,X2,X3,X4)
    | ~ esk5180_4(X1,X2,X3,X4) )).

cnf(i_0_8271,axiom,
    ( ~ esk4982_4(X1,X2,X3,X4)
    | esk3741_4(X1,X2,X3,X4) )).

cnf(i_0_8272,axiom,
    ( ~ esk6721_4(X1,X2,X3,X4)
    | esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_8273,axiom,
    ( ~ esk7354_4(X1,X2,X3,X4)
    | esk7324_4(X1,X2,X3,X4) )).

cnf(i_0_8274,axiom,
    ( ~ esk2533_4(X1,X2,X3,X4)
    | esk1991_4(X1,X2,X3,X4) )).

cnf(i_0_8275,axiom,
    ( esk4004_4(X1,X2,X3,X4)
    | ~ esk4005_4(X1,X2,X3,X4) )).

cnf(i_0_8276,axiom,
    ( p(X1)
    | esk1312_0
    | p(X3)
    | p(X4)
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_8277,axiom,
    ( ~ esk9470_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8278,axiom,
    ( esk7424_4(X1,X2,X3,X4)
    | ~ esk7422_4(X1,X2,X3,X4) )).

cnf(i_0_8279,axiom,
    ( ~ esk5802_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_8280,axiom,
    ( esk9089_4(X1,X2,X3,X4)
    | ~ esk850_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_8281,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1560_4(X1,X2,X3,X4) )).

cnf(i_0_8282,axiom,
    ( ~ esk8666_4(X1,X2,X3,X4)
    | esk8452_4(X1,X2,X3,X4) )).

cnf(i_0_8283,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | esk1267_0
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_8284,axiom,
    ( ~ esk5931_4(X1,X2,X3,X4)
    | esk5884_4(X1,X2,X3,X4) )).

cnf(i_0_8285,axiom,
    ( ~ esk9470_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_8286,axiom,
    ( ~ esk4045_4(X1,X2,X3,X4)
    | esk4013_4(X1,X2,X3,X4) )).

cnf(i_0_8287,axiom,
    ( esk9085_4(X1,X2,X3,X4)
    | ~ esk9032_4(X1,X2,X3,X4) )).

cnf(i_0_8288,axiom,
    ( ~ esk4503_4(X1,X2,X3,X4)
    | ~ esk5257_4(X1,X2,X3,X4)
    | esk4504_4(X1,X2,X3,X4) )).

cnf(i_0_8289,axiom,
    ( esk9311_4(X1,X2,X3,X4)
    | ~ esk9309_4(X1,X2,X3,X4) )).

cnf(i_0_8290,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk626_0
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_8291,axiom,
    ( esk5115_4(X1,X2,X3,X4)
    | esk5116_4(X1,X2,X3,X4)
    | ~ esk5117_4(X1,X2,X3,X4) )).

cnf(i_0_8292,axiom,
    ( ~ esk5098_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8293,axiom,
    ( esk8093_4(X1,X2,X3,X4)
    | ~ esk8092_4(X1,X2,X3,X4) )).

cnf(i_0_8294,axiom,
    ( esk6205_4(X1,X2,X3,X4)
    | esk6206_4(X1,X2,X3,X4)
    | ~ esk6207_4(X1,X2,X3,X4) )).

cnf(i_0_8295,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8328_4(X1,X2,X3,X4) )).

cnf(i_0_8296,axiom,
    ( p(X3)
    | p(X2)
    | esk8469_4(X1,X2,X3,X4)
    | ~ esk469_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8297,axiom,
    ( ~ esk2800_4(X1,X2,X3,X4)
    | esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_8298,axiom,
    ( esk7615_4(X1,X2,X3,X4)
    | ~ esk7616_4(X1,X2,X3,X4)
    | esk7614_4(X1,X2,X3,X4) )).

cnf(i_0_8299,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk1341_0
    | esk9254_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_8300,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk7740_4(X1,X2,X3,X4)
    | ~ esk54_0
    | p(X4)
    | p(X1) )).

cnf(i_0_8301,axiom,
    ( ~ esk8335_4(X1,X2,X3,X4)
    | esk8271_4(X1,X2,X3,X4) )).

cnf(i_0_8302,axiom,
    ( esk9336_4(X1,X2,X3,X4)
    | ~ esk9337_4(X1,X2,X3,X4) )).

cnf(i_0_8303,axiom,
    ( ~ p(X2)
    | ~ esk2942_4(X1,X2,X3,X4)
    | esk1306_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_8304,axiom,
    ( esk6977_4(X1,X2,X3,X4)
    | ~ esk6976_4(X1,X2,X3,X4) )).

cnf(i_0_8305,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7333_4(X1,X2,X3,X4) )).

cnf(i_0_8306,axiom,
    ( ~ p(X3)
    | ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk174_0 )).

cnf(i_0_8307,axiom,
    ( esk5816_4(X1,X2,X3,X4)
    | esk5815_4(X1,X2,X3,X4)
    | ~ esk5817_4(X1,X2,X3,X4) )).

cnf(i_0_8308,axiom,
    ( esk8205_4(X1,X2,X3,X4)
    | ~ esk8204_4(X1,X2,X3,X4) )).

cnf(i_0_8309,axiom,
    ( ~ esk9422_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_8310,axiom,
    ( esk9572_4(X1,X2,X3,X4)
    | ~ esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_8311,axiom,
    ( esk6735_4(X1,X2,X3,X4)
    | ~ esk6734_4(X1,X2,X3,X4) )).

cnf(i_0_8312,axiom,
    ( ~ p(X4)
    | ~ esk9105_4(X1,X2,X3,X4)
    | esk964_0
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_8313,axiom,
    ( ~ esk5023_4(X1,X2,X3,X4)
    | esk5022_4(X1,X2,X3,X4) )).

cnf(i_0_8314,axiom,
    ( esk1437_4(X1,X2,X3,X4)
    | ~ esk2459_4(X1,X2,X3,X4) )).

cnf(i_0_8315,axiom,
    ( ~ esk6504_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8316,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6210_4(X1,X2,X3,X4) )).

cnf(i_0_8317,axiom,
    ( ~ esk8894_4(X1,X2,X3,X4)
    | esk8895_4(X1,X2,X3,X4) )).

cnf(i_0_8318,axiom,
    ( ~ esk3035_4(X1,X2,X3,X4)
    | esk3036_4(X1,X2,X3,X4)
    | ~ esk3030_4(X1,X2,X3,X4) )).

cnf(i_0_8319,axiom,
    ( esk9065_4(X1,X2,X3,X4)
    | ~ esk9066_4(X1,X2,X3,X4) )).

cnf(i_0_8320,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1032_0
    | p(X2) )).

cnf(i_0_8321,axiom,
    ( ~ esk3923_4(X1,X2,X3,X4)
    | esk3951_4(X1,X2,X3,X4)
    | ~ esk3461_4(X1,X2,X3,X4) )).

cnf(i_0_8322,axiom,
    ( ~ esk3178_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk3181_4(X1,X2,X3,X4) )).

cnf(i_0_8323,axiom,
    ( ~ esk9338_4(X1,X2,X3,X4)
    | esk9339_4(X1,X2,X3,X4) )).

cnf(i_0_8324,axiom,
    ( ~ esk4238_4(X1,X2,X3,X4)
    | esk4236_4(X1,X2,X3,X4)
    | esk4237_4(X1,X2,X3,X4) )).

cnf(i_0_8325,axiom,
    ( ~ esk9653_4(X1,X2,X3,X4)
    | esk9655_4(X1,X2,X3,X4) )).

cnf(i_0_8326,axiom,
    ( ~ p(X4)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk880_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_8327,axiom,
    ( ~ esk5400_4(X1,X2,X3,X4)
    | ~ esk5401_4(X1,X2,X3,X4) )).

cnf(i_0_8328,axiom,
    ( esk3673_4(X1,X2,X3,X4)
    | esk3672_4(X1,X2,X3,X4)
    | ~ esk3674_4(X1,X2,X3,X4) )).

cnf(i_0_8329,axiom,
    ( esk7936_4(X1,X2,X3,X4)
    | ~ esk7935_4(X1,X2,X3,X4) )).

cnf(i_0_8330,axiom,
    ( esk3585_4(X1,X2,X3,X4)
    | ~ esk3677_4(X1,X2,X3,X4) )).

cnf(i_0_8331,axiom,
    ( esk8620_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8332,axiom,
    ( ~ esk4869_4(X1,X2,X3,X4)
    | esk4870_4(X1,X2,X3,X4) )).

cnf(i_0_8333,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3195_4(X1,X2,X3,X4) )).

cnf(i_0_8334,axiom,
    ( esk6791_4(X1,X2,X3,X4)
    | esk6790_4(X1,X2,X3,X4)
    | ~ esk6792_4(X1,X2,X3,X4) )).

cnf(i_0_8335,axiom,
    ( ~ esk6507_4(X1,X2,X3,X4)
    | esk6509_4(X1,X2,X3,X4) )).

cnf(i_0_8336,axiom,
    ( esk3727_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_8337,axiom,
    ( esk4490_4(X1,X2,X3,X4)
    | ~ esk4488_4(X1,X2,X3,X4) )).

cnf(i_0_8338,axiom,
    ( ~ esk9112_4(X1,X2,X3,X4)
    | esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_8339,axiom,
    ( ~ esk9625_4(X1,X2,X3,X4)
    | esk9627_4(X1,X2,X3,X4) )).

cnf(i_0_8340,axiom,
    ( esk2362_4(X1,X2,X3,X4)
    | ~ esk3164_4(X1,X2,X3,X4) )).

cnf(i_0_8341,axiom,
    ( ~ esk6249_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_8342,axiom,
    ( esk3542_4(X1,X2,X3,X4)
    | ~ esk4987_4(X1,X2,X3,X4) )).

cnf(i_0_8343,axiom,
    ( esk339_0
    | p(X4)
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_8344,axiom,
    ( ~ esk8987_4(X1,X2,X3,X4)
    | esk9669_4(X1,X2,X3,X4)
    | ~ esk9668_4(X1,X2,X3,X4) )).

cnf(i_0_8345,axiom,
    ( ~ esk6444_4(X1,X2,X3,X4)
    | esk6443_4(X1,X2,X3,X4) )).

cnf(i_0_8346,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2308_4(X1,X2,X3,X4) )).

cnf(i_0_8347,axiom,
    ( esk1415_4(X1,X2,X3,X4)
    | ~ esk2061_4(X1,X2,X3,X4) )).

cnf(i_0_8348,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9682_4(X1,X2,X3,X4) )).

cnf(i_0_8349,axiom,
    ( ~ esk4548_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4)
    | ~ esk4091_4(X1,X2,X3,X4) )).

cnf(i_0_8350,axiom,
    ( ~ esk6782_4(X1,X2,X3,X4)
    | esk6784_4(X1,X2,X3,X4) )).

cnf(i_0_8351,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk9105_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk970_0
    | ~ p(X4) )).

cnf(i_0_8352,axiom,
    ( ~ esk2684_4(X1,X2,X3,X4)
    | esk2683_4(X1,X2,X3,X4) )).

cnf(i_0_8353,axiom,
    ( ~ esk2661_4(X1,X2,X3,X4)
    | esk2662_4(X1,X2,X3,X4) )).

cnf(i_0_8354,axiom,
    ( esk7953_4(X1,X2,X3,X4)
    | ~ esk7952_4(X1,X2,X3,X4) )).

cnf(i_0_8355,axiom,
    ( ~ p(X2)
    | esk1752_4(X1,X2,X3,X4)
    | ~ esk196_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_8356,axiom,
    ( esk561_0
    | p(X4)
    | p(X3)
    | ~ esk2419_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8357,axiom,
    ( ~ esk121_0
    | esk1643_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8358,axiom,
    ( esk6137_4(X1,X2,X3,X4)
    | ~ esk6425_4(X1,X2,X3,X4) )).

cnf(i_0_8359,axiom,
    ( ~ esk8023_4(X1,X2,X3,X4)
    | esk8024_4(X1,X2,X3,X4) )).

cnf(i_0_8360,axiom,
    ( ~ esk828_0
    | p(X3)
    | p(X2)
    | esk2791_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8361,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk9109_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X2) )).

cnf(i_0_8362,axiom,
    ( esk8516_4(X1,X2,X3,X4)
    | ~ esk8515_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_8363,axiom,
    ( esk6294_4(X1,X2,X3,X4)
    | ~ esk5555_4(X1,X2,X3,X4) )).

cnf(i_0_8364,axiom,
    ( esk4524_4(X1,X2,X3,X4)
    | ~ esk2424_4(X1,X2,X3,X4) )).

cnf(i_0_8365,axiom,
    ( esk7280_4(X1,X2,X3,X4)
    | ~ esk7279_4(X1,X2,X3,X4) )).

cnf(i_0_8366,axiom,
    ( ~ esk7935_4(X1,X2,X3,X4)
    | esk7872_4(X1,X2,X3,X4) )).

cnf(i_0_8367,axiom,
    ( ~ esk1659_4(X1,X2,X3,X4)
    | esk1715_4(X1,X2,X3,X4) )).

cnf(i_0_8368,axiom,
    ( ~ esk9200_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4)
    | esk9201_4(X1,X2,X3,X4) )).

cnf(i_0_8369,axiom,
    ( ~ esk9148_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_8370,axiom,
    ( esk7314_4(X1,X2,X3,X4)
    | esk7315_4(X1,X2,X3,X4)
    | ~ esk7316_4(X1,X2,X3,X4) )).

cnf(i_0_8371,axiom,
    ( ~ p(X2)
    | esk556_0
    | ~ p(X3)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_8372,axiom,
    ( esk2667_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_8373,axiom,
    ( ~ esk9228_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | esk1278_0
    | p(X4) )).

cnf(i_0_8374,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | ~ esk1860_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk273_0 )).

cnf(i_0_8375,axiom,
    ( ~ esk5118_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5119_4(X1,X2,X3,X4) )).

cnf(i_0_8376,axiom,
    ( esk5354_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8377,axiom,
    ( esk5517_4(X1,X2,X3,X4)
    | ~ esk5515_4(X1,X2,X3,X4) )).

cnf(i_0_8378,axiom,
    ( esk8289_4(X1,X2,X3,X4)
    | esk8290_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_8379,axiom,
    ( p(X3)
    | esk1_0
    | ~ esk1643_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_8380,axiom,
    ( esk2721_4(X1,X2,X3,X4)
    | ~ esk3398_4(X1,X2,X3,X4)
    | ~ esk2720_4(X1,X2,X3,X4) )).

cnf(i_0_8381,axiom,
    ( esk5089_4(X1,X2,X3,X4)
    | ~ esk5087_4(X1,X2,X3,X4) )).

cnf(i_0_8382,axiom,
    ( esk8214_4(X1,X2,X3,X4)
    | ~ esk8393_4(X1,X2,X3,X4) )).

cnf(i_0_8383,axiom,
    ( ~ esk1764_4(X1,X2,X3,X4)
    | ~ esk1525_4(X1,X2,X3,X4)
    | esk2901_4(X1,X2,X3,X4) )).

cnf(i_0_8384,axiom,
    ( ~ esk2036_4(X1,X2,X3,X4)
    | esk2035_4(X1,X2,X3,X4)
    | esk2034_4(X1,X2,X3,X4) )).

cnf(i_0_8385,axiom,
    ( ~ esk5389_4(X1,X2,X3,X4)
    | esk5391_4(X1,X2,X3,X4) )).

cnf(i_0_8386,axiom,
    ( esk247_0
    | p(X1)
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_8387,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk1029_0
    | ~ esk2854_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_8388,axiom,
    ( esk8797_4(X1,X2,X3,X4)
    | ~ esk8950_4(X1,X2,X3,X4) )).

cnf(i_0_8389,axiom,
    ( esk5882_4(X1,X2,X3,X4)
    | ~ esk5923_4(X1,X2,X3,X4) )).

cnf(i_0_8390,axiom,
    ( esk6647_4(X1,X2,X3,X4)
    | ~ esk6642_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_8391,axiom,
    ( ~ esk2470_4(X1,X2,X3,X4)
    | ~ esk2789_4(X1,X2,X3,X4)
    | esk3291_4(X1,X2,X3,X4) )).

cnf(i_0_8392,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk797_0
    | ~ p(X2)
    | ~ esk9081_4(X1,X2,X3,X4) )).

cnf(i_0_8393,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk1810_4(X1,X2,X3,X4) )).

cnf(i_0_8394,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk1959_4(X1,X2,X3,X4) )).

cnf(i_0_8395,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk9454_4(X1,X2,X3,X4) )).

cnf(i_0_8396,axiom,
    ( esk7463_4(X1,X2,X3,X4)
    | ~ esk7460_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_8397,axiom,
    ( ~ esk3253_4(X1,X2,X3,X4)
    | esk3254_4(X1,X2,X3,X4) )).

cnf(i_0_8398,axiom,
    ( esk7281_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8399,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | esk2785_4(X1,X2,X3,X4)
    | ~ esk792_0 )).

cnf(i_0_8400,axiom,
    ( ~ esk5994_4(X1,X2,X3,X4)
    | esk5977_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_8401,axiom,
    ( ~ esk6192_4(X1,X2,X3,X4)
    | esk8292_4(X1,X2,X3,X4) )).

cnf(i_0_8402,axiom,
    ( esk6837_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_8403,axiom,
    ( ~ esk2831_4(X1,X2,X3,X4)
    | esk2719_4(X1,X2,X3,X4) )).

cnf(i_0_8404,axiom,
    ( p(X1)
    | esk54_0
    | p(X4)
    | ~ p(X2)
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_8405,axiom,
    ( ~ esk8434_4(X1,X2,X3,X4)
    | esk8364_4(X1,X2,X3,X4) )).

cnf(i_0_8406,axiom,
    ( ~ p(X2)
    | p(X1)
    | esk9097_4(X1,X2,X3,X4)
    | ~ esk910_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_8407,axiom,
    ( ~ esk9158_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_8408,axiom,
    ( ~ esk1746_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2)
    | esk1_0
    | p(X1) )).

cnf(i_0_8409,axiom,
    ( ~ esk2159_4(X1,X2,X3,X4)
    | esk2309_4(X1,X2,X3,X4)
    | ~ esk2308_4(X1,X2,X3,X4) )).

cnf(i_0_8410,axiom,
    ( ~ esk8492_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8411,axiom,
    ( ~ esk1748_4(X1,X2,X3,X4)
    | p(X4)
    | esk154_0
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_8412,axiom,
    ( p(X2)
    | ~ esk685_0
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_8413,axiom,
    ( ~ esk2745_4(X1,X2,X3,X4)
    | esk3318_4(X1,X2,X3,X4) )).

cnf(i_0_8414,axiom,
    ( ~ esk4646_4(X1,X2,X3,X4)
    | esk4645_4(X1,X2,X3,X4) )).

cnf(i_0_8415,axiom,
    ( ~ esk3723_4(X1,X2,X3,X4)
    | ~ esk5031_4(X1,X2,X3,X4)
    | esk3724_4(X1,X2,X3,X4) )).

cnf(i_0_8416,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk1129_0
    | p(X4)
    | p(X1) )).

cnf(i_0_8417,axiom,
    ( ~ esk7286_4(X1,X2,X3,X4)
    | esk7285_4(X1,X2,X3,X4) )).

cnf(i_0_8418,axiom,
    ( ~ esk6171_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8419,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9306_4(X1,X2,X3,X4) )).

cnf(i_0_8420,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk946_0
    | ~ p(X4)
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_8421,axiom,
    ( esk2482_4(X1,X2,X3,X4)
    | ~ esk1406_4(X1,X2,X3,X4) )).

cnf(i_0_8422,axiom,
    ( ~ esk1779_4(X1,X2,X3,X4)
    | esk1796_4(X1,X2,X3,X4) )).

cnf(i_0_8423,axiom,
    ( ~ esk8662_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8424,axiom,
    ( ~ esk2805_4(X1,X2,X3,X4)
    | esk2681_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_8425,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2787_4(X1,X2,X3,X4)
    | ~ esk812_0 )).

cnf(i_0_8426,axiom,
    ( ~ esk5123_4(X1,X2,X3,X4)
    | esk5125_4(X1,X2,X3,X4) )).

cnf(i_0_8427,axiom,
    ( esk6342_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8428,axiom,
    ( esk7317_4(X1,X2,X3,X4)
    | ~ esk7318_4(X1,X2,X3,X4) )).

cnf(i_0_8429,axiom,
    ( esk6853_4(X1,X2,X3,X4)
    | ~ esk6854_4(X1,X2,X3,X4) )).

cnf(i_0_8430,axiom,
    ( ~ p(X3)
    | ~ esk287_0
    | esk1860_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_8431,axiom,
    ( ~ esk4866_4(X1,X2,X3,X4)
    | esk4903_4(X1,X2,X3,X4) )).

cnf(i_0_8432,axiom,
    ( esk7227_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_8433,axiom,
    ( ~ p(X3)
    | ~ esk2815_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk1017_0
    | ~ p(X1) )).

cnf(i_0_8434,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk361_0
    | esk8254_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_8435,axiom,
    ( esk3734_4(X1,X2,X3,X4)
    | ~ esk3732_4(X1,X2,X3,X4) )).

cnf(i_0_8436,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1983_4(X1,X2,X3,X4)
    | ~ esk1874_4(X1,X2,X3,X4) )).

cnf(i_0_8437,axiom,
    ( p(X2)
    | ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk86_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_8438,axiom,
    ( ~ esk6613_4(X1,X2,X3,X4)
    | esk6634_4(X1,X2,X3,X4) )).

cnf(i_0_8439,axiom,
    ( esk3609_4(X1,X2,X3,X4)
    | ~ esk3608_4(X1,X2,X3,X4) )).

cnf(i_0_8440,axiom,
    ( ~ esk3895_4(X1,X2,X3,X4)
    | esk3893_4(X1,X2,X3,X4)
    | esk3894_4(X1,X2,X3,X4) )).

cnf(i_0_8441,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3809_4(X1,X2,X3,X4)
    | esk3766_4(X1,X2,X3,X4) )).

cnf(i_0_8442,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk2212_4(X1,X2,X3,X4)
    | esk494_0 )).

cnf(i_0_8443,axiom,
    ( esk7516_4(X1,X2,X3,X4)
    | ~ esk7515_4(X1,X2,X3,X4) )).

cnf(i_0_8444,axiom,
    ( ~ esk6502_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8445,axiom,
    ( p(X4)
    | p(X3)
    | esk8283_4(X1,X2,X3,X4)
    | ~ esk367_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8446,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | ~ esk4327_4(X1,X2,X3,X4) )).

cnf(i_0_8447,axiom,
    ( esk2429_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk633_0
    | p(X2) )).

cnf(i_0_8448,axiom,
    ( esk4656_4(X1,X2,X3,X4)
    | ~ esk4720_4(X1,X2,X3,X4) )).

cnf(i_0_8449,axiom,
    ( ~ esk1086_0
    | p(X2)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_8450,axiom,
    ( esk2420_4(X1,X2,X3,X4)
    | ~ esk4520_4(X1,X2,X3,X4) )).

cnf(i_0_8451,axiom,
    ( ~ esk6345_4(X1,X2,X3,X4)
    | esk6421_4(X1,X2,X3,X4)
    | ~ esk6420_4(X1,X2,X3,X4) )).

cnf(i_0_8452,axiom,
    ( ~ esk5659_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_8453,axiom,
    ( ~ esk2300_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_8454,axiom,
    ( esk4813_4(X1,X2,X3,X4)
    | ~ esk4812_4(X1,X2,X3,X4) )).

cnf(i_0_8455,axiom,
    ( ~ esk3588_4(X1,X2,X3,X4)
    | esk3574_4(X1,X2,X3,X4) )).

cnf(i_0_8456,axiom,
    ( esk2799_4(X1,X2,X3,X4)
    | ~ esk2604_4(X1,X2,X3,X4) )).

cnf(i_0_8457,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9524_4(X1,X2,X3,X4) )).

cnf(i_0_8458,axiom,
    ( ~ esk5955_4(X1,X2,X3,X4)
    | esk5658_4(X1,X2,X3,X4) )).

cnf(i_0_8459,axiom,
    ( ~ esk5989_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8460,axiom,
    ( esk893_0
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_8461,axiom,
    ( esk4953_4(X1,X2,X3,X4)
    | ~ esk4921_4(X1,X2,X3,X4) )).

cnf(i_0_8462,axiom,
    ( esk6304_4(X1,X2,X3,X4)
    | ~ esk6305_4(X1,X2,X3,X4) )).

cnf(i_0_8463,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5356_4(X1,X2,X3,X4) )).

cnf(i_0_8464,axiom,
    ( ~ esk4924_4(X1,X2,X3,X4)
    | esk5532_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_8465,axiom,
    ( esk4908_4(X1,X2,X3,X4)
    | ~ esk2808_4(X1,X2,X3,X4) )).

cnf(i_0_8466,axiom,
    ( ~ esk7755_4(X1,X2,X3,X4)
    | esk7754_4(X1,X2,X3,X4) )).

cnf(i_0_8467,axiom,
    ( ~ esk3583_4(X1,X2,X3,X4)
    | esk3582_4(X1,X2,X3,X4) )).

cnf(i_0_8468,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ esk78_0
    | p(X1)
    | p(X4) )).

cnf(i_0_8469,axiom,
    ( esk7774_4(X1,X2,X3,X4)
    | ~ esk7942_4(X1,X2,X3,X4) )).

cnf(i_0_8470,axiom,
    ( ~ esk4972_4(X1,X2,X3,X4)
    | esk3682_4(X1,X2,X3,X4) )).

cnf(i_0_8471,axiom,
    ( esk9261_4(X1,X2,X3,X4)
    | ~ esk9263_4(X1,X2,X3,X4)
    | esk9262_4(X1,X2,X3,X4) )).

cnf(i_0_8472,axiom,
    ( p(X2)
    | p(X1)
    | esk1205_0
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8473,axiom,
    ( ~ esk2266_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_8474,axiom,
    ( ~ esk3394_4(X1,X2,X3,X4)
    | esk3397_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_8475,axiom,
    ( esk8616_4(X1,X2,X3,X4)
    | ~ esk7977_4(X1,X2,X3,X4) )).

cnf(i_0_8476,axiom,
    ( ~ esk6558_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8477,axiom,
    ( esk5393_4(X1,X2,X3,X4)
    | ~ esk5395_4(X1,X2,X3,X4) )).

cnf(i_0_8478,axiom,
    ( ~ esk6651_4(X1,X2,X3,X4)
    | esk7067_4(X1,X2,X3,X4) )).

cnf(i_0_8479,axiom,
    ( esk9382_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8480,axiom,
    ( esk8135_4(X1,X2,X3,X4)
    | ~ esk8137_4(X1,X2,X3,X4)
    | esk8136_4(X1,X2,X3,X4) )).

cnf(i_0_8481,axiom,
    ( esk8553_4(X1,X2,X3,X4)
    | ~ esk8552_4(X1,X2,X3,X4) )).

cnf(i_0_8482,axiom,
    ( esk8259_4(X1,X2,X3,X4)
    | ~ esk8258_4(X1,X2,X3,X4) )).

cnf(i_0_8483,axiom,
    ( ~ esk5670_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4)
    | esk5740_4(X1,X2,X3,X4) )).

cnf(i_0_8484,axiom,
    ( ~ esk8786_4(X1,X2,X3,X4)
    | esk8549_4(X1,X2,X3,X4) )).

cnf(i_0_8485,axiom,
    ( esk6721_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_8486,axiom,
    ( ~ p(X2)
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk383_0
    | p(X3) )).

cnf(i_0_8487,axiom,
    ( esk2594_4(X1,X2,X3,X4)
    | ~ esk2593_4(X1,X2,X3,X4) )).

cnf(i_0_8488,axiom,
    ( ~ esk6232_4(X1,X2,X3,X4)
    | esk6231_4(X1,X2,X3,X4) )).

cnf(i_0_8489,axiom,
    ( esk3576_4(X1,X2,X3,X4)
    | ~ esk3744_4(X1,X2,X3,X4) )).

cnf(i_0_8490,axiom,
    ( ~ esk5446_4(X1,X2,X3,X4)
    | esk5447_4(X1,X2,X3,X4)
    | ~ esk4777_4(X1,X2,X3,X4) )).

cnf(i_0_8491,axiom,
    ( p(X3)
    | esk71_0
    | ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_8492,axiom,
    ( esk877_0
    | ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_8493,axiom,
    ( esk5577_4(X1,X2,X3,X4)
    | ~ esk6372_4(X1,X2,X3,X4) )).

cnf(i_0_8494,axiom,
    ( ~ esk1643_4(X1,X2,X3,X4)
    | esk1397_4(X1,X2,X3,X4) )).

cnf(i_0_8495,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk8113_4(X1,X2,X3,X4)
    | ~ esk8101_4(X1,X2,X3,X4) )).

cnf(i_0_8496,axiom,
    ( ~ esk4039_4(X1,X2,X3,X4)
    | esk4040_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_8497,axiom,
    ( ~ esk1485_4(X1,X2,X3,X4)
    | esk1474_4(X1,X2,X3,X4) )).

cnf(i_0_8498,axiom,
    ( ~ esk8131_4(X1,X2,X3,X4)
    | ~ esk8132_4(X1,X2,X3,X4) )).

cnf(i_0_8499,axiom,
    ( ~ esk7481_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_8500,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8064_4(X1,X2,X3,X4) )).

cnf(i_0_8501,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9640_4(X1,X2,X3,X4) )).

cnf(i_0_8502,axiom,
    ( esk5877_4(X1,X2,X3,X4)
    | esk6699_4(X1,X2,X3,X4) )).

cnf(i_0_8503,axiom,
    ( ~ esk6630_4(X1,X2,X3,X4)
    | esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_8504,axiom,
    ( esk8380_4(X1,X2,X3,X4)
    | ~ esk8378_4(X1,X2,X3,X4) )).

cnf(i_0_8505,axiom,
    ( ~ esk5010_4(X1,X2,X3,X4)
    | esk5011_4(X1,X2,X3,X4) )).

cnf(i_0_8506,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | esk1375_4(X1,X2,X3,X4) )).

cnf(i_0_8507,axiom,
    ( ~ esk7347_4(X1,X2,X3,X4)
    | esk7344_4(X1,X2,X3,X4) )).

cnf(i_0_8508,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk913_0
    | ~ p(X3)
    | ~ esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_8509,axiom,
    ( ~ esk7399_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_8510,axiom,
    ( ~ esk3233_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_8511,axiom,
    ( esk9053_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_8512,axiom,
    ( esk2384_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_8513,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5446_4(X1,X2,X3,X4) )).

cnf(i_0_8514,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9520_4(X1,X2,X3,X4) )).

cnf(i_0_8515,axiom,
    ( ~ esk1625_4(X1,X2,X3,X4)
    | esk1627_4(X1,X2,X3,X4) )).

cnf(i_0_8516,axiom,
    ( esk5877_4(X1,X2,X3,X4)
    | ~ esk5878_4(X1,X2,X3,X4) )).

cnf(i_0_8517,axiom,
    ( ~ esk7552_4(X1,X2,X3,X4)
    | esk7551_4(X1,X2,X3,X4)
    | esk7550_4(X1,X2,X3,X4) )).

cnf(i_0_8518,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | esk9702_4(X1,X2,X3,X4)
    | ~ esk9699_4(X1,X2,X3,X4) )).

cnf(i_0_8519,axiom,
    ( esk2269_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_8520,axiom,
    ( esk8349_4(X1,X2,X3,X4)
    | esk8348_4(X1,X2,X3,X4)
    | ~ esk8351_4(X1,X2,X3,X4)
    | esk8350_4(X1,X2,X3,X4) )).

cnf(i_0_8521,axiom,
    ( esk9248_4(X1,X2,X3,X4)
    | ~ esk1309_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_8522,axiom,
    ( ~ esk4916_4(X1,X2,X3,X4)
    | esk5549_4(X1,X2,X3,X4) )).

cnf(i_0_8523,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk993_0 )).

cnf(i_0_8524,axiom,
    ( ~ esk2818_4(X1,X2,X3,X4)
    | ~ esk1520_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_8525,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk373_0 )).

cnf(i_0_8526,axiom,
    ( ~ esk6695_4(X1,X2,X3,X4)
    | esk5636_4(X1,X2,X3,X4) )).

cnf(i_0_8527,axiom,
    ( esk7376_4(X1,X2,X3,X4)
    | ~ esk7374_4(X1,X2,X3,X4) )).

cnf(i_0_8528,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk8713_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk555_0
    | ~ p(X1) )).

cnf(i_0_8529,axiom,
    ( ~ esk2560_4(X1,X2,X3,X4)
    | esk2483_4(X1,X2,X3,X4) )).

cnf(i_0_8530,axiom,
    ( ~ esk2809_4(X1,X2,X3,X4)
    | ~ esk2563_4(X1,X2,X3,X4) )).

cnf(i_0_8531,axiom,
    ( ~ esk3244_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_8532,axiom,
    ( ~ esk257_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk1776_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_8533,axiom,
    ( esk7961_4(X1,X2,X3,X4)
    | ~ esk7959_4(X1,X2,X3,X4) )).

cnf(i_0_8534,axiom,
    ( esk6554_4(X1,X2,X3,X4)
    | ~ esk6553_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8535,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_8536,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6584_4(X1,X2,X3,X4) )).

cnf(i_0_8537,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | ~ esk5752_4(X1,X2,X3,X4) )).

cnf(i_0_8538,axiom,
    ( p(X3)
    | ~ esk1_0
    | esk2880_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_8539,axiom,
    ( ~ esk7886_4(X1,X2,X3,X4)
    | esk7885_4(X1,X2,X3,X4) )).

cnf(i_0_8540,axiom,
    ( p(X2)
    | p(X4)
    | p(X1)
    | ~ esk154_0
    | esk1748_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_8541,axiom,
    ( esk6011_4(X1,X2,X3,X4)
    | ~ esk6009_4(X1,X2,X3,X4) )).

cnf(i_0_8542,axiom,
    ( esk9587_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_8543,axiom,
    ( ~ esk7636_4(X1,X2,X3,X4)
    | esk7639_4(X1,X2,X3,X4) )).

cnf(i_0_8544,axiom,
    ( esk2343_4(X1,X2,X3,X4)
    | ~ esk2344_4(X1,X2,X3,X4) )).

cnf(i_0_8545,axiom,
    ( esk4887_4(X1,X2,X3,X4)
    | ~ esk4834_4(X1,X2,X3,X4) )).

cnf(i_0_8546,axiom,
    ( ~ esk5826_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_8547,axiom,
    ( esk1759_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_8548,axiom,
    ( ~ esk1544_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_8549,axiom,
    ( ~ esk6251_4(X1,X2,X3,X4)
    | esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_8550,axiom,
    ( esk8523_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_8551,axiom,
    ( ~ esk5079_4(X1,X2,X3,X4)
    | esk5081_4(X1,X2,X3,X4) )).

cnf(i_0_8552,axiom,
    ( esk846_0
    | ~ p(X4)
    | p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_8553,axiom,
    ( esk1189_0
    | p(X1)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8554,axiom,
    ( esk9711_4(X1,X2,X3,X4)
    | ~ esk9710_4(X1,X2,X3,X4) )).

cnf(i_0_8555,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk9150_4(X1,X2,X3,X4)
    | esk1024_0
    | p(X3)
    | p(X1) )).

cnf(i_0_8556,axiom,
    ( p(X3)
    | esk8291_4(X1,X2,X3,X4)
    | ~ esk378_0
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_8557,axiom,
    ( ~ esk8447_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_8558,axiom,
    ( ~ esk5665_4(X1,X2,X3,X4)
    | esk5866_4(X1,X2,X3,X4) )).

cnf(i_0_8559,axiom,
    ( esk7953_4(X1,X2,X3,X4)
    | ~ esk7824_4(X1,X2,X3,X4) )).

cnf(i_0_8560,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4357_4(X1,X2,X3,X4) )).

cnf(i_0_8561,axiom,
    ( ~ esk3649_4(X1,X2,X3,X4)
    | esk3574_4(X1,X2,X3,X4) )).

cnf(i_0_8562,axiom,
    ( esk2028_4(X1,X2,X3,X4)
    | ~ esk2176_4(X1,X2,X3,X4) )).

cnf(i_0_8563,axiom,
    ( ~ esk5570_4(X1,X2,X3,X4)
    | esk5722_4(X1,X2,X3,X4) )).

cnf(i_0_8564,axiom,
    ( ~ esk2795_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk858_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8565,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7175_4(X1,X2,X3,X4) )).

cnf(i_0_8566,axiom,
    ( esk6213_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6212_4(X1,X2,X3,X4) )).

cnf(i_0_8567,axiom,
    ( esk4967_4(X1,X2,X3,X4)
    | ~ esk3583_4(X1,X2,X3,X4) )).

cnf(i_0_8568,axiom,
    ( ~ esk7567_4(X1,X2,X3,X4)
    | esk7568_4(X1,X2,X3,X4) )).

cnf(i_0_8569,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk1272_0
    | p(X3)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_8570,axiom,
    ( esk8888_4(X1,X2,X3,X4)
    | ~ esk8889_4(X1,X2,X3,X4) )).

cnf(i_0_8571,axiom,
    ( ~ esk3790_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_8572,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4140_4(X1,X2,X3,X4) )).

cnf(i_0_8573,axiom,
    ( ~ esk9293_4(X1,X2,X3,X4)
    | esk9292_4(X1,X2,X3,X4) )).

cnf(i_0_8574,axiom,
    ( ~ esk6549_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6550_4(X1,X2,X3,X4) )).

cnf(i_0_8575,axiom,
    ( ~ esk8798_4(X1,X2,X3,X4)
    | esk8799_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_8576,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | esk755_0
    | ~ p(X3)
    | ~ esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_8577,axiom,
    ( ~ esk5631_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_8578,axiom,
    ( esk2890_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1183_0 )).

cnf(i_0_8579,axiom,
    ( ~ esk2968_4(X1,X2,X3,X4)
    | esk2967_4(X1,X2,X3,X4) )).

cnf(i_0_8580,axiom,
    ( ~ esk4210_4(X1,X2,X3,X4)
    | esk4209_4(X1,X2,X3,X4) )).

cnf(i_0_8581,axiom,
    ( ~ esk1869_4(X1,X2,X3,X4)
    | esk1697_4(X1,X2,X3,X4) )).

cnf(i_0_8582,axiom,
    ( esk3214_4(X1,X2,X3,X4)
    | ~ esk3212_4(X1,X2,X3,X4) )).

cnf(i_0_8583,axiom,
    ( ~ esk5360_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_8584,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9063_4(X1,X2,X3,X4) )).

cnf(i_0_8585,axiom,
    ( esk1764_4(X1,X2,X3,X4)
    | ~ esk1763_4(X1,X2,X3,X4)
    | ~ esk1762_4(X1,X2,X3,X4) )).

cnf(i_0_8586,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | esk7607_4(X1,X2,X3,X4)
    | ~ esk6844_4(X1,X2,X3,X4) )).

cnf(i_0_8587,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4201_4(X1,X2,X3,X4) )).

cnf(i_0_8588,axiom,
    ( ~ esk708_0
    | esk8735_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_8589,axiom,
    ( ~ esk9370_4(X1,X2,X3,X4)
    | esk9371_4(X1,X2,X3,X4) )).

cnf(i_0_8590,axiom,
    ( ~ esk5139_4(X1,X2,X3,X4)
    | esk5141_4(X1,X2,X3,X4) )).

cnf(i_0_8591,axiom,
    ( ~ esk3148_4(X1,X2,X3,X4)
    | esk3150_4(X1,X2,X3,X4) )).

cnf(i_0_8592,axiom,
    ( esk1726_4(X1,X2,X3,X4)
    | ~ esk1691_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_8593,axiom,
    ( esk8649_4(X1,X2,X3,X4)
    | ~ esk8651_4(X1,X2,X3,X4)
    | esk8650_4(X1,X2,X3,X4) )).

cnf(i_0_8594,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk136_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_8595,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk527_0
    | ~ p(X3)
    | esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_8596,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk1807_4(X1,X2,X3,X4) )).

cnf(i_0_8597,axiom,
    ( ~ esk6203_4(X1,X2,X3,X4)
    | esk6229_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_8598,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk444_0
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_8599,axiom,
    ( ~ esk2942_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1297_0
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_8600,axiom,
    ( esk9126_4(X1,X2,X3,X4)
    | esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_8601,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | esk85_0
    | ~ esk1516_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8602,axiom,
    ( esk1493_4(X1,X2,X3,X4)
    | ~ esk1476_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_8603,axiom,
    ( p(X4)
    | ~ esk976_0
    | ~ p(X2)
    | ~ p(X1)
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_8604,axiom,
    ( esk4556_4(X1,X2,X3,X4)
    | esk4557_4(X1,X2,X3,X4)
    | ~ esk4558_4(X1,X2,X3,X4) )).

cnf(i_0_8605,axiom,
    ( esk9725_4(X1,X2,X3,X4)
    | esk9726_4(X1,X2,X3,X4)
    | ~ esk9727_4(X1,X2,X3,X4) )).

cnf(i_0_8606,axiom,
    ( esk2146_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_8607,axiom,
    ( ~ esk5384_4(X1,X2,X3,X4)
    | esk5382_4(X1,X2,X3,X4)
    | esk5381_4(X1,X2,X3,X4)
    | esk5383_4(X1,X2,X3,X4) )).

cnf(i_0_8608,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk1756_4(X1,X2,X3,X4)
    | esk223_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_8609,axiom,
    ( esk6020_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_8610,axiom,
    ( esk8931_4(X1,X2,X3,X4)
    | ~ esk8929_4(X1,X2,X3,X4) )).

cnf(i_0_8611,axiom,
    ( esk2360_4(X1,X2,X3,X4)
    | ~ esk2359_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_8612,axiom,
    ( esk9511_4(X1,X2,X3,X4)
    | ~ esk8706_4(X1,X2,X3,X4) )).

cnf(i_0_8613,axiom,
    ( esk2779_4(X1,X2,X3,X4)
    | ~ esk2777_4(X1,X2,X3,X4) )).

cnf(i_0_8614,axiom,
    ( ~ esk3461_4(X1,X2,X3,X4)
    | esk3574_4(X1,X2,X3,X4) )).

cnf(i_0_8615,axiom,
    ( esk9714_4(X1,X2,X3,X4)
    | ~ esk9715_4(X1,X2,X3,X4)
    | esk9713_4(X1,X2,X3,X4) )).

cnf(i_0_8616,axiom,
    ( ~ p(X4)
    | esk741_0
    | p(X2)
    | ~ esk8749_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_8617,axiom,
    ( esk9100_4(X1,X2,X3,X4)
    | ~ esk7000_4(X1,X2,X3,X4) )).

cnf(i_0_8618,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2619_4(X1,X2,X3,X4) )).

cnf(i_0_8619,axiom,
    ( esk1494_4(X1,X2,X3,X4)
    | ~ esk1493_4(X1,X2,X3,X4) )).

cnf(i_0_8620,axiom,
    ( ~ esk5319_4(X1,X2,X3,X4)
    | esk4465_4(X1,X2,X3,X4) )).

cnf(i_0_8621,axiom,
    ( esk7982_4(X1,X2,X3,X4)
    | ~ esk8026_4(X1,X2,X3,X4) )).

cnf(i_0_8622,axiom,
    ( ~ esk3283_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_8623,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5276_4(X1,X2,X3,X4) )).

cnf(i_0_8624,axiom,
    ( ~ esk5571_4(X1,X2,X3,X4)
    | ~ esk6661_4(X1,X2,X3,X4)
    | esk6656_4(X1,X2,X3,X4) )).

cnf(i_0_8625,axiom,
    ( esk9174_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1124_0 )).

cnf(i_0_8626,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk8715_4(X1,X2,X3,X4)
    | ~ esk567_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_8627,axiom,
    ( ~ esk2951_4(X1,X2,X3,X4)
    | esk5051_4(X1,X2,X3,X4) )).

cnf(i_0_8628,axiom,
    ( esk5748_4(X1,X2,X3,X4)
    | ~ esk5673_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_8629,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6334_4(X1,X2,X3,X4) )).

cnf(i_0_8630,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk1879_4(X1,X2,X3,X4) )).

cnf(i_0_8631,axiom,
    ( ~ p(X3)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk699_0
    | ~ p(X2) )).

cnf(i_0_8632,axiom,
    ( ~ esk6092_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8633,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6950_4(X1,X2,X3,X4) )).

cnf(i_0_8634,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3229_4(X1,X2,X3,X4) )).

cnf(i_0_8635,axiom,
    ( ~ esk4771_4(X1,X2,X3,X4)
    | esk4773_4(X1,X2,X3,X4) )).

cnf(i_0_8636,axiom,
    ( ~ esk1375_4(X1,X2,X3,X4)
    | ~ esk1429_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_8637,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk8864_4(X1,X2,X3,X4) )).

cnf(i_0_8638,axiom,
    ( ~ esk1986_4(X1,X2,X3,X4)
    | esk2570_4(X1,X2,X3,X4) )).

cnf(i_0_8639,axiom,
    ( p(X4)
    | esk3_0
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_8640,axiom,
    ( esk8310_4(X1,X2,X3,X4)
    | ~ esk8336_4(X1,X2,X3,X4) )).

cnf(i_0_8641,axiom,
    ( esk3534_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_8642,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7893_4(X1,X2,X3,X4) )).

cnf(i_0_8643,axiom,
    ( esk7486_4(X1,X2,X3,X4)
    | esk6645_4(X1,X2,X3,X4) )).

cnf(i_0_8644,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4447_4(X1,X2,X3,X4)
    | ~ esk4446_4(X1,X2,X3,X4) )).

cnf(i_0_8645,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk24_0
    | p(X1)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_8646,axiom,
    ( ~ esk6456_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_8647,axiom,
    ( ~ esk747_0
    | p(X3)
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_8648,axiom,
    ( ~ esk3921_4(X1,X2,X3,X4)
    | esk3572_4(X1,X2,X3,X4) )).

cnf(i_0_8649,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk323_0 )).

cnf(i_0_8650,axiom,
    ( esk6022_4(X1,X2,X3,X4)
    | ~ esk6032_4(X1,X2,X3,X4) )).

cnf(i_0_8651,axiom,
    ( ~ esk2913_4(X1,X2,X3,X4)
    | esk5013_4(X1,X2,X3,X4) )).

cnf(i_0_8652,axiom,
    ( ~ esk8637_4(X1,X2,X3,X4)
    | esk8636_4(X1,X2,X3,X4) )).

cnf(i_0_8653,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8227_4(X1,X2,X3,X4) )).

cnf(i_0_8654,axiom,
    ( ~ esk1704_4(X1,X2,X3,X4)
    | esk1447_4(X1,X2,X3,X4) )).

cnf(i_0_8655,axiom,
    ( esk9428_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8656,axiom,
    ( ~ esk8529_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_8657,axiom,
    ( ~ esk3667_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_8658,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk9577_4(X1,X2,X3,X4) )).

cnf(i_0_8659,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4274_4(X1,X2,X3,X4) )).

cnf(i_0_8660,axiom,
    ( ~ esk5467_4(X1,X2,X3,X4)
    | esk5466_4(X1,X2,X3,X4) )).

cnf(i_0_8661,axiom,
    ( ~ esk3831_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_8662,axiom,
    ( ~ esk4404_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_8663,axiom,
    ( esk7009_4(X1,X2,X3,X4)
    | esk7035_4(X1,X2,X3,X4) )).

cnf(i_0_8664,axiom,
    ( ~ esk3621_4(X1,X2,X3,X4)
    | esk5548_4(X1,X2,X3,X4)
    | esk5547_4(X1,X2,X3,X4) )).

cnf(i_0_8665,axiom,
    ( esk1876_4(X1,X2,X3,X4)
    | ~ esk2911_4(X1,X2,X3,X4) )).

cnf(i_0_8666,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4357_4(X1,X2,X3,X4)
    | ~ esk4356_4(X1,X2,X3,X4) )).

cnf(i_0_8667,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk862_0
    | esk2795_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_8668,axiom,
    ( esk3282_4(X1,X2,X3,X4)
    | ~ esk3285_4(X1,X2,X3,X4)
    | esk3284_4(X1,X2,X3,X4)
    | esk3283_4(X1,X2,X3,X4) )).

cnf(i_0_8669,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3379_4(X1,X2,X3,X4) )).

cnf(i_0_8670,axiom,
    ( ~ esk9678_4(X1,X2,X3,X4)
    | esk9675_4(X1,X2,X3,X4) )).

cnf(i_0_8671,axiom,
    ( ~ esk8054_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | esk236_0
    | p(X4) )).

cnf(i_0_8672,axiom,
    ( esk6038_4(X1,X2,X3,X4)
    | ~ esk5973_4(X1,X2,X3,X4) )).

cnf(i_0_8673,axiom,
    ( esk1543_4(X1,X2,X3,X4)
    | ~ esk1541_4(X1,X2,X3,X4) )).

cnf(i_0_8674,axiom,
    ( esk8181_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8182_4(X1,X2,X3,X4) )).

cnf(i_0_8675,axiom,
    ( ~ esk5057_4(X1,X2,X3,X4)
    | esk3861_4(X1,X2,X3,X4)
    | ~ esk3860_4(X1,X2,X3,X4) )).

cnf(i_0_8676,axiom,
    ( ~ esk3512_4(X1,X2,X3,X4)
    | esk4094_4(X1,X2,X3,X4) )).

cnf(i_0_8677,axiom,
    ( esk5688_4(X1,X2,X3,X4)
    | ~ esk5687_4(X1,X2,X3,X4) )).

cnf(i_0_8678,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2259_4(X1,X2,X3,X4) )).

cnf(i_0_8679,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk7990_4(X1,X2,X3,X4)
    | ~ esk7989_4(X1,X2,X3,X4) )).

cnf(i_0_8680,axiom,
    ( ~ esk6366_4(X1,X2,X3,X4)
    | esk6368_4(X1,X2,X3,X4) )).

cnf(i_0_8681,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3019_4(X1,X2,X3,X4) )).

cnf(i_0_8682,axiom,
    ( esk4287_4(X1,X2,X3,X4)
    | ~ esk4286_4(X1,X2,X3,X4)
    | ~ esk4139_4(X1,X2,X3,X4) )).

cnf(i_0_8683,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3087_4(X1,X2,X3,X4) )).

cnf(i_0_8684,axiom,
    ( ~ esk5003_4(X1,X2,X3,X4)
    | esk5002_4(X1,X2,X3,X4) )).

cnf(i_0_8685,axiom,
    ( ~ esk1537_4(X1,X2,X3,X4)
    | esk1539_4(X1,X2,X3,X4) )).

cnf(i_0_8686,axiom,
    ( ~ esk8800_4(X1,X2,X3,X4)
    | esk8801_4(X1,X2,X3,X4) )).

cnf(i_0_8687,axiom,
    ( ~ esk23_0
    | ~ p(X2)
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_8688,axiom,
    ( esk6766_4(X1,X2,X3,X4)
    | esk6767_4(X1,X2,X3,X4)
    | ~ esk6768_4(X1,X2,X3,X4) )).

cnf(i_0_8689,axiom,
    ( ~ esk5997_4(X1,X2,X3,X4)
    | esk5998_4(X1,X2,X3,X4) )).

cnf(i_0_8690,axiom,
    ( p(X3)
    | ~ esk1073_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_8691,axiom,
    ( esk9222_4(X1,X2,X3,X4)
    | esk9221_4(X1,X2,X3,X4)
    | ~ esk9223_4(X1,X2,X3,X4) )).

cnf(i_0_8692,axiom,
    ( ~ esk2727_4(X1,X2,X3,X4)
    | esk2725_4(X1,X2,X3,X4)
    | esk2726_4(X1,X2,X3,X4) )).

cnf(i_0_8693,axiom,
    ( esk1061_0
    | ~ esk9166_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_8694,axiom,
    ( ~ esk2532_4(X1,X2,X3,X4)
    | esk1778_4(X1,X2,X3,X4)
    | ~ esk1777_4(X1,X2,X3,X4) )).

cnf(i_0_8695,axiom,
    ( ~ esk4740_4(X1,X2,X3,X4)
    | esk4681_4(X1,X2,X3,X4) )).

cnf(i_0_8696,axiom,
    ( esk8107_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_8697,axiom,
    ( esk7938_4(X1,X2,X3,X4)
    | ~ esk5838_4(X1,X2,X3,X4) )).

cnf(i_0_8698,axiom,
    ( esk7524_4(X1,X2,X3,X4)
    | ~ esk7522_4(X1,X2,X3,X4) )).

cnf(i_0_8699,axiom,
    ( esk3939_4(X1,X2,X3,X4)
    | ~ esk3937_4(X1,X2,X3,X4) )).

cnf(i_0_8700,axiom,
    ( ~ esk9547_4(X1,X2,X3,X4)
    | esk9546_4(X1,X2,X3,X4)
    | esk9545_4(X1,X2,X3,X4) )).

cnf(i_0_8701,axiom,
    ( ~ esk2181_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_8702,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4879_4(X1,X2,X3,X4) )).

cnf(i_0_8703,axiom,
    ( ~ esk1807_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_8704,axiom,
    ( ~ esk5231_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_8705,axiom,
    ( ~ esk8356_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_8706,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk1238_0
    | esk2914_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_8707,axiom,
    ( p(X4)
    | p(X2)
    | esk213_0
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_8708,axiom,
    ( esk692_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_8709,axiom,
    ( esk1257_0
    | p(X2)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_8710,axiom,
    ( esk9570_4(X1,X2,X3,X4)
    | ~ esk9569_4(X1,X2,X3,X4) )).

cnf(i_0_8711,axiom,
    ( ~ esk7325_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8712,axiom,
    ( ~ esk7812_4(X1,X2,X3,X4)
    | esk7743_4(X1,X2,X3,X4) )).

cnf(i_0_8713,axiom,
    ( ~ esk6159_4(X1,X2,X3,X4)
    | esk6160_4(X1,X2,X3,X4) )).

cnf(i_0_8714,axiom,
    ( esk2159_4(X1,X2,X3,X4)
    | ~ esk2157_4(X1,X2,X3,X4) )).

cnf(i_0_8715,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8517_4(X1,X2,X3,X4) )).

cnf(i_0_8716,axiom,
    ( ~ esk6264_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_8717,axiom,
    ( ~ p(X4)
    | esk2439_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk708_0 )).

cnf(i_0_8718,axiom,
    ( ~ esk9052_4(X1,X2,X3,X4)
    | esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_8719,axiom,
    ( esk4333_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8720,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8642_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_8721,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4141_4(X1,X2,X3,X4)
    | ~ esk4140_4(X1,X2,X3,X4) )).

cnf(i_0_8722,axiom,
    ( esk4382_4(X1,X2,X3,X4)
    | ~ esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_8723,axiom,
    ( ~ esk9556_4(X1,X2,X3,X4)
    | ~ esk9551_4(X1,X2,X3,X4)
    | esk9557_4(X1,X2,X3,X4) )).

cnf(i_0_8724,axiom,
    ( esk7563_4(X1,X2,X3,X4)
    | ~ esk7560_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_8725,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4)
    | ~ esk9116_4(X1,X2,X3,X4) )).

cnf(i_0_8726,axiom,
    ( esk3190_4(X1,X2,X3,X4)
    | ~ esk3189_4(X1,X2,X3,X4) )).

cnf(i_0_8727,axiom,
    ( ~ esk6519_4(X1,X2,X3,X4)
    | esk4419_4(X1,X2,X3,X4) )).

cnf(i_0_8728,axiom,
    ( ~ esk4886_4(X1,X2,X3,X4)
    | ~ esk4722_4(X1,X2,X3,X4)
    | esk4723_4(X1,X2,X3,X4) )).

cnf(i_0_8729,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk975_0
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_8730,axiom,
    ( ~ esk4765_4(X1,X2,X3,X4)
    | ~ esk5422_4(X1,X2,X3,X4)
    | esk5423_4(X1,X2,X3,X4) )).

cnf(i_0_8731,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk659_0
    | ~ p(X1)
    | esk8727_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_8732,axiom,
    ( ~ esk3994_4(X1,X2,X3,X4)
    | esk3995_4(X1,X2,X3,X4) )).

cnf(i_0_8733,axiom,
    ( ~ esk8017_4(X1,X2,X3,X4)
    | esk8018_4(X1,X2,X3,X4)
    | ~ esk7980_4(X1,X2,X3,X4) )).

cnf(i_0_8734,axiom,
    ( ~ esk1734_4(X1,X2,X3,X4)
    | esk1697_4(X1,X2,X3,X4) )).

cnf(i_0_8735,axiom,
    ( ~ esk4473_4(X1,X2,X3,X4)
    | esk4046_4(X1,X2,X3,X4) )).

cnf(i_0_8736,axiom,
    ( ~ p(X4)
    | ~ esk705_0
    | p(X3)
    | ~ p(X2)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_8737,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2429_4(X1,X2,X3,X4)
    | esk647_0
    | ~ p(X2) )).

cnf(i_0_8738,axiom,
    ( ~ esk6757_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_8739,axiom,
    ( ~ esk3625_4(X1,X2,X3,X4)
    | ~ esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_8740,axiom,
    ( ~ esk7010_4(X1,X2,X3,X4)
    | esk6981_4(X1,X2,X3,X4) )).

cnf(i_0_8741,axiom,
    ( ~ esk3241_4(X1,X2,X3,X4)
    | esk3242_4(X1,X2,X3,X4) )).

cnf(i_0_8742,axiom,
    ( ~ esk8548_4(X1,X2,X3,X4)
    | esk6448_4(X1,X2,X3,X4) )).

cnf(i_0_8743,axiom,
    ( esk1355_4(X1,X2,X3,X4)
    | ~ esk1429_4(X1,X2,X3,X4) )).

cnf(i_0_8744,axiom,
    ( esk5697_4(X1,X2,X3,X4)
    | ~ esk5698_4(X1,X2,X3,X4) )).

cnf(i_0_8745,axiom,
    ( esk9249_4(X1,X2,X3,X4)
    | ~ esk7930_4(X1,X2,X3,X4) )).

cnf(i_0_8746,axiom,
    ( esk3338_4(X1,X2,X3,X4)
    | ~ esk3337_4(X1,X2,X3,X4) )).

cnf(i_0_8747,axiom,
    ( ~ esk1682_4(X1,X2,X3,X4)
    | ~ esk1855_4(X1,X2,X3,X4) )).

cnf(i_0_8748,axiom,
    ( esk9412_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8749,axiom,
    ( p(X3)
    | ~ esk26_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_8750,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk1860_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk281_0 )).

cnf(i_0_8751,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | esk522_0
    | ~ p(X4)
    | ~ esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_8752,axiom,
    ( esk2316_4(X1,X2,X3,X4)
    | esk2317_4(X1,X2,X3,X4)
    | ~ esk2282_4(X1,X2,X3,X4) )).

cnf(i_0_8753,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5351_4(X1,X2,X3,X4) )).

cnf(i_0_8754,axiom,
    ( esk4858_4(X1,X2,X3,X4)
    | ~ esk4857_4(X1,X2,X3,X4) )).

cnf(i_0_8755,axiom,
    ( ~ p(X2)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk400_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_8756,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk8291_4(X1,X2,X3,X4)
    | esk390_0 )).

cnf(i_0_8757,axiom,
    ( esk2842_4(X1,X2,X3,X4)
    | esk2843_4(X1,X2,X3,X4)
    | ~ esk2844_4(X1,X2,X3,X4) )).

cnf(i_0_8758,axiom,
    ( esk4573_4(X1,X2,X3,X4)
    | ~ esk4572_4(X1,X2,X3,X4) )).

cnf(i_0_8759,axiom,
    ( ~ esk7604_4(X1,X2,X3,X4)
    | esk7602_4(X1,X2,X3,X4)
    | esk7603_4(X1,X2,X3,X4) )).

cnf(i_0_8760,axiom,
    ( esk5658_4(X1,X2,X3,X4)
    | ~ esk5657_4(X1,X2,X3,X4) )).

cnf(i_0_8761,axiom,
    ( ~ esk9226_4(X1,X2,X3,X4)
    | esk8011_4(X1,X2,X3,X4) )).

cnf(i_0_8762,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | ~ esk2860_4(X1,X2,X3,X4) )).

cnf(i_0_8763,axiom,
    ( esk2221_4(X1,X2,X3,X4)
    | ~ esk2220_4(X1,X2,X3,X4) )).

cnf(i_0_8764,axiom,
    ( esk6133_4(X1,X2,X3,X4)
    | ~ esk6167_4(X1,X2,X3,X4) )).

cnf(i_0_8765,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk920_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_8766,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk2289_4(X1,X2,X3,X4)
    | esk524_0 )).

cnf(i_0_8767,axiom,
    ( p(X1)
    | esk393_0
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_8768,axiom,
    ( ~ esk8442_4(X1,X2,X3,X4)
    | esk8441_4(X1,X2,X3,X4) )).

cnf(i_0_8769,axiom,
    ( esk2813_4(X1,X2,X3,X4)
    | ~ esk1408_4(X1,X2,X3,X4) )).

cnf(i_0_8770,axiom,
    ( ~ esk6854_4(X1,X2,X3,X4)
    | esk6702_4(X1,X2,X3,X4) )).

cnf(i_0_8771,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4738_4(X1,X2,X3,X4) )).

cnf(i_0_8772,axiom,
    ( esk2723_4(X1,X2,X3,X4)
    | ~ esk2438_4(X1,X2,X3,X4) )).

cnf(i_0_8773,axiom,
    ( ~ esk5907_4(X1,X2,X3,X4)
    | esk7026_4(X1,X2,X3,X4) )).

cnf(i_0_8774,axiom,
    ( esk3048_4(X1,X2,X3,X4)
    | esk3049_4(X1,X2,X3,X4)
    | ~ esk3050_4(X1,X2,X3,X4) )).

cnf(i_0_8775,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | ~ esk5024_4(X1,X2,X3,X4) )).

cnf(i_0_8776,axiom,
    ( esk5900_4(X1,X2,X3,X4)
    | ~ esk7093_4(X1,X2,X3,X4) )).

cnf(i_0_8777,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4134_4(X1,X2,X3,X4) )).

cnf(i_0_8778,axiom,
    ( ~ esk3220_4(X1,X2,X3,X4)
    | esk3222_4(X1,X2,X3,X4) )).

cnf(i_0_8779,axiom,
    ( ~ esk9317_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_8780,axiom,
    ( esk1474_4(X1,X2,X3,X4)
    | ~ esk1546_4(X1,X2,X3,X4) )).

cnf(i_0_8781,axiom,
    ( esk6776_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_8782,axiom,
    ( esk7948_4(X1,X2,X3,X4)
    | ~ esk7946_4(X1,X2,X3,X4) )).

cnf(i_0_8783,axiom,
    ( esk7947_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_8784,axiom,
    ( esk4251_4(X1,X2,X3,X4)
    | ~ esk4252_4(X1,X2,X3,X4) )).

cnf(i_0_8785,axiom,
    ( ~ p(X2)
    | ~ esk9089_4(X1,X2,X3,X4)
    | esk855_0
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_8786,axiom,
    ( esk9032_4(X1,X2,X3,X4)
    | ~ esk9031_4(X1,X2,X3,X4) )).

cnf(i_0_8787,axiom,
    ( esk2204_4(X1,X2,X3,X4)
    | ~ esk2203_4(X1,X2,X3,X4)
    | esk2165_4(X1,X2,X3,X4) )).

cnf(i_0_8788,axiom,
    ( ~ esk1766_4(X1,X2,X3,X4)
    | esk1768_4(X1,X2,X3,X4) )).

cnf(i_0_8789,axiom,
    ( esk2982_4(X1,X2,X3,X4)
    | ~ esk2985_4(X1,X2,X3,X4) )).

cnf(i_0_8790,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8403_4(X1,X2,X3,X4) )).

cnf(i_0_8791,axiom,
    ( ~ esk4848_4(X1,X2,X3,X4)
    | esk4847_4(X1,X2,X3,X4) )).

cnf(i_0_8792,axiom,
    ( esk5370_4(X1,X2,X3,X4)
    | ~ esk5373_4(X1,X2,X3,X4)
    | esk5372_4(X1,X2,X3,X4) )).

cnf(i_0_8793,axiom,
    ( ~ esk6576_4(X1,X2,X3,X4)
    | esk6110_4(X1,X2,X3,X4) )).

cnf(i_0_8794,axiom,
    ( ~ esk1362_4(X1,X2,X3,X4)
    | esk1919_4(X1,X2,X3,X4) )).

cnf(i_0_8795,axiom,
    ( ~ esk7823_4(X1,X2,X3,X4)
    | ~ esk7953_4(X1,X2,X3,X4)
    | esk7824_4(X1,X2,X3,X4) )).

cnf(i_0_8796,axiom,
    ( ~ esk3078_4(X1,X2,X3,X4)
    | esk3081_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_8797,axiom,
    ( esk1521_4(X1,X2,X3,X4)
    | esk2453_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_8798,axiom,
    ( ~ esk8537_4(X1,X2,X3,X4)
    | esk8722_4(X1,X2,X3,X4) )).

cnf(i_0_8799,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1_0
    | ~ esk8138_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_8800,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8716_4(X1,X2,X3,X4)
    | esk8206_4(X1,X2,X3,X4) )).

cnf(i_0_8801,axiom,
    ( ~ esk9517_4(X1,X2,X3,X4)
    | esk9519_4(X1,X2,X3,X4) )).

cnf(i_0_8802,axiom,
    ( esk3654_4(X1,X2,X3,X4)
    | ~ esk3717_4(X1,X2,X3,X4) )).

cnf(i_0_8803,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3091_4(X1,X2,X3,X4) )).

cnf(i_0_8804,axiom,
    ( ~ esk6147_4(X1,X2,X3,X4)
    | ~ esk6112_4(X1,X2,X3,X4)
    | ~ esk6146_4(X1,X2,X3,X4) )).

cnf(i_0_8805,axiom,
    ( esk1279_0
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk9228_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_8806,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4165_4(X1,X2,X3,X4) )).

cnf(i_0_8807,axiom,
    ( esk5075_4(X1,X2,X3,X4)
    | ~ esk5074_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_8808,axiom,
    ( esk2565_4(X1,X2,X3,X4)
    | esk2564_4(X1,X2,X3,X4)
    | ~ esk2566_4(X1,X2,X3,X4) )).

cnf(i_0_8809,axiom,
    ( esk3701_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3609_4(X1,X2,X3,X4) )).

cnf(i_0_8810,axiom,
    ( ~ esk3521_4(X1,X2,X3,X4)
    | esk4564_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_8811,axiom,
    ( esk7957_4(X1,X2,X3,X4)
    | ~ esk7955_4(X1,X2,X3,X4) )).

cnf(i_0_8812,axiom,
    ( ~ esk8301_4(X1,X2,X3,X4)
    | esk8302_4(X1,X2,X3,X4) )).

cnf(i_0_8813,axiom,
    ( esk2717_4(X1,X2,X3,X4)
    | esk2716_4(X1,X2,X3,X4)
    | ~ esk2718_4(X1,X2,X3,X4) )).

cnf(i_0_8814,axiom,
    ( ~ esk8391_4(X1,X2,X3,X4)
    | esk8545_4(X1,X2,X3,X4) )).

cnf(i_0_8815,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5327_4(X1,X2,X3,X4)
    | ~ esk5326_4(X1,X2,X3,X4) )).

cnf(i_0_8816,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk3794_4(X1,X2,X3,X4)
    | esk3965_4(X1,X2,X3,X4) )).

cnf(i_0_8817,axiom,
    ( ~ esk9186_4(X1,X2,X3,X4)
    | esk7896_4(X1,X2,X3,X4) )).

cnf(i_0_8818,axiom,
    ( ~ esk8514_4(X1,X2,X3,X4)
    | esk8512_4(X1,X2,X3,X4)
    | esk8513_4(X1,X2,X3,X4) )).

cnf(i_0_8819,axiom,
    ( p(X3)
    | ~ esk787_0
    | p(X1)
    | ~ p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8820,axiom,
    ( ~ esk5136_4(X1,X2,X3,X4)
    | esk5137_4(X1,X2,X3,X4) )).

cnf(i_0_8821,axiom,
    ( ~ esk3566_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_8822,axiom,
    ( esk1876_4(X1,X2,X3,X4)
    | ~ esk1650_4(X1,X2,X3,X4) )).

cnf(i_0_8823,axiom,
    ( ~ esk5780_4(X1,X2,X3,X4)
    | esk5688_4(X1,X2,X3,X4) )).

cnf(i_0_8824,axiom,
    ( ~ esk4357_4(X1,X2,X3,X4)
    | esk4356_4(X1,X2,X3,X4) )).

cnf(i_0_8825,axiom,
    ( ~ esk5723_4(X1,X2,X3,X4)
    | esk7060_4(X1,X2,X3,X4) )).

cnf(i_0_8826,axiom,
    ( esk1893_4(X1,X2,X3,X4)
    | ~ esk1894_4(X1,X2,X3,X4) )).

cnf(i_0_8827,axiom,
    ( esk4070_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8828,axiom,
    ( esk830_0
    | ~ p(X3)
    | ~ esk9087_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_8829,axiom,
    ( ~ esk8869_4(X1,X2,X3,X4)
    | esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_8830,axiom,
    ( ~ esk3101_4(X1,X2,X3,X4)
    | esk3102_4(X1,X2,X3,X4) )).

cnf(i_0_8831,axiom,
    ( ~ esk1906_4(X1,X2,X3,X4)
    | esk1905_4(X1,X2,X3,X4) )).

cnf(i_0_8832,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1338_0
    | p(X3)
    | ~ esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_8833,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk3442_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_8834,axiom,
    ( esk1098_0
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_8835,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | ~ esk7819_4(X1,X2,X3,X4)
    | esk9743_4(X1,X2,X3,X4) )).

cnf(i_0_8836,axiom,
    ( ~ esk8830_4(X1,X2,X3,X4)
    | esk8288_4(X1,X2,X3,X4) )).

cnf(i_0_8837,axiom,
    ( esk5347_4(X1,X2,X3,X4)
    | ~ esk5349_4(X1,X2,X3,X4)
    | esk5348_4(X1,X2,X3,X4) )).

cnf(i_0_8838,axiom,
    ( esk7560_4(X1,X2,X3,X4)
    | ~ esk7563_4(X1,X2,X3,X4) )).

cnf(i_0_8839,axiom,
    ( esk1885_4(X1,X2,X3,X4)
    | ~ esk2052_4(X1,X2,X3,X4) )).

cnf(i_0_8840,axiom,
    ( ~ esk3356_4(X1,X2,X3,X4)
    | esk2682_4(X1,X2,X3,X4) )).

cnf(i_0_8841,axiom,
    ( esk8298_4(X1,X2,X3,X4)
    | ~ esk8297_4(X1,X2,X3,X4) )).

cnf(i_0_8842,axiom,
    ( p(X4)
    | esk53_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_8843,axiom,
    ( ~ esk6634_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4) )).

cnf(i_0_8844,axiom,
    ( ~ esk6472_4(X1,X2,X3,X4)
    | esk6474_4(X1,X2,X3,X4) )).

cnf(i_0_8845,axiom,
    ( esk1870_4(X1,X2,X3,X4)
    | ~ esk1698_4(X1,X2,X3,X4) )).

cnf(i_0_8846,axiom,
    ( ~ esk3334_4(X1,X2,X3,X4)
    | esk3332_4(X1,X2,X3,X4)
    | esk3333_4(X1,X2,X3,X4) )).

cnf(i_0_8847,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk553_0
    | esk2417_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_8848,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9716_4(X1,X2,X3,X4) )).

cnf(i_0_8849,axiom,
    ( ~ esk7637_4(X1,X2,X3,X4)
    | esk7062_4(X1,X2,X3,X4) )).

cnf(i_0_8850,axiom,
    ( ~ esk8896_4(X1,X2,X3,X4)
    | esk8897_4(X1,X2,X3,X4)
    | ~ esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_8851,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk9095_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X1) )).

cnf(i_0_8852,axiom,
    ( ~ esk2910_4(X1,X2,X3,X4)
    | esk1456_4(X1,X2,X3,X4) )).

cnf(i_0_8853,axiom,
    ( ~ esk7586_4(X1,X2,X3,X4)
    | esk6896_4(X1,X2,X3,X4) )).

cnf(i_0_8854,axiom,
    ( esk8719_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk590_0
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_8855,axiom,
    ( ~ esk1872_4(X1,X2,X3,X4)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_8856,axiom,
    ( esk6564_4(X1,X2,X3,X4)
    | ~ esk7418_4(X1,X2,X3,X4) )).

cnf(i_0_8857,axiom,
    ( esk8949_4(X1,X2,X3,X4)
    | ~ esk8948_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_8858,axiom,
    ( esk2742_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_8859,axiom,
    ( ~ esk8713_4(X1,X2,X3,X4)
    | esk552_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_8860,axiom,
    ( esk6689_4(X1,X2,X3,X4)
    | ~ esk6690_4(X1,X2,X3,X4) )).

cnf(i_0_8861,axiom,
    ( ~ esk6684_4(X1,X2,X3,X4)
    | ~ esk6865_4(X1,X2,X3,X4)
    | esk6866_4(X1,X2,X3,X4) )).

cnf(i_0_8862,axiom,
    ( ~ esk7097_4(X1,X2,X3,X4)
    | ~ esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_8863,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk1977_4(X1,X2,X3,X4)
    | ~ esk1943_4(X1,X2,X3,X4) )).

cnf(i_0_8864,axiom,
    ( ~ esk2765_4(X1,X2,X3,X4)
    | esk3358_4(X1,X2,X3,X4) )).

cnf(i_0_8865,axiom,
    ( esk3366_4(X1,X2,X3,X4)
    | ~ esk2769_4(X1,X2,X3,X4) )).

cnf(i_0_8866,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk75_0
    | ~ p(X1) )).

cnf(i_0_8867,axiom,
    ( esk2382_4(X1,X2,X3,X4)
    | ~ esk2315_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_8868,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk955_0 )).

cnf(i_0_8869,axiom,
    ( ~ esk6285_4(X1,X2,X3,X4)
    | esk6286_4(X1,X2,X3,X4) )).

cnf(i_0_8870,axiom,
    ( ~ p(X2)
    | esk856_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_8871,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk242_0
    | ~ p(X3)
    | ~ esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_8872,axiom,
    ( esk5559_4(X1,X2,X3,X4)
    | ~ esk6154_4(X1,X2,X3,X4) )).

cnf(i_0_8873,axiom,
    ( esk9596_4(X1,X2,X3,X4)
    | ~ esk9597_4(X1,X2,X3,X4)
    | esk9591_4(X1,X2,X3,X4) )).

cnf(i_0_8874,axiom,
    ( esk8752_4(X1,X2,X3,X4)
    | ~ esk9743_4(X1,X2,X3,X4) )).

cnf(i_0_8875,axiom,
    ( ~ esk6438_4(X1,X2,X3,X4)
    | esk6439_4(X1,X2,X3,X4) )).

cnf(i_0_8876,axiom,
    ( p(X1)
    | p(X3)
    | esk1146_0
    | ~ p(X2)
    | ~ esk2882_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8877,axiom,
    ( ~ esk8745_4(X1,X2,X3,X4)
    | esk8833_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_8878,axiom,
    ( esk3359_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_8879,axiom,
    ( esk1_0
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk2427_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_8880,axiom,
    ( esk7336_4(X1,X2,X3,X4)
    | ~ esk7334_4(X1,X2,X3,X4) )).

cnf(i_0_8881,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk788_0
    | p(X3)
    | ~ esk9081_4(X1,X2,X3,X4) )).

cnf(i_0_8882,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9176_4(X1,X2,X3,X4)
    | esk1142_0
    | ~ p(X1) )).

cnf(i_0_8883,axiom,
    ( esk3459_4(X1,X2,X3,X4)
    | ~ esk3629_4(X1,X2,X3,X4) )).

cnf(i_0_8884,axiom,
    ( esk418_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_8885,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3400_4(X1,X2,X3,X4) )).

cnf(i_0_8886,axiom,
    ( ~ esk429_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk8357_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_8887,axiom,
    ( ~ esk4989_4(X1,X2,X3,X4)
    | esk3696_4(X1,X2,X3,X4)
    | ~ esk3695_4(X1,X2,X3,X4) )).

cnf(i_0_8888,axiom,
    ( ~ esk2413_4(X1,X2,X3,X4)
    | esk3270_4(X1,X2,X3,X4) )).

cnf(i_0_8889,axiom,
    ( ~ esk5777_4(X1,X2,X3,X4)
    | esk5776_4(X1,X2,X3,X4)
    | esk5775_4(X1,X2,X3,X4) )).

cnf(i_0_8890,axiom,
    ( ~ esk3743_4(X1,X2,X3,X4)
    | esk4906_4(X1,X2,X3,X4) )).

cnf(i_0_8891,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk419_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_8892,axiom,
    ( esk8992_4(X1,X2,X3,X4)
    | ~ esk8993_4(X1,X2,X3,X4) )).

cnf(i_0_8893,axiom,
    ( esk6038_4(X1,X2,X3,X4)
    | ~ esk6036_4(X1,X2,X3,X4) )).

cnf(i_0_8894,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk724_0
    | p(X2)
    | p(X1) )).

cnf(i_0_8895,axiom,
    ( ~ esk3899_4(X1,X2,X3,X4)
    | esk4606_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_8896,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7593_4(X1,X2,X3,X4) )).

cnf(i_0_8897,axiom,
    ( ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk313_0
    | p(X2) )).

cnf(i_0_8898,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | esk4962_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_8899,axiom,
    ( ~ esk8533_4(X1,X2,X3,X4)
    | esk8534_4(X1,X2,X3,X4) )).

cnf(i_0_8900,axiom,
    ( esk4111_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_8901,axiom,
    ( esk3304_4(X1,X2,X3,X4)
    | esk3305_4(X1,X2,X3,X4)
    | ~ esk3306_4(X1,X2,X3,X4) )).

cnf(i_0_8902,axiom,
    ( ~ esk2486_4(X1,X2,X3,X4)
    | ~ esk2667_4(X1,X2,X3,X4)
    | esk2668_4(X1,X2,X3,X4) )).

cnf(i_0_8903,axiom,
    ( esk2338_4(X1,X2,X3,X4)
    | ~ esk2336_4(X1,X2,X3,X4) )).

cnf(i_0_8904,axiom,
    ( ~ esk6422_4(X1,X2,X3,X4)
    | esk6423_4(X1,X2,X3,X4) )).

cnf(i_0_8905,axiom,
    ( ~ esk2836_4(X1,X2,X3,X4)
    | esk2835_4(X1,X2,X3,X4)
    | esk2834_4(X1,X2,X3,X4) )).

cnf(i_0_8906,axiom,
    ( ~ esk8687_4(X1,X2,X3,X4)
    | esk8538_4(X1,X2,X3,X4) )).

cnf(i_0_8907,axiom,
    ( esk7909_4(X1,X2,X3,X4)
    | ~ esk7910_4(X1,X2,X3,X4) )).

cnf(i_0_8908,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3401_4(X1,X2,X3,X4) )).

cnf(i_0_8909,axiom,
    ( ~ p(X2)
    | esk2095_4(X1,X2,X3,X4)
    | ~ esk466_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_8910,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1758_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk230_0 )).

cnf(i_0_8911,axiom,
    ( ~ esk8041_4(X1,X2,X3,X4)
    | esk8056_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_8912,axiom,
    ( ~ esk6390_4(X1,X2,X3,X4)
    | esk6392_4(X1,X2,X3,X4) )).

cnf(i_0_8913,axiom,
    ( ~ p(X4)
    | esk7937_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk100_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_8914,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk9580_4(X1,X2,X3,X4) )).

cnf(i_0_8915,axiom,
    ( ~ esk7151_4(X1,X2,X3,X4)
    | esk5772_4(X1,X2,X3,X4)
    | ~ esk5680_4(X1,X2,X3,X4) )).

cnf(i_0_8916,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4)
    | ~ esk4962_4(X1,X2,X3,X4) )).

cnf(i_0_8917,axiom,
    ( ~ esk3137_4(X1,X2,X3,X4)
    | esk3134_4(X1,X2,X3,X4) )).

cnf(i_0_8918,axiom,
    ( esk9165_4(X1,X2,X3,X4)
    | ~ esk7978_4(X1,X2,X3,X4) )).

cnf(i_0_8919,axiom,
    ( esk6724_4(X1,X2,X3,X4)
    | ~ esk6726_4(X1,X2,X3,X4)
    | esk6725_4(X1,X2,X3,X4) )).

cnf(i_0_8920,axiom,
    ( ~ esk8305_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_8921,axiom,
    ( ~ p(X3)
    | esk2868_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1044_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_8922,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk5388_4(X1,X2,X3,X4) )).

cnf(i_0_8923,axiom,
    ( ~ esk9725_4(X1,X2,X3,X4)
    | esk9727_4(X1,X2,X3,X4) )).

cnf(i_0_8924,axiom,
    ( ~ esk6588_4(X1,X2,X3,X4)
    | esk6439_4(X1,X2,X3,X4) )).

cnf(i_0_8925,axiom,
    ( ~ esk6311_4(X1,X2,X3,X4)
    | esk6310_4(X1,X2,X3,X4)
    | esk6309_4(X1,X2,X3,X4) )).

cnf(i_0_8926,axiom,
    ( esk2493_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2508_4(X1,X2,X3,X4) )).

cnf(i_0_8927,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk9087_4(X1,X2,X3,X4)
    | ~ esk833_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_8928,axiom,
    ( esk8912_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_8929,axiom,
    ( esk6228_4(X1,X2,X3,X4)
    | ~ esk6164_4(X1,X2,X3,X4)
    | ~ esk6227_4(X1,X2,X3,X4) )).

cnf(i_0_8930,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6561_4(X1,X2,X3,X4) )).

cnf(i_0_8931,axiom,
    ( esk2637_4(X1,X2,X3,X4)
    | esk2636_4(X1,X2,X3,X4)
    | ~ esk2638_4(X1,X2,X3,X4) )).

cnf(i_0_8932,axiom,
    ( esk4531_4(X1,X2,X3,X4)
    | ~ esk4506_4(X1,X2,X3,X4) )).

cnf(i_0_8933,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk224_0
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_8934,axiom,
    ( ~ esk6569_4(X1,X2,X3,X4)
    | esk6071_4(X1,X2,X3,X4) )).

cnf(i_0_8935,axiom,
    ( esk9084_4(X1,X2,X3,X4)
    | ~ esk8921_4(X1,X2,X3,X4) )).

cnf(i_0_8936,axiom,
    ( esk4957_4(X1,X2,X3,X4)
    | ~ esk4956_4(X1,X2,X3,X4) )).

cnf(i_0_8937,axiom,
    ( p(X2)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ esk933_0
    | esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_8938,axiom,
    ( ~ esk6976_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_8939,axiom,
    ( ~ esk9123_4(X1,X2,X3,X4)
    | esk9112_4(X1,X2,X3,X4)
    | esk9151_4(X1,X2,X3,X4) )).

cnf(i_0_8940,axiom,
    ( esk7763_4(X1,X2,X3,X4)
    | esk7764_4(X1,X2,X3,X4)
    | ~ esk7765_4(X1,X2,X3,X4) )).

cnf(i_0_8941,axiom,
    ( ~ esk4525_4(X1,X2,X3,X4)
    | esk6625_4(X1,X2,X3,X4) )).

cnf(i_0_8942,axiom,
    ( esk8627_4(X1,X2,X3,X4)
    | ~ esk8625_4(X1,X2,X3,X4) )).

cnf(i_0_8943,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7367_4(X1,X2,X3,X4) )).

cnf(i_0_8944,axiom,
    ( esk9229_4(X1,X2,X3,X4)
    | ~ esk7922_4(X1,X2,X3,X4) )).

cnf(i_0_8945,axiom,
    ( ~ p(X1)
    | esk2_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_8946,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7158_4(X1,X2,X3,X4)
    | ~ esk7157_4(X1,X2,X3,X4) )).

cnf(i_0_8947,axiom,
    ( esk760_0
    | ~ p(X4)
    | ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_8948,axiom,
    ( ~ p(X4)
    | ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk2_0 )).

cnf(i_0_8949,axiom,
    ( ~ esk7330_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_8950,axiom,
    ( ~ esk4682_4(X1,X2,X3,X4)
    | esk4683_4(X1,X2,X3,X4)
    | ~ esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_8951,axiom,
    ( esk2451_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk727_0
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_8952,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | ~ esk5691_4(X1,X2,X3,X4) )).

cnf(i_0_8953,axiom,
    ( ~ esk6650_4(X1,X2,X3,X4)
    | esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_8954,axiom,
    ( ~ esk9086_4(X1,X2,X3,X4)
    | esk9586_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_8955,axiom,
    ( esk3796_4(X1,X2,X3,X4)
    | ~ esk3833_4(X1,X2,X3,X4) )).

cnf(i_0_8956,axiom,
    ( esk9200_4(X1,X2,X3,X4)
    | ~ esk9201_4(X1,X2,X3,X4) )).

cnf(i_0_8957,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_8958,axiom,
    ( ~ esk4356_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_8959,axiom,
    ( ~ esk6140_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_8960,axiom,
    ( esk9361_4(X1,X2,X3,X4)
    | ~ esk9355_4(X1,X2,X3,X4)
    | ~ esk9360_4(X1,X2,X3,X4) )).

cnf(i_0_8961,axiom,
    ( ~ esk5543_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_8962,axiom,
    ( esk231_0
    | ~ p(X3)
    | ~ esk8054_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_8963,axiom,
    ( esk847_0
    | p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_8964,axiom,
    ( ~ esk6610_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_8965,axiom,
    ( esk8428_4(X1,X2,X3,X4)
    | ~ esk8390_4(X1,X2,X3,X4)
    | ~ esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_8966,axiom,
    ( ~ esk5477_4(X1,X2,X3,X4)
    | esk5480_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_8967,axiom,
    ( p(X1)
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk473_0
    | p(X4) )).

cnf(i_0_8968,axiom,
    ( ~ esk4818_4(X1,X2,X3,X4)
    | ~ esk4928_4(X1,X2,X3,X4) )).

cnf(i_0_8969,axiom,
    ( esk6341_4(X1,X2,X3,X4)
    | ~ esk6339_4(X1,X2,X3,X4) )).

cnf(i_0_8970,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk119_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_8971,axiom,
    ( esk2508_4(X1,X2,X3,X4)
    | ~ esk2507_4(X1,X2,X3,X4) )).

cnf(i_0_8972,axiom,
    ( ~ esk3852_4(X1,X2,X3,X4)
    | esk5952_4(X1,X2,X3,X4) )).

cnf(i_0_8973,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9538_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_8974,axiom,
    ( esk4598_4(X1,X2,X3,X4)
    | ~ esk4575_4(X1,X2,X3,X4) )).

cnf(i_0_8975,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1736_4(X1,X2,X3,X4) )).

cnf(i_0_8976,axiom,
    ( ~ esk7612_4(X1,X2,X3,X4)
    | esk6979_4(X1,X2,X3,X4)
    | ~ esk6978_4(X1,X2,X3,X4) )).

cnf(i_0_8977,axiom,
    ( esk2998_4(X1,X2,X3,X4)
    | ~ esk2997_4(X1,X2,X3,X4) )).

cnf(i_0_8978,axiom,
    ( esk5226_4(X1,X2,X3,X4)
    | ~ esk5227_4(X1,X2,X3,X4) )).

cnf(i_0_8979,axiom,
    ( ~ p(X2)
    | esk1750_4(X1,X2,X3,X4)
    | ~ esk174_0
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_8980,axiom,
    ( esk7006_4(X1,X2,X3,X4)
    | ~ esk6973_4(X1,X2,X3,X4) )).

cnf(i_0_8981,axiom,
    ( esk5329_4(X1,X2,X3,X4)
    | ~ esk5328_4(X1,X2,X3,X4) )).

cnf(i_0_8982,axiom,
    ( esk2864_4(X1,X2,X3,X4)
    | esk3443_4(X1,X2,X3,X4)
    | ~ esk3442_4(X1,X2,X3,X4) )).

cnf(i_0_8983,axiom,
    ( esk557_0
    | ~ p(X2)
    | ~ esk2417_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_8984,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1657_4(X1,X2,X3,X4) )).

cnf(i_0_8985,axiom,
    ( ~ esk2746_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_8986,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk144_0
    | ~ esk8042_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_8987,axiom,
    ( ~ esk6596_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_8988,axiom,
    ( esk6514_4(X1,X2,X3,X4)
    | esk6515_4(X1,X2,X3,X4)
    | ~ esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_8989,axiom,
    ( esk8538_4(X1,X2,X3,X4)
    | ~ esk8535_4(X1,X2,X3,X4) )).

cnf(i_0_8990,axiom,
    ( esk6079_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_8991,axiom,
    ( esk7094_4(X1,X2,X3,X4)
    | ~ esk5899_4(X1,X2,X3,X4) )).

cnf(i_0_8992,axiom,
    ( esk5101_4(X1,X2,X3,X4)
    | ~ esk5099_4(X1,X2,X3,X4) )).

cnf(i_0_8993,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4241_4(X1,X2,X3,X4) )).

cnf(i_0_8994,axiom,
    ( esk5719_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_8995,axiom,
    ( ~ esk7105_4(X1,X2,X3,X4)
    | esk5809_4(X1,X2,X3,X4) )).

cnf(i_0_8996,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk824_0 )).

cnf(i_0_8997,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6266_4(X1,X2,X3,X4) )).

cnf(i_0_8998,axiom,
    ( esk8944_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_8999,axiom,
    ( esk3652_4(X1,X2,X3,X4)
    | ~ esk5017_4(X1,X2,X3,X4)
    | ~ esk3651_4(X1,X2,X3,X4) )).

cnf(i_0_9000,axiom,
    ( ~ esk9361_4(X1,X2,X3,X4)
    | esk9355_4(X1,X2,X3,X4) )).

cnf(i_0_9001,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2774_4(X1,X2,X3,X4) )).

cnf(i_0_9002,axiom,
    ( ~ esk4207_4(X1,X2,X3,X4)
    | esk4208_4(X1,X2,X3,X4) )).

cnf(i_0_9003,axiom,
    ( esk3778_4(X1,X2,X3,X4)
    | esk4633_4(X1,X2,X3,X4) )).

cnf(i_0_9004,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4645_4(X1,X2,X3,X4) )).

cnf(i_0_9005,axiom,
    ( ~ esk8922_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_9006,axiom,
    ( ~ esk5007_4(X1,X2,X3,X4)
    | esk3644_4(X1,X2,X3,X4)
    | ~ esk3643_4(X1,X2,X3,X4) )).

cnf(i_0_9007,axiom,
    ( esk1975_4(X1,X2,X3,X4)
    | ~ esk1976_4(X1,X2,X3,X4) )).

cnf(i_0_9008,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2544_4(X1,X2,X3,X4) )).

cnf(i_0_9009,axiom,
    ( ~ esk1442_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk38_0
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_9010,axiom,
    ( esk7211_4(X1,X2,X3,X4)
    | ~ esk7212_4(X1,X2,X3,X4)
    | esk7210_4(X1,X2,X3,X4) )).

cnf(i_0_9011,axiom,
    ( ~ esk8981_4(X1,X2,X3,X4)
    | esk8983_4(X1,X2,X3,X4) )).

cnf(i_0_9012,axiom,
    ( p(X2)
    | p(X3)
    | esk8138_4(X1,X2,X3,X4)
    | ~ esk259_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_9013,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3016_4(X1,X2,X3,X4) )).

cnf(i_0_9014,axiom,
    ( p(X1)
    | esk504_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9015,axiom,
    ( esk7871_4(X1,X2,X3,X4)
    | ~ esk7872_4(X1,X2,X3,X4)
    | esk7870_4(X1,X2,X3,X4) )).

cnf(i_0_9016,axiom,
    ( esk8745_4(X1,X2,X3,X4)
    | ~ esk8833_4(X1,X2,X3,X4) )).

cnf(i_0_9017,axiom,
    ( ~ esk2726_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_9018,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk1641_4(X1,X2,X3,X4)
    | esk100_0
    | p(X2)
    | p(X3) )).

cnf(i_0_9019,axiom,
    ( esk1955_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk347_0
    | ~ p(X3) )).

cnf(i_0_9020,axiom,
    ( ~ esk5710_4(X1,X2,X3,X4)
    | esk7096_4(X1,X2,X3,X4) )).

cnf(i_0_9021,axiom,
    ( ~ esk5300_4(X1,X2,X3,X4)
    | esk5301_4(X1,X2,X3,X4) )).

cnf(i_0_9022,axiom,
    ( esk4347_4(X1,X2,X3,X4)
    | ~ esk4345_4(X1,X2,X3,X4) )).

cnf(i_0_9023,axiom,
    ( ~ esk2894_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1194_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_9024,axiom,
    ( esk8214_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk317_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_9025,axiom,
    ( ~ esk1281_0
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_9026,axiom,
    ( esk6056_4(X1,X2,X3,X4)
    | ~ esk6055_4(X1,X2,X3,X4) )).

cnf(i_0_9027,axiom,
    ( ~ esk8088_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_9028,axiom,
    ( ~ esk3088_4(X1,X2,X3,X4)
    | esk3087_4(X1,X2,X3,X4) )).

cnf(i_0_9029,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk77_0
    | ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_9030,axiom,
    ( esk2025_4(X1,X2,X3,X4)
    | ~ esk2026_4(X1,X2,X3,X4) )).

cnf(i_0_9031,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9624_4(X1,X2,X3,X4) )).

cnf(i_0_9032,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6805_4(X1,X2,X3,X4) )).

cnf(i_0_9033,axiom,
    ( ~ esk9083_4(X1,X2,X3,X4)
    | esk9028_4(X1,X2,X3,X4) )).

cnf(i_0_9034,axiom,
    ( esk5956_4(X1,X2,X3,X4)
    | ~ esk5583_4(X1,X2,X3,X4) )).

cnf(i_0_9035,axiom,
    ( esk8726_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk8461_4(X1,X2,X3,X4) )).

cnf(i_0_9036,axiom,
    ( esk3077_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9037,axiom,
    ( ~ esk8571_4(X1,X2,X3,X4)
    | esk8495_4(X1,X2,X3,X4) )).

cnf(i_0_9038,axiom,
    ( ~ esk7372_4(X1,X2,X3,X4)
    | esk7371_4(X1,X2,X3,X4)
    | esk7370_4(X1,X2,X3,X4) )).

cnf(i_0_9039,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8632_4(X1,X2,X3,X4) )).

cnf(i_0_9040,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | esk2880_4(X1,X2,X3,X4)
    | ~ esk1135_0 )).

cnf(i_0_9041,axiom,
    ( esk9259_4(X1,X2,X3,X4)
    | ~ esk9257_4(X1,X2,X3,X4) )).

cnf(i_0_9042,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4110_4(X1,X2,X3,X4) )).

cnf(i_0_9043,axiom,
    ( ~ esk738_0
    | p(X3)
    | p(X1)
    | esk8749_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_9044,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3089_4(X1,X2,X3,X4) )).

cnf(i_0_9045,axiom,
    ( esk5485_4(X1,X2,X3,X4)
    | ~ esk5488_4(X1,X2,X3,X4) )).

cnf(i_0_9046,axiom,
    ( ~ esk5977_4(X1,X2,X3,X4)
    | esk5994_4(X1,X2,X3,X4) )).

cnf(i_0_9047,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9035_4(X1,X2,X3,X4) )).

cnf(i_0_9048,axiom,
    ( ~ esk3209_4(X1,X2,X3,X4)
    | esk3210_4(X1,X2,X3,X4) )).

cnf(i_0_9049,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | esk7638_4(X1,X2,X3,X4)
    | ~ esk7062_4(X1,X2,X3,X4) )).

cnf(i_0_9050,axiom,
    ( ~ p(X4)
    | ~ esk564_0
    | ~ p(X2)
    | ~ p(X3)
    | esk2419_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_9051,axiom,
    ( esk4909_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_9052,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6746_4(X1,X2,X3,X4) )).

cnf(i_0_9053,axiom,
    ( ~ esk3528_4(X1,X2,X3,X4)
    | esk3860_4(X1,X2,X3,X4)
    | ~ esk3630_4(X1,X2,X3,X4) )).

cnf(i_0_9054,axiom,
    ( ~ esk4909_4(X1,X2,X3,X4)
    | esk4878_4(X1,X2,X3,X4) )).

cnf(i_0_9055,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1153_0
    | p(X4)
    | p(X2)
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_9056,axiom,
    ( esk8653_4(X1,X2,X3,X4)
    | ~ esk8652_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_9057,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4337_4(X1,X2,X3,X4)
    | ~ esk4524_4(X1,X2,X3,X4) )).

cnf(i_0_9058,axiom,
    ( esk8047_4(X1,X2,X3,X4)
    | ~ esk7686_4(X1,X2,X3,X4) )).

cnf(i_0_9059,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4)
    | esk3286_4(X1,X2,X3,X4) )).

cnf(i_0_9060,axiom,
    ( esk5385_4(X1,X2,X3,X4)
    | ~ esk4051_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_9061,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X3)
    | esk1099_0
    | p(X2)
    | ~ esk9172_4(X1,X2,X3,X4) )).

cnf(i_0_9062,axiom,
    ( ~ esk8112_4(X1,X2,X3,X4)
    | esk8111_4(X1,X2,X3,X4) )).

cnf(i_0_9063,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk13_0
    | p(X2)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_9064,axiom,
    ( esk2642_4(X1,X2,X3,X4)
    | ~ esk2641_4(X1,X2,X3,X4) )).

cnf(i_0_9065,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk848_0 )).

cnf(i_0_9066,axiom,
    ( esk6917_4(X1,X2,X3,X4)
    | ~ esk7052_4(X1,X2,X3,X4) )).

cnf(i_0_9067,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | ~ esk5088_4(X1,X2,X3,X4) )).

cnf(i_0_9068,axiom,
    ( ~ esk12_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_9069,axiom,
    ( ~ esk3773_4(X1,X2,X3,X4)
    | esk3775_4(X1,X2,X3,X4) )).

cnf(i_0_9070,axiom,
    ( ~ esk4865_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_9071,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8856_4(X1,X2,X3,X4) )).

cnf(i_0_9072,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | esk930_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_9073,axiom,
    ( esk8389_4(X1,X2,X3,X4)
    | ~ esk7717_4(X1,X2,X3,X4) )).

cnf(i_0_9074,axiom,
    ( ~ esk4871_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_9075,axiom,
    ( ~ esk6571_4(X1,X2,X3,X4)
    | esk6570_4(X1,X2,X3,X4) )).

cnf(i_0_9076,axiom,
    ( ~ esk6535_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_9077,axiom,
    ( esk9040_4(X1,X2,X3,X4)
    | ~ esk9039_4(X1,X2,X3,X4) )).

cnf(i_0_9078,axiom,
    ( ~ esk9450_4(X1,X2,X3,X4)
    | esk9451_4(X1,X2,X3,X4) )).

cnf(i_0_9079,axiom,
    ( ~ esk2737_4(X1,X2,X3,X4)
    | esk2739_4(X1,X2,X3,X4) )).

cnf(i_0_9080,axiom,
    ( ~ esk9621_4(X1,X2,X3,X4)
    | esk9620_4(X1,X2,X3,X4) )).

cnf(i_0_9081,axiom,
    ( ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | esk574_0
    | p(X2) )).

cnf(i_0_9082,axiom,
    ( ~ esk3042_4(X1,X2,X3,X4)
    | esk3041_4(X1,X2,X3,X4)
    | esk3040_4(X1,X2,X3,X4) )).

cnf(i_0_9083,axiom,
    ( ~ esk4581_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4)
    | ~ esk3534_4(X1,X2,X3,X4) )).

cnf(i_0_9084,axiom,
    ( esk9597_4(X1,X2,X3,X4)
    | ~ esk9596_4(X1,X2,X3,X4)
    | esk9591_4(X1,X2,X3,X4) )).

cnf(i_0_9085,axiom,
    ( ~ esk2492_4(X1,X2,X3,X4)
    | esk2494_4(X1,X2,X3,X4) )).

cnf(i_0_9086,axiom,
    ( esk1918_4(X1,X2,X3,X4)
    | ~ esk1411_4(X1,X2,X3,X4) )).

cnf(i_0_9087,axiom,
    ( ~ esk8912_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_9088,axiom,
    ( esk4799_4(X1,X2,X3,X4)
    | ~ esk4798_4(X1,X2,X3,X4)
    | ~ esk4619_4(X1,X2,X3,X4) )).

cnf(i_0_9089,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8420_4(X1,X2,X3,X4)
    | ~ esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_9090,axiom,
    ( ~ esk7167_4(X1,X2,X3,X4)
    | esk7164_4(X1,X2,X3,X4) )).

cnf(i_0_9091,axiom,
    ( esk9320_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_9092,axiom,
    ( ~ esk6929_4(X1,X2,X3,X4)
    | esk6928_4(X1,X2,X3,X4)
    | esk6927_4(X1,X2,X3,X4) )).

cnf(i_0_9093,axiom,
    ( ~ esk7773_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4)
    | esk7790_4(X1,X2,X3,X4) )).

cnf(i_0_9094,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4590_4(X1,X2,X3,X4) )).

cnf(i_0_9095,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | esk6940_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_9096,axiom,
    ( ~ esk3096_4(X1,X2,X3,X4)
    | esk3095_4(X1,X2,X3,X4) )).

cnf(i_0_9097,axiom,
    ( esk8050_4(X1,X2,X3,X4)
    | ~ esk206_0
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_9098,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6463_4(X1,X2,X3,X4) )).

cnf(i_0_9099,axiom,
    ( esk5149_4(X1,X2,X3,X4)
    | ~ esk5152_4(X1,X2,X3,X4) )).

cnf(i_0_9100,axiom,
    ( esk9017_4(X1,X2,X3,X4)
    | ~ esk9018_4(X1,X2,X3,X4) )).

cnf(i_0_9101,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk1881_4(X1,X2,X3,X4) )).

cnf(i_0_9102,axiom,
    ( esk1497_4(X1,X2,X3,X4)
    | esk1496_4(X1,X2,X3,X4)
    | ~ esk1498_4(X1,X2,X3,X4) )).

cnf(i_0_9103,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ esk8723_4(X1,X2,X3,X4)
    | esk630_0
    | ~ p(X2) )).

cnf(i_0_9104,axiom,
    ( esk2571_4(X1,X2,X3,X4)
    | ~ esk2510_4(X1,X2,X3,X4) )).

cnf(i_0_9105,axiom,
    ( esk4222_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4189_4(X1,X2,X3,X4) )).

cnf(i_0_9106,axiom,
    ( ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | esk521_0
    | ~ p(X4) )).

cnf(i_0_9107,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk5_0
    | p(X1)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_9108,axiom,
    ( esk4643_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_9109,axiom,
    ( esk5029_4(X1,X2,X3,X4)
    | ~ esk5024_4(X1,X2,X3,X4) )).

cnf(i_0_9110,axiom,
    ( ~ esk2116_4(X1,X2,X3,X4)
    | esk2117_4(X1,X2,X3,X4) )).

cnf(i_0_9111,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7515_4(X1,X2,X3,X4)
    | ~ esk7512_4(X1,X2,X3,X4) )).

cnf(i_0_9112,axiom,
    ( ~ esk1664_4(X1,X2,X3,X4)
    | esk1663_4(X1,X2,X3,X4)
    | esk1662_4(X1,X2,X3,X4) )).

cnf(i_0_9113,axiom,
    ( ~ esk4406_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk4002_4(X1,X2,X3,X4) )).

cnf(i_0_9114,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk3289_4(X1,X2,X3,X4) )).

cnf(i_0_9115,axiom,
    ( esk8621_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8620_4(X1,X2,X3,X4) )).

cnf(i_0_9116,axiom,
    ( ~ esk2932_4(X1,X2,X3,X4)
    | ~ esk1624_4(X1,X2,X3,X4)
    | esk1625_4(X1,X2,X3,X4) )).

cnf(i_0_9117,axiom,
    ( ~ esk7855_4(X1,X2,X3,X4)
    | esk7856_4(X1,X2,X3,X4) )).

cnf(i_0_9118,axiom,
    ( esk4274_4(X1,X2,X3,X4)
    | ~ esk4275_4(X1,X2,X3,X4) )).

cnf(i_0_9119,axiom,
    ( ~ esk1806_4(X1,X2,X3,X4)
    | esk1808_4(X1,X2,X3,X4) )).

cnf(i_0_9120,axiom,
    ( ~ esk8269_4(X1,X2,X3,X4)
    | esk8268_4(X1,X2,X3,X4) )).

cnf(i_0_9121,axiom,
    ( ~ esk1226_0
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_9122,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk598_0
    | ~ p(X1)
    | p(X4)
    | ~ esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_9123,axiom,
    ( esk7097_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_9124,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk1058_0
    | ~ p(X4)
    | esk9166_4(X1,X2,X3,X4) )).

cnf(i_0_9125,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk1215_0
    | ~ esk2898_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_9126,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | esk1121_0
    | ~ esk9174_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_9127,axiom,
    ( esk1406_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_9128,axiom,
    ( ~ esk8162_4(X1,X2,X3,X4)
    | esk8161_4(X1,X2,X3,X4) )).

cnf(i_0_9129,axiom,
    ( ~ esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | esk434_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_9130,axiom,
    ( esk6448_4(X1,X2,X3,X4)
    | ~ esk6194_4(X1,X2,X3,X4) )).

cnf(i_0_9131,axiom,
    ( ~ esk6469_4(X1,X2,X3,X4)
    | esk6470_4(X1,X2,X3,X4) )).

cnf(i_0_9132,axiom,
    ( esk7692_4(X1,X2,X3,X4)
    | ~ esk9175_4(X1,X2,X3,X4) )).

cnf(i_0_9133,axiom,
    ( ~ esk7992_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8163_4(X1,X2,X3,X4) )).

cnf(i_0_9134,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk8217_4(X1,X2,X3,X4) )).

cnf(i_0_9135,axiom,
    ( esk9470_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9136,axiom,
    ( esk8314_4(X1,X2,X3,X4)
    | ~ esk8312_4(X1,X2,X3,X4) )).

cnf(i_0_9137,axiom,
    ( ~ esk5370_4(X1,X2,X3,X4)
    | esk4536_4(X1,X2,X3,X4)
    | esk4466_4(X1,X2,X3,X4) )).

cnf(i_0_9138,axiom,
    ( ~ esk9167_4(X1,X2,X3,X4)
    | esk7697_4(X1,X2,X3,X4) )).

cnf(i_0_9139,axiom,
    ( esk8620_4(X1,X2,X3,X4)
    | ~ esk8621_4(X1,X2,X3,X4) )).

cnf(i_0_9140,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk3431_4(X1,X2,X3,X4) )).

cnf(i_0_9141,axiom,
    ( esk7409_4(X1,X2,X3,X4)
    | ~ esk7410_4(X1,X2,X3,X4) )).

cnf(i_0_9142,axiom,
    ( ~ esk2535_4(X1,X2,X3,X4)
    | esk2534_4(X1,X2,X3,X4) )).

cnf(i_0_9143,axiom,
    ( esk1723_4(X1,X2,X3,X4)
    | ~ esk1721_4(X1,X2,X3,X4) )).

cnf(i_0_9144,axiom,
    ( esk228_0
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_9145,axiom,
    ( ~ esk5711_4(X1,X2,X3,X4)
    | esk5680_4(X1,X2,X3,X4) )).

cnf(i_0_9146,axiom,
    ( esk8200_4(X1,X2,X3,X4)
    | ~ esk8201_4(X1,X2,X3,X4)
    | esk8199_4(X1,X2,X3,X4) )).

cnf(i_0_9147,axiom,
    ( ~ esk9100_4(X1,X2,X3,X4)
    | esk8851_4(X1,X2,X3,X4) )).

cnf(i_0_9148,axiom,
    ( ~ esk2980_4(X1,X2,X3,X4)
    | esk2979_4(X1,X2,X3,X4) )).

cnf(i_0_9149,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5214_4(X1,X2,X3,X4) )).

cnf(i_0_9150,axiom,
    ( ~ esk2817_4(X1,X2,X3,X4)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_9151,axiom,
    ( esk8377_4(X1,X2,X3,X4)
    | ~ esk8378_4(X1,X2,X3,X4) )).

cnf(i_0_9152,axiom,
    ( esk2117_4(X1,X2,X3,X4)
    | ~ esk2115_4(X1,X2,X3,X4) )).

cnf(i_0_9153,axiom,
    ( esk8005_4(X1,X2,X3,X4)
    | ~ esk9124_4(X1,X2,X3,X4) )).

cnf(i_0_9154,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1096_0 )).

cnf(i_0_9155,axiom,
    ( ~ esk4124_4(X1,X2,X3,X4)
    | esk4125_4(X1,X2,X3,X4)
    | ~ esk4437_4(X1,X2,X3,X4) )).

cnf(i_0_9156,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8206_4(X1,X2,X3,X4) )).

cnf(i_0_9157,axiom,
    ( esk584_0
    | ~ p(X3)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9158,axiom,
    ( ~ esk8102_4(X1,X2,X3,X4)
    | esk8103_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_9159,axiom,
    ( esk3590_4(X1,X2,X3,X4)
    | ~ esk3591_4(X1,X2,X3,X4) )).

cnf(i_0_9160,axiom,
    ( esk3463_4(X1,X2,X3,X4)
    | ~ esk4656_4(X1,X2,X3,X4) )).

cnf(i_0_9161,axiom,
    ( ~ esk5331_4(X1,X2,X3,X4)
    | esk5325_4(X1,X2,X3,X4) )).

cnf(i_0_9162,axiom,
    ( ~ p(X4)
    | esk623_0
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_9163,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | ~ esk3446_4(X1,X2,X3,X4) )).

cnf(i_0_9164,axiom,
    ( esk9552_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9165,axiom,
    ( esk1945_4(X1,X2,X3,X4)
    | ~ esk1914_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_9166,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk1022_0
    | ~ p(X1)
    | esk2815_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9167,axiom,
    ( esk7982_4(X1,X2,X3,X4)
    | ~ esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_9168,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk6382_4(X1,X2,X3,X4)
    | ~ esk6381_4(X1,X2,X3,X4) )).

cnf(i_0_9169,axiom,
    ( ~ esk6380_4(X1,X2,X3,X4)
    | esk6379_4(X1,X2,X3,X4)
    | esk6378_4(X1,X2,X3,X4) )).

cnf(i_0_9170,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk5969_4(X1,X2,X3,X4) )).

cnf(i_0_9171,axiom,
    ( ~ esk1105_0
    | ~ p(X2)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_9172,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4432_4(X1,X2,X3,X4) )).

cnf(i_0_9173,axiom,
    ( esk6956_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_9174,axiom,
    ( ~ esk3118_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk3121_4(X1,X2,X3,X4) )).

cnf(i_0_9175,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2780_4(X1,X2,X3,X4) )).

cnf(i_0_9176,axiom,
    ( esk7208_4(X1,X2,X3,X4)
    | ~ esk7211_4(X1,X2,X3,X4) )).

cnf(i_0_9177,axiom,
    ( esk2330_4(X1,X2,X3,X4)
    | ~ esk2301_4(X1,X2,X3,X4) )).

cnf(i_0_9178,axiom,
    ( esk2547_4(X1,X2,X3,X4)
    | ~ esk2546_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_9179,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5870_4(X1,X2,X3,X4) )).

cnf(i_0_9180,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9448_4(X1,X2,X3,X4) )).

cnf(i_0_9181,axiom,
    ( esk3268_4(X1,X2,X3,X4)
    | ~ esk3270_4(X1,X2,X3,X4)
    | esk3269_4(X1,X2,X3,X4) )).

cnf(i_0_9182,axiom,
    ( ~ esk2000_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9183,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk400_0
    | p(X3)
    | esk2022_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_9184,axiom,
    ( ~ esk4025_4(X1,X2,X3,X4)
    | esk4026_4(X1,X2,X3,X4) )).

cnf(i_0_9185,axiom,
    ( ~ esk1_0
    | ~ p(X4)
    | ~ p(X3)
    | esk8138_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_9186,axiom,
    ( ~ esk4176_4(X1,X2,X3,X4)
    | esk4178_4(X1,X2,X3,X4) )).

cnf(i_0_9187,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | esk2199_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_9188,axiom,
    ( esk8768_4(X1,X2,X3,X4)
    | ~ esk8769_4(X1,X2,X3,X4) )).

cnf(i_0_9189,axiom,
    ( esk2589_4(X1,X2,X3,X4)
    | ~ esk3302_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_9190,axiom,
    ( esk8389_4(X1,X2,X3,X4)
    | ~ esk8213_4(X1,X2,X3,X4)
    | esk8740_4(X1,X2,X3,X4) )).

cnf(i_0_9191,axiom,
    ( esk4069_4(X1,X2,X3,X4)
    | ~ esk4067_4(X1,X2,X3,X4) )).

cnf(i_0_9192,axiom,
    ( esk5362_4(X1,X2,X3,X4)
    | ~ esk5363_4(X1,X2,X3,X4) )).

cnf(i_0_9193,axiom,
    ( esk9358_4(X1,X2,X3,X4)
    | esk9357_4(X1,X2,X3,X4)
    | ~ esk9359_4(X1,X2,X3,X4) )).

cnf(i_0_9194,axiom,
    ( ~ p(X4)
    | ~ esk599_0
    | esk8719_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_9195,axiom,
    ( ~ esk2883_4(X1,X2,X3,X4)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_9196,axiom,
    ( ~ esk6274_4(X1,X2,X3,X4)
    | esk6275_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_9197,axiom,
    ( esk2995_4(X1,X2,X3,X4)
    | ~ esk2996_4(X1,X2,X3,X4) )).

cnf(i_0_9198,axiom,
    ( esk3858_4(X1,X2,X3,X4)
    | ~ esk3843_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_9199,axiom,
    ( esk3447_4(X1,X2,X3,X4)
    | ~ esk3446_4(X1,X2,X3,X4) )).

cnf(i_0_9200,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | esk7931_4(X1,X2,X3,X4)
    | ~ esk7868_4(X1,X2,X3,X4) )).

cnf(i_0_9201,axiom,
    ( ~ esk7895_4(X1,X2,X3,X4)
    | esk7896_4(X1,X2,X3,X4) )).

cnf(i_0_9202,axiom,
    ( esk8796_4(X1,X2,X3,X4)
    | ~ esk8773_4(X1,X2,X3,X4) )).

cnf(i_0_9203,axiom,
    ( ~ esk3511_4(X1,X2,X3,X4)
    | esk4054_4(X1,X2,X3,X4) )).

cnf(i_0_9204,axiom,
    ( esk9593_4(X1,X2,X3,X4)
    | ~ esk9591_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_9205,axiom,
    ( ~ esk3024_4(X1,X2,X3,X4)
    | esk3018_4(X1,X2,X3,X4) )).

cnf(i_0_9206,axiom,
    ( esk2636_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk2635_4(X1,X2,X3,X4) )).

cnf(i_0_9207,axiom,
    ( ~ esk5107_4(X1,X2,X3,X4)
    | esk5106_4(X1,X2,X3,X4) )).

cnf(i_0_9208,axiom,
    ( ~ esk8559_4(X1,X2,X3,X4)
    | esk8406_4(X1,X2,X3,X4) )).

cnf(i_0_9209,axiom,
    ( ~ esk4513_4(X1,X2,X3,X4)
    | esk4514_4(X1,X2,X3,X4) )).

cnf(i_0_9210,axiom,
    ( esk2051_4(X1,X2,X3,X4)
    | esk2053_4(X1,X2,X3,X4)
    | esk2052_4(X1,X2,X3,X4)
    | ~ esk2054_4(X1,X2,X3,X4) )).

cnf(i_0_9211,axiom,
    ( ~ esk9002_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_9212,axiom,
    ( esk3498_4(X1,X2,X3,X4)
    | ~ esk4971_4(X1,X2,X3,X4) )).

cnf(i_0_9213,axiom,
    ( ~ esk2_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_9214,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6521_4(X1,X2,X3,X4) )).

cnf(i_0_9215,axiom,
    ( ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7849_4(X1,X2,X3,X4) )).

cnf(i_0_9216,axiom,
    ( ~ esk8953_4(X1,X2,X3,X4)
    | esk8955_4(X1,X2,X3,X4) )).

cnf(i_0_9217,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8482_4(X1,X2,X3,X4) )).

cnf(i_0_9218,axiom,
    ( esk4312_4(X1,X2,X3,X4)
    | ~ esk4587_4(X1,X2,X3,X4) )).

cnf(i_0_9219,axiom,
    ( esk3051_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_9220,axiom,
    ( ~ esk2385_4(X1,X2,X3,X4)
    | esk2387_4(X1,X2,X3,X4) )).

cnf(i_0_9221,axiom,
    ( esk4340_4(X1,X2,X3,X4)
    | ~ esk4489_4(X1,X2,X3,X4) )).

cnf(i_0_9222,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk785_0 )).

cnf(i_0_9223,axiom,
    ( esk8482_4(X1,X2,X3,X4)
    | esk8481_4(X1,X2,X3,X4)
    | ~ esk8483_4(X1,X2,X3,X4) )).

cnf(i_0_9224,axiom,
    ( ~ esk8735_4(X1,X2,X3,X4)
    | esk9020_4(X1,X2,X3,X4) )).

cnf(i_0_9225,axiom,
    ( ~ esk7455_4(X1,X2,X3,X4)
    | esk7456_4(X1,X2,X3,X4) )).

cnf(i_0_9226,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk1787_4(X1,X2,X3,X4) )).

cnf(i_0_9227,axiom,
    ( ~ esk2965_4(X1,X2,X3,X4)
    | esk2966_4(X1,X2,X3,X4) )).

cnf(i_0_9228,axiom,
    ( ~ esk2571_4(X1,X2,X3,X4)
    | esk1685_4(X1,X2,X3,X4) )).

cnf(i_0_9229,axiom,
    ( ~ esk1483_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_9230,axiom,
    ( esk7117_4(X1,X2,X3,X4)
    | ~ esk6677_4(X1,X2,X3,X4) )).

cnf(i_0_9231,axiom,
    ( p(X4)
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | esk531_0
    | p(X1) )).

cnf(i_0_9232,axiom,
    ( esk7019_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_9233,axiom,
    ( ~ esk9421_4(X1,X2,X3,X4)
    | esk9407_4(X1,X2,X3,X4) )).

cnf(i_0_9234,axiom,
    ( esk6246_4(X1,X2,X3,X4)
    | ~ esk6244_4(X1,X2,X3,X4) )).

cnf(i_0_9235,axiom,
    ( ~ esk8488_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9236,axiom,
    ( p(X1)
    | esk185_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1752_4(X1,X2,X3,X4) )).

cnf(i_0_9237,axiom,
    ( ~ esk8355_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8346_4(X1,X2,X3,X4) )).

cnf(i_0_9238,axiom,
    ( esk5937_4(X1,X2,X3,X4)
    | ~ esk7122_4(X1,X2,X3,X4) )).

cnf(i_0_9239,axiom,
    ( ~ esk9299_4(X1,X2,X3,X4)
    | esk9298_4(X1,X2,X3,X4)
    | esk9297_4(X1,X2,X3,X4) )).

cnf(i_0_9240,axiom,
    ( esk5009_4(X1,X2,X3,X4)
    | ~ esk3555_4(X1,X2,X3,X4)
    | ~ esk5008_4(X1,X2,X3,X4) )).

cnf(i_0_9241,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk190_0 )).

cnf(i_0_9242,axiom,
    ( ~ esk8667_4(X1,X2,X3,X4)
    | esk8668_4(X1,X2,X3,X4) )).

cnf(i_0_9243,axiom,
    ( ~ p(X1)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk1181_0
    | p(X2) )).

cnf(i_0_9244,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | esk4682_4(X1,X2,X3,X4) )).

cnf(i_0_9245,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7321_4(X1,X2,X3,X4) )).

cnf(i_0_9246,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7220_4(X1,X2,X3,X4)
    | esk7223_4(X1,X2,X3,X4) )).

cnf(i_0_9247,axiom,
    ( ~ esk8122_4(X1,X2,X3,X4)
    | ~ esk8791_4(X1,X2,X3,X4)
    | esk8123_4(X1,X2,X3,X4) )).

cnf(i_0_9248,axiom,
    ( ~ esk8004_4(X1,X2,X3,X4)
    | esk7943_4(X1,X2,X3,X4) )).

cnf(i_0_9249,axiom,
    ( ~ esk8465_4(X1,X2,X3,X4)
    | esk8467_4(X1,X2,X3,X4) )).

cnf(i_0_9250,axiom,
    ( esk2676_4(X1,X2,X3,X4)
    | esk2677_4(X1,X2,X3,X4)
    | ~ esk2678_4(X1,X2,X3,X4) )).

cnf(i_0_9251,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1315_0 )).

cnf(i_0_9252,axiom,
    ( p(X4)
    | esk76_0
    | ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9253,axiom,
    ( ~ esk6653_4(X1,X2,X3,X4)
    | esk7069_4(X1,X2,X3,X4) )).

cnf(i_0_9254,axiom,
    ( ~ esk241_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9255,axiom,
    ( p(X1)
    | esk1234_0
    | p(X2)
    | ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9256,axiom,
    ( p(X1)
    | p(X2)
    | esk2811_4(X1,X2,X3,X4)
    | ~ esk980_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_9257,axiom,
    ( esk2909_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_9258,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk1965_4(X1,X2,X3,X4) )).

cnf(i_0_9259,axiom,
    ( esk8750_4(X1,X2,X3,X4)
    | ~ esk7816_4(X1,X2,X3,X4) )).

cnf(i_0_9260,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5116_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_9261,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk249_0
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_9262,axiom,
    ( esk8924_4(X1,X2,X3,X4)
    | ~ esk8925_4(X1,X2,X3,X4) )).

cnf(i_0_9263,axiom,
    ( ~ esk6155_4(X1,X2,X3,X4)
    | esk6520_4(X1,X2,X3,X4) )).

cnf(i_0_9264,axiom,
    ( ~ esk9002_4(X1,X2,X3,X4)
    | esk8846_4(X1,X2,X3,X4) )).

cnf(i_0_9265,axiom,
    ( ~ p(X1)
    | ~ esk9252_4(X1,X2,X3,X4)
    | esk1332_0
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_9266,axiom,
    ( esk8435_4(X1,X2,X3,X4)
    | esk8434_4(X1,X2,X3,X4)
    | ~ esk8436_4(X1,X2,X3,X4) )).

cnf(i_0_9267,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8626_4(X1,X2,X3,X4) )).

cnf(i_0_9268,axiom,
    ( esk9310_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9307_4(X1,X2,X3,X4) )).

cnf(i_0_9269,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk1_0
    | ~ esk2092_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_9270,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8916_4(X1,X2,X3,X4) )).

cnf(i_0_9271,axiom,
    ( esk1118_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk9174_4(X1,X2,X3,X4) )).

cnf(i_0_9272,axiom,
    ( esk2654_4(X1,X2,X3,X4)
    | ~ esk2653_4(X1,X2,X3,X4) )).

cnf(i_0_9273,axiom,
    ( esk2256_4(X1,X2,X3,X4)
    | ~ esk2254_4(X1,X2,X3,X4) )).

cnf(i_0_9274,axiom,
    ( esk5842_4(X1,X2,X3,X4)
    | ~ esk7005_4(X1,X2,X3,X4) )).

cnf(i_0_9275,axiom,
    ( ~ esk3984_4(X1,X2,X3,X4)
    | ~ esk4534_4(X1,X2,X3,X4)
    | esk4152_4(X1,X2,X3,X4) )).

cnf(i_0_9276,axiom,
    ( esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_9277,axiom,
    ( esk3223_4(X1,X2,X3,X4)
    | ~ esk3224_4(X1,X2,X3,X4) )).

cnf(i_0_9278,axiom,
    ( esk2467_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_9279,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | esk255_0
    | ~ esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_9280,axiom,
    ( ~ esk5240_4(X1,X2,X3,X4)
    | esk5241_4(X1,X2,X3,X4) )).

cnf(i_0_9281,axiom,
    ( esk249_0
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_9282,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk979_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_9283,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk5981_4(X1,X2,X3,X4) )).

cnf(i_0_9284,axiom,
    ( esk8685_4(X1,X2,X3,X4)
    | ~ esk8686_4(X1,X2,X3,X4) )).

cnf(i_0_9285,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk35_0
    | esk7738_4(X1,X2,X3,X4) )).

cnf(i_0_9286,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4845_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_9287,axiom,
    ( esk5895_4(X1,X2,X3,X4)
    | ~ esk6067_4(X1,X2,X3,X4) )).

cnf(i_0_9288,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_9289,axiom,
    ( esk5507_4(X1,X2,X3,X4)
    | ~ esk5506_4(X1,X2,X3,X4)
    | ~ esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_9290,axiom,
    ( ~ esk2856_4(X1,X2,X3,X4)
    | esk2855_4(X1,X2,X3,X4) )).

cnf(i_0_9291,axiom,
    ( esk4364_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9292,axiom,
    ( esk6512_4(X1,X2,X3,X4)
    | ~ esk6480_4(X1,X2,X3,X4)
    | ~ esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_9293,axiom,
    ( esk9002_4(X1,X2,X3,X4)
    | esk9001_4(X1,X2,X3,X4)
    | ~ esk9003_4(X1,X2,X3,X4) )).

cnf(i_0_9294,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4207_4(X1,X2,X3,X4) )).

cnf(i_0_9295,axiom,
    ( esk7367_4(X1,X2,X3,X4)
    | ~ esk7368_4(X1,X2,X3,X4)
    | esk7366_4(X1,X2,X3,X4) )).

cnf(i_0_9296,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2230_4(X1,X2,X3,X4) )).

cnf(i_0_9297,axiom,
    ( ~ p(X3)
    | ~ esk1289_0
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_9298,axiom,
    ( esk3751_4(X1,X2,X3,X4)
    | esk5549_4(X1,X2,X3,X4) )).

cnf(i_0_9299,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6081_4(X1,X2,X3,X4)
    | esk6612_4(X1,X2,X3,X4) )).

cnf(i_0_9300,axiom,
    ( esk8999_4(X1,X2,X3,X4)
    | ~ esk9693_4(X1,X2,X3,X4) )).

cnf(i_0_9301,axiom,
    ( ~ esk1563_4(X1,X2,X3,X4)
    | esk1626_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_9302,axiom,
    ( ~ esk6855_4(X1,X2,X3,X4)
    | esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_9303,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | esk4395_4(X1,X2,X3,X4) )).

cnf(i_0_9304,axiom,
    ( esk7540_4(X1,X2,X3,X4)
    | ~ esk6955_4(X1,X2,X3,X4) )).

cnf(i_0_9305,axiom,
    ( esk2686_4(X1,X2,X3,X4)
    | ~ esk2684_4(X1,X2,X3,X4) )).

cnf(i_0_9306,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk219_0
    | p(X1)
    | ~ esk1756_4(X1,X2,X3,X4) )).

cnf(i_0_9307,axiom,
    ( esk5651_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_9308,axiom,
    ( esk5111_4(X1,X2,X3,X4)
    | ~ esk5113_4(X1,X2,X3,X4)
    | esk5112_4(X1,X2,X3,X4) )).

cnf(i_0_9309,axiom,
    ( ~ esk3388_4(X1,X2,X3,X4)
    | esk2698_4(X1,X2,X3,X4) )).

cnf(i_0_9310,axiom,
    ( esk6910_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6909_4(X1,X2,X3,X4) )).

cnf(i_0_9311,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | ~ esk1683_4(X1,X2,X3,X4) )).

cnf(i_0_9312,axiom,
    ( esk8044_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk156_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_9313,axiom,
    ( ~ esk5781_4(X1,X2,X3,X4)
    | esk7071_4(X1,X2,X3,X4) )).

cnf(i_0_9314,axiom,
    ( esk582_0
    | p(X2)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9315,axiom,
    ( esk9448_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_9316,axiom,
    ( esk7588_4(X1,X2,X3,X4)
    | ~ esk7586_4(X1,X2,X3,X4) )).

cnf(i_0_9317,axiom,
    ( ~ esk9525_4(X1,X2,X3,X4)
    | esk9524_4(X1,X2,X3,X4) )).

cnf(i_0_9318,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | esk365_0
    | p(X2)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_9319,axiom,
    ( ~ esk3065_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_9320,axiom,
    ( ~ esk6719_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_9321,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8926_4(X1,X2,X3,X4) )).

cnf(i_0_9322,axiom,
    ( ~ esk8477_4(X1,X2,X3,X4)
    | esk8476_4(X1,X2,X3,X4) )).

cnf(i_0_9323,axiom,
    ( esk8483_4(X1,X2,X3,X4)
    | ~ esk8482_4(X1,X2,X3,X4) )).

cnf(i_0_9324,axiom,
    ( ~ esk7983_4(X1,X2,X3,X4)
    | esk9187_4(X1,X2,X3,X4) )).

cnf(i_0_9325,axiom,
    ( esk4154_4(X1,X2,X3,X4)
    | esk4534_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_9326,axiom,
    ( esk8605_4(X1,X2,X3,X4)
    | ~ esk8606_4(X1,X2,X3,X4) )).

cnf(i_0_9327,axiom,
    ( ~ esk2821_4(X1,X2,X3,X4)
    | esk2823_4(X1,X2,X3,X4) )).

cnf(i_0_9328,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4243_4(X1,X2,X3,X4) )).

cnf(i_0_9329,axiom,
    ( ~ esk4017_4(X1,X2,X3,X4)
    | esk1917_4(X1,X2,X3,X4) )).

cnf(i_0_9330,axiom,
    ( ~ p(X3)
    | ~ esk9228_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | esk1284_0 )).

cnf(i_0_9331,axiom,
    ( ~ esk8340_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_9332,axiom,
    ( ~ esk3866_4(X1,X2,X3,X4)
    | esk3867_4(X1,X2,X3,X4) )).

cnf(i_0_9333,axiom,
    ( ~ esk3898_4(X1,X2,X3,X4)
    | esk3899_4(X1,X2,X3,X4) )).

cnf(i_0_9334,axiom,
    ( esk7129_4(X1,X2,X3,X4)
    | ~ esk5825_4(X1,X2,X3,X4) )).

cnf(i_0_9335,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk206_0
    | p(X2)
    | ~ esk1754_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9336,axiom,
    ( esk5505_4(X1,X2,X3,X4)
    | ~ esk4824_4(X1,X2,X3,X4) )).

cnf(i_0_9337,axiom,
    ( esk1584_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_9338,axiom,
    ( ~ esk4748_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_9339,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8196_4(X1,X2,X3,X4) )).

cnf(i_0_9340,axiom,
    ( esk5264_4(X1,X2,X3,X4)
    | ~ esk5265_4(X1,X2,X3,X4)
    | esk5263_4(X1,X2,X3,X4) )).

cnf(i_0_9341,axiom,
    ( esk4396_4(X1,X2,X3,X4)
    | ~ esk4108_4(X1,X2,X3,X4)
    | ~ esk4395_4(X1,X2,X3,X4) )).

cnf(i_0_9342,axiom,
    ( ~ esk8806_4(X1,X2,X3,X4)
    | esk8807_4(X1,X2,X3,X4)
    | ~ esk8868_4(X1,X2,X3,X4) )).

cnf(i_0_9343,axiom,
    ( ~ esk7040_4(X1,X2,X3,X4)
    | esk7039_4(X1,X2,X3,X4) )).

cnf(i_0_9344,axiom,
    ( esk2300_4(X1,X2,X3,X4)
    | ~ esk2301_4(X1,X2,X3,X4) )).

cnf(i_0_9345,axiom,
    ( ~ esk7467_4(X1,X2,X3,X4)
    | esk7464_4(X1,X2,X3,X4) )).

cnf(i_0_9346,axiom,
    ( ~ esk4121_4(X1,X2,X3,X4)
    | esk3513_4(X1,X2,X3,X4) )).

cnf(i_0_9347,axiom,
    ( ~ esk5547_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_9348,axiom,
    ( esk1923_4(X1,X2,X3,X4)
    | ~ esk2091_4(X1,X2,X3,X4) )).

cnf(i_0_9349,axiom,
    ( p(X1)
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk697_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_9350,axiom,
    ( p(X4)
    | ~ esk2894_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | esk1195_0
    | p(X2) )).

cnf(i_0_9351,axiom,
    ( p(X2)
    | esk2092_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ esk447_0
    | ~ p(X3) )).

cnf(i_0_9352,axiom,
    ( ~ p(X3)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk1186_0 )).

cnf(i_0_9353,axiom,
    ( p(X3)
    | ~ esk374_0
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_9354,axiom,
    ( ~ esk7782_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_9355,axiom,
    ( ~ p(X3)
    | ~ esk1088_0
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_9356,axiom,
    ( ~ esk7971_4(X1,X2,X3,X4)
    | esk7973_4(X1,X2,X3,X4) )).

cnf(i_0_9357,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3105_4(X1,X2,X3,X4) )).

cnf(i_0_9358,axiom,
    ( esk8839_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_9359,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1134_0 )).

cnf(i_0_9360,axiom,
    ( esk7039_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_9361,axiom,
    ( esk2847_4(X1,X2,X3,X4)
    | ~ esk2827_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_9362,axiom,
    ( ~ esk6925_4(X1,X2,X3,X4)
    | esk6982_4(X1,X2,X3,X4) )).

cnf(i_0_9363,axiom,
    ( esk5121_4(X1,X2,X3,X4)
    | ~ esk5124_4(X1,X2,X3,X4) )).

cnf(i_0_9364,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X2)
    | p(X1)
    | esk1918_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_9365,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3833_4(X1,X2,X3,X4) )).

cnf(i_0_9366,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1963_4(X1,X2,X3,X4) )).

cnf(i_0_9367,axiom,
    ( ~ esk9354_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_9368,axiom,
    ( ~ esk8778_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk771_0
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_9369,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk3280_4(X1,X2,X3,X4) )).

cnf(i_0_9370,axiom,
    ( ~ esk9659_4(X1,X2,X3,X4)
    | esk9657_4(X1,X2,X3,X4)
    | esk9658_4(X1,X2,X3,X4) )).

cnf(i_0_9371,axiom,
    ( esk4781_4(X1,X2,X3,X4)
    | ~ esk4779_4(X1,X2,X3,X4) )).

cnf(i_0_9372,axiom,
    ( ~ esk4426_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9373,axiom,
    ( ~ esk4654_4(X1,X2,X3,X4)
    | esk4712_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_9374,axiom,
    ( esk1022_0
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_9375,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | esk1634_4(X1,X2,X3,X4)
    | ~ esk1571_4(X1,X2,X3,X4) )).

cnf(i_0_9376,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | esk2556_4(X1,X2,X3,X4) )).

cnf(i_0_9377,axiom,
    ( ~ esk665_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_9378,axiom,
    ( ~ esk8258_4(X1,X2,X3,X4)
    | esk8224_4(X1,X2,X3,X4) )).

cnf(i_0_9379,axiom,
    ( ~ esk5374_4(X1,X2,X3,X4)
    | esk5375_4(X1,X2,X3,X4) )).

cnf(i_0_9380,axiom,
    ( esk9523_4(X1,X2,X3,X4)
    | ~ esk9522_4(X1,X2,X3,X4) )).

cnf(i_0_9381,axiom,
    ( p(X2)
    | p(X3)
    | esk8721_4(X1,X2,X3,X4)
    | ~ esk612_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_9382,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8091_4(X1,X2,X3,X4)
    | ~ esk8090_4(X1,X2,X3,X4) )).

cnf(i_0_9383,axiom,
    ( p(X3)
    | ~ esk1253_0
    | esk9214_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_9384,axiom,
    ( esk3678_4(X1,X2,X3,X4)
    | ~ esk3677_4(X1,X2,X3,X4) )).

cnf(i_0_9385,axiom,
    ( esk1748_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk159_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9386,axiom,
    ( ~ esk5490_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk5491_4(X1,X2,X3,X4) )).

cnf(i_0_9387,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk758_0
    | p(X4)
    | ~ esk2455_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_9388,axiom,
    ( ~ esk9087_4(X1,X2,X3,X4)
    | esk836_0
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9389,axiom,
    ( p(X3)
    | esk9107_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ esk979_0
    | p(X1) )).

cnf(i_0_9390,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3247_4(X1,X2,X3,X4) )).

cnf(i_0_9391,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk9089_4(X1,X2,X3,X4)
    | ~ esk847_0 )).

cnf(i_0_9392,axiom,
    ( ~ esk1480_4(X1,X2,X3,X4)
    | esk1358_4(X1,X2,X3,X4) )).

cnf(i_0_9393,axiom,
    ( ~ esk9662_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_9394,axiom,
    ( ~ p(X1)
    | ~ esk8719_4(X1,X2,X3,X4)
    | esk601_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_9395,axiom,
    ( esk6641_4(X1,X2,X3,X4)
    | ~ esk6646_4(X1,X2,X3,X4) )).

cnf(i_0_9396,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk111_0
    | p(X2)
    | ~ p(X4)
    | esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_9397,axiom,
    ( ~ esk4313_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9398,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6915_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_9399,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk8970_4(X1,X2,X3,X4)
    | ~ esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_9400,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6298_4(X1,X2,X3,X4) )).

cnf(i_0_9401,axiom,
    ( esk6434_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_9402,axiom,
    ( ~ esk2803_4(X1,X2,X3,X4)
    | ~ esk3343_4(X1,X2,X3,X4)
    | esk3344_4(X1,X2,X3,X4) )).

cnf(i_0_9403,axiom,
    ( esk4979_4(X1,X2,X3,X4)
    | ~ esk3591_4(X1,X2,X3,X4) )).

cnf(i_0_9404,axiom,
    ( esk4047_4(X1,X2,X3,X4)
    | ~ esk4013_4(X1,X2,X3,X4)
    | esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_9405,axiom,
    ( esk3174_4(X1,X2,X3,X4)
    | ~ esk3177_4(X1,X2,X3,X4) )).

cnf(i_0_9406,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7059_4(X1,X2,X3,X4) )).

cnf(i_0_9407,axiom,
    ( esk8191_4(X1,X2,X3,X4)
    | ~ esk8193_4(X1,X2,X3,X4)
    | esk8192_4(X1,X2,X3,X4) )).

cnf(i_0_9408,axiom,
    ( esk2179_4(X1,X2,X3,X4)
    | ~ esk2180_4(X1,X2,X3,X4) )).

cnf(i_0_9409,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9620_4(X1,X2,X3,X4) )).

cnf(i_0_9410,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk146_0
    | ~ esk1746_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9411,axiom,
    ( ~ esk3539_4(X1,X2,X3,X4)
    | esk3497_4(X1,X2,X3,X4) )).

cnf(i_0_9412,axiom,
    ( ~ p(X4)
    | esk9089_4(X1,X2,X3,X4)
    | ~ esk854_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_9413,axiom,
    ( esk2549_4(X1,X2,X3,X4)
    | ~ esk2548_4(X1,X2,X3,X4) )).

cnf(i_0_9414,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_9415,axiom,
    ( ~ esk2930_4(X1,X2,X3,X4)
    | esk2929_4(X1,X2,X3,X4)
    | esk2928_4(X1,X2,X3,X4) )).

cnf(i_0_9416,axiom,
    ( esk3803_4(X1,X2,X3,X4)
    | ~ esk3546_4(X1,X2,X3,X4) )).

cnf(i_0_9417,axiom,
    ( ~ esk2747_4(X1,X2,X3,X4)
    | esk2794_4(X1,X2,X3,X4) )).

cnf(i_0_9418,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_9419,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk3197_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9420,axiom,
    ( esk9203_4(X1,X2,X3,X4)
    | ~ esk9202_4(X1,X2,X3,X4) )).

cnf(i_0_9421,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk987_0
    | p(X2)
    | p(X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_9422,axiom,
    ( esk3544_4(X1,X2,X3,X4)
    | ~ esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_9423,axiom,
    ( ~ esk8860_4(X1,X2,X3,X4)
    | ~ esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_9424,axiom,
    ( esk5099_4(X1,X2,X3,X4)
    | ~ esk5101_4(X1,X2,X3,X4)
    | esk5100_4(X1,X2,X3,X4) )).

cnf(i_0_9425,axiom,
    ( ~ esk5782_4(X1,X2,X3,X4)
    | esk5783_4(X1,X2,X3,X4)
    | ~ esk7078_4(X1,X2,X3,X4) )).

cnf(i_0_9426,axiom,
    ( ~ p(X4)
    | esk742_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_9427,axiom,
    ( ~ esk8532_4(X1,X2,X3,X4)
    | esk8531_4(X1,X2,X3,X4) )).

cnf(i_0_9428,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk1_0
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_9429,axiom,
    ( ~ esk7138_4(X1,X2,X3,X4)
    | esk5947_4(X1,X2,X3,X4) )).

cnf(i_0_9430,axiom,
    ( esk3970_4(X1,X2,X3,X4)
    | ~ esk3798_4(X1,X2,X3,X4) )).

cnf(i_0_9431,axiom,
    ( ~ esk2145_4(X1,X2,X3,X4)
    | esk2147_4(X1,X2,X3,X4) )).

cnf(i_0_9432,axiom,
    ( ~ esk2649_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_9433,axiom,
    ( esk8024_4(X1,X2,X3,X4)
    | ~ esk9235_4(X1,X2,X3,X4) )).

cnf(i_0_9434,axiom,
    ( ~ esk2345_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9435,axiom,
    ( ~ esk7575_4(X1,X2,X3,X4)
    | esk7576_4(X1,X2,X3,X4) )).

cnf(i_0_9436,axiom,
    ( ~ p(X2)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk310_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9437,axiom,
    ( ~ esk4397_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_9438,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk996_0
    | ~ esk9109_4(X1,X2,X3,X4) )).

cnf(i_0_9439,axiom,
    ( ~ esk7519_4(X1,X2,X3,X4)
    | esk6800_4(X1,X2,X3,X4) )).

cnf(i_0_9440,axiom,
    ( esk4888_4(X1,X2,X3,X4)
    | ~ esk5388_4(X1,X2,X3,X4) )).

cnf(i_0_9441,axiom,
    ( esk3892_4(X1,X2,X3,X4)
    | ~ esk3893_4(X1,X2,X3,X4) )).

cnf(i_0_9442,axiom,
    ( p(X1)
    | p(X2)
    | esk935_0
    | ~ p(X4)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_9443,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2425_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk611_0 )).

cnf(i_0_9444,axiom,
    ( esk4555_4(X1,X2,X3,X4)
    | ~ esk4556_4(X1,X2,X3,X4) )).

cnf(i_0_9445,axiom,
    ( ~ esk8905_4(X1,X2,X3,X4)
    | esk8907_4(X1,X2,X3,X4) )).

cnf(i_0_9446,axiom,
    ( ~ p(X2)
    | esk144_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_9447,axiom,
    ( ~ esk1_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_9448,axiom,
    ( ~ esk1356_4(X1,X2,X3,X4)
    | esk2134_4(X1,X2,X3,X4) )).

cnf(i_0_9449,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | esk8750_4(X1,X2,X3,X4)
    | ~ esk7732_4(X1,X2,X3,X4) )).

cnf(i_0_9450,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk963_0
    | p(X2) )).

cnf(i_0_9451,axiom,
    ( esk736_0
    | ~ p(X4)
    | ~ esk8747_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_9452,axiom,
    ( esk7546_4(X1,X2,X3,X4)
    | ~ esk7545_4(X1,X2,X3,X4)
    | ~ esk6876_4(X1,X2,X3,X4) )).

cnf(i_0_9453,axiom,
    ( p(X4)
    | p(X1)
    | esk724_0
    | ~ esk2451_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_9454,axiom,
    ( esk1_0
    | ~ esk1842_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_9455,axiom,
    ( esk5398_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_9456,axiom,
    ( ~ esk2188_4(X1,X2,X3,X4)
    | esk2187_4(X1,X2,X3,X4) )).

cnf(i_0_9457,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk9210_4(X1,X2,X3,X4)
    | esk1244_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_9458,axiom,
    ( ~ esk9229_4(X1,X2,X3,X4)
    | ~ esk7857_4(X1,X2,X3,X4)
    | esk7858_4(X1,X2,X3,X4) )).

cnf(i_0_9459,axiom,
    ( ~ esk6347_4(X1,X2,X3,X4)
    | esk6346_4(X1,X2,X3,X4) )).

cnf(i_0_9460,axiom,
    ( esk6886_4(X1,X2,X3,X4)
    | ~ esk6888_4(X1,X2,X3,X4)
    | esk6887_4(X1,X2,X3,X4) )).

cnf(i_0_9461,axiom,
    ( esk8041_4(X1,X2,X3,X4)
    | esk7828_4(X1,X2,X3,X4) )).

cnf(i_0_9462,axiom,
    ( ~ esk8766_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_9463,axiom,
    ( ~ esk7666_4(X1,X2,X3,X4)
    | esk7944_4(X1,X2,X3,X4) )).

cnf(i_0_9464,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4184_4(X1,X2,X3,X4) )).

cnf(i_0_9465,axiom,
    ( ~ p(X3)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk593_0
    | p(X4) )).

cnf(i_0_9466,axiom,
    ( ~ esk3086_4(X1,X2,X3,X4)
    | esk3085_4(X1,X2,X3,X4)
    | esk3084_4(X1,X2,X3,X4) )).

cnf(i_0_9467,axiom,
    ( esk3246_4(X1,X2,X3,X4)
    | ~ esk3249_4(X1,X2,X3,X4) )).

cnf(i_0_9468,axiom,
    ( ~ esk9658_4(X1,X2,X3,X4)
    | esk8919_4(X1,X2,X3,X4) )).

cnf(i_0_9469,axiom,
    ( esk4515_4(X1,X2,X3,X4)
    | ~ esk6615_4(X1,X2,X3,X4) )).

cnf(i_0_9470,axiom,
    ( ~ p(X2)
    | ~ esk114_0
    | p(X1)
    | ~ p(X3)
    | esk1643_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9471,axiom,
    ( esk2760_4(X1,X2,X3,X4)
    | ~ esk2761_4(X1,X2,X3,X4) )).

cnf(i_0_9472,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk1019_0
    | ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_9473,axiom,
    ( ~ esk5207_4(X1,X2,X3,X4)
    | esk5209_4(X1,X2,X3,X4) )).

cnf(i_0_9474,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | esk365_0
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_9475,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk225_0
    | esk1756_4(X1,X2,X3,X4) )).

cnf(i_0_9476,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk1776_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk253_0
    | ~ p(X1) )).

cnf(i_0_9477,axiom,
    ( ~ esk3257_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9478,axiom,
    ( esk6513_4(X1,X2,X3,X4)
    | ~ esk6510_4(X1,X2,X3,X4) )).

cnf(i_0_9479,axiom,
    ( esk5696_4(X1,X2,X3,X4)
    | ~ esk5788_4(X1,X2,X3,X4) )).

cnf(i_0_9480,axiom,
    ( esk4515_4(X1,X2,X3,X4)
    | ~ esk4474_4(X1,X2,X3,X4) )).

cnf(i_0_9481,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk7145_4(X1,X2,X3,X4) )).

cnf(i_0_9482,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5106_4(X1,X2,X3,X4) )).

cnf(i_0_9483,axiom,
    ( ~ esk4850_4(X1,X2,X3,X4)
    | esk4895_4(X1,X2,X3,X4) )).

cnf(i_0_9484,axiom,
    ( esk260_0
    | ~ p(X3)
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_9485,axiom,
    ( ~ esk5045_4(X1,X2,X3,X4)
    | esk5043_4(X1,X2,X3,X4)
    | esk5044_4(X1,X2,X3,X4) )).

cnf(i_0_9486,axiom,
    ( esk5780_4(X1,X2,X3,X4)
    | esk5779_4(X1,X2,X3,X4)
    | ~ esk5781_4(X1,X2,X3,X4) )).

cnf(i_0_9487,axiom,
    ( ~ esk8799_4(X1,X2,X3,X4)
    | esk8801_4(X1,X2,X3,X4) )).

cnf(i_0_9488,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk510_0 )).

cnf(i_0_9489,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6062_4(X1,X2,X3,X4) )).

cnf(i_0_9490,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4211_4(X1,X2,X3,X4) )).

cnf(i_0_9491,axiom,
    ( ~ esk9389_4(X1,X2,X3,X4)
    | esk9383_4(X1,X2,X3,X4) )).

cnf(i_0_9492,axiom,
    ( esk5066_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_9493,axiom,
    ( esk4314_4(X1,X2,X3,X4)
    | ~ esk4316_4(X1,X2,X3,X4)
    | esk4315_4(X1,X2,X3,X4) )).

cnf(i_0_9494,axiom,
    ( esk6856_4(X1,X2,X3,X4)
    | ~ esk6149_4(X1,X2,X3,X4) )).

cnf(i_0_9495,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9021_4(X1,X2,X3,X4) )).

cnf(i_0_9496,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk5695_4(X1,X2,X3,X4) )).

cnf(i_0_9497,axiom,
    ( ~ esk6693_4(X1,X2,X3,X4)
    | esk6725_4(X1,X2,X3,X4)
    | ~ esk6710_4(X1,X2,X3,X4) )).

cnf(i_0_9498,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2220_4(X1,X2,X3,X4) )).

cnf(i_0_9499,axiom,
    ( ~ esk7503_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_9500,axiom,
    ( esk7705_4(X1,X2,X3,X4)
    | ~ esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_9501,axiom,
    ( esk7999_4(X1,X2,X3,X4)
    | ~ esk9192_4(X1,X2,X3,X4) )).

cnf(i_0_9502,axiom,
    ( p(X4)
    | ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk874_0
    | p(X1)
    | p(X2) )).

cnf(i_0_9503,axiom,
    ( esk6823_4(X1,X2,X3,X4)
    | ~ esk6824_4(X1,X2,X3,X4)
    | esk6822_4(X1,X2,X3,X4) )).

cnf(i_0_9504,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9438_4(X1,X2,X3,X4) )).

cnf(i_0_9505,axiom,
    ( p(X1)
    | ~ esk500_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_9506,axiom,
    ( esk8066_4(X1,X2,X3,X4)
    | ~ esk8067_4(X1,X2,X3,X4) )).

cnf(i_0_9507,axiom,
    ( ~ esk6290_4(X1,X2,X3,X4)
    | esk5618_4(X1,X2,X3,X4) )).

cnf(i_0_9508,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk688_0 )).

cnf(i_0_9509,axiom,
    ( ~ esk8099_4(X1,X2,X3,X4)
    | esk8101_4(X1,X2,X3,X4) )).

cnf(i_0_9510,axiom,
    ( esk140_0
    | ~ esk8042_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_9511,axiom,
    ( ~ esk4226_4(X1,X2,X3,X4)
    | ~ esk4263_4(X1,X2,X3,X4)
    | ~ esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_9512,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3137_4(X1,X2,X3,X4) )).

cnf(i_0_9513,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2967_4(X1,X2,X3,X4) )).

cnf(i_0_9514,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk1157_0
    | p(X4)
    | ~ esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_9515,axiom,
    ( ~ esk3203_4(X1,X2,X3,X4)
    | esk3204_4(X1,X2,X3,X4)
    | ~ esk3198_4(X1,X2,X3,X4) )).

cnf(i_0_9516,axiom,
    ( ~ esk1748_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk163_0
    | ~ p(X3) )).

cnf(i_0_9517,axiom,
    ( ~ esk3288_4(X1,X2,X3,X4)
    | esk2572_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_9518,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6543_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_9519,axiom,
    ( esk9370_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9520,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk404_0
    | ~ p(X3) )).

cnf(i_0_9521,axiom,
    ( ~ esk5711_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_9522,axiom,
    ( esk8868_4(X1,X2,X3,X4)
    | ~ esk8882_4(X1,X2,X3,X4) )).

cnf(i_0_9523,axiom,
    ( ~ esk6746_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_9524,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk9186_4(X1,X2,X3,X4)
    | p(X1)
    | esk1173_0
    | p(X3) )).

cnf(i_0_9525,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4428_4(X1,X2,X3,X4) )).

cnf(i_0_9526,axiom,
    ( esk5546_4(X1,X2,X3,X4)
    | ~ esk5545_4(X1,X2,X3,X4) )).

cnf(i_0_9527,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8307_4(X1,X2,X3,X4) )).

cnf(i_0_9528,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk715_0
    | esk8735_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_9529,axiom,
    ( ~ esk7048_4(X1,X2,X3,X4)
    | esk7042_4(X1,X2,X3,X4) )).

cnf(i_0_9530,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8709_4(X1,X2,X3,X4) )).

cnf(i_0_9531,axiom,
    ( ~ esk2375_4(X1,X2,X3,X4)
    | esk2416_4(X1,X2,X3,X4) )).

cnf(i_0_9532,axiom,
    ( ~ esk4340_4(X1,X2,X3,X4)
    | esk4338_4(X1,X2,X3,X4)
    | esk4339_4(X1,X2,X3,X4)
    | esk4337_4(X1,X2,X3,X4) )).

cnf(i_0_9533,axiom,
    ( ~ esk3107_4(X1,X2,X3,X4)
    | esk3108_4(X1,X2,X3,X4)
    | ~ esk2358_4(X1,X2,X3,X4) )).

cnf(i_0_9534,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6615_4(X1,X2,X3,X4)
    | esk6142_4(X1,X2,X3,X4) )).

cnf(i_0_9535,axiom,
    ( ~ esk7846_4(X1,X2,X3,X4)
    | esk7848_4(X1,X2,X3,X4) )).

cnf(i_0_9536,axiom,
    ( ~ esk9585_4(X1,X2,X3,X4)
    | esk8869_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_9537,axiom,
    ( esk9732_4(X1,X2,X3,X4)
    | esk9122_4(X1,X2,X3,X4)
    | ~ esk9733_4(X1,X2,X3,X4) )).

cnf(i_0_9538,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3217_4(X1,X2,X3,X4) )).

cnf(i_0_9539,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5450_4(X1,X2,X3,X4) )).

cnf(i_0_9540,axiom,
    ( ~ esk9676_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_9541,axiom,
    ( ~ p(X3)
    | ~ esk2809_4(X1,X2,X3,X4)
    | esk964_0
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_9542,axiom,
    ( ~ esk7726_4(X1,X2,X3,X4)
    | esk8058_4(X1,X2,X3,X4)
    | ~ esk7828_4(X1,X2,X3,X4) )).

cnf(i_0_9543,axiom,
    ( ~ esk6320_4(X1,X2,X3,X4)
    | esk6323_4(X1,X2,X3,X4) )).

cnf(i_0_9544,axiom,
    ( ~ esk1682_4(X1,X2,X3,X4)
    | ~ esk1886_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_9545,axiom,
    ( ~ esk6162_4(X1,X2,X3,X4)
    | esk6164_4(X1,X2,X3,X4) )).

cnf(i_0_9546,axiom,
    ( p(X1)
    | esk9097_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk906_0
    | ~ p(X3) )).

cnf(i_0_9547,axiom,
    ( ~ esk8789_4(X1,X2,X3,X4)
    | esk8788_4(X1,X2,X3,X4) )).

cnf(i_0_9548,axiom,
    ( esk553_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_9549,axiom,
    ( ~ esk2217_4(X1,X2,X3,X4)
    | esk2216_4(X1,X2,X3,X4)
    | esk2215_4(X1,X2,X3,X4) )).

cnf(i_0_9550,axiom,
    ( esk4064_4(X1,X2,X3,X4)
    | esk4063_4(X1,X2,X3,X4)
    | ~ esk4065_4(X1,X2,X3,X4) )).

cnf(i_0_9551,axiom,
    ( ~ esk8961_4(X1,X2,X3,X4)
    | esk8782_4(X1,X2,X3,X4) )).

cnf(i_0_9552,axiom,
    ( p(X1)
    | ~ esk1144_0
    | p(X3)
    | esk9178_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_9553,axiom,
    ( ~ esk2938_4(X1,X2,X3,X4)
    | esk2940_4(X1,X2,X3,X4) )).

cnf(i_0_9554,axiom,
    ( ~ esk4704_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_9555,axiom,
    ( esk5048_4(X1,X2,X3,X4)
    | esk5047_4(X1,X2,X3,X4)
    | ~ esk5049_4(X1,X2,X3,X4) )).

cnf(i_0_9556,axiom,
    ( ~ esk7266_4(X1,X2,X3,X4)
    | esk7268_4(X1,X2,X3,X4) )).

cnf(i_0_9557,axiom,
    ( esk9699_4(X1,X2,X3,X4)
    | ~ esk9697_4(X1,X2,X3,X4) )).

cnf(i_0_9558,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | esk7792_4(X1,X2,X3,X4) )).

cnf(i_0_9559,axiom,
    ( ~ esk2259_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_9560,axiom,
    ( p(X3)
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X2)
    | esk1_0
    | p(X1)
    | p(X4) )).

cnf(i_0_9561,axiom,
    ( esk1396_4(X1,X2,X3,X4)
    | ~ esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_9562,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9260_4(X1,X2,X3,X4) )).

cnf(i_0_9563,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8669_4(X1,X2,X3,X4) )).

cnf(i_0_9564,axiom,
    ( ~ esk4405_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9565,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk2518_4(X1,X2,X3,X4)
    | ~ esk2517_4(X1,X2,X3,X4) )).

cnf(i_0_9566,axiom,
    ( p(X1)
    | ~ esk1282_0
    | ~ p(X2)
    | ~ p(X4)
    | esk2932_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_9567,axiom,
    ( ~ esk7094_4(X1,X2,X3,X4)
    | esk5569_4(X1,X2,X3,X4) )).

cnf(i_0_9568,axiom,
    ( esk7330_4(X1,X2,X3,X4)
    | esk7331_4(X1,X2,X3,X4)
    | ~ esk7332_4(X1,X2,X3,X4) )).

cnf(i_0_9569,axiom,
    ( esk2429_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_9570,axiom,
    ( esk2055_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_9571,axiom,
    ( esk6196_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_9572,axiom,
    ( ~ esk1764_4(X1,X2,X3,X4)
    | esk1763_4(X1,X2,X3,X4) )).

cnf(i_0_9573,axiom,
    ( ~ esk9629_4(X1,X2,X3,X4)
    | esk9628_4(X1,X2,X3,X4) )).

cnf(i_0_9574,axiom,
    ( esk4996_4(X1,X2,X3,X4)
    | ~ esk7096_4(X1,X2,X3,X4) )).

cnf(i_0_9575,axiom,
    ( esk6840_4(X1,X2,X3,X4)
    | ~ esk6838_4(X1,X2,X3,X4) )).

cnf(i_0_9576,axiom,
    ( ~ esk7340_4(X1,X2,X3,X4)
    | esk7339_4(X1,X2,X3,X4)
    | esk7338_4(X1,X2,X3,X4) )).

cnf(i_0_9577,axiom,
    ( esk9113_4(X1,X2,X3,X4)
    | ~ esk7691_4(X1,X2,X3,X4) )).

cnf(i_0_9578,axiom,
    ( esk9356_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9579,axiom,
    ( ~ p(X4)
    | ~ esk930_0
    | ~ p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_9580,axiom,
    ( esk6497_4(X1,X2,X3,X4)
    | ~ esk6496_4(X1,X2,X3,X4) )).

cnf(i_0_9581,axiom,
    ( esk9139_4(X1,X2,X3,X4)
    | ~ esk9151_4(X1,X2,X3,X4)
    | ~ esk9138_4(X1,X2,X3,X4) )).

cnf(i_0_9582,axiom,
    ( esk7381_4(X1,X2,X3,X4)
    | ~ esk7382_4(X1,X2,X3,X4) )).

cnf(i_0_9583,axiom,
    ( ~ esk6288_4(X1,X2,X3,X4)
    | esk6321_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_9584,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk7970_4(X1,X2,X3,X4) )).

cnf(i_0_9585,axiom,
    ( ~ esk7841_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_9586,axiom,
    ( esk7822_4(X1,X2,X3,X4)
    | ~ esk9159_4(X1,X2,X3,X4) )).

cnf(i_0_9587,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk3193_4(X1,X2,X3,X4)
    | ~ esk3190_4(X1,X2,X3,X4) )).

cnf(i_0_9588,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X3)
    | esk1347_0 )).

cnf(i_0_9589,axiom,
    ( esk1480_4(X1,X2,X3,X4)
    | ~ esk1566_4(X1,X2,X3,X4) )).

cnf(i_0_9590,axiom,
    ( ~ esk8689_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_9591,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | esk162_0
    | ~ p(X1)
    | ~ esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_9592,axiom,
    ( esk4437_4(X1,X2,X3,X4)
    | ~ esk4125_4(X1,X2,X3,X4) )).

cnf(i_0_9593,axiom,
    ( ~ esk7549_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_9594,axiom,
    ( ~ esk8298_4(X1,X2,X3,X4)
    | esk8297_4(X1,X2,X3,X4)
    | esk8296_4(X1,X2,X3,X4) )).

cnf(i_0_9595,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk1259_0
    | ~ esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_9596,axiom,
    ( ~ esk5936_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_9597,axiom,
    ( esk6632_4(X1,X2,X3,X4)
    | ~ esk6609_4(X1,X2,X3,X4) )).

cnf(i_0_9598,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2471_4(X1,X2,X3,X4) )).

cnf(i_0_9599,axiom,
    ( ~ esk8803_4(X1,X2,X3,X4)
    | esk8805_4(X1,X2,X3,X4) )).

cnf(i_0_9600,axiom,
    ( esk2894_4(X1,X2,X3,X4)
    | ~ esk1687_4(X1,X2,X3,X4) )).

cnf(i_0_9601,axiom,
    ( ~ esk2174_4(X1,X2,X3,X4)
    | esk1379_4(X1,X2,X3,X4) )).

cnf(i_0_9602,axiom,
    ( esk4276_4(X1,X2,X3,X4)
    | esk4275_4(X1,X2,X3,X4)
    | ~ esk4277_4(X1,X2,X3,X4) )).

cnf(i_0_9603,axiom,
    ( ~ esk2261_4(X1,X2,X3,X4)
    | esk2262_4(X1,X2,X3,X4)
    | ~ esk2109_4(X1,X2,X3,X4) )).

cnf(i_0_9604,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk885_0
    | p(X3)
    | esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_9605,axiom,
    ( ~ esk4938_4(X1,X2,X3,X4)
    | esk4931_4(X1,X2,X3,X4) )).

cnf(i_0_9606,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk472_0
    | esk2173_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_9607,axiom,
    ( esk8207_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_9608,axiom,
    ( ~ esk8433_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_9609,axiom,
    ( ~ p(X4)
    | esk92_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_9610,axiom,
    ( ~ esk6539_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_9611,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk1995_4(X1,X2,X3,X4)
    | ~ esk382_0 )).

cnf(i_0_9612,axiom,
    ( ~ esk1046_0
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_9613,axiom,
    ( ~ esk2550_4(X1,X2,X3,X4)
    | esk2593_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_9614,axiom,
    ( esk8230_4(X1,X2,X3,X4)
    | esk8231_4(X1,X2,X3,X4)
    | ~ esk8232_4(X1,X2,X3,X4) )).

cnf(i_0_9615,axiom,
    ( esk5974_4(X1,X2,X3,X4)
    | ~ esk3874_4(X1,X2,X3,X4) )).

cnf(i_0_9616,axiom,
    ( esk2317_4(X1,X2,X3,X4)
    | ~ esk1910_4(X1,X2,X3,X4) )).

cnf(i_0_9617,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ esk257_0 )).

cnf(i_0_9618,axiom,
    ( ~ esk8135_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_9619,axiom,
    ( esk8579_4(X1,X2,X3,X4)
    | ~ esk8610_4(X1,X2,X3,X4) )).

cnf(i_0_9620,axiom,
    ( esk9706_4(X1,X2,X3,X4)
    | ~ esk9707_4(X1,X2,X3,X4)
    | esk9705_4(X1,X2,X3,X4) )).

cnf(i_0_9621,axiom,
    ( esk4339_4(X1,X2,X3,X4)
    | ~ esk4303_4(X1,X2,X3,X4)
    | ~ esk4524_4(X1,X2,X3,X4) )).

cnf(i_0_9622,axiom,
    ( ~ esk5679_4(X1,X2,X3,X4)
    | esk5555_4(X1,X2,X3,X4) )).

cnf(i_0_9623,axiom,
    ( ~ esk2359_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9624,axiom,
    ( esk9172_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1108_0
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9625,axiom,
    ( ~ esk8900_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_9626,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk8156_4(X1,X2,X3,X4)
    | ~ esk276_0
    | ~ p(X4) )).

cnf(i_0_9627,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk920_0
    | ~ esk2803_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_9628,axiom,
    ( ~ esk5406_4(X1,X2,X3,X4)
    | ~ esk4661_4(X1,X2,X3,X4)
    | esk5407_4(X1,X2,X3,X4) )).

cnf(i_0_9629,axiom,
    ( ~ esk7754_4(X1,X2,X3,X4)
    | esk7755_4(X1,X2,X3,X4)
    | ~ esk8040_4(X1,X2,X3,X4) )).

cnf(i_0_9630,axiom,
    ( esk2704_4(X1,X2,X3,X4)
    | ~ esk2703_4(X1,X2,X3,X4)
    | ~ esk2524_4(X1,X2,X3,X4) )).

cnf(i_0_9631,axiom,
    ( esk4737_4(X1,X2,X3,X4)
    | ~ esk4735_4(X1,X2,X3,X4) )).

cnf(i_0_9632,axiom,
    ( esk9033_4(X1,X2,X3,X4)
    | ~ esk9034_4(X1,X2,X3,X4) )).

cnf(i_0_9633,axiom,
    ( esk1778_4(X1,X2,X3,X4)
    | ~ esk1780_4(X1,X2,X3,X4)
    | esk1779_4(X1,X2,X3,X4) )).

cnf(i_0_9634,axiom,
    ( ~ esk7969_4(X1,X2,X3,X4)
    | esk7820_4(X1,X2,X3,X4) )).

cnf(i_0_9635,axiom,
    ( esk4661_4(X1,X2,X3,X4)
    | ~ esk4660_4(X1,X2,X3,X4) )).

cnf(i_0_9636,axiom,
    ( ~ esk8257_4(X1,X2,X3,X4)
    | esk8368_4(X1,X2,X3,X4) )).

cnf(i_0_9637,axiom,
    ( ~ esk4547_4(X1,X2,X3,X4)
    | esk4542_4(X1,X2,X3,X4) )).

cnf(i_0_9638,axiom,
    ( esk2447_4(X1,X2,X3,X4)
    | ~ esk1809_4(X1,X2,X3,X4) )).

cnf(i_0_9639,axiom,
    ( ~ esk1774_4(X1,X2,X3,X4)
    | esk2957_4(X1,X2,X3,X4) )).

cnf(i_0_9640,axiom,
    ( esk3713_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3650_4(X1,X2,X3,X4) )).

cnf(i_0_9641,axiom,
    ( esk9551_4(X1,X2,X3,X4)
    | ~ esk9549_4(X1,X2,X3,X4) )).

cnf(i_0_9642,axiom,
    ( ~ esk7443_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_9643,axiom,
    ( ~ esk8708_4(X1,X2,X3,X4)
    | esk8706_4(X1,X2,X3,X4)
    | esk8707_4(X1,X2,X3,X4) )).

cnf(i_0_9644,axiom,
    ( ~ esk8327_4(X1,X2,X3,X4)
    | esk8329_4(X1,X2,X3,X4) )).

cnf(i_0_9645,axiom,
    ( esk5478_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_9646,axiom,
    ( p(X3)
    | ~ esk1319_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_9647,axiom,
    ( ~ esk4842_4(X1,X2,X3,X4)
    | esk4891_4(X1,X2,X3,X4) )).

cnf(i_0_9648,axiom,
    ( ~ esk1712_4(X1,X2,X3,X4)
    | esk2935_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_9649,axiom,
    ( ~ esk8611_4(X1,X2,X3,X4)
    | esk8579_4(X1,X2,X3,X4) )).

cnf(i_0_9650,axiom,
    ( esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_9651,axiom,
    ( p(X1)
    | esk2914_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_9652,axiom,
    ( p(X3)
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk420_0
    | p(X4) )).

cnf(i_0_9653,axiom,
    ( ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | esk443_0 )).

cnf(i_0_9654,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | esk1916_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_9655,axiom,
    ( esk7023_4(X1,X2,X3,X4)
    | ~ esk7631_4(X1,X2,X3,X4) )).

cnf(i_0_9656,axiom,
    ( ~ esk2377_4(X1,X2,X3,X4)
    | esk2299_4(X1,X2,X3,X4) )).

cnf(i_0_9657,axiom,
    ( esk6403_4(X1,X2,X3,X4)
    | ~ esk6629_4(X1,X2,X3,X4) )).

cnf(i_0_9658,axiom,
    ( esk2571_4(X1,X2,X3,X4)
    | ~ esk2526_4(X1,X2,X3,X4) )).

cnf(i_0_9659,axiom,
    ( ~ esk1987_4(X1,X2,X3,X4)
    | esk2442_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_9660,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7309_4(X1,X2,X3,X4) )).

cnf(i_0_9661,axiom,
    ( esk6207_4(X1,X2,X3,X4)
    | ~ esk6206_4(X1,X2,X3,X4) )).

cnf(i_0_9662,axiom,
    ( ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk130_0
    | p(X1) )).

cnf(i_0_9663,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4728_4(X1,X2,X3,X4) )).

cnf(i_0_9664,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk647_0
    | esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_9665,axiom,
    ( ~ esk5944_4(X1,X2,X3,X4)
    | esk5589_4(X1,X2,X3,X4) )).

cnf(i_0_9666,axiom,
    ( ~ esk1638_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_9667,axiom,
    ( esk6598_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_9668,axiom,
    ( esk8140_4(X1,X2,X3,X4)
    | ~ esk8141_4(X1,X2,X3,X4) )).

cnf(i_0_9669,axiom,
    ( ~ esk616_0
    | ~ p(X3)
    | ~ p(X1)
    | esk2425_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9670,axiom,
    ( esk9107_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk986_0
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9671,axiom,
    ( ~ esk7607_4(X1,X2,X3,X4)
    | esk7608_4(X1,X2,X3,X4) )).

cnf(i_0_9672,axiom,
    ( ~ esk4753_4(X1,X2,X3,X4)
    | ~ esk4672_4(X1,X2,X3,X4)
    | esk4673_4(X1,X2,X3,X4) )).

cnf(i_0_9673,axiom,
    ( p(X3)
    | esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk978_0
    | p(X4)
    | p(X1) )).

cnf(i_0_9674,axiom,
    ( ~ esk2549_4(X1,X2,X3,X4)
    | esk2547_4(X1,X2,X3,X4)
    | esk2548_4(X1,X2,X3,X4) )).

cnf(i_0_9675,axiom,
    ( esk2263_4(X1,X2,X3,X4)
    | ~ esk2225_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_9676,axiom,
    ( p(X2)
    | ~ esk9089_4(X1,X2,X3,X4)
    | esk853_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_9677,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk639_0 )).

cnf(i_0_9678,axiom,
    ( ~ esk7789_4(X1,X2,X3,X4)
    | esk7788_4(X1,X2,X3,X4) )).

cnf(i_0_9679,axiom,
    ( ~ esk4720_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_9680,axiom,
    ( ~ esk8617_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk540_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9681,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | esk7937_4(X1,X2,X3,X4)
    | ~ esk105_0
    | ~ p(X1) )).

cnf(i_0_9682,axiom,
    ( esk6180_4(X1,X2,X3,X4)
    | ~ esk6568_4(X1,X2,X3,X4) )).

cnf(i_0_9683,axiom,
    ( ~ esk9665_4(X1,X2,X3,X4)
    | esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_9684,axiom,
    ( ~ esk1776_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | esk244_0 )).

cnf(i_0_9685,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk2791_4(X1,X2,X3,X4)
    | ~ esk838_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_9686,axiom,
    ( esk6740_4(X1,X2,X3,X4)
    | ~ esk6741_4(X1,X2,X3,X4) )).

cnf(i_0_9687,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5246_4(X1,X2,X3,X4) )).

cnf(i_0_9688,axiom,
    ( esk3911_4(X1,X2,X3,X4)
    | esk3910_4(X1,X2,X3,X4)
    | ~ esk3912_4(X1,X2,X3,X4) )).

cnf(i_0_9689,axiom,
    ( ~ esk6475_4(X1,X2,X3,X4)
    | esk6478_4(X1,X2,X3,X4) )).

cnf(i_0_9690,axiom,
    ( ~ esk6758_4(X1,X2,X3,X4)
    | esk6760_4(X1,X2,X3,X4) )).

cnf(i_0_9691,axiom,
    ( ~ esk9510_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_9692,axiom,
    ( esk3839_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_9693,axiom,
    ( ~ esk2535_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_9694,axiom,
    ( ~ esk3384_4(X1,X2,X3,X4)
    | esk3383_4(X1,X2,X3,X4) )).

cnf(i_0_9695,axiom,
    ( ~ esk1727_4(X1,X2,X3,X4)
    | ~ esk2937_4(X1,X2,X3,X4)
    | esk2938_4(X1,X2,X3,X4) )).

cnf(i_0_9696,axiom,
    ( esk1828_4(X1,X2,X3,X4)
    | ~ esk2389_4(X1,X2,X3,X4) )).

cnf(i_0_9697,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8297_4(X1,X2,X3,X4) )).

cnf(i_0_9698,axiom,
    ( esk7081_4(X1,X2,X3,X4)
    | ~ esk5840_4(X1,X2,X3,X4) )).

cnf(i_0_9699,axiom,
    ( ~ esk813_0
    | p(X1)
    | p(X4)
    | p(X2)
    | esk9085_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_9700,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk440_0
    | esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_9701,axiom,
    ( ~ esk8849_4(X1,X2,X3,X4)
    | esk9096_4(X1,X2,X3,X4) )).

cnf(i_0_9702,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2427_4(X1,X2,X3,X4)
    | esk2203_4(X1,X2,X3,X4) )).

cnf(i_0_9703,axiom,
    ( ~ esk9588_4(X1,X2,X3,X4)
    | esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_9704,axiom,
    ( esk5669_4(X1,X2,X3,X4)
    | ~ esk5906_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_9705,axiom,
    ( ~ esk7083_4(X1,X2,X3,X4)
    | esk5793_4(X1,X2,X3,X4) )).

cnf(i_0_9706,axiom,
    ( ~ esk7930_4(X1,X2,X3,X4)
    | esk7929_4(X1,X2,X3,X4) )).

cnf(i_0_9707,axiom,
    ( esk9248_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1318_0
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_9708,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk3983_4(X1,X2,X3,X4)
    | esk3984_4(X1,X2,X3,X4) )).

cnf(i_0_9709,axiom,
    ( p(X1)
    | p(X4)
    | esk1952_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk319_0 )).

cnf(i_0_9710,axiom,
    ( ~ esk4753_4(X1,X2,X3,X4)
    | esk4752_4(X1,X2,X3,X4)
    | esk4751_4(X1,X2,X3,X4) )).

cnf(i_0_9711,axiom,
    ( esk4936_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_9712,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6400_4(X1,X2,X3,X4)
    | esk6592_4(X1,X2,X3,X4) )).

cnf(i_0_9713,axiom,
    ( ~ esk4279_4(X1,X2,X3,X4)
    | esk4281_4(X1,X2,X3,X4) )).

cnf(i_0_9714,axiom,
    ( ~ esk1475_4(X1,X2,X3,X4)
    | esk1362_4(X1,X2,X3,X4) )).

cnf(i_0_9715,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3337_4(X1,X2,X3,X4) )).

cnf(i_0_9716,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk2677_4(X1,X2,X3,X4) )).

cnf(i_0_9717,axiom,
    ( ~ esk4245_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9718,axiom,
    ( esk1231_0
    | ~ p(X4)
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_9719,axiom,
    ( esk4729_4(X1,X2,X3,X4)
    | ~ esk4728_4(X1,X2,X3,X4) )).

cnf(i_0_9720,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3399_4(X1,X2,X3,X4) )).

cnf(i_0_9721,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk7989_4(X1,X2,X3,X4) )).

cnf(i_0_9722,axiom,
    ( ~ esk5298_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5299_4(X1,X2,X3,X4) )).

cnf(i_0_9723,axiom,
    ( ~ esk4866_4(X1,X2,X3,X4)
    | esk4865_4(X1,X2,X3,X4)
    | esk4864_4(X1,X2,X3,X4) )).

cnf(i_0_9724,axiom,
    ( ~ p(X3)
    | ~ esk40_0
    | ~ p(X4)
    | ~ p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_9725,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | esk1995_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk385_0 )).

cnf(i_0_9726,axiom,
    ( ~ esk9607_4(X1,X2,X3,X4)
    | esk9606_4(X1,X2,X3,X4)
    | esk9605_4(X1,X2,X3,X4) )).

cnf(i_0_9727,axiom,
    ( ~ esk3201_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_9728,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2754_4(X1,X2,X3,X4) )).

cnf(i_0_9729,axiom,
    ( esk7912_4(X1,X2,X3,X4)
    | ~ esk9210_4(X1,X2,X3,X4) )).

cnf(i_0_9730,axiom,
    ( esk5236_4(X1,X2,X3,X4)
    | ~ esk5237_4(X1,X2,X3,X4)
    | esk5235_4(X1,X2,X3,X4) )).

cnf(i_0_9731,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8297_4(X1,X2,X3,X4) )).

cnf(i_0_9732,axiom,
    ( ~ esk4532_4(X1,X2,X3,X4)
    | esk2432_4(X1,X2,X3,X4) )).

cnf(i_0_9733,axiom,
    ( esk3219_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_9734,axiom,
    ( ~ esk2746_4(X1,X2,X3,X4)
    | esk2747_4(X1,X2,X3,X4) )).

cnf(i_0_9735,axiom,
    ( ~ esk4138_4(X1,X2,X3,X4)
    | esk4139_4(X1,X2,X3,X4) )).

cnf(i_0_9736,axiom,
    ( ~ esk4401_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_9737,axiom,
    ( ~ esk5712_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | esk5804_4(X1,X2,X3,X4) )).

cnf(i_0_9738,axiom,
    ( esk9702_4(X1,X2,X3,X4)
    | ~ esk9703_4(X1,X2,X3,X4)
    | esk9701_4(X1,X2,X3,X4) )).

cnf(i_0_9739,axiom,
    ( ~ esk8758_4(X1,X2,X3,X4)
    | esk8760_4(X1,X2,X3,X4) )).

cnf(i_0_9740,axiom,
    ( esk3172_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk3171_4(X1,X2,X3,X4) )).

cnf(i_0_9741,axiom,
    ( p(X1)
    | esk2795_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk859_0
    | ~ p(X3) )).

cnf(i_0_9742,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk2433_4(X1,X2,X3,X4)
    | esk671_0 )).

cnf(i_0_9743,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2758_4(X1,X2,X3,X4) )).

cnf(i_0_9744,axiom,
    ( esk3715_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_9745,axiom,
    ( ~ esk3748_4(X1,X2,X3,X4)
    | esk3747_4(X1,X2,X3,X4) )).

cnf(i_0_9746,axiom,
    ( esk5378_4(X1,X2,X3,X4)
    | ~ esk5375_4(X1,X2,X3,X4) )).

cnf(i_0_9747,axiom,
    ( esk6603_4(X1,X2,X3,X4)
    | ~ esk6602_4(X1,X2,X3,X4)
    | ~ esk7356_4(X1,X2,X3,X4) )).

cnf(i_0_9748,axiom,
    ( esk1707_4(X1,X2,X3,X4)
    | ~ esk1646_4(X1,X2,X3,X4) )).

cnf(i_0_9749,axiom,
    ( ~ esk4554_4(X1,X2,X3,X4)
    | esk4970_4(X1,X2,X3,X4) )).

cnf(i_0_9750,axiom,
    ( ~ p(X3)
    | ~ esk2321_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | esk530_0
    | p(X1) )).

cnf(i_0_9751,axiom,
    ( ~ esk1492_4(X1,X2,X3,X4)
    | esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_9752,axiom,
    ( ~ p(X3)
    | ~ esk2451_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk725_0
    | ~ p(X4) )).

cnf(i_0_9753,axiom,
    ( esk8094_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_9754,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk3095_4(X1,X2,X3,X4) )).

cnf(i_0_9755,axiom,
    ( ~ esk7071_4(X1,X2,X3,X4)
    | esk9171_4(X1,X2,X3,X4) )).

cnf(i_0_9756,axiom,
    ( ~ p(X2)
    | ~ esk662_0
    | p(X4)
    | esk8727_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_9757,axiom,
    ( ~ esk1543_4(X1,X2,X3,X4)
    | esk1541_4(X1,X2,X3,X4)
    | esk1542_4(X1,X2,X3,X4) )).

cnf(i_0_9758,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5412_4(X1,X2,X3,X4) )).

cnf(i_0_9759,axiom,
    ( ~ esk7797_4(X1,X2,X3,X4)
    | esk7799_4(X1,X2,X3,X4) )).

cnf(i_0_9760,axiom,
    ( esk9191_4(X1,X2,X3,X4)
    | ~ esk7898_4(X1,X2,X3,X4) )).

cnf(i_0_9761,axiom,
    ( esk6987_4(X1,X2,X3,X4)
    | ~ esk7574_4(X1,X2,X3,X4) )).

cnf(i_0_9762,axiom,
    ( ~ esk3848_4(X1,X2,X3,X4)
    | esk5948_4(X1,X2,X3,X4) )).

cnf(i_0_9763,axiom,
    ( ~ esk9686_4(X1,X2,X3,X4)
    | esk9683_4(X1,X2,X3,X4) )).

cnf(i_0_9764,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7351_4(X1,X2,X3,X4) )).

cnf(i_0_9765,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk853_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_9766,axiom,
    ( esk6847_4(X1,X2,X3,X4)
    | ~ esk6788_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_9767,axiom,
    ( ~ esk8073_4(X1,X2,X3,X4)
    | esk5973_4(X1,X2,X3,X4) )).

cnf(i_0_9768,axiom,
    ( esk8345_4(X1,X2,X3,X4)
    | ~ esk8797_4(X1,X2,X3,X4) )).

cnf(i_0_9769,axiom,
    ( ~ esk4976_4(X1,X2,X3,X4)
    | esk7076_4(X1,X2,X3,X4) )).

cnf(i_0_9770,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk422_0
    | ~ p(X2) )).

cnf(i_0_9771,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk8747_4(X1,X2,X3,X4)
    | esk737_0
    | ~ p(X1) )).

cnf(i_0_9772,axiom,
    ( esk838_0
    | p(X2)
    | ~ esk9087_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_9773,axiom,
    ( esk8553_4(X1,X2,X3,X4)
    | ~ esk8551_4(X1,X2,X3,X4) )).

cnf(i_0_9774,axiom,
    ( ~ esk7896_4(X1,X2,X3,X4)
    | esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_9775,axiom,
    ( ~ esk8246_4(X1,X2,X3,X4)
    | esk8277_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_9776,axiom,
    ( ~ esk2925_4(X1,X2,X3,X4)
    | esk2926_4(X1,X2,X3,X4) )).

cnf(i_0_9777,axiom,
    ( esk2890_4(X1,X2,X3,X4)
    | ~ esk1504_4(X1,X2,X3,X4) )).

cnf(i_0_9778,axiom,
    ( ~ esk8133_4(X1,X2,X3,X4)
    | esk8130_4(X1,X2,X3,X4) )).

cnf(i_0_9779,axiom,
    ( esk6987_4(X1,X2,X3,X4)
    | ~ esk6891_4(X1,X2,X3,X4) )).

cnf(i_0_9780,axiom,
    ( ~ esk7291_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_9781,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk5730_4(X1,X2,X3,X4) )).

cnf(i_0_9782,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4115_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_9783,axiom,
    ( ~ esk5288_4(X1,X2,X3,X4)
    | esk5289_4(X1,X2,X3,X4) )).

cnf(i_0_9784,axiom,
    ( esk7172_4(X1,X2,X3,X4)
    | ~ esk7170_4(X1,X2,X3,X4) )).

cnf(i_0_9785,axiom,
    ( ~ esk4949_4(X1,X2,X3,X4)
    | esk4951_4(X1,X2,X3,X4) )).

cnf(i_0_9786,axiom,
    ( esk4963_4(X1,X2,X3,X4)
    | ~ esk4962_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_9787,axiom,
    ( ~ esk5754_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_9788,axiom,
    ( esk1856_4(X1,X2,X3,X4)
    | ~ esk1858_4(X1,X2,X3,X4)
    | esk1857_4(X1,X2,X3,X4) )).

cnf(i_0_9789,axiom,
    ( esk5365_4(X1,X2,X3,X4)
    | ~ esk5364_4(X1,X2,X3,X4) )).

cnf(i_0_9790,axiom,
    ( esk4138_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4112_4(X1,X2,X3,X4) )).

cnf(i_0_9791,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk7740_4(X1,X2,X3,X4)
    | ~ esk59_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_9792,axiom,
    ( esk6807_4(X1,X2,X3,X4)
    | esk6806_4(X1,X2,X3,X4)
    | ~ esk6808_4(X1,X2,X3,X4) )).

cnf(i_0_9793,axiom,
    ( esk4886_4(X1,X2,X3,X4)
    | ~ esk5394_4(X1,X2,X3,X4) )).

cnf(i_0_9794,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6175_4(X1,X2,X3,X4) )).

cnf(i_0_9795,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk4816_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_9796,axiom,
    ( esk6210_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_9797,axiom,
    ( esk8214_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk306_0 )).

cnf(i_0_9798,axiom,
    ( ~ esk4111_4(X1,X2,X3,X4)
    | esk4112_4(X1,X2,X3,X4) )).

cnf(i_0_9799,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7923_4(X1,X2,X3,X4) )).

cnf(i_0_9800,axiom,
    ( p(X4)
    | esk9105_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk971_0
    | p(X3) )).

cnf(i_0_9801,axiom,
    ( p(X3)
    | ~ esk162_0
    | ~ p(X4)
    | esk8044_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_9802,axiom,
    ( ~ esk9221_4(X1,X2,X3,X4)
    | esk9223_4(X1,X2,X3,X4) )).

cnf(i_0_9803,axiom,
    ( p(X4)
    | p(X2)
    | esk9109_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1003_0
    | ~ p(X3) )).

cnf(i_0_9804,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9332_4(X1,X2,X3,X4) )).

cnf(i_0_9805,axiom,
    ( ~ esk6225_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_9806,axiom,
    ( ~ esk4377_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_9807,axiom,
    ( esk7203_4(X1,X2,X3,X4)
    | ~ esk7204_4(X1,X2,X3,X4)
    | esk7202_4(X1,X2,X3,X4) )).

cnf(i_0_9808,axiom,
    ( ~ esk1467_4(X1,X2,X3,X4)
    | esk1468_4(X1,X2,X3,X4) )).

cnf(i_0_9809,axiom,
    ( esk9612_4(X1,X2,X3,X4)
    | ~ esk9613_4(X1,X2,X3,X4) )).

cnf(i_0_9810,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8640_4(X1,X2,X3,X4) )).

cnf(i_0_9811,axiom,
    ( p(X3)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk1238_0 )).

cnf(i_0_9812,axiom,
    ( esk4534_4(X1,X2,X3,X4)
    | ~ esk2434_4(X1,X2,X3,X4) )).

cnf(i_0_9813,axiom,
    ( ~ esk3048_4(X1,X2,X3,X4)
    | esk3050_4(X1,X2,X3,X4) )).

cnf(i_0_9814,axiom,
    ( esk6611_4(X1,X2,X3,X4)
    | ~ esk7468_4(X1,X2,X3,X4)
    | ~ esk6610_4(X1,X2,X3,X4) )).

cnf(i_0_9815,axiom,
    ( ~ esk5795_4(X1,X2,X3,X4)
    | esk5794_4(X1,X2,X3,X4) )).

cnf(i_0_9816,axiom,
    ( esk4940_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_9817,axiom,
    ( esk6081_4(X1,X2,X3,X4)
    | ~ esk6079_4(X1,X2,X3,X4) )).

cnf(i_0_9818,axiom,
    ( ~ esk7466_4(X1,X2,X3,X4)
    | esk7468_4(X1,X2,X3,X4) )).

cnf(i_0_9819,axiom,
    ( esk291_0
    | ~ esk1874_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_9820,axiom,
    ( ~ p(X1)
    | esk209_0
    | ~ esk1754_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_9821,axiom,
    ( esk1548_4(X1,X2,X3,X4)
    | ~ esk1549_4(X1,X2,X3,X4) )).

cnf(i_0_9822,axiom,
    ( ~ esk7519_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_9823,axiom,
    ( ~ esk9732_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_9824,axiom,
    ( ~ esk9350_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_9825,axiom,
    ( ~ esk7909_4(X1,X2,X3,X4)
    | ~ esk9211_4(X1,X2,X3,X4)
    | esk7910_4(X1,X2,X3,X4) )).

cnf(i_0_9826,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2041_4(X1,X2,X3,X4) )).

cnf(i_0_9827,axiom,
    ( esk5177_4(X1,X2,X3,X4)
    | ~ esk5176_4(X1,X2,X3,X4) )).

cnf(i_0_9828,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_9829,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4694_4(X1,X2,X3,X4) )).

cnf(i_0_9830,axiom,
    ( ~ esk4898_4(X1,X2,X3,X4)
    | esk4703_4(X1,X2,X3,X4)
    | ~ esk4702_4(X1,X2,X3,X4) )).

cnf(i_0_9831,axiom,
    ( ~ esk3713_4(X1,X2,X3,X4)
    | esk3650_4(X1,X2,X3,X4) )).

cnf(i_0_9832,axiom,
    ( ~ esk6912_4(X1,X2,X3,X4)
    | esk7618_4(X1,X2,X3,X4)
    | ~ esk7617_4(X1,X2,X3,X4) )).

cnf(i_0_9833,axiom,
    ( esk8939_4(X1,X2,X3,X4)
    | ~ esk8937_4(X1,X2,X3,X4) )).

cnf(i_0_9834,axiom,
    ( esk8248_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk324_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_9835,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8107_4(X1,X2,X3,X4) )).

cnf(i_0_9836,axiom,
    ( ~ esk1464_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4)
    | esk1534_4(X1,X2,X3,X4) )).

cnf(i_0_9837,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1728_4(X1,X2,X3,X4) )).

cnf(i_0_9838,axiom,
    ( ~ esk9695_4(X1,X2,X3,X4)
    | esk9018_4(X1,X2,X3,X4)
    | ~ esk9017_4(X1,X2,X3,X4) )).

cnf(i_0_9839,axiom,
    ( esk3924_4(X1,X2,X3,X4)
    | ~ esk3925_4(X1,X2,X3,X4) )).

cnf(i_0_9840,axiom,
    ( ~ esk4159_4(X1,X2,X3,X4)
    | esk3778_4(X1,X2,X3,X4) )).

cnf(i_0_9841,axiom,
    ( esk9246_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8006_4(X1,X2,X3,X4) )).

cnf(i_0_9842,axiom,
    ( ~ esk2770_4(X1,X2,X3,X4)
    | esk2771_4(X1,X2,X3,X4) )).

cnf(i_0_9843,axiom,
    ( ~ esk1665_4(X1,X2,X3,X4)
    | ~ esk1702_4(X1,X2,X3,X4)
    | esk1666_4(X1,X2,X3,X4) )).

cnf(i_0_9844,axiom,
    ( esk5294_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9845,axiom,
    ( ~ esk2766_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_9846,axiom,
    ( ~ esk9399_4(X1,X2,X3,X4)
    | ~ esk8697_4(X1,X2,X3,X4)
    | esk8698_4(X1,X2,X3,X4) )).

cnf(i_0_9847,axiom,
    ( esk4371_4(X1,X2,X3,X4)
    | ~ esk4001_4(X1,X2,X3,X4) )).

cnf(i_0_9848,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9619_4(X1,X2,X3,X4)
    | esk9622_4(X1,X2,X3,X4) )).

cnf(i_0_9849,axiom,
    ( esk3546_4(X1,X2,X3,X4)
    | ~ esk3803_4(X1,X2,X3,X4) )).

cnf(i_0_9850,axiom,
    ( ~ esk7141_4(X1,X2,X3,X4)
    | ~ esk5917_4(X1,X2,X3,X4)
    | esk7142_4(X1,X2,X3,X4) )).

cnf(i_0_9851,axiom,
    ( ~ esk3181_4(X1,X2,X3,X4)
    | esk3182_4(X1,X2,X3,X4) )).

cnf(i_0_9852,axiom,
    ( esk8995_4(X1,X2,X3,X4)
    | ~ esk8994_4(X1,X2,X3,X4) )).

cnf(i_0_9853,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9027_4(X1,X2,X3,X4) )).

cnf(i_0_9854,axiom,
    ( ~ esk4828_4(X1,X2,X3,X4)
    | esk4827_4(X1,X2,X3,X4) )).

cnf(i_0_9855,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5136_4(X1,X2,X3,X4) )).

cnf(i_0_9856,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk1643_4(X1,X2,X3,X4)
    | esk118_0
    | ~ p(X1) )).

cnf(i_0_9857,axiom,
    ( ~ esk6641_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4)
    | esk6114_4(X1,X2,X3,X4) )).

cnf(i_0_9858,axiom,
    ( p(X4)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk526_0 )).

cnf(i_0_9859,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | ~ esk678_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_9860,axiom,
    ( esk7512_4(X1,X2,X3,X4)
    | ~ esk7510_4(X1,X2,X3,X4) )).

cnf(i_0_9861,axiom,
    ( ~ esk4501_4(X1,X2,X3,X4)
    | esk4502_4(X1,X2,X3,X4) )).

cnf(i_0_9862,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7385_4(X1,X2,X3,X4) )).

cnf(i_0_9863,axiom,
    ( ~ esk3372_4(X1,X2,X3,X4)
    | esk3371_4(X1,X2,X3,X4) )).

cnf(i_0_9864,axiom,
    ( esk6081_4(X1,X2,X3,X4)
    | ~ esk6078_4(X1,X2,X3,X4) )).

cnf(i_0_9865,axiom,
    ( ~ esk4014_4(X1,X2,X3,X4)
    | esk4049_4(X1,X2,X3,X4) )).

cnf(i_0_9866,axiom,
    ( ~ esk1941_4(X1,X2,X3,X4)
    | esk1943_4(X1,X2,X3,X4) )).

cnf(i_0_9867,axiom,
    ( ~ esk4283_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_9868,axiom,
    ( esk4853_4(X1,X2,X3,X4)
    | ~ esk4854_4(X1,X2,X3,X4)
    | esk4852_4(X1,X2,X3,X4) )).

cnf(i_0_9869,axiom,
    ( esk5738_4(X1,X2,X3,X4)
    | ~ esk5739_4(X1,X2,X3,X4) )).

cnf(i_0_9870,axiom,
    ( ~ esk6206_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_9871,axiom,
    ( ~ esk6898_4(X1,X2,X3,X4)
    | esk6897_4(X1,X2,X3,X4) )).

cnf(i_0_9872,axiom,
    ( ~ esk4731_4(X1,X2,X3,X4)
    | esk4733_4(X1,X2,X3,X4) )).

cnf(i_0_9873,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk100_0
    | esk1641_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_9874,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6358_4(X1,X2,X3,X4) )).

cnf(i_0_9875,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1479_4(X1,X2,X3,X4)
    | esk1501_4(X1,X2,X3,X4) )).

cnf(i_0_9876,axiom,
    ( esk4452_4(X1,X2,X3,X4)
    | esk4451_4(X1,X2,X3,X4)
    | ~ esk4453_4(X1,X2,X3,X4) )).

cnf(i_0_9877,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4784_4(X1,X2,X3,X4) )).

cnf(i_0_9878,axiom,
    ( esk9075_4(X1,X2,X3,X4)
    | ~ esk9076_4(X1,X2,X3,X4)
    | esk9074_4(X1,X2,X3,X4) )).

cnf(i_0_9879,axiom,
    ( ~ esk5318_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_9880,axiom,
    ( esk4121_4(X1,X2,X3,X4)
    | ~ esk3513_4(X1,X2,X3,X4) )).

cnf(i_0_9881,axiom,
    ( esk5435_4(X1,X2,X3,X4)
    | ~ esk4900_4(X1,X2,X3,X4)
    | ~ esk5434_4(X1,X2,X3,X4) )).

cnf(i_0_9882,axiom,
    ( ~ esk9317_4(X1,X2,X3,X4)
    | esk9316_4(X1,X2,X3,X4) )).

cnf(i_0_9883,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7646_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_9884,axiom,
    ( esk2317_4(X1,X2,X3,X4)
    | ~ esk1914_4(X1,X2,X3,X4)
    | esk1913_4(X1,X2,X3,X4) )).

cnf(i_0_9885,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk976_0 )).

cnf(i_0_9886,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3241_4(X1,X2,X3,X4) )).

cnf(i_0_9887,axiom,
    ( esk3320_4(X1,X2,X3,X4)
    | esk3321_4(X1,X2,X3,X4)
    | ~ esk3322_4(X1,X2,X3,X4) )).

cnf(i_0_9888,axiom,
    ( esk8778_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk773_0
    | p(X1)
    | p(X3) )).

cnf(i_0_9889,axiom,
    ( esk7877_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_9890,axiom,
    ( ~ esk5041_4(X1,X2,X3,X4)
    | esk3812_4(X1,X2,X3,X4) )).

cnf(i_0_9891,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8812_4(X1,X2,X3,X4) )).

cnf(i_0_9892,axiom,
    ( esk8750_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4)
    | esk7732_4(X1,X2,X3,X4) )).

cnf(i_0_9893,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk120_0
    | esk1643_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_9894,axiom,
    ( p(X2)
    | esk657_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_9895,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2072_4(X1,X2,X3,X4) )).

cnf(i_0_9896,axiom,
    ( ~ esk4459_4(X1,X2,X3,X4)
    | esk4461_4(X1,X2,X3,X4) )).

cnf(i_0_9897,axiom,
    ( ~ esk6069_4(X1,X2,X3,X4)
    | esk5634_4(X1,X2,X3,X4) )).

cnf(i_0_9898,axiom,
    ( ~ esk5159_4(X1,X2,X3,X4)
    | esk5161_4(X1,X2,X3,X4) )).

cnf(i_0_9899,axiom,
    ( esk1556_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_9900,axiom,
    ( esk9150_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk1032_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_9901,axiom,
    ( ~ esk4338_4(X1,X2,X3,X4)
    | esk4340_4(X1,X2,X3,X4) )).

cnf(i_0_9902,axiom,
    ( ~ esk9571_4(X1,X2,X3,X4)
    | esk9577_4(X1,X2,X3,X4) )).

cnf(i_0_9903,axiom,
    ( esk8251_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk347_0
    | ~ p(X1) )).

cnf(i_0_9904,axiom,
    ( ~ esk9163_4(X1,X2,X3,X4)
    | ~ esk7735_4(X1,X2,X3,X4) )).

cnf(i_0_9905,axiom,
    ( ~ esk5528_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_9906,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2214_4(X1,X2,X3,X4) )).

cnf(i_0_9907,axiom,
    ( esk6134_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_9908,axiom,
    ( ~ esk5301_4(X1,X2,X3,X4)
    | esk5304_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_9909,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6562_4(X1,X2,X3,X4) )).

cnf(i_0_9910,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9069_4(X1,X2,X3,X4) )).

cnf(i_0_9911,axiom,
    ( esk2532_4(X1,X2,X3,X4)
    | ~ esk2531_4(X1,X2,X3,X4) )).

cnf(i_0_9912,axiom,
    ( ~ esk6307_4(X1,X2,X3,X4)
    | esk6306_4(X1,X2,X3,X4)
    | esk6305_4(X1,X2,X3,X4) )).

cnf(i_0_9913,axiom,
    ( ~ p(X4)
    | esk1045_0
    | ~ esk9164_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_9914,axiom,
    ( ~ esk2328_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_9915,axiom,
    ( esk2789_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk826_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_9916,axiom,
    ( esk6573_4(X1,X2,X3,X4)
    | ~ esk6572_4(X1,X2,X3,X4) )).

cnf(i_0_9917,axiom,
    ( esk7537_4(X1,X2,X3,X4)
    | ~ esk7538_4(X1,X2,X3,X4) )).

cnf(i_0_9918,axiom,
    ( esk7248_4(X1,X2,X3,X4)
    | ~ esk7247_4(X1,X2,X3,X4) )).

cnf(i_0_9919,axiom,
    ( esk6886_4(X1,X2,X3,X4)
    | ~ esk6885_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_9920,axiom,
    ( ~ esk3172_4(X1,X2,X3,X4)
    | esk3174_4(X1,X2,X3,X4) )).

cnf(i_0_9921,axiom,
    ( p(X2)
    | p(X4)
    | esk8156_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk275_0
    | p(X1) )).

cnf(i_0_9922,axiom,
    ( esk1795_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9923,axiom,
    ( esk2898_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1204_0
    | p(X1) )).

cnf(i_0_9924,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8769_4(X1,X2,X3,X4)
    | ~ esk8768_4(X1,X2,X3,X4) )).

cnf(i_0_9925,axiom,
    ( p(X2)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1242_0
    | p(X4) )).

cnf(i_0_9926,axiom,
    ( esk6324_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk6629_4(X1,X2,X3,X4) )).

cnf(i_0_9927,axiom,
    ( ~ esk7708_4(X1,X2,X3,X4)
    | esk8215_4(X1,X2,X3,X4) )).

cnf(i_0_9928,axiom,
    ( esk5284_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_9929,axiom,
    ( esk5733_4(X1,X2,X3,X4)
    | ~ esk5731_4(X1,X2,X3,X4) )).

cnf(i_0_9930,axiom,
    ( ~ esk6531_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_9931,axiom,
    ( ~ esk7142_4(X1,X2,X3,X4)
    | esk5917_4(X1,X2,X3,X4) )).

cnf(i_0_9932,axiom,
    ( p(X2)
    | p(X3)
    | esk2433_4(X1,X2,X3,X4)
    | ~ esk663_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_9933,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7401_4(X1,X2,X3,X4) )).

cnf(i_0_9934,axiom,
    ( esk8508_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk496_0
    | ~ p(X1) )).

cnf(i_0_9935,axiom,
    ( ~ esk5108_4(X1,X2,X3,X4)
    | esk5109_4(X1,X2,X3,X4) )).

cnf(i_0_9936,axiom,
    ( ~ esk7463_4(X1,X2,X3,X4)
    | esk7460_4(X1,X2,X3,X4) )).

cnf(i_0_9937,axiom,
    ( ~ p(X3)
    | ~ esk204_0
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk8050_4(X1,X2,X3,X4) )).

cnf(i_0_9938,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk9150_4(X1,X2,X3,X4)
    | esk1027_0
    | ~ p(X2) )).

cnf(i_0_9939,axiom,
    ( esk7820_4(X1,X2,X3,X4)
    | esk7966_4(X1,X2,X3,X4) )).

cnf(i_0_9940,axiom,
    ( esk4544_4(X1,X2,X3,X4)
    | ~ esk5382_4(X1,X2,X3,X4) )).

cnf(i_0_9941,axiom,
    ( esk3540_4(X1,X2,X3,X4)
    | ~ esk4986_4(X1,X2,X3,X4) )).

cnf(i_0_9942,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ esk1128_0
    | esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_9943,axiom,
    ( ~ esk7905_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_9944,axiom,
    ( ~ esk5506_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_9945,axiom,
    ( p(X4)
    | ~ esk841_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_9946,axiom,
    ( esk5459_4(X1,X2,X3,X4)
    | ~ esk5461_4(X1,X2,X3,X4)
    | esk5460_4(X1,X2,X3,X4) )).

cnf(i_0_9947,axiom,
    ( esk4765_4(X1,X2,X3,X4)
    | ~ esk4763_4(X1,X2,X3,X4) )).

cnf(i_0_9948,axiom,
    ( ~ esk5959_4(X1,X2,X3,X4)
    | esk5729_4(X1,X2,X3,X4) )).

cnf(i_0_9949,axiom,
    ( ~ esk4560_4(X1,X2,X3,X4)
    | esk4559_4(X1,X2,X3,X4) )).

cnf(i_0_9950,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2752_4(X1,X2,X3,X4) )).

cnf(i_0_9951,axiom,
    ( ~ esk2969_4(X1,X2,X3,X4)
    | esk2970_4(X1,X2,X3,X4) )).

cnf(i_0_9952,axiom,
    ( esk506_0
    | p(X2)
    | ~ esk2251_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_9953,axiom,
    ( ~ esk5719_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_9954,axiom,
    ( ~ esk5545_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_9955,axiom,
    ( esk7240_4(X1,X2,X3,X4)
    | ~ esk7238_4(X1,X2,X3,X4) )).

cnf(i_0_9956,axiom,
    ( esk1460_4(X1,X2,X3,X4)
    | ~ esk1458_4(X1,X2,X3,X4) )).

cnf(i_0_9957,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7531_4(X1,X2,X3,X4) )).

cnf(i_0_9958,axiom,
    ( ~ esk7144_4(X1,X2,X3,X4)
    | esk7142_4(X1,X2,X3,X4)
    | esk7143_4(X1,X2,X3,X4) )).

cnf(i_0_9959,axiom,
    ( esk5917_4(X1,X2,X3,X4)
    | ~ esk5916_4(X1,X2,X3,X4) )).

cnf(i_0_9960,axiom,
    ( esk7240_4(X1,X2,X3,X4)
    | ~ esk7243_4(X1,X2,X3,X4) )).

cnf(i_0_9961,axiom,
    ( ~ esk1850_4(X1,X2,X3,X4)
    | esk1848_4(X1,X2,X3,X4)
    | esk1849_4(X1,X2,X3,X4) )).

cnf(i_0_9962,axiom,
    ( esk7979_4(X1,X2,X3,X4)
    | ~ esk8136_4(X1,X2,X3,X4) )).

cnf(i_0_9963,axiom,
    ( ~ esk1435_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4)
    | esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_9964,axiom,
    ( ~ esk5648_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_9965,axiom,
    ( esk2366_4(X1,X2,X3,X4)
    | ~ esk3220_4(X1,X2,X3,X4) )).

cnf(i_0_9966,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3562_4(X1,X2,X3,X4) )).

cnf(i_0_9967,axiom,
    ( ~ esk8216_4(X1,X2,X3,X4)
    | esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_9968,axiom,
    ( ~ esk4014_4(X1,X2,X3,X4)
    | esk3973_4(X1,X2,X3,X4)
    | esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_9969,axiom,
    ( ~ esk1296_0
    | ~ p(X2)
    | esk2942_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_9970,axiom,
    ( esk3374_4(X1,X2,X3,X4)
    | ~ esk2729_4(X1,X2,X3,X4) )).

cnf(i_0_9971,axiom,
    ( ~ esk2348_4(X1,X2,X3,X4)
    | esk2347_4(X1,X2,X3,X4) )).

cnf(i_0_9972,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk2095_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk464_0
    | p(X4) )).

cnf(i_0_9973,axiom,
    ( ~ p(X4)
    | esk353_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_9974,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | esk3395_4(X1,X2,X3,X4) )).

cnf(i_0_9975,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk9176_4(X1,X2,X3,X4)
    | esk1139_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_9976,axiom,
    ( p(X1)
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk730_0
    | ~ p(X4) )).

cnf(i_0_9977,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | ~ esk7750_4(X1,X2,X3,X4) )).

cnf(i_0_9978,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2106_4(X1,X2,X3,X4) )).

cnf(i_0_9979,axiom,
    ( ~ esk1506_4(X1,X2,X3,X4)
    | esk1505_4(X1,X2,X3,X4)
    | esk1504_4(X1,X2,X3,X4) )).

cnf(i_0_9980,axiom,
    ( ~ esk2991_4(X1,X2,X3,X4)
    | esk2992_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_9981,axiom,
    ( esk1535_4(X1,X2,X3,X4)
    | ~ esk1753_4(X1,X2,X3,X4) )).

cnf(i_0_9982,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8194_4(X1,X2,X3,X4) )).

cnf(i_0_9983,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4740_4(X1,X2,X3,X4) )).

cnf(i_0_9984,axiom,
    ( esk7939_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk118_0
    | p(X2) )).

cnf(i_0_9985,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7293_4(X1,X2,X3,X4) )).

cnf(i_0_9986,axiom,
    ( ~ esk8213_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4)
    | ~ esk8740_4(X1,X2,X3,X4) )).

cnf(i_0_9987,axiom,
    ( esk1758_4(X1,X2,X3,X4)
    | ~ esk1385_4(X1,X2,X3,X4) )).

cnf(i_0_9988,axiom,
    ( ~ esk4713_4(X1,X2,X3,X4)
    | esk4711_4(X1,X2,X3,X4)
    | esk4712_4(X1,X2,X3,X4) )).

cnf(i_0_9989,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3423_4(X1,X2,X3,X4) )).

cnf(i_0_9990,axiom,
    ( ~ esk2796_4(X1,X2,X3,X4)
    | esk2751_4(X1,X2,X3,X4) )).

cnf(i_0_9991,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8460_4(X1,X2,X3,X4)
    | esk8695_4(X1,X2,X3,X4) )).

cnf(i_0_9992,axiom,
    ( esk4894_4(X1,X2,X3,X4)
    | ~ esk4987_4(X1,X2,X3,X4) )).

cnf(i_0_9993,axiom,
    ( ~ esk2306_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_9994,axiom,
    ( ~ esk9430_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_9995,axiom,
    ( esk111_0
    | ~ esk1643_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_9996,axiom,
    ( esk8945_4(X1,X2,X3,X4)
    | ~ esk8947_4(X1,X2,X3,X4)
    | esk8946_4(X1,X2,X3,X4) )).

cnf(i_0_9997,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk8052_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk218_0 )).

cnf(i_0_9998,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2688_4(X1,X2,X3,X4) )).

cnf(i_0_9999,axiom,
    ( esk9023_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_10000,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8341_4(X1,X2,X3,X4)
    | esk8379_4(X1,X2,X3,X4) )).

cnf(i_0_10001,axiom,
    ( ~ esk7008_4(X1,X2,X3,X4)
    | esk6977_4(X1,X2,X3,X4) )).

cnf(i_0_10002,axiom,
    ( esk6587_4(X1,X2,X3,X4)
    | esk6588_4(X1,X2,X3,X4)
    | ~ esk6589_4(X1,X2,X3,X4) )).

cnf(i_0_10003,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | ~ esk923_0
    | p(X1)
    | p(X4) )).

cnf(i_0_10004,axiom,
    ( esk8609_4(X1,X2,X3,X4)
    | ~ esk8612_4(X1,X2,X3,X4)
    | esk8611_4(X1,X2,X3,X4)
    | esk8610_4(X1,X2,X3,X4) )).

cnf(i_0_10005,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk2797_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1_0 )).

cnf(i_0_10006,axiom,
    ( esk4050_4(X1,X2,X3,X4)
    | ~ esk4757_4(X1,X2,X3,X4) )).

cnf(i_0_10007,axiom,
    ( esk3286_4(X1,X2,X3,X4)
    | esk3287_4(X1,X2,X3,X4)
    | ~ esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_10008,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4475_4(X1,X2,X3,X4) )).

cnf(i_0_10009,axiom,
    ( esk6809_4(X1,X2,X3,X4)
    | ~ esk6810_4(X1,X2,X3,X4) )).

cnf(i_0_10010,axiom,
    ( esk5571_4(X1,X2,X3,X4)
    | esk6443_4(X1,X2,X3,X4) )).

cnf(i_0_10011,axiom,
    ( ~ p(X2)
    | esk2_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_10012,axiom,
    ( esk6051_4(X1,X2,X3,X4)
    | ~ esk6052_4(X1,X2,X3,X4) )).

cnf(i_0_10013,axiom,
    ( ~ esk2220_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_10014,axiom,
    ( ~ esk1722_4(X1,X2,X3,X4)
    | esk1691_4(X1,X2,X3,X4) )).

cnf(i_0_10015,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk947_0
    | p(X4)
    | esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_10016,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8552_4(X1,X2,X3,X4) )).

cnf(i_0_10017,axiom,
    ( ~ esk8245_4(X1,X2,X3,X4)
    | esk8246_4(X1,X2,X3,X4)
    | esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_10018,axiom,
    ( esk3384_4(X1,X2,X3,X4)
    | ~ esk3386_4(X1,X2,X3,X4)
    | esk3385_4(X1,X2,X3,X4) )).

cnf(i_0_10019,axiom,
    ( ~ esk9446_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_10020,axiom,
    ( ~ esk2103_4(X1,X2,X3,X4)
    | esk2102_4(X1,X2,X3,X4) )).

cnf(i_0_10021,axiom,
    ( esk2095_4(X1,X2,X3,X4)
    | ~ esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_10022,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | ~ esk6679_4(X1,X2,X3,X4) )).

cnf(i_0_10023,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_10024,axiom,
    ( ~ esk8345_4(X1,X2,X3,X4)
    | esk8344_4(X1,X2,X3,X4)
    | esk8342_4(X1,X2,X3,X4)
    | esk8343_4(X1,X2,X3,X4) )).

cnf(i_0_10025,axiom,
    ( p(X2)
    | ~ esk7939_4(X1,X2,X3,X4)
    | esk111_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10026,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8242_4(X1,X2,X3,X4) )).

cnf(i_0_10027,axiom,
    ( esk8576_4(X1,X2,X3,X4)
    | ~ esk8540_4(X1,X2,X3,X4)
    | ~ esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_10028,axiom,
    ( ~ p(X4)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1037_0
    | ~ p(X3) )).

cnf(i_0_10029,axiom,
    ( esk5076_4(X1,X2,X3,X4)
    | esk5075_4(X1,X2,X3,X4)
    | ~ esk5077_4(X1,X2,X3,X4) )).

cnf(i_0_10030,axiom,
    ( ~ p(X2)
    | ~ esk8721_4(X1,X2,X3,X4)
    | p(X1)
    | esk609_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_10031,axiom,
    ( ~ esk2873_4(X1,X2,X3,X4)
    | esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_10032,axiom,
    ( esk2425_4(X1,X2,X3,X4)
    | ~ esk2240_4(X1,X2,X3,X4) )).

cnf(i_0_10033,axiom,
    ( ~ esk3031_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10034,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5494_4(X1,X2,X3,X4) )).

cnf(i_0_10035,axiom,
    ( esk6572_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6145_4(X1,X2,X3,X4) )).

cnf(i_0_10036,axiom,
    ( esk9303_4(X1,X2,X3,X4)
    | ~ esk9302_4(X1,X2,X3,X4) )).

cnf(i_0_10037,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | esk178_0
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10038,axiom,
    ( esk1941_4(X1,X2,X3,X4)
    | esk1942_4(X1,X2,X3,X4)
    | ~ esk1943_4(X1,X2,X3,X4) )).

cnf(i_0_10039,axiom,
    ( ~ esk2922_4(X1,X2,X3,X4)
    | ~ esk1620_4(X1,X2,X3,X4)
    | esk1621_4(X1,X2,X3,X4) )).

cnf(i_0_10040,axiom,
    ( esk4822_4(X1,X2,X3,X4)
    | ~ esk4537_4(X1,X2,X3,X4) )).

cnf(i_0_10041,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk1177_0
    | p(X4)
    | p(X1)
    | esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_10042,axiom,
    ( esk1500_4(X1,X2,X3,X4)
    | ~ esk1499_4(X1,X2,X3,X4)
    | ~ esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_10043,axiom,
    ( esk4951_4(X1,X2,X3,X4)
    | ~ esk4952_4(X1,X2,X3,X4) )).

cnf(i_0_10044,axiom,
    ( ~ esk3413_4(X1,X2,X3,X4)
    | esk3414_4(X1,X2,X3,X4) )).

cnf(i_0_10045,axiom,
    ( esk7804_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_10046,axiom,
    ( esk1750_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk179_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_10047,axiom,
    ( esk7280_4(X1,X2,X3,X4)
    | ~ esk7278_4(X1,X2,X3,X4) )).

cnf(i_0_10048,axiom,
    ( ~ esk3256_4(X1,X2,X3,X4)
    | esk3258_4(X1,X2,X3,X4) )).

cnf(i_0_10049,axiom,
    ( esk7719_4(X1,X2,X3,X4)
    | ~ esk8177_4(X1,X2,X3,X4) )).

cnf(i_0_10050,axiom,
    ( ~ p(X4)
    | ~ esk1995_4(X1,X2,X3,X4)
    | esk390_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_10051,axiom,
    ( p(X2)
    | ~ esk2932_4(X1,X2,X3,X4)
    | esk1279_0
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_10052,axiom,
    ( ~ esk6366_4(X1,X2,X3,X4)
    | esk6365_4(X1,X2,X3,X4) )).

cnf(i_0_10053,axiom,
    ( ~ esk5001_4(X1,X2,X3,X4)
    | ~ esk3547_4(X1,X2,X3,X4)
    | esk3548_4(X1,X2,X3,X4) )).

cnf(i_0_10054,axiom,
    ( p(X4)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk640_0
    | p(X3)
    | p(X2) )).

cnf(i_0_10055,axiom,
    ( esk1604_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_10056,axiom,
    ( ~ esk2924_4(X1,X2,X3,X4)
    | esk1739_4(X1,X2,X3,X4) )).

cnf(i_0_10057,axiom,
    ( esk4953_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4)
    | ~ esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_10058,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9000_4(X1,X2,X3,X4) )).

cnf(i_0_10059,axiom,
    ( ~ esk7347_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10060,axiom,
    ( p(X3)
    | esk1_0
    | ~ esk1516_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_10061,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | ~ esk817_0
    | ~ p(X2) )).

cnf(i_0_10062,axiom,
    ( ~ esk4079_4(X1,X2,X3,X4)
    | esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_10063,axiom,
    ( esk6044_4(X1,X2,X3,X4)
    | ~ esk6042_4(X1,X2,X3,X4) )).

cnf(i_0_10064,axiom,
    ( esk4697_4(X1,X2,X3,X4)
    | ~ esk4695_4(X1,X2,X3,X4) )).

cnf(i_0_10065,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk8042_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk141_0 )).

cnf(i_0_10066,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk9087_4(X1,X2,X3,X4)
    | esk840_0
    | ~ p(X2) )).

cnf(i_0_10067,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | esk6952_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_10068,axiom,
    ( ~ esk4666_4(X1,X2,X3,X4)
    | ~ esk4636_4(X1,X2,X3,X4)
    | esk4667_4(X1,X2,X3,X4) )).

cnf(i_0_10069,axiom,
    ( p(X1)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk489_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10070,axiom,
    ( ~ esk3393_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_10071,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk7022_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_10072,axiom,
    ( esk9064_4(X1,X2,X3,X4)
    | ~ esk9063_4(X1,X2,X3,X4) )).

cnf(i_0_10073,axiom,
    ( ~ esk1857_4(X1,X2,X3,X4)
    | esk1858_4(X1,X2,X3,X4) )).

cnf(i_0_10074,axiom,
    ( ~ esk9572_4(X1,X2,X3,X4)
    | esk9573_4(X1,X2,X3,X4) )).

cnf(i_0_10075,axiom,
    ( ~ esk2451_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk734_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_10076,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk1901_4(X1,X2,X3,X4) )).

cnf(i_0_10077,axiom,
    ( esk8725_4(X1,X2,X3,X4)
    | ~ esk634_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_10078,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ esk1_0
    | esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_10079,axiom,
    ( ~ esk8938_4(X1,X2,X3,X4)
    | esk8879_4(X1,X2,X3,X4) )).

cnf(i_0_10080,axiom,
    ( ~ esk2721_4(X1,X2,X3,X4)
    | esk2723_4(X1,X2,X3,X4) )).

cnf(i_0_10081,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | esk5254_4(X1,X2,X3,X4) )).

cnf(i_0_10082,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7421_4(X1,X2,X3,X4) )).

cnf(i_0_10083,axiom,
    ( ~ esk7734_4(X1,X2,X3,X4)
    | esk10_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10084,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9429_4(X1,X2,X3,X4) )).

cnf(i_0_10085,axiom,
    ( esk7837_4(X1,X2,X3,X4)
    | ~ esk7838_4(X1,X2,X3,X4) )).

cnf(i_0_10086,axiom,
    ( ~ esk7602_4(X1,X2,X3,X4)
    | esk6904_4(X1,X2,X3,X4) )).

cnf(i_0_10087,axiom,
    ( ~ esk4345_4(X1,X2,X3,X4)
    | esk4344_4(X1,X2,X3,X4) )).

cnf(i_0_10088,axiom,
    ( ~ esk4958_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_10089,axiom,
    ( ~ p(X2)
    | esk231_0
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_10090,axiom,
    ( esk4727_4(X1,X2,X3,X4)
    | esk4728_4(X1,X2,X3,X4)
    | ~ esk4729_4(X1,X2,X3,X4) )).

cnf(i_0_10091,axiom,
    ( esk7930_4(X1,X2,X3,X4)
    | ~ esk9249_4(X1,X2,X3,X4)
    | ~ esk7929_4(X1,X2,X3,X4) )).

cnf(i_0_10092,axiom,
    ( ~ esk719_0
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_10093,axiom,
    ( ~ esk7037_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_10094,axiom,
    ( esk5006_4(X1,X2,X3,X4)
    | ~ esk7106_4(X1,X2,X3,X4) )).

cnf(i_0_10095,axiom,
    ( ~ esk3457_4(X1,X2,X3,X4)
    | esk3579_4(X1,X2,X3,X4) )).

cnf(i_0_10096,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6980_4(X1,X2,X3,X4) )).

cnf(i_0_10097,axiom,
    ( esk7543_4(X1,X2,X3,X4)
    | esk7542_4(X1,X2,X3,X4)
    | ~ esk7544_4(X1,X2,X3,X4) )).

cnf(i_0_10098,axiom,
    ( ~ esk3579_4(X1,X2,X3,X4)
    | esk3457_4(X1,X2,X3,X4) )).

cnf(i_0_10099,axiom,
    ( ~ esk4065_4(X1,X2,X3,X4)
    | esk4129_4(X1,X2,X3,X4)
    | ~ esk4128_4(X1,X2,X3,X4) )).

cnf(i_0_10100,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ esk2596_4(X1,X2,X3,X4) )).

cnf(i_0_10101,axiom,
    ( esk8676_4(X1,X2,X3,X4)
    | ~ esk8674_4(X1,X2,X3,X4) )).

cnf(i_0_10102,axiom,
    ( esk103_0
    | ~ p(X3)
    | ~ esk1641_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_10103,axiom,
    ( esk1001_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk9109_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_10104,axiom,
    ( ~ esk6607_4(X1,X2,X3,X4)
    | esk6609_4(X1,X2,X3,X4) )).

cnf(i_0_10105,axiom,
    ( esk271_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1842_4(X1,X2,X3,X4) )).

cnf(i_0_10106,axiom,
    ( esk9323_4(X1,X2,X3,X4)
    | ~ esk9322_4(X1,X2,X3,X4) )).

cnf(i_0_10107,axiom,
    ( ~ esk8865_4(X1,X2,X3,X4)
    | esk8864_4(X1,X2,X3,X4) )).

cnf(i_0_10108,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | esk6763_4(X1,X2,X3,X4)
    | ~ esk6731_4(X1,X2,X3,X4) )).

cnf(i_0_10109,axiom,
    ( esk4924_4(X1,X2,X3,X4)
    | ~ esk5531_4(X1,X2,X3,X4) )).

cnf(i_0_10110,axiom,
    ( ~ esk3117_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_10111,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk9254_4(X1,X2,X3,X4)
    | esk1343_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_10112,axiom,
    ( ~ esk8958_4(X1,X2,X3,X4)
    | esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_10113,axiom,
    ( esk4293_4(X1,X2,X3,X4)
    | ~ esk4292_4(X1,X2,X3,X4) )).

cnf(i_0_10114,axiom,
    ( ~ p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk931_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10115,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4179_4(X1,X2,X3,X4) )).

cnf(i_0_10116,axiom,
    ( ~ p(X1)
    | ~ esk1112_0
    | ~ p(X3)
    | p(X4)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_10117,axiom,
    ( ~ esk4815_4(X1,X2,X3,X4)
    | esk4814_4(X1,X2,X3,X4) )).

cnf(i_0_10118,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk2789_4(X1,X2,X3,X4)
    | esk822_0
    | p(X4) )).

cnf(i_0_10119,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9716_4(X1,X2,X3,X4) )).

cnf(i_0_10120,axiom,
    ( esk7573_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_10121,axiom,
    ( ~ esk7495_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_10122,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1805_4(X1,X2,X3,X4) )).

cnf(i_0_10123,axiom,
    ( ~ p(X3)
    | esk2874_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1093_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_10124,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8062_4(X1,X2,X3,X4) )).

cnf(i_0_10125,axiom,
    ( esk3083_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10126,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6792_4(X1,X2,X3,X4)
    | esk7503_4(X1,X2,X3,X4) )).

cnf(i_0_10127,axiom,
    ( ~ p(X1)
    | esk8713_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk557_0 )).

cnf(i_0_10128,axiom,
    ( esk1447_4(X1,X2,X3,X4)
    | ~ esk1368_4(X1,X2,X3,X4) )).

cnf(i_0_10129,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_10130,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4722_4(X1,X2,X3,X4) )).

cnf(i_0_10131,axiom,
    ( ~ esk8387_4(X1,X2,X3,X4)
    | ~ esk8424_4(X1,X2,X3,X4)
    | ~ esk8423_4(X1,X2,X3,X4) )).

cnf(i_0_10132,axiom,
    ( esk8889_4(X1,X2,X3,X4)
    | ~ esk9090_4(X1,X2,X3,X4)
    | ~ esk8888_4(X1,X2,X3,X4) )).

cnf(i_0_10133,axiom,
    ( esk7053_4(X1,X2,X3,X4)
    | ~ esk7054_4(X1,X2,X3,X4) )).

cnf(i_0_10134,axiom,
    ( esk1456_4(X1,X2,X3,X4)
    | ~ esk1454_4(X1,X2,X3,X4) )).

cnf(i_0_10135,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk1140_0
    | esk9176_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_10136,axiom,
    ( esk4000_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_10137,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7539_4(X1,X2,X3,X4)
    | ~ esk7536_4(X1,X2,X3,X4) )).

cnf(i_0_10138,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5178_4(X1,X2,X3,X4) )).

cnf(i_0_10139,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk701_0
    | esk8733_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_10140,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk113_0
    | ~ esk1643_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10141,axiom,
    ( ~ esk4895_4(X1,X2,X3,X4)
    | esk4850_4(X1,X2,X3,X4) )).

cnf(i_0_10142,axiom,
    ( ~ esk4198_4(X1,X2,X3,X4)
    | esk4200_4(X1,X2,X3,X4) )).

cnf(i_0_10143,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2347_4(X1,X2,X3,X4) )).

cnf(i_0_10144,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7455_4(X1,X2,X3,X4) )).

cnf(i_0_10145,axiom,
    ( esk8174_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_10146,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk2797_4(X1,X2,X3,X4)
    | ~ esk877_0
    | p(X1) )).

cnf(i_0_10147,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8481_4(X1,X2,X3,X4) )).

cnf(i_0_10148,axiom,
    ( ~ esk3089_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10149,axiom,
    ( esk9048_4(X1,X2,X3,X4)
    | ~ esk9047_4(X1,X2,X3,X4) )).

cnf(i_0_10150,axiom,
    ( esk3552_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_10151,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4103_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_10152,axiom,
    ( ~ esk2467_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_10153,axiom,
    ( ~ esk8164_4(X1,X2,X3,X4)
    | esk8162_4(X1,X2,X3,X4)
    | esk8163_4(X1,X2,X3,X4) )).

cnf(i_0_10154,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1_0
    | ~ p(X3) )).

cnf(i_0_10155,axiom,
    ( ~ esk662_0
    | ~ p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_10156,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk519_0
    | p(X1)
    | ~ p(X2)
    | esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_10157,axiom,
    ( ~ esk4184_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_10158,axiom,
    ( ~ esk4098_4(X1,X2,X3,X4)
    | esk4100_4(X1,X2,X3,X4) )).

cnf(i_0_10159,axiom,
    ( ~ esk2693_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_10160,axiom,
    ( esk3514_4(X1,X2,X3,X4)
    | ~ esk4160_4(X1,X2,X3,X4) )).

cnf(i_0_10161,axiom,
    ( ~ esk5026_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_10162,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk8870_4(X1,X2,X3,X4) )).

cnf(i_0_10163,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1822_4(X1,X2,X3,X4) )).

cnf(i_0_10164,axiom,
    ( esk2424_4(X1,X2,X3,X4)
    | ~ esk4524_4(X1,X2,X3,X4) )).

cnf(i_0_10165,axiom,
    ( esk6027_4(X1,X2,X3,X4)
    | ~ esk6028_4(X1,X2,X3,X4) )).

cnf(i_0_10166,axiom,
    ( esk2277_4(X1,X2,X3,X4)
    | esk2278_4(X1,X2,X3,X4)
    | esk2279_4(X1,X2,X3,X4)
    | ~ esk2280_4(X1,X2,X3,X4) )).

cnf(i_0_10167,axiom,
    ( esk8462_4(X1,X2,X3,X4)
    | esk8500_4(X1,X2,X3,X4)
    | ~ esk8501_4(X1,X2,X3,X4) )).

cnf(i_0_10168,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2577_4(X1,X2,X3,X4)
    | esk2540_4(X1,X2,X3,X4) )).

cnf(i_0_10169,axiom,
    ( esk6605_4(X1,X2,X3,X4)
    | ~ esk6630_4(X1,X2,X3,X4) )).

cnf(i_0_10170,axiom,
    ( ~ esk8327_4(X1,X2,X3,X4)
    | esk8326_4(X1,X2,X3,X4) )).

cnf(i_0_10171,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8401_4(X1,X2,X3,X4) )).

cnf(i_0_10172,axiom,
    ( esk2938_4(X1,X2,X3,X4)
    | esk2939_4(X1,X2,X3,X4)
    | ~ esk2940_4(X1,X2,X3,X4) )).

cnf(i_0_10173,axiom,
    ( ~ esk6256_4(X1,X2,X3,X4)
    | esk5619_4(X1,X2,X3,X4) )).

cnf(i_0_10174,axiom,
    ( ~ esk3941_4(X1,X2,X3,X4)
    | esk3950_4(X1,X2,X3,X4) )).

cnf(i_0_10175,axiom,
    ( ~ esk5637_4(X1,X2,X3,X4)
    | esk7737_4(X1,X2,X3,X4) )).

cnf(i_0_10176,axiom,
    ( ~ esk7061_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_10177,axiom,
    ( esk1958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk359_0
    | ~ p(X1) )).

cnf(i_0_10178,axiom,
    ( p(X4)
    | ~ esk2429_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk1_0
    | p(X3) )).

cnf(i_0_10179,axiom,
    ( esk2366_4(X1,X2,X3,X4)
    | ~ esk2365_4(X1,X2,X3,X4) )).

cnf(i_0_10180,axiom,
    ( ~ esk2500_4(X1,X2,X3,X4)
    | ~ esk2809_4(X1,X2,X3,X4)
    | esk2653_4(X1,X2,X3,X4) )).

cnf(i_0_10181,axiom,
    ( ~ esk8738_4(X1,X2,X3,X4)
    | esk8740_4(X1,X2,X3,X4) )).

cnf(i_0_10182,axiom,
    ( esk5189_4(X1,X2,X3,X4)
    | ~ esk5192_4(X1,X2,X3,X4) )).

cnf(i_0_10183,axiom,
    ( esk8752_4(X1,X2,X3,X4)
    | ~ esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_10184,axiom,
    ( esk2847_4(X1,X2,X3,X4)
    | ~ esk2848_4(X1,X2,X3,X4)
    | esk2846_4(X1,X2,X3,X4) )).

cnf(i_0_10185,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7595_4(X1,X2,X3,X4)
    | ~ esk7592_4(X1,X2,X3,X4) )).

cnf(i_0_10186,axiom,
    ( esk6032_4(X1,X2,X3,X4)
    | ~ esk5561_4(X1,X2,X3,X4)
    | ~ esk6022_4(X1,X2,X3,X4) )).

cnf(i_0_10187,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | esk6362_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_10188,axiom,
    ( esk2303_4(X1,X2,X3,X4)
    | ~ esk2301_4(X1,X2,X3,X4) )).

cnf(i_0_10189,axiom,
    ( ~ esk2327_4(X1,X2,X3,X4)
    | esk2328_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_10190,axiom,
    ( esk8825_4(X1,X2,X3,X4)
    | ~ esk9005_4(X1,X2,X3,X4) )).

cnf(i_0_10191,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1568_4(X1,X2,X3,X4) )).

cnf(i_0_10192,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6924_4(X1,X2,X3,X4) )).

cnf(i_0_10193,axiom,
    ( ~ esk3069_4(X1,X2,X3,X4)
    | esk3066_4(X1,X2,X3,X4) )).

cnf(i_0_10194,axiom,
    ( esk8237_4(X1,X2,X3,X4)
    | ~ esk8238_4(X1,X2,X3,X4) )).

cnf(i_0_10195,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk1995_4(X1,X2,X3,X4)
    | esk387_0
    | p(X4) )).

cnf(i_0_10196,axiom,
    ( esk8260_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_10197,axiom,
    ( ~ esk7774_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | esk67_0
    | p(X1) )).

cnf(i_0_10198,axiom,
    ( ~ p(X1)
    | ~ esk1756_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk227_0
    | ~ p(X3) )).

cnf(i_0_10199,axiom,
    ( esk6505_4(X1,X2,X3,X4)
    | ~ esk6101_4(X1,X2,X3,X4) )).

cnf(i_0_10200,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_10201,axiom,
    ( esk4254_4(X1,X2,X3,X4)
    | ~ esk4468_4(X1,X2,X3,X4) )).

cnf(i_0_10202,axiom,
    ( ~ esk4334_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_10203,axiom,
    ( esk6006_4(X1,X2,X3,X4)
    | ~ esk6004_4(X1,X2,X3,X4) )).

cnf(i_0_10204,axiom,
    ( esk511_0
    | ~ p(X4)
    | ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_10205,axiom,
    ( ~ esk3296_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_10206,axiom,
    ( ~ esk6562_4(X1,X2,X3,X4)
    | esk6564_4(X1,X2,X3,X4) )).

cnf(i_0_10207,axiom,
    ( ~ esk6005_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_10208,axiom,
    ( p(X1)
    | esk1_0
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_10209,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | esk6851_4(X1,X2,X3,X4)
    | ~ esk6698_4(X1,X2,X3,X4) )).

cnf(i_0_10210,axiom,
    ( ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8822_4(X1,X2,X3,X4) )).

cnf(i_0_10211,axiom,
    ( ~ esk1217_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_10212,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | ~ esk2538_4(X1,X2,X3,X4)
    | esk2539_4(X1,X2,X3,X4) )).

cnf(i_0_10213,axiom,
    ( ~ esk9233_4(X1,X2,X3,X4)
    | esk9232_4(X1,X2,X3,X4)
    | esk9231_4(X1,X2,X3,X4) )).

cnf(i_0_10214,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1184_0
    | p(X4) )).

cnf(i_0_10215,axiom,
    ( ~ esk7405_4(X1,X2,X3,X4)
    | ~ esk7392_4(X1,X2,X3,X4)
    | esk7406_4(X1,X2,X3,X4) )).

cnf(i_0_10216,axiom,
    ( ~ esk3194_4(X1,X2,X3,X4)
    | ~ esk3207_4(X1,X2,X3,X4)
    | esk3208_4(X1,X2,X3,X4) )).

cnf(i_0_10217,axiom,
    ( esk7645_4(X1,X2,X3,X4)
    | ~ esk7642_4(X1,X2,X3,X4) )).

cnf(i_0_10218,axiom,
    ( esk3697_4(X1,X2,X3,X4)
    | esk3696_4(X1,X2,X3,X4)
    | ~ esk3698_4(X1,X2,X3,X4) )).

cnf(i_0_10219,axiom,
    ( esk6294_4(X1,X2,X3,X4)
    | ~ esk6115_4(X1,X2,X3,X4) )).

cnf(i_0_10220,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1507_4(X1,X2,X3,X4) )).

cnf(i_0_10221,axiom,
    ( ~ esk7506_4(X1,X2,X3,X4)
    | esk7508_4(X1,X2,X3,X4) )).

cnf(i_0_10222,axiom,
    ( ~ esk9709_4(X1,X2,X3,X4)
    | esk9007_4(X1,X2,X3,X4) )).

cnf(i_0_10223,axiom,
    ( ~ esk2609_4(X1,X2,X3,X4)
    | esk2554_4(X1,X2,X3,X4) )).

cnf(i_0_10224,axiom,
    ( esk7790_4(X1,X2,X3,X4)
    | esk7789_4(X1,X2,X3,X4)
    | ~ esk7791_4(X1,X2,X3,X4) )).

cnf(i_0_10225,axiom,
    ( ~ esk9144_4(X1,X2,X3,X4)
    | esk9124_4(X1,X2,X3,X4) )).

cnf(i_0_10226,axiom,
    ( ~ esk3520_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_10227,axiom,
    ( esk4758_4(X1,X2,X3,X4)
    | ~ esk4759_4(X1,X2,X3,X4) )).

cnf(i_0_10228,axiom,
    ( ~ esk6520_4(X1,X2,X3,X4)
    | esk6155_4(X1,X2,X3,X4) )).

cnf(i_0_10229,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk1162_0
    | esk2886_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_10230,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6093_4(X1,X2,X3,X4) )).

cnf(i_0_10231,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk8391_4(X1,X2,X3,X4)
    | ~ esk460_0 )).

cnf(i_0_10232,axiom,
    ( esk7419_4(X1,X2,X3,X4)
    | esk7418_4(X1,X2,X3,X4)
    | ~ esk7420_4(X1,X2,X3,X4) )).

cnf(i_0_10233,axiom,
    ( ~ esk8879_4(X1,X2,X3,X4)
    | esk8877_4(X1,X2,X3,X4)
    | esk8878_4(X1,X2,X3,X4) )).

cnf(i_0_10234,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1171_0
    | esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_10235,axiom,
    ( esk7659_4(X1,X2,X3,X4)
    | ~ esk7772_4(X1,X2,X3,X4) )).

cnf(i_0_10236,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6436_4(X1,X2,X3,X4) )).

cnf(i_0_10237,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3309_4(X1,X2,X3,X4) )).

cnf(i_0_10238,axiom,
    ( ~ esk2668_4(X1,X2,X3,X4)
    | esk2670_4(X1,X2,X3,X4) )).

cnf(i_0_10239,axiom,
    ( esk6177_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_10240,axiom,
    ( esk1598_4(X1,X2,X3,X4)
    | esk1597_4(X1,X2,X3,X4)
    | ~ esk1599_4(X1,X2,X3,X4) )).

cnf(i_0_10241,axiom,
    ( ~ esk4087_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_10242,axiom,
    ( esk2170_4(X1,X2,X3,X4)
    | ~ esk2168_4(X1,X2,X3,X4) )).

cnf(i_0_10243,axiom,
    ( ~ esk3880_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_10244,axiom,
    ( ~ esk2689_4(X1,X2,X3,X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_10245,axiom,
    ( p(X3)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1116_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_10246,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | esk3620_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_10247,axiom,
    ( ~ esk2019_4(X1,X2,X3,X4)
    | esk2244_4(X1,X2,X3,X4)
    | esk1985_4(X1,X2,X3,X4) )).

cnf(i_0_10248,axiom,
    ( ~ esk3758_4(X1,X2,X3,X4)
    | esk3759_4(X1,X2,X3,X4) )).

cnf(i_0_10249,axiom,
    ( esk9188_4(X1,X2,X3,X4)
    | ~ esk7663_4(X1,X2,X3,X4) )).

cnf(i_0_10250,axiom,
    ( ~ esk4723_4(X1,X2,X3,X4)
    | esk4722_4(X1,X2,X3,X4) )).

cnf(i_0_10251,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | esk4678_4(X1,X2,X3,X4) )).

cnf(i_0_10252,axiom,
    ( ~ esk1755_4(X1,X2,X3,X4)
    | esk3855_4(X1,X2,X3,X4) )).

cnf(i_0_10253,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk759_0 )).

cnf(i_0_10254,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3141_4(X1,X2,X3,X4) )).

cnf(i_0_10255,axiom,
    ( esk2801_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ esk908_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_10256,axiom,
    ( ~ esk9103_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | esk949_0 )).

cnf(i_0_10257,axiom,
    ( ~ esk355_0
    | p(X1)
    | ~ p(X2)
    | esk8254_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10258,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | esk507_0
    | ~ p(X4)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_10259,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk497_0
    | ~ p(X2)
    | ~ p(X3)
    | esk8508_4(X1,X2,X3,X4) )).

cnf(i_0_10260,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk913_0
    | p(X2)
    | ~ p(X4)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_10261,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4950_4(X1,X2,X3,X4)
    | ~ esk4927_4(X1,X2,X3,X4) )).

cnf(i_0_10262,axiom,
    ( esk2316_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_10263,axiom,
    ( ~ esk1112_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_10264,axiom,
    ( ~ esk2724_4(X1,X2,X3,X4)
    | ~ esk3406_4(X1,X2,X3,X4)
    | esk2725_4(X1,X2,X3,X4) )).

cnf(i_0_10265,axiom,
    ( esk7872_4(X1,X2,X3,X4)
    | ~ esk7871_4(X1,X2,X3,X4) )).

cnf(i_0_10266,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk404_0
    | p(X3)
    | ~ p(X1)
    | esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_10267,axiom,
    ( ~ esk7870_4(X1,X2,X3,X4)
    | esk7872_4(X1,X2,X3,X4) )).

cnf(i_0_10268,axiom,
    ( ~ esk7230_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_10269,axiom,
    ( esk5478_4(X1,X2,X3,X4)
    | ~ esk5479_4(X1,X2,X3,X4) )).

cnf(i_0_10270,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4)
    | esk8346_4(X1,X2,X3,X4) )).

cnf(i_0_10271,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk9190_4(X1,X2,X3,X4)
    | esk1193_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_10272,axiom,
    ( ~ esk1740_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_10273,axiom,
    ( esk1442_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk38_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_10274,axiom,
    ( esk8801_4(X1,X2,X3,X4)
    | ~ esk8953_4(X1,X2,X3,X4) )).

cnf(i_0_10275,axiom,
    ( esk7521_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_10276,axiom,
    ( ~ esk5316_4(X1,X2,X3,X4)
    | esk5317_4(X1,X2,X3,X4) )).

cnf(i_0_10277,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7231_4(X1,X2,X3,X4) )).

cnf(i_0_10278,axiom,
    ( esk8418_4(X1,X2,X3,X4)
    | ~ esk8416_4(X1,X2,X3,X4) )).

cnf(i_0_10279,axiom,
    ( ~ esk9375_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk9378_4(X1,X2,X3,X4) )).

cnf(i_0_10280,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk9596_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_10281,axiom,
    ( ~ esk3005_4(X1,X2,X3,X4)
    | esk3006_4(X1,X2,X3,X4) )).

cnf(i_0_10282,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk853_0
    | p(X4)
    | esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_10283,axiom,
    ( esk4720_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4656_4(X1,X2,X3,X4) )).

cnf(i_0_10284,axiom,
    ( ~ esk2959_4(X1,X2,X3,X4)
    | esk2960_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_10285,axiom,
    ( ~ esk4919_4(X1,X2,X3,X4)
    | esk4953_4(X1,X2,X3,X4) )).

cnf(i_0_10286,axiom,
    ( esk2098_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10287,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk1641_4(X1,X2,X3,X4)
    | esk98_0
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10288,axiom,
    ( esk8220_4(X1,X2,X3,X4)
    | ~ esk8219_4(X1,X2,X3,X4) )).

cnf(i_0_10289,axiom,
    ( ~ esk5895_4(X1,X2,X3,X4)
    | esk6067_4(X1,X2,X3,X4) )).

cnf(i_0_10290,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | ~ esk1922_4(X1,X2,X3,X4) )).

cnf(i_0_10291,axiom,
    ( ~ p(X3)
    | ~ esk886_0
    | ~ p(X2)
    | esk2797_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_10292,axiom,
    ( ~ esk2730_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_10293,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk463_0
    | ~ esk8391_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_10294,axiom,
    ( esk4419_4(X1,X2,X3,X4)
    | ~ esk4161_4(X1,X2,X3,X4) )).

cnf(i_0_10295,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | esk7950_4(X1,X2,X3,X4) )).

cnf(i_0_10296,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8153_4(X1,X2,X3,X4) )).

cnf(i_0_10297,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk3188_4(X1,X2,X3,X4)
    | ~ esk3187_4(X1,X2,X3,X4) )).

cnf(i_0_10298,axiom,
    ( ~ esk1954_4(X1,X2,X3,X4)
    | esk4054_4(X1,X2,X3,X4) )).

cnf(i_0_10299,axiom,
    ( esk3676_4(X1,X2,X3,X4)
    | ~ esk3678_4(X1,X2,X3,X4)
    | esk3677_4(X1,X2,X3,X4) )).

cnf(i_0_10300,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6797_4(X1,X2,X3,X4) )).

cnf(i_0_10301,axiom,
    ( ~ esk6511_4(X1,X2,X3,X4)
    | esk6513_4(X1,X2,X3,X4) )).

cnf(i_0_10302,axiom,
    ( esk8562_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_10303,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk451_0
    | ~ p(X2)
    | ~ esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_10304,axiom,
    ( ~ esk3061_4(X1,X2,X3,X4)
    | esk3062_4(X1,X2,X3,X4) )).

cnf(i_0_10305,axiom,
    ( ~ esk7570_4(X1,X2,X3,X4)
    | esk6888_4(X1,X2,X3,X4) )).

cnf(i_0_10306,axiom,
    ( ~ esk2591_4(X1,X2,X3,X4)
    | ~ esk2793_4(X1,X2,X3,X4)
    | esk2592_4(X1,X2,X3,X4) )).

cnf(i_0_10307,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk939_0
    | ~ esk9101_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_10308,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4029_4(X1,X2,X3,X4) )).

cnf(i_0_10309,axiom,
    ( p(X2)
    | esk524_0
    | ~ esk8585_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_10310,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5158_4(X1,X2,X3,X4)
    | esk5159_4(X1,X2,X3,X4) )).

cnf(i_0_10311,axiom,
    ( ~ esk7457_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10312,axiom,
    ( ~ esk2553_4(X1,X2,X3,X4)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_10313,axiom,
    ( esk4091_4(X1,X2,X3,X4)
    | esk4548_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_10314,axiom,
    ( ~ esk8285_4(X1,X2,X3,X4)
    | esk8288_4(X1,X2,X3,X4) )).

cnf(i_0_10315,axiom,
    ( esk6606_4(X1,X2,X3,X4)
    | ~ esk6607_4(X1,X2,X3,X4) )).

cnf(i_0_10316,axiom,
    ( esk2971_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10317,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5324_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_10318,axiom,
    ( ~ esk5620_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_10319,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk1110_0
    | ~ p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10320,axiom,
    ( p(X1)
    | p(X3)
    | esk1173_0
    | ~ esk2890_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_10321,axiom,
    ( ~ esk4146_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_10322,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk632_0
    | ~ p(X3) )).

cnf(i_0_10323,axiom,
    ( ~ esk5092_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_10324,axiom,
    ( ~ esk9673_4(X1,X2,X3,X4)
    | esk9675_4(X1,X2,X3,X4) )).

cnf(i_0_10325,axiom,
    ( ~ esk1911_4(X1,X2,X3,X4)
    | esk1912_4(X1,X2,X3,X4) )).

cnf(i_0_10326,axiom,
    ( ~ esk4044_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_10327,axiom,
    ( esk9186_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_10328,axiom,
    ( esk7031_4(X1,X2,X3,X4)
    | ~ esk7032_4(X1,X2,X3,X4) )).

cnf(i_0_10329,axiom,
    ( ~ esk3753_4(X1,X2,X3,X4)
    | esk3755_4(X1,X2,X3,X4) )).

cnf(i_0_10330,axiom,
    ( ~ esk2108_4(X1,X2,X3,X4)
    | esk2075_4(X1,X2,X3,X4) )).

cnf(i_0_10331,axiom,
    ( ~ esk8251_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk342_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_10332,axiom,
    ( ~ esk8533_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_10333,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk8735_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk721_0 )).

cnf(i_0_10334,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk1026_0
    | p(X2)
    | esk9150_4(X1,X2,X3,X4) )).

cnf(i_0_10335,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4353_4(X1,X2,X3,X4) )).

cnf(i_0_10336,axiom,
    ( esk4612_4(X1,X2,X3,X4)
    | ~ esk4613_4(X1,X2,X3,X4) )).

cnf(i_0_10337,axiom,
    ( ~ p(X4)
    | esk901_0
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_10338,axiom,
    ( ~ p(X2)
    | ~ esk562_0
    | p(X3)
    | esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_10339,axiom,
    ( ~ esk2449_4(X1,X2,X3,X4)
    | esk1989_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_10340,axiom,
    ( ~ esk8877_4(X1,X2,X3,X4)
    | esk8879_4(X1,X2,X3,X4) )).

cnf(i_0_10341,axiom,
    ( esk6125_4(X1,X2,X3,X4)
    | ~ esk6159_4(X1,X2,X3,X4) )).

cnf(i_0_10342,axiom,
    ( esk1362_4(X1,X2,X3,X4)
    | ~ esk1852_4(X1,X2,X3,X4) )).

cnf(i_0_10343,axiom,
    ( esk5422_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_10344,axiom,
    ( ~ esk8581_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_10345,axiom,
    ( esk2801_4(X1,X2,X3,X4)
    | ~ esk2608_4(X1,X2,X3,X4) )).

cnf(i_0_10346,axiom,
    ( ~ esk1996_4(X1,X2,X3,X4)
    | esk1360_4(X1,X2,X3,X4) )).

cnf(i_0_10347,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1759_4(X1,X2,X3,X4)
    | ~ esk1744_4(X1,X2,X3,X4) )).

cnf(i_0_10348,axiom,
    ( esk2423_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1_0
    | p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_10349,axiom,
    ( esk8615_4(X1,X2,X3,X4)
    | ~ esk8580_4(X1,X2,X3,X4) )).

cnf(i_0_10350,axiom,
    ( ~ esk4912_4(X1,X2,X3,X4)
    | ~ esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_10351,axiom,
    ( ~ esk2292_4(X1,X2,X3,X4)
    | esk2291_4(X1,X2,X3,X4) )).

cnf(i_0_10352,axiom,
    ( ~ esk3147_4(X1,X2,X3,X4)
    | ~ esk3142_4(X1,X2,X3,X4)
    | esk3148_4(X1,X2,X3,X4) )).

cnf(i_0_10353,axiom,
    ( ~ esk1578_4(X1,X2,X3,X4)
    | esk1486_4(X1,X2,X3,X4) )).

cnf(i_0_10354,axiom,
    ( esk1682_4(X1,X2,X3,X4)
    | esk1855_4(X1,X2,X3,X4) )).

cnf(i_0_10355,axiom,
    ( ~ esk7688_4(X1,X2,X3,X4)
    | esk8043_4(X1,X2,X3,X4) )).

cnf(i_0_10356,axiom,
    ( ~ esk4021_4(X1,X2,X3,X4)
    | esk4022_4(X1,X2,X3,X4) )).

cnf(i_0_10357,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9493_4(X1,X2,X3,X4) )).

cnf(i_0_10358,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk1519_4(X1,X2,X3,X4) )).

cnf(i_0_10359,axiom,
    ( ~ esk566_0
    | p(X2)
    | esk8715_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_10360,axiom,
    ( ~ esk8147_4(X1,X2,X3,X4)
    | esk8146_4(X1,X2,X3,X4)
    | esk8145_4(X1,X2,X3,X4) )).

cnf(i_0_10361,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4)
    | ~ esk3978_4(X1,X2,X3,X4) )).

cnf(i_0_10362,axiom,
    ( ~ esk6622_4(X1,X2,X3,X4)
    | esk8722_4(X1,X2,X3,X4) )).

cnf(i_0_10363,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | esk8056_4(X1,X2,X3,X4) )).

cnf(i_0_10364,axiom,
    ( esk2619_4(X1,X2,X3,X4)
    | ~ esk2620_4(X1,X2,X3,X4) )).

cnf(i_0_10365,axiom,
    ( esk7204_4(X1,X2,X3,X4)
    | ~ esk7202_4(X1,X2,X3,X4) )).

cnf(i_0_10366,axiom,
    ( ~ esk4812_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_10367,axiom,
    ( ~ esk5244_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_10368,axiom,
    ( ~ esk1971_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10369,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk406_0
    | esk2022_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10370,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk686_0
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_10371,axiom,
    ( ~ esk4546_4(X1,X2,X3,X4)
    | ~ esk5387_4(X1,X2,X3,X4) )).

cnf(i_0_10372,axiom,
    ( ~ esk7818_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4)
    | esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_10373,axiom,
    ( esk3541_4(X1,X2,X3,X4)
    | ~ esk1441_4(X1,X2,X3,X4) )).

cnf(i_0_10374,axiom,
    ( ~ esk2337_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10375,axiom,
    ( ~ esk5510_4(X1,X2,X3,X4)
    | esk5511_4(X1,X2,X3,X4)
    | ~ esk4809_4(X1,X2,X3,X4) )).

cnf(i_0_10376,axiom,
    ( ~ esk5179_4(X1,X2,X3,X4)
    | esk5178_4(X1,X2,X3,X4) )).

cnf(i_0_10377,axiom,
    ( esk7502_4(X1,X2,X3,X4)
    | ~ esk7501_4(X1,X2,X3,X4)
    | ~ esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_10378,axiom,
    ( esk3875_4(X1,X2,X3,X4)
    | ~ esk3971_4(X1,X2,X3,X4) )).

cnf(i_0_10379,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8194_4(X1,X2,X3,X4) )).

cnf(i_0_10380,axiom,
    ( ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk90_0
    | ~ p(X1) )).

cnf(i_0_10381,axiom,
    ( esk7784_4(X1,X2,X3,X4)
    | ~ esk7785_4(X1,X2,X3,X4) )).

cnf(i_0_10382,axiom,
    ( esk6940_4(X1,X2,X3,X4)
    | esk6939_4(X1,X2,X3,X4)
    | ~ esk6941_4(X1,X2,X3,X4) )).

cnf(i_0_10383,axiom,
    ( esk4552_4(X1,X2,X3,X4)
    | ~ esk3618_4(X1,X2,X3,X4) )).

cnf(i_0_10384,axiom,
    ( ~ esk2_0
    | ~ p(X3)
    | ~ p(X1)
    | esk9150_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_10385,axiom,
    ( esk2858_4(X1,X2,X3,X4)
    | ~ esk2988_4(X1,X2,X3,X4) )).

cnf(i_0_10386,axiom,
    ( ~ esk6654_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4)
    | esk6655_4(X1,X2,X3,X4) )).

cnf(i_0_10387,axiom,
    ( ~ esk7915_4(X1,X2,X3,X4)
    | esk7852_4(X1,X2,X3,X4) )).

cnf(i_0_10388,axiom,
    ( esk8015_4(X1,X2,X3,X4)
    | ~ esk7987_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_10389,axiom,
    ( esk5518_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_10390,axiom,
    ( esk6414_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_10391,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3154_4(X1,X2,X3,X4)
    | esk3157_4(X1,X2,X3,X4) )).

cnf(i_0_10392,axiom,
    ( esk1325_0
    | p(X1)
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_10393,axiom,
    ( ~ esk5029_4(X1,X2,X3,X4)
    | esk5024_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_10394,axiom,
    ( ~ esk6952_4(X1,X2,X3,X4)
    | esk6953_4(X1,X2,X3,X4) )).

cnf(i_0_10395,axiom,
    ( esk4493_4(X1,X2,X3,X4)
    | ~ esk4494_4(X1,X2,X3,X4)
    | esk4492_4(X1,X2,X3,X4) )).

cnf(i_0_10396,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1831_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10397,axiom,
    ( esk6621_4(X1,X2,X3,X4)
    | ~ esk7473_4(X1,X2,X3,X4)
    | esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_10398,axiom,
    ( esk5515_4(X1,X2,X3,X4)
    | esk5516_4(X1,X2,X3,X4)
    | ~ esk5517_4(X1,X2,X3,X4) )).

cnf(i_0_10399,axiom,
    ( esk1753_4(X1,X2,X3,X4)
    | ~ esk3853_4(X1,X2,X3,X4) )).

cnf(i_0_10400,axiom,
    ( ~ esk2312_4(X1,X2,X3,X4)
    | esk2315_4(X1,X2,X3,X4) )).

cnf(i_0_10401,axiom,
    ( ~ esk9018_4(X1,X2,X3,X4)
    | esk9020_4(X1,X2,X3,X4) )).

cnf(i_0_10402,axiom,
    ( esk6034_4(X1,X2,X3,X4)
    | ~ esk6037_4(X1,X2,X3,X4) )).

cnf(i_0_10403,axiom,
    ( ~ esk762_0
    | p(X2)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10404,axiom,
    ( esk9599_4(X1,X2,X3,X4)
    | esk9598_4(X1,X2,X3,X4) )).

cnf(i_0_10405,axiom,
    ( esk8104_4(X1,X2,X3,X4)
    | esk8103_4(X1,X2,X3,X4)
    | ~ esk8105_4(X1,X2,X3,X4) )).

cnf(i_0_10406,axiom,
    ( esk9418_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9415_4(X1,X2,X3,X4) )).

cnf(i_0_10407,axiom,
    ( esk1295_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_10408,axiom,
    ( ~ esk6769_4(X1,X2,X3,X4)
    | esk5883_4(X1,X2,X3,X4) )).

cnf(i_0_10409,axiom,
    ( ~ esk3553_4(X1,X2,X3,X4)
    | esk3555_4(X1,X2,X3,X4) )).

cnf(i_0_10410,axiom,
    ( ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk9206_4(X1,X2,X3,X4) )).

cnf(i_0_10411,axiom,
    ( ~ esk4472_4(X1,X2,X3,X4)
    | esk4471_4(X1,X2,X3,X4) )).

cnf(i_0_10412,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4209_4(X1,X2,X3,X4) )).

cnf(i_0_10413,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk617_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_10414,axiom,
    ( esk1321_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_10415,axiom,
    ( ~ esk6565_4(X1,X2,X3,X4)
    | esk6633_4(X1,X2,X3,X4)
    | esk6631_4(X1,X2,X3,X4) )).

cnf(i_0_10416,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8127_4(X1,X2,X3,X4) )).

cnf(i_0_10417,axiom,
    ( p(X1)
    | esk7937_4(X1,X2,X3,X4)
    | ~ esk94_0
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_10418,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk9170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk1090_0 )).

cnf(i_0_10419,axiom,
    ( ~ esk4141_4(X1,X2,X3,X4)
    | esk4143_4(X1,X2,X3,X4) )).

cnf(i_0_10420,axiom,
    ( ~ esk1_0
    | p(X4)
    | esk1438_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_10421,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9330_4(X1,X2,X3,X4) )).

cnf(i_0_10422,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk288_0
    | p(X3)
    | esk1874_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_10423,axiom,
    ( ~ esk6137_4(X1,X2,X3,X4)
    | esk6135_4(X1,X2,X3,X4)
    | esk6136_4(X1,X2,X3,X4) )).

cnf(i_0_10424,axiom,
    ( ~ p(X2)
    | esk826_0
    | p(X3)
    | ~ p(X4)
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10425,axiom,
    ( ~ esk9179_4(X1,X2,X3,X4)
    | esk7793_4(X1,X2,X3,X4)
    | ~ esk7792_4(X1,X2,X3,X4) )).

cnf(i_0_10426,axiom,
    ( ~ esk3071_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3072_4(X1,X2,X3,X4) )).

cnf(i_0_10427,axiom,
    ( ~ esk3360_4(X1,X2,X3,X4)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_10428,axiom,
    ( esk4454_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_10429,axiom,
    ( esk1984_4(X1,X2,X3,X4)
    | ~ esk1949_4(X1,X2,X3,X4)
    | esk1983_4(X1,X2,X3,X4) )).

cnf(i_0_10430,axiom,
    ( ~ esk9341_4(X1,X2,X3,X4)
    | esk9340_4(X1,X2,X3,X4) )).

cnf(i_0_10431,axiom,
    ( ~ esk7445_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10432,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8985_4(X1,X2,X3,X4) )).

cnf(i_0_10433,axiom,
    ( p(X1)
    | esk1014_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_10434,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk8472_4(X1,X2,X3,X4) )).

cnf(i_0_10435,axiom,
    ( esk2141_4(X1,X2,X3,X4)
    | ~ esk2143_4(X1,X2,X3,X4)
    | esk2142_4(X1,X2,X3,X4) )).

cnf(i_0_10436,axiom,
    ( ~ esk2207_4(X1,X2,X3,X4)
    | esk2209_4(X1,X2,X3,X4) )).

cnf(i_0_10437,axiom,
    ( esk5481_4(X1,X2,X3,X4)
    | ~ esk4832_4(X1,X2,X3,X4) )).

cnf(i_0_10438,axiom,
    ( esk8725_4(X1,X2,X3,X4)
    | ~ esk642_0
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_10439,axiom,
    ( esk3739_4(X1,X2,X3,X4)
    | ~ esk5839_4(X1,X2,X3,X4) )).

cnf(i_0_10440,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk9083_4(X1,X2,X3,X4)
    | ~ esk805_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_10441,axiom,
    ( ~ esk346_0
    | ~ p(X1)
    | esk1955_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_10442,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5266_4(X1,X2,X3,X4) )).

cnf(i_0_10443,axiom,
    ( ~ esk4683_4(X1,X2,X3,X4)
    | esk4685_4(X1,X2,X3,X4) )).

cnf(i_0_10444,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk418_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_10445,axiom,
    ( esk6039_4(X1,X2,X3,X4)
    | ~ esk8139_4(X1,X2,X3,X4) )).

cnf(i_0_10446,axiom,
    ( ~ esk418_0
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_10447,axiom,
    ( ~ esk9464_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_10448,axiom,
    ( esk1683_4(X1,X2,X3,X4)
    | ~ esk1721_4(X1,X2,X3,X4) )).

cnf(i_0_10449,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2505_4(X1,X2,X3,X4) )).

cnf(i_0_10450,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk306_0
    | p(X2)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_10451,axiom,
    ( esk3686_4(X1,X2,X3,X4)
    | ~ esk3684_4(X1,X2,X3,X4) )).

cnf(i_0_10452,axiom,
    ( esk822_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk9085_4(X1,X2,X3,X4) )).

cnf(i_0_10453,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk9254_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk1352_0 )).

cnf(i_0_10454,axiom,
    ( esk5975_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10455,axiom,
    ( ~ p(X3)
    | ~ esk8042_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk148_0
    | p(X2) )).

cnf(i_0_10456,axiom,
    ( ~ p(X3)
    | esk8723_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk624_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10457,axiom,
    ( esk9739_4(X1,X2,X3,X4)
    | ~ esk9161_4(X1,X2,X3,X4)
    | esk9740_4(X1,X2,X3,X4) )).

cnf(i_0_10458,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | esk994_0 )).

cnf(i_0_10459,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk7023_4(X1,X2,X3,X4)
    | ~ esk7022_4(X1,X2,X3,X4) )).

cnf(i_0_10460,axiom,
    ( ~ esk8555_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_10461,axiom,
    ( ~ esk1361_4(X1,X2,X3,X4)
    | esk1956_4(X1,X2,X3,X4) )).

cnf(i_0_10462,axiom,
    ( ~ esk2273_4(X1,X2,X3,X4)
    | esk2274_4(X1,X2,X3,X4)
    | ~ esk2198_4(X1,X2,X3,X4) )).

cnf(i_0_10463,axiom,
    ( esk3734_4(X1,X2,X3,X4)
    | ~ esk5050_4(X1,X2,X3,X4) )).

cnf(i_0_10464,axiom,
    ( ~ esk3632_4(X1,X2,X3,X4)
    | esk3631_4(X1,X2,X3,X4) )).

cnf(i_0_10465,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5436_4(X1,X2,X3,X4) )).

cnf(i_0_10466,axiom,
    ( esk7341_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_10467,axiom,
    ( esk2644_4(X1,X2,X3,X4)
    | ~ esk2646_4(X1,X2,X3,X4)
    | esk2645_4(X1,X2,X3,X4) )).

cnf(i_0_10468,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4313_4(X1,X2,X3,X4) )).

cnf(i_0_10469,axiom,
    ( p(X1)
    | ~ esk938_0
    | ~ p(X4)
    | ~ p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_10470,axiom,
    ( ~ esk6422_4(X1,X2,X3,X4)
    | esk6384_4(X1,X2,X3,X4) )).

cnf(i_0_10471,axiom,
    ( ~ esk4112_4(X1,X2,X3,X4)
    | esk4111_4(X1,X2,X3,X4)
    | esk4110_4(X1,X2,X3,X4) )).

cnf(i_0_10472,axiom,
    ( ~ esk451_0
    | ~ p(X2)
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_10473,axiom,
    ( esk952_0
    | ~ p(X4)
    | p(X3)
    | ~ esk2807_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10474,axiom,
    ( ~ esk2846_4(X1,X2,X3,X4)
    | esk2840_4(X1,X2,X3,X4) )).

cnf(i_0_10475,axiom,
    ( ~ esk8473_4(X1,X2,X3,X4)
    | esk8475_4(X1,X2,X3,X4) )).

cnf(i_0_10476,axiom,
    ( ~ esk4131_4(X1,X2,X3,X4)
    | esk4130_4(X1,X2,X3,X4)
    | esk4129_4(X1,X2,X3,X4) )).

cnf(i_0_10477,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4841_4(X1,X2,X3,X4) )).

cnf(i_0_10478,axiom,
    ( ~ esk2320_4(X1,X2,X3,X4)
    | esk4420_4(X1,X2,X3,X4) )).

cnf(i_0_10479,axiom,
    ( ~ esk4524_4(X1,X2,X3,X4)
    | esk4417_4(X1,X2,X3,X4) )).

cnf(i_0_10480,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk7185_4(X1,X2,X3,X4) )).

cnf(i_0_10481,axiom,
    ( esk590_0
    | p(X2)
    | ~ p(X3)
    | ~ esk8719_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_10482,axiom,
    ( ~ esk353_0
    | p(X4)
    | esk1958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10483,axiom,
    ( esk7368_4(X1,X2,X3,X4)
    | ~ esk7374_4(X1,X2,X3,X4) )).

cnf(i_0_10484,axiom,
    ( ~ esk2518_4(X1,X2,X3,X4)
    | esk2517_4(X1,X2,X3,X4) )).

cnf(i_0_10485,axiom,
    ( esk1817_4(X1,X2,X3,X4)
    | ~ esk1812_4(X1,X2,X3,X4) )).

cnf(i_0_10486,axiom,
    ( esk3932_4(X1,X2,X3,X4)
    | ~ esk4964_4(X1,X2,X3,X4) )).

cnf(i_0_10487,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2033_4(X1,X2,X3,X4) )).

cnf(i_0_10488,axiom,
    ( esk8430_4(X1,X2,X3,X4)
    | ~ esk8468_4(X1,X2,X3,X4) )).

cnf(i_0_10489,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4046_4(X1,X2,X3,X4)
    | esk4473_4(X1,X2,X3,X4) )).

cnf(i_0_10490,axiom,
    ( ~ esk7427_4(X1,X2,X3,X4)
    | esk7428_4(X1,X2,X3,X4) )).

cnf(i_0_10491,axiom,
    ( esk5037_4(X1,X2,X3,X4)
    | ~ esk5039_4(X1,X2,X3,X4)
    | esk5038_4(X1,X2,X3,X4) )).

cnf(i_0_10492,axiom,
    ( esk7289_4(X1,X2,X3,X4)
    | ~ esk7290_4(X1,X2,X3,X4) )).

cnf(i_0_10493,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk2958_4(X1,X2,X3,X4)
    | ~ esk1338_0
    | p(X3)
    | p(X1) )).

cnf(i_0_10494,axiom,
    ( esk3833_4(X1,X2,X3,X4)
    | ~ esk3796_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_10495,axiom,
    ( esk8290_4(X1,X2,X3,X4)
    | ~ esk8343_4(X1,X2,X3,X4) )).

cnf(i_0_10496,axiom,
    ( ~ esk7976_4(X1,X2,X3,X4)
    | esk7975_4(X1,X2,X3,X4) )).

cnf(i_0_10497,axiom,
    ( ~ esk2284_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10498,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | esk2173_4(X1,X2,X3,X4)
    | ~ esk471_0 )).

cnf(i_0_10499,axiom,
    ( esk6623_4(X1,X2,X3,X4)
    | esk6481_4(X1,X2,X3,X4)
    | ~ esk6516_4(X1,X2,X3,X4) )).

cnf(i_0_10500,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk8751_4(X1,X2,X3,X4)
    | p(X4)
    | esk757_0 )).

cnf(i_0_10501,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk7729_4(X1,X2,X3,X4) )).

cnf(i_0_10502,axiom,
    ( ~ esk8158_4(X1,X2,X3,X4)
    | esk8073_4(X1,X2,X3,X4) )).

cnf(i_0_10503,axiom,
    ( ~ esk8949_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_10504,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3675_4(X1,X2,X3,X4) )).

cnf(i_0_10505,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk8735_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk716_0
    | p(X4) )).

cnf(i_0_10506,axiom,
    ( ~ esk8696_4(X1,X2,X3,X4)
    | esk8695_4(X1,X2,X3,X4)
    | esk8694_4(X1,X2,X3,X4) )).

cnf(i_0_10507,axiom,
    ( esk3924_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_10508,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9256_4(X1,X2,X3,X4) )).

cnf(i_0_10509,axiom,
    ( ~ esk7062_4(X1,X2,X3,X4)
    | esk7637_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_10510,axiom,
    ( esk8291_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_10511,axiom,
    ( esk9665_4(X1,X2,X3,X4)
    | ~ esk9664_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_10512,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8458_4(X1,X2,X3,X4) )).

cnf(i_0_10513,axiom,
    ( ~ esk2281_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_10514,axiom,
    ( esk3927_4(X1,X2,X3,X4)
    | ~ esk3925_4(X1,X2,X3,X4) )).

cnf(i_0_10515,axiom,
    ( esk7429_4(X1,X2,X3,X4)
    | ~ esk7430_4(X1,X2,X3,X4) )).

cnf(i_0_10516,axiom,
    ( esk6437_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6402_4(X1,X2,X3,X4) )).

cnf(i_0_10517,axiom,
    ( esk4690_4(X1,X2,X3,X4)
    | ~ esk4691_4(X1,X2,X3,X4) )).

cnf(i_0_10518,axiom,
    ( ~ esk3707_4(X1,X2,X3,X4)
    | esk3708_4(X1,X2,X3,X4)
    | ~ esk5007_4(X1,X2,X3,X4) )).

cnf(i_0_10519,axiom,
    ( esk6394_4(X1,X2,X3,X4)
    | ~ esk6393_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_10520,axiom,
    ( esk6967_4(X1,X2,X3,X4)
    | esk6968_4(X1,X2,X3,X4)
    | ~ esk6969_4(X1,X2,X3,X4) )).

cnf(i_0_10521,axiom,
    ( esk7229_4(X1,X2,X3,X4)
    | ~ esk7230_4(X1,X2,X3,X4) )).

cnf(i_0_10522,axiom,
    ( esk9196_4(X1,X2,X3,X4)
    | ~ esk9197_4(X1,X2,X3,X4) )).

cnf(i_0_10523,axiom,
    ( ~ esk4730_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4)
    | esk4731_4(X1,X2,X3,X4) )).

cnf(i_0_10524,axiom,
    ( ~ esk1442_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk37_0 )).

cnf(i_0_10525,axiom,
    ( esk3972_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_10526,axiom,
    ( ~ esk4175_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_10527,axiom,
    ( esk7513_4(X1,X2,X3,X4)
    | ~ esk7514_4(X1,X2,X3,X4) )).

cnf(i_0_10528,axiom,
    ( esk2815_4(X1,X2,X3,X4)
    | ~ esk3431_4(X1,X2,X3,X4) )).

cnf(i_0_10529,axiom,
    ( esk2279_4(X1,X2,X3,X4)
    | ~ esk2243_4(X1,X2,X3,X4)
    | ~ esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_10530,axiom,
    ( esk6041_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_10531,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk2453_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk749_0
    | p(X3) )).

cnf(i_0_10532,axiom,
    ( ~ esk2074_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_10533,axiom,
    ( ~ esk8720_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8574_4(X1,X2,X3,X4) )).

cnf(i_0_10534,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk2022_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk400_0 )).

cnf(i_0_10535,axiom,
    ( esk8171_4(X1,X2,X3,X4)
    | ~ esk8276_4(X1,X2,X3,X4) )).

cnf(i_0_10536,axiom,
    ( ~ esk7847_4(X1,X2,X3,X4)
    | esk7848_4(X1,X2,X3,X4) )).

cnf(i_0_10537,axiom,
    ( ~ esk3213_4(X1,X2,X3,X4)
    | esk3214_4(X1,X2,X3,X4) )).

cnf(i_0_10538,axiom,
    ( esk2492_4(X1,X2,X3,X4)
    | ~ esk2491_4(X1,X2,X3,X4)
    | ~ esk1784_4(X1,X2,X3,X4) )).

cnf(i_0_10539,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk799_0
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_10540,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk82_0
    | esk7812_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_10541,axiom,
    ( esk6847_4(X1,X2,X3,X4)
    | ~ esk6848_4(X1,X2,X3,X4)
    | esk6846_4(X1,X2,X3,X4) )).

cnf(i_0_10542,axiom,
    ( ~ esk9014_4(X1,X2,X3,X4)
    | esk9015_4(X1,X2,X3,X4) )).

cnf(i_0_10543,axiom,
    ( esk8381_4(X1,X2,X3,X4)
    | esk8294_4(X1,X2,X3,X4) )).

cnf(i_0_10544,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | esk6191_4(X1,X2,X3,X4)
    | ~ esk6190_4(X1,X2,X3,X4) )).

cnf(i_0_10545,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk9186_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1187_0
    | ~ p(X3) )).

cnf(i_0_10546,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6420_4(X1,X2,X3,X4) )).

cnf(i_0_10547,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | p(X4)
    | esk273_0
    | ~ esk8156_4(X1,X2,X3,X4) )).

cnf(i_0_10548,axiom,
    ( ~ esk9534_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_10549,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2470_4(X1,X2,X3,X4)
    | esk2469_4(X1,X2,X3,X4) )).

cnf(i_0_10550,axiom,
    ( esk5113_4(X1,X2,X3,X4)
    | ~ esk5143_4(X1,X2,X3,X4) )).

cnf(i_0_10551,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2363_4(X1,X2,X3,X4)
    | esk2364_4(X1,X2,X3,X4) )).

cnf(i_0_10552,axiom,
    ( ~ esk7068_4(X1,X2,X3,X4)
    | esk4968_4(X1,X2,X3,X4) )).

cnf(i_0_10553,axiom,
    ( esk2217_4(X1,X2,X3,X4)
    | ~ esk2216_4(X1,X2,X3,X4) )).

cnf(i_0_10554,axiom,
    ( ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | esk597_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_10555,axiom,
    ( ~ p(X2)
    | esk9214_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk1262_0
    | ~ p(X3) )).

cnf(i_0_10556,axiom,
    ( ~ esk8035_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_10557,axiom,
    ( esk1057_0
    | ~ esk2870_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_10558,axiom,
    ( ~ esk2324_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_10559,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | ~ esk4156_4(X1,X2,X3,X4) )).

cnf(i_0_10560,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | esk1204_0 )).

cnf(i_0_10561,axiom,
    ( ~ esk8754_4(X1,X2,X3,X4)
    | esk8753_4(X1,X2,X3,X4) )).

cnf(i_0_10562,axiom,
    ( ~ esk4237_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_10563,axiom,
    ( ~ esk5512_4(X1,X2,X3,X4)
    | esk5509_4(X1,X2,X3,X4) )).

cnf(i_0_10564,axiom,
    ( esk1760_4(X1,X2,X3,X4)
    | ~ esk1822_4(X1,X2,X3,X4) )).

cnf(i_0_10565,axiom,
    ( esk9106_4(X1,X2,X3,X4)
    | esk8948_4(X1,X2,X3,X4) )).

cnf(i_0_10566,axiom,
    ( ~ esk6426_4(X1,X2,X3,X4)
    | esk6388_4(X1,X2,X3,X4) )).

cnf(i_0_10567,axiom,
    ( esk2562_4(X1,X2,X3,X4)
    | ~ esk2560_4(X1,X2,X3,X4) )).

cnf(i_0_10568,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5418_4(X1,X2,X3,X4) )).

cnf(i_0_10569,axiom,
    ( ~ p(X2)
    | esk317_0
    | p(X4)
    | ~ p(X3)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10570,axiom,
    ( ~ esk4241_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_10571,axiom,
    ( esk6957_4(X1,X2,X3,X4)
    | ~ esk6955_4(X1,X2,X3,X4) )).

cnf(i_0_10572,axiom,
    ( esk4052_4(X1,X2,X3,X4)
    | ~ esk5384_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_10573,axiom,
    ( esk1900_4(X1,X2,X3,X4)
    | ~ esk1898_4(X1,X2,X3,X4) )).

cnf(i_0_10574,axiom,
    ( esk3225_4(X1,X2,X3,X4)
    | esk3224_4(X1,X2,X3,X4)
    | ~ esk3226_4(X1,X2,X3,X4) )).

cnf(i_0_10575,axiom,
    ( ~ esk8682_4(X1,X2,X3,X4)
    | esk8681_4(X1,X2,X3,X4) )).

cnf(i_0_10576,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4568_4(X1,X2,X3,X4)
    | ~ esk4569_4(X1,X2,X3,X4) )).

cnf(i_0_10577,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4436_4(X1,X2,X3,X4) )).

cnf(i_0_10578,axiom,
    ( ~ esk3785_4(X1,X2,X3,X4)
    | ~ esk4608_4(X1,X2,X3,X4) )).

cnf(i_0_10579,axiom,
    ( esk5740_4(X1,X2,X3,X4)
    | ~ esk5741_4(X1,X2,X3,X4)
    | esk5739_4(X1,X2,X3,X4) )).

cnf(i_0_10580,axiom,
    ( ~ esk4060_4(X1,X2,X3,X4)
    | esk4026_4(X1,X2,X3,X4) )).

cnf(i_0_10581,axiom,
    ( esk5460_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4721_4(X1,X2,X3,X4) )).

cnf(i_0_10582,axiom,
    ( ~ esk6658_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_10583,axiom,
    ( esk6930_4(X1,X2,X3,X4)
    | ~ esk6931_4(X1,X2,X3,X4) )).

cnf(i_0_10584,axiom,
    ( esk7524_4(X1,X2,X3,X4)
    | ~ esk7523_4(X1,X2,X3,X4) )).

cnf(i_0_10585,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk1075_0
    | p(X1)
    | ~ p(X3)
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_10586,axiom,
    ( esk2515_4(X1,X2,X3,X4)
    | esk2514_4(X1,X2,X3,X4)
    | ~ esk2516_4(X1,X2,X3,X4) )).

cnf(i_0_10587,axiom,
    ( esk9403_4(X1,X2,X3,X4)
    | ~ esk9406_4(X1,X2,X3,X4) )).

cnf(i_0_10588,axiom,
    ( esk7663_4(X1,X2,X3,X4)
    | ~ esk9188_4(X1,X2,X3,X4) )).

cnf(i_0_10589,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk3123_4(X1,X2,X3,X4) )).

cnf(i_0_10590,axiom,
    ( esk2578_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_10591,axiom,
    ( ~ esk3935_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4)
    | esk3938_4(X1,X2,X3,X4) )).

cnf(i_0_10592,axiom,
    ( esk5636_4(X1,X2,X3,X4)
    | ~ esk3536_4(X1,X2,X3,X4) )).

cnf(i_0_10593,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2529_4(X1,X2,X3,X4) )).

cnf(i_0_10594,axiom,
    ( esk1498_4(X1,X2,X3,X4)
    | ~ esk1497_4(X1,X2,X3,X4) )).

cnf(i_0_10595,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6111_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_10596,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | esk9248_4(X1,X2,X3,X4)
    | ~ esk1310_0 )).

cnf(i_0_10597,axiom,
    ( esk6973_4(X1,X2,X3,X4)
    | ~ esk6972_4(X1,X2,X3,X4) )).

cnf(i_0_10598,axiom,
    ( esk8140_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_10599,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | esk1002_0 )).

cnf(i_0_10600,axiom,
    ( esk8817_4(X1,X2,X3,X4)
    | ~ esk8815_4(X1,X2,X3,X4) )).

cnf(i_0_10601,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | ~ esk2577_4(X1,X2,X3,X4) )).

cnf(i_0_10602,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3128_4(X1,X2,X3,X4) )).

cnf(i_0_10603,axiom,
    ( p(X3)
    | esk1478_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk63_0 )).

cnf(i_0_10604,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4782_4(X1,X2,X3,X4) )).

cnf(i_0_10605,axiom,
    ( ~ esk9729_4(X1,X2,X3,X4)
    | esk9731_4(X1,X2,X3,X4) )).

cnf(i_0_10606,axiom,
    ( esk2918_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1261_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_10607,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk7991_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_10608,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8900_4(X1,X2,X3,X4) )).

cnf(i_0_10609,axiom,
    ( ~ esk600_0
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk8719_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10610,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk8607_4(X1,X2,X3,X4) )).

cnf(i_0_10611,axiom,
    ( esk8257_4(X1,X2,X3,X4)
    | ~ esk8256_4(X1,X2,X3,X4)
    | ~ esk8368_4(X1,X2,X3,X4) )).

cnf(i_0_10612,axiom,
    ( p(X4)
    | ~ esk1874_4(X1,X2,X3,X4)
    | esk295_0
    | p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_10613,axiom,
    ( ~ esk218_0
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_10614,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3243_4(X1,X2,X3,X4) )).

cnf(i_0_10615,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | esk1748_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk160_0 )).

cnf(i_0_10616,axiom,
    ( ~ esk9639_4(X1,X2,X3,X4)
    | esk9638_4(X1,X2,X3,X4)
    | esk9637_4(X1,X2,X3,X4) )).

cnf(i_0_10617,axiom,
    ( ~ esk2577_4(X1,X2,X3,X4)
    | esk2584_4(X1,X2,X3,X4)
    | ~ esk2583_4(X1,X2,X3,X4) )).

cnf(i_0_10618,axiom,
    ( ~ esk4979_4(X1,X2,X3,X4)
    | esk3782_4(X1,X2,X3,X4) )).

cnf(i_0_10619,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7836_4(X1,X2,X3,X4)
    | esk9236_4(X1,X2,X3,X4) )).

cnf(i_0_10620,axiom,
    ( esk5932_4(X1,X2,X3,X4)
    | ~ esk5933_4(X1,X2,X3,X4)
    | esk5931_4(X1,X2,X3,X4) )).

cnf(i_0_10621,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk775_0
    | esk2482_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10622,axiom,
    ( ~ esk2053_4(X1,X2,X3,X4)
    | esk1885_4(X1,X2,X3,X4) )).

cnf(i_0_10623,axiom,
    ( esk388_0
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_10624,axiom,
    ( ~ esk7661_4(X1,X2,X3,X4)
    | esk8854_4(X1,X2,X3,X4) )).

cnf(i_0_10625,axiom,
    ( ~ esk1663_4(X1,X2,X3,X4)
    | esk2936_4(X1,X2,X3,X4) )).

cnf(i_0_10626,axiom,
    ( esk7228_4(X1,X2,X3,X4)
    | ~ esk7226_4(X1,X2,X3,X4) )).

cnf(i_0_10627,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk1323_0 )).

cnf(i_0_10628,axiom,
    ( esk4924_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_10629,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk733_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_10630,axiom,
    ( p(X4)
    | esk841_0
    | ~ p(X3)
    | ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_10631,axiom,
    ( esk3092_4(X1,X2,X3,X4)
    | ~ esk3086_4(X1,X2,X3,X4)
    | ~ esk3091_4(X1,X2,X3,X4) )).

cnf(i_0_10632,axiom,
    ( esk7316_4(X1,X2,X3,X4)
    | ~ esk7315_4(X1,X2,X3,X4) )).

cnf(i_0_10633,axiom,
    ( esk5637_4(X1,X2,X3,X4)
    | ~ esk7737_4(X1,X2,X3,X4) )).

cnf(i_0_10634,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk2435_4(X1,X2,X3,X4)
    | esk681_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_10635,axiom,
    ( esk7672_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_10636,axiom,
    ( esk3846_4(X1,X2,X3,X4)
    | ~ esk5946_4(X1,X2,X3,X4) )).

cnf(i_0_10637,axiom,
    ( esk2890_4(X1,X2,X3,X4)
    | ~ esk1686_4(X1,X2,X3,X4) )).

cnf(i_0_10638,axiom,
    ( esk2336_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2335_4(X1,X2,X3,X4) )).

cnf(i_0_10639,axiom,
    ( esk5505_4(X1,X2,X3,X4)
    | ~ esk5503_4(X1,X2,X3,X4) )).

cnf(i_0_10640,axiom,
    ( p(X2)
    | p(X4)
    | esk328_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_10641,axiom,
    ( esk9392_4(X1,X2,X3,X4)
    | ~ esk9393_4(X1,X2,X3,X4) )).

cnf(i_0_10642,axiom,
    ( esk2289_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk521_0
    | ~ p(X4) )).

cnf(i_0_10643,axiom,
    ( ~ esk2_0
    | ~ p(X4)
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_10644,axiom,
    ( ~ esk3121_4(X1,X2,X3,X4)
    | esk3122_4(X1,X2,X3,X4) )).

cnf(i_0_10645,axiom,
    ( esk3434_4(X1,X2,X3,X4)
    | ~ esk3432_4(X1,X2,X3,X4) )).

cnf(i_0_10646,axiom,
    ( esk6270_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_10647,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7533_4(X1,X2,X3,X4) )).

cnf(i_0_10648,axiom,
    ( p(X1)
    | esk1_0
    | p(X2)
    | p(X3)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_10649,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk2886_4(X1,X2,X3,X4)
    | ~ esk1171_0
    | ~ p(X3) )).

cnf(i_0_10650,axiom,
    ( esk660_0
    | p(X4)
    | ~ p(X1)
    | ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_10651,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk925_0
    | ~ p(X1)
    | p(X2)
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_10652,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1692_4(X1,X2,X3,X4)
    | esk1693_4(X1,X2,X3,X4) )).

cnf(i_0_10653,axiom,
    ( ~ esk5148_4(X1,X2,X3,X4)
    | esk5149_4(X1,X2,X3,X4) )).

cnf(i_0_10654,axiom,
    ( ~ esk2843_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_10655,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3131_4(X1,X2,X3,X4) )).

cnf(i_0_10656,axiom,
    ( ~ esk7061_4(X1,X2,X3,X4)
    | esk7062_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_10657,axiom,
    ( ~ esk6531_4(X1,X2,X3,X4)
    | esk6532_4(X1,X2,X3,X4) )).

cnf(i_0_10658,axiom,
    ( ~ esk9151_4(X1,X2,X3,X4)
    | esk9119_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_10659,axiom,
    ( ~ esk7193_4(X1,X2,X3,X4)
    | ~ esk6548_4(X1,X2,X3,X4)
    | esk7194_4(X1,X2,X3,X4) )).

cnf(i_0_10660,axiom,
    ( ~ esk3958_4(X1,X2,X3,X4)
    | esk3971_4(X1,X2,X3,X4) )).

cnf(i_0_10661,axiom,
    ( esk5281_4(X1,X2,X3,X4)
    | ~ esk5279_4(X1,X2,X3,X4) )).

cnf(i_0_10662,axiom,
    ( esk4376_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_10663,axiom,
    ( ~ esk932_0
    | ~ p(X1)
    | ~ p(X3)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_10664,axiom,
    ( esk5560_4(X1,X2,X3,X4)
    | ~ esk6050_4(X1,X2,X3,X4) )).

cnf(i_0_10665,axiom,
    ( esk7064_4(X1,X2,X3,X4)
    | ~ esk5634_4(X1,X2,X3,X4) )).

cnf(i_0_10666,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | esk2022_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_10667,axiom,
    ( esk8724_4(X1,X2,X3,X4)
    | esk8500_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_10668,axiom,
    ( ~ esk863_0
    | ~ p(X3)
    | p(X4)
    | esk2795_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_10669,axiom,
    ( esk9040_4(X1,X2,X3,X4)
    | ~ esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_10670,axiom,
    ( ~ esk1796_4(X1,X2,X3,X4)
    | esk1779_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_10671,axiom,
    ( ~ esk5983_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10672,axiom,
    ( esk2758_4(X1,X2,X3,X4)
    | esk2757_4(X1,X2,X3,X4)
    | ~ esk2759_4(X1,X2,X3,X4) )).

cnf(i_0_10673,axiom,
    ( esk319_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_10674,axiom,
    ( esk3693_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3601_4(X1,X2,X3,X4) )).

cnf(i_0_10675,axiom,
    ( esk8484_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_10676,axiom,
    ( esk9709_4(X1,X2,X3,X4)
    | ~ esk9711_4(X1,X2,X3,X4)
    | esk9710_4(X1,X2,X3,X4) )).

cnf(i_0_10677,axiom,
    ( esk7179_4(X1,X2,X3,X4)
    | ~ esk7176_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_10678,axiom,
    ( ~ esk7237_4(X1,X2,X3,X4)
    | esk7238_4(X1,X2,X3,X4)
    | ~ esk7224_4(X1,X2,X3,X4) )).

cnf(i_0_10679,axiom,
    ( ~ esk7346_4(X1,X2,X3,X4)
    | esk7340_4(X1,X2,X3,X4) )).

cnf(i_0_10680,axiom,
    ( ~ esk6643_4(X1,X2,X3,X4)
    | esk7481_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_10681,axiom,
    ( ~ esk279_0
    | ~ p(X3)
    | p(X1)
    | esk1860_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_10682,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6212_4(X1,X2,X3,X4) )).

cnf(i_0_10683,axiom,
    ( ~ esk1519_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_10684,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_10685,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | esk3547_4(X1,X2,X3,X4) )).

cnf(i_0_10686,axiom,
    ( ~ esk4739_4(X1,X2,X3,X4)
    | esk4741_4(X1,X2,X3,X4) )).

cnf(i_0_10687,axiom,
    ( esk4883_4(X1,X2,X3,X4)
    | ~ esk4826_4(X1,X2,X3,X4) )).

cnf(i_0_10688,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | ~ esk6247_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_10689,axiom,
    ( ~ esk4299_4(X1,X2,X3,X4)
    | esk4301_4(X1,X2,X3,X4) )).

cnf(i_0_10690,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2435_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk684_0 )).

cnf(i_0_10691,axiom,
    ( esk6999_4(X1,X2,X3,X4)
    | ~ esk5643_4(X1,X2,X3,X4) )).

cnf(i_0_10692,axiom,
    ( p(X1)
    | ~ esk953_0
    | esk9103_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_10693,axiom,
    ( ~ esk7714_4(X1,X2,X3,X4)
    | esk8470_4(X1,X2,X3,X4) )).

cnf(i_0_10694,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8330_4(X1,X2,X3,X4) )).

cnf(i_0_10695,axiom,
    ( esk8823_4(X1,X2,X3,X4)
    | esk8824_4(X1,X2,X3,X4)
    | ~ esk8825_4(X1,X2,X3,X4) )).

cnf(i_0_10696,axiom,
    ( ~ esk6831_4(X1,X2,X3,X4)
    | esk6666_4(X1,X2,X3,X4) )).

cnf(i_0_10697,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | esk1688_4(X1,X2,X3,X4) )).

cnf(i_0_10698,axiom,
    ( ~ esk2472_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_10699,axiom,
    ( ~ esk8428_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_10700,axiom,
    ( p(X2)
    | ~ esk314_0
    | ~ p(X4)
    | ~ p(X1)
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_10701,axiom,
    ( esk4135_4(X1,X2,X3,X4)
    | ~ esk4133_4(X1,X2,X3,X4) )).

cnf(i_0_10702,axiom,
    ( ~ esk9055_4(X1,X2,X3,X4)
    | esk9056_4(X1,X2,X3,X4) )).

cnf(i_0_10703,axiom,
    ( ~ p(X2)
    | ~ esk2212_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk489_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_10704,axiom,
    ( esk7106_4(X1,X2,X3,X4)
    | ~ esk5807_4(X1,X2,X3,X4) )).

cnf(i_0_10705,axiom,
    ( esk1938_4(X1,X2,X3,X4)
    | esk1937_4(X1,X2,X3,X4)
    | ~ esk1939_4(X1,X2,X3,X4) )).

cnf(i_0_10706,axiom,
    ( ~ esk2006_4(X1,X2,X3,X4)
    | esk2007_4(X1,X2,X3,X4)
    | ~ esk2303_4(X1,X2,X3,X4) )).

cnf(i_0_10707,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5426_4(X1,X2,X3,X4) )).

cnf(i_0_10708,axiom,
    ( esk7090_4(X1,X2,X3,X4)
    | ~ esk5565_4(X1,X2,X3,X4) )).

cnf(i_0_10709,axiom,
    ( ~ esk1705_4(X1,X2,X3,X4)
    | esk2892_4(X1,X2,X3,X4) )).

cnf(i_0_10710,axiom,
    ( esk8156_4(X1,X2,X3,X4)
    | ~ esk286_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_10711,axiom,
    ( ~ esk6638_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_10712,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | esk1435_4(X1,X2,X3,X4) )).

cnf(i_0_10713,axiom,
    ( ~ esk9624_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_10714,axiom,
    ( ~ esk8100_4(X1,X2,X3,X4)
    | esk8101_4(X1,X2,X3,X4) )).

cnf(i_0_10715,axiom,
    ( ~ esk9015_4(X1,X2,X3,X4)
    | esk9014_4(X1,X2,X3,X4)
    | esk9013_4(X1,X2,X3,X4) )).

cnf(i_0_10716,axiom,
    ( esk9112_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk9732_4(X1,X2,X3,X4) )).

cnf(i_0_10717,axiom,
    ( esk9546_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9543_4(X1,X2,X3,X4) )).

cnf(i_0_10718,axiom,
    ( ~ p(X3)
    | esk1294_0
    | p(X1)
    | p(X2)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_10719,axiom,
    ( ~ esk6124_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_10720,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5932_4(X1,X2,X3,X4) )).

cnf(i_0_10721,axiom,
    ( esk9413_4(X1,X2,X3,X4)
    | esk9414_4(X1,X2,X3,X4)
    | ~ esk9415_4(X1,X2,X3,X4) )).

cnf(i_0_10722,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3703_4(X1,X2,X3,X4) )).

cnf(i_0_10723,axiom,
    ( ~ esk9601_4(X1,X2,X3,X4)
    | esk9090_4(X1,X2,X3,X4) )).

cnf(i_0_10724,axiom,
    ( ~ esk2436_4(X1,X2,X3,X4)
    | esk2415_4(X1,X2,X3,X4) )).

cnf(i_0_10725,axiom,
    ( ~ esk6653_4(X1,X2,X3,X4)
    | ~ esk7017_4(X1,X2,X3,X4)
    | ~ esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_10726,axiom,
    ( esk2230_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_10727,axiom,
    ( ~ esk9642_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_10728,axiom,
    ( ~ esk3302_4(X1,X2,X3,X4)
    | esk2581_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_10729,axiom,
    ( ~ esk8243_4(X1,X2,X3,X4)
    | esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_10730,axiom,
    ( esk1908_4(X1,X2,X3,X4)
    | ~ esk1907_4(X1,X2,X3,X4) )).

cnf(i_0_10731,axiom,
    ( ~ esk6369_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_10732,axiom,
    ( esk4808_4(X1,X2,X3,X4)
    | ~ esk4809_4(X1,X2,X3,X4)
    | esk4807_4(X1,X2,X3,X4) )).

cnf(i_0_10733,axiom,
    ( esk6090_4(X1,X2,X3,X4)
    | ~ esk6088_4(X1,X2,X3,X4) )).

cnf(i_0_10734,axiom,
    ( esk4169_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4131_4(X1,X2,X3,X4) )).

cnf(i_0_10735,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk927_0
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_10736,axiom,
    ( ~ p(X3)
    | ~ esk8251_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_10737,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk1_0
    | esk1746_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_10738,axiom,
    ( ~ esk3035_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_10739,axiom,
    ( esk8317_4(X1,X2,X3,X4)
    | ~ esk8466_4(X1,X2,X3,X4) )).

cnf(i_0_10740,axiom,
    ( esk3669_4(X1,X2,X3,X4)
    | ~ esk3670_4(X1,X2,X3,X4)
    | esk3668_4(X1,X2,X3,X4) )).

cnf(i_0_10741,axiom,
    ( ~ esk69_0
    | ~ p(X2)
    | p(X4)
    | esk7774_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10742,axiom,
    ( esk5193_4(X1,X2,X3,X4)
    | ~ esk5196_4(X1,X2,X3,X4) )).

cnf(i_0_10743,axiom,
    ( esk4311_4(X1,X2,X3,X4)
    | ~ esk2211_4(X1,X2,X3,X4) )).

cnf(i_0_10744,axiom,
    ( ~ esk1767_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10745,axiom,
    ( esk2182_4(X1,X2,X3,X4)
    | ~ esk1925_4(X1,X2,X3,X4) )).

cnf(i_0_10746,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk1339_0
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_10747,axiom,
    ( ~ esk8010_4(X1,X2,X3,X4)
    | esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_10748,axiom,
    ( esk5492_4(X1,X2,X3,X4)
    | ~ esk5493_4(X1,X2,X3,X4)
    | esk5491_4(X1,X2,X3,X4) )).

cnf(i_0_10749,axiom,
    ( esk4649_4(X1,X2,X3,X4)
    | ~ esk4894_4(X1,X2,X3,X4) )).

cnf(i_0_10750,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8527_4(X1,X2,X3,X4) )).

cnf(i_0_10751,axiom,
    ( ~ esk1861_4(X1,X2,X3,X4)
    | esk1689_4(X1,X2,X3,X4) )).

cnf(i_0_10752,axiom,
    ( esk1752_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ esk184_0
    | ~ p(X3) )).

cnf(i_0_10753,axiom,
    ( ~ p(X2)
    | ~ esk591_0
    | p(X1)
    | p(X3)
    | esk2423_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_10754,axiom,
    ( ~ esk1490_4(X1,X2,X3,X4)
    | esk1489_4(X1,X2,X3,X4)
    | esk1488_4(X1,X2,X3,X4) )).

cnf(i_0_10755,axiom,
    ( ~ esk3712_4(X1,X2,X3,X4)
    | esk5013_4(X1,X2,X3,X4) )).

cnf(i_0_10756,axiom,
    ( p(X1)
    | ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk1012_0 )).

cnf(i_0_10757,axiom,
    ( ~ esk7076_4(X1,X2,X3,X4)
    | esk4976_4(X1,X2,X3,X4) )).

cnf(i_0_10758,axiom,
    ( ~ esk7840_4(X1,X2,X3,X4)
    | esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_10759,axiom,
    ( ~ esk6839_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_10760,axiom,
    ( esk7643_4(X1,X2,X3,X4)
    | ~ esk7645_4(X1,X2,X3,X4)
    | esk7644_4(X1,X2,X3,X4)
    | esk7642_4(X1,X2,X3,X4) )).

cnf(i_0_10761,axiom,
    ( esk6098_4(X1,X2,X3,X4)
    | ~ esk6097_4(X1,X2,X3,X4) )).

cnf(i_0_10762,axiom,
    ( ~ esk7259_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_10763,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk1348_0 )).

cnf(i_0_10764,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7397_4(X1,X2,X3,X4) )).

cnf(i_0_10765,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8439_4(X1,X2,X3,X4) )).

cnf(i_0_10766,axiom,
    ( esk9093_4(X1,X2,X3,X4)
    | ~ esk9048_4(X1,X2,X3,X4) )).

cnf(i_0_10767,axiom,
    ( esk6515_4(X1,X2,X3,X4)
    | ~ esk6109_4(X1,X2,X3,X4) )).

cnf(i_0_10768,axiom,
    ( ~ esk4671_4(X1,X2,X3,X4)
    | esk5387_4(X1,X2,X3,X4) )).

cnf(i_0_10769,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk113_0
    | p(X1)
    | ~ p(X2)
    | ~ esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_10770,axiom,
    ( esk1106_0
    | ~ esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_10771,axiom,
    ( ~ esk5133_4(X1,X2,X3,X4)
    | esk5132_4(X1,X2,X3,X4)
    | esk5131_4(X1,X2,X3,X4) )).

cnf(i_0_10772,axiom,
    ( esk2341_4(X1,X2,X3,X4)
    | esk2340_4(X1,X2,X3,X4)
    | ~ esk2342_4(X1,X2,X3,X4) )).

cnf(i_0_10773,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5438_4(X1,X2,X3,X4) )).

cnf(i_0_10774,axiom,
    ( esk5796_4(X1,X2,X3,X4)
    | ~ esk5797_4(X1,X2,X3,X4)
    | esk5795_4(X1,X2,X3,X4) )).

cnf(i_0_10775,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk149_0
    | ~ p(X3)
    | ~ esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_10776,axiom,
    ( ~ esk2890_4(X1,X2,X3,X4)
    | ~ esk1596_4(X1,X2,X3,X4)
    | esk1597_4(X1,X2,X3,X4) )).

cnf(i_0_10777,axiom,
    ( ~ esk3934_4(X1,X2,X3,X4)
    | ~ esk3933_4(X1,X2,X3,X4) )).

cnf(i_0_10778,axiom,
    ( esk2888_4(X1,X2,X3,X4)
    | ~ esk1443_4(X1,X2,X3,X4) )).

cnf(i_0_10779,axiom,
    ( esk5913_4(X1,X2,X3,X4)
    | ~ esk7154_4(X1,X2,X3,X4) )).

cnf(i_0_10780,axiom,
    ( esk8388_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk442_0
    | p(X3) )).

cnf(i_0_10781,axiom,
    ( esk7021_4(X1,X2,X3,X4)
    | ~ esk7020_4(X1,X2,X3,X4) )).

cnf(i_0_10782,axiom,
    ( ~ esk1878_4(X1,X2,X3,X4)
    | esk2575_4(X1,X2,X3,X4)
    | ~ esk2093_4(X1,X2,X3,X4) )).

cnf(i_0_10783,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | esk107_0
    | ~ p(X1) )).

cnf(i_0_10784,axiom,
    ( ~ esk9026_4(X1,X2,X3,X4)
    | esk9671_4(X1,X2,X3,X4) )).

cnf(i_0_10785,axiom,
    ( ~ esk5452_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_10786,axiom,
    ( ~ esk9445_4(X1,X2,X3,X4)
    | esk9444_4(X1,X2,X3,X4) )).

cnf(i_0_10787,axiom,
    ( esk7125_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_10788,axiom,
    ( esk7671_4(X1,X2,X3,X4)
    | ~ esk7726_4(X1,X2,X3,X4) )).

cnf(i_0_10789,axiom,
    ( esk4678_4(X1,X2,X3,X4)
    | ~ esk4679_4(X1,X2,X3,X4) )).

cnf(i_0_10790,axiom,
    ( ~ esk5746_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_10791,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4165_4(X1,X2,X3,X4) )).

cnf(i_0_10792,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk8046_4(X1,X2,X3,X4)
    | ~ esk180_0
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_10793,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | esk7762_4(X1,X2,X3,X4) )).

cnf(i_0_10794,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk407_0
    | ~ p(X1)
    | esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_10795,axiom,
    ( ~ esk1501_4(X1,X2,X3,X4)
    | esk1502_4(X1,X2,X3,X4) )).

cnf(i_0_10796,axiom,
    ( esk1993_4(X1,X2,X3,X4)
    | ~ esk2047_4(X1,X2,X3,X4) )).

cnf(i_0_10797,axiom,
    ( esk2214_4(X1,X2,X3,X4)
    | ~ esk2215_4(X1,X2,X3,X4) )).

cnf(i_0_10798,axiom,
    ( esk5283_4(X1,X2,X3,X4)
    | esk5284_4(X1,X2,X3,X4)
    | ~ esk5285_4(X1,X2,X3,X4) )).

cnf(i_0_10799,axiom,
    ( ~ esk8246_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4)
    | ~ esk8245_4(X1,X2,X3,X4) )).

cnf(i_0_10800,axiom,
    ( ~ esk9736_4(X1,X2,X3,X4)
    | esk9738_4(X1,X2,X3,X4) )).

cnf(i_0_10801,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8397_4(X1,X2,X3,X4) )).

cnf(i_0_10802,axiom,
    ( ~ esk4835_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_10803,axiom,
    ( ~ esk590_0
    | p(X2)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_10804,axiom,
    ( ~ p(X4)
    | ~ esk1323_0
    | esk2956_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3) )).

cnf(i_0_10805,axiom,
    ( esk6454_4(X1,X2,X3,X4)
    | ~ esk6491_4(X1,X2,X3,X4) )).

cnf(i_0_10806,axiom,
    ( ~ esk6842_4(X1,X2,X3,X4)
    | esk6844_4(X1,X2,X3,X4) )).

cnf(i_0_10807,axiom,
    ( ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk437_0
    | ~ p(X4) )).

cnf(i_0_10808,axiom,
    ( esk3155_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_10809,axiom,
    ( ~ esk3200_4(X1,X2,X3,X4)
    | esk3199_4(X1,X2,X3,X4) )).

cnf(i_0_10810,axiom,
    ( esk9095_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk897_0 )).

cnf(i_0_10811,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6080_4(X1,X2,X3,X4) )).

cnf(i_0_10812,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9380_4(X1,X2,X3,X4) )).

cnf(i_0_10813,axiom,
    ( esk8134_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_10814,axiom,
    ( ~ esk4539_4(X1,X2,X3,X4)
    | esk4542_4(X1,X2,X3,X4) )).

cnf(i_0_10815,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3029_4(X1,X2,X3,X4) )).

cnf(i_0_10816,axiom,
    ( esk1776_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk247_0
    | p(X1) )).

cnf(i_0_10817,axiom,
    ( ~ esk1649_4(X1,X2,X3,X4)
    | esk1648_4(X1,X2,X3,X4) )).

cnf(i_0_10818,axiom,
    ( ~ esk6790_4(X1,X2,X3,X4)
    | esk6792_4(X1,X2,X3,X4) )).

cnf(i_0_10819,axiom,
    ( esk7626_4(X1,X2,X3,X4)
    | ~ esk7625_4(X1,X2,X3,X4)
    | ~ esk6916_4(X1,X2,X3,X4) )).

cnf(i_0_10820,axiom,
    ( ~ esk8408_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_10821,axiom,
    ( ~ esk9660_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_10822,axiom,
    ( ~ esk9520_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk9521_4(X1,X2,X3,X4) )).

cnf(i_0_10823,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk2580_4(X1,X2,X3,X4)
    | ~ esk2579_4(X1,X2,X3,X4) )).

cnf(i_0_10824,axiom,
    ( ~ esk2565_4(X1,X2,X3,X4)
    | esk2566_4(X1,X2,X3,X4) )).

cnf(i_0_10825,axiom,
    ( esk1669_4(X1,X2,X3,X4)
    | esk1523_4(X1,X2,X3,X4) )).

cnf(i_0_10826,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8164_4(X1,X2,X3,X4)
    | esk8142_4(X1,X2,X3,X4) )).

cnf(i_0_10827,axiom,
    ( esk4242_4(X1,X2,X3,X4)
    | ~ esk4241_4(X1,X2,X3,X4) )).

cnf(i_0_10828,axiom,
    ( ~ esk3564_4(X1,X2,X3,X4)
    | esk3565_4(X1,X2,X3,X4)
    | ~ esk3822_4(X1,X2,X3,X4) )).

cnf(i_0_10829,axiom,
    ( ~ esk2189_4(X1,X2,X3,X4)
    | esk2151_4(X1,X2,X3,X4) )).

cnf(i_0_10830,axiom,
    ( esk7415_4(X1,X2,X3,X4)
    | ~ esk7416_4(X1,X2,X3,X4)
    | esk7414_4(X1,X2,X3,X4) )).

cnf(i_0_10831,axiom,
    ( esk3081_4(X1,X2,X3,X4)
    | esk3080_4(X1,X2,X3,X4)
    | ~ esk3082_4(X1,X2,X3,X4) )).

cnf(i_0_10832,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2679_4(X1,X2,X3,X4) )).

cnf(i_0_10833,axiom,
    ( ~ esk4091_4(X1,X2,X3,X4)
    | esk4092_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_10834,axiom,
    ( esk3406_4(X1,X2,X3,X4)
    | ~ esk3405_4(X1,X2,X3,X4) )).

cnf(i_0_10835,axiom,
    ( ~ esk7622_4(X1,X2,X3,X4)
    | esk7621_4(X1,X2,X3,X4) )).

cnf(i_0_10836,axiom,
    ( ~ esk8111_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_10837,axiom,
    ( ~ esk3765_4(X1,X2,X3,X4)
    | esk3801_4(X1,X2,X3,X4) )).

cnf(i_0_10838,axiom,
    ( esk8512_4(X1,X2,X3,X4)
    | ~ esk8511_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_10839,axiom,
    ( esk6579_4(X1,X2,X3,X4)
    | ~ esk6578_4(X1,X2,X3,X4)
    | ~ esk6160_4(X1,X2,X3,X4) )).

cnf(i_0_10840,axiom,
    ( esk2576_4(X1,X2,X3,X4)
    | ~ esk2057_4(X1,X2,X3,X4) )).

cnf(i_0_10841,axiom,
    ( esk6254_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4)
    | esk6253_4(X1,X2,X3,X4) )).

cnf(i_0_10842,axiom,
    ( ~ esk2611_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_10843,axiom,
    ( ~ esk9098_4(X1,X2,X3,X4)
    | esk7742_4(X1,X2,X3,X4) )).

cnf(i_0_10844,axiom,
    ( esk4250_4(X1,X2,X3,X4)
    | ~ esk4248_4(X1,X2,X3,X4) )).

cnf(i_0_10845,axiom,
    ( esk6103_4(X1,X2,X3,X4)
    | ~ esk6104_4(X1,X2,X3,X4) )).

cnf(i_0_10846,axiom,
    ( esk3103_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10847,axiom,
    ( esk9096_4(X1,X2,X3,X4)
    | ~ esk7942_4(X1,X2,X3,X4) )).

cnf(i_0_10848,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3184_4(X1,X2,X3,X4) )).

cnf(i_0_10849,axiom,
    ( esk4470_4(X1,X2,X3,X4)
    | ~ esk3972_4(X1,X2,X3,X4) )).

cnf(i_0_10850,axiom,
    ( esk4239_4(X1,X2,X3,X4)
    | ~ esk4240_4(X1,X2,X3,X4) )).

cnf(i_0_10851,axiom,
    ( ~ esk1570_4(X1,X2,X3,X4)
    | esk1571_4(X1,X2,X3,X4) )).

cnf(i_0_10852,axiom,
    ( esk444_0
    | p(X4)
    | ~ p(X2)
    | ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10853,axiom,
    ( esk9123_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_10854,axiom,
    ( esk1640_4(X1,X2,X3,X4)
    | ~ esk3740_4(X1,X2,X3,X4) )).

cnf(i_0_10855,axiom,
    ( esk6509_4(X1,X2,X3,X4)
    | ~ esk6508_4(X1,X2,X3,X4) )).

cnf(i_0_10856,axiom,
    ( ~ esk2374_4(X1,X2,X3,X4)
    | esk1947_4(X1,X2,X3,X4) )).

cnf(i_0_10857,axiom,
    ( ~ p(X2)
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk827_0
    | ~ p(X1) )).

cnf(i_0_10858,axiom,
    ( esk4546_4(X1,X2,X3,X4)
    | esk5387_4(X1,X2,X3,X4) )).

cnf(i_0_10859,axiom,
    ( p(X3)
    | esk798_0
    | p(X1)
    | p(X2)
    | ~ esk9083_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_10860,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | esk5873_4(X1,X2,X3,X4)
    | ~ esk5887_4(X1,X2,X3,X4) )).

cnf(i_0_10861,axiom,
    ( ~ esk6015_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk6010_4(X1,X2,X3,X4) )).

cnf(i_0_10862,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk754_0
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_10863,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1156_0
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_10864,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5126_4(X1,X2,X3,X4) )).

cnf(i_0_10865,axiom,
    ( ~ esk2212_4(X1,X2,X3,X4)
    | esk487_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_10866,axiom,
    ( ~ esk9030_4(X1,X2,X3,X4)
    | esk9029_4(X1,X2,X3,X4) )).

cnf(i_0_10867,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8599_4(X1,X2,X3,X4) )).

cnf(i_0_10868,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8312_4(X1,X2,X3,X4) )).

cnf(i_0_10869,axiom,
    ( ~ p(X1)
    | esk105_0
    | ~ p(X4)
    | p(X3)
    | ~ esk1641_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_10870,axiom,
    ( esk620_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_10871,axiom,
    ( esk8947_4(X1,X2,X3,X4)
    | ~ esk8945_4(X1,X2,X3,X4) )).

cnf(i_0_10872,axiom,
    ( ~ esk7409_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_10873,axiom,
    ( ~ esk1419_4(X1,X2,X3,X4)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_10874,axiom,
    ( ~ esk8377_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_10875,axiom,
    ( esk1469_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_10876,axiom,
    ( esk2858_4(X1,X2,X3,X4)
    | ~ esk2856_4(X1,X2,X3,X4) )).

cnf(i_0_10877,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6003_4(X1,X2,X3,X4) )).

cnf(i_0_10878,axiom,
    ( esk607_0
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_10879,axiom,
    ( ~ esk3610_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_10880,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4)
    | esk7497_4(X1,X2,X3,X4) )).

cnf(i_0_10881,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk767_0
    | p(X4) )).

cnf(i_0_10882,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5268_4(X1,X2,X3,X4) )).

cnf(i_0_10883,axiom,
    ( esk2706_4(X1,X2,X3,X4)
    | ~ esk2704_4(X1,X2,X3,X4) )).

cnf(i_0_10884,axiom,
    ( p(X1)
    | p(X4)
    | esk8469_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk468_0 )).

cnf(i_0_10885,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9532_4(X1,X2,X3,X4) )).

cnf(i_0_10886,axiom,
    ( ~ esk9166_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk1056_0
    | p(X2)
    | p(X1) )).

cnf(i_0_10887,axiom,
    ( esk3248_4(X1,X2,X3,X4)
    | ~ esk3242_4(X1,X2,X3,X4)
    | ~ esk3247_4(X1,X2,X3,X4) )).

cnf(i_0_10888,axiom,
    ( esk3199_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_10889,axiom,
    ( esk6920_4(X1,X2,X3,X4)
    | ~ esk6921_4(X1,X2,X3,X4)
    | esk6919_4(X1,X2,X3,X4) )).

cnf(i_0_10890,axiom,
    ( esk162_0
    | ~ esk1748_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_10891,axiom,
    ( esk2056_4(X1,X2,X3,X4)
    | ~ esk2055_4(X1,X2,X3,X4)
    | esk1885_4(X1,X2,X3,X4) )).

cnf(i_0_10892,axiom,
    ( esk2739_4(X1,X2,X3,X4)
    | ~ esk2790_4(X1,X2,X3,X4) )).

cnf(i_0_10893,axiom,
    ( esk6557_4(X1,X2,X3,X4)
    | ~ esk6558_4(X1,X2,X3,X4) )).

cnf(i_0_10894,axiom,
    ( ~ esk8718_4(X1,X2,X3,X4)
    | esk6618_4(X1,X2,X3,X4) )).

cnf(i_0_10895,axiom,
    ( ~ esk3728_4(X1,X2,X3,X4)
    | esk3727_4(X1,X2,X3,X4) )).

cnf(i_0_10896,axiom,
    ( esk6546_4(X1,X2,X3,X4)
    | ~ esk6545_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_10897,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk7455_4(X1,X2,X3,X4) )).

cnf(i_0_10898,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3055_4(X1,X2,X3,X4) )).

cnf(i_0_10899,axiom,
    ( esk3750_4(X1,X2,X3,X4)
    | ~ esk4549_4(X1,X2,X3,X4) )).

cnf(i_0_10900,axiom,
    ( ~ p(X3)
    | esk155_0
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_10901,axiom,
    ( ~ esk8119_4(X1,X2,X3,X4)
    | esk8057_4(X1,X2,X3,X4) )).

cnf(i_0_10902,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4877_4(X1,X2,X3,X4) )).

cnf(i_0_10903,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk64_0
    | p(X4)
    | esk1478_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_10904,axiom,
    ( ~ esk3297_4(X1,X2,X3,X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_10905,axiom,
    ( esk3662_4(X1,X2,X3,X4)
    | ~ esk3725_4(X1,X2,X3,X4) )).

cnf(i_0_10906,axiom,
    ( esk7803_4(X1,X2,X3,X4)
    | ~ esk7802_4(X1,X2,X3,X4) )).

cnf(i_0_10907,axiom,
    ( ~ esk7306_4(X1,X2,X3,X4)
    | esk7305_4(X1,X2,X3,X4) )).

cnf(i_0_10908,axiom,
    ( ~ esk7776_4(X1,X2,X3,X4)
    | esk7859_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_10909,axiom,
    ( ~ esk4106_4(X1,X2,X3,X4)
    | esk4402_4(X1,X2,X3,X4) )).

cnf(i_0_10910,axiom,
    ( ~ esk5366_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_10911,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2073_4(X1,X2,X3,X4) )).

cnf(i_0_10912,axiom,
    ( esk6937_4(X1,X2,X3,X4)
    | ~ esk6935_4(X1,X2,X3,X4) )).

cnf(i_0_10913,axiom,
    ( esk2346_4(X1,X2,X3,X4)
    | ~ esk2344_4(X1,X2,X3,X4) )).

cnf(i_0_10914,axiom,
    ( esk2350_4(X1,X2,X3,X4)
    | ~ esk2348_4(X1,X2,X3,X4) )).

cnf(i_0_10915,axiom,
    ( esk6441_4(X1,X2,X3,X4)
    | ~ esk6479_4(X1,X2,X3,X4)
    | esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_10916,axiom,
    ( ~ esk9192_4(X1,X2,X3,X4)
    | esk7667_4(X1,X2,X3,X4) )).

cnf(i_0_10917,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk4735_4(X1,X2,X3,X4) )).

cnf(i_0_10918,axiom,
    ( esk4192_4(X1,X2,X3,X4)
    | ~ esk4345_4(X1,X2,X3,X4) )).

cnf(i_0_10919,axiom,
    ( esk6517_4(X1,X2,X3,X4)
    | ~ esk6066_4(X1,X2,X3,X4) )).

cnf(i_0_10920,axiom,
    ( ~ esk3091_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_10921,axiom,
    ( esk6722_4(X1,X2,X3,X4)
    | ~ esk6902_4(X1,X2,X3,X4) )).

cnf(i_0_10922,axiom,
    ( ~ esk9016_4(X1,X2,X3,X4)
    | esk9132_4(X1,X2,X3,X4)
    | ~ esk9120_4(X1,X2,X3,X4) )).

cnf(i_0_10923,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7400_4(X1,X2,X3,X4)
    | esk7403_4(X1,X2,X3,X4) )).

cnf(i_0_10924,axiom,
    ( esk4334_4(X1,X2,X3,X4)
    | esk4335_4(X1,X2,X3,X4)
    | ~ esk4336_4(X1,X2,X3,X4) )).

cnf(i_0_10925,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5142_4(X1,X2,X3,X4) )).

cnf(i_0_10926,axiom,
    ( ~ esk3311_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_10927,axiom,
    ( ~ esk1955_4(X1,X2,X3,X4)
    | esk340_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_10928,axiom,
    ( ~ esk5815_4(X1,X2,X3,X4)
    | esk5814_4(X1,X2,X3,X4) )).

cnf(i_0_10929,axiom,
    ( esk9384_4(X1,X2,X3,X4)
    | ~ esk9385_4(X1,X2,X3,X4) )).

cnf(i_0_10930,axiom,
    ( ~ esk5476_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_10931,axiom,
    ( ~ esk2883_4(X1,X2,X3,X4)
    | esk1642_4(X1,X2,X3,X4) )).

cnf(i_0_10932,axiom,
    ( esk6929_4(X1,X2,X3,X4)
    | ~ esk6984_4(X1,X2,X3,X4) )).

cnf(i_0_10933,axiom,
    ( esk6350_4(X1,X2,X3,X4)
    | ~ esk6351_4(X1,X2,X3,X4) )).

cnf(i_0_10934,axiom,
    ( ~ esk3943_4(X1,X2,X3,X4)
    | esk3942_4(X1,X2,X3,X4) )).

cnf(i_0_10935,axiom,
    ( esk6699_4(X1,X2,X3,X4)
    | ~ esk6700_4(X1,X2,X3,X4) )).

cnf(i_0_10936,axiom,
    ( ~ esk2561_4(X1,X2,X3,X4)
    | esk2562_4(X1,X2,X3,X4) )).

cnf(i_0_10937,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7221_4(X1,X2,X3,X4) )).

cnf(i_0_10938,axiom,
    ( ~ esk4376_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_10939,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | esk3277_4(X1,X2,X3,X4)
    | ~ esk3278_4(X1,X2,X3,X4) )).

cnf(i_0_10940,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk722_0
    | p(X4)
    | ~ esk8735_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_10941,axiom,
    ( ~ p(X4)
    | ~ esk1092_0
    | p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_10942,axiom,
    ( esk7010_4(X1,X2,X3,X4)
    | ~ esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_10943,axiom,
    ( esk8714_4(X1,X2,X3,X4)
    | ~ esk8243_4(X1,X2,X3,X4) )).

cnf(i_0_10944,axiom,
    ( ~ esk3861_4(X1,X2,X3,X4)
    | esk3863_4(X1,X2,X3,X4)
    | ~ esk3862_4(X1,X2,X3,X4) )).

cnf(i_0_10945,axiom,
    ( ~ esk8798_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_10946,axiom,
    ( esk6609_4(X1,X2,X3,X4)
    | ~ esk6608_4(X1,X2,X3,X4) )).

cnf(i_0_10947,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk203_0
    | ~ p(X3) )).

cnf(i_0_10948,axiom,
    ( esk6137_4(X1,X2,X3,X4)
    | ~ esk6136_4(X1,X2,X3,X4) )).

cnf(i_0_10949,axiom,
    ( esk4822_4(X1,X2,X3,X4)
    | ~ esk4821_4(X1,X2,X3,X4) )).

cnf(i_0_10950,axiom,
    ( esk2981_4(X1,X2,X3,X4)
    | ~ esk2982_4(X1,X2,X3,X4)
    | esk2980_4(X1,X2,X3,X4) )).

cnf(i_0_10951,axiom,
    ( ~ esk6543_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_10952,axiom,
    ( esk7992_4(X1,X2,X3,X4)
    | ~ esk7991_4(X1,X2,X3,X4) )).

cnf(i_0_10953,axiom,
    ( esk1668_4(X1,X2,X3,X4)
    | ~ esk1667_4(X1,X2,X3,X4) )).

cnf(i_0_10954,axiom,
    ( ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_10955,axiom,
    ( esk5115_4(X1,X2,X3,X4)
    | ~ esk5114_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_10956,axiom,
    ( ~ esk8266_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_10957,axiom,
    ( ~ esk1636_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_10958,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8622_4(X1,X2,X3,X4) )).

cnf(i_0_10959,axiom,
    ( esk2488_4(X1,X2,X3,X4)
    | ~ esk2676_4(X1,X2,X3,X4) )).

cnf(i_0_10960,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk1041_0
    | p(X1)
    | esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_10961,axiom,
    ( ~ esk5306_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_10962,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1_0
    | esk7736_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_10963,axiom,
    ( ~ esk4032_4(X1,X2,X3,X4)
    | esk4034_4(X1,X2,X3,X4) )).

cnf(i_0_10964,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk2321_4(X1,X2,X3,X4)
    | ~ esk536_0
    | p(X3)
    | p(X2) )).

cnf(i_0_10965,axiom,
    ( ~ esk4137_4(X1,X2,X3,X4)
    | esk4073_4(X1,X2,X3,X4) )).

cnf(i_0_10966,axiom,
    ( ~ esk3823_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_10967,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1998_4(X1,X2,X3,X4) )).

cnf(i_0_10968,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8497_4(X1,X2,X3,X4) )).

cnf(i_0_10969,axiom,
    ( esk8761_4(X1,X2,X3,X4)
    | ~ esk9208_4(X1,X2,X3,X4) )).

cnf(i_0_10970,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | esk1068_0
    | p(X2)
    | p(X3) )).

cnf(i_0_10971,axiom,
    ( esk2848_4(X1,X2,X3,X4)
    | ~ esk2814_4(X1,X2,X3,X4) )).

cnf(i_0_10972,axiom,
    ( ~ esk326_0
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_10973,axiom,
    ( esk3896_4(X1,X2,X3,X4)
    | ~ esk3897_4(X1,X2,X3,X4) )).

cnf(i_0_10974,axiom,
    ( esk6408_4(X1,X2,X3,X4)
    | esk6447_4(X1,X2,X3,X4)
    | ~ esk6195_4(X1,X2,X3,X4) )).

cnf(i_0_10975,axiom,
    ( ~ esk6095_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_10976,axiom,
    ( esk2933_4(X1,X2,X3,X4)
    | ~ esk2934_4(X1,X2,X3,X4) )).

cnf(i_0_10977,axiom,
    ( esk1556_4(X1,X2,X3,X4)
    | ~ esk1557_4(X1,X2,X3,X4) )).

cnf(i_0_10978,axiom,
    ( esk8977_4(X1,X2,X3,X4)
    | ~ esk8976_4(X1,X2,X3,X4)
    | ~ esk8786_4(X1,X2,X3,X4) )).

cnf(i_0_10979,axiom,
    ( ~ esk2964_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_10980,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk1058_0
    | esk2870_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_10981,axiom,
    ( ~ esk6878_4(X1,X2,X3,X4)
    | esk6880_4(X1,X2,X3,X4) )).

cnf(i_0_10982,axiom,
    ( p(X2)
    | ~ esk944_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_10983,axiom,
    ( ~ esk1659_4(X1,X2,X3,X4)
    | esk1660_4(X1,X2,X3,X4) )).

cnf(i_0_10984,axiom,
    ( ~ esk7033_4(X1,X2,X3,X4)
    | esk7021_4(X1,X2,X3,X4) )).

cnf(i_0_10985,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk326_0
    | p(X3)
    | ~ p(X1)
    | esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_10986,axiom,
    ( ~ esk2457_4(X1,X2,X3,X4)
    | esk2459_4(X1,X2,X3,X4) )).

cnf(i_0_10987,axiom,
    ( esk8111_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_10988,axiom,
    ( ~ esk1610_4(X1,X2,X3,X4)
    | esk1611_4(X1,X2,X3,X4) )).

cnf(i_0_10989,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6777_4(X1,X2,X3,X4)
    | esk6778_4(X1,X2,X3,X4) )).

cnf(i_0_10990,axiom,
    ( ~ esk4993_4(X1,X2,X3,X4)
    | esk2893_4(X1,X2,X3,X4) )).

cnf(i_0_10991,axiom,
    ( esk1784_4(X1,X2,X3,X4)
    | ~ esk1782_4(X1,X2,X3,X4) )).

cnf(i_0_10992,axiom,
    ( esk1551_4(X1,X2,X3,X4)
    | ~ esk1550_4(X1,X2,X3,X4) )).

cnf(i_0_10993,axiom,
    ( ~ p(X4)
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk816_0
    | p(X2)
    | p(X1) )).

cnf(i_0_10994,axiom,
    ( p(X1)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | esk723_0 )).

cnf(i_0_10995,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X3)
    | esk783_0 )).

cnf(i_0_10996,axiom,
    ( ~ esk4333_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_10997,axiom,
    ( ~ esk7235_4(X1,X2,X3,X4)
    | esk7236_4(X1,X2,X3,X4) )).

cnf(i_0_10998,axiom,
    ( esk8440_4(X1,X2,X3,X4)
    | ~ esk8478_4(X1,X2,X3,X4) )).

cnf(i_0_10999,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | esk9148_4(X1,X2,X3,X4)
    | ~ esk9125_4(X1,X2,X3,X4) )).

cnf(i_0_11000,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | esk1512_4(X1,X2,X3,X4)
    | ~ esk1511_4(X1,X2,X3,X4) )).

cnf(i_0_11001,axiom,
    ( esk2054_4(X1,X2,X3,X4)
    | ~ esk2051_4(X1,X2,X3,X4) )).

cnf(i_0_11002,axiom,
    ( ~ p(X3)
    | ~ esk17_0
    | p(X4)
    | esk7734_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_11003,axiom,
    ( esk7475_4(X1,X2,X3,X4)
    | esk6617_4(X1,X2,X3,X4)
    | ~ esk7476_4(X1,X2,X3,X4) )).

cnf(i_0_11004,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2540_4(X1,X2,X3,X4) )).

cnf(i_0_11005,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8519_4(X1,X2,X3,X4) )).

cnf(i_0_11006,axiom,
    ( esk5632_4(X1,X2,X3,X4)
    | ~ esk5631_4(X1,X2,X3,X4) )).

cnf(i_0_11007,axiom,
    ( esk9072_4(X1,X2,X3,X4)
    | ~ esk9070_4(X1,X2,X3,X4) )).

cnf(i_0_11008,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ esk1519_4(X1,X2,X3,X4) )).

cnf(i_0_11009,axiom,
    ( ~ esk4075_4(X1,X2,X3,X4)
    | esk4077_4(X1,X2,X3,X4) )).

cnf(i_0_11010,axiom,
    ( esk7817_4(X1,X2,X3,X4)
    | ~ esk7815_4(X1,X2,X3,X4) )).

cnf(i_0_11011,axiom,
    ( ~ esk1802_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_11012,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8588_4(X1,X2,X3,X4) )).

cnf(i_0_11013,axiom,
    ( p(X2)
    | p(X3)
    | esk807_0
    | ~ p(X4)
    | ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_11014,axiom,
    ( esk4675_4(X1,X2,X3,X4)
    | ~ esk4674_4(X1,X2,X3,X4) )).

cnf(i_0_11015,axiom,
    ( esk8280_4(X1,X2,X3,X4)
    | esk8281_4(X1,X2,X3,X4)
    | ~ esk8246_4(X1,X2,X3,X4) )).

cnf(i_0_11016,axiom,
    ( esk3139_4(X1,X2,X3,X4)
    | ~ esk3140_4(X1,X2,X3,X4) )).

cnf(i_0_11017,axiom,
    ( ~ esk8295_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11018,axiom,
    ( esk8871_4(X1,X2,X3,X4)
    | ~ esk8870_4(X1,X2,X3,X4)
    | ~ esk8951_4(X1,X2,X3,X4) )).

cnf(i_0_11019,axiom,
    ( ~ esk6859_4(X1,X2,X3,X4)
    | esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_11020,axiom,
    ( ~ esk7925_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_11021,axiom,
    ( esk8511_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11022,axiom,
    ( ~ p(X2)
    | esk9194_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ esk1210_0
    | ~ p(X3) )).

cnf(i_0_11023,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X2)
    | esk614_0
    | ~ p(X1)
    | ~ esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_11024,axiom,
    ( ~ esk4541_4(X1,X2,X3,X4)
    | esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_11025,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk2791_4(X1,X2,X3,X4)
    | esk842_0
    | ~ p(X4) )).

cnf(i_0_11026,axiom,
    ( esk1583_4(X1,X2,X3,X4)
    | ~ esk1582_4(X1,X2,X3,X4) )).

cnf(i_0_11027,axiom,
    ( p(X4)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk646_0 )).

cnf(i_0_11028,axiom,
    ( ~ esk9285_4(X1,X2,X3,X4)
    | esk9287_4(X1,X2,X3,X4) )).

cnf(i_0_11029,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | esk2719_4(X1,X2,X3,X4) )).

cnf(i_0_11030,axiom,
    ( esk2415_4(X1,X2,X3,X4)
    | ~ esk2413_4(X1,X2,X3,X4) )).

cnf(i_0_11031,axiom,
    ( ~ esk2303_4(X1,X2,X3,X4)
    | esk2301_4(X1,X2,X3,X4)
    | esk2302_4(X1,X2,X3,X4) )).

cnf(i_0_11032,axiom,
    ( ~ esk6943_4(X1,X2,X3,X4)
    | esk6945_4(X1,X2,X3,X4) )).

cnf(i_0_11033,axiom,
    ( esk6540_4(X1,X2,X3,X4)
    | ~ esk5980_4(X1,X2,X3,X4) )).

cnf(i_0_11034,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4109_4(X1,X2,X3,X4) )).

cnf(i_0_11035,axiom,
    ( ~ p(X4)
    | ~ esk879_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_11036,axiom,
    ( ~ esk2420_4(X1,X2,X3,X4)
    | esk4520_4(X1,X2,X3,X4) )).

cnf(i_0_11037,axiom,
    ( ~ esk8496_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_11038,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3530_4(X1,X2,X3,X4) )).

cnf(i_0_11039,axiom,
    ( esk3809_4(X1,X2,X3,X4)
    | ~ esk3766_4(X1,X2,X3,X4) )).

cnf(i_0_11040,axiom,
    ( esk458_0
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_11041,axiom,
    ( ~ esk7028_4(X1,X2,X3,X4)
    | esk7030_4(X1,X2,X3,X4) )).

cnf(i_0_11042,axiom,
    ( ~ esk934_0
    | p(X1)
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_11043,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6843_4(X1,X2,X3,X4) )).

cnf(i_0_11044,axiom,
    ( p(X1)
    | ~ esk1055_0
    | esk2870_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_11045,axiom,
    ( esk4170_4(X1,X2,X3,X4)
    | ~ esk4169_4(X1,X2,X3,X4) )).

cnf(i_0_11046,axiom,
    ( esk4360_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_11047,axiom,
    ( ~ esk8515_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11048,axiom,
    ( ~ esk8962_4(X1,X2,X3,X4)
    | esk8963_4(X1,X2,X3,X4) )).

cnf(i_0_11049,axiom,
    ( ~ esk9630_4(X1,X2,X3,X4)
    | esk9627_4(X1,X2,X3,X4) )).

cnf(i_0_11050,axiom,
    ( ~ esk4314_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_11051,axiom,
    ( ~ esk4929_4(X1,X2,X3,X4)
    | esk4928_4(X1,X2,X3,X4) )).

cnf(i_0_11052,axiom,
    ( ~ esk5966_4(X1,X2,X3,X4)
    | ~ esk5623_4(X1,X2,X3,X4)
    | esk5624_4(X1,X2,X3,X4) )).

cnf(i_0_11053,axiom,
    ( ~ esk9376_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_11054,axiom,
    ( p(X1)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk816_0 )).

cnf(i_0_11055,axiom,
    ( esk5781_4(X1,X2,X3,X4)
    | ~ esk5779_4(X1,X2,X3,X4) )).

cnf(i_0_11056,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7437_4(X1,X2,X3,X4) )).

cnf(i_0_11057,axiom,
    ( ~ esk7155_4(X1,X2,X3,X4)
    | esk9255_4(X1,X2,X3,X4) )).

cnf(i_0_11058,axiom,
    ( ~ esk6206_4(X1,X2,X3,X4)
    | esk6168_4(X1,X2,X3,X4) )).

cnf(i_0_11059,axiom,
    ( ~ esk9434_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_11060,axiom,
    ( ~ esk2506_4(X1,X2,X3,X4)
    | esk2505_4(X1,X2,X3,X4) )).

cnf(i_0_11061,axiom,
    ( ~ p(X2)
    | esk1750_4(X1,X2,X3,X4)
    | ~ esk173_0
    | p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11062,axiom,
    ( esk7229_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11063,axiom,
    ( esk8602_4(X1,X2,X3,X4)
    | esk8603_4(X1,X2,X3,X4)
    | ~ esk8604_4(X1,X2,X3,X4) )).

cnf(i_0_11064,axiom,
    ( esk2788_4(X1,X2,X3,X4)
    | ~ esk2735_4(X1,X2,X3,X4) )).

cnf(i_0_11065,axiom,
    ( esk7969_4(X1,X2,X3,X4)
    | ~ esk7770_4(X1,X2,X3,X4)
    | esk8119_4(X1,X2,X3,X4) )).

cnf(i_0_11066,axiom,
    ( ~ esk1622_4(X1,X2,X3,X4)
    | esk1559_4(X1,X2,X3,X4) )).

cnf(i_0_11067,axiom,
    ( ~ esk7041_4(X1,X2,X3,X4)
    | esk7034_4(X1,X2,X3,X4) )).

cnf(i_0_11068,axiom,
    ( ~ esk4578_4(X1,X2,X3,X4)
    | esk4576_4(X1,X2,X3,X4)
    | ~ esk4671_4(X1,X2,X3,X4) )).

cnf(i_0_11069,axiom,
    ( ~ esk5761_4(X1,X2,X3,X4)
    | esk5824_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_11070,axiom,
    ( esk645_0
    | ~ esk8725_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_11071,axiom,
    ( ~ esk4343_4(X1,X2,X3,X4)
    | esk4118_4(X1,X2,X3,X4) )).

cnf(i_0_11072,axiom,
    ( esk4544_4(X1,X2,X3,X4)
    | ~ esk5385_4(X1,X2,X3,X4)
    | esk5386_4(X1,X2,X3,X4) )).

cnf(i_0_11073,axiom,
    ( esk2975_4(X1,X2,X3,X4)
    | ~ esk2976_4(X1,X2,X3,X4) )).

cnf(i_0_11074,axiom,
    ( ~ esk3777_4(X1,X2,X3,X4)
    | esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_11075,axiom,
    ( esk5475_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4)
    | ~ esk5474_4(X1,X2,X3,X4) )).

cnf(i_0_11076,axiom,
    ( ~ esk9040_4(X1,X2,X3,X4)
    | esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_11077,axiom,
    ( ~ esk2650_4(X1,X2,X3,X4)
    | esk2648_4(X1,X2,X3,X4)
    | esk2649_4(X1,X2,X3,X4) )).

cnf(i_0_11078,axiom,
    ( esk4518_4(X1,X2,X3,X4)
    | esk4014_4(X1,X2,X3,X4)
    | ~ esk4049_4(X1,X2,X3,X4) )).

cnf(i_0_11079,axiom,
    ( ~ esk5443_4(X1,X2,X3,X4)
    | esk5445_4(X1,X2,X3,X4) )).

cnf(i_0_11080,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9270_4(X1,X2,X3,X4) )).

cnf(i_0_11081,axiom,
    ( esk8667_4(X1,X2,X3,X4)
    | ~ esk8668_4(X1,X2,X3,X4)
    | esk8666_4(X1,X2,X3,X4) )).

cnf(i_0_11082,axiom,
    ( p(X3)
    | p(X2)
    | esk730_0
    | p(X4)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_11083,axiom,
    ( esk5927_4(X1,X2,X3,X4)
    | ~ esk5926_4(X1,X2,X3,X4)
    | ~ esk5883_4(X1,X2,X3,X4) )).

cnf(i_0_11084,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk9252_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1_0 )).

cnf(i_0_11085,axiom,
    ( ~ esk3861_4(X1,X2,X3,X4)
    | esk3860_4(X1,X2,X3,X4) )).

cnf(i_0_11086,axiom,
    ( esk7416_4(X1,X2,X3,X4)
    | ~ esk7414_4(X1,X2,X3,X4) )).

cnf(i_0_11087,axiom,
    ( ~ esk1779_4(X1,X2,X3,X4)
    | esk1780_4(X1,X2,X3,X4) )).

cnf(i_0_11088,axiom,
    ( ~ esk1808_4(X1,X2,X3,X4)
    | esk1815_4(X1,X2,X3,X4)
    | ~ esk1814_4(X1,X2,X3,X4) )).

cnf(i_0_11089,axiom,
    ( ~ esk2495_4(X1,X2,X3,X4)
    | ~ esk2517_4(X1,X2,X3,X4) )).

cnf(i_0_11090,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3923_4(X1,X2,X3,X4) )).

cnf(i_0_11091,axiom,
    ( esk3322_4(X1,X2,X3,X4)
    | ~ esk3321_4(X1,X2,X3,X4) )).

cnf(i_0_11092,axiom,
    ( esk78_0
    | p(X4)
    | p(X2)
    | ~ esk7812_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_11093,axiom,
    ( ~ esk8252_4(X1,X2,X3,X4)
    | esk7709_4(X1,X2,X3,X4) )).

cnf(i_0_11094,axiom,
    ( esk2088_4(X1,X2,X3,X4)
    | ~ esk2087_4(X1,X2,X3,X4) )).

cnf(i_0_11095,axiom,
    ( ~ esk2634_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3385_4(X1,X2,X3,X4) )).

cnf(i_0_11096,axiom,
    ( ~ esk9001_4(X1,X2,X3,X4)
    | esk9003_4(X1,X2,X3,X4) )).

cnf(i_0_11097,axiom,
    ( esk4051_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4)
    | esk4348_4(X1,X2,X3,X4) )).

cnf(i_0_11098,axiom,
    ( p(X3)
    | p(X2)
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk130_0
    | p(X4) )).

cnf(i_0_11099,axiom,
    ( esk4390_4(X1,X2,X3,X4)
    | ~ esk4391_4(X1,X2,X3,X4) )).

cnf(i_0_11100,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk439_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_11101,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk757_0
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_11102,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6526_4(X1,X2,X3,X4) )).

cnf(i_0_11103,axiom,
    ( esk1255_0
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_11104,axiom,
    ( esk7760_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8010_4(X1,X2,X3,X4) )).

cnf(i_0_11105,axiom,
    ( esk5285_4(X1,X2,X3,X4)
    | ~ esk5284_4(X1,X2,X3,X4) )).

cnf(i_0_11106,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | esk8867_4(X1,X2,X3,X4) )).

cnf(i_0_11107,axiom,
    ( ~ esk7052_4(X1,X2,X3,X4)
    | ~ esk7039_4(X1,X2,X3,X4)
    | esk7040_4(X1,X2,X3,X4) )).

cnf(i_0_11108,axiom,
    ( ~ esk5981_4(X1,X2,X3,X4)
    | esk5982_4(X1,X2,X3,X4) )).

cnf(i_0_11109,axiom,
    ( esk4067_4(X1,X2,X3,X4)
    | ~ esk4069_4(X1,X2,X3,X4)
    | esk4068_4(X1,X2,X3,X4) )).

cnf(i_0_11110,axiom,
    ( ~ esk4748_4(X1,X2,X3,X4)
    | esk4749_4(X1,X2,X3,X4) )).

cnf(i_0_11111,axiom,
    ( ~ esk3621_4(X1,X2,X3,X4)
    | ~ esk5548_4(X1,X2,X3,X4)
    | ~ esk5547_4(X1,X2,X3,X4) )).

cnf(i_0_11112,axiom,
    ( ~ esk4704_4(X1,X2,X3,X4)
    | esk4652_4(X1,X2,X3,X4) )).

cnf(i_0_11113,axiom,
    ( esk7680_4(X1,X2,X3,X4)
    | ~ esk8321_4(X1,X2,X3,X4) )).

cnf(i_0_11114,axiom,
    ( esk4618_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_11115,axiom,
    ( ~ esk5974_4(X1,X2,X3,X4)
    | esk6059_4(X1,X2,X3,X4) )).

cnf(i_0_11116,axiom,
    ( esk1686_4(X1,X2,X3,X4)
    | ~ esk2511_4(X1,X2,X3,X4) )).

cnf(i_0_11117,axiom,
    ( esk6422_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6384_4(X1,X2,X3,X4) )).

cnf(i_0_11118,axiom,
    ( ~ esk4692_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_11119,axiom,
    ( ~ esk4292_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11120,axiom,
    ( ~ esk3987_4(X1,X2,X3,X4)
    | ~ esk4117_4(X1,X2,X3,X4) )).

cnf(i_0_11121,axiom,
    ( esk4356_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11122,axiom,
    ( esk8647_4(X1,X2,X3,X4)
    | ~ esk9293_4(X1,X2,X3,X4) )).

cnf(i_0_11123,axiom,
    ( esk8810_4(X1,X2,X3,X4)
    | esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_11124,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6819_4(X1,X2,X3,X4) )).

cnf(i_0_11125,axiom,
    ( esk2675_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_11126,axiom,
    ( ~ esk7183_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_11127,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7305_4(X1,X2,X3,X4) )).

cnf(i_0_11128,axiom,
    ( ~ esk7155_4(X1,X2,X3,X4)
    | esk5972_4(X1,X2,X3,X4) )).

cnf(i_0_11129,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6188_4(X1,X2,X3,X4) )).

cnf(i_0_11130,axiom,
    ( esk4499_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_11131,axiom,
    ( esk8898_4(X1,X2,X3,X4)
    | esk8897_4(X1,X2,X3,X4)
    | ~ esk8899_4(X1,X2,X3,X4) )).

cnf(i_0_11132,axiom,
    ( ~ esk7642_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_11133,axiom,
    ( esk8943_4(X1,X2,X3,X4)
    | ~ esk9706_4(X1,X2,X3,X4) )).

cnf(i_0_11134,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk2_0 )).

cnf(i_0_11135,axiom,
    ( esk3573_4(X1,X2,X3,X4)
    | ~ esk3645_4(X1,X2,X3,X4) )).

cnf(i_0_11136,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8343_4(X1,X2,X3,X4) )).

cnf(i_0_11137,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk2898_4(X1,X2,X3,X4)
    | ~ esk1210_0 )).

cnf(i_0_11138,axiom,
    ( ~ esk9435_4(X1,X2,X3,X4)
    | esk9434_4(X1,X2,X3,X4)
    | esk9433_4(X1,X2,X3,X4) )).

cnf(i_0_11139,axiom,
    ( esk4536_4(X1,X2,X3,X4)
    | esk3983_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_11140,axiom,
    ( esk3183_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11141,axiom,
    ( esk5522_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_11142,axiom,
    ( p(X2)
    | ~ esk1324_0
    | ~ p(X4)
    | p(X1)
    | esk9252_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_11143,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk9174_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1127_0
    | ~ p(X1) )).

cnf(i_0_11144,axiom,
    ( p(X3)
    | p(X4)
    | esk2453_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk745_0
    | p(X2) )).

cnf(i_0_11145,axiom,
    ( esk8802_4(X1,X2,X3,X4)
    | ~ esk8803_4(X1,X2,X3,X4) )).

cnf(i_0_11146,axiom,
    ( ~ p(X3)
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk602_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_11147,axiom,
    ( ~ esk3015_4(X1,X2,X3,X4)
    | esk3016_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_11148,axiom,
    ( esk6679_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_11149,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk535_0
    | ~ p(X1)
    | esk2321_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_11150,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk408_0 )).

cnf(i_0_11151,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | esk7143_4(X1,X2,X3,X4)
    | ~ esk7148_4(X1,X2,X3,X4) )).

cnf(i_0_11152,axiom,
    ( esk13_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_11153,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2327_4(X1,X2,X3,X4) )).

cnf(i_0_11154,axiom,
    ( ~ esk8746_4(X1,X2,X3,X4)
    | esk8356_4(X1,X2,X3,X4) )).

cnf(i_0_11155,axiom,
    ( esk3163_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_11156,axiom,
    ( ~ esk9545_4(X1,X2,X3,X4)
    | esk9539_4(X1,X2,X3,X4) )).

cnf(i_0_11157,axiom,
    ( esk2071_4(X1,X2,X3,X4)
    | ~ esk2070_4(X1,X2,X3,X4) )).

cnf(i_0_11158,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4776_4(X1,X2,X3,X4) )).

cnf(i_0_11159,axiom,
    ( esk3879_4(X1,X2,X3,X4)
    | ~ esk3943_4(X1,X2,X3,X4) )).

cnf(i_0_11160,axiom,
    ( esk8557_4(X1,X2,X3,X4)
    | ~ esk8556_4(X1,X2,X3,X4) )).

cnf(i_0_11161,axiom,
    ( esk1885_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk1884_4(X1,X2,X3,X4) )).

cnf(i_0_11162,axiom,
    ( esk2950_4(X1,X2,X3,X4)
    | ~ esk2945_4(X1,X2,X3,X4) )).

cnf(i_0_11163,axiom,
    ( ~ esk2810_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_11164,axiom,
    ( ~ esk2078_4(X1,X2,X3,X4)
    | esk2079_4(X1,X2,X3,X4) )).

cnf(i_0_11165,axiom,
    ( ~ esk5914_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_11166,axiom,
    ( ~ esk2819_4(X1,X2,X3,X4)
    | esk1652_4(X1,X2,X3,X4) )).

cnf(i_0_11167,axiom,
    ( esk7106_4(X1,X2,X3,X4)
    | ~ esk5743_4(X1,X2,X3,X4) )).

cnf(i_0_11168,axiom,
    ( esk4422_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11169,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8908_4(X1,X2,X3,X4) )).

cnf(i_0_11170,axiom,
    ( esk9330_4(X1,X2,X3,X4)
    | esk9329_4(X1,X2,X3,X4)
    | ~ esk9331_4(X1,X2,X3,X4) )).

cnf(i_0_11171,axiom,
    ( ~ esk6500_4(X1,X2,X3,X4)
    | esk6501_4(X1,X2,X3,X4) )).

cnf(i_0_11172,axiom,
    ( esk8507_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4)
    | ~ esk8284_4(X1,X2,X3,X4) )).

cnf(i_0_11173,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7357_4(X1,X2,X3,X4) )).

cnf(i_0_11174,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk449_0
    | ~ p(X1)
    | ~ esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_11175,axiom,
    ( ~ esk2041_4(X1,X2,X3,X4)
    | esk2042_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_11176,axiom,
    ( ~ esk2754_4(X1,X2,X3,X4)
    | esk2755_4(X1,X2,X3,X4) )).

cnf(i_0_11177,axiom,
    ( p(X1)
    | p(X3)
    | p(X4)
    | ~ esk9204_4(X1,X2,X3,X4)
    | esk1222_0
    | ~ p(X2) )).

cnf(i_0_11178,axiom,
    ( esk6735_4(X1,X2,X3,X4)
    | ~ esk6733_4(X1,X2,X3,X4) )).

cnf(i_0_11179,axiom,
    ( esk2014_4(X1,X2,X3,X4)
    | ~ esk2015_4(X1,X2,X3,X4) )).

cnf(i_0_11180,axiom,
    ( esk5051_4(X1,X2,X3,X4)
    | ~ esk3732_4(X1,X2,X3,X4) )).

cnf(i_0_11181,axiom,
    ( ~ esk3171_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11182,axiom,
    ( ~ esk3108_4(X1,X2,X3,X4)
    | esk2358_4(X1,X2,X3,X4) )).

cnf(i_0_11183,axiom,
    ( ~ esk1939_4(X1,X2,X3,X4)
    | ~ esk2226_4(X1,X2,X3,X4)
    | esk2227_4(X1,X2,X3,X4) )).

cnf(i_0_11184,axiom,
    ( ~ esk8041_4(X1,X2,X3,X4)
    | ~ esk7828_4(X1,X2,X3,X4) )).

cnf(i_0_11185,axiom,
    ( ~ esk683_0
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_11186,axiom,
    ( ~ esk4938_4(X1,X2,X3,X4)
    | esk4939_4(X1,X2,X3,X4) )).

cnf(i_0_11187,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk918_0
    | p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_11188,axiom,
    ( ~ esk2716_4(X1,X2,X3,X4)
    | esk2516_4(X1,X2,X3,X4) )).

cnf(i_0_11189,axiom,
    ( esk7516_4(X1,X2,X3,X4)
    | ~ esk7514_4(X1,X2,X3,X4) )).

cnf(i_0_11190,axiom,
    ( p(X4)
    | ~ esk1516_4(X1,X2,X3,X4)
    | esk87_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_11191,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6243_4(X1,X2,X3,X4) )).

cnf(i_0_11192,axiom,
    ( esk8265_4(X1,X2,X3,X4)
    | ~ esk8197_4(X1,X2,X3,X4)
    | ~ esk8264_4(X1,X2,X3,X4) )).

cnf(i_0_11193,axiom,
    ( esk1773_4(X1,X2,X3,X4)
    | ~ esk1774_4(X1,X2,X3,X4) )).

cnf(i_0_11194,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6178_4(X1,X2,X3,X4) )).

cnf(i_0_11195,axiom,
    ( esk2758_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11196,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk9111_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X2) )).

cnf(i_0_11197,axiom,
    ( ~ esk8392_4(X1,X2,X3,X4)
    | esk6292_4(X1,X2,X3,X4) )).

cnf(i_0_11198,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6308_4(X1,X2,X3,X4) )).

cnf(i_0_11199,axiom,
    ( esk7740_4(X1,X2,X3,X4)
    | ~ esk9185_4(X1,X2,X3,X4) )).

cnf(i_0_11200,axiom,
    ( ~ esk4513_4(X1,X2,X3,X4)
    | esk3982_4(X1,X2,X3,X4) )).

cnf(i_0_11201,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3571_4(X1,X2,X3,X4)
    | esk3641_4(X1,X2,X3,X4) )).

cnf(i_0_11202,axiom,
    ( ~ esk1615_4(X1,X2,X3,X4)
    | esk2913_4(X1,X2,X3,X4) )).

cnf(i_0_11203,axiom,
    ( esk8786_4(X1,X2,X3,X4)
    | ~ esk8549_4(X1,X2,X3,X4) )).

cnf(i_0_11204,axiom,
    ( ~ esk3683_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_11205,axiom,
    ( ~ esk4018_4(X1,X2,X3,X4)
    | esk4271_4(X1,X2,X3,X4) )).

cnf(i_0_11206,axiom,
    ( ~ esk3530_4(X1,X2,X3,X4)
    | esk3531_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_11207,axiom,
    ( ~ esk891_0
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | esk9095_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11208,axiom,
    ( ~ esk1930_4(X1,X2,X3,X4)
    | esk1931_4(X1,X2,X3,X4) )).

cnf(i_0_11209,axiom,
    ( ~ esk5472_4(X1,X2,X3,X4)
    | esk5473_4(X1,X2,X3,X4) )).

cnf(i_0_11210,axiom,
    ( esk4528_4(X1,X2,X3,X4)
    | ~ esk2428_4(X1,X2,X3,X4) )).

cnf(i_0_11211,axiom,
    ( esk5193_4(X1,X2,X3,X4)
    | ~ esk5192_4(X1,X2,X3,X4) )).

cnf(i_0_11212,axiom,
    ( ~ esk4591_4(X1,X2,X3,X4)
    | esk3883_4(X1,X2,X3,X4) )).

cnf(i_0_11213,axiom,
    ( ~ esk1629_4(X1,X2,X3,X4)
    | esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_11214,axiom,
    ( ~ esk5216_4(X1,X2,X3,X4)
    | esk5217_4(X1,X2,X3,X4) )).

cnf(i_0_11215,axiom,
    ( ~ esk2244_4(X1,X2,X3,X4)
    | esk2019_4(X1,X2,X3,X4) )).

cnf(i_0_11216,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | esk1120_0
    | ~ esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_11217,axiom,
    ( esk1574_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4)
    | ~ esk1482_4(X1,X2,X3,X4) )).

cnf(i_0_11218,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1754_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk211_0 )).

cnf(i_0_11219,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk398_0
    | ~ p(X4)
    | esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_11220,axiom,
    ( ~ esk4103_4(X1,X2,X3,X4)
    | esk4104_4(X1,X2,X3,X4) )).

cnf(i_0_11221,axiom,
    ( ~ esk5335_4(X1,X2,X3,X4)
    | esk5337_4(X1,X2,X3,X4) )).

cnf(i_0_11222,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8726_4(X1,X2,X3,X4)
    | esk8457_4(X1,X2,X3,X4) )).

cnf(i_0_11223,axiom,
    ( ~ esk1049_0
    | esk9164_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_11224,axiom,
    ( esk4148_4(X1,X2,X3,X4)
    | esk4092_4(X1,X2,X3,X4)
    | ~ esk4149_4(X1,X2,X3,X4) )).

cnf(i_0_11225,axiom,
    ( esk6668_4(X1,X2,X3,X4)
    | ~ esk7492_4(X1,X2,X3,X4)
    | esk7491_4(X1,X2,X3,X4) )).

cnf(i_0_11226,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5060_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11227,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk1247_0
    | ~ p(X2)
    | ~ esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_11228,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2778_4(X1,X2,X3,X4) )).

cnf(i_0_11229,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk1123_0
    | ~ p(X3)
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_11230,axiom,
    ( esk7892_4(X1,X2,X3,X4)
    | ~ esk7891_4(X1,X2,X3,X4) )).

cnf(i_0_11231,axiom,
    ( ~ esk8464_4(X1,X2,X3,X4)
    | ~ esk8317_4(X1,X2,X3,X4) )).

cnf(i_0_11232,axiom,
    ( esk5318_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_11233,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5096_4(X1,X2,X3,X4) )).

cnf(i_0_11234,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4881_4(X1,X2,X3,X4) )).

cnf(i_0_11235,axiom,
    ( ~ esk8841_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_11236,axiom,
    ( esk3335_4(X1,X2,X3,X4)
    | ~ esk3336_4(X1,X2,X3,X4) )).

cnf(i_0_11237,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk1_0
    | esk1752_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_11238,axiom,
    ( esk8385_4(X1,X2,X3,X4)
    | ~ esk8382_4(X1,X2,X3,X4) )).

cnf(i_0_11239,axiom,
    ( esk1843_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_11240,axiom,
    ( esk5341_4(X1,X2,X3,X4)
    | ~ esk5340_4(X1,X2,X3,X4) )).

cnf(i_0_11241,axiom,
    ( ~ esk7820_4(X1,X2,X3,X4)
    | ~ esk7966_4(X1,X2,X3,X4) )).

cnf(i_0_11242,axiom,
    ( ~ esk8170_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk301_0
    | ~ p(X1) )).

cnf(i_0_11243,axiom,
    ( esk9490_4(X1,X2,X3,X4)
    | ~ esk9487_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_11244,axiom,
    ( esk7809_4(X1,X2,X3,X4)
    | ~ esk7811_4(X1,X2,X3,X4)
    | esk7810_4(X1,X2,X3,X4) )).

cnf(i_0_11245,axiom,
    ( esk8490_4(X1,X2,X3,X4)
    | ~ esk8491_4(X1,X2,X3,X4)
    | esk8489_4(X1,X2,X3,X4) )).

cnf(i_0_11246,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk8283_4(X1,X2,X3,X4)
    | esk367_0 )).

cnf(i_0_11247,axiom,
    ( ~ esk2169_4(X1,X2,X3,X4)
    | esk2170_4(X1,X2,X3,X4) )).

cnf(i_0_11248,axiom,
    ( ~ esk3304_4(X1,X2,X3,X4)
    | esk3303_4(X1,X2,X3,X4) )).

cnf(i_0_11249,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2158_4(X1,X2,X3,X4) )).

cnf(i_0_11250,axiom,
    ( esk7884_4(X1,X2,X3,X4)
    | ~ esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_11251,axiom,
    ( ~ esk8864_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_11252,axiom,
    ( ~ esk3335_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_11253,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6570_4(X1,X2,X3,X4) )).

cnf(i_0_11254,axiom,
    ( ~ esk4609_4(X1,X2,X3,X4)
    | esk4611_4(X1,X2,X3,X4) )).

cnf(i_0_11255,axiom,
    ( ~ esk8610_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_11256,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9354_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11257,axiom,
    ( ~ esk7005_4(X1,X2,X3,X4)
    | esk4905_4(X1,X2,X3,X4) )).

cnf(i_0_11258,axiom,
    ( esk202_0
    | ~ esk8050_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11259,axiom,
    ( esk2367_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_11260,axiom,
    ( esk9335_4(X1,X2,X3,X4)
    | ~ esk9333_4(X1,X2,X3,X4) )).

cnf(i_0_11261,axiom,
    ( esk1724_4(X1,X2,X3,X4)
    | ~ esk1725_4(X1,X2,X3,X4) )).

cnf(i_0_11262,axiom,
    ( esk1835_4(X1,X2,X3,X4)
    | esk1834_4(X1,X2,X3,X4) )).

cnf(i_0_11263,axiom,
    ( ~ esk5095_4(X1,X2,X3,X4)
    | esk5097_4(X1,X2,X3,X4) )).

cnf(i_0_11264,axiom,
    ( esk4835_4(X1,X2,X3,X4)
    | ~ esk4836_4(X1,X2,X3,X4) )).

cnf(i_0_11265,axiom,
    ( esk4947_4(X1,X2,X3,X4)
    | ~ esk4946_4(X1,X2,X3,X4) )).

cnf(i_0_11266,axiom,
    ( esk9158_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_11267,axiom,
    ( esk7561_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_11268,axiom,
    ( esk2284_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11269,axiom,
    ( ~ esk5865_4(X1,X2,X3,X4)
    | esk5908_4(X1,X2,X3,X4) )).

cnf(i_0_11270,axiom,
    ( ~ esk8778_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk769_0
    | p(X1) )).

cnf(i_0_11271,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk493_0
    | ~ p(X4)
    | esk2212_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_11272,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_11273,axiom,
    ( ~ esk2343_4(X1,X2,X3,X4)
    | esk2344_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11274,axiom,
    ( esk6688_4(X1,X2,X3,X4)
    | ~ esk6882_4(X1,X2,X3,X4) )).

cnf(i_0_11275,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2960_4(X1,X2,X3,X4) )).

cnf(i_0_11276,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9079_4(X1,X2,X3,X4) )).

cnf(i_0_11277,axiom,
    ( esk5405_4(X1,X2,X3,X4)
    | ~ esk5404_4(X1,X2,X3,X4) )).

cnf(i_0_11278,axiom,
    ( esk8915_4(X1,X2,X3,X4)
    | ~ esk9650_4(X1,X2,X3,X4) )).

cnf(i_0_11279,axiom,
    ( esk7494_4(X1,X2,X3,X4)
    | esk7493_4(X1,X2,X3,X4)
    | ~ esk7496_4(X1,X2,X3,X4)
    | esk7495_4(X1,X2,X3,X4) )).

cnf(i_0_11280,axiom,
    ( ~ esk6245_4(X1,X2,X3,X4)
    | esk6246_4(X1,X2,X3,X4) )).

cnf(i_0_11281,axiom,
    ( ~ esk4495_4(X1,X2,X3,X4)
    | ~ esk5145_4(X1,X2,X3,X4)
    | esk4496_4(X1,X2,X3,X4) )).

cnf(i_0_11282,axiom,
    ( esk9090_4(X1,X2,X3,X4)
    | ~ esk8858_4(X1,X2,X3,X4) )).

cnf(i_0_11283,axiom,
    ( esk5449_4(X1,X2,X3,X4)
    | ~ esk5447_4(X1,X2,X3,X4) )).

cnf(i_0_11284,axiom,
    ( ~ esk8706_4(X1,X2,X3,X4)
    | esk8708_4(X1,X2,X3,X4) )).

cnf(i_0_11285,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk48_0
    | esk1444_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_11286,axiom,
    ( esk5856_4(X1,X2,X3,X4)
    | ~ esk5905_4(X1,X2,X3,X4)
    | ~ esk5855_4(X1,X2,X3,X4) )).

cnf(i_0_11287,axiom,
    ( ~ p(X4)
    | ~ esk8391_4(X1,X2,X3,X4)
    | esk460_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_11288,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7387_4(X1,X2,X3,X4) )).

cnf(i_0_11289,axiom,
    ( ~ esk4104_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk4130_4(X1,X2,X3,X4) )).

cnf(i_0_11290,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9438_4(X1,X2,X3,X4) )).

cnf(i_0_11291,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk934_0
    | p(X2)
    | esk2805_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_11292,axiom,
    ( esk4187_4(X1,X2,X3,X4)
    | ~ esk4184_4(X1,X2,X3,X4) )).

cnf(i_0_11293,axiom,
    ( ~ esk9366_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_11294,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5926_4(X1,X2,X3,X4) )).

cnf(i_0_11295,axiom,
    ( ~ p(X1)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk782_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_11296,axiom,
    ( ~ esk4542_4(X1,X2,X3,X4)
    | esk4540_4(X1,X2,X3,X4)
    | esk4541_4(X1,X2,X3,X4)
    | esk4539_4(X1,X2,X3,X4) )).

cnf(i_0_11297,axiom,
    ( esk6228_4(X1,X2,X3,X4)
    | ~ esk6230_4(X1,X2,X3,X4)
    | esk6229_4(X1,X2,X3,X4) )).

cnf(i_0_11298,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | esk320_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_11299,axiom,
    ( esk7196_4(X1,X2,X3,X4)
    | ~ esk7195_4(X1,X2,X3,X4) )).

cnf(i_0_11300,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7257_4(X1,X2,X3,X4) )).

cnf(i_0_11301,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk7740_4(X1,X2,X3,X4)
    | esk2_0 )).

cnf(i_0_11302,axiom,
    ( ~ esk7635_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4)
    | esk7063_4(X1,X2,X3,X4) )).

cnf(i_0_11303,axiom,
    ( ~ esk8572_4(X1,X2,X3,X4)
    | esk8573_4(X1,X2,X3,X4) )).

cnf(i_0_11304,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | esk2795_4(X1,X2,X3,X4)
    | ~ esk865_0
    | p(X4) )).

cnf(i_0_11305,axiom,
    ( ~ esk3166_4(X1,X2,X3,X4)
    | ~ esk3179_4(X1,X2,X3,X4)
    | esk3180_4(X1,X2,X3,X4) )).

cnf(i_0_11306,axiom,
    ( esk6788_4(X1,X2,X3,X4)
    | ~ esk6786_4(X1,X2,X3,X4) )).

cnf(i_0_11307,axiom,
    ( ~ esk5000_4(X1,X2,X3,X4)
    | esk3624_4(X1,X2,X3,X4) )).

cnf(i_0_11308,axiom,
    ( esk4909_4(X1,X2,X3,X4)
    | ~ esk4878_4(X1,X2,X3,X4) )).

cnf(i_0_11309,axiom,
    ( ~ esk3739_4(X1,X2,X3,X4)
    | esk5839_4(X1,X2,X3,X4) )).

cnf(i_0_11310,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | ~ esk6243_4(X1,X2,X3,X4) )).

cnf(i_0_11311,axiom,
    ( ~ esk7274_4(X1,X2,X3,X4)
    | esk7273_4(X1,X2,X3,X4) )).

cnf(i_0_11312,axiom,
    ( esk570_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_11313,axiom,
    ( esk7728_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11314,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | ~ esk3616_4(X1,X2,X3,X4) )).

cnf(i_0_11315,axiom,
    ( ~ esk4051_4(X1,X2,X3,X4)
    | esk4093_4(X1,X2,X3,X4) )).

cnf(i_0_11316,axiom,
    ( ~ esk4942_4(X1,X2,X3,X4)
    | esk4943_4(X1,X2,X3,X4) )).

cnf(i_0_11317,axiom,
    ( ~ esk1626_4(X1,X2,X3,X4)
    | esk1627_4(X1,X2,X3,X4) )).

cnf(i_0_11318,axiom,
    ( esk8721_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk615_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_11319,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk2939_4(X1,X2,X3,X4) )).

cnf(i_0_11320,axiom,
    ( ~ esk4200_4(X1,X2,X3,X4)
    | esk4198_4(X1,X2,X3,X4)
    | esk4199_4(X1,X2,X3,X4) )).

cnf(i_0_11321,axiom,
    ( esk4362_4(X1,X2,X3,X4)
    | esk4361_4(X1,X2,X3,X4)
    | ~ esk4363_4(X1,X2,X3,X4) )).

cnf(i_0_11322,axiom,
    ( esk2429_4(X1,X2,X3,X4)
    | esk2427_4(X1,X2,X3,X4)
    | ~ esk3272_4(X1,X2,X3,X4) )).

cnf(i_0_11323,axiom,
    ( esk8935_4(X1,X2,X3,X4)
    | ~ esk9690_4(X1,X2,X3,X4) )).

cnf(i_0_11324,axiom,
    ( ~ esk778_0
    | esk8778_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_11325,axiom,
    ( esk9738_4(X1,X2,X3,X4)
    | ~ esk9735_4(X1,X2,X3,X4) )).

cnf(i_0_11326,axiom,
    ( ~ esk9414_4(X1,X2,X3,X4)
    | esk9415_4(X1,X2,X3,X4) )).

cnf(i_0_11327,axiom,
    ( esk6293_4(X1,X2,X3,X4)
    | ~ esk6517_4(X1,X2,X3,X4) )).

cnf(i_0_11328,axiom,
    ( esk2491_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_11329,axiom,
    ( ~ esk8628_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11330,axiom,
    ( esk4830_4(X1,X2,X3,X4)
    | ~ esk4828_4(X1,X2,X3,X4) )).

cnf(i_0_11331,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6525_4(X1,X2,X3,X4) )).

cnf(i_0_11332,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8907_4(X1,X2,X3,X4)
    | esk9634_4(X1,X2,X3,X4) )).

cnf(i_0_11333,axiom,
    ( ~ esk6233_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_11334,axiom,
    ( esk1453_4(X1,X2,X3,X4)
    | ~ esk1454_4(X1,X2,X3,X4) )).

cnf(i_0_11335,axiom,
    ( ~ esk3704_4(X1,X2,X3,X4)
    | esk3706_4(X1,X2,X3,X4) )).

cnf(i_0_11336,axiom,
    ( ~ esk3312_4(X1,X2,X3,X4)
    | esk3314_4(X1,X2,X3,X4) )).

cnf(i_0_11337,axiom,
    ( ~ esk7975_4(X1,X2,X3,X4)
    | esk7974_4(X1,X2,X3,X4) )).

cnf(i_0_11338,axiom,
    ( ~ esk7298_4(X1,X2,X3,X4)
    | esk7297_4(X1,X2,X3,X4) )).

cnf(i_0_11339,axiom,
    ( ~ esk3738_4(X1,X2,X3,X4)
    | esk3736_4(X1,X2,X3,X4)
    | esk3737_4(X1,X2,X3,X4) )).

cnf(i_0_11340,axiom,
    ( esk6711_4(X1,X2,X3,X4)
    | esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_11341,axiom,
    ( esk2869_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_11342,axiom,
    ( ~ esk5765_4(X1,X2,X3,X4)
    | esk5763_4(X1,X2,X3,X4)
    | esk5764_4(X1,X2,X3,X4) )).

cnf(i_0_11343,axiom,
    ( esk2630_4(X1,X2,X3,X4)
    | ~ esk2629_4(X1,X2,X3,X4) )).

cnf(i_0_11344,axiom,
    ( esk1966_4(X1,X2,X3,X4)
    | ~ esk1965_4(X1,X2,X3,X4) )).

cnf(i_0_11345,axiom,
    ( ~ esk8454_4(X1,X2,X3,X4)
    | esk8584_4(X1,X2,X3,X4) )).

cnf(i_0_11346,axiom,
    ( ~ esk3241_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_11347,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk8617_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk542_0 )).

cnf(i_0_11348,axiom,
    ( esk4656_4(X1,X2,X3,X4)
    | ~ esk3463_4(X1,X2,X3,X4) )).

cnf(i_0_11349,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ esk895_0
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_11350,axiom,
    ( esk9112_4(X1,X2,X3,X4)
    | ~ esk9728_4(X1,X2,X3,X4) )).

cnf(i_0_11351,axiom,
    ( esk5113_4(X1,X2,X3,X4)
    | ~ esk5112_4(X1,X2,X3,X4) )).

cnf(i_0_11352,axiom,
    ( esk1974_4(X1,X2,X3,X4)
    | ~ esk2038_4(X1,X2,X3,X4) )).

cnf(i_0_11353,axiom,
    ( esk3052_4(X1,X2,X3,X4)
    | ~ esk2354_4(X1,X2,X3,X4)
    | ~ esk3051_4(X1,X2,X3,X4) )).

cnf(i_0_11354,axiom,
    ( esk6052_4(X1,X2,X3,X4)
    | ~ esk6055_4(X1,X2,X3,X4) )).

cnf(i_0_11355,axiom,
    ( esk8458_4(X1,X2,X3,X4)
    | ~ esk8424_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_11356,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk3596_4(X1,X2,X3,X4) )).

cnf(i_0_11357,axiom,
    ( esk2570_4(X1,X2,X3,X4)
    | ~ esk2568_4(X1,X2,X3,X4) )).

cnf(i_0_11358,axiom,
    ( esk3761_4(X1,X2,X3,X4)
    | ~ esk3830_4(X1,X2,X3,X4)
    | ~ esk3760_4(X1,X2,X3,X4) )).

cnf(i_0_11359,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | esk8050_4(X1,X2,X3,X4)
    | ~ esk200_0
    | p(X4) )).

cnf(i_0_11360,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk2289_4(X1,X2,X3,X4)
    | ~ esk527_0 )).

cnf(i_0_11361,axiom,
    ( ~ esk8222_4(X1,X2,X3,X4)
    | esk8221_4(X1,X2,X3,X4) )).

cnf(i_0_11362,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk2453_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1) )).

cnf(i_0_11363,axiom,
    ( ~ esk9414_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_11364,axiom,
    ( ~ esk7736_4(X1,X2,X3,X4)
    | p(X3)
    | esk22_0
    | p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_11365,axiom,
    ( esk7294_4(X1,X2,X3,X4)
    | ~ esk7296_4(X1,X2,X3,X4)
    | esk7295_4(X1,X2,X3,X4) )).

cnf(i_0_11366,axiom,
    ( esk3786_4(X1,X2,X3,X4)
    | ~ esk3836_4(X1,X2,X3,X4) )).

cnf(i_0_11367,axiom,
    ( ~ esk8563_4(X1,X2,X3,X4)
    | esk8562_4(X1,X2,X3,X4) )).

cnf(i_0_11368,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8996_4(X1,X2,X3,X4) )).

cnf(i_0_11369,axiom,
    ( ~ esk4925_4(X1,X2,X3,X4)
    | esk4953_4(X1,X2,X3,X4)
    | esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_11370,axiom,
    ( esk2333_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11371,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk297_0
    | ~ p(X1)
    | ~ p(X4)
    | esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_11372,axiom,
    ( ~ esk5617_4(X1,X2,X3,X4)
    | esk6449_4(X1,X2,X3,X4) )).

cnf(i_0_11373,axiom,
    ( esk297_0
    | p(X4)
    | ~ p(X1)
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_11374,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8064_4(X1,X2,X3,X4) )).

cnf(i_0_11375,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1059_0
    | esk2870_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11376,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk1185_0
    | esk9186_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_11377,axiom,
    ( ~ esk5520_4(X1,X2,X3,X4)
    | esk5521_4(X1,X2,X3,X4) )).

cnf(i_0_11378,axiom,
    ( ~ esk1158_0
    | p(X3)
    | p(X2)
    | p(X1)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11379,axiom,
    ( ~ esk2272_4(X1,X2,X3,X4)
    | ~ esk1901_4(X1,X2,X3,X4)
    | esk1902_4(X1,X2,X3,X4) )).

cnf(i_0_11380,axiom,
    ( ~ esk2208_4(X1,X2,X3,X4)
    | esk2209_4(X1,X2,X3,X4) )).

cnf(i_0_11381,axiom,
    ( esk2812_4(X1,X2,X3,X4)
    | ~ esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_11382,axiom,
    ( ~ esk6866_4(X1,X2,X3,X4)
    | esk6684_4(X1,X2,X3,X4) )).

cnf(i_0_11383,axiom,
    ( ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk377_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11384,axiom,
    ( p(X4)
    | esk633_0
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_11385,axiom,
    ( ~ esk845_0
    | esk9089_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_11386,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk402_0
    | esk2022_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_11387,axiom,
    ( ~ esk4869_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_11388,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4244_4(X1,X2,X3,X4)
    | ~ esk4243_4(X1,X2,X3,X4) )).

cnf(i_0_11389,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk7736_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk32_0
    | p(X4) )).

cnf(i_0_11390,axiom,
    ( esk2598_4(X1,X2,X3,X4)
    | ~ esk2596_4(X1,X2,X3,X4) )).

cnf(i_0_11391,axiom,
    ( esk6185_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | esk6642_4(X1,X2,X3,X4) )).

cnf(i_0_11392,axiom,
    ( ~ esk5007_4(X1,X2,X3,X4)
    | esk3807_4(X1,X2,X3,X4) )).

cnf(i_0_11393,axiom,
    ( esk8182_4(X1,X2,X3,X4)
    | ~ esk8349_4(X1,X2,X3,X4) )).

cnf(i_0_11394,axiom,
    ( ~ esk9467_4(X1,X2,X3,X4)
    | ~ esk9472_4(X1,X2,X3,X4)
    | esk9473_4(X1,X2,X3,X4) )).

cnf(i_0_11395,axiom,
    ( p(X1)
    | ~ esk1_0
    | p(X3)
    | p(X2)
    | p(X4)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_11396,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6534_4(X1,X2,X3,X4) )).

cnf(i_0_11397,axiom,
    ( esk8425_4(X1,X2,X3,X4)
    | ~ esk8174_4(X1,X2,X3,X4) )).

cnf(i_0_11398,axiom,
    ( ~ esk7266_4(X1,X2,X3,X4)
    | esk7252_4(X1,X2,X3,X4) )).

cnf(i_0_11399,axiom,
    ( esk7332_4(X1,X2,X3,X4)
    | ~ esk7330_4(X1,X2,X3,X4) )).

cnf(i_0_11400,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7969_4(X1,X2,X3,X4) )).

cnf(i_0_11401,axiom,
    ( ~ esk5246_4(X1,X2,X3,X4)
    | ~ esk5241_4(X1,X2,X3,X4)
    | esk5247_4(X1,X2,X3,X4) )).

cnf(i_0_11402,axiom,
    ( esk7600_4(X1,X2,X3,X4)
    | ~ esk7599_4(X1,X2,X3,X4) )).

cnf(i_0_11403,axiom,
    ( esk9348_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_11404,axiom,
    ( ~ esk7530_4(X1,X2,X3,X4)
    | esk7529_4(X1,X2,X3,X4) )).

cnf(i_0_11405,axiom,
    ( esk7819_4(X1,X2,X3,X4)
    | ~ esk9742_4(X1,X2,X3,X4) )).

cnf(i_0_11406,axiom,
    ( p(X1)
    | esk1_0
    | p(X4)
    | p(X2)
    | ~ esk2431_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_11407,axiom,
    ( esk1964_4(X1,X2,X3,X4)
    | ~ esk1963_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11408,axiom,
    ( esk4520_4(X1,X2,X3,X4)
    | ~ esk4411_4(X1,X2,X3,X4) )).

cnf(i_0_11409,axiom,
    ( ~ esk9249_4(X1,X2,X3,X4)
    | ~ esk7865_4(X1,X2,X3,X4)
    | esk7866_4(X1,X2,X3,X4) )).

cnf(i_0_11410,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | ~ esk8866_4(X1,X2,X3,X4) )).

cnf(i_0_11411,axiom,
    ( p(X3)
    | esk7740_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk48_0 )).

cnf(i_0_11412,axiom,
    ( ~ p(X4)
    | esk9190_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1189_0
    | p(X2)
    | p(X1) )).

cnf(i_0_11413,axiom,
    ( ~ esk8842_4(X1,X2,X3,X4)
    | esk8840_4(X1,X2,X3,X4)
    | esk8841_4(X1,X2,X3,X4) )).

cnf(i_0_11414,axiom,
    ( esk9500_4(X1,X2,X3,X4)
    | ~ esk9501_4(X1,X2,X3,X4) )).

cnf(i_0_11415,axiom,
    ( esk3802_4(X1,X2,X3,X4)
    | ~ esk3636_4(X1,X2,X3,X4) )).

cnf(i_0_11416,axiom,
    ( ~ esk1736_4(X1,X2,X3,X4)
    | esk1737_4(X1,X2,X3,X4)
    | ~ esk1687_4(X1,X2,X3,X4) )).

cnf(i_0_11417,axiom,
    ( ~ esk8289_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_11418,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk165_0
    | esk8044_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_11419,axiom,
    ( ~ esk4197_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11420,axiom,
    ( ~ esk7967_4(X1,X2,X3,X4)
    | esk7840_4(X1,X2,X3,X4) )).

cnf(i_0_11421,axiom,
    ( esk1069_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_11422,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk252_0 )).

cnf(i_0_11423,axiom,
    ( ~ esk9740_4(X1,X2,X3,X4)
    | ~ esk9739_4(X1,X2,X3,X4)
    | ~ esk9161_4(X1,X2,X3,X4) )).

cnf(i_0_11424,axiom,
    ( ~ p(X3)
    | ~ esk9182_4(X1,X2,X3,X4)
    | esk1172_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_11425,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk844_0 )).

cnf(i_0_11426,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | esk3293_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_11427,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8561_4(X1,X2,X3,X4)
    | esk8595_4(X1,X2,X3,X4) )).

cnf(i_0_11428,axiom,
    ( ~ esk5767_4(X1,X2,X3,X4)
    | esk7150_4(X1,X2,X3,X4) )).

cnf(i_0_11429,axiom,
    ( ~ esk7264_4(X1,X2,X3,X4)
    | esk7262_4(X1,X2,X3,X4)
    | esk7263_4(X1,X2,X3,X4) )).

cnf(i_0_11430,axiom,
    ( ~ esk3989_4(X1,X2,X3,X4)
    | esk3988_4(X1,X2,X3,X4) )).

cnf(i_0_11431,axiom,
    ( p(X1)
    | p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk546_0 )).

cnf(i_0_11432,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1243_0 )).

cnf(i_0_11433,axiom,
    ( esk5833_4(X1,X2,X3,X4)
    | ~ esk7149_4(X1,X2,X3,X4) )).

cnf(i_0_11434,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_11435,axiom,
    ( ~ esk7172_4(X1,X2,X3,X4)
    | esk7170_4(X1,X2,X3,X4)
    | esk7171_4(X1,X2,X3,X4) )).

cnf(i_0_11436,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3996_4(X1,X2,X3,X4) )).

cnf(i_0_11437,axiom,
    ( ~ esk9255_4(X1,X2,X3,X4)
    | ~ esk8070_4(X1,X2,X3,X4) )).

cnf(i_0_11438,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6091_4(X1,X2,X3,X4)
    | esk6092_4(X1,X2,X3,X4) )).

cnf(i_0_11439,axiom,
    ( esk7168_4(X1,X2,X3,X4)
    | ~ esk7182_4(X1,X2,X3,X4) )).

cnf(i_0_11440,axiom,
    ( ~ p(X2)
    | esk2482_4(X1,X2,X3,X4)
    | ~ esk781_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11441,axiom,
    ( esk1620_4(X1,X2,X3,X4)
    | ~ esk1621_4(X1,X2,X3,X4) )).

cnf(i_0_11442,axiom,
    ( ~ p(X2)
    | esk9093_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk878_0 )).

cnf(i_0_11443,axiom,
    ( esk4315_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11444,axiom,
    ( esk4567_4(X1,X2,X3,X4)
    | ~ esk4732_4(X1,X2,X3,X4) )).

cnf(i_0_11445,axiom,
    ( esk7840_4(X1,X2,X3,X4)
    | ~ esk7839_4(X1,X2,X3,X4) )).

cnf(i_0_11446,axiom,
    ( esk2307_4(X1,X2,X3,X4)
    | ~ esk2306_4(X1,X2,X3,X4) )).

cnf(i_0_11447,axiom,
    ( ~ esk4825_4(X1,X2,X3,X4)
    | esk4826_4(X1,X2,X3,X4) )).

cnf(i_0_11448,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk931_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_11449,axiom,
    ( ~ esk9144_4(X1,X2,X3,X4)
    | esk9145_4(X1,X2,X3,X4) )).

cnf(i_0_11450,axiom,
    ( ~ esk7300_4(X1,X2,X3,X4)
    | esk6599_4(X1,X2,X3,X4)
    | ~ esk6598_4(X1,X2,X3,X4) )).

cnf(i_0_11451,axiom,
    ( esk5172_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_11452,axiom,
    ( ~ esk4576_4(X1,X2,X3,X4)
    | esk4578_4(X1,X2,X3,X4) )).

cnf(i_0_11453,axiom,
    ( esk7895_4(X1,X2,X3,X4)
    | ~ esk7896_4(X1,X2,X3,X4)
    | esk7894_4(X1,X2,X3,X4) )).

cnf(i_0_11454,axiom,
    ( ~ esk6821_4(X1,X2,X3,X4)
    | esk6822_4(X1,X2,X3,X4)
    | ~ esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_11455,axiom,
    ( ~ esk4004_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11456,axiom,
    ( esk2898_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1214_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_11457,axiom,
    ( ~ esk7003_4(X1,X2,X3,X4)
    | esk7550_4(X1,X2,X3,X4)
    | ~ esk7549_4(X1,X2,X3,X4) )).

cnf(i_0_11458,axiom,
    ( esk8491_4(X1,X2,X3,X4)
    | ~ esk8489_4(X1,X2,X3,X4) )).

cnf(i_0_11459,axiom,
    ( ~ esk8764_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_11460,axiom,
    ( p(X2)
    | esk2795_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1_0
    | p(X3)
    | p(X1) )).

cnf(i_0_11461,axiom,
    ( ~ esk6198_4(X1,X2,X3,X4)
    | esk6199_4(X1,X2,X3,X4) )).

cnf(i_0_11462,axiom,
    ( ~ esk4993_4(X1,X2,X3,X4)
    | esk3607_4(X1,X2,X3,X4)
    | ~ esk3606_4(X1,X2,X3,X4) )).

cnf(i_0_11463,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3033_4(X1,X2,X3,X4) )).

cnf(i_0_11464,axiom,
    ( esk4109_4(X1,X2,X3,X4)
    | ~ esk4110_4(X1,X2,X3,X4) )).

cnf(i_0_11465,axiom,
    ( esk2715_4(X1,X2,X3,X4)
    | ~ esk2716_4(X1,X2,X3,X4) )).

cnf(i_0_11466,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3323_4(X1,X2,X3,X4) )).

cnf(i_0_11467,axiom,
    ( esk6293_4(X1,X2,X3,X4)
    | ~ esk4193_4(X1,X2,X3,X4) )).

cnf(i_0_11468,axiom,
    ( esk5829_4(X1,X2,X3,X4)
    | ~ esk7139_4(X1,X2,X3,X4) )).

cnf(i_0_11469,axiom,
    ( ~ esk8392_4(X1,X2,X3,X4)
    | ~ esk8430_4(X1,X2,X3,X4) )).

cnf(i_0_11470,axiom,
    ( ~ esk7647_4(X1,X2,X3,X4)
    | ~ esk7646_4(X1,X2,X3,X4)
    | ~ esk5720_4(X1,X2,X3,X4) )).

cnf(i_0_11471,axiom,
    ( esk7681_4(X1,X2,X3,X4)
    | ~ esk9255_4(X1,X2,X3,X4) )).

cnf(i_0_11472,axiom,
    ( ~ p(X2)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk654_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_11473,axiom,
    ( ~ esk4659_4(X1,X2,X3,X4)
    | esk4661_4(X1,X2,X3,X4) )).

cnf(i_0_11474,axiom,
    ( esk2658_4(X1,X2,X3,X4)
    | ~ esk2657_4(X1,X2,X3,X4) )).

cnf(i_0_11475,axiom,
    ( ~ esk7092_4(X1,X2,X3,X4)
    | esk4992_4(X1,X2,X3,X4) )).

cnf(i_0_11476,axiom,
    ( esk6497_4(X1,X2,X3,X4)
    | ~ esk6575_4(X1,X2,X3,X4) )).

cnf(i_0_11477,axiom,
    ( esk127_0
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_11478,axiom,
    ( esk4460_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_11479,axiom,
    ( esk300_0
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_11480,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | esk3211_4(X1,X2,X3,X4) )).

cnf(i_0_11481,axiom,
    ( ~ esk7841_4(X1,X2,X3,X4)
    | esk7842_4(X1,X2,X3,X4)
    | ~ esk9205_4(X1,X2,X3,X4) )).

cnf(i_0_11482,axiom,
    ( esk4982_4(X1,X2,X3,X4)
    | ~ esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_11483,axiom,
    ( esk3687_4(X1,X2,X3,X4)
    | ~ esk3688_4(X1,X2,X3,X4) )).

cnf(i_0_11484,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8110_4(X1,X2,X3,X4)
    | esk8146_4(X1,X2,X3,X4) )).

cnf(i_0_11485,axiom,
    ( esk1794_4(X1,X2,X3,X4)
    | ~ esk1793_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_11486,axiom,
    ( esk9615_4(X1,X2,X3,X4)
    | ~ esk9042_4(X1,X2,X3,X4) )).

cnf(i_0_11487,axiom,
    ( esk2789_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1_0
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_11488,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk9214_4(X1,X2,X3,X4)
    | ~ esk1252_0
    | p(X1)
    | p(X3) )).

cnf(i_0_11489,axiom,
    ( p(X3)
    | ~ esk2854_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk1026_0 )).

cnf(i_0_11490,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4954_4(X1,X2,X3,X4) )).

cnf(i_0_11491,axiom,
    ( esk4534_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4)
    | ~ esk4466_4(X1,X2,X3,X4) )).

cnf(i_0_11492,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5918_4(X1,X2,X3,X4) )).

cnf(i_0_11493,axiom,
    ( esk5430_4(X1,X2,X3,X4)
    | ~ esk5431_4(X1,X2,X3,X4) )).

cnf(i_0_11494,axiom,
    ( ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | esk30_0 )).

cnf(i_0_11495,axiom,
    ( esk1162_0
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11496,axiom,
    ( esk3808_4(X1,X2,X3,X4)
    | ~ esk4927_4(X1,X2,X3,X4) )).

cnf(i_0_11497,axiom,
    ( ~ esk8970_4(X1,X2,X3,X4)
    | esk8971_4(X1,X2,X3,X4) )).

cnf(i_0_11498,axiom,
    ( ~ esk8446_4(X1,X2,X3,X4)
    | esk8448_4(X1,X2,X3,X4) )).

cnf(i_0_11499,axiom,
    ( ~ esk9156_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_11500,axiom,
    ( ~ esk6440_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_11501,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7640_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_11502,axiom,
    ( esk1621_4(X1,X2,X3,X4)
    | esk1622_4(X1,X2,X3,X4)
    | ~ esk1623_4(X1,X2,X3,X4) )).

cnf(i_0_11503,axiom,
    ( esk6049_4(X1,X2,X3,X4)
    | ~ esk6040_4(X1,X2,X3,X4) )).

cnf(i_0_11504,axiom,
    ( esk612_0
    | ~ esk8721_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_11505,axiom,
    ( esk8189_4(X1,X2,X3,X4)
    | ~ esk8187_4(X1,X2,X3,X4) )).

cnf(i_0_11506,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1119_0
    | ~ p(X4)
    | esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_11507,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk2_0
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_11508,axiom,
    ( ~ esk3961_4(X1,X2,X3,X4)
    | esk3789_4(X1,X2,X3,X4) )).

cnf(i_0_11509,axiom,
    ( ~ esk4641_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_11510,axiom,
    ( ~ esk5377_4(X1,X2,X3,X4)
    | esk5376_4(X1,X2,X3,X4)
    | esk4518_4(X1,X2,X3,X4) )).

cnf(i_0_11511,axiom,
    ( ~ esk5672_4(X1,X2,X3,X4)
    | esk5744_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_11512,axiom,
    ( esk5858_4(X1,X2,X3,X4)
    | ~ esk5856_4(X1,X2,X3,X4) )).

cnf(i_0_11513,axiom,
    ( ~ esk6399_4(X1,X2,X3,X4)
    | esk6625_4(X1,X2,X3,X4) )).

cnf(i_0_11514,axiom,
    ( ~ p(X2)
    | ~ esk1090_0
    | ~ p(X4)
    | esk9170_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11515,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4746_4(X1,X2,X3,X4) )).

cnf(i_0_11516,axiom,
    ( esk9575_4(X1,X2,X3,X4)
    | ~ esk8716_4(X1,X2,X3,X4) )).

cnf(i_0_11517,axiom,
    ( ~ esk9168_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk1078_0 )).

cnf(i_0_11518,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6171_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_11519,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5194_4(X1,X2,X3,X4) )).

cnf(i_0_11520,axiom,
    ( ~ esk4625_4(X1,X2,X3,X4)
    | esk4624_4(X1,X2,X3,X4) )).

cnf(i_0_11521,axiom,
    ( esk7608_4(X1,X2,X3,X4)
    | ~ esk7606_4(X1,X2,X3,X4) )).

cnf(i_0_11522,axiom,
    ( esk1_0
    | ~ esk2890_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_11523,axiom,
    ( ~ esk8714_4(X1,X2,X3,X4)
    | esk6614_4(X1,X2,X3,X4) )).

cnf(i_0_11524,axiom,
    ( p(X3)
    | p(X1)
    | esk1236_0
    | ~ esk2914_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_11525,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5316_4(X1,X2,X3,X4) )).

cnf(i_0_11526,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk9218_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk1274_0 )).

cnf(i_0_11527,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | ~ esk2060_4(X1,X2,X3,X4) )).

cnf(i_0_11528,axiom,
    ( esk6403_4(X1,X2,X3,X4)
    | ~ esk6364_4(X1,X2,X3,X4) )).

cnf(i_0_11529,axiom,
    ( ~ esk7699_4(X1,X2,X3,X4)
    | esk7813_4(X1,X2,X3,X4) )).

cnf(i_0_11530,axiom,
    ( esk7905_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_11531,axiom,
    ( ~ esk7782_4(X1,X2,X3,X4)
    | esk7771_4(X1,X2,X3,X4) )).

cnf(i_0_11532,axiom,
    ( esk4352_4(X1,X2,X3,X4)
    | ~ esk4353_4(X1,X2,X3,X4) )).

cnf(i_0_11533,axiom,
    ( esk9585_4(X1,X2,X3,X4)
    | ~ esk8869_4(X1,X2,X3,X4) )).

cnf(i_0_11534,axiom,
    ( ~ esk4264_4(X1,X2,X3,X4)
    | esk4302_4(X1,X2,X3,X4)
    | esk4303_4(X1,X2,X3,X4) )).

cnf(i_0_11535,axiom,
    ( esk4019_4(X1,X2,X3,X4)
    | ~ esk4020_4(X1,X2,X3,X4) )).

cnf(i_0_11536,axiom,
    ( esk8130_4(X1,X2,X3,X4)
    | ~ esk8073_4(X1,X2,X3,X4) )).

cnf(i_0_11537,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1089_0 )).

cnf(i_0_11538,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5272_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11539,axiom,
    ( esk5890_4(X1,X2,X3,X4)
    | ~ esk5891_4(X1,X2,X3,X4) )).

cnf(i_0_11540,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1624_4(X1,X2,X3,X4) )).

cnf(i_0_11541,axiom,
    ( esk4118_4(X1,X2,X3,X4)
    | ~ esk4084_4(X1,X2,X3,X4) )).

cnf(i_0_11542,axiom,
    ( ~ esk8603_4(X1,X2,X3,X4)
    | esk8604_4(X1,X2,X3,X4) )).

cnf(i_0_11543,axiom,
    ( ~ esk1465_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_11544,axiom,
    ( esk3880_4(X1,X2,X3,X4)
    | ~ esk3881_4(X1,X2,X3,X4) )).

cnf(i_0_11545,axiom,
    ( esk5843_4(X1,X2,X3,X4)
    | ~ esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_11546,axiom,
    ( esk3567_4(X1,X2,X3,X4)
    | ~ esk3565_4(X1,X2,X3,X4) )).

cnf(i_0_11547,axiom,
    ( ~ esk5861_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_11548,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | esk2567_4(X1,X2,X3,X4) )).

cnf(i_0_11549,axiom,
    ( ~ esk7303_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11550,axiom,
    ( esk6053_4(X1,X2,X3,X4)
    | ~ esk6054_4(X1,X2,X3,X4) )).

cnf(i_0_11551,axiom,
    ( esk5085_4(X1,X2,X3,X4)
    | ~ esk5084_4(X1,X2,X3,X4) )).

cnf(i_0_11552,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9300_4(X1,X2,X3,X4) )).

cnf(i_0_11553,axiom,
    ( ~ esk6993_4(X1,X2,X3,X4)
    | esk6748_4(X1,X2,X3,X4) )).

cnf(i_0_11554,axiom,
    ( ~ esk7903_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_11555,axiom,
    ( p(X4)
    | ~ esk1031_0
    | p(X2)
    | p(X3)
    | esk9150_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_11556,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5146_4(X1,X2,X3,X4) )).

cnf(i_0_11557,axiom,
    ( esk7080_4(X1,X2,X3,X4)
    | ~ esk5787_4(X1,X2,X3,X4) )).

cnf(i_0_11558,axiom,
    ( ~ esk3854_4(X1,X2,X3,X4)
    | esk5954_4(X1,X2,X3,X4) )).

cnf(i_0_11559,axiom,
    ( ~ esk3977_4(X1,X2,X3,X4)
    | ~ esk4305_4(X1,X2,X3,X4) )).

cnf(i_0_11560,axiom,
    ( esk560_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2419_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_11561,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6913_4(X1,X2,X3,X4) )).

cnf(i_0_11562,axiom,
    ( esk3907_4(X1,X2,X3,X4)
    | ~ esk3905_4(X1,X2,X3,X4) )).

cnf(i_0_11563,axiom,
    ( esk9491_4(X1,X2,X3,X4)
    | ~ esk9489_4(X1,X2,X3,X4) )).

cnf(i_0_11564,axiom,
    ( esk8205_4(X1,X2,X3,X4)
    | ~ esk8203_4(X1,X2,X3,X4) )).

cnf(i_0_11565,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3047_4(X1,X2,X3,X4) )).

cnf(i_0_11566,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2100_4(X1,X2,X3,X4) )).

cnf(i_0_11567,axiom,
    ( ~ esk8964_4(X1,X2,X3,X4)
    | ~ esk8783_4(X1,X2,X3,X4)
    | esk8965_4(X1,X2,X3,X4) )).

cnf(i_0_11568,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5790_4(X1,X2,X3,X4) )).

cnf(i_0_11569,axiom,
    ( esk2159_4(X1,X2,X3,X4)
    | ~ esk2309_4(X1,X2,X3,X4) )).

cnf(i_0_11570,axiom,
    ( ~ esk3274_4(X1,X2,X3,X4)
    | esk3280_4(X1,X2,X3,X4) )).

cnf(i_0_11571,axiom,
    ( esk6269_4(X1,X2,X3,X4)
    | ~ esk6268_4(X1,X2,X3,X4) )).

cnf(i_0_11572,axiom,
    ( ~ esk6769_4(X1,X2,X3,X4)
    | esk6783_4(X1,X2,X3,X4)
    | ~ esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_11573,axiom,
    ( esk3234_4(X1,X2,X3,X4)
    | ~ esk3233_4(X1,X2,X3,X4) )).

cnf(i_0_11574,axiom,
    ( ~ esk6196_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11575,axiom,
    ( ~ esk6029_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11576,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk9097_4(X1,X2,X3,X4)
    | esk911_0 )).

cnf(i_0_11577,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4483_4(X1,X2,X3,X4) )).

cnf(i_0_11578,axiom,
    ( ~ esk9710_4(X1,X2,X3,X4)
    | esk9707_4(X1,X2,X3,X4) )).

cnf(i_0_11579,axiom,
    ( ~ esk6073_4(X1,X2,X3,X4)
    | esk6642_4(X1,X2,X3,X4)
    | esk6643_4(X1,X2,X3,X4) )).

cnf(i_0_11580,axiom,
    ( ~ esk8992_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_11581,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7163_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11582,axiom,
    ( ~ esk6808_4(X1,X2,X3,X4)
    | esk7535_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_11583,axiom,
    ( ~ esk4541_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_11584,axiom,
    ( esk1197_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9190_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_11585,axiom,
    ( esk6171_4(X1,X2,X3,X4)
    | ~ esk6172_4(X1,X2,X3,X4)
    | esk6170_4(X1,X2,X3,X4) )).

cnf(i_0_11586,axiom,
    ( esk1744_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_11587,axiom,
    ( ~ esk7443_4(X1,X2,X3,X4)
    | esk7444_4(X1,X2,X3,X4) )).

cnf(i_0_11588,axiom,
    ( ~ esk3191_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_11589,axiom,
    ( esk9345_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9344_4(X1,X2,X3,X4) )).

cnf(i_0_11590,axiom,
    ( ~ esk4894_4(X1,X2,X3,X4)
    | ~ esk5410_4(X1,X2,X3,X4)
    | esk5411_4(X1,X2,X3,X4) )).

cnf(i_0_11591,axiom,
    ( esk4190_4(X1,X2,X3,X4)
    | ~ esk4022_4(X1,X2,X3,X4) )).

cnf(i_0_11592,axiom,
    ( esk4544_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_11593,axiom,
    ( esk6859_4(X1,X2,X3,X4)
    | esk6858_4(X1,X2,X3,X4)
    | ~ esk6860_4(X1,X2,X3,X4) )).

cnf(i_0_11594,axiom,
    ( esk4916_4(X1,X2,X3,X4)
    | ~ esk3969_4(X1,X2,X3,X4) )).

cnf(i_0_11595,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | esk929_0
    | p(X3)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_11596,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk721_0 )).

cnf(i_0_11597,axiom,
    ( ~ esk2811_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | esk981_0 )).

cnf(i_0_11598,axiom,
    ( ~ esk1459_4(X1,X2,X3,X4)
    | esk1460_4(X1,X2,X3,X4) )).

cnf(i_0_11599,axiom,
    ( esk3202_4(X1,X2,X3,X4)
    | ~ esk3205_4(X1,X2,X3,X4) )).

cnf(i_0_11600,axiom,
    ( p(X3)
    | esk960_0
    | ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_11601,axiom,
    ( ~ esk6631_4(X1,X2,X3,X4)
    | esk6287_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_11602,axiom,
    ( ~ esk1_0
    | p(X4)
    | esk2437_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_11603,axiom,
    ( esk7284_4(X1,X2,X3,X4)
    | ~ esk7290_4(X1,X2,X3,X4) )).

cnf(i_0_11604,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | esk3655_4(X1,X2,X3,X4) )).

cnf(i_0_11605,axiom,
    ( ~ esk6201_4(X1,X2,X3,X4)
    | esk6203_4(X1,X2,X3,X4) )).

cnf(i_0_11606,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | esk2887_4(X1,X2,X3,X4) )).

cnf(i_0_11607,axiom,
    ( ~ esk2754_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_11608,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2979_4(X1,X2,X3,X4) )).

cnf(i_0_11609,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk1842_4(X1,X2,X3,X4)
    | ~ esk260_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_11610,axiom,
    ( ~ esk1466_4(X1,X2,X3,X4)
    | esk1468_4(X1,X2,X3,X4) )).

cnf(i_0_11611,axiom,
    ( esk8436_4(X1,X2,X3,X4)
    | ~ esk8474_4(X1,X2,X3,X4) )).

cnf(i_0_11612,axiom,
    ( ~ esk2784_4(X1,X2,X3,X4)
    | esk2727_4(X1,X2,X3,X4) )).

cnf(i_0_11613,axiom,
    ( esk8010_4(X1,X2,X3,X4)
    | ~ esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_11614,axiom,
    ( ~ esk3802_4(X1,X2,X3,X4)
    | esk3746_4(X1,X2,X3,X4) )).

cnf(i_0_11615,axiom,
    ( ~ esk8284_4(X1,X2,X3,X4)
    | esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_11616,axiom,
    ( ~ esk4228_4(X1,X2,X3,X4)
    | ~ esk4194_4(X1,X2,X3,X4)
    | esk4229_4(X1,X2,X3,X4) )).

cnf(i_0_11617,axiom,
    ( ~ esk7500_4(X1,X2,X3,X4)
    | ~ esk6785_4(X1,X2,X3,X4) )).

cnf(i_0_11618,axiom,
    ( esk3973_4(X1,X2,X3,X4)
    | ~ esk4078_4(X1,X2,X3,X4) )).

cnf(i_0_11619,axiom,
    ( ~ esk9513_4(X1,X2,X3,X4)
    | esk9515_4(X1,X2,X3,X4) )).

cnf(i_0_11620,axiom,
    ( esk7556_4(X1,X2,X3,X4)
    | ~ esk6963_4(X1,X2,X3,X4) )).

cnf(i_0_11621,axiom,
    ( ~ esk3347_4(X1,X2,X3,X4)
    | ~ esk2678_4(X1,X2,X3,X4)
    | esk3348_4(X1,X2,X3,X4) )).

cnf(i_0_11622,axiom,
    ( ~ esk6193_4(X1,X2,X3,X4)
    | esk5611_4(X1,X2,X3,X4) )).

cnf(i_0_11623,axiom,
    ( ~ esk5604_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_11624,axiom,
    ( esk6014_4(X1,X2,X3,X4)
    | esk6013_4(X1,X2,X3,X4)
    | ~ esk6015_4(X1,X2,X3,X4) )).

cnf(i_0_11625,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6187_4(X1,X2,X3,X4) )).

cnf(i_0_11626,axiom,
    ( p(X1)
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk190_0 )).

cnf(i_0_11627,axiom,
    ( ~ esk3445_4(X1,X2,X3,X4)
    | esk3447_4(X1,X2,X3,X4) )).

cnf(i_0_11628,axiom,
    ( ~ esk2742_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11629,axiom,
    ( esk3408_4(X1,X2,X3,X4)
    | esk3409_4(X1,X2,X3,X4)
    | ~ esk3410_4(X1,X2,X3,X4) )).

cnf(i_0_11630,axiom,
    ( esk8090_4(X1,X2,X3,X4)
    | ~ esk8091_4(X1,X2,X3,X4) )).

cnf(i_0_11631,axiom,
    ( esk1442_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk36_0 )).

cnf(i_0_11632,axiom,
    ( ~ esk5392_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_11633,axiom,
    ( ~ esk4214_4(X1,X2,X3,X4)
    | esk4077_4(X1,X2,X3,X4) )).

cnf(i_0_11634,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk39_0
    | ~ esk1442_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11635,axiom,
    ( ~ esk8084_4(X1,X2,X3,X4)
    | esk8085_4(X1,X2,X3,X4) )).

cnf(i_0_11636,axiom,
    ( esk2067_4(X1,X2,X3,X4)
    | ~ esk2137_4(X1,X2,X3,X4) )).

cnf(i_0_11637,axiom,
    ( esk1141_0
    | ~ esk9176_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_11638,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk9150_4(X1,X2,X3,X4)
    | p(X1)
    | esk1030_0 )).

cnf(i_0_11639,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9258_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_11640,axiom,
    ( p(X1)
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk964_0
    | p(X2) )).

cnf(i_0_11641,axiom,
    ( esk4868_4(X1,X2,X3,X4)
    | esk4869_4(X1,X2,X3,X4)
    | ~ esk4870_4(X1,X2,X3,X4) )).

cnf(i_0_11642,axiom,
    ( esk6106_4(X1,X2,X3,X4)
    | ~ esk6104_4(X1,X2,X3,X4) )).

cnf(i_0_11643,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8826_4(X1,X2,X3,X4) )).

cnf(i_0_11644,axiom,
    ( esk4742_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_11645,axiom,
    ( ~ esk8918_4(X1,X2,X3,X4)
    | esk8854_4(X1,X2,X3,X4) )).

cnf(i_0_11646,axiom,
    ( esk8883_4(X1,X2,X3,X4)
    | ~ esk8881_4(X1,X2,X3,X4) )).

cnf(i_0_11647,axiom,
    ( esk5620_4(X1,X2,X3,X4)
    | ~ esk7018_4(X1,X2,X3,X4) )).

cnf(i_0_11648,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk260_0
    | esk8138_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_11649,axiom,
    ( p(X1)
    | ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk1164_0 )).

cnf(i_0_11650,axiom,
    ( ~ esk8188_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_11651,axiom,
    ( ~ esk6065_4(X1,X2,X3,X4)
    | esk6064_4(X1,X2,X3,X4)
    | esk6063_4(X1,X2,X3,X4) )).

cnf(i_0_11652,axiom,
    ( ~ esk7020_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_11653,axiom,
    ( ~ p(X2)
    | esk435_0
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_11654,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | esk9134_4(X1,X2,X3,X4) )).

cnf(i_0_11655,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2466_4(X1,X2,X3,X4) )).

cnf(i_0_11656,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5233_4(X1,X2,X3,X4)
    | esk5236_4(X1,X2,X3,X4) )).

cnf(i_0_11657,axiom,
    ( ~ esk2875_4(X1,X2,X3,X4)
    | esk2884_4(X1,X2,X3,X4) )).

cnf(i_0_11658,axiom,
    ( ~ p(X2)
    | ~ esk1162_0
    | p(X1)
    | esk9182_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_11659,axiom,
    ( esk6683_4(X1,X2,X3,X4)
    | ~ esk6295_4(X1,X2,X3,X4) )).

cnf(i_0_11660,axiom,
    ( ~ esk8671_4(X1,X2,X3,X4)
    | esk8672_4(X1,X2,X3,X4) )).

cnf(i_0_11661,axiom,
    ( ~ esk7383_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11662,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8190_4(X1,X2,X3,X4) )).

cnf(i_0_11663,axiom,
    ( esk4504_4(X1,X2,X3,X4)
    | esk4505_4(X1,X2,X3,X4)
    | ~ esk4506_4(X1,X2,X3,X4) )).

cnf(i_0_11664,axiom,
    ( ~ esk1728_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_11665,axiom,
    ( esk6232_4(X1,X2,X3,X4)
    | esk6233_4(X1,X2,X3,X4)
    | ~ esk6234_4(X1,X2,X3,X4) )).

cnf(i_0_11666,axiom,
    ( ~ p(X3)
    | esk1239_0
    | ~ p(X4)
    | ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_11667,axiom,
    ( ~ esk1772_4(X1,X2,X3,X4)
    | ~ esk1864_4(X1,X2,X3,X4)
    | esk1865_4(X1,X2,X3,X4) )).

cnf(i_0_11668,axiom,
    ( ~ esk2952_4(X1,X2,X3,X4)
    | esk1309_0
    | p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11669,axiom,
    ( esk6058_4(X1,X2,X3,X4)
    | ~ esk5591_4(X1,X2,X3,X4) )).

cnf(i_0_11670,axiom,
    ( esk3964_4(X1,X2,X3,X4)
    | esk3965_4(X1,X2,X3,X4)
    | ~ esk3966_4(X1,X2,X3,X4) )).

cnf(i_0_11671,axiom,
    ( esk4157_4(X1,X2,X3,X4)
    | ~ esk4751_4(X1,X2,X3,X4) )).

cnf(i_0_11672,axiom,
    ( ~ esk8862_4(X1,X2,X3,X4)
    | esk8863_4(X1,X2,X3,X4) )).

cnf(i_0_11673,axiom,
    ( ~ esk3576_4(X1,X2,X3,X4)
    | esk5676_4(X1,X2,X3,X4) )).

cnf(i_0_11674,axiom,
    ( ~ esk8815_4(X1,X2,X3,X4)
    | esk8814_4(X1,X2,X3,X4) )).

cnf(i_0_11675,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1906_4(X1,X2,X3,X4) )).

cnf(i_0_11676,axiom,
    ( esk5477_4(X1,X2,X3,X4)
    | ~ esk5476_4(X1,X2,X3,X4) )).

cnf(i_0_11677,axiom,
    ( ~ esk7962_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_11678,axiom,
    ( ~ esk4234_4(X1,X2,X3,X4)
    | esk4585_4(X1,X2,X3,X4) )).

cnf(i_0_11679,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8770_4(X1,X2,X3,X4) )).

cnf(i_0_11680,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk6383_4(X1,X2,X3,X4) )).

cnf(i_0_11681,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9392_4(X1,X2,X3,X4) )).

cnf(i_0_11682,axiom,
    ( ~ esk6741_4(X1,X2,X3,X4)
    | esk6743_4(X1,X2,X3,X4) )).

cnf(i_0_11683,axiom,
    ( esk4912_4(X1,X2,X3,X4)
    | esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_11684,axiom,
    ( ~ esk3846_4(X1,X2,X3,X4)
    | esk5946_4(X1,X2,X3,X4) )).

cnf(i_0_11685,axiom,
    ( esk2420_4(X1,X2,X3,X4)
    | ~ esk2383_4(X1,X2,X3,X4) )).

cnf(i_0_11686,axiom,
    ( ~ esk6883_4(X1,X2,X3,X4)
    | esk6884_4(X1,X2,X3,X4) )).

cnf(i_0_11687,axiom,
    ( esk8886_4(X1,X2,X3,X4)
    | ~ esk9599_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_11688,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3240_4(X1,X2,X3,X4) )).

cnf(i_0_11689,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1322_0
    | ~ p(X4)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_11690,axiom,
    ( esk2149_4(X1,X2,X3,X4)
    | ~ esk2079_4(X1,X2,X3,X4)
    | ~ esk2148_4(X1,X2,X3,X4) )).

cnf(i_0_11691,axiom,
    ( ~ esk6128_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_11692,axiom,
    ( ~ esk5139_4(X1,X2,X3,X4)
    | esk5138_4(X1,X2,X3,X4) )).

cnf(i_0_11693,axiom,
    ( ~ esk7610_4(X1,X2,X3,X4)
    | esk6908_4(X1,X2,X3,X4) )).

cnf(i_0_11694,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | p(X4)
    | esk1194_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_11695,axiom,
    ( esk3049_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11696,axiom,
    ( ~ esk4244_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_11697,axiom,
    ( ~ esk1293_0
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_11698,axiom,
    ( ~ esk8318_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk395_0
    | p(X4)
    | p(X2) )).

cnf(i_0_11699,axiom,
    ( esk5327_4(X1,X2,X3,X4)
    | esk5328_4(X1,X2,X3,X4)
    | ~ esk5329_4(X1,X2,X3,X4) )).

cnf(i_0_11700,axiom,
    ( esk3418_4(X1,X2,X3,X4)
    | ~ esk3417_4(X1,X2,X3,X4) )).

cnf(i_0_11701,axiom,
    ( esk3666_4(X1,X2,X3,X4)
    | ~ esk3664_4(X1,X2,X3,X4) )).

cnf(i_0_11702,axiom,
    ( esk9025_4(X1,X2,X3,X4)
    | ~ esk9026_4(X1,X2,X3,X4) )).

cnf(i_0_11703,axiom,
    ( ~ esk1321_0
    | ~ p(X2)
    | ~ p(X4)
    | esk9248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_11704,axiom,
    ( esk9179_4(X1,X2,X3,X4)
    | ~ esk7079_4(X1,X2,X3,X4) )).

cnf(i_0_11705,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk116_0 )).

cnf(i_0_11706,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk1141_0
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_11707,axiom,
    ( esk9099_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk918_0
    | p(X3) )).

cnf(i_0_11708,axiom,
    ( ~ esk8223_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_11709,axiom,
    ( esk2872_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1078_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_11710,axiom,
    ( esk4312_4(X1,X2,X3,X4)
    | ~ esk3477_4(X1,X2,X3,X4) )).

cnf(i_0_11711,axiom,
    ( ~ esk1_0
    | ~ p(X3)
    | ~ p(X2)
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_11712,axiom,
    ( ~ esk2886_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk1165_0
    | p(X2) )).

cnf(i_0_11713,axiom,
    ( ~ esk4554_4(X1,X2,X3,X4)
    | ~ esk4918_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_11714,axiom,
    ( p(X2)
    | esk8733_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk702_0 )).

cnf(i_0_11715,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | esk71_0 )).

cnf(i_0_11716,axiom,
    ( ~ esk6105_4(X1,X2,X3,X4)
    | esk6106_4(X1,X2,X3,X4) )).

cnf(i_0_11717,axiom,
    ( esk7317_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_11718,axiom,
    ( ~ esk7856_4(X1,X2,X3,X4)
    | esk7855_4(X1,X2,X3,X4)
    | esk7854_4(X1,X2,X3,X4) )).

cnf(i_0_11719,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9272_4(X1,X2,X3,X4) )).

cnf(i_0_11720,axiom,
    ( ~ esk2007_4(X1,X2,X3,X4)
    | esk2006_4(X1,X2,X3,X4) )).

cnf(i_0_11721,axiom,
    ( esk7108_4(X1,X2,X3,X4)
    | ~ esk5654_4(X1,X2,X3,X4)
    | ~ esk7107_4(X1,X2,X3,X4) )).

cnf(i_0_11722,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8693_4(X1,X2,X3,X4) )).

cnf(i_0_11723,axiom,
    ( ~ esk1503_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_11724,axiom,
    ( esk410_0
    | p(X2)
    | ~ p(X4)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_11725,axiom,
    ( ~ esk9087_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk833_0
    | p(X3) )).

cnf(i_0_11726,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk8585_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk515_0
    | p(X2) )).

cnf(i_0_11727,axiom,
    ( esk8518_4(X1,X2,X3,X4)
    | ~ esk8516_4(X1,X2,X3,X4) )).

cnf(i_0_11728,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7879_4(X1,X2,X3,X4) )).

cnf(i_0_11729,axiom,
    ( esk8860_4(X1,X2,X3,X4)
    | esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_11730,axiom,
    ( esk9194_4(X1,X2,X3,X4)
    | ~ esk7904_4(X1,X2,X3,X4) )).

cnf(i_0_11731,axiom,
    ( esk6563_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_11732,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk771_0
    | esk8778_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_11733,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7261_4(X1,X2,X3,X4) )).

cnf(i_0_11734,axiom,
    ( esk2815_4(X1,X2,X3,X4)
    | ~ esk3433_4(X1,X2,X3,X4) )).

cnf(i_0_11735,axiom,
    ( esk6581_4(X1,X2,X3,X4)
    | ~ esk6580_4(X1,X2,X3,X4) )).

cnf(i_0_11736,axiom,
    ( ~ esk9204_4(X1,X2,X3,X4)
    | esk7908_4(X1,X2,X3,X4) )).

cnf(i_0_11737,axiom,
    ( ~ esk4635_4(X1,X2,X3,X4)
    | esk4636_4(X1,X2,X3,X4) )).

cnf(i_0_11738,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5238_4(X1,X2,X3,X4) )).

cnf(i_0_11739,axiom,
    ( esk3123_4(X1,X2,X3,X4)
    | ~ esk3124_4(X1,X2,X3,X4) )).

cnf(i_0_11740,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4365_4(X1,X2,X3,X4) )).

cnf(i_0_11741,axiom,
    ( esk4902_4(X1,X2,X3,X4)
    | ~ esk2802_4(X1,X2,X3,X4) )).

cnf(i_0_11742,axiom,
    ( esk4092_4(X1,X2,X3,X4)
    | ~ esk4146_4(X1,X2,X3,X4) )).

cnf(i_0_11743,axiom,
    ( esk6338_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_11744,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk9174_4(X1,X2,X3,X4)
    | esk1126_0 )).

cnf(i_0_11745,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4871_4(X1,X2,X3,X4) )).

cnf(i_0_11746,axiom,
    ( ~ esk8871_4(X1,X2,X3,X4)
    | esk8870_4(X1,X2,X3,X4) )).

cnf(i_0_11747,axiom,
    ( p(X4)
    | ~ esk417_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_11748,axiom,
    ( ~ esk8151_4(X1,X2,X3,X4)
    | esk8154_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_11749,axiom,
    ( ~ esk7859_4(X1,X2,X3,X4)
    | esk7776_4(X1,X2,X3,X4) )).

cnf(i_0_11750,axiom,
    ( ~ esk8376_4(X1,X2,X3,X4)
    | esk8446_4(X1,X2,X3,X4)
    | ~ esk8445_4(X1,X2,X3,X4) )).

cnf(i_0_11751,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7403_4(X1,X2,X3,X4) )).

cnf(i_0_11752,axiom,
    ( ~ esk8138_4(X1,X2,X3,X4)
    | p(X2)
    | esk267_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_11753,axiom,
    ( ~ esk4803_4(X1,X2,X3,X4)
    | esk4802_4(X1,X2,X3,X4) )).

cnf(i_0_11754,axiom,
    ( ~ esk5667_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_11755,axiom,
    ( esk5677_4(X1,X2,X3,X4)
    | ~ esk5557_4(X1,X2,X3,X4) )).

cnf(i_0_11756,axiom,
    ( ~ esk7111_4(X1,X2,X3,X4)
    | esk5813_4(X1,X2,X3,X4) )).

cnf(i_0_11757,axiom,
    ( ~ esk2298_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_11758,axiom,
    ( esk4253_4(X1,X2,X3,X4)
    | ~ esk4254_4(X1,X2,X3,X4)
    | esk4252_4(X1,X2,X3,X4) )).

cnf(i_0_11759,axiom,
    ( ~ esk842_0
    | ~ p(X4)
    | esk2791_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11760,axiom,
    ( esk3884_4(X1,X2,X3,X4)
    | ~ esk3885_4(X1,X2,X3,X4) )).

cnf(i_0_11761,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk2868_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1052_0 )).

cnf(i_0_11762,axiom,
    ( esk3912_4(X1,X2,X3,X4)
    | ~ esk3948_4(X1,X2,X3,X4) )).

cnf(i_0_11763,axiom,
    ( esk761_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_11764,axiom,
    ( ~ esk9630_4(X1,X2,X3,X4)
    | esk9631_4(X1,X2,X3,X4) )).

cnf(i_0_11765,axiom,
    ( esk5529_4(X1,X2,X3,X4)
    | ~ esk4872_4(X1,X2,X3,X4) )).

cnf(i_0_11766,axiom,
    ( ~ esk1020_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_11767,axiom,
    ( ~ esk2074_4(X1,X2,X3,X4)
    | esk2075_4(X1,X2,X3,X4) )).

cnf(i_0_11768,axiom,
    ( ~ esk3127_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11769,axiom,
    ( ~ p(X1)
    | ~ esk2787_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | esk807_0 )).

cnf(i_0_11770,axiom,
    ( ~ esk7075_4(X1,X2,X3,X4)
    | esk9175_4(X1,X2,X3,X4) )).

cnf(i_0_11771,axiom,
    ( esk6641_4(X1,X2,X3,X4)
    | esk6114_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_11772,axiom,
    ( esk1939_4(X1,X2,X3,X4)
    | ~ esk2227_4(X1,X2,X3,X4) )).

cnf(i_0_11773,axiom,
    ( ~ esk7423_4(X1,X2,X3,X4)
    | esk7424_4(X1,X2,X3,X4) )).

cnf(i_0_11774,axiom,
    ( esk2516_4(X1,X2,X3,X4)
    | ~ esk2514_4(X1,X2,X3,X4) )).

cnf(i_0_11775,axiom,
    ( esk1607_4(X1,X2,X3,X4)
    | ~ esk2897_4(X1,X2,X3,X4) )).

cnf(i_0_11776,axiom,
    ( esk8209_4(X1,X2,X3,X4)
    | ~ esk8207_4(X1,X2,X3,X4) )).

cnf(i_0_11777,axiom,
    ( esk6366_4(X1,X2,X3,X4)
    | ~ esk6368_4(X1,X2,X3,X4)
    | esk6367_4(X1,X2,X3,X4) )).

cnf(i_0_11778,axiom,
    ( p(X3)
    | ~ esk1516_4(X1,X2,X3,X4)
    | p(X4)
    | esk89_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_11779,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8603_4(X1,X2,X3,X4) )).

cnf(i_0_11780,axiom,
    ( ~ esk7335_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_11781,axiom,
    ( esk6383_4(X1,X2,X3,X4)
    | esk6382_4(X1,X2,X3,X4)
    | ~ esk6384_4(X1,X2,X3,X4) )).

cnf(i_0_11782,axiom,
    ( esk6203_4(X1,X2,X3,X4)
    | ~ esk6202_4(X1,X2,X3,X4) )).

cnf(i_0_11783,axiom,
    ( ~ esk904_0
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | esk2801_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_11784,axiom,
    ( ~ esk5160_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_11785,axiom,
    ( ~ esk7809_4(X1,X2,X3,X4)
    | esk7808_4(X1,X2,X3,X4) )).

cnf(i_0_11786,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk1433_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11787,axiom,
    ( ~ esk4609_4(X1,X2,X3,X4)
    | esk4608_4(X1,X2,X3,X4) )).

cnf(i_0_11788,axiom,
    ( p(X1)
    | esk2482_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1_0
    | p(X3)
    | p(X4) )).

cnf(i_0_11789,axiom,
    ( esk1706_4(X1,X2,X3,X4)
    | ~ esk2891_4(X1,X2,X3,X4) )).

cnf(i_0_11790,axiom,
    ( esk7684_4(X1,X2,X3,X4)
    | ~ esk8051_4(X1,X2,X3,X4) )).

cnf(i_0_11791,axiom,
    ( ~ p(X3)
    | esk305_0
    | p(X1)
    | p(X2)
    | ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11792,axiom,
    ( esk2518_4(X1,X2,X3,X4)
    | ~ esk2520_4(X1,X2,X3,X4)
    | esk2519_4(X1,X2,X3,X4) )).

cnf(i_0_11793,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk3988_4(X1,X2,X3,X4) )).

cnf(i_0_11794,axiom,
    ( p(X3)
    | esk1204_0
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_11795,axiom,
    ( esk5906_4(X1,X2,X3,X4)
    | ~ esk5669_4(X1,X2,X3,X4) )).

cnf(i_0_11796,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2120_4(X1,X2,X3,X4) )).

cnf(i_0_11797,axiom,
    ( ~ p(X1)
    | ~ esk223_0
    | ~ p(X3)
    | p(X2)
    | esk1756_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11798,axiom,
    ( esk3882_4(X1,X2,X3,X4)
    | ~ esk3883_4(X1,X2,X3,X4)
    | esk3881_4(X1,X2,X3,X4) )).

cnf(i_0_11799,axiom,
    ( ~ esk5081_4(X1,X2,X3,X4)
    | esk5079_4(X1,X2,X3,X4)
    | esk5080_4(X1,X2,X3,X4) )).

cnf(i_0_11800,axiom,
    ( esk3016_4(X1,X2,X3,X4)
    | ~ esk3018_4(X1,X2,X3,X4)
    | esk3017_4(X1,X2,X3,X4) )).

cnf(i_0_11801,axiom,
    ( ~ esk4425_4(X1,X2,X3,X4)
    | esk4330_4(X1,X2,X3,X4)
    | ~ esk4329_4(X1,X2,X3,X4) )).

cnf(i_0_11802,axiom,
    ( ~ esk8510_4(X1,X2,X3,X4)
    | esk8785_4(X1,X2,X3,X4) )).

cnf(i_0_11803,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk5993_4(X1,X2,X3,X4) )).

cnf(i_0_11804,axiom,
    ( esk9664_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_11805,axiom,
    ( p(X1)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk980_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_11806,axiom,
    ( esk1719_4(X1,X2,X3,X4)
    | ~ esk1717_4(X1,X2,X3,X4) )).

cnf(i_0_11807,axiom,
    ( esk4833_4(X1,X2,X3,X4)
    | esk4832_4(X1,X2,X3,X4)
    | ~ esk4834_4(X1,X2,X3,X4) )).

cnf(i_0_11808,axiom,
    ( ~ esk3825_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_11809,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | esk1987_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_11810,axiom,
    ( esk1118_0
    | p(X1)
    | p(X4)
    | ~ esk2878_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_11811,axiom,
    ( ~ esk7101_4(X1,X2,X3,X4)
    | ~ esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_11812,axiom,
    ( esk3705_4(X1,X2,X3,X4)
    | ~ esk3706_4(X1,X2,X3,X4)
    | esk3704_4(X1,X2,X3,X4) )).

cnf(i_0_11813,axiom,
    ( ~ esk8060_4(X1,X2,X3,X4)
    | esk8061_4(X1,X2,X3,X4)
    | ~ esk8059_4(X1,X2,X3,X4) )).

cnf(i_0_11814,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk91_0
    | ~ p(X1)
    | ~ esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_11815,axiom,
    ( ~ esk3227_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_11816,axiom,
    ( esk6916_4(X1,X2,X3,X4)
    | ~ esk6914_4(X1,X2,X3,X4) )).

cnf(i_0_11817,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk3602_4(X1,X2,X3,X4) )).

cnf(i_0_11818,axiom,
    ( ~ esk6101_4(X1,X2,X3,X4)
    | esk6102_4(X1,X2,X3,X4) )).

cnf(i_0_11819,axiom,
    ( esk8663_4(X1,X2,X3,X4)
    | ~ esk8661_4(X1,X2,X3,X4) )).

cnf(i_0_11820,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk9244_4(X1,X2,X3,X4) )).

cnf(i_0_11821,axiom,
    ( p(X1)
    | esk1776_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_11822,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk8735_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk719_0 )).

cnf(i_0_11823,axiom,
    ( esk5632_4(X1,X2,X3,X4)
    | ~ esk5630_4(X1,X2,X3,X4) )).

cnf(i_0_11824,axiom,
    ( ~ esk3012_4(X1,X2,X3,X4)
    | esk3011_4(X1,X2,X3,X4) )).

cnf(i_0_11825,axiom,
    ( esk2159_4(X1,X2,X3,X4)
    | ~ esk2158_4(X1,X2,X3,X4) )).

cnf(i_0_11826,axiom,
    ( esk6291_4(X1,X2,X3,X4)
    | ~ esk6767_4(X1,X2,X3,X4) )).

cnf(i_0_11827,axiom,
    ( esk4961_4(X1,X2,X3,X4)
    | ~ esk3624_4(X1,X2,X3,X4) )).

cnf(i_0_11828,axiom,
    ( esk1756_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1_0
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_11829,axiom,
    ( esk1086_0
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_11830,axiom,
    ( esk8959_4(X1,X2,X3,X4)
    | ~ esk8958_4(X1,X2,X3,X4) )).

cnf(i_0_11831,axiom,
    ( ~ esk4421_4(X1,X2,X3,X4)
    | esk3462_4(X1,X2,X3,X4) )).

cnf(i_0_11832,axiom,
    ( ~ p(X1)
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk254_0
    | p(X2) )).

cnf(i_0_11833,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7281_4(X1,X2,X3,X4) )).

cnf(i_0_11834,axiom,
    ( esk8740_4(X1,X2,X3,X4)
    | ~ esk8745_4(X1,X2,X3,X4) )).

cnf(i_0_11835,axiom,
    ( ~ p(X1)
    | esk841_0
    | p(X3)
    | ~ p(X4)
    | ~ esk9087_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_11836,axiom,
    ( esk7819_4(X1,X2,X3,X4)
    | ~ esk9745_4(X1,X2,X3,X4)
    | esk9746_4(X1,X2,X3,X4) )).

cnf(i_0_11837,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | esk1040_0
    | p(X1) )).

cnf(i_0_11838,axiom,
    ( esk6975_4(X1,X2,X3,X4)
    | ~ esk6974_4(X1,X2,X3,X4)
    | ~ esk7620_4(X1,X2,X3,X4) )).

cnf(i_0_11839,axiom,
    ( ~ esk5539_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_11840,axiom,
    ( esk7046_4(X1,X2,X3,X4)
    | ~ esk7045_4(X1,X2,X3,X4) )).

cnf(i_0_11841,axiom,
    ( ~ esk7565_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_11842,axiom,
    ( ~ esk7837_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_11843,axiom,
    ( esk5546_4(X1,X2,X3,X4)
    | ~ esk5544_4(X1,X2,X3,X4) )).

cnf(i_0_11844,axiom,
    ( ~ p(X1)
    | ~ esk2868_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk1049_0
    | p(X3) )).

cnf(i_0_11845,axiom,
    ( p(X3)
    | esk8138_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk258_0
    | p(X2)
    | p(X4) )).

cnf(i_0_11846,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5896_4(X1,X2,X3,X4)
    | esk5936_4(X1,X2,X3,X4) )).

cnf(i_0_11847,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8644_4(X1,X2,X3,X4) )).

cnf(i_0_11848,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2293_4(X1,X2,X3,X4) )).

cnf(i_0_11849,axiom,
    ( ~ esk2132_4(X1,X2,X3,X4)
    | esk2168_4(X1,X2,X3,X4)
    | ~ esk2167_4(X1,X2,X3,X4) )).

cnf(i_0_11850,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7579_4(X1,X2,X3,X4) )).

cnf(i_0_11851,axiom,
    ( esk5998_4(X1,X2,X3,X4)
    | ~ esk6705_4(X1,X2,X3,X4) )).

cnf(i_0_11852,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | ~ esk9236_4(X1,X2,X3,X4) )).

cnf(i_0_11853,axiom,
    ( esk8954_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4)
    | ~ esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_11854,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk8749_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk741_0 )).

cnf(i_0_11855,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk614_0
    | ~ esk8721_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_11856,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk451_0
    | p(X4)
    | ~ p(X1)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_11857,axiom,
    ( p(X3)
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | esk787_0
    | ~ p(X4) )).

cnf(i_0_11858,axiom,
    ( p(X4)
    | ~ esk547_0
    | ~ p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_11859,axiom,
    ( esk2822_4(X1,X2,X3,X4)
    | ~ esk2823_4(X1,X2,X3,X4)
    | esk2820_4(X1,X2,X3,X4)
    | esk2821_4(X1,X2,X3,X4) )).

cnf(i_0_11860,axiom,
    ( esk3628_4(X1,X2,X3,X4)
    | ~ esk3626_4(X1,X2,X3,X4) )).

cnf(i_0_11861,axiom,
    ( esk9238_4(X1,X2,X3,X4)
    | ~ esk7928_4(X1,X2,X3,X4) )).

cnf(i_0_11862,axiom,
    ( esk2202_4(X1,X2,X3,X4)
    | ~ esk2199_4(X1,X2,X3,X4) )).

cnf(i_0_11863,axiom,
    ( ~ esk9690_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_11864,axiom,
    ( ~ esk5116_4(X1,X2,X3,X4)
    | esk5117_4(X1,X2,X3,X4) )).

cnf(i_0_11865,axiom,
    ( ~ esk7106_4(X1,X2,X3,X4)
    | ~ esk5742_4(X1,X2,X3,X4)
    | esk5743_4(X1,X2,X3,X4) )).

cnf(i_0_11866,axiom,
    ( p(X1)
    | esk8725_4(X1,X2,X3,X4)
    | ~ esk636_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_11867,axiom,
    ( esk4920_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_11868,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4956_4(X1,X2,X3,X4) )).

cnf(i_0_11869,axiom,
    ( esk2816_4(X1,X2,X3,X4)
    | ~ esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_11870,axiom,
    ( ~ esk4230_4(X1,X2,X3,X4)
    | esk4192_4(X1,X2,X3,X4) )).

cnf(i_0_11871,axiom,
    ( p(X1)
    | ~ esk879_0
    | p(X4)
    | ~ p(X2)
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_11872,axiom,
    ( ~ esk1156_0
    | ~ p(X2)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_11873,axiom,
    ( esk8543_4(X1,X2,X3,X4)
    | ~ esk8545_4(X1,X2,X3,X4)
    | esk8544_4(X1,X2,X3,X4) )).

cnf(i_0_11874,axiom,
    ( ~ esk3147_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_11875,axiom,
    ( ~ esk2432_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_11876,axiom,
    ( ~ esk7239_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_11877,axiom,
    ( esk4426_4(X1,X2,X3,X4)
    | ~ esk4427_4(X1,X2,X3,X4) )).

cnf(i_0_11878,axiom,
    ( ~ esk5742_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_11879,axiom,
    ( ~ esk2018_4(X1,X2,X3,X4)
    | ~ esk1888_4(X1,X2,X3,X4) )).

cnf(i_0_11880,axiom,
    ( ~ esk69_0
    | ~ p(X3)
    | ~ p(X2)
    | esk1478_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_11881,axiom,
    ( ~ esk5447_4(X1,X2,X3,X4)
    | esk5446_4(X1,X2,X3,X4) )).

cnf(i_0_11882,axiom,
    ( esk5366_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_11883,axiom,
    ( ~ esk3890_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_11884,axiom,
    ( esk9687_4(X1,X2,X3,X4)
    | ~ esk9034_4(X1,X2,X3,X4) )).

cnf(i_0_11885,axiom,
    ( esk8361_4(X1,X2,X3,X4)
    | ~ esk8362_4(X1,X2,X3,X4) )).

cnf(i_0_11886,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk2417_4(X1,X2,X3,X4)
    | ~ esk557_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_11887,axiom,
    ( esk2268_4(X1,X2,X3,X4)
    | ~ esk2266_4(X1,X2,X3,X4) )).

cnf(i_0_11888,axiom,
    ( esk2428_4(X1,X2,X3,X4)
    | ~ esk2399_4(X1,X2,X3,X4) )).

cnf(i_0_11889,axiom,
    ( ~ p(X1)
    | ~ esk2321_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk535_0
    | p(X3) )).

cnf(i_0_11890,axiom,
    ( esk3415_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_11891,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | esk2819_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_11892,axiom,
    ( ~ esk7495_4(X1,X2,X3,X4)
    | esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_11893,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | ~ esk6358_4(X1,X2,X3,X4) )).

cnf(i_0_11894,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8920_4(X1,X2,X3,X4) )).

cnf(i_0_11895,axiom,
    ( esk1501_4(X1,X2,X3,X4)
    | ~ esk1502_4(X1,X2,X3,X4)
    | esk1500_4(X1,X2,X3,X4) )).

cnf(i_0_11896,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | esk5857_4(X1,X2,X3,X4)
    | ~ esk5913_4(X1,X2,X3,X4) )).

cnf(i_0_11897,axiom,
    ( ~ esk7914_4(X1,X2,X3,X4)
    | esk7913_4(X1,X2,X3,X4) )).

cnf(i_0_11898,axiom,
    ( ~ esk3882_4(X1,X2,X3,X4)
    | esk3883_4(X1,X2,X3,X4) )).

cnf(i_0_11899,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk830_0
    | ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11900,axiom,
    ( ~ esk9062_4(X1,X2,X3,X4)
    | esk9061_4(X1,X2,X3,X4) )).

cnf(i_0_11901,axiom,
    ( esk3142_4(X1,X2,X3,X4)
    | ~ esk3148_4(X1,X2,X3,X4) )).

cnf(i_0_11902,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8634_4(X1,X2,X3,X4) )).

cnf(i_0_11903,axiom,
    ( esk7436_4(X1,X2,X3,X4)
    | ~ esk7466_4(X1,X2,X3,X4) )).

cnf(i_0_11904,axiom,
    ( esk9110_4(X1,X2,X3,X4)
    | ~ esk9705_4(X1,X2,X3,X4) )).

cnf(i_0_11905,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8270_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_11906,axiom,
    ( p(X2)
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X3)
    | esk912_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_11907,axiom,
    ( p(X1)
    | ~ esk1756_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk216_0 )).

cnf(i_0_11908,axiom,
    ( esk6648_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_11909,axiom,
    ( ~ esk3224_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_11910,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4424_4(X1,X2,X3,X4) )).

cnf(i_0_11911,axiom,
    ( esk3670_4(X1,X2,X3,X4)
    | ~ esk3669_4(X1,X2,X3,X4) )).

cnf(i_0_11912,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4920_4(X1,X2,X3,X4) )).

cnf(i_0_11913,axiom,
    ( esk7807_4(X1,X2,X3,X4)
    | ~ esk7899_4(X1,X2,X3,X4) )).

cnf(i_0_11914,axiom,
    ( ~ esk6803_4(X1,X2,X3,X4)
    | esk6804_4(X1,X2,X3,X4) )).

cnf(i_0_11915,axiom,
    ( esk2480_4(X1,X2,X3,X4)
    | ~ esk3285_4(X1,X2,X3,X4) )).

cnf(i_0_11916,axiom,
    ( ~ esk5694_4(X1,X2,X3,X4)
    | esk5693_4(X1,X2,X3,X4) )).

cnf(i_0_11917,axiom,
    ( esk3290_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2470_4(X1,X2,X3,X4) )).

cnf(i_0_11918,axiom,
    ( esk2451_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk735_0
    | ~ p(X2) )).

cnf(i_0_11919,axiom,
    ( ~ esk5669_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_11920,axiom,
    ( ~ esk6673_4(X1,X2,X3,X4)
    | esk6674_4(X1,X2,X3,X4)
    | ~ esk6697_4(X1,X2,X3,X4) )).

cnf(i_0_11921,axiom,
    ( esk9219_4(X1,X2,X3,X4)
    | ~ esk7119_4(X1,X2,X3,X4) )).

cnf(i_0_11922,axiom,
    ( ~ esk9225_4(X1,X2,X3,X4)
    | esk8003_4(X1,X2,X3,X4) )).

cnf(i_0_11923,axiom,
    ( p(X4)
    | esk2958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1347_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_11924,axiom,
    ( ~ esk6511_4(X1,X2,X3,X4)
    | esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_11925,axiom,
    ( ~ esk3707_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_11926,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk3037_4(X1,X2,X3,X4)
    | ~ esk3034_4(X1,X2,X3,X4) )).

cnf(i_0_11927,axiom,
    ( esk6335_4(X1,X2,X3,X4)
    | ~ esk6334_4(X1,X2,X3,X4)
    | ~ esk6265_4(X1,X2,X3,X4) )).

cnf(i_0_11928,axiom,
    ( ~ esk2470_4(X1,X2,X3,X4)
    | esk3294_4(X1,X2,X3,X4)
    | esk3293_4(X1,X2,X3,X4) )).

cnf(i_0_11929,axiom,
    ( esk2130_4(X1,X2,X3,X4)
    | ~ esk2129_4(X1,X2,X3,X4)
    | ~ esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_11930,axiom,
    ( ~ esk2251_4(X1,X2,X3,X4)
    | esk1419_4(X1,X2,X3,X4) )).

cnf(i_0_11931,axiom,
    ( esk8040_4(X1,X2,X3,X4)
    | ~ esk8039_4(X1,X2,X3,X4) )).

cnf(i_0_11932,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4524_4(X1,X2,X3,X4)
    | ~ esk4341_4(X1,X2,X3,X4) )).

cnf(i_0_11933,axiom,
    ( esk3018_4(X1,X2,X3,X4)
    | ~ esk3017_4(X1,X2,X3,X4) )).

cnf(i_0_11934,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | p(X1)
    | esk1329_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_11935,axiom,
    ( p(X3)
    | esk2417_4(X1,X2,X3,X4)
    | ~ esk547_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_11936,axiom,
    ( ~ esk8229_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11937,axiom,
    ( esk3947_4(X1,X2,X3,X4)
    | esk3948_4(X1,X2,X3,X4)
    | ~ esk3949_4(X1,X2,X3,X4) )).

cnf(i_0_11938,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4460_4(X1,X2,X3,X4) )).

cnf(i_0_11939,axiom,
    ( ~ esk9573_4(X1,X2,X3,X4)
    | esk9576_4(X1,X2,X3,X4) )).

cnf(i_0_11940,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5184_4(X1,X2,X3,X4) )).

cnf(i_0_11941,axiom,
    ( esk5490_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_11942,axiom,
    ( ~ esk8137_4(X1,X2,X3,X4)
    | esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_11943,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6664_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_11944,axiom,
    ( esk2866_4(X1,X2,X3,X4)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_11945,axiom,
    ( esk2955_4(X1,X2,X3,X4)
    | ~ esk1639_4(X1,X2,X3,X4) )).

cnf(i_0_11946,axiom,
    ( ~ esk8753_4(X1,X2,X3,X4)
    | esk8754_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_11947,axiom,
    ( p(X2)
    | p(X3)
    | esk333_0
    | ~ p(X4)
    | ~ esk1955_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_11948,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk51_0
    | p(X4)
    | p(X3)
    | esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_11949,axiom,
    ( esk6975_4(X1,X2,X3,X4)
    | ~ esk6977_4(X1,X2,X3,X4)
    | esk6976_4(X1,X2,X3,X4) )).

cnf(i_0_11950,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk7246_4(X1,X2,X3,X4) )).

cnf(i_0_11951,axiom,
    ( p(X1)
    | esk7740_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk51_0 )).

cnf(i_0_11952,axiom,
    ( ~ esk8261_4(X1,X2,X3,X4)
    | esk8263_4(X1,X2,X3,X4) )).

cnf(i_0_11953,axiom,
    ( ~ esk5012_4(X1,X2,X3,X4)
    | esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_11954,axiom,
    ( ~ esk2235_4(X1,X2,X3,X4)
    | esk2237_4(X1,X2,X3,X4) )).

cnf(i_0_11955,axiom,
    ( esk3445_4(X1,X2,X3,X4)
    | ~ esk1522_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_11956,axiom,
    ( ~ esk2192_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_11957,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk3101_4(X1,X2,X3,X4) )).

cnf(i_0_11958,axiom,
    ( ~ esk9045_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_11959,axiom,
    ( esk1161_0
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_11960,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk196_0
    | esk8048_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_11961,axiom,
    ( ~ esk9463_4(X1,X2,X3,X4)
    | ~ esk9476_4(X1,X2,X3,X4)
    | esk9477_4(X1,X2,X3,X4) )).

cnf(i_0_11962,axiom,
    ( ~ esk8931_4(X1,X2,X3,X4)
    | esk9682_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_11963,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk1333_0
    | p(X2) )).

cnf(i_0_11964,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | esk3041_4(X1,X2,X3,X4)
    | ~ esk3038_4(X1,X2,X3,X4) )).

cnf(i_0_11965,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk8221_4(X1,X2,X3,X4) )).

cnf(i_0_11966,axiom,
    ( ~ esk8784_4(X1,X2,X3,X4)
    | ~ esk8968_4(X1,X2,X3,X4)
    | esk8969_4(X1,X2,X3,X4) )).

cnf(i_0_11967,axiom,
    ( esk3927_4(X1,X2,X3,X4)
    | ~ esk3926_4(X1,X2,X3,X4) )).

cnf(i_0_11968,axiom,
    ( esk4002_4(X1,X2,X3,X4)
    | esk4001_4(X1,X2,X3,X4)
    | ~ esk4003_4(X1,X2,X3,X4) )).

cnf(i_0_11969,axiom,
    ( esk7986_4(X1,X2,X3,X4)
    | ~ esk7972_4(X1,X2,X3,X4) )).

cnf(i_0_11970,axiom,
    ( ~ esk3594_4(X1,X2,X3,X4)
    | ~ esk4981_4(X1,X2,X3,X4)
    | esk3595_4(X1,X2,X3,X4) )).

cnf(i_0_11971,axiom,
    ( esk5030_4(X1,X2,X3,X4)
    | ~ esk3726_4(X1,X2,X3,X4) )).

cnf(i_0_11972,axiom,
    ( esk8073_4(X1,X2,X3,X4)
    | ~ esk8169_4(X1,X2,X3,X4) )).

cnf(i_0_11973,axiom,
    ( ~ esk5483_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_11974,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4)
    | esk4541_4(X1,X2,X3,X4) )).

cnf(i_0_11975,axiom,
    ( ~ esk8098_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_11976,axiom,
    ( p(X1)
    | p(X4)
    | esk604_0
    | ~ esk2425_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_11977,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7776_4(X1,X2,X3,X4)
    | esk7798_4(X1,X2,X3,X4) )).

cnf(i_0_11978,axiom,
    ( esk1548_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_11979,axiom,
    ( ~ esk1730_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_11980,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | ~ esk2564_4(X1,X2,X3,X4) )).

cnf(i_0_11981,axiom,
    ( ~ esk3462_4(X1,X2,X3,X4)
    | esk4421_4(X1,X2,X3,X4) )).

cnf(i_0_11982,axiom,
    ( esk6860_4(X1,X2,X3,X4)
    | ~ esk6858_4(X1,X2,X3,X4) )).

cnf(i_0_11983,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ esk1083_0
    | esk2874_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_11984,axiom,
    ( esk9504_4(X1,X2,X3,X4)
    | ~ esk9505_4(X1,X2,X3,X4) )).

cnf(i_0_11985,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2776_4(X1,X2,X3,X4) )).

cnf(i_0_11986,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8622_4(X1,X2,X3,X4) )).

cnf(i_0_11987,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk748_0 )).

cnf(i_0_11988,axiom,
    ( ~ esk4354_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_11989,axiom,
    ( ~ esk6790_4(X1,X2,X3,X4)
    | esk6789_4(X1,X2,X3,X4) )).

cnf(i_0_11990,axiom,
    ( ~ esk4315_4(X1,X2,X3,X4)
    | esk4316_4(X1,X2,X3,X4) )).

cnf(i_0_11991,axiom,
    ( ~ esk8501_4(X1,X2,X3,X4)
    | esk8536_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_11992,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk1980_4(X1,X2,X3,X4) )).

cnf(i_0_11993,axiom,
    ( ~ esk9134_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_11994,axiom,
    ( ~ esk745_0
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_11995,axiom,
    ( esk7110_4(X1,X2,X3,X4)
    | ~ esk6650_4(X1,X2,X3,X4) )).

cnf(i_0_11996,axiom,
    ( ~ esk4948_4(X1,X2,X3,X4)
    | esk4949_4(X1,X2,X3,X4)
    | ~ esk4943_4(X1,X2,X3,X4) )).

cnf(i_0_11997,axiom,
    ( ~ esk8112_4(X1,X2,X3,X4)
    | esk8105_4(X1,X2,X3,X4) )).

cnf(i_0_11998,axiom,
    ( ~ esk5109_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk5112_4(X1,X2,X3,X4) )).

cnf(i_0_11999,axiom,
    ( ~ esk6326_4(X1,X2,X3,X4)
    | esk6442_4(X1,X2,X3,X4) )).

cnf(i_0_12000,axiom,
    ( ~ esk8227_4(X1,X2,X3,X4)
    | esk8193_4(X1,X2,X3,X4) )).

cnf(i_0_12001,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5346_4(X1,X2,X3,X4) )).

cnf(i_0_12002,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | esk1253_0 )).

cnf(i_0_12003,axiom,
    ( ~ esk3753_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_12004,axiom,
    ( esk4537_4(X1,X2,X3,X4)
    | ~ esk4822_4(X1,X2,X3,X4) )).

cnf(i_0_12005,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8705_4(X1,X2,X3,X4) )).

cnf(i_0_12006,axiom,
    ( ~ esk9643_4(X1,X2,X3,X4)
    | esk9646_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_12007,axiom,
    ( ~ esk2349_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_12008,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk6972_4(X1,X2,X3,X4) )).

cnf(i_0_12009,axiom,
    ( p(X2)
    | p(X4)
    | esk12_0
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_12010,axiom,
    ( esk8166_4(X1,X2,X3,X4)
    | ~ esk7994_4(X1,X2,X3,X4) )).

cnf(i_0_12011,axiom,
    ( ~ esk2805_4(X1,X2,X3,X4)
    | esk2883_4(X1,X2,X3,X4) )).

cnf(i_0_12012,axiom,
    ( esk5760_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4)
    | ~ esk5677_4(X1,X2,X3,X4) )).

cnf(i_0_12013,axiom,
    ( ~ esk7804_4(X1,X2,X3,X4)
    | ~ esk9191_4(X1,X2,X3,X4)
    | esk7805_4(X1,X2,X3,X4) )).

cnf(i_0_12014,axiom,
    ( esk1551_4(X1,X2,X3,X4)
    | ~ esk1549_4(X1,X2,X3,X4) )).

cnf(i_0_12015,axiom,
    ( ~ esk8811_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_12016,axiom,
    ( esk8853_4(X1,X2,X3,X4)
    | ~ esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_12017,axiom,
    ( esk290_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1874_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_12018,axiom,
    ( ~ esk4904_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk4780_4(X1,X2,X3,X4) )).

cnf(i_0_12019,axiom,
    ( esk4783_4(X1,X2,X3,X4)
    | ~ esk4785_4(X1,X2,X3,X4)
    | esk4784_4(X1,X2,X3,X4) )).

cnf(i_0_12020,axiom,
    ( esk8010_4(X1,X2,X3,X4)
    | ~ esk7760_4(X1,X2,X3,X4) )).

cnf(i_0_12021,axiom,
    ( esk7719_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4)
    | ~ esk8181_4(X1,X2,X3,X4) )).

cnf(i_0_12022,axiom,
    ( esk5369_4(X1,X2,X3,X4)
    | ~ esk5367_4(X1,X2,X3,X4) )).

cnf(i_0_12023,axiom,
    ( p(X2)
    | ~ esk1754_4(X1,X2,X3,X4)
    | esk208_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_12024,axiom,
    ( ~ esk1995_4(X1,X2,X3,X4)
    | esk384_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_12025,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk445_0
    | ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_12026,axiom,
    ( ~ esk8589_4(X1,X2,X3,X4)
    | esk8514_4(X1,X2,X3,X4) )).

cnf(i_0_12027,axiom,
    ( ~ esk5804_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_12028,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk8072_4(X1,X2,X3,X4)
    | ~ esk255_0 )).

cnf(i_0_12029,axiom,
    ( esk3866_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12030,axiom,
    ( esk5097_4(X1,X2,X3,X4)
    | ~ esk5111_4(X1,X2,X3,X4) )).

cnf(i_0_12031,axiom,
    ( ~ esk6998_4(X1,X2,X3,X4)
    | esk6957_4(X1,X2,X3,X4) )).

cnf(i_0_12032,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2034_4(X1,X2,X3,X4)
    | ~ esk2033_4(X1,X2,X3,X4) )).

cnf(i_0_12033,axiom,
    ( esk4672_4(X1,X2,X3,X4)
    | ~ esk4673_4(X1,X2,X3,X4) )).

cnf(i_0_12034,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1934_4(X1,X2,X3,X4) )).

cnf(i_0_12035,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4317_4(X1,X2,X3,X4) )).

cnf(i_0_12036,axiom,
    ( ~ esk6642_4(X1,X2,X3,X4)
    | ~ esk6643_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_12037,axiom,
    ( esk7373_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_12038,axiom,
    ( esk9110_4(X1,X2,X3,X4)
    | esk8874_4(X1,X2,X3,X4) )).

cnf(i_0_12039,axiom,
    ( esk3093_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3090_4(X1,X2,X3,X4) )).

cnf(i_0_12040,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk3109_4(X1,X2,X3,X4)
    | ~ esk3106_4(X1,X2,X3,X4) )).

cnf(i_0_12041,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk2310_4(X1,X2,X3,X4) )).

cnf(i_0_12042,axiom,
    ( esk2321_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk533_0 )).

cnf(i_0_12043,axiom,
    ( p(X1)
    | esk1752_4(X1,X2,X3,X4)
    | ~ esk183_0
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12044,axiom,
    ( ~ esk7321_4(X1,X2,X3,X4)
    | ~ esk7308_4(X1,X2,X3,X4)
    | esk7322_4(X1,X2,X3,X4) )).

cnf(i_0_12045,axiom,
    ( ~ esk1025_0
    | p(X1)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12046,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4825_4(X1,X2,X3,X4) )).

cnf(i_0_12047,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1628_4(X1,X2,X3,X4) )).

cnf(i_0_12048,axiom,
    ( ~ esk3373_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_12049,axiom,
    ( ~ esk5996_4(X1,X2,X3,X4)
    | esk5995_4(X1,X2,X3,X4) )).

cnf(i_0_12050,axiom,
    ( ~ esk2557_4(X1,X2,X3,X4)
    | esk2621_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_12051,axiom,
    ( esk6049_4(X1,X2,X3,X4)
    | ~ esk5878_4(X1,X2,X3,X4) )).

cnf(i_0_12052,axiom,
    ( ~ esk5530_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_12053,axiom,
    ( esk5658_4(X1,X2,X3,X4)
    | ~ esk5656_4(X1,X2,X3,X4) )).

cnf(i_0_12054,axiom,
    ( esk8942_4(X1,X2,X3,X4)
    | esk8941_4(X1,X2,X3,X4)
    | ~ esk8943_4(X1,X2,X3,X4) )).

cnf(i_0_12055,axiom,
    ( ~ esk603_0
    | p(X2)
    | esk8721_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_12056,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1_0
    | ~ esk7812_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_12057,axiom,
    ( ~ esk1898_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_12058,axiom,
    ( esk4688_4(X1,X2,X3,X4)
    | esk4687_4(X1,X2,X3,X4)
    | ~ esk4689_4(X1,X2,X3,X4) )).

cnf(i_0_12059,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4637_4(X1,X2,X3,X4) )).

cnf(i_0_12060,axiom,
    ( ~ esk3985_4(X1,X2,X3,X4)
    | esk4118_4(X1,X2,X3,X4) )).

cnf(i_0_12061,axiom,
    ( esk7906_4(X1,X2,X3,X4)
    | esk7907_4(X1,X2,X3,X4)
    | ~ esk7908_4(X1,X2,X3,X4) )).

cnf(i_0_12062,axiom,
    ( ~ esk2971_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_12063,axiom,
    ( esk5305_4(X1,X2,X3,X4)
    | ~ esk5304_4(X1,X2,X3,X4) )).

cnf(i_0_12064,axiom,
    ( esk5633_4(X1,X2,X3,X4)
    | esk7017_4(X1,X2,X3,X4)
    | ~ esk5850_4(X1,X2,X3,X4) )).

cnf(i_0_12065,axiom,
    ( ~ esk3657_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_12066,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X1)
    | esk469_0
    | p(X3)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_12067,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1632_4(X1,X2,X3,X4) )).

cnf(i_0_12068,axiom,
    ( ~ esk4805_4(X1,X2,X3,X4)
    | esk4804_4(X1,X2,X3,X4)
    | esk4803_4(X1,X2,X3,X4) )).

cnf(i_0_12069,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5689_4(X1,X2,X3,X4) )).

cnf(i_0_12070,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2603_4(X1,X2,X3,X4) )).

cnf(i_0_12071,axiom,
    ( ~ esk7031_4(X1,X2,X3,X4)
    | ~ esk7026_4(X1,X2,X3,X4)
    | esk7032_4(X1,X2,X3,X4) )).

cnf(i_0_12072,axiom,
    ( ~ esk7096_4(X1,X2,X3,X4)
    | esk5710_4(X1,X2,X3,X4)
    | ~ esk5709_4(X1,X2,X3,X4) )).

cnf(i_0_12073,axiom,
    ( esk3104_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk3103_4(X1,X2,X3,X4) )).

cnf(i_0_12074,axiom,
    ( esk7140_4(X1,X2,X3,X4)
    | ~ esk5827_4(X1,X2,X3,X4) )).

cnf(i_0_12075,axiom,
    ( ~ esk9039_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_12076,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5770_4(X1,X2,X3,X4) )).

cnf(i_0_12077,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6089_4(X1,X2,X3,X4) )).

cnf(i_0_12078,axiom,
    ( ~ esk6731_4(X1,X2,X3,X4)
    | esk6189_4(X1,X2,X3,X4) )).

cnf(i_0_12079,axiom,
    ( esk2912_4(X1,X2,X3,X4)
    | ~ esk2911_4(X1,X2,X3,X4) )).

cnf(i_0_12080,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk341_0
    | ~ p(X1)
    | esk1955_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_12081,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4861_4(X1,X2,X3,X4) )).

cnf(i_0_12082,axiom,
    ( ~ p(X4)
    | esk2455_4(X1,X2,X3,X4)
    | ~ esk765_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_12083,axiom,
    ( esk9726_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9723_4(X1,X2,X3,X4) )).

cnf(i_0_12084,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8492_4(X1,X2,X3,X4) )).

cnf(i_0_12085,axiom,
    ( ~ esk6615_4(X1,X2,X3,X4)
    | esk7475_4(X1,X2,X3,X4) )).

cnf(i_0_12086,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6578_4(X1,X2,X3,X4) )).

cnf(i_0_12087,axiom,
    ( esk5485_4(X1,X2,X3,X4)
    | ~ esk5483_4(X1,X2,X3,X4) )).

cnf(i_0_12088,axiom,
    ( ~ esk5489_4(X1,X2,X3,X4)
    | esk5488_4(X1,X2,X3,X4)
    | esk5487_4(X1,X2,X3,X4) )).

cnf(i_0_12089,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk1842_4(X1,X2,X3,X4)
    | esk262_0
    | p(X1) )).

cnf(i_0_12090,axiom,
    ( esk1438_4(X1,X2,X3,X4)
    | ~ esk9_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12091,axiom,
    ( esk8686_4(X1,X2,X3,X4)
    | ~ esk8685_4(X1,X2,X3,X4)
    | ~ esk8125_4(X1,X2,X3,X4) )).

cnf(i_0_12092,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6122_4(X1,X2,X3,X4) )).

cnf(i_0_12093,axiom,
    ( ~ esk1955_4(X1,X2,X3,X4)
    | esk346_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_12094,axiom,
    ( ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_12095,axiom,
    ( esk2288_4(X1,X2,X3,X4)
    | ~ esk2023_4(X1,X2,X3,X4) )).

cnf(i_0_12096,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk7255_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_12097,axiom,
    ( ~ esk4256_4(X1,X2,X3,X4)
    | esk4386_4(X1,X2,X3,X4) )).

cnf(i_0_12098,axiom,
    ( esk4153_4(X1,X2,X3,X4)
    | ~ esk4150_4(X1,X2,X3,X4) )).

cnf(i_0_12099,axiom,
    ( ~ esk8883_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | esk8942_4(X1,X2,X3,X4) )).

cnf(i_0_12100,axiom,
    ( ~ esk4594_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk4622_4(X1,X2,X3,X4) )).

cnf(i_0_12101,axiom,
    ( ~ esk2314_4(X1,X2,X3,X4)
    | esk2315_4(X1,X2,X3,X4) )).

cnf(i_0_12102,axiom,
    ( esk7457_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_12103,axiom,
    ( ~ esk5342_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12104,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk67_0
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_12105,axiom,
    ( esk586_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_12106,axiom,
    ( ~ esk6304_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_12107,axiom,
    ( ~ esk5144_4(X1,X2,X3,X4)
    | esk5145_4(X1,X2,X3,X4) )).

cnf(i_0_12108,axiom,
    ( ~ esk8836_4(X1,X2,X3,X4)
    | esk8835_4(X1,X2,X3,X4) )).

cnf(i_0_12109,axiom,
    ( ~ esk3204_4(X1,X2,X3,X4)
    | esk3203_4(X1,X2,X3,X4) )).

cnf(i_0_12110,axiom,
    ( ~ esk4218_4(X1,X2,X3,X4)
    | esk4217_4(X1,X2,X3,X4) )).

cnf(i_0_12111,axiom,
    ( ~ esk1750_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk168_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12112,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7600_4(X1,X2,X3,X4)
    | esk7603_4(X1,X2,X3,X4) )).

cnf(i_0_12113,axiom,
    ( ~ esk2279_4(X1,X2,X3,X4)
    | esk2280_4(X1,X2,X3,X4) )).

cnf(i_0_12114,axiom,
    ( esk2848_4(X1,X2,X3,X4)
    | ~ esk2846_4(X1,X2,X3,X4) )).

cnf(i_0_12115,axiom,
    ( ~ p(X2)
    | esk8729_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk669_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12116,axiom,
    ( esk8357_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_12117,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ esk7892_4(X1,X2,X3,X4) )).

cnf(i_0_12118,axiom,
    ( esk9503_4(X1,X2,X3,X4)
    | ~ esk9506_4(X1,X2,X3,X4) )).

cnf(i_0_12119,axiom,
    ( ~ esk9061_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_12120,axiom,
    ( esk709_0
    | p(X2)
    | p(X1)
    | ~ esk8735_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_12121,axiom,
    ( ~ esk3400_4(X1,X2,X3,X4)
    | esk3402_4(X1,X2,X3,X4) )).

cnf(i_0_12122,axiom,
    ( ~ esk4481_4(X1,X2,X3,X4)
    | esk4482_4(X1,X2,X3,X4) )).

cnf(i_0_12123,axiom,
    ( ~ esk9084_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk9596_4(X1,X2,X3,X4) )).

cnf(i_0_12124,axiom,
    ( ~ esk8350_4(X1,X2,X3,X4)
    | esk8182_4(X1,X2,X3,X4) )).

cnf(i_0_12125,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9465_4(X1,X2,X3,X4)
    | ~ esk9464_4(X1,X2,X3,X4) )).

cnf(i_0_12126,axiom,
    ( esk8948_4(X1,X2,X3,X4)
    | ~ esk8949_4(X1,X2,X3,X4) )).

cnf(i_0_12127,axiom,
    ( ~ p(X2)
    | esk2058_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ esk421_0
    | ~ p(X1) )).

cnf(i_0_12128,axiom,
    ( ~ esk1638_4(X1,X2,X3,X4)
    | esk1575_4(X1,X2,X3,X4) )).

cnf(i_0_12129,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk8778_4(X1,X2,X3,X4)
    | ~ esk775_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12130,axiom,
    ( ~ esk4123_4(X1,X2,X3,X4)
    | esk4582_4(X1,X2,X3,X4) )).

cnf(i_0_12131,axiom,
    ( ~ esk4849_4(X1,X2,X3,X4)
    | esk4850_4(X1,X2,X3,X4) )).

cnf(i_0_12132,axiom,
    ( ~ esk2004_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_12133,axiom,
    ( esk1671_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk134_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_12134,axiom,
    ( ~ esk3781_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4)
    | ~ esk3985_4(X1,X2,X3,X4) )).

cnf(i_0_12135,axiom,
    ( ~ esk4281_4(X1,X2,X3,X4)
    | ~ esk4023_4(X1,X2,X3,X4)
    | esk4024_4(X1,X2,X3,X4) )).

cnf(i_0_12136,axiom,
    ( esk188_0
    | ~ p(X3)
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_12137,axiom,
    ( ~ esk8217_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_12138,axiom,
    ( p(X3)
    | p(X2)
    | esk595_0
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_12139,axiom,
    ( esk3544_4(X1,X2,X3,X4)
    | ~ esk4976_4(X1,X2,X3,X4) )).

cnf(i_0_12140,axiom,
    ( p(X3)
    | esk1758_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ esk236_0
    | ~ p(X1) )).

cnf(i_0_12141,axiom,
    ( esk5213_4(X1,X2,X3,X4)
    | ~ esk5211_4(X1,X2,X3,X4) )).

cnf(i_0_12142,axiom,
    ( ~ esk5175_4(X1,X2,X3,X4)
    | esk5177_4(X1,X2,X3,X4) )).

cnf(i_0_12143,axiom,
    ( esk7352_4(X1,X2,X3,X4)
    | ~ esk7355_4(X1,X2,X3,X4) )).

cnf(i_0_12144,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9496_4(X1,X2,X3,X4) )).

cnf(i_0_12145,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk3890_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_12146,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | esk7467_4(X1,X2,X3,X4)
    | ~ esk7464_4(X1,X2,X3,X4) )).

cnf(i_0_12147,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1742_4(X1,X2,X3,X4) )).

cnf(i_0_12148,axiom,
    ( esk3865_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3864_4(X1,X2,X3,X4) )).

cnf(i_0_12149,axiom,
    ( ~ esk7535_4(X1,X2,X3,X4)
    | esk6808_4(X1,X2,X3,X4) )).

cnf(i_0_12150,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4831_4(X1,X2,X3,X4) )).

cnf(i_0_12151,axiom,
    ( esk1655_4(X1,X2,X3,X4)
    | esk1654_4(X1,X2,X3,X4)
    | ~ esk1656_4(X1,X2,X3,X4) )).

cnf(i_0_12152,axiom,
    ( esk3587_4(X1,X2,X3,X4)
    | esk3588_4(X1,X2,X3,X4)
    | ~ esk3589_4(X1,X2,X3,X4) )).

cnf(i_0_12153,axiom,
    ( ~ esk7997_4(X1,X2,X3,X4)
    | ~ esk7766_4(X1,X2,X3,X4)
    | esk7767_4(X1,X2,X3,X4) )).

cnf(i_0_12154,axiom,
    ( ~ esk6171_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_12155,axiom,
    ( esk3027_4(X1,X2,X3,X4)
    | ~ esk3028_4(X1,X2,X3,X4) )).

cnf(i_0_12156,axiom,
    ( esk318_0
    | p(X3)
    | p(X1)
    | ~ esk8248_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_12157,axiom,
    ( esk2597_4(X1,X2,X3,X4)
    | ~ esk2551_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_12158,axiom,
    ( ~ esk9536_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_12159,axiom,
    ( esk3997_4(X1,X2,X3,X4)
    | ~ esk3999_4(X1,X2,X3,X4)
    | esk3998_4(X1,X2,X3,X4) )).

cnf(i_0_12160,axiom,
    ( ~ esk7640_4(X1,X2,X3,X4)
    | ~ esk6649_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_12161,axiom,
    ( ~ esk7863_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_12162,axiom,
    ( ~ esk3225_4(X1,X2,X3,X4)
    | esk3226_4(X1,X2,X3,X4) )).

cnf(i_0_12163,axiom,
    ( esk8401_4(X1,X2,X3,X4)
    | esk8400_4(X1,X2,X3,X4)
    | ~ esk8402_4(X1,X2,X3,X4) )).

cnf(i_0_12164,axiom,
    ( ~ esk4029_4(X1,X2,X3,X4)
    | esk4030_4(X1,X2,X3,X4) )).

cnf(i_0_12165,axiom,
    ( ~ esk6313_4(X1,X2,X3,X4)
    | esk6176_4(X1,X2,X3,X4) )).

cnf(i_0_12166,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk6924_4(X1,X2,X3,X4) )).

cnf(i_0_12167,axiom,
    ( ~ esk3328_4(X1,X2,X3,X4)
    | esk3330_4(X1,X2,X3,X4) )).

cnf(i_0_12168,axiom,
    ( esk8109_4(X1,X2,X3,X4)
    | ~ esk8114_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_12169,axiom,
    ( ~ esk8448_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk8486_4(X1,X2,X3,X4) )).

cnf(i_0_12170,axiom,
    ( ~ esk2952_4(X1,X2,X3,X4)
    | esk1314_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_12171,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk1442_4(X1,X2,X3,X4)
    | esk33_0
    | p(X1) )).

cnf(i_0_12172,axiom,
    ( esk3844_4(X1,X2,X3,X4)
    | ~ esk5045_4(X1,X2,X3,X4) )).

cnf(i_0_12173,axiom,
    ( ~ esk3808_4(X1,X2,X3,X4)
    | esk4927_4(X1,X2,X3,X4) )).

cnf(i_0_12174,axiom,
    ( esk9267_4(X1,X2,X3,X4)
    | ~ esk9266_4(X1,X2,X3,X4) )).

cnf(i_0_12175,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk1081_0
    | ~ esk2872_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_12176,axiom,
    ( p(X1)
    | ~ esk770_0
    | ~ p(X3)
    | ~ p(X4)
    | esk2482_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12177,axiom,
    ( esk4563_4(X1,X2,X3,X4)
    | ~ esk3627_4(X1,X2,X3,X4) )).

cnf(i_0_12178,axiom,
    ( esk5791_4(X1,X2,X3,X4)
    | ~ esk5793_4(X1,X2,X3,X4)
    | esk5792_4(X1,X2,X3,X4) )).

cnf(i_0_12179,axiom,
    ( ~ esk7384_4(X1,X2,X3,X4)
    | ~ esk7389_4(X1,X2,X3,X4)
    | esk7390_4(X1,X2,X3,X4) )).

cnf(i_0_12180,axiom,
    ( ~ p(X2)
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk623_0
    | p(X4)
    | p(X1) )).

cnf(i_0_12181,axiom,
    ( ~ p(X4)
    | esk1250_0
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12182,axiom,
    ( ~ esk7379_4(X1,X2,X3,X4)
    | esk7376_4(X1,X2,X3,X4) )).

cnf(i_0_12183,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk9194_4(X1,X2,X3,X4)
    | p(X3)
    | esk1212_0
    | ~ p(X1) )).

cnf(i_0_12184,axiom,
    ( ~ esk1746_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk145_0 )).

cnf(i_0_12185,axiom,
    ( ~ p(X1)
    | ~ esk1320_0
    | p(X3)
    | ~ p(X2)
    | esk2952_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_12186,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk8731_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk681_0
    | p(X1) )).

cnf(i_0_12187,axiom,
    ( ~ esk6651_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4)
    | ~ esk5633_4(X1,X2,X3,X4) )).

cnf(i_0_12188,axiom,
    ( esk2501_4(X1,X2,X3,X4)
    | ~ esk2502_4(X1,X2,X3,X4) )).

cnf(i_0_12189,axiom,
    ( ~ esk6880_4(X1,X2,X3,X4)
    | esk7554_4(X1,X2,X3,X4)
    | ~ esk7553_4(X1,X2,X3,X4) )).

cnf(i_0_12190,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9353_4(X1,X2,X3,X4) )).

cnf(i_0_12191,axiom,
    ( ~ p(X4)
    | ~ esk480_0
    | ~ p(X1)
    | p(X3)
    | esk2173_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12192,axiom,
    ( ~ p(X4)
    | esk1671_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk129_0
    | ~ p(X2) )).

cnf(i_0_12193,axiom,
    ( esk3916_4(X1,X2,X3,X4)
    | ~ esk3914_4(X1,X2,X3,X4) )).

cnf(i_0_12194,axiom,
    ( esk2335_4(X1,X2,X3,X4)
    | ~ esk2336_4(X1,X2,X3,X4) )).

cnf(i_0_12195,axiom,
    ( esk1859_4(X1,X2,X3,X4)
    | ~ esk3959_4(X1,X2,X3,X4) )).

cnf(i_0_12196,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk7135_4(X1,X2,X3,X4) )).

cnf(i_0_12197,axiom,
    ( esk9088_4(X1,X2,X3,X4)
    | ~ esk8994_4(X1,X2,X3,X4) )).

cnf(i_0_12198,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk8318_4(X1,X2,X3,X4)
    | ~ esk400_0 )).

cnf(i_0_12199,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12200,axiom,
    ( ~ esk6123_4(X1,X2,X3,X4)
    | esk6380_4(X1,X2,X3,X4) )).

cnf(i_0_12201,axiom,
    ( p(X1)
    | ~ esk9218_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | esk1263_0
    | p(X2) )).

cnf(i_0_12202,axiom,
    ( ~ esk442_0
    | ~ p(X4)
    | p(X1)
    | esk2092_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_12203,axiom,
    ( esk234_0
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_12204,axiom,
    ( esk244_0
    | ~ esk8072_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_12205,axiom,
    ( ~ esk5355_4(X1,X2,X3,X4)
    | esk5354_4(X1,X2,X3,X4) )).

cnf(i_0_12206,axiom,
    ( esk5087_4(X1,X2,X3,X4)
    | ~ esk4957_4(X1,X2,X3,X4)
    | ~ esk5086_4(X1,X2,X3,X4) )).

cnf(i_0_12207,axiom,
    ( esk6763_4(X1,X2,X3,X4)
    | esk6762_4(X1,X2,X3,X4)
    | ~ esk6764_4(X1,X2,X3,X4) )).

cnf(i_0_12208,axiom,
    ( ~ esk6930_4(X1,X2,X3,X4)
    | esk6931_4(X1,X2,X3,X4)
    | ~ esk7580_4(X1,X2,X3,X4) )).

cnf(i_0_12209,axiom,
    ( esk5413_4(X1,X2,X3,X4)
    | ~ esk5412_4(X1,X2,X3,X4) )).

cnf(i_0_12210,axiom,
    ( ~ esk4846_4(X1,X2,X3,X4)
    | esk4893_4(X1,X2,X3,X4) )).

cnf(i_0_12211,axiom,
    ( ~ esk2625_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_12212,axiom,
    ( esk8278_4(X1,X2,X3,X4)
    | ~ esk8171_4(X1,X2,X3,X4)
    | ~ esk8246_4(X1,X2,X3,X4) )).

cnf(i_0_12213,axiom,
    ( ~ esk2079_4(X1,X2,X3,X4)
    | esk2078_4(X1,X2,X3,X4)
    | esk2077_4(X1,X2,X3,X4) )).

cnf(i_0_12214,axiom,
    ( ~ esk7322_4(X1,X2,X3,X4)
    | esk7321_4(X1,X2,X3,X4) )).

cnf(i_0_12215,axiom,
    ( ~ esk6640_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_12216,axiom,
    ( ~ esk5779_4(X1,X2,X3,X4)
    | esk5778_4(X1,X2,X3,X4) )).

cnf(i_0_12217,axiom,
    ( ~ esk5636_4(X1,X2,X3,X4)
    | ~ esk7064_4(X1,X2,X3,X4) )).

cnf(i_0_12218,axiom,
    ( ~ p(X3)
    | esk643_0
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk8725_4(X1,X2,X3,X4) )).

cnf(i_0_12219,axiom,
    ( esk9126_4(X1,X2,X3,X4)
    | ~ esk9127_4(X1,X2,X3,X4) )).

cnf(i_0_12220,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3928_4(X1,X2,X3,X4) )).

cnf(i_0_12221,axiom,
    ( ~ esk5007_4(X1,X2,X3,X4)
    | esk2907_4(X1,X2,X3,X4) )).

cnf(i_0_12222,axiom,
    ( ~ p(X3)
    | ~ esk9107_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk985_0
    | p(X1) )).

cnf(i_0_12223,axiom,
    ( ~ esk1861_4(X1,X2,X3,X4)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_12224,axiom,
    ( ~ esk5381_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_12225,axiom,
    ( ~ esk2739_4(X1,X2,X3,X4)
    | esk2790_4(X1,X2,X3,X4) )).

cnf(i_0_12226,axiom,
    ( esk4126_4(X1,X2,X3,X4)
    | ~ esk4127_4(X1,X2,X3,X4)
    | esk4125_4(X1,X2,X3,X4) )).

cnf(i_0_12227,axiom,
    ( esk7806_4(X1,X2,X3,X4)
    | ~ esk7807_4(X1,X2,X3,X4)
    | esk7805_4(X1,X2,X3,X4) )).

cnf(i_0_12228,axiom,
    ( esk6991_4(X1,X2,X3,X4)
    | ~ esk6790_4(X1,X2,X3,X4) )).

cnf(i_0_12229,axiom,
    ( ~ esk3557_4(X1,X2,X3,X4)
    | esk3556_4(X1,X2,X3,X4) )).

cnf(i_0_12230,axiom,
    ( esk9077_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_12231,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk1442_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ esk40_0 )).

cnf(i_0_12232,axiom,
    ( ~ esk7409_4(X1,X2,X3,X4)
    | ~ esk7380_4(X1,X2,X3,X4)
    | esk7410_4(X1,X2,X3,X4) )).

cnf(i_0_12233,axiom,
    ( ~ esk4917_4(X1,X2,X3,X4)
    | ~ esk3619_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_12234,axiom,
    ( esk9671_4(X1,X2,X3,X4)
    | ~ esk9670_4(X1,X2,X3,X4) )).

cnf(i_0_12235,axiom,
    ( esk7568_4(X1,X2,X3,X4)
    | ~ esk7566_4(X1,X2,X3,X4) )).

cnf(i_0_12236,axiom,
    ( esk4018_4(X1,X2,X3,X4)
    | ~ esk3461_4(X1,X2,X3,X4) )).

cnf(i_0_12237,axiom,
    ( ~ esk961_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk9103_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12238,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk1025_0
    | ~ p(X3)
    | esk9150_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12239,axiom,
    ( esk6194_4(X1,X2,X3,X4)
    | ~ esk5558_4(X1,X2,X3,X4) )).

cnf(i_0_12240,axiom,
    ( ~ esk9181_4(X1,X2,X3,X4)
    | esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_12241,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4712_4(X1,X2,X3,X4) )).

cnf(i_0_12242,axiom,
    ( esk5886_4(X1,X2,X3,X4)
    | ~ esk5939_4(X1,X2,X3,X4) )).

cnf(i_0_12243,axiom,
    ( ~ esk1672_4(X1,X2,X3,X4)
    | esk1473_4(X1,X2,X3,X4) )).

cnf(i_0_12244,axiom,
    ( ~ p(X2)
    | ~ esk712_0
    | ~ p(X4)
    | esk2439_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_12245,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk3898_4(X1,X2,X3,X4) )).

cnf(i_0_12246,axiom,
    ( p(X1)
    | p(X3)
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ esk907_0 )).

cnf(i_0_12247,axiom,
    ( esk4762_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_12248,axiom,
    ( ~ esk4592_4(X1,X2,X3,X4)
    | esk4607_4(X1,X2,X3,X4) )).

cnf(i_0_12249,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9553_4(X1,X2,X3,X4)
    | ~ esk9552_4(X1,X2,X3,X4) )).

cnf(i_0_12250,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | esk804_0 )).

cnf(i_0_12251,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk13_0
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_12252,axiom,
    ( ~ esk2769_4(X1,X2,X3,X4)
    | esk2771_4(X1,X2,X3,X4) )).

cnf(i_0_12253,axiom,
    ( p(X2)
    | ~ esk627_0
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12254,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | esk462_0
    | ~ esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_12255,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8100_4(X1,X2,X3,X4) )).

cnf(i_0_12256,axiom,
    ( esk5364_4(X1,X2,X3,X4)
    | esk5363_4(X1,X2,X3,X4)
    | ~ esk5365_4(X1,X2,X3,X4) )).

cnf(i_0_12257,axiom,
    ( esk3992_4(X1,X2,X3,X4)
    | ~ esk3993_4(X1,X2,X3,X4) )).

cnf(i_0_12258,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk9220_4(X1,X2,X3,X4) )).

cnf(i_0_12259,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | esk3570_4(X1,X2,X3,X4)
    | ~ esk3807_4(X1,X2,X3,X4) )).

cnf(i_0_12260,axiom,
    ( esk9660_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_12261,axiom,
    ( ~ esk5042_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_12262,axiom,
    ( ~ p(X4)
    | ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk134_0 )).

cnf(i_0_12263,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9410_4(X1,X2,X3,X4) )).

cnf(i_0_12264,axiom,
    ( esk6953_4(X1,X2,X3,X4)
    | ~ esk6951_4(X1,X2,X3,X4) )).

cnf(i_0_12265,axiom,
    ( esk6722_4(X1,X2,X3,X4)
    | ~ esk6721_4(X1,X2,X3,X4) )).

cnf(i_0_12266,axiom,
    ( ~ esk3385_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_12267,axiom,
    ( esk6978_4(X1,X2,X3,X4)
    | ~ esk6979_4(X1,X2,X3,X4) )).

cnf(i_0_12268,axiom,
    ( esk5321_4(X1,X2,X3,X4)
    | ~ esk5335_4(X1,X2,X3,X4) )).

cnf(i_0_12269,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1709_4(X1,X2,X3,X4)
    | esk2949_4(X1,X2,X3,X4) )).

cnf(i_0_12270,axiom,
    ( esk7920_4(X1,X2,X3,X4)
    | ~ esk7918_4(X1,X2,X3,X4) )).

cnf(i_0_12271,axiom,
    ( esk7494_4(X1,X2,X3,X4)
    | ~ esk7492_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12272,axiom,
    ( esk5203_4(X1,X2,X3,X4)
    | esk5204_4(X1,X2,X3,X4)
    | ~ esk5205_4(X1,X2,X3,X4) )).

cnf(i_0_12273,axiom,
    ( ~ esk8770_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_12274,axiom,
    ( esk703_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12275,axiom,
    ( esk4203_4(X1,X2,X3,X4)
    | ~ esk4204_4(X1,X2,X3,X4)
    | esk4202_4(X1,X2,X3,X4) )).

cnf(i_0_12276,axiom,
    ( ~ p(X2)
    | p(X1)
    | esk54_0
    | ~ p(X3)
    | ~ esk1444_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_12277,axiom,
    ( esk6664_4(X1,X2,X3,X4)
    | esk6663_4(X1,X2,X3,X4)
    | ~ esk6666_4(X1,X2,X3,X4)
    | esk6665_4(X1,X2,X3,X4) )).

cnf(i_0_12278,axiom,
    ( esk9216_4(X1,X2,X3,X4)
    | ~ esk8776_4(X1,X2,X3,X4) )).

cnf(i_0_12279,axiom,
    ( esk2022_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk405_0
    | ~ p(X4) )).

cnf(i_0_12280,axiom,
    ( ~ esk6244_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_12281,axiom,
    ( ~ esk6338_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_12282,axiom,
    ( ~ esk2243_4(X1,X2,X3,X4)
    | esk2282_4(X1,X2,X3,X4)
    | esk2281_4(X1,X2,X3,X4) )).

cnf(i_0_12283,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk972_0
    | p(X4)
    | ~ esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_12284,axiom,
    ( ~ esk5284_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_12285,axiom,
    ( ~ esk4100_4(X1,X2,X3,X4)
    | esk4099_4(X1,X2,X3,X4)
    | esk4098_4(X1,X2,X3,X4) )).

cnf(i_0_12286,axiom,
    ( ~ p(X2)
    | ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk316_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12287,axiom,
    ( ~ esk9398_4(X1,X2,X3,X4)
    | esk9399_4(X1,X2,X3,X4) )).

cnf(i_0_12288,axiom,
    ( esk5883_4(X1,X2,X3,X4)
    | ~ esk7084_4(X1,X2,X3,X4) )).

cnf(i_0_12289,axiom,
    ( esk3384_4(X1,X2,X3,X4)
    | ~ esk3383_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_12290,axiom,
    ( esk4045_4(X1,X2,X3,X4)
    | esk4043_4(X1,X2,X3,X4)
    | ~ esk4046_4(X1,X2,X3,X4)
    | esk4044_4(X1,X2,X3,X4) )).

cnf(i_0_12291,axiom,
    ( ~ esk9722_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_12292,axiom,
    ( p(X1)
    | esk8731_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ esk682_0
    | ~ p(X2) )).

cnf(i_0_12293,axiom,
    ( ~ esk9662_4(X1,X2,X3,X4)
    | esk9663_4(X1,X2,X3,X4) )).

cnf(i_0_12294,axiom,
    ( esk9685_4(X1,X2,X3,X4)
    | ~ esk8995_4(X1,X2,X3,X4)
    | ~ esk9684_4(X1,X2,X3,X4) )).

cnf(i_0_12295,axiom,
    ( ~ esk2799_4(X1,X2,X3,X4)
    | ~ esk2603_4(X1,X2,X3,X4)
    | esk2604_4(X1,X2,X3,X4) )).

cnf(i_0_12296,axiom,
    ( p(X1)
    | ~ esk8721_4(X1,X2,X3,X4)
    | esk606_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_12297,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk2923_4(X1,X2,X3,X4) )).

cnf(i_0_12298,axiom,
    ( esk3635_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_12299,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk9224_4(X1,X2,X3,X4) )).

cnf(i_0_12300,axiom,
    ( esk9683_4(X1,X2,X3,X4)
    | ~ esk9681_4(X1,X2,X3,X4) )).

cnf(i_0_12301,axiom,
    ( ~ esk7477_4(X1,X2,X3,X4)
    | esk7478_4(X1,X2,X3,X4) )).

cnf(i_0_12302,axiom,
    ( esk3419_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_12303,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1_0
    | ~ p(X2) )).

cnf(i_0_12304,axiom,
    ( esk4841_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_12305,axiom,
    ( esk3410_4(X1,X2,X3,X4)
    | ~ esk3413_4(X1,X2,X3,X4) )).

cnf(i_0_12306,axiom,
    ( ~ esk3569_4(X1,X2,X3,X4)
    | esk3571_4(X1,X2,X3,X4) )).

cnf(i_0_12307,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk2173_4(X1,X2,X3,X4)
    | esk474_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_12308,axiom,
    ( esk2469_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_12309,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8630_4(X1,X2,X3,X4) )).

cnf(i_0_12310,axiom,
    ( ~ esk1315_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk9248_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12311,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7173_4(X1,X2,X3,X4) )).

cnf(i_0_12312,axiom,
    ( esk1743_4(X1,X2,X3,X4)
    | ~ esk1458_4(X1,X2,X3,X4) )).

cnf(i_0_12313,axiom,
    ( esk7821_4(X1,X2,X3,X4)
    | ~ esk7669_4(X1,X2,X3,X4) )).

cnf(i_0_12314,axiom,
    ( ~ esk3729_4(X1,X2,X3,X4)
    | esk3730_4(X1,X2,X3,X4) )).

cnf(i_0_12315,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk915_0
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12316,axiom,
    ( ~ esk6642_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4)
    | esk6643_4(X1,X2,X3,X4) )).

cnf(i_0_12317,axiom,
    ( esk335_0
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_12318,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1940_4(X1,X2,X3,X4)
    | esk1941_4(X1,X2,X3,X4) )).

cnf(i_0_12319,axiom,
    ( esk7525_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_12320,axiom,
    ( ~ esk2171_4(X1,X2,X3,X4)
    | esk2133_4(X1,X2,X3,X4) )).

cnf(i_0_12321,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2983_4(X1,X2,X3,X4) )).

cnf(i_0_12322,axiom,
    ( ~ esk1634_4(X1,X2,X3,X4)
    | esk1571_4(X1,X2,X3,X4) )).

cnf(i_0_12323,axiom,
    ( ~ esk8308_4(X1,X2,X3,X4)
    | esk8310_4(X1,X2,X3,X4) )).

cnf(i_0_12324,axiom,
    ( esk8002_4(X1,X2,X3,X4)
    | ~ esk7759_4(X1,X2,X3,X4) )).

cnf(i_0_12325,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | esk1175_0
    | ~ esk9186_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12326,axiom,
    ( ~ esk6055_4(X1,X2,X3,X4)
    | esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_12327,axiom,
    ( p(X3)
    | esk2785_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk790_0
    | ~ p(X1) )).

cnf(i_0_12328,axiom,
    ( esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12329,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2713_4(X1,X2,X3,X4) )).

cnf(i_0_12330,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | esk7513_4(X1,X2,X3,X4) )).

cnf(i_0_12331,axiom,
    ( ~ p(X3)
    | ~ esk8044_4(X1,X2,X3,X4)
    | p(X4)
    | esk163_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_12332,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk2689_4(X1,X2,X3,X4)
    | ~ esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_12333,axiom,
    ( esk7194_4(X1,X2,X3,X4)
    | esk7195_4(X1,X2,X3,X4)
    | ~ esk7196_4(X1,X2,X3,X4) )).

cnf(i_0_12334,axiom,
    ( esk1686_4(X1,X2,X3,X4)
    | ~ esk1733_4(X1,X2,X3,X4) )).

cnf(i_0_12335,axiom,
    ( ~ esk5663_4(X1,X2,X3,X4)
    | esk5664_4(X1,X2,X3,X4)
    | ~ esk5921_4(X1,X2,X3,X4) )).

cnf(i_0_12336,axiom,
    ( ~ esk6121_4(X1,X2,X3,X4)
    | esk6119_4(X1,X2,X3,X4)
    | esk6120_4(X1,X2,X3,X4) )).

cnf(i_0_12337,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1351_0
    | ~ p(X1)
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_12338,axiom,
    ( ~ esk8466_4(X1,X2,X3,X4)
    | esk8467_4(X1,X2,X3,X4) )).

cnf(i_0_12339,axiom,
    ( esk5829_4(X1,X2,X3,X4)
    | ~ esk5827_4(X1,X2,X3,X4) )).

cnf(i_0_12340,axiom,
    ( ~ esk7326_4(X1,X2,X3,X4)
    | esk7328_4(X1,X2,X3,X4) )).

cnf(i_0_12341,axiom,
    ( esk3810_4(X1,X2,X3,X4)
    | ~ esk3637_4(X1,X2,X3,X4) )).

cnf(i_0_12342,axiom,
    ( esk5811_4(X1,X2,X3,X4)
    | ~ esk5810_4(X1,X2,X3,X4)
    | ~ esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_12343,axiom,
    ( ~ esk9142_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_12344,axiom,
    ( esk6467_4(X1,X2,X3,X4)
    | ~ esk6468_4(X1,X2,X3,X4) )).

cnf(i_0_12345,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8299_4(X1,X2,X3,X4) )).

cnf(i_0_12346,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3015_4(X1,X2,X3,X4) )).

cnf(i_0_12347,axiom,
    ( esk1864_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_12348,axiom,
    ( ~ esk8484_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_12349,axiom,
    ( ~ esk8923_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk9666_4(X1,X2,X3,X4) )).

cnf(i_0_12350,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7214_4(X1,X2,X3,X4) )).

cnf(i_0_12351,axiom,
    ( esk3051_4(X1,X2,X3,X4)
    | ~ esk3052_4(X1,X2,X3,X4) )).

cnf(i_0_12352,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1596_4(X1,X2,X3,X4) )).

cnf(i_0_12353,axiom,
    ( esk3374_4(X1,X2,X3,X4)
    | ~ esk3373_4(X1,X2,X3,X4) )).

cnf(i_0_12354,axiom,
    ( ~ esk5913_4(X1,X2,X3,X4)
    | esk7154_4(X1,X2,X3,X4) )).

cnf(i_0_12355,axiom,
    ( ~ esk7799_4(X1,X2,X3,X4)
    | esk7798_4(X1,X2,X3,X4)
    | esk7797_4(X1,X2,X3,X4) )).

cnf(i_0_12356,axiom,
    ( ~ esk2753_4(X1,X2,X3,X4)
    | esk3334_4(X1,X2,X3,X4) )).

cnf(i_0_12357,axiom,
    ( esk4901_4(X1,X2,X3,X4)
    | ~ esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_12358,axiom,
    ( ~ esk3867_4(X1,X2,X3,X4)
    | esk3866_4(X1,X2,X3,X4)
    | esk3865_4(X1,X2,X3,X4) )).

cnf(i_0_12359,axiom,
    ( ~ esk4142_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_12360,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6712_4(X1,X2,X3,X4) )).

cnf(i_0_12361,axiom,
    ( ~ esk8080_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_12362,axiom,
    ( ~ p(X1)
    | ~ esk628_0
    | esk8723_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12363,axiom,
    ( esk9254_4(X1,X2,X3,X4)
    | ~ esk8071_4(X1,X2,X3,X4) )).

cnf(i_0_12364,axiom,
    ( esk9680_4(X1,X2,X3,X4)
    | ~ esk9681_4(X1,X2,X3,X4) )).

cnf(i_0_12365,axiom,
    ( esk8593_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_12366,axiom,
    ( esk4922_4(X1,X2,X3,X4)
    | ~ esk4934_4(X1,X2,X3,X4) )).

cnf(i_0_12367,axiom,
    ( ~ esk8038_4(X1,X2,X3,X4)
    | esk7985_4(X1,X2,X3,X4) )).

cnf(i_0_12368,axiom,
    ( ~ esk2437_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4)
    | ~ esk1884_4(X1,X2,X3,X4) )).

cnf(i_0_12369,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6807_4(X1,X2,X3,X4) )).

cnf(i_0_12370,axiom,
    ( esk1948_4(X1,X2,X3,X4)
    | ~ esk1949_4(X1,X2,X3,X4)
    | esk1914_4(X1,X2,X3,X4) )).

cnf(i_0_12371,axiom,
    ( esk7400_4(X1,X2,X3,X4)
    | ~ esk7403_4(X1,X2,X3,X4) )).

cnf(i_0_12372,axiom,
    ( esk7281_4(X1,X2,X3,X4)
    | ~ esk7282_4(X1,X2,X3,X4) )).

cnf(i_0_12373,axiom,
    ( esk5948_4(X1,X2,X3,X4)
    | ~ esk5587_4(X1,X2,X3,X4) )).

cnf(i_0_12374,axiom,
    ( ~ esk6583_4(X1,X2,X3,X4)
    | esk6582_4(X1,X2,X3,X4) )).

cnf(i_0_12375,axiom,
    ( esk9238_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk1299_0 )).

cnf(i_0_12376,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6381_4(X1,X2,X3,X4) )).

cnf(i_0_12377,axiom,
    ( esk9318_4(X1,X2,X3,X4)
    | esk9317_4(X1,X2,X3,X4)
    | ~ esk9319_4(X1,X2,X3,X4) )).

cnf(i_0_12378,axiom,
    ( ~ esk4818_4(X1,X2,X3,X4)
    | ~ esk4932_4(X1,X2,X3,X4) )).

cnf(i_0_12379,axiom,
    ( ~ esk7174_4(X1,X2,X3,X4)
    | esk7176_4(X1,X2,X3,X4) )).

cnf(i_0_12380,axiom,
    ( ~ esk5726_4(X1,X2,X3,X4)
    | esk5727_4(X1,X2,X3,X4) )).

cnf(i_0_12381,axiom,
    ( esk3285_4(X1,X2,X3,X4)
    | ~ esk3283_4(X1,X2,X3,X4) )).

cnf(i_0_12382,axiom,
    ( esk6811_4(X1,X2,X3,X4)
    | esk6810_4(X1,X2,X3,X4)
    | ~ esk6812_4(X1,X2,X3,X4) )).

cnf(i_0_12383,axiom,
    ( ~ esk8808_4(X1,X2,X3,X4)
    | esk8809_4(X1,X2,X3,X4) )).

cnf(i_0_12384,axiom,
    ( esk921_0
    | p(X1)
    | ~ p(X3)
    | ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_12385,axiom,
    ( esk4410_4(X1,X2,X3,X4)
    | ~ esk4252_4(X1,X2,X3,X4) )).

cnf(i_0_12386,axiom,
    ( esk4352_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12387,axiom,
    ( ~ esk2695_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_12388,axiom,
    ( esk2705_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2549_4(X1,X2,X3,X4) )).

cnf(i_0_12389,axiom,
    ( ~ esk7484_4(X1,X2,X3,X4)
    | ~ esk7485_4(X1,X2,X3,X4)
    | ~ esk6643_4(X1,X2,X3,X4) )).

cnf(i_0_12390,axiom,
    ( ~ esk251_0
    | ~ p(X4)
    | p(X2)
    | esk1776_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_12391,axiom,
    ( ~ esk3781_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_12392,axiom,
    ( esk9100_4(X1,X2,X3,X4)
    | ~ esk8909_4(X1,X2,X3,X4) )).

cnf(i_0_12393,axiom,
    ( esk2125_4(X1,X2,X3,X4)
    | ~ esk2402_4(X1,X2,X3,X4) )).

cnf(i_0_12394,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4124_4(X1,X2,X3,X4) )).

cnf(i_0_12395,axiom,
    ( ~ esk3068_4(X1,X2,X3,X4)
    | esk3070_4(X1,X2,X3,X4) )).

cnf(i_0_12396,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk408_0
    | p(X2)
    | p(X3)
    | esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_12397,axiom,
    ( ~ esk2146_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_12398,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2429_4(X1,X2,X3,X4)
    | esk2160_4(X1,X2,X3,X4) )).

cnf(i_0_12399,axiom,
    ( ~ p(X3)
    | esk1671_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk136_0
    | ~ p(X2) )).

cnf(i_0_12400,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | esk1913_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_12401,axiom,
    ( ~ esk3595_4(X1,X2,X3,X4)
    | esk3597_4(X1,X2,X3,X4) )).

cnf(i_0_12402,axiom,
    ( ~ esk3295_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_12403,axiom,
    ( esk3857_4(X1,X2,X3,X4)
    | ~ esk3484_4(X1,X2,X3,X4) )).

cnf(i_0_12404,axiom,
    ( ~ esk3938_4(X1,X2,X3,X4)
    | esk3935_4(X1,X2,X3,X4) )).

cnf(i_0_12405,axiom,
    ( ~ esk3349_4(X1,X2,X3,X4)
    | esk3346_4(X1,X2,X3,X4) )).

cnf(i_0_12406,axiom,
    ( esk6101_4(X1,X2,X3,X4)
    | ~ esk6102_4(X1,X2,X3,X4)
    | esk6100_4(X1,X2,X3,X4) )).

cnf(i_0_12407,axiom,
    ( esk6002_4(X1,X2,X3,X4)
    | ~ esk6014_4(X1,X2,X3,X4) )).

cnf(i_0_12408,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk944_0
    | ~ esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_12409,axiom,
    ( esk9351_4(X1,X2,X3,X4)
    | ~ esk9365_4(X1,X2,X3,X4) )).

cnf(i_0_12410,axiom,
    ( esk6215_4(X1,X2,X3,X4)
    | ~ esk6279_4(X1,X2,X3,X4) )).

cnf(i_0_12411,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4)
    | ~ esk8766_4(X1,X2,X3,X4)
    | ~ esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_12412,axiom,
    ( ~ p(X3)
    | ~ esk1134_0
    | p(X4)
    | esk9176_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_12413,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4213_4(X1,X2,X3,X4) )).

cnf(i_0_12414,axiom,
    ( esk1111_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_12415,axiom,
    ( esk6604_4(X1,X2,X3,X4)
    | ~ esk6286_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_12416,axiom,
    ( ~ esk5159_4(X1,X2,X3,X4)
    | esk5158_4(X1,X2,X3,X4) )).

cnf(i_0_12417,axiom,
    ( esk3033_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_12418,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8095_4(X1,X2,X3,X4) )).

cnf(i_0_12419,axiom,
    ( p(X3)
    | ~ esk514_0
    | p(X2)
    | ~ p(X4)
    | esk8585_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_12420,axiom,
    ( ~ esk9362_4(X1,X2,X3,X4)
    | esk9363_4(X1,X2,X3,X4) )).

cnf(i_0_12421,axiom,
    ( p(X3)
    | esk955_0
    | ~ p(X1)
    | ~ esk2807_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_12422,axiom,
    ( esk8600_4(X1,X2,X3,X4)
    | ~ esk8304_4(X1,X2,X3,X4) )).

cnf(i_0_12423,axiom,
    ( ~ esk9212_4(X1,X2,X3,X4)
    | esk7817_4(X1,X2,X3,X4) )).

cnf(i_0_12424,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6668_4(X1,X2,X3,X4)
    | esk7488_4(X1,X2,X3,X4) )).

cnf(i_0_12425,axiom,
    ( ~ esk7850_4(X1,X2,X3,X4)
    | esk7849_4(X1,X2,X3,X4) )).

cnf(i_0_12426,axiom,
    ( esk5437_4(X1,X2,X3,X4)
    | ~ esk5440_4(X1,X2,X3,X4) )).

cnf(i_0_12427,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | esk7017_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_12428,axiom,
    ( esk8417_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_12429,axiom,
    ( ~ esk3105_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12430,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | esk1915_4(X1,X2,X3,X4)
    | ~ esk1950_4(X1,X2,X3,X4) )).

cnf(i_0_12431,axiom,
    ( ~ esk7407_4(X1,X2,X3,X4)
    | esk7408_4(X1,X2,X3,X4) )).

cnf(i_0_12432,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2156_4(X1,X2,X3,X4) )).

cnf(i_0_12433,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | esk9172_4(X1,X2,X3,X4)
    | ~ esk1098_0
    | p(X3) )).

cnf(i_0_12434,axiom,
    ( ~ esk4229_4(X1,X2,X3,X4)
    | esk4194_4(X1,X2,X3,X4) )).

cnf(i_0_12435,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2100_4(X1,X2,X3,X4) )).

cnf(i_0_12436,axiom,
    ( ~ esk6013_4(X1,X2,X3,X4)
    | esk6015_4(X1,X2,X3,X4) )).

cnf(i_0_12437,axiom,
    ( ~ esk2895_4(X1,X2,X3,X4)
    | esk1370_4(X1,X2,X3,X4) )).

cnf(i_0_12438,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk530_0
    | p(X4)
    | esk8617_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_12439,axiom,
    ( esk5593_4(X1,X2,X3,X4)
    | ~ esk7076_4(X1,X2,X3,X4) )).

cnf(i_0_12440,axiom,
    ( ~ esk5842_4(X1,X2,X3,X4)
    | esk5637_4(X1,X2,X3,X4) )).

cnf(i_0_12441,axiom,
    ( esk5834_4(X1,X2,X3,X4)
    | ~ esk5835_4(X1,X2,X3,X4) )).

cnf(i_0_12442,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | esk1465_4(X1,X2,X3,X4) )).

cnf(i_0_12443,axiom,
    ( esk9661_4(X1,X2,X3,X4)
    | ~ esk8983_4(X1,X2,X3,X4)
    | ~ esk9660_4(X1,X2,X3,X4) )).

cnf(i_0_12444,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk2092_4(X1,X2,X3,X4)
    | p(X4)
    | esk449_0 )).

cnf(i_0_12445,axiom,
    ( esk7646_4(X1,X2,X3,X4)
    | ~ esk6653_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_12446,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk183_0
    | p(X2)
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_12447,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk958_0
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_12448,axiom,
    ( esk2173_4(X1,X2,X3,X4)
    | ~ esk1417_4(X1,X2,X3,X4) )).

cnf(i_0_12449,axiom,
    ( ~ esk4861_4(X1,X2,X3,X4)
    | esk4862_4(X1,X2,X3,X4) )).

cnf(i_0_12450,axiom,
    ( ~ esk8802_4(X1,X2,X3,X4)
    | esk8803_4(X1,X2,X3,X4)
    | ~ esk8771_4(X1,X2,X3,X4) )).

cnf(i_0_12451,axiom,
    ( ~ esk8360_4(X1,X2,X3,X4)
    | esk8781_4(X1,X2,X3,X4) )).

cnf(i_0_12452,axiom,
    ( ~ esk2196_4(X1,X2,X3,X4)
    | esk2198_4(X1,X2,X3,X4) )).

cnf(i_0_12453,axiom,
    ( p(X2)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | esk544_0
    | p(X1) )).

cnf(i_0_12454,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2193_4(X1,X2,X3,X4) )).

cnf(i_0_12455,axiom,
    ( p(X3)
    | esk447_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk8388_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12456,axiom,
    ( esk9133_4(X1,X2,X3,X4)
    | ~ esk9132_4(X1,X2,X3,X4) )).

cnf(i_0_12457,axiom,
    ( ~ esk5540_4(X1,X2,X3,X4)
    | esk3551_4(X1,X2,X3,X4) )).

cnf(i_0_12458,axiom,
    ( ~ esk2493_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_12459,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk2793_4(X1,X2,X3,X4)
    | esk845_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_12460,axiom,
    ( p(X2)
    | ~ esk1440_4(X1,X2,X3,X4)
    | esk28_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_12461,axiom,
    ( esk2651_4(X1,X2,X3,X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_12462,axiom,
    ( ~ esk6008_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_12463,axiom,
    ( esk1750_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk182_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_12464,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk8170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | esk297_0 )).

cnf(i_0_12465,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3175_4(X1,X2,X3,X4) )).

cnf(i_0_12466,axiom,
    ( ~ esk9157_4(X1,X2,X3,X4)
    | esk9159_4(X1,X2,X3,X4) )).

cnf(i_0_12467,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk856_0 )).

cnf(i_0_12468,axiom,
    ( ~ esk5692_4(X1,X2,X3,X4)
    | esk5691_4(X1,X2,X3,X4)
    | esk5690_4(X1,X2,X3,X4) )).

cnf(i_0_12469,axiom,
    ( ~ esk6271_4(X1,X2,X3,X4)
    | esk6273_4(X1,X2,X3,X4) )).

cnf(i_0_12470,axiom,
    ( esk4389_4(X1,X2,X3,X4)
    | ~ esk4589_4(X1,X2,X3,X4) )).

cnf(i_0_12471,axiom,
    ( ~ esk421_0
    | ~ p(X2)
    | ~ p(X1)
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12472,axiom,
    ( esk8740_4(X1,X2,X3,X4)
    | ~ esk8739_4(X1,X2,X3,X4) )).

cnf(i_0_12473,axiom,
    ( ~ esk2753_4(X1,X2,X3,X4)
    | esk2752_4(X1,X2,X3,X4) )).

cnf(i_0_12474,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6381_4(X1,X2,X3,X4) )).

cnf(i_0_12475,axiom,
    ( ~ esk8140_4(X1,X2,X3,X4)
    | esk8141_4(X1,X2,X3,X4)
    | ~ esk8077_4(X1,X2,X3,X4) )).

cnf(i_0_12476,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1483_4(X1,X2,X3,X4) )).

cnf(i_0_12477,axiom,
    ( esk1448_4(X1,X2,X3,X4)
    | ~ esk1449_4(X1,X2,X3,X4) )).

cnf(i_0_12478,axiom,
    ( ~ esk8529_4(X1,X2,X3,X4)
    | esk8530_4(X1,X2,X3,X4) )).

cnf(i_0_12479,axiom,
    ( esk7574_4(X1,X2,X3,X4)
    | ~ esk7573_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_12480,axiom,
    ( esk2333_4(X1,X2,X3,X4)
    | esk2332_4(X1,X2,X3,X4)
    | ~ esk2334_4(X1,X2,X3,X4) )).

cnf(i_0_12481,axiom,
    ( p(X3)
    | esk836_0
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_12482,axiom,
    ( esk8746_4(X1,X2,X3,X4)
    | esk8289_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_12483,axiom,
    ( esk4203_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12484,axiom,
    ( ~ esk4059_4(X1,X2,X3,X4)
    | esk4061_4(X1,X2,X3,X4) )).

cnf(i_0_12485,axiom,
    ( ~ esk9228_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | esk1288_0
    | ~ p(X1) )).

cnf(i_0_12486,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2659_4(X1,X2,X3,X4) )).

cnf(i_0_12487,axiom,
    ( ~ esk3628_4(X1,X2,X3,X4)
    | esk4553_4(X1,X2,X3,X4) )).

cnf(i_0_12488,axiom,
    ( esk3593_4(X1,X2,X3,X4)
    | ~ esk3685_4(X1,X2,X3,X4) )).

cnf(i_0_12489,axiom,
    ( esk9079_4(X1,X2,X3,X4)
    | esk9078_4(X1,X2,X3,X4)
    | ~ esk9080_4(X1,X2,X3,X4) )).

cnf(i_0_12490,axiom,
    ( ~ p(X1)
    | ~ esk1246_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk9210_4(X1,X2,X3,X4) )).

cnf(i_0_12491,axiom,
    ( ~ esk5221_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk5224_4(X1,X2,X3,X4) )).

cnf(i_0_12492,axiom,
    ( esk9164_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1047_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_12493,axiom,
    ( esk3315_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_12494,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk994_0
    | p(X1)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_12495,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3001_4(X1,X2,X3,X4) )).

cnf(i_0_12496,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk3886_4(X1,X2,X3,X4)
    | ~ esk3891_4(X1,X2,X3,X4) )).

cnf(i_0_12497,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8196_4(X1,X2,X3,X4) )).

cnf(i_0_12498,axiom,
    ( ~ esk2725_4(X1,X2,X3,X4)
    | esk2727_4(X1,X2,X3,X4) )).

cnf(i_0_12499,axiom,
    ( ~ esk8876_4(X1,X2,X3,X4)
    | ~ esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_12500,axiom,
    ( esk9099_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1_0 )).

cnf(i_0_12501,axiom,
    ( esk4086_4(X1,X2,X3,X4)
    | ~ esk4539_4(X1,X2,X3,X4) )).

cnf(i_0_12502,axiom,
    ( esk2123_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2090_4(X1,X2,X3,X4) )).

cnf(i_0_12503,axiom,
    ( ~ esk209_0
    | esk1754_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_12504,axiom,
    ( ~ p(X1)
    | esk8354_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk416_0
    | p(X3) )).

cnf(i_0_12505,axiom,
    ( ~ esk5481_4(X1,X2,X3,X4)
    | esk5479_4(X1,X2,X3,X4)
    | esk5480_4(X1,X2,X3,X4) )).

cnf(i_0_12506,axiom,
    ( esk4552_4(X1,X2,X3,X4)
    | ~ esk2452_4(X1,X2,X3,X4) )).

cnf(i_0_12507,axiom,
    ( ~ esk273_0
    | p(X3)
    | p(X1)
    | esk1860_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12508,axiom,
    ( ~ esk3863_4(X1,X2,X3,X4)
    | ~ esk4595_4(X1,X2,X3,X4) )).

cnf(i_0_12509,axiom,
    ( esk3623_4(X1,X2,X3,X4)
    | ~ esk3799_4(X1,X2,X3,X4) )).

cnf(i_0_12510,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk93_0
    | p(X3)
    | esk1641_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12511,axiom,
    ( ~ esk8713_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk557_0 )).

cnf(i_0_12512,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk682_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_12513,axiom,
    ( ~ esk8500_4(X1,X2,X3,X4)
    | esk8462_4(X1,X2,X3,X4)
    | esk8501_4(X1,X2,X3,X4) )).

cnf(i_0_12514,axiom,
    ( esk4503_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_12515,axiom,
    ( ~ esk8294_4(X1,X2,X3,X4)
    | ~ esk8381_4(X1,X2,X3,X4) )).

cnf(i_0_12516,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | esk1884_4(X1,X2,X3,X4)
    | esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_12517,axiom,
    ( ~ esk6363_4(X1,X2,X3,X4)
    | esk6402_4(X1,X2,X3,X4)
    | esk6401_4(X1,X2,X3,X4) )).

cnf(i_0_12518,axiom,
    ( ~ esk8843_4(X1,X2,X3,X4)
    | esk8844_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_12519,axiom,
    ( ~ esk2130_4(X1,X2,X3,X4)
    | esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_12520,axiom,
    ( esk7350_4(X1,X2,X3,X4)
    | esk7351_4(X1,X2,X3,X4)
    | ~ esk7352_4(X1,X2,X3,X4) )).

cnf(i_0_12521,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk261_0
    | esk1842_4(X1,X2,X3,X4) )).

cnf(i_0_12522,axiom,
    ( esk5672_4(X1,X2,X3,X4)
    | ~ esk5683_4(X1,X2,X3,X4) )).

cnf(i_0_12523,axiom,
    ( ~ esk3662_4(X1,X2,X3,X4)
    | esk3725_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_12524,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | esk8875_4(X1,X2,X3,X4) )).

cnf(i_0_12525,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1021_0
    | ~ p(X2) )).

cnf(i_0_12526,axiom,
    ( ~ esk1579_4(X1,X2,X3,X4)
    | esk2867_4(X1,X2,X3,X4) )).

cnf(i_0_12527,axiom,
    ( ~ p(X1)
    | ~ esk2882_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | esk1151_0
    | p(X3) )).

cnf(i_0_12528,axiom,
    ( ~ esk6143_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12529,axiom,
    ( ~ esk2377_4(X1,X2,X3,X4)
    | esk2376_4(X1,X2,X3,X4) )).

cnf(i_0_12530,axiom,
    ( ~ esk4604_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_12531,axiom,
    ( esk5005_4(X1,X2,X3,X4)
    | ~ esk5003_4(X1,X2,X3,X4) )).

cnf(i_0_12532,axiom,
    ( esk3068_4(X1,X2,X3,X4)
    | ~ esk3054_4(X1,X2,X3,X4)
    | ~ esk3067_4(X1,X2,X3,X4) )).

cnf(i_0_12533,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9504_4(X1,X2,X3,X4) )).

cnf(i_0_12534,axiom,
    ( esk2169_4(X1,X2,X3,X4)
    | ~ esk2020_4(X1,X2,X3,X4)
    | ~ esk2059_4(X1,X2,X3,X4) )).

cnf(i_0_12535,axiom,
    ( ~ esk1496_4(X1,X2,X3,X4)
    | esk1495_4(X1,X2,X3,X4) )).

cnf(i_0_12536,axiom,
    ( esk2856_4(X1,X2,X3,X4)
    | ~ esk2858_4(X1,X2,X3,X4)
    | esk2857_4(X1,X2,X3,X4) )).

cnf(i_0_12537,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk9150_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1037_0
    | ~ p(X3) )).

cnf(i_0_12538,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk923_0
    | ~ p(X4)
    | esk9099_4(X1,X2,X3,X4) )).

cnf(i_0_12539,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5774_4(X1,X2,X3,X4) )).

cnf(i_0_12540,axiom,
    ( ~ esk8286_4(X1,X2,X3,X4)
    | esk8288_4(X1,X2,X3,X4) )).

cnf(i_0_12541,axiom,
    ( ~ esk7334_4(X1,X2,X3,X4)
    | esk7333_4(X1,X2,X3,X4) )).

cnf(i_0_12542,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7236_4(X1,X2,X3,X4)
    | esk7239_4(X1,X2,X3,X4) )).

cnf(i_0_12543,axiom,
    ( ~ esk6048_4(X1,X2,X3,X4)
    | esk6047_4(X1,X2,X3,X4)
    | esk6046_4(X1,X2,X3,X4) )).

cnf(i_0_12544,axiom,
    ( esk6536_4(X1,X2,X3,X4)
    | ~ esk6224_4(X1,X2,X3,X4) )).

cnf(i_0_12545,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk3930_4(X1,X2,X3,X4) )).

cnf(i_0_12546,axiom,
    ( esk4797_4(X1,X2,X3,X4)
    | ~ esk5487_4(X1,X2,X3,X4) )).

cnf(i_0_12547,axiom,
    ( esk2163_4(X1,X2,X3,X4)
    | ~ esk2162_4(X1,X2,X3,X4) )).

cnf(i_0_12548,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5358_4(X1,X2,X3,X4) )).

cnf(i_0_12549,axiom,
    ( p(X4)
    | esk399_0
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12550,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk9492_4(X1,X2,X3,X4)
    | esk9493_4(X1,X2,X3,X4) )).

cnf(i_0_12551,axiom,
    ( esk650_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_12552,axiom,
    ( ~ esk4647_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_12553,axiom,
    ( ~ esk8722_4(X1,X2,X3,X4)
    | esk6622_4(X1,X2,X3,X4) )).

cnf(i_0_12554,axiom,
    ( ~ esk7097_4(X1,X2,X3,X4)
    | esk7098_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_12555,axiom,
    ( esk2233_4(X1,X2,X3,X4)
    | ~ esk1937_4(X1,X2,X3,X4) )).

cnf(i_0_12556,axiom,
    ( ~ esk4813_4(X1,X2,X3,X4)
    | ~ esk5518_4(X1,X2,X3,X4)
    | esk5519_4(X1,X2,X3,X4) )).

cnf(i_0_12557,axiom,
    ( esk2131_4(X1,X2,X3,X4)
    | esk2130_4(X1,X2,X3,X4)
    | ~ esk2132_4(X1,X2,X3,X4) )).

cnf(i_0_12558,axiom,
    ( ~ esk8889_4(X1,X2,X3,X4)
    | esk8891_4(X1,X2,X3,X4) )).

cnf(i_0_12559,axiom,
    ( ~ esk5895_4(X1,X2,X3,X4)
    | esk5932_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_12560,axiom,
    ( ~ esk8154_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_12561,axiom,
    ( esk9044_4(X1,X2,X3,X4)
    | ~ esk9043_4(X1,X2,X3,X4) )).

cnf(i_0_12562,axiom,
    ( ~ esk374_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_12563,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | esk8048_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk187_0 )).

cnf(i_0_12564,axiom,
    ( ~ esk2796_4(X1,X2,X3,X4)
    | esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_12565,axiom,
    ( p(X1)
    | p(X2)
    | esk1278_0
    | ~ p(X4)
    | p(X3)
    | ~ esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_12566,axiom,
    ( ~ esk7085_4(X1,X2,X3,X4)
    | esk5639_4(X1,X2,X3,X4) )).

cnf(i_0_12567,axiom,
    ( esk6692_4(X1,X2,X3,X4)
    | ~ esk6691_4(X1,X2,X3,X4) )).

cnf(i_0_12568,axiom,
    ( esk1814_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_12569,axiom,
    ( esk2738_4(X1,X2,X3,X4)
    | esk2737_4(X1,X2,X3,X4)
    | ~ esk2739_4(X1,X2,X3,X4) )).

cnf(i_0_12570,axiom,
    ( ~ esk6379_4(X1,X2,X3,X4)
    | esk6380_4(X1,X2,X3,X4) )).

cnf(i_0_12571,axiom,
    ( ~ esk4885_4(X1,X2,X3,X4)
    | esk4830_4(X1,X2,X3,X4) )).

cnf(i_0_12572,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk5_0
    | p(X2)
    | esk7734_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_12573,axiom,
    ( esk6723_4(X1,X2,X3,X4)
    | esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_12574,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7303_4(X1,X2,X3,X4) )).

cnf(i_0_12575,axiom,
    ( ~ esk7003_4(X1,X2,X3,X4)
    | esk4903_4(X1,X2,X3,X4) )).

cnf(i_0_12576,axiom,
    ( esk9383_4(X1,X2,X3,X4)
    | ~ esk9381_4(X1,X2,X3,X4) )).

cnf(i_0_12577,axiom,
    ( ~ esk9132_4(X1,X2,X3,X4)
    | esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_12578,axiom,
    ( ~ esk3161_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12579,axiom,
    ( esk2207_4(X1,X2,X3,X4)
    | ~ esk2206_4(X1,X2,X3,X4)
    | ~ esk2170_4(X1,X2,X3,X4) )).

cnf(i_0_12580,axiom,
    ( esk3759_4(X1,X2,X3,X4)
    | ~ esk3558_4(X1,X2,X3,X4) )).

cnf(i_0_12581,axiom,
    ( esk6146_4(X1,X2,X3,X4)
    | ~ esk6615_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12582,axiom,
    ( ~ esk6457_4(X1,X2,X3,X4)
    | esk6458_4(X1,X2,X3,X4) )).

cnf(i_0_12583,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9313_4(X1,X2,X3,X4)
    | ~ esk9312_4(X1,X2,X3,X4) )).

cnf(i_0_12584,axiom,
    ( ~ esk1945_4(X1,X2,X3,X4)
    | esk1947_4(X1,X2,X3,X4) )).

cnf(i_0_12585,axiom,
    ( esk1723_4(X1,X2,X3,X4)
    | ~ esk1466_4(X1,X2,X3,X4) )).

cnf(i_0_12586,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | esk2854_4(X1,X2,X3,X4)
    | ~ esk1031_0 )).

cnf(i_0_12587,axiom,
    ( ~ esk7167_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_12588,axiom,
    ( esk4635_4(X1,X2,X3,X4)
    | ~ esk3778_4(X1,X2,X3,X4)
    | ~ esk4547_4(X1,X2,X3,X4) )).

cnf(i_0_12589,axiom,
    ( esk7051_4(X1,X2,X3,X4)
    | ~ esk9151_4(X1,X2,X3,X4) )).

cnf(i_0_12590,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7784_4(X1,X2,X3,X4) )).

cnf(i_0_12591,axiom,
    ( esk8042_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk150_0
    | p(X4) )).

cnf(i_0_12592,axiom,
    ( ~ esk9488_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_12593,axiom,
    ( ~ esk6705_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_12594,axiom,
    ( ~ esk6110_4(X1,X2,X3,X4)
    | esk6107_4(X1,X2,X3,X4)
    | esk6108_4(X1,X2,X3,X4)
    | esk6109_4(X1,X2,X3,X4) )).

cnf(i_0_12595,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk1284_0
    | esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_12596,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk373_0
    | ~ p(X3)
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_12597,axiom,
    ( ~ esk2663_4(X1,X2,X3,X4)
    | ~ esk2485_4(X1,X2,X3,X4)
    | esk2664_4(X1,X2,X3,X4) )).

cnf(i_0_12598,axiom,
    ( esk4186_4(X1,X2,X3,X4)
    | esk4184_4(X1,X2,X3,X4)
    | esk4185_4(X1,X2,X3,X4)
    | ~ esk4187_4(X1,X2,X3,X4) )).

cnf(i_0_12599,axiom,
    ( ~ esk7865_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_12600,axiom,
    ( esk7014_4(X1,X2,X3,X4)
    | ~ esk5592_4(X1,X2,X3,X4) )).

cnf(i_0_12601,axiom,
    ( ~ esk2196_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_12602,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8181_4(X1,X2,X3,X4)
    | ~ esk8182_4(X1,X2,X3,X4) )).

cnf(i_0_12603,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk9244_4(X1,X2,X3,X4) )).

cnf(i_0_12604,axiom,
    ( ~ esk3310_4(X1,X2,X3,X4)
    | esk3308_4(X1,X2,X3,X4)
    | esk3309_4(X1,X2,X3,X4) )).

cnf(i_0_12605,axiom,
    ( esk9049_4(X1,X2,X3,X4)
    | ~ esk9050_4(X1,X2,X3,X4) )).

cnf(i_0_12606,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk988_0
    | esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_12607,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9274_4(X1,X2,X3,X4) )).

cnf(i_0_12608,axiom,
    ( ~ esk6174_4(X1,X2,X3,X4)
    | esk6173_4(X1,X2,X3,X4) )).

cnf(i_0_12609,axiom,
    ( ~ esk3152_4(X1,X2,X3,X4)
    | esk3138_4(X1,X2,X3,X4) )).

cnf(i_0_12610,axiom,
    ( ~ esk7781_4(X1,X2,X3,X4)
    | esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_12611,axiom,
    ( ~ esk3875_4(X1,X2,X3,X4)
    | esk3932_4(X1,X2,X3,X4) )).

cnf(i_0_12612,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk7939_4(X1,X2,X3,X4)
    | esk114_0 )).

cnf(i_0_12613,axiom,
    ( esk3891_4(X1,X2,X3,X4)
    | ~ esk3889_4(X1,X2,X3,X4) )).

cnf(i_0_12614,axiom,
    ( esk4441_4(X1,X2,X3,X4)
    | ~ esk4439_4(X1,X2,X3,X4) )).

cnf(i_0_12615,axiom,
    ( esk5649_4(X1,X2,X3,X4)
    | ~ esk5648_4(X1,X2,X3,X4) )).

cnf(i_0_12616,axiom,
    ( esk1060_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_12617,axiom,
    ( ~ esk7081_4(X1,X2,X3,X4)
    | esk5840_4(X1,X2,X3,X4) )).

cnf(i_0_12618,axiom,
    ( esk5079_4(X1,X2,X3,X4)
    | ~ esk5073_4(X1,X2,X3,X4)
    | ~ esk5078_4(X1,X2,X3,X4) )).

cnf(i_0_12619,axiom,
    ( ~ esk9394_4(X1,X2,X3,X4)
    | esk9395_4(X1,X2,X3,X4) )).

cnf(i_0_12620,axiom,
    ( p(X1)
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk260_0
    | p(X2) )).

cnf(i_0_12621,axiom,
    ( ~ esk4485_4(X1,X2,X3,X4)
    | esk4379_4(X1,X2,X3,X4) )).

cnf(i_0_12622,axiom,
    ( ~ esk4989_4(X1,X2,X3,X4)
    | esk3785_4(X1,X2,X3,X4) )).

cnf(i_0_12623,axiom,
    ( ~ esk4415_4(X1,X2,X3,X4)
    | esk4381_4(X1,X2,X3,X4)
    | esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_12624,axiom,
    ( esk2118_4(X1,X2,X3,X4)
    | ~ esk2119_4(X1,X2,X3,X4) )).

cnf(i_0_12625,axiom,
    ( ~ esk3948_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_12626,axiom,
    ( esk6179_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4)
    | ~ esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_12627,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | ~ esk6245_4(X1,X2,X3,X4) )).

cnf(i_0_12628,axiom,
    ( ~ p(X2)
    | ~ esk8778_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk772_0
    | p(X1) )).

cnf(i_0_12629,axiom,
    ( ~ esk7054_4(X1,X2,X3,X4)
    | esk5986_4(X1,X2,X3,X4) )).

cnf(i_0_12630,axiom,
    ( esk8509_4(X1,X2,X3,X4)
    | ~ esk7715_4(X1,X2,X3,X4) )).

cnf(i_0_12631,axiom,
    ( p(X4)
    | esk2932_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1289_0
    | p(X3) )).

cnf(i_0_12632,axiom,
    ( ~ esk3094_4(X1,X2,X3,X4)
    | esk3092_4(X1,X2,X3,X4)
    | esk3093_4(X1,X2,X3,X4) )).

cnf(i_0_12633,axiom,
    ( ~ esk7263_4(X1,X2,X3,X4)
    | esk7260_4(X1,X2,X3,X4) )).

cnf(i_0_12634,axiom,
    ( esk1572_4(X1,X2,X3,X4)
    | ~ esk1573_4(X1,X2,X3,X4) )).

cnf(i_0_12635,axiom,
    ( esk8936_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_12636,axiom,
    ( ~ esk4906_4(X1,X2,X3,X4)
    | esk4655_4(X1,X2,X3,X4) )).

cnf(i_0_12637,axiom,
    ( ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7861_4(X1,X2,X3,X4) )).

cnf(i_0_12638,axiom,
    ( ~ esk7623_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_12639,axiom,
    ( ~ esk7141_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_12640,axiom,
    ( esk7490_4(X1,X2,X3,X4)
    | ~ esk7487_4(X1,X2,X3,X4) )).

cnf(i_0_12641,axiom,
    ( ~ esk4095_4(X1,X2,X3,X4)
    | esk3459_4(X1,X2,X3,X4) )).

cnf(i_0_12642,axiom,
    ( esk4255_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_12643,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1893_4(X1,X2,X3,X4) )).

cnf(i_0_12644,axiom,
    ( esk5153_4(X1,X2,X3,X4)
    | ~ esk5151_4(X1,X2,X3,X4) )).

cnf(i_0_12645,axiom,
    ( ~ esk9507_4(X1,X2,X3,X4)
    | esk9510_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_12646,axiom,
    ( esk3273_4(X1,X2,X3,X4)
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_12647,axiom,
    ( ~ esk796_0
    | esk9081_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_12648,axiom,
    ( ~ esk8215_4(X1,X2,X3,X4)
    | esk7708_4(X1,X2,X3,X4) )).

cnf(i_0_12649,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9280_4(X1,X2,X3,X4) )).

cnf(i_0_12650,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk4145_4(X1,X2,X3,X4) )).

cnf(i_0_12651,axiom,
    ( ~ esk8965_4(X1,X2,X3,X4)
    | esk8964_4(X1,X2,X3,X4) )).

cnf(i_0_12652,axiom,
    ( ~ esk9675_4(X1,X2,X3,X4)
    | esk9674_4(X1,X2,X3,X4)
    | esk9673_4(X1,X2,X3,X4) )).

cnf(i_0_12653,axiom,
    ( esk7699_4(X1,X2,X3,X4)
    | ~ esk7813_4(X1,X2,X3,X4) )).

cnf(i_0_12654,axiom,
    ( ~ esk7756_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_12655,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6453_4(X1,X2,X3,X4) )).

cnf(i_0_12656,axiom,
    ( ~ esk4530_4(X1,X2,X3,X4)
    | esk2430_4(X1,X2,X3,X4) )).

cnf(i_0_12657,axiom,
    ( esk4178_4(X1,X2,X3,X4)
    | ~ esk4248_4(X1,X2,X3,X4) )).

cnf(i_0_12658,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5086_4(X1,X2,X3,X4) )).

cnf(i_0_12659,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk336_0
    | esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_12660,axiom,
    ( esk7609_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_12661,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6744_4(X1,X2,X3,X4) )).

cnf(i_0_12662,axiom,
    ( ~ esk3808_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4)
    | esk5048_4(X1,X2,X3,X4) )).

cnf(i_0_12663,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk1263_0
    | ~ esk2922_4(X1,X2,X3,X4) )).

cnf(i_0_12664,axiom,
    ( ~ esk7977_4(X1,X2,X3,X4)
    | esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_12665,axiom,
    ( esk3773_4(X1,X2,X3,X4)
    | ~ esk3772_4(X1,X2,X3,X4)
    | ~ esk3780_4(X1,X2,X3,X4) )).

cnf(i_0_12666,axiom,
    ( ~ esk2637_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_12667,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk330_0
    | p(X3) )).

cnf(i_0_12668,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8590_4(X1,X2,X3,X4) )).

cnf(i_0_12669,axiom,
    ( ~ esk8284_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4)
    | ~ esk8507_4(X1,X2,X3,X4) )).

cnf(i_0_12670,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | esk1874_4(X1,X2,X3,X4)
    | ~ esk1983_4(X1,X2,X3,X4) )).

cnf(i_0_12671,axiom,
    ( ~ esk2873_4(X1,X2,X3,X4)
    | esk1583_4(X1,X2,X3,X4) )).

cnf(i_0_12672,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1257_0
    | p(X4)
    | esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_12673,axiom,
    ( ~ esk1608_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_12674,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6625_4(X1,X2,X3,X4)
    | esk6401_4(X1,X2,X3,X4) )).

cnf(i_0_12675,axiom,
    ( ~ esk3412_4(X1,X2,X3,X4)
    | esk3411_4(X1,X2,X3,X4) )).

cnf(i_0_12676,axiom,
    ( ~ esk4451_4(X1,X2,X3,X4)
    | esk4450_4(X1,X2,X3,X4) )).

cnf(i_0_12677,axiom,
    ( esk5704_4(X1,X2,X3,X4)
    | ~ esk5796_4(X1,X2,X3,X4) )).

cnf(i_0_12678,axiom,
    ( ~ esk1675_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_12679,axiom,
    ( ~ esk4977_4(X1,X2,X3,X4)
    | esk3494_4(X1,X2,X3,X4) )).

cnf(i_0_12680,axiom,
    ( ~ esk3443_4(X1,X2,X3,X4)
    | ~ esk2864_4(X1,X2,X3,X4)
    | ~ esk3442_4(X1,X2,X3,X4) )).

cnf(i_0_12681,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk9339_4(X1,X2,X3,X4)
    | esk9342_4(X1,X2,X3,X4) )).

cnf(i_0_12682,axiom,
    ( esk6326_4(X1,X2,X3,X4)
    | ~ esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_12683,axiom,
    ( ~ esk4464_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12684,axiom,
    ( esk3630_4(X1,X2,X3,X4)
    | esk3843_4(X1,X2,X3,X4) )).

cnf(i_0_12685,axiom,
    ( esk6625_4(X1,X2,X3,X4)
    | esk6401_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_12686,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk740_0
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12687,axiom,
    ( esk7725_4(X1,X2,X3,X4)
    | ~ esk7723_4(X1,X2,X3,X4) )).

cnf(i_0_12688,axiom,
    ( esk1074_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_12689,axiom,
    ( esk7519_4(X1,X2,X3,X4)
    | ~ esk7520_4(X1,X2,X3,X4)
    | esk7518_4(X1,X2,X3,X4) )).

cnf(i_0_12690,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5776_4(X1,X2,X3,X4) )).

cnf(i_0_12691,axiom,
    ( ~ esk8638_4(X1,X2,X3,X4)
    | esk8639_4(X1,X2,X3,X4) )).

cnf(i_0_12692,axiom,
    ( esk7446_4(X1,X2,X3,X4)
    | ~ esk7445_4(X1,X2,X3,X4)
    | ~ esk7440_4(X1,X2,X3,X4) )).

cnf(i_0_12693,axiom,
    ( ~ esk4186_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_12694,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk1955_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk342_0 )).

cnf(i_0_12695,axiom,
    ( p(X1)
    | p(X4)
    | esk2876_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1_0
    | p(X3) )).

cnf(i_0_12696,axiom,
    ( ~ esk6936_4(X1,X2,X3,X4)
    | esk6937_4(X1,X2,X3,X4) )).

cnf(i_0_12697,axiom,
    ( p(X3)
    | p(X4)
    | esk1211_0
    | ~ p(X1)
    | p(X2)
    | ~ esk9194_4(X1,X2,X3,X4) )).

cnf(i_0_12698,axiom,
    ( esk4949_4(X1,X2,X3,X4)
    | ~ esk4951_4(X1,X2,X3,X4)
    | esk4950_4(X1,X2,X3,X4) )).

cnf(i_0_12699,axiom,
    ( ~ esk1662_4(X1,X2,X3,X4)
    | esk1664_4(X1,X2,X3,X4) )).

cnf(i_0_12700,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk2805_4(X1,X2,X3,X4)
    | ~ esk946_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12701,axiom,
    ( esk4311_4(X1,X2,X3,X4)
    | ~ esk3517_4(X1,X2,X3,X4) )).

cnf(i_0_12702,axiom,
    ( ~ esk5071_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_12703,axiom,
    ( ~ esk7433_4(X1,X2,X3,X4)
    | esk7434_4(X1,X2,X3,X4)
    | ~ esk7420_4(X1,X2,X3,X4) )).

cnf(i_0_12704,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | ~ esk2282_4(X1,X2,X3,X4)
    | esk2314_4(X1,X2,X3,X4) )).

cnf(i_0_12705,axiom,
    ( ~ esk4129_4(X1,X2,X3,X4)
    | esk4065_4(X1,X2,X3,X4) )).

cnf(i_0_12706,axiom,
    ( p(X2)
    | esk1958_4(X1,X2,X3,X4)
    | ~ esk358_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_12707,axiom,
    ( ~ esk6370_4(X1,X2,X3,X4)
    | esk8470_4(X1,X2,X3,X4) )).

cnf(i_0_12708,axiom,
    ( esk2556_4(X1,X2,X3,X4)
    | ~ esk2617_4(X1,X2,X3,X4) )).

cnf(i_0_12709,axiom,
    ( esk6215_4(X1,X2,X3,X4)
    | ~ esk6214_4(X1,X2,X3,X4) )).

cnf(i_0_12710,axiom,
    ( esk1547_4(X1,X2,X3,X4)
    | ~ esk1546_4(X1,X2,X3,X4) )).

cnf(i_0_12711,axiom,
    ( esk8700_4(X1,X2,X3,X4)
    | ~ esk8699_4(X1,X2,X3,X4) )).

cnf(i_0_12712,axiom,
    ( esk6590_4(X1,X2,X3,X4)
    | ~ esk6591_4(X1,X2,X3,X4) )).

cnf(i_0_12713,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6877_4(X1,X2,X3,X4) )).

cnf(i_0_12714,axiom,
    ( esk5345_4(X1,X2,X3,X4)
    | ~ esk5344_4(X1,X2,X3,X4) )).

cnf(i_0_12715,axiom,
    ( esk5365_4(X1,X2,X3,X4)
    | ~ esk5363_4(X1,X2,X3,X4) )).

cnf(i_0_12716,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | ~ esk5695_4(X1,X2,X3,X4) )).

cnf(i_0_12717,axiom,
    ( esk637_0
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_12718,axiom,
    ( esk9415_4(X1,X2,X3,X4)
    | ~ esk9413_4(X1,X2,X3,X4) )).

cnf(i_0_12719,axiom,
    ( esk7130_4(X1,X2,X3,X4)
    | ~ esk5823_4(X1,X2,X3,X4) )).

cnf(i_0_12720,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk254_0
    | ~ esk1776_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_12721,axiom,
    ( ~ esk5615_4(X1,X2,X3,X4)
    | esk6371_4(X1,X2,X3,X4) )).

cnf(i_0_12722,axiom,
    ( ~ esk4182_4(X1,X2,X3,X4)
    | esk4215_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_12723,axiom,
    ( ~ esk8371_4(X1,X2,X3,X4)
    | esk8372_4(X1,X2,X3,X4) )).

cnf(i_0_12724,axiom,
    ( esk3400_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk3399_4(X1,X2,X3,X4) )).

cnf(i_0_12725,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9525_4(X1,X2,X3,X4) )).

cnf(i_0_12726,axiom,
    ( ~ esk3236_4(X1,X2,X3,X4)
    | esk3222_4(X1,X2,X3,X4) )).

cnf(i_0_12727,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk2444_4(X1,X2,X3,X4)
    | esk2445_4(X1,X2,X3,X4) )).

cnf(i_0_12728,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8886_4(X1,X2,X3,X4) )).

cnf(i_0_12729,axiom,
    ( ~ esk8220_4(X1,X2,X3,X4)
    | esk8218_4(X1,X2,X3,X4)
    | esk8219_4(X1,X2,X3,X4) )).

cnf(i_0_12730,axiom,
    ( ~ esk2515_4(X1,X2,X3,X4)
    | esk2516_4(X1,X2,X3,X4) )).

cnf(i_0_12731,axiom,
    ( esk6502_4(X1,X2,X3,X4)
    | ~ esk6503_4(X1,X2,X3,X4) )).

cnf(i_0_12732,axiom,
    ( esk5145_4(X1,X2,X3,X4)
    | ~ esk5143_4(X1,X2,X3,X4) )).

cnf(i_0_12733,axiom,
    ( ~ esk2604_4(X1,X2,X3,X4)
    | esk2606_4(X1,X2,X3,X4) )).

cnf(i_0_12734,axiom,
    ( ~ esk2622_4(X1,X2,X3,X4)
    | esk3361_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_12735,axiom,
    ( esk3901_4(X1,X2,X3,X4)
    | esk3902_4(X1,X2,X3,X4)
    | ~ esk3903_4(X1,X2,X3,X4) )).

cnf(i_0_12736,axiom,
    ( ~ esk1626_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_12737,axiom,
    ( ~ esk7230_4(X1,X2,X3,X4)
    | esk7232_4(X1,X2,X3,X4) )).

cnf(i_0_12738,axiom,
    ( ~ esk1755_4(X1,X2,X3,X4)
    | esk2926_4(X1,X2,X3,X4) )).

cnf(i_0_12739,axiom,
    ( esk4861_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_12740,axiom,
    ( ~ p(X1)
    | ~ esk1105_0
    | esk2876_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_12741,axiom,
    ( ~ esk6826_4(X1,X2,X3,X4)
    | esk6828_4(X1,X2,X3,X4) )).

cnf(i_0_12742,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1789_4(X1,X2,X3,X4)
    | esk1790_4(X1,X2,X3,X4) )).

cnf(i_0_12743,axiom,
    ( ~ esk6611_4(X1,X2,X3,X4)
    | esk7468_4(X1,X2,X3,X4) )).

cnf(i_0_12744,axiom,
    ( ~ esk5332_4(X1,X2,X3,X4)
    | esk5333_4(X1,X2,X3,X4) )).

cnf(i_0_12745,axiom,
    ( esk6157_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_12746,axiom,
    ( esk4392_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4355_4(X1,X2,X3,X4) )).

cnf(i_0_12747,axiom,
    ( esk7679_4(X1,X2,X3,X4)
    | ~ esk8360_4(X1,X2,X3,X4) )).

cnf(i_0_12748,axiom,
    ( esk7313_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_12749,axiom,
    ( ~ esk9207_4(X1,X2,X3,X4)
    | esk7753_4(X1,X2,X3,X4) )).

cnf(i_0_12750,axiom,
    ( p(X2)
    | ~ esk387_0
    | ~ p(X1)
    | esk1995_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_12751,axiom,
    ( esk2808_4(X1,X2,X3,X4)
    | ~ esk2775_4(X1,X2,X3,X4) )).

cnf(i_0_12752,axiom,
    ( ~ p(X3)
    | ~ esk226_0
    | ~ p(X1)
    | ~ p(X2)
    | esk1756_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_12753,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2255_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12754,axiom,
    ( ~ esk8269_4(X1,X2,X3,X4)
    | esk8271_4(X1,X2,X3,X4) )).

cnf(i_0_12755,axiom,
    ( ~ esk4366_4(X1,X2,X3,X4)
    | esk4367_4(X1,X2,X3,X4) )).

cnf(i_0_12756,axiom,
    ( ~ p(X1)
    | esk539_0
    | p(X4)
    | ~ esk2321_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_12757,axiom,
    ( ~ esk5427_4(X1,X2,X3,X4)
    | esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_12758,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7277_4(X1,X2,X3,X4) )).

cnf(i_0_12759,axiom,
    ( ~ esk6550_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_12760,axiom,
    ( ~ esk5996_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_12761,axiom,
    ( esk9394_4(X1,X2,X3,X4)
    | ~ esk9395_4(X1,X2,X3,X4)
    | esk9393_4(X1,X2,X3,X4) )).

cnf(i_0_12762,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6200_4(X1,X2,X3,X4) )).

cnf(i_0_12763,axiom,
    ( esk6394_4(X1,X2,X3,X4)
    | esk6395_4(X1,X2,X3,X4)
    | ~ esk6396_4(X1,X2,X3,X4) )).

cnf(i_0_12764,axiom,
    ( esk3813_4(X1,X2,X3,X4)
    | ~ esk5028_4(X1,X2,X3,X4) )).

cnf(i_0_12765,axiom,
    ( esk1013_0
    | ~ p(X2)
    | p(X4)
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_12766,axiom,
    ( ~ esk2470_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2469_4(X1,X2,X3,X4) )).

cnf(i_0_12767,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | esk1203_0
    | p(X3)
    | p(X1) )).

cnf(i_0_12768,axiom,
    ( ~ p(X3)
    | esk767_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2455_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12769,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk766_0
    | esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_12770,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk555_0
    | ~ p(X1)
    | esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_12771,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6542_4(X1,X2,X3,X4) )).

cnf(i_0_12772,axiom,
    ( esk9215_4(X1,X2,X3,X4)
    | ~ esk7850_4(X1,X2,X3,X4) )).

cnf(i_0_12773,axiom,
    ( ~ esk4807_4(X1,X2,X3,X4)
    | esk4806_4(X1,X2,X3,X4) )).

cnf(i_0_12774,axiom,
    ( ~ esk1812_4(X1,X2,X3,X4)
    | esk1813_4(X1,X2,X3,X4) )).

cnf(i_0_12775,axiom,
    ( esk6077_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_12776,axiom,
    ( esk8742_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4)
    | ~ esk8741_4(X1,X2,X3,X4) )).

cnf(i_0_12777,axiom,
    ( esk3872_4(X1,X2,X3,X4)
    | ~ esk3873_4(X1,X2,X3,X4) )).

cnf(i_0_12778,axiom,
    ( esk6896_4(X1,X2,X3,X4)
    | ~ esk6895_4(X1,X2,X3,X4) )).

cnf(i_0_12779,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk666_0
    | p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_12780,axiom,
    ( esk8219_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4)
    | ~ esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_12781,axiom,
    ( ~ p(X1)
    | esk612_0
    | p(X2)
    | ~ p(X3)
    | ~ esk2425_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_12782,axiom,
    ( ~ esk4454_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_12783,axiom,
    ( ~ esk7458_4(X1,X2,X3,X4)
    | esk7460_4(X1,X2,X3,X4) )).

cnf(i_0_12784,axiom,
    ( esk4252_4(X1,X2,X3,X4)
    | ~ esk4251_4(X1,X2,X3,X4)
    | ~ esk4410_4(X1,X2,X3,X4) )).

cnf(i_0_12785,axiom,
    ( ~ esk3389_4(X1,X2,X3,X4)
    | esk3386_4(X1,X2,X3,X4) )).

cnf(i_0_12786,axiom,
    ( ~ esk6600_4(X1,X2,X3,X4)
    | esk6601_4(X1,X2,X3,X4) )).

cnf(i_0_12787,axiom,
    ( ~ esk5244_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_12788,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6757_4(X1,X2,X3,X4) )).

cnf(i_0_12789,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk38_0
    | p(X3) )).

cnf(i_0_12790,axiom,
    ( ~ esk2592_4(X1,X2,X3,X4)
    | esk2591_4(X1,X2,X3,X4) )).

cnf(i_0_12791,axiom,
    ( esk6995_4(X1,X2,X3,X4)
    | ~ esk6863_4(X1,X2,X3,X4) )).

cnf(i_0_12792,axiom,
    ( esk7401_4(X1,X2,X3,X4)
    | ~ esk7402_4(X1,X2,X3,X4) )).

cnf(i_0_12793,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9296_4(X1,X2,X3,X4) )).

cnf(i_0_12794,axiom,
    ( esk2513_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_12795,axiom,
    ( ~ esk7985_4(X1,X2,X3,X4)
    | esk9195_4(X1,X2,X3,X4) )).

cnf(i_0_12796,axiom,
    ( esk7013_4(X1,X2,X3,X4)
    | ~ esk7631_4(X1,X2,X3,X4) )).

cnf(i_0_12797,axiom,
    ( esk851_0
    | p(X3)
    | ~ p(X1)
    | ~ esk9089_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_12798,axiom,
    ( ~ esk4002_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_12799,axiom,
    ( ~ p(X4)
    | esk2451_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk725_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_12800,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9648_4(X1,X2,X3,X4) )).

cnf(i_0_12801,axiom,
    ( esk2048_4(X1,X2,X3,X4)
    | ~ esk2047_4(X1,X2,X3,X4) )).

cnf(i_0_12802,axiom,
    ( ~ p(X1)
    | ~ esk8469_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk478_0
    | p(X4)
    | p(X2) )).

cnf(i_0_12803,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk181_0
    | esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_12804,axiom,
    ( ~ esk142_0
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_12805,axiom,
    ( esk7153_4(X1,X2,X3,X4)
    | ~ esk5837_4(X1,X2,X3,X4) )).

cnf(i_0_12806,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk429_0
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_12807,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7461_4(X1,X2,X3,X4) )).

cnf(i_0_12808,axiom,
    ( ~ esk1440_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | esk18_0
    | p(X1) )).

cnf(i_0_12809,axiom,
    ( ~ esk4548_4(X1,X2,X3,X4)
    | esk4158_4(X1,X2,X3,X4) )).

cnf(i_0_12810,axiom,
    ( esk436_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_12811,axiom,
    ( ~ esk1438_4(X1,X2,X3,X4)
    | ~ esk3450_4(X1,X2,X3,X4)
    | esk2817_4(X1,X2,X3,X4) )).

cnf(i_0_12812,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8915_4(X1,X2,X3,X4)
    | esk9650_4(X1,X2,X3,X4) )).

cnf(i_0_12813,axiom,
    ( ~ p(X2)
    | esk1245_0
    | p(X3)
    | ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_12814,axiom,
    ( ~ esk5929_4(X1,X2,X3,X4)
    | esk5927_4(X1,X2,X3,X4)
    | esk5928_4(X1,X2,X3,X4) )).

cnf(i_0_12815,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | esk1_0
    | ~ esk2799_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_12816,axiom,
    ( esk2083_4(X1,X2,X3,X4)
    | ~ esk2082_4(X1,X2,X3,X4) )).

cnf(i_0_12817,axiom,
    ( esk9087_4(X1,X2,X3,X4)
    | ~ esk828_0
    | p(X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_12818,axiom,
    ( ~ esk8817_4(X1,X2,X3,X4)
    | ~ esk8996_4(X1,X2,X3,X4)
    | esk8997_4(X1,X2,X3,X4) )).

cnf(i_0_12819,axiom,
    ( esk7800_4(X1,X2,X3,X4)
    | ~ esk7801_4(X1,X2,X3,X4) )).

cnf(i_0_12820,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1514_4(X1,X2,X3,X4)
    | esk1606_4(X1,X2,X3,X4) )).

cnf(i_0_12821,axiom,
    ( esk7263_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7260_4(X1,X2,X3,X4) )).

cnf(i_0_12822,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6233_4(X1,X2,X3,X4) )).

cnf(i_0_12823,axiom,
    ( esk2161_4(X1,X2,X3,X4)
    | esk2160_4(X1,X2,X3,X4)
    | ~ esk2163_4(X1,X2,X3,X4)
    | esk2162_4(X1,X2,X3,X4) )).

cnf(i_0_12824,axiom,
    ( ~ esk7498_4(X1,X2,X3,X4)
    | ~ esk7497_4(X1,X2,X3,X4)
    | ~ esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_12825,axiom,
    ( esk1_0
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_12826,axiom,
    ( ~ esk4956_4(X1,X2,X3,X4)
    | esk3527_4(X1,X2,X3,X4) )).

cnf(i_0_12827,axiom,
    ( esk6781_4(X1,X2,X3,X4)
    | esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_12828,axiom,
    ( ~ esk8477_4(X1,X2,X3,X4)
    | esk8479_4(X1,X2,X3,X4) )).

cnf(i_0_12829,axiom,
    ( ~ esk6132_4(X1,X2,X3,X4)
    | esk6133_4(X1,X2,X3,X4) )).

cnf(i_0_12830,axiom,
    ( ~ esk4555_4(X1,X2,X3,X4)
    | ~ esk3472_4(X1,X2,X3,X4) )).

cnf(i_0_12831,axiom,
    ( ~ esk7889_4(X1,X2,X3,X4)
    | esk7890_4(X1,X2,X3,X4)
    | ~ esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_12832,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk630_0
    | ~ p(X2)
    | esk8723_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_12833,axiom,
    ( ~ esk4476_4(X1,X2,X3,X4)
    | esk4398_4(X1,X2,X3,X4) )).

cnf(i_0_12834,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk1059_0
    | ~ p(X3)
    | ~ esk9166_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_12835,axiom,
    ( esk6110_4(X1,X2,X3,X4)
    | ~ esk6109_4(X1,X2,X3,X4) )).

cnf(i_0_12836,axiom,
    ( ~ p(X3)
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X2)
    | esk1115_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_12837,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk8388_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_12838,axiom,
    ( ~ esk6468_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_12839,axiom,
    ( ~ esk2722_4(X1,X2,X3,X4)
    | esk2723_4(X1,X2,X3,X4) )).

cnf(i_0_12840,axiom,
    ( ~ esk1497_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12841,axiom,
    ( ~ esk6851_4(X1,X2,X3,X4)
    | esk6852_4(X1,X2,X3,X4) )).

cnf(i_0_12842,axiom,
    ( ~ esk5716_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_12843,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ esk1001_0
    | esk9109_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_12844,axiom,
    ( esk819_0
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_12845,axiom,
    ( esk4872_4(X1,X2,X3,X4)
    | esk4873_4(X1,X2,X3,X4)
    | ~ esk4874_4(X1,X2,X3,X4) )).

cnf(i_0_12846,axiom,
    ( ~ esk3863_4(X1,X2,X3,X4)
    | esk3862_4(X1,X2,X3,X4) )).

cnf(i_0_12847,axiom,
    ( ~ esk6736_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_12848,axiom,
    ( ~ esk9293_4(X1,X2,X3,X4)
    | esk9295_4(X1,X2,X3,X4) )).

cnf(i_0_12849,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1073_0
    | p(X3) )).

cnf(i_0_12850,axiom,
    ( ~ esk2188_4(X1,X2,X3,X4)
    | esk2190_4(X1,X2,X3,X4) )).

cnf(i_0_12851,axiom,
    ( esk7629_4(X1,X2,X3,X4)
    | esk7630_4(X1,X2,X3,X4)
    | ~ esk7632_4(X1,X2,X3,X4)
    | esk7631_4(X1,X2,X3,X4) )).

cnf(i_0_12852,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk8747_4(X1,X2,X3,X4)
    | esk726_0
    | ~ p(X3) )).

cnf(i_0_12853,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7527_4(X1,X2,X3,X4) )).

cnf(i_0_12854,axiom,
    ( ~ esk3603_4(X1,X2,X3,X4)
    | esk3605_4(X1,X2,X3,X4) )).

cnf(i_0_12855,axiom,
    ( ~ p(X2)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X1)
    | esk40_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_12856,axiom,
    ( esk1546_4(X1,X2,X3,X4)
    | esk1545_4(X1,X2,X3,X4)
    | ~ esk1547_4(X1,X2,X3,X4) )).

cnf(i_0_12857,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2392_4(X1,X2,X3,X4) )).

cnf(i_0_12858,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | esk5942_4(X1,X2,X3,X4) )).

cnf(i_0_12859,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8478_4(X1,X2,X3,X4) )).

cnf(i_0_12860,axiom,
    ( p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk411_0
    | esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_12861,axiom,
    ( esk584_0
    | p(X4)
    | p(X3)
    | ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_12862,axiom,
    ( esk4625_4(X1,X2,X3,X4)
    | ~ esk4670_4(X1,X2,X3,X4)
    | ~ esk4624_4(X1,X2,X3,X4) )).

cnf(i_0_12863,axiom,
    ( ~ esk7509_4(X1,X2,X3,X4)
    | ~ esk6993_4(X1,X2,X3,X4)
    | esk7510_4(X1,X2,X3,X4) )).

cnf(i_0_12864,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8242_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_12865,axiom,
    ( ~ esk8390_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4)
    | esk8872_4(X1,X2,X3,X4) )).

cnf(i_0_12866,axiom,
    ( ~ esk5043_4(X1,X2,X3,X4)
    | esk5045_4(X1,X2,X3,X4) )).

cnf(i_0_12867,axiom,
    ( ~ esk9374_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_12868,axiom,
    ( ~ esk9297_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_12869,axiom,
    ( p(X4)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | esk382_0 )).

cnf(i_0_12870,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk1918_4(X1,X2,X3,X4)
    | ~ esk315_0
    | ~ p(X2) )).

cnf(i_0_12871,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8625_4(X1,X2,X3,X4) )).

cnf(i_0_12872,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk2173_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk469_0 )).

cnf(i_0_12873,axiom,
    ( esk9477_4(X1,X2,X3,X4)
    | ~ esk9479_4(X1,X2,X3,X4)
    | esk9478_4(X1,X2,X3,X4) )).

cnf(i_0_12874,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6960_4(X1,X2,X3,X4) )).

cnf(i_0_12875,axiom,
    ( ~ esk5489_4(X1,X2,X3,X4)
    | esk4836_4(X1,X2,X3,X4)
    | ~ esk4835_4(X1,X2,X3,X4) )).

cnf(i_0_12876,axiom,
    ( ~ esk5934_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_12877,axiom,
    ( esk7624_4(X1,X2,X3,X4)
    | ~ esk7627_4(X1,X2,X3,X4) )).

cnf(i_0_12878,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4)
    | ~ esk7732_4(X1,X2,X3,X4) )).

cnf(i_0_12879,axiom,
    ( ~ esk6566_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_12880,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk2914_4(X1,X2,X3,X4)
    | esk1241_0 )).

cnf(i_0_12881,axiom,
    ( esk5216_4(X1,X2,X3,X4)
    | ~ esk5217_4(X1,X2,X3,X4)
    | esk5215_4(X1,X2,X3,X4) )).

cnf(i_0_12882,axiom,
    ( esk9006_4(X1,X2,X3,X4)
    | esk9005_4(X1,X2,X3,X4)
    | ~ esk9007_4(X1,X2,X3,X4) )).

cnf(i_0_12883,axiom,
    ( esk1958_4(X1,X2,X3,X4)
    | ~ esk1416_4(X1,X2,X3,X4) )).

cnf(i_0_12884,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | esk653_0
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_12885,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X4)
    | esk528_0
    | p(X2)
    | ~ esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_12886,axiom,
    ( ~ esk6946_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_12887,axiom,
    ( ~ esk3488_4(X1,X2,X3,X4)
    | esk3849_4(X1,X2,X3,X4) )).

cnf(i_0_12888,axiom,
    ( ~ esk6702_4(X1,X2,X3,X4)
    | ~ esk6853_4(X1,X2,X3,X4)
    | esk6854_4(X1,X2,X3,X4) )).

cnf(i_0_12889,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8665_4(X1,X2,X3,X4) )).

cnf(i_0_12890,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk764_0
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_12891,axiom,
    ( ~ esk8757_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_12892,axiom,
    ( esk4104_4(X1,X2,X3,X4)
    | ~ esk4130_4(X1,X2,X3,X4) )).

cnf(i_0_12893,axiom,
    ( esk4593_4(X1,X2,X3,X4)
    | ~ esk4591_4(X1,X2,X3,X4) )).

cnf(i_0_12894,axiom,
    ( ~ esk7774_4(X1,X2,X3,X4)
    | esk7942_4(X1,X2,X3,X4) )).

cnf(i_0_12895,axiom,
    ( ~ esk7741_4(X1,X2,X3,X4)
    | esk7700_4(X1,X2,X3,X4) )).

cnf(i_0_12896,axiom,
    ( esk3423_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_12897,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6948_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_12898,axiom,
    ( ~ esk1581_4(X1,X2,X3,X4)
    | esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_12899,axiom,
    ( esk6470_4(X1,X2,X3,X4)
    | ~ esk6100_4(X1,X2,X3,X4) )).

cnf(i_0_12900,axiom,
    ( ~ esk6267_4(X1,X2,X3,X4)
    | esk6266_4(X1,X2,X3,X4) )).

cnf(i_0_12901,axiom,
    ( ~ esk1146_0
    | p(X4)
    | p(X3)
    | p(X1)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_12902,axiom,
    ( esk948_0
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_12903,axiom,
    ( esk5996_4(X1,X2,X3,X4)
    | esk5997_4(X1,X2,X3,X4)
    | ~ esk5998_4(X1,X2,X3,X4) )).

cnf(i_0_12904,axiom,
    ( esk9732_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4)
    | esk9733_4(X1,X2,X3,X4) )).

cnf(i_0_12905,axiom,
    ( ~ esk6855_4(X1,X2,X3,X4)
    | esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_12906,axiom,
    ( ~ esk9295_4(X1,X2,X3,X4)
    | esk9294_4(X1,X2,X3,X4)
    | esk9293_4(X1,X2,X3,X4) )).

cnf(i_0_12907,axiom,
    ( esk9335_4(X1,X2,X3,X4)
    | ~ esk9334_4(X1,X2,X3,X4) )).

cnf(i_0_12908,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | esk6771_4(X1,X2,X3,X4) )).

cnf(i_0_12909,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk2898_4(X1,X2,X3,X4)
    | p(X4)
    | esk1214_0
    | ~ p(X2) )).

cnf(i_0_12910,axiom,
    ( ~ esk8161_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_12911,axiom,
    ( esk2982_4(X1,X2,X3,X4)
    | ~ esk2980_4(X1,X2,X3,X4) )).

cnf(i_0_12912,axiom,
    ( esk2086_4(X1,X2,X3,X4)
    | esk2087_4(X1,X2,X3,X4)
    | esk2085_4(X1,X2,X3,X4)
    | ~ esk2088_4(X1,X2,X3,X4) )).

cnf(i_0_12913,axiom,
    ( esk8416_4(X1,X2,X3,X4)
    | ~ esk8418_4(X1,X2,X3,X4)
    | esk8417_4(X1,X2,X3,X4) )).

cnf(i_0_12914,axiom,
    ( esk4900_4(X1,X2,X3,X4)
    | ~ esk4707_4(X1,X2,X3,X4) )).

cnf(i_0_12915,axiom,
    ( esk1848_4(X1,X2,X3,X4)
    | ~ esk2178_4(X1,X2,X3,X4)
    | ~ esk1847_4(X1,X2,X3,X4) )).

cnf(i_0_12916,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8308_4(X1,X2,X3,X4)
    | ~ esk8307_4(X1,X2,X3,X4) )).

cnf(i_0_12917,axiom,
    ( ~ esk2528_4(X1,X2,X3,X4)
    | esk2526_4(X1,X2,X3,X4)
    | esk2527_4(X1,X2,X3,X4) )).

cnf(i_0_12918,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk973_0 )).

cnf(i_0_12919,axiom,
    ( esk2304_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_12920,axiom,
    ( esk3413_4(X1,X2,X3,X4)
    | esk3412_4(X1,X2,X3,X4)
    | ~ esk3414_4(X1,X2,X3,X4) )).

cnf(i_0_12921,axiom,
    ( esk4750_4(X1,X2,X3,X4)
    | esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_12922,axiom,
    ( esk8705_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_12923,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk1746_4(X1,X2,X3,X4)
    | ~ esk149_0
    | p(X4) )).

cnf(i_0_12924,axiom,
    ( esk3572_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_12925,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4167_4(X1,X2,X3,X4) )).

cnf(i_0_12926,axiom,
    ( ~ esk8339_4(X1,X2,X3,X4)
    | esk8341_4(X1,X2,X3,X4) )).

cnf(i_0_12927,axiom,
    ( ~ esk9570_4(X1,X2,X3,X4)
    | esk9571_4(X1,X2,X3,X4) )).

cnf(i_0_12928,axiom,
    ( ~ esk4973_4(X1,X2,X3,X4)
    | esk2873_4(X1,X2,X3,X4) )).

cnf(i_0_12929,axiom,
    ( ~ esk2011_4(X1,X2,X3,X4)
    | esk2013_4(X1,X2,X3,X4) )).

cnf(i_0_12930,axiom,
    ( esk790_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk9081_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_12931,axiom,
    ( ~ esk9335_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk9338_4(X1,X2,X3,X4) )).

cnf(i_0_12932,axiom,
    ( ~ esk2352_4(X1,X2,X3,X4)
    | esk2351_4(X1,X2,X3,X4) )).

cnf(i_0_12933,axiom,
    ( esk3531_4(X1,X2,X3,X4)
    | ~ esk3533_4(X1,X2,X3,X4)
    | esk3532_4(X1,X2,X3,X4) )).

cnf(i_0_12934,axiom,
    ( ~ esk9195_4(X1,X2,X3,X4)
    | ~ esk7808_4(X1,X2,X3,X4)
    | esk7809_4(X1,X2,X3,X4) )).

cnf(i_0_12935,axiom,
    ( esk7569_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_12936,axiom,
    ( esk8448_4(X1,X2,X3,X4)
    | ~ esk8486_4(X1,X2,X3,X4) )).

cnf(i_0_12937,axiom,
    ( p(X4)
    | p(X1)
    | esk1099_0
    | p(X2)
    | ~ p(X3)
    | ~ esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_12938,axiom,
    ( ~ esk1691_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_12939,axiom,
    ( ~ esk3656_4(X1,X2,X3,X4)
    | esk3658_4(X1,X2,X3,X4) )).

cnf(i_0_12940,axiom,
    ( esk2252_4(X1,X2,X3,X4)
    | ~ esk1377_4(X1,X2,X3,X4) )).

cnf(i_0_12941,axiom,
    ( ~ esk9202_4(X1,X2,X3,X4)
    | esk7749_4(X1,X2,X3,X4) )).

cnf(i_0_12942,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | ~ esk3749_4(X1,X2,X3,X4) )).

cnf(i_0_12943,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6489_4(X1,X2,X3,X4) )).

cnf(i_0_12944,axiom,
    ( esk3338_4(X1,X2,X3,X4)
    | ~ esk3341_4(X1,X2,X3,X4) )).

cnf(i_0_12945,axiom,
    ( ~ esk4802_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_12946,axiom,
    ( esk7912_4(X1,X2,X3,X4)
    | ~ esk7911_4(X1,X2,X3,X4) )).

cnf(i_0_12947,axiom,
    ( ~ p(X1)
    | esk9214_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1256_0
    | p(X4)
    | p(X2) )).

cnf(i_0_12948,axiom,
    ( esk7461_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_12949,axiom,
    ( esk8075_4(X1,X2,X3,X4)
    | esk8076_4(X1,X2,X3,X4)
    | ~ esk8077_4(X1,X2,X3,X4) )).

cnf(i_0_12950,axiom,
    ( ~ esk6499_4(X1,X2,X3,X4)
    | esk6528_4(X1,X2,X3,X4) )).

cnf(i_0_12951,axiom,
    ( ~ esk2493_4(X1,X2,X3,X4)
    | esk2508_4(X1,X2,X3,X4) )).

cnf(i_0_12952,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk2208_4(X1,X2,X3,X4) )).

cnf(i_0_12953,axiom,
    ( esk2526_4(X1,X2,X3,X4)
    | ~ esk2571_4(X1,X2,X3,X4)
    | ~ esk2525_4(X1,X2,X3,X4) )).

cnf(i_0_12954,axiom,
    ( esk6374_4(X1,X2,X3,X4)
    | esk6375_4(X1,X2,X3,X4)
    | ~ esk6376_4(X1,X2,X3,X4) )).

cnf(i_0_12955,axiom,
    ( esk5279_4(X1,X2,X3,X4)
    | ~ esk5281_4(X1,X2,X3,X4)
    | esk5280_4(X1,X2,X3,X4) )).

cnf(i_0_12956,axiom,
    ( esk8148_4(X1,X2,X3,X4)
    | ~ esk7977_4(X1,X2,X3,X4) )).

cnf(i_0_12957,axiom,
    ( esk8035_4(X1,X2,X3,X4)
    | ~ esk7995_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_12958,axiom,
    ( esk9209_4(X1,X2,X3,X4)
    | ~ esk9208_4(X1,X2,X3,X4) )).

cnf(i_0_12959,axiom,
    ( ~ esk5356_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_12960,axiom,
    ( esk6287_4(X1,X2,X3,X4)
    | esk6288_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4) )).

cnf(i_0_12961,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | esk1095_0
    | ~ esk9170_4(X1,X2,X3,X4) )).

cnf(i_0_12962,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1170_0 )).

cnf(i_0_12963,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk9097_4(X1,X2,X3,X4)
    | ~ esk917_0 )).

cnf(i_0_12964,axiom,
    ( esk1041_0
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_12965,axiom,
    ( ~ p(X3)
    | esk576_0
    | ~ p(X4)
    | p(X1)
    | ~ esk8717_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_12966,axiom,
    ( esk5260_4(X1,X2,X3,X4)
    | esk5259_4(X1,X2,X3,X4)
    | ~ esk5261_4(X1,X2,X3,X4) )).

cnf(i_0_12967,axiom,
    ( esk2623_4(X1,X2,X3,X4)
    | ~ esk2624_4(X1,X2,X3,X4) )).

cnf(i_0_12968,axiom,
    ( ~ esk6221_4(X1,X2,X3,X4)
    | esk6486_4(X1,X2,X3,X4) )).

cnf(i_0_12969,axiom,
    ( ~ esk5520_4(X1,X2,X3,X4)
    | esk5517_4(X1,X2,X3,X4) )).

cnf(i_0_12970,axiom,
    ( ~ esk1590_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_12971,axiom,
    ( p(X3)
    | esk529_0
    | p(X1)
    | ~ esk8617_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_12972,axiom,
    ( ~ esk7190_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_12973,axiom,
    ( ~ esk8260_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_12974,axiom,
    ( p(X3)
    | ~ esk93_0
    | p(X1)
    | p(X2)
    | esk7937_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_12975,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk632_0
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_12976,axiom,
    ( esk5978_4(X1,X2,X3,X4)
    | ~ esk5976_4(X1,X2,X3,X4) )).

cnf(i_0_12977,axiom,
    ( esk6946_4(X1,X2,X3,X4)
    | ~ esk6947_4(X1,X2,X3,X4) )).

cnf(i_0_12978,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk2795_4(X1,X2,X3,X4)
    | ~ esk870_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_12979,axiom,
    ( ~ esk5821_4(X1,X2,X3,X4)
    | esk7119_4(X1,X2,X3,X4) )).

cnf(i_0_12980,axiom,
    ( esk4714_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_12981,axiom,
    ( ~ esk5636_4(X1,X2,X3,X4)
    | esk6695_4(X1,X2,X3,X4)
    | ~ esk6694_4(X1,X2,X3,X4) )).

cnf(i_0_12982,axiom,
    ( esk4641_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_12983,axiom,
    ( p(X4)
    | esk901_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_12984,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9438_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_12985,axiom,
    ( esk9143_4(X1,X2,X3,X4)
    | ~ esk9142_4(X1,X2,X3,X4)
    | ~ esk9137_4(X1,X2,X3,X4) )).

cnf(i_0_12986,axiom,
    ( esk8944_4(X1,X2,X3,X4)
    | ~ esk8945_4(X1,X2,X3,X4) )).

cnf(i_0_12987,axiom,
    ( ~ esk6201_4(X1,X2,X3,X4)
    | esk6200_4(X1,X2,X3,X4) )).

cnf(i_0_12988,axiom,
    ( esk4792_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_12989,axiom,
    ( esk4563_4(X1,X2,X3,X4)
    | ~ esk3749_4(X1,X2,X3,X4) )).

cnf(i_0_12990,axiom,
    ( esk4427_4(X1,X2,X3,X4)
    | esk4428_4(X1,X2,X3,X4)
    | ~ esk4429_4(X1,X2,X3,X4) )).

cnf(i_0_12991,axiom,
    ( esk2090_4(X1,X2,X3,X4)
    | ~ esk2124_4(X1,X2,X3,X4) )).

cnf(i_0_12992,axiom,
    ( esk5267_4(X1,X2,X3,X4)
    | esk5268_4(X1,X2,X3,X4)
    | ~ esk5269_4(X1,X2,X3,X4) )).

cnf(i_0_12993,axiom,
    ( ~ esk3479_4(X1,X2,X3,X4)
    | esk4234_4(X1,X2,X3,X4) )).

cnf(i_0_12994,axiom,
    ( ~ esk3004_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12995,axiom,
    ( ~ p(X4)
    | ~ esk1303_0
    | ~ p(X3)
    | esk2942_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_12996,axiom,
    ( ~ esk3073_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_12997,axiom,
    ( ~ esk8149_4(X1,X2,X3,X4)
    | esk7659_4(X1,X2,X3,X4) )).

cnf(i_0_12998,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk1214_0
    | ~ p(X4)
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_12999,axiom,
    ( esk4096_4(X1,X2,X3,X4)
    | esk4183_4(X1,X2,X3,X4) )).

cnf(i_0_13000,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2983_4(X1,X2,X3,X4) )).

cnf(i_0_13001,axiom,
    ( ~ esk1917_4(X1,X2,X3,X4)
    | esk4017_4(X1,X2,X3,X4) )).

cnf(i_0_13002,axiom,
    ( esk4995_4(X1,X2,X3,X4)
    | ~ esk3470_4(X1,X2,X3,X4) )).

cnf(i_0_13003,axiom,
    ( ~ esk8611_4(X1,X2,X3,X4)
    | esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_13004,axiom,
    ( esk6271_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6270_4(X1,X2,X3,X4) )).

cnf(i_0_13005,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk4142_4(X1,X2,X3,X4) )).

cnf(i_0_13006,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | esk2045_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_13007,axiom,
    ( ~ esk4308_4(X1,X2,X3,X4)
    | ~ esk3472_4(X1,X2,X3,X4)
    | esk4346_4(X1,X2,X3,X4) )).

cnf(i_0_13008,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ esk1438_4(X1,X2,X3,X4)
    | esk7_0 )).

cnf(i_0_13009,axiom,
    ( ~ esk2956_4(X1,X2,X3,X4)
    | p(X2)
    | esk1332_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_13010,axiom,
    ( esk9638_4(X1,X2,X3,X4)
    | ~ esk9635_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_13011,axiom,
    ( ~ esk2082_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_13012,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8311_4(X1,X2,X3,X4) )).

cnf(i_0_13013,axiom,
    ( ~ esk2006_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_13014,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk1926_4(X1,X2,X3,X4) )).

cnf(i_0_13015,axiom,
    ( ~ esk7113_4(X1,X2,X3,X4)
    | esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_13016,axiom,
    ( ~ esk7054_4(X1,X2,X3,X4)
    | esk7056_4(X1,X2,X3,X4) )).

cnf(i_0_13017,axiom,
    ( ~ esk4431_4(X1,X2,X3,X4)
    | esk4430_4(X1,X2,X3,X4) )).

cnf(i_0_13018,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9308_4(X1,X2,X3,X4) )).

cnf(i_0_13019,axiom,
    ( ~ esk3084_4(X1,X2,X3,X4)
    | esk3083_4(X1,X2,X3,X4) )).

cnf(i_0_13020,axiom,
    ( esk2059_4(X1,X2,X3,X4)
    | ~ esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_13021,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6574_4(X1,X2,X3,X4) )).

cnf(i_0_13022,axiom,
    ( ~ esk6047_4(X1,X2,X3,X4)
    | esk6048_4(X1,X2,X3,X4) )).

cnf(i_0_13023,axiom,
    ( ~ esk2648_4(X1,X2,X3,X4)
    | esk2650_4(X1,X2,X3,X4) )).

cnf(i_0_13024,axiom,
    ( esk1157_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_13025,axiom,
    ( ~ esk4357_4(X1,X2,X3,X4)
    | esk4359_4(X1,X2,X3,X4) )).

cnf(i_0_13026,axiom,
    ( ~ esk4175_4(X1,X2,X3,X4)
    | esk4176_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13027,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk131_0
    | p(X3)
    | ~ p(X4)
    | esk1671_4(X1,X2,X3,X4) )).

cnf(i_0_13028,axiom,
    ( ~ esk5525_4(X1,X2,X3,X4)
    | esk5528_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_13029,axiom,
    ( esk4879_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_13030,axiom,
    ( esk2678_4(X1,X2,X3,X4)
    | ~ esk2676_4(X1,X2,X3,X4) )).

cnf(i_0_13031,axiom,
    ( esk4593_4(X1,X2,X3,X4)
    | ~ esk4592_4(X1,X2,X3,X4) )).

cnf(i_0_13032,axiom,
    ( ~ esk5464_4(X1,X2,X3,X4)
    | esk5461_4(X1,X2,X3,X4) )).

cnf(i_0_13033,axiom,
    ( ~ esk883_0
    | esk2797_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_13034,axiom,
    ( ~ esk7071_4(X1,X2,X3,X4)
    | esk5781_4(X1,X2,X3,X4) )).

cnf(i_0_13035,axiom,
    ( ~ esk5275_4(X1,X2,X3,X4)
    | esk5277_4(X1,X2,X3,X4) )).

cnf(i_0_13036,axiom,
    ( ~ esk6562_4(X1,X2,X3,X4)
    | esk6561_4(X1,X2,X3,X4) )).

cnf(i_0_13037,axiom,
    ( esk2393_4(X1,X2,X3,X4)
    | ~ esk2395_4(X1,X2,X3,X4)
    | esk2394_4(X1,X2,X3,X4) )).

cnf(i_0_13038,axiom,
    ( ~ esk7368_4(X1,X2,X3,X4)
    | ~ esk7373_4(X1,X2,X3,X4)
    | esk7374_4(X1,X2,X3,X4) )).

cnf(i_0_13039,axiom,
    ( ~ esk4719_4(X1,X2,X3,X4)
    | esk4721_4(X1,X2,X3,X4) )).

cnf(i_0_13040,axiom,
    ( esk363_0
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk8283_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_13041,axiom,
    ( ~ esk31_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_13042,axiom,
    ( p(X4)
    | esk368_0
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_13043,axiom,
    ( ~ esk8403_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_13044,axiom,
    ( esk5321_4(X1,X2,X3,X4)
    | ~ esk5320_4(X1,X2,X3,X4) )).

cnf(i_0_13045,axiom,
    ( ~ esk8804_4(X1,X2,X3,X4)
    | esk8097_4(X1,X2,X3,X4) )).

cnf(i_0_13046,axiom,
    ( ~ esk2635_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_13047,axiom,
    ( ~ esk5538_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_13048,axiom,
    ( esk9066_4(X1,X2,X3,X4)
    | ~ esk9663_4(X1,X2,X3,X4)
    | ~ esk9065_4(X1,X2,X3,X4) )).

cnf(i_0_13049,axiom,
    ( esk6138_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13050,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7551_4(X1,X2,X3,X4) )).

cnf(i_0_13051,axiom,
    ( ~ esk5128_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13052,axiom,
    ( p(X3)
    | p(X2)
    | esk904_0
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_13053,axiom,
    ( ~ esk1762_4(X1,X2,X3,X4)
    | esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_13054,axiom,
    ( esk4120_4(X1,X2,X3,X4)
    | ~ esk6220_4(X1,X2,X3,X4) )).

cnf(i_0_13055,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9650_4(X1,X2,X3,X4) )).

cnf(i_0_13056,axiom,
    ( esk1372_4(X1,X2,X3,X4)
    | ~ esk1524_4(X1,X2,X3,X4) )).

cnf(i_0_13057,axiom,
    ( esk5018_4(X1,X2,X3,X4)
    | ~ esk4578_4(X1,X2,X3,X4) )).

cnf(i_0_13058,axiom,
    ( ~ esk7687_4(X1,X2,X3,X4)
    | esk8045_4(X1,X2,X3,X4) )).

cnf(i_0_13059,axiom,
    ( esk6128_4(X1,X2,X3,X4)
    | esk6127_4(X1,X2,X3,X4)
    | ~ esk6129_4(X1,X2,X3,X4) )).

cnf(i_0_13060,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4432_4(X1,X2,X3,X4) )).

cnf(i_0_13061,axiom,
    ( ~ esk3793_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13062,axiom,
    ( esk5874_4(X1,X2,X3,X4)
    | ~ esk5872_4(X1,X2,X3,X4) )).

cnf(i_0_13063,axiom,
    ( esk6951_4(X1,X2,X3,X4)
    | ~ esk6950_4(X1,X2,X3,X4)
    | ~ esk7532_4(X1,X2,X3,X4) )).

cnf(i_0_13064,axiom,
    ( ~ esk8127_4(X1,X2,X3,X4)
    | esk8126_4(X1,X2,X3,X4) )).

cnf(i_0_13065,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | esk7899_4(X1,X2,X3,X4)
    | ~ esk7807_4(X1,X2,X3,X4) )).

cnf(i_0_13066,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk3904_4(X1,X2,X3,X4) )).

cnf(i_0_13067,axiom,
    ( esk2964_4(X1,X2,X3,X4)
    | ~ esk2966_4(X1,X2,X3,X4)
    | esk2965_4(X1,X2,X3,X4) )).

cnf(i_0_13068,axiom,
    ( ~ esk3543_4(X1,X2,X3,X4)
    | esk3502_4(X1,X2,X3,X4) )).

cnf(i_0_13069,axiom,
    ( ~ esk2531_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13070,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk7327_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_13071,axiom,
    ( ~ esk1917_4(X1,X2,X3,X4)
    | esk2096_4(X1,X2,X3,X4) )).

cnf(i_0_13072,axiom,
    ( ~ esk239_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk1758_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_13073,axiom,
    ( ~ esk4728_4(X1,X2,X3,X4)
    | esk5391_4(X1,X2,X3,X4) )).

cnf(i_0_13074,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3389_4(X1,X2,X3,X4) )).

cnf(i_0_13075,axiom,
    ( esk9337_4(X1,X2,X3,X4)
    | ~ esk9339_4(X1,X2,X3,X4)
    | esk9338_4(X1,X2,X3,X4) )).

cnf(i_0_13076,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2992_4(X1,X2,X3,X4) )).

cnf(i_0_13077,axiom,
    ( ~ esk7648_4(X1,X2,X3,X4)
    | ~ esk7064_4(X1,X2,X3,X4)
    | esk5634_4(X1,X2,X3,X4) )).

cnf(i_0_13078,axiom,
    ( esk8456_4(X1,X2,X3,X4)
    | ~ esk8455_4(X1,X2,X3,X4) )).

cnf(i_0_13079,axiom,
    ( ~ esk4101_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4102_4(X1,X2,X3,X4) )).

cnf(i_0_13080,axiom,
    ( ~ esk102_0
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk7937_4(X1,X2,X3,X4) )).

cnf(i_0_13081,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk1009_0
    | ~ esk9111_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_13082,axiom,
    ( esk1902_4(X1,X2,X3,X4)
    | esk1903_4(X1,X2,X3,X4)
    | ~ esk1904_4(X1,X2,X3,X4) )).

cnf(i_0_13083,axiom,
    ( esk1144_0
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_13084,axiom,
    ( ~ esk7533_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_13085,axiom,
    ( esk5793_4(X1,X2,X3,X4)
    | ~ esk5791_4(X1,X2,X3,X4) )).

cnf(i_0_13086,axiom,
    ( esk2676_4(X1,X2,X3,X4)
    | ~ esk2675_4(X1,X2,X3,X4)
    | ~ esk2488_4(X1,X2,X3,X4) )).

cnf(i_0_13087,axiom,
    ( esk815_0
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_13088,axiom,
    ( ~ esk7293_4(X1,X2,X3,X4)
    | ~ esk7280_4(X1,X2,X3,X4)
    | esk7294_4(X1,X2,X3,X4) )).

cnf(i_0_13089,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1831_4(X1,X2,X3,X4) )).

cnf(i_0_13090,axiom,
    ( esk8716_4(X1,X2,X3,X4)
    | ~ esk8208_4(X1,X2,X3,X4) )).

cnf(i_0_13091,axiom,
    ( esk8483_4(X1,X2,X3,X4)
    | ~ esk8481_4(X1,X2,X3,X4) )).

cnf(i_0_13092,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | ~ esk4307_4(X1,X2,X3,X4) )).

cnf(i_0_13093,axiom,
    ( esk911_0
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_13094,axiom,
    ( esk1_0
    | p(X1)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_13095,axiom,
    ( ~ esk7630_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_13096,axiom,
    ( ~ esk6938_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_13097,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk1340_0
    | p(X1)
    | esk2958_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_13098,axiom,
    ( esk1987_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk368_0
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_13099,axiom,
    ( esk8268_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_13100,axiom,
    ( esk2253_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13101,axiom,
    ( esk2280_4(X1,X2,X3,X4)
    | ~ esk2386_4(X1,X2,X3,X4) )).

cnf(i_0_13102,axiom,
    ( ~ esk5322_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13103,axiom,
    ( ~ esk4914_4(X1,X2,X3,X4)
    | esk4925_4(X1,X2,X3,X4) )).

cnf(i_0_13104,axiom,
    ( ~ esk8735_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk721_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_13105,axiom,
    ( ~ esk2673_4(X1,X2,X3,X4)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_13106,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk2046_4(X1,X2,X3,X4) )).

cnf(i_0_13107,axiom,
    ( ~ esk3563_4(X1,X2,X3,X4)
    | esk3562_4(X1,X2,X3,X4)
    | esk3561_4(X1,X2,X3,X4) )).

cnf(i_0_13108,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk405_0
    | p(X3)
    | ~ esk2022_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13109,axiom,
    ( ~ esk3172_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_13110,axiom,
    ( ~ esk2364_4(X1,X2,X3,X4)
    | esk2366_4(X1,X2,X3,X4) )).

cnf(i_0_13111,axiom,
    ( esk5697_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_13112,axiom,
    ( esk9359_4(X1,X2,X3,X4)
    | ~ esk9358_4(X1,X2,X3,X4) )).

cnf(i_0_13113,axiom,
    ( ~ esk7459_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_13114,axiom,
    ( ~ esk2972_4(X1,X2,X3,X4)
    | esk2974_4(X1,X2,X3,X4) )).

cnf(i_0_13115,axiom,
    ( ~ esk6580_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_13116,axiom,
    ( p(X2)
    | ~ esk2289_4(X1,X2,X3,X4)
    | p(X4)
    | esk514_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_13117,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2722_4(X1,X2,X3,X4) )).

cnf(i_0_13118,axiom,
    ( esk6393_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13119,axiom,
    ( esk5678_4(X1,X2,X3,X4)
    | ~ esk5703_4(X1,X2,X3,X4) )).

cnf(i_0_13120,axiom,
    ( ~ p(X1)
    | esk776_0
    | p(X4)
    | ~ esk8778_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_13121,axiom,
    ( ~ esk2247_4(X1,X2,X3,X4)
    | esk2209_4(X1,X2,X3,X4) )).

cnf(i_0_13122,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk95_0
    | esk7937_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_13123,axiom,
    ( esk9555_4(X1,X2,X3,X4)
    | ~ esk9554_4(X1,X2,X3,X4) )).

cnf(i_0_13124,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4)
    | ~ esk3293_4(X1,X2,X3,X4) )).

cnf(i_0_13125,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8453_4(X1,X2,X3,X4) )).

cnf(i_0_13126,axiom,
    ( esk659_0
    | ~ p(X2)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_13127,axiom,
    ( ~ esk274_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_13128,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk2876_4(X1,X2,X3,X4)
    | esk1107_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_13129,axiom,
    ( ~ esk9261_4(X1,X2,X3,X4)
    | esk9260_4(X1,X2,X3,X4) )).

cnf(i_0_13130,axiom,
    ( esk1162_0
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_13131,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | esk1505_4(X1,X2,X3,X4)
    | ~ esk1480_4(X1,X2,X3,X4) )).

cnf(i_0_13132,axiom,
    ( ~ esk4064_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_13133,axiom,
    ( esk6440_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_13134,axiom,
    ( esk9643_4(X1,X2,X3,X4)
    | ~ esk9646_4(X1,X2,X3,X4) )).

cnf(i_0_13135,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8239_4(X1,X2,X3,X4) )).

cnf(i_0_13136,axiom,
    ( esk5916_4(X1,X2,X3,X4)
    | esk5915_4(X1,X2,X3,X4)
    | ~ esk5917_4(X1,X2,X3,X4) )).

cnf(i_0_13137,axiom,
    ( ~ esk1868_4(X1,X2,X3,X4)
    | esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_13138,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3760_4(X1,X2,X3,X4) )).

cnf(i_0_13139,axiom,
    ( ~ esk4800_4(X1,X2,X3,X4)
    | esk4801_4(X1,X2,X3,X4) )).

cnf(i_0_13140,axiom,
    ( ~ esk791_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk9081_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_13141,axiom,
    ( ~ esk9022_4(X1,X2,X3,X4)
    | esk9021_4(X1,X2,X3,X4) )).

cnf(i_0_13142,axiom,
    ( ~ esk230_0
    | esk8054_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_13143,axiom,
    ( ~ esk3994_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_13144,axiom,
    ( esk5789_4(X1,X2,X3,X4)
    | ~ esk7079_4(X1,X2,X3,X4) )).

cnf(i_0_13145,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5092_4(X1,X2,X3,X4) )).

cnf(i_0_13146,axiom,
    ( ~ p(X2)
    | esk9248_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk1313_0
    | p(X1) )).

cnf(i_0_13147,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | esk9396_4(X1,X2,X3,X4) )).

cnf(i_0_13148,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9586_4(X1,X2,X3,X4) )).

cnf(i_0_13149,axiom,
    ( esk2952_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1309_0
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_13150,axiom,
    ( esk1_0
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_13151,axiom,
    ( ~ esk1378_4(X1,X2,X3,X4)
    | esk2213_4(X1,X2,X3,X4) )).

cnf(i_0_13152,axiom,
    ( ~ esk7011_4(X1,X2,X3,X4)
    | esk6842_4(X1,X2,X3,X4)
    | ~ esk6841_4(X1,X2,X3,X4) )).

cnf(i_0_13153,axiom,
    ( ~ esk2669_4(X1,X2,X3,X4)
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_13154,axiom,
    ( ~ esk1941_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_13155,axiom,
    ( esk9003_4(X1,X2,X3,X4)
    | ~ esk9701_4(X1,X2,X3,X4) )).

cnf(i_0_13156,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | esk9248_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1308_0 )).

cnf(i_0_13157,axiom,
    ( ~ esk7099_4(X1,X2,X3,X4)
    | esk7100_4(X1,X2,X3,X4) )).

cnf(i_0_13158,axiom,
    ( ~ esk7811_4(X1,X2,X3,X4)
    | esk7903_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_13159,axiom,
    ( ~ esk4392_4(X1,X2,X3,X4)
    | esk4393_4(X1,X2,X3,X4) )).

cnf(i_0_13160,axiom,
    ( esk7320_4(X1,X2,X3,X4)
    | ~ esk7319_4(X1,X2,X3,X4) )).

cnf(i_0_13161,axiom,
    ( esk3485_4(X1,X2,X3,X4)
    | ~ esk3855_4(X1,X2,X3,X4) )).

cnf(i_0_13162,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk200_0
    | p(X2) )).

cnf(i_0_13163,axiom,
    ( ~ esk8790_4(X1,X2,X3,X4)
    | esk8805_4(X1,X2,X3,X4) )).

cnf(i_0_13164,axiom,
    ( ~ esk6427_4(X1,X2,X3,X4)
    | esk6571_4(X1,X2,X3,X4)
    | ~ esk6570_4(X1,X2,X3,X4) )).

cnf(i_0_13165,axiom,
    ( ~ esk5561_4(X1,X2,X3,X4)
    | esk5672_4(X1,X2,X3,X4) )).

cnf(i_0_13166,axiom,
    ( esk3334_4(X1,X2,X3,X4)
    | ~ esk3332_4(X1,X2,X3,X4) )).

cnf(i_0_13167,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ esk1331_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_13168,axiom,
    ( ~ p(X1)
    | esk2956_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk1333_0
    | ~ p(X3) )).

cnf(i_0_13169,axiom,
    ( ~ esk8509_4(X1,X2,X3,X4)
    | esk6409_4(X1,X2,X3,X4) )).

cnf(i_0_13170,axiom,
    ( esk4104_4(X1,X2,X3,X4)
    | ~ esk4102_4(X1,X2,X3,X4) )).

cnf(i_0_13171,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1117_0
    | p(X1) )).

cnf(i_0_13172,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4446_4(X1,X2,X3,X4) )).

cnf(i_0_13173,axiom,
    ( ~ esk2680_4(X1,X2,X3,X4)
    | esk2489_4(X1,X2,X3,X4) )).

cnf(i_0_13174,axiom,
    ( ~ esk3603_4(X1,X2,X3,X4)
    | esk3602_4(X1,X2,X3,X4) )).

cnf(i_0_13175,axiom,
    ( esk7845_4(X1,X2,X3,X4)
    | ~ esk7846_4(X1,X2,X3,X4) )).

cnf(i_0_13176,axiom,
    ( esk7089_4(X1,X2,X3,X4)
    | ~ esk5564_4(X1,X2,X3,X4) )).

cnf(i_0_13177,axiom,
    ( ~ esk2184_4(X1,X2,X3,X4)
    | esk2186_4(X1,X2,X3,X4) )).

cnf(i_0_13178,axiom,
    ( esk5993_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_13179,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8192_4(X1,X2,X3,X4) )).

cnf(i_0_13180,axiom,
    ( esk3606_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_13181,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk606_0
    | p(X3)
    | p(X1) )).

cnf(i_0_13182,axiom,
    ( p(X3)
    | ~ esk8138_4(X1,X2,X3,X4)
    | esk258_0
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_13183,axiom,
    ( ~ esk7590_4(X1,X2,X3,X4)
    | esk7589_4(X1,X2,X3,X4) )).

cnf(i_0_13184,axiom,
    ( esk1550_4(X1,X2,X3,X4)
    | esk1549_4(X1,X2,X3,X4)
    | ~ esk1551_4(X1,X2,X3,X4) )).

cnf(i_0_13185,axiom,
    ( ~ esk1418_4(X1,X2,X3,X4)
    | esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_13186,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk8142_4(X1,X2,X3,X4) )).

cnf(i_0_13187,axiom,
    ( ~ esk4516_4(X1,X2,X3,X4)
    | esk2416_4(X1,X2,X3,X4) )).

cnf(i_0_13188,axiom,
    ( esk4973_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_13189,axiom,
    ( ~ esk6631_4(X1,X2,X3,X4)
    | esk4531_4(X1,X2,X3,X4) )).

cnf(i_0_13190,axiom,
    ( esk6146_4(X1,X2,X3,X4)
    | ~ esk6112_4(X1,X2,X3,X4)
    | esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_13191,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | esk8423_4(X1,X2,X3,X4)
    | ~ esk8728_4(X1,X2,X3,X4) )).

cnf(i_0_13192,axiom,
    ( p(X3)
    | ~ esk15_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_13193,axiom,
    ( ~ esk6280_4(X1,X2,X3,X4)
    | esk6242_4(X1,X2,X3,X4) )).

cnf(i_0_13194,axiom,
    ( esk2425_4(X1,X2,X3,X4)
    | ~ esk2238_4(X1,X2,X3,X4) )).

cnf(i_0_13195,axiom,
    ( ~ esk2632_4(X1,X2,X3,X4)
    | esk2631_4(X1,X2,X3,X4) )).

cnf(i_0_13196,axiom,
    ( ~ esk9149_4(X1,X2,X3,X4)
    | esk9150_4(X1,X2,X3,X4) )).

cnf(i_0_13197,axiom,
    ( ~ esk989_0
    | ~ p(X4)
    | p(X2)
    | esk9107_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_13198,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk325_0
    | esk8248_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_13199,axiom,
    ( ~ esk3116_4(X1,X2,X3,X4)
    | esk3118_4(X1,X2,X3,X4) )).

cnf(i_0_13200,axiom,
    ( ~ esk6357_4(X1,X2,X3,X4)
    | esk6507_4(X1,X2,X3,X4)
    | ~ esk6506_4(X1,X2,X3,X4) )).

cnf(i_0_13201,axiom,
    ( ~ esk3619_4(X1,X2,X3,X4)
    | esk5014_4(X1,X2,X3,X4) )).

cnf(i_0_13202,axiom,
    ( ~ esk5091_4(X1,X2,X3,X4)
    | esk5093_4(X1,X2,X3,X4) )).

cnf(i_0_13203,axiom,
    ( ~ p(X3)
    | esk392_0
    | ~ p(X2)
    | p(X4)
    | ~ esk8291_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_13204,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3175_4(X1,X2,X3,X4) )).

cnf(i_0_13205,axiom,
    ( p(X2)
    | esk9087_4(X1,X2,X3,X4)
    | ~ esk838_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_13206,axiom,
    ( ~ esk3531_4(X1,X2,X3,X4)
    | esk3533_4(X1,X2,X3,X4) )).

cnf(i_0_13207,axiom,
    ( p(X3)
    | esk1072_0
    | ~ esk9168_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_13208,axiom,
    ( ~ esk4040_4(X1,X2,X3,X4)
    | esk4042_4(X1,X2,X3,X4) )).

cnf(i_0_13209,axiom,
    ( ~ esk4264_4(X1,X2,X3,X4)
    | esk4263_4(X1,X2,X3,X4)
    | esk4226_4(X1,X2,X3,X4) )).

cnf(i_0_13210,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8064_4(X1,X2,X3,X4) )).

cnf(i_0_13211,axiom,
    ( esk5078_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_13212,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_13213,axiom,
    ( esk3242_4(X1,X2,X3,X4)
    | ~ esk3240_4(X1,X2,X3,X4) )).

cnf(i_0_13214,axiom,
    ( esk1648_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_13215,axiom,
    ( esk9495_4(X1,X2,X3,X4)
    | ~ esk9493_4(X1,X2,X3,X4) )).

cnf(i_0_13216,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk1223_0
    | ~ p(X3)
    | esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_13217,axiom,
    ( ~ esk2378_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_13218,axiom,
    ( ~ esk1602_4(X1,X2,X3,X4)
    | esk1510_4(X1,X2,X3,X4) )).

cnf(i_0_13219,axiom,
    ( esk6325_4(X1,X2,X3,X4)
    | ~ esk6359_4(X1,X2,X3,X4) )).

cnf(i_0_13220,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | esk7183_4(X1,X2,X3,X4)
    | ~ esk7180_4(X1,X2,X3,X4) )).

cnf(i_0_13221,axiom,
    ( ~ esk2165_4(X1,X2,X3,X4)
    | esk2203_4(X1,X2,X3,X4)
    | esk2204_4(X1,X2,X3,X4) )).

cnf(i_0_13222,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk1995_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk391_0 )).

cnf(i_0_13223,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9484_4(X1,X2,X3,X4) )).

cnf(i_0_13224,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8638_4(X1,X2,X3,X4) )).

cnf(i_0_13225,axiom,
    ( ~ esk3854_4(X1,X2,X3,X4)
    | esk5025_4(X1,X2,X3,X4) )).

cnf(i_0_13226,axiom,
    ( esk8585_4(X1,X2,X3,X4)
    | ~ esk523_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_13227,axiom,
    ( esk3149_4(X1,X2,X3,X4)
    | esk3148_4(X1,X2,X3,X4)
    | ~ esk3150_4(X1,X2,X3,X4) )).

cnf(i_0_13228,axiom,
    ( ~ esk4610_4(X1,X2,X3,X4)
    | esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_13229,axiom,
    ( ~ esk3940_4(X1,X2,X3,X4)
    | esk6040_4(X1,X2,X3,X4) )).

cnf(i_0_13230,axiom,
    ( p(X4)
    | esk503_0
    | ~ p(X3)
    | ~ esk2251_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_13231,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2368_4(X1,X2,X3,X4) )).

cnf(i_0_13232,axiom,
    ( esk4654_4(X1,X2,X3,X4)
    | ~ esk4712_4(X1,X2,X3,X4) )).

cnf(i_0_13233,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2795_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk864_0 )).

cnf(i_0_13234,axiom,
    ( ~ p(X2)
    | esk1327_0
    | ~ p(X4)
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_13235,axiom,
    ( esk8462_4(X1,X2,X3,X4)
    | ~ esk8498_4(X1,X2,X3,X4) )).

cnf(i_0_13236,axiom,
    ( ~ esk8367_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_13237,axiom,
    ( ~ esk4795_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_13238,axiom,
    ( ~ esk1346_0
    | esk9254_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_13239,axiom,
    ( esk2586_4(X1,X2,X3,X4)
    | ~ esk2645_4(X1,X2,X3,X4) )).

cnf(i_0_13240,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3005_4(X1,X2,X3,X4) )).

cnf(i_0_13241,axiom,
    ( ~ esk1813_4(X1,X2,X3,X4)
    | esk1849_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_13242,axiom,
    ( esk1827_4(X1,X2,X3,X4)
    | ~ esk1828_4(X1,X2,X3,X4)
    | esk1826_4(X1,X2,X3,X4) )).

cnf(i_0_13243,axiom,
    ( esk7111_4(X1,X2,X3,X4)
    | ~ esk5813_4(X1,X2,X3,X4) )).

cnf(i_0_13244,axiom,
    ( ~ esk9166_4(X1,X2,X3,X4)
    | esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_13245,axiom,
    ( ~ p(X1)
    | ~ esk1442_4(X1,X2,X3,X4)
    | esk47_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_13246,axiom,
    ( p(X3)
    | ~ esk517_0
    | p(X4)
    | ~ p(X2)
    | esk8585_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_13247,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6132_4(X1,X2,X3,X4) )).

cnf(i_0_13248,axiom,
    ( esk5704_4(X1,X2,X3,X4)
    | ~ esk5702_4(X1,X2,X3,X4) )).

cnf(i_0_13249,axiom,
    ( ~ esk4444_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_13250,axiom,
    ( ~ esk8156_4(X1,X2,X3,X4)
    | esk283_0
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_13251,axiom,
    ( esk3090_4(X1,X2,X3,X4)
    | ~ esk3093_4(X1,X2,X3,X4) )).

cnf(i_0_13252,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk1975_4(X1,X2,X3,X4) )).

cnf(i_0_13253,axiom,
    ( esk3103_4(X1,X2,X3,X4)
    | ~ esk3104_4(X1,X2,X3,X4) )).

cnf(i_0_13254,axiom,
    ( esk6777_4(X1,X2,X3,X4)
    | ~ esk6778_4(X1,X2,X3,X4) )).

cnf(i_0_13255,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1592_4(X1,X2,X3,X4) )).

cnf(i_0_13256,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk2795_4(X1,X2,X3,X4)
    | esk868_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_13257,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk997_0
    | p(X3) )).

cnf(i_0_13258,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3570_4(X1,X2,X3,X4) )).

cnf(i_0_13259,axiom,
    ( ~ esk8690_4(X1,X2,X3,X4)
    | esk8689_4(X1,X2,X3,X4) )).

cnf(i_0_13260,axiom,
    ( ~ esk9583_4(X1,X2,X3,X4)
    | esk9584_4(X1,X2,X3,X4)
    | esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_13261,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2275_4(X1,X2,X3,X4) )).

cnf(i_0_13262,axiom,
    ( esk8874_4(X1,X2,X3,X4)
    | ~ esk8808_4(X1,X2,X3,X4) )).

cnf(i_0_13263,axiom,
    ( ~ esk728_0
    | ~ p(X3)
    | ~ p(X2)
    | esk2451_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_13264,axiom,
    ( ~ esk6251_4(X1,X2,X3,X4)
    | esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_13265,axiom,
    ( p(X1)
    | p(X2)
    | esk7736_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk19_0
    | ~ p(X4) )).

cnf(i_0_13266,axiom,
    ( esk4878_4(X1,X2,X3,X4)
    | ~ esk4876_4(X1,X2,X3,X4) )).

cnf(i_0_13267,axiom,
    ( ~ esk8640_4(X1,X2,X3,X4)
    | esk8641_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_13268,axiom,
    ( ~ esk5412_4(X1,X2,X3,X4)
    | esk4697_4(X1,X2,X3,X4) )).

cnf(i_0_13269,axiom,
    ( esk3953_4(X1,X2,X3,X4)
    | ~ esk3956_4(X1,X2,X3,X4) )).

cnf(i_0_13270,axiom,
    ( esk9555_4(X1,X2,X3,X4)
    | ~ esk9558_4(X1,X2,X3,X4) )).

cnf(i_0_13271,axiom,
    ( ~ esk9433_4(X1,X2,X3,X4)
    | esk9427_4(X1,X2,X3,X4) )).

cnf(i_0_13272,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9480_4(X1,X2,X3,X4) )).

cnf(i_0_13273,axiom,
    ( esk5785_4(X1,X2,X3,X4)
    | ~ esk5783_4(X1,X2,X3,X4) )).

cnf(i_0_13274,axiom,
    ( ~ esk9623_4(X1,X2,X3,X4)
    | esk9621_4(X1,X2,X3,X4)
    | esk9622_4(X1,X2,X3,X4) )).

cnf(i_0_13275,axiom,
    ( ~ esk8875_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_13276,axiom,
    ( esk9205_4(X1,X2,X3,X4)
    | ~ esk7842_4(X1,X2,X3,X4) )).

cnf(i_0_13277,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2437_4(X1,X2,X3,X4)
    | esk705_0 )).

cnf(i_0_13278,axiom,
    ( esk5615_4(X1,X2,X3,X4)
    | ~ esk6371_4(X1,X2,X3,X4) )).

cnf(i_0_13279,axiom,
    ( esk2645_4(X1,X2,X3,X4)
    | ~ esk2586_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_13280,axiom,
    ( ~ esk4045_4(X1,X2,X3,X4)
    | esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_13281,axiom,
    ( esk8618_4(X1,X2,X3,X4)
    | ~ esk7707_4(X1,X2,X3,X4) )).

cnf(i_0_13282,axiom,
    ( ~ esk6729_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13283,axiom,
    ( esk3627_4(X1,X2,X3,X4)
    | esk3626_4(X1,X2,X3,X4)
    | ~ esk3628_4(X1,X2,X3,X4) )).

cnf(i_0_13284,axiom,
    ( ~ esk3894_4(X1,X2,X3,X4)
    | esk3895_4(X1,X2,X3,X4) )).

cnf(i_0_13285,axiom,
    ( p(X3)
    | ~ esk7967_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk131_0 )).

cnf(i_0_13286,axiom,
    ( ~ esk3364_4(X1,X2,X3,X4)
    | esk3366_4(X1,X2,X3,X4) )).

cnf(i_0_13287,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7247_4(X1,X2,X3,X4) )).

cnf(i_0_13288,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8377_4(X1,X2,X3,X4) )).

cnf(i_0_13289,axiom,
    ( esk3750_4(X1,X2,X3,X4)
    | ~ esk3748_4(X1,X2,X3,X4) )).

cnf(i_0_13290,axiom,
    ( ~ esk4983_4(X1,X2,X3,X4)
    | esk4974_4(X1,X2,X3,X4) )).

cnf(i_0_13291,axiom,
    ( esk8635_4(X1,X2,X3,X4)
    | ~ esk8633_4(X1,X2,X3,X4) )).

cnf(i_0_13292,axiom,
    ( ~ esk6078_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_13293,axiom,
    ( p(X2)
    | esk1_0
    | p(X4)
    | ~ esk1918_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_13294,axiom,
    ( ~ esk8037_4(X1,X2,X3,X4)
    | ~ esk7985_4(X1,X2,X3,X4)
    | esk8038_4(X1,X2,X3,X4) )).

cnf(i_0_13295,axiom,
    ( esk589_0
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_13296,axiom,
    ( ~ esk9726_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_13297,axiom,
    ( esk2970_4(X1,X2,X3,X4)
    | ~ esk2968_4(X1,X2,X3,X4) )).

cnf(i_0_13298,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3247_4(X1,X2,X3,X4) )).

cnf(i_0_13299,axiom,
    ( ~ p(X2)
    | ~ esk571_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_13300,axiom,
    ( esk8433_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_13301,axiom,
    ( ~ esk2649_4(X1,X2,X3,X4)
    | esk2650_4(X1,X2,X3,X4) )).

cnf(i_0_13302,axiom,
    ( ~ esk8713_4(X1,X2,X3,X4)
    | esk551_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_13303,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | ~ esk1325_0
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_13304,axiom,
    ( esk8580_4(X1,X2,X3,X4)
    | ~ esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_13305,axiom,
    ( esk5672_4(X1,X2,X3,X4)
    | ~ esk5744_4(X1,X2,X3,X4) )).

cnf(i_0_13306,axiom,
    ( esk4261_4(X1,X2,X3,X4)
    | ~ esk4528_4(X1,X2,X3,X4)
    | ~ esk4226_4(X1,X2,X3,X4) )).

cnf(i_0_13307,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | esk1242_0 )).

cnf(i_0_13308,axiom,
    ( esk5732_4(X1,X2,X3,X4)
    | ~ esk5733_4(X1,X2,X3,X4)
    | esk5731_4(X1,X2,X3,X4) )).

cnf(i_0_13309,axiom,
    ( ~ esk2669_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_13310,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7357_4(X1,X2,X3,X4) )).

cnf(i_0_13311,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8128_4(X1,X2,X3,X4) )).

cnf(i_0_13312,axiom,
    ( esk7104_4(X1,X2,X3,X4)
    | ~ esk5847_4(X1,X2,X3,X4) )).

cnf(i_0_13313,axiom,
    ( ~ esk5680_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4)
    | esk5711_4(X1,X2,X3,X4) )).

cnf(i_0_13314,axiom,
    ( esk4014_4(X1,X2,X3,X4)
    | ~ esk3973_4(X1,X2,X3,X4) )).

cnf(i_0_13315,axiom,
    ( esk3804_4(X1,X2,X3,X4)
    | ~ esk4991_4(X1,X2,X3,X4) )).

cnf(i_0_13316,axiom,
    ( esk9418_4(X1,X2,X3,X4)
    | esk9417_4(X1,X2,X3,X4)
    | ~ esk9419_4(X1,X2,X3,X4) )).

cnf(i_0_13317,axiom,
    ( esk7493_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_13318,axiom,
    ( esk7360_4(X1,X2,X3,X4)
    | ~ esk7363_4(X1,X2,X3,X4) )).

cnf(i_0_13319,axiom,
    ( ~ esk3877_4(X1,X2,X3,X4)
    | esk3876_4(X1,X2,X3,X4) )).

cnf(i_0_13320,axiom,
    ( esk7742_4(X1,X2,X3,X4)
    | ~ esk9174_4(X1,X2,X3,X4) )).

cnf(i_0_13321,axiom,
    ( esk7365_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13322,axiom,
    ( esk5035_4(X1,X2,X3,X4)
    | ~ esk3762_4(X1,X2,X3,X4) )).

cnf(i_0_13323,axiom,
    ( esk9327_4(X1,X2,X3,X4)
    | ~ esk9326_4(X1,X2,X3,X4) )).

cnf(i_0_13324,axiom,
    ( esk9216_4(X1,X2,X3,X4)
    | ~ esk9157_4(X1,X2,X3,X4) )).

cnf(i_0_13325,axiom,
    ( esk5021_4(X1,X2,X3,X4)
    | ~ esk3656_4(X1,X2,X3,X4) )).

cnf(i_0_13326,axiom,
    ( esk7088_4(X1,X2,X3,X4)
    | ~ esk5702_4(X1,X2,X3,X4) )).

cnf(i_0_13327,axiom,
    ( esk8612_4(X1,X2,X3,X4)
    | ~ esk8679_4(X1,X2,X3,X4) )).

cnf(i_0_13328,axiom,
    ( ~ p(X1)
    | esk418_0
    | p(X2)
    | ~ esk8354_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_13329,axiom,
    ( esk4231_4(X1,X2,X3,X4)
    | ~ esk4230_4(X1,X2,X3,X4) )).

cnf(i_0_13330,axiom,
    ( ~ esk6711_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_13331,axiom,
    ( ~ esk5018_4(X1,X2,X3,X4)
    | ~ esk4962_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_13332,axiom,
    ( ~ p(X2)
    | esk1952_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk321_0
    | p(X1)
    | p(X4) )).

cnf(i_0_13333,axiom,
    ( esk7769_4(X1,X2,X3,X4)
    | ~ esk7839_4(X1,X2,X3,X4) )).

cnf(i_0_13334,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk176_0
    | p(X2)
    | ~ esk8046_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_13335,axiom,
    ( ~ esk3814_4(X1,X2,X3,X4)
    | esk5055_4(X1,X2,X3,X4) )).

cnf(i_0_13336,axiom,
    ( p(X3)
    | ~ esk9254_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk1350_0
    | ~ p(X1) )).

cnf(i_0_13337,axiom,
    ( ~ esk5090_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk5091_4(X1,X2,X3,X4) )).

cnf(i_0_13338,axiom,
    ( ~ esk3776_4(X1,X2,X3,X4)
    | esk3768_4(X1,X2,X3,X4) )).

cnf(i_0_13339,axiom,
    ( ~ esk7833_4(X1,X2,X3,X4)
    | esk7834_4(X1,X2,X3,X4)
    | ~ esk8000_4(X1,X2,X3,X4) )).

cnf(i_0_13340,axiom,
    ( esk1716_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_13341,axiom,
    ( esk5991_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13342,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6318_4(X1,X2,X3,X4) )).

cnf(i_0_13343,axiom,
    ( ~ esk2866_4(X1,X2,X3,X4)
    | esk1436_4(X1,X2,X3,X4)
    | ~ esk3450_4(X1,X2,X3,X4) )).

cnf(i_0_13344,axiom,
    ( ~ esk1373_4(X1,X2,X3,X4)
    | ~ esk2209_4(X1,X2,X3,X4)
    | esk2247_4(X1,X2,X3,X4) )).

cnf(i_0_13345,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | esk679_0
    | ~ esk2435_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_13346,axiom,
    ( ~ esk3188_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_13347,axiom,
    ( esk7984_4(X1,X2,X3,X4)
    | ~ esk9191_4(X1,X2,X3,X4) )).

cnf(i_0_13348,axiom,
    ( esk2546_4(X1,X2,X3,X4)
    | ~ esk2547_4(X1,X2,X3,X4) )).

cnf(i_0_13349,axiom,
    ( ~ esk2251_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1_0
    | p(X4)
    | p(X3) )).

cnf(i_0_13350,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8551_4(X1,X2,X3,X4)
    | ~ esk8550_4(X1,X2,X3,X4) )).

cnf(i_0_13351,axiom,
    ( ~ esk2749_4(X1,X2,X3,X4)
    | esk3326_4(X1,X2,X3,X4) )).

cnf(i_0_13352,axiom,
    ( ~ esk2107_4(X1,X2,X3,X4)
    | esk2036_4(X1,X2,X3,X4) )).

cnf(i_0_13353,axiom,
    ( ~ esk7427_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13354,axiom,
    ( ~ esk7511_4(X1,X2,X3,X4)
    | esk7512_4(X1,X2,X3,X4) )).

cnf(i_0_13355,axiom,
    ( esk6645_4(X1,X2,X3,X4)
    | ~ esk7016_4(X1,X2,X3,X4) )).

cnf(i_0_13356,axiom,
    ( ~ esk6675_4(X1,X2,X3,X4)
    | esk6770_4(X1,X2,X3,X4) )).

cnf(i_0_13357,axiom,
    ( ~ esk8712_4(X1,X2,X3,X4)
    | esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_13358,axiom,
    ( esk4195_4(X1,X2,X3,X4)
    | ~ esk3456_4(X1,X2,X3,X4) )).

cnf(i_0_13359,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | esk8741_4(X1,X2,X3,X4)
    | ~ esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_13360,axiom,
    ( ~ esk5000_4(X1,X2,X3,X4)
    | esk3863_4(X1,X2,X3,X4) )).

cnf(i_0_13361,axiom,
    ( ~ esk7681_4(X1,X2,X3,X4)
    | esk9255_4(X1,X2,X3,X4) )).

cnf(i_0_13362,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk3944_4(X1,X2,X3,X4) )).

cnf(i_0_13363,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk777_0
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_13364,axiom,
    ( esk5670_4(X1,X2,X3,X4)
    | ~ esk5668_4(X1,X2,X3,X4) )).

cnf(i_0_13365,axiom,
    ( p(X2)
    | ~ esk1444_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk58_0
    | ~ p(X1) )).

cnf(i_0_13366,axiom,
    ( ~ esk9396_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_13367,axiom,
    ( ~ esk5945_4(X1,X2,X3,X4)
    | esk5666_4(X1,X2,X3,X4) )).

cnf(i_0_13368,axiom,
    ( ~ esk5516_4(X1,X2,X3,X4)
    | esk4749_4(X1,X2,X3,X4) )).

cnf(i_0_13369,axiom,
    ( esk5535_4(X1,X2,X3,X4)
    | ~ esk5534_4(X1,X2,X3,X4)
    | esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_13370,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk2952_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1313_0
    | p(X1) )).

cnf(i_0_13371,axiom,
    ( esk7448_4(X1,X2,X3,X4)
    | ~ esk7446_4(X1,X2,X3,X4) )).

cnf(i_0_13372,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1_0
    | ~ p(X4) )).

cnf(i_0_13373,axiom,
    ( ~ esk8451_4(X1,X2,X3,X4)
    | esk8414_4(X1,X2,X3,X4) )).

cnf(i_0_13374,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6091_4(X1,X2,X3,X4) )).

cnf(i_0_13375,axiom,
    ( esk9103_4(X1,X2,X3,X4)
    | ~ esk952_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_13376,axiom,
    ( esk8424_4(X1,X2,X3,X4)
    | esk8387_4(X1,X2,X3,X4)
    | ~ esk8423_4(X1,X2,X3,X4) )).

cnf(i_0_13377,axiom,
    ( ~ esk3105_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13378,axiom,
    ( p(X3)
    | ~ esk863_0
    | p(X1)
    | ~ p(X2)
    | esk9091_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13379,axiom,
    ( ~ esk1962_4(X1,X2,X3,X4)
    | esk1960_4(X1,X2,X3,X4)
    | esk1961_4(X1,X2,X3,X4) )).

cnf(i_0_13380,axiom,
    ( esk8405_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8372_4(X1,X2,X3,X4) )).

cnf(i_0_13381,axiom,
    ( ~ esk7815_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_13382,axiom,
    ( ~ esk2_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk8717_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_13383,axiom,
    ( ~ esk1515_4(X1,X2,X3,X4)
    | esk3615_4(X1,X2,X3,X4) )).

cnf(i_0_13384,axiom,
    ( ~ esk1_0
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_13385,axiom,
    ( esk4331_4(X1,X2,X3,X4)
    | esk4330_4(X1,X2,X3,X4)
    | ~ esk4332_4(X1,X2,X3,X4) )).

cnf(i_0_13386,axiom,
    ( esk9589_4(X1,X2,X3,X4)
    | ~ esk9586_4(X1,X2,X3,X4) )).

cnf(i_0_13387,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9035_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_13388,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | esk1760_4(X1,X2,X3,X4) )).

cnf(i_0_13389,axiom,
    ( ~ esk5196_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_13390,axiom,
    ( ~ esk4404_4(X1,X2,X3,X4)
    | esk4403_4(X1,X2,X3,X4) )).

cnf(i_0_13391,axiom,
    ( ~ esk4283_4(X1,X2,X3,X4)
    | esk4282_4(X1,X2,X3,X4) )).

cnf(i_0_13392,axiom,
    ( ~ esk8490_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_13393,axiom,
    ( ~ esk4051_4(X1,X2,X3,X4)
    | esk5381_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_13394,axiom,
    ( esk2829_4(X1,X2,X3,X4)
    | esk2719_4(X1,X2,X3,X4) )).

cnf(i_0_13395,axiom,
    ( ~ p(X1)
    | esk164_0
    | p(X4)
    | ~ esk1748_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_13396,axiom,
    ( ~ esk2600_4(X1,X2,X3,X4)
    | esk2602_4(X1,X2,X3,X4) )).

cnf(i_0_13397,axiom,
    ( esk2142_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13398,axiom,
    ( esk1555_4(X1,X2,X3,X4)
    | ~ esk1553_4(X1,X2,X3,X4) )).

cnf(i_0_13399,axiom,
    ( esk3011_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_13400,axiom,
    ( esk2003_4(X1,X2,X3,X4)
    | esk2004_4(X1,X2,X3,X4)
    | ~ esk2005_4(X1,X2,X3,X4) )).

cnf(i_0_13401,axiom,
    ( ~ esk2114_4(X1,X2,X3,X4)
    | ~ esk1978_4(X1,X2,X3,X4)
    | esk2115_4(X1,X2,X3,X4) )).

cnf(i_0_13402,axiom,
    ( esk5388_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_13403,axiom,
    ( ~ esk7626_4(X1,X2,X3,X4)
    | esk7625_4(X1,X2,X3,X4) )).

cnf(i_0_13404,axiom,
    ( ~ esk9104_4(X1,X2,X3,X4)
    | ~ esk9656_4(X1,X2,X3,X4)
    | esk9657_4(X1,X2,X3,X4) )).

cnf(i_0_13405,axiom,
    ( esk4035_4(X1,X2,X3,X4)
    | ~ esk4036_4(X1,X2,X3,X4) )).

cnf(i_0_13406,axiom,
    ( ~ esk7774_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk76_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_13407,axiom,
    ( esk3171_4(X1,X2,X3,X4)
    | ~ esk3172_4(X1,X2,X3,X4) )).

cnf(i_0_13408,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3067_4(X1,X2,X3,X4) )).

cnf(i_0_13409,axiom,
    ( p(X2)
    | p(X1)
    | esk2942_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1_0
    | p(X3) )).

cnf(i_0_13410,axiom,
    ( esk7166_4(X1,X2,X3,X4)
    | ~ esk7168_4(X1,X2,X3,X4)
    | esk7167_4(X1,X2,X3,X4) )).

cnf(i_0_13411,axiom,
    ( ~ esk5624_4(X1,X2,X3,X4)
    | esk5626_4(X1,X2,X3,X4) )).

cnf(i_0_13412,axiom,
    ( ~ esk1899_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_13413,axiom,
    ( ~ esk8253_4(X1,X2,X3,X4)
    | esk8508_4(X1,X2,X3,X4) )).

cnf(i_0_13414,axiom,
    ( esk3625_4(X1,X2,X3,X4)
    | esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_13415,axiom,
    ( esk1786_4(X1,X2,X3,X4)
    | esk1787_4(X1,X2,X3,X4)
    | ~ esk1788_4(X1,X2,X3,X4) )).

cnf(i_0_13416,axiom,
    ( ~ esk8241_4(X1,X2,X3,X4)
    | esk8244_4(X1,X2,X3,X4) )).

cnf(i_0_13417,axiom,
    ( esk2791_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk840_0
    | p(X3) )).

cnf(i_0_13418,axiom,
    ( ~ esk7833_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_13419,axiom,
    ( ~ esk4586_4(X1,X2,X3,X4)
    | esk4273_4(X1,X2,X3,X4) )).

cnf(i_0_13420,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8677_4(X1,X2,X3,X4) )).

cnf(i_0_13421,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk2949_4(X1,X2,X3,X4) )).

cnf(i_0_13422,axiom,
    ( esk5641_4(X1,X2,X3,X4)
    | ~ esk7086_4(X1,X2,X3,X4) )).

cnf(i_0_13423,axiom,
    ( esk2886_4(X1,X2,X3,X4)
    | ~ esk1500_4(X1,X2,X3,X4) )).

cnf(i_0_13424,axiom,
    ( esk6680_4(X1,X2,X3,X4)
    | ~ esk7059_4(X1,X2,X3,X4) )).

cnf(i_0_13425,axiom,
    ( ~ esk6139_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_13426,axiom,
    ( ~ esk9088_4(X1,X2,X3,X4)
    | esk8929_4(X1,X2,X3,X4)
    | ~ esk8928_4(X1,X2,X3,X4) )).

cnf(i_0_13427,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4570_4(X1,X2,X3,X4) )).

cnf(i_0_13428,axiom,
    ( ~ esk6903_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_13429,axiom,
    ( esk5307_4(X1,X2,X3,X4)
    | esk5308_4(X1,X2,X3,X4)
    | ~ esk5309_4(X1,X2,X3,X4) )).

cnf(i_0_13430,axiom,
    ( ~ esk3023_4(X1,X2,X3,X4)
    | ~ esk3018_4(X1,X2,X3,X4)
    | esk3024_4(X1,X2,X3,X4) )).

cnf(i_0_13431,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5440_4(X1,X2,X3,X4) )).

cnf(i_0_13432,axiom,
    ( esk2410_4(X1,X2,X3,X4)
    | ~ esk2411_4(X1,X2,X3,X4)
    | esk2409_4(X1,X2,X3,X4) )).

cnf(i_0_13433,axiom,
    ( esk7278_4(X1,X2,X3,X4)
    | esk7279_4(X1,X2,X3,X4)
    | ~ esk7280_4(X1,X2,X3,X4) )).

cnf(i_0_13434,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3145_4(X1,X2,X3,X4) )).

cnf(i_0_13435,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4025_4(X1,X2,X3,X4) )).

cnf(i_0_13436,axiom,
    ( esk7218_4(X1,X2,X3,X4)
    | esk7219_4(X1,X2,X3,X4)
    | ~ esk7220_4(X1,X2,X3,X4) )).

cnf(i_0_13437,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5442_4(X1,X2,X3,X4) )).

cnf(i_0_13438,axiom,
    ( p(X3)
    | esk2805_4(X1,X2,X3,X4)
    | ~ esk937_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_13439,axiom,
    ( ~ esk9710_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_13440,axiom,
    ( ~ esk1612_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_13441,axiom,
    ( ~ esk3597_4(X1,X2,X3,X4)
    | esk3689_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_13442,axiom,
    ( ~ esk6985_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6887_4(X1,X2,X3,X4) )).

cnf(i_0_13443,axiom,
    ( ~ esk8245_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_13444,axiom,
    ( ~ esk109_0
    | esk1643_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_13445,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk2799_4(X1,X2,X3,X4)
    | ~ esk892_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_13446,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk2943_4(X1,X2,X3,X4) )).

cnf(i_0_13447,axiom,
    ( esk3511_4(X1,X2,X3,X4)
    | ~ esk4054_4(X1,X2,X3,X4) )).

cnf(i_0_13448,axiom,
    ( ~ esk7447_4(X1,X2,X3,X4)
    | esk7448_4(X1,X2,X3,X4) )).

cnf(i_0_13449,axiom,
    ( ~ esk6559_4(X1,X2,X3,X4)
    | esk6560_4(X1,X2,X3,X4) )).

cnf(i_0_13450,axiom,
    ( ~ esk1641_4(X1,X2,X3,X4)
    | esk106_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_13451,axiom,
    ( esk3358_4(X1,X2,X3,X4)
    | ~ esk3357_4(X1,X2,X3,X4) )).

cnf(i_0_13452,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1_0 )).

cnf(i_0_13453,axiom,
    ( p(X4)
    | ~ esk1311_0
    | p(X3)
    | p(X1)
    | esk2952_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_13454,axiom,
    ( esk2196_4(X1,X2,X3,X4)
    | ~ esk2195_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_13455,axiom,
    ( ~ esk7767_4(X1,X2,X3,X4)
    | esk7769_4(X1,X2,X3,X4) )).

cnf(i_0_13456,axiom,
    ( esk4066_4(X1,X2,X3,X4)
    | ~ esk4067_4(X1,X2,X3,X4) )).

cnf(i_0_13457,axiom,
    ( ~ esk3352_4(X1,X2,X3,X4)
    | esk3351_4(X1,X2,X3,X4) )).

cnf(i_0_13458,axiom,
    ( esk5021_4(X1,X2,X3,X4)
    | ~ esk3720_4(X1,X2,X3,X4) )).

cnf(i_0_13459,axiom,
    ( ~ esk611_0
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | esk2425_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13460,axiom,
    ( ~ esk5515_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_13461,axiom,
    ( ~ esk1443_4(X1,X2,X3,X4)
    | esk3543_4(X1,X2,X3,X4) )).

cnf(i_0_13462,axiom,
    ( ~ esk3539_4(X1,X2,X3,X4)
    | esk1439_4(X1,X2,X3,X4) )).

cnf(i_0_13463,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk3117_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13464,axiom,
    ( ~ esk5543_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_13465,axiom,
    ( ~ esk2444_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_13466,axiom,
    ( ~ esk6997_4(X1,X2,X3,X4)
    | esk6750_4(X1,X2,X3,X4) )).

cnf(i_0_13467,axiom,
    ( esk1409_4(X1,X2,X3,X4)
    | ~ esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_13468,axiom,
    ( ~ esk3248_4(X1,X2,X3,X4)
    | esk3242_4(X1,X2,X3,X4) )).

cnf(i_0_13469,axiom,
    ( ~ esk4549_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_13470,axiom,
    ( esk8460_4(X1,X2,X3,X4)
    | ~ esk8458_4(X1,X2,X3,X4) )).

cnf(i_0_13471,axiom,
    ( esk3783_4(X1,X2,X3,X4)
    | ~ esk3824_4(X1,X2,X3,X4) )).

cnf(i_0_13472,axiom,
    ( esk8039_4(X1,X2,X3,X4)
    | esk8038_4(X1,X2,X3,X4)
    | ~ esk8040_4(X1,X2,X3,X4) )).

cnf(i_0_13473,axiom,
    ( esk8724_4(X1,X2,X3,X4)
    | ~ esk8498_4(X1,X2,X3,X4) )).

cnf(i_0_13474,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | ~ esk6426_4(X1,X2,X3,X4) )).

cnf(i_0_13475,axiom,
    ( esk5352_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13476,axiom,
    ( p(X1)
    | esk8735_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk710_0 )).

cnf(i_0_13477,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1692_4(X1,X2,X3,X4) )).

cnf(i_0_13478,axiom,
    ( esk9576_4(X1,X2,X3,X4)
    | ~ esk9575_4(X1,X2,X3,X4) )).

cnf(i_0_13479,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1237_0
    | p(X4)
    | p(X3) )).

cnf(i_0_13480,axiom,
    ( ~ esk1101_0
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_13481,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2337_4(X1,X2,X3,X4) )).

cnf(i_0_13482,axiom,
    ( esk5137_4(X1,X2,X3,X4)
    | ~ esk5135_4(X1,X2,X3,X4) )).

cnf(i_0_13483,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk1208_0
    | esk2898_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_13484,axiom,
    ( esk9118_4(X1,X2,X3,X4)
    | esk9117_4(X1,X2,X3,X4)
    | esk9119_4(X1,X2,X3,X4)
    | ~ esk9120_4(X1,X2,X3,X4) )).

cnf(i_0_13485,axiom,
    ( ~ esk3749_4(X1,X2,X3,X4)
    | esk3750_4(X1,X2,X3,X4) )).

cnf(i_0_13486,axiom,
    ( ~ esk9097_4(X1,X2,X3,X4)
    | esk9056_4(X1,X2,X3,X4) )).

cnf(i_0_13487,axiom,
    ( ~ esk9599_4(X1,X2,X3,X4)
    | ~ esk8884_4(X1,X2,X3,X4) )).

cnf(i_0_13488,axiom,
    ( p(X2)
    | ~ esk124_0
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_13489,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4873_4(X1,X2,X3,X4) )).

cnf(i_0_13490,axiom,
    ( ~ esk3680_4(X1,X2,X3,X4)
    | esk3679_4(X1,X2,X3,X4) )).

cnf(i_0_13491,axiom,
    ( ~ esk4700_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_13492,axiom,
    ( ~ esk5182_4(X1,X2,X3,X4)
    | esk5183_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13493,axiom,
    ( esk1115_0
    | p(X2)
    | p(X4)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_13494,axiom,
    ( esk3266_4(X1,X2,X3,X4)
    | ~ esk3264_4(X1,X2,X3,X4) )).

cnf(i_0_13495,axiom,
    ( ~ esk8667_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_13496,axiom,
    ( ~ esk7235_4(X1,X2,X3,X4)
    | esk7232_4(X1,X2,X3,X4) )).

cnf(i_0_13497,axiom,
    ( esk6128_4(X1,X2,X3,X4)
    | ~ esk6094_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_13498,axiom,
    ( p(X1)
    | ~ esk2289_4(X1,X2,X3,X4)
    | esk517_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_13499,axiom,
    ( esk55_0
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_13500,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8835_4(X1,X2,X3,X4) )).

cnf(i_0_13501,axiom,
    ( ~ esk6059_4(X1,X2,X3,X4)
    | esk5887_4(X1,X2,X3,X4) )).

cnf(i_0_13502,axiom,
    ( ~ esk2623_4(X1,X2,X3,X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | esk2624_4(X1,X2,X3,X4) )).

cnf(i_0_13503,axiom,
    ( esk8904_4(X1,X2,X3,X4)
    | ~ esk8905_4(X1,X2,X3,X4) )).

cnf(i_0_13504,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk824_0
    | p(X2) )).

cnf(i_0_13505,axiom,
    ( esk1987_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk371_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_13506,axiom,
    ( esk5105_4(X1,X2,X3,X4)
    | ~ esk5103_4(X1,X2,X3,X4) )).

cnf(i_0_13507,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk974_0
    | esk2809_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_13508,axiom,
    ( esk291_0
    | ~ esk8170_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_13509,axiom,
    ( ~ esk4822_4(X1,X2,X3,X4)
    | esk4820_4(X1,X2,X3,X4)
    | esk4821_4(X1,X2,X3,X4) )).

cnf(i_0_13510,axiom,
    ( esk4516_4(X1,X2,X3,X4)
    | ~ esk4043_4(X1,X2,X3,X4) )).

cnf(i_0_13511,axiom,
    ( ~ esk4617_4(X1,X2,X3,X4)
    | esk4616_4(X1,X2,X3,X4) )).

cnf(i_0_13512,axiom,
    ( ~ esk9480_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk9481_4(X1,X2,X3,X4) )).

cnf(i_0_13513,axiom,
    ( ~ esk8675_4(X1,X2,X3,X4)
    | esk8209_4(X1,X2,X3,X4) )).

cnf(i_0_13514,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk9103_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | esk952_0 )).

cnf(i_0_13515,axiom,
    ( esk9745_4(X1,X2,X3,X4)
    | ~ esk7819_4(X1,X2,X3,X4)
    | esk9746_4(X1,X2,X3,X4) )).

cnf(i_0_13516,axiom,
    ( esk6286_4(X1,X2,X3,X4)
    | ~ esk6604_4(X1,X2,X3,X4) )).

cnf(i_0_13517,axiom,
    ( esk6992_4(X1,X2,X3,X4)
    | ~ esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_13518,axiom,
    ( ~ esk2673_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_13519,axiom,
    ( ~ esk9537_4(X1,X2,X3,X4)
    | esk9539_4(X1,X2,X3,X4) )).

cnf(i_0_13520,axiom,
    ( ~ esk8857_4(X1,X2,X3,X4)
    | esk8780_4(X1,X2,X3,X4) )).

cnf(i_0_13521,axiom,
    ( esk8139_4(X1,X2,X3,X4)
    | ~ esk6039_4(X1,X2,X3,X4) )).

cnf(i_0_13522,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1586_4(X1,X2,X3,X4) )).

cnf(i_0_13523,axiom,
    ( ~ esk8225_4(X1,X2,X3,X4)
    | esk8226_4(X1,X2,X3,X4)
    | ~ esk8631_4(X1,X2,X3,X4) )).

cnf(i_0_13524,axiom,
    ( ~ esk8082_4(X1,X2,X3,X4)
    | esk8083_4(X1,X2,X3,X4)
    | ~ esk8643_4(X1,X2,X3,X4) )).

cnf(i_0_13525,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_13526,axiom,
    ( esk3039_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_13527,axiom,
    ( ~ esk4706_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_13528,axiom,
    ( ~ esk6915_4(X1,X2,X3,X4)
    | esk6916_4(X1,X2,X3,X4) )).

cnf(i_0_13529,axiom,
    ( ~ esk7493_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_13530,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk74_0 )).

cnf(i_0_13531,axiom,
    ( ~ esk5419_4(X1,X2,X3,X4)
    | esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_13532,axiom,
    ( ~ esk9735_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_13533,axiom,
    ( esk8005_4(X1,X2,X3,X4)
    | ~ esk9205_4(X1,X2,X3,X4) )).

cnf(i_0_13534,axiom,
    ( p(X2)
    | esk205_0
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk1754_4(X1,X2,X3,X4) )).

cnf(i_0_13535,axiom,
    ( esk3278_4(X1,X2,X3,X4)
    | ~ esk3277_4(X1,X2,X3,X4) )).

cnf(i_0_13536,axiom,
    ( ~ esk6629_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6320_4(X1,X2,X3,X4) )).

cnf(i_0_13537,axiom,
    ( esk6327_4(X1,X2,X3,X4)
    | ~ esk6328_4(X1,X2,X3,X4) )).

cnf(i_0_13538,axiom,
    ( esk7691_4(X1,X2,X3,X4)
    | ~ esk9113_4(X1,X2,X3,X4) )).

cnf(i_0_13539,axiom,
    ( esk1850_4(X1,X2,X3,X4)
    | ~ esk1849_4(X1,X2,X3,X4) )).

cnf(i_0_13540,axiom,
    ( esk9263_4(X1,X2,X3,X4)
    | ~ esk9262_4(X1,X2,X3,X4) )).

cnf(i_0_13541,axiom,
    ( ~ esk2864_4(X1,X2,X3,X4)
    | esk3440_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_13542,axiom,
    ( esk2590_4(X1,X2,X3,X4)
    | ~ esk2649_4(X1,X2,X3,X4) )).

cnf(i_0_13543,axiom,
    ( ~ esk6591_4(X1,X2,X3,X4)
    | esk6593_4(X1,X2,X3,X4) )).

cnf(i_0_13544,axiom,
    ( esk2040_4(X1,X2,X3,X4)
    | ~ esk2188_4(X1,X2,X3,X4) )).

cnf(i_0_13545,axiom,
    ( ~ esk8337_4(X1,X2,X3,X4)
    | esk8485_4(X1,X2,X3,X4)
    | ~ esk8484_4(X1,X2,X3,X4) )).

cnf(i_0_13546,axiom,
    ( ~ esk1955_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | esk338_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_13547,axiom,
    ( esk2538_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_13548,axiom,
    ( ~ esk8139_4(X1,X2,X3,X4)
    | esk8159_4(X1,X2,X3,X4) )).

cnf(i_0_13549,axiom,
    ( esk9097_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk905_0
    | p(X1) )).

cnf(i_0_13550,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9425_4(X1,X2,X3,X4)
    | ~ esk9424_4(X1,X2,X3,X4) )).

cnf(i_0_13551,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5226_4(X1,X2,X3,X4) )).

cnf(i_0_13552,axiom,
    ( esk3662_4(X1,X2,X3,X4)
    | ~ esk3661_4(X1,X2,X3,X4) )).

cnf(i_0_13553,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | esk326_0
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_13554,axiom,
    ( ~ esk9649_4(X1,X2,X3,X4)
    | esk9648_4(X1,X2,X3,X4) )).

cnf(i_0_13555,axiom,
    ( esk4231_4(X1,X2,X3,X4)
    | ~ esk4267_4(X1,X2,X3,X4) )).

cnf(i_0_13556,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1_0
    | esk2453_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_13557,axiom,
    ( ~ esk2882_4(X1,X2,X3,X4)
    | ~ esk1495_4(X1,X2,X3,X4)
    | esk1496_4(X1,X2,X3,X4) )).

cnf(i_0_13558,axiom,
    ( ~ esk3387_4(X1,X2,X3,X4)
    | esk3388_4(X1,X2,X3,X4)
    | ~ esk2698_4(X1,X2,X3,X4) )).

cnf(i_0_13559,axiom,
    ( esk2862_4(X1,X2,X3,X4)
    | ~ esk2860_4(X1,X2,X3,X4) )).

cnf(i_0_13560,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk1275_0
    | ~ p(X4)
    | ~ esk2922_4(X1,X2,X3,X4) )).

cnf(i_0_13561,axiom,
    ( esk9707_4(X1,X2,X3,X4)
    | ~ esk9706_4(X1,X2,X3,X4) )).

cnf(i_0_13562,axiom,
    ( esk6724_4(X1,X2,X3,X4)
    | ~ esk6723_4(X1,X2,X3,X4)
    | ~ esk6769_4(X1,X2,X3,X4) )).

cnf(i_0_13563,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1_0
    | esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_13564,axiom,
    ( esk5608_4(X1,X2,X3,X4)
    | ~ esk6519_4(X1,X2,X3,X4) )).

cnf(i_0_13565,axiom,
    ( esk1830_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1829_4(X1,X2,X3,X4) )).

cnf(i_0_13566,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9312_4(X1,X2,X3,X4) )).

cnf(i_0_13567,axiom,
    ( ~ esk2715_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_13568,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk435_0
    | ~ p(X1)
    | esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_13569,axiom,
    ( esk9052_4(X1,X2,X3,X4)
    | ~ esk9050_4(X1,X2,X3,X4) )).

cnf(i_0_13570,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6479_4(X1,X2,X3,X4)
    | ~ esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_13571,axiom,
    ( ~ esk4922_4(X1,X2,X3,X4)
    | esk4934_4(X1,X2,X3,X4)
    | ~ esk4818_4(X1,X2,X3,X4) )).

cnf(i_0_13572,axiom,
    ( ~ esk6144_4(X1,X2,X3,X4)
    | esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_13573,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4694_4(X1,X2,X3,X4) )).

cnf(i_0_13574,axiom,
    ( esk2679_4(X1,X2,X3,X4)
    | ~ esk2680_4(X1,X2,X3,X4) )).

cnf(i_0_13575,axiom,
    ( ~ esk6197_4(X1,X2,X3,X4)
    | esk6199_4(X1,X2,X3,X4) )).

cnf(i_0_13576,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7385_4(X1,X2,X3,X4) )).

cnf(i_0_13577,axiom,
    ( esk3795_4(X1,X2,X3,X4)
    | ~ esk3967_4(X1,X2,X3,X4) )).

cnf(i_0_13578,axiom,
    ( p(X4)
    | esk9174_4(X1,X2,X3,X4)
    | ~ esk1113_0
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_13579,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ esk1_0
    | p(X4) )).

cnf(i_0_13580,axiom,
    ( esk7192_4(X1,X2,X3,X4)
    | ~ esk7191_4(X1,X2,X3,X4) )).

cnf(i_0_13581,axiom,
    ( p(X4)
    | esk1336_0
    | ~ p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_13582,axiom,
    ( esk8052_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk213_0
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_13583,axiom,
    ( ~ esk8822_4(X1,X2,X3,X4)
    | ~ esk8868_4(X1,X2,X3,X4)
    | esk8823_4(X1,X2,X3,X4) )).

cnf(i_0_13584,axiom,
    ( esk5008_4(X1,X2,X3,X4)
    | esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_13585,axiom,
    ( esk8856_4(X1,X2,X3,X4)
    | ~ esk8857_4(X1,X2,X3,X4) )).

cnf(i_0_13586,axiom,
    ( esk4636_4(X1,X2,X3,X4)
    | ~ esk4634_4(X1,X2,X3,X4) )).

cnf(i_0_13587,axiom,
    ( ~ esk1672_4(X1,X2,X3,X4)
    | esk1523_4(X1,X2,X3,X4) )).

cnf(i_0_13588,axiom,
    ( ~ esk5833_4(X1,X2,X3,X4)
    | esk5831_4(X1,X2,X3,X4)
    | esk5832_4(X1,X2,X3,X4) )).

cnf(i_0_13589,axiom,
    ( esk3889_4(X1,X2,X3,X4)
    | esk3890_4(X1,X2,X3,X4)
    | ~ esk3891_4(X1,X2,X3,X4) )).

cnf(i_0_13590,axiom,
    ( esk3426_4(X1,X2,X3,X4)
    | ~ esk3425_4(X1,X2,X3,X4) )).

cnf(i_0_13591,axiom,
    ( p(X1)
    | esk1238_0
    | ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_13592,axiom,
    ( ~ p(X2)
    | esk1319_0
    | ~ esk2952_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_13593,axiom,
    ( ~ esk5542_4(X1,X2,X3,X4)
    | esk4963_4(X1,X2,X3,X4)
    | esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_13594,axiom,
    ( ~ esk8872_4(X1,X2,X3,X4)
    | esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_13595,axiom,
    ( ~ esk8277_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_13596,axiom,
    ( ~ p(X4)
    | ~ esk402_0
    | p(X3)
    | esk8318_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_13597,axiom,
    ( esk1750_4(X1,X2,X3,X4)
    | ~ esk1389_4(X1,X2,X3,X4) )).

cnf(i_0_13598,axiom,
    ( ~ esk9025_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_13599,axiom,
    ( esk5539_4(X1,X2,X3,X4)
    | ~ esk4963_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_13600,axiom,
    ( esk5121_4(X1,X2,X3,X4)
    | ~ esk5119_4(X1,X2,X3,X4) )).

cnf(i_0_13601,axiom,
    ( ~ esk6620_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_13602,axiom,
    ( esk5973_4(X1,X2,X3,X4)
    | ~ esk6038_4(X1,X2,X3,X4) )).

cnf(i_0_13603,axiom,
    ( ~ esk1958_4(X1,X2,X3,X4)
    | esk1_0
    | p(X3)
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_13604,axiom,
    ( esk8647_4(X1,X2,X3,X4)
    | ~ esk8645_4(X1,X2,X3,X4) )).

cnf(i_0_13605,axiom,
    ( esk5372_4(X1,X2,X3,X4)
    | ~ esk5371_4(X1,X2,X3,X4) )).

cnf(i_0_13606,axiom,
    ( ~ esk7587_4(X1,X2,X3,X4)
    | esk7588_4(X1,X2,X3,X4) )).

cnf(i_0_13607,axiom,
    ( ~ esk5734_4(X1,X2,X3,X4)
    | ~ esk5901_4(X1,X2,X3,X4)
    | esk5735_4(X1,X2,X3,X4) )).

cnf(i_0_13608,axiom,
    ( ~ esk6213_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_13609,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7327_4(X1,X2,X3,X4) )).

cnf(i_0_13610,axiom,
    ( ~ esk2292_4(X1,X2,X3,X4)
    | esk2294_4(X1,X2,X3,X4) )).

cnf(i_0_13611,axiom,
    ( ~ esk7800_4(X1,X2,X3,X4)
    | ~ esk9187_4(X1,X2,X3,X4)
    | esk7801_4(X1,X2,X3,X4) )).

cnf(i_0_13612,axiom,
    ( ~ esk3559_4(X1,X2,X3,X4)
    | esk3856_4(X1,X2,X3,X4) )).

cnf(i_0_13613,axiom,
    ( ~ esk7760_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_13614,axiom,
    ( esk3015_4(X1,X2,X3,X4)
    | ~ esk3016_4(X1,X2,X3,X4) )).

cnf(i_0_13615,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk7159_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_13616,axiom,
    ( ~ esk4287_4(X1,X2,X3,X4)
    | esk4289_4(X1,X2,X3,X4) )).

cnf(i_0_13617,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8092_4(X1,X2,X3,X4) )).

cnf(i_0_13618,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | esk1758_4(X1,X2,X3,X4)
    | ~ esk237_0
    | ~ p(X3) )).

cnf(i_0_13619,axiom,
    ( ~ esk1648_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_13620,axiom,
    ( esk6533_4(X1,X2,X3,X4)
    | ~ esk6534_4(X1,X2,X3,X4) )).

cnf(i_0_13621,axiom,
    ( esk2982_4(X1,X2,X3,X4)
    | ~ esk2981_4(X1,X2,X3,X4) )).

cnf(i_0_13622,axiom,
    ( esk3983_4(X1,X2,X3,X4)
    | ~ esk4536_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_13623,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8938_4(X1,X2,X3,X4) )).

cnf(i_0_13624,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk8723_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk620_0 )).

cnf(i_0_13625,axiom,
    ( esk1957_4(X1,X2,X3,X4)
    | ~ esk4057_4(X1,X2,X3,X4) )).

cnf(i_0_13626,axiom,
    ( ~ esk8199_4(X1,X2,X3,X4)
    | esk8201_4(X1,X2,X3,X4) )).

cnf(i_0_13627,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5524_4(X1,X2,X3,X4) )).

cnf(i_0_13628,axiom,
    ( esk6215_4(X1,X2,X3,X4)
    | ~ esk6213_4(X1,X2,X3,X4) )).

cnf(i_0_13629,axiom,
    ( esk8750_4(X1,X2,X3,X4)
    | ~ esk7751_4(X1,X2,X3,X4) )).

cnf(i_0_13630,axiom,
    ( esk6439_4(X1,X2,X3,X4)
    | ~ esk6437_4(X1,X2,X3,X4) )).

cnf(i_0_13631,axiom,
    ( esk3545_4(X1,X2,X3,X4)
    | ~ esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_13632,axiom,
    ( ~ esk8711_4(X1,X2,X3,X4)
    | esk8712_4(X1,X2,X3,X4) )).

cnf(i_0_13633,axiom,
    ( ~ esk3579_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4)
    | esk3665_4(X1,X2,X3,X4) )).

cnf(i_0_13634,axiom,
    ( esk4186_4(X1,X2,X3,X4)
    | ~ esk4532_4(X1,X2,X3,X4)
    | ~ esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_13635,axiom,
    ( ~ esk2226_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_13636,axiom,
    ( ~ p(X2)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1155_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_13637,axiom,
    ( ~ esk9037_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_13638,axiom,
    ( ~ esk9012_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_13639,axiom,
    ( esk8469_4(X1,X2,X3,X4)
    | ~ esk478_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_13640,axiom,
    ( ~ esk6450_4(X1,X2,X3,X4)
    | esk6687_4(X1,X2,X3,X4) )).

cnf(i_0_13641,axiom,
    ( esk4371_4(X1,X2,X3,X4)
    | ~ esk4369_4(X1,X2,X3,X4) )).

cnf(i_0_13642,axiom,
    ( esk9240_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_13643,axiom,
    ( ~ esk5837_4(X1,X2,X3,X4)
    | esk5836_4(X1,X2,X3,X4)
    | esk5835_4(X1,X2,X3,X4) )).

cnf(i_0_13644,axiom,
    ( ~ esk843_0
    | p(X4)
    | esk9089_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_13645,axiom,
    ( ~ esk8826_4(X1,X2,X3,X4)
    | esk8827_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_13646,axiom,
    ( ~ esk9458_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_13647,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk785_0
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_13648,axiom,
    ( ~ esk3745_4(X1,X2,X3,X4)
    | esk3806_4(X1,X2,X3,X4) )).

cnf(i_0_13649,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk9562_4(X1,X2,X3,X4) )).

cnf(i_0_13650,axiom,
    ( esk7208_4(X1,X2,X3,X4)
    | ~ esk7206_4(X1,X2,X3,X4) )).

cnf(i_0_13651,axiom,
    ( ~ esk2848_4(X1,X2,X3,X4)
    | esk2814_4(X1,X2,X3,X4) )).

cnf(i_0_13652,axiom,
    ( esk2036_4(X1,X2,X3,X4)
    | ~ esk2034_4(X1,X2,X3,X4) )).

cnf(i_0_13653,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4571_4(X1,X2,X3,X4) )).

cnf(i_0_13654,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk1266_0
    | ~ p(X4)
    | esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_13655,axiom,
    ( ~ esk9291_4(X1,X2,X3,X4)
    | esk9289_4(X1,X2,X3,X4)
    | esk9290_4(X1,X2,X3,X4) )).

cnf(i_0_13656,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1137_0
    | esk2880_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_13657,axiom,
    ( esk7064_4(X1,X2,X3,X4)
    | esk5636_4(X1,X2,X3,X4) )).

cnf(i_0_13658,axiom,
    ( esk8357_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk436_0
    | ~ p(X4) )).

cnf(i_0_13659,axiom,
    ( ~ esk9522_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_13660,axiom,
    ( esk2510_4(X1,X2,X3,X4)
    | esk2511_4(X1,X2,X3,X4)
    | ~ esk2512_4(X1,X2,X3,X4) )).

cnf(i_0_13661,axiom,
    ( ~ esk6942_4(X1,X2,X3,X4)
    | esk6943_4(X1,X2,X3,X4)
    | ~ esk7516_4(X1,X2,X3,X4) )).

cnf(i_0_13662,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | esk9228_4(X1,X2,X3,X4)
    | ~ esk1286_0
    | p(X2) )).

cnf(i_0_13663,axiom,
    ( esk2900_4(X1,X2,X3,X4)
    | ~ esk2899_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_13664,axiom,
    ( ~ esk3828_4(X1,X2,X3,X4)
    | esk3830_4(X1,X2,X3,X4) )).

cnf(i_0_13665,axiom,
    ( esk4468_4(X1,X2,X3,X4)
    | ~ esk4467_4(X1,X2,X3,X4)
    | ~ esk4254_4(X1,X2,X3,X4) )).

cnf(i_0_13666,axiom,
    ( p(X3)
    | p(X2)
    | esk417_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_13667,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk734_0
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_13668,axiom,
    ( ~ p(X3)
    | esk515_0
    | p(X1)
    | p(X2)
    | ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13669,axiom,
    ( esk3832_4(X1,X2,X3,X4)
    | ~ esk3834_4(X1,X2,X3,X4)
    | esk3833_4(X1,X2,X3,X4) )).

cnf(i_0_13670,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | esk1993_4(X1,X2,X3,X4)
    | ~ esk1992_4(X1,X2,X3,X4) )).

cnf(i_0_13671,axiom,
    ( ~ esk4037_4(X1,X2,X3,X4)
    | esk4038_4(X1,X2,X3,X4) )).

cnf(i_0_13672,axiom,
    ( ~ esk6272_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13673,axiom,
    ( ~ esk3130_4(X1,X2,X3,X4)
    | esk3136_4(X1,X2,X3,X4)
    | ~ esk3135_4(X1,X2,X3,X4) )).

cnf(i_0_13674,axiom,
    ( ~ esk3537_4(X1,X2,X3,X4)
    | ~ esk4965_4(X1,X2,X3,X4) )).

cnf(i_0_13675,axiom,
    ( esk9471_4(X1,X2,X3,X4)
    | ~ esk9470_4(X1,X2,X3,X4) )).

cnf(i_0_13676,axiom,
    ( ~ esk3289_4(X1,X2,X3,X4)
    | esk3292_4(X1,X2,X3,X4) )).

cnf(i_0_13677,axiom,
    ( ~ esk4165_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13678,axiom,
    ( ~ esk8703_4(X1,X2,X3,X4)
    | esk8385_4(X1,X2,X3,X4) )).

cnf(i_0_13679,axiom,
    ( ~ esk1882_4(X1,X2,X3,X4)
    | esk1883_4(X1,X2,X3,X4) )).

cnf(i_0_13680,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk7768_4(X1,X2,X3,X4) )).

cnf(i_0_13681,axiom,
    ( esk7882_4(X1,X2,X3,X4)
    | ~ esk7884_4(X1,X2,X3,X4)
    | esk7883_4(X1,X2,X3,X4) )).

cnf(i_0_13682,axiom,
    ( ~ p(X1)
    | ~ esk929_0
    | p(X3)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_13683,axiom,
    ( ~ esk2443_4(X1,X2,X3,X4)
    | ~ esk1916_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_13684,axiom,
    ( ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk764_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_13685,axiom,
    ( esk3870_4(X1,X2,X3,X4)
    | ~ esk3871_4(X1,X2,X3,X4)
    | esk3869_4(X1,X2,X3,X4) )).

cnf(i_0_13686,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk881_0 )).

cnf(i_0_13687,axiom,
    ( esk5147_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk5146_4(X1,X2,X3,X4) )).

cnf(i_0_13688,axiom,
    ( ~ esk9419_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk9422_4(X1,X2,X3,X4) )).

cnf(i_0_13689,axiom,
    ( esk8680_4(X1,X2,X3,X4)
    | ~ esk8678_4(X1,X2,X3,X4) )).

cnf(i_0_13690,axiom,
    ( ~ esk2018_4(X1,X2,X3,X4)
    | ~ esk1679_4(X1,X2,X3,X4)
    | esk2020_4(X1,X2,X3,X4) )).

cnf(i_0_13691,axiom,
    ( esk4020_4(X1,X2,X3,X4)
    | ~ esk4019_4(X1,X2,X3,X4)
    | ~ esk4665_4(X1,X2,X3,X4) )).

cnf(i_0_13692,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5730_4(X1,X2,X3,X4) )).

cnf(i_0_13693,axiom,
    ( ~ esk5514_4(X1,X2,X3,X4)
    | esk5515_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_13694,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3205_4(X1,X2,X3,X4) )).

cnf(i_0_13695,axiom,
    ( esk7148_4(X1,X2,X3,X4)
    | ~ esk7147_4(X1,X2,X3,X4) )).

cnf(i_0_13696,axiom,
    ( esk8682_4(X1,X2,X3,X4)
    | ~ esk8684_4(X1,X2,X3,X4)
    | esk8683_4(X1,X2,X3,X4) )).

cnf(i_0_13697,axiom,
    ( ~ esk2706_4(X1,X2,X3,X4)
    | ~ esk3403_4(X1,X2,X3,X4)
    | esk3404_4(X1,X2,X3,X4) )).

cnf(i_0_13698,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | esk7820_4(X1,X2,X3,X4) )).

cnf(i_0_13699,axiom,
    ( esk6986_4(X1,X2,X3,X4)
    | ~ esk6933_4(X1,X2,X3,X4) )).

cnf(i_0_13700,axiom,
    ( esk4384_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4383_4(X1,X2,X3,X4) )).

cnf(i_0_13701,axiom,
    ( ~ esk5186_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13702,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1084_0 )).

cnf(i_0_13703,axiom,
    ( esk3423_4(X1,X2,X3,X4)
    | ~ esk3424_4(X1,X2,X3,X4) )).

cnf(i_0_13704,axiom,
    ( esk4272_4(X1,X2,X3,X4)
    | ~ esk3516_4(X1,X2,X3,X4) )).

cnf(i_0_13705,axiom,
    ( ~ esk2909_4(X1,X2,X3,X4)
    | esk2910_4(X1,X2,X3,X4)
    | ~ esk1456_4(X1,X2,X3,X4) )).

cnf(i_0_13706,axiom,
    ( ~ esk6000_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_13707,axiom,
    ( esk2103_4(X1,X2,X3,X4)
    | ~ esk2102_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_13708,axiom,
    ( esk943_0
    | ~ p(X1)
    | p(X2)
    | ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_13709,axiom,
    ( ~ esk4260_4(X1,X2,X3,X4)
    | esk4226_4(X1,X2,X3,X4) )).

cnf(i_0_13710,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk8952_4(X1,X2,X3,X4) )).

cnf(i_0_13711,axiom,
    ( esk5181_4(X1,X2,X3,X4)
    | ~ esk5179_4(X1,X2,X3,X4) )).

cnf(i_0_13712,axiom,
    ( ~ esk1995_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | esk379_0 )).

cnf(i_0_13713,axiom,
    ( ~ esk7103_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_13714,axiom,
    ( esk8849_4(X1,X2,X3,X4)
    | ~ esk8898_4(X1,X2,X3,X4) )).

cnf(i_0_13715,axiom,
    ( ~ esk2685_4(X1,X2,X3,X4)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_13716,axiom,
    ( ~ esk6518_4(X1,X2,X3,X4)
    | esk6260_4(X1,X2,X3,X4) )).

cnf(i_0_13717,axiom,
    ( ~ esk4771_4(X1,X2,X3,X4)
    | esk4586_4(X1,X2,X3,X4) )).

cnf(i_0_13718,axiom,
    ( esk5192_4(X1,X2,X3,X4)
    | ~ esk5193_4(X1,X2,X3,X4)
    | esk5191_4(X1,X2,X3,X4) )).

cnf(i_0_13719,axiom,
    ( esk6817_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_13720,axiom,
    ( ~ esk6461_4(X1,X2,X3,X4)
    | esk6423_4(X1,X2,X3,X4) )).

cnf(i_0_13721,axiom,
    ( esk4849_4(X1,X2,X3,X4)
    | esk4848_4(X1,X2,X3,X4)
    | ~ esk4850_4(X1,X2,X3,X4) )).

cnf(i_0_13722,axiom,
    ( esk8193_4(X1,X2,X3,X4)
    | ~ esk8192_4(X1,X2,X3,X4) )).

cnf(i_0_13723,axiom,
    ( esk5915_4(X1,X2,X3,X4)
    | ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk5914_4(X1,X2,X3,X4) )).

cnf(i_0_13724,axiom,
    ( ~ esk3103_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13725,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk2_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk9170_4(X1,X2,X3,X4) )).

cnf(i_0_13726,axiom,
    ( ~ esk3633_4(X1,X2,X3,X4)
    | esk3634_4(X1,X2,X3,X4) )).

cnf(i_0_13727,axiom,
    ( esk9697_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9696_4(X1,X2,X3,X4) )).

cnf(i_0_13728,axiom,
    ( ~ esk8618_4(X1,X2,X3,X4)
    | esk7707_4(X1,X2,X3,X4) )).

cnf(i_0_13729,axiom,
    ( ~ esk4830_4(X1,X2,X3,X4)
    | esk4885_4(X1,X2,X3,X4) )).

cnf(i_0_13730,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ esk310_0
    | esk1918_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_13731,axiom,
    ( esk4172_4(X1,X2,X3,X4)
    | ~ esk4171_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_13732,axiom,
    ( ~ esk2324_4(X1,X2,X3,X4)
    | esk2326_4(X1,X2,X3,X4) )).

cnf(i_0_13733,axiom,
    ( esk6690_4(X1,X2,X3,X4)
    | ~ esk5982_4(X1,X2,X3,X4)
    | ~ esk6689_4(X1,X2,X3,X4) )).

cnf(i_0_13734,axiom,
    ( ~ esk1840_4(X1,X2,X3,X4)
    | esk1838_4(X1,X2,X3,X4)
    | esk1839_4(X1,X2,X3,X4) )).

cnf(i_0_13735,axiom,
    ( esk8669_4(X1,X2,X3,X4)
    | ~ esk8670_4(X1,X2,X3,X4) )).

cnf(i_0_13736,axiom,
    ( esk2002_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13737,axiom,
    ( ~ esk8384_4(X1,X2,X3,X4)
    | esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_13738,axiom,
    ( esk2273_4(X1,X2,X3,X4)
    | ~ esk2274_4(X1,X2,X3,X4) )).

cnf(i_0_13739,axiom,
    ( ~ esk4449_4(X1,X2,X3,X4)
    | esk5095_4(X1,X2,X3,X4)
    | ~ esk5094_4(X1,X2,X3,X4) )).

cnf(i_0_13740,axiom,
    ( ~ esk8780_4(X1,X2,X3,X4)
    | esk8857_4(X1,X2,X3,X4)
    | ~ esk8856_4(X1,X2,X3,X4) )).

cnf(i_0_13741,axiom,
    ( ~ esk9440_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_13742,axiom,
    ( esk7079_4(X1,X2,X3,X4)
    | ~ esk5789_4(X1,X2,X3,X4) )).

cnf(i_0_13743,axiom,
    ( esk8388_4(X1,X2,X3,X4)
    | ~ esk8220_4(X1,X2,X3,X4) )).

cnf(i_0_13744,axiom,
    ( esk3398_4(X1,X2,X3,X4)
    | ~ esk2721_4(X1,X2,X3,X4) )).

cnf(i_0_13745,axiom,
    ( ~ esk3500_4(X1,X2,X3,X4)
    | esk3740_4(X1,X2,X3,X4) )).

cnf(i_0_13746,axiom,
    ( ~ esk2709_4(X1,X2,X3,X4)
    | esk2541_4(X1,X2,X3,X4) )).

cnf(i_0_13747,axiom,
    ( esk3443_4(X1,X2,X3,X4)
    | esk3442_4(X1,X2,X3,X4)
    | ~ esk2864_4(X1,X2,X3,X4) )).

cnf(i_0_13748,axiom,
    ( esk8747_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk728_0
    | p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_13749,axiom,
    ( ~ esk2117_4(X1,X2,X3,X4)
    | esk2116_4(X1,X2,X3,X4)
    | esk2115_4(X1,X2,X3,X4) )).

cnf(i_0_13750,axiom,
    ( ~ esk4339_4(X1,X2,X3,X4)
    | esk4303_4(X1,X2,X3,X4) )).

cnf(i_0_13751,axiom,
    ( esk4685_4(X1,X2,X3,X4)
    | ~ esk4744_4(X1,X2,X3,X4) )).

cnf(i_0_13752,axiom,
    ( ~ esk1095_0
    | ~ p(X2)
    | esk9170_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_13753,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8940_4(X1,X2,X3,X4) )).

cnf(i_0_13754,axiom,
    ( esk5735_4(X1,X2,X3,X4)
    | esk5736_4(X1,X2,X3,X4)
    | ~ esk5737_4(X1,X2,X3,X4) )).

cnf(i_0_13755,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7309_4(X1,X2,X3,X4) )).

cnf(i_0_13756,axiom,
    ( ~ esk9309_4(X1,X2,X3,X4)
    | esk9295_4(X1,X2,X3,X4) )).

cnf(i_0_13757,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7191_4(X1,X2,X3,X4) )).

cnf(i_0_13758,axiom,
    ( esk9395_4(X1,X2,X3,X4)
    | ~ esk9393_4(X1,X2,X3,X4) )).

cnf(i_0_13759,axiom,
    ( ~ esk9198_4(X1,X2,X3,X4)
    | esk7822_4(X1,X2,X3,X4) )).

cnf(i_0_13760,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5298_4(X1,X2,X3,X4) )).

cnf(i_0_13761,axiom,
    ( ~ p(X1)
    | esk8357_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk437_0 )).

cnf(i_0_13762,axiom,
    ( ~ esk6348_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_13763,axiom,
    ( ~ p(X3)
    | esk1259_0
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_13764,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ esk1330_0
    | ~ p(X1) )).

cnf(i_0_13765,axiom,
    ( esk4971_4(X1,X2,X3,X4)
    | ~ esk2871_4(X1,X2,X3,X4) )).

cnf(i_0_13766,axiom,
    ( ~ esk2219_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_13767,axiom,
    ( ~ esk9682_4(X1,X2,X3,X4)
    | esk8931_4(X1,X2,X3,X4) )).

cnf(i_0_13768,axiom,
    ( esk1583_4(X1,X2,X3,X4)
    | ~ esk1581_4(X1,X2,X3,X4) )).

cnf(i_0_13769,axiom,
    ( ~ esk131_0
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk7967_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_13770,axiom,
    ( esk3603_4(X1,X2,X3,X4)
    | ~ esk4989_4(X1,X2,X3,X4)
    | ~ esk3602_4(X1,X2,X3,X4) )).

cnf(i_0_13771,axiom,
    ( esk4492_4(X1,X2,X3,X4)
    | ~ esk4491_4(X1,X2,X3,X4)
    | ~ esk5089_4(X1,X2,X3,X4) )).

cnf(i_0_13772,axiom,
    ( esk8446_4(X1,X2,X3,X4)
    | esk8447_4(X1,X2,X3,X4)
    | ~ esk8448_4(X1,X2,X3,X4) )).

cnf(i_0_13773,axiom,
    ( esk2751_4(X1,X2,X3,X4)
    | ~ esk2750_4(X1,X2,X3,X4) )).

cnf(i_0_13774,axiom,
    ( esk4648_4(X1,X2,X3,X4)
    | ~ esk4804_4(X1,X2,X3,X4) )).

cnf(i_0_13775,axiom,
    ( ~ esk8204_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_13776,axiom,
    ( esk9186_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk1173_0 )).

cnf(i_0_13777,axiom,
    ( ~ esk2640_4(X1,X2,X3,X4)
    | esk2639_4(X1,X2,X3,X4) )).

cnf(i_0_13778,axiom,
    ( esk5153_4(X1,X2,X3,X4)
    | ~ esk5167_4(X1,X2,X3,X4) )).

cnf(i_0_13779,axiom,
    ( ~ p(X4)
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk1_0
    | ~ p(X1) )).

cnf(i_0_13780,axiom,
    ( esk5249_4(X1,X2,X3,X4)
    | ~ esk5252_4(X1,X2,X3,X4) )).

cnf(i_0_13781,axiom,
    ( ~ esk5514_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_13782,axiom,
    ( esk5540_4(X1,X2,X3,X4)
    | ~ esk5539_4(X1,X2,X3,X4) )).

cnf(i_0_13783,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2064_4(X1,X2,X3,X4) )).

cnf(i_0_13784,axiom,
    ( esk7567_4(X1,X2,X3,X4)
    | ~ esk7568_4(X1,X2,X3,X4)
    | esk7566_4(X1,X2,X3,X4) )).

cnf(i_0_13785,axiom,
    ( ~ esk3192_4(X1,X2,X3,X4)
    | esk3186_4(X1,X2,X3,X4) )).

cnf(i_0_13786,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6821_4(X1,X2,X3,X4) )).

cnf(i_0_13787,axiom,
    ( esk1988_4(X1,X2,X3,X4)
    | ~ esk2449_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_13788,axiom,
    ( esk287_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_13789,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7313_4(X1,X2,X3,X4) )).

cnf(i_0_13790,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6793_4(X1,X2,X3,X4) )).

cnf(i_0_13791,axiom,
    ( esk2670_4(X1,X2,X3,X4)
    | ~ esk2669_4(X1,X2,X3,X4) )).

cnf(i_0_13792,axiom,
    ( esk1852_4(X1,X2,X3,X4)
    | esk1853_4(X1,X2,X3,X4) )).

cnf(i_0_13793,axiom,
    ( ~ esk5513_4(X1,X2,X3,X4)
    | esk5512_4(X1,X2,X3,X4)
    | esk5511_4(X1,X2,X3,X4) )).

cnf(i_0_13794,axiom,
    ( ~ esk2587_4(X1,X2,X3,X4)
    | ~ esk3302_4(X1,X2,X3,X4) )).

cnf(i_0_13795,axiom,
    ( esk5361_4(X1,X2,X3,X4)
    | ~ esk5359_4(X1,X2,X3,X4) )).

cnf(i_0_13796,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk570_0
    | esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_13797,axiom,
    ( ~ esk6413_4(X1,X2,X3,X4)
    | esk6412_4(X1,X2,X3,X4) )).

cnf(i_0_13798,axiom,
    ( p(X4)
    | ~ esk8469_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk472_0 )).

cnf(i_0_13799,axiom,
    ( ~ esk1236_0
    | p(X3)
    | p(X4)
    | esk2914_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_13800,axiom,
    ( esk6765_4(X1,X2,X3,X4)
    | ~ esk6766_4(X1,X2,X3,X4) )).

cnf(i_0_13801,axiom,
    ( ~ esk8794_4(X1,X2,X3,X4)
    | esk8793_4(X1,X2,X3,X4) )).

cnf(i_0_13802,axiom,
    ( ~ esk6255_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_13803,axiom,
    ( ~ esk4761_4(X1,X2,X3,X4)
    | ~ esk5414_4(X1,X2,X3,X4)
    | esk5415_4(X1,X2,X3,X4) )).

cnf(i_0_13804,axiom,
    ( esk1816_4(X1,X2,X3,X4)
    | ~ esk1804_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_13805,axiom,
    ( esk6997_4(X1,X2,X3,X4)
    | ~ esk4897_4(X1,X2,X3,X4) )).

cnf(i_0_13806,axiom,
    ( esk5556_4(X1,X2,X3,X4)
    | ~ esk6260_4(X1,X2,X3,X4) )).

cnf(i_0_13807,axiom,
    ( ~ esk4216_4(X1,X2,X3,X4)
    | esk4214_4(X1,X2,X3,X4)
    | esk4215_4(X1,X2,X3,X4) )).

cnf(i_0_13808,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | esk8354_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk414_0 )).

cnf(i_0_13809,axiom,
    ( esk3063_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_13810,axiom,
    ( ~ esk3879_4(X1,X2,X3,X4)
    | esk3877_4(X1,X2,X3,X4)
    | esk3878_4(X1,X2,X3,X4) )).

cnf(i_0_13811,axiom,
    ( ~ esk6407_4(X1,X2,X3,X4)
    | esk6406_4(X1,X2,X3,X4)
    | esk6405_4(X1,X2,X3,X4) )).

cnf(i_0_13812,axiom,
    ( ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | esk134_0 )).

cnf(i_0_13813,axiom,
    ( ~ esk9059_4(X1,X2,X3,X4)
    | esk9060_4(X1,X2,X3,X4) )).

cnf(i_0_13814,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2425_4(X1,X2,X3,X4)
    | esk616_0
    | p(X4) )).

cnf(i_0_13815,axiom,
    ( esk5980_4(X1,X2,X3,X4)
    | esk5981_4(X1,X2,X3,X4)
    | ~ esk5982_4(X1,X2,X3,X4) )).

cnf(i_0_13816,axiom,
    ( esk3993_4(X1,X2,X3,X4)
    | ~ esk3995_4(X1,X2,X3,X4)
    | esk3994_4(X1,X2,X3,X4) )).

cnf(i_0_13817,axiom,
    ( esk8432_4(X1,X2,X3,X4)
    | ~ esk8783_4(X1,X2,X3,X4) )).

cnf(i_0_13818,axiom,
    ( esk6863_4(X1,X2,X3,X4)
    | ~ esk6995_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_13819,axiom,
    ( ~ esk3554_4(X1,X2,X3,X4)
    | esk3555_4(X1,X2,X3,X4) )).

cnf(i_0_13820,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4071_4(X1,X2,X3,X4) )).

cnf(i_0_13821,axiom,
    ( esk4698_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_13822,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7201_4(X1,X2,X3,X4) )).

cnf(i_0_13823,axiom,
    ( esk6511_4(X1,X2,X3,X4)
    | ~ esk6513_4(X1,X2,X3,X4)
    | esk6512_4(X1,X2,X3,X4)
    | esk6510_4(X1,X2,X3,X4) )).

cnf(i_0_13824,axiom,
    ( ~ esk165_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk1748_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13825,axiom,
    ( esk6151_4(X1,X2,X3,X4)
    | ~ esk6086_4(X1,X2,X3,X4)
    | esk6114_4(X1,X2,X3,X4) )).

cnf(i_0_13826,axiom,
    ( ~ esk5144_4(X1,X2,X3,X4)
    | esk5141_4(X1,X2,X3,X4) )).

cnf(i_0_13827,axiom,
    ( ~ esk1522_4(X1,X2,X3,X4)
    | ~ esk3449_4(X1,X2,X3,X4)
    | ~ esk3448_4(X1,X2,X3,X4) )).

cnf(i_0_13828,axiom,
    ( ~ esk6115_4(X1,X2,X3,X4)
    | esk8215_4(X1,X2,X3,X4) )).

cnf(i_0_13829,axiom,
    ( ~ esk7982_4(X1,X2,X3,X4)
    | ~ esk8025_4(X1,X2,X3,X4)
    | esk8026_4(X1,X2,X3,X4) )).

cnf(i_0_13830,axiom,
    ( ~ esk6586_4(X1,X2,X3,X4)
    | esk6587_4(X1,X2,X3,X4)
    | ~ esk6026_4(X1,X2,X3,X4) )).

cnf(i_0_13831,axiom,
    ( esk5425_4(X1,X2,X3,X4)
    | ~ esk5423_4(X1,X2,X3,X4) )).

cnf(i_0_13832,axiom,
    ( esk8716_4(X1,X2,X3,X4)
    | ~ esk9575_4(X1,X2,X3,X4)
    | esk9574_4(X1,X2,X3,X4) )).

cnf(i_0_13833,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk2809_4(X1,X2,X3,X4)
    | p(X4)
    | esk974_0
    | ~ p(X2) )).

cnf(i_0_13834,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8374_4(X1,X2,X3,X4) )).

cnf(i_0_13835,axiom,
    ( esk2714_4(X1,X2,X3,X4)
    | ~ esk3420_4(X1,X2,X3,X4) )).

cnf(i_0_13836,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6469_4(X1,X2,X3,X4) )).

cnf(i_0_13837,axiom,
    ( p(X1)
    | esk1219_0
    | p(X2)
    | ~ esk9204_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_13838,axiom,
    ( esk3922_4(X1,X2,X3,X4)
    | ~ esk3617_4(X1,X2,X3,X4) )).

cnf(i_0_13839,axiom,
    ( ~ esk9035_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_13840,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2239_4(X1,X2,X3,X4) )).

cnf(i_0_13841,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8195_4(X1,X2,X3,X4)
    | ~ esk8194_4(X1,X2,X3,X4) )).

cnf(i_0_13842,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk100_0 )).

cnf(i_0_13843,axiom,
    ( ~ esk1999_4(X1,X2,X3,X4)
    | esk2001_4(X1,X2,X3,X4) )).

cnf(i_0_13844,axiom,
    ( ~ esk9631_4(X1,X2,X3,X4)
    | esk9630_4(X1,X2,X3,X4)
    | esk9629_4(X1,X2,X3,X4) )).

cnf(i_0_13845,axiom,
    ( ~ esk9327_4(X1,X2,X3,X4)
    | esk9333_4(X1,X2,X3,X4)
    | ~ esk9332_4(X1,X2,X3,X4) )).

cnf(i_0_13846,axiom,
    ( esk7426_4(X1,X2,X3,X4)
    | ~ esk7425_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_13847,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6263_4(X1,X2,X3,X4) )).

cnf(i_0_13848,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2110_4(X1,X2,X3,X4) )).

cnf(i_0_13849,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | esk1987_4(X1,X2,X3,X4)
    | ~ esk364_0 )).

cnf(i_0_13850,axiom,
    ( esk8847_4(X1,X2,X3,X4)
    | ~ esk8890_4(X1,X2,X3,X4) )).

cnf(i_0_13851,axiom,
    ( ~ esk5028_4(X1,X2,X3,X4)
    | esk5029_4(X1,X2,X3,X4) )).

cnf(i_0_13852,axiom,
    ( esk3202_4(X1,X2,X3,X4)
    | ~ esk3200_4(X1,X2,X3,X4) )).

cnf(i_0_13853,axiom,
    ( ~ p(X1)
    | esk974_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk9105_4(X1,X2,X3,X4) )).

cnf(i_0_13854,axiom,
    ( ~ esk6566_4(X1,X2,X3,X4)
    | esk6567_4(X1,X2,X3,X4)
    | ~ esk6353_4(X1,X2,X3,X4) )).

cnf(i_0_13855,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6554_4(X1,X2,X3,X4) )).

cnf(i_0_13856,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5148_4(X1,X2,X3,X4) )).

cnf(i_0_13857,axiom,
    ( ~ esk3972_4(X1,X2,X3,X4)
    | esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_13858,axiom,
    ( ~ esk7875_4(X1,X2,X3,X4)
    | esk7783_4(X1,X2,X3,X4) )).

cnf(i_0_13859,axiom,
    ( esk9598_4(X1,X2,X3,X4)
    | ~ esk8855_4(X1,X2,X3,X4) )).

cnf(i_0_13860,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2726_4(X1,X2,X3,X4) )).

cnf(i_0_13861,axiom,
    ( ~ esk7978_4(X1,X2,X3,X4)
    | ~ esk7970_4(X1,X2,X3,X4)
    | esk7971_4(X1,X2,X3,X4) )).

cnf(i_0_13862,axiom,
    ( esk2498_4(X1,X2,X3,X4)
    | ~ esk1764_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_13863,axiom,
    ( esk6704_4(X1,X2,X3,X4)
    | ~ esk6706_4(X1,X2,X3,X4)
    | esk6705_4(X1,X2,X3,X4) )).

cnf(i_0_13864,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8597_4(X1,X2,X3,X4) )).

cnf(i_0_13865,axiom,
    ( ~ esk2978_4(X1,X2,X3,X4)
    | esk2981_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_13866,axiom,
    ( ~ esk6235_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_13867,axiom,
    ( ~ esk6418_4(X1,X2,X3,X4)
    | esk6419_4(X1,X2,X3,X4) )).

cnf(i_0_13868,axiom,
    ( esk3070_4(X1,X2,X3,X4)
    | ~ esk3100_4(X1,X2,X3,X4) )).

cnf(i_0_13869,axiom,
    ( ~ esk8223_4(X1,X2,X3,X4)
    | esk8224_4(X1,X2,X3,X4) )).

cnf(i_0_13870,axiom,
    ( ~ esk4284_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13871,axiom,
    ( esk7801_4(X1,X2,X3,X4)
    | ~ esk7803_4(X1,X2,X3,X4)
    | esk7802_4(X1,X2,X3,X4) )).

cnf(i_0_13872,axiom,
    ( esk9684_4(X1,X2,X3,X4)
    | ~ esk9685_4(X1,X2,X3,X4) )).

cnf(i_0_13873,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8239_4(X1,X2,X3,X4) )).

cnf(i_0_13874,axiom,
    ( ~ esk2831_4(X1,X2,X3,X4)
    | esk3434_4(X1,X2,X3,X4) )).

cnf(i_0_13875,axiom,
    ( esk4527_4(X1,X2,X3,X4)
    | ~ esk4498_4(X1,X2,X3,X4) )).

cnf(i_0_13876,axiom,
    ( ~ esk5507_4(X1,X2,X3,X4)
    | esk5506_4(X1,X2,X3,X4) )).

cnf(i_0_13877,axiom,
    ( esk1939_4(X1,X2,X3,X4)
    | ~ esk1937_4(X1,X2,X3,X4) )).

cnf(i_0_13878,axiom,
    ( esk4674_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4)
    | ~ esk4192_4(X1,X2,X3,X4) )).

cnf(i_0_13879,axiom,
    ( ~ p(X2)
    | esk75_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk7774_4(X1,X2,X3,X4) )).

cnf(i_0_13880,axiom,
    ( esk3679_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_13881,axiom,
    ( ~ esk5461_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | esk5464_4(X1,X2,X3,X4) )).

cnf(i_0_13882,axiom,
    ( ~ esk6746_4(X1,X2,X3,X4)
    | esk6747_4(X1,X2,X3,X4) )).

cnf(i_0_13883,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk2709_4(X1,X2,X3,X4)
    | ~ esk2541_4(X1,X2,X3,X4) )).

cnf(i_0_13884,axiom,
    ( esk6190_4(X1,X2,X3,X4)
    | esk6647_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_13885,axiom,
    ( esk9255_4(X1,X2,X3,X4)
    | ~ esk8059_4(X1,X2,X3,X4) )).

cnf(i_0_13886,axiom,
    ( esk8415_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_13887,axiom,
    ( esk2521_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_13888,axiom,
    ( esk7212_4(X1,X2,X3,X4)
    | ~ esk7242_4(X1,X2,X3,X4) )).

cnf(i_0_13889,axiom,
    ( esk5924_4(X1,X2,X3,X4)
    | esk5923_4(X1,X2,X3,X4)
    | ~ esk5925_4(X1,X2,X3,X4) )).

cnf(i_0_13890,axiom,
    ( ~ esk6750_4(X1,X2,X3,X4)
    | esk6799_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_13891,axiom,
    ( esk5537_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_13892,axiom,
    ( esk3071_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_13893,axiom,
    ( ~ esk1827_4(X1,X2,X3,X4)
    | esk1846_4(X1,X2,X3,X4) )).

cnf(i_0_13894,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk8170_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ esk294_0 )).

cnf(i_0_13895,axiom,
    ( esk9608_4(X1,X2,X3,X4)
    | ~ esk9609_4(X1,X2,X3,X4) )).

cnf(i_0_13896,axiom,
    ( ~ esk5736_4(X1,X2,X3,X4)
    | esk5909_4(X1,X2,X3,X4) )).

cnf(i_0_13897,axiom,
    ( ~ esk8941_4(X1,X2,X3,X4)
    | esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_13898,axiom,
    ( ~ esk3439_4(X1,X2,X3,X4)
    | esk3441_4(X1,X2,X3,X4) )).

cnf(i_0_13899,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1_0
    | esk2870_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_13900,axiom,
    ( ~ esk9238_4(X1,X2,X3,X4)
    | esk1307_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_13901,axiom,
    ( ~ esk5590_4(X1,X2,X3,X4)
    | esk5869_4(X1,X2,X3,X4) )).

cnf(i_0_13902,axiom,
    ( ~ esk8683_4(X1,X2,X3,X4)
    | esk8577_4(X1,X2,X3,X4) )).

cnf(i_0_13903,axiom,
    ( ~ esk3061_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_13904,axiom,
    ( esk3793_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13905,axiom,
    ( ~ esk3906_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_13906,axiom,
    ( esk9547_4(X1,X2,X3,X4)
    | ~ esk9561_4(X1,X2,X3,X4) )).

cnf(i_0_13907,axiom,
    ( p(X3)
    | esk686_0
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_13908,axiom,
    ( esk9440_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_13909,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3367_4(X1,X2,X3,X4) )).

cnf(i_0_13910,axiom,
    ( ~ esk9483_4(X1,X2,X3,X4)
    | esk9489_4(X1,X2,X3,X4)
    | ~ esk9488_4(X1,X2,X3,X4) )).

cnf(i_0_13911,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk371_0
    | esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_13912,axiom,
    ( esk3524_4(X1,X2,X3,X4)
    | ~ esk3525_4(X1,X2,X3,X4) )).

cnf(i_0_13913,axiom,
    ( ~ esk9736_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_13914,axiom,
    ( ~ esk2792_4(X1,X2,X3,X4)
    | esk2743_4(X1,X2,X3,X4) )).

cnf(i_0_13915,axiom,
    ( esk3985_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_13916,axiom,
    ( ~ esk7964_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_13917,axiom,
    ( esk2468_4(X1,X2,X3,X4)
    | ~ esk2633_4(X1,X2,X3,X4) )).

cnf(i_0_13918,axiom,
    ( ~ esk5402_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_13919,axiom,
    ( esk2270_4(X1,X2,X3,X4)
    | esk2271_4(X1,X2,X3,X4)
    | ~ esk2272_4(X1,X2,X3,X4) )).

cnf(i_0_13920,axiom,
    ( ~ esk9417_4(X1,X2,X3,X4)
    | esk9419_4(X1,X2,X3,X4) )).

cnf(i_0_13921,axiom,
    ( esk2826_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_13922,axiom,
    ( esk8920_4(X1,X2,X3,X4)
    | ~ esk8921_4(X1,X2,X3,X4) )).

cnf(i_0_13923,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk643_0
    | p(X2) )).

cnf(i_0_13924,axiom,
    ( esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk1099_0 )).

cnf(i_0_13925,axiom,
    ( ~ esk3208_4(X1,X2,X3,X4)
    | esk3207_4(X1,X2,X3,X4) )).

cnf(i_0_13926,axiom,
    ( ~ esk4235_4(X1,X2,X3,X4)
    | ~ esk4166_4(X1,X2,X3,X4)
    | esk4236_4(X1,X2,X3,X4) )).

cnf(i_0_13927,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | esk1734_4(X1,X2,X3,X4)
    | ~ esk1697_4(X1,X2,X3,X4) )).

cnf(i_0_13928,axiom,
    ( esk9111_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1022_0 )).

cnf(i_0_13929,axiom,
    ( esk8112_4(X1,X2,X3,X4)
    | ~ esk8111_4(X1,X2,X3,X4)
    | ~ esk8105_4(X1,X2,X3,X4) )).

cnf(i_0_13930,axiom,
    ( esk1514_4(X1,X2,X3,X4)
    | ~ esk1513_4(X1,X2,X3,X4) )).

cnf(i_0_13931,axiom,
    ( p(X1)
    | p(X3)
    | esk1643_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1_0
    | p(X2) )).

cnf(i_0_13932,axiom,
    ( ~ esk4021_4(X1,X2,X3,X4)
    | esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_13933,axiom,
    ( esk2719_4(X1,X2,X3,X4)
    | esk2833_4(X1,X2,X3,X4) )).

cnf(i_0_13934,axiom,
    ( esk3003_4(X1,X2,X3,X4)
    | ~ esk3004_4(X1,X2,X3,X4) )).

cnf(i_0_13935,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk499_0
    | p(X4)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_13936,axiom,
    ( ~ esk2620_4(X1,X2,X3,X4)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_13937,axiom,
    ( esk9231_4(X1,X2,X3,X4)
    | ~ esk8001_4(X1,X2,X3,X4)
    | ~ esk9230_4(X1,X2,X3,X4) )).

cnf(i_0_13938,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9190_4(X1,X2,X3,X4)
    | esk1200_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_13939,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk98_0
    | ~ p(X2)
    | esk1641_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_13940,axiom,
    ( ~ esk6467_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13941,axiom,
    ( esk9674_4(X1,X2,X3,X4)
    | ~ esk8927_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_13942,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2402_4(X1,X2,X3,X4) )).

cnf(i_0_13943,axiom,
    ( esk5401_4(X1,X2,X3,X4)
    | esk5400_4(X1,X2,X3,X4) )).

cnf(i_0_13944,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5991_4(X1,X2,X3,X4) )).

cnf(i_0_13945,axiom,
    ( ~ esk6071_4(X1,X2,X3,X4)
    | esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_13946,axiom,
    ( ~ p(X4)
    | ~ esk995_0
    | ~ p(X3)
    | esk2813_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_13947,axiom,
    ( ~ esk3385_4(X1,X2,X3,X4)
    | esk2634_4(X1,X2,X3,X4) )).

cnf(i_0_13948,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk897_0
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_13949,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6529_4(X1,X2,X3,X4) )).

cnf(i_0_13950,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2220_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_13951,axiom,
    ( esk5565_4(X1,X2,X3,X4)
    | ~ esk7090_4(X1,X2,X3,X4) )).

cnf(i_0_13952,axiom,
    ( p(X4)
    | esk2890_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk1_0 )).

cnf(i_0_13953,axiom,
    ( esk1506_4(X1,X2,X3,X4)
    | ~ esk1598_4(X1,X2,X3,X4) )).

cnf(i_0_13954,axiom,
    ( esk4497_4(X1,X2,X3,X4)
    | ~ esk4262_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_13955,axiom,
    ( ~ esk4916_4(X1,X2,X3,X4)
    | esk3537_4(X1,X2,X3,X4) )).

cnf(i_0_13956,axiom,
    ( ~ esk8823_4(X1,X2,X3,X4)
    | esk8868_4(X1,X2,X3,X4) )).

cnf(i_0_13957,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2004_4(X1,X2,X3,X4) )).

cnf(i_0_13958,axiom,
    ( p(X4)
    | ~ esk1087_0
    | p(X1)
    | p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_13959,axiom,
    ( esk1917_4(X1,X2,X3,X4)
    | ~ esk2096_4(X1,X2,X3,X4) )).

cnf(i_0_13960,axiom,
    ( ~ esk7242_4(X1,X2,X3,X4)
    | esk7241_4(X1,X2,X3,X4) )).

cnf(i_0_13961,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3195_4(X1,X2,X3,X4) )).

cnf(i_0_13962,axiom,
    ( esk8582_4(X1,X2,X3,X4)
    | ~ esk8581_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_13963,axiom,
    ( esk6966_4(X1,X2,X3,X4)
    | ~ esk6967_4(X1,X2,X3,X4) )).

cnf(i_0_13964,axiom,
    ( esk5206_4(X1,X2,X3,X4)
    | ~ esk5207_4(X1,X2,X3,X4) )).

cnf(i_0_13965,axiom,
    ( ~ esk320_0
    | esk8248_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_13966,axiom,
    ( esk8404_4(X1,X2,X3,X4)
    | esk8405_4(X1,X2,X3,X4)
    | ~ esk8406_4(X1,X2,X3,X4) )).

cnf(i_0_13967,axiom,
    ( esk5027_4(X1,X2,X3,X4)
    | esk5028_4(X1,X2,X3,X4)
    | ~ esk5029_4(X1,X2,X3,X4) )).

cnf(i_0_13968,axiom,
    ( esk7421_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_13969,axiom,
    ( esk8767_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8766_4(X1,X2,X3,X4) )).

cnf(i_0_13970,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | esk1223_0
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13971,axiom,
    ( ~ esk8207_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_13972,axiom,
    ( esk7126_4(X1,X2,X3,X4)
    | esk7127_4(X1,X2,X3,X4)
    | ~ esk7128_4(X1,X2,X3,X4) )).

cnf(i_0_13973,axiom,
    ( p(X4)
    | ~ esk1671_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_13974,axiom,
    ( ~ esk4051_4(X1,X2,X3,X4)
    | ~ esk4348_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_13975,axiom,
    ( esk5010_4(X1,X2,X3,X4)
    | ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_13976,axiom,
    ( ~ esk6991_4(X1,X2,X3,X4)
    | esk5644_4(X1,X2,X3,X4) )).

cnf(i_0_13977,axiom,
    ( ~ esk2704_4(X1,X2,X3,X4)
    | esk2524_4(X1,X2,X3,X4) )).

cnf(i_0_13978,axiom,
    ( ~ esk2321_4(X1,X2,X3,X4)
    | esk533_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_13979,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk989_0
    | ~ p(X1) )).

cnf(i_0_13980,axiom,
    ( ~ esk4946_4(X1,X2,X3,X4)
    | esk4926_4(X1,X2,X3,X4) )).

cnf(i_0_13981,axiom,
    ( esk4791_4(X1,X2,X3,X4)
    | ~ esk4790_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_13982,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk494_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_13983,axiom,
    ( ~ esk72_0
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk7774_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_13984,axiom,
    ( ~ esk5618_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_13985,axiom,
    ( esk2884_4(X1,X2,X3,X4)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_13986,axiom,
    ( esk7485_4(X1,X2,X3,X4)
    | esk6643_4(X1,X2,X3,X4)
    | ~ esk7484_4(X1,X2,X3,X4) )).

cnf(i_0_13987,axiom,
    ( ~ esk5262_4(X1,X2,X3,X4)
    | esk5263_4(X1,X2,X3,X4)
    | ~ esk4461_4(X1,X2,X3,X4) )).

cnf(i_0_13988,axiom,
    ( ~ esk5536_4(X1,X2,X3,X4)
    | ~ esk4925_4(X1,X2,X3,X4) )).

cnf(i_0_13989,axiom,
    ( p(X1)
    | p(X4)
    | esk1758_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk233_0 )).

cnf(i_0_13990,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | esk2429_4(X1,X2,X3,X4)
    | ~ esk635_0
    | ~ p(X3) )).

cnf(i_0_13991,axiom,
    ( ~ esk7103_4(X1,X2,X3,X4)
    | esk5650_4(X1,X2,X3,X4) )).

cnf(i_0_13992,axiom,
    ( ~ esk4299_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_13993,axiom,
    ( esk2917_4(X1,X2,X3,X4)
    | ~ esk5017_4(X1,X2,X3,X4) )).

cnf(i_0_13994,axiom,
    ( esk2660_4(X1,X2,X3,X4)
    | ~ esk2659_4(X1,X2,X3,X4)
    | ~ esk2484_4(X1,X2,X3,X4) )).

cnf(i_0_13995,axiom,
    ( ~ esk5339_4(X1,X2,X3,X4)
    | esk5341_4(X1,X2,X3,X4) )).

cnf(i_0_13996,axiom,
    ( ~ esk3184_4(X1,X2,X3,X4)
    | esk3183_4(X1,X2,X3,X4) )).

cnf(i_0_13997,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4452_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_13998,axiom,
    ( p(X4)
    | esk8508_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk489_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_13999,axiom,
    ( ~ p(X4)
    | ~ esk884_0
    | esk9093_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_14000,axiom,
    ( ~ esk7562_4(X1,X2,X3,X4)
    | esk6884_4(X1,X2,X3,X4) )).

cnf(i_0_14001,axiom,
    ( esk6585_4(X1,X2,X3,X4)
    | ~ esk6584_4(X1,X2,X3,X4) )).

cnf(i_0_14002,axiom,
    ( esk4962_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | esk4963_4(X1,X2,X3,X4) )).

cnf(i_0_14003,axiom,
    ( ~ esk6324_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6629_4(X1,X2,X3,X4) )).

cnf(i_0_14004,axiom,
    ( ~ esk9205_4(X1,X2,X3,X4)
    | esk7906_4(X1,X2,X3,X4)
    | ~ esk7905_4(X1,X2,X3,X4) )).

cnf(i_0_14005,axiom,
    ( ~ esk9714_4(X1,X2,X3,X4)
    | esk9715_4(X1,X2,X3,X4) )).

cnf(i_0_14006,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk984_0
    | ~ p(X2)
    | p(X4)
    | esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_14007,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8551_4(X1,X2,X3,X4) )).

cnf(i_0_14008,axiom,
    ( esk1526_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_14009,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk652_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_14010,axiom,
    ( esk6126_4(X1,X2,X3,X4)
    | ~ esk6127_4(X1,X2,X3,X4) )).

cnf(i_0_14011,axiom,
    ( ~ esk5752_4(X1,X2,X3,X4)
    | esk5674_4(X1,X2,X3,X4) )).

cnf(i_0_14012,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9497_4(X1,X2,X3,X4) )).

cnf(i_0_14013,axiom,
    ( ~ esk3318_4(X1,X2,X3,X4)
    | esk3317_4(X1,X2,X3,X4)
    | esk3316_4(X1,X2,X3,X4) )).

cnf(i_0_14014,axiom,
    ( esk7106_4(X1,X2,X3,X4)
    | ~ esk5906_4(X1,X2,X3,X4) )).

cnf(i_0_14015,axiom,
    ( ~ p(X1)
    | esk2805_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk941_0
    | p(X2) )).

cnf(i_0_14016,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk1440_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk25_0 )).

cnf(i_0_14017,axiom,
    ( esk9269_4(X1,X2,X3,X4)
    | esk9270_4(X1,X2,X3,X4)
    | ~ esk9271_4(X1,X2,X3,X4) )).

cnf(i_0_14018,axiom,
    ( ~ esk3276_4(X1,X2,X3,X4)
    | esk3279_4(X1,X2,X3,X4) )).

cnf(i_0_14019,axiom,
    ( p(X3)
    | esk2791_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk835_0
    | p(X2) )).

cnf(i_0_14020,axiom,
    ( ~ esk1611_4(X1,X2,X3,X4)
    | esk2907_4(X1,X2,X3,X4) )).

cnf(i_0_14021,axiom,
    ( ~ esk2104_4(X1,X2,X3,X4)
    | esk2105_4(X1,X2,X3,X4) )).

cnf(i_0_14022,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X4)
    | esk137_0 )).

cnf(i_0_14023,axiom,
    ( ~ esk9590_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_14024,axiom,
    ( ~ esk1709_4(X1,X2,X3,X4)
    | esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_14025,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk412_0
    | p(X1) )).

cnf(i_0_14026,axiom,
    ( esk1796_4(X1,X2,X3,X4)
    | ~ esk1795_4(X1,X2,X3,X4) )).

cnf(i_0_14027,axiom,
    ( ~ p(X1)
    | ~ esk556_0
    | ~ p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_14028,axiom,
    ( ~ esk884_0
    | ~ p(X1)
    | p(X3)
    | esk2797_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_14029,axiom,
    ( ~ esk2433_4(X1,X2,X3,X4)
    | esk1877_4(X1,X2,X3,X4) )).

cnf(i_0_14030,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk7465_4(X1,X2,X3,X4) )).

cnf(i_0_14031,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk2_0 )).

cnf(i_0_14032,axiom,
    ( ~ esk7726_4(X1,X2,X3,X4)
    | ~ esk8070_4(X1,X2,X3,X4)
    | esk8071_4(X1,X2,X3,X4) )).

cnf(i_0_14033,axiom,
    ( ~ esk8902_4(X1,X2,X3,X4)
    | esk8850_4(X1,X2,X3,X4) )).

cnf(i_0_14034,axiom,
    ( esk9227_4(X1,X2,X3,X4)
    | ~ esk9222_4(X1,X2,X3,X4) )).

cnf(i_0_14035,axiom,
    ( ~ esk8257_4(X1,X2,X3,X4)
    | esk8259_4(X1,X2,X3,X4) )).

cnf(i_0_14036,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9608_4(X1,X2,X3,X4) )).

cnf(i_0_14037,axiom,
    ( esk4604_4(X1,X2,X3,X4)
    | ~ esk4605_4(X1,X2,X3,X4) )).

cnf(i_0_14038,axiom,
    ( ~ esk8120_4(X1,X2,X3,X4)
    | esk9741_4(X1,X2,X3,X4)
    | ~ esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_14039,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | ~ esk810_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_14040,axiom,
    ( esk3166_4(X1,X2,X3,X4)
    | ~ esk3180_4(X1,X2,X3,X4) )).

cnf(i_0_14041,axiom,
    ( esk7407_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7404_4(X1,X2,X3,X4) )).

cnf(i_0_14042,axiom,
    ( ~ p(X4)
    | esk167_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_14043,axiom,
    ( esk7268_4(X1,X2,X3,X4)
    | ~ esk7267_4(X1,X2,X3,X4) )).

cnf(i_0_14044,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7897_4(X1,X2,X3,X4) )).

cnf(i_0_14045,axiom,
    ( esk6801_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_14046,axiom,
    ( ~ esk6337_4(X1,X2,X3,X4)
    | esk6375_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_14047,axiom,
    ( ~ esk7367_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_14048,axiom,
    ( ~ esk4430_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14049,axiom,
    ( ~ esk3911_4(X1,X2,X3,X4)
    | esk3912_4(X1,X2,X3,X4) )).

cnf(i_0_14050,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | esk3360_4(X1,X2,X3,X4)
    | ~ esk3359_4(X1,X2,X3,X4) )).

cnf(i_0_14051,axiom,
    ( esk5627_4(X1,X2,X3,X4)
    | ~ esk5875_4(X1,X2,X3,X4) )).

cnf(i_0_14052,axiom,
    ( ~ esk8909_4(X1,X2,X3,X4)
    | esk8911_4(X1,X2,X3,X4) )).

cnf(i_0_14053,axiom,
    ( ~ esk2834_4(X1,X2,X3,X4)
    | esk2833_4(X1,X2,X3,X4) )).

cnf(i_0_14054,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk3263_4(X1,X2,X3,X4) )).

cnf(i_0_14055,axiom,
    ( ~ esk991_0
    | esk9107_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_14056,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk8388_4(X1,X2,X3,X4)
    | esk448_0
    | p(X2) )).

cnf(i_0_14057,axiom,
    ( ~ esk5341_4(X1,X2,X3,X4)
    | esk5339_4(X1,X2,X3,X4)
    | esk5340_4(X1,X2,X3,X4) )).

cnf(i_0_14058,axiom,
    ( esk1747_4(X1,X2,X3,X4)
    | ~ esk3847_4(X1,X2,X3,X4) )).

cnf(i_0_14059,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4798_4(X1,X2,X3,X4) )).

cnf(i_0_14060,axiom,
    ( ~ esk4396_4(X1,X2,X3,X4)
    | esk4395_4(X1,X2,X3,X4) )).

cnf(i_0_14061,axiom,
    ( p(X2)
    | ~ esk695_0
    | p(X1)
    | ~ p(X4)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_14062,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk45_0
    | p(X3)
    | esk1442_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_14063,axiom,
    ( ~ esk1184_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_14064,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6514_4(X1,X2,X3,X4)
    | esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_14065,axiom,
    ( ~ p(X1)
    | esk8050_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk212_0 )).

cnf(i_0_14066,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk586_0
    | p(X3) )).

cnf(i_0_14067,axiom,
    ( ~ esk2242_4(X1,X2,X3,X4)
    | ~ esk2243_4(X1,X2,X3,X4)
    | ~ esk2204_4(X1,X2,X3,X4) )).

cnf(i_0_14068,axiom,
    ( ~ esk1794_4(X1,X2,X3,X4)
    | esk1793_4(X1,X2,X3,X4) )).

cnf(i_0_14069,axiom,
    ( ~ esk860_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_14070,axiom,
    ( ~ esk8605_4(X1,X2,X3,X4)
    | ~ esk8456_4(X1,X2,X3,X4)
    | esk8606_4(X1,X2,X3,X4) )).

cnf(i_0_14071,axiom,
    ( ~ esk3955_4(X1,X2,X3,X4)
    | esk3954_4(X1,X2,X3,X4) )).

cnf(i_0_14072,axiom,
    ( ~ esk1633_4(X1,X2,X3,X4)
    | esk1635_4(X1,X2,X3,X4) )).

cnf(i_0_14073,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1636_4(X1,X2,X3,X4) )).

cnf(i_0_14074,axiom,
    ( esk4287_4(X1,X2,X3,X4)
    | esk4288_4(X1,X2,X3,X4)
    | ~ esk4289_4(X1,X2,X3,X4) )).

cnf(i_0_14075,axiom,
    ( ~ esk8893_4(X1,X2,X3,X4)
    | esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_14076,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk672_0
    | ~ esk8729_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_14077,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4203_4(X1,X2,X3,X4) )).

cnf(i_0_14078,axiom,
    ( ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk308_0
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_14079,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk4920_4(X1,X2,X3,X4) )).

cnf(i_0_14080,axiom,
    ( esk3110_4(X1,X2,X3,X4)
    | ~ esk3108_4(X1,X2,X3,X4) )).

cnf(i_0_14081,axiom,
    ( esk1433_4(X1,X2,X3,X4)
    | esk1432_4(X1,X2,X3,X4)
    | ~ esk1434_4(X1,X2,X3,X4) )).

cnf(i_0_14082,axiom,
    ( esk4547_4(X1,X2,X3,X4)
    | ~ esk4542_4(X1,X2,X3,X4) )).

cnf(i_0_14083,axiom,
    ( esk2759_4(X1,X2,X3,X4)
    | ~ esk2758_4(X1,X2,X3,X4) )).

cnf(i_0_14084,axiom,
    ( ~ esk9582_4(X1,X2,X3,X4)
    | ~ esk8250_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_14085,axiom,
    ( esk1720_4(X1,X2,X3,X4)
    | ~ esk1721_4(X1,X2,X3,X4) )).

cnf(i_0_14086,axiom,
    ( ~ esk7331_4(X1,X2,X3,X4)
    | esk7332_4(X1,X2,X3,X4) )).

cnf(i_0_14087,axiom,
    ( ~ esk9469_4(X1,X2,X3,X4)
    | esk9471_4(X1,X2,X3,X4) )).

cnf(i_0_14088,axiom,
    ( ~ esk1593_4(X1,X2,X3,X4)
    | esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_14089,axiom,
    ( ~ esk4077_4(X1,X2,X3,X4)
    | esk4076_4(X1,X2,X3,X4)
    | esk4075_4(X1,X2,X3,X4) )).

cnf(i_0_14090,axiom,
    ( ~ esk2381_4(X1,X2,X3,X4)
    | esk2383_4(X1,X2,X3,X4) )).

cnf(i_0_14091,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6122_4(X1,X2,X3,X4) )).

cnf(i_0_14092,axiom,
    ( esk6828_4(X1,X2,X3,X4)
    | ~ esk6827_4(X1,X2,X3,X4) )).

cnf(i_0_14093,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | ~ esk4527_4(X1,X2,X3,X4) )).

cnf(i_0_14094,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | esk8728_4(X1,X2,X3,X4)
    | ~ esk8423_4(X1,X2,X3,X4) )).

cnf(i_0_14095,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk5389_4(X1,X2,X3,X4)
    | ~ esk4569_4(X1,X2,X3,X4) )).

cnf(i_0_14096,axiom,
    ( esk5591_4(X1,X2,X3,X4)
    | ~ esk6058_4(X1,X2,X3,X4) )).

cnf(i_0_14097,axiom,
    ( ~ esk2402_4(X1,X2,X3,X4)
    | esk2403_4(X1,X2,X3,X4) )).

cnf(i_0_14098,axiom,
    ( esk7062_4(X1,X2,X3,X4)
    | ~ esk7638_4(X1,X2,X3,X4) )).

cnf(i_0_14099,axiom,
    ( ~ esk3994_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14100,axiom,
    ( ~ esk2912_4(X1,X2,X3,X4)
    | esk2452_4(X1,X2,X3,X4) )).

cnf(i_0_14101,axiom,
    ( ~ esk7385_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7386_4(X1,X2,X3,X4) )).

cnf(i_0_14102,axiom,
    ( esk4204_4(X1,X2,X3,X4)
    | ~ esk4203_4(X1,X2,X3,X4) )).

cnf(i_0_14103,axiom,
    ( ~ esk3896_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14104,axiom,
    ( esk5991_4(X1,X2,X3,X4)
    | ~ esk5992_4(X1,X2,X3,X4) )).

cnf(i_0_14105,axiom,
    ( esk9204_4(X1,X2,X3,X4)
    | ~ esk1231_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_14106,axiom,
    ( ~ esk4845_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_14107,axiom,
    ( ~ esk508_0
    | ~ p(X3)
    | ~ p(X1)
    | esk8547_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_14108,axiom,
    ( ~ esk2078_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_14109,axiom,
    ( esk5678_4(X1,X2,X3,X4)
    | ~ esk5556_4(X1,X2,X3,X4) )).

cnf(i_0_14110,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | esk2868_4(X1,X2,X3,X4)
    | ~ esk1039_0 )).

cnf(i_0_14111,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk7454_4(X1,X2,X3,X4)
    | ~ esk7453_4(X1,X2,X3,X4) )).

cnf(i_0_14112,axiom,
    ( ~ p(X4)
    | esk2321_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk540_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_14113,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5340_4(X1,X2,X3,X4) )).

cnf(i_0_14114,axiom,
    ( esk8311_4(X1,X2,X3,X4)
    | ~ esk8312_4(X1,X2,X3,X4) )).

cnf(i_0_14115,axiom,
    ( ~ esk2077_4(X1,X2,X3,X4)
    | esk2079_4(X1,X2,X3,X4) )).

cnf(i_0_14116,axiom,
    ( esk8138_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ esk267_0
    | ~ p(X4) )).

cnf(i_0_14117,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7413_4(X1,X2,X3,X4) )).

cnf(i_0_14118,axiom,
    ( ~ esk2113_4(X1,X2,X3,X4)
    | esk2150_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14119,axiom,
    ( p(X2)
    | esk2908_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1225_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_14120,axiom,
    ( esk6991_4(X1,X2,X3,X4)
    | ~ esk4891_4(X1,X2,X3,X4) )).

cnf(i_0_14121,axiom,
    ( esk2298_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk2264_4(X1,X2,X3,X4) )).

cnf(i_0_14122,axiom,
    ( esk2437_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk693_0
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_14123,axiom,
    ( ~ esk1184_0
    | p(X3)
    | ~ p(X1)
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_14124,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2119_4(X1,X2,X3,X4) )).

cnf(i_0_14125,axiom,
    ( ~ esk2393_4(X1,X2,X3,X4)
    | esk2392_4(X1,X2,X3,X4) )).

cnf(i_0_14126,axiom,
    ( esk7926_4(X1,X2,X3,X4)
    | ~ esk7925_4(X1,X2,X3,X4)
    | ~ esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_14127,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8564_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14128,axiom,
    ( esk8372_4(X1,X2,X3,X4)
    | ~ esk8405_4(X1,X2,X3,X4) )).

cnf(i_0_14129,axiom,
    ( esk5054_4(X1,X2,X3,X4)
    | ~ esk7154_4(X1,X2,X3,X4) )).

cnf(i_0_14130,axiom,
    ( esk3114_4(X1,X2,X3,X4)
    | ~ esk3113_4(X1,X2,X3,X4) )).

cnf(i_0_14131,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2089_4(X1,X2,X3,X4)
    | esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_14132,axiom,
    ( ~ esk8401_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14133,axiom,
    ( ~ esk9550_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14134,axiom,
    ( ~ esk9611_4(X1,X2,X3,X4)
    | esk9610_4(X1,X2,X3,X4)
    | esk9609_4(X1,X2,X3,X4) )).

cnf(i_0_14135,axiom,
    ( esk1562_4(X1,X2,X3,X4)
    | esk1561_4(X1,X2,X3,X4)
    | ~ esk1563_4(X1,X2,X3,X4) )).

cnf(i_0_14136,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk8214_4(X1,X2,X3,X4)
    | esk309_0
    | ~ p(X3) )).

cnf(i_0_14137,axiom,
    ( esk8792_4(X1,X2,X3,X4)
    | ~ esk8824_4(X1,X2,X3,X4) )).

cnf(i_0_14138,axiom,
    ( esk2606_4(X1,X2,X3,X4)
    | ~ esk3329_4(X1,X2,X3,X4) )).

cnf(i_0_14139,axiom,
    ( ~ esk1962_4(X1,X2,X3,X4)
    | esk2381_4(X1,X2,X3,X4)
    | ~ esk2380_4(X1,X2,X3,X4) )).

cnf(i_0_14140,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk460_0 )).

cnf(i_0_14141,axiom,
    ( ~ esk1442_4(X1,X2,X3,X4)
    | esk1404_4(X1,X2,X3,X4) )).

cnf(i_0_14142,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9063_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_14143,axiom,
    ( ~ p(X2)
    | ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_14144,axiom,
    ( ~ esk263_0
    | esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_14145,axiom,
    ( esk2_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_14146,axiom,
    ( ~ esk7078_4(X1,X2,X3,X4)
    | esk4978_4(X1,X2,X3,X4) )).

cnf(i_0_14147,axiom,
    ( esk8952_4(X1,X2,X3,X4)
    | ~ esk8953_4(X1,X2,X3,X4) )).

cnf(i_0_14148,axiom,
    ( ~ esk5675_4(X1,X2,X3,X4)
    | esk7775_4(X1,X2,X3,X4) )).

cnf(i_0_14149,axiom,
    ( esk8131_4(X1,X2,X3,X4)
    | esk8132_4(X1,X2,X3,X4) )).

cnf(i_0_14150,axiom,
    ( esk6642_4(X1,X2,X3,X4)
    | ~ esk6643_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_14151,axiom,
    ( ~ esk2608_4(X1,X2,X3,X4)
    | esk2607_4(X1,X2,X3,X4) )).

cnf(i_0_14152,axiom,
    ( esk2264_4(X1,X2,X3,X4)
    | ~ esk2298_4(X1,X2,X3,X4) )).

cnf(i_0_14153,axiom,
    ( esk525_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2289_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14154,axiom,
    ( esk2567_4(X1,X2,X3,X4)
    | ~ esk2568_4(X1,X2,X3,X4) )).

cnf(i_0_14155,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8437_4(X1,X2,X3,X4) )).

cnf(i_0_14156,axiom,
    ( esk5526_4(X1,X2,X3,X4)
    | ~ esk5527_4(X1,X2,X3,X4) )).

cnf(i_0_14157,axiom,
    ( ~ esk1033_0
    | p(X2)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_14158,axiom,
    ( ~ esk7489_4(X1,X2,X3,X4)
    | esk6668_4(X1,X2,X3,X4) )).

cnf(i_0_14159,axiom,
    ( ~ p(X4)
    | esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk865_0 )).

cnf(i_0_14160,axiom,
    ( ~ esk4417_4(X1,X2,X3,X4)
    | esk4382_4(X1,X2,X3,X4)
    | esk4524_4(X1,X2,X3,X4) )).

cnf(i_0_14161,axiom,
    ( esk5553_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_14162,axiom,
    ( esk6632_4(X1,X2,X3,X4)
    | ~ esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_14163,axiom,
    ( esk4034_4(X1,X2,X3,X4)
    | ~ esk4033_4(X1,X2,X3,X4) )).

cnf(i_0_14164,axiom,
    ( ~ esk1754_4(X1,X2,X3,X4)
    | esk200_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_14165,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5401_4(X1,X2,X3,X4)
    | esk4688_4(X1,X2,X3,X4) )).

cnf(i_0_14166,axiom,
    ( esk1746_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk147_0
    | p(X2)
    | p(X4) )).

cnf(i_0_14167,axiom,
    ( ~ esk6875_4(X1,X2,X3,X4)
    | esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_14168,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk6020_4(X1,X2,X3,X4) )).

cnf(i_0_14169,axiom,
    ( esk5220_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5217_4(X1,X2,X3,X4) )).

cnf(i_0_14170,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk5404_4(X1,X2,X3,X4)
    | ~ esk4693_4(X1,X2,X3,X4) )).

cnf(i_0_14171,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6671_4(X1,X2,X3,X4) )).

cnf(i_0_14172,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | ~ esk2469_4(X1,X2,X3,X4)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_14173,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk2425_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk608_0 )).

cnf(i_0_14174,axiom,
    ( esk9731_4(X1,X2,X3,X4)
    | ~ esk9128_4(X1,X2,X3,X4) )).

cnf(i_0_14175,axiom,
    ( esk8061_4(X1,X2,X3,X4)
    | ~ esk8795_4(X1,X2,X3,X4) )).

cnf(i_0_14176,axiom,
    ( ~ esk4544_4(X1,X2,X3,X4)
    | esk5382_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_14177,axiom,
    ( ~ esk3445_4(X1,X2,X3,X4)
    | esk1522_4(X1,X2,X3,X4) )).

cnf(i_0_14178,axiom,
    ( p(X2)
    | esk1330_0
    | ~ p(X1)
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_14179,axiom,
    ( esk2384_4(X1,X2,X3,X4)
    | ~ esk2385_4(X1,X2,X3,X4) )).

cnf(i_0_14180,axiom,
    ( esk4012_4(X1,X2,X3,X4)
    | ~ esk4518_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_14181,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk1100_0
    | ~ p(X4)
    | esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_14182,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | esk8_0
    | ~ esk7734_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_14183,axiom,
    ( ~ esk9594_4(X1,X2,X3,X4)
    | esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_14184,axiom,
    ( ~ esk8450_4(X1,X2,X3,X4)
    | esk8608_4(X1,X2,X3,X4) )).

cnf(i_0_14185,axiom,
    ( ~ esk2241_4(X1,X2,X3,X4)
    | esk2240_4(X1,X2,X3,X4)
    | esk2239_4(X1,X2,X3,X4)
    | esk2238_4(X1,X2,X3,X4) )).

cnf(i_0_14186,axiom,
    ( p(X1)
    | ~ esk2958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk1344_0
    | ~ p(X3) )).

cnf(i_0_14187,axiom,
    ( esk961_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_14188,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk9729_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4) )).

cnf(i_0_14189,axiom,
    ( ~ esk6944_4(X1,X2,X3,X4)
    | esk6945_4(X1,X2,X3,X4) )).

cnf(i_0_14190,axiom,
    ( ~ esk2476_4(X1,X2,X3,X4)
    | esk2478_4(X1,X2,X3,X4) )).

cnf(i_0_14191,axiom,
    ( ~ esk7855_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_14192,axiom,
    ( ~ esk7169_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk7170_4(X1,X2,X3,X4) )).

cnf(i_0_14193,axiom,
    ( ~ esk1840_4(X1,X2,X3,X4)
    | esk1775_4(X1,X2,X3,X4) )).

cnf(i_0_14194,axiom,
    ( ~ esk3209_4(X1,X2,X3,X4)
    | esk3206_4(X1,X2,X3,X4) )).

cnf(i_0_14195,axiom,
    ( ~ esk2495_4(X1,X2,X3,X4)
    | ~ esk2171_4(X1,X2,X3,X4) )).

cnf(i_0_14196,axiom,
    ( ~ esk4779_4(X1,X2,X3,X4)
    | esk4588_4(X1,X2,X3,X4) )).

cnf(i_0_14197,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk7447_4(X1,X2,X3,X4)
    | ~ esk7444_4(X1,X2,X3,X4) )).

cnf(i_0_14198,axiom,
    ( esk1869_4(X1,X2,X3,X4)
    | ~ esk1697_4(X1,X2,X3,X4) )).

cnf(i_0_14199,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6413_4(X1,X2,X3,X4) )).

cnf(i_0_14200,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk56_0
    | p(X2)
    | ~ esk7740_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_14201,axiom,
    ( esk8398_4(X1,X2,X3,X4)
    | ~ esk8435_4(X1,X2,X3,X4) )).

cnf(i_0_14202,axiom,
    ( ~ p(X3)
    | ~ esk2854_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk1024_0
    | p(X1) )).

cnf(i_0_14203,axiom,
    ( ~ esk9089_4(X1,X2,X3,X4)
    | p(X2)
    | esk844_0
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_14204,axiom,
    ( esk2974_4(X1,X2,X3,X4)
    | ~ esk2980_4(X1,X2,X3,X4) )).

cnf(i_0_14205,axiom,
    ( ~ esk2941_4(X1,X2,X3,X4)
    | esk5041_4(X1,X2,X3,X4) )).

cnf(i_0_14206,axiom,
    ( ~ esk3076_4(X1,X2,X3,X4)
    | esk3075_4(X1,X2,X3,X4) )).

cnf(i_0_14207,axiom,
    ( esk2198_4(X1,X2,X3,X4)
    | ~ esk2197_4(X1,X2,X3,X4) )).

cnf(i_0_14208,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk1123_0
    | p(X4)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_14209,axiom,
    ( esk5994_4(X1,X2,X3,X4)
    | ~ esk5992_4(X1,X2,X3,X4) )).

cnf(i_0_14210,axiom,
    ( ~ esk4844_4(X1,X2,X3,X4)
    | esk4846_4(X1,X2,X3,X4) )).

cnf(i_0_14211,axiom,
    ( ~ p(X3)
    | ~ esk2092_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk439_0
    | p(X1) )).

cnf(i_0_14212,axiom,
    ( esk6825_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_14213,axiom,
    ( esk5896_4(X1,X2,X3,X4)
    | ~ esk5936_4(X1,X2,X3,X4) )).

cnf(i_0_14214,axiom,
    ( esk9545_4(X1,X2,X3,X4)
    | ~ esk9539_4(X1,X2,X3,X4)
    | ~ esk9544_4(X1,X2,X3,X4) )).

cnf(i_0_14215,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6841_4(X1,X2,X3,X4) )).

cnf(i_0_14216,axiom,
    ( esk6667_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_14217,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3375_4(X1,X2,X3,X4) )).

cnf(i_0_14218,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4107_4(X1,X2,X3,X4) )).

cnf(i_0_14219,axiom,
    ( ~ esk5852_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_14220,axiom,
    ( ~ esk8528_4(X1,X2,X3,X4)
    | esk8530_4(X1,X2,X3,X4) )).

cnf(i_0_14221,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | esk1444_4(X1,X2,X3,X4)
    | ~ esk55_0
    | p(X3) )).

cnf(i_0_14222,axiom,
    ( esk6944_4(X1,X2,X3,X4)
    | ~ esk6945_4(X1,X2,X3,X4)
    | esk6943_4(X1,X2,X3,X4) )).

cnf(i_0_14223,axiom,
    ( ~ esk3552_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_14224,axiom,
    ( ~ esk4268_4(X1,X2,X3,X4)
    | esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_14225,axiom,
    ( ~ esk9674_4(X1,X2,X3,X4)
    | esk8927_4(X1,X2,X3,X4) )).

cnf(i_0_14226,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | esk9060_4(X1,X2,X3,X4) )).

cnf(i_0_14227,axiom,
    ( esk4046_4(X1,X2,X3,X4)
    | ~ esk4045_4(X1,X2,X3,X4) )).

cnf(i_0_14228,axiom,
    ( ~ esk6683_4(X1,X2,X3,X4)
    | esk6862_4(X1,X2,X3,X4)
    | ~ esk6861_4(X1,X2,X3,X4) )).

cnf(i_0_14229,axiom,
    ( ~ p(X1)
    | ~ esk1226_0
    | p(X2)
    | p(X3)
    | esk2908_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_14230,axiom,
    ( esk5108_4(X1,X2,X3,X4)
    | esk5107_4(X1,X2,X3,X4)
    | ~ esk5109_4(X1,X2,X3,X4) )).

cnf(i_0_14231,axiom,
    ( ~ esk8042_4(X1,X2,X3,X4)
    | esk143_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_14232,axiom,
    ( esk1_0
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_14233,axiom,
    ( ~ esk9218_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_14234,axiom,
    ( ~ esk9005_4(X1,X2,X3,X4)
    | esk9007_4(X1,X2,X3,X4) )).

cnf(i_0_14235,axiom,
    ( ~ esk6539_4(X1,X2,X3,X4)
    | esk6540_4(X1,X2,X3,X4) )).

cnf(i_0_14236,axiom,
    ( esk6868_4(X1,X2,X3,X4)
    | ~ esk6866_4(X1,X2,X3,X4) )).

cnf(i_0_14237,axiom,
    ( esk9415_4(X1,X2,X3,X4)
    | ~ esk9418_4(X1,X2,X3,X4) )).

cnf(i_0_14238,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1264_0
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_14239,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7585_4(X1,X2,X3,X4) )).

cnf(i_0_14240,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk373_0
    | p(X4)
    | esk8283_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_14241,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk5995_4(X1,X2,X3,X4) )).

cnf(i_0_14242,axiom,
    ( ~ esk6683_4(X1,X2,X3,X4)
    | esk6295_4(X1,X2,X3,X4) )).

cnf(i_0_14243,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5410_4(X1,X2,X3,X4) )).

cnf(i_0_14244,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6097_4(X1,X2,X3,X4) )).

cnf(i_0_14245,axiom,
    ( esk3671_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_14246,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | ~ esk5764_4(X1,X2,X3,X4) )).

cnf(i_0_14247,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9269_4(X1,X2,X3,X4) )).

cnf(i_0_14248,axiom,
    ( esk8723_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ esk619_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_14249,axiom,
    ( ~ esk5877_4(X1,X2,X3,X4)
    | esk5876_4(X1,X2,X3,X4) )).

cnf(i_0_14250,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | esk9081_4(X1,X2,X3,X4)
    | ~ esk784_0
    | ~ p(X4) )).

cnf(i_0_14251,axiom,
    ( ~ esk4258_4(X1,X2,X3,X4)
    | ~ esk4407_4(X1,X2,X3,X4)
    | esk4408_4(X1,X2,X3,X4) )).

cnf(i_0_14252,axiom,
    ( ~ esk2373_4(X1,X2,X3,X4)
    | esk2229_4(X1,X2,X3,X4) )).

cnf(i_0_14253,axiom,
    ( ~ esk3893_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_14254,axiom,
    ( esk5228_4(X1,X2,X3,X4)
    | ~ esk5229_4(X1,X2,X3,X4)
    | esk5227_4(X1,X2,X3,X4) )).

cnf(i_0_14255,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | esk409_0
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_14256,axiom,
    ( esk7761_4(X1,X2,X3,X4)
    | ~ esk7831_4(X1,X2,X3,X4) )).

cnf(i_0_14257,axiom,
    ( ~ esk7874_4(X1,X2,X3,X4)
    | esk7876_4(X1,X2,X3,X4) )).

cnf(i_0_14258,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6936_4(X1,X2,X3,X4) )).

cnf(i_0_14259,axiom,
    ( ~ esk9113_4(X1,X2,X3,X4)
    | esk9090_4(X1,X2,X3,X4) )).

cnf(i_0_14260,axiom,
    ( p(X1)
    | ~ esk22_0
    | ~ p(X4)
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_14261,axiom,
    ( ~ esk4275_4(X1,X2,X3,X4)
    | esk4277_4(X1,X2,X3,X4) )).

cnf(i_0_14262,axiom,
    ( ~ esk5316_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_14263,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk6776_4(X1,X2,X3,X4) )).

cnf(i_0_14264,axiom,
    ( esk8766_4(X1,X2,X3,X4)
    | ~ esk9088_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_14265,axiom,
    ( ~ esk3521_4(X1,X2,X3,X4)
    | esk4568_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_14266,axiom,
    ( ~ esk5190_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_14267,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9318_4(X1,X2,X3,X4) )).

cnf(i_0_14268,axiom,
    ( p(X2)
    | p(X3)
    | esk1144_0
    | ~ p(X4)
    | ~ esk9178_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_14269,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3139_4(X1,X2,X3,X4) )).

cnf(i_0_14270,axiom,
    ( ~ esk5589_4(X1,X2,X3,X4)
    | esk5944_4(X1,X2,X3,X4) )).

cnf(i_0_14271,axiom,
    ( esk4579_4(X1,X2,X3,X4)
    | ~ esk4602_4(X1,X2,X3,X4) )).

cnf(i_0_14272,axiom,
    ( esk5900_4(X1,X2,X3,X4)
    | ~ esk5864_4(X1,X2,X3,X4) )).

cnf(i_0_14273,axiom,
    ( esk1958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk361_0 )).

cnf(i_0_14274,axiom,
    ( esk2326_4(X1,X2,X3,X4)
    | ~ esk2325_4(X1,X2,X3,X4) )).

cnf(i_0_14275,axiom,
    ( esk6523_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_14276,axiom,
    ( ~ esk2008_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_14277,axiom,
    ( ~ esk9097_4(X1,X2,X3,X4)
    | esk914_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_14278,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3568_4(X1,X2,X3,X4) )).

cnf(i_0_14279,axiom,
    ( ~ esk7028_4(X1,X2,X3,X4)
    | esk7027_4(X1,X2,X3,X4) )).

cnf(i_0_14280,axiom,
    ( ~ esk8844_4(X1,X2,X3,X4)
    | esk8846_4(X1,X2,X3,X4) )).

cnf(i_0_14281,axiom,
    ( ~ esk8550_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14282,axiom,
    ( esk5242_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14283,axiom,
    ( esk3683_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_14284,axiom,
    ( esk8041_4(X1,X2,X3,X4)
    | ~ esk8056_4(X1,X2,X3,X4) )).

cnf(i_0_14285,axiom,
    ( ~ esk7353_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_14286,axiom,
    ( esk9261_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk9260_4(X1,X2,X3,X4) )).

cnf(i_0_14287,axiom,
    ( esk8842_4(X1,X2,X3,X4)
    | ~ esk8840_4(X1,X2,X3,X4) )).

cnf(i_0_14288,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3351_4(X1,X2,X3,X4) )).

cnf(i_0_14289,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk1102_0
    | ~ p(X2)
    | ~ p(X4)
    | esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_14290,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9513_4(X1,X2,X3,X4)
    | ~ esk9512_4(X1,X2,X3,X4) )).

cnf(i_0_14291,axiom,
    ( esk926_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2803_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14292,axiom,
    ( ~ esk9427_4(X1,X2,X3,X4)
    | esk9425_4(X1,X2,X3,X4)
    | esk9426_4(X1,X2,X3,X4) )).

cnf(i_0_14293,axiom,
    ( ~ esk9663_4(X1,X2,X3,X4)
    | esk9661_4(X1,X2,X3,X4)
    | esk9662_4(X1,X2,X3,X4) )).

cnf(i_0_14294,axiom,
    ( ~ esk9171_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_14295,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk2789_4(X1,X2,X3,X4)
    | ~ esk824_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_14296,axiom,
    ( ~ esk2457_4(X1,X2,X3,X4)
    | esk2456_4(X1,X2,X3,X4) )).

cnf(i_0_14297,axiom,
    ( ~ esk7778_4(X1,X2,X3,X4)
    | esk7654_4(X1,X2,X3,X4) )).

cnf(i_0_14298,axiom,
    ( esk6361_4(X1,X2,X3,X4)
    | ~ esk6358_4(X1,X2,X3,X4) )).

cnf(i_0_14299,axiom,
    ( esk4016_4(X1,X2,X3,X4)
    | ~ esk6116_4(X1,X2,X3,X4) )).

cnf(i_0_14300,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk2785_4(X1,X2,X3,X4)
    | ~ esk785_0
    | p(X1)
    | p(X2) )).

cnf(i_0_14301,axiom,
    ( ~ esk1331_0
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk9252_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_14302,axiom,
    ( ~ esk3660_4(X1,X2,X3,X4)
    | esk5031_4(X1,X2,X3,X4) )).

cnf(i_0_14303,axiom,
    ( ~ esk1526_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_14304,axiom,
    ( ~ p(X2)
    | esk81_0
    | p(X3)
    | ~ esk1516_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_14305,axiom,
    ( ~ esk2821_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_14306,axiom,
    ( esk9452_4(X1,X2,X3,X4)
    | ~ esk9453_4(X1,X2,X3,X4) )).

cnf(i_0_14307,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5498_4(X1,X2,X3,X4) )).

cnf(i_0_14308,axiom,
    ( esk3699_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_14309,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk8778_4(X1,X2,X3,X4)
    | esk770_0
    | p(X1) )).

cnf(i_0_14310,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk5194_4(X1,X2,X3,X4) )).

cnf(i_0_14311,axiom,
    ( p(X4)
    | esk8_0
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_14312,axiom,
    ( ~ esk3307_4(X1,X2,X3,X4)
    | ~ esk2562_4(X1,X2,X3,X4)
    | esk3308_4(X1,X2,X3,X4) )).

cnf(i_0_14313,axiom,
    ( ~ esk6858_4(X1,X2,X3,X4)
    | esk6857_4(X1,X2,X3,X4) )).

cnf(i_0_14314,axiom,
    ( esk8720_4(X1,X2,X3,X4)
    | ~ esk8574_4(X1,X2,X3,X4) )).

cnf(i_0_14315,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk8525_4(X1,X2,X3,X4) )).

cnf(i_0_14316,axiom,
    ( ~ esk1147_0
    | ~ p(X2)
    | p(X4)
    | esk9178_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_14317,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk634_0 )).

cnf(i_0_14318,axiom,
    ( esk6487_4(X1,X2,X3,X4)
    | ~ esk5607_4(X1,X2,X3,X4) )).

cnf(i_0_14319,axiom,
    ( ~ esk8823_4(X1,X2,X3,X4)
    | esk8822_4(X1,X2,X3,X4) )).

cnf(i_0_14320,axiom,
    ( esk8842_4(X1,X2,X3,X4)
    | ~ esk8841_4(X1,X2,X3,X4) )).

cnf(i_0_14321,axiom,
    ( ~ esk6053_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6054_4(X1,X2,X3,X4) )).

cnf(i_0_14322,axiom,
    ( ~ esk8990_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_14323,axiom,
    ( esk8444_4(X1,X2,X3,X4)
    | ~ esk8520_4(X1,X2,X3,X4) )).

cnf(i_0_14324,axiom,
    ( ~ esk1891_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14325,axiom,
    ( ~ p(X3)
    | ~ esk1314_0
    | p(X4)
    | esk9248_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_14326,axiom,
    ( ~ esk9088_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk8994_4(X1,X2,X3,X4) )).

cnf(i_0_14327,axiom,
    ( ~ p(X4)
    | esk622_0
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_14328,axiom,
    ( esk799_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_14329,axiom,
    ( esk3143_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_14330,axiom,
    ( ~ esk5062_4(X1,X2,X3,X4)
    | esk5063_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_14331,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1097_0
    | ~ p(X1) )).

cnf(i_0_14332,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | esk2534_4(X1,X2,X3,X4) )).

cnf(i_0_14333,axiom,
    ( esk9599_4(X1,X2,X3,X4)
    | esk8884_4(X1,X2,X3,X4) )).

cnf(i_0_14334,axiom,
    ( esk9678_4(X1,X2,X3,X4)
    | ~ esk9675_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_14335,axiom,
    ( ~ esk6623_4(X1,X2,X3,X4)
    | esk6516_4(X1,X2,X3,X4) )).

cnf(i_0_14336,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk164_0
    | esk1748_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_14337,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9458_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_14338,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8646_4(X1,X2,X3,X4) )).

cnf(i_0_14339,axiom,
    ( ~ esk3181_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_14340,axiom,
    ( esk6888_4(X1,X2,X3,X4)
    | ~ esk6886_4(X1,X2,X3,X4) )).

cnf(i_0_14341,axiom,
    ( ~ esk8617_4(X1,X2,X3,X4)
    | esk8359_4(X1,X2,X3,X4) )).

cnf(i_0_14342,axiom,
    ( esk871_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2795_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_14343,axiom,
    ( ~ esk8970_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_14344,axiom,
    ( ~ esk4384_4(X1,X2,X3,X4)
    | esk4383_4(X1,X2,X3,X4) )).

cnf(i_0_14345,axiom,
    ( ~ esk5847_4(X1,X2,X3,X4)
    | esk5846_4(X1,X2,X3,X4) )).

cnf(i_0_14346,axiom,
    ( esk4954_4(X1,X2,X3,X4)
    | ~ esk4955_4(X1,X2,X3,X4) )).

cnf(i_0_14347,axiom,
    ( ~ esk7459_4(X1,X2,X3,X4)
    | esk7456_4(X1,X2,X3,X4) )).

cnf(i_0_14348,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3104_4(X1,X2,X3,X4) )).

cnf(i_0_14349,axiom,
    ( ~ esk1351_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk2958_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_14350,axiom,
    ( ~ esk5798_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_14351,axiom,
    ( esk2848_4(X1,X2,X3,X4)
    | ~ esk2847_4(X1,X2,X3,X4) )).

cnf(i_0_14352,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3815_4(X1,X2,X3,X4) )).

cnf(i_0_14353,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk9095_4(X1,X2,X3,X4)
    | p(X1)
    | esk894_0
    | ~ p(X3) )).

cnf(i_0_14354,axiom,
    ( ~ esk4094_4(X1,X2,X3,X4)
    | esk3512_4(X1,X2,X3,X4) )).

cnf(i_0_14355,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8332_4(X1,X2,X3,X4) )).

cnf(i_0_14356,axiom,
    ( ~ esk5279_4(X1,X2,X3,X4)
    | esk5265_4(X1,X2,X3,X4) )).

cnf(i_0_14357,axiom,
    ( esk4145_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk4092_4(X1,X2,X3,X4) )).

cnf(i_0_14358,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk408_0
    | p(X1)
    | p(X3) )).

cnf(i_0_14359,axiom,
    ( esk7505_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_14360,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9524_4(X1,X2,X3,X4) )).

cnf(i_0_14361,axiom,
    ( ~ esk9626_4(X1,X2,X3,X4)
    | esk9627_4(X1,X2,X3,X4) )).

cnf(i_0_14362,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3658_4(X1,X2,X3,X4)
    | esk3721_4(X1,X2,X3,X4) )).

cnf(i_0_14363,axiom,
    ( ~ esk4778_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_14364,axiom,
    ( esk7177_4(X1,X2,X3,X4)
    | ~ esk7178_4(X1,X2,X3,X4) )).

cnf(i_0_14365,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6980_4(X1,X2,X3,X4) )).

cnf(i_0_14366,axiom,
    ( ~ esk8341_4(X1,X2,X3,X4)
    | esk8340_4(X1,X2,X3,X4)
    | esk8339_4(X1,X2,X3,X4) )).

cnf(i_0_14367,axiom,
    ( esk8771_4(X1,X2,X3,X4)
    | ~ esk8769_4(X1,X2,X3,X4) )).

cnf(i_0_14368,axiom,
    ( ~ esk4304_4(X1,X2,X3,X4)
    | esk4343_4(X1,X2,X3,X4) )).

cnf(i_0_14369,axiom,
    ( esk7188_4(X1,X2,X3,X4)
    | ~ esk7187_4(X1,X2,X3,X4) )).

cnf(i_0_14370,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk361_0
    | p(X3)
    | ~ p(X1)
    | ~ esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_14371,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | esk1189_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_14372,axiom,
    ( p(X4)
    | ~ esk1009_0
    | esk2815_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_14373,axiom,
    ( ~ esk7875_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_14374,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk306_0
    | p(X4)
    | p(X1)
    | esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_14375,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7259_4(X1,X2,X3,X4) )).

cnf(i_0_14376,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk327_0
    | ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_14377,axiom,
    ( esk9664_4(X1,X2,X3,X4)
    | ~ esk9665_4(X1,X2,X3,X4) )).

cnf(i_0_14378,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4744_4(X1,X2,X3,X4) )).

cnf(i_0_14379,axiom,
    ( ~ esk5236_4(X1,X2,X3,X4)
    | esk5237_4(X1,X2,X3,X4) )).

cnf(i_0_14380,axiom,
    ( p(X3)
    | ~ esk8052_4(X1,X2,X3,X4)
    | esk226_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_14381,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk6960_4(X1,X2,X3,X4) )).

cnf(i_0_14382,axiom,
    ( ~ esk9402_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14383,axiom,
    ( esk2845_4(X1,X2,X3,X4)
    | ~ esk2846_4(X1,X2,X3,X4) )).

cnf(i_0_14384,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk5156_4(X1,X2,X3,X4) )).

cnf(i_0_14385,axiom,
    ( ~ esk3567_4(X1,X2,X3,X4)
    | esk3846_4(X1,X2,X3,X4) )).

cnf(i_0_14386,axiom,
    ( ~ esk2344_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_14387,axiom,
    ( ~ esk9338_4(X1,X2,X3,X4)
    | esk9335_4(X1,X2,X3,X4) )).

cnf(i_0_14388,axiom,
    ( esk6852_4(X1,X2,X3,X4)
    | ~ esk6850_4(X1,X2,X3,X4) )).

cnf(i_0_14389,axiom,
    ( esk6586_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_14390,axiom,
    ( esk1411_4(X1,X2,X3,X4)
    | ~ esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_14391,axiom,
    ( ~ esk9208_4(X1,X2,X3,X4)
    | esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_14392,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk2677_4(X1,X2,X3,X4)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_14393,axiom,
    ( ~ esk6558_4(X1,X2,X3,X4)
    | esk6560_4(X1,X2,X3,X4) )).

cnf(i_0_14394,axiom,
    ( esk3461_4(X1,X2,X3,X4)
    | ~ esk4018_4(X1,X2,X3,X4) )).

cnf(i_0_14395,axiom,
    ( esk5134_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_14396,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9724_4(X1,X2,X3,X4) )).

cnf(i_0_14397,axiom,
    ( ~ p(X2)
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X3)
    | esk7_0
    | p(X4)
    | p(X1) )).

cnf(i_0_14398,axiom,
    ( esk4461_4(X1,X2,X3,X4)
    | ~ esk5263_4(X1,X2,X3,X4) )).

cnf(i_0_14399,axiom,
    ( ~ esk9495_4(X1,X2,X3,X4)
    | ~ esk9500_4(X1,X2,X3,X4)
    | esk9501_4(X1,X2,X3,X4) )).

cnf(i_0_14400,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4006_4(X1,X2,X3,X4) )).

cnf(i_0_14401,axiom,
    ( ~ esk6480_4(X1,X2,X3,X4)
    | ~ esk6515_4(X1,X2,X3,X4)
    | ~ esk6514_4(X1,X2,X3,X4) )).

cnf(i_0_14402,axiom,
    ( ~ esk5010_4(X1,X2,X3,X4)
    | esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_14403,axiom,
    ( ~ esk3317_4(X1,X2,X3,X4)
    | esk3318_4(X1,X2,X3,X4) )).

cnf(i_0_14404,axiom,
    ( esk7399_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14405,axiom,
    ( ~ esk2653_4(X1,X2,X3,X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_14406,axiom,
    ( esk7612_4(X1,X2,X3,X4)
    | ~ esk7611_4(X1,X2,X3,X4) )).

cnf(i_0_14407,axiom,
    ( esk4213_4(X1,X2,X3,X4)
    | ~ esk4214_4(X1,X2,X3,X4) )).

cnf(i_0_14408,axiom,
    ( esk2550_4(X1,X2,X3,X4)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_14409,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4370_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14410,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8657_4(X1,X2,X3,X4) )).

cnf(i_0_14411,axiom,
    ( esk6569_4(X1,X2,X3,X4)
    | ~ esk6568_4(X1,X2,X3,X4) )).

cnf(i_0_14412,axiom,
    ( esk6349_4(X1,X2,X3,X4)
    | ~ esk6387_4(X1,X2,X3,X4) )).

cnf(i_0_14413,axiom,
    ( ~ esk9065_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_14414,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6132_4(X1,X2,X3,X4) )).

cnf(i_0_14415,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk1175_0
    | esk2890_4(X1,X2,X3,X4) )).

cnf(i_0_14416,axiom,
    ( esk3550_4(X1,X2,X3,X4)
    | ~ esk4580_4(X1,X2,X3,X4) )).

cnf(i_0_14417,axiom,
    ( esk2340_4(X1,X2,X3,X4)
    | ~ esk2339_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_14418,axiom,
    ( ~ esk2075_4(X1,X2,X3,X4)
    | esk2108_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14419,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk1231_0
    | ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_14420,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | esk416_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_14421,axiom,
    ( esk8808_4(X1,X2,X3,X4)
    | ~ esk8809_4(X1,X2,X3,X4)
    | esk8807_4(X1,X2,X3,X4) )).

cnf(i_0_14422,axiom,
    ( esk2908_4(X1,X2,X3,X4)
    | ~ esk1545_4(X1,X2,X3,X4) )).

cnf(i_0_14423,axiom,
    ( esk6363_4(X1,X2,X3,X4)
    | ~ esk6399_4(X1,X2,X3,X4) )).

cnf(i_0_14424,axiom,
    ( esk7795_4(X1,X2,X3,X4)
    | ~ esk7887_4(X1,X2,X3,X4) )).

cnf(i_0_14425,axiom,
    ( ~ esk1838_4(X1,X2,X3,X4)
    | esk1840_4(X1,X2,X3,X4) )).

cnf(i_0_14426,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7415_4(X1,X2,X3,X4) )).

cnf(i_0_14427,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5350_4(X1,X2,X3,X4) )).

cnf(i_0_14428,axiom,
    ( ~ esk2825_4(X1,X2,X3,X4)
    | esk3436_4(X1,X2,X3,X4)
    | esk3435_4(X1,X2,X3,X4) )).

cnf(i_0_14429,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | esk1471_4(X1,X2,X3,X4)
    | ~ esk1708_4(X1,X2,X3,X4) )).

cnf(i_0_14430,axiom,
    ( ~ esk4009_4(X1,X2,X3,X4)
    | esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_14431,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk1812_4(X1,X2,X3,X4) )).

cnf(i_0_14432,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk5389_4(X1,X2,X3,X4) )).

cnf(i_0_14433,axiom,
    ( ~ esk8670_4(X1,X2,X3,X4)
    | esk8526_4(X1,X2,X3,X4) )).

cnf(i_0_14434,axiom,
    ( ~ esk7286_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_14435,axiom,
    ( ~ esk2141_4(X1,X2,X3,X4)
    | esk2140_4(X1,X2,X3,X4) )).

cnf(i_0_14436,axiom,
    ( ~ esk2705_4(X1,X2,X3,X4)
    | esk2549_4(X1,X2,X3,X4) )).

cnf(i_0_14437,axiom,
    ( ~ esk4522_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4380_4(X1,X2,X3,X4) )).

cnf(i_0_14438,axiom,
    ( ~ esk6269_4(X1,X2,X3,X4)
    | esk6267_4(X1,X2,X3,X4)
    | esk6268_4(X1,X2,X3,X4) )).

cnf(i_0_14439,axiom,
    ( ~ esk4907_4(X1,X2,X3,X4)
    | esk7007_4(X1,X2,X3,X4) )).

cnf(i_0_14440,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5420_4(X1,X2,X3,X4) )).

cnf(i_0_14441,axiom,
    ( ~ esk2699_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_14442,axiom,
    ( esk9352_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14443,axiom,
    ( esk8359_4(X1,X2,X3,X4)
    | ~ esk7655_4(X1,X2,X3,X4) )).

cnf(i_0_14444,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | ~ esk6120_4(X1,X2,X3,X4) )).

cnf(i_0_14445,axiom,
    ( esk4058_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_14446,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6027_4(X1,X2,X3,X4)
    | esk6028_4(X1,X2,X3,X4) )).

cnf(i_0_14447,axiom,
    ( ~ esk7455_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_14448,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk1866_4(X1,X2,X3,X4) )).

cnf(i_0_14449,axiom,
    ( esk5765_4(X1,X2,X3,X4)
    | ~ esk5828_4(X1,X2,X3,X4) )).

cnf(i_0_14450,axiom,
    ( esk5966_4(X1,X2,X3,X4)
    | ~ esk5965_4(X1,X2,X3,X4) )).

cnf(i_0_14451,axiom,
    ( esk1753_4(X1,X2,X3,X4)
    | ~ esk1535_4(X1,X2,X3,X4) )).

cnf(i_0_14452,axiom,
    ( ~ esk7724_4(X1,X2,X3,X4)
    | esk7731_4(X1,X2,X3,X4) )).

cnf(i_0_14453,axiom,
    ( ~ esk3700_4(X1,X2,X3,X4)
    | esk3699_4(X1,X2,X3,X4) )).

cnf(i_0_14454,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8989_4(X1,X2,X3,X4)
    | ~ esk8988_4(X1,X2,X3,X4) )).

cnf(i_0_14455,axiom,
    ( ~ esk9213_4(X1,X2,X3,X4)
    | esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_14456,axiom,
    ( ~ esk7362_4(X1,X2,X3,X4)
    | esk7364_4(X1,X2,X3,X4) )).

cnf(i_0_14457,axiom,
    ( ~ esk2127_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk2161_4(X1,X2,X3,X4) )).

cnf(i_0_14458,axiom,
    ( ~ esk2168_4(X1,X2,X3,X4)
    | esk2167_4(X1,X2,X3,X4) )).

cnf(i_0_14459,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6452_4(X1,X2,X3,X4) )).

cnf(i_0_14460,axiom,
    ( ~ esk3127_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3128_4(X1,X2,X3,X4) )).

cnf(i_0_14461,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk6043_4(X1,X2,X3,X4) )).

cnf(i_0_14462,axiom,
    ( ~ esk6985_4(X1,X2,X3,X4)
    | esk6756_4(X1,X2,X3,X4) )).

cnf(i_0_14463,axiom,
    ( esk5201_4(X1,X2,X3,X4)
    | ~ esk4500_4(X1,X2,X3,X4) )).

cnf(i_0_14464,axiom,
    ( esk9683_4(X1,X2,X3,X4)
    | ~ esk9682_4(X1,X2,X3,X4) )).

cnf(i_0_14465,axiom,
    ( esk7506_4(X1,X2,X3,X4)
    | ~ esk6760_4(X1,X2,X3,X4)
    | ~ esk7505_4(X1,X2,X3,X4) )).

cnf(i_0_14466,axiom,
    ( ~ esk9158_4(X1,X2,X3,X4)
    | esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_14467,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk2793_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk846_0 )).

cnf(i_0_14468,axiom,
    ( esk7003_4(X1,X2,X3,X4)
    | ~ esk6814_4(X1,X2,X3,X4) )).

cnf(i_0_14469,axiom,
    ( ~ esk1854_4(X1,X2,X3,X4)
    | esk1853_4(X1,X2,X3,X4) )).

cnf(i_0_14470,axiom,
    ( ~ esk2977_4(X1,X2,X3,X4)
    | esk2978_4(X1,X2,X3,X4) )).

cnf(i_0_14471,axiom,
    ( ~ esk6270_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14472,axiom,
    ( esk1_0
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk2868_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_14473,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8480_4(X1,X2,X3,X4) )).

cnf(i_0_14474,axiom,
    ( esk3349_4(X1,X2,X3,X4)
    | esk3348_4(X1,X2,X3,X4)
    | ~ esk3350_4(X1,X2,X3,X4) )).

cnf(i_0_14475,axiom,
    ( ~ esk6890_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_14476,axiom,
    ( ~ esk1307_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_14477,axiom,
    ( ~ esk4412_4(X1,X2,X3,X4)
    | esk4381_4(X1,X2,X3,X4) )).

cnf(i_0_14478,axiom,
    ( esk2323_4(X1,X2,X3,X4)
    | ~ esk2324_4(X1,X2,X3,X4) )).

cnf(i_0_14479,axiom,
    ( esk8164_4(X1,X2,X3,X4)
    | ~ esk8163_4(X1,X2,X3,X4) )).

cnf(i_0_14480,axiom,
    ( esk4773_4(X1,X2,X3,X4)
    | ~ esk4772_4(X1,X2,X3,X4) )).

cnf(i_0_14481,axiom,
    ( esk294_0
    | ~ p(X2)
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_14482,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk245_0
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_14483,axiom,
    ( p(X4)
    | p(X1)
    | esk9095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk894_0 )).

cnf(i_0_14484,axiom,
    ( esk3896_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14485,axiom,
    ( p(X4)
    | ~ esk602_0
    | ~ p(X3)
    | ~ p(X2)
    | esk8719_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_14486,axiom,
    ( ~ esk6549_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14487,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6302_4(X1,X2,X3,X4) )).

cnf(i_0_14488,axiom,
    ( ~ esk9407_4(X1,X2,X3,X4)
    | ~ esk9420_4(X1,X2,X3,X4)
    | esk9421_4(X1,X2,X3,X4) )).

cnf(i_0_14489,axiom,
    ( esk2878_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1127_0 )).

cnf(i_0_14490,axiom,
    ( esk7447_4(X1,X2,X3,X4)
    | esk7446_4(X1,X2,X3,X4)
    | ~ esk7448_4(X1,X2,X3,X4) )).

cnf(i_0_14491,axiom,
    ( esk5817_4(X1,X2,X3,X4)
    | ~ esk7115_4(X1,X2,X3,X4) )).

cnf(i_0_14492,axiom,
    ( esk2875_4(X1,X2,X3,X4)
    | ~ esk2884_4(X1,X2,X3,X4) )).

cnf(i_0_14493,axiom,
    ( esk8469_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk474_0
    | ~ p(X2) )).

cnf(i_0_14494,axiom,
    ( esk7901_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_14495,axiom,
    ( esk4012_4(X1,X2,X3,X4)
    | esk4518_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_14496,axiom,
    ( esk4786_4(X1,X2,X3,X4)
    | ~ esk4787_4(X1,X2,X3,X4) )).

cnf(i_0_14497,axiom,
    ( ~ esk1559_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | esk1622_4(X1,X2,X3,X4) )).

cnf(i_0_14498,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk230_0
    | p(X2) )).

cnf(i_0_14499,axiom,
    ( ~ esk5867_4(X1,X2,X3,X4)
    | ~ esk5721_4(X1,X2,X3,X4) )).

cnf(i_0_14500,axiom,
    ( esk2264_4(X1,X2,X3,X4)
    | ~ esk2262_4(X1,X2,X3,X4) )).

cnf(i_0_14501,axiom,
    ( ~ esk1_0
    | esk9248_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_14502,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6464_4(X1,X2,X3,X4) )).

cnf(i_0_14503,axiom,
    ( esk3797_4(X1,X2,X3,X4)
    | ~ esk3969_4(X1,X2,X3,X4) )).

cnf(i_0_14504,axiom,
    ( ~ esk2360_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_14505,axiom,
    ( esk9710_4(X1,X2,X3,X4)
    | ~ esk9707_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_14506,axiom,
    ( ~ p(X1)
    | ~ esk465_0
    | p(X3)
    | ~ p(X2)
    | esk2095_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_14507,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6241_4(X1,X2,X3,X4) )).

cnf(i_0_14508,axiom,
    ( esk810_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_14509,axiom,
    ( esk9012_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_14510,axiom,
    ( ~ esk6629_4(X1,X2,X3,X4)
    | esk7471_4(X1,X2,X3,X4) )).

cnf(i_0_14511,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk2578_4(X1,X2,X3,X4) )).

cnf(i_0_14512,axiom,
    ( esk4234_4(X1,X2,X3,X4)
    | ~ esk4585_4(X1,X2,X3,X4) )).

cnf(i_0_14513,axiom,
    ( ~ esk7791_4(X1,X2,X3,X4)
    | esk7883_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_14514,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | esk1043_0 )).

cnf(i_0_14515,axiom,
    ( ~ esk9397_4(X1,X2,X3,X4)
    | esk9367_4(X1,X2,X3,X4) )).

cnf(i_0_14516,axiom,
    ( ~ esk8779_4(X1,X2,X3,X4)
    | esk7703_4(X1,X2,X3,X4) )).

cnf(i_0_14517,axiom,
    ( p(X4)
    | esk1_0
    | ~ esk2805_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_14518,axiom,
    ( ~ esk8177_4(X1,X2,X3,X4)
    | esk8180_4(X1,X2,X3,X4) )).

cnf(i_0_14519,axiom,
    ( ~ esk6850_4(X1,X2,X3,X4)
    | esk6256_4(X1,X2,X3,X4) )).

cnf(i_0_14520,axiom,
    ( esk7033_4(X1,X2,X3,X4)
    | esk7032_4(X1,X2,X3,X4)
    | ~ esk7034_4(X1,X2,X3,X4) )).

cnf(i_0_14521,axiom,
    ( ~ esk6236_4(X1,X2,X3,X4)
    | esk6238_4(X1,X2,X3,X4) )).

cnf(i_0_14522,axiom,
    ( ~ esk1824_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_14523,axiom,
    ( ~ esk5960_4(X1,X2,X3,X4)
    | ~ esk5961_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_14524,axiom,
    ( esk5736_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5909_4(X1,X2,X3,X4) )).

cnf(i_0_14525,axiom,
    ( esk1862_4(X1,X2,X3,X4)
    | ~ esk1690_4(X1,X2,X3,X4) )).

cnf(i_0_14526,axiom,
    ( esk9583_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_14527,axiom,
    ( ~ esk938_0
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_14528,axiom,
    ( ~ esk3405_4(X1,X2,X3,X4)
    | esk3402_4(X1,X2,X3,X4) )).

cnf(i_0_14529,axiom,
    ( ~ esk4492_4(X1,X2,X3,X4)
    | esk4494_4(X1,X2,X3,X4) )).

cnf(i_0_14530,axiom,
    ( esk9566_4(X1,X2,X3,X4)
    | ~ esk9567_4(X1,X2,X3,X4)
    | esk9565_4(X1,X2,X3,X4) )).

cnf(i_0_14531,axiom,
    ( ~ esk1675_4(X1,X2,X3,X4)
    | esk1689_4(X1,X2,X3,X4) )).

cnf(i_0_14532,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk8735_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk713_0
    | ~ p(X2) )).

cnf(i_0_14533,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4467_4(X1,X2,X3,X4) )).

cnf(i_0_14534,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9552_4(X1,X2,X3,X4) )).

cnf(i_0_14535,axiom,
    ( ~ esk6468_4(X1,X2,X3,X4)
    | esk6470_4(X1,X2,X3,X4) )).

cnf(i_0_14536,axiom,
    ( ~ esk3558_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_14537,axiom,
    ( esk9133_4(X1,X2,X3,X4)
    | ~ esk9140_4(X1,X2,X3,X4) )).

cnf(i_0_14538,axiom,
    ( ~ esk8688_4(X1,X2,X3,X4)
    | esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_14539,axiom,
    ( esk8335_4(X1,X2,X3,X4)
    | ~ esk8334_4(X1,X2,X3,X4)
    | ~ esk8271_4(X1,X2,X3,X4) )).

cnf(i_0_14540,axiom,
    ( ~ esk9431_4(X1,X2,X3,X4)
    | esk9434_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_14541,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ esk85_0
    | p(X4)
    | esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_14542,axiom,
    ( ~ esk2994_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk2997_4(X1,X2,X3,X4) )).

cnf(i_0_14543,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | esk2578_4(X1,X2,X3,X4) )).

cnf(i_0_14544,axiom,
    ( esk5417_4(X1,X2,X3,X4)
    | ~ esk5415_4(X1,X2,X3,X4) )).

cnf(i_0_14545,axiom,
    ( ~ esk7486_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4)
    | esk6770_4(X1,X2,X3,X4) )).

cnf(i_0_14546,axiom,
    ( ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5888_4(X1,X2,X3,X4)
    | esk5916_4(X1,X2,X3,X4) )).

cnf(i_0_14547,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2995_4(X1,X2,X3,X4) )).

cnf(i_0_14548,axiom,
    ( esk9144_4(X1,X2,X3,X4)
    | ~ esk9145_4(X1,X2,X3,X4)
    | esk9143_4(X1,X2,X3,X4) )).

cnf(i_0_14549,axiom,
    ( esk3294_4(X1,X2,X3,X4)
    | ~ esk3300_4(X1,X2,X3,X4)
    | esk3299_4(X1,X2,X3,X4) )).

cnf(i_0_14550,axiom,
    ( esk3853_4(X1,X2,X3,X4)
    | ~ esk3486_4(X1,X2,X3,X4) )).

cnf(i_0_14551,axiom,
    ( esk3573_4(X1,X2,X3,X4)
    | ~ esk3584_4(X1,X2,X3,X4) )).

cnf(i_0_14552,axiom,
    ( esk4896_4(X1,X2,X3,X4)
    | ~ esk4699_4(X1,X2,X3,X4) )).

cnf(i_0_14553,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7360_4(X1,X2,X3,X4)
    | esk7363_4(X1,X2,X3,X4) )).

cnf(i_0_14554,axiom,
    ( p(X1)
    | ~ esk370_0
    | esk8283_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_14555,axiom,
    ( ~ esk4433_4(X1,X2,X3,X4)
    | esk4028_4(X1,X2,X3,X4)
    | ~ esk4027_4(X1,X2,X3,X4) )).

cnf(i_0_14556,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5472_4(X1,X2,X3,X4) )).

cnf(i_0_14557,axiom,
    ( ~ esk9126_4(X1,X2,X3,X4)
    | ~ esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_14558,axiom,
    ( ~ esk9340_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_14559,axiom,
    ( esk6888_4(X1,X2,X3,X4)
    | ~ esk6887_4(X1,X2,X3,X4) )).

cnf(i_0_14560,axiom,
    ( esk6881_4(X1,X2,X3,X4)
    | ~ esk6882_4(X1,X2,X3,X4) )).

cnf(i_0_14561,axiom,
    ( esk3645_4(X1,X2,X3,X4)
    | esk3644_4(X1,X2,X3,X4)
    | ~ esk3646_4(X1,X2,X3,X4) )).

cnf(i_0_14562,axiom,
    ( ~ esk8281_4(X1,X2,X3,X4)
    | esk8246_4(X1,X2,X3,X4)
    | esk8280_4(X1,X2,X3,X4) )).

cnf(i_0_14563,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk7937_4(X1,X2,X3,X4)
    | esk104_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_14564,axiom,
    ( esk9056_4(X1,X2,X3,X4)
    | ~ esk9054_4(X1,X2,X3,X4) )).

cnf(i_0_14565,axiom,
    ( ~ esk4518_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4012_4(X1,X2,X3,X4) )).

cnf(i_0_14566,axiom,
    ( ~ esk2462_4(X1,X2,X3,X4)
    | esk2463_4(X1,X2,X3,X4) )).

cnf(i_0_14567,axiom,
    ( esk7066_4(X1,X2,X3,X4)
    | ~ esk5775_4(X1,X2,X3,X4) )).

cnf(i_0_14568,axiom,
    ( esk8352_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_14569,axiom,
    ( ~ esk5390_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_14570,axiom,
    ( ~ esk7294_4(X1,X2,X3,X4)
    | esk7296_4(X1,X2,X3,X4) )).

cnf(i_0_14571,axiom,
    ( esk4351_4(X1,X2,X3,X4)
    | ~ esk4588_4(X1,X2,X3,X4) )).

cnf(i_0_14572,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk650_0
    | p(X2)
    | ~ esk8727_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_14573,axiom,
    ( ~ esk9201_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_14574,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | ~ esk7810_4(X1,X2,X3,X4) )).

cnf(i_0_14575,axiom,
    ( ~ esk1151_0
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_14576,axiom,
    ( ~ esk8135_4(X1,X2,X3,X4)
    | esk8137_4(X1,X2,X3,X4) )).

cnf(i_0_14577,axiom,
    ( esk3821_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3790_4(X1,X2,X3,X4) )).

cnf(i_0_14578,axiom,
    ( esk1631_4(X1,X2,X3,X4)
    | ~ esk1629_4(X1,X2,X3,X4) )).

cnf(i_0_14579,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk3299_4(X1,X2,X3,X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_14580,axiom,
    ( esk5450_4(X1,X2,X3,X4)
    | ~ esk5451_4(X1,X2,X3,X4) )).

cnf(i_0_14581,axiom,
    ( esk2710_4(X1,X2,X3,X4)
    | ~ esk3412_4(X1,X2,X3,X4) )).

cnf(i_0_14582,axiom,
    ( ~ esk5343_4(X1,X2,X3,X4)
    | esk5342_4(X1,X2,X3,X4) )).

cnf(i_0_14583,axiom,
    ( esk6451_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14584,axiom,
    ( p(X2)
    | p(X4)
    | esk2433_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk670_0 )).

cnf(i_0_14585,axiom,
    ( ~ esk2783_4(X1,X2,X3,X4)
    | esk2782_4(X1,X2,X3,X4)
    | esk2781_4(X1,X2,X3,X4) )).

cnf(i_0_14586,axiom,
    ( ~ esk1623_4(X1,X2,X3,X4)
    | esk2921_4(X1,X2,X3,X4) )).

cnf(i_0_14587,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9402_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_14588,axiom,
    ( esk5494_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_14589,axiom,
    ( ~ esk2965_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_14590,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2064_4(X1,X2,X3,X4) )).

cnf(i_0_14591,axiom,
    ( ~ esk3040_4(X1,X2,X3,X4)
    | esk3026_4(X1,X2,X3,X4) )).

cnf(i_0_14592,axiom,
    ( ~ p(X1)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk450_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_14593,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6241_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_14594,axiom,
    ( esk2550_4(X1,X2,X3,X4)
    | ~ esk2593_4(X1,X2,X3,X4) )).

cnf(i_0_14595,axiom,
    ( esk9321_4(X1,X2,X3,X4)
    | ~ esk9315_4(X1,X2,X3,X4)
    | ~ esk9320_4(X1,X2,X3,X4) )).

cnf(i_0_14596,axiom,
    ( esk9307_4(X1,X2,X3,X4)
    | ~ esk9310_4(X1,X2,X3,X4) )).

cnf(i_0_14597,axiom,
    ( esk2525_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_14598,axiom,
    ( esk3848_4(X1,X2,X3,X4)
    | ~ esk5039_4(X1,X2,X3,X4) )).

cnf(i_0_14599,axiom,
    ( ~ esk4492_4(X1,X2,X3,X4)
    | esk5089_4(X1,X2,X3,X4) )).

cnf(i_0_14600,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk9043_4(X1,X2,X3,X4) )).

cnf(i_0_14601,axiom,
    ( esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_14602,axiom,
    ( p(X3)
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk536_0
    | p(X2) )).

cnf(i_0_14603,axiom,
    ( ~ esk1319_0
    | esk9248_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_14604,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk8224_4(X1,X2,X3,X4)
    | esk8258_4(X1,X2,X3,X4) )).

cnf(i_0_14605,axiom,
    ( ~ esk9629_4(X1,X2,X3,X4)
    | esk8967_4(X1,X2,X3,X4) )).

cnf(i_0_14606,axiom,
    ( esk9672_4(X1,X2,X3,X4)
    | ~ esk9673_4(X1,X2,X3,X4) )).

cnf(i_0_14607,axiom,
    ( esk4522_4(X1,X2,X3,X4)
    | esk4380_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_14608,axiom,
    ( ~ esk4380_4(X1,X2,X3,X4)
    | ~ esk4381_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_14609,axiom,
    ( esk7915_4(X1,X2,X3,X4)
    | ~ esk7916_4(X1,X2,X3,X4)
    | esk7914_4(X1,X2,X3,X4) )).

cnf(i_0_14610,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk913_0
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_14611,axiom,
    ( ~ esk1708_4(X1,X2,X3,X4)
    | esk2827_4(X1,X2,X3,X4) )).

cnf(i_0_14612,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7391_4(X1,X2,X3,X4) )).

cnf(i_0_14613,axiom,
    ( ~ p(X1)
    | esk2212_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk496_0 )).

cnf(i_0_14614,axiom,
    ( ~ p(X2)
    | ~ esk9087_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk835_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_14615,axiom,
    ( ~ esk7398_4(X1,X2,X3,X4)
    | esk7397_4(X1,X2,X3,X4) )).

cnf(i_0_14616,axiom,
    ( ~ esk8073_4(X1,X2,X3,X4)
    | ~ esk7978_4(X1,X2,X3,X4)
    | esk8169_4(X1,X2,X3,X4) )).

cnf(i_0_14617,axiom,
    ( ~ esk8888_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_14618,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk2600_4(X1,X2,X3,X4) )).

cnf(i_0_14619,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5180_4(X1,X2,X3,X4) )).

cnf(i_0_14620,axiom,
    ( esk221_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_14621,axiom,
    ( esk4179_4(X1,X2,X3,X4)
    | ~ esk4180_4(X1,X2,X3,X4) )).

cnf(i_0_14622,axiom,
    ( esk4980_4(X1,X2,X3,X4)
    | ~ esk7080_4(X1,X2,X3,X4) )).

cnf(i_0_14623,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1178_0
    | ~ p(X2) )).

cnf(i_0_14624,axiom,
    ( esk8586_4(X1,X2,X3,X4)
    | ~ esk7706_4(X1,X2,X3,X4) )).

cnf(i_0_14625,axiom,
    ( esk6077_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_14626,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | ~ esk1987_4(X1,X2,X3,X4)
    | p(X1)
    | esk1_0 )).

cnf(i_0_14627,axiom,
    ( esk4046_4(X1,X2,X3,X4)
    | ~ esk4044_4(X1,X2,X3,X4) )).

cnf(i_0_14628,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9290_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_14629,axiom,
    ( ~ p(X3)
    | esk278_0
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_14630,axiom,
    ( esk4536_4(X1,X2,X3,X4)
    | ~ esk3979_4(X1,X2,X3,X4) )).

cnf(i_0_14631,axiom,
    ( ~ esk8342_4(X1,X2,X3,X4)
    | esk8345_4(X1,X2,X3,X4) )).

cnf(i_0_14632,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1952_4(X1,X2,X3,X4)
    | ~ esk331_0 )).

cnf(i_0_14633,axiom,
    ( ~ esk7025_4(X1,X2,X3,X4)
    | esk5906_4(X1,X2,X3,X4) )).

cnf(i_0_14634,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk7141_4(X1,X2,X3,X4) )).

cnf(i_0_14635,axiom,
    ( ~ esk969_0
    | p(X4)
    | p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_14636,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | esk8757_4(X1,X2,X3,X4) )).

cnf(i_0_14637,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk1157_0
    | ~ p(X3)
    | p(X4)
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_14638,axiom,
    ( esk8672_4(X1,X2,X3,X4)
    | ~ esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_14639,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2_0
    | ~ p(X3)
    | esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_14640,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk765_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_14641,axiom,
    ( esk7886_4(X1,X2,X3,X4)
    | ~ esk9179_4(X1,X2,X3,X4)
    | ~ esk7885_4(X1,X2,X3,X4) )).

cnf(i_0_14642,axiom,
    ( ~ p(X2)
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk1266_0
    | p(X4) )).

cnf(i_0_14643,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | ~ esk2569_4(X1,X2,X3,X4) )).

cnf(i_0_14644,axiom,
    ( esk1956_4(X1,X2,X3,X4)
    | ~ esk2211_4(X1,X2,X3,X4) )).

cnf(i_0_14645,axiom,
    ( esk4116_4(X1,X2,X3,X4)
    | ~ esk4115_4(X1,X2,X3,X4) )).

cnf(i_0_14646,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk488_0
    | ~ p(X4)
    | ~ p(X2)
    | esk8508_4(X1,X2,X3,X4) )).

cnf(i_0_14647,axiom,
    ( esk3032_4(X1,X2,X3,X4)
    | esk3033_4(X1,X2,X3,X4)
    | ~ esk3034_4(X1,X2,X3,X4) )).

cnf(i_0_14648,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8976_4(X1,X2,X3,X4) )).

cnf(i_0_14649,axiom,
    ( ~ esk1961_4(X1,X2,X3,X4)
    | esk1927_4(X1,X2,X3,X4) )).

cnf(i_0_14650,axiom,
    ( esk9264_4(X1,X2,X3,X4)
    | ~ esk9265_4(X1,X2,X3,X4) )).

cnf(i_0_14651,axiom,
    ( esk4058_4(X1,X2,X3,X4)
    | ~ esk4059_4(X1,X2,X3,X4) )).

cnf(i_0_14652,axiom,
    ( esk9535_4(X1,X2,X3,X4)
    | ~ esk9565_4(X1,X2,X3,X4) )).

cnf(i_0_14653,axiom,
    ( esk5197_4(X1,X2,X3,X4)
    | ~ esk5200_4(X1,X2,X3,X4) )).

cnf(i_0_14654,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3303_4(X1,X2,X3,X4) )).

cnf(i_0_14655,axiom,
    ( esk6993_4(X1,X2,X3,X4)
    | ~ esk6794_4(X1,X2,X3,X4) )).

cnf(i_0_14656,axiom,
    ( ~ esk6923_4(X1,X2,X3,X4)
    | esk6922_4(X1,X2,X3,X4) )).

cnf(i_0_14657,axiom,
    ( ~ esk7810_4(X1,X2,X3,X4)
    | esk7811_4(X1,X2,X3,X4) )).

cnf(i_0_14658,axiom,
    ( ~ esk9548_4(X1,X2,X3,X4)
    | esk9549_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_14659,axiom,
    ( ~ esk3408_4(X1,X2,X3,X4)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_14660,axiom,
    ( esk4902_4(X1,X2,X3,X4)
    | ~ esk4983_4(X1,X2,X3,X4) )).

cnf(i_0_14661,axiom,
    ( ~ esk8564_4(X1,X2,X3,X4)
    | esk8565_4(X1,X2,X3,X4) )).

cnf(i_0_14662,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7587_4(X1,X2,X3,X4) )).

cnf(i_0_14663,axiom,
    ( esk1982_4(X1,X2,X3,X4)
    | ~ esk1979_4(X1,X2,X3,X4) )).

cnf(i_0_14664,axiom,
    ( ~ esk9079_4(X1,X2,X3,X4)
    | esk9080_4(X1,X2,X3,X4) )).

cnf(i_0_14665,axiom,
    ( ~ esk5812_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_14666,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1080_0
    | p(X4)
    | esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_14667,axiom,
    ( esk8011_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_14668,axiom,
    ( ~ esk1920_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_14669,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk5187_4(X1,X2,X3,X4)
    | ~ esk5186_4(X1,X2,X3,X4) )).

cnf(i_0_14670,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk8283_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk370_0 )).

cnf(i_0_14671,axiom,
    ( esk2156_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14672,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk9626_4(X1,X2,X3,X4)
    | ~ esk8903_4(X1,X2,X3,X4) )).

cnf(i_0_14673,axiom,
    ( esk7309_4(X1,X2,X3,X4)
    | ~ esk7310_4(X1,X2,X3,X4) )).

cnf(i_0_14674,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk336_0
    | esk1955_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_14675,axiom,
    ( ~ esk7404_4(X1,X2,X3,X4)
    | esk7402_4(X1,X2,X3,X4)
    | esk7403_4(X1,X2,X3,X4) )).

cnf(i_0_14676,axiom,
    ( ~ esk6728_4(X1,X2,X3,X4)
    | esk6730_4(X1,X2,X3,X4) )).

cnf(i_0_14677,axiom,
    ( esk4297_4(X1,X2,X3,X4)
    | ~ esk4296_4(X1,X2,X3,X4) )).

cnf(i_0_14678,axiom,
    ( ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_14679,axiom,
    ( ~ esk2431_4(X1,X2,X3,X4)
    | esk2126_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_14680,axiom,
    ( ~ p(X2)
    | ~ esk76_0
    | ~ p(X1)
    | ~ p(X3)
    | esk1478_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_14681,axiom,
    ( esk4731_4(X1,X2,X3,X4)
    | esk4732_4(X1,X2,X3,X4)
    | ~ esk4733_4(X1,X2,X3,X4) )).

cnf(i_0_14682,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1580_4(X1,X2,X3,X4) )).

cnf(i_0_14683,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X3)
    | esk1200_0 )).

cnf(i_0_14684,axiom,
    ( ~ esk8911_4(X1,X2,X3,X4)
    | esk8910_4(X1,X2,X3,X4)
    | esk8909_4(X1,X2,X3,X4) )).

cnf(i_0_14685,axiom,
    ( esk2896_4(X1,X2,X3,X4)
    | ~ esk1371_4(X1,X2,X3,X4) )).

cnf(i_0_14686,axiom,
    ( ~ esk963_0
    | p(X2)
    | p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_14687,axiom,
    ( esk6954_4(X1,X2,X3,X4)
    | ~ esk6955_4(X1,X2,X3,X4) )).

cnf(i_0_14688,axiom,
    ( ~ esk8179_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_14689,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | esk814_0 )).

cnf(i_0_14690,axiom,
    ( ~ esk7023_4(X1,X2,X3,X4)
    | esk7633_4(X1,X2,X3,X4)
    | esk7634_4(X1,X2,X3,X4) )).

cnf(i_0_14691,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk9182_4(X1,X2,X3,X4)
    | p(X4)
    | esk1170_0 )).

cnf(i_0_14692,axiom,
    ( ~ esk991_0
    | esk2811_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_14693,axiom,
    ( ~ esk1725_4(X1,X2,X3,X4)
    | esk1684_4(X1,X2,X3,X4) )).

cnf(i_0_14694,axiom,
    ( ~ esk4603_4(X1,X2,X3,X4)
    | esk4755_4(X1,X2,X3,X4)
    | ~ esk4754_4(X1,X2,X3,X4) )).

cnf(i_0_14695,axiom,
    ( ~ esk870_0
    | esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_14696,axiom,
    ( esk8953_4(X1,X2,X3,X4)
    | ~ esk8955_4(X1,X2,X3,X4)
    | esk8954_4(X1,X2,X3,X4) )).

cnf(i_0_14697,axiom,
    ( p(X3)
    | ~ esk325_0
    | p(X4)
    | p(X2)
    | esk1952_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_14698,axiom,
    ( esk1133_0
    | ~ esk2880_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_14699,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4295_4(X1,X2,X3,X4) )).

cnf(i_0_14700,axiom,
    ( esk7340_4(X1,X2,X3,X4)
    | ~ esk7339_4(X1,X2,X3,X4) )).

cnf(i_0_14701,axiom,
    ( esk3783_4(X1,X2,X3,X4)
    | ~ esk4981_4(X1,X2,X3,X4) )).

cnf(i_0_14702,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9712_4(X1,X2,X3,X4) )).

cnf(i_0_14703,axiom,
    ( ~ esk2634_4(X1,X2,X3,X4)
    | esk2633_4(X1,X2,X3,X4)
    | esk2632_4(X1,X2,X3,X4) )).

cnf(i_0_14704,axiom,
    ( ~ esk4964_4(X1,X2,X3,X4)
    | esk5536_4(X1,X2,X3,X4) )).

cnf(i_0_14705,axiom,
    ( ~ esk9665_4(X1,X2,X3,X4)
    | esk9667_4(X1,X2,X3,X4) )).

cnf(i_0_14706,axiom,
    ( esk7759_4(X1,X2,X3,X4)
    | ~ esk8002_4(X1,X2,X3,X4)
    | ~ esk7758_4(X1,X2,X3,X4) )).

cnf(i_0_14707,axiom,
    ( ~ esk3840_4(X1,X2,X3,X4)
    | esk3787_4(X1,X2,X3,X4) )).

cnf(i_0_14708,axiom,
    ( ~ esk6533_4(X1,X2,X3,X4)
    | esk6534_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_14709,axiom,
    ( ~ esk2922_4(X1,X2,X3,X4)
    | esk1711_4(X1,X2,X3,X4) )).

cnf(i_0_14710,axiom,
    ( esk7978_4(X1,X2,X3,X4)
    | ~ esk8169_4(X1,X2,X3,X4) )).

cnf(i_0_14711,axiom,
    ( esk8040_4(X1,X2,X3,X4)
    | ~ esk7755_4(X1,X2,X3,X4) )).

cnf(i_0_14712,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3098_4(X1,X2,X3,X4)
    | esk3101_4(X1,X2,X3,X4) )).

cnf(i_0_14713,axiom,
    ( esk3311_4(X1,X2,X3,X4)
    | ~ esk3312_4(X1,X2,X3,X4) )).

cnf(i_0_14714,axiom,
    ( ~ esk7489_4(X1,X2,X3,X4)
    | esk7490_4(X1,X2,X3,X4) )).

cnf(i_0_14715,axiom,
    ( ~ esk6941_4(X1,X2,X3,X4)
    | esk6990_4(X1,X2,X3,X4) )).

cnf(i_0_14716,axiom,
    ( esk9171_4(X1,X2,X3,X4)
    | ~ esk7878_4(X1,X2,X3,X4) )).

cnf(i_0_14717,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X4)
    | esk8052_4(X1,X2,X3,X4)
    | ~ esk219_0
    | ~ p(X3) )).

cnf(i_0_14718,axiom,
    ( ~ esk9533_4(X1,X2,X3,X4)
    | esk9532_4(X1,X2,X3,X4) )).

cnf(i_0_14719,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7171_4(X1,X2,X3,X4) )).

cnf(i_0_14720,axiom,
    ( ~ esk4802_4(X1,X2,X3,X4)
    | esk4803_4(X1,X2,X3,X4)
    | ~ esk4623_4(X1,X2,X3,X4) )).

cnf(i_0_14721,axiom,
    ( ~ p(X1)
    | ~ esk597_0
    | ~ p(X4)
    | p(X2)
    | esk8719_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14722,axiom,
    ( ~ esk6464_4(X1,X2,X3,X4)
    | esk6466_4(X1,X2,X3,X4) )).

cnf(i_0_14723,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5304_4(X1,X2,X3,X4) )).

cnf(i_0_14724,axiom,
    ( ~ esk1719_4(X1,X2,X3,X4)
    | ~ esk2943_4(X1,X2,X3,X4)
    | esk2944_4(X1,X2,X3,X4) )).

cnf(i_0_14725,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4136_4(X1,X2,X3,X4) )).

cnf(i_0_14726,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3639_4(X1,X2,X3,X4) )).

cnf(i_0_14727,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | ~ esk6360_4(X1,X2,X3,X4) )).

cnf(i_0_14728,axiom,
    ( esk7069_4(X1,X2,X3,X4)
    | ~ esk9169_4(X1,X2,X3,X4) )).

cnf(i_0_14729,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X1)
    | esk907_0 )).

cnf(i_0_14730,axiom,
    ( ~ esk6820_4(X1,X2,X3,X4)
    | esk6819_4(X1,X2,X3,X4)
    | esk6818_4(X1,X2,X3,X4) )).

cnf(i_0_14731,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3107_4(X1,X2,X3,X4) )).

cnf(i_0_14732,axiom,
    ( ~ esk7738_4(X1,X2,X3,X4)
    | esk9184_4(X1,X2,X3,X4) )).

cnf(i_0_14733,axiom,
    ( ~ esk8073_4(X1,X2,X3,X4)
    | esk8158_4(X1,X2,X3,X4) )).

cnf(i_0_14734,axiom,
    ( esk2916_4(X1,X2,X3,X4)
    | ~ esk3447_4(X1,X2,X3,X4) )).

cnf(i_0_14735,axiom,
    ( esk2225_4(X1,X2,X3,X4)
    | ~ esk2224_4(X1,X2,X3,X4) )).

cnf(i_0_14736,axiom,
    ( p(X1)
    | ~ esk589_0
    | p(X3)
    | esk8719_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_14737,axiom,
    ( ~ esk2585_4(X1,X2,X3,X4)
    | esk2586_4(X1,X2,X3,X4) )).

cnf(i_0_14738,axiom,
    ( ~ esk1903_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14739,axiom,
    ( ~ esk8518_4(X1,X2,X3,X4)
    | esk8516_4(X1,X2,X3,X4)
    | esk8517_4(X1,X2,X3,X4) )).

cnf(i_0_14740,axiom,
    ( ~ esk3778_4(X1,X2,X3,X4)
    | ~ esk4633_4(X1,X2,X3,X4) )).

cnf(i_0_14741,axiom,
    ( p(X4)
    | p(X2)
    | esk7774_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk65_0
    | p(X1) )).

cnf(i_0_14742,axiom,
    ( esk496_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk2212_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_14743,axiom,
    ( ~ esk8175_4(X1,X2,X3,X4)
    | ~ esk8952_4(X1,X2,X3,X4) )).

cnf(i_0_14744,axiom,
    ( ~ esk7009_4(X1,X2,X3,X4)
    | ~ esk7113_4(X1,X2,X3,X4)
    | esk5653_4(X1,X2,X3,X4) )).

cnf(i_0_14745,axiom,
    ( ~ esk2221_4(X1,X2,X3,X4)
    | esk1890_4(X1,X2,X3,X4)
    | ~ esk1889_4(X1,X2,X3,X4) )).

cnf(i_0_14746,axiom,
    ( ~ esk1999_4(X1,X2,X3,X4)
    | esk1998_4(X1,X2,X3,X4) )).

cnf(i_0_14747,axiom,
    ( esk6621_4(X1,X2,X3,X4)
    | esk6619_4(X1,X2,X3,X4)
    | ~ esk6481_4(X1,X2,X3,X4) )).

cnf(i_0_14748,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk1_0
    | p(X1)
    | p(X4) )).

cnf(i_0_14749,axiom,
    ( p(X3)
    | esk8717_4(X1,X2,X3,X4)
    | ~ esk581_0
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_14750,axiom,
    ( esk1730_4(X1,X2,X3,X4)
    | ~ esk1696_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_14751,axiom,
    ( ~ esk8734_4(X1,X2,X3,X4)
    | esk9568_4(X1,X2,X3,X4) )).

cnf(i_0_14752,axiom,
    ( ~ esk5339_4(X1,X2,X3,X4)
    | esk5338_4(X1,X2,X3,X4) )).

cnf(i_0_14753,axiom,
    ( esk3753_4(X1,X2,X3,X4)
    | ~ esk3752_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_14754,axiom,
    ( ~ esk1425_4(X1,X2,X3,X4)
    | esk1426_4(X1,X2,X3,X4)
    | ~ esk1768_4(X1,X2,X3,X4) )).

cnf(i_0_14755,axiom,
    ( ~ esk3829_4(X1,X2,X3,X4)
    | esk3830_4(X1,X2,X3,X4) )).

cnf(i_0_14756,axiom,
    ( ~ esk8518_4(X1,X2,X3,X4)
    | esk8187_4(X1,X2,X3,X4)
    | ~ esk8186_4(X1,X2,X3,X4) )).

cnf(i_0_14757,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk8188_4(X1,X2,X3,X4)
    | ~ esk8557_4(X1,X2,X3,X4) )).

cnf(i_0_14758,axiom,
    ( ~ esk8725_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk2_0
    | ~ p(X3) )).

cnf(i_0_14759,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4906_4(X1,X2,X3,X4)
    | esk4784_4(X1,X2,X3,X4) )).

cnf(i_0_14760,axiom,
    ( ~ esk6068_4(X1,X2,X3,X4)
    | esk5896_4(X1,X2,X3,X4) )).

cnf(i_0_14761,axiom,
    ( ~ esk9361_4(X1,X2,X3,X4)
    | esk9363_4(X1,X2,X3,X4) )).

cnf(i_0_14762,axiom,
    ( ~ esk1444_4(X1,X2,X3,X4)
    | esk59_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_14763,axiom,
    ( ~ esk871_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk9091_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14764,axiom,
    ( p(X4)
    | ~ esk114_0
    | esk7939_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_14765,axiom,
    ( esk9283_4(X1,X2,X3,X4)
    | ~ esk9286_4(X1,X2,X3,X4) )).

cnf(i_0_14766,axiom,
    ( ~ esk8862_4(X1,X2,X3,X4)
    | esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_14767,axiom,
    ( esk7777_4(X1,X2,X3,X4)
    | ~ esk7802_4(X1,X2,X3,X4) )).

cnf(i_0_14768,axiom,
    ( ~ esk8692_4(X1,X2,X3,X4)
    | esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_14769,axiom,
    ( esk2690_4(X1,X2,X3,X4)
    | ~ esk2689_4(X1,X2,X3,X4) )).

cnf(i_0_14770,axiom,
    ( esk2799_4(X1,X2,X3,X4)
    | ~ esk2552_4(X1,X2,X3,X4) )).

cnf(i_0_14771,axiom,
    ( ~ esk8512_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_14772,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk920_0
    | p(X2)
    | esk9099_4(X1,X2,X3,X4) )).

cnf(i_0_14773,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | ~ esk2859_4(X1,X2,X3,X4) )).

cnf(i_0_14774,axiom,
    ( esk7577_4(X1,X2,X3,X4)
    | ~ esk7578_4(X1,X2,X3,X4) )).

cnf(i_0_14775,axiom,
    ( esk5784_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5692_4(X1,X2,X3,X4) )).

cnf(i_0_14776,axiom,
    ( ~ esk1906_4(X1,X2,X3,X4)
    | esk1908_4(X1,X2,X3,X4) )).

cnf(i_0_14777,axiom,
    ( ~ esk2703_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_14778,axiom,
    ( ~ esk5919_4(X1,X2,X3,X4)
    | esk5881_4(X1,X2,X3,X4) )).

cnf(i_0_14779,axiom,
    ( ~ esk7238_4(X1,X2,X3,X4)
    | esk7224_4(X1,X2,X3,X4) )).

cnf(i_0_14780,axiom,
    ( ~ esk9257_4(X1,X2,X3,X4)
    | esk9256_4(X1,X2,X3,X4) )).

cnf(i_0_14781,axiom,
    ( ~ esk4098_4(X1,X2,X3,X4)
    | esk4097_4(X1,X2,X3,X4) )).

cnf(i_0_14782,axiom,
    ( ~ esk4456_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14783,axiom,
    ( ~ esk1970_4(X1,X2,X3,X4)
    | esk1968_4(X1,X2,X3,X4)
    | esk1969_4(X1,X2,X3,X4) )).

cnf(i_0_14784,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5278_4(X1,X2,X3,X4) )).

cnf(i_0_14785,axiom,
    ( esk7547_4(X1,X2,X3,X4)
    | ~ esk7548_4(X1,X2,X3,X4)
    | esk7546_4(X1,X2,X3,X4) )).

cnf(i_0_14786,axiom,
    ( esk6566_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_14787,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk2785_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk795_0 )).

cnf(i_0_14788,axiom,
    ( ~ esk5879_4(X1,X2,X3,X4)
    | esk7066_4(X1,X2,X3,X4) )).

cnf(i_0_14789,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5414_4(X1,X2,X3,X4) )).

cnf(i_0_14790,axiom,
    ( ~ esk3053_4(X1,X2,X3,X4)
    | esk3050_4(X1,X2,X3,X4) )).

cnf(i_0_14791,axiom,
    ( ~ esk8396_4(X1,X2,X3,X4)
    | esk8395_4(X1,X2,X3,X4) )).

cnf(i_0_14792,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk1330_0
    | esk9252_4(X1,X2,X3,X4) )).

cnf(i_0_14793,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4833_4(X1,X2,X3,X4) )).

cnf(i_0_14794,axiom,
    ( ~ esk8653_4(X1,X2,X3,X4)
    | esk8652_4(X1,X2,X3,X4) )).

cnf(i_0_14795,axiom,
    ( esk2744_4(X1,X2,X3,X4)
    | ~ esk2745_4(X1,X2,X3,X4) )).

cnf(i_0_14796,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk973_0
    | ~ esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_14797,axiom,
    ( esk1366_4(X1,X2,X3,X4)
    | ~ esk2891_4(X1,X2,X3,X4) )).

cnf(i_0_14798,axiom,
    ( ~ p(X4)
    | esk1918_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk303_0
    | p(X3) )).

cnf(i_0_14799,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7232_4(X1,X2,X3,X4)
    | esk7235_4(X1,X2,X3,X4) )).

cnf(i_0_14800,axiom,
    ( ~ p(X3)
    | ~ esk1175_0
    | p(X2)
    | p(X4)
    | p(X1)
    | esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_14801,axiom,
    ( esk6848_4(X1,X2,X3,X4)
    | ~ esk7615_4(X1,X2,X3,X4) )).

cnf(i_0_14802,axiom,
    ( ~ esk2701_4(X1,X2,X3,X4)
    | esk2545_4(X1,X2,X3,X4) )).

cnf(i_0_14803,axiom,
    ( esk3010_4(X1,X2,X3,X4)
    | ~ esk3009_4(X1,X2,X3,X4) )).

cnf(i_0_14804,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk53_0
    | ~ esk7740_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14805,axiom,
    ( ~ esk4620_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_14806,axiom,
    ( esk8390_4(X1,X2,X3,X4)
    | ~ esk8219_4(X1,X2,X3,X4) )).

cnf(i_0_14807,axiom,
    ( esk5943_4(X1,X2,X3,X4)
    | ~ esk8043_4(X1,X2,X3,X4) )).

cnf(i_0_14808,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk128_0
    | p(X3)
    | p(X1)
    | ~ esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_14809,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk2803_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk927_0 )).

cnf(i_0_14810,axiom,
    ( esk1653_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_14811,axiom,
    ( ~ esk449_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_14812,axiom,
    ( esk7457_4(X1,X2,X3,X4)
    | ~ esk7458_4(X1,X2,X3,X4) )).

cnf(i_0_14813,axiom,
    ( esk5231_4(X1,X2,X3,X4)
    | ~ esk5230_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_14814,axiom,
    ( esk6917_4(X1,X2,X3,X4)
    | esk7031_4(X1,X2,X3,X4) )).

cnf(i_0_14815,axiom,
    ( ~ esk3716_4(X1,X2,X3,X4)
    | esk5017_4(X1,X2,X3,X4) )).

cnf(i_0_14816,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk564_0
    | ~ p(X3) )).

cnf(i_0_14817,axiom,
    ( ~ esk5862_4(X1,X2,X3,X4)
    | esk5861_4(X1,X2,X3,X4)
    | esk5860_4(X1,X2,X3,X4) )).

cnf(i_0_14818,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | esk458_0
    | ~ esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_14819,axiom,
    ( ~ esk1880_4(X1,X2,X3,X4)
    | esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_14820,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7193_4(X1,X2,X3,X4) )).

cnf(i_0_14821,axiom,
    ( esk7581_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_14822,axiom,
    ( p(X3)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | esk933_0 )).

cnf(i_0_14823,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1716_4(X1,X2,X3,X4) )).

cnf(i_0_14824,axiom,
    ( ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk808_0
    | p(X2) )).

cnf(i_0_14825,axiom,
    ( ~ esk7914_4(X1,X2,X3,X4)
    | esk7916_4(X1,X2,X3,X4) )).

cnf(i_0_14826,axiom,
    ( ~ esk7944_4(X1,X2,X3,X4)
    | esk8000_4(X1,X2,X3,X4) )).

cnf(i_0_14827,axiom,
    ( ~ esk6346_4(X1,X2,X3,X4)
    | ~ esk6277_4(X1,X2,X3,X4)
    | esk6347_4(X1,X2,X3,X4) )).

cnf(i_0_14828,axiom,
    ( esk7007_4(X1,X2,X3,X4)
    | esk6761_4(X1,X2,X3,X4) )).

cnf(i_0_14829,axiom,
    ( ~ esk6734_4(X1,X2,X3,X4)
    | esk6646_4(X1,X2,X3,X4) )).

cnf(i_0_14830,axiom,
    ( ~ esk7956_4(X1,X2,X3,X4)
    | esk8012_4(X1,X2,X3,X4) )).

cnf(i_0_14831,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk127_0
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_14832,axiom,
    ( esk3849_4(X1,X2,X3,X4)
    | ~ esk1749_4(X1,X2,X3,X4) )).

cnf(i_0_14833,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5171_4(X1,X2,X3,X4) )).

cnf(i_0_14834,axiom,
    ( esk3980_4(X1,X2,X3,X4)
    | esk3981_4(X1,X2,X3,X4)
    | ~ esk3982_4(X1,X2,X3,X4)
    | esk3979_4(X1,X2,X3,X4) )).

cnf(i_0_14835,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk534_0
    | p(X1)
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_14836,axiom,
    ( ~ esk2246_4(X1,X2,X3,X4)
    | esk2248_4(X1,X2,X3,X4) )).

cnf(i_0_14837,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2185_4(X1,X2,X3,X4) )).

cnf(i_0_14838,axiom,
    ( ~ p(X4)
    | esk217_0
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_14839,axiom,
    ( esk5013_4(X1,X2,X3,X4)
    | ~ esk3808_4(X1,X2,X3,X4) )).

cnf(i_0_14840,axiom,
    ( esk2046_4(X1,X2,X3,X4)
    | ~ esk1993_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_14841,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5080_4(X1,X2,X3,X4) )).

cnf(i_0_14842,axiom,
    ( p(X2)
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk746_0
    | ~ p(X1) )).

cnf(i_0_14843,axiom,
    ( ~ p(X4)
    | ~ esk993_0
    | p(X3)
    | p(X2)
    | p(X1)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_14844,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4315_4(X1,X2,X3,X4) )).

cnf(i_0_14845,axiom,
    ( ~ esk3219_4(X1,X2,X3,X4)
    | esk3220_4(X1,X2,X3,X4)
    | ~ esk2366_4(X1,X2,X3,X4) )).

cnf(i_0_14846,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | esk3687_4(X1,X2,X3,X4) )).

cnf(i_0_14847,axiom,
    ( ~ esk3345_4(X1,X2,X3,X4)
    | esk3346_4(X1,X2,X3,X4) )).

cnf(i_0_14848,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | esk8019_4(X1,X2,X3,X4)
    | ~ esk7988_4(X1,X2,X3,X4) )).

cnf(i_0_14849,axiom,
    ( ~ esk2942_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk1307_0
    | ~ p(X1) )).

cnf(i_0_14850,axiom,
    ( ~ esk7291_4(X1,X2,X3,X4)
    | esk7288_4(X1,X2,X3,X4) )).

cnf(i_0_14851,axiom,
    ( esk2691_4(X1,X2,X3,X4)
    | ~ esk2692_4(X1,X2,X3,X4) )).

cnf(i_0_14852,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9527_4(X1,X2,X3,X4)
    | esk9530_4(X1,X2,X3,X4) )).

cnf(i_0_14853,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk1259_0
    | esk9214_4(X1,X2,X3,X4) )).

cnf(i_0_14854,axiom,
    ( esk4922_4(X1,X2,X3,X4)
    | ~ esk4920_4(X1,X2,X3,X4) )).

cnf(i_0_14855,axiom,
    ( ~ esk3221_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14856,axiom,
    ( ~ esk5212_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_14857,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk324_0
    | p(X1)
    | ~ p(X2)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_14858,axiom,
    ( esk8713_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk549_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_14859,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk8547_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk503_0 )).

cnf(i_0_14860,axiom,
    ( esk2870_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1065_0
    | ~ p(X1) )).

cnf(i_0_14861,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4606_4(X1,X2,X3,X4) )).

cnf(i_0_14862,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6727_4(X1,X2,X3,X4) )).

cnf(i_0_14863,axiom,
    ( esk8095_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8094_4(X1,X2,X3,X4) )).

cnf(i_0_14864,axiom,
    ( ~ esk5555_4(X1,X2,X3,X4)
    | esk5679_4(X1,X2,X3,X4) )).

cnf(i_0_14865,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8689_4(X1,X2,X3,X4) )).

cnf(i_0_14866,axiom,
    ( ~ esk7110_4(X1,X2,X3,X4)
    | esk7108_4(X1,X2,X3,X4)
    | esk7109_4(X1,X2,X3,X4) )).

cnf(i_0_14867,axiom,
    ( ~ esk9481_4(X1,X2,X3,X4)
    | esk9480_4(X1,X2,X3,X4) )).

cnf(i_0_14868,axiom,
    ( ~ esk6797_4(X1,X2,X3,X4)
    | esk6798_4(X1,X2,X3,X4)
    | ~ esk6995_4(X1,X2,X3,X4) )).

cnf(i_0_14869,axiom,
    ( p(X1)
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | esk307_0
    | p(X4) )).

cnf(i_0_14870,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | esk951_0 )).

cnf(i_0_14871,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3317_4(X1,X2,X3,X4) )).

cnf(i_0_14872,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3134_4(X1,X2,X3,X4)
    | esk3137_4(X1,X2,X3,X4) )).

cnf(i_0_14873,axiom,
    ( ~ esk5674_4(X1,X2,X3,X4)
    | esk5559_4(X1,X2,X3,X4) )).

cnf(i_0_14874,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9554_4(X1,X2,X3,X4) )).

cnf(i_0_14875,axiom,
    ( esk5397_4(X1,X2,X3,X4)
    | ~ esk5394_4(X1,X2,X3,X4) )).

cnf(i_0_14876,axiom,
    ( esk9191_4(X1,X2,X3,X4)
    | ~ esk7984_4(X1,X2,X3,X4) )).

cnf(i_0_14877,axiom,
    ( esk6202_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14878,axiom,
    ( ~ esk5811_4(X1,X2,X3,X4)
    | esk5813_4(X1,X2,X3,X4) )).

cnf(i_0_14879,axiom,
    ( ~ p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk72_0
    | ~ p(X4) )).

cnf(i_0_14880,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk332_0
    | ~ esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_14881,axiom,
    ( esk5661_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5911_4(X1,X2,X3,X4) )).

cnf(i_0_14882,axiom,
    ( esk5290_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_14883,axiom,
    ( esk8006_4(X1,X2,X3,X4)
    | ~ esk9125_4(X1,X2,X3,X4) )).

cnf(i_0_14884,axiom,
    ( esk5058_4(X1,X2,X3,X4)
    | ~ esk5059_4(X1,X2,X3,X4) )).

cnf(i_0_14885,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9632_4(X1,X2,X3,X4) )).

cnf(i_0_14886,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk1516_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk86_0 )).

cnf(i_0_14887,axiom,
    ( ~ p(X1)
    | esk329_0
    | ~ p(X3)
    | p(X2)
    | ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_14888,axiom,
    ( ~ p(X1)
    | esk135_0
    | p(X3)
    | ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_14889,axiom,
    ( ~ esk9292_4(X1,X2,X3,X4)
    | ~ esk8647_4(X1,X2,X3,X4)
    | esk9293_4(X1,X2,X3,X4) )).

cnf(i_0_14890,axiom,
    ( ~ esk7305_4(X1,X2,X3,X4)
    | ~ esk6556_4(X1,X2,X3,X4)
    | esk7306_4(X1,X2,X3,X4) )).

cnf(i_0_14891,axiom,
    ( p(X3)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X2)
    | esk431_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_14892,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2639_4(X1,X2,X3,X4) )).

cnf(i_0_14893,axiom,
    ( ~ p(X2)
    | esk2811_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk983_0 )).

cnf(i_0_14894,axiom,
    ( esk9210_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk1238_0
    | ~ p(X2) )).

cnf(i_0_14895,axiom,
    ( esk9227_4(X1,X2,X3,X4)
    | ~ esk9226_4(X1,X2,X3,X4) )).

cnf(i_0_14896,axiom,
    ( esk8839_4(X1,X2,X3,X4)
    | ~ esk8840_4(X1,X2,X3,X4) )).

cnf(i_0_14897,axiom,
    ( ~ esk1574_4(X1,X2,X3,X4)
    | esk1575_4(X1,X2,X3,X4) )).

cnf(i_0_14898,axiom,
    ( ~ esk5884_4(X1,X2,X3,X4)
    | ~ esk5930_4(X1,X2,X3,X4)
    | esk5931_4(X1,X2,X3,X4) )).

cnf(i_0_14899,axiom,
    ( ~ esk9401_4(X1,X2,X3,X4)
    | esk9400_4(X1,X2,X3,X4) )).

cnf(i_0_14900,axiom,
    ( ~ esk4812_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_14901,axiom,
    ( esk1373_4(X1,X2,X3,X4)
    | ~ esk2458_4(X1,X2,X3,X4) )).

cnf(i_0_14902,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk782_0
    | ~ p(X3)
    | esk2482_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_14903,axiom,
    ( esk6327_4(X1,X2,X3,X4)
    | esk7007_4(X1,X2,X3,X4) )).

cnf(i_0_14904,axiom,
    ( ~ esk6999_4(X1,X2,X3,X4)
    | esk6751_4(X1,X2,X3,X4) )).

cnf(i_0_14905,axiom,
    ( ~ esk6678_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4)
    | esk6701_4(X1,X2,X3,X4) )).

cnf(i_0_14906,axiom,
    ( esk8051_4(X1,X2,X3,X4)
    | ~ esk7684_4(X1,X2,X3,X4) )).

cnf(i_0_14907,axiom,
    ( p(X2)
    | ~ esk244_0
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_14908,axiom,
    ( p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk2882_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_14909,axiom,
    ( ~ esk3273_4(X1,X2,X3,X4)
    | esk3274_4(X1,X2,X3,X4) )).

cnf(i_0_14910,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9488_4(X1,X2,X3,X4) )).

cnf(i_0_14911,axiom,
    ( ~ esk8503_4(X1,X2,X3,X4)
    | esk8504_4(X1,X2,X3,X4)
    | ~ esk8467_4(X1,X2,X3,X4) )).

cnf(i_0_14912,axiom,
    ( ~ esk6612_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_14913,axiom,
    ( ~ esk1729_4(X1,X2,X3,X4)
    | esk1731_4(X1,X2,X3,X4) )).

cnf(i_0_14914,axiom,
    ( ~ esk8874_4(X1,X2,X3,X4)
    | ~ esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_14915,axiom,
    ( ~ esk5354_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5355_4(X1,X2,X3,X4) )).

cnf(i_0_14916,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5322_4(X1,X2,X3,X4) )).

cnf(i_0_14917,axiom,
    ( ~ esk4793_4(X1,X2,X3,X4)
    | ~ esk5478_4(X1,X2,X3,X4)
    | esk5479_4(X1,X2,X3,X4) )).

cnf(i_0_14918,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7917_4(X1,X2,X3,X4) )).

cnf(i_0_14919,axiom,
    ( esk7498_4(X1,X2,X3,X4)
    | ~ esk7497_4(X1,X2,X3,X4)
    | esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_14920,axiom,
    ( esk2423_4(X1,X2,X3,X4)
    | ~ esk2283_4(X1,X2,X3,X4)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_14921,axiom,
    ( esk5104_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_14922,axiom,
    ( ~ esk1680_4(X1,X2,X3,X4)
    | esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_14923,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4368_4(X1,X2,X3,X4) )).

cnf(i_0_14924,axiom,
    ( ~ esk2919_4(X1,X2,X3,X4)
    | esk2479_4(X1,X2,X3,X4) )).

cnf(i_0_14925,axiom,
    ( ~ esk3634_4(X1,X2,X3,X4)
    | esk3852_4(X1,X2,X3,X4) )).

cnf(i_0_14926,axiom,
    ( ~ esk7582_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_14927,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | esk696_0
    | p(X1) )).

cnf(i_0_14928,axiom,
    ( ~ esk1437_4(X1,X2,X3,X4)
    | esk3537_4(X1,X2,X3,X4) )).

cnf(i_0_14929,axiom,
    ( ~ esk2816_4(X1,X2,X3,X4)
    | esk1394_4(X1,X2,X3,X4) )).

cnf(i_0_14930,axiom,
    ( esk8548_4(X1,X2,X3,X4)
    | ~ esk6448_4(X1,X2,X3,X4) )).

cnf(i_0_14931,axiom,
    ( ~ p(X3)
    | ~ esk804_0
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_14932,axiom,
    ( ~ esk8898_4(X1,X2,X3,X4)
    | esk8899_4(X1,X2,X3,X4) )).

cnf(i_0_14933,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2348_4(X1,X2,X3,X4) )).

cnf(i_0_14934,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8661_4(X1,X2,X3,X4) )).

cnf(i_0_14935,axiom,
    ( ~ esk7591_4(X1,X2,X3,X4)
    | esk7592_4(X1,X2,X3,X4) )).

cnf(i_0_14936,axiom,
    ( esk4410_4(X1,X2,X3,X4)
    | ~ esk4408_4(X1,X2,X3,X4) )).

cnf(i_0_14937,axiom,
    ( esk2037_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_14938,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5416_4(X1,X2,X3,X4) )).

cnf(i_0_14939,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk2801_4(X1,X2,X3,X4)
    | esk917_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_14940,axiom,
    ( ~ esk7615_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_14941,axiom,
    ( esk6191_4(X1,X2,X3,X4)
    | esk6190_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_14942,axiom,
    ( esk4624_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_14943,axiom,
    ( ~ esk7938_4(X1,X2,X3,X4)
    | esk7698_4(X1,X2,X3,X4) )).

cnf(i_0_14944,axiom,
    ( ~ p(X2)
    | esk540_0
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_14945,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7416_4(X1,X2,X3,X4)
    | esk7419_4(X1,X2,X3,X4) )).

cnf(i_0_14946,axiom,
    ( ~ p(X4)
    | esk598_0
    | ~ p(X1)
    | p(X2)
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_14947,axiom,
    ( ~ esk1707_4(X1,X2,X3,X4)
    | esk1646_4(X1,X2,X3,X4) )).

cnf(i_0_14948,axiom,
    ( esk7633_4(X1,X2,X3,X4)
    | ~ esk7634_4(X1,X2,X3,X4)
    | esk7023_4(X1,X2,X3,X4) )).

cnf(i_0_14949,axiom,
    ( ~ esk3183_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3184_4(X1,X2,X3,X4) )).

cnf(i_0_14950,axiom,
    ( esk2542_4(X1,X2,X3,X4)
    | ~ esk2543_4(X1,X2,X3,X4) )).

cnf(i_0_14951,axiom,
    ( ~ p(X2)
    | ~ esk9093_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk887_0 )).

cnf(i_0_14952,axiom,
    ( p(X3)
    | ~ esk2433_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk675_0 )).

cnf(i_0_14953,axiom,
    ( esk571_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_14954,axiom,
    ( ~ esk9406_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_14955,axiom,
    ( esk1701_4(X1,X2,X3,X4)
    | ~ esk2948_4(X1,X2,X3,X4) )).

cnf(i_0_14956,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5778_4(X1,X2,X3,X4) )).

cnf(i_0_14957,axiom,
    ( ~ esk6862_4(X1,X2,X3,X4)
    | esk6683_4(X1,X2,X3,X4) )).

cnf(i_0_14958,axiom,
    ( esk5504_4(X1,X2,X3,X4)
    | esk5503_4(X1,X2,X3,X4)
    | ~ esk5505_4(X1,X2,X3,X4) )).

cnf(i_0_14959,axiom,
    ( ~ esk5219_4(X1,X2,X3,X4)
    | esk5218_4(X1,X2,X3,X4) )).

cnf(i_0_14960,axiom,
    ( esk7844_4(X1,X2,X3,X4)
    | ~ esk7842_4(X1,X2,X3,X4) )).

cnf(i_0_14961,axiom,
    ( esk2185_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_14962,axiom,
    ( p(X3)
    | ~ esk2289_4(X1,X2,X3,X4)
    | esk520_0
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_14963,axiom,
    ( ~ esk7838_4(X1,X2,X3,X4)
    | esk7973_4(X1,X2,X3,X4) )).

cnf(i_0_14964,axiom,
    ( esk7783_4(X1,X2,X3,X4)
    | ~ esk7782_4(X1,X2,X3,X4) )).

cnf(i_0_14965,axiom,
    ( esk2558_4(X1,X2,X3,X4)
    | ~ esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_14966,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7597_4(X1,X2,X3,X4) )).

cnf(i_0_14967,axiom,
    ( esk7638_4(X1,X2,X3,X4)
    | esk7637_4(X1,X2,X3,X4)
    | esk7636_4(X1,X2,X3,X4)
    | ~ esk7639_4(X1,X2,X3,X4) )).

cnf(i_0_14968,axiom,
    ( ~ esk6523_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_14969,axiom,
    ( ~ esk1608_4(X1,X2,X3,X4)
    | ~ esk2908_4(X1,X2,X3,X4)
    | esk1609_4(X1,X2,X3,X4) )).

cnf(i_0_14970,axiom,
    ( ~ esk7776_4(X1,X2,X3,X4)
    | esk7656_4(X1,X2,X3,X4) )).

cnf(i_0_14971,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1305_0
    | esk2942_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_14972,axiom,
    ( ~ esk1844_4(X1,X2,X3,X4)
    | esk1843_4(X1,X2,X3,X4) )).

cnf(i_0_14973,axiom,
    ( ~ esk4675_4(X1,X2,X3,X4)
    | esk4674_4(X1,X2,X3,X4)
    | esk4673_4(X1,X2,X3,X4) )).

cnf(i_0_14974,axiom,
    ( esk8300_4(X1,X2,X3,X4)
    | ~ esk8299_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_14975,axiom,
    ( p(X4)
    | esk198_0
    | p(X1)
    | ~ esk8050_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_14976,axiom,
    ( ~ esk5885_4(X1,X2,X3,X4)
    | esk5935_4(X1,X2,X3,X4)
    | ~ esk5934_4(X1,X2,X3,X4) )).

cnf(i_0_14977,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6590_4(X1,X2,X3,X4) )).

cnf(i_0_14978,axiom,
    ( esk5741_4(X1,X2,X3,X4)
    | ~ esk5868_4(X1,X2,X3,X4) )).

cnf(i_0_14979,axiom,
    ( ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1292_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_14980,axiom,
    ( ~ esk9193_4(X1,X2,X3,X4)
    | esk7998_4(X1,X2,X3,X4) )).

cnf(i_0_14981,axiom,
    ( esk8455_4(X1,X2,X3,X4)
    | ~ esk8456_4(X1,X2,X3,X4)
    | esk8454_4(X1,X2,X3,X4) )).

cnf(i_0_14982,axiom,
    ( ~ esk3754_4(X1,X2,X3,X4)
    | esk3755_4(X1,X2,X3,X4) )).

cnf(i_0_14983,axiom,
    ( esk3173_4(X1,X2,X3,X4)
    | esk3172_4(X1,X2,X3,X4)
    | ~ esk3174_4(X1,X2,X3,X4) )).

cnf(i_0_14984,axiom,
    ( ~ esk6455_4(X1,X2,X3,X4)
    | esk6456_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_14985,axiom,
    ( ~ esk5289_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5292_4(X1,X2,X3,X4) )).

cnf(i_0_14986,axiom,
    ( esk2528_4(X1,X2,X3,X4)
    | ~ esk2527_4(X1,X2,X3,X4) )).

cnf(i_0_14987,axiom,
    ( esk3951_4(X1,X2,X3,X4)
    | esk3952_4(X1,X2,X3,X4) )).

cnf(i_0_14988,axiom,
    ( esk5477_4(X1,X2,X3,X4)
    | ~ esk5480_4(X1,X2,X3,X4) )).

cnf(i_0_14989,axiom,
    ( ~ esk4405_4(X1,X2,X3,X4)
    | esk4406_4(X1,X2,X3,X4) )).

cnf(i_0_14990,axiom,
    ( ~ esk8600_4(X1,X2,X3,X4)
    | esk8304_4(X1,X2,X3,X4)
    | ~ esk8303_4(X1,X2,X3,X4) )).

cnf(i_0_14991,axiom,
    ( ~ p(X2)
    | ~ esk9101_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | esk945_0 )).

cnf(i_0_14992,axiom,
    ( ~ esk6595_4(X1,X2,X3,X4)
    | esk6597_4(X1,X2,X3,X4) )).

cnf(i_0_14993,axiom,
    ( ~ esk1444_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | esk61_0
    | ~ p(X3) )).

cnf(i_0_14994,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk851_0
    | p(X2)
    | esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_14995,axiom,
    ( p(X3)
    | p(X4)
    | esk321_0
    | ~ p(X2)
    | p(X1)
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_14996,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2473_4(X1,X2,X3,X4) )).

cnf(i_0_14997,axiom,
    ( ~ esk3865_4(X1,X2,X3,X4)
    | esk3864_4(X1,X2,X3,X4) )).

cnf(i_0_14998,axiom,
    ( esk2799_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk893_0
    | p(X4)
    | p(X1) )).

cnf(i_0_14999,axiom,
    ( ~ esk1878_4(X1,X2,X3,X4)
    | ~ esk2206_4(X1,X2,X3,X4) )).

cnf(i_0_15000,axiom,
    ( esk3380_4(X1,X2,X3,X4)
    | ~ esk2694_4(X1,X2,X3,X4)
    | ~ esk3379_4(X1,X2,X3,X4) )).

cnf(i_0_15001,axiom,
    ( ~ esk5340_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_15002,axiom,
    ( esk4269_4(X1,X2,X3,X4)
    | ~ esk4268_4(X1,X2,X3,X4) )).

cnf(i_0_15003,axiom,
    ( ~ esk7554_4(X1,X2,X3,X4)
    | esk6880_4(X1,X2,X3,X4) )).

cnf(i_0_15004,axiom,
    ( esk6877_4(X1,X2,X3,X4)
    | ~ esk6878_4(X1,X2,X3,X4) )).

cnf(i_0_15005,axiom,
    ( esk8037_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_15006,axiom,
    ( ~ esk7901_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_15007,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9370_4(X1,X2,X3,X4) )).

cnf(i_0_15008,axiom,
    ( ~ esk4783_4(X1,X2,X3,X4)
    | esk4782_4(X1,X2,X3,X4) )).

cnf(i_0_15009,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X1)
    | esk519_0 )).

cnf(i_0_15010,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9385_4(X1,X2,X3,X4)
    | ~ esk9384_4(X1,X2,X3,X4) )).

cnf(i_0_15011,axiom,
    ( ~ esk9147_4(X1,X2,X3,X4)
    | esk9146_4(X1,X2,X3,X4) )).

cnf(i_0_15012,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6354_4(X1,X2,X3,X4) )).

cnf(i_0_15013,axiom,
    ( ~ esk3958_4(X1,X2,X3,X4)
    | esk6058_4(X1,X2,X3,X4) )).

cnf(i_0_15014,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk994_0
    | p(X4)
    | ~ esk2813_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15015,axiom,
    ( ~ esk1930_4(X1,X2,X3,X4)
    | esk1896_4(X1,X2,X3,X4) )).

cnf(i_0_15016,axiom,
    ( ~ esk2656_4(X1,X2,X3,X4)
    | esk2504_4(X1,X2,X3,X4) )).

cnf(i_0_15017,axiom,
    ( esk1699_4(X1,X2,X3,X4)
    | ~ esk1742_4(X1,X2,X3,X4) )).

cnf(i_0_15018,axiom,
    ( ~ p(X1)
    | ~ esk537_0
    | ~ p(X4)
    | p(X3)
    | esk8617_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15019,axiom,
    ( esk8719_4(X1,X2,X3,X4)
    | ~ esk592_0
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_15020,axiom,
    ( ~ esk5193_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk5196_4(X1,X2,X3,X4) )).

cnf(i_0_15021,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3829_4(X1,X2,X3,X4) )).

cnf(i_0_15022,axiom,
    ( esk2699_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_15023,axiom,
    ( ~ esk8813_4(X1,X2,X3,X4)
    | esk8812_4(X1,X2,X3,X4)
    | esk8811_4(X1,X2,X3,X4) )).

cnf(i_0_15024,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | esk3272_4(X1,X2,X3,X4) )).

cnf(i_0_15025,axiom,
    ( ~ esk6803_4(X1,X2,X3,X4)
    | esk6751_4(X1,X2,X3,X4) )).

cnf(i_0_15026,axiom,
    ( esk8919_4(X1,X2,X3,X4)
    | ~ esk8917_4(X1,X2,X3,X4) )).

cnf(i_0_15027,axiom,
    ( ~ esk7547_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_15028,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1227_0
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_15029,axiom,
    ( ~ esk5195_4(X1,X2,X3,X4)
    | esk5181_4(X1,X2,X3,X4) )).

cnf(i_0_15030,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_15031,axiom,
    ( esk6221_4(X1,X2,X3,X4)
    | ~ esk6486_4(X1,X2,X3,X4) )).

cnf(i_0_15032,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk1776_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk256_0 )).

cnf(i_0_15033,axiom,
    ( esk7736_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk29_0 )).

cnf(i_0_15034,axiom,
    ( esk7372_4(X1,X2,X3,X4)
    | ~ esk7370_4(X1,X2,X3,X4) )).

cnf(i_0_15035,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X4)
    | esk1077_0 )).

cnf(i_0_15036,axiom,
    ( ~ esk4579_4(X1,X2,X3,X4)
    | ~ esk3778_4(X1,X2,X3,X4)
    | esk4602_4(X1,X2,X3,X4) )).

cnf(i_0_15037,axiom,
    ( esk5290_4(X1,X2,X3,X4)
    | ~ esk5291_4(X1,X2,X3,X4) )).

cnf(i_0_15038,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | esk6765_4(X1,X2,X3,X4) )).

cnf(i_0_15039,axiom,
    ( esk8980_4(X1,X2,X3,X4)
    | ~ esk8981_4(X1,X2,X3,X4) )).

cnf(i_0_15040,axiom,
    ( esk4526_4(X1,X2,X3,X4)
    | ~ esk4302_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_15041,axiom,
    ( esk9211_4(X1,X2,X3,X4)
    | ~ esk7846_4(X1,X2,X3,X4) )).

cnf(i_0_15042,axiom,
    ( esk6680_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4)
    | ~ esk7061_4(X1,X2,X3,X4) )).

cnf(i_0_15043,axiom,
    ( esk3116_4(X1,X2,X3,X4)
    | ~ esk3115_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_15044,axiom,
    ( ~ esk427_0
    | esk8357_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15045,axiom,
    ( ~ esk9346_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15046,axiom,
    ( esk7508_4(X1,X2,X3,X4)
    | ~ esk6939_4(X1,X2,X3,X4) )).

cnf(i_0_15047,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | esk461_0
    | ~ p(X1)
    | ~ esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_15048,axiom,
    ( esk9408_4(X1,X2,X3,X4)
    | ~ esk9409_4(X1,X2,X3,X4) )).

cnf(i_0_15049,axiom,
    ( esk5623_4(X1,X2,X3,X4)
    | ~ esk5624_4(X1,X2,X3,X4) )).

cnf(i_0_15050,axiom,
    ( ~ esk4600_4(X1,X2,X3,X4)
    | ~ esk4051_4(X1,X2,X3,X4)
    | esk4601_4(X1,X2,X3,X4) )).

cnf(i_0_15051,axiom,
    ( esk42_0
    | ~ p(X1)
    | ~ esk1442_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_15052,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | ~ esk2317_4(X1,X2,X3,X4)
    | esk1911_4(X1,X2,X3,X4) )).

cnf(i_0_15053,axiom,
    ( esk9344_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15054,axiom,
    ( p(X2)
    | ~ esk620_0
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_15055,axiom,
    ( ~ esk5647_4(X1,X2,X3,X4)
    | esk5646_4(X1,X2,X3,X4) )).

cnf(i_0_15056,axiom,
    ( esk9192_4(X1,X2,X3,X4)
    | ~ esk7999_4(X1,X2,X3,X4) )).

cnf(i_0_15057,axiom,
    ( ~ esk2558_4(X1,X2,X3,X4)
    | esk3301_4(X1,X2,X3,X4) )).

cnf(i_0_15058,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk1_0
    | ~ esk9087_4(X1,X2,X3,X4) )).

cnf(i_0_15059,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4706_4(X1,X2,X3,X4) )).

cnf(i_0_15060,axiom,
    ( ~ esk3956_4(X1,X2,X3,X4)
    | esk3957_4(X1,X2,X3,X4) )).

cnf(i_0_15061,axiom,
    ( esk1122_0
    | ~ esk2878_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_15062,axiom,
    ( ~ esk6777_4(X1,X2,X3,X4)
    | ~ esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_15063,axiom,
    ( ~ esk159_0
    | esk8044_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_15064,axiom,
    ( ~ esk9368_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15065,axiom,
    ( ~ esk7001_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6875_4(X1,X2,X3,X4) )).

cnf(i_0_15066,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6956_4(X1,X2,X3,X4) )).

cnf(i_0_15067,axiom,
    ( esk5280_4(X1,X2,X3,X4)
    | ~ esk5277_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_15068,axiom,
    ( esk2435_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk1_0 )).

cnf(i_0_15069,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | esk8251_4(X1,X2,X3,X4)
    | ~ esk335_0
    | ~ p(X3) )).

cnf(i_0_15070,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk898_0
    | p(X2)
    | ~ p(X1)
    | esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_15071,axiom,
    ( esk1048_0
    | ~ p(X1)
    | ~ esk9164_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_15072,axiom,
    ( esk2017_4(X1,X2,X3,X4)
    | ~ esk2016_4(X1,X2,X3,X4) )).

cnf(i_0_15073,axiom,
    ( ~ esk1494_4(X1,X2,X3,X4)
    | esk1492_4(X1,X2,X3,X4)
    | esk1493_4(X1,X2,X3,X4) )).

cnf(i_0_15074,axiom,
    ( ~ esk2604_4(X1,X2,X3,X4)
    | esk2603_4(X1,X2,X3,X4) )).

cnf(i_0_15075,axiom,
    ( ~ esk7525_4(X1,X2,X3,X4)
    | esk7526_4(X1,X2,X3,X4)
    | ~ esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_15076,axiom,
    ( esk7056_4(X1,X2,X3,X4)
    | ~ esk7186_4(X1,X2,X3,X4) )).

cnf(i_0_15077,axiom,
    ( ~ p(X1)
    | esk2212_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk494_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15078,axiom,
    ( p(X1)
    | p(X3)
    | p(X4)
    | esk543_0
    | p(X2)
    | ~ esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_15079,axiom,
    ( ~ esk1429_4(X1,X2,X3,X4)
    | ~ esk1531_4(X1,X2,X3,X4)
    | esk1761_4(X1,X2,X3,X4) )).

cnf(i_0_15080,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk9252_4(X1,X2,X3,X4)
    | esk1327_0
    | ~ p(X2) )).

cnf(i_0_15081,axiom,
    ( esk5346_4(X1,X2,X3,X4)
    | ~ esk5347_4(X1,X2,X3,X4) )).

cnf(i_0_15082,axiom,
    ( esk6411_4(X1,X2,X3,X4)
    | ~ esk6686_4(X1,X2,X3,X4) )).

cnf(i_0_15083,axiom,
    ( esk6195_4(X1,X2,X3,X4)
    | esk6282_4(X1,X2,X3,X4) )).

cnf(i_0_15084,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3864_4(X1,X2,X3,X4) )).

cnf(i_0_15085,axiom,
    ( esk2257_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_15086,axiom,
    ( esk8213_4(X1,X2,X3,X4)
    | ~ esk8185_4(X1,X2,X3,X4)
    | esk8250_4(X1,X2,X3,X4) )).

cnf(i_0_15087,axiom,
    ( p(X3)
    | ~ esk717_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | esk8735_4(X1,X2,X3,X4) )).

cnf(i_0_15088,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk61_0
    | esk1444_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_15089,axiom,
    ( ~ esk6985_4(X1,X2,X3,X4)
    | ~ esk7497_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_15090,axiom,
    ( ~ esk9106_4(X1,X2,X3,X4)
    | ~ esk8948_4(X1,X2,X3,X4) )).

cnf(i_0_15091,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_15092,axiom,
    ( ~ esk8868_4(X1,X2,X3,X4)
    | esk7982_4(X1,X2,X3,X4) )).

cnf(i_0_15093,axiom,
    ( ~ esk1694_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_15094,axiom,
    ( esk9110_4(X1,X2,X3,X4)
    | ~ esk7705_4(X1,X2,X3,X4) )).

cnf(i_0_15095,axiom,
    ( esk5524_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15096,axiom,
    ( esk6207_4(X1,X2,X3,X4)
    | ~ esk6205_4(X1,X2,X3,X4) )).

cnf(i_0_15097,axiom,
    ( esk6633_4(X1,X2,X3,X4)
    | ~ esk4533_4(X1,X2,X3,X4) )).

cnf(i_0_15098,axiom,
    ( ~ esk9372_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | esk9373_4(X1,X2,X3,X4) )).

cnf(i_0_15099,axiom,
    ( ~ esk6733_4(X1,X2,X3,X4)
    | esk6732_4(X1,X2,X3,X4) )).

cnf(i_0_15100,axiom,
    ( ~ esk4323_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_15101,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2691_4(X1,X2,X3,X4) )).

cnf(i_0_15102,axiom,
    ( esk9451_4(X1,X2,X3,X4)
    | ~ esk9454_4(X1,X2,X3,X4) )).

cnf(i_0_15103,axiom,
    ( ~ esk6421_4(X1,X2,X3,X4)
    | esk6420_4(X1,X2,X3,X4) )).

cnf(i_0_15104,axiom,
    ( ~ esk7117_4(X1,X2,X3,X4)
    | ~ esk6651_4(X1,X2,X3,X4)
    | esk5715_4(X1,X2,X3,X4) )).

cnf(i_0_15105,axiom,
    ( ~ esk9135_4(X1,X2,X3,X4)
    | esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_15106,axiom,
    ( esk4429_4(X1,X2,X3,X4)
    | ~ esk4428_4(X1,X2,X3,X4) )).

cnf(i_0_15107,axiom,
    ( esk3540_4(X1,X2,X3,X4)
    | ~ esk5640_4(X1,X2,X3,X4) )).

cnf(i_0_15108,axiom,
    ( esk1946_4(X1,X2,X3,X4)
    | esk1944_4(X1,X2,X3,X4)
    | esk1945_4(X1,X2,X3,X4)
    | ~ esk1947_4(X1,X2,X3,X4) )).

cnf(i_0_15109,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk1532_4(X1,X2,X3,X4) )).

cnf(i_0_15110,axiom,
    ( ~ esk9353_4(X1,X2,X3,X4)
    | esk9355_4(X1,X2,X3,X4) )).

cnf(i_0_15111,axiom,
    ( ~ esk8721_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk608_0
    | p(X1) )).

cnf(i_0_15112,axiom,
    ( esk6643_4(X1,X2,X3,X4)
    | ~ esk7482_4(X1,X2,X3,X4) )).

cnf(i_0_15113,axiom,
    ( ~ esk6655_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_15114,axiom,
    ( p(X2)
    | esk2894_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1190_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_15115,axiom,
    ( esk9494_4(X1,X2,X3,X4)
    | ~ esk9495_4(X1,X2,X3,X4)
    | esk9493_4(X1,X2,X3,X4) )).

cnf(i_0_15116,axiom,
    ( esk1_0
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ esk2421_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_15117,axiom,
    ( ~ esk8122_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_15118,axiom,
    ( esk2610_4(X1,X2,X3,X4)
    | ~ esk2608_4(X1,X2,X3,X4) )).

cnf(i_0_15119,axiom,
    ( esk4581_4(X1,X2,X3,X4)
    | ~ esk4960_4(X1,X2,X3,X4) )).

cnf(i_0_15120,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk1107_0
    | ~ p(X4)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_15121,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8558_4(X1,X2,X3,X4) )).

cnf(i_0_15122,axiom,
    ( ~ esk5956_4(X1,X2,X3,X4)
    | esk5583_4(X1,X2,X3,X4) )).

cnf(i_0_15123,axiom,
    ( ~ esk2237_4(X1,X2,X3,X4)
    | esk2235_4(X1,X2,X3,X4)
    | esk2236_4(X1,X2,X3,X4) )).

cnf(i_0_15124,axiom,
    ( ~ esk6365_4(X1,X2,X3,X4)
    | ~ esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_15125,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2738_4(X1,X2,X3,X4) )).

cnf(i_0_15126,axiom,
    ( esk4174_4(X1,X2,X3,X4)
    | ~ esk4207_4(X1,X2,X3,X4) )).

cnf(i_0_15127,axiom,
    ( ~ esk5003_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_15128,axiom,
    ( esk4587_4(X1,X2,X3,X4)
    | ~ esk4775_4(X1,X2,X3,X4) )).

cnf(i_0_15129,axiom,
    ( ~ esk6732_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_15130,axiom,
    ( ~ esk4923_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4)
    | ~ esk4953_4(X1,X2,X3,X4) )).

cnf(i_0_15131,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4738_4(X1,X2,X3,X4) )).

cnf(i_0_15132,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8237_4(X1,X2,X3,X4) )).

cnf(i_0_15133,axiom,
    ( esk8048_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ esk185_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_15134,axiom,
    ( esk8539_4(X1,X2,X3,X4)
    | ~ esk8722_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_15135,axiom,
    ( ~ esk4091_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4)
    | esk4548_4(X1,X2,X3,X4) )).

cnf(i_0_15136,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4816_4(X1,X2,X3,X4) )).

cnf(i_0_15137,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ esk1168_0
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_15138,axiom,
    ( esk9531_4(X1,X2,X3,X4)
    | ~ esk9534_4(X1,X2,X3,X4) )).

cnf(i_0_15139,axiom,
    ( esk3035_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_15140,axiom,
    ( esk7395_4(X1,X2,X3,X4)
    | ~ esk7396_4(X1,X2,X3,X4)
    | esk7394_4(X1,X2,X3,X4) )).

cnf(i_0_15141,axiom,
    ( p(X1)
    | ~ esk9099_4(X1,X2,X3,X4)
    | esk924_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15142,axiom,
    ( esk6865_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_15143,axiom,
    ( esk7186_4(X1,X2,X3,X4)
    | ~ esk7185_4(X1,X2,X3,X4)
    | ~ esk7056_4(X1,X2,X3,X4) )).

cnf(i_0_15144,axiom,
    ( esk16_0
    | p(X4)
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_15145,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk774_0
    | esk8778_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_15146,axiom,
    ( p(X4)
    | ~ esk9176_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | esk1140_0 )).

cnf(i_0_15147,axiom,
    ( esk5638_4(X1,X2,X3,X4)
    | ~ esk5596_4(X1,X2,X3,X4) )).

cnf(i_0_15148,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | esk2455_4(X1,X2,X3,X4)
    | ~ esk764_0 )).

cnf(i_0_15149,axiom,
    ( ~ esk4743_4(X1,X2,X3,X4)
    | esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_15150,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6484_4(X1,X2,X3,X4) )).

cnf(i_0_15151,axiom,
    ( ~ esk2309_4(X1,X2,X3,X4)
    | esk2311_4(X1,X2,X3,X4) )).

cnf(i_0_15152,axiom,
    ( esk3566_4(X1,X2,X3,X4)
    | ~ esk3567_4(X1,X2,X3,X4)
    | esk3565_4(X1,X2,X3,X4) )).

cnf(i_0_15153,axiom,
    ( ~ esk9658_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_15154,axiom,
    ( esk6657_4(X1,X2,X3,X4)
    | ~ esk6655_4(X1,X2,X3,X4) )).

cnf(i_0_15155,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk4113_4(X1,X2,X3,X4)
    | esk4114_4(X1,X2,X3,X4) )).

cnf(i_0_15156,axiom,
    ( ~ esk3092_4(X1,X2,X3,X4)
    | esk3086_4(X1,X2,X3,X4) )).

cnf(i_0_15157,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk2451_4(X1,X2,X3,X4)
    | esk731_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_15158,axiom,
    ( ~ esk9086_4(X1,X2,X3,X4)
    | esk9590_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_15159,axiom,
    ( esk8767_4(X1,X2,X3,X4)
    | ~ esk9591_4(X1,X2,X3,X4)
    | esk9590_4(X1,X2,X3,X4) )).

cnf(i_0_15160,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ esk2433_4(X1,X2,X3,X4)
    | p(X4)
    | esk666_0 )).

cnf(i_0_15161,axiom,
    ( ~ esk8071_4(X1,X2,X3,X4)
    | esk8070_4(X1,X2,X3,X4) )).

cnf(i_0_15162,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk9446_4(X1,X2,X3,X4)
    | ~ esk9443_4(X1,X2,X3,X4) )).

cnf(i_0_15163,axiom,
    ( ~ esk7911_4(X1,X2,X3,X4)
    | esk7848_4(X1,X2,X3,X4) )).

cnf(i_0_15164,axiom,
    ( ~ esk3125_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_15165,axiom,
    ( esk2111_4(X1,X2,X3,X4)
    | esk2112_4(X1,X2,X3,X4)
    | ~ esk2113_4(X1,X2,X3,X4) )).

cnf(i_0_15166,axiom,
    ( ~ esk6770_4(X1,X2,X3,X4)
    | esk7486_4(X1,X2,X3,X4) )).

cnf(i_0_15167,axiom,
    ( esk4915_4(X1,X2,X3,X4)
    | ~ esk3493_4(X1,X2,X3,X4) )).

cnf(i_0_15168,axiom,
    ( ~ esk3973_4(X1,X2,X3,X4)
    | ~ esk4082_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_15169,axiom,
    ( ~ esk9162_4(X1,X2,X3,X4)
    | esk8130_4(X1,X2,X3,X4) )).

cnf(i_0_15170,axiom,
    ( esk2223_4(X1,X2,X3,X4)
    | ~ esk2147_4(X1,X2,X3,X4)
    | ~ esk2222_4(X1,X2,X3,X4) )).

cnf(i_0_15171,axiom,
    ( esk9490_4(X1,X2,X3,X4)
    | esk9489_4(X1,X2,X3,X4)
    | ~ esk9491_4(X1,X2,X3,X4) )).

cnf(i_0_15172,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9033_4(X1,X2,X3,X4) )).

cnf(i_0_15173,axiom,
    ( esk1641_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk97_0
    | ~ p(X2) )).

cnf(i_0_15174,axiom,
    ( ~ esk7783_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | esk7875_4(X1,X2,X3,X4) )).

cnf(i_0_15175,axiom,
    ( ~ esk5212_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_15176,axiom,
    ( esk6989_4(X1,X2,X3,X4)
    | ~ esk4889_4(X1,X2,X3,X4) )).

cnf(i_0_15177,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk9089_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk856_0
    | ~ p(X1) )).

cnf(i_0_15178,axiom,
    ( esk4667_4(X1,X2,X3,X4)
    | ~ esk4669_4(X1,X2,X3,X4)
    | esk4668_4(X1,X2,X3,X4) )).

cnf(i_0_15179,axiom,
    ( ~ esk6951_4(X1,X2,X3,X4)
    | esk6950_4(X1,X2,X3,X4) )).

cnf(i_0_15180,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8441_4(X1,X2,X3,X4) )).

cnf(i_0_15181,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | ~ esk3926_4(X1,X2,X3,X4) )).

cnf(i_0_15182,axiom,
    ( ~ esk9722_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_15183,axiom,
    ( esk3528_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_15184,axiom,
    ( ~ esk5226_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5227_4(X1,X2,X3,X4) )).

cnf(i_0_15185,axiom,
    ( ~ esk9085_4(X1,X2,X3,X4)
    | esk9032_4(X1,X2,X3,X4) )).

cnf(i_0_15186,axiom,
    ( esk1484_4(X1,X2,X3,X4)
    | ~ esk1486_4(X1,X2,X3,X4)
    | esk1485_4(X1,X2,X3,X4) )).

cnf(i_0_15187,axiom,
    ( ~ esk2068_4(X1,X2,X3,X4)
    | ~ esk1931_4(X1,X2,X3,X4)
    | esk2069_4(X1,X2,X3,X4) )).

cnf(i_0_15188,axiom,
    ( esk4528_4(X1,X2,X3,X4)
    | ~ esk4259_4(X1,X2,X3,X4) )).

cnf(i_0_15189,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9550_4(X1,X2,X3,X4) )).

cnf(i_0_15190,axiom,
    ( esk8326_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_15191,axiom,
    ( p(X3)
    | ~ esk82_0
    | esk1516_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_15192,axiom,
    ( esk3059_4(X1,X2,X3,X4)
    | ~ esk3060_4(X1,X2,X3,X4) )).

cnf(i_0_15193,axiom,
    ( ~ esk6446_4(X1,X2,X3,X4)
    | esk6444_4(X1,X2,X3,X4)
    | esk6445_4(X1,X2,X3,X4) )).

cnf(i_0_15194,axiom,
    ( ~ p(X3)
    | ~ esk2321_4(X1,X2,X3,X4)
    | p(X1)
    | esk534_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_15195,axiom,
    ( ~ esk9179_4(X1,X2,X3,X4)
    | esk7079_4(X1,X2,X3,X4) )).

cnf(i_0_15196,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_15197,axiom,
    ( esk3462_4(X1,X2,X3,X4)
    | ~ esk3933_4(X1,X2,X3,X4) )).

cnf(i_0_15198,axiom,
    ( esk1914_4(X1,X2,X3,X4)
    | ~ esk1913_4(X1,X2,X3,X4)
    | esk2317_4(X1,X2,X3,X4) )).

cnf(i_0_15199,axiom,
    ( p(X3)
    | ~ esk1_0
    | p(X1)
    | p(X4)
    | esk2419_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15200,axiom,
    ( ~ esk4219_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15201,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6097_4(X1,X2,X3,X4) )).

cnf(i_0_15202,axiom,
    ( esk9166_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk1053_0
    | p(X2) )).

cnf(i_0_15203,axiom,
    ( esk3078_4(X1,X2,X3,X4)
    | ~ esk3077_4(X1,X2,X3,X4) )).

cnf(i_0_15204,axiom,
    ( esk6399_4(X1,X2,X3,X4)
    | esk6397_4(X1,X2,X3,X4)
    | ~ esk6400_4(X1,X2,X3,X4)
    | esk6398_4(X1,X2,X3,X4) )).

cnf(i_0_15205,axiom,
    ( ~ esk1_0
    | p(X1)
    | p(X3)
    | p(X4)
    | esk1874_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15206,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk450_0
    | ~ p(X2)
    | p(X4)
    | esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_15207,axiom,
    ( ~ esk8369_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15208,axiom,
    ( esk2163_4(X1,X2,X3,X4)
    | ~ esk2160_4(X1,X2,X3,X4) )).

cnf(i_0_15209,axiom,
    ( ~ esk6946_4(X1,X2,X3,X4)
    | ~ esk7524_4(X1,X2,X3,X4)
    | esk6947_4(X1,X2,X3,X4) )).

cnf(i_0_15210,axiom,
    ( ~ esk8061_4(X1,X2,X3,X4)
    | ~ esk7822_4(X1,X2,X3,X4)
    | esk9198_4(X1,X2,X3,X4) )).

cnf(i_0_15211,axiom,
    ( esk4730_4(X1,X2,X3,X4)
    | ~ esk4731_4(X1,X2,X3,X4) )).

cnf(i_0_15212,axiom,
    ( ~ esk5821_4(X1,X2,X3,X4)
    | esk5820_4(X1,X2,X3,X4)
    | esk5819_4(X1,X2,X3,X4) )).

cnf(i_0_15213,axiom,
    ( ~ esk3440_4(X1,X2,X3,X4)
    | esk3441_4(X1,X2,X3,X4) )).

cnf(i_0_15214,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk194_0
    | ~ p(X2)
    | esk1752_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_15215,axiom,
    ( ~ esk5515_4(X1,X2,X3,X4)
    | esk5514_4(X1,X2,X3,X4) )).

cnf(i_0_15216,axiom,
    ( ~ esk7616_4(X1,X2,X3,X4)
    | esk7619_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_15217,axiom,
    ( ~ esk9400_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15218,axiom,
    ( esk6066_4(X1,X2,X3,X4)
    | ~ esk6517_4(X1,X2,X3,X4) )).

cnf(i_0_15219,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | esk995_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_15220,axiom,
    ( ~ esk633_0
    | p(X1)
    | p(X4)
    | esk8725_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_15221,axiom,
    ( esk8813_4(X1,X2,X3,X4)
    | ~ esk8811_4(X1,X2,X3,X4) )).

cnf(i_0_15222,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | esk413_0
    | ~ p(X3)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_15223,axiom,
    ( esk9276_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_15224,axiom,
    ( ~ esk4374_4(X1,X2,X3,X4)
    | esk4375_4(X1,X2,X3,X4) )).

cnf(i_0_15225,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4746_4(X1,X2,X3,X4)
    | esk4747_4(X1,X2,X3,X4) )).

cnf(i_0_15226,axiom,
    ( ~ esk5664_4(X1,X2,X3,X4)
    | esk5666_4(X1,X2,X3,X4) )).

cnf(i_0_15227,axiom,
    ( esk5161_4(X1,X2,X3,X4)
    | ~ esk5164_4(X1,X2,X3,X4) )).

cnf(i_0_15228,axiom,
    ( ~ esk9641_4(X1,X2,X3,X4)
    | esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_15229,axiom,
    ( ~ esk5696_4(X1,X2,X3,X4)
    | esk5788_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_15230,axiom,
    ( ~ p(X4)
    | esk8050_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk207_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_15231,axiom,
    ( ~ esk4833_4(X1,X2,X3,X4)
    | esk4834_4(X1,X2,X3,X4) )).

cnf(i_0_15232,axiom,
    ( ~ esk3869_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_15233,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3367_4(X1,X2,X3,X4) )).

cnf(i_0_15234,axiom,
    ( ~ esk6879_4(X1,X2,X3,X4)
    | esk6880_4(X1,X2,X3,X4) )).

cnf(i_0_15235,axiom,
    ( ~ esk3724_4(X1,X2,X3,X4)
    | esk5031_4(X1,X2,X3,X4) )).

cnf(i_0_15236,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | esk4475_4(X1,X2,X3,X4) )).

cnf(i_0_15237,axiom,
    ( ~ esk6045_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_15238,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk1277_0
    | esk9218_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_15239,axiom,
    ( ~ esk8190_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15240,axiom,
    ( esk6963_4(X1,X2,X3,X4)
    | ~ esk6962_4(X1,X2,X3,X4)
    | ~ esk7556_4(X1,X2,X3,X4) )).

cnf(i_0_15241,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | ~ esk4671_4(X1,X2,X3,X4) )).

cnf(i_0_15242,axiom,
    ( ~ esk4743_4(X1,X2,X3,X4)
    | esk4742_4(X1,X2,X3,X4) )).

cnf(i_0_15243,axiom,
    ( ~ esk5958_4(X1,X2,X3,X4)
    | ~ esk7118_4(X1,X2,X3,X4) )).

cnf(i_0_15244,axiom,
    ( esk2793_4(X1,X2,X3,X4)
    | ~ esk1446_4(X1,X2,X3,X4) )).

cnf(i_0_15245,axiom,
    ( ~ esk1622_4(X1,X2,X3,X4)
    | esk1623_4(X1,X2,X3,X4) )).

cnf(i_0_15246,axiom,
    ( esk9166_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk1062_0
    | ~ p(X1) )).

cnf(i_0_15247,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | ~ esk178_0
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_15248,axiom,
    ( p(X1)
    | ~ esk502_0
    | p(X3)
    | esk8547_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15249,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6280_4(X1,X2,X3,X4) )).

cnf(i_0_15250,axiom,
    ( ~ esk3936_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_15251,axiom,
    ( ~ esk6875_4(X1,X2,X3,X4)
    | esk6876_4(X1,X2,X3,X4) )).

cnf(i_0_15252,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | esk2863_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_15253,axiom,
    ( ~ esk7084_4(X1,X2,X3,X4)
    | ~ esk5697_4(X1,X2,X3,X4)
    | esk5698_4(X1,X2,X3,X4) )).

cnf(i_0_15254,axiom,
    ( ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_15255,axiom,
    ( esk2864_4(X1,X2,X3,X4)
    | ~ esk3439_4(X1,X2,X3,X4) )).

cnf(i_0_15256,axiom,
    ( p(X2)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1108_0
    | ~ p(X1) )).

cnf(i_0_15257,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk8723_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk621_0
    | p(X2) )).

cnf(i_0_15258,axiom,
    ( ~ esk9579_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_15259,axiom,
    ( ~ esk7288_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk7291_4(X1,X2,X3,X4) )).

cnf(i_0_15260,axiom,
    ( esk7748_4(X1,X2,X3,X4)
    | ~ esk7746_4(X1,X2,X3,X4) )).

cnf(i_0_15261,axiom,
    ( esk6589_4(X1,X2,X3,X4)
    | ~ esk6587_4(X1,X2,X3,X4) )).

cnf(i_0_15262,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8531_4(X1,X2,X3,X4)
    | esk8532_4(X1,X2,X3,X4) )).

cnf(i_0_15263,axiom,
    ( esk9045_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_15264,axiom,
    ( ~ esk2445_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk3284_4(X1,X2,X3,X4) )).

cnf(i_0_15265,axiom,
    ( ~ esk1717_4(X1,X2,X3,X4)
    | esk1716_4(X1,X2,X3,X4) )).

cnf(i_0_15266,axiom,
    ( ~ esk7911_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_15267,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk2789_4(X1,X2,X3,X4)
    | ~ esk819_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_15268,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | esk8894_4(X1,X2,X3,X4)
    | ~ esk8848_4(X1,X2,X3,X4) )).

cnf(i_0_15269,axiom,
    ( ~ esk2370_4(X1,X2,X3,X4)
    | esk1982_4(X1,X2,X3,X4) )).

cnf(i_0_15270,axiom,
    ( esk6307_4(X1,X2,X3,X4)
    | ~ esk6460_4(X1,X2,X3,X4) )).

cnf(i_0_15271,axiom,
    ( ~ esk2686_4(X1,X2,X3,X4)
    | esk3364_4(X1,X2,X3,X4)
    | ~ esk3363_4(X1,X2,X3,X4) )).

cnf(i_0_15272,axiom,
    ( ~ esk3362_4(X1,X2,X3,X4)
    | esk3360_4(X1,X2,X3,X4)
    | esk3361_4(X1,X2,X3,X4) )).

cnf(i_0_15273,axiom,
    ( ~ esk9063_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_15274,axiom,
    ( ~ esk5851_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_15275,axiom,
    ( ~ esk7492_4(X1,X2,X3,X4)
    | esk7498_4(X1,X2,X3,X4)
    | esk7497_4(X1,X2,X3,X4) )).

cnf(i_0_15276,axiom,
    ( esk1492_4(X1,X2,X3,X4)
    | ~ esk1491_4(X1,X2,X3,X4)
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_15277,axiom,
    ( esk1592_4(X1,X2,X3,X4)
    | ~ esk1593_4(X1,X2,X3,X4) )).

cnf(i_0_15278,axiom,
    ( ~ esk3534_4(X1,X2,X3,X4)
    | esk3751_4(X1,X2,X3,X4) )).

cnf(i_0_15279,axiom,
    ( ~ esk4400_4(X1,X2,X3,X4)
    | esk4429_4(X1,X2,X3,X4) )).

cnf(i_0_15280,axiom,
    ( esk4598_4(X1,X2,X3,X4)
    | ~ esk4597_4(X1,X2,X3,X4) )).

cnf(i_0_15281,axiom,
    ( ~ esk5671_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_15282,axiom,
    ( ~ esk9025_4(X1,X2,X3,X4)
    | esk9026_4(X1,X2,X3,X4)
    | ~ esk9671_4(X1,X2,X3,X4) )).

cnf(i_0_15283,axiom,
    ( ~ esk3738_4(X1,X2,X3,X4)
    | esk5054_4(X1,X2,X3,X4) )).

cnf(i_0_15284,axiom,
    ( ~ esk5715_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_15285,axiom,
    ( ~ esk7133_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_15286,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | esk8721_4(X1,X2,X3,X4)
    | ~ esk609_0
    | p(X4) )).

cnf(i_0_15287,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5512_4(X1,X2,X3,X4) )).

cnf(i_0_15288,axiom,
    ( esk3803_4(X1,X2,X3,X4)
    | ~ esk5033_4(X1,X2,X3,X4) )).

cnf(i_0_15289,axiom,
    ( esk4239_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_15290,axiom,
    ( ~ esk4880_4(X1,X2,X3,X4)
    | esk4882_4(X1,X2,X3,X4) )).

cnf(i_0_15291,axiom,
    ( esk7928_4(X1,X2,X3,X4)
    | ~ esk7926_4(X1,X2,X3,X4) )).

cnf(i_0_15292,axiom,
    ( esk8730_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4)
    | ~ esk8174_4(X1,X2,X3,X4) )).

cnf(i_0_15293,axiom,
    ( ~ esk9270_4(X1,X2,X3,X4)
    | esk9271_4(X1,X2,X3,X4) )).

cnf(i_0_15294,axiom,
    ( ~ esk3797_4(X1,X2,X3,X4)
    | esk3837_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_15295,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk1444_4(X1,X2,X3,X4)
    | esk56_0
    | p(X2) )).

cnf(i_0_15296,axiom,
    ( ~ esk6787_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_15297,axiom,
    ( esk4336_4(X1,X2,X3,X4)
    | ~ esk4374_4(X1,X2,X3,X4) )).

cnf(i_0_15298,axiom,
    ( esk310_0
    | ~ p(X1)
    | p(X4)
    | ~ esk1918_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_15299,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk77_0
    | ~ p(X2)
    | esk1478_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_15300,axiom,
    ( esk2542_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_15301,axiom,
    ( ~ esk9499_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk9502_4(X1,X2,X3,X4) )).

cnf(i_0_15302,axiom,
    ( esk4518_4(X1,X2,X3,X4)
    | ~ esk4010_4(X1,X2,X3,X4) )).

cnf(i_0_15303,axiom,
    ( ~ p(X2)
    | esk1229_0
    | p(X4)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_15304,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2316_4(X1,X2,X3,X4)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_15305,axiom,
    ( ~ p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk45_0
    | p(X3) )).

cnf(i_0_15306,axiom,
    ( ~ esk3099_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_15307,axiom,
    ( esk624_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_15308,axiom,
    ( ~ esk2515_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_15309,axiom,
    ( esk1913_4(X1,X2,X3,X4)
    | ~ esk2419_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_15310,axiom,
    ( esk2513_4(X1,X2,X3,X4)
    | ~ esk2514_4(X1,X2,X3,X4) )).

cnf(i_0_15311,axiom,
    ( esk6628_4(X1,X2,X3,X4)
    | ~ esk6601_4(X1,X2,X3,X4) )).

cnf(i_0_15312,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1243_0
    | p(X4) )).

cnf(i_0_15313,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | esk333_0
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_15314,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3639_4(X1,X2,X3,X4) )).

cnf(i_0_15315,axiom,
    ( esk5425_4(X1,X2,X3,X4)
    | ~ esk5424_4(X1,X2,X3,X4) )).

cnf(i_0_15316,axiom,
    ( esk3302_4(X1,X2,X3,X4)
    | ~ esk2585_4(X1,X2,X3,X4) )).

cnf(i_0_15317,axiom,
    ( esk8181_4(X1,X2,X3,X4)
    | ~ esk8734_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_15318,axiom,
    ( esk6139_4(X1,X2,X3,X4)
    | ~ esk6141_4(X1,X2,X3,X4)
    | esk6140_4(X1,X2,X3,X4) )).

cnf(i_0_15319,axiom,
    ( ~ p(X4)
    | esk9093_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk886_0 )).

cnf(i_0_15320,axiom,
    ( ~ esk3689_4(X1,X2,X3,X4)
    | esk3690_4(X1,X2,X3,X4) )).

cnf(i_0_15321,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | esk8176_4(X1,X2,X3,X4) )).

cnf(i_0_15322,axiom,
    ( esk2356_4(X1,X2,X3,X4)
    | ~ esk2358_4(X1,X2,X3,X4)
    | esk2357_4(X1,X2,X3,X4) )).

cnf(i_0_15323,axiom,
    ( ~ esk7207_4(X1,X2,X3,X4)
    | esk7208_4(X1,X2,X3,X4) )).

cnf(i_0_15324,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5796_4(X1,X2,X3,X4) )).

cnf(i_0_15325,axiom,
    ( esk3881_4(X1,X2,X3,X4)
    | ~ esk3880_4(X1,X2,X3,X4)
    | ~ esk4441_4(X1,X2,X3,X4) )).

cnf(i_0_15326,axiom,
    ( p(X3)
    | ~ esk1516_4(X1,X2,X3,X4)
    | esk82_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_15327,axiom,
    ( esk6565_4(X1,X2,X3,X4)
    | ~ esk7469_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_15328,axiom,
    ( ~ esk7816_4(X1,X2,X3,X4)
    | esk7817_4(X1,X2,X3,X4) )).

cnf(i_0_15329,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5524_4(X1,X2,X3,X4) )).

cnf(i_0_15330,axiom,
    ( ~ esk8029_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_15331,axiom,
    ( ~ esk9420_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_15332,axiom,
    ( esk817_0
    | ~ p(X2)
    | p(X4)
    | ~ esk9085_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_15333,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk2809_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk963_0
    | p(X3) )).

cnf(i_0_15334,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk7937_4(X1,X2,X3,X4) )).

cnf(i_0_15335,axiom,
    ( ~ esk5803_4(X1,X2,X3,X4)
    | esk5802_4(X1,X2,X3,X4) )).

cnf(i_0_15336,axiom,
    ( ~ esk8170_4(X1,X2,X3,X4)
    | esk290_0
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_15337,axiom,
    ( esk3218_4(X1,X2,X3,X4)
    | ~ esk3216_4(X1,X2,X3,X4) )).

cnf(i_0_15338,axiom,
    ( esk5557_4(X1,X2,X3,X4)
    | ~ esk5677_4(X1,X2,X3,X4) )).

cnf(i_0_15339,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8763_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_15340,axiom,
    ( esk2375_4(X1,X2,X3,X4)
    | ~ esk2416_4(X1,X2,X3,X4) )).

cnf(i_0_15341,axiom,
    ( esk2674_4(X1,X2,X3,X4)
    | ~ esk3340_4(X1,X2,X3,X4) )).

cnf(i_0_15342,axiom,
    ( p(X1)
    | ~ esk1011_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_15343,axiom,
    ( ~ esk4455_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15344,axiom,
    ( esk2654_4(X1,X2,X3,X4)
    | ~ esk2574_4(X1,X2,X3,X4) )).

cnf(i_0_15345,axiom,
    ( esk9590_4(X1,X2,X3,X4)
    | esk9591_4(X1,X2,X3,X4)
    | ~ esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_15346,axiom,
    ( esk2066_4(X1,X2,X3,X4)
    | esk2065_4(X1,X2,X3,X4)
    | ~ esk2067_4(X1,X2,X3,X4) )).

cnf(i_0_15347,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7958_4(X1,X2,X3,X4) )).

cnf(i_0_15348,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ esk1516_4(X1,X2,X3,X4)
    | esk78_0 )).

cnf(i_0_15349,axiom,
    ( ~ esk1763_4(X1,X2,X3,X4)
    | ~ esk1375_4(X1,X2,X3,X4) )).

cnf(i_0_15350,axiom,
    ( esk1568_4(X1,X2,X3,X4)
    | ~ esk1569_4(X1,X2,X3,X4) )).

cnf(i_0_15351,axiom,
    ( p(X1)
    | p(X3)
    | esk187_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1752_4(X1,X2,X3,X4) )).

cnf(i_0_15352,axiom,
    ( esk5659_4(X1,X2,X3,X4)
    | ~ esk5660_4(X1,X2,X3,X4) )).

cnf(i_0_15353,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9526_4(X1,X2,X3,X4) )).

cnf(i_0_15354,axiom,
    ( ~ esk6655_4(X1,X2,X3,X4)
    | esk6654_4(X1,X2,X3,X4) )).

cnf(i_0_15355,axiom,
    ( esk9161_4(X1,X2,X3,X4)
    | esk9740_4(X1,X2,X3,X4)
    | ~ esk9739_4(X1,X2,X3,X4) )).

cnf(i_0_15356,axiom,
    ( ~ esk6509_4(X1,X2,X3,X4)
    | ~ esk6350_4(X1,X2,X3,X4)
    | esk6351_4(X1,X2,X3,X4) )).

cnf(i_0_15357,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4435_4(X1,X2,X3,X4)
    | ~ esk4434_4(X1,X2,X3,X4) )).

cnf(i_0_15358,axiom,
    ( esk8775_4(X1,X2,X3,X4)
    | ~ esk8758_4(X1,X2,X3,X4) )).

cnf(i_0_15359,axiom,
    ( esk3947_4(X1,X2,X3,X4)
    | ~ esk3946_4(X1,X2,X3,X4)
    | ~ esk4277_4(X1,X2,X3,X4) )).

cnf(i_0_15360,axiom,
    ( ~ esk8162_4(X1,X2,X3,X4)
    | esk8164_4(X1,X2,X3,X4) )).

cnf(i_0_15361,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk7352_4(X1,X2,X3,X4)
    | esk7355_4(X1,X2,X3,X4) )).

cnf(i_0_15362,axiom,
    ( esk5044_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk5049_4(X1,X2,X3,X4) )).

cnf(i_0_15363,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk1225_0 )).

cnf(i_0_15364,axiom,
    ( esk7774_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk66_0
    | p(X1)
    | p(X2) )).

cnf(i_0_15365,axiom,
    ( ~ esk6524_4(X1,X2,X3,X4)
    | esk6429_4(X1,X2,X3,X4)
    | ~ esk6428_4(X1,X2,X3,X4) )).

cnf(i_0_15366,axiom,
    ( ~ esk3792_4(X1,X2,X3,X4)
    | esk3794_4(X1,X2,X3,X4) )).

cnf(i_0_15367,axiom,
    ( esk2055_4(X1,X2,X3,X4)
    | esk2056_4(X1,X2,X3,X4)
    | ~ esk1885_4(X1,X2,X3,X4) )).

cnf(i_0_15368,axiom,
    ( ~ esk8055_4(X1,X2,X3,X4)
    | esk5955_4(X1,X2,X3,X4) )).

cnf(i_0_15369,axiom,
    ( ~ p(X1)
    | esk1958_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk360_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_15370,axiom,
    ( esk8705_4(X1,X2,X3,X4)
    | ~ esk8706_4(X1,X2,X3,X4) )).

cnf(i_0_15371,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1630_4(X1,X2,X3,X4) )).

cnf(i_0_15372,axiom,
    ( p(X1)
    | esk8170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk291_0 )).

cnf(i_0_15373,axiom,
    ( esk9556_4(X1,X2,X3,X4)
    | ~ esk9557_4(X1,X2,X3,X4) )).

cnf(i_0_15374,axiom,
    ( esk4474_4(X1,X2,X3,X4)
    | ~ esk4515_4(X1,X2,X3,X4) )).

cnf(i_0_15375,axiom,
    ( ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8810_4(X1,X2,X3,X4) )).

cnf(i_0_15376,axiom,
    ( esk9248_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1320_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_15377,axiom,
    ( ~ esk9123_4(X1,X2,X3,X4)
    | ~ esk9734_4(X1,X2,X3,X4) )).

cnf(i_0_15378,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8096_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15379,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2815_4(X1,X2,X3,X4)
    | p(X1)
    | esk1012_0 )).

cnf(i_0_15380,axiom,
    ( ~ esk2394_4(X1,X2,X3,X4)
    | esk2395_4(X1,X2,X3,X4) )).

cnf(i_0_15381,axiom,
    ( esk6373_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_15382,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1604_4(X1,X2,X3,X4) )).

cnf(i_0_15383,axiom,
    ( esk1381_4(X1,X2,X3,X4)
    | ~ esk2097_4(X1,X2,X3,X4) )).

cnf(i_0_15384,axiom,
    ( ~ esk4598_4(X1,X2,X3,X4)
    | esk4575_4(X1,X2,X3,X4)
    | ~ esk4574_4(X1,X2,X3,X4) )).

cnf(i_0_15385,axiom,
    ( ~ esk3561_4(X1,X2,X3,X4)
    | esk3560_4(X1,X2,X3,X4) )).

cnf(i_0_15386,axiom,
    ( ~ esk7223_4(X1,X2,X3,X4)
    | esk7224_4(X1,X2,X3,X4) )).

cnf(i_0_15387,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5228_4(X1,X2,X3,X4) )).

cnf(i_0_15388,axiom,
    ( ~ esk5351_4(X1,X2,X3,X4)
    | esk5350_4(X1,X2,X3,X4) )).

cnf(i_0_15389,axiom,
    ( ~ p(X3)
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk542_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_15390,axiom,
    ( esk9177_4(X1,X2,X3,X4)
    | ~ esk7789_4(X1,X2,X3,X4) )).

cnf(i_0_15391,axiom,
    ( ~ esk4981_4(X1,X2,X3,X4)
    | esk2881_4(X1,X2,X3,X4) )).

cnf(i_0_15392,axiom,
    ( esk9548_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15393,axiom,
    ( ~ esk4427_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15394,axiom,
    ( ~ esk9189_4(X1,X2,X3,X4)
    | esk8002_4(X1,X2,X3,X4) )).

cnf(i_0_15395,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2591_4(X1,X2,X3,X4) )).

cnf(i_0_15396,axiom,
    ( ~ esk6302_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_15397,axiom,
    ( esk7408_4(X1,X2,X3,X4)
    | ~ esk7411_4(X1,X2,X3,X4) )).

cnf(i_0_15398,axiom,
    ( esk4482_4(X1,X2,X3,X4)
    | ~ esk4480_4(X1,X2,X3,X4) )).

cnf(i_0_15399,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk1643_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk122_0
    | ~ p(X3) )).

cnf(i_0_15400,axiom,
    ( esk2065_4(X1,X2,X3,X4)
    | ~ esk2064_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_15401,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | esk3841_4(X1,X2,X3,X4)
    | ~ esk3798_4(X1,X2,X3,X4) )).

cnf(i_0_15402,axiom,
    ( ~ esk6185_4(X1,X2,X3,X4)
    | esk6408_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_15403,axiom,
    ( ~ esk5475_4(X1,X2,X3,X4)
    | esk5474_4(X1,X2,X3,X4) )).

cnf(i_0_15404,axiom,
    ( esk2149_4(X1,X2,X3,X4)
    | esk2150_4(X1,X2,X3,X4)
    | ~ esk2151_4(X1,X2,X3,X4) )).

cnf(i_0_15405,axiom,
    ( ~ p(X1)
    | esk1001_0
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_15406,axiom,
    ( esk5239_4(X1,X2,X3,X4)
    | ~ esk5238_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_15407,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5315_4(X1,X2,X3,X4)
    | ~ esk5314_4(X1,X2,X3,X4) )).

cnf(i_0_15408,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | ~ esk2503_4(X1,X2,X3,X4) )).

cnf(i_0_15409,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk7589_4(X1,X2,X3,X4)
    | esk7590_4(X1,X2,X3,X4) )).

cnf(i_0_15410,axiom,
    ( esk7559_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6820_4(X1,X2,X3,X4) )).

cnf(i_0_15411,axiom,
    ( ~ esk1914_4(X1,X2,X3,X4)
    | esk1946_4(X1,X2,X3,X4)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_15412,axiom,
    ( ~ esk6363_4(X1,X2,X3,X4)
    | ~ esk6362_4(X1,X2,X3,X4)
    | ~ esk6325_4(X1,X2,X3,X4) )).

cnf(i_0_15413,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5339_4(X1,X2,X3,X4) )).

cnf(i_0_15414,axiom,
    ( ~ p(X2)
    | ~ esk412_0
    | p(X3)
    | esk2058_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_15415,axiom,
    ( ~ p(X4)
    | ~ esk876_0
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | esk9093_4(X1,X2,X3,X4) )).

cnf(i_0_15416,axiom,
    ( ~ esk4960_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_15417,axiom,
    ( ~ esk5247_4(X1,X2,X3,X4)
    | esk5241_4(X1,X2,X3,X4) )).

cnf(i_0_15418,axiom,
    ( ~ esk8946_4(X1,X2,X3,X4)
    | esk8887_4(X1,X2,X3,X4) )).

cnf(i_0_15419,axiom,
    ( esk6553_4(X1,X2,X3,X4)
    | ~ esk6554_4(X1,X2,X3,X4) )).

cnf(i_0_15420,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3061_4(X1,X2,X3,X4) )).

cnf(i_0_15421,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk1442_4(X1,X2,X3,X4)
    | esk46_0 )).

cnf(i_0_15422,axiom,
    ( ~ esk3879_4(X1,X2,X3,X4)
    | ~ esk3942_4(X1,X2,X3,X4)
    | esk3943_4(X1,X2,X3,X4) )).

cnf(i_0_15423,axiom,
    ( esk3120_4(X1,X2,X3,X4)
    | ~ esk3122_4(X1,X2,X3,X4)
    | esk3121_4(X1,X2,X3,X4) )).

cnf(i_0_15424,axiom,
    ( ~ esk9502_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_15425,axiom,
    ( ~ esk4223_4(X1,X2,X3,X4)
    | esk4189_4(X1,X2,X3,X4) )).

cnf(i_0_15426,axiom,
    ( esk6764_4(X1,X2,X3,X4)
    | ~ esk6762_4(X1,X2,X3,X4) )).

cnf(i_0_15427,axiom,
    ( esk3047_4(X1,X2,X3,X4)
    | ~ esk3048_4(X1,X2,X3,X4) )).

cnf(i_0_15428,axiom,
    ( esk6945_4(X1,X2,X3,X4)
    | ~ esk6992_4(X1,X2,X3,X4) )).

cnf(i_0_15429,axiom,
    ( ~ esk9518_4(X1,X2,X3,X4)
    | esk9519_4(X1,X2,X3,X4) )).

cnf(i_0_15430,axiom,
    ( ~ esk1877_4(X1,X2,X3,X4)
    | esk2128_4(X1,X2,X3,X4) )).

cnf(i_0_15431,axiom,
    ( ~ esk8389_4(X1,X2,X3,X4)
    | esk6289_4(X1,X2,X3,X4) )).

cnf(i_0_15432,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4243_4(X1,X2,X3,X4) )).

cnf(i_0_15433,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8332_4(X1,X2,X3,X4) )).

cnf(i_0_15434,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk2942_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1299_0 )).

cnf(i_0_15435,axiom,
    ( esk8813_4(X1,X2,X3,X4)
    | ~ esk9013_4(X1,X2,X3,X4) )).

cnf(i_0_15436,axiom,
    ( ~ esk4330_4(X1,X2,X3,X4)
    | esk4329_4(X1,X2,X3,X4) )).

cnf(i_0_15437,axiom,
    ( ~ esk6720_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_15438,axiom,
    ( ~ esk9466_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_15439,axiom,
    ( esk6237_4(X1,X2,X3,X4)
    | ~ esk6238_4(X1,X2,X3,X4)
    | esk6236_4(X1,X2,X3,X4) )).

cnf(i_0_15440,axiom,
    ( esk2056_4(X1,X2,X3,X4)
    | ~ esk2086_4(X1,X2,X3,X4) )).

cnf(i_0_15441,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk516_0
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_15442,axiom,
    ( ~ esk2647_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_15443,axiom,
    ( ~ esk5437_4(X1,X2,X3,X4)
    | esk5440_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_15444,axiom,
    ( ~ esk2379_4(X1,X2,X3,X4)
    | esk2418_4(X1,X2,X3,X4) )).

cnf(i_0_15445,axiom,
    ( ~ esk4090_4(X1,X2,X3,X4)
    | esk4632_4(X1,X2,X3,X4) )).

cnf(i_0_15446,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7531_4(X1,X2,X3,X4)
    | ~ esk7528_4(X1,X2,X3,X4) )).

cnf(i_0_15447,axiom,
    ( esk2017_4(X1,X2,X3,X4)
    | ~ esk2015_4(X1,X2,X3,X4) )).

cnf(i_0_15448,axiom,
    ( p(X2)
    | esk468_0
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_15449,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | ~ esk2854_4(X1,X2,X3,X4)
    | esk2820_4(X1,X2,X3,X4) )).

cnf(i_0_15450,axiom,
    ( ~ esk3984_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk3983_4(X1,X2,X3,X4) )).

cnf(i_0_15451,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk694_0
    | ~ esk2437_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_15452,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4188_4(X1,X2,X3,X4)
    | ~ esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_15453,axiom,
    ( ~ esk967_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_15454,axiom,
    ( esk8284_4(X1,X2,X3,X4)
    | ~ esk8739_4(X1,X2,X3,X4) )).

cnf(i_0_15455,axiom,
    ( esk6209_4(X1,X2,X3,X4)
    | ~ esk6211_4(X1,X2,X3,X4)
    | esk6210_4(X1,X2,X3,X4) )).

cnf(i_0_15456,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X3)
    | esk1_0
    | p(X4) )).

cnf(i_0_15457,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1193_0
    | esk9190_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_15458,axiom,
    ( esk3711_4(X1,X2,X3,X4)
    | ~ esk3712_4(X1,X2,X3,X4) )).

cnf(i_0_15459,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4485_4(X1,X2,X3,X4) )).

cnf(i_0_15460,axiom,
    ( ~ esk8869_4(X1,X2,X3,X4)
    | esk8774_4(X1,X2,X3,X4)
    | ~ esk8776_4(X1,X2,X3,X4) )).

cnf(i_0_15461,axiom,
    ( p(X1)
    | ~ esk921_0
    | ~ p(X3)
    | esk9099_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_15462,axiom,
    ( esk6080_4(X1,X2,X3,X4)
    | ~ esk6081_4(X1,X2,X3,X4)
    | esk6079_4(X1,X2,X3,X4)
    | esk6078_4(X1,X2,X3,X4) )).

cnf(i_0_15463,axiom,
    ( ~ esk7092_4(X1,X2,X3,X4)
    | esk5706_4(X1,X2,X3,X4)
    | ~ esk5705_4(X1,X2,X3,X4) )).

cnf(i_0_15464,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3177_4(X1,X2,X3,X4) )).

cnf(i_0_15465,axiom,
    ( ~ esk3293_4(X1,X2,X3,X4)
    | esk2470_4(X1,X2,X3,X4)
    | esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_15466,axiom,
    ( esk1595_4(X1,X2,X3,X4)
    | ~ esk1594_4(X1,X2,X3,X4) )).

cnf(i_0_15467,axiom,
    ( esk9150_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1029_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_15468,axiom,
    ( esk9605_4(X1,X2,X3,X4)
    | ~ esk9604_4(X1,X2,X3,X4)
    | ~ esk8859_4(X1,X2,X3,X4) )).

cnf(i_0_15469,axiom,
    ( ~ esk8072_4(X1,X2,X3,X4)
    | p(X4)
    | esk245_0
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_15470,axiom,
    ( esk1799_4(X1,X2,X3,X4)
    | esk1798_4(X1,X2,X3,X4)
    | ~ esk1800_4(X1,X2,X3,X4) )).

cnf(i_0_15471,axiom,
    ( ~ p(X3)
    | esk8391_4(X1,X2,X3,X4)
    | ~ esk467_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_15472,axiom,
    ( esk2293_4(X1,X2,X3,X4)
    | ~ esk2256_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_15473,axiom,
    ( ~ esk9605_4(X1,X2,X3,X4)
    | esk9607_4(X1,X2,X3,X4) )).

cnf(i_0_15474,axiom,
    ( ~ esk1714_4(X1,X2,X3,X4)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_15475,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | esk9242_4(X1,X2,X3,X4)
    | ~ esk9247_4(X1,X2,X3,X4) )).

cnf(i_0_15476,axiom,
    ( esk1989_4(X1,X2,X3,X4)
    | esk1988_4(X1,X2,X3,X4)
    | ~ esk1991_4(X1,X2,X3,X4)
    | esk1990_4(X1,X2,X3,X4) )).

cnf(i_0_15477,axiom,
    ( ~ esk4138_4(X1,X2,X3,X4)
    | esk4112_4(X1,X2,X3,X4) )).

cnf(i_0_15478,axiom,
    ( esk4870_4(X1,X2,X3,X4)
    | ~ esk4868_4(X1,X2,X3,X4) )).

cnf(i_0_15479,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7331_4(X1,X2,X3,X4) )).

cnf(i_0_15480,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3000_4(X1,X2,X3,X4) )).

cnf(i_0_15481,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | esk3691_4(X1,X2,X3,X4) )).

cnf(i_0_15482,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6582_4(X1,X2,X3,X4) )).

cnf(i_0_15483,axiom,
    ( ~ esk4337_4(X1,X2,X3,X4)
    | esk4524_4(X1,X2,X3,X4) )).

cnf(i_0_15484,axiom,
    ( ~ esk5298_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_15485,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1667_4(X1,X2,X3,X4) )).

cnf(i_0_15486,axiom,
    ( esk3594_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_15487,axiom,
    ( ~ esk6918_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_15488,axiom,
    ( ~ esk5664_4(X1,X2,X3,X4)
    | esk5663_4(X1,X2,X3,X4) )).

cnf(i_0_15489,axiom,
    ( esk3381_4(X1,X2,X3,X4)
    | esk3380_4(X1,X2,X3,X4)
    | ~ esk3382_4(X1,X2,X3,X4) )).

cnf(i_0_15490,axiom,
    ( ~ esk8510_4(X1,X2,X3,X4)
    | esk7675_4(X1,X2,X3,X4) )).

cnf(i_0_15491,axiom,
    ( ~ esk4314_4(X1,X2,X3,X4)
    | esk4316_4(X1,X2,X3,X4) )).

cnf(i_0_15492,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | esk1421_4(X1,X2,X3,X4) )).

cnf(i_0_15493,axiom,
    ( ~ esk7484_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_15494,axiom,
    ( esk1738_4(X1,X2,X3,X4)
    | esk1737_4(X1,X2,X3,X4)
    | ~ esk1739_4(X1,X2,X3,X4) )).

cnf(i_0_15495,axiom,
    ( ~ p(X1)
    | esk2801_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk912_0 )).

cnf(i_0_15496,axiom,
    ( ~ esk3938_4(X1,X2,X3,X4)
    | esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_15497,axiom,
    ( ~ esk3497_4(X1,X2,X3,X4)
    | esk3539_4(X1,X2,X3,X4) )).

cnf(i_0_15498,axiom,
    ( ~ esk5471_4(X1,X2,X3,X4)
    | esk4789_4(X1,X2,X3,X4) )).

cnf(i_0_15499,axiom,
    ( esk1384_4(X1,X2,X3,X4)
    | ~ esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_15500,axiom,
    ( esk8495_4(X1,X2,X3,X4)
    | ~ esk8493_4(X1,X2,X3,X4) )).

cnf(i_0_15501,axiom,
    ( ~ esk9150_4(X1,X2,X3,X4)
    | esk1036_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_15502,axiom,
    ( ~ esk1684_4(X1,X2,X3,X4)
    | ~ esk1724_4(X1,X2,X3,X4)
    | esk1725_4(X1,X2,X3,X4) )).

cnf(i_0_15503,axiom,
    ( esk2173_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk474_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_15504,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4409_4(X1,X2,X3,X4) )).

cnf(i_0_15505,axiom,
    ( ~ esk2847_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_15506,axiom,
    ( esk2803_4(X1,X2,X3,X4)
    | ~ esk3344_4(X1,X2,X3,X4) )).

cnf(i_0_15507,axiom,
    ( p(X3)
    | ~ esk975_0
    | ~ p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15508,axiom,
    ( ~ esk7629_4(X1,X2,X3,X4)
    | esk7632_4(X1,X2,X3,X4) )).

cnf(i_0_15509,axiom,
    ( ~ p(X1)
    | ~ esk1153_0
    | p(X2)
    | ~ p(X4)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_15510,axiom,
    ( ~ esk9117_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_15511,axiom,
    ( ~ p(X2)
    | esk1163_0
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_15512,axiom,
    ( esk7207_4(X1,X2,X3,X4)
    | ~ esk7204_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_15513,axiom,
    ( ~ esk4272_4(X1,X2,X3,X4)
    | esk3516_4(X1,X2,X3,X4) )).

cnf(i_0_15514,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2382_4(X1,X2,X3,X4) )).

cnf(i_0_15515,axiom,
    ( esk1431_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_15516,axiom,
    ( ~ esk8540_4(X1,X2,X3,X4)
    | esk8501_4(X1,X2,X3,X4)
    | esk8539_4(X1,X2,X3,X4) )).

cnf(i_0_15517,axiom,
    ( ~ esk5218_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_15518,axiom,
    ( esk8710_4(X1,X2,X3,X4)
    | ~ esk8709_4(X1,X2,X3,X4)
    | ~ esk9567_4(X1,X2,X3,X4) )).

cnf(i_0_15519,axiom,
    ( esk5191_4(X1,X2,X3,X4)
    | ~ esk5190_4(X1,X2,X3,X4)
    | ~ esk5185_4(X1,X2,X3,X4) )).

cnf(i_0_15520,axiom,
    ( ~ esk2148_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_15521,axiom,
    ( ~ esk6625_4(X1,X2,X3,X4)
    | ~ esk6401_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_15522,axiom,
    ( esk6665_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_15523,axiom,
    ( ~ esk6714_4(X1,X2,X3,X4)
    | esk6712_4(X1,X2,X3,X4)
    | esk6713_4(X1,X2,X3,X4) )).

cnf(i_0_15524,axiom,
    ( esk2529_4(X1,X2,X3,X4)
    | ~ esk2530_4(X1,X2,X3,X4) )).

cnf(i_0_15525,axiom,
    ( ~ esk1811_4(X1,X2,X3,X4)
    | esk2294_4(X1,X2,X3,X4) )).

cnf(i_0_15526,axiom,
    ( p(X1)
    | p(X2)
    | esk8778_4(X1,X2,X3,X4)
    | ~ esk769_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_15527,axiom,
    ( ~ esk5661_4(X1,X2,X3,X4)
    | esk5662_4(X1,X2,X3,X4) )).

cnf(i_0_15528,axiom,
    ( esk192_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_15529,axiom,
    ( ~ esk5920_4(X1,X2,X3,X4)
    | esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_15530,axiom,
    ( ~ esk5717_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_15531,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ esk744_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_15532,axiom,
    ( ~ esk5368_4(X1,X2,X3,X4)
    | esk5365_4(X1,X2,X3,X4) )).

cnf(i_0_15533,axiom,
    ( ~ esk2513_4(X1,X2,X3,X4)
    | esk2514_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_15534,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2144_4(X1,X2,X3,X4) )).

cnf(i_0_15535,axiom,
    ( esk8373_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15536,axiom,
    ( esk23_0
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk1440_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_15537,axiom,
    ( ~ esk8740_4(X1,X2,X3,X4)
    | esk8739_4(X1,X2,X3,X4)
    | esk8738_4(X1,X2,X3,X4)
    | esk8737_4(X1,X2,X3,X4) )).

cnf(i_0_15538,axiom,
    ( ~ esk6175_4(X1,X2,X3,X4)
    | esk6141_4(X1,X2,X3,X4) )).

cnf(i_0_15539,axiom,
    ( ~ esk9494_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_15540,axiom,
    ( ~ esk2390_4(X1,X2,X3,X4)
    | esk2391_4(X1,X2,X3,X4) )).

cnf(i_0_15541,axiom,
    ( ~ esk8333_4(X1,X2,X3,X4)
    | esk8331_4(X1,X2,X3,X4)
    | esk8332_4(X1,X2,X3,X4) )).

cnf(i_0_15542,axiom,
    ( ~ esk8038_4(X1,X2,X3,X4)
    | esk8040_4(X1,X2,X3,X4) )).

cnf(i_0_15543,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk591_0
    | esk8719_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15544,axiom,
    ( esk50_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk7740_4(X1,X2,X3,X4) )).

cnf(i_0_15545,axiom,
    ( ~ esk9346_4(X1,X2,X3,X4)
    | esk9347_4(X1,X2,X3,X4) )).

cnf(i_0_15546,axiom,
    ( esk8449_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_15547,axiom,
    ( esk3407_4(X1,X2,X3,X4)
    | ~ esk3408_4(X1,X2,X3,X4) )).

cnf(i_0_15548,axiom,
    ( esk8699_4(X1,X2,X3,X4)
    | esk8698_4(X1,X2,X3,X4)
    | ~ esk8700_4(X1,X2,X3,X4) )).

cnf(i_0_15549,axiom,
    ( ~ esk4247_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_15550,axiom,
    ( esk7067_4(X1,X2,X3,X4)
    | ~ esk9167_4(X1,X2,X3,X4) )).

cnf(i_0_15551,axiom,
    ( ~ p(X1)
    | ~ esk8254_4(X1,X2,X3,X4)
    | p(X3)
    | esk357_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_15552,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X4)
    | esk690_0
    | ~ p(X2)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_15553,axiom,
    ( esk5638_4(X1,X2,X3,X4)
    | ~ esk3538_4(X1,X2,X3,X4) )).

cnf(i_0_15554,axiom,
    ( esk1455_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ esk2915_4(X1,X2,X3,X4) )).

cnf(i_0_15555,axiom,
    ( esk8491_4(X1,X2,X3,X4)
    | ~ esk8529_4(X1,X2,X3,X4) )).

cnf(i_0_15556,axiom,
    ( ~ esk9130_4(X1,X2,X3,X4)
    | ~ esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_15557,axiom,
    ( esk6036_4(X1,X2,X3,X4)
    | esk6037_4(X1,X2,X3,X4)
    | ~ esk6038_4(X1,X2,X3,X4) )).

cnf(i_0_15558,axiom,
    ( ~ esk3587_4(X1,X2,X3,X4)
    | esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_15559,axiom,
    ( ~ esk5448_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_15560,axiom,
    ( esk1799_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_15561,axiom,
    ( esk8852_4(X1,X2,X3,X4)
    | ~ esk8910_4(X1,X2,X3,X4) )).

cnf(i_0_15562,axiom,
    ( esk7639_4(X1,X2,X3,X4)
    | ~ esk7637_4(X1,X2,X3,X4) )).

cnf(i_0_15563,axiom,
    ( esk6466_4(X1,X2,X3,X4)
    | ~ esk6465_4(X1,X2,X3,X4) )).

cnf(i_0_15564,axiom,
    ( esk1702_4(X1,X2,X3,X4)
    | ~ esk1666_4(X1,X2,X3,X4) )).

cnf(i_0_15565,axiom,
    ( esk3210_4(X1,X2,X3,X4)
    | ~ esk3208_4(X1,X2,X3,X4) )).

cnf(i_0_15566,axiom,
    ( ~ esk8227_4(X1,X2,X3,X4)
    | esk8228_4(X1,X2,X3,X4) )).

cnf(i_0_15567,axiom,
    ( esk1825_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_15568,axiom,
    ( esk4305_4(X1,X2,X3,X4)
    | ~ esk4306_4(X1,X2,X3,X4) )).

cnf(i_0_15569,axiom,
    ( esk8761_4(X1,X2,X3,X4)
    | ~ esk8795_4(X1,X2,X3,X4) )).

cnf(i_0_15570,axiom,
    ( esk1385_4(X1,X2,X3,X4)
    | ~ esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_15571,axiom,
    ( esk7013_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk7633_4(X1,X2,X3,X4) )).

cnf(i_0_15572,axiom,
    ( esk9734_4(X1,X2,X3,X4)
    | ~ esk9162_4(X1,X2,X3,X4) )).

cnf(i_0_15573,axiom,
    ( ~ esk9484_4(X1,X2,X3,X4)
    | esk9485_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_15574,axiom,
    ( ~ esk9186_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | esk1183_0 )).

cnf(i_0_15575,axiom,
    ( esk772_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_15576,axiom,
    ( ~ esk2490_4(X1,X2,X3,X4)
    | ~ esk2683_4(X1,X2,X3,X4)
    | esk2684_4(X1,X2,X3,X4) )).

cnf(i_0_15577,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8363_4(X1,X2,X3,X4) )).

cnf(i_0_15578,axiom,
    ( esk4507_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_15579,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk8617_4(X1,X2,X3,X4)
    | esk535_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_15580,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9476_4(X1,X2,X3,X4) )).

cnf(i_0_15581,axiom,
    ( ~ esk5388_4(X1,X2,X3,X4)
    | esk5391_4(X1,X2,X3,X4) )).

cnf(i_0_15582,axiom,
    ( esk1334_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_15583,axiom,
    ( esk5949_4(X1,X2,X3,X4)
    | ~ esk8049_4(X1,X2,X3,X4) )).

cnf(i_0_15584,axiom,
    ( ~ esk1409_4(X1,X2,X3,X4)
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_15585,axiom,
    ( esk5391_4(X1,X2,X3,X4)
    | ~ esk5390_4(X1,X2,X3,X4) )).

cnf(i_0_15586,axiom,
    ( esk9210_4(X1,X2,X3,X4)
    | ~ esk7912_4(X1,X2,X3,X4) )).

cnf(i_0_15587,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk1235_0
    | p(X2)
    | ~ p(X3)
    | ~ esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_15588,axiom,
    ( ~ esk197_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_15589,axiom,
    ( esk8389_4(X1,X2,X3,X4)
    | ~ esk6289_4(X1,X2,X3,X4) )).

cnf(i_0_15590,axiom,
    ( esk4637_4(X1,X2,X3,X4)
    | ~ esk4638_4(X1,X2,X3,X4) )).

cnf(i_0_15591,axiom,
    ( esk2878_4(X1,X2,X3,X4)
    | ~ esk1395_4(X1,X2,X3,X4) )).

cnf(i_0_15592,axiom,
    ( esk2813_4(X1,X2,X3,X4)
    | ~ esk1002_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_15593,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | esk8251_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk343_0 )).

cnf(i_0_15594,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9558_4(X1,X2,X3,X4) )).

cnf(i_0_15595,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | ~ esk1455_4(X1,X2,X3,X4) )).

cnf(i_0_15596,axiom,
    ( esk3906_4(X1,X2,X3,X4)
    | esk3905_4(X1,X2,X3,X4)
    | ~ esk3907_4(X1,X2,X3,X4) )).

cnf(i_0_15597,axiom,
    ( ~ esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | esk168_0
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_15598,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | esk1050_0
    | ~ p(X1) )).

cnf(i_0_15599,axiom,
    ( esk2614_4(X1,X2,X3,X4)
    | ~ esk2612_4(X1,X2,X3,X4) )).

cnf(i_0_15600,axiom,
    ( esk7048_4(X1,X2,X3,X4)
    | ~ esk7042_4(X1,X2,X3,X4)
    | ~ esk7047_4(X1,X2,X3,X4) )).

cnf(i_0_15601,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ esk2888_4(X1,X2,X3,X4) )).

cnf(i_0_15602,axiom,
    ( ~ esk7924_4(X1,X2,X3,X4)
    | esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_15603,axiom,
    ( ~ esk5377_4(X1,X2,X3,X4)
    | esk5378_4(X1,X2,X3,X4) )).

cnf(i_0_15604,axiom,
    ( ~ esk3989_4(X1,X2,X3,X4)
    | esk4320_4(X1,X2,X3,X4) )).

cnf(i_0_15605,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk799_0
    | p(X1)
    | ~ esk2787_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_15606,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6278_4(X1,X2,X3,X4) )).

cnf(i_0_15607,axiom,
    ( esk9102_4(X1,X2,X3,X4)
    | ~ esk8913_4(X1,X2,X3,X4) )).

cnf(i_0_15608,axiom,
    ( esk4610_4(X1,X2,X3,X4)
    | ~ esk4611_4(X1,X2,X3,X4)
    | esk4609_4(X1,X2,X3,X4) )).

cnf(i_0_15609,axiom,
    ( ~ esk215_0
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | esk8052_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_15610,axiom,
    ( ~ esk4610_4(X1,X2,X3,X4)
    | esk3785_4(X1,X2,X3,X4) )).

cnf(i_0_15611,axiom,
    ( ~ esk5548_4(X1,X2,X3,X4)
    | esk5547_4(X1,X2,X3,X4)
    | esk3621_4(X1,X2,X3,X4) )).

cnf(i_0_15612,axiom,
    ( esk4405_4(X1,X2,X3,X4)
    | ~ esk4406_4(X1,X2,X3,X4)
    | esk4404_4(X1,X2,X3,X4) )).

cnf(i_0_15613,axiom,
    ( ~ esk6826_4(X1,X2,X3,X4)
    | esk6825_4(X1,X2,X3,X4) )).

cnf(i_0_15614,axiom,
    ( esk7455_4(X1,X2,X3,X4)
    | esk7454_4(X1,X2,X3,X4)
    | ~ esk7456_4(X1,X2,X3,X4) )).

cnf(i_0_15615,axiom,
    ( ~ esk9343_4(X1,X2,X3,X4)
    | esk9342_4(X1,X2,X3,X4)
    | esk9341_4(X1,X2,X3,X4) )).

cnf(i_0_15616,axiom,
    ( ~ esk4019_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_15617,axiom,
    ( ~ esk3780_4(X1,X2,X3,X4)
    | esk4967_4(X1,X2,X3,X4) )).

cnf(i_0_15618,axiom,
    ( esk5753_4(X1,X2,X3,X4)
    | ~ esk5751_4(X1,X2,X3,X4) )).

cnf(i_0_15619,axiom,
    ( esk2506_4(X1,X2,X3,X4)
    | esk2507_4(X1,X2,X3,X4)
    | ~ esk2508_4(X1,X2,X3,X4) )).

cnf(i_0_15620,axiom,
    ( ~ p(X4)
    | esk432_0
    | p(X2)
    | ~ esk8357_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_15621,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | esk5699_4(X1,X2,X3,X4)
    | ~ esk5677_4(X1,X2,X3,X4) )).

cnf(i_0_15622,axiom,
    ( ~ p(X4)
    | ~ esk232_0
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_15623,axiom,
    ( esk2452_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_15624,axiom,
    ( esk6290_4(X1,X2,X3,X4)
    | esk6647_4(X1,X2,X3,X4)
    | ~ esk6190_4(X1,X2,X3,X4) )).

cnf(i_0_15625,axiom,
    ( esk5392_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4)
    | esk4569_4(X1,X2,X3,X4) )).

cnf(i_0_15626,axiom,
    ( p(X1)
    | esk2878_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk1113_0
    | p(X3) )).

cnf(i_0_15627,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1473_4(X1,X2,X3,X4) )).

cnf(i_0_15628,axiom,
    ( ~ esk314_0
    | esk1918_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_15629,axiom,
    ( ~ esk8398_4(X1,X2,X3,X4)
    | esk8396_4(X1,X2,X3,X4)
    | esk8397_4(X1,X2,X3,X4) )).

cnf(i_0_15630,axiom,
    ( ~ esk1477_4(X1,X2,X3,X4)
    | esk1645_4(X1,X2,X3,X4) )).

cnf(i_0_15631,axiom,
    ( esk9584_4(X1,X2,X3,X4)
    | ~ esk8742_4(X1,X2,X3,X4)
    | esk9583_4(X1,X2,X3,X4) )).

cnf(i_0_15632,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2845_4(X1,X2,X3,X4) )).

cnf(i_0_15633,axiom,
    ( ~ esk5706_4(X1,X2,X3,X4)
    | esk7092_4(X1,X2,X3,X4) )).

cnf(i_0_15634,axiom,
    ( p(X1)
    | esk8046_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk175_0
    | ~ p(X2) )).

cnf(i_0_15635,axiom,
    ( ~ esk9434_4(X1,X2,X3,X4)
    | esk9435_4(X1,X2,X3,X4) )).

cnf(i_0_15636,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8892_4(X1,X2,X3,X4) )).

cnf(i_0_15637,axiom,
    ( esk2504_4(X1,X2,X3,X4)
    | ~ esk2502_4(X1,X2,X3,X4) )).

cnf(i_0_15638,axiom,
    ( ~ esk8880_4(X1,X2,X3,X4)
    | ~ esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_15639,axiom,
    ( esk6487_4(X1,X2,X3,X4)
    | ~ esk4387_4(X1,X2,X3,X4) )).

cnf(i_0_15640,axiom,
    ( esk5906_4(X1,X2,X3,X4)
    | ~ esk7106_4(X1,X2,X3,X4) )).

cnf(i_0_15641,axiom,
    ( esk9149_4(X1,X2,X3,X4)
    | ~ esk9147_4(X1,X2,X3,X4) )).

cnf(i_0_15642,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2123_4(X1,X2,X3,X4) )).

cnf(i_0_15643,axiom,
    ( ~ esk1641_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | esk1_0
    | p(X1)
    | p(X4) )).

cnf(i_0_15644,axiom,
    ( esk8096_4(X1,X2,X3,X4)
    | ~ esk8097_4(X1,X2,X3,X4)
    | esk8095_4(X1,X2,X3,X4) )).

cnf(i_0_15645,axiom,
    ( esk6898_4(X1,X2,X3,X4)
    | esk6899_4(X1,X2,X3,X4)
    | ~ esk6900_4(X1,X2,X3,X4) )).

cnf(i_0_15646,axiom,
    ( p(X4)
    | esk9083_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk800_0 )).

cnf(i_0_15647,axiom,
    ( esk5071_4(X1,X2,X3,X4)
    | ~ esk5073_4(X1,X2,X3,X4)
    | esk5072_4(X1,X2,X3,X4) )).

cnf(i_0_15648,axiom,
    ( ~ esk6209_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_15649,axiom,
    ( esk854_0
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_15650,axiom,
    ( ~ esk6248_4(X1,X2,X3,X4)
    | esk6191_4(X1,X2,X3,X4)
    | esk6247_4(X1,X2,X3,X4) )).

cnf(i_0_15651,axiom,
    ( ~ esk1851_4(X1,X2,X3,X4)
    | esk1842_4(X1,X2,X3,X4)
    | esk1680_4(X1,X2,X3,X4) )).

cnf(i_0_15652,axiom,
    ( esk6963_4(X1,X2,X3,X4)
    | esk6964_4(X1,X2,X3,X4)
    | ~ esk6965_4(X1,X2,X3,X4) )).

cnf(i_0_15653,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8336_4(X1,X2,X3,X4) )).

cnf(i_0_15654,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7917_4(X1,X2,X3,X4) )).

cnf(i_0_15655,axiom,
    ( ~ esk7805_4(X1,X2,X3,X4)
    | esk9191_4(X1,X2,X3,X4) )).

cnf(i_0_15656,axiom,
    ( esk8073_4(X1,X2,X3,X4)
    | ~ esk5973_4(X1,X2,X3,X4) )).

cnf(i_0_15657,axiom,
    ( esk3372_4(X1,X2,X3,X4)
    | ~ esk2690_4(X1,X2,X3,X4)
    | ~ esk3371_4(X1,X2,X3,X4) )).

cnf(i_0_15658,axiom,
    ( ~ esk5599_4(X1,X2,X3,X4)
    | esk5839_4(X1,X2,X3,X4) )).

cnf(i_0_15659,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk2246_4(X1,X2,X3,X4) )).

cnf(i_0_15660,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk2985_4(X1,X2,X3,X4) )).

cnf(i_0_15661,axiom,
    ( esk6323_4(X1,X2,X3,X4)
    | ~ esk6322_4(X1,X2,X3,X4) )).

cnf(i_0_15662,axiom,
    ( ~ esk1522_4(X1,X2,X3,X4)
    | esk3446_4(X1,X2,X3,X4)
    | ~ esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_15663,axiom,
    ( ~ esk4221_4(X1,X2,X3,X4)
    | esk4224_4(X1,X2,X3,X4) )).

cnf(i_0_15664,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk8713_4(X1,X2,X3,X4)
    | p(X1)
    | esk546_0
    | ~ p(X3) )).

cnf(i_0_15665,axiom,
    ( ~ esk6503_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_15666,axiom,
    ( p(X4)
    | ~ esk1030_0
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_15667,axiom,
    ( ~ esk3818_4(X1,X2,X3,X4)
    | esk5043_4(X1,X2,X3,X4)
    | ~ esk5042_4(X1,X2,X3,X4) )).

cnf(i_0_15668,axiom,
    ( ~ esk3279_4(X1,X2,X3,X4)
    | esk3276_4(X1,X2,X3,X4)
    | esk3278_4(X1,X2,X3,X4) )).

cnf(i_0_15669,axiom,
    ( ~ esk4662_4(X1,X2,X3,X4)
    | esk4663_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_15670,axiom,
    ( ~ esk2578_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_15671,axiom,
    ( ~ esk1521_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_15672,axiom,
    ( esk5546_4(X1,X2,X3,X4)
    | ~ esk5015_4(X1,X2,X3,X4) )).

cnf(i_0_15673,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk498_0
    | esk2251_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_15674,axiom,
    ( ~ esk5581_4(X1,X2,X3,X4)
    | esk6222_4(X1,X2,X3,X4) )).

cnf(i_0_15675,axiom,
    ( esk7368_4(X1,X2,X3,X4)
    | ~ esk7366_4(X1,X2,X3,X4) )).

cnf(i_0_15676,axiom,
    ( ~ esk6479_4(X1,X2,X3,X4)
    | ~ esk6480_4(X1,X2,X3,X4)
    | ~ esk6441_4(X1,X2,X3,X4) )).

cnf(i_0_15677,axiom,
    ( esk1898_4(X1,X2,X3,X4)
    | ~ esk1897_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_15678,axiom,
    ( esk3967_4(X1,X2,X3,X4)
    | ~ esk4418_4(X1,X2,X3,X4) )).

cnf(i_0_15679,axiom,
    ( esk7441_4(X1,X2,X3,X4)
    | ~ esk7442_4(X1,X2,X3,X4) )).

cnf(i_0_15680,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9536_4(X1,X2,X3,X4) )).

cnf(i_0_15681,axiom,
    ( esk1374_4(X1,X2,X3,X4)
    | ~ esk1429_4(X1,X2,X3,X4) )).

cnf(i_0_15682,axiom,
    ( ~ esk3577_4(X1,X2,X3,X4)
    | esk1477_4(X1,X2,X3,X4) )).

cnf(i_0_15683,axiom,
    ( esk5712_4(X1,X2,X3,X4)
    | ~ esk5804_4(X1,X2,X3,X4) )).

cnf(i_0_15684,axiom,
    ( esk8534_4(X1,X2,X3,X4)
    | ~ esk8572_4(X1,X2,X3,X4) )).

cnf(i_0_15685,axiom,
    ( esk8246_4(X1,X2,X3,X4)
    | esk8281_4(X1,X2,X3,X4)
    | ~ esk8280_4(X1,X2,X3,X4) )).

cnf(i_0_15686,axiom,
    ( esk3529_4(X1,X2,X3,X4)
    | ~ esk3717_4(X1,X2,X3,X4) )).

cnf(i_0_15687,axiom,
    ( ~ esk5881_4(X1,X2,X3,X4)
    | esk7078_4(X1,X2,X3,X4) )).

cnf(i_0_15688,axiom,
    ( esk6658_4(X1,X2,X3,X4)
    | ~ esk6659_4(X1,X2,X3,X4) )).

cnf(i_0_15689,axiom,
    ( esk5313_4(X1,X2,X3,X4)
    | ~ esk5311_4(X1,X2,X3,X4) )).

cnf(i_0_15690,axiom,
    ( ~ esk5526_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_15691,axiom,
    ( esk7558_4(X1,X2,X3,X4)
    | ~ esk7560_4(X1,X2,X3,X4)
    | esk7559_4(X1,X2,X3,X4) )).

cnf(i_0_15692,axiom,
    ( esk9214_4(X1,X2,X3,X4)
    | ~ esk7916_4(X1,X2,X3,X4) )).

cnf(i_0_15693,axiom,
    ( ~ esk2313_4(X1,X2,X3,X4)
    | esk2315_4(X1,X2,X3,X4) )).

cnf(i_0_15694,axiom,
    ( ~ esk4376_4(X1,X2,X3,X4)
    | esk4379_4(X1,X2,X3,X4) )).

cnf(i_0_15695,axiom,
    ( esk7381_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_15696,axiom,
    ( ~ esk9622_4(X1,X2,X3,X4)
    | esk9619_4(X1,X2,X3,X4) )).

cnf(i_0_15697,axiom,
    ( esk8587_4(X1,X2,X3,X4)
    | ~ esk7673_4(X1,X2,X3,X4) )).

cnf(i_0_15698,axiom,
    ( esk1489_4(X1,X2,X3,X4)
    | ~ esk1475_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_15699,axiom,
    ( esk566_0
    | p(X3)
    | ~ esk2419_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_15700,axiom,
    ( ~ esk2435_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk685_0
    | p(X3) )).

cnf(i_0_15701,axiom,
    ( esk1871_4(X1,X2,X3,X4)
    | ~ esk1436_4(X1,X2,X3,X4) )).

cnf(i_0_15702,axiom,
    ( esk7907_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7844_4(X1,X2,X3,X4) )).

cnf(i_0_15703,axiom,
    ( ~ esk5748_4(X1,X2,X3,X4)
    | esk5673_4(X1,X2,X3,X4) )).

cnf(i_0_15704,axiom,
    ( esk5884_4(X1,X2,X3,X4)
    | esk6707_4(X1,X2,X3,X4) )).

cnf(i_0_15705,axiom,
    ( p(X3)
    | ~ esk648_0
    | p(X1)
    | ~ p(X4)
    | esk2431_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15706,axiom,
    ( esk8752_4(X1,X2,X3,X4)
    | ~ esk7951_4(X1,X2,X3,X4) )).

cnf(i_0_15707,axiom,
    ( esk2241_4(X1,X2,X3,X4)
    | ~ esk2390_4(X1,X2,X3,X4) )).

cnf(i_0_15708,axiom,
    ( ~ esk4548_4(X1,X2,X3,X4)
    | esk4086_4(X1,X2,X3,X4)
    | esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_15709,axiom,
    ( ~ esk8061_4(X1,X2,X3,X4)
    | ~ esk9200_4(X1,X2,X3,X4) )).

cnf(i_0_15710,axiom,
    ( ~ p(X3)
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk1092_0
    | ~ p(X1) )).

cnf(i_0_15711,axiom,
    ( esk7723_4(X1,X2,X3,X4)
    | ~ esk8065_4(X1,X2,X3,X4)
    | ~ esk7722_4(X1,X2,X3,X4) )).

cnf(i_0_15712,axiom,
    ( ~ p(X3)
    | esk2793_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk852_0 )).

cnf(i_0_15713,axiom,
    ( ~ esk350_0
    | esk8254_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_15714,axiom,
    ( esk5359_4(X1,X2,X3,X4)
    | esk5360_4(X1,X2,X3,X4)
    | ~ esk5361_4(X1,X2,X3,X4) )).

cnf(i_0_15715,axiom,
    ( ~ p(X4)
    | esk948_0
    | p(X2)
    | ~ esk2807_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_15716,axiom,
    ( esk5050_4(X1,X2,X3,X4)
    | ~ esk3734_4(X1,X2,X3,X4) )).

cnf(i_0_15717,axiom,
    ( ~ esk8784_4(X1,X2,X3,X4)
    | esk8471_4(X1,X2,X3,X4) )).

cnf(i_0_15718,axiom,
    ( esk4128_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_15719,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk9610_4(X1,X2,X3,X4)
    | ~ esk8895_4(X1,X2,X3,X4) )).

cnf(i_0_15720,axiom,
    ( ~ esk2131_4(X1,X2,X3,X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_15721,axiom,
    ( esk7478_4(X1,X2,X3,X4)
    | ~ esk7472_4(X1,X2,X3,X4) )).

cnf(i_0_15722,axiom,
    ( ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk9161_4(X1,X2,X3,X4)
    | esk9736_4(X1,X2,X3,X4) )).

cnf(i_0_15723,axiom,
    ( ~ esk7179_4(X1,X2,X3,X4)
    | esk7176_4(X1,X2,X3,X4) )).

cnf(i_0_15724,axiom,
    ( esk2927_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_15725,axiom,
    ( esk803_0
    | ~ esk2787_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15726,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6264_4(X1,X2,X3,X4) )).

cnf(i_0_15727,axiom,
    ( esk2535_4(X1,X2,X3,X4)
    | ~ esk2537_4(X1,X2,X3,X4)
    | esk2536_4(X1,X2,X3,X4) )).

cnf(i_0_15728,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6946_4(X1,X2,X3,X4) )).

cnf(i_0_15729,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6521_4(X1,X2,X3,X4)
    | esk6522_4(X1,X2,X3,X4) )).

cnf(i_0_15730,axiom,
    ( ~ esk8035_4(X1,X2,X3,X4)
    | esk7995_4(X1,X2,X3,X4) )).

cnf(i_0_15731,axiom,
    ( ~ esk7628_4(X1,X2,X3,X4)
    | esk7627_4(X1,X2,X3,X4)
    | esk7626_4(X1,X2,X3,X4) )).

cnf(i_0_15732,axiom,
    ( ~ esk6641_4(X1,X2,X3,X4)
    | esk6646_4(X1,X2,X3,X4) )).

cnf(i_0_15733,axiom,
    ( esk7500_4(X1,X2,X3,X4)
    | ~ esk6787_4(X1,X2,X3,X4) )).

cnf(i_0_15734,axiom,
    ( ~ esk9530_4(X1,X2,X3,X4)
    | esk9531_4(X1,X2,X3,X4) )).

cnf(i_0_15735,axiom,
    ( esk5146_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_15736,axiom,
    ( ~ esk2332_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_15737,axiom,
    ( esk2694_4(X1,X2,X3,X4)
    | ~ esk2693_4(X1,X2,X3,X4) )).

cnf(i_0_15738,axiom,
    ( ~ esk8774_4(X1,X2,X3,X4)
    | esk8869_4(X1,X2,X3,X4) )).

cnf(i_0_15739,axiom,
    ( ~ esk2093_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_15740,axiom,
    ( esk8501_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4)
    | ~ esk8539_4(X1,X2,X3,X4) )).

cnf(i_0_15741,axiom,
    ( ~ esk8044_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_15742,axiom,
    ( esk1750_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk172_0
    | ~ p(X2) )).

cnf(i_0_15743,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk8508_4(X1,X2,X3,X4)
    | p(X4)
    | esk487_0 )).

cnf(i_0_15744,axiom,
    ( esk2731_4(X1,X2,X3,X4)
    | ~ esk2730_4(X1,X2,X3,X4) )).

cnf(i_0_15745,axiom,
    ( esk4565_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_15746,axiom,
    ( esk6667_4(X1,X2,X3,X4)
    | esk6668_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_15747,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk1661_4(X1,X2,X3,X4) )).

cnf(i_0_15748,axiom,
    ( ~ esk9281_4(X1,X2,X3,X4)
    | esk9267_4(X1,X2,X3,X4) )).

cnf(i_0_15749,axiom,
    ( esk7017_4(X1,X2,X3,X4)
    | ~ esk6653_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_15750,axiom,
    ( esk7956_4(X1,X2,X3,X4)
    | ~ esk7957_4(X1,X2,X3,X4)
    | esk7955_4(X1,X2,X3,X4) )).

cnf(i_0_15751,axiom,
    ( ~ esk8447_4(X1,X2,X3,X4)
    | esk8410_4(X1,X2,X3,X4) )).

cnf(i_0_15752,axiom,
    ( ~ esk5647_4(X1,X2,X3,X4)
    | esk5649_4(X1,X2,X3,X4) )).

cnf(i_0_15753,axiom,
    ( esk4648_4(X1,X2,X3,X4)
    | ~ esk4647_4(X1,X2,X3,X4) )).

cnf(i_0_15754,axiom,
    ( ~ esk644_0
    | esk2429_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_15755,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk7722_4(X1,X2,X3,X4) )).

cnf(i_0_15756,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | esk438_0
    | p(X1)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_15757,axiom,
    ( esk5004_4(X1,X2,X3,X4)
    | ~ esk3863_4(X1,X2,X3,X4)
    | ~ esk3551_4(X1,X2,X3,X4) )).

cnf(i_0_15758,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk9583_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_15759,axiom,
    ( ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk1022_0 )).

cnf(i_0_15760,axiom,
    ( ~ esk2271_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_15761,axiom,
    ( esk2121_4(X1,X2,X3,X4)
    | ~ esk2158_4(X1,X2,X3,X4) )).

cnf(i_0_15762,axiom,
    ( ~ esk9455_4(X1,X2,X3,X4)
    | ~ esk8701_4(X1,X2,X3,X4)
    | esk8702_4(X1,X2,X3,X4) )).

cnf(i_0_15763,axiom,
    ( ~ esk4655_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | esk4716_4(X1,X2,X3,X4) )).

cnf(i_0_15764,axiom,
    ( ~ esk8490_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_15765,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4006_4(X1,X2,X3,X4) )).

cnf(i_0_15766,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | esk7835_4(X1,X2,X3,X4)
    | ~ esk8008_4(X1,X2,X3,X4) )).

cnf(i_0_15767,axiom,
    ( ~ esk5511_4(X1,X2,X3,X4)
    | esk5510_4(X1,X2,X3,X4) )).

cnf(i_0_15768,axiom,
    ( ~ esk3799_4(X1,X2,X3,X4)
    | ~ esk3568_4(X1,X2,X3,X4)
    | esk3569_4(X1,X2,X3,X4) )).

cnf(i_0_15769,axiom,
    ( ~ esk7012_4(X1,X2,X3,X4)
    | esk7046_4(X1,X2,X3,X4) )).

cnf(i_0_15770,axiom,
    ( ~ esk6583_4(X1,X2,X3,X4)
    | esk6048_4(X1,X2,X3,X4) )).

cnf(i_0_15771,axiom,
    ( p(X3)
    | esk371_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_15772,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk1318_0 )).

cnf(i_0_15773,axiom,
    ( esk6541_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_15774,axiom,
    ( esk2805_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk939_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_15775,axiom,
    ( esk3034_4(X1,X2,X3,X4)
    | ~ esk3033_4(X1,X2,X3,X4) )).

cnf(i_0_15776,axiom,
    ( ~ esk2259_4(X1,X2,X3,X4)
    | esk2260_4(X1,X2,X3,X4) )).

cnf(i_0_15777,axiom,
    ( esk2402_4(X1,X2,X3,X4)
    | esk2401_4(X1,X2,X3,X4)
    | ~ esk2403_4(X1,X2,X3,X4) )).

cnf(i_0_15778,axiom,
    ( ~ p(X1)
    | esk241_0
    | ~ p(X3)
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_15779,axiom,
    ( esk6195_4(X1,X2,X3,X4)
    | ~ esk6447_4(X1,X2,X3,X4) )).

cnf(i_0_15780,axiom,
    ( esk1922_4(X1,X2,X3,X4)
    | esk1921_4(X1,X2,X3,X4)
    | ~ esk1923_4(X1,X2,X3,X4) )).

cnf(i_0_15781,axiom,
    ( ~ esk2648_4(X1,X2,X3,X4)
    | esk2647_4(X1,X2,X3,X4) )).

cnf(i_0_15782,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2325_4(X1,X2,X3,X4) )).

cnf(i_0_15783,axiom,
    ( ~ esk8688_4(X1,X2,X3,X4)
    | esk8686_4(X1,X2,X3,X4)
    | esk8687_4(X1,X2,X3,X4) )).

cnf(i_0_15784,axiom,
    ( esk8887_4(X1,X2,X3,X4)
    | ~ esk8885_4(X1,X2,X3,X4) )).

cnf(i_0_15785,axiom,
    ( esk6074_4(X1,X2,X3,X4)
    | ~ esk5848_4(X1,X2,X3,X4) )).

cnf(i_0_15786,axiom,
    ( esk7312_4(X1,X2,X3,X4)
    | ~ esk7318_4(X1,X2,X3,X4) )).

cnf(i_0_15787,axiom,
    ( ~ esk5756_4(X1,X2,X3,X4)
    | esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_15788,axiom,
    ( esk5532_4(X1,X2,X3,X4)
    | esk5531_4(X1,X2,X3,X4)
    | ~ esk5533_4(X1,X2,X3,X4)
    | esk5530_4(X1,X2,X3,X4) )).

cnf(i_0_15789,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3249_4(X1,X2,X3,X4) )).

cnf(i_0_15790,axiom,
    ( ~ esk3544_4(X1,X2,X3,X4)
    | esk4976_4(X1,X2,X3,X4) )).

cnf(i_0_15791,axiom,
    ( ~ esk6037_4(X1,X2,X3,X4)
    | esk6038_4(X1,X2,X3,X4) )).

cnf(i_0_15792,axiom,
    ( p(X4)
    | ~ esk1315_0
    | ~ p(X1)
    | esk2952_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_15793,axiom,
    ( ~ esk7343_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_15794,axiom,
    ( esk5113_4(X1,X2,X3,X4)
    | ~ esk5111_4(X1,X2,X3,X4) )).

cnf(i_0_15795,axiom,
    ( esk6373_4(X1,X2,X3,X4)
    | ~ esk6374_4(X1,X2,X3,X4) )).

cnf(i_0_15796,axiom,
    ( esk6980_4(X1,X2,X3,X4)
    | esk6979_4(X1,X2,X3,X4)
    | ~ esk6981_4(X1,X2,X3,X4) )).

cnf(i_0_15797,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X1)
    | esk1072_0
    | p(X3) )).

cnf(i_0_15798,axiom,
    ( ~ esk2121_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk2158_4(X1,X2,X3,X4) )).

cnf(i_0_15799,axiom,
    ( p(X4)
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk182_0 )).

cnf(i_0_15800,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1893_4(X1,X2,X3,X4) )).

cnf(i_0_15801,axiom,
    ( esk7120_4(X1,X2,X3,X4)
    | ~ esk5755_4(X1,X2,X3,X4) )).

cnf(i_0_15802,axiom,
    ( ~ esk5047_4(X1,X2,X3,X4)
    | esk5046_4(X1,X2,X3,X4) )).

cnf(i_0_15803,axiom,
    ( ~ esk3575_4(X1,X2,X3,X4)
    | esk3460_4(X1,X2,X3,X4) )).

cnf(i_0_15804,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4213_4(X1,X2,X3,X4) )).

cnf(i_0_15805,axiom,
    ( ~ esk7223_4(X1,X2,X3,X4)
    | esk7220_4(X1,X2,X3,X4) )).

cnf(i_0_15806,axiom,
    ( esk9739_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_15807,axiom,
    ( ~ esk4838_4(X1,X2,X3,X4)
    | esk4889_4(X1,X2,X3,X4) )).

cnf(i_0_15808,axiom,
    ( ~ esk5383_4(X1,X2,X3,X4)
    | esk5384_4(X1,X2,X3,X4) )).

cnf(i_0_15809,axiom,
    ( esk7925_4(X1,X2,X3,X4)
    | ~ esk7926_4(X1,X2,X3,X4) )).

cnf(i_0_15810,axiom,
    ( ~ esk7349_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_15811,axiom,
    ( esk9060_4(X1,X2,X3,X4)
    | ~ esk9058_4(X1,X2,X3,X4) )).

cnf(i_0_15812,axiom,
    ( esk5289_4(X1,X2,X3,X4)
    | ~ esk5292_4(X1,X2,X3,X4) )).

cnf(i_0_15813,axiom,
    ( ~ esk6157_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_15814,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2323_4(X1,X2,X3,X4)
    | esk2324_4(X1,X2,X3,X4) )).

cnf(i_0_15815,axiom,
    ( ~ esk9074_4(X1,X2,X3,X4)
    | esk9073_4(X1,X2,X3,X4) )).

cnf(i_0_15816,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk504_0
    | ~ p(X3)
    | esk8547_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_15817,axiom,
    ( p(X3)
    | esk61_0
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_15818,axiom,
    ( esk2010_4(X1,X2,X3,X4)
    | ~ esk2011_4(X1,X2,X3,X4) )).

cnf(i_0_15819,axiom,
    ( ~ esk229_0
    | p(X3)
    | esk8054_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_15820,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4857_4(X1,X2,X3,X4) )).

cnf(i_0_15821,axiom,
    ( esk6556_4(X1,X2,X3,X4)
    | ~ esk6554_4(X1,X2,X3,X4) )).

cnf(i_0_15822,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1801_4(X1,X2,X3,X4) )).

cnf(i_0_15823,axiom,
    ( esk5170_4(X1,X2,X3,X4)
    | ~ esk5171_4(X1,X2,X3,X4) )).

cnf(i_0_15824,axiom,
    ( ~ esk2523_4(X1,X2,X3,X4)
    | esk2524_4(X1,X2,X3,X4) )).

cnf(i_0_15825,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk406_0
    | ~ p(X2)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_15826,axiom,
    ( esk4254_4(X1,X2,X3,X4)
    | ~ esk4252_4(X1,X2,X3,X4) )).

cnf(i_0_15827,axiom,
    ( ~ esk2115_4(X1,X2,X3,X4)
    | esk1978_4(X1,X2,X3,X4) )).

cnf(i_0_15828,axiom,
    ( p(X4)
    | ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1185_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_15829,axiom,
    ( esk5213_4(X1,X2,X3,X4)
    | ~ esk5212_4(X1,X2,X3,X4) )).

cnf(i_0_15830,axiom,
    ( esk1746_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk138_0
    | p(X2) )).

cnf(i_0_15831,axiom,
    ( esk5970_4(X1,X2,X3,X4)
    | ~ esk6063_4(X1,X2,X3,X4) )).

cnf(i_0_15832,axiom,
    ( esk8386_4(X1,X2,X3,X4)
    | ~ esk8353_4(X1,X2,X3,X4)
    | esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_15833,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk1094_0
    | ~ p(X2)
    | ~ p(X1)
    | esk2874_4(X1,X2,X3,X4) )).

cnf(i_0_15834,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4452_4(X1,X2,X3,X4) )).

cnf(i_0_15835,axiom,
    ( esk2889_4(X1,X2,X3,X4)
    | ~ esk4989_4(X1,X2,X3,X4) )).

cnf(i_0_15836,axiom,
    ( ~ esk5962_4(X1,X2,X3,X4)
    | ~ esk6694_4(X1,X2,X3,X4) )).

cnf(i_0_15837,axiom,
    ( esk9206_4(X1,X2,X3,X4)
    | esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_15838,axiom,
    ( esk5676_4(X1,X2,X3,X4)
    | ~ esk5603_4(X1,X2,X3,X4) )).

cnf(i_0_15839,axiom,
    ( esk9487_4(X1,X2,X3,X4)
    | ~ esk9486_4(X1,X2,X3,X4) )).

cnf(i_0_15840,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk648_0
    | p(X3)
    | p(X4) )).

cnf(i_0_15841,axiom,
    ( ~ esk1407_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_15842,axiom,
    ( ~ esk5235_4(X1,X2,X3,X4)
    | esk5234_4(X1,X2,X3,X4) )).

cnf(i_0_15843,axiom,
    ( ~ esk9468_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15844,axiom,
    ( esk9102_4(X1,X2,X3,X4)
    | ~ esk7002_4(X1,X2,X3,X4) )).

cnf(i_0_15845,axiom,
    ( esk1788_4(X1,X2,X3,X4)
    | ~ esk2856_4(X1,X2,X3,X4) )).

cnf(i_0_15846,axiom,
    ( p(X3)
    | ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk657_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_15847,axiom,
    ( esk2228_4(X1,X2,X3,X4)
    | esk2227_4(X1,X2,X3,X4)
    | ~ esk2229_4(X1,X2,X3,X4) )).

cnf(i_0_15848,axiom,
    ( ~ esk8265_4(X1,X2,X3,X4)
    | esk8267_4(X1,X2,X3,X4) )).

cnf(i_0_15849,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | esk109_0
    | p(X2)
    | ~ esk1643_4(X1,X2,X3,X4) )).

cnf(i_0_15850,axiom,
    ( ~ p(X1)
    | esk752_0
    | p(X4)
    | ~ p(X2)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_15851,axiom,
    ( esk6673_4(X1,X2,X3,X4)
    | esk6770_4(X1,X2,X3,X4) )).

cnf(i_0_15852,axiom,
    ( ~ esk5995_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk5996_4(X1,X2,X3,X4) )).

cnf(i_0_15853,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2006_4(X1,X2,X3,X4) )).

cnf(i_0_15854,axiom,
    ( esk7579_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7576_4(X1,X2,X3,X4) )).

cnf(i_0_15855,axiom,
    ( ~ esk1946_4(X1,X2,X3,X4)
    | esk1947_4(X1,X2,X3,X4) )).

cnf(i_0_15856,axiom,
    ( esk6263_4(X1,X2,X3,X4)
    | ~ esk6265_4(X1,X2,X3,X4)
    | esk6264_4(X1,X2,X3,X4) )).

cnf(i_0_15857,axiom,
    ( ~ esk4709_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk5436_4(X1,X2,X3,X4) )).

cnf(i_0_15858,axiom,
    ( ~ esk3549_4(X1,X2,X3,X4)
    | esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_15859,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk221_0
    | esk8052_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_15860,axiom,
    ( ~ esk6763_4(X1,X2,X3,X4)
    | esk6764_4(X1,X2,X3,X4) )).

cnf(i_0_15861,axiom,
    ( ~ esk8762_4(X1,X2,X3,X4)
    | esk8765_4(X1,X2,X3,X4) )).

cnf(i_0_15862,axiom,
    ( esk6617_4(X1,X2,X3,X4)
    | ~ esk6148_4(X1,X2,X3,X4)
    | esk6113_4(X1,X2,X3,X4) )).

cnf(i_0_15863,axiom,
    ( ~ esk6890_4(X1,X2,X3,X4)
    | esk6892_4(X1,X2,X3,X4) )).

cnf(i_0_15864,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | ~ esk6639_4(X1,X2,X3,X4) )).

cnf(i_0_15865,axiom,
    ( esk7635_4(X1,X2,X3,X4)
    | esk7024_4(X1,X2,X3,X4) )).

cnf(i_0_15866,axiom,
    ( ~ esk4141_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_15867,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1316_0
    | p(X3) )).

cnf(i_0_15868,axiom,
    ( ~ esk3932_4(X1,X2,X3,X4)
    | esk3935_4(X1,X2,X3,X4)
    | ~ esk3934_4(X1,X2,X3,X4) )).

cnf(i_0_15869,axiom,
    ( esk4013_4(X1,X2,X3,X4)
    | ~ esk4044_4(X1,X2,X3,X4) )).

cnf(i_0_15870,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6482_4(X1,X2,X3,X4)
    | esk6483_4(X1,X2,X3,X4) )).

cnf(i_0_15871,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5926_4(X1,X2,X3,X4) )).

cnf(i_0_15872,axiom,
    ( ~ esk3213_4(X1,X2,X3,X4)
    | esk3210_4(X1,X2,X3,X4) )).

cnf(i_0_15873,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk396_0
    | esk2022_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_15874,axiom,
    ( ~ esk8960_4(X1,X2,X3,X4)
    | ~ esk8782_4(X1,X2,X3,X4)
    | esk8961_4(X1,X2,X3,X4) )).

cnf(i_0_15875,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3695_4(X1,X2,X3,X4) )).

cnf(i_0_15876,axiom,
    ( ~ esk2536_4(X1,X2,X3,X4)
    | esk2448_4(X1,X2,X3,X4) )).

cnf(i_0_15877,axiom,
    ( esk3302_4(X1,X2,X3,X4)
    | ~ esk2589_4(X1,X2,X3,X4) )).

cnf(i_0_15878,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_15879,axiom,
    ( ~ esk2905_4(X1,X2,X3,X4)
    | esk2906_4(X1,X2,X3,X4) )).

cnf(i_0_15880,axiom,
    ( p(X2)
    | esk1442_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk43_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_15881,axiom,
    ( ~ esk1_0 )).

cnf(i_0_15882,axiom,
    ( p(X1)
    | esk110_0
    | p(X2)
    | ~ esk7939_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_15883,axiom,
    ( ~ esk4168_4(X1,X2,X3,X4)
    | esk4167_4(X1,X2,X3,X4) )).

cnf(i_0_15884,axiom,
    ( ~ esk8090_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15885,axiom,
    ( esk4834_4(X1,X2,X3,X4)
    | ~ esk4887_4(X1,X2,X3,X4) )).

cnf(i_0_15886,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4407_4(X1,X2,X3,X4) )).

cnf(i_0_15887,axiom,
    ( ~ esk96_0
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_15888,axiom,
    ( esk8202_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15889,axiom,
    ( ~ esk6624_4(X1,X2,X3,X4)
    | esk8724_4(X1,X2,X3,X4) )).

cnf(i_0_15890,axiom,
    ( ~ esk2391_4(X1,X2,X3,X4)
    | esk2390_4(X1,X2,X3,X4)
    | esk2389_4(X1,X2,X3,X4) )).

cnf(i_0_15891,axiom,
    ( esk9097_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk908_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_15892,axiom,
    ( esk5794_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_15893,axiom,
    ( ~ esk5722_4(X1,X2,X3,X4)
    | esk5570_4(X1,X2,X3,X4) )).

cnf(i_0_15894,axiom,
    ( esk2194_4(X1,X2,X3,X4)
    | ~ esk2232_4(X1,X2,X3,X4) )).

cnf(i_0_15895,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4352_4(X1,X2,X3,X4)
    | esk4353_4(X1,X2,X3,X4) )).

cnf(i_0_15896,axiom,
    ( esk2671_4(X1,X2,X3,X4)
    | ~ esk2672_4(X1,X2,X3,X4) )).

cnf(i_0_15897,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ esk1_0
    | esk2797_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15898,axiom,
    ( p(X3)
    | esk8050_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk211_0 )).

cnf(i_0_15899,axiom,
    ( ~ esk3791_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_15900,axiom,
    ( ~ esk9485_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_15901,axiom,
    ( esk5911_4(X1,X2,X3,X4)
    | ~ esk5661_4(X1,X2,X3,X4) )).

cnf(i_0_15902,axiom,
    ( esk4977_4(X1,X2,X3,X4)
    | ~ esk2877_4(X1,X2,X3,X4) )).

cnf(i_0_15903,axiom,
    ( esk1844_4(X1,X2,X3,X4)
    | ~ esk1846_4(X1,X2,X3,X4)
    | esk1845_4(X1,X2,X3,X4) )).

cnf(i_0_15904,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk438_0
    | p(X3)
    | esk2092_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_15905,axiom,
    ( esk4665_4(X1,X2,X3,X4)
    | ~ esk4020_4(X1,X2,X3,X4) )).

cnf(i_0_15906,axiom,
    ( esk1674_4(X1,X2,X3,X4)
    | ~ esk1681_4(X1,X2,X3,X4)
    | ~ esk1673_4(X1,X2,X3,X4) )).

cnf(i_0_15907,axiom,
    ( ~ esk2881_4(X1,X2,X3,X4)
    | esk4981_4(X1,X2,X3,X4) )).

cnf(i_0_15908,axiom,
    ( ~ p(X1)
    | esk850_0
    | p(X3)
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_15909,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6952_4(X1,X2,X3,X4) )).

cnf(i_0_15910,axiom,
    ( esk5765_4(X1,X2,X3,X4)
    | ~ esk5763_4(X1,X2,X3,X4) )).

cnf(i_0_15911,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9436_4(X1,X2,X3,X4) )).

cnf(i_0_15912,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2548_4(X1,X2,X3,X4) )).

cnf(i_0_15913,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9364_4(X1,X2,X3,X4) )).

cnf(i_0_15914,axiom,
    ( ~ esk1152_0
    | p(X2)
    | esk9178_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_15915,axiom,
    ( esk5080_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5077_4(X1,X2,X3,X4) )).

cnf(i_0_15916,axiom,
    ( esk2932_4(X1,X2,X3,X4)
    | ~ esk1625_4(X1,X2,X3,X4) )).

cnf(i_0_15917,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk3547_4(X1,X2,X3,X4) )).

cnf(i_0_15918,axiom,
    ( esk2750_4(X1,X2,X3,X4)
    | esk2749_4(X1,X2,X3,X4)
    | ~ esk2751_4(X1,X2,X3,X4) )).

cnf(i_0_15919,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | esk5720_4(X1,X2,X3,X4)
    | esk5719_4(X1,X2,X3,X4) )).

cnf(i_0_15920,axiom,
    ( ~ esk3251_4(X1,X2,X3,X4)
    | esk3252_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_15921,axiom,
    ( esk8771_4(X1,X2,X3,X4)
    | ~ esk8770_4(X1,X2,X3,X4) )).

cnf(i_0_15922,axiom,
    ( esk1025_0
    | p(X1)
    | p(X4)
    | ~ esk9150_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_15923,axiom,
    ( esk6787_4(X1,X2,X3,X4)
    | ~ esk6788_4(X1,X2,X3,X4)
    | esk6786_4(X1,X2,X3,X4) )).

cnf(i_0_15924,axiom,
    ( esk4417_4(X1,X2,X3,X4)
    | ~ esk4382_4(X1,X2,X3,X4) )).

cnf(i_0_15925,axiom,
    ( esk19_0
    | ~ p(X4)
    | p(X3)
    | ~ esk7736_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_15926,axiom,
    ( ~ p(X3)
    | ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk864_0
    | p(X1) )).

cnf(i_0_15927,axiom,
    ( esk7375_4(X1,X2,X3,X4)
    | ~ esk7376_4(X1,X2,X3,X4)
    | esk7374_4(X1,X2,X3,X4) )).

cnf(i_0_15928,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | esk866_0
    | ~ esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_15929,axiom,
    ( esk6370_4(X1,X2,X3,X4)
    | ~ esk8470_4(X1,X2,X3,X4) )).

cnf(i_0_15930,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | ~ esk2627_4(X1,X2,X3,X4)
    | esk2628_4(X1,X2,X3,X4) )).

cnf(i_0_15931,axiom,
    ( esk5059_4(X1,X2,X3,X4)
    | esk5060_4(X1,X2,X3,X4)
    | ~ esk5061_4(X1,X2,X3,X4) )).

cnf(i_0_15932,axiom,
    ( esk2073_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk2072_4(X1,X2,X3,X4) )).

cnf(i_0_15933,axiom,
    ( esk7087_4(X1,X2,X3,X4)
    | ~ esk5797_4(X1,X2,X3,X4) )).

cnf(i_0_15934,axiom,
    ( esk2342_4(X1,X2,X3,X4)
    | ~ esk2341_4(X1,X2,X3,X4) )).

cnf(i_0_15935,axiom,
    ( esk6869_4(X1,X2,X3,X4)
    | ~ esk6870_4(X1,X2,X3,X4) )).

cnf(i_0_15936,axiom,
    ( esk2631_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_15937,axiom,
    ( ~ esk8301_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15938,axiom,
    ( ~ esk2126_4(X1,X2,X3,X4)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_15939,axiom,
    ( esk3164_4(X1,X2,X3,X4)
    | ~ esk2362_4(X1,X2,X3,X4)
    | ~ esk3163_4(X1,X2,X3,X4) )).

cnf(i_0_15940,axiom,
    ( ~ esk8264_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_15941,axiom,
    ( ~ esk6042_4(X1,X2,X3,X4)
    | esk6041_4(X1,X2,X3,X4) )).

cnf(i_0_15942,axiom,
    ( esk2646_4(X1,X2,X3,X4)
    | ~ esk2644_4(X1,X2,X3,X4) )).

cnf(i_0_15943,axiom,
    ( esk3843_4(X1,X2,X3,X4)
    | ~ esk3858_4(X1,X2,X3,X4) )).

cnf(i_0_15944,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | ~ esk3629_4(X1,X2,X3,X4)
    | esk3657_4(X1,X2,X3,X4) )).

cnf(i_0_15945,axiom,
    ( ~ esk4291_4(X1,X2,X3,X4)
    | esk4293_4(X1,X2,X3,X4) )).

cnf(i_0_15946,axiom,
    ( ~ esk5511_4(X1,X2,X3,X4)
    | esk5513_4(X1,X2,X3,X4) )).

cnf(i_0_15947,axiom,
    ( ~ esk3038_4(X1,X2,X3,X4)
    | esk3037_4(X1,X2,X3,X4)
    | esk3036_4(X1,X2,X3,X4) )).

cnf(i_0_15948,axiom,
    ( ~ p(X2)
    | ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk330_0 )).

cnf(i_0_15949,axiom,
    ( esk7973_4(X1,X2,X3,X4)
    | ~ esk7972_4(X1,X2,X3,X4) )).

cnf(i_0_15950,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk1031_0
    | ~ p(X4) )).

cnf(i_0_15951,axiom,
    ( ~ esk7348_4(X1,X2,X3,X4)
    | esk7351_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_15952,axiom,
    ( ~ esk1592_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_15953,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6557_4(X1,X2,X3,X4)
    | esk6558_4(X1,X2,X3,X4) )).

cnf(i_0_15954,axiom,
    ( ~ esk5938_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_15955,axiom,
    ( esk5292_4(X1,X2,X3,X4)
    | esk5291_4(X1,X2,X3,X4)
    | ~ esk5293_4(X1,X2,X3,X4) )).

cnf(i_0_15956,axiom,
    ( esk5963_4(X1,X2,X3,X4)
    | ~ esk5964_4(X1,X2,X3,X4) )).

cnf(i_0_15957,axiom,
    ( ~ esk9587_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_15958,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk9334_4(X1,X2,X3,X4)
    | ~ esk9331_4(X1,X2,X3,X4) )).

cnf(i_0_15959,axiom,
    ( esk2951_4(X1,X2,X3,X4)
    | ~ esk1635_4(X1,X2,X3,X4) )).

cnf(i_0_15960,axiom,
    ( esk2155_4(X1,X2,X3,X4)
    | ~ esk2154_4(X1,X2,X3,X4) )).

cnf(i_0_15961,axiom,
    ( esk2894_4(X1,X2,X3,X4)
    | ~ esk1601_4(X1,X2,X3,X4) )).

cnf(i_0_15962,axiom,
    ( esk4744_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4685_4(X1,X2,X3,X4) )).

cnf(i_0_15963,axiom,
    ( p(X2)
    | esk2791_4(X1,X2,X3,X4)
    | ~ esk836_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_15964,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2022_4(X1,X2,X3,X4)
    | esk396_0 )).

cnf(i_0_15965,axiom,
    ( ~ esk2099_4(X1,X2,X3,X4)
    | esk2101_4(X1,X2,X3,X4) )).

cnf(i_0_15966,axiom,
    ( ~ esk1572_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_15967,axiom,
    ( esk1629_4(X1,X2,X3,X4)
    | esk1630_4(X1,X2,X3,X4)
    | ~ esk1631_4(X1,X2,X3,X4) )).

cnf(i_0_15968,axiom,
    ( ~ esk7534_4(X1,X2,X3,X4)
    | esk7536_4(X1,X2,X3,X4) )).

cnf(i_0_15969,axiom,
    ( ~ esk5676_4(X1,X2,X3,X4)
    | esk3576_4(X1,X2,X3,X4) )).

cnf(i_0_15970,axiom,
    ( p(X3)
    | esk866_0
    | ~ esk2795_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_15971,axiom,
    ( ~ esk8654_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_15972,axiom,
    ( ~ esk3640_4(X1,X2,X3,X4)
    | esk3642_4(X1,X2,X3,X4) )).

cnf(i_0_15973,axiom,
    ( ~ esk7602_4(X1,X2,X3,X4)
    | esk7601_4(X1,X2,X3,X4) )).

cnf(i_0_15974,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | esk1485_4(X1,X2,X3,X4)
    | ~ esk1474_4(X1,X2,X3,X4) )).

cnf(i_0_15975,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1965_4(X1,X2,X3,X4) )).

cnf(i_0_15976,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8634_4(X1,X2,X3,X4) )).

cnf(i_0_15977,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3243_4(X1,X2,X3,X4) )).

cnf(i_0_15978,axiom,
    ( ~ esk5523_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15979,axiom,
    ( ~ esk1989_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_15980,axiom,
    ( ~ esk9047_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_15981,axiom,
    ( p(X2)
    | ~ esk8170_4(X1,X2,X3,X4)
    | esk288_0
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_15982,axiom,
    ( ~ esk1710_4(X1,X2,X3,X4)
    | esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_15983,axiom,
    ( ~ esk9235_4(X1,X2,X3,X4)
    | esk9237_4(X1,X2,X3,X4) )).

cnf(i_0_15984,axiom,
    ( esk5377_4(X1,X2,X3,X4)
    | ~ esk5376_4(X1,X2,X3,X4) )).

cnf(i_0_15985,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk3590_4(X1,X2,X3,X4) )).

cnf(i_0_15986,axiom,
    ( ~ esk3578_4(X1,X2,X3,X4)
    | esk3458_4(X1,X2,X3,X4) )).

cnf(i_0_15987,axiom,
    ( ~ esk5735_4(X1,X2,X3,X4)
    | esk5734_4(X1,X2,X3,X4) )).

cnf(i_0_15988,axiom,
    ( esk6384_4(X1,X2,X3,X4)
    | ~ esk6383_4(X1,X2,X3,X4) )).

cnf(i_0_15989,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7169_4(X1,X2,X3,X4) )).

cnf(i_0_15990,axiom,
    ( ~ esk3173_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_15991,axiom,
    ( ~ esk2042_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_15992,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4319_4(X1,X2,X3,X4) )).

cnf(i_0_15993,axiom,
    ( ~ esk4663_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_15994,axiom,
    ( ~ esk3865_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_15995,axiom,
    ( ~ esk2681_4(X1,X2,X3,X4)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_15996,axiom,
    ( ~ esk9586_4(X1,X2,X3,X4)
    | esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_15997,axiom,
    ( esk3876_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_15998,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | esk146_0
    | ~ esk8042_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_15999,axiom,
    ( esk8078_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_16000,axiom,
    ( p(X4)
    | ~ esk59_0
    | ~ p(X1)
    | ~ p(X2)
    | esk1444_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16001,axiom,
    ( ~ esk6445_4(X1,X2,X3,X4)
    | esk6446_4(X1,X2,X3,X4) )).

cnf(i_0_16002,axiom,
    ( esk8626_4(X1,X2,X3,X4)
    | ~ esk8627_4(X1,X2,X3,X4)
    | esk8625_4(X1,X2,X3,X4) )).

cnf(i_0_16003,axiom,
    ( esk9073_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_16004,axiom,
    ( ~ esk2093_4(X1,X2,X3,X4)
    | esk2657_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_16005,axiom,
    ( esk5088_4(X1,X2,X3,X4)
    | ~ esk5085_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_16006,axiom,
    ( ~ esk6742_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_16007,axiom,
    ( esk9547_4(X1,X2,X3,X4)
    | ~ esk9545_4(X1,X2,X3,X4) )).

cnf(i_0_16008,axiom,
    ( ~ esk6141_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6175_4(X1,X2,X3,X4) )).

cnf(i_0_16009,axiom,
    ( ~ esk3952_4(X1,X2,X3,X4)
    | ~ esk3951_4(X1,X2,X3,X4) )).

cnf(i_0_16010,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4725_4(X1,X2,X3,X4)
    | esk5468_4(X1,X2,X3,X4) )).

cnf(i_0_16011,axiom,
    ( p(X4)
    | esk1758_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk229_0 )).

cnf(i_0_16012,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7623_4(X1,X2,X3,X4) )).

cnf(i_0_16013,axiom,
    ( p(X4)
    | esk2421_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk580_0
    | ~ p(X1) )).

cnf(i_0_16014,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk9172_4(X1,X2,X3,X4)
    | p(X4)
    | esk1110_0 )).

cnf(i_0_16015,axiom,
    ( ~ p(X3)
    | ~ esk8727_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk658_0
    | ~ p(X1) )).

cnf(i_0_16016,axiom,
    ( esk2788_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_16017,axiom,
    ( ~ esk9139_4(X1,X2,X3,X4)
    | esk9138_4(X1,X2,X3,X4) )).

cnf(i_0_16018,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk2952_4(X1,X2,X3,X4)
    | ~ esk1310_0
    | ~ p(X4) )).

cnf(i_0_16019,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1239_0
    | p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_16020,axiom,
    ( ~ esk6625_4(X1,X2,X3,X4)
    | ~ esk6363_4(X1,X2,X3,X4)
    | esk6399_4(X1,X2,X3,X4) )).

cnf(i_0_16021,axiom,
    ( esk1050_0
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_16022,axiom,
    ( ~ esk7764_4(X1,X2,X3,X4)
    | esk7965_4(X1,X2,X3,X4) )).

cnf(i_0_16023,axiom,
    ( esk4042_4(X1,X2,X3,X4)
    | ~ esk4041_4(X1,X2,X3,X4) )).

cnf(i_0_16024,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk9150_4(X1,X2,X3,X4)
    | esk1037_0 )).

cnf(i_0_16025,axiom,
    ( ~ esk5399_4(X1,X2,X3,X4)
    | esk5398_4(X1,X2,X3,X4)
    | esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_16026,axiom,
    ( esk8498_4(X1,X2,X3,X4)
    | ~ esk8724_4(X1,X2,X3,X4)
    | ~ esk8462_4(X1,X2,X3,X4) )).

cnf(i_0_16027,axiom,
    ( esk2152_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_16028,axiom,
    ( ~ esk2673_4(X1,X2,X3,X4)
    | esk2674_4(X1,X2,X3,X4) )).

cnf(i_0_16029,axiom,
    ( ~ esk1764_4(X1,X2,X3,X4)
    | ~ esk1452_4(X1,X2,X3,X4)
    | esk2905_4(X1,X2,X3,X4) )).

cnf(i_0_16030,axiom,
    ( ~ esk2639_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_16031,axiom,
    ( esk3906_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_16032,axiom,
    ( ~ esk8617_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk531_0
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_16033,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2255_4(X1,X2,X3,X4) )).

cnf(i_0_16034,axiom,
    ( esk7592_4(X1,X2,X3,X4)
    | ~ esk7595_4(X1,X2,X3,X4) )).

cnf(i_0_16035,axiom,
    ( esk7202_4(X1,X2,X3,X4)
    | ~ esk7201_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_16036,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1032_0
    | ~ esk2854_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_16037,axiom,
    ( esk8925_4(X1,X2,X3,X4)
    | ~ esk8927_4(X1,X2,X3,X4)
    | esk8926_4(X1,X2,X3,X4) )).

cnf(i_0_16038,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6062_4(X1,X2,X3,X4) )).

cnf(i_0_16039,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk8254_4(X1,X2,X3,X4)
    | ~ esk359_0 )).

cnf(i_0_16040,axiom,
    ( ~ p(X4)
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | esk476_0 )).

cnf(i_0_16041,axiom,
    ( esk2630_4(X1,X2,X3,X4)
    | ~ esk3377_4(X1,X2,X3,X4) )).

cnf(i_0_16042,axiom,
    ( ~ esk5382_4(X1,X2,X3,X4)
    | esk5384_4(X1,X2,X3,X4) )).

cnf(i_0_16043,axiom,
    ( esk5384_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4)
    | ~ esk4052_4(X1,X2,X3,X4) )).

cnf(i_0_16044,axiom,
    ( esk7954_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_16045,axiom,
    ( ~ esk7109_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_16046,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | esk1247_0 )).

cnf(i_0_16047,axiom,
    ( ~ esk8779_4(X1,X2,X3,X4)
    | ~ esk9160_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_16048,axiom,
    ( ~ esk1538_4(X1,X2,X3,X4)
    | esk1711_4(X1,X2,X3,X4) )).

cnf(i_0_16049,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk115_0
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_16050,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk2439_4(X1,X2,X3,X4)
    | ~ esk720_0
    | ~ p(X2) )).

cnf(i_0_16051,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4428_4(X1,X2,X3,X4) )).

cnf(i_0_16052,axiom,
    ( ~ esk7543_4(X1,X2,X3,X4)
    | esk7544_4(X1,X2,X3,X4) )).

cnf(i_0_16053,axiom,
    ( esk4083_4(X1,X2,X3,X4)
    | esk4082_4(X1,X2,X3,X4)
    | ~ esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_16054,axiom,
    ( p(X3)
    | p(X2)
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk192_0 )).

cnf(i_0_16055,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | esk5681_4(X1,X2,X3,X4) )).

cnf(i_0_16056,axiom,
    ( esk2007_4(X1,X2,X3,X4)
    | ~ esk2009_4(X1,X2,X3,X4)
    | esk2008_4(X1,X2,X3,X4) )).

cnf(i_0_16057,axiom,
    ( ~ esk776_0
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_16058,axiom,
    ( esk8232_4(X1,X2,X3,X4)
    | ~ esk8231_4(X1,X2,X3,X4) )).

cnf(i_0_16059,axiom,
    ( ~ esk8748_4(X1,X2,X3,X4)
    | esk9739_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_16060,axiom,
    ( esk4133_4(X1,X2,X3,X4)
    | ~ esk4132_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_16061,axiom,
    ( ~ esk1754_4(X1,X2,X3,X4)
    | esk1387_4(X1,X2,X3,X4) )).

cnf(i_0_16062,axiom,
    ( esk6934_4(X1,X2,X3,X4)
    | ~ esk6935_4(X1,X2,X3,X4) )).

cnf(i_0_16063,axiom,
    ( ~ esk2482_4(X1,X2,X3,X4)
    | p(X2)
    | esk769_0
    | p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_16064,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk8291_4(X1,X2,X3,X4)
    | ~ esk2_0 )).

cnf(i_0_16065,axiom,
    ( ~ esk6794_4(X1,X2,X3,X4)
    | esk6796_4(X1,X2,X3,X4) )).

cnf(i_0_16066,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5474_4(X1,X2,X3,X4) )).

cnf(i_0_16067,axiom,
    ( ~ esk9539_4(X1,X2,X3,X4)
    | esk9537_4(X1,X2,X3,X4)
    | esk9538_4(X1,X2,X3,X4) )).

cnf(i_0_16068,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5300_4(X1,X2,X3,X4) )).

cnf(i_0_16069,axiom,
    ( esk7116_4(X1,X2,X3,X4)
    | ~ esk5908_4(X1,X2,X3,X4) )).

cnf(i_0_16070,axiom,
    ( ~ p(X3)
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk279_0 )).

cnf(i_0_16071,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk2189_4(X1,X2,X3,X4) )).

cnf(i_0_16072,axiom,
    ( esk2889_4(X1,X2,X3,X4)
    | ~ esk1599_4(X1,X2,X3,X4) )).

cnf(i_0_16073,axiom,
    ( ~ esk7424_4(X1,X2,X3,X4)
    | ~ esk7429_4(X1,X2,X3,X4)
    | esk7430_4(X1,X2,X3,X4) )).

cnf(i_0_16074,axiom,
    ( esk2793_4(X1,X2,X3,X4)
    | ~ esk2816_4(X1,X2,X3,X4) )).

cnf(i_0_16075,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2077_4(X1,X2,X3,X4) )).

cnf(i_0_16076,axiom,
    ( ~ p(X3)
    | esk8729_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1_0 )).

cnf(i_0_16077,axiom,
    ( ~ esk7534_4(X1,X2,X3,X4)
    | esk7533_4(X1,X2,X3,X4) )).

cnf(i_0_16078,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk8291_4(X1,X2,X3,X4)
    | esk379_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_16079,axiom,
    ( ~ esk377_0
    | ~ p(X1)
    | ~ p(X3)
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_16080,axiom,
    ( esk3617_4(X1,X2,X3,X4)
    | ~ esk5018_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_16081,axiom,
    ( ~ esk4419_4(X1,X2,X3,X4)
    | esk4161_4(X1,X2,X3,X4) )).

cnf(i_0_16082,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9009_4(X1,X2,X3,X4) )).

cnf(i_0_16083,axiom,
    ( ~ esk7462_4(X1,X2,X3,X4)
    | esk7461_4(X1,X2,X3,X4) )).

cnf(i_0_16084,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk2932_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1291_0
    | ~ p(X1) )).

cnf(i_0_16085,axiom,
    ( esk7520_4(X1,X2,X3,X4)
    | ~ esk7518_4(X1,X2,X3,X4) )).

cnf(i_0_16086,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2200_4(X1,X2,X3,X4) )).

cnf(i_0_16087,axiom,
    ( esk2992_4(X1,X2,X3,X4)
    | esk2993_4(X1,X2,X3,X4)
    | ~ esk2994_4(X1,X2,X3,X4) )).

cnf(i_0_16088,axiom,
    ( ~ esk7272_4(X1,X2,X3,X4)
    | esk7271_4(X1,X2,X3,X4)
    | esk7270_4(X1,X2,X3,X4) )).

cnf(i_0_16089,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9425_4(X1,X2,X3,X4) )).

cnf(i_0_16090,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | ~ esk529_0
    | ~ p(X4)
    | esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_16091,axiom,
    ( esk7868_4(X1,X2,X3,X4)
    | ~ esk7867_4(X1,X2,X3,X4) )).

cnf(i_0_16092,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | esk1453_4(X1,X2,X3,X4) )).

cnf(i_0_16093,axiom,
    ( esk3836_4(X1,X2,X3,X4)
    | ~ esk3838_4(X1,X2,X3,X4)
    | esk3837_4(X1,X2,X3,X4) )).

cnf(i_0_16094,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk843_0
    | esk2793_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_16095,axiom,
    ( esk9611_4(X1,X2,X3,X4)
    | ~ esk9609_4(X1,X2,X3,X4) )).

cnf(i_0_16096,axiom,
    ( esk2728_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_16097,axiom,
    ( ~ esk9097_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk913_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_16098,axiom,
    ( ~ esk4569_4(X1,X2,X3,X4)
    | esk5390_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_16099,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8568_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_16100,axiom,
    ( esk2174_4(X1,X2,X3,X4)
    | ~ esk1379_4(X1,X2,X3,X4) )).

cnf(i_0_16101,axiom,
    ( esk2718_4(X1,X2,X3,X4)
    | ~ esk3428_4(X1,X2,X3,X4) )).

cnf(i_0_16102,axiom,
    ( ~ esk2461_4(X1,X2,X3,X4)
    | esk2478_4(X1,X2,X3,X4) )).

cnf(i_0_16103,axiom,
    ( ~ esk2094_4(X1,X2,X3,X4)
    | esk2248_4(X1,X2,X3,X4) )).

cnf(i_0_16104,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5358_4(X1,X2,X3,X4) )).

cnf(i_0_16105,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2355_4(X1,X2,X3,X4) )).

cnf(i_0_16106,axiom,
    ( ~ esk3616_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4) )).

cnf(i_0_16107,axiom,
    ( esk9312_4(X1,X2,X3,X4)
    | ~ esk9313_4(X1,X2,X3,X4) )).

cnf(i_0_16108,axiom,
    ( ~ esk9216_4(X1,X2,X3,X4)
    | esk7815_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_16109,axiom,
    ( ~ esk677_0
    | ~ p(X2)
    | esk2433_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_16110,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk60_0
    | p(X3)
    | esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_16111,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk64_0
    | p(X3)
    | esk7774_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16112,axiom,
    ( ~ esk5391_4(X1,X2,X3,X4)
    | esk5390_4(X1,X2,X3,X4)
    | esk5389_4(X1,X2,X3,X4)
    | esk5388_4(X1,X2,X3,X4) )).

cnf(i_0_16113,axiom,
    ( esk4387_4(X1,X2,X3,X4)
    | ~ esk4122_4(X1,X2,X3,X4) )).

cnf(i_0_16114,axiom,
    ( esk7356_4(X1,X2,X3,X4)
    | ~ esk7355_4(X1,X2,X3,X4) )).

cnf(i_0_16115,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7627_4(X1,X2,X3,X4) )).

cnf(i_0_16116,axiom,
    ( esk3307_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_16117,axiom,
    ( ~ p(X3)
    | ~ esk25_0
    | p(X1)
    | ~ p(X4)
    | esk7736_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_16118,axiom,
    ( esk8007_4(X1,X2,X3,X4)
    | ~ esk9215_4(X1,X2,X3,X4) )).

cnf(i_0_16119,axiom,
    ( esk8760_4(X1,X2,X3,X4)
    | ~ esk8759_4(X1,X2,X3,X4) )).

cnf(i_0_16120,axiom,
    ( esk8735_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk713_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_16121,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk1776_4(X1,X2,X3,X4)
    | esk250_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_16122,axiom,
    ( esk4270_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_16123,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk3610_4(X1,X2,X3,X4) )).

cnf(i_0_16124,axiom,
    ( ~ esk3782_4(X1,X2,X3,X4)
    | ~ esk3819_4(X1,X2,X3,X4)
    | esk3820_4(X1,X2,X3,X4) )).

cnf(i_0_16125,axiom,
    ( ~ esk2867_4(X1,X2,X3,X4)
    | esk4967_4(X1,X2,X3,X4) )).

cnf(i_0_16126,axiom,
    ( ~ esk2960_4(X1,X2,X3,X4)
    | esk2959_4(X1,X2,X3,X4) )).

cnf(i_0_16127,axiom,
    ( esk9417_4(X1,X2,X3,X4)
    | ~ esk9416_4(X1,X2,X3,X4)
    | ~ esk9411_4(X1,X2,X3,X4) )).

cnf(i_0_16128,axiom,
    ( esk8170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_16129,axiom,
    ( esk8523_4(X1,X2,X3,X4)
    | ~ esk8524_4(X1,X2,X3,X4) )).

cnf(i_0_16130,axiom,
    ( esk2423_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk592_0
    | p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_16131,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7433_4(X1,X2,X3,X4) )).

cnf(i_0_16132,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7423_4(X1,X2,X3,X4) )).

cnf(i_0_16133,axiom,
    ( ~ esk3411_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_16134,axiom,
    ( ~ esk9161_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk9160_4(X1,X2,X3,X4) )).

cnf(i_0_16135,axiom,
    ( ~ esk1860_4(X1,X2,X3,X4)
    | esk1393_4(X1,X2,X3,X4) )).

cnf(i_0_16136,axiom,
    ( p(X1)
    | esk2058_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk1_0
    | p(X2) )).

cnf(i_0_16137,axiom,
    ( ~ esk4917_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_16138,axiom,
    ( esk8124_4(X1,X2,X3,X4)
    | ~ esk8143_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_16139,axiom,
    ( ~ esk4693_4(X1,X2,X3,X4)
    | esk4691_4(X1,X2,X3,X4)
    | esk4692_4(X1,X2,X3,X4) )).

cnf(i_0_16140,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4825_4(X1,X2,X3,X4) )).

cnf(i_0_16141,axiom,
    ( esk8322_4(X1,X2,X3,X4)
    | ~ esk8323_4(X1,X2,X3,X4) )).

cnf(i_0_16142,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1438_4(X1,X2,X3,X4)
    | ~ esk8_0
    | p(X1)
    | p(X4) )).

cnf(i_0_16143,axiom,
    ( ~ esk8030_4(X1,X2,X3,X4)
    | esk8029_4(X1,X2,X3,X4) )).

cnf(i_0_16144,axiom,
    ( ~ esk8412_4(X1,X2,X3,X4)
    | esk8275_4(X1,X2,X3,X4) )).

cnf(i_0_16145,axiom,
    ( ~ p(X1)
    | ~ esk656_0
    | esk8727_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_16146,axiom,
    ( esk9704_4(X1,X2,X3,X4)
    | ~ esk9705_4(X1,X2,X3,X4) )).

cnf(i_0_16147,axiom,
    ( esk4077_4(X1,X2,X3,X4)
    | ~ esk4076_4(X1,X2,X3,X4) )).

cnf(i_0_16148,axiom,
    ( ~ p(X2)
    | ~ esk1199_0
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_16149,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7321_4(X1,X2,X3,X4) )).

cnf(i_0_16150,axiom,
    ( ~ esk6324_4(X1,X2,X3,X4)
    | ~ esk6325_4(X1,X2,X3,X4)
    | ~ esk6288_4(X1,X2,X3,X4) )).

cnf(i_0_16151,axiom,
    ( esk6272_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_16152,axiom,
    ( esk359_0
    | ~ p(X4)
    | ~ esk8254_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_16153,axiom,
    ( esk5848_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_16154,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ esk8354_4(X1,X2,X3,X4)
    | esk412_0
    | ~ p(X2) )).

cnf(i_0_16155,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk3787_4(X1,X2,X3,X4) )).

cnf(i_0_16156,axiom,
    ( ~ p(X2)
    | esk8717_4(X1,X2,X3,X4)
    | ~ esk580_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_16157,axiom,
    ( esk1860_4(X1,X2,X3,X4)
    | ~ esk286_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_16158,axiom,
    ( esk4347_4(X1,X2,X3,X4)
    | ~ esk4193_4(X1,X2,X3,X4) )).

cnf(i_0_16159,axiom,
    ( ~ esk6074_4(X1,X2,X3,X4)
    | esk7109_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_16160,axiom,
    ( esk2730_4(X1,X2,X3,X4)
    | ~ esk2731_4(X1,X2,X3,X4)
    | esk2729_4(X1,X2,X3,X4) )).

cnf(i_0_16161,axiom,
    ( esk6415_4(X1,X2,X3,X4)
    | ~ esk6414_4(X1,X2,X3,X4) )).

cnf(i_0_16162,axiom,
    ( esk1503_4(X1,X2,X3,X4)
    | ~ esk1504_4(X1,X2,X3,X4) )).

cnf(i_0_16163,axiom,
    ( esk3455_4(X1,X2,X3,X4)
    | ~ esk4233_4(X1,X2,X3,X4) )).

cnf(i_0_16164,axiom,
    ( esk9408_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_16165,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | esk3125_4(X1,X2,X3,X4)
    | ~ esk3122_4(X1,X2,X3,X4) )).

cnf(i_0_16166,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk7736_4(X1,X2,X3,X4)
    | esk27_0
    | ~ p(X1) )).

cnf(i_0_16167,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3353_4(X1,X2,X3,X4) )).

cnf(i_0_16168,axiom,
    ( ~ esk8577_4(X1,X2,X3,X4)
    | esk8575_4(X1,X2,X3,X4)
    | esk8574_4(X1,X2,X3,X4)
    | esk8576_4(X1,X2,X3,X4) )).

cnf(i_0_16169,axiom,
    ( esk4669_4(X1,X2,X3,X4)
    | ~ esk4667_4(X1,X2,X3,X4) )).

cnf(i_0_16170,axiom,
    ( esk116_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk1643_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16171,axiom,
    ( ~ esk5620_4(X1,X2,X3,X4)
    | ~ esk7052_4(X1,X2,X3,X4)
    | esk7018_4(X1,X2,X3,X4) )).

cnf(i_0_16172,axiom,
    ( ~ p(X4)
    | esk9168_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1_0
    | ~ p(X2) )).

cnf(i_0_16173,axiom,
    ( ~ esk2771_4(X1,X2,X3,X4)
    | esk2806_4(X1,X2,X3,X4) )).

cnf(i_0_16174,axiom,
    ( esk1784_4(X1,X2,X3,X4)
    | ~ esk1783_4(X1,X2,X3,X4) )).

cnf(i_0_16175,axiom,
    ( esk7970_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_16176,axiom,
    ( esk2687_4(X1,X2,X3,X4)
    | ~ esk2688_4(X1,X2,X3,X4) )).

cnf(i_0_16177,axiom,
    ( ~ esk2462_4(X1,X2,X3,X4)
    | esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_16178,axiom,
    ( ~ p(X2)
    | esk548_0
    | p(X3)
    | ~ esk8713_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_16179,axiom,
    ( esk5155_4(X1,X2,X3,X4)
    | esk5156_4(X1,X2,X3,X4)
    | ~ esk5157_4(X1,X2,X3,X4) )).

cnf(i_0_16180,axiom,
    ( esk6134_4(X1,X2,X3,X4)
    | ~ esk6135_4(X1,X2,X3,X4) )).

cnf(i_0_16181,axiom,
    ( esk8009_4(X1,X2,X3,X4)
    | ~ esk9229_4(X1,X2,X3,X4) )).

cnf(i_0_16182,axiom,
    ( esk7006_4(X1,X2,X3,X4)
    | ~ esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_16183,axiom,
    ( esk1949_4(X1,X2,X3,X4)
    | ~ esk1914_4(X1,X2,X3,X4)
    | esk1948_4(X1,X2,X3,X4) )).

cnf(i_0_16184,axiom,
    ( esk1441_4(X1,X2,X3,X4)
    | ~ esk2887_4(X1,X2,X3,X4) )).

cnf(i_0_16185,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2754_4(X1,X2,X3,X4) )).

cnf(i_0_16186,axiom,
    ( ~ esk1500_4(X1,X2,X3,X4)
    | esk1499_4(X1,X2,X3,X4) )).

cnf(i_0_16187,axiom,
    ( ~ p(X4)
    | esk966_0
    | ~ esk9105_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_16188,axiom,
    ( ~ esk7636_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_16189,axiom,
    ( esk2594_4(X1,X2,X3,X4)
    | ~ esk2592_4(X1,X2,X3,X4) )).

cnf(i_0_16190,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | esk9109_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk994_0 )).

cnf(i_0_16191,axiom,
    ( ~ esk3685_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_16192,axiom,
    ( ~ esk2450_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_16193,axiom,
    ( ~ p(X3)
    | esk756_0
    | ~ p(X4)
    | ~ esk8751_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_16194,axiom,
    ( esk8727_4(X1,X2,X3,X4)
    | ~ esk8700_4(X1,X2,X3,X4) )).

cnf(i_0_16195,axiom,
    ( esk8072_4(X1,X2,X3,X4)
    | ~ esk256_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_16196,axiom,
    ( ~ esk4393_4(X1,X2,X3,X4)
    | esk3910_4(X1,X2,X3,X4)
    | ~ esk3909_4(X1,X2,X3,X4) )).

cnf(i_0_16197,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | esk4479_4(X1,X2,X3,X4) )).

cnf(i_0_16198,axiom,
    ( esk8155_4(X1,X2,X3,X4)
    | ~ esk8138_4(X1,X2,X3,X4) )).

cnf(i_0_16199,axiom,
    ( ~ p(X4)
    | ~ esk2212_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk493_0 )).

cnf(i_0_16200,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk36_0
    | esk7738_4(X1,X2,X3,X4) )).

cnf(i_0_16201,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4628_4(X1,X2,X3,X4) )).

cnf(i_0_16202,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3774_4(X1,X2,X3,X4) )).

cnf(i_0_16203,axiom,
    ( esk1752_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk197_0 )).

cnf(i_0_16204,axiom,
    ( esk3332_4(X1,X2,X3,X4)
    | ~ esk2670_4(X1,X2,X3,X4)
    | ~ esk3331_4(X1,X2,X3,X4) )).

cnf(i_0_16205,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk774_0
    | p(X1) )).

cnf(i_0_16206,axiom,
    ( esk3939_4(X1,X2,X3,X4)
    | ~ esk3938_4(X1,X2,X3,X4) )).

cnf(i_0_16207,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6465_4(X1,X2,X3,X4) )).

cnf(i_0_16208,axiom,
    ( ~ esk2660_4(X1,X2,X3,X4)
    | esk2484_4(X1,X2,X3,X4) )).

cnf(i_0_16209,axiom,
    ( ~ esk9191_4(X1,X2,X3,X4)
    | esk7898_4(X1,X2,X3,X4)
    | ~ esk7897_4(X1,X2,X3,X4) )).

cnf(i_0_16210,axiom,
    ( esk2290_4(X1,X2,X3,X4)
    | ~ esk2490_4(X1,X2,X3,X4) )).

cnf(i_0_16211,axiom,
    ( esk9617_4(X1,X2,X3,X4)
    | esk9618_4(X1,X2,X3,X4)
    | ~ esk9619_4(X1,X2,X3,X4) )).

cnf(i_0_16212,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk128_0
    | esk7967_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16213,axiom,
    ( ~ esk4853_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_16214,axiom,
    ( esk4892_4(X1,X2,X3,X4)
    | ~ esk4660_4(X1,X2,X3,X4) )).

cnf(i_0_16215,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | esk8054_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk232_0 )).

cnf(i_0_16216,axiom,
    ( esk2767_4(X1,X2,X3,X4)
    | ~ esk2765_4(X1,X2,X3,X4) )).

cnf(i_0_16217,axiom,
    ( esk9208_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_16218,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4103_4(X1,X2,X3,X4) )).

cnf(i_0_16219,axiom,
    ( ~ esk4581_4(X1,X2,X3,X4)
    | esk3505_4(X1,X2,X3,X4) )).

cnf(i_0_16220,axiom,
    ( ~ esk6648_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_16221,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk9194_4(X1,X2,X3,X4)
    | ~ esk1217_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_16222,axiom,
    ( ~ esk1678_4(X1,X2,X3,X4)
    | esk1677_4(X1,X2,X3,X4) )).

cnf(i_0_16223,axiom,
    ( p(X2)
    | ~ esk169_0
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_16224,axiom,
    ( esk4348_4(X1,X2,X3,X4)
    | ~ esk4096_4(X1,X2,X3,X4)
    | esk4309_4(X1,X2,X3,X4) )).

cnf(i_0_16225,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4790_4(X1,X2,X3,X4) )).

cnf(i_0_16226,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2257_4(X1,X2,X3,X4) )).

cnf(i_0_16227,axiom,
    ( ~ esk4157_4(X1,X2,X3,X4)
    | esk3520_4(X1,X2,X3,X4) )).

cnf(i_0_16228,axiom,
    ( ~ esk4690_4(X1,X2,X3,X4)
    | ~ esk4892_4(X1,X2,X3,X4)
    | esk4691_4(X1,X2,X3,X4) )).

cnf(i_0_16229,axiom,
    ( esk5193_4(X1,X2,X3,X4)
    | ~ esk5191_4(X1,X2,X3,X4) )).

cnf(i_0_16230,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8361_4(X1,X2,X3,X4) )).

cnf(i_0_16231,axiom,
    ( esk8320_4(X1,X2,X3,X4)
    | ~ esk7656_4(X1,X2,X3,X4) )).

cnf(i_0_16232,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | esk9099_4(X1,X2,X3,X4)
    | ~ esk922_0
    | p(X1) )).

cnf(i_0_16233,axiom,
    ( esk4577_4(X1,X2,X3,X4)
    | ~ esk4560_4(X1,X2,X3,X4) )).

cnf(i_0_16234,axiom,
    ( ~ esk5843_4(X1,X2,X3,X4)
    | esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_16235,axiom,
    ( esk8744_4(X1,X2,X3,X4)
    | esk9585_4(X1,X2,X3,X4) )).

cnf(i_0_16236,axiom,
    ( esk8171_4(X1,X2,X3,X4)
    | ~ esk8278_4(X1,X2,X3,X4) )).

cnf(i_0_16237,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk480_0
    | p(X4)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_16238,axiom,
    ( esk9482_4(X1,X2,X3,X4)
    | ~ esk9483_4(X1,X2,X3,X4)
    | esk9481_4(X1,X2,X3,X4) )).

cnf(i_0_16239,axiom,
    ( ~ esk6564_4(X1,X2,X3,X4)
    | esk6563_4(X1,X2,X3,X4)
    | esk6562_4(X1,X2,X3,X4) )).

cnf(i_0_16240,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4198_4(X1,X2,X3,X4)
    | ~ esk4197_4(X1,X2,X3,X4) )).

cnf(i_0_16241,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | esk4051_4(X1,X2,X3,X4)
    | esk5385_4(X1,X2,X3,X4) )).

cnf(i_0_16242,axiom,
    ( esk4800_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4644_4(X1,X2,X3,X4) )).

cnf(i_0_16243,axiom,
    ( esk8515_4(X1,X2,X3,X4)
    | ~ esk8516_4(X1,X2,X3,X4) )).

cnf(i_0_16244,axiom,
    ( esk4021_4(X1,X2,X3,X4)
    | ~ esk4192_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_16245,axiom,
    ( esk5922_4(X1,X2,X3,X4)
    | ~ esk5923_4(X1,X2,X3,X4) )).

cnf(i_0_16246,axiom,
    ( esk3227_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16247,axiom,
    ( esk8547_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk505_0 )).

cnf(i_0_16248,axiom,
    ( ~ esk5046_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_16249,axiom,
    ( ~ esk8748_4(X1,X2,X3,X4)
    | esk7704_4(X1,X2,X3,X4) )).

cnf(i_0_16250,axiom,
    ( ~ esk1570_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_16251,axiom,
    ( ~ p(X1)
    | ~ esk16_0
    | esk1438_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_16252,axiom,
    ( ~ esk3560_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_16253,axiom,
    ( esk2212_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk497_0
    | ~ p(X4) )).

cnf(i_0_16254,axiom,
    ( ~ esk7566_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_16255,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5355_4(X1,X2,X3,X4) )).

cnf(i_0_16256,axiom,
    ( esk1434_4(X1,X2,X3,X4)
    | ~ esk1433_4(X1,X2,X3,X4) )).

cnf(i_0_16257,axiom,
    ( ~ esk5873_4(X1,X2,X3,X4)
    | esk5874_4(X1,X2,X3,X4) )).

cnf(i_0_16258,axiom,
    ( esk8149_4(X1,X2,X3,X4)
    | esk8150_4(X1,X2,X3,X4) )).

cnf(i_0_16259,axiom,
    ( ~ esk5317_4(X1,X2,X3,X4)
    | esk5320_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_16260,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | ~ esk9133_4(X1,X2,X3,X4)
    | esk9140_4(X1,X2,X3,X4) )).

cnf(i_0_16261,axiom,
    ( esk2178_4(X1,X2,X3,X4)
    | ~ esk1848_4(X1,X2,X3,X4) )).

cnf(i_0_16262,axiom,
    ( esk4797_4(X1,X2,X3,X4)
    | ~ esk4795_4(X1,X2,X3,X4) )).

cnf(i_0_16263,axiom,
    ( ~ esk6289_4(X1,X2,X3,X4)
    | esk6121_4(X1,X2,X3,X4) )).

cnf(i_0_16264,axiom,
    ( esk2569_4(X1,X2,X3,X4)
    | ~ esk2093_4(X1,X2,X3,X4)
    | ~ esk1878_4(X1,X2,X3,X4) )).

cnf(i_0_16265,axiom,
    ( esk4210_4(X1,X2,X3,X4)
    | ~ esk4209_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_16266,axiom,
    ( esk1241_0
    | p(X2)
    | ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_16267,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2815_4(X1,X2,X3,X4)
    | esk3435_4(X1,X2,X3,X4) )).

cnf(i_0_16268,axiom,
    ( esk6086_4(X1,X2,X3,X4)
    | ~ esk6114_4(X1,X2,X3,X4) )).

cnf(i_0_16269,axiom,
    ( esk3931_4(X1,X2,X3,X4)
    | ~ esk3882_4(X1,X2,X3,X4) )).

cnf(i_0_16270,axiom,
    ( ~ esk3260_4(X1,X2,X3,X4)
    | esk3259_4(X1,X2,X3,X4) )).

cnf(i_0_16271,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8956_4(X1,X2,X3,X4) )).

cnf(i_0_16272,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk9186_4(X1,X2,X3,X4)
    | esk1174_0 )).

cnf(i_0_16273,axiom,
    ( ~ esk3431_4(X1,X2,X3,X4)
    | esk3434_4(X1,X2,X3,X4) )).

cnf(i_0_16274,axiom,
    ( ~ esk2290_4(X1,X2,X3,X4)
    | esk1376_4(X1,X2,X3,X4) )).

cnf(i_0_16275,axiom,
    ( ~ esk1673_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_16276,axiom,
    ( ~ p(X1)
    | ~ esk1166_0
    | p(X2)
    | p(X3)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_16277,axiom,
    ( ~ esk2378_4(X1,X2,X3,X4)
    | esk1912_4(X1,X2,X3,X4) )).

cnf(i_0_16278,axiom,
    ( esk9630_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9627_4(X1,X2,X3,X4) )).

cnf(i_0_16279,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk723_0
    | esk2451_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16280,axiom,
    ( esk5830_4(X1,X2,X3,X4)
    | ~ esk5831_4(X1,X2,X3,X4) )).

cnf(i_0_16281,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ esk1860_4(X1,X2,X3,X4)
    | esk276_0
    | ~ p(X2) )).

cnf(i_0_16282,axiom,
    ( ~ esk3660_4(X1,X2,X3,X4)
    | esk3662_4(X1,X2,X3,X4) )).

cnf(i_0_16283,axiom,
    ( ~ esk6619_4(X1,X2,X3,X4)
    | esk6481_4(X1,X2,X3,X4) )).

cnf(i_0_16284,axiom,
    ( esk9416_4(X1,X2,X3,X4)
    | ~ esk9417_4(X1,X2,X3,X4) )).

cnf(i_0_16285,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2012_4(X1,X2,X3,X4) )).

cnf(i_0_16286,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | esk1209_0
    | ~ p(X3)
    | ~ esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_16287,axiom,
    ( esk5756_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4)
    | ~ esk5728_4(X1,X2,X3,X4) )).

cnf(i_0_16288,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | esk9194_4(X1,X2,X3,X4)
    | ~ esk1209_0 )).

cnf(i_0_16289,axiom,
    ( esk2334_4(X1,X2,X3,X4)
    | ~ esk1929_4(X1,X2,X3,X4) )).

cnf(i_0_16290,axiom,
    ( ~ esk4782_4(X1,X2,X3,X4)
    | esk4783_4(X1,X2,X3,X4)
    | ~ esk4589_4(X1,X2,X3,X4) )).

cnf(i_0_16291,axiom,
    ( p(X2)
    | esk786_0
    | ~ p(X4)
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_16292,axiom,
    ( ~ esk7394_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_16293,axiom,
    ( esk3467_4(X1,X2,X3,X4)
    | ~ esk3546_4(X1,X2,X3,X4) )).

cnf(i_0_16294,axiom,
    ( ~ esk1745_4(X1,X2,X3,X4)
    | esk2946_4(X1,X2,X3,X4) )).

cnf(i_0_16295,axiom,
    ( ~ esk5972_4(X1,X2,X3,X4)
    | esk7155_4(X1,X2,X3,X4) )).

cnf(i_0_16296,axiom,
    ( esk9141_4(X1,X2,X3,X4)
    | ~ esk9139_4(X1,X2,X3,X4) )).

cnf(i_0_16297,axiom,
    ( esk39_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk7738_4(X1,X2,X3,X4) )).

cnf(i_0_16298,axiom,
    ( esk9087_4(X1,X2,X3,X4)
    | ~ esk9036_4(X1,X2,X3,X4) )).

cnf(i_0_16299,axiom,
    ( esk8031_4(X1,X2,X3,X4)
    | esk8030_4(X1,X2,X3,X4)
    | ~ esk8032_4(X1,X2,X3,X4) )).

cnf(i_0_16300,axiom,
    ( esk6509_4(X1,X2,X3,X4)
    | ~ esk6351_4(X1,X2,X3,X4) )).

cnf(i_0_16301,axiom,
    ( ~ esk7158_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_16302,axiom,
    ( esk1970_4(X1,X2,X3,X4)
    | ~ esk1968_4(X1,X2,X3,X4) )).

cnf(i_0_16303,axiom,
    ( ~ esk5888_4(X1,X2,X3,X4)
    | esk6060_4(X1,X2,X3,X4) )).

cnf(i_0_16304,axiom,
    ( ~ esk7070_4(X1,X2,X3,X4)
    | esk5597_4(X1,X2,X3,X4) )).

cnf(i_0_16305,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2066_4(X1,X2,X3,X4) )).

cnf(i_0_16306,axiom,
    ( ~ esk4010_4(X1,X2,X3,X4)
    | esk4011_4(X1,X2,X3,X4) )).

cnf(i_0_16307,axiom,
    ( ~ esk7523_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_16308,axiom,
    ( ~ esk6959_4(X1,X2,X3,X4)
    | esk6958_4(X1,X2,X3,X4) )).

cnf(i_0_16309,axiom,
    ( esk5445_4(X1,X2,X3,X4)
    | ~ esk5448_4(X1,X2,X3,X4) )).

cnf(i_0_16310,axiom,
    ( esk3031_4(X1,X2,X3,X4)
    | ~ esk3032_4(X1,X2,X3,X4) )).

cnf(i_0_16311,axiom,
    ( ~ esk7080_4(X1,X2,X3,X4)
    | esk5882_4(X1,X2,X3,X4) )).

cnf(i_0_16312,axiom,
    ( esk3984_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk3983_4(X1,X2,X3,X4) )).

cnf(i_0_16313,axiom,
    ( esk9563_4(X1,X2,X3,X4)
    | ~ esk9562_4(X1,X2,X3,X4) )).

cnf(i_0_16314,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9504_4(X1,X2,X3,X4) )).

cnf(i_0_16315,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3144_4(X1,X2,X3,X4) )).

cnf(i_0_16316,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk8735_4(X1,X2,X3,X4)
    | ~ esk1_0 )).

cnf(i_0_16317,axiom,
    ( ~ esk2050_4(X1,X2,X3,X4)
    | esk2049_4(X1,X2,X3,X4)
    | esk1993_4(X1,X2,X3,X4) )).

cnf(i_0_16318,axiom,
    ( ~ esk8265_4(X1,X2,X3,X4)
    | esk8264_4(X1,X2,X3,X4) )).

cnf(i_0_16319,axiom,
    ( esk2131_4(X1,X2,X3,X4)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ esk2093_4(X1,X2,X3,X4) )).

cnf(i_0_16320,axiom,
    ( ~ esk6143_4(X1,X2,X3,X4)
    | esk6145_4(X1,X2,X3,X4) )).

cnf(i_0_16321,axiom,
    ( esk5855_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_16322,axiom,
    ( ~ esk3680_4(X1,X2,X3,X4)
    | esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_16323,axiom,
    ( esk5822_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_16324,axiom,
    ( esk7071_4(X1,X2,X3,X4)
    | ~ esk9171_4(X1,X2,X3,X4) )).

cnf(i_0_16325,axiom,
    ( esk8357_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk428_0 )).

cnf(i_0_16326,axiom,
    ( ~ esk355_0
    | p(X2)
    | esk1958_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_16327,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2876_4(X1,X2,X3,X4)
    | esk1102_0
    | p(X1) )).

cnf(i_0_16328,axiom,
    ( esk6166_4(X1,X2,X3,X4)
    | ~ esk6098_4(X1,X2,X3,X4)
    | ~ esk6165_4(X1,X2,X3,X4) )).

cnf(i_0_16329,axiom,
    ( esk6726_4(X1,X2,X3,X4)
    | ~ esk6906_4(X1,X2,X3,X4) )).

cnf(i_0_16330,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk4325_4(X1,X2,X3,X4) )).

cnf(i_0_16331,axiom,
    ( ~ esk9223_4(X1,X2,X3,X4)
    | esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_16332,axiom,
    ( esk3350_4(X1,X2,X3,X4)
    | ~ esk3349_4(X1,X2,X3,X4) )).

cnf(i_0_16333,axiom,
    ( ~ esk395_0
    | p(X2)
    | esk8318_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_16334,axiom,
    ( ~ esk3055_4(X1,X2,X3,X4)
    | esk3056_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_16335,axiom,
    ( esk4764_4(X1,X2,X3,X4)
    | ~ esk4896_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_16336,axiom,
    ( esk4642_4(X1,X2,X3,X4)
    | esk4643_4(X1,X2,X3,X4)
    | ~ esk4644_4(X1,X2,X3,X4) )).

cnf(i_0_16337,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4679_4(X1,X2,X3,X4) )).

cnf(i_0_16338,axiom,
    ( esk3298_4(X1,X2,X3,X4)
    | ~ esk2625_4(X1,X2,X3,X4) )).

cnf(i_0_16339,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7381_4(X1,X2,X3,X4)
    | esk7382_4(X1,X2,X3,X4) )).

cnf(i_0_16340,axiom,
    ( ~ esk7775_4(X1,X2,X3,X4)
    | esk7702_4(X1,X2,X3,X4) )).

cnf(i_0_16341,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk7018_4(X1,X2,X3,X4) )).

cnf(i_0_16342,axiom,
    ( ~ esk4341_4(X1,X2,X3,X4)
    | ~ esk4303_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_16343,axiom,
    ( ~ esk1977_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_16344,axiom,
    ( ~ esk3348_4(X1,X2,X3,X4)
    | esk3350_4(X1,X2,X3,X4) )).

cnf(i_0_16345,axiom,
    ( ~ esk5127_4(X1,X2,X3,X4)
    | esk5129_4(X1,X2,X3,X4) )).

cnf(i_0_16346,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2807_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk956_0 )).

cnf(i_0_16347,axiom,
    ( esk3405_4(X1,X2,X3,X4)
    | ~ esk3402_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_16348,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6130_4(X1,X2,X3,X4) )).

cnf(i_0_16349,axiom,
    ( ~ esk5915_4(X1,X2,X3,X4)
    | esk5917_4(X1,X2,X3,X4) )).

cnf(i_0_16350,axiom,
    ( ~ esk8933_4(X1,X2,X3,X4)
    | esk8935_4(X1,X2,X3,X4) )).

cnf(i_0_16351,axiom,
    ( ~ esk6073_4(X1,X2,X3,X4)
    | ~ esk6191_4(X1,X2,X3,X4)
    | ~ esk6190_4(X1,X2,X3,X4) )).

cnf(i_0_16352,axiom,
    ( ~ esk1723_4(X1,X2,X3,X4)
    | esk1721_4(X1,X2,X3,X4)
    | esk1722_4(X1,X2,X3,X4) )).

cnf(i_0_16353,axiom,
    ( ~ esk2725_4(X1,X2,X3,X4)
    | esk3406_4(X1,X2,X3,X4) )).

cnf(i_0_16354,axiom,
    ( ~ p(X4)
    | ~ esk684_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_16355,axiom,
    ( esk2990_4(X1,X2,X3,X4)
    | ~ esk2989_4(X1,X2,X3,X4) )).

cnf(i_0_16356,axiom,
    ( ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | esk898_0 )).

cnf(i_0_16357,axiom,
    ( esk2464_4(X1,X2,X3,X4)
    | ~ esk1450_4(X1,X2,X3,X4) )).

cnf(i_0_16358,axiom,
    ( ~ esk1348_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_16359,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4392_4(X1,X2,X3,X4) )).

cnf(i_0_16360,axiom,
    ( esk3543_4(X1,X2,X3,X4)
    | ~ esk3502_4(X1,X2,X3,X4) )).

cnf(i_0_16361,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk8046_4(X1,X2,X3,X4)
    | esk173_0
    | p(X1)
    | p(X3) )).

cnf(i_0_16362,axiom,
    ( ~ esk1594_4(X1,X2,X3,X4)
    | esk1502_4(X1,X2,X3,X4) )).

cnf(i_0_16363,axiom,
    ( esk8911_4(X1,X2,X3,X4)
    | ~ esk8910_4(X1,X2,X3,X4) )).

cnf(i_0_16364,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk2117_4(X1,X2,X3,X4)
    | esk2154_4(X1,X2,X3,X4) )).

cnf(i_0_16365,axiom,
    ( esk1910_4(X1,X2,X3,X4)
    | ~ esk2317_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_16366,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9542_4(X1,X2,X3,X4) )).

cnf(i_0_16367,axiom,
    ( ~ esk5996_4(X1,X2,X3,X4)
    | esk5998_4(X1,X2,X3,X4) )).

cnf(i_0_16368,axiom,
    ( ~ esk5405_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | esk5408_4(X1,X2,X3,X4) )).

cnf(i_0_16369,axiom,
    ( ~ esk6961_4(X1,X2,X3,X4)
    | esk7000_4(X1,X2,X3,X4) )).

cnf(i_0_16370,axiom,
    ( p(X1)
    | ~ esk1146_0
    | ~ p(X4)
    | esk9178_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_16371,axiom,
    ( esk1_0
    | ~ esk1995_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_16372,axiom,
    ( esk2684_4(X1,X2,X3,X4)
    | ~ esk2686_4(X1,X2,X3,X4)
    | esk2685_4(X1,X2,X3,X4) )).

cnf(i_0_16373,axiom,
    ( p(X2)
    | ~ esk1478_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk72_0
    | ~ p(X3) )).

cnf(i_0_16374,axiom,
    ( esk6356_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6319_4(X1,X2,X3,X4) )).

cnf(i_0_16375,axiom,
    ( ~ esk2086_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_16376,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8697_4(X1,X2,X3,X4) )).

cnf(i_0_16377,axiom,
    ( ~ esk4794_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk4795_4(X1,X2,X3,X4) )).

cnf(i_0_16378,axiom,
    ( ~ esk8613_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_16379,axiom,
    ( ~ esk9374_4(X1,X2,X3,X4)
    | esk9375_4(X1,X2,X3,X4) )).

cnf(i_0_16380,axiom,
    ( ~ esk8089_4(X1,X2,X3,X4)
    | esk8087_4(X1,X2,X3,X4)
    | esk8088_4(X1,X2,X3,X4) )).

cnf(i_0_16381,axiom,
    ( esk2059_4(X1,X2,X3,X4)
    | ~ esk2169_4(X1,X2,X3,X4) )).

cnf(i_0_16382,axiom,
    ( ~ esk9678_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_16383,axiom,
    ( ~ esk7393_4(X1,X2,X3,X4)
    | esk7394_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_16384,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk308_0
    | esk8214_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_16385,axiom,
    ( ~ esk1600_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_16386,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | esk8701_4(X1,X2,X3,X4) )).

cnf(i_0_16387,axiom,
    ( esk7860_4(X1,X2,X3,X4)
    | ~ esk7923_4(X1,X2,X3,X4) )).

cnf(i_0_16388,axiom,
    ( esk3903_4(X1,X2,X3,X4)
    | ~ esk3915_4(X1,X2,X3,X4) )).

cnf(i_0_16389,axiom,
    ( esk8258_4(X1,X2,X3,X4)
    | esk8257_4(X1,X2,X3,X4)
    | ~ esk8259_4(X1,X2,X3,X4) )).

cnf(i_0_16390,axiom,
    ( ~ p(X4)
    | esk678_0
    | p(X1)
    | p(X2)
    | ~ esk2435_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16391,axiom,
    ( ~ esk7151_4(X1,X2,X3,X4)
    | ~ esk5678_4(X1,X2,X3,X4)
    | esk5764_4(X1,X2,X3,X4) )).

cnf(i_0_16392,axiom,
    ( ~ esk8434_4(X1,X2,X3,X4)
    | esk8433_4(X1,X2,X3,X4) )).

cnf(i_0_16393,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk83_0
    | ~ p(X3)
    | p(X4)
    | esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_16394,axiom,
    ( ~ esk5319_4(X1,X2,X3,X4)
    | esk5318_4(X1,X2,X3,X4) )).

cnf(i_0_16395,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6054_4(X1,X2,X3,X4) )).

cnf(i_0_16396,axiom,
    ( esk7428_4(X1,X2,X3,X4)
    | ~ esk7431_4(X1,X2,X3,X4) )).

cnf(i_0_16397,axiom,
    ( ~ esk8488_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8489_4(X1,X2,X3,X4) )).

cnf(i_0_16398,axiom,
    ( ~ esk7866_4(X1,X2,X3,X4)
    | esk7865_4(X1,X2,X3,X4) )).

cnf(i_0_16399,axiom,
    ( ~ esk2636_4(X1,X2,X3,X4)
    | esk2638_4(X1,X2,X3,X4) )).

cnf(i_0_16400,axiom,
    ( esk1454_4(X1,X2,X3,X4)
    | ~ esk1453_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_16401,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3568_4(X1,X2,X3,X4) )).

cnf(i_0_16402,axiom,
    ( ~ p(X4)
    | esk9105_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk966_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_16403,axiom,
    ( ~ esk3320_4(X1,X2,X3,X4)
    | esk3322_4(X1,X2,X3,X4) )).

cnf(i_0_16404,axiom,
    ( esk8147_4(X1,X2,X3,X4)
    | ~ esk8682_4(X1,X2,X3,X4) )).

cnf(i_0_16405,axiom,
    ( ~ esk1605_4(X1,X2,X3,X4)
    | esk1607_4(X1,X2,X3,X4) )).

cnf(i_0_16406,axiom,
    ( p(X4)
    | esk641_0
    | p(X3)
    | ~ p(X1)
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16407,axiom,
    ( ~ esk8475_4(X1,X2,X3,X4)
    | esk8145_4(X1,X2,X3,X4)
    | ~ esk8144_4(X1,X2,X3,X4) )).

cnf(i_0_16408,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2748_4(X1,X2,X3,X4) )).

cnf(i_0_16409,axiom,
    ( ~ p(X1)
    | ~ esk357_0
    | p(X3)
    | esk8254_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_16410,axiom,
    ( ~ esk6751_4(X1,X2,X3,X4)
    | esk6999_4(X1,X2,X3,X4) )).

cnf(i_0_16411,axiom,
    ( esk3073_4(X1,X2,X3,X4)
    | esk3072_4(X1,X2,X3,X4)
    | ~ esk3074_4(X1,X2,X3,X4) )).

cnf(i_0_16412,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5828_4(X1,X2,X3,X4) )).

cnf(i_0_16413,axiom,
    ( esk5397_4(X1,X2,X3,X4)
    | ~ esk4724_4(X1,X2,X3,X4) )).

cnf(i_0_16414,axiom,
    ( ~ esk2967_4(X1,X2,X3,X4)
    | esk2968_4(X1,X2,X3,X4)
    | ~ esk2962_4(X1,X2,X3,X4) )).

cnf(i_0_16415,axiom,
    ( ~ esk3521_4(X1,X2,X3,X4)
    | esk3979_4(X1,X2,X3,X4)
    | ~ esk4536_4(X1,X2,X3,X4) )).

cnf(i_0_16416,axiom,
    ( ~ esk8894_4(X1,X2,X3,X4)
    | esk8848_4(X1,X2,X3,X4) )).

cnf(i_0_16417,axiom,
    ( esk5185_4(X1,X2,X3,X4)
    | ~ esk5184_4(X1,X2,X3,X4) )).

cnf(i_0_16418,axiom,
    ( ~ esk6845_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_16419,axiom,
    ( esk9030_4(X1,X2,X3,X4)
    | ~ esk9029_4(X1,X2,X3,X4)
    | ~ esk9679_4(X1,X2,X3,X4) )).

cnf(i_0_16420,axiom,
    ( ~ esk3608_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_16421,axiom,
    ( p(X1)
    | ~ esk9095_4(X1,X2,X3,X4)
    | p(X3)
    | esk889_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_16422,axiom,
    ( ~ esk3724_4(X1,X2,X3,X4)
    | esk3723_4(X1,X2,X3,X4) )).

cnf(i_0_16423,axiom,
    ( ~ esk8954_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_16424,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7237_4(X1,X2,X3,X4) )).

cnf(i_0_16425,axiom,
    ( ~ esk3397_4(X1,X2,X3,X4)
    | esk3398_4(X1,X2,X3,X4) )).

cnf(i_0_16426,axiom,
    ( esk6428_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_16427,axiom,
    ( ~ esk3282_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_16428,axiom,
    ( ~ esk1043_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk2868_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_16429,axiom,
    ( ~ esk8468_4(X1,X2,X3,X4)
    | esk8381_4(X1,X2,X3,X4) )).

cnf(i_0_16430,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk916_0
    | p(X3)
    | ~ p(X4)
    | esk9097_4(X1,X2,X3,X4) )).

cnf(i_0_16431,axiom,
    ( esk4270_4(X1,X2,X3,X4)
    | ~ esk3968_4(X1,X2,X3,X4) )).

cnf(i_0_16432,axiom,
    ( ~ esk2308_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_16433,axiom,
    ( p(X4)
    | p(X3)
    | esk1113_0
    | p(X2)
    | p(X1)
    | ~ esk9174_4(X1,X2,X3,X4) )).

cnf(i_0_16434,axiom,
    ( ~ esk7154_4(X1,X2,X3,X4)
    | ~ esk5770_4(X1,X2,X3,X4)
    | esk5771_4(X1,X2,X3,X4) )).

cnf(i_0_16435,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk979_0
    | p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_16436,axiom,
    ( ~ esk3438_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_16437,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk140_0
    | ~ esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_16438,axiom,
    ( ~ esk6220_4(X1,X2,X3,X4)
    | esk5612_4(X1,X2,X3,X4) )).

cnf(i_0_16439,axiom,
    ( ~ esk6169_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_16440,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | ~ esk1981_4(X1,X2,X3,X4) )).

cnf(i_0_16441,axiom,
    ( esk4462_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_16442,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk5392_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_16443,axiom,
    ( ~ esk2431_4(X1,X2,X3,X4)
    | esk2205_4(X1,X2,X3,X4) )).

cnf(i_0_16444,axiom,
    ( ~ esk3824_4(X1,X2,X3,X4)
    | esk3826_4(X1,X2,X3,X4) )).

cnf(i_0_16445,axiom,
    ( ~ esk67_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk1478_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_16446,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7382_4(X1,X2,X3,X4) )).

cnf(i_0_16447,axiom,
    ( esk4320_4(X1,X2,X3,X4)
    | ~ esk4319_4(X1,X2,X3,X4) )).

cnf(i_0_16448,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk563_0
    | esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_16449,axiom,
    ( ~ esk2092_4(X1,X2,X3,X4)
    | esk2210_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_16450,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk5993_4(X1,X2,X3,X4) )).

cnf(i_0_16451,axiom,
    ( esk1499_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_16452,axiom,
    ( ~ esk8354_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | esk413_0 )).

cnf(i_0_16453,axiom,
    ( esk7424_4(X1,X2,X3,X4)
    | ~ esk7430_4(X1,X2,X3,X4) )).

cnf(i_0_16454,axiom,
    ( esk6376_4(X1,X2,X3,X4)
    | ~ esk6374_4(X1,X2,X3,X4) )).

cnf(i_0_16455,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6928_4(X1,X2,X3,X4) )).

cnf(i_0_16456,axiom,
    ( esk2998_4(X1,X2,X3,X4)
    | ~ esk2996_4(X1,X2,X3,X4) )).

cnf(i_0_16457,axiom,
    ( esk259_0
    | p(X2)
    | ~ esk1842_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_16458,axiom,
    ( ~ esk1739_4(X1,X2,X3,X4)
    | esk2924_4(X1,X2,X3,X4)
    | ~ esk2923_4(X1,X2,X3,X4) )).

cnf(i_0_16459,axiom,
    ( esk4115_4(X1,X2,X3,X4)
    | esk4114_4(X1,X2,X3,X4)
    | ~ esk4116_4(X1,X2,X3,X4) )).

cnf(i_0_16460,axiom,
    ( esk1480_4(X1,X2,X3,X4)
    | ~ esk1358_4(X1,X2,X3,X4) )).

cnf(i_0_16461,axiom,
    ( ~ esk6530_4(X1,X2,X3,X4)
    | esk6529_4(X1,X2,X3,X4) )).

cnf(i_0_16462,axiom,
    ( ~ esk7156_4(X1,X2,X3,X4)
    | esk5876_4(X1,X2,X3,X4)
    | ~ esk5875_4(X1,X2,X3,X4) )).

cnf(i_0_16463,axiom,
    ( ~ esk3651_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_16464,axiom,
    ( esk4955_4(X1,X2,X3,X4)
    | ~ esk4954_4(X1,X2,X3,X4)
    | ~ esk3887_4(X1,X2,X3,X4) )).

cnf(i_0_16465,axiom,
    ( ~ esk9745_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4)
    | esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_16466,axiom,
    ( ~ esk2567_4(X1,X2,X3,X4)
    | ~ esk2537_4(X1,X2,X3,X4)
    | esk2568_4(X1,X2,X3,X4) )).

cnf(i_0_16467,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6671_4(X1,X2,X3,X4) )).

cnf(i_0_16468,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk1270_0
    | esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_16469,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk2131_4(X1,X2,X3,X4) )).

cnf(i_0_16470,axiom,
    ( p(X1)
    | ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk925_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_16471,axiom,
    ( esk9114_4(X1,X2,X3,X4)
    | ~ esk7735_4(X1,X2,X3,X4)
    | ~ esk9747_4(X1,X2,X3,X4) )).

cnf(i_0_16472,axiom,
    ( p(X3)
    | ~ esk29_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_16473,axiom,
    ( ~ esk2806_4(X1,X2,X3,X4)
    | esk2771_4(X1,X2,X3,X4) )).

cnf(i_0_16474,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6594_4(X1,X2,X3,X4) )).

cnf(i_0_16475,axiom,
    ( ~ esk433_0
    | ~ p(X3)
    | esk8357_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_16476,axiom,
    ( esk5941_4(X1,X2,X3,X4)
    | ~ esk5940_4(X1,X2,X3,X4) )).

cnf(i_0_16477,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2797_4(X1,X2,X3,X4)
    | esk879_0 )).

cnf(i_0_16478,axiom,
    ( ~ esk9606_4(X1,X2,X3,X4)
    | esk9603_4(X1,X2,X3,X4) )).

cnf(i_0_16479,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8102_4(X1,X2,X3,X4) )).

cnf(i_0_16480,axiom,
    ( esk7560_4(X1,X2,X3,X4)
    | ~ esk7558_4(X1,X2,X3,X4) )).

cnf(i_0_16481,axiom,
    ( esk2421_4(X1,X2,X3,X4)
    | ~ esk2314_4(X1,X2,X3,X4) )).

cnf(i_0_16482,axiom,
    ( esk230_0
    | ~ p(X4)
    | ~ esk1758_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_16483,axiom,
    ( esk9085_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk827_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_16484,axiom,
    ( esk1926_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk1892_4(X1,X2,X3,X4) )).

cnf(i_0_16485,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk8391_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk456_0
    | ~ p(X4) )).

cnf(i_0_16486,axiom,
    ( ~ esk2277_4(X1,X2,X3,X4)
    | esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_16487,axiom,
    ( ~ esk2798_4(X1,X2,X3,X4)
    | esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_16488,axiom,
    ( esk7966_4(X1,X2,X3,X4)
    | ~ esk7974_4(X1,X2,X3,X4) )).

cnf(i_0_16489,axiom,
    ( ~ p(X2)
    | ~ esk1_0
    | esk8617_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_16490,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6877_4(X1,X2,X3,X4) )).

cnf(i_0_16491,axiom,
    ( ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | esk191_0 )).

cnf(i_0_16492,axiom,
    ( ~ esk6903_4(X1,X2,X3,X4)
    | esk6904_4(X1,X2,X3,X4) )).

cnf(i_0_16493,axiom,
    ( ~ esk1937_4(X1,X2,X3,X4)
    | esk1936_4(X1,X2,X3,X4) )).

cnf(i_0_16494,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2072_4(X1,X2,X3,X4) )).

cnf(i_0_16495,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | esk1036_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_16496,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4452_4(X1,X2,X3,X4) )).

cnf(i_0_16497,axiom,
    ( esk5951_4(X1,X2,X3,X4)
    | ~ esk8051_4(X1,X2,X3,X4) )).

cnf(i_0_16498,axiom,
    ( esk9177_4(X1,X2,X3,X4)
    | ~ esk7077_4(X1,X2,X3,X4) )).

cnf(i_0_16499,axiom,
    ( ~ esk2215_4(X1,X2,X3,X4)
    | esk2217_4(X1,X2,X3,X4) )).

cnf(i_0_16500,axiom,
    ( ~ esk6250_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_16501,axiom,
    ( ~ esk3339_4(X1,X2,X3,X4)
    | ~ esk2674_4(X1,X2,X3,X4)
    | esk3340_4(X1,X2,X3,X4) )).

cnf(i_0_16502,axiom,
    ( esk4092_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | esk4091_4(X1,X2,X3,X4) )).

cnf(i_0_16503,axiom,
    ( ~ esk6393_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_16504,axiom,
    ( ~ esk5064_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_16505,axiom,
    ( ~ esk1754_4(X1,X2,X3,X4)
    | p(X2)
    | esk198_0
    | p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_16506,axiom,
    ( esk4653_4(X1,X2,X3,X4)
    | ~ esk4708_4(X1,X2,X3,X4) )).

cnf(i_0_16507,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1222_0
    | ~ p(X2)
    | ~ p(X4)
    | esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_16508,axiom,
    ( ~ esk2042_4(X1,X2,X3,X4)
    | esk2041_4(X1,X2,X3,X4) )).

cnf(i_0_16509,axiom,
    ( esk992_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_16510,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6545_4(X1,X2,X3,X4) )).

cnf(i_0_16511,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7395_4(X1,X2,X3,X4) )).

cnf(i_0_16512,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7175_4(X1,X2,X3,X4) )).

cnf(i_0_16513,axiom,
    ( esk1605_4(X1,X2,X3,X4)
    | esk1606_4(X1,X2,X3,X4)
    | ~ esk1607_4(X1,X2,X3,X4) )).

cnf(i_0_16514,axiom,
    ( ~ esk6174_4(X1,X2,X3,X4)
    | esk6106_4(X1,X2,X3,X4) )).

cnf(i_0_16515,axiom,
    ( esk7807_4(X1,X2,X3,X4)
    | ~ esk7805_4(X1,X2,X3,X4) )).

cnf(i_0_16516,axiom,
    ( p(X2)
    | p(X4)
    | esk8747_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ esk723_0 )).

cnf(i_0_16517,axiom,
    ( esk6363_4(X1,X2,X3,X4)
    | ~ esk6402_4(X1,X2,X3,X4)
    | esk6401_4(X1,X2,X3,X4) )).

cnf(i_0_16518,axiom,
    ( esk9666_4(X1,X2,X3,X4)
    | ~ esk9667_4(X1,X2,X3,X4)
    | esk9665_4(X1,X2,X3,X4) )).

cnf(i_0_16519,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2325_4(X1,X2,X3,X4) )).

cnf(i_0_16520,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk8254_4(X1,X2,X3,X4)
    | ~ esk358_0 )).

cnf(i_0_16521,axiom,
    ( ~ p(X2)
    | ~ esk7939_4(X1,X2,X3,X4)
    | p(X3)
    | esk121_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_16522,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk7451_4(X1,X2,X3,X4) )).

cnf(i_0_16523,axiom,
    ( esk6600_4(X1,X2,X3,X4)
    | esk6599_4(X1,X2,X3,X4)
    | ~ esk6601_4(X1,X2,X3,X4) )).

cnf(i_0_16524,axiom,
    ( ~ esk8779_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4)
    | esk9156_4(X1,X2,X3,X4) )).

cnf(i_0_16525,axiom,
    ( p(X4)
    | esk358_0
    | ~ esk8254_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_16526,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk9590_4(X1,X2,X3,X4)
    | esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_16527,axiom,
    ( esk7541_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_16528,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4101_4(X1,X2,X3,X4) )).

cnf(i_0_16529,axiom,
    ( p(X4)
    | esk893_0
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_16530,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4133_4(X1,X2,X3,X4) )).

cnf(i_0_16531,axiom,
    ( esk8050_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ esk199_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_16532,axiom,
    ( esk5810_4(X1,X2,X3,X4)
    | ~ esk5811_4(X1,X2,X3,X4) )).

cnf(i_0_16533,axiom,
    ( ~ esk5107_4(X1,X2,X3,X4)
    | esk5101_4(X1,X2,X3,X4) )).

cnf(i_0_16534,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk3916_4(X1,X2,X3,X4)
    | esk3911_4(X1,X2,X3,X4) )).

cnf(i_0_16535,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4630_4(X1,X2,X3,X4) )).

cnf(i_0_16536,axiom,
    ( ~ esk203_0
    | esk8050_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_16537,axiom,
    ( esk4399_4(X1,X2,X3,X4)
    | ~ esk4400_4(X1,X2,X3,X4) )).

cnf(i_0_16538,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2187_4(X1,X2,X3,X4) )).

cnf(i_0_16539,axiom,
    ( esk8081_4(X1,X2,X3,X4)
    | ~ esk8080_4(X1,X2,X3,X4) )).

cnf(i_0_16540,axiom,
    ( ~ esk4774_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_16541,axiom,
    ( esk1920_4(X1,X2,X3,X4)
    | ~ esk1921_4(X1,X2,X3,X4) )).

cnf(i_0_16542,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk2_0
    | ~ p(X4) )).

cnf(i_0_16543,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk9238_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1305_0
    | p(X4) )).

cnf(i_0_16544,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7271_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_16545,axiom,
    ( ~ esk8241_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_16546,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk269_0
    | ~ p(X2)
    | ~ esk1842_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_16547,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk740_0
    | p(X2)
    | esk8749_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_16548,axiom,
    ( ~ esk2012_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_16549,axiom,
    ( ~ esk8108_4(X1,X2,X3,X4)
    | esk8110_4(X1,X2,X3,X4) )).

cnf(i_0_16550,axiom,
    ( ~ esk9164_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | esk1044_0
    | p(X4) )).

cnf(i_0_16551,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk8731_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk687_0
    | p(X2) )).

cnf(i_0_16552,axiom,
    ( esk2561_4(X1,X2,X3,X4)
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_16553,axiom,
    ( esk1924_4(X1,X2,X3,X4)
    | ~ esk1925_4(X1,X2,X3,X4) )).

cnf(i_0_16554,axiom,
    ( ~ esk3132_4(X1,X2,X3,X4)
    | esk3134_4(X1,X2,X3,X4) )).

cnf(i_0_16555,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk2453_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk743_0
    | p(X4) )).

cnf(i_0_16556,axiom,
    ( esk5011_4(X1,X2,X3,X4)
    | ~ esk4551_4(X1,X2,X3,X4) )).

cnf(i_0_16557,axiom,
    ( ~ esk7939_4(X1,X2,X3,X4)
    | esk109_0
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_16558,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk895_0
    | ~ p(X4)
    | esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_16559,axiom,
    ( ~ esk2909_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_16560,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ esk788_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_16561,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk1305_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_16562,axiom,
    ( ~ esk7371_4(X1,X2,X3,X4)
    | esk7372_4(X1,X2,X3,X4) )).

cnf(i_0_16563,axiom,
    ( ~ esk1987_4(X1,X2,X3,X4)
    | esk376_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_16564,axiom,
    ( ~ esk1778_4(X1,X2,X3,X4)
    | esk1777_4(X1,X2,X3,X4) )).

cnf(i_0_16565,axiom,
    ( esk4363_4(X1,X2,X3,X4)
    | ~ esk4397_4(X1,X2,X3,X4) )).

cnf(i_0_16566,axiom,
    ( esk8275_4(X1,X2,X3,X4)
    | ~ esk8273_4(X1,X2,X3,X4) )).

cnf(i_0_16567,axiom,
    ( esk6316_4(X1,X2,X3,X4)
    | ~ esk6317_4(X1,X2,X3,X4) )).

cnf(i_0_16568,axiom,
    ( esk3905_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3904_4(X1,X2,X3,X4) )).

cnf(i_0_16569,axiom,
    ( ~ esk7476_4(X1,X2,X3,X4)
    | esk7477_4(X1,X2,X3,X4) )).

cnf(i_0_16570,axiom,
    ( ~ esk9646_4(X1,X2,X3,X4)
    | esk9647_4(X1,X2,X3,X4) )).

cnf(i_0_16571,axiom,
    ( ~ esk6355_4(X1,X2,X3,X4)
    | esk6485_4(X1,X2,X3,X4) )).

cnf(i_0_16572,axiom,
    ( ~ esk5021_4(X1,X2,X3,X4)
    | ~ esk3655_4(X1,X2,X3,X4)
    | esk3656_4(X1,X2,X3,X4) )).

cnf(i_0_16573,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | esk2649_4(X1,X2,X3,X4)
    | ~ esk2590_4(X1,X2,X3,X4) )).

cnf(i_0_16574,axiom,
    ( esk309_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_16575,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3251_4(X1,X2,X3,X4) )).

cnf(i_0_16576,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3772_4(X1,X2,X3,X4) )).

cnf(i_0_16577,axiom,
    ( ~ esk8763_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_16578,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk193_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_16579,axiom,
    ( ~ esk5367_4(X1,X2,X3,X4)
    | esk5337_4(X1,X2,X3,X4) )).

cnf(i_0_16580,axiom,
    ( ~ esk6561_4(X1,X2,X3,X4)
    | esk6562_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_16581,axiom,
    ( esk4913_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4) )).

cnf(i_0_16582,axiom,
    ( ~ esk8253_4(X1,X2,X3,X4)
    | esk7658_4(X1,X2,X3,X4) )).

cnf(i_0_16583,axiom,
    ( ~ p(X2)
    | esk2809_4(X1,X2,X3,X4)
    | ~ esk966_0
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_16584,axiom,
    ( ~ p(X2)
    | ~ esk2803_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk924_0
    | ~ p(X4) )).

cnf(i_0_16585,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk2803_4(X1,X2,X3,X4)
    | p(X3)
    | esk918_0
    | p(X2) )).

cnf(i_0_16586,axiom,
    ( esk4809_4(X1,X2,X3,X4)
    | ~ esk5511_4(X1,X2,X3,X4) )).

cnf(i_0_16587,axiom,
    ( ~ p(X4)
    | ~ esk186_0
    | esk8048_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_16588,axiom,
    ( esk7160_4(X1,X2,X3,X4)
    | ~ esk7159_4(X1,X2,X3,X4) )).

cnf(i_0_16589,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3758_4(X1,X2,X3,X4) )).

cnf(i_0_16590,axiom,
    ( esk8728_4(X1,X2,X3,X4)
    | ~ esk8419_4(X1,X2,X3,X4) )).

cnf(i_0_16591,axiom,
    ( esk7392_4(X1,X2,X3,X4)
    | ~ esk7391_4(X1,X2,X3,X4) )).

cnf(i_0_16592,axiom,
    ( esk4710_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_16593,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3892_4(X1,X2,X3,X4)
    | esk3893_4(X1,X2,X3,X4) )).

cnf(i_0_16594,axiom,
    ( esk7200_4(X1,X2,X3,X4)
    | ~ esk7199_4(X1,X2,X3,X4) )).

cnf(i_0_16595,axiom,
    ( esk7225_4(X1,X2,X3,X4)
    | ~ esk7226_4(X1,X2,X3,X4) )).

cnf(i_0_16596,axiom,
    ( esk1350_0
    | ~ p(X4)
    | ~ esk2958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_16597,axiom,
    ( ~ esk8585_4(X1,X2,X3,X4)
    | esk8320_4(X1,X2,X3,X4) )).

cnf(i_0_16598,axiom,
    ( ~ esk2043_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_16599,axiom,
    ( ~ esk3809_4(X1,X2,X3,X4)
    | esk5017_4(X1,X2,X3,X4) )).

cnf(i_0_16600,axiom,
    ( ~ esk2433_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk2085_4(X1,X2,X3,X4) )).

cnf(i_0_16601,axiom,
    ( esk8750_4(X1,X2,X3,X4)
    | esk7818_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_16602,axiom,
    ( ~ esk2956_4(X1,X2,X3,X4)
    | p(X2)
    | esk1333_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_16603,axiom,
    ( esk5109_4(X1,X2,X3,X4)
    | ~ esk5107_4(X1,X2,X3,X4) )).

cnf(i_0_16604,axiom,
    ( ~ esk8678_4(X1,X2,X3,X4)
    | esk8259_4(X1,X2,X3,X4) )).

cnf(i_0_16605,axiom,
    ( esk9482_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_16606,axiom,
    ( ~ p(X3)
    | ~ esk283_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_16607,axiom,
    ( ~ esk4074_4(X1,X2,X3,X4)
    | esk4075_4(X1,X2,X3,X4)
    | ~ esk4007_4(X1,X2,X3,X4) )).

cnf(i_0_16608,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6101_4(X1,X2,X3,X4) )).

cnf(i_0_16609,axiom,
    ( ~ esk4963_4(X1,X2,X3,X4)
    | esk5542_4(X1,X2,X3,X4)
    | esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_16610,axiom,
    ( ~ esk1591_4(X1,X2,X3,X4)
    | esk2881_4(X1,X2,X3,X4) )).

cnf(i_0_16611,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5508_4(X1,X2,X3,X4) )).

cnf(i_0_16612,axiom,
    ( ~ esk8728_4(X1,X2,X3,X4)
    | esk9570_4(X1,X2,X3,X4) )).

cnf(i_0_16613,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | esk812_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_16614,axiom,
    ( esk7116_4(X1,X2,X3,X4)
    | ~ esk5751_4(X1,X2,X3,X4) )).

cnf(i_0_16615,axiom,
    ( ~ esk4248_4(X1,X2,X3,X4)
    | esk4247_4(X1,X2,X3,X4) )).

cnf(i_0_16616,axiom,
    ( ~ esk9729_4(X1,X2,X3,X4)
    | esk9122_4(X1,X2,X3,X4) )).

cnf(i_0_16617,axiom,
    ( esk2801_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk917_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_16618,axiom,
    ( ~ esk2952_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1320_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_16619,axiom,
    ( esk4547_4(X1,X2,X3,X4)
    | ~ esk4635_4(X1,X2,X3,X4) )).

cnf(i_0_16620,axiom,
    ( ~ esk8429_4(X1,X2,X3,X4)
    | esk8465_4(X1,X2,X3,X4)
    | ~ esk8464_4(X1,X2,X3,X4) )).

cnf(i_0_16621,axiom,
    ( esk2577_4(X1,X2,X3,X4)
    | ~ esk2584_4(X1,X2,X3,X4) )).

cnf(i_0_16622,axiom,
    ( ~ esk5223_4(X1,X2,X3,X4)
    | esk5225_4(X1,X2,X3,X4) )).

cnf(i_0_16623,axiom,
    ( esk4562_4(X1,X2,X3,X4)
    | ~ esk4560_4(X1,X2,X3,X4) )).

cnf(i_0_16624,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk7118_4(X1,X2,X3,X4)
    | esk6022_4(X1,X2,X3,X4) )).

cnf(i_0_16625,axiom,
    ( ~ esk9350_4(X1,X2,X3,X4)
    | esk9347_4(X1,X2,X3,X4) )).

cnf(i_0_16626,axiom,
    ( ~ esk6290_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | esk6186_4(X1,X2,X3,X4) )).

cnf(i_0_16627,axiom,
    ( ~ esk2453_4(X1,X2,X3,X4)
    | esk1517_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_16628,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4448_4(X1,X2,X3,X4) )).

cnf(i_0_16629,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4235_4(X1,X2,X3,X4) )).

cnf(i_0_16630,axiom,
    ( ~ esk3025_4(X1,X2,X3,X4)
    | esk3022_4(X1,X2,X3,X4) )).

cnf(i_0_16631,axiom,
    ( ~ esk9482_4(X1,X2,X3,X4)
    | esk9483_4(X1,X2,X3,X4) )).

cnf(i_0_16632,axiom,
    ( esk7950_4(X1,X2,X3,X4)
    | ~ esk7951_4(X1,X2,X3,X4) )).

cnf(i_0_16633,axiom,
    ( ~ esk2518_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_16634,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8380_4(X1,X2,X3,X4)
    | esk8413_4(X1,X2,X3,X4) )).

cnf(i_0_16635,axiom,
    ( esk8968_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_16636,axiom,
    ( ~ esk4403_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_16637,axiom,
    ( ~ p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk222_0 )).

cnf(i_0_16638,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3383_4(X1,X2,X3,X4) )).

cnf(i_0_16639,axiom,
    ( esk6489_4(X1,X2,X3,X4)
    | ~ esk6490_4(X1,X2,X3,X4) )).

cnf(i_0_16640,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2195_4(X1,X2,X3,X4) )).

cnf(i_0_16641,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8244_4(X1,X2,X3,X4)
    | esk8671_4(X1,X2,X3,X4) )).

cnf(i_0_16642,axiom,
    ( ~ esk9737_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_16643,axiom,
    ( esk1587_4(X1,X2,X3,X4)
    | ~ esk1586_4(X1,X2,X3,X4) )).

cnf(i_0_16644,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk1148_0
    | ~ p(X2)
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_16645,axiom,
    ( esk4159_4(X1,X2,X3,X4)
    | ~ esk3778_4(X1,X2,X3,X4) )).

cnf(i_0_16646,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4851_4(X1,X2,X3,X4) )).

cnf(i_0_16647,axiom,
    ( ~ esk1806_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_16648,axiom,
    ( p(X3)
    | ~ esk1229_0
    | esk2908_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_16649,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk1216_0
    | esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_16650,axiom,
    ( esk4546_4(X1,X2,X3,X4)
    | ~ esk4917_4(X1,X2,X3,X4) )).

cnf(i_0_16651,axiom,
    ( esk5395_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_16652,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk2455_4(X1,X2,X3,X4)
    | esk753_0
    | p(X3)
    | p(X1) )).

cnf(i_0_16653,axiom,
    ( esk6369_4(X1,X2,X3,X4)
    | ~ esk6067_4(X1,X2,X3,X4) )).

cnf(i_0_16654,axiom,
    ( ~ esk1167_0
    | p(X2)
    | ~ p(X1)
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_16655,axiom,
    ( ~ esk9159_4(X1,X2,X3,X4)
    | esk9157_4(X1,X2,X3,X4)
    | esk9158_4(X1,X2,X3,X4)
    | esk9156_4(X1,X2,X3,X4) )).

cnf(i_0_16656,axiom,
    ( esk93_0
    | p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ esk1641_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16657,axiom,
    ( ~ esk2927_4(X1,X2,X3,X4)
    | ~ esk1706_4(X1,X2,X3,X4)
    | esk2928_4(X1,X2,X3,X4) )).

cnf(i_0_16658,axiom,
    ( ~ esk2088_4(X1,X2,X3,X4)
    | esk2406_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_16659,axiom,
    ( esk9083_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk812_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_16660,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk9182_4(X1,X2,X3,X4)
    | esk1161_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_16661,axiom,
    ( ~ esk6842_4(X1,X2,X3,X4)
    | esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_16662,axiom,
    ( ~ p(X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1183_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_16663,axiom,
    ( esk8274_4(X1,X2,X3,X4)
    | esk8273_4(X1,X2,X3,X4)
    | ~ esk8275_4(X1,X2,X3,X4) )).

cnf(i_0_16664,axiom,
    ( esk6180_4(X1,X2,X3,X4)
    | ~ esk6177_4(X1,X2,X3,X4) )).

cnf(i_0_16665,axiom,
    ( esk5329_4(X1,X2,X3,X4)
    | ~ esk5327_4(X1,X2,X3,X4) )).

cnf(i_0_16666,axiom,
    ( ~ esk6344_4(X1,X2,X3,X4)
    | esk6345_4(X1,X2,X3,X4) )).

cnf(i_0_16667,axiom,
    ( esk1481_4(X1,X2,X3,X4)
    | ~ esk1357_4(X1,X2,X3,X4) )).

cnf(i_0_16668,axiom,
    ( esk5635_4(X1,X2,X3,X4)
    | ~ esk7735_4(X1,X2,X3,X4) )).

cnf(i_0_16669,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4450_4(X1,X2,X3,X4) )).

cnf(i_0_16670,axiom,
    ( ~ esk7075_4(X1,X2,X3,X4)
    | esk5643_4(X1,X2,X3,X4) )).

cnf(i_0_16671,axiom,
    ( ~ esk6096_4(X1,X2,X3,X4)
    | esk6098_4(X1,X2,X3,X4) )).

cnf(i_0_16672,axiom,
    ( ~ esk5517_4(X1,X2,X3,X4)
    | esk5520_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_16673,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk8727_4(X1,X2,X3,X4)
    | ~ esk2_0
    | ~ p(X3) )).

cnf(i_0_16674,axiom,
    ( p(X1)
    | esk1147_0
    | p(X3)
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_16675,axiom,
    ( esk3844_4(X1,X2,X3,X4)
    | ~ esk5944_4(X1,X2,X3,X4) )).

cnf(i_0_16676,axiom,
    ( esk6604_4(X1,X2,X3,X4)
    | ~ esk6605_4(X1,X2,X3,X4)
    | esk6603_4(X1,X2,X3,X4) )).

cnf(i_0_16677,axiom,
    ( ~ esk7658_4(X1,X2,X3,X4)
    | esk7773_4(X1,X2,X3,X4) )).

cnf(i_0_16678,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | ~ esk1574_4(X1,X2,X3,X4) )).

cnf(i_0_16679,axiom,
    ( ~ esk2580_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_16680,axiom,
    ( ~ esk2788_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_16681,axiom,
    ( ~ esk8209_4(X1,X2,X3,X4)
    | esk8206_4(X1,X2,X3,X4)
    | esk8208_4(X1,X2,X3,X4)
    | esk8207_4(X1,X2,X3,X4) )).

cnf(i_0_16682,axiom,
    ( ~ esk7244_4(X1,X2,X3,X4)
    | esk7243_4(X1,X2,X3,X4)
    | esk7242_4(X1,X2,X3,X4) )).

cnf(i_0_16683,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1905_4(X1,X2,X3,X4) )).

cnf(i_0_16684,axiom,
    ( ~ esk5734_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_16685,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk3045_4(X1,X2,X3,X4) )).

cnf(i_0_16686,axiom,
    ( p(X2)
    | ~ esk8354_4(X1,X2,X3,X4)
    | p(X1)
    | esk408_0
    | p(X4)
    | p(X3) )).

cnf(i_0_16687,axiom,
    ( ~ esk8430_4(X1,X2,X3,X4)
    | ~ esk8381_4(X1,X2,X3,X4)
    | esk8468_4(X1,X2,X3,X4) )).

cnf(i_0_16688,axiom,
    ( esk9181_4(X1,X2,X3,X4)
    | ~ esk9172_4(X1,X2,X3,X4) )).

cnf(i_0_16689,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk2958_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1344_0 )).

cnf(i_0_16690,axiom,
    ( esk8423_4(X1,X2,X3,X4)
    | ~ esk8387_4(X1,X2,X3,X4)
    | esk8424_4(X1,X2,X3,X4) )).

cnf(i_0_16691,axiom,
    ( esk1438_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk4_0
    | p(X2) )).

cnf(i_0_16692,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | esk1174_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_16693,axiom,
    ( esk2652_4(X1,X2,X3,X4)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ esk2651_4(X1,X2,X3,X4) )).

cnf(i_0_16694,axiom,
    ( esk7335_4(X1,X2,X3,X4)
    | ~ esk7332_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_16695,axiom,
    ( ~ esk6907_4(X1,X2,X3,X4)
    | esk6908_4(X1,X2,X3,X4) )).

cnf(i_0_16696,axiom,
    ( ~ esk5716_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_16697,axiom,
    ( esk4548_4(X1,X2,X3,X4)
    | ~ esk4087_4(X1,X2,X3,X4) )).

cnf(i_0_16698,axiom,
    ( esk9091_4(X1,X2,X3,X4)
    | ~ esk9044_4(X1,X2,X3,X4) )).

cnf(i_0_16699,axiom,
    ( ~ esk6452_4(X1,X2,X3,X4)
    | esk6454_4(X1,X2,X3,X4) )).

cnf(i_0_16700,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1487_4(X1,X2,X3,X4) )).

cnf(i_0_16701,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1491_4(X1,X2,X3,X4) )).

cnf(i_0_16702,axiom,
    ( esk6480_4(X1,X2,X3,X4)
    | ~ esk6512_4(X1,X2,X3,X4) )).

cnf(i_0_16703,axiom,
    ( ~ esk811_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_16704,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk8717_4(X1,X2,X3,X4)
    | p(X2)
    | esk581_0
    | p(X4) )).

cnf(i_0_16705,axiom,
    ( esk5560_4(X1,X2,X3,X4)
    | ~ esk6117_4(X1,X2,X3,X4) )).

cnf(i_0_16706,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk2453_4(X1,X2,X3,X4)
    | p(X4)
    | esk747_0 )).

cnf(i_0_16707,axiom,
    ( esk1303_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16708,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9258_4(X1,X2,X3,X4) )).

cnf(i_0_16709,axiom,
    ( esk9162_4(X1,X2,X3,X4)
    | esk8073_4(X1,X2,X3,X4)
    | ~ esk8130_4(X1,X2,X3,X4) )).

cnf(i_0_16710,axiom,
    ( esk9368_4(X1,X2,X3,X4)
    | ~ esk9369_4(X1,X2,X3,X4) )).

cnf(i_0_16711,axiom,
    ( ~ p(X3)
    | esk8749_4(X1,X2,X3,X4)
    | ~ esk749_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_16712,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | esk4019_4(X1,X2,X3,X4) )).

cnf(i_0_16713,axiom,
    ( ~ esk8382_4(X1,X2,X3,X4)
    | esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_16714,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk8617_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_16715,axiom,
    ( ~ esk3686_4(X1,X2,X3,X4)
    | esk3685_4(X1,X2,X3,X4)
    | esk3684_4(X1,X2,X3,X4) )).

cnf(i_0_16716,axiom,
    ( esk5674_4(X1,X2,X3,X4)
    | ~ esk5559_4(X1,X2,X3,X4) )).

cnf(i_0_16717,axiom,
    ( esk2749_4(X1,X2,X3,X4)
    | ~ esk3326_4(X1,X2,X3,X4)
    | ~ esk2748_4(X1,X2,X3,X4) )).

cnf(i_0_16718,axiom,
    ( ~ esk5376_4(X1,X2,X3,X4)
    | esk3973_4(X1,X2,X3,X4)
    | esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_16719,axiom,
    ( ~ esk6701_4(X1,X2,X3,X4)
    | esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_16720,axiom,
    ( esk1995_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk388_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_16721,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | esk2841_4(X1,X2,X3,X4) )).

cnf(i_0_16722,axiom,
    ( ~ esk5864_4(X1,X2,X3,X4)
    | esk5863_4(X1,X2,X3,X4) )).

cnf(i_0_16723,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk80_0
    | p(X2)
    | ~ p(X4)
    | ~ esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_16724,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2234_4(X1,X2,X3,X4) )).

cnf(i_0_16725,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk2989_4(X1,X2,X3,X4) )).

cnf(i_0_16726,axiom,
    ( esk8279_4(X1,X2,X3,X4)
    | ~ esk8278_4(X1,X2,X3,X4) )).

cnf(i_0_16727,axiom,
    ( ~ esk5646_4(X1,X2,X3,X4)
    | ~ esk7100_4(X1,X2,X3,X4)
    | esk5647_4(X1,X2,X3,X4) )).

cnf(i_0_16728,axiom,
    ( ~ esk6076_4(X1,X2,X3,X4)
    | ~ esk6765_4(X1,X2,X3,X4) )).

cnf(i_0_16729,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1928_4(X1,X2,X3,X4) )).

cnf(i_0_16730,axiom,
    ( esk7124_4(X1,X2,X3,X4)
    | ~ esk7123_4(X1,X2,X3,X4) )).

cnf(i_0_16731,axiom,
    ( esk5001_4(X1,X2,X3,X4)
    | ~ esk5000_4(X1,X2,X3,X4) )).

cnf(i_0_16732,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ esk2661_4(X1,X2,X3,X4) )).

cnf(i_0_16733,axiom,
    ( esk5437_4(X1,X2,X3,X4)
    | ~ esk5435_4(X1,X2,X3,X4) )).

cnf(i_0_16734,axiom,
    ( esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_16735,axiom,
    ( ~ esk2410_4(X1,X2,X3,X4)
    | esk2411_4(X1,X2,X3,X4) )).

cnf(i_0_16736,axiom,
    ( ~ esk8159_4(X1,X2,X3,X4)
    | esk8139_4(X1,X2,X3,X4) )).

cnf(i_0_16737,axiom,
    ( ~ esk5304_4(X1,X2,X3,X4)
    | esk5301_4(X1,X2,X3,X4) )).

cnf(i_0_16738,axiom,
    ( esk184_0
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_16739,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2016_4(X1,X2,X3,X4) )).

cnf(i_0_16740,axiom,
    ( esk5032_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_16741,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4)
    | esk289_0
    | ~ p(X3) )).

cnf(i_0_16742,axiom,
    ( p(X3)
    | esk202_0
    | p(X1)
    | ~ p(X2)
    | ~ esk1754_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_16743,axiom,
    ( esk5578_4(X1,X2,X3,X4)
    | ~ esk6333_4(X1,X2,X3,X4) )).

cnf(i_0_16744,axiom,
    ( ~ esk8604_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8200_4(X1,X2,X3,X4) )).

cnf(i_0_16745,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7779_4(X1,X2,X3,X4)
    | esk7810_4(X1,X2,X3,X4) )).

cnf(i_0_16746,axiom,
    ( p(X3)
    | ~ esk14_0
    | ~ p(X2)
    | esk1438_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_16747,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | esk3667_4(X1,X2,X3,X4) )).

cnf(i_0_16748,axiom,
    ( esk5450_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_16749,axiom,
    ( ~ esk1577_4(X1,X2,X3,X4)
    | esk2868_4(X1,X2,X3,X4) )).

cnf(i_0_16750,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3815_4(X1,X2,X3,X4) )).

cnf(i_0_16751,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6553_4(X1,X2,X3,X4) )).

cnf(i_0_16752,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk339_0
    | esk1955_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_16753,axiom,
    ( esk7580_4(X1,X2,X3,X4)
    | ~ esk6931_4(X1,X2,X3,X4) )).

cnf(i_0_16754,axiom,
    ( ~ esk5312_4(X1,X2,X3,X4)
    | esk5313_4(X1,X2,X3,X4) )).

cnf(i_0_16755,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | ~ esk3633_4(X1,X2,X3,X4) )).

cnf(i_0_16756,axiom,
    ( esk1373_4(X1,X2,X3,X4)
    | ~ esk2247_4(X1,X2,X3,X4) )).

cnf(i_0_16757,axiom,
    ( ~ esk5320_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_16758,axiom,
    ( esk7123_4(X1,X2,X3,X4)
    | esk7122_4(X1,X2,X3,X4)
    | ~ esk7124_4(X1,X2,X3,X4) )).

cnf(i_0_16759,axiom,
    ( ~ p(X3)
    | esk8138_4(X1,X2,X3,X4)
    | ~ esk265_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_16760,axiom,
    ( ~ esk4638_4(X1,X2,X3,X4)
    | esk4640_4(X1,X2,X3,X4) )).

cnf(i_0_16761,axiom,
    ( ~ esk2502_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_16762,axiom,
    ( esk2388_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_16763,axiom,
    ( esk9161_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | esk9160_4(X1,X2,X3,X4) )).

cnf(i_0_16764,axiom,
    ( esk3122_4(X1,X2,X3,X4)
    | ~ esk3120_4(X1,X2,X3,X4) )).

cnf(i_0_16765,axiom,
    ( esk3236_4(X1,X2,X3,X4)
    | ~ esk3235_4(X1,X2,X3,X4)
    | ~ esk3222_4(X1,X2,X3,X4) )).

cnf(i_0_16766,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | esk693_0
    | ~ esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_16767,axiom,
    ( esk2558_4(X1,X2,X3,X4)
    | ~ esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_16768,axiom,
    ( esk5180_4(X1,X2,X3,X4)
    | ~ esk5177_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_16769,axiom,
    ( ~ esk322_0
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_16770,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7595_4(X1,X2,X3,X4) )).

cnf(i_0_16771,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | ~ esk1420_4(X1,X2,X3,X4) )).

cnf(i_0_16772,axiom,
    ( ~ esk2201_4(X1,X2,X3,X4)
    | esk2202_4(X1,X2,X3,X4) )).

cnf(i_0_16773,axiom,
    ( ~ p(X1)
    | ~ esk509_0
    | p(X4)
    | esk2251_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_16774,axiom,
    ( ~ esk3840_4(X1,X2,X3,X4)
    | esk3839_4(X1,X2,X3,X4) )).

cnf(i_0_16775,axiom,
    ( esk3433_4(X1,X2,X3,X4)
    | ~ esk2825_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_16776,axiom,
    ( esk2421_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk579_0
    | ~ p(X2) )).

cnf(i_0_16777,axiom,
    ( esk5473_4(X1,X2,X3,X4)
    | ~ esk5471_4(X1,X2,X3,X4) )).

cnf(i_0_16778,axiom,
    ( ~ esk7048_4(X1,X2,X3,X4)
    | esk7047_4(X1,X2,X3,X4) )).

cnf(i_0_16779,axiom,
    ( ~ esk2916_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk1655_4(X1,X2,X3,X4) )).

cnf(i_0_16780,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9544_4(X1,X2,X3,X4) )).

cnf(i_0_16781,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk410_0
    | p(X2)
    | p(X1)
    | ~ esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_16782,axiom,
    ( esk2194_4(X1,X2,X3,X4)
    | ~ esk2192_4(X1,X2,X3,X4) )).

cnf(i_0_16783,axiom,
    ( ~ esk3185_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16784,axiom,
    ( esk8561_4(X1,X2,X3,X4)
    | ~ esk8595_4(X1,X2,X3,X4) )).

cnf(i_0_16785,axiom,
    ( esk8011_4(X1,X2,X3,X4)
    | ~ esk9249_4(X1,X2,X3,X4) )).

cnf(i_0_16786,axiom,
    ( esk5238_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_16787,axiom,
    ( ~ esk5098_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5099_4(X1,X2,X3,X4) )).

cnf(i_0_16788,axiom,
    ( ~ esk2497_4(X1,X2,X3,X4)
    | esk2499_4(X1,X2,X3,X4) )).

cnf(i_0_16789,axiom,
    ( ~ esk3902_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_16790,axiom,
    ( ~ esk8711_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_16791,axiom,
    ( ~ esk9324_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_16792,axiom,
    ( ~ p(X4)
    | esk1955_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk345_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_16793,axiom,
    ( esk4192_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_16794,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk977_0
    | ~ p(X3) )).

cnf(i_0_16795,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk2_0
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_16796,axiom,
    ( ~ esk4064_4(X1,X2,X3,X4)
    | esk4065_4(X1,X2,X3,X4) )).

cnf(i_0_16797,axiom,
    ( esk6911_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_16798,axiom,
    ( esk3088_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk3087_4(X1,X2,X3,X4) )).

cnf(i_0_16799,axiom,
    ( esk9647_4(X1,X2,X3,X4)
    | ~ esk9058_4(X1,X2,X3,X4) )).

cnf(i_0_16800,axiom,
    ( ~ p(X3)
    | ~ esk7812_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk92_0
    | ~ p(X2) )).

cnf(i_0_16801,axiom,
    ( ~ esk6138_4(X1,X2,X3,X4)
    | esk6139_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_16802,axiom,
    ( esk2104_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16803,axiom,
    ( ~ esk8637_4(X1,X2,X3,X4)
    | esk8639_4(X1,X2,X3,X4) )).

cnf(i_0_16804,axiom,
    ( ~ esk6341_4(X1,X2,X3,X4)
    | esk6339_4(X1,X2,X3,X4)
    | esk6340_4(X1,X2,X3,X4) )).

cnf(i_0_16805,axiom,
    ( esk9179_4(X1,X2,X3,X4)
    | ~ esk7886_4(X1,X2,X3,X4) )).

cnf(i_0_16806,axiom,
    ( esk5928_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5894_4(X1,X2,X3,X4) )).

cnf(i_0_16807,axiom,
    ( esk8376_4(X1,X2,X3,X4)
    | ~ esk8374_4(X1,X2,X3,X4) )).

cnf(i_0_16808,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5300_4(X1,X2,X3,X4) )).

cnf(i_0_16809,axiom,
    ( ~ esk1769_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16810,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | esk8955_4(X1,X2,X3,X4) )).

cnf(i_0_16811,axiom,
    ( esk8156_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk285_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_16812,axiom,
    ( ~ esk1844_4(X1,X2,X3,X4)
    | esk1846_4(X1,X2,X3,X4) )).

cnf(i_0_16813,axiom,
    ( ~ p(X3)
    | esk2793_4(X1,X2,X3,X4)
    | ~ esk845_0
    | ~ p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_16814,axiom,
    ( ~ esk291_0
    | esk1874_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_16815,axiom,
    ( ~ esk7350_4(X1,X2,X3,X4)
    | esk7349_4(X1,X2,X3,X4) )).

cnf(i_0_16816,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1967_4(X1,X2,X3,X4) )).

cnf(i_0_16817,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk33_0
    | esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_16818,axiom,
    ( ~ esk8585_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | esk523_0 )).

cnf(i_0_16819,axiom,
    ( esk3126_4(X1,X2,X3,X4)
    | ~ esk3125_4(X1,X2,X3,X4) )).

cnf(i_0_16820,axiom,
    ( esk8186_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_16821,axiom,
    ( esk9522_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_16822,axiom,
    ( p(X3)
    | esk745_0
    | p(X2)
    | p(X4)
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_16823,axiom,
    ( ~ esk2789_4(X1,X2,X3,X4)
    | esk824_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_16824,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4865_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_16825,axiom,
    ( esk1565_4(X1,X2,X3,X4)
    | ~ esk1567_4(X1,X2,X3,X4)
    | esk1566_4(X1,X2,X3,X4) )).

cnf(i_0_16826,axiom,
    ( ~ p(X3)
    | esk1_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_16827,axiom,
    ( esk3871_4(X1,X2,X3,X4)
    | ~ esk3964_4(X1,X2,X3,X4) )).

cnf(i_0_16828,axiom,
    ( ~ esk2650_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3417_4(X1,X2,X3,X4) )).

cnf(i_0_16829,axiom,
    ( ~ esk2271_4(X1,X2,X3,X4)
    | esk2272_4(X1,X2,X3,X4) )).

cnf(i_0_16830,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk8719_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk2_0
    | ~ p(X2) )).

cnf(i_0_16831,axiom,
    ( esk4935_4(X1,X2,X3,X4)
    | ~ esk4934_4(X1,X2,X3,X4) )).

cnf(i_0_16832,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk747_0
    | esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_16833,axiom,
    ( ~ esk5124_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_16834,axiom,
    ( ~ p(X4)
    | ~ esk95_0
    | ~ p(X3)
    | esk1641_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_16835,axiom,
    ( esk7332_4(X1,X2,X3,X4)
    | ~ esk7335_4(X1,X2,X3,X4) )).

cnf(i_0_16836,axiom,
    ( esk1527_4(X1,X2,X3,X4)
    | ~ esk1529_4(X1,X2,X3,X4)
    | esk1528_4(X1,X2,X3,X4) )).

cnf(i_0_16837,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk1144_0
    | esk2882_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_16838,axiom,
    ( esk5571_4(X1,X2,X3,X4)
    | esk6654_4(X1,X2,X3,X4) )).

cnf(i_0_16839,axiom,
    ( esk1630_4(X1,X2,X3,X4)
    | ~ esk1567_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_16840,axiom,
    ( esk1985_4(X1,X2,X3,X4)
    | ~ esk1950_4(X1,X2,X3,X4) )).

cnf(i_0_16841,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | ~ esk760_0
    | ~ p(X3) )).

cnf(i_0_16842,axiom,
    ( ~ esk6837_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_16843,axiom,
    ( ~ esk6245_4(X1,X2,X3,X4)
    | esk6191_4(X1,X2,X3,X4) )).

cnf(i_0_16844,axiom,
    ( ~ esk147_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk8042_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_16845,axiom,
    ( p(X1)
    | ~ esk1327_0
    | ~ p(X2)
    | p(X3)
    | esk9252_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_16846,axiom,
    ( esk3581_4(X1,X2,X3,X4)
    | ~ esk3673_4(X1,X2,X3,X4) )).

cnf(i_0_16847,axiom,
    ( esk2512_4(X1,X2,X3,X4)
    | ~ esk2511_4(X1,X2,X3,X4) )).

cnf(i_0_16848,axiom,
    ( p(X3)
    | ~ esk1955_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk336_0
    | p(X1) )).

cnf(i_0_16849,axiom,
    ( esk6311_4(X1,X2,X3,X4)
    | ~ esk6310_4(X1,X2,X3,X4) )).

cnf(i_0_16850,axiom,
    ( esk8129_4(X1,X2,X3,X4)
    | ~ esk8128_4(X1,X2,X3,X4) )).

cnf(i_0_16851,axiom,
    ( esk3406_4(X1,X2,X3,X4)
    | ~ esk3404_4(X1,X2,X3,X4) )).

cnf(i_0_16852,axiom,
    ( ~ esk1578_4(X1,X2,X3,X4)
    | esk1579_4(X1,X2,X3,X4) )).

cnf(i_0_16853,axiom,
    ( ~ esk7493_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_16854,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7201_4(X1,X2,X3,X4) )).

cnf(i_0_16855,axiom,
    ( p(X3)
    | p(X1)
    | esk698_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_16856,axiom,
    ( ~ esk121_0
    | p(X3)
    | ~ p(X2)
    | esk7939_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_16857,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | esk8703_4(X1,X2,X3,X4)
    | ~ esk8385_4(X1,X2,X3,X4) )).

cnf(i_0_16858,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3882_4(X1,X2,X3,X4) )).

cnf(i_0_16859,axiom,
    ( esk1743_4(X1,X2,X3,X4)
    | ~ esk1742_4(X1,X2,X3,X4) )).

cnf(i_0_16860,axiom,
    ( esk2412_4(X1,X2,X3,X4)
    | ~ esk2413_4(X1,X2,X3,X4) )).

cnf(i_0_16861,axiom,
    ( ~ esk1617_4(X1,X2,X3,X4)
    | esk1619_4(X1,X2,X3,X4) )).

cnf(i_0_16862,axiom,
    ( esk2285_4(X1,X2,X3,X4)
    | ~ esk2284_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_16863,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7463_4(X1,X2,X3,X4) )).

cnf(i_0_16864,axiom,
    ( esk7205_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_16865,axiom,
    ( esk1445_4(X1,X2,X3,X4)
    | ~ esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_16866,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk1060_0
    | esk2870_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_16867,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | esk7816_4(X1,X2,X3,X4) )).

cnf(i_0_16868,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk691_0
    | esk8731_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_16869,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6130_4(X1,X2,X3,X4)
    | esk6131_4(X1,X2,X3,X4) )).

cnf(i_0_16870,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5184_4(X1,X2,X3,X4) )).

cnf(i_0_16871,axiom,
    ( esk6860_4(X1,X2,X3,X4)
    | ~ esk7514_4(X1,X2,X3,X4) )).

cnf(i_0_16872,axiom,
    ( p(X2)
    | ~ esk1295_0
    | esk9238_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_16873,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7399_4(X1,X2,X3,X4) )).

cnf(i_0_16874,axiom,
    ( esk2930_4(X1,X2,X3,X4)
    | ~ esk2929_4(X1,X2,X3,X4) )).

cnf(i_0_16875,axiom,
    ( ~ esk5648_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_16876,axiom,
    ( ~ esk3779_4(X1,X2,X3,X4)
    | esk3950_4(X1,X2,X3,X4) )).

cnf(i_0_16877,axiom,
    ( ~ esk6670_4(X1,X2,X3,X4)
    | esk6672_4(X1,X2,X3,X4) )).

cnf(i_0_16878,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk1094_0
    | ~ p(X3)
    | ~ p(X1)
    | esk9170_4(X1,X2,X3,X4) )).

cnf(i_0_16879,axiom,
    ( esk7892_4(X1,X2,X3,X4)
    | ~ esk7890_4(X1,X2,X3,X4) )).

cnf(i_0_16880,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | esk3651_4(X1,X2,X3,X4) )).

cnf(i_0_16881,axiom,
    ( ~ esk3400_4(X1,X2,X3,X4)
    | esk3399_4(X1,X2,X3,X4) )).

cnf(i_0_16882,axiom,
    ( ~ esk4933_4(X1,X2,X3,X4)
    | esk4932_4(X1,X2,X3,X4) )).

cnf(i_0_16883,axiom,
    ( esk5057_4(X1,X2,X3,X4)
    | esk3872_4(X1,X2,X3,X4) )).

cnf(i_0_16884,axiom,
    ( esk3264_4(X1,X2,X3,X4)
    | esk3265_4(X1,X2,X3,X4)
    | ~ esk3266_4(X1,X2,X3,X4) )).

cnf(i_0_16885,axiom,
    ( esk5277_4(X1,X2,X3,X4)
    | ~ esk5276_4(X1,X2,X3,X4) )).

cnf(i_0_16886,axiom,
    ( ~ esk1239_0
    | esk9210_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_16887,axiom,
    ( esk1477_4(X1,X2,X3,X4)
    | ~ esk1645_4(X1,X2,X3,X4) )).

cnf(i_0_16888,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk5034_4(X1,X2,X3,X4) )).

cnf(i_0_16889,axiom,
    ( ~ esk6899_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_16890,axiom,
    ( esk5141_4(X1,X2,X3,X4)
    | ~ esk5140_4(X1,X2,X3,X4) )).

cnf(i_0_16891,axiom,
    ( ~ p(X2)
    | esk781_0
    | ~ p(X4)
    | ~ esk8778_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_16892,axiom,
    ( esk5266_4(X1,X2,X3,X4)
    | ~ esk5267_4(X1,X2,X3,X4) )).

cnf(i_0_16893,axiom,
    ( ~ esk2474_4(X1,X2,X3,X4)
    | esk2473_4(X1,X2,X3,X4)
    | esk2472_4(X1,X2,X3,X4) )).

cnf(i_0_16894,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk175_0
    | p(X4)
    | esk1750_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_16895,axiom,
    ( esk5888_4(X1,X2,X3,X4)
    | ~ esk6060_4(X1,X2,X3,X4) )).

cnf(i_0_16896,axiom,
    ( ~ esk334_0
    | p(X4)
    | p(X1)
    | esk1955_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_16897,axiom,
    ( esk43_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_16898,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4479_4(X1,X2,X3,X4) )).

cnf(i_0_16899,axiom,
    ( ~ esk4480_4(X1,X2,X3,X4)
    | esk4479_4(X1,X2,X3,X4) )).

cnf(i_0_16900,axiom,
    ( esk9483_4(X1,X2,X3,X4)
    | ~ esk9481_4(X1,X2,X3,X4) )).

cnf(i_0_16901,axiom,
    ( esk6515_4(X1,X2,X3,X4)
    | ~ esk6514_4(X1,X2,X3,X4)
    | esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_16902,axiom,
    ( esk7292_4(X1,X2,X3,X4)
    | ~ esk7290_4(X1,X2,X3,X4) )).

cnf(i_0_16903,axiom,
    ( ~ esk8695_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_16904,axiom,
    ( ~ esk4524_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk4341_4(X1,X2,X3,X4) )).

cnf(i_0_16905,axiom,
    ( esk7933_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_16906,axiom,
    ( ~ esk9687_4(X1,X2,X3,X4)
    | esk9034_4(X1,X2,X3,X4)
    | ~ esk9033_4(X1,X2,X3,X4) )).

cnf(i_0_16907,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2191_4(X1,X2,X3,X4) )).

cnf(i_0_16908,axiom,
    ( esk5143_4(X1,X2,X3,X4)
    | ~ esk5145_4(X1,X2,X3,X4)
    | esk5144_4(X1,X2,X3,X4) )).

cnf(i_0_16909,axiom,
    ( esk4486_4(X1,X2,X3,X4)
    | ~ esk4485_4(X1,X2,X3,X4) )).

cnf(i_0_16910,axiom,
    ( esk3187_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16911,axiom,
    ( esk2663_4(X1,X2,X3,X4)
    | ~ esk2664_4(X1,X2,X3,X4) )).

cnf(i_0_16912,axiom,
    ( ~ esk8011_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_16913,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | ~ esk1345_0
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_16914,axiom,
    ( esk7252_4(X1,X2,X3,X4)
    | ~ esk7250_4(X1,X2,X3,X4) )).

cnf(i_0_16915,axiom,
    ( esk2210_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_16916,axiom,
    ( esk6733_4(X1,X2,X3,X4)
    | ~ esk6735_4(X1,X2,X3,X4)
    | esk6734_4(X1,X2,X3,X4) )).

cnf(i_0_16917,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6934_4(X1,X2,X3,X4) )).

cnf(i_0_16918,axiom,
    ( ~ esk1433_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16919,axiom,
    ( ~ esk2590_4(X1,X2,X3,X4)
    | esk2588_4(X1,X2,X3,X4)
    | esk2589_4(X1,X2,X3,X4) )).

cnf(i_0_16920,axiom,
    ( esk2626_4(X1,X2,X3,X4)
    | ~ esk2624_4(X1,X2,X3,X4) )).

cnf(i_0_16921,axiom,
    ( esk90_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk7812_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_16922,axiom,
    ( esk7763_4(X1,X2,X3,X4)
    | ~ esk7762_4(X1,X2,X3,X4)
    | ~ esk8020_4(X1,X2,X3,X4) )).

cnf(i_0_16923,axiom,
    ( ~ esk9131_4(X1,X2,X3,X4)
    | esk9125_4(X1,X2,X3,X4) )).

cnf(i_0_16924,axiom,
    ( ~ esk8504_4(X1,X2,X3,X4)
    | esk8467_4(X1,X2,X3,X4) )).

cnf(i_0_16925,axiom,
    ( ~ esk3973_4(X1,X2,X3,X4)
    | esk5376_4(X1,X2,X3,X4) )).

cnf(i_0_16926,axiom,
    ( esk6127_4(X1,X2,X3,X4)
    | ~ esk6126_4(X1,X2,X3,X4)
    | ~ esk6532_4(X1,X2,X3,X4) )).

cnf(i_0_16927,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk309_0 )).

cnf(i_0_16928,axiom,
    ( ~ esk2387_4(X1,X2,X3,X4)
    | esk2422_4(X1,X2,X3,X4) )).

cnf(i_0_16929,axiom,
    ( ~ esk1637_4(X1,X2,X3,X4)
    | esk1636_4(X1,X2,X3,X4) )).

cnf(i_0_16930,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk1221_0
    | esk2908_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_16931,axiom,
    ( ~ esk9000_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_16932,axiom,
    ( ~ esk9628_4(X1,X2,X3,X4)
    | esk9629_4(X1,X2,X3,X4)
    | ~ esk8967_4(X1,X2,X3,X4) )).

cnf(i_0_16933,axiom,
    ( esk4338_4(X1,X2,X3,X4)
    | ~ esk4303_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_16934,axiom,
    ( ~ esk3778_4(X1,X2,X3,X4)
    | ~ esk4600_4(X1,X2,X3,X4) )).

cnf(i_0_16935,axiom,
    ( ~ esk7890_4(X1,X2,X3,X4)
    | esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_16936,axiom,
    ( esk1522_4(X1,X2,X3,X4)
    | esk1521_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_16937,axiom,
    ( esk1712_4(X1,X2,X3,X4)
    | ~ esk2935_4(X1,X2,X3,X4) )).

cnf(i_0_16938,axiom,
    ( esk3277_4(X1,X2,X3,X4)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_16939,axiom,
    ( esk9343_4(X1,X2,X3,X4)
    | ~ esk9341_4(X1,X2,X3,X4) )).

cnf(i_0_16940,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | ~ esk4548_4(X1,X2,X3,X4)
    | esk4540_4(X1,X2,X3,X4) )).

cnf(i_0_16941,axiom,
    ( esk3537_4(X1,X2,X3,X4)
    | esk4965_4(X1,X2,X3,X4) )).

cnf(i_0_16942,axiom,
    ( esk5708_4(X1,X2,X3,X4)
    | ~ esk5706_4(X1,X2,X3,X4) )).

cnf(i_0_16943,axiom,
    ( ~ esk4792_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_16944,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7852_4(X1,X2,X3,X4)
    | esk7915_4(X1,X2,X3,X4) )).

cnf(i_0_16945,axiom,
    ( ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk526_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_16946,axiom,
    ( p(X4)
    | esk243_0
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_16947,axiom,
    ( esk6238_4(X1,X2,X3,X4)
    | ~ esk6237_4(X1,X2,X3,X4) )).

cnf(i_0_16948,axiom,
    ( esk1678_4(X1,X2,X3,X4)
    | ~ esk1679_4(X1,X2,X3,X4) )).

cnf(i_0_16949,axiom,
    ( ~ esk1905_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_16950,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2286_4(X1,X2,X3,X4) )).

cnf(i_0_16951,axiom,
    ( esk4598_4(X1,X2,X3,X4)
    | ~ esk4596_4(X1,X2,X3,X4) )).

cnf(i_0_16952,axiom,
    ( esk7673_4(X1,X2,X3,X4)
    | ~ esk8587_4(X1,X2,X3,X4) )).

cnf(i_0_16953,axiom,
    ( esk9085_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk819_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_16954,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk2482_4(X1,X2,X3,X4)
    | esk773_0 )).

cnf(i_0_16955,axiom,
    ( ~ esk5751_4(X1,X2,X3,X4)
    | esk5750_4(X1,X2,X3,X4) )).

cnf(i_0_16956,axiom,
    ( esk1586_4(X1,X2,X3,X4)
    | esk1585_4(X1,X2,X3,X4)
    | ~ esk1587_4(X1,X2,X3,X4) )).

cnf(i_0_16957,axiom,
    ( p(X2)
    | ~ esk1167_0
    | ~ p(X4)
    | p(X3)
    | esk9182_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_16958,axiom,
    ( esk3375_4(X1,X2,X3,X4)
    | ~ esk3376_4(X1,X2,X3,X4) )).

cnf(i_0_16959,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8363_4(X1,X2,X3,X4) )).

cnf(i_0_16960,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | esk1260_0
    | ~ esk2918_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_16961,axiom,
    ( ~ esk8222_4(X1,X2,X3,X4)
    | esk8224_4(X1,X2,X3,X4) )).

cnf(i_0_16962,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2313_4(X1,X2,X3,X4) )).

cnf(i_0_16963,axiom,
    ( esk8679_4(X1,X2,X3,X4)
    | esk8678_4(X1,X2,X3,X4)
    | ~ esk8680_4(X1,X2,X3,X4) )).

cnf(i_0_16964,axiom,
    ( ~ esk6298_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_16965,axiom,
    ( esk2706_4(X1,X2,X3,X4)
    | ~ esk3404_4(X1,X2,X3,X4) )).

cnf(i_0_16966,axiom,
    ( esk2635_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_16967,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8658_4(X1,X2,X3,X4) )).

cnf(i_0_16968,axiom,
    ( esk270_0
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_16969,axiom,
    ( esk9589_4(X1,X2,X3,X4)
    | ~ esk8926_4(X1,X2,X3,X4) )).

cnf(i_0_16970,axiom,
    ( ~ esk9139_4(X1,X2,X3,X4)
    | esk9151_4(X1,X2,X3,X4) )).

cnf(i_0_16971,axiom,
    ( ~ esk6449_4(X1,X2,X3,X4)
    | esk5617_4(X1,X2,X3,X4) )).

cnf(i_0_16972,axiom,
    ( ~ p(X2)
    | ~ esk166_0
    | esk8044_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_16973,axiom,
    ( esk8385_4(X1,X2,X3,X4)
    | ~ esk8384_4(X1,X2,X3,X4) )).

cnf(i_0_16974,axiom,
    ( ~ esk568_0
    | ~ p(X3)
    | ~ p(X1)
    | esk2419_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_16975,axiom,
    ( esk2437_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk697_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_16976,axiom,
    ( esk9486_4(X1,X2,X3,X4)
    | ~ esk9487_4(X1,X2,X3,X4)
    | esk9485_4(X1,X2,X3,X4) )).

cnf(i_0_16977,axiom,
    ( ~ esk6687_4(X1,X2,X3,X4)
    | esk6450_4(X1,X2,X3,X4) )).

cnf(i_0_16978,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2546_4(X1,X2,X3,X4) )).

cnf(i_0_16979,axiom,
    ( ~ esk7289_4(X1,X2,X3,X4)
    | esk7290_4(X1,X2,X3,X4)
    | ~ esk7284_4(X1,X2,X3,X4) )).

cnf(i_0_16980,axiom,
    ( ~ p(X2)
    | ~ esk2419_4(X1,X2,X3,X4)
    | esk569_0
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_16981,axiom,
    ( ~ esk9230_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_16982,axiom,
    ( ~ esk3474_4(X1,X2,X3,X4)
    | ~ esk3862_4(X1,X2,X3,X4) )).

cnf(i_0_16983,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk5385_4(X1,X2,X3,X4)
    | esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_16984,axiom,
    ( ~ esk3632_4(X1,X2,X3,X4)
    | esk3834_4(X1,X2,X3,X4) )).

cnf(i_0_16985,axiom,
    ( p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk1101_0
    | ~ p(X2) )).

cnf(i_0_16986,axiom,
    ( ~ esk8965_4(X1,X2,X3,X4)
    | esk8967_4(X1,X2,X3,X4) )).

cnf(i_0_16987,axiom,
    ( esk6612_4(X1,X2,X3,X4)
    | esk6611_4(X1,X2,X3,X4)
    | ~ esk6613_4(X1,X2,X3,X4) )).

cnf(i_0_16988,axiom,
    ( esk7311_4(X1,X2,X3,X4)
    | ~ esk7312_4(X1,X2,X3,X4)
    | esk7310_4(X1,X2,X3,X4) )).

cnf(i_0_16989,axiom,
    ( ~ esk8704_4(X1,X2,X3,X4)
    | esk8702_4(X1,X2,X3,X4)
    | esk8703_4(X1,X2,X3,X4) )).

cnf(i_0_16990,axiom,
    ( esk5846_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_16991,axiom,
    ( ~ esk6563_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_16992,axiom,
    ( ~ esk8397_4(X1,X2,X3,X4)
    | esk8398_4(X1,X2,X3,X4) )).

cnf(i_0_16993,axiom,
    ( esk7150_4(X1,X2,X3,X4)
    | ~ esk5831_4(X1,X2,X3,X4) )).

cnf(i_0_16994,axiom,
    ( esk5920_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_16995,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4843_4(X1,X2,X3,X4) )).

cnf(i_0_16996,axiom,
    ( ~ esk4752_4(X1,X2,X3,X4)
    | esk4599_4(X1,X2,X3,X4) )).

cnf(i_0_16997,axiom,
    ( esk8633_4(X1,X2,X3,X4)
    | ~ esk8635_4(X1,X2,X3,X4)
    | esk8634_4(X1,X2,X3,X4) )).

cnf(i_0_16998,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6336_4(X1,X2,X3,X4) )).

cnf(i_0_16999,axiom,
    ( ~ esk5200_4(X1,X2,X3,X4)
    | esk5201_4(X1,X2,X3,X4) )).

cnf(i_0_17000,axiom,
    ( esk7633_4(X1,X2,X3,X4)
    | esk7013_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_17001,axiom,
    ( esk2143_4(X1,X2,X3,X4)
    | ~ esk2141_4(X1,X2,X3,X4) )).

cnf(i_0_17002,axiom,
    ( esk6415_4(X1,X2,X3,X4)
    | ~ esk6413_4(X1,X2,X3,X4) )).

cnf(i_0_17003,axiom,
    ( esk4956_4(X1,X2,X3,X4)
    | esk4955_4(X1,X2,X3,X4)
    | ~ esk4957_4(X1,X2,X3,X4) )).

cnf(i_0_17004,axiom,
    ( esk324_0
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17005,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7265_4(X1,X2,X3,X4) )).

cnf(i_0_17006,axiom,
    ( ~ esk1442_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk1_0
    | p(X2)
    | p(X1) )).

cnf(i_0_17007,axiom,
    ( esk6756_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_17008,axiom,
    ( esk5334_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_17009,axiom,
    ( esk1860_4(X1,X2,X3,X4)
    | ~ esk1393_4(X1,X2,X3,X4) )).

cnf(i_0_17010,axiom,
    ( esk8028_4(X1,X2,X3,X4)
    | ~ esk8026_4(X1,X2,X3,X4) )).

cnf(i_0_17011,axiom,
    ( ~ esk996_0
    | ~ p(X2)
    | esk2813_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_17012,axiom,
    ( ~ esk4402_4(X1,X2,X3,X4)
    | esk4400_4(X1,X2,X3,X4)
    | esk4401_4(X1,X2,X3,X4) )).

cnf(i_0_17013,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2265_4(X1,X2,X3,X4) )).

cnf(i_0_17014,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk523_0
    | esk2289_4(X1,X2,X3,X4) )).

cnf(i_0_17015,axiom,
    ( ~ esk6497_4(X1,X2,X3,X4)
    | esk6575_4(X1,X2,X3,X4)
    | ~ esk6574_4(X1,X2,X3,X4) )).

cnf(i_0_17016,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1033_0
    | ~ p(X3)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_17017,axiom,
    ( ~ esk6952_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_17018,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | ~ esk6007_4(X1,X2,X3,X4)
    | ~ esk7645_4(X1,X2,X3,X4) )).

cnf(i_0_17019,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9554_4(X1,X2,X3,X4) )).

cnf(i_0_17020,axiom,
    ( ~ esk3376_4(X1,X2,X3,X4)
    | esk3378_4(X1,X2,X3,X4) )).

cnf(i_0_17021,axiom,
    ( ~ esk2835_4(X1,X2,X3,X4)
    | esk2836_4(X1,X2,X3,X4) )).

cnf(i_0_17022,axiom,
    ( ~ esk4608_4(X1,X2,X3,X4)
    | esk4609_4(X1,X2,X3,X4)
    | ~ esk4670_4(X1,X2,X3,X4) )).

cnf(i_0_17023,axiom,
    ( p(X3)
    | p(X1)
    | esk888_0
    | p(X4)
    | p(X2)
    | ~ esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_17024,axiom,
    ( esk5943_4(X1,X2,X3,X4)
    | ~ esk7144_4(X1,X2,X3,X4) )).

cnf(i_0_17025,axiom,
    ( ~ p(X3)
    | esk2958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1352_0 )).

cnf(i_0_17026,axiom,
    ( ~ esk2134_4(X1,X2,X3,X4)
    | esk1954_4(X1,X2,X3,X4) )).

cnf(i_0_17027,axiom,
    ( ~ esk6715_4(X1,X2,X3,X4)
    | ~ esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_17028,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk2922_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk1265_0 )).

cnf(i_0_17029,axiom,
    ( ~ esk4026_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4)
    | esk4060_4(X1,X2,X3,X4) )).

cnf(i_0_17030,axiom,
    ( p(X4)
    | p(X3)
    | esk356_0
    | ~ esk8254_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_17031,axiom,
    ( ~ esk5653_4(X1,X2,X3,X4)
    | esk7113_4(X1,X2,X3,X4) )).

cnf(i_0_17032,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | esk2421_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk575_0 )).

cnf(i_0_17033,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk3439_4(X1,X2,X3,X4) )).

cnf(i_0_17034,axiom,
    ( ~ p(X2)
    | esk17_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_17035,axiom,
    ( ~ esk3834_4(X1,X2,X3,X4)
    | esk3632_4(X1,X2,X3,X4)
    | ~ esk3631_4(X1,X2,X3,X4) )).

cnf(i_0_17036,axiom,
    ( ~ esk6924_4(X1,X2,X3,X4)
    | esk6925_4(X1,X2,X3,X4) )).

cnf(i_0_17037,axiom,
    ( esk8419_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8728_4(X1,X2,X3,X4) )).

cnf(i_0_17038,axiom,
    ( ~ esk5348_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_17039,axiom,
    ( esk8571_4(X1,X2,X3,X4)
    | esk8572_4(X1,X2,X3,X4)
    | ~ esk8573_4(X1,X2,X3,X4) )).

cnf(i_0_17040,axiom,
    ( esk5325_4(X1,X2,X3,X4)
    | ~ esk5324_4(X1,X2,X3,X4) )).

cnf(i_0_17041,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4176_4(X1,X2,X3,X4) )).

cnf(i_0_17042,axiom,
    ( ~ esk2926_4(X1,X2,X3,X4)
    | esk2925_4(X1,X2,X3,X4)
    | esk2924_4(X1,X2,X3,X4) )).

cnf(i_0_17043,axiom,
    ( esk2710_4(X1,X2,X3,X4)
    | ~ esk2708_4(X1,X2,X3,X4) )).

cnf(i_0_17044,axiom,
    ( ~ esk6024_4(X1,X2,X3,X4)
    | esk6023_4(X1,X2,X3,X4) )).

cnf(i_0_17045,axiom,
    ( esk6305_4(X1,X2,X3,X4)
    | ~ esk6304_4(X1,X2,X3,X4)
    | ~ esk6234_4(X1,X2,X3,X4) )).

cnf(i_0_17046,axiom,
    ( ~ esk1747_4(X1,X2,X3,X4)
    | esk3847_4(X1,X2,X3,X4) )).

cnf(i_0_17047,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | esk1961_4(X1,X2,X3,X4)
    | ~ esk1927_4(X1,X2,X3,X4) )).

cnf(i_0_17048,axiom,
    ( esk4258_4(X1,X2,X3,X4)
    | ~ esk4408_4(X1,X2,X3,X4) )).

cnf(i_0_17049,axiom,
    ( esk7224_4(X1,X2,X3,X4)
    | ~ esk7222_4(X1,X2,X3,X4) )).

cnf(i_0_17050,axiom,
    ( ~ esk3116_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_17051,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4249_4(X1,X2,X3,X4) )).

cnf(i_0_17052,axiom,
    ( esk8891_4(X1,X2,X3,X4)
    | ~ esk9602_4(X1,X2,X3,X4) )).

cnf(i_0_17053,axiom,
    ( esk8883_4(X1,X2,X3,X4)
    | ~ esk8882_4(X1,X2,X3,X4) )).

cnf(i_0_17054,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk5630_4(X1,X2,X3,X4) )).

cnf(i_0_17055,axiom,
    ( esk1440_4(X1,X2,X3,X4)
    | ~ esk24_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_17056,axiom,
    ( ~ esk6783_4(X1,X2,X3,X4)
    | esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_17057,axiom,
    ( esk6737_4(X1,X2,X3,X4)
    | ~ esk6739_4(X1,X2,X3,X4)
    | esk6738_4(X1,X2,X3,X4) )).

cnf(i_0_17058,axiom,
    ( p(X1)
    | ~ esk1074_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk2872_4(X1,X2,X3,X4) )).

cnf(i_0_17059,axiom,
    ( ~ esk4015_4(X1,X2,X3,X4)
    | esk4542_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_17060,axiom,
    ( ~ esk4980_4(X1,X2,X3,X4)
    | esk3690_4(X1,X2,X3,X4) )).

cnf(i_0_17061,axiom,
    ( esk4388_4(X1,X2,X3,X4)
    | ~ esk2288_4(X1,X2,X3,X4) )).

cnf(i_0_17062,axiom,
    ( esk9574_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_17063,axiom,
    ( p(X2)
    | esk1754_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk1_0
    | p(X1) )).

cnf(i_0_17064,axiom,
    ( ~ esk3896_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk3897_4(X1,X2,X3,X4) )).

cnf(i_0_17065,axiom,
    ( ~ esk2341_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17066,axiom,
    ( ~ esk1765_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17067,axiom,
    ( ~ esk1560_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_17068,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5406_4(X1,X2,X3,X4) )).

cnf(i_0_17069,axiom,
    ( ~ esk1194_0
    | ~ p(X4)
    | ~ p(X2)
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_17070,axiom,
    ( esk8072_4(X1,X2,X3,X4)
    | ~ esk249_0
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_17071,axiom,
    ( esk3744_4(X1,X2,X3,X4)
    | ~ esk3576_4(X1,X2,X3,X4) )).

cnf(i_0_17072,axiom,
    ( esk3788_4(X1,X2,X3,X4)
    | ~ esk3774_4(X1,X2,X3,X4) )).

cnf(i_0_17073,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8342_4(X1,X2,X3,X4) )).

cnf(i_0_17074,axiom,
    ( ~ esk6567_4(X1,X2,X3,X4)
    | esk6566_4(X1,X2,X3,X4) )).

cnf(i_0_17075,axiom,
    ( esk5742_4(X1,X2,X3,X4)
    | ~ esk5743_4(X1,X2,X3,X4) )).

cnf(i_0_17076,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8262_4(X1,X2,X3,X4) )).

cnf(i_0_17077,axiom,
    ( esk4581_4(X1,X2,X3,X4)
    | ~ esk3534_4(X1,X2,X3,X4)
    | esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_17078,axiom,
    ( ~ esk3772_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_17079,axiom,
    ( esk9148_4(X1,X2,X3,X4)
    | esk9147_4(X1,X2,X3,X4)
    | ~ esk9149_4(X1,X2,X3,X4) )).

cnf(i_0_17080,axiom,
    ( ~ esk1895_4(X1,X2,X3,X4)
    | esk1896_4(X1,X2,X3,X4) )).

cnf(i_0_17081,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5066_4(X1,X2,X3,X4) )).

cnf(i_0_17082,axiom,
    ( ~ esk7502_4(X1,X2,X3,X4)
    | esk7504_4(X1,X2,X3,X4) )).

cnf(i_0_17083,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4290_4(X1,X2,X3,X4) )).

cnf(i_0_17084,axiom,
    ( ~ esk614_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_17085,axiom,
    ( ~ esk1501_4(X1,X2,X3,X4)
    | esk1479_4(X1,X2,X3,X4) )).

cnf(i_0_17086,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6383_4(X1,X2,X3,X4) )).

cnf(i_0_17087,axiom,
    ( ~ esk2795_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | esk863_0
    | ~ p(X2) )).

cnf(i_0_17088,axiom,
    ( esk4646_4(X1,X2,X3,X4)
    | esk4647_4(X1,X2,X3,X4)
    | ~ esk4648_4(X1,X2,X3,X4) )).

cnf(i_0_17089,axiom,
    ( esk6516_4(X1,X2,X3,X4)
    | esk6148_4(X1,X2,X3,X4)
    | ~ esk6183_4(X1,X2,X3,X4) )).

cnf(i_0_17090,axiom,
    ( ~ esk9241_4(X1,X2,X3,X4)
    | esk8016_4(X1,X2,X3,X4) )).

cnf(i_0_17091,axiom,
    ( esk4227_4(X1,X2,X3,X4)
    | ~ esk3976_4(X1,X2,X3,X4) )).

cnf(i_0_17092,axiom,
    ( ~ esk1775_4(X1,X2,X3,X4)
    | esk3875_4(X1,X2,X3,X4) )).

cnf(i_0_17093,axiom,
    ( ~ esk6666_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4)
    | esk6831_4(X1,X2,X3,X4) )).

cnf(i_0_17094,axiom,
    ( esk9186_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk1174_0 )).

cnf(i_0_17095,axiom,
    ( ~ esk1159_0
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_17096,axiom,
    ( ~ esk5063_4(X1,X2,X3,X4)
    | esk5065_4(X1,X2,X3,X4) )).

cnf(i_0_17097,axiom,
    ( esk860_0
    | ~ p(X3)
    | p(X1)
    | ~ esk9091_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_17098,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk2918_4(X1,X2,X3,X4)
    | ~ esk1253_0 )).

cnf(i_0_17099,axiom,
    ( esk2133_4(X1,X2,X3,X4)
    | esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_17100,axiom,
    ( ~ esk1251_0
    | p(X4)
    | esk2918_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_17101,axiom,
    ( esk6055_4(X1,X2,X3,X4)
    | ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk6052_4(X1,X2,X3,X4) )).

cnf(i_0_17102,axiom,
    ( ~ esk2942_4(X1,X2,X3,X4)
    | esk1713_4(X1,X2,X3,X4) )).

cnf(i_0_17103,axiom,
    ( ~ esk8009_4(X1,X2,X3,X4)
    | esk9229_4(X1,X2,X3,X4) )).

cnf(i_0_17104,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5766_4(X1,X2,X3,X4) )).

cnf(i_0_17105,axiom,
    ( ~ esk9447_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk9450_4(X1,X2,X3,X4) )).

cnf(i_0_17106,axiom,
    ( ~ esk901_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_17107,axiom,
    ( esk2003_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2002_4(X1,X2,X3,X4) )).

cnf(i_0_17108,axiom,
    ( ~ esk54_0
    | ~ p(X4)
    | ~ p(X2)
    | esk1444_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_17109,axiom,
    ( ~ esk6288_4(X1,X2,X3,X4)
    | esk6254_4(X1,X2,X3,X4)
    | esk6287_4(X1,X2,X3,X4) )).

cnf(i_0_17110,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6920_4(X1,X2,X3,X4) )).

cnf(i_0_17111,axiom,
    ( ~ esk7439_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17112,axiom,
    ( ~ esk8967_4(X1,X2,X3,X4)
    | esk8965_4(X1,X2,X3,X4)
    | esk8966_4(X1,X2,X3,X4) )).

cnf(i_0_17113,axiom,
    ( ~ esk7218_4(X1,X2,X3,X4)
    | esk7220_4(X1,X2,X3,X4) )).

cnf(i_0_17114,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk160_0
    | ~ p(X2)
    | p(X1)
    | esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_17115,axiom,
    ( ~ esk2805_4(X1,X2,X3,X4)
    | ~ esk3351_4(X1,X2,X3,X4)
    | esk3352_4(X1,X2,X3,X4) )).

cnf(i_0_17116,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2531_4(X1,X2,X3,X4) )).

cnf(i_0_17117,axiom,
    ( ~ esk6595_4(X1,X2,X3,X4)
    | esk7244_4(X1,X2,X3,X4) )).

cnf(i_0_17118,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6271_4(X1,X2,X3,X4) )).

cnf(i_0_17119,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1634_4(X1,X2,X3,X4) )).

cnf(i_0_17120,axiom,
    ( esk6316_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17121,axiom,
    ( ~ esk1593_4(X1,X2,X3,X4)
    | esk1595_4(X1,X2,X3,X4) )).

cnf(i_0_17122,axiom,
    ( esk1416_4(X1,X2,X3,X4)
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_17123,axiom,
    ( ~ esk4936_4(X1,X2,X3,X4)
    | esk4937_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_17124,axiom,
    ( esk7967_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk137_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_17125,axiom,
    ( ~ esk8277_4(X1,X2,X3,X4)
    | esk8279_4(X1,X2,X3,X4) )).

cnf(i_0_17126,axiom,
    ( esk8209_4(X1,X2,X3,X4)
    | ~ esk8208_4(X1,X2,X3,X4) )).

cnf(i_0_17127,axiom,
    ( ~ esk3527_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4)
    | esk4956_4(X1,X2,X3,X4) )).

cnf(i_0_17128,axiom,
    ( ~ p(X1)
    | esk8156_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1_0 )).

cnf(i_0_17129,axiom,
    ( ~ esk3432_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_17130,axiom,
    ( esk2222_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_17131,axiom,
    ( ~ esk8681_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_17132,axiom,
    ( esk5405_4(X1,X2,X3,X4)
    | ~ esk5408_4(X1,X2,X3,X4) )).

cnf(i_0_17133,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk598_0
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_17134,axiom,
    ( ~ p(X1)
    | esk628_0
    | p(X4)
    | ~ p(X3)
    | ~ esk8723_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_17135,axiom,
    ( esk7836_4(X1,X2,X3,X4)
    | ~ esk7834_4(X1,X2,X3,X4) )).

cnf(i_0_17136,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4115_4(X1,X2,X3,X4) )).

cnf(i_0_17137,axiom,
    ( ~ esk6612_4(X1,X2,X3,X4)
    | esk6613_4(X1,X2,X3,X4) )).

cnf(i_0_17138,axiom,
    ( ~ esk2052_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_17139,axiom,
    ( p(X2)
    | p(X1)
    | esk7812_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ esk80_0 )).

cnf(i_0_17140,axiom,
    ( ~ esk426_0
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk2061_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_17141,axiom,
    ( ~ esk7181_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_17142,axiom,
    ( ~ esk4351_4(X1,X2,X3,X4)
    | esk4588_4(X1,X2,X3,X4) )).

cnf(i_0_17143,axiom,
    ( esk6706_4(X1,X2,X3,X4)
    | ~ esk6691_4(X1,X2,X3,X4) )).

cnf(i_0_17144,axiom,
    ( ~ esk6434_4(X1,X2,X3,X4)
    | esk6435_4(X1,X2,X3,X4) )).

cnf(i_0_17145,axiom,
    ( ~ esk5542_4(X1,X2,X3,X4)
    | ~ esk4963_4(X1,X2,X3,X4)
    | ~ esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_17146,axiom,
    ( esk4748_4(X1,X2,X3,X4)
    | ~ esk4749_4(X1,X2,X3,X4)
    | esk4747_4(X1,X2,X3,X4) )).

cnf(i_0_17147,axiom,
    ( esk6148_4(X1,X2,X3,X4)
    | ~ esk6113_4(X1,X2,X3,X4) )).

cnf(i_0_17148,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | esk1033_0
    | ~ esk9150_4(X1,X2,X3,X4) )).

cnf(i_0_17149,axiom,
    ( ~ esk8085_4(X1,X2,X3,X4)
    | esk8083_4(X1,X2,X3,X4)
    | esk8084_4(X1,X2,X3,X4) )).

cnf(i_0_17150,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk2425_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk613_0 )).

cnf(i_0_17151,axiom,
    ( ~ esk4818_4(X1,X2,X3,X4)
    | esk4914_4(X1,X2,X3,X4)
    | esk4953_4(X1,X2,X3,X4) )).

cnf(i_0_17152,axiom,
    ( esk3478_4(X1,X2,X3,X4)
    | ~ esk4273_4(X1,X2,X3,X4) )).

cnf(i_0_17153,axiom,
    ( esk5319_4(X1,X2,X3,X4)
    | esk5320_4(X1,X2,X3,X4)
    | ~ esk5321_4(X1,X2,X3,X4) )).

cnf(i_0_17154,axiom,
    ( ~ esk5503_4(X1,X2,X3,X4)
    | esk4805_4(X1,X2,X3,X4) )).

cnf(i_0_17155,axiom,
    ( ~ esk1867_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk1845_4(X1,X2,X3,X4) )).

cnf(i_0_17156,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | esk455_0
    | ~ esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_17157,axiom,
    ( ~ p(X1)
    | esk677_0
    | ~ p(X2)
    | ~ esk2433_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_17158,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk885_0
    | ~ p(X1)
    | p(X4)
    | ~ esk9093_4(X1,X2,X3,X4) )).

cnf(i_0_17159,axiom,
    ( ~ esk6052_4(X1,X2,X3,X4)
    | esk6049_4(X1,X2,X3,X4) )).

cnf(i_0_17160,axiom,
    ( ~ esk3417_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_17161,axiom,
    ( ~ esk8985_4(X1,X2,X3,X4)
    | esk8987_4(X1,X2,X3,X4) )).

cnf(i_0_17162,axiom,
    ( ~ esk6522_4(X1,X2,X3,X4)
    | esk6521_4(X1,X2,X3,X4) )).

cnf(i_0_17163,axiom,
    ( esk8472_4(X1,X2,X3,X4)
    | ~ esk8473_4(X1,X2,X3,X4) )).

cnf(i_0_17164,axiom,
    ( esk5400_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_17165,axiom,
    ( ~ esk4411_4(X1,X2,X3,X4)
    | esk4414_4(X1,X2,X3,X4) )).

cnf(i_0_17166,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk582_0
    | ~ p(X4)
    | p(X2)
    | esk8717_4(X1,X2,X3,X4) )).

cnf(i_0_17167,axiom,
    ( esk6938_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_17168,axiom,
    ( esk9663_4(X1,X2,X3,X4)
    | ~ esk9661_4(X1,X2,X3,X4) )).

cnf(i_0_17169,axiom,
    ( ~ esk6142_4(X1,X2,X3,X4)
    | esk6145_4(X1,X2,X3,X4) )).

cnf(i_0_17170,axiom,
    ( ~ esk2001_4(X1,X2,X3,X4)
    | esk2027_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_17171,axiom,
    ( ~ esk4607_4(X1,X2,X3,X4)
    | esk4592_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_17172,axiom,
    ( esk4174_4(X1,X2,X3,X4)
    | ~ esk4173_4(X1,X2,X3,X4) )).

cnf(i_0_17173,axiom,
    ( ~ esk3369_4(X1,X2,X3,X4)
    | esk3370_4(X1,X2,X3,X4) )).

cnf(i_0_17174,axiom,
    ( ~ esk9661_4(X1,X2,X3,X4)
    | esk8983_4(X1,X2,X3,X4) )).

cnf(i_0_17175,axiom,
    ( ~ esk8767_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8766_4(X1,X2,X3,X4) )).

cnf(i_0_17176,axiom,
    ( esk236_0
    | ~ p(X1)
    | p(X2)
    | ~ esk1758_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_17177,axiom,
    ( esk1714_4(X1,X2,X3,X4)
    | ~ esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_17178,axiom,
    ( ~ esk6656_4(X1,X2,X3,X4)
    | esk5571_4(X1,X2,X3,X4) )).

cnf(i_0_17179,axiom,
    ( esk5598_4(X1,X2,X3,X4)
    | ~ esk7068_4(X1,X2,X3,X4) )).

cnf(i_0_17180,axiom,
    ( esk1319_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17181,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk5166_4(X1,X2,X3,X4) )).

cnf(i_0_17182,axiom,
    ( esk7806_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7778_4(X1,X2,X3,X4) )).

cnf(i_0_17183,axiom,
    ( esk4081_4(X1,X2,X3,X4)
    | ~ esk4080_4(X1,X2,X3,X4) )).

cnf(i_0_17184,axiom,
    ( ~ esk3781_4(X1,X2,X3,X4)
    | esk3816_4(X1,X2,X3,X4)
    | ~ esk3815_4(X1,X2,X3,X4) )).

cnf(i_0_17185,axiom,
    ( esk8565_4(X1,X2,X3,X4)
    | ~ esk8563_4(X1,X2,X3,X4) )).

cnf(i_0_17186,axiom,
    ( esk9323_4(X1,X2,X3,X4)
    | ~ esk9337_4(X1,X2,X3,X4) )).

cnf(i_0_17187,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3017_4(X1,X2,X3,X4) )).

cnf(i_0_17188,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk451_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_17189,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X1)
    | esk903_0
    | p(X3) )).

cnf(i_0_17190,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6424_4(X1,X2,X3,X4) )).

cnf(i_0_17191,axiom,
    ( ~ p(X1)
    | esk600_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_17192,axiom,
    ( esk7464_4(X1,X2,X3,X4)
    | ~ esk7462_4(X1,X2,X3,X4) )).

cnf(i_0_17193,axiom,
    ( ~ esk4804_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_17194,axiom,
    ( ~ esk5051_4(X1,X2,X3,X4)
    | esk3813_4(X1,X2,X3,X4) )).

cnf(i_0_17195,axiom,
    ( esk3162_4(X1,X2,X3,X4)
    | ~ esk3160_4(X1,X2,X3,X4) )).

cnf(i_0_17196,axiom,
    ( ~ esk2847_4(X1,X2,X3,X4)
    | esk2827_4(X1,X2,X3,X4) )).

cnf(i_0_17197,axiom,
    ( esk9343_4(X1,X2,X3,X4)
    | ~ esk8694_4(X1,X2,X3,X4) )).

cnf(i_0_17198,axiom,
    ( ~ esk7392_4(X1,X2,X3,X4)
    | esk7391_4(X1,X2,X3,X4)
    | esk7390_4(X1,X2,X3,X4) )).

cnf(i_0_17199,axiom,
    ( ~ esk8110_4(X1,X2,X3,X4)
    | esk8109_4(X1,X2,X3,X4)
    | esk8108_4(X1,X2,X3,X4) )).

cnf(i_0_17200,axiom,
    ( ~ esk4024_4(X1,X2,X3,X4)
    | esk4026_4(X1,X2,X3,X4) )).

cnf(i_0_17201,axiom,
    ( ~ esk7825_4(X1,X2,X3,X4)
    | esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_17202,axiom,
    ( ~ esk4330_4(X1,X2,X3,X4)
    | esk4425_4(X1,X2,X3,X4) )).

cnf(i_0_17203,axiom,
    ( ~ esk2840_4(X1,X2,X3,X4)
    | esk2838_4(X1,X2,X3,X4)
    | esk2839_4(X1,X2,X3,X4) )).

cnf(i_0_17204,axiom,
    ( ~ esk6293_4(X1,X2,X3,X4)
    | esk4193_4(X1,X2,X3,X4) )).

cnf(i_0_17205,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3231_4(X1,X2,X3,X4) )).

cnf(i_0_17206,axiom,
    ( esk3010_4(X1,X2,X3,X4)
    | ~ esk3013_4(X1,X2,X3,X4) )).

cnf(i_0_17207,axiom,
    ( esk5355_4(X1,X2,X3,X4)
    | ~ esk5357_4(X1,X2,X3,X4)
    | esk5356_4(X1,X2,X3,X4) )).

cnf(i_0_17208,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6475_4(X1,X2,X3,X4) )).

cnf(i_0_17209,axiom,
    ( ~ esk4737_4(X1,X2,X3,X4)
    | esk4736_4(X1,X2,X3,X4)
    | esk4735_4(X1,X2,X3,X4) )).

cnf(i_0_17210,axiom,
    ( ~ esk4095_4(X1,X2,X3,X4)
    | esk4349_4(X1,X2,X3,X4) )).

cnf(i_0_17211,axiom,
    ( esk8370_4(X1,X2,X3,X4)
    | ~ esk8372_4(X1,X2,X3,X4)
    | esk8371_4(X1,X2,X3,X4) )).

cnf(i_0_17212,axiom,
    ( esk4074_4(X1,X2,X3,X4)
    | ~ esk4075_4(X1,X2,X3,X4) )).

cnf(i_0_17213,axiom,
    ( ~ esk5717_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_17214,axiom,
    ( esk4192_4(X1,X2,X3,X4)
    | ~ esk4668_4(X1,X2,X3,X4) )).

cnf(i_0_17215,axiom,
    ( ~ esk6676_4(X1,X2,X3,X4)
    | esk6674_4(X1,X2,X3,X4)
    | esk6675_4(X1,X2,X3,X4) )).

cnf(i_0_17216,axiom,
    ( p(X2)
    | esk985_0
    | p(X3)
    | p(X4)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_17217,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4238_4(X1,X2,X3,X4)
    | esk4276_4(X1,X2,X3,X4) )).

cnf(i_0_17218,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk8138_4(X1,X2,X3,X4)
    | esk272_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_17219,axiom,
    ( ~ esk6701_4(X1,X2,X3,X4)
    | esk6678_4(X1,X2,X3,X4) )).

cnf(i_0_17220,axiom,
    ( ~ esk6717_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_17221,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8494_4(X1,X2,X3,X4) )).

cnf(i_0_17222,axiom,
    ( esk4983_4(X1,X2,X3,X4)
    | ~ esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_17223,axiom,
    ( esk8294_4(X1,X2,X3,X4)
    | ~ esk8546_4(X1,X2,X3,X4) )).

cnf(i_0_17224,axiom,
    ( ~ esk5990_4(X1,X2,X3,X4)
    | esk5989_4(X1,X2,X3,X4)
    | esk5988_4(X1,X2,X3,X4) )).

cnf(i_0_17225,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8287_4(X1,X2,X3,X4) )).

cnf(i_0_17226,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3992_4(X1,X2,X3,X4) )).

cnf(i_0_17227,axiom,
    ( esk7774_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk70_0
    | ~ p(X2) )).

cnf(i_0_17228,axiom,
    ( ~ p(X3)
    | ~ esk901_0
    | esk2799_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_17229,axiom,
    ( ~ esk6426_4(X1,X2,X3,X4)
    | esk6427_4(X1,X2,X3,X4) )).

cnf(i_0_17230,axiom,
    ( esk8279_4(X1,X2,X3,X4)
    | ~ esk8276_4(X1,X2,X3,X4) )).

cnf(i_0_17231,axiom,
    ( ~ esk6309_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_17232,axiom,
    ( ~ esk7665_4(X1,X2,X3,X4)
    | esk7744_4(X1,X2,X3,X4) )).

cnf(i_0_17233,axiom,
    ( ~ esk1085_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | esk2874_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_17234,axiom,
    ( esk6575_4(X1,X2,X3,X4)
    | esk6576_4(X1,X2,X3,X4)
    | ~ esk6577_4(X1,X2,X3,X4) )).

cnf(i_0_17235,axiom,
    ( ~ esk6325_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6359_4(X1,X2,X3,X4) )).

cnf(i_0_17236,axiom,
    ( esk8468_4(X1,X2,X3,X4)
    | ~ esk8166_4(X1,X2,X3,X4) )).

cnf(i_0_17237,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1206_0 )).

cnf(i_0_17238,axiom,
    ( esk2105_4(X1,X2,X3,X4)
    | ~ esk2180_4(X1,X2,X3,X4) )).

cnf(i_0_17239,axiom,
    ( esk8911_4(X1,X2,X3,X4)
    | ~ esk9642_4(X1,X2,X3,X4) )).

cnf(i_0_17240,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3160_4(X1,X2,X3,X4) )).

cnf(i_0_17241,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk2429_4(X1,X2,X3,X4)
    | esk633_0
    | p(X3) )).

cnf(i_0_17242,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9441_4(X1,X2,X3,X4) )).

cnf(i_0_17243,axiom,
    ( ~ esk9600_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_17244,axiom,
    ( esk5005_4(X1,X2,X3,X4)
    | ~ esk3748_4(X1,X2,X3,X4) )).

cnf(i_0_17245,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk8778_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk780_0
    | p(X3) )).

cnf(i_0_17246,axiom,
    ( esk7860_4(X1,X2,X3,X4)
    | ~ esk7858_4(X1,X2,X3,X4) )).

cnf(i_0_17247,axiom,
    ( ~ esk6405_4(X1,X2,X3,X4)
    | esk6368_4(X1,X2,X3,X4) )).

cnf(i_0_17248,axiom,
    ( esk2002_4(X1,X2,X3,X4)
    | ~ esk2003_4(X1,X2,X3,X4) )).

cnf(i_0_17249,axiom,
    ( esk2865_4(X1,X2,X3,X4)
    | ~ esk1833_4(X1,X2,X3,X4)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_17250,axiom,
    ( ~ esk5760_4(X1,X2,X3,X4)
    | esk5761_4(X1,X2,X3,X4) )).

cnf(i_0_17251,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | ~ esk3859_4(X1,X2,X3,X4)
    | esk3921_4(X1,X2,X3,X4) )).

cnf(i_0_17252,axiom,
    ( ~ esk6229_4(X1,X2,X3,X4)
    | esk6230_4(X1,X2,X3,X4) )).

cnf(i_0_17253,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk7736_4(X1,X2,X3,X4)
    | p(X4)
    | esk32_0 )).

cnf(i_0_17254,axiom,
    ( p(X4)
    | esk398_0
    | ~ p(X3)
    | ~ esk2022_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_17255,axiom,
    ( esk6686_4(X1,X2,X3,X4)
    | ~ esk6874_4(X1,X2,X3,X4) )).

cnf(i_0_17256,axiom,
    ( esk8127_4(X1,X2,X3,X4)
    | esk8128_4(X1,X2,X3,X4)
    | ~ esk8129_4(X1,X2,X3,X4) )).

cnf(i_0_17257,axiom,
    ( ~ esk7267_4(X1,X2,X3,X4)
    | esk7264_4(X1,X2,X3,X4) )).

cnf(i_0_17258,axiom,
    ( ~ esk2800_4(X1,X2,X3,X4)
    | esk2759_4(X1,X2,X3,X4) )).

cnf(i_0_17259,axiom,
    ( esk8953_4(X1,X2,X3,X4)
    | ~ esk8952_4(X1,X2,X3,X4)
    | ~ esk8801_4(X1,X2,X3,X4) )).

cnf(i_0_17260,axiom,
    ( esk9296_4(X1,X2,X3,X4)
    | ~ esk9297_4(X1,X2,X3,X4) )).

cnf(i_0_17261,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk1989_4(X1,X2,X3,X4) )).

cnf(i_0_17262,axiom,
    ( esk3949_4(X1,X2,X3,X4)
    | ~ esk4484_4(X1,X2,X3,X4) )).

cnf(i_0_17263,axiom,
    ( ~ esk3644_4(X1,X2,X3,X4)
    | esk3646_4(X1,X2,X3,X4) )).

cnf(i_0_17264,axiom,
    ( ~ esk765_0
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_17265,axiom,
    ( ~ esk8751_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | esk753_0 )).

cnf(i_0_17266,axiom,
    ( ~ esk4348_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4)
    | esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_17267,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk508_0
    | p(X2) )).

cnf(i_0_17268,axiom,
    ( ~ esk4559_4(X1,X2,X3,X4)
    | ~ esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_17269,axiom,
    ( ~ esk9444_4(X1,X2,X3,X4)
    | esk9445_4(X1,X2,X3,X4)
    | ~ esk9439_4(X1,X2,X3,X4) )).

cnf(i_0_17270,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4423_4(X1,X2,X3,X4) )).

cnf(i_0_17271,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6241_4(X1,X2,X3,X4) )).

cnf(i_0_17272,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7397_4(X1,X2,X3,X4) )).

cnf(i_0_17273,axiom,
    ( esk9712_4(X1,X2,X3,X4)
    | ~ esk9713_4(X1,X2,X3,X4) )).

cnf(i_0_17274,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk281_0
    | p(X2)
    | ~ esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_17275,axiom,
    ( p(X1)
    | p(X3)
    | esk2815_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk1008_0 )).

cnf(i_0_17276,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk3073_4(X1,X2,X3,X4) )).

cnf(i_0_17277,axiom,
    ( esk6062_4(X1,X2,X3,X4)
    | ~ esk6063_4(X1,X2,X3,X4) )).

cnf(i_0_17278,axiom,
    ( ~ esk1748_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | esk1_0
    | p(X2)
    | p(X3) )).

cnf(i_0_17279,axiom,
    ( ~ esk6896_4(X1,X2,X3,X4)
    | esk6894_4(X1,X2,X3,X4)
    | esk6895_4(X1,X2,X3,X4) )).

cnf(i_0_17280,axiom,
    ( ~ esk2786_4(X1,X2,X3,X4)
    | esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_17281,axiom,
    ( esk1955_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1_0
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_17282,axiom,
    ( esk5688_4(X1,X2,X3,X4)
    | ~ esk5686_4(X1,X2,X3,X4) )).

cnf(i_0_17283,axiom,
    ( ~ esk680_0
    | ~ p(X4)
    | ~ p(X3)
    | esk2435_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_17284,axiom,
    ( ~ esk9747_4(X1,X2,X3,X4)
    | ~ esk7949_4(X1,X2,X3,X4) )).

cnf(i_0_17285,axiom,
    ( ~ esk7222_4(X1,X2,X3,X4)
    | esk7216_4(X1,X2,X3,X4) )).

cnf(i_0_17286,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk443_0
    | ~ p(X2) )).

cnf(i_0_17287,axiom,
    ( p(X4)
    | ~ esk505_0
    | ~ p(X1)
    | p(X3)
    | esk2251_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_17288,axiom,
    ( esk3377_4(X1,X2,X3,X4)
    | ~ esk3378_4(X1,X2,X3,X4)
    | esk3376_4(X1,X2,X3,X4) )).

cnf(i_0_17289,axiom,
    ( ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | esk1146_0
    | ~ p(X3) )).

cnf(i_0_17290,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk1182_0
    | esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_17291,axiom,
    ( ~ esk3081_4(X1,X2,X3,X4)
    | esk3078_4(X1,X2,X3,X4) )).

cnf(i_0_17292,axiom,
    ( p(X2)
    | esk7812_4(X1,X2,X3,X4)
    | ~ esk86_0
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_17293,axiom,
    ( esk5212_4(X1,X2,X3,X4)
    | esk5211_4(X1,X2,X3,X4)
    | ~ esk5213_4(X1,X2,X3,X4) )).

cnf(i_0_17294,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk3209_4(X1,X2,X3,X4) )).

cnf(i_0_17295,axiom,
    ( ~ esk597_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_17296,axiom,
    ( ~ esk2860_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_17297,axiom,
    ( ~ esk6580_4(X1,X2,X3,X4)
    | esk6513_4(X1,X2,X3,X4) )).

cnf(i_0_17298,axiom,
    ( esk2313_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2282_4(X1,X2,X3,X4) )).

cnf(i_0_17299,axiom,
    ( ~ esk3693_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_17300,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | ~ esk7950_4(X1,X2,X3,X4)
    | esk7951_4(X1,X2,X3,X4) )).

cnf(i_0_17301,axiom,
    ( esk5911_4(X1,X2,X3,X4)
    | ~ esk7140_4(X1,X2,X3,X4) )).

cnf(i_0_17302,axiom,
    ( ~ esk366_0
    | p(X2)
    | ~ p(X4)
    | esk8283_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_17303,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8383_4(X1,X2,X3,X4) )).

cnf(i_0_17304,axiom,
    ( esk6658_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_17305,axiom,
    ( ~ esk7773_4(X1,X2,X3,X4)
    | esk7658_4(X1,X2,X3,X4) )).

cnf(i_0_17306,axiom,
    ( p(X3)
    | ~ esk366_0
    | p(X4)
    | p(X1)
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_17307,axiom,
    ( ~ esk4900_4(X1,X2,X3,X4)
    | esk4652_4(X1,X2,X3,X4) )).

cnf(i_0_17308,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9652_4(X1,X2,X3,X4) )).

cnf(i_0_17309,axiom,
    ( esk3285_4(X1,X2,X3,X4)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk1953_4(X1,X2,X3,X4) )).

cnf(i_0_17310,axiom,
    ( esk7459_4(X1,X2,X3,X4)
    | esk7458_4(X1,X2,X3,X4)
    | ~ esk7460_4(X1,X2,X3,X4) )).

cnf(i_0_17311,axiom,
    ( esk1037_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2854_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17312,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9317_4(X1,X2,X3,X4)
    | ~ esk9316_4(X1,X2,X3,X4) )).

cnf(i_0_17313,axiom,
    ( ~ esk2707_4(X1,X2,X3,X4)
    | ~ esk2528_4(X1,X2,X3,X4)
    | esk2708_4(X1,X2,X3,X4) )).

cnf(i_0_17314,axiom,
    ( ~ p(X1)
    | esk7774_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk75_0 )).

cnf(i_0_17315,axiom,
    ( ~ esk7146_4(X1,X2,X3,X4)
    | esk5899_4(X1,X2,X3,X4) )).

cnf(i_0_17316,axiom,
    ( esk4880_4(X1,X2,X3,X4)
    | ~ esk5513_4(X1,X2,X3,X4)
    | ~ esk4879_4(X1,X2,X3,X4) )).

cnf(i_0_17317,axiom,
    ( esk6619_4(X1,X2,X3,X4)
    | ~ esk6512_4(X1,X2,X3,X4) )).

cnf(i_0_17318,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2065_4(X1,X2,X3,X4) )).

cnf(i_0_17319,axiom,
    ( p(X2)
    | esk183_0
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ esk8048_4(X1,X2,X3,X4) )).

cnf(i_0_17320,axiom,
    ( esk5958_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_17321,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2000_4(X1,X2,X3,X4) )).

cnf(i_0_17322,axiom,
    ( ~ esk3729_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_17323,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7283_4(X1,X2,X3,X4) )).

cnf(i_0_17324,axiom,
    ( esk1620_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_17325,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | esk8367_4(X1,X2,X3,X4)
    | ~ esk8329_4(X1,X2,X3,X4) )).

cnf(i_0_17326,axiom,
    ( ~ esk7150_4(X1,X2,X3,X4)
    | esk5912_4(X1,X2,X3,X4) )).

cnf(i_0_17327,axiom,
    ( esk8054_4(X1,X2,X3,X4)
    | ~ esk228_0
    | p(X1)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_17328,axiom,
    ( ~ esk2949_4(X1,X2,X3,X4)
    | esk1709_4(X1,X2,X3,X4) )).

cnf(i_0_17329,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | esk3558_4(X1,X2,X3,X4)
    | ~ esk3759_4(X1,X2,X3,X4) )).

cnf(i_0_17330,axiom,
    ( ~ esk2395_4(X1,X2,X3,X4)
    | esk2426_4(X1,X2,X3,X4) )).

cnf(i_0_17331,axiom,
    ( ~ esk6717_4(X1,X2,X3,X4)
    | esk6718_4(X1,X2,X3,X4) )).

cnf(i_0_17332,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk169_0 )).

cnf(i_0_17333,axiom,
    ( esk1637_4(X1,X2,X3,X4)
    | ~ esk1636_4(X1,X2,X3,X4)
    | ~ esk2956_4(X1,X2,X3,X4) )).

cnf(i_0_17334,axiom,
    ( ~ p(X2)
    | p(X1)
    | esk2854_4(X1,X2,X3,X4)
    | ~ esk1027_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_17335,axiom,
    ( ~ esk3265_4(X1,X2,X3,X4)
    | esk3266_4(X1,X2,X3,X4) )).

cnf(i_0_17336,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4047_4(X1,X2,X3,X4)
    | ~ esk4516_4(X1,X2,X3,X4) )).

cnf(i_0_17337,axiom,
    ( esk6069_4(X1,X2,X3,X4)
    | ~ esk5897_4(X1,X2,X3,X4) )).

cnf(i_0_17338,axiom,
    ( p(X3)
    | esk9176_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk1136_0
    | p(X2) )).

cnf(i_0_17339,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk753_0 )).

cnf(i_0_17340,axiom,
    ( ~ esk5785_4(X1,X2,X3,X4)
    | esk5783_4(X1,X2,X3,X4)
    | esk5784_4(X1,X2,X3,X4) )).

cnf(i_0_17341,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk2523_4(X1,X2,X3,X4)
    | ~ esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_17342,axiom,
    ( esk2732_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_17343,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | esk63_0
    | p(X1)
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_17344,axiom,
    ( ~ esk4824_4(X1,X2,X3,X4)
    | esk4823_4(X1,X2,X3,X4) )).

cnf(i_0_17345,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6833_4(X1,X2,X3,X4) )).

cnf(i_0_17346,axiom,
    ( ~ esk8735_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | esk710_0
    | p(X2) )).

cnf(i_0_17347,axiom,
    ( ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1176_0
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_17348,axiom,
    ( ~ esk8709_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_17349,axiom,
    ( ~ esk5576_4(X1,X2,X3,X4)
    | esk6411_4(X1,X2,X3,X4) )).

cnf(i_0_17350,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9409_4(X1,X2,X3,X4) )).

cnf(i_0_17351,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk1534_4(X1,X2,X3,X4) )).

cnf(i_0_17352,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | esk549_0
    | ~ esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_17353,axiom,
    ( ~ esk8314_4(X1,X2,X3,X4)
    | esk8312_4(X1,X2,X3,X4)
    | esk8313_4(X1,X2,X3,X4) )).

cnf(i_0_17354,axiom,
    ( esk7726_4(X1,X2,X3,X4)
    | ~ esk7671_4(X1,X2,X3,X4)
    | ~ esk7652_4(X1,X2,X3,X4) )).

cnf(i_0_17355,axiom,
    ( ~ p(X2)
    | esk1958_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk362_0
    | ~ p(X1) )).

cnf(i_0_17356,axiom,
    ( ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk1184_0 )).

cnf(i_0_17357,axiom,
    ( ~ esk3224_4(X1,X2,X3,X4)
    | esk3226_4(X1,X2,X3,X4) )).

cnf(i_0_17358,axiom,
    ( ~ esk5656_4(X1,X2,X3,X4)
    | esk5655_4(X1,X2,X3,X4) )).

cnf(i_0_17359,axiom,
    ( esk9254_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ esk1348_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_17360,axiom,
    ( esk5319_4(X1,X2,X3,X4)
    | ~ esk4465_4(X1,X2,X3,X4)
    | ~ esk5318_4(X1,X2,X3,X4) )).

cnf(i_0_17361,axiom,
    ( esk1971_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17362,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8017_4(X1,X2,X3,X4) )).

cnf(i_0_17363,axiom,
    ( esk3434_4(X1,X2,X3,X4)
    | ~ esk3433_4(X1,X2,X3,X4) )).

cnf(i_0_17364,axiom,
    ( esk7276_4(X1,X2,X3,X4)
    | ~ esk7275_4(X1,X2,X3,X4) )).

cnf(i_0_17365,axiom,
    ( esk7768_4(X1,X2,X3,X4)
    | esk7767_4(X1,X2,X3,X4)
    | ~ esk7769_4(X1,X2,X3,X4) )).

cnf(i_0_17366,axiom,
    ( ~ esk6140_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17367,axiom,
    ( esk8495_4(X1,X2,X3,X4)
    | ~ esk8494_4(X1,X2,X3,X4) )).

cnf(i_0_17368,axiom,
    ( p(X4)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk702_0
    | ~ p(X3) )).

cnf(i_0_17369,axiom,
    ( ~ p(X1)
    | esk900_0
    | p(X4)
    | ~ esk9095_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_17370,axiom,
    ( ~ p(X1)
    | esk2956_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk1336_0
    | ~ p(X2) )).

cnf(i_0_17371,axiom,
    ( ~ esk5713_4(X1,X2,X3,X4)
    | esk7813_4(X1,X2,X3,X4) )).

cnf(i_0_17372,axiom,
    ( ~ p(X4)
    | ~ esk473_0
    | esk8469_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_17373,axiom,
    ( esk5501_4(X1,X2,X3,X4)
    | ~ esk5499_4(X1,X2,X3,X4) )).

cnf(i_0_17374,axiom,
    ( p(X4)
    | ~ esk438_0
    | esk8388_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_17375,axiom,
    ( ~ esk3291_4(X1,X2,X3,X4)
    | esk3292_4(X1,X2,X3,X4) )).

cnf(i_0_17376,axiom,
    ( ~ esk6993_4(X1,X2,X3,X4)
    | esk6859_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_17377,axiom,
    ( ~ esk1517_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_17378,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X3)
    | esk8283_4(X1,X2,X3,X4)
    | ~ esk364_0 )).

cnf(i_0_17379,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8940_4(X1,X2,X3,X4) )).

cnf(i_0_17380,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | ~ esk5748_4(X1,X2,X3,X4) )).

cnf(i_0_17381,axiom,
    ( ~ esk4208_4(X1,X2,X3,X4)
    | esk4361_4(X1,X2,X3,X4)
    | ~ esk4360_4(X1,X2,X3,X4) )).

cnf(i_0_17382,axiom,
    ( esk6416_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17383,axiom,
    ( ~ esk8562_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_17384,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9051_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_17385,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk1020_0
    | p(X3)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_17386,axiom,
    ( esk8638_4(X1,X2,X3,X4)
    | ~ esk8639_4(X1,X2,X3,X4)
    | esk8637_4(X1,X2,X3,X4) )).

cnf(i_0_17387,axiom,
    ( esk8950_4(X1,X2,X3,X4)
    | ~ esk8797_4(X1,X2,X3,X4)
    | ~ esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_17388,axiom,
    ( esk4059_4(X1,X2,X3,X4)
    | ~ esk4061_4(X1,X2,X3,X4)
    | esk4060_4(X1,X2,X3,X4) )).

cnf(i_0_17389,axiom,
    ( esk2396_4(X1,X2,X3,X4)
    | ~ esk2397_4(X1,X2,X3,X4) )).

cnf(i_0_17390,axiom,
    ( esk8463_4(X1,X2,X3,X4)
    | ~ esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_17391,axiom,
    ( p(X3)
    | esk2787_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk806_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_17392,axiom,
    ( ~ esk8104_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_17393,axiom,
    ( esk1860_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk1_0
    | p(X1)
    | p(X3) )).

cnf(i_0_17394,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk318_0
    | p(X2)
    | esk8248_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_17395,axiom,
    ( ~ esk5103_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_17396,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4680_4(X1,X2,X3,X4) )).

cnf(i_0_17397,axiom,
    ( ~ esk7147_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_17398,axiom,
    ( esk3211_4(X1,X2,X3,X4)
    | ~ esk3212_4(X1,X2,X3,X4) )).

cnf(i_0_17399,axiom,
    ( ~ esk4291_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_17400,axiom,
    ( ~ esk6408_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_17401,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | esk981_0 )).

cnf(i_0_17402,axiom,
    ( ~ esk2296_4(X1,X2,X3,X4)
    | esk2297_4(X1,X2,X3,X4)
    | ~ esk2009_4(X1,X2,X3,X4) )).

cnf(i_0_17403,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5190_4(X1,X2,X3,X4) )).

cnf(i_0_17404,axiom,
    ( ~ esk4739_4(X1,X2,X3,X4)
    | esk4738_4(X1,X2,X3,X4) )).

cnf(i_0_17405,axiom,
    ( p(X1)
    | esk2797_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk875_0
    | ~ p(X4) )).

cnf(i_0_17406,axiom,
    ( ~ esk3953_4(X1,X2,X3,X4)
    | esk3952_4(X1,X2,X3,X4) )).

cnf(i_0_17407,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | esk2730_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_17408,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk815_0 )).

cnf(i_0_17409,axiom,
    ( ~ esk3736_4(X1,X2,X3,X4)
    | esk3738_4(X1,X2,X3,X4) )).

cnf(i_0_17410,axiom,
    ( ~ esk9328_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_17411,axiom,
    ( esk8360_4(X1,X2,X3,X4)
    | ~ esk7679_4(X1,X2,X3,X4) )).

cnf(i_0_17412,axiom,
    ( esk1904_4(X1,X2,X3,X4)
    | ~ esk1903_4(X1,X2,X3,X4) )).

cnf(i_0_17413,axiom,
    ( ~ esk247_0
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_17414,axiom,
    ( esk8185_4(X1,X2,X3,X4)
    | ~ esk8250_4(X1,X2,X3,X4) )).

cnf(i_0_17415,axiom,
    ( ~ esk4063_4(X1,X2,X3,X4)
    | esk4062_4(X1,X2,X3,X4) )).

cnf(i_0_17416,axiom,
    ( esk2296_4(X1,X2,X3,X4)
    | ~ esk2297_4(X1,X2,X3,X4) )).

cnf(i_0_17417,axiom,
    ( ~ esk6415_4(X1,X2,X3,X4)
    | esk6414_4(X1,X2,X3,X4)
    | esk6413_4(X1,X2,X3,X4) )).

cnf(i_0_17418,axiom,
    ( esk1930_4(X1,X2,X3,X4)
    | ~ esk1896_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_17419,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3077_4(X1,X2,X3,X4) )).

cnf(i_0_17420,axiom,
    ( ~ esk8210_4(X1,X2,X3,X4)
    | ~ esk8614_4(X1,X2,X3,X4)
    | ~ esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_17421,axiom,
    ( esk2009_4(X1,X2,X3,X4)
    | ~ esk2008_4(X1,X2,X3,X4) )).

cnf(i_0_17422,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk899_0
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17423,axiom,
    ( ~ esk1626_4(X1,X2,X3,X4)
    | esk1563_4(X1,X2,X3,X4) )).

cnf(i_0_17424,axiom,
    ( esk2783_4(X1,X2,X3,X4)
    | ~ esk2782_4(X1,X2,X3,X4) )).

cnf(i_0_17425,axiom,
    ( esk1746_4(X1,X2,X3,X4)
    | ~ esk143_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_17426,axiom,
    ( esk2151_4(X1,X2,X3,X4)
    | ~ esk2150_4(X1,X2,X3,X4) )).

cnf(i_0_17427,axiom,
    ( esk8601_4(X1,X2,X3,X4)
    | ~ esk8602_4(X1,X2,X3,X4) )).

cnf(i_0_17428,axiom,
    ( ~ esk3902_4(X1,X2,X3,X4)
    | esk3903_4(X1,X2,X3,X4) )).

cnf(i_0_17429,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3017_4(X1,X2,X3,X4) )).

cnf(i_0_17430,axiom,
    ( ~ esk6032_4(X1,X2,X3,X4)
    | esk5561_4(X1,X2,X3,X4) )).

cnf(i_0_17431,axiom,
    ( esk6578_4(X1,X2,X3,X4)
    | ~ esk6579_4(X1,X2,X3,X4) )).

cnf(i_0_17432,axiom,
    ( ~ esk8214_4(X1,X2,X3,X4)
    | esk8393_4(X1,X2,X3,X4) )).

cnf(i_0_17433,axiom,
    ( ~ esk2200_4(X1,X2,X3,X4)
    | esk2165_4(X1,X2,X3,X4) )).

cnf(i_0_17434,axiom,
    ( esk1735_4(X1,X2,X3,X4)
    | ~ esk1733_4(X1,X2,X3,X4) )).

cnf(i_0_17435,axiom,
    ( ~ esk8349_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_17436,axiom,
    ( esk3003_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17437,axiom,
    ( ~ esk9657_4(X1,X2,X3,X4)
    | esk9656_4(X1,X2,X3,X4) )).

cnf(i_0_17438,axiom,
    ( ~ esk7370_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_17439,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6163_4(X1,X2,X3,X4) )).

cnf(i_0_17440,axiom,
    ( ~ esk7308_4(X1,X2,X3,X4)
    | esk7307_4(X1,X2,X3,X4)
    | esk7306_4(X1,X2,X3,X4) )).

cnf(i_0_17441,axiom,
    ( ~ esk343_0
    | ~ p(X3)
    | esk1955_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_17442,axiom,
    ( ~ esk7084_4(X1,X2,X3,X4)
    | esk4984_4(X1,X2,X3,X4) )).

cnf(i_0_17443,axiom,
    ( ~ esk4881_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_17444,axiom,
    ( ~ esk9700_4(X1,X2,X3,X4)
    | ~ esk9003_4(X1,X2,X3,X4)
    | esk9701_4(X1,X2,X3,X4) )).

cnf(i_0_17445,axiom,
    ( ~ esk1013_0
    | esk9111_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_17446,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2368_4(X1,X2,X3,X4) )).

cnf(i_0_17447,axiom,
    ( ~ esk8879_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | esk8938_4(X1,X2,X3,X4) )).

cnf(i_0_17448,axiom,
    ( esk1874_4(X1,X2,X3,X4)
    | ~ esk289_0
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_17449,axiom,
    ( esk4649_4(X1,X2,X3,X4)
    | ~ esk4692_4(X1,X2,X3,X4) )).

cnf(i_0_17450,axiom,
    ( esk9672_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_17451,axiom,
    ( ~ esk8236_4(X1,X2,X3,X4)
    | esk8235_4(X1,X2,X3,X4)
    | esk8234_4(X1,X2,X3,X4) )).

cnf(i_0_17452,axiom,
    ( ~ esk9039_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17453,axiom,
    ( ~ esk4824_4(X1,X2,X3,X4)
    | esk4826_4(X1,X2,X3,X4) )).

cnf(i_0_17454,axiom,
    ( esk1196_0
    | ~ p(X4)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_17455,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | esk1754_4(X1,X2,X3,X4)
    | ~ esk201_0 )).

cnf(i_0_17456,axiom,
    ( ~ esk3841_4(X1,X2,X3,X4)
    | esk3842_4(X1,X2,X3,X4) )).

cnf(i_0_17457,axiom,
    ( esk8751_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk754_0
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_17458,axiom,
    ( ~ esk4736_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_17459,axiom,
    ( esk443_0
    | p(X1)
    | ~ esk2092_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_17460,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4164_4(X1,X2,X3,X4) )).

cnf(i_0_17461,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | esk5336_4(X1,X2,X3,X4)
    | ~ esk5333_4(X1,X2,X3,X4) )).

cnf(i_0_17462,axiom,
    ( ~ esk9597_4(X1,X2,X3,X4)
    | ~ esk9591_4(X1,X2,X3,X4)
    | ~ esk9596_4(X1,X2,X3,X4) )).

cnf(i_0_17463,axiom,
    ( ~ esk4995_4(X1,X2,X3,X4)
    | esk3800_4(X1,X2,X3,X4) )).

cnf(i_0_17464,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2234_4(X1,X2,X3,X4) )).

cnf(i_0_17465,axiom,
    ( ~ esk7725_4(X1,X2,X3,X4)
    | esk7724_4(X1,X2,X3,X4)
    | esk7723_4(X1,X2,X3,X4) )).

cnf(i_0_17466,axiom,
    ( ~ esk3942_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_17467,axiom,
    ( ~ esk8148_4(X1,X2,X3,X4)
    | ~ esk8150_4(X1,X2,X3,X4)
    | esk8151_4(X1,X2,X3,X4) )).

cnf(i_0_17468,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_17469,axiom,
    ( esk7589_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_17470,axiom,
    ( esk2512_4(X1,X2,X3,X4)
    | ~ esk2527_4(X1,X2,X3,X4) )).

cnf(i_0_17471,axiom,
    ( ~ esk9744_4(X1,X2,X3,X4)
    | esk9743_4(X1,X2,X3,X4)
    | esk9741_4(X1,X2,X3,X4)
    | esk9742_4(X1,X2,X3,X4) )).

cnf(i_0_17472,axiom,
    ( esk7511_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6796_4(X1,X2,X3,X4) )).

cnf(i_0_17473,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5064_4(X1,X2,X3,X4) )).

cnf(i_0_17474,axiom,
    ( ~ p(X3)
    | esk1750_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk177_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_17475,axiom,
    ( ~ esk2981_4(X1,X2,X3,X4)
    | esk2978_4(X1,X2,X3,X4) )).

cnf(i_0_17476,axiom,
    ( ~ esk9041_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_17477,axiom,
    ( esk7936_4(X1,X2,X3,X4)
    | ~ esk7934_4(X1,X2,X3,X4) )).

cnf(i_0_17478,axiom,
    ( esk3744_4(X1,X2,X3,X4)
    | ~ esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_17479,axiom,
    ( esk4600_4(X1,X2,X3,X4)
    | esk3778_4(X1,X2,X3,X4) )).

cnf(i_0_17480,axiom,
    ( ~ esk3140_4(X1,X2,X3,X4)
    | esk3142_4(X1,X2,X3,X4) )).

cnf(i_0_17481,axiom,
    ( esk6424_4(X1,X2,X3,X4)
    | ~ esk6425_4(X1,X2,X3,X4) )).

cnf(i_0_17482,axiom,
    ( ~ esk914_0
    | esk9097_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_17483,axiom,
    ( esk7007_4(X1,X2,X3,X4)
    | ~ esk6851_4(X1,X2,X3,X4) )).

cnf(i_0_17484,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8441_4(X1,X2,X3,X4) )).

cnf(i_0_17485,axiom,
    ( ~ esk4444_4(X1,X2,X3,X4)
    | esk4445_4(X1,X2,X3,X4) )).

cnf(i_0_17486,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk968_0 )).

cnf(i_0_17487,axiom,
    ( ~ esk2839_4(X1,X2,X3,X4)
    | esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_17488,axiom,
    ( esk1892_4(X1,X2,X3,X4)
    | ~ esk1926_4(X1,X2,X3,X4) )).

cnf(i_0_17489,axiom,
    ( ~ esk466_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk8391_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17490,axiom,
    ( esk1682_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_17491,axiom,
    ( esk6090_4(X1,X2,X3,X4)
    | ~ esk6124_4(X1,X2,X3,X4) )).

cnf(i_0_17492,axiom,
    ( ~ esk8155_4(X1,X2,X3,X4)
    | esk8138_4(X1,X2,X3,X4) )).

cnf(i_0_17493,axiom,
    ( esk3578_4(X1,X2,X3,X4)
    | ~ esk3600_4(X1,X2,X3,X4) )).

cnf(i_0_17494,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X4)
    | esk9091_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk866_0 )).

cnf(i_0_17495,axiom,
    ( esk1725_4(X1,X2,X3,X4)
    | esk1726_4(X1,X2,X3,X4)
    | ~ esk1727_4(X1,X2,X3,X4) )).

cnf(i_0_17496,axiom,
    ( esk5671_4(X1,X2,X3,X4)
    | ~ esk6020_4(X1,X2,X3,X4) )).

cnf(i_0_17497,axiom,
    ( ~ esk4389_4(X1,X2,X3,X4)
    | esk3475_4(X1,X2,X3,X4) )).

cnf(i_0_17498,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk798_0 )).

cnf(i_0_17499,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | ~ esk7117_4(X1,X2,X3,X4)
    | esk7058_4(X1,X2,X3,X4) )).

cnf(i_0_17500,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk731_0 )).

cnf(i_0_17501,axiom,
    ( esk7819_4(X1,X2,X3,X4)
    | esk7818_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_17502,axiom,
    ( esk2481_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_17503,axiom,
    ( esk6666_4(X1,X2,X3,X4)
    | ~ esk6664_4(X1,X2,X3,X4) )).

cnf(i_0_17504,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6099_4(X1,X2,X3,X4) )).

cnf(i_0_17505,axiom,
    ( ~ esk1014_0
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_17506,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | esk761_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_17507,axiom,
    ( ~ esk3380_4(X1,X2,X3,X4)
    | esk3379_4(X1,X2,X3,X4) )).

cnf(i_0_17508,axiom,
    ( esk8661_4(X1,X2,X3,X4)
    | ~ esk8663_4(X1,X2,X3,X4)
    | esk8662_4(X1,X2,X3,X4) )).

cnf(i_0_17509,axiom,
    ( ~ esk8063_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17510,axiom,
    ( esk7597_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_17511,axiom,
    ( esk4519_4(X1,X2,X3,X4)
    | ~ esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_17512,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X4)
    | esk784_0
    | ~ p(X3) )).

cnf(i_0_17513,axiom,
    ( ~ esk790_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk9081_4(X1,X2,X3,X4) )).

cnf(i_0_17514,axiom,
    ( ~ esk8885_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17515,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8092_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_17516,axiom,
    ( ~ p(X1)
    | ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk509_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_17517,axiom,
    ( ~ esk6802_4(X1,X2,X3,X4)
    | esk6801_4(X1,X2,X3,X4) )).

cnf(i_0_17518,axiom,
    ( ~ esk3167_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17519,axiom,
    ( esk3588_4(X1,X2,X3,X4)
    | ~ esk3574_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_17520,axiom,
    ( esk3742_4(X1,X2,X3,X4)
    | ~ esk1642_4(X1,X2,X3,X4) )).

cnf(i_0_17521,axiom,
    ( ~ esk245_0
    | p(X1)
    | p(X4)
    | esk8072_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_17522,axiom,
    ( ~ esk6932_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_17523,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4758_4(X1,X2,X3,X4) )).

cnf(i_0_17524,axiom,
    ( ~ esk1600_4(X1,X2,X3,X4)
    | ~ esk2894_4(X1,X2,X3,X4)
    | esk1601_4(X1,X2,X3,X4) )).

cnf(i_0_17525,axiom,
    ( esk8261_4(X1,X2,X3,X4)
    | esk8262_4(X1,X2,X3,X4)
    | ~ esk8263_4(X1,X2,X3,X4) )).

cnf(i_0_17526,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk8966_4(X1,X2,X3,X4) )).

cnf(i_0_17527,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk573_0 )).

cnf(i_0_17528,axiom,
    ( esk5690_4(X1,X2,X3,X4)
    | ~ esk5689_4(X1,X2,X3,X4)
    | ~ esk7078_4(X1,X2,X3,X4) )).

cnf(i_0_17529,axiom,
    ( esk5751_4(X1,X2,X3,X4)
    | ~ esk5753_4(X1,X2,X3,X4)
    | esk5752_4(X1,X2,X3,X4) )).

cnf(i_0_17530,axiom,
    ( ~ esk2123_4(X1,X2,X3,X4)
    | esk2125_4(X1,X2,X3,X4) )).

cnf(i_0_17531,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8802_4(X1,X2,X3,X4) )).

cnf(i_0_17532,axiom,
    ( esk9103_4(X1,X2,X3,X4)
    | ~ esk9068_4(X1,X2,X3,X4) )).

cnf(i_0_17533,axiom,
    ( ~ esk1_0
    | p(X3)
    | esk2212_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_17534,axiom,
    ( ~ esk8877_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_17535,axiom,
    ( ~ esk330_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk1952_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17536,axiom,
    ( esk108_0
    | ~ esk7939_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_17537,axiom,
    ( esk4706_4(X1,X2,X3,X4)
    | ~ esk4707_4(X1,X2,X3,X4) )).

cnf(i_0_17538,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6272_4(X1,X2,X3,X4) )).

cnf(i_0_17539,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8989_4(X1,X2,X3,X4) )).

cnf(i_0_17540,axiom,
    ( ~ esk6959_4(X1,X2,X3,X4)
    | esk6961_4(X1,X2,X3,X4) )).

cnf(i_0_17541,axiom,
    ( ~ esk5092_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_17542,axiom,
    ( esk4249_4(X1,X2,X3,X4)
    | ~ esk4250_4(X1,X2,X3,X4)
    | esk4248_4(X1,X2,X3,X4) )).

cnf(i_0_17543,axiom,
    ( ~ esk3545_4(X1,X2,X3,X4)
    | esk3614_4(X1,X2,X3,X4) )).

cnf(i_0_17544,axiom,
    ( ~ esk9734_4(X1,X2,X3,X4)
    | esk9162_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_17545,axiom,
    ( esk4269_4(X1,X2,X3,X4)
    | ~ esk4306_4(X1,X2,X3,X4) )).

cnf(i_0_17546,axiom,
    ( esk8007_4(X1,X2,X3,X4)
    | ~ esk7964_4(X1,X2,X3,X4) )).

cnf(i_0_17547,axiom,
    ( ~ esk3027_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17548,axiom,
    ( ~ esk1651_4(X1,X2,X3,X4)
    | esk1649_4(X1,X2,X3,X4)
    | esk1650_4(X1,X2,X3,X4) )).

cnf(i_0_17549,axiom,
    ( ~ esk2249_4(X1,X2,X3,X4)
    | esk1997_4(X1,X2,X3,X4) )).

cnf(i_0_17550,axiom,
    ( esk7670_4(X1,X2,X3,X4)
    | ~ esk8755_4(X1,X2,X3,X4) )).

cnf(i_0_17551,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk37_0
    | p(X4) )).

cnf(i_0_17552,axiom,
    ( ~ esk9396_4(X1,X2,X3,X4)
    | esk9397_4(X1,X2,X3,X4)
    | ~ esk9367_4(X1,X2,X3,X4) )).

cnf(i_0_17553,axiom,
    ( ~ esk5254_4(X1,X2,X3,X4)
    | esk5255_4(X1,X2,X3,X4)
    | ~ esk5225_4(X1,X2,X3,X4) )).

cnf(i_0_17554,axiom,
    ( ~ esk4043_4(X1,X2,X3,X4)
    | esk4046_4(X1,X2,X3,X4) )).

cnf(i_0_17555,axiom,
    ( esk5055_4(X1,X2,X3,X4)
    | ~ esk2955_4(X1,X2,X3,X4) )).

cnf(i_0_17556,axiom,
    ( ~ esk3277_4(X1,X2,X3,X4)
    | esk1874_4(X1,X2,X3,X4)
    | esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_17557,axiom,
    ( esk8711_4(X1,X2,X3,X4)
    | esk8710_4(X1,X2,X3,X4)
    | ~ esk8712_4(X1,X2,X3,X4) )).

cnf(i_0_17558,axiom,
    ( ~ p(X3)
    | esk9099_4(X1,X2,X3,X4)
    | ~ esk932_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_17559,axiom,
    ( esk4675_4(X1,X2,X3,X4)
    | ~ esk4156_4(X1,X2,X3,X4) )).

cnf(i_0_17560,axiom,
    ( ~ esk8068_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_17561,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk756_0
    | esk8751_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17562,axiom,
    ( esk1511_4(X1,X2,X3,X4)
    | ~ esk1512_4(X1,X2,X3,X4) )).

cnf(i_0_17563,axiom,
    ( esk7113_4(X1,X2,X3,X4)
    | ~ esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_17564,axiom,
    ( ~ esk4180_4(X1,X2,X3,X4)
    | esk4182_4(X1,X2,X3,X4) )).

cnf(i_0_17565,axiom,
    ( ~ esk6763_4(X1,X2,X3,X4)
    | esk7007_4(X1,X2,X3,X4) )).

cnf(i_0_17566,axiom,
    ( ~ esk3060_4(X1,X2,X3,X4)
    | esk3062_4(X1,X2,X3,X4) )).

cnf(i_0_17567,axiom,
    ( esk5091_4(X1,X2,X3,X4)
    | ~ esk5093_4(X1,X2,X3,X4)
    | esk5092_4(X1,X2,X3,X4) )).

cnf(i_0_17568,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8297_4(X1,X2,X3,X4) )).

cnf(i_0_17569,axiom,
    ( esk7053_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_17570,axiom,
    ( ~ esk9151_4(X1,X2,X3,X4)
    | esk9123_4(X1,X2,X3,X4) )).

cnf(i_0_17571,axiom,
    ( ~ esk5649_4(X1,X2,X3,X4)
    | esk5648_4(X1,X2,X3,X4)
    | esk5647_4(X1,X2,X3,X4) )).

cnf(i_0_17572,axiom,
    ( ~ esk3521_4(X1,X2,X3,X4)
    | ~ esk3983_4(X1,X2,X3,X4)
    | ~ esk4536_4(X1,X2,X3,X4) )).

cnf(i_0_17573,axiom,
    ( ~ esk8078_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_17574,axiom,
    ( ~ esk6079_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_17575,axiom,
    ( esk3481_4(X1,X2,X3,X4)
    | ~ esk4162_4(X1,X2,X3,X4) )).

cnf(i_0_17576,axiom,
    ( ~ esk6077_4(X1,X2,X3,X4)
    | ~ esk6217_4(X1,X2,X3,X4)
    | esk6084_4(X1,X2,X3,X4) )).

cnf(i_0_17577,axiom,
    ( esk204_0
    | ~ esk1754_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_17578,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk2795_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk868_0 )).

cnf(i_0_17579,axiom,
    ( ~ esk4566_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_17580,axiom,
    ( ~ esk7588_4(X1,X2,X3,X4)
    | esk7587_4(X1,X2,X3,X4)
    | esk7586_4(X1,X2,X3,X4) )).

cnf(i_0_17581,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4163_4(X1,X2,X3,X4) )).

cnf(i_0_17582,axiom,
    ( ~ esk2838_4(X1,X2,X3,X4)
    | esk2837_4(X1,X2,X3,X4) )).

cnf(i_0_17583,axiom,
    ( esk3418_4(X1,X2,X3,X4)
    | ~ esk3421_4(X1,X2,X3,X4) )).

cnf(i_0_17584,axiom,
    ( esk8754_4(X1,X2,X3,X4)
    | ~ esk8756_4(X1,X2,X3,X4)
    | esk8755_4(X1,X2,X3,X4) )).

cnf(i_0_17585,axiom,
    ( ~ esk1432_4(X1,X2,X3,X4)
    | esk1434_4(X1,X2,X3,X4) )).

cnf(i_0_17586,axiom,
    ( ~ esk9187_4(X1,X2,X3,X4)
    | esk7087_4(X1,X2,X3,X4) )).

cnf(i_0_17587,axiom,
    ( esk8041_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_17588,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3888_4(X1,X2,X3,X4) )).

cnf(i_0_17589,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2821_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_17590,axiom,
    ( ~ esk9485_4(X1,X2,X3,X4)
    | esk9484_4(X1,X2,X3,X4) )).

cnf(i_0_17591,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1576_4(X1,X2,X3,X4) )).

cnf(i_0_17592,axiom,
    ( esk3507_4(X1,X2,X3,X4)
    | ~ esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_17593,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_17594,axiom,
    ( ~ esk2281_4(X1,X2,X3,X4)
    | esk2423_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_17595,axiom,
    ( esk5086_4(X1,X2,X3,X4)
    | ~ esk5087_4(X1,X2,X3,X4) )).

cnf(i_0_17596,axiom,
    ( esk4604_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_17597,axiom,
    ( ~ p(X2)
    | esk8715_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk563_0
    | p(X3)
    | p(X1) )).

cnf(i_0_17598,axiom,
    ( ~ esk9644_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_17599,axiom,
    ( esk3266_4(X1,X2,X3,X4)
    | ~ esk3269_4(X1,X2,X3,X4) )).

cnf(i_0_17600,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9006_4(X1,X2,X3,X4) )).

cnf(i_0_17601,axiom,
    ( ~ esk4955_4(X1,X2,X3,X4)
    | esk4957_4(X1,X2,X3,X4) )).

cnf(i_0_17602,axiom,
    ( ~ esk4496_4(X1,X2,X3,X4)
    | esk4495_4(X1,X2,X3,X4) )).

cnf(i_0_17603,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4926_4(X1,X2,X3,X4)
    | esk4946_4(X1,X2,X3,X4) )).

cnf(i_0_17604,axiom,
    ( ~ esk6881_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_17605,axiom,
    ( ~ esk9473_4(X1,X2,X3,X4)
    | esk9472_4(X1,X2,X3,X4) )).

cnf(i_0_17606,axiom,
    ( esk9035_4(X1,X2,X3,X4)
    | ~ esk9036_4(X1,X2,X3,X4)
    | esk9034_4(X1,X2,X3,X4) )).

cnf(i_0_17607,axiom,
    ( ~ esk5103_4(X1,X2,X3,X4)
    | esk5102_4(X1,X2,X3,X4) )).

cnf(i_0_17608,axiom,
    ( p(X1)
    | esk874_0
    | ~ p(X4)
    | ~ esk9093_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_17609,axiom,
    ( ~ esk7979_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4) )).

cnf(i_0_17610,axiom,
    ( esk2678_4(X1,X2,X3,X4)
    | ~ esk3348_4(X1,X2,X3,X4) )).

cnf(i_0_17611,axiom,
    ( esk9058_4(X1,X2,X3,X4)
    | esk9059_4(X1,X2,X3,X4)
    | ~ esk9060_4(X1,X2,X3,X4) )).

cnf(i_0_17612,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk9190_4(X1,X2,X3,X4)
    | ~ esk1202_0
    | ~ p(X2) )).

cnf(i_0_17613,axiom,
    ( esk1277_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_17614,axiom,
    ( esk5134_4(X1,X2,X3,X4)
    | ~ esk5135_4(X1,X2,X3,X4) )).

cnf(i_0_17615,axiom,
    ( esk8617_4(X1,X2,X3,X4)
    | ~ esk8359_4(X1,X2,X3,X4) )).

cnf(i_0_17616,axiom,
    ( ~ esk4736_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_17617,axiom,
    ( esk5465_4(X1,X2,X3,X4)
    | ~ esk5463_4(X1,X2,X3,X4) )).

cnf(i_0_17618,axiom,
    ( esk7084_4(X1,X2,X3,X4)
    | ~ esk5883_4(X1,X2,X3,X4) )).

cnf(i_0_17619,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8072_4(X1,X2,X3,X4)
    | esk248_0 )).

cnf(i_0_17620,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk1432_4(X1,X2,X3,X4) )).

cnf(i_0_17621,axiom,
    ( esk1618_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1555_4(X1,X2,X3,X4) )).

cnf(i_0_17622,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_17623,axiom,
    ( esk1990_4(X1,X2,X3,X4)
    | ~ esk2092_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_17624,axiom,
    ( ~ esk3365_4(X1,X2,X3,X4)
    | esk3366_4(X1,X2,X3,X4) )).

cnf(i_0_17625,axiom,
    ( ~ esk8602_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17626,axiom,
    ( esk5762_4(X1,X2,X3,X4)
    | ~ esk5763_4(X1,X2,X3,X4) )).

cnf(i_0_17627,axiom,
    ( ~ esk720_0
    | p(X4)
    | p(X3)
    | esk8735_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_17628,axiom,
    ( ~ esk1208_0
    | ~ p(X2)
    | ~ p(X4)
    | esk9194_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_17629,axiom,
    ( ~ esk3614_4(X1,X2,X3,X4)
    | esk5714_4(X1,X2,X3,X4) )).

cnf(i_0_17630,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3075_4(X1,X2,X3,X4) )).

cnf(i_0_17631,axiom,
    ( ~ esk6631_4(X1,X2,X3,X4)
    | ~ esk6287_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_17632,axiom,
    ( ~ esk7753_4(X1,X2,X3,X4)
    | esk9207_4(X1,X2,X3,X4)
    | ~ esk9206_4(X1,X2,X3,X4) )).

cnf(i_0_17633,axiom,
    ( ~ esk9146_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_17634,axiom,
    ( esk4620_4(X1,X2,X3,X4)
    | ~ esk4621_4(X1,X2,X3,X4) )).

cnf(i_0_17635,axiom,
    ( ~ esk2069_4(X1,X2,X3,X4)
    | esk2068_4(X1,X2,X3,X4) )).

cnf(i_0_17636,axiom,
    ( ~ esk8607_4(X1,X2,X3,X4)
    | esk8573_4(X1,X2,X3,X4) )).

cnf(i_0_17637,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4284_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_17638,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk7311_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_17639,axiom,
    ( esk1952_4(X1,X2,X3,X4)
    | ~ esk322_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_17640,axiom,
    ( esk4769_4(X1,X2,X3,X4)
    | ~ esk5431_4(X1,X2,X3,X4) )).

cnf(i_0_17641,axiom,
    ( esk8594_4(X1,X2,X3,X4)
    | ~ esk8306_4(X1,X2,X3,X4)
    | ~ esk8593_4(X1,X2,X3,X4) )).

cnf(i_0_17642,axiom,
    ( ~ esk4690_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_17643,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5434_4(X1,X2,X3,X4) )).

cnf(i_0_17644,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | esk949_0
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_17645,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | ~ esk1548_4(X1,X2,X3,X4)
    | esk1549_4(X1,X2,X3,X4) )).

cnf(i_0_17646,axiom,
    ( ~ esk5140_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_17647,axiom,
    ( esk41_0
    | ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_17648,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3216_4(X1,X2,X3,X4) )).

cnf(i_0_17649,axiom,
    ( ~ esk1_0
    | p(X1)
    | esk2801_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_17650,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk420_0
    | esk2058_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_17651,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1765_4(X1,X2,X3,X4) )).

cnf(i_0_17652,axiom,
    ( esk4009_4(X1,X2,X3,X4)
    | ~ esk4011_4(X1,X2,X3,X4)
    | esk4010_4(X1,X2,X3,X4)
    | esk4008_4(X1,X2,X3,X4) )).

cnf(i_0_17653,axiom,
    ( esk6102_4(X1,X2,X3,X4)
    | ~ esk6100_4(X1,X2,X3,X4) )).

cnf(i_0_17654,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5211_4(X1,X2,X3,X4) )).

cnf(i_0_17655,axiom,
    ( ~ esk6423_4(X1,X2,X3,X4)
    | esk6421_4(X1,X2,X3,X4)
    | esk6422_4(X1,X2,X3,X4) )).

cnf(i_0_17656,axiom,
    ( esk8479_4(X1,X2,X3,X4)
    | ~ esk8222_4(X1,X2,X3,X4) )).

cnf(i_0_17657,axiom,
    ( esk4745_4(X1,X2,X3,X4)
    | ~ esk4744_4(X1,X2,X3,X4) )).

cnf(i_0_17658,axiom,
    ( ~ esk4673_4(X1,X2,X3,X4)
    | esk4675_4(X1,X2,X3,X4) )).

cnf(i_0_17659,axiom,
    ( ~ esk3464_4(X1,X2,X3,X4)
    | esk3745_4(X1,X2,X3,X4) )).

cnf(i_0_17660,axiom,
    ( ~ esk6693_4(X1,X2,X3,X4)
    | ~ esk6723_4(X1,X2,X3,X4) )).

cnf(i_0_17661,axiom,
    ( ~ esk8301_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17662,axiom,
    ( ~ esk9481_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_17663,axiom,
    ( ~ esk4953_4(X1,X2,X3,X4)
    | esk4925_4(X1,X2,X3,X4) )).

cnf(i_0_17664,axiom,
    ( ~ esk4921_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_17665,axiom,
    ( ~ esk4780_4(X1,X2,X3,X4)
    | esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_17666,axiom,
    ( esk4119_4(X1,X2,X3,X4)
    | ~ esk3778_4(X1,X2,X3,X4)
    | ~ esk4117_4(X1,X2,X3,X4) )).

cnf(i_0_17667,axiom,
    ( p(X1)
    | p(X2)
    | esk2797_4(X1,X2,X3,X4)
    | ~ esk874_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_17668,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk5997_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_17669,axiom,
    ( ~ esk773_0
    | esk2482_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_17670,axiom,
    ( ~ esk9253_4(X1,X2,X3,X4)
    | ~ esk7933_4(X1,X2,X3,X4)
    | esk7934_4(X1,X2,X3,X4) )).

cnf(i_0_17671,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk34_0
    | p(X1)
    | p(X2)
    | ~ esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_17672,axiom,
    ( esk6003_4(X1,X2,X3,X4)
    | ~ esk6004_4(X1,X2,X3,X4) )).

cnf(i_0_17673,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk647_0
    | p(X4)
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17674,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7583_4(X1,X2,X3,X4) )).

cnf(i_0_17675,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5859_4(X1,X2,X3,X4) )).

cnf(i_0_17676,axiom,
    ( ~ esk2383_4(X1,X2,X3,X4)
    | esk2382_4(X1,X2,X3,X4)
    | esk2381_4(X1,X2,X3,X4) )).

cnf(i_0_17677,axiom,
    ( ~ esk8764_4(X1,X2,X3,X4)
    | esk8765_4(X1,X2,X3,X4) )).

cnf(i_0_17678,axiom,
    ( ~ esk4969_4(X1,X2,X3,X4)
    | esk2869_4(X1,X2,X3,X4) )).

cnf(i_0_17679,axiom,
    ( esk4709_4(X1,X2,X3,X4)
    | ~ esk5436_4(X1,X2,X3,X4) )).

cnf(i_0_17680,axiom,
    ( esk1539_4(X1,X2,X3,X4)
    | ~ esk2939_4(X1,X2,X3,X4) )).

cnf(i_0_17681,axiom,
    ( ~ p(X4)
    | esk1153_0
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_17682,axiom,
    ( ~ esk1279_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_17683,axiom,
    ( esk2005_4(X1,X2,X3,X4)
    | ~ esk2004_4(X1,X2,X3,X4) )).

cnf(i_0_17684,axiom,
    ( ~ esk2505_4(X1,X2,X3,X4)
    | esk2506_4(X1,X2,X3,X4)
    | ~ esk2474_4(X1,X2,X3,X4) )).

cnf(i_0_17685,axiom,
    ( ~ esk8044_4(X1,X2,X3,X4)
    | esk7765_4(X1,X2,X3,X4) )).

cnf(i_0_17686,axiom,
    ( ~ esk4996_4(X1,X2,X3,X4)
    | esk3706_4(X1,X2,X3,X4) )).

cnf(i_0_17687,axiom,
    ( ~ esk6476_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_17688,axiom,
    ( esk2722_4(X1,X2,X3,X4)
    | ~ esk2723_4(X1,X2,X3,X4)
    | esk2721_4(X1,X2,X3,X4) )).

cnf(i_0_17689,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3391_4(X1,X2,X3,X4) )).

cnf(i_0_17690,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3351_4(X1,X2,X3,X4) )).

cnf(i_0_17691,axiom,
    ( ~ esk7531_4(X1,X2,X3,X4)
    | esk7528_4(X1,X2,X3,X4) )).

cnf(i_0_17692,axiom,
    ( ~ esk8986_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_17693,axiom,
    ( esk3921_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_17694,axiom,
    ( esk3959_4(X1,X2,X3,X4)
    | ~ esk3492_4(X1,X2,X3,X4) )).

cnf(i_0_17695,axiom,
    ( ~ esk2985_4(X1,X2,X3,X4)
    | esk2986_4(X1,X2,X3,X4) )).

cnf(i_0_17696,axiom,
    ( esk7125_4(X1,X2,X3,X4)
    | ~ esk7126_4(X1,X2,X3,X4) )).

cnf(i_0_17697,axiom,
    ( esk6225_4(X1,X2,X3,X4)
    | ~ esk6199_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_17698,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4530_4(X1,X2,X3,X4)
    | esk4221_4(X1,X2,X3,X4) )).

cnf(i_0_17699,axiom,
    ( ~ esk8573_4(X1,X2,X3,X4)
    | esk8607_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_17700,axiom,
    ( ~ esk4274_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_17701,axiom,
    ( esk3052_4(X1,X2,X3,X4)
    | esk3053_4(X1,X2,X3,X4)
    | ~ esk3054_4(X1,X2,X3,X4) )).

cnf(i_0_17702,axiom,
    ( ~ esk4731_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_17703,axiom,
    ( ~ esk6707_4(X1,X2,X3,X4)
    | ~ esk5884_4(X1,X2,X3,X4) )).

cnf(i_0_17704,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X2)
    | esk852_0
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17705,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6023_4(X1,X2,X3,X4) )).

cnf(i_0_17706,axiom,
    ( ~ esk3274_4(X1,X2,X3,X4)
    | esk3273_4(X1,X2,X3,X4)
    | esk3271_4(X1,X2,X3,X4) )).

cnf(i_0_17707,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | ~ esk7790_4(X1,X2,X3,X4) )).

cnf(i_0_17708,axiom,
    ( ~ esk4787_4(X1,X2,X3,X4)
    | esk4789_4(X1,X2,X3,X4) )).

cnf(i_0_17709,axiom,
    ( esk1641_4(X1,X2,X3,X4)
    | ~ esk1401_4(X1,X2,X3,X4) )).

cnf(i_0_17710,axiom,
    ( ~ esk2732_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_17711,axiom,
    ( esk6927_4(X1,X2,X3,X4)
    | ~ esk7572_4(X1,X2,X3,X4)
    | ~ esk6926_4(X1,X2,X3,X4) )).

cnf(i_0_17712,axiom,
    ( ~ esk6176_4(X1,X2,X3,X4)
    | esk6174_4(X1,X2,X3,X4)
    | esk6175_4(X1,X2,X3,X4) )).

cnf(i_0_17713,axiom,
    ( ~ esk4843_4(X1,X2,X3,X4)
    | ~ esk5417_4(X1,X2,X3,X4)
    | esk4844_4(X1,X2,X3,X4) )).

cnf(i_0_17714,axiom,
    ( esk2868_4(X1,X2,X3,X4)
    | ~ esk1681_4(X1,X2,X3,X4) )).

cnf(i_0_17715,axiom,
    ( ~ esk4935_4(X1,X2,X3,X4)
    | esk4934_4(X1,X2,X3,X4)
    | esk4933_4(X1,X2,X3,X4) )).

cnf(i_0_17716,axiom,
    ( esk3363_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_17717,axiom,
    ( esk453_0
    | ~ esk8391_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_17718,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk9218_4(X1,X2,X3,X4)
    | esk1276_0 )).

cnf(i_0_17719,axiom,
    ( p(X1)
    | esk156_0
    | p(X4)
    | p(X3)
    | ~ esk1748_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_17720,axiom,
    ( ~ esk2993_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_17721,axiom,
    ( esk5451_4(X1,X2,X3,X4)
    | ~ esk5453_4(X1,X2,X3,X4)
    | esk5452_4(X1,X2,X3,X4) )).

cnf(i_0_17722,axiom,
    ( ~ esk9290_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17723,axiom,
    ( ~ esk6677_4(X1,X2,X3,X4)
    | esk6675_4(X1,X2,X3,X4)
    | ~ esk6770_4(X1,X2,X3,X4) )).

cnf(i_0_17724,axiom,
    ( esk2284_4(X1,X2,X3,X4)
    | ~ esk2285_4(X1,X2,X3,X4) )).

cnf(i_0_17725,axiom,
    ( ~ esk3981_4(X1,X2,X3,X4)
    | esk4536_4(X1,X2,X3,X4) )).

cnf(i_0_17726,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk9101_4(X1,X2,X3,X4)
    | esk947_0 )).

cnf(i_0_17727,axiom,
    ( ~ esk8545_4(X1,X2,X3,X4)
    | esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_17728,axiom,
    ( p(X1)
    | ~ esk1071_0
    | ~ p(X2)
    | esk2872_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_17729,axiom,
    ( esk1429_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_17730,axiom,
    ( ~ esk2803_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | esk921_0
    | p(X4)
    | p(X3) )).

cnf(i_0_17731,axiom,
    ( ~ p(X4)
    | ~ esk1237_0
    | ~ p(X2)
    | p(X3)
    | esk2914_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_17732,axiom,
    ( ~ p(X1)
    | esk506_0
    | p(X2)
    | ~ esk8547_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_17733,axiom,
    ( ~ esk7428_4(X1,X2,X3,X4)
    | esk7426_4(X1,X2,X3,X4)
    | esk7427_4(X1,X2,X3,X4) )).

cnf(i_0_17734,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2431_4(X1,X2,X3,X4)
    | esk2122_4(X1,X2,X3,X4) )).

cnf(i_0_17735,axiom,
    ( ~ esk2153_4(X1,X2,X3,X4)
    | esk2155_4(X1,X2,X3,X4) )).

cnf(i_0_17736,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8946_4(X1,X2,X3,X4) )).

cnf(i_0_17737,axiom,
    ( esk6969_4(X1,X2,X3,X4)
    | ~ esk6967_4(X1,X2,X3,X4) )).

cnf(i_0_17738,axiom,
    ( esk9367_4(X1,X2,X3,X4)
    | ~ esk9366_4(X1,X2,X3,X4) )).

cnf(i_0_17739,axiom,
    ( esk9705_4(X1,X2,X3,X4)
    | ~ esk9110_4(X1,X2,X3,X4)
    | ~ esk9704_4(X1,X2,X3,X4) )).

cnf(i_0_17740,axiom,
    ( esk3218_4(X1,X2,X3,X4)
    | ~ esk3217_4(X1,X2,X3,X4) )).

cnf(i_0_17741,axiom,
    ( ~ esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | esk980_0 )).

cnf(i_0_17742,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk4289_4(X1,X2,X3,X4)
    | esk4327_4(X1,X2,X3,X4) )).

cnf(i_0_17743,axiom,
    ( ~ esk2964_4(X1,X2,X3,X4)
    | esk2963_4(X1,X2,X3,X4) )).

cnf(i_0_17744,axiom,
    ( p(X1)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk592_0 )).

cnf(i_0_17745,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9014_4(X1,X2,X3,X4) )).

cnf(i_0_17746,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk1910_4(X1,X2,X3,X4) )).

cnf(i_0_17747,axiom,
    ( esk141_0
    | ~ p(X4)
    | ~ esk8042_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_17748,axiom,
    ( esk7876_4(X1,X2,X3,X4)
    | ~ esk7875_4(X1,X2,X3,X4) )).

cnf(i_0_17749,axiom,
    ( ~ esk4056_4(X1,X2,X3,X4)
    | esk6156_4(X1,X2,X3,X4) )).

cnf(i_0_17750,axiom,
    ( ~ esk3557_4(X1,X2,X3,X4)
    | esk3559_4(X1,X2,X3,X4) )).

cnf(i_0_17751,axiom,
    ( esk9331_4(X1,X2,X3,X4)
    | ~ esk9334_4(X1,X2,X3,X4) )).

cnf(i_0_17752,axiom,
    ( ~ esk8816_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17753,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4302_4(X1,X2,X3,X4)
    | ~ esk4526_4(X1,X2,X3,X4) )).

cnf(i_0_17754,axiom,
    ( ~ esk9433_4(X1,X2,X3,X4)
    | esk9432_4(X1,X2,X3,X4) )).

cnf(i_0_17755,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9289_4(X1,X2,X3,X4)
    | ~ esk9288_4(X1,X2,X3,X4) )).

cnf(i_0_17756,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk9228_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | esk1282_0 )).

cnf(i_0_17757,axiom,
    ( ~ esk7764_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_17758,axiom,
    ( esk5486_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_17759,axiom,
    ( ~ esk7229_4(X1,X2,X3,X4)
    | esk7230_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_17760,axiom,
    ( ~ esk2561_4(X1,X2,X3,X4)
    | esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_17761,axiom,
    ( ~ esk2953_4(X1,X2,X3,X4)
    | ~ esk1552_4(X1,X2,X3,X4) )).

cnf(i_0_17762,axiom,
    ( ~ esk2617_4(X1,X2,X3,X4)
    | esk2618_4(X1,X2,X3,X4) )).

cnf(i_0_17763,axiom,
    ( ~ esk7660_4(X1,X2,X3,X4)
    | esk7771_4(X1,X2,X3,X4) )).

cnf(i_0_17764,axiom,
    ( ~ esk3121_4(X1,X2,X3,X4)
    | esk3118_4(X1,X2,X3,X4) )).

cnf(i_0_17765,axiom,
    ( esk8238_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8237_4(X1,X2,X3,X4) )).

cnf(i_0_17766,axiom,
    ( ~ esk6793_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_17767,axiom,
    ( esk5107_4(X1,X2,X3,X4)
    | ~ esk5101_4(X1,X2,X3,X4)
    | ~ esk5106_4(X1,X2,X3,X4) )).

cnf(i_0_17768,axiom,
    ( esk2144_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17769,axiom,
    ( esk8098_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_17770,axiom,
    ( esk8713_4(X1,X2,X3,X4)
    | ~ esk8672_4(X1,X2,X3,X4) )).

cnf(i_0_17771,axiom,
    ( ~ esk5069_4(X1,X2,X3,X4)
    | esk5083_4(X1,X2,X3,X4)
    | ~ esk5082_4(X1,X2,X3,X4) )).

cnf(i_0_17772,axiom,
    ( esk4701_4(X1,X2,X3,X4)
    | ~ esk5420_4(X1,X2,X3,X4) )).

cnf(i_0_17773,axiom,
    ( ~ esk3230_4(X1,X2,X3,X4)
    | esk3229_4(X1,X2,X3,X4)
    | esk3228_4(X1,X2,X3,X4) )).

cnf(i_0_17774,axiom,
    ( esk2028_4(X1,X2,X3,X4)
    | ~ esk2027_4(X1,X2,X3,X4) )).

cnf(i_0_17775,axiom,
    ( esk314_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_17776,axiom,
    ( esk8962_4(X1,X2,X3,X4)
    | ~ esk9094_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_17777,axiom,
    ( ~ esk5527_4(X1,X2,X3,X4)
    | esk4817_4(X1,X2,X3,X4) )).

cnf(i_0_17778,axiom,
    ( esk4931_4(X1,X2,X3,X4)
    | ~ esk4930_4(X1,X2,X3,X4) )).

cnf(i_0_17779,axiom,
    ( ~ esk6989_4(X1,X2,X3,X4)
    | esk6663_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_17780,axiom,
    ( esk4271_4(X1,X2,X3,X4)
    | ~ esk6371_4(X1,X2,X3,X4) )).

cnf(i_0_17781,axiom,
    ( ~ esk3225_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17782,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk9172_4(X1,X2,X3,X4)
    | esk1103_0 )).

cnf(i_0_17783,axiom,
    ( esk2041_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17784,axiom,
    ( ~ esk4827_4(X1,X2,X3,X4)
    | esk4828_4(X1,X2,X3,X4)
    | ~ esk5473_4(X1,X2,X3,X4) )).

cnf(i_0_17785,axiom,
    ( ~ esk8421_4(X1,X2,X3,X4)
    | esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_17786,axiom,
    ( esk5371_4(X1,X2,X3,X4)
    | ~ esk4526_4(X1,X2,X3,X4) )).

cnf(i_0_17787,axiom,
    ( esk3638_4(X1,X2,X3,X4)
    | ~ esk5038_4(X1,X2,X3,X4) )).

cnf(i_0_17788,axiom,
    ( ~ esk2760_4(X1,X2,X3,X4)
    | esk2761_4(X1,X2,X3,X4)
    | ~ esk3350_4(X1,X2,X3,X4) )).

cnf(i_0_17789,axiom,
    ( esk3781_4(X1,X2,X3,X4)
    | ~ esk3816_4(X1,X2,X3,X4) )).

cnf(i_0_17790,axiom,
    ( esk2826_4(X1,X2,X3,X4)
    | esk3437_4(X1,X2,X3,X4) )).

cnf(i_0_17791,axiom,
    ( ~ esk6285_4(X1,X2,X3,X4)
    | esk6631_4(X1,X2,X3,X4) )).

cnf(i_0_17792,axiom,
    ( esk8267_4(X1,X2,X3,X4)
    | ~ esk8305_4(X1,X2,X3,X4) )).

cnf(i_0_17793,axiom,
    ( ~ esk2632_4(X1,X2,X3,X4)
    | esk2634_4(X1,X2,X3,X4) )).

cnf(i_0_17794,axiom,
    ( ~ esk2908_4(X1,X2,X3,X4)
    | p(X1)
    | esk1_0
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_17795,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2051_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_17796,axiom,
    ( ~ esk5732_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_17797,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk1444_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk49_0
    | p(X2) )).

cnf(i_0_17798,axiom,
    ( ~ esk6298_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17799,axiom,
    ( esk6537_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17800,axiom,
    ( ~ esk6205_4(X1,X2,X3,X4)
    | esk6204_4(X1,X2,X3,X4) )).

cnf(i_0_17801,axiom,
    ( esk9014_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_17802,axiom,
    ( ~ esk9255_4(X1,X2,X3,X4)
    | esk7155_4(X1,X2,X3,X4) )).

cnf(i_0_17803,axiom,
    ( esk7779_4(X1,X2,X3,X4)
    | ~ esk7871_4(X1,X2,X3,X4) )).

cnf(i_0_17804,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk1967_4(X1,X2,X3,X4) )).

cnf(i_0_17805,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk7972_4(X1,X2,X3,X4) )).

cnf(i_0_17806,axiom,
    ( ~ esk7026_4(X1,X2,X3,X4)
    | esk5907_4(X1,X2,X3,X4) )).

cnf(i_0_17807,axiom,
    ( ~ esk3126_4(X1,X2,X3,X4)
    | ~ esk3155_4(X1,X2,X3,X4)
    | esk3156_4(X1,X2,X3,X4) )).

cnf(i_0_17808,axiom,
    ( esk8770_4(X1,X2,X3,X4)
    | esk8769_4(X1,X2,X3,X4)
    | ~ esk8771_4(X1,X2,X3,X4) )).

cnf(i_0_17809,axiom,
    ( ~ esk2055_4(X1,X2,X3,X4)
    | ~ esk2056_4(X1,X2,X3,X4)
    | ~ esk1885_4(X1,X2,X3,X4) )).

cnf(i_0_17810,axiom,
    ( ~ p(X4)
    | ~ esk250_0
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_17811,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | ~ esk1158_0
    | esk9182_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_17812,axiom,
    ( esk9055_4(X1,X2,X3,X4)
    | ~ esk9056_4(X1,X2,X3,X4)
    | esk9054_4(X1,X2,X3,X4) )).

cnf(i_0_17813,axiom,
    ( ~ esk3977_4(X1,X2,X3,X4)
    | ~ esk4192_4(X1,X2,X3,X4)
    | esk4756_4(X1,X2,X3,X4) )).

cnf(i_0_17814,axiom,
    ( ~ esk104_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17815,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk307_0
    | p(X1)
    | ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_17816,axiom,
    ( esk3650_4(X1,X2,X3,X4)
    | ~ esk3648_4(X1,X2,X3,X4) )).

cnf(i_0_17817,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9330_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_17818,axiom,
    ( ~ esk1732_4(X1,X2,X3,X4)
    | ~ esk1686_4(X1,X2,X3,X4)
    | esk1733_4(X1,X2,X3,X4) )).

cnf(i_0_17819,axiom,
    ( p(X4)
    | ~ esk2437_4(X1,X2,X3,X4)
    | esk704_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_17820,axiom,
    ( ~ esk4530_4(X1,X2,X3,X4)
    | esk4225_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_17821,axiom,
    ( esk5843_4(X1,X2,X3,X4)
    | ~ esk5675_4(X1,X2,X3,X4) )).

cnf(i_0_17822,axiom,
    ( esk6158_4(X1,X2,X3,X4)
    | ~ esk6157_4(X1,X2,X3,X4)
    | ~ esk6269_4(X1,X2,X3,X4) )).

cnf(i_0_17823,axiom,
    ( ~ esk5172_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_17824,axiom,
    ( ~ esk9550_4(X1,X2,X3,X4)
    | esk9551_4(X1,X2,X3,X4) )).

cnf(i_0_17825,axiom,
    ( esk9560_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_17826,axiom,
    ( ~ esk6127_4(X1,X2,X3,X4)
    | esk6532_4(X1,X2,X3,X4) )).

cnf(i_0_17827,axiom,
    ( ~ esk9232_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_17828,axiom,
    ( esk7116_4(X1,X2,X3,X4)
    | ~ esk5815_4(X1,X2,X3,X4) )).

cnf(i_0_17829,axiom,
    ( esk9193_4(X1,X2,X3,X4)
    | ~ esk7998_4(X1,X2,X3,X4) )).

cnf(i_0_17830,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk3150_4(X1,X2,X3,X4)
    | esk3153_4(X1,X2,X3,X4) )).

cnf(i_0_17831,axiom,
    ( ~ esk7451_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_17832,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8519_4(X1,X2,X3,X4) )).

cnf(i_0_17833,axiom,
    ( ~ esk2958_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | esk1347_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_17834,axiom,
    ( ~ esk2159_4(X1,X2,X3,X4)
    | esk2158_4(X1,X2,X3,X4)
    | esk2157_4(X1,X2,X3,X4) )).

cnf(i_0_17835,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5782_4(X1,X2,X3,X4) )).

cnf(i_0_17836,axiom,
    ( esk8579_4(X1,X2,X3,X4)
    | ~ esk8578_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_17837,axiom,
    ( esk8293_4(X1,X2,X3,X4)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_17838,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7509_4(X1,X2,X3,X4) )).

cnf(i_0_17839,axiom,
    ( ~ esk5176_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_17840,axiom,
    ( esk2650_4(X1,X2,X3,X4)
    | ~ esk3417_4(X1,X2,X3,X4) )).

cnf(i_0_17841,axiom,
    ( esk6829_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_17842,axiom,
    ( p(X2)
    | ~ esk145_0
    | esk1746_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_17843,axiom,
    ( ~ esk5009_4(X1,X2,X3,X4)
    | esk5008_4(X1,X2,X3,X4) )).

cnf(i_0_17844,axiom,
    ( esk4730_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_17845,axiom,
    ( ~ esk7838_4(X1,X2,X3,X4)
    | esk7840_4(X1,X2,X3,X4) )).

cnf(i_0_17846,axiom,
    ( esk2043_4(X1,X2,X3,X4)
    | esk2042_4(X1,X2,X3,X4)
    | ~ esk2044_4(X1,X2,X3,X4) )).

cnf(i_0_17847,axiom,
    ( esk4359_4(X1,X2,X3,X4)
    | ~ esk3990_4(X1,X2,X3,X4) )).

cnf(i_0_17848,axiom,
    ( p(X4)
    | p(X2)
    | esk2435_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk679_0
    | p(X1) )).

cnf(i_0_17849,axiom,
    ( esk9472_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_17850,axiom,
    ( esk7389_4(X1,X2,X3,X4)
    | ~ esk7390_4(X1,X2,X3,X4) )).

cnf(i_0_17851,axiom,
    ( esk9016_4(X1,X2,X3,X4)
    | ~ esk9151_4(X1,X2,X3,X4) )).

cnf(i_0_17852,axiom,
    ( esk6309_4(X1,X2,X3,X4)
    | ~ esk6308_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_17853,axiom,
    ( p(X1)
    | p(X4)
    | p(X3)
    | esk1_0
    | p(X2)
    | ~ esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_17854,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk217_0
    | esk8052_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_17855,axiom,
    ( ~ esk7481_4(X1,X2,X3,X4)
    | esk7483_4(X1,X2,X3,X4) )).

cnf(i_0_17856,axiom,
    ( esk5689_4(X1,X2,X3,X4)
    | ~ esk5690_4(X1,X2,X3,X4) )).

cnf(i_0_17857,axiom,
    ( ~ esk8534_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8572_4(X1,X2,X3,X4) )).

cnf(i_0_17858,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | ~ esk4674_4(X1,X2,X3,X4) )).

cnf(i_0_17859,axiom,
    ( esk2054_4(X1,X2,X3,X4)
    | ~ esk2053_4(X1,X2,X3,X4) )).

cnf(i_0_17860,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk583_0 )).

cnf(i_0_17861,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7319_4(X1,X2,X3,X4) )).

cnf(i_0_17862,axiom,
    ( ~ esk6645_4(X1,X2,X3,X4)
    | ~ esk7486_4(X1,X2,X3,X4) )).

cnf(i_0_17863,axiom,
    ( esk9048_4(X1,X2,X3,X4)
    | ~ esk9093_4(X1,X2,X3,X4) )).

cnf(i_0_17864,axiom,
    ( ~ esk2489_4(X1,X2,X3,X4)
    | esk2252_4(X1,X2,X3,X4) )).

cnf(i_0_17865,axiom,
    ( ~ esk6745_4(X1,X2,X3,X4)
    | esk6744_4(X1,X2,X3,X4) )).

cnf(i_0_17866,axiom,
    ( esk9169_4(X1,X2,X3,X4)
    | ~ esk7069_4(X1,X2,X3,X4) )).

cnf(i_0_17867,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk6834_4(X1,X2,X3,X4) )).

cnf(i_0_17868,axiom,
    ( ~ p(X1)
    | esk881_0
    | ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_17869,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk3912_4(X1,X2,X3,X4)
    | esk3948_4(X1,X2,X3,X4) )).

cnf(i_0_17870,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7337_4(X1,X2,X3,X4) )).

cnf(i_0_17871,axiom,
    ( ~ esk1516_4(X1,X2,X3,X4)
    | esk1402_4(X1,X2,X3,X4) )).

cnf(i_0_17872,axiom,
    ( esk8429_4(X1,X2,X3,X4)
    | ~ esk8465_4(X1,X2,X3,X4) )).

cnf(i_0_17873,axiom,
    ( ~ esk7644_4(X1,X2,X3,X4)
    | esk5720_4(X1,X2,X3,X4) )).

cnf(i_0_17874,axiom,
    ( ~ p(X1)
    | ~ esk9109_4(X1,X2,X3,X4)
    | p(X4)
    | esk1003_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_17875,axiom,
    ( ~ esk8989_4(X1,X2,X3,X4)
    | esk8991_4(X1,X2,X3,X4) )).

cnf(i_0_17876,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4567_4(X1,X2,X3,X4)
    | esk4732_4(X1,X2,X3,X4) )).

cnf(i_0_17877,axiom,
    ( esk6033_4(X1,X2,X3,X4)
    | esk6032_4(X1,X2,X3,X4) )).

cnf(i_0_17878,axiom,
    ( esk7537_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_17879,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ esk8357_4(X1,X2,X3,X4)
    | esk423_0 )).

cnf(i_0_17880,axiom,
    ( ~ esk1791_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_17881,axiom,
    ( esk6_0
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_17882,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9410_4(X1,X2,X3,X4) )).

cnf(i_0_17883,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk9218_4(X1,X2,X3,X4)
    | esk1270_0 )).

cnf(i_0_17884,axiom,
    ( esk5371_4(X1,X2,X3,X4)
    | esk4530_4(X1,X2,X3,X4)
    | ~ esk5372_4(X1,X2,X3,X4) )).

cnf(i_0_17885,axiom,
    ( esk7788_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_17886,axiom,
    ( ~ esk5080_4(X1,X2,X3,X4)
    | esk5077_4(X1,X2,X3,X4) )).

cnf(i_0_17887,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4473_4(X1,X2,X3,X4) )).

cnf(i_0_17888,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7173_4(X1,X2,X3,X4) )).

cnf(i_0_17889,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk1208_0
    | ~ esk9194_4(X1,X2,X3,X4) )).

cnf(i_0_17890,axiom,
    ( ~ esk4422_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_17891,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7192_4(X1,X2,X3,X4)
    | esk7195_4(X1,X2,X3,X4) )).

cnf(i_0_17892,axiom,
    ( esk8282_4(X1,X2,X3,X4)
    | ~ esk8615_4(X1,X2,X3,X4) )).

cnf(i_0_17893,axiom,
    ( esk8921_4(X1,X2,X3,X4)
    | ~ esk8920_4(X1,X2,X3,X4)
    | ~ esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_17894,axiom,
    ( ~ esk3575_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4)
    | esk3653_4(X1,X2,X3,X4) )).

cnf(i_0_17895,axiom,
    ( ~ esk1223_0
    | ~ p(X4)
    | p(X1)
    | esk9204_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_17896,axiom,
    ( ~ esk2818_4(X1,X2,X3,X4)
    | esk2447_4(X1,X2,X3,X4) )).

cnf(i_0_17897,axiom,
    ( esk3995_4(X1,X2,X3,X4)
    | ~ esk3993_4(X1,X2,X3,X4) )).

cnf(i_0_17898,axiom,
    ( ~ esk3649_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_17899,axiom,
    ( esk5698_4(X1,X2,X3,X4)
    | esk5699_4(X1,X2,X3,X4)
    | ~ esk5700_4(X1,X2,X3,X4) )).

cnf(i_0_17900,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2061_4(X1,X2,X3,X4)
    | ~ esk436_0
    | p(X4) )).

cnf(i_0_17901,axiom,
    ( p(X1)
    | esk562_0
    | ~ esk8715_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_17902,axiom,
    ( esk7525_4(X1,X2,X3,X4)
    | ~ esk7526_4(X1,X2,X3,X4) )).

cnf(i_0_17903,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ esk2173_4(X1,X2,X3,X4)
    | esk471_0 )).

cnf(i_0_17904,axiom,
    ( esk4594_4(X1,X2,X3,X4)
    | esk4616_4(X1,X2,X3,X4) )).

cnf(i_0_17905,axiom,
    ( ~ esk8432_4(X1,X2,X3,X4)
    | esk7677_4(X1,X2,X3,X4) )).

cnf(i_0_17906,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3858_4(X1,X2,X3,X4) )).

cnf(i_0_17907,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | ~ esk3673_4(X1,X2,X3,X4) )).

cnf(i_0_17908,axiom,
    ( ~ esk5778_4(X1,X2,X3,X4)
    | ~ esk7072_4(X1,X2,X3,X4)
    | esk5779_4(X1,X2,X3,X4) )).

cnf(i_0_17909,axiom,
    ( ~ esk5763_4(X1,X2,X3,X4)
    | esk7140_4(X1,X2,X3,X4) )).

cnf(i_0_17910,axiom,
    ( ~ esk7973_4(X1,X2,X3,X4)
    | esk7838_4(X1,X2,X3,X4)
    | ~ esk7837_4(X1,X2,X3,X4) )).

cnf(i_0_17911,axiom,
    ( esk2423_4(X1,X2,X3,X4)
    | ~ esk2279_4(X1,X2,X3,X4) )).

cnf(i_0_17912,axiom,
    ( p(X4)
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk197_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_17913,axiom,
    ( ~ esk9588_4(X1,X2,X3,X4)
    | esk9589_4(X1,X2,X3,X4) )).

cnf(i_0_17914,axiom,
    ( esk4225_4(X1,X2,X3,X4)
    | ~ esk4189_4(X1,X2,X3,X4)
    | esk4226_4(X1,X2,X3,X4) )).

cnf(i_0_17915,axiom,
    ( esk8722_4(X1,X2,X3,X4)
    | ~ esk9573_4(X1,X2,X3,X4)
    | esk9572_4(X1,X2,X3,X4) )).

cnf(i_0_17916,axiom,
    ( esk6000_4(X1,X2,X3,X4)
    | ~ esk5999_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_17917,axiom,
    ( esk6180_4(X1,X2,X3,X4)
    | ~ esk6179_4(X1,X2,X3,X4) )).

cnf(i_0_17918,axiom,
    ( ~ esk8044_4(X1,X2,X3,X4)
    | p(X1)
    | esk158_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_17919,axiom,
    ( ~ esk9214_4(X1,X2,X3,X4)
    | esk7916_4(X1,X2,X3,X4) )).

cnf(i_0_17920,axiom,
    ( ~ esk5796_4(X1,X2,X3,X4)
    | esk5797_4(X1,X2,X3,X4) )).

cnf(i_0_17921,axiom,
    ( ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | esk133_0
    | ~ p(X1) )).

cnf(i_0_17922,axiom,
    ( ~ esk6730_4(X1,X2,X3,X4)
    | ~ esk5975_4(X1,X2,X3,X4)
    | esk5976_4(X1,X2,X3,X4) )).

cnf(i_0_17923,axiom,
    ( ~ esk9510_4(X1,X2,X3,X4)
    | esk9511_4(X1,X2,X3,X4) )).

cnf(i_0_17924,axiom,
    ( ~ esk4442_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4443_4(X1,X2,X3,X4) )).

cnf(i_0_17925,axiom,
    ( ~ esk9006_4(X1,X2,X3,X4)
    | esk9007_4(X1,X2,X3,X4) )).

cnf(i_0_17926,axiom,
    ( esk9042_4(X1,X2,X3,X4)
    | esk9043_4(X1,X2,X3,X4)
    | ~ esk9044_4(X1,X2,X3,X4) )).

cnf(i_0_17927,axiom,
    ( ~ esk4015_4(X1,X2,X3,X4)
    | esk3987_4(X1,X2,X3,X4) )).

cnf(i_0_17928,axiom,
    ( esk4221_4(X1,X2,X3,X4)
    | esk4223_4(X1,X2,X3,X4)
    | ~ esk4224_4(X1,X2,X3,X4)
    | esk4222_4(X1,X2,X3,X4) )).

cnf(i_0_17929,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1606_4(X1,X2,X3,X4) )).

cnf(i_0_17930,axiom,
    ( ~ esk1826_4(X1,X2,X3,X4)
    | esk1825_4(X1,X2,X3,X4) )).

cnf(i_0_17931,axiom,
    ( ~ esk6695_4(X1,X2,X3,X4)
    | esk6697_4(X1,X2,X3,X4) )).

cnf(i_0_17932,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5344_4(X1,X2,X3,X4) )).

cnf(i_0_17933,axiom,
    ( esk2897_4(X1,X2,X3,X4)
    | ~ esk1607_4(X1,X2,X3,X4) )).

cnf(i_0_17934,axiom,
    ( ~ esk4533_4(X1,X2,X3,X4)
    | esk4510_4(X1,X2,X3,X4) )).

cnf(i_0_17935,axiom,
    ( ~ esk2794_4(X1,X2,X3,X4)
    | esk2747_4(X1,X2,X3,X4) )).

cnf(i_0_17936,axiom,
    ( ~ esk8533_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_17937,axiom,
    ( ~ esk7696_4(X1,X2,X3,X4)
    | esk9169_4(X1,X2,X3,X4) )).

cnf(i_0_17938,axiom,
    ( p(X1)
    | p(X3)
    | esk8044_4(X1,X2,X3,X4)
    | ~ esk158_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_17939,axiom,
    ( esk5372_4(X1,X2,X3,X4)
    | ~ esk4530_4(X1,X2,X3,X4) )).

cnf(i_0_17940,axiom,
    ( esk5062_4(X1,X2,X3,X4)
    | ~ esk5063_4(X1,X2,X3,X4) )).

cnf(i_0_17941,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8334_4(X1,X2,X3,X4) )).

cnf(i_0_17942,axiom,
    ( esk7876_4(X1,X2,X3,X4)
    | ~ esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_17943,axiom,
    ( ~ esk3344_4(X1,X2,X3,X4)
    | esk3346_4(X1,X2,X3,X4) )).

cnf(i_0_17944,axiom,
    ( ~ esk5018_4(X1,X2,X3,X4)
    | esk4578_4(X1,X2,X3,X4) )).

cnf(i_0_17945,axiom,
    ( ~ esk7984_4(X1,X2,X3,X4)
    | esk8034_4(X1,X2,X3,X4)
    | ~ esk8033_4(X1,X2,X3,X4) )).

cnf(i_0_17946,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk3207_4(X1,X2,X3,X4) )).

cnf(i_0_17947,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ esk532_0
    | ~ p(X2)
    | esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_17948,axiom,
    ( ~ esk4310_4(X1,X2,X3,X4)
    | esk6410_4(X1,X2,X3,X4) )).

cnf(i_0_17949,axiom,
    ( p(X4)
    | ~ esk308_0
    | ~ p(X2)
    | p(X1)
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_17950,axiom,
    ( ~ esk4347_4(X1,X2,X3,X4)
    | esk4193_4(X1,X2,X3,X4) )).

cnf(i_0_17951,axiom,
    ( p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk706_0
    | ~ p(X2) )).

cnf(i_0_17952,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk6729_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_17953,axiom,
    ( ~ esk1654_4(X1,X2,X3,X4)
    | esk1653_4(X1,X2,X3,X4) )).

cnf(i_0_17954,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | esk3673_4(X1,X2,X3,X4)
    | ~ esk3581_4(X1,X2,X3,X4) )).

cnf(i_0_17955,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | esk7751_4(X1,X2,X3,X4)
    | ~ esk7750_4(X1,X2,X3,X4) )).

cnf(i_0_17956,axiom,
    ( esk9444_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_17957,axiom,
    ( esk3669_4(X1,X2,X3,X4)
    | ~ esk3580_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_17958,axiom,
    ( esk5809_4(X1,X2,X3,X4)
    | ~ esk5808_4(X1,X2,X3,X4) )).

cnf(i_0_17959,axiom,
    ( esk3933_4(X1,X2,X3,X4)
    | ~ esk3923_4(X1,X2,X3,X4)
    | ~ esk3462_4(X1,X2,X3,X4) )).

cnf(i_0_17960,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | esk806_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_17961,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk8015_4(X1,X2,X3,X4) )).

cnf(i_0_17962,axiom,
    ( esk8677_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_17963,axiom,
    ( p(X4)
    | p(X3)
    | esk2433_4(X1,X2,X3,X4)
    | ~ esk674_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_17964,axiom,
    ( esk8328_4(X1,X2,X3,X4)
    | esk8327_4(X1,X2,X3,X4)
    | ~ esk8329_4(X1,X2,X3,X4) )).

cnf(i_0_17965,axiom,
    ( ~ esk6162_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_17966,axiom,
    ( p(X4)
    | ~ esk63_0
    | esk7774_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_17967,axiom,
    ( ~ esk3197_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_17968,axiom,
    ( esk7756_4(X1,X2,X3,X4)
    | ~ esk7757_4(X1,X2,X3,X4)
    | esk7755_4(X1,X2,X3,X4) )).

cnf(i_0_17969,axiom,
    ( ~ esk6355_4(X1,X2,X3,X4)
    | esk6357_4(X1,X2,X3,X4) )).

cnf(i_0_17970,axiom,
    ( ~ esk3577_4(X1,X2,X3,X4)
    | esk3504_4(X1,X2,X3,X4) )).

cnf(i_0_17971,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7439_4(X1,X2,X3,X4) )).

cnf(i_0_17972,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X3)
    | esk835_0
    | ~ p(X1) )).

cnf(i_0_17973,axiom,
    ( ~ esk7881_4(X1,X2,X3,X4)
    | ~ esk9177_4(X1,X2,X3,X4)
    | esk7882_4(X1,X2,X3,X4) )).

cnf(i_0_17974,axiom,
    ( esk7005_4(X1,X2,X3,X4)
    | ~ esk6818_4(X1,X2,X3,X4) )).

cnf(i_0_17975,axiom,
    ( ~ esk2062_4(X1,X2,X3,X4)
    | esk1358_4(X1,X2,X3,X4) )).

cnf(i_0_17976,axiom,
    ( esk6966_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_17977,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9721_4(X1,X2,X3,X4) )).

cnf(i_0_17978,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk9107_4(X1,X2,X3,X4)
    | esk990_0
    | ~ p(X1) )).

cnf(i_0_17979,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8648_4(X1,X2,X3,X4) )).

cnf(i_0_17980,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk1987_4(X1,X2,X3,X4)
    | p(X1)
    | esk363_0
    | p(X2) )).

cnf(i_0_17981,axiom,
    ( esk3735_4(X1,X2,X3,X4)
    | ~ esk3736_4(X1,X2,X3,X4) )).

cnf(i_0_17982,axiom,
    ( ~ esk9497_4(X1,X2,X3,X4)
    | esk9496_4(X1,X2,X3,X4) )).

cnf(i_0_17983,axiom,
    ( ~ esk2965_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_17984,axiom,
    ( ~ esk9210_4(X1,X2,X3,X4)
    | esk1246_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_17985,axiom,
    ( esk6941_4(X1,X2,X3,X4)
    | ~ esk6939_4(X1,X2,X3,X4) )).

cnf(i_0_17986,axiom,
    ( ~ esk4028_4(X1,X2,X3,X4)
    | esk4027_4(X1,X2,X3,X4) )).

cnf(i_0_17987,axiom,
    ( ~ esk7677_4(X1,X2,X3,X4)
    | esk8432_4(X1,X2,X3,X4) )).

cnf(i_0_17988,axiom,
    ( ~ esk936_0
    | ~ p(X4)
    | esk9101_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_17989,axiom,
    ( ~ esk9445_4(X1,X2,X3,X4)
    | esk9439_4(X1,X2,X3,X4) )).

cnf(i_0_17990,axiom,
    ( ~ esk8799_4(X1,X2,X3,X4)
    | esk8798_4(X1,X2,X3,X4) )).

cnf(i_0_17991,axiom,
    ( ~ esk6734_4(X1,X2,X3,X4)
    | esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_17992,axiom,
    ( esk9165_4(X1,X2,X3,X4)
    | ~ esk7065_4(X1,X2,X3,X4) )).

cnf(i_0_17993,axiom,
    ( ~ esk5881_4(X1,X2,X3,X4)
    | esk5919_4(X1,X2,X3,X4)
    | ~ esk5918_4(X1,X2,X3,X4) )).

cnf(i_0_17994,axiom,
    ( p(X2)
    | p(X4)
    | esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ esk168_0 )).

cnf(i_0_17995,axiom,
    ( esk6625_4(X1,X2,X3,X4)
    | ~ esk6397_4(X1,X2,X3,X4) )).

cnf(i_0_17996,axiom,
    ( p(X3)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk878_0
    | ~ p(X2) )).

cnf(i_0_17997,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5215_4(X1,X2,X3,X4) )).

cnf(i_0_17998,axiom,
    ( ~ p(X1)
    | esk1061_0
    | p(X2)
    | ~ esk2870_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_17999,axiom,
    ( esk7624_4(X1,X2,X3,X4)
    | ~ esk7623_4(X1,X2,X3,X4) )).

cnf(i_0_18000,axiom,
    ( esk8036_4(X1,X2,X3,X4)
    | ~ esk9221_4(X1,X2,X3,X4) )).

cnf(i_0_18001,axiom,
    ( esk4472_4(X1,X2,X3,X4)
    | ~ esk4471_4(X1,X2,X3,X4)
    | ~ esk4328_4(X1,X2,X3,X4) )).

cnf(i_0_18002,axiom,
    ( ~ esk6628_4(X1,X2,X3,X4)
    | esk6601_4(X1,X2,X3,X4) )).

cnf(i_0_18003,axiom,
    ( ~ esk7326_4(X1,X2,X3,X4)
    | esk7325_4(X1,X2,X3,X4) )).

cnf(i_0_18004,axiom,
    ( esk7182_4(X1,X2,X3,X4)
    | esk7183_4(X1,X2,X3,X4)
    | ~ esk7184_4(X1,X2,X3,X4) )).

cnf(i_0_18005,axiom,
    ( ~ esk4027_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_18006,axiom,
    ( ~ esk5018_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | esk4959_4(X1,X2,X3,X4) )).

cnf(i_0_18007,axiom,
    ( esk9151_4(X1,X2,X3,X4)
    | ~ esk9117_4(X1,X2,X3,X4) )).

cnf(i_0_18008,axiom,
    ( esk6994_4(X1,X2,X3,X4)
    | ~ esk6949_4(X1,X2,X3,X4) )).

cnf(i_0_18009,axiom,
    ( ~ esk7078_4(X1,X2,X3,X4)
    | esk5881_4(X1,X2,X3,X4) )).

cnf(i_0_18010,axiom,
    ( esk6752_4(X1,X2,X3,X4)
    | ~ esk6807_4(X1,X2,X3,X4) )).

cnf(i_0_18011,axiom,
    ( ~ esk2831_4(X1,X2,X3,X4)
    | esk2832_4(X1,X2,X3,X4) )).

cnf(i_0_18012,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk3982_4(X1,X2,X3,X4)
    | esk4513_4(X1,X2,X3,X4) )).

cnf(i_0_18013,axiom,
    ( esk1425_4(X1,X2,X3,X4)
    | ~ esk1426_4(X1,X2,X3,X4) )).

cnf(i_0_18014,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk1000_0
    | p(X1) )).

cnf(i_0_18015,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk524_0
    | ~ p(X1)
    | esk8585_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_18016,axiom,
    ( ~ esk1684_4(X1,X2,X3,X4)
    | esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_18017,axiom,
    ( esk9263_4(X1,X2,X3,X4)
    | ~ esk9266_4(X1,X2,X3,X4) )).

cnf(i_0_18018,axiom,
    ( esk2815_4(X1,X2,X3,X4)
    | ~ esk2826_4(X1,X2,X3,X4)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_18019,axiom,
    ( esk7851_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7773_4(X1,X2,X3,X4) )).

cnf(i_0_18020,axiom,
    ( esk655_0
    | p(X4)
    | p(X3)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_18021,axiom,
    ( ~ esk155_0
    | p(X1)
    | esk1748_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_18022,axiom,
    ( esk8091_4(X1,X2,X3,X4)
    | esk8092_4(X1,X2,X3,X4)
    | ~ esk8093_4(X1,X2,X3,X4) )).

cnf(i_0_18023,axiom,
    ( esk6836_4(X1,X2,X3,X4)
    | ~ esk6834_4(X1,X2,X3,X4) )).

cnf(i_0_18024,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | esk4639_4(X1,X2,X3,X4)
    | ~ esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_18025,axiom,
    ( ~ esk5323_4(X1,X2,X3,X4)
    | esk5322_4(X1,X2,X3,X4) )).

cnf(i_0_18026,axiom,
    ( ~ esk6334_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_18027,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6527_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18028,axiom,
    ( esk2844_4(X1,X2,X3,X4)
    | ~ esk2850_4(X1,X2,X3,X4) )).

cnf(i_0_18029,axiom,
    ( esk1457_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_18030,axiom,
    ( ~ p(X2)
    | ~ esk10_0
    | esk7734_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_18031,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7428_4(X1,X2,X3,X4)
    | esk7431_4(X1,X2,X3,X4) )).

cnf(i_0_18032,axiom,
    ( esk1281_0
    | p(X1)
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_18033,axiom,
    ( esk2692_4(X1,X2,X3,X4)
    | ~ esk2691_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_18034,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | esk809_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_18035,axiom,
    ( p(X1)
    | p(X3)
    | p(X2)
    | p(X4)
    | esk1_0
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_18036,axiom,
    ( ~ esk7814_4(X1,X2,X3,X4)
    | esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_18037,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | esk1233_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_18038,axiom,
    ( esk6597_4(X1,X2,X3,X4)
    | ~ esk6626_4(X1,X2,X3,X4) )).

cnf(i_0_18039,axiom,
    ( esk5433_4(X1,X2,X3,X4)
    | ~ esk5432_4(X1,X2,X3,X4) )).

cnf(i_0_18040,axiom,
    ( ~ esk6496_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_18041,axiom,
    ( ~ esk2463_4(X1,X2,X3,X4)
    | ~ esk1373_4(X1,X2,X3,X4)
    | esk2458_4(X1,X2,X3,X4) )).

cnf(i_0_18042,axiom,
    ( ~ esk2660_4(X1,X2,X3,X4)
    | esk2659_4(X1,X2,X3,X4) )).

cnf(i_0_18043,axiom,
    ( esk7880_4(X1,X2,X3,X4)
    | ~ esk7879_4(X1,X2,X3,X4) )).

cnf(i_0_18044,axiom,
    ( ~ p(X2)
    | esk1087_0
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ esk9170_4(X1,X2,X3,X4) )).

cnf(i_0_18045,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5746_4(X1,X2,X3,X4) )).

cnf(i_0_18046,axiom,
    ( ~ esk2918_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1252_0 )).

cnf(i_0_18047,axiom,
    ( ~ esk8912_4(X1,X2,X3,X4)
    | ~ esk9102_4(X1,X2,X3,X4)
    | esk8913_4(X1,X2,X3,X4) )).

cnf(i_0_18048,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4572_4(X1,X2,X3,X4) )).

cnf(i_0_18049,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7443_4(X1,X2,X3,X4) )).

cnf(i_0_18050,axiom,
    ( esk8792_4(X1,X2,X3,X4)
    | ~ esk8816_4(X1,X2,X3,X4) )).

cnf(i_0_18051,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1352_0
    | ~ esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_18052,axiom,
    ( esk5838_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_18053,axiom,
    ( ~ esk3777_4(X1,X2,X3,X4)
    | esk3776_4(X1,X2,X3,X4) )).

cnf(i_0_18054,axiom,
    ( ~ esk1028_0
    | p(X1)
    | esk2854_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_18055,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5406_4(X1,X2,X3,X4) )).

cnf(i_0_18056,axiom,
    ( esk7442_4(X1,X2,X3,X4)
    | esk7443_4(X1,X2,X3,X4)
    | ~ esk7444_4(X1,X2,X3,X4) )).

cnf(i_0_18057,axiom,
    ( esk1842_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk259_0
    | p(X1) )).

cnf(i_0_18058,axiom,
    ( ~ esk3262_4(X1,X2,X3,X4)
    | esk3261_4(X1,X2,X3,X4)
    | esk3260_4(X1,X2,X3,X4) )).

cnf(i_0_18059,axiom,
    ( p(X3)
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1291_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_18060,axiom,
    ( ~ esk8920_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_18061,axiom,
    ( p(X1)
    | p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk755_0 )).

cnf(i_0_18062,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk3937_4(X1,X2,X3,X4) )).

cnf(i_0_18063,axiom,
    ( ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | esk1240_0
    | p(X4) )).

cnf(i_0_18064,axiom,
    ( esk4761_4(X1,X2,X3,X4)
    | ~ esk4759_4(X1,X2,X3,X4) )).

cnf(i_0_18065,axiom,
    ( ~ esk3214_4(X1,X2,X3,X4)
    | ~ esk2408_4(X1,X2,X3,X4)
    | esk2409_4(X1,X2,X3,X4) )).

cnf(i_0_18066,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk9109_4(X1,X2,X3,X4)
    | ~ esk1006_0
    | ~ p(X1) )).

cnf(i_0_18067,axiom,
    ( esk8721_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ esk604_0 )).

cnf(i_0_18068,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk1882_4(X1,X2,X3,X4)
    | ~ esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_18069,axiom,
    ( esk9215_4(X1,X2,X3,X4)
    | ~ esk8007_4(X1,X2,X3,X4) )).

cnf(i_0_18070,axiom,
    ( esk2299_4(X1,X2,X3,X4)
    | ~ esk2298_4(X1,X2,X3,X4) )).

cnf(i_0_18071,axiom,
    ( esk4737_4(X1,X2,X3,X4)
    | ~ esk5492_4(X1,X2,X3,X4) )).

cnf(i_0_18072,axiom,
    ( ~ esk7_0
    | p(X1)
    | p(X3)
    | esk1438_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_18073,axiom,
    ( esk6641_4(X1,X2,X3,X4)
    | ~ esk6639_4(X1,X2,X3,X4) )).

cnf(i_0_18074,axiom,
    ( esk7937_4(X1,X2,X3,X4)
    | ~ esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_18075,axiom,
    ( p(X1)
    | esk532_0
    | ~ esk2321_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_18076,axiom,
    ( esk3845_4(X1,X2,X3,X4)
    | ~ esk1745_4(X1,X2,X3,X4) )).

cnf(i_0_18077,axiom,
    ( ~ p(X4)
    | esk969_0
    | p(X1)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_18078,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5458_4(X1,X2,X3,X4) )).

cnf(i_0_18079,axiom,
    ( esk7082_4(X1,X2,X3,X4)
    | ~ esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_18080,axiom,
    ( ~ esk4914_4(X1,X2,X3,X4)
    | esk4818_4(X1,X2,X3,X4) )).

cnf(i_0_18081,axiom,
    ( esk5245_4(X1,X2,X3,X4)
    | ~ esk5243_4(X1,X2,X3,X4) )).

cnf(i_0_18082,axiom,
    ( esk8132_4(X1,X2,X3,X4)
    | ~ esk8133_4(X1,X2,X3,X4) )).

cnf(i_0_18083,axiom,
    ( ~ esk2163_4(X1,X2,X3,X4)
    | esk2398_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_18084,axiom,
    ( ~ esk8556_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_18085,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk8747_4(X1,X2,X3,X4)
    | esk725_0 )).

cnf(i_0_18086,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk5965_4(X1,X2,X3,X4) )).

cnf(i_0_18087,axiom,
    ( ~ esk5209_4(X1,X2,X3,X4)
    | ~ esk5222_4(X1,X2,X3,X4)
    | esk5223_4(X1,X2,X3,X4) )).

cnf(i_0_18088,axiom,
    ( esk4753_4(X1,X2,X3,X4)
    | ~ esk4673_4(X1,X2,X3,X4) )).

cnf(i_0_18089,axiom,
    ( ~ esk8181_4(X1,X2,X3,X4)
    | ~ esk8734_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_18090,axiom,
    ( ~ esk5699_4(X1,X2,X3,X4)
    | esk5700_4(X1,X2,X3,X4) )).

cnf(i_0_18091,axiom,
    ( ~ esk8289_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4)
    | esk8290_4(X1,X2,X3,X4) )).

cnf(i_0_18092,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk847_0
    | p(X1) )).

cnf(i_0_18093,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk3001_4(X1,X2,X3,X4) )).

cnf(i_0_18094,axiom,
    ( esk2303_4(X1,X2,X3,X4)
    | ~ esk2007_4(X1,X2,X3,X4) )).

cnf(i_0_18095,axiom,
    ( esk8792_4(X1,X2,X3,X4)
    | esk8822_4(X1,X2,X3,X4) )).

cnf(i_0_18096,axiom,
    ( ~ esk5274_4(X1,X2,X3,X4)
    | esk5275_4(X1,X2,X3,X4)
    | ~ esk5269_4(X1,X2,X3,X4) )).

cnf(i_0_18097,axiom,
    ( ~ esk8650_4(X1,X2,X3,X4)
    | esk8651_4(X1,X2,X3,X4) )).

cnf(i_0_18098,axiom,
    ( ~ esk5329_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5332_4(X1,X2,X3,X4) )).

cnf(i_0_18099,axiom,
    ( esk6861_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_18100,axiom,
    ( esk3339_4(X1,X2,X3,X4)
    | ~ esk3340_4(X1,X2,X3,X4) )).

cnf(i_0_18101,axiom,
    ( esk6323_4(X1,X2,X3,X4)
    | ~ esk6321_4(X1,X2,X3,X4) )).

cnf(i_0_18102,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk7962_4(X1,X2,X3,X4) )).

cnf(i_0_18103,axiom,
    ( ~ esk5964_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_18104,axiom,
    ( esk3394_4(X1,X2,X3,X4)
    | ~ esk3392_4(X1,X2,X3,X4) )).

cnf(i_0_18105,axiom,
    ( esk4076_4(X1,X2,X3,X4)
    | ~ esk4042_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_18106,axiom,
    ( esk4860_4(X1,X2,X3,X4)
    | ~ esk5449_4(X1,X2,X3,X4)
    | ~ esk4859_4(X1,X2,X3,X4) )).

cnf(i_0_18107,axiom,
    ( esk2987_4(X1,X2,X3,X4)
    | ~ esk2988_4(X1,X2,X3,X4) )).

cnf(i_0_18108,axiom,
    ( ~ esk3931_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk3882_4(X1,X2,X3,X4) )).

cnf(i_0_18109,axiom,
    ( esk5984_4(X1,X2,X3,X4)
    | esk5985_4(X1,X2,X3,X4)
    | ~ esk5986_4(X1,X2,X3,X4) )).

cnf(i_0_18110,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | esk2750_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_18111,axiom,
    ( ~ esk6025_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_18112,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk626_0
    | p(X4)
    | p(X2)
    | ~ esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_18113,axiom,
    ( ~ esk2397_4(X1,X2,X3,X4)
    | esk3046_4(X1,X2,X3,X4) )).

cnf(i_0_18114,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk729_0
    | ~ p(X2) )).

cnf(i_0_18115,axiom,
    ( ~ esk4875_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_18116,axiom,
    ( esk2299_4(X1,X2,X3,X4)
    | ~ esk2297_4(X1,X2,X3,X4) )).

cnf(i_0_18117,axiom,
    ( esk9655_4(X1,X2,X3,X4)
    | ~ esk9654_4(X1,X2,X3,X4) )).

cnf(i_0_18118,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8409_4(X1,X2,X3,X4) )).

cnf(i_0_18119,axiom,
    ( esk9140_4(X1,X2,X3,X4)
    | ~ esk9141_4(X1,X2,X3,X4)
    | esk9139_4(X1,X2,X3,X4) )).

cnf(i_0_18120,axiom,
    ( ~ esk3336_4(X1,X2,X3,X4)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_18121,axiom,
    ( esk8282_4(X1,X2,X3,X4)
    | ~ esk8247_4(X1,X2,X3,X4) )).

cnf(i_0_18122,axiom,
    ( ~ esk2024_4(X1,X2,X3,X4)
    | esk2483_4(X1,X2,X3,X4) )).

cnf(i_0_18123,axiom,
    ( esk8596_4(X1,X2,X3,X4)
    | ~ esk8674_4(X1,X2,X3,X4) )).

cnf(i_0_18124,axiom,
    ( esk5774_4(X1,X2,X3,X4)
    | ~ esk5775_4(X1,X2,X3,X4) )).

cnf(i_0_18125,axiom,
    ( esk2469_4(X1,X2,X3,X4)
    | ~ esk2470_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_18126,axiom,
    ( ~ esk7701_4(X1,X2,X3,X4)
    | esk7739_4(X1,X2,X3,X4) )).

cnf(i_0_18127,axiom,
    ( ~ esk4064_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_18128,axiom,
    ( esk8254_4(X1,X2,X3,X4)
    | ~ esk8619_4(X1,X2,X3,X4) )).

cnf(i_0_18129,axiom,
    ( esk5724_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_18130,axiom,
    ( p(X1)
    | esk684_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk8731_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_18131,axiom,
    ( esk4886_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk5398_4(X1,X2,X3,X4) )).

cnf(i_0_18132,axiom,
    ( esk3176_4(X1,X2,X3,X4)
    | ~ esk3170_4(X1,X2,X3,X4)
    | ~ esk3175_4(X1,X2,X3,X4) )).

cnf(i_0_18133,axiom,
    ( esk4373_4(X1,X2,X3,X4)
    | ~ esk4372_4(X1,X2,X3,X4)
    | ~ esk4297_4(X1,X2,X3,X4) )).

cnf(i_0_18134,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | esk5140_4(X1,X2,X3,X4)
    | ~ esk5137_4(X1,X2,X3,X4) )).

cnf(i_0_18135,axiom,
    ( ~ esk1777_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_18136,axiom,
    ( ~ esk3562_4(X1,X2,X3,X4)
    | esk3812_4(X1,X2,X3,X4) )).

cnf(i_0_18137,axiom,
    ( ~ esk9103_4(X1,X2,X3,X4)
    | esk956_0
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_18138,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9275_4(X1,X2,X3,X4)
    | esk9278_4(X1,X2,X3,X4) )).

cnf(i_0_18139,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk977_0
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_18140,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk9190_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk2_0
    | ~ p(X2) )).

cnf(i_0_18141,axiom,
    ( ~ esk3640_4(X1,X2,X3,X4)
    | esk3775_4(X1,X2,X3,X4) )).

cnf(i_0_18142,axiom,
    ( esk9492_4(X1,X2,X3,X4)
    | ~ esk9493_4(X1,X2,X3,X4) )).

cnf(i_0_18143,axiom,
    ( esk9084_4(X1,X2,X3,X4)
    | ~ esk9592_4(X1,X2,X3,X4) )).

cnf(i_0_18144,axiom,
    ( ~ esk223_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_18145,axiom,
    ( esk2040_4(X1,X2,X3,X4)
    | ~ esk2038_4(X1,X2,X3,X4) )).

cnf(i_0_18146,axiom,
    ( ~ esk8300_4(X1,X2,X3,X4)
    | esk8299_4(X1,X2,X3,X4) )).

cnf(i_0_18147,axiom,
    ( ~ esk2388_4(X1,X2,X3,X4)
    | ~ esk1828_4(X1,X2,X3,X4)
    | esk2389_4(X1,X2,X3,X4) )).

cnf(i_0_18148,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4622_4(X1,X2,X3,X4) )).

cnf(i_0_18149,axiom,
    ( ~ esk9514_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_18150,axiom,
    ( ~ p(X1)
    | ~ esk8723_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk632_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_18151,axiom,
    ( ~ esk3226_4(X1,X2,X3,X4)
    | ~ esk3231_4(X1,X2,X3,X4)
    | esk3232_4(X1,X2,X3,X4) )).

cnf(i_0_18152,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | esk1070_0 )).

cnf(i_0_18153,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9494_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_18154,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk7135_4(X1,X2,X3,X4) )).

cnf(i_0_18155,axiom,
    ( ~ esk4531_4(X1,X2,X3,X4)
    | esk6631_4(X1,X2,X3,X4) )).

cnf(i_0_18156,axiom,
    ( esk5057_4(X1,X2,X3,X4)
    | ~ esk3861_4(X1,X2,X3,X4) )).

cnf(i_0_18157,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk673_0
    | p(X4)
    | ~ p(X3)
    | esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_18158,axiom,
    ( ~ esk6087_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_18159,axiom,
    ( ~ esk5030_4(X1,X2,X3,X4)
    | esk7130_4(X1,X2,X3,X4) )).

cnf(i_0_18160,axiom,
    ( esk8050_4(X1,X2,X3,X4)
    | ~ esk7832_4(X1,X2,X3,X4) )).

cnf(i_0_18161,axiom,
    ( esk6805_4(X1,X2,X3,X4)
    | ~ esk6806_4(X1,X2,X3,X4) )).

cnf(i_0_18162,axiom,
    ( ~ esk7405_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_18163,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4)
    | esk8178_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_18164,axiom,
    ( esk3424_4(X1,X2,X3,X4)
    | ~ esk3426_4(X1,X2,X3,X4)
    | esk3425_4(X1,X2,X3,X4) )).

cnf(i_0_18165,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | esk187_0
    | ~ esk8048_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_18166,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7800_4(X1,X2,X3,X4) )).

cnf(i_0_18167,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4)
    | esk6746_4(X1,X2,X3,X4) )).

cnf(i_0_18168,axiom,
    ( ~ esk8228_4(X1,X2,X3,X4)
    | esk8227_4(X1,X2,X3,X4)
    | esk8226_4(X1,X2,X3,X4) )).

cnf(i_0_18169,axiom,
    ( esk8636_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18170,axiom,
    ( ~ esk5650_4(X1,X2,X3,X4)
    | esk7639_4(X1,X2,X3,X4) )).

cnf(i_0_18171,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk954_0 )).

cnf(i_0_18172,axiom,
    ( esk6747_4(X1,X2,X3,X4)
    | ~ esk6903_4(X1,X2,X3,X4) )).

cnf(i_0_18173,axiom,
    ( ~ esk9581_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_18174,axiom,
    ( ~ p(X2)
    | ~ esk1758_4(X1,X2,X3,X4)
    | esk233_0
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_18175,axiom,
    ( esk3674_4(X1,X2,X3,X4)
    | ~ esk3737_4(X1,X2,X3,X4) )).

cnf(i_0_18176,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9300_4(X1,X2,X3,X4) )).

cnf(i_0_18177,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | ~ esk1576_4(X1,X2,X3,X4)
    | esk1577_4(X1,X2,X3,X4) )).

cnf(i_0_18178,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk406_0
    | esk8318_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_18179,axiom,
    ( ~ esk962_0
    | ~ p(X1)
    | p(X4)
    | esk9103_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_18180,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | ~ esk1680_4(X1,X2,X3,X4) )).

cnf(i_0_18181,axiom,
    ( esk79_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_18182,axiom,
    ( esk8820_4(X1,X2,X3,X4)
    | ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_18183,axiom,
    ( esk8395_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18184,axiom,
    ( ~ esk4667_4(X1,X2,X3,X4)
    | esk4666_4(X1,X2,X3,X4) )).

cnf(i_0_18185,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8192_4(X1,X2,X3,X4) )).

cnf(i_0_18186,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2412_4(X1,X2,X3,X4) )).

cnf(i_0_18187,axiom,
    ( ~ esk7178_4(X1,X2,X3,X4)
    | esk7172_4(X1,X2,X3,X4) )).

cnf(i_0_18188,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk727_0
    | p(X1)
    | p(X4)
    | ~ esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_18189,axiom,
    ( esk5118_4(X1,X2,X3,X4)
    | ~ esk5119_4(X1,X2,X3,X4) )).

cnf(i_0_18190,axiom,
    ( ~ esk6276_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18191,axiom,
    ( esk4063_4(X1,X2,X3,X4)
    | ~ esk4062_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_18192,axiom,
    ( ~ esk8719_4(X1,X2,X3,X4)
    | p(X4)
    | esk602_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_18193,axiom,
    ( esk3858_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_18194,axiom,
    ( ~ esk2465_4(X1,X2,X3,X4)
    | esk2468_4(X1,X2,X3,X4) )).

cnf(i_0_18195,axiom,
    ( ~ esk9694_4(X1,X2,X3,X4)
    | esk9695_4(X1,X2,X3,X4) )).

cnf(i_0_18196,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_18197,axiom,
    ( ~ p(X4)
    | esk8251_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk2_0 )).

cnf(i_0_18198,axiom,
    ( esk5035_4(X1,X2,X3,X4)
    | ~ esk5033_4(X1,X2,X3,X4) )).

cnf(i_0_18199,axiom,
    ( ~ p(X2)
    | ~ esk810_0
    | p(X4)
    | ~ p(X1)
    | esk9083_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_18200,axiom,
    ( ~ esk2305_4(X1,X2,X3,X4)
    | esk2304_4(X1,X2,X3,X4) )).

cnf(i_0_18201,axiom,
    ( ~ esk2465_4(X1,X2,X3,X4)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_18202,axiom,
    ( ~ p(X3)
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk894_0 )).

cnf(i_0_18203,axiom,
    ( esk959_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_18204,axiom,
    ( ~ esk6086_4(X1,X2,X3,X4)
    | ~ esk6216_4(X1,X2,X3,X4) )).

cnf(i_0_18205,axiom,
    ( ~ esk1993_4(X1,X2,X3,X4)
    | esk2049_4(X1,X2,X3,X4)
    | esk2050_4(X1,X2,X3,X4) )).

cnf(i_0_18206,axiom,
    ( ~ esk4575_4(X1,X2,X3,X4)
    | esk4577_4(X1,X2,X3,X4) )).

cnf(i_0_18207,axiom,
    ( esk6965_4(X1,X2,X3,X4)
    | ~ esk7002_4(X1,X2,X3,X4) )).

cnf(i_0_18208,axiom,
    ( ~ esk6041_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_18209,axiom,
    ( p(X4)
    | ~ esk2874_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk1094_0 )).

cnf(i_0_18210,axiom,
    ( ~ esk2781_4(X1,X2,X3,X4)
    | esk3414_4(X1,X2,X3,X4) )).

cnf(i_0_18211,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk1918_4(X1,X2,X3,X4)
    | p(X3)
    | esk311_0
    | ~ p(X1) )).

cnf(i_0_18212,axiom,
    ( ~ esk9625_4(X1,X2,X3,X4)
    | esk9096_4(X1,X2,X3,X4) )).

cnf(i_0_18213,axiom,
    ( esk8718_4(X1,X2,X3,X4)
    | ~ esk9572_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_18214,axiom,
    ( ~ esk9589_4(X1,X2,X3,X4)
    | esk8926_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_18215,axiom,
    ( ~ esk2205_4(X1,X2,X3,X4)
    | esk2244_4(X1,X2,X3,X4) )).

cnf(i_0_18216,axiom,
    ( ~ esk9118_4(X1,X2,X3,X4)
    | esk9120_4(X1,X2,X3,X4) )).

cnf(i_0_18217,axiom,
    ( ~ esk1980_4(X1,X2,X3,X4)
    | esk1949_4(X1,X2,X3,X4) )).

cnf(i_0_18218,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4177_4(X1,X2,X3,X4) )).

cnf(i_0_18219,axiom,
    ( esk6621_4(X1,X2,X3,X4)
    | ~ esk6475_4(X1,X2,X3,X4) )).

cnf(i_0_18220,axiom,
    ( ~ esk6807_4(X1,X2,X3,X4)
    | esk6808_4(X1,X2,X3,X4) )).

cnf(i_0_18221,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8295_4(X1,X2,X3,X4) )).

cnf(i_0_18222,axiom,
    ( p(X1)
    | esk2807_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk950_0
    | ~ p(X4) )).

cnf(i_0_18223,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6602_4(X1,X2,X3,X4) )).

cnf(i_0_18224,axiom,
    ( ~ esk4472_4(X1,X2,X3,X4)
    | esk4328_4(X1,X2,X3,X4) )).

cnf(i_0_18225,axiom,
    ( esk7719_4(X1,X2,X3,X4)
    | ~ esk8763_4(X1,X2,X3,X4) )).

cnf(i_0_18226,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9264_4(X1,X2,X3,X4) )).

cnf(i_0_18227,axiom,
    ( esk2601_4(X1,X2,X3,X4)
    | esk2600_4(X1,X2,X3,X4)
    | ~ esk2602_4(X1,X2,X3,X4) )).

cnf(i_0_18228,axiom,
    ( ~ esk9185_4(X1,X2,X3,X4)
    | esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_18229,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2433_4(X1,X2,X3,X4)
    | esk2089_4(X1,X2,X3,X4) )).

cnf(i_0_18230,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk727_0
    | esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_18231,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4)
    | esk2465_4(X1,X2,X3,X4) )).

cnf(i_0_18232,axiom,
    ( ~ esk2445_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4)
    | ~ esk2444_4(X1,X2,X3,X4) )).

cnf(i_0_18233,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | esk426_0
    | ~ p(X4) )).

cnf(i_0_18234,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk594_0
    | p(X4)
    | ~ esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_18235,axiom,
    ( ~ esk323_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_18236,axiom,
    ( esk4303_4(X1,X2,X3,X4)
    | ~ esk4341_4(X1,X2,X3,X4)
    | esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_18237,axiom,
    ( esk7204_4(X1,X2,X3,X4)
    | ~ esk7203_4(X1,X2,X3,X4) )).

cnf(i_0_18238,axiom,
    ( ~ esk1342_0
    | esk2958_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_18239,axiom,
    ( ~ p(X1)
    | esk115_0
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ esk1643_4(X1,X2,X3,X4) )).

cnf(i_0_18240,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4686_4(X1,X2,X3,X4)
    | esk4687_4(X1,X2,X3,X4) )).

cnf(i_0_18241,axiom,
    ( esk8741_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_18242,axiom,
    ( ~ esk6123_4(X1,X2,X3,X4)
    | esk6125_4(X1,X2,X3,X4) )).

cnf(i_0_18243,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5987_4(X1,X2,X3,X4) )).

cnf(i_0_18244,axiom,
    ( ~ esk7956_4(X1,X2,X3,X4)
    | esk7957_4(X1,X2,X3,X4) )).

cnf(i_0_18245,axiom,
    ( ~ esk2274_4(X1,X2,X3,X4)
    | esk2276_4(X1,X2,X3,X4) )).

cnf(i_0_18246,axiom,
    ( ~ p(X1)
    | ~ esk8354_4(X1,X2,X3,X4)
    | esk416_0
    | p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_18247,axiom,
    ( esk68_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_18248,axiom,
    ( ~ esk8191_4(X1,X2,X3,X4)
    | esk8190_4(X1,X2,X3,X4) )).

cnf(i_0_18249,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9429_4(X1,X2,X3,X4)
    | ~ esk9428_4(X1,X2,X3,X4) )).

cnf(i_0_18250,axiom,
    ( ~ esk9314_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18251,axiom,
    ( esk1645_4(X1,X2,X3,X4)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_18252,axiom,
    ( p(X2)
    | ~ esk245_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_18253,axiom,
    ( ~ esk3705_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_18254,axiom,
    ( ~ esk7844_4(X1,X2,X3,X4)
    | esk7843_4(X1,X2,X3,X4)
    | esk7842_4(X1,X2,X3,X4) )).

cnf(i_0_18255,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk882_0
    | p(X2)
    | p(X4) )).

cnf(i_0_18256,axiom,
    ( esk8069_4(X1,X2,X3,X4)
    | ~ esk8162_4(X1,X2,X3,X4) )).

cnf(i_0_18257,axiom,
    ( ~ esk9127_4(X1,X2,X3,X4)
    | esk9129_4(X1,X2,X3,X4) )).

cnf(i_0_18258,axiom,
    ( ~ esk8274_4(X1,X2,X3,X4)
    | esk8275_4(X1,X2,X3,X4) )).

cnf(i_0_18259,axiom,
    ( esk6860_4(X1,X2,X3,X4)
    | ~ esk6859_4(X1,X2,X3,X4) )).

cnf(i_0_18260,axiom,
    ( ~ esk9078_4(X1,X2,X3,X4)
    | esk9711_4(X1,X2,X3,X4) )).

cnf(i_0_18261,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8409_4(X1,X2,X3,X4) )).

cnf(i_0_18262,axiom,
    ( ~ esk6966_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_18263,axiom,
    ( ~ esk2173_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk475_0 )).

cnf(i_0_18264,axiom,
    ( ~ esk1699_4(X1,X2,X3,X4)
    | esk1871_4(X1,X2,X3,X4) )).

cnf(i_0_18265,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk8258_4(X1,X2,X3,X4) )).

cnf(i_0_18266,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk5391_4(X1,X2,X3,X4)
    | esk4728_4(X1,X2,X3,X4) )).

cnf(i_0_18267,axiom,
    ( esk6525_4(X1,X2,X3,X4)
    | ~ esk6526_4(X1,X2,X3,X4) )).

cnf(i_0_18268,axiom,
    ( ~ esk5099_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_18269,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ esk1711_4(X1,X2,X3,X4) )).

cnf(i_0_18270,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk217_0
    | esk1756_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_18271,axiom,
    ( esk7372_4(X1,X2,X3,X4)
    | ~ esk7375_4(X1,X2,X3,X4) )).

cnf(i_0_18272,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6471_4(X1,X2,X3,X4) )).

cnf(i_0_18273,axiom,
    ( ~ esk4068_4(X1,X2,X3,X4)
    | esk4069_4(X1,X2,X3,X4) )).

cnf(i_0_18274,axiom,
    ( esk4520_4(X1,X2,X3,X4)
    | ~ esk4413_4(X1,X2,X3,X4) )).

cnf(i_0_18275,axiom,
    ( esk7483_4(X1,X2,X3,X4)
    | ~ esk6151_4(X1,X2,X3,X4)
    | esk6256_4(X1,X2,X3,X4) )).

cnf(i_0_18276,axiom,
    ( esk6999_4(X1,X2,X3,X4)
    | ~ esk7534_4(X1,X2,X3,X4) )).

cnf(i_0_18277,axiom,
    ( ~ esk3301_4(X1,X2,X3,X4)
    | ~ esk3302_4(X1,X2,X3,X4) )).

cnf(i_0_18278,axiom,
    ( ~ esk6114_4(X1,X2,X3,X4)
    | esk6641_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_18279,axiom,
    ( ~ esk7842_4(X1,X2,X3,X4)
    | esk7841_4(X1,X2,X3,X4) )).

cnf(i_0_18280,axiom,
    ( esk3879_4(X1,X2,X3,X4)
    | ~ esk3877_4(X1,X2,X3,X4) )).

cnf(i_0_18281,axiom,
    ( ~ esk8828_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_18282,axiom,
    ( esk8048_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk183_0 )).

cnf(i_0_18283,axiom,
    ( esk8899_4(X1,X2,X3,X4)
    | ~ esk9618_4(X1,X2,X3,X4) )).

cnf(i_0_18284,axiom,
    ( esk8819_4(X1,X2,X3,X4)
    | esk8820_4(X1,X2,X3,X4)
    | ~ esk8821_4(X1,X2,X3,X4) )).

cnf(i_0_18285,axiom,
    ( p(X2)
    | ~ esk641_0
    | p(X3)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_18286,axiom,
    ( ~ esk3776_4(X1,X2,X3,X4)
    | esk3777_4(X1,X2,X3,X4)
    | ~ esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_18287,axiom,
    ( esk8478_4(X1,X2,X3,X4)
    | ~ esk8479_4(X1,X2,X3,X4)
    | esk8477_4(X1,X2,X3,X4) )).

cnf(i_0_18288,axiom,
    ( ~ esk7156_4(X1,X2,X3,X4)
    | esk5582_4(X1,X2,X3,X4) )).

cnf(i_0_18289,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3113_4(X1,X2,X3,X4) )).

cnf(i_0_18290,axiom,
    ( esk7578_4(X1,X2,X3,X4)
    | ~ esk7580_4(X1,X2,X3,X4)
    | esk7579_4(X1,X2,X3,X4) )).

cnf(i_0_18291,axiom,
    ( ~ esk8633_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_18292,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4405_4(X1,X2,X3,X4) )).

cnf(i_0_18293,axiom,
    ( esk8558_4(X1,X2,X3,X4)
    | ~ esk8559_4(X1,X2,X3,X4) )).

cnf(i_0_18294,axiom,
    ( esk8646_4(X1,X2,X3,X4)
    | ~ esk8647_4(X1,X2,X3,X4)
    | esk8645_4(X1,X2,X3,X4) )).

cnf(i_0_18295,axiom,
    ( esk5009_4(X1,X2,X3,X4)
    | esk5010_4(X1,X2,X3,X4)
    | ~ esk5011_4(X1,X2,X3,X4) )).

cnf(i_0_18296,axiom,
    ( esk2902_4(X1,X2,X3,X4)
    | ~ esk1449_4(X1,X2,X3,X4) )).

cnf(i_0_18297,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8186_4(X1,X2,X3,X4) )).

cnf(i_0_18298,axiom,
    ( ~ esk5642_4(X1,X2,X3,X4)
    | esk3542_4(X1,X2,X3,X4) )).

cnf(i_0_18299,axiom,
    ( esk2825_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk2824_4(X1,X2,X3,X4) )).

cnf(i_0_18300,axiom,
    ( esk9699_4(X1,X2,X3,X4)
    | ~ esk9702_4(X1,X2,X3,X4) )).

cnf(i_0_18301,axiom,
    ( ~ esk3901_4(X1,X2,X3,X4)
    | esk3900_4(X1,X2,X3,X4) )).

cnf(i_0_18302,axiom,
    ( ~ esk7030_4(X1,X2,X3,X4)
    | esk7029_4(X1,X2,X3,X4)
    | esk7028_4(X1,X2,X3,X4) )).

cnf(i_0_18303,axiom,
    ( ~ esk8961_4(X1,X2,X3,X4)
    | esk8960_4(X1,X2,X3,X4) )).

cnf(i_0_18304,axiom,
    ( esk1952_4(X1,X2,X3,X4)
    | ~ esk1994_4(X1,X2,X3,X4) )).

cnf(i_0_18305,axiom,
    ( ~ esk6911_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_18306,axiom,
    ( ~ esk5392_4(X1,X2,X3,X4)
    | esk4569_4(X1,X2,X3,X4)
    | esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_18307,axiom,
    ( ~ esk5084_4(X1,X2,X3,X4)
    | esk5081_4(X1,X2,X3,X4) )).

cnf(i_0_18308,axiom,
    ( ~ esk3156_4(X1,X2,X3,X4)
    | esk3126_4(X1,X2,X3,X4) )).

cnf(i_0_18309,axiom,
    ( esk7655_4(X1,X2,X3,X4)
    | ~ esk8359_4(X1,X2,X3,X4) )).

cnf(i_0_18310,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk756_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_18311,axiom,
    ( ~ esk7398_4(X1,X2,X3,X4)
    | esk7400_4(X1,X2,X3,X4) )).

cnf(i_0_18312,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4035_4(X1,X2,X3,X4) )).

cnf(i_0_18313,axiom,
    ( ~ esk6406_4(X1,X2,X3,X4)
    | esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_18314,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9021_4(X1,X2,X3,X4) )).

cnf(i_0_18315,axiom,
    ( p(X4)
    | ~ esk944_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_18316,axiom,
    ( esk8373_4(X1,X2,X3,X4)
    | ~ esk8374_4(X1,X2,X3,X4) )).

cnf(i_0_18317,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2179_4(X1,X2,X3,X4) )).

cnf(i_0_18318,axiom,
    ( ~ esk6198_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_18319,axiom,
    ( esk8915_4(X1,X2,X3,X4)
    | ~ esk8913_4(X1,X2,X3,X4) )).

cnf(i_0_18320,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5120_4(X1,X2,X3,X4) )).

cnf(i_0_18321,axiom,
    ( ~ esk4622_4(X1,X2,X3,X4)
    | esk4623_4(X1,X2,X3,X4) )).

cnf(i_0_18322,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8788_4(X1,X2,X3,X4) )).

cnf(i_0_18323,axiom,
    ( esk4355_4(X1,X2,X3,X4)
    | ~ esk4354_4(X1,X2,X3,X4) )).

cnf(i_0_18324,axiom,
    ( p(X3)
    | p(X2)
    | ~ esk2435_4(X1,X2,X3,X4)
    | esk686_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_18325,axiom,
    ( esk2720_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_18326,axiom,
    ( esk2137_4(X1,X2,X3,X4)
    | ~ esk2136_4(X1,X2,X3,X4)
    | ~ esk2067_4(X1,X2,X3,X4) )).

cnf(i_0_18327,axiom,
    ( ~ esk5980_4(X1,X2,X3,X4)
    | esk5982_4(X1,X2,X3,X4) )).

cnf(i_0_18328,axiom,
    ( ~ esk1509_4(X1,X2,X3,X4)
    | esk1510_4(X1,X2,X3,X4) )).

cnf(i_0_18329,axiom,
    ( esk7117_4(X1,X2,X3,X4) )).

cnf(i_0_18330,axiom,
    ( esk6150_4(X1,X2,X3,X4)
    | ~ esk4050_4(X1,X2,X3,X4) )).

cnf(i_0_18331,axiom,
    ( ~ esk6461_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_18332,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8620_4(X1,X2,X3,X4) )).

cnf(i_0_18333,axiom,
    ( ~ esk6335_4(X1,X2,X3,X4)
    | esk6265_4(X1,X2,X3,X4) )).

cnf(i_0_18334,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk8324_4(X1,X2,X3,X4)
    | ~ esk8298_4(X1,X2,X3,X4) )).

cnf(i_0_18335,axiom,
    ( esk8187_4(X1,X2,X3,X4)
    | ~ esk8189_4(X1,X2,X3,X4)
    | esk8188_4(X1,X2,X3,X4) )).

cnf(i_0_18336,axiom,
    ( ~ esk9302_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18337,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7249_4(X1,X2,X3,X4) )).

cnf(i_0_18338,axiom,
    ( esk6826_4(X1,X2,X3,X4)
    | ~ esk6828_4(X1,X2,X3,X4)
    | esk6827_4(X1,X2,X3,X4) )).

cnf(i_0_18339,axiom,
    ( ~ esk7031_4(X1,X2,X3,X4)
    | ~ esk6917_4(X1,X2,X3,X4) )).

cnf(i_0_18340,axiom,
    ( ~ esk3914_4(X1,X2,X3,X4)
    | esk3913_4(X1,X2,X3,X4) )).

cnf(i_0_18341,axiom,
    ( esk9193_4(X1,X2,X3,X4)
    | ~ esk7668_4(X1,X2,X3,X4) )).

cnf(i_0_18342,axiom,
    ( p(X1)
    | esk605_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_18343,axiom,
    ( esk7879_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7787_4(X1,X2,X3,X4) )).

cnf(i_0_18344,axiom,
    ( esk5153_4(X1,X2,X3,X4)
    | ~ esk5152_4(X1,X2,X3,X4) )).

cnf(i_0_18345,axiom,
    ( p(X1)
    | esk2022_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk395_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_18346,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | esk8012_4(X1,X2,X3,X4) )).

cnf(i_0_18347,axiom,
    ( ~ esk2865_4(X1,X2,X3,X4)
    | esk1833_4(X1,X2,X3,X4) )).

cnf(i_0_18348,axiom,
    ( ~ esk5852_4(X1,X2,X3,X4)
    | esk5854_4(X1,X2,X3,X4) )).

cnf(i_0_18349,axiom,
    ( esk3146_4(X1,X2,X3,X4)
    | ~ esk3144_4(X1,X2,X3,X4) )).

cnf(i_0_18350,axiom,
    ( ~ esk7150_4(X1,X2,X3,X4)
    | esk5050_4(X1,X2,X3,X4) )).

cnf(i_0_18351,axiom,
    ( esk2026_4(X1,X2,X3,X4)
    | ~ esk2028_4(X1,X2,X3,X4)
    | esk2027_4(X1,X2,X3,X4) )).

cnf(i_0_18352,axiom,
    ( ~ esk6965_4(X1,X2,X3,X4)
    | esk7002_4(X1,X2,X3,X4) )).

cnf(i_0_18353,axiom,
    ( esk8368_4(X1,X2,X3,X4)
    | ~ esk8367_4(X1,X2,X3,X4) )).

cnf(i_0_18354,axiom,
    ( ~ esk9694_4(X1,X2,X3,X4)
    | esk9691_4(X1,X2,X3,X4) )).

cnf(i_0_18355,axiom,
    ( ~ esk1362_4(X1,X2,X3,X4)
    | esk1475_4(X1,X2,X3,X4) )).

cnf(i_0_18356,axiom,
    ( ~ esk9676_4(X1,X2,X3,X4)
    | esk9677_4(X1,X2,X3,X4)
    | ~ esk8991_4(X1,X2,X3,X4) )).

cnf(i_0_18357,axiom,
    ( ~ esk9078_4(X1,X2,X3,X4)
    | esk9077_4(X1,X2,X3,X4) )).

cnf(i_0_18358,axiom,
    ( ~ esk6378_4(X1,X2,X3,X4)
    | esk6303_4(X1,X2,X3,X4) )).

cnf(i_0_18359,axiom,
    ( ~ esk9298_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18360,axiom,
    ( ~ esk6275_4(X1,X2,X3,X4)
    | esk6274_4(X1,X2,X3,X4) )).

cnf(i_0_18361,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | esk4487_4(X1,X2,X3,X4) )).

cnf(i_0_18362,axiom,
    ( ~ esk6014_4(X1,X2,X3,X4)
    | esk6015_4(X1,X2,X3,X4) )).

cnf(i_0_18363,axiom,
    ( esk2417_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk1948_4(X1,X2,X3,X4) )).

cnf(i_0_18364,axiom,
    ( esk5017_4(X1,X2,X3,X4)
    | ~ esk3652_4(X1,X2,X3,X4) )).

cnf(i_0_18365,axiom,
    ( ~ esk2373_4(X1,X2,X3,X4)
    | esk2372_4(X1,X2,X3,X4) )).

cnf(i_0_18366,axiom,
    ( esk8895_4(X1,X2,X3,X4)
    | ~ esk9610_4(X1,X2,X3,X4) )).

cnf(i_0_18367,axiom,
    ( ~ esk6465_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_18368,axiom,
    ( esk2305_4(X1,X2,X3,X4)
    | ~ esk2304_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_18369,axiom,
    ( esk5429_4(X1,X2,X3,X4)
    | ~ esk5432_4(X1,X2,X3,X4) )).

cnf(i_0_18370,axiom,
    ( esk9104_4(X1,X2,X3,X4)
    | ~ esk7941_4(X1,X2,X3,X4) )).

cnf(i_0_18371,axiom,
    ( ~ esk3340_4(X1,X2,X3,X4)
    | esk3342_4(X1,X2,X3,X4) )).

cnf(i_0_18372,axiom,
    ( esk4577_4(X1,X2,X3,X4)
    | ~ esk4576_4(X1,X2,X3,X4) )).

cnf(i_0_18373,axiom,
    ( esk8249_4(X1,X2,X3,X4)
    | ~ esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_18374,axiom,
    ( ~ esk1960_4(X1,X2,X3,X4)
    | esk1962_4(X1,X2,X3,X4) )).

cnf(i_0_18375,axiom,
    ( esk1864_4(X1,X2,X3,X4)
    | ~ esk1865_4(X1,X2,X3,X4) )).

cnf(i_0_18376,axiom,
    ( ~ esk9465_4(X1,X2,X3,X4)
    | esk9464_4(X1,X2,X3,X4) )).

cnf(i_0_18377,axiom,
    ( ~ esk8570_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_18378,axiom,
    ( esk5741_4(X1,X2,X3,X4)
    | ~ esk5740_4(X1,X2,X3,X4) )).

cnf(i_0_18379,axiom,
    ( esk9383_4(X1,X2,X3,X4)
    | ~ esk9382_4(X1,X2,X3,X4) )).

cnf(i_0_18380,axiom,
    ( esk8366_4(X1,X2,X3,X4)
    | esk8367_4(X1,X2,X3,X4)
    | ~ esk8368_4(X1,X2,X3,X4) )).

cnf(i_0_18381,axiom,
    ( ~ esk8838_4(X1,X2,X3,X4)
    | esk8836_4(X1,X2,X3,X4)
    | esk8837_4(X1,X2,X3,X4) )).

cnf(i_0_18382,axiom,
    ( ~ esk1720_4(X1,X2,X3,X4)
    | esk1721_4(X1,X2,X3,X4)
    | ~ esk1683_4(X1,X2,X3,X4) )).

cnf(i_0_18383,axiom,
    ( esk3501_4(X1,X2,X3,X4)
    | ~ esk3615_4(X1,X2,X3,X4) )).

cnf(i_0_18384,axiom,
    ( ~ esk6737_4(X1,X2,X3,X4)
    | esk6736_4(X1,X2,X3,X4) )).

cnf(i_0_18385,axiom,
    ( esk6312_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_18386,axiom,
    ( p(X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | esk1176_0 )).

cnf(i_0_18387,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8841_4(X1,X2,X3,X4) )).

cnf(i_0_18388,axiom,
    ( ~ esk3625_4(X1,X2,X3,X4)
    | ~ esk3755_4(X1,X2,X3,X4)
    | esk3626_4(X1,X2,X3,X4) )).

cnf(i_0_18389,axiom,
    ( ~ esk4650_4(X1,X2,X3,X4)
    | esk4696_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_18390,axiom,
    ( p(X2)
    | esk1_0
    | ~ esk2809_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_18391,axiom,
    ( ~ esk5726_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_18392,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | p(X2)
    | esk2890_4(X1,X2,X3,X4)
    | ~ esk1174_0 )).

cnf(i_0_18393,axiom,
    ( ~ esk1731_4(X1,X2,X3,X4)
    | esk1730_4(X1,X2,X3,X4)
    | esk1729_4(X1,X2,X3,X4) )).

cnf(i_0_18394,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X2)
    | esk2811_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_18395,axiom,
    ( ~ esk8942_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_18396,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk2016_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_18397,axiom,
    ( ~ esk7262_4(X1,X2,X3,X4)
    | esk7256_4(X1,X2,X3,X4) )).

cnf(i_0_18398,axiom,
    ( esk1531_4(X1,X2,X3,X4)
    | ~ esk1761_4(X1,X2,X3,X4) )).

cnf(i_0_18399,axiom,
    ( ~ esk1520_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4)
    | esk2818_4(X1,X2,X3,X4) )).

cnf(i_0_18400,axiom,
    ( esk3930_4(X1,X2,X3,X4)
    | ~ esk3931_4(X1,X2,X3,X4)
    | esk3929_4(X1,X2,X3,X4) )).

cnf(i_0_18401,axiom,
    ( esk7766_4(X1,X2,X3,X4)
    | ~ esk7767_4(X1,X2,X3,X4) )).

cnf(i_0_18402,axiom,
    ( esk9217_4(X1,X2,X3,X4)
    | esk8057_4(X1,X2,X3,X4) )).

cnf(i_0_18403,axiom,
    ( esk2696_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk2695_4(X1,X2,X3,X4) )).

cnf(i_0_18404,axiom,
    ( ~ esk2330_4(X1,X2,X3,X4)
    | esk2329_4(X1,X2,X3,X4)
    | esk2328_4(X1,X2,X3,X4) )).

cnf(i_0_18405,axiom,
    ( ~ esk2779_4(X1,X2,X3,X4)
    | esk2810_4(X1,X2,X3,X4) )).

cnf(i_0_18406,axiom,
    ( ~ esk2160_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_18407,axiom,
    ( ~ esk9353_4(X1,X2,X3,X4)
    | esk9352_4(X1,X2,X3,X4) )).

cnf(i_0_18408,axiom,
    ( esk8391_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk457_0
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_18409,axiom,
    ( ~ esk6770_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_18410,axiom,
    ( ~ esk122_0
    | esk7939_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_18411,axiom,
    ( esk7898_4(X1,X2,X3,X4)
    | ~ esk7900_4(X1,X2,X3,X4)
    | esk7899_4(X1,X2,X3,X4) )).

cnf(i_0_18412,axiom,
    ( esk6291_4(X1,X2,X3,X4)
    | ~ esk6120_4(X1,X2,X3,X4) )).

cnf(i_0_18413,axiom,
    ( ~ esk1280_0
    | esk9228_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_18414,axiom,
    ( esk3212_4(X1,X2,X3,X4)
    | ~ esk3211_4(X1,X2,X3,X4)
    | ~ esk3182_4(X1,X2,X3,X4) )).

cnf(i_0_18415,axiom,
    ( esk2155_4(X1,X2,X3,X4)
    | ~ esk2369_4(X1,X2,X3,X4) )).

cnf(i_0_18416,axiom,
    ( esk4495_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_18417,axiom,
    ( ~ esk6813_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_18418,axiom,
    ( esk7324_4(X1,X2,X3,X4)
    | ~ esk7322_4(X1,X2,X3,X4) )).

cnf(i_0_18419,axiom,
    ( esk6234_4(X1,X2,X3,X4)
    | ~ esk6305_4(X1,X2,X3,X4) )).

cnf(i_0_18420,axiom,
    ( esk2997_4(X1,X2,X3,X4)
    | ~ esk2998_4(X1,X2,X3,X4)
    | esk2996_4(X1,X2,X3,X4) )).

cnf(i_0_18421,axiom,
    ( esk6921_4(X1,X2,X3,X4)
    | ~ esk6920_4(X1,X2,X3,X4) )).

cnf(i_0_18422,axiom,
    ( ~ esk7227_4(X1,X2,X3,X4)
    | esk7228_4(X1,X2,X3,X4) )).

cnf(i_0_18423,axiom,
    ( ~ esk8238_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_18424,axiom,
    ( esk5731_4(X1,X2,X3,X4)
    | ~ esk5730_4(X1,X2,X3,X4)
    | ~ esk5933_4(X1,X2,X3,X4) )).

cnf(i_0_18425,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk626_0
    | p(X2) )).

cnf(i_0_18426,axiom,
    ( esk3201_4(X1,X2,X3,X4)
    | ~ esk3202_4(X1,X2,X3,X4)
    | esk3200_4(X1,X2,X3,X4) )).

cnf(i_0_18427,axiom,
    ( ~ esk4218_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_18428,axiom,
    ( esk7976_4(X1,X2,X3,X4)
    | ~ esk8800_4(X1,X2,X3,X4) )).

cnf(i_0_18429,axiom,
    ( ~ esk9182_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk1166_0
    | p(X3)
    | p(X4) )).

cnf(i_0_18430,axiom,
    ( p(X1)
    | ~ esk967_0
    | esk9105_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_18431,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk1145_0
    | esk9178_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_18432,axiom,
    ( esk9159_4(X1,X2,X3,X4)
    | ~ esk7822_4(X1,X2,X3,X4) )).

cnf(i_0_18433,axiom,
    ( ~ esk6625_4(X1,X2,X3,X4)
    | esk6364_4(X1,X2,X3,X4) )).

cnf(i_0_18434,axiom,
    ( ~ esk5331_4(X1,X2,X3,X4)
    | esk5333_4(X1,X2,X3,X4) )).

cnf(i_0_18435,axiom,
    ( ~ esk3881_4(X1,X2,X3,X4)
    | esk3883_4(X1,X2,X3,X4) )).

cnf(i_0_18436,axiom,
    ( ~ esk3644_4(X1,X2,X3,X4)
    | esk3643_4(X1,X2,X3,X4) )).

cnf(i_0_18437,axiom,
    ( esk9521_4(X1,X2,X3,X4)
    | ~ esk9523_4(X1,X2,X3,X4)
    | esk9522_4(X1,X2,X3,X4) )).

cnf(i_0_18438,axiom,
    ( ~ esk8177_4(X1,X2,X3,X4)
    | esk8734_4(X1,X2,X3,X4) )).

cnf(i_0_18439,axiom,
    ( esk7970_4(X1,X2,X3,X4)
    | ~ esk7971_4(X1,X2,X3,X4) )).

cnf(i_0_18440,axiom,
    ( ~ esk9052_4(X1,X2,X3,X4)
    | esk9051_4(X1,X2,X3,X4)
    | esk9050_4(X1,X2,X3,X4) )).

cnf(i_0_18441,axiom,
    ( esk8451_4(X1,X2,X3,X4)
    | esk8450_4(X1,X2,X3,X4)
    | ~ esk8452_4(X1,X2,X3,X4) )).

cnf(i_0_18442,axiom,
    ( esk6039_4(X1,X2,X3,X4)
    | ~ esk6056_4(X1,X2,X3,X4) )).

cnf(i_0_18443,axiom,
    ( ~ esk4509_4(X1,X2,X3,X4)
    | esk4153_4(X1,X2,X3,X4) )).

cnf(i_0_18444,axiom,
    ( ~ esk3947_4(X1,X2,X3,X4)
    | esk3946_4(X1,X2,X3,X4) )).

cnf(i_0_18445,axiom,
    ( ~ esk9638_4(X1,X2,X3,X4)
    | esk9635_4(X1,X2,X3,X4) )).

cnf(i_0_18446,axiom,
    ( ~ esk2350_4(X1,X2,X3,X4)
    | esk2348_4(X1,X2,X3,X4)
    | esk2349_4(X1,X2,X3,X4) )).

cnf(i_0_18447,axiom,
    ( ~ esk8324_4(X1,X2,X3,X4)
    | esk8298_4(X1,X2,X3,X4) )).

cnf(i_0_18448,axiom,
    ( esk1939_4(X1,X2,X3,X4)
    | ~ esk1938_4(X1,X2,X3,X4) )).

cnf(i_0_18449,axiom,
    ( esk8436_4(X1,X2,X3,X4)
    | ~ esk8435_4(X1,X2,X3,X4) )).

cnf(i_0_18450,axiom,
    ( ~ esk4899_4(X1,X2,X3,X4)
    | esk4858_4(X1,X2,X3,X4) )).

cnf(i_0_18451,axiom,
    ( esk2873_4(X1,X2,X3,X4)
    | ~ esk1583_4(X1,X2,X3,X4) )).

cnf(i_0_18452,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3189_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_18453,axiom,
    ( esk9024_4(X1,X2,X3,X4)
    | ~ esk9022_4(X1,X2,X3,X4) )).

cnf(i_0_18454,axiom,
    ( ~ esk7499_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4)
    | esk6756_4(X1,X2,X3,X4) )).

cnf(i_0_18455,axiom,
    ( ~ esk740_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_18456,axiom,
    ( esk7585_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_18457,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | esk2655_4(X1,X2,X3,X4) )).

cnf(i_0_18458,axiom,
    ( esk4317_4(X1,X2,X3,X4)
    | ~ esk4318_4(X1,X2,X3,X4) )).

cnf(i_0_18459,axiom,
    ( ~ esk9546_4(X1,X2,X3,X4)
    | esk9547_4(X1,X2,X3,X4) )).

cnf(i_0_18460,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6809_4(X1,X2,X3,X4) )).

cnf(i_0_18461,axiom,
    ( ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_18462,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1043_0
    | ~ p(X3)
    | ~ esk2868_4(X1,X2,X3,X4) )).

cnf(i_0_18463,axiom,
    ( esk3570_4(X1,X2,X3,X4)
    | ~ esk3571_4(X1,X2,X3,X4)
    | esk3569_4(X1,X2,X3,X4) )).

cnf(i_0_18464,axiom,
    ( ~ esk2082_4(X1,X2,X3,X4)
    | esk2044_4(X1,X2,X3,X4) )).

cnf(i_0_18465,axiom,
    ( ~ esk3935_4(X1,X2,X3,X4)
    | esk3932_4(X1,X2,X3,X4) )).

cnf(i_0_18466,axiom,
    ( ~ esk5131_4(X1,X2,X3,X4)
    | esk5130_4(X1,X2,X3,X4) )).

cnf(i_0_18467,axiom,
    ( ~ esk8576_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_18468,axiom,
    ( ~ esk7067_4(X1,X2,X3,X4)
    | esk9167_4(X1,X2,X3,X4) )).

cnf(i_0_18469,axiom,
    ( esk6982_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_18470,axiom,
    ( ~ esk6111_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_18471,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk7491_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_18472,axiom,
    ( ~ esk7866_4(X1,X2,X3,X4)
    | esk7868_4(X1,X2,X3,X4) )).

cnf(i_0_18473,axiom,
    ( ~ esk8696_4(X1,X2,X3,X4)
    | esk8725_4(X1,X2,X3,X4) )).

cnf(i_0_18474,axiom,
    ( esk4159_4(X1,X2,X3,X4)
    | ~ esk6259_4(X1,X2,X3,X4) )).

cnf(i_0_18475,axiom,
    ( ~ esk6732_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4)
    | esk6733_4(X1,X2,X3,X4) )).

cnf(i_0_18476,axiom,
    ( ~ esk9731_4(X1,X2,X3,X4)
    | esk9128_4(X1,X2,X3,X4)
    | ~ esk9016_4(X1,X2,X3,X4) )).

cnf(i_0_18477,axiom,
    ( ~ esk4667_4(X1,X2,X3,X4)
    | esk4636_4(X1,X2,X3,X4) )).

cnf(i_0_18478,axiom,
    ( esk6346_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_18479,axiom,
    ( ~ esk4553_4(X1,X2,X3,X4)
    | esk3628_4(X1,X2,X3,X4) )).

cnf(i_0_18480,axiom,
    ( esk4991_4(X1,X2,X3,X4)
    | ~ esk3466_4(X1,X2,X3,X4) )).

cnf(i_0_18481,axiom,
    ( ~ esk2671_4(X1,X2,X3,X4)
    | ~ esk2487_4(X1,X2,X3,X4)
    | esk2672_4(X1,X2,X3,X4) )).

cnf(i_0_18482,axiom,
    ( ~ esk7104_4(X1,X2,X3,X4)
    | ~ esk5846_4(X1,X2,X3,X4)
    | esk5847_4(X1,X2,X3,X4) )).

cnf(i_0_18483,axiom,
    ( p(X2)
    | esk8585_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk522_0
    | p(X3) )).

cnf(i_0_18484,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9592_4(X1,X2,X3,X4) )).

cnf(i_0_18485,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7387_4(X1,X2,X3,X4) )).

cnf(i_0_18486,axiom,
    ( esk5042_4(X1,X2,X3,X4)
    | ~ esk5043_4(X1,X2,X3,X4) )).

cnf(i_0_18487,axiom,
    ( esk8412_4(X1,X2,X3,X4)
    | ~ esk8414_4(X1,X2,X3,X4)
    | esk8413_4(X1,X2,X3,X4) )).

cnf(i_0_18488,axiom,
    ( esk8699_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8422_4(X1,X2,X3,X4) )).

cnf(i_0_18489,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2029_4(X1,X2,X3,X4) )).

cnf(i_0_18490,axiom,
    ( p(X2)
    | ~ esk170_0
    | p(X1)
    | p(X4)
    | ~ p(X3)
    | esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_18491,axiom,
    ( ~ esk8491_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8529_4(X1,X2,X3,X4) )).

cnf(i_0_18492,axiom,
    ( ~ esk8364_4(X1,X2,X3,X4)
    | esk8362_4(X1,X2,X3,X4)
    | esk8363_4(X1,X2,X3,X4) )).

cnf(i_0_18493,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4173_4(X1,X2,X3,X4) )).

cnf(i_0_18494,axiom,
    ( ~ esk6616_4(X1,X2,X3,X4)
    | esk8716_4(X1,X2,X3,X4) )).

cnf(i_0_18495,axiom,
    ( ~ esk2126_4(X1,X2,X3,X4)
    | esk2127_4(X1,X2,X3,X4)
    | esk2090_4(X1,X2,X3,X4) )).

cnf(i_0_18496,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk672_0
    | esk8729_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_18497,axiom,
    ( esk1765_4(X1,X2,X3,X4)
    | ~ esk1766_4(X1,X2,X3,X4) )).

cnf(i_0_18498,axiom,
    ( esk21_0
    | ~ p(X4)
    | ~ esk7736_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_18499,axiom,
    ( ~ esk4513_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_18500,axiom,
    ( ~ esk9478_4(X1,X2,X3,X4)
    | esk9479_4(X1,X2,X3,X4) )).

cnf(i_0_18501,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4078_4(X1,X2,X3,X4) )).

cnf(i_0_18502,axiom,
    ( ~ esk5444_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_18503,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2305_4(X1,X2,X3,X4) )).

cnf(i_0_18504,axiom,
    ( esk6290_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | esk6190_4(X1,X2,X3,X4) )).

cnf(i_0_18505,axiom,
    ( esk405_0
    | p(X3)
    | p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_18506,axiom,
    ( ~ esk4213_4(X1,X2,X3,X4)
    | esk4214_4(X1,X2,X3,X4)
    | ~ esk4077_4(X1,X2,X3,X4) )).

cnf(i_0_18507,axiom,
    ( ~ esk8778_4(X1,X2,X3,X4)
    | esk768_0
    | p(X3)
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_18508,axiom,
    ( esk4888_4(X1,X2,X3,X4)
    | ~ esk5475_4(X1,X2,X3,X4) )).

cnf(i_0_18509,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk186_0
    | p(X1)
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_18510,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8375_4(X1,X2,X3,X4) )).

cnf(i_0_18511,axiom,
    ( esk2973_4(X1,X2,X3,X4)
    | ~ esk2974_4(X1,X2,X3,X4)
    | esk2972_4(X1,X2,X3,X4) )).

cnf(i_0_18512,axiom,
    ( ~ esk9437_4(X1,X2,X3,X4)
    | esk9439_4(X1,X2,X3,X4) )).

cnf(i_0_18513,axiom,
    ( ~ esk4788_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_18514,axiom,
    ( esk975_0
    | ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_18515,axiom,
    ( esk5398_4(X1,X2,X3,X4)
    | esk5399_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_18516,axiom,
    ( ~ esk4303_4(X1,X2,X3,X4)
    | esk4341_4(X1,X2,X3,X4)
    | esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_18517,axiom,
    ( esk4268_4(X1,X2,X3,X4)
    | ~ esk4269_4(X1,X2,X3,X4)
    | esk4267_4(X1,X2,X3,X4) )).

cnf(i_0_18518,axiom,
    ( ~ esk6418_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18519,axiom,
    ( p(X2)
    | esk8733_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk696_0
    | p(X1) )).

cnf(i_0_18520,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7301_4(X1,X2,X3,X4) )).

cnf(i_0_18521,axiom,
    ( esk4286_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_18522,axiom,
    ( esk1738_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1698_4(X1,X2,X3,X4) )).

cnf(i_0_18523,axiom,
    ( ~ esk4496_4(X1,X2,X3,X4)
    | esk4498_4(X1,X2,X3,X4) )).

cnf(i_0_18524,axiom,
    ( ~ esk4258_4(X1,X2,X3,X4)
    | esk4256_4(X1,X2,X3,X4)
    | esk4257_4(X1,X2,X3,X4) )).

cnf(i_0_18525,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7203_4(X1,X2,X3,X4) )).

cnf(i_0_18526,axiom,
    ( esk4226_4(X1,X2,X3,X4)
    | ~ esk4225_4(X1,X2,X3,X4)
    | esk4189_4(X1,X2,X3,X4) )).

cnf(i_0_18527,axiom,
    ( esk7552_4(X1,X2,X3,X4)
    | ~ esk7551_4(X1,X2,X3,X4) )).

cnf(i_0_18528,axiom,
    ( ~ esk5268_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_18529,axiom,
    ( ~ esk3206_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk3209_4(X1,X2,X3,X4) )).

cnf(i_0_18530,axiom,
    ( esk5678_4(X1,X2,X3,X4)
    | ~ esk5764_4(X1,X2,X3,X4) )).

cnf(i_0_18531,axiom,
    ( ~ esk1848_4(X1,X2,X3,X4)
    | esk1847_4(X1,X2,X3,X4) )).

cnf(i_0_18532,axiom,
    ( ~ esk9502_4(X1,X2,X3,X4)
    | esk9499_4(X1,X2,X3,X4) )).

cnf(i_0_18533,axiom,
    ( ~ esk8782_4(X1,X2,X3,X4)
    | esk8394_4(X1,X2,X3,X4) )).

cnf(i_0_18534,axiom,
    ( esk9319_4(X1,X2,X3,X4)
    | ~ esk9322_4(X1,X2,X3,X4) )).

cnf(i_0_18535,axiom,
    ( ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk1251_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_18536,axiom,
    ( ~ esk1471_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_18537,axiom,
    ( ~ esk3548_4(X1,X2,X3,X4)
    | esk3550_4(X1,X2,X3,X4) )).

cnf(i_0_18538,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | ~ esk1678_4(X1,X2,X3,X4) )).

cnf(i_0_18539,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7169_4(X1,X2,X3,X4) )).

cnf(i_0_18540,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1103_0
    | esk2876_4(X1,X2,X3,X4) )).

cnf(i_0_18541,axiom,
    ( esk5298_4(X1,X2,X3,X4)
    | ~ esk5299_4(X1,X2,X3,X4) )).

cnf(i_0_18542,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6161_4(X1,X2,X3,X4) )).

cnf(i_0_18543,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6418_4(X1,X2,X3,X4) )).

cnf(i_0_18544,axiom,
    ( ~ esk9457_4(X1,X2,X3,X4)
    | esk9459_4(X1,X2,X3,X4) )).

cnf(i_0_18545,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X4)
    | esk820_0
    | ~ esk2789_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_18546,axiom,
    ( esk6550_4(X1,X2,X3,X4)
    | esk6551_4(X1,X2,X3,X4)
    | ~ esk6552_4(X1,X2,X3,X4) )).

cnf(i_0_18547,axiom,
    ( ~ esk6641_4(X1,X2,X3,X4)
    | esk6638_4(X1,X2,X3,X4)
    | esk6639_4(X1,X2,X3,X4)
    | esk6640_4(X1,X2,X3,X4) )).

cnf(i_0_18548,axiom,
    ( esk5605_4(X1,X2,X3,X4)
    | ~ esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_18549,axiom,
    ( ~ esk7882_4(X1,X2,X3,X4)
    | esk7881_4(X1,X2,X3,X4) )).

cnf(i_0_18550,axiom,
    ( ~ esk5220_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_18551,axiom,
    ( esk9676_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_18552,axiom,
    ( ~ esk7157_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18553,axiom,
    ( ~ esk5977_4(X1,X2,X3,X4)
    | esk5978_4(X1,X2,X3,X4) )).

cnf(i_0_18554,axiom,
    ( ~ esk8914_4(X1,X2,X3,X4)
    | esk8915_4(X1,X2,X3,X4) )).

cnf(i_0_18555,axiom,
    ( ~ esk4245_4(X1,X2,X3,X4)
    | esk4246_4(X1,X2,X3,X4) )).

cnf(i_0_18556,axiom,
    ( ~ esk9112_4(X1,X2,X3,X4)
    | esk9730_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4) )).

cnf(i_0_18557,axiom,
    ( ~ esk8202_4(X1,X2,X3,X4)
    | esk8203_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_18558,axiom,
    ( ~ esk4556_4(X1,X2,X3,X4)
    | esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_18559,axiom,
    ( ~ esk3392_4(X1,X2,X3,X4)
    | esk3391_4(X1,X2,X3,X4) )).

cnf(i_0_18560,axiom,
    ( esk227_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_18561,axiom,
    ( esk5399_4(X1,X2,X3,X4)
    | ~ esk5398_4(X1,X2,X3,X4)
    | esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_18562,axiom,
    ( ~ esk4945_4(X1,X2,X3,X4)
    | esk4939_4(X1,X2,X3,X4) )).

cnf(i_0_18563,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2531_4(X1,X2,X3,X4) )).

cnf(i_0_18564,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5258_4(X1,X2,X3,X4) )).

cnf(i_0_18565,axiom,
    ( esk2370_4(X1,X2,X3,X4)
    | ~ esk2371_4(X1,X2,X3,X4)
    | esk2369_4(X1,X2,X3,X4) )).

cnf(i_0_18566,axiom,
    ( esk2190_4(X1,X2,X3,X4)
    | ~ esk2228_4(X1,X2,X3,X4) )).

cnf(i_0_18567,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8062_4(X1,X2,X3,X4) )).

cnf(i_0_18568,axiom,
    ( esk2711_4(X1,X2,X3,X4)
    | ~ esk2712_4(X1,X2,X3,X4) )).

cnf(i_0_18569,axiom,
    ( ~ esk3600_4(X1,X2,X3,X4)
    | esk3601_4(X1,X2,X3,X4) )).

cnf(i_0_18570,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6804_4(X1,X2,X3,X4)
    | esk7527_4(X1,X2,X3,X4) )).

cnf(i_0_18571,axiom,
    ( ~ esk9342_4(X1,X2,X3,X4)
    | esk9343_4(X1,X2,X3,X4) )).

cnf(i_0_18572,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | esk2799_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk900_0 )).

cnf(i_0_18573,axiom,
    ( ~ esk1298_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_18574,axiom,
    ( ~ esk5219_4(X1,X2,X3,X4)
    | esk5221_4(X1,X2,X3,X4) )).

cnf(i_0_18575,axiom,
    ( ~ esk3519_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_18576,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1202_0
    | ~ p(X1)
    | ~ esk9190_4(X1,X2,X3,X4) )).

cnf(i_0_18577,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk7734_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk16_0 )).

cnf(i_0_18578,axiom,
    ( ~ esk6409_4(X1,X2,X3,X4)
    | esk6154_4(X1,X2,X3,X4) )).

cnf(i_0_18579,axiom,
    ( esk9103_4(X1,X2,X3,X4)
    | ~ esk951_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_18580,axiom,
    ( ~ esk5496_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_18581,axiom,
    ( ~ esk6107_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_18582,axiom,
    ( ~ esk2710_4(X1,X2,X3,X4)
    | esk2709_4(X1,X2,X3,X4)
    | esk2708_4(X1,X2,X3,X4) )).

cnf(i_0_18583,axiom,
    ( esk3106_4(X1,X2,X3,X4)
    | ~ esk3104_4(X1,X2,X3,X4) )).

cnf(i_0_18584,axiom,
    ( esk7014_4(X1,X2,X3,X4)
    | ~ esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_18585,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5928_4(X1,X2,X3,X4) )).

cnf(i_0_18586,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8230_4(X1,X2,X3,X4) )).

cnf(i_0_18587,axiom,
    ( esk7382_4(X1,X2,X3,X4)
    | ~ esk7384_4(X1,X2,X3,X4)
    | esk7383_4(X1,X2,X3,X4) )).

cnf(i_0_18588,axiom,
    ( esk1475_4(X1,X2,X3,X4)
    | ~ esk1550_4(X1,X2,X3,X4) )).

cnf(i_0_18589,axiom,
    ( ~ esk7801_4(X1,X2,X3,X4)
    | esk9187_4(X1,X2,X3,X4) )).

cnf(i_0_18590,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4335_4(X1,X2,X3,X4) )).

cnf(i_0_18591,axiom,
    ( ~ esk2151_4(X1,X2,X3,X4)
    | esk2189_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_18592,axiom,
    ( ~ esk7395_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18593,axiom,
    ( p(X1)
    | ~ esk9166_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk1055_0
    | ~ p(X3) )).

cnf(i_0_18594,axiom,
    ( esk7273_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18595,axiom,
    ( ~ esk4348_4(X1,X2,X3,X4)
    | esk4096_4(X1,X2,X3,X4) )).

cnf(i_0_18596,axiom,
    ( ~ esk3498_4(X1,X2,X3,X4)
    | esk4971_4(X1,X2,X3,X4) )).

cnf(i_0_18597,axiom,
    ( ~ esk6062_4(X1,X2,X3,X4)
    | esk6063_4(X1,X2,X3,X4)
    | ~ esk5970_4(X1,X2,X3,X4) )).

cnf(i_0_18598,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9684_4(X1,X2,X3,X4) )).

cnf(i_0_18599,axiom,
    ( ~ esk8726_4(X1,X2,X3,X4)
    | ~ esk8461_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_18600,axiom,
    ( ~ esk1830_4(X1,X2,X3,X4)
    | esk1832_4(X1,X2,X3,X4) )).

cnf(i_0_18601,axiom,
    ( ~ esk8873_4(X1,X2,X3,X4)
    | esk8871_4(X1,X2,X3,X4)
    | esk8872_4(X1,X2,X3,X4) )).

cnf(i_0_18602,axiom,
    ( esk6407_4(X1,X2,X3,X4)
    | ~ esk6445_4(X1,X2,X3,X4) )).

cnf(i_0_18603,axiom,
    ( esk4181_4(X1,X2,X3,X4)
    | esk4180_4(X1,X2,X3,X4)
    | ~ esk4182_4(X1,X2,X3,X4) )).

cnf(i_0_18604,axiom,
    ( ~ esk7489_4(X1,X2,X3,X4)
    | esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_18605,axiom,
    ( esk4517_4(X1,X2,X3,X4)
    | ~ esk4478_4(X1,X2,X3,X4) )).

cnf(i_0_18606,axiom,
    ( ~ esk4220_4(X1,X2,X3,X4)
    | esk4257_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_18607,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk2061_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk427_0 )).

cnf(i_0_18608,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk115_0
    | ~ esk7939_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_18609,axiom,
    ( esk7434_4(X1,X2,X3,X4)
    | esk7435_4(X1,X2,X3,X4)
    | ~ esk7436_4(X1,X2,X3,X4) )).

cnf(i_0_18610,axiom,
    ( ~ p(X1)
    | ~ esk687_0
    | p(X2)
    | esk2435_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_18611,axiom,
    ( esk399_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_18612,axiom,
    ( esk5069_4(X1,X2,X3,X4)
    | ~ esk5068_4(X1,X2,X3,X4) )).

cnf(i_0_18613,axiom,
    ( ~ p(X3)
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk481_0
    | p(X4) )).

cnf(i_0_18614,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk1758_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk231_0 )).

cnf(i_0_18615,axiom,
    ( ~ esk7806_4(X1,X2,X3,X4)
    | esk7778_4(X1,X2,X3,X4) )).

cnf(i_0_18616,axiom,
    ( esk3115_4(X1,X2,X3,X4)
    | ~ esk3116_4(X1,X2,X3,X4) )).

cnf(i_0_18617,axiom,
    ( ~ esk7529_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_18618,axiom,
    ( esk2770_4(X1,X2,X3,X4)
    | esk2769_4(X1,X2,X3,X4)
    | ~ esk2771_4(X1,X2,X3,X4) )).

cnf(i_0_18619,axiom,
    ( esk6623_4(X1,X2,X3,X4)
    | ~ esk4523_4(X1,X2,X3,X4) )).

cnf(i_0_18620,axiom,
    ( ~ esk9381_4(X1,X2,X3,X4)
    | esk9380_4(X1,X2,X3,X4) )).

cnf(i_0_18621,axiom,
    ( esk4149_4(X1,X2,X3,X4)
    | esk4092_4(X1,X2,X3,X4)
    | ~ esk4148_4(X1,X2,X3,X4) )).

cnf(i_0_18622,axiom,
    ( esk1451_4(X1,X2,X3,X4)
    | ~ esk1449_4(X1,X2,X3,X4) )).

cnf(i_0_18623,axiom,
    ( esk9226_4(X1,X2,X3,X4)
    | ~ esk9227_4(X1,X2,X3,X4)
    | esk9225_4(X1,X2,X3,X4) )).

cnf(i_0_18624,axiom,
    ( esk8318_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk407_0 )).

cnf(i_0_18625,axiom,
    ( ~ esk4241_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_18626,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk693_0
    | p(X1)
    | p(X3)
    | ~ esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_18627,axiom,
    ( ~ esk4847_4(X1,X2,X3,X4)
    | ~ esk5425_4(X1,X2,X3,X4)
    | esk4848_4(X1,X2,X3,X4) )).

cnf(i_0_18628,axiom,
    ( ~ esk5452_4(X1,X2,X3,X4)
    | esk5453_4(X1,X2,X3,X4) )).

cnf(i_0_18629,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2822_4(X1,X2,X3,X4) )).

cnf(i_0_18630,axiom,
    ( esk7252_4(X1,X2,X3,X4)
    | ~ esk7251_4(X1,X2,X3,X4) )).

cnf(i_0_18631,axiom,
    ( esk4584_4(X1,X2,X3,X4)
    | ~ esk4196_4(X1,X2,X3,X4) )).

cnf(i_0_18632,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9291_4(X1,X2,X3,X4)
    | esk9294_4(X1,X2,X3,X4) )).

cnf(i_0_18633,axiom,
    ( esk6876_4(X1,X2,X3,X4)
    | ~ esk6874_4(X1,X2,X3,X4) )).

cnf(i_0_18634,axiom,
    ( ~ esk4458_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4459_4(X1,X2,X3,X4) )).

cnf(i_0_18635,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk968_0
    | p(X1)
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_18636,axiom,
    ( ~ esk9686_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_18637,axiom,
    ( ~ esk2510_4(X1,X2,X3,X4)
    | esk2512_4(X1,X2,X3,X4) )).

cnf(i_0_18638,axiom,
    ( ~ esk1212_0
    | p(X2)
    | esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_18639,axiom,
    ( ~ esk2202_4(X1,X2,X3,X4)
    | esk2201_4(X1,X2,X3,X4)
    | esk2200_4(X1,X2,X3,X4)
    | esk2199_4(X1,X2,X3,X4) )).

cnf(i_0_18640,axiom,
    ( ~ esk2056_4(X1,X2,X3,X4)
    | esk2087_4(X1,X2,X3,X4)
    | ~ esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_18641,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9560_4(X1,X2,X3,X4) )).

cnf(i_0_18642,axiom,
    ( ~ esk6258_4(X1,X2,X3,X4)
    | esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_18643,axiom,
    ( ~ esk6985_4(X1,X2,X3,X4)
    | esk7495_4(X1,X2,X3,X4)
    | ~ esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_18644,axiom,
    ( ~ esk1682_4(X1,X2,X3,X4)
    | ~ esk1837_4(X1,X2,X3,X4) )).

cnf(i_0_18645,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7565_4(X1,X2,X3,X4) )).

cnf(i_0_18646,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3161_4(X1,X2,X3,X4) )).

cnf(i_0_18647,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | esk9204_4(X1,X2,X3,X4)
    | ~ esk1221_0 )).

cnf(i_0_18648,axiom,
    ( ~ esk1487_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_18649,axiom,
    ( ~ esk3824_4(X1,X2,X3,X4)
    | esk3823_4(X1,X2,X3,X4) )).

cnf(i_0_18650,axiom,
    ( ~ esk2656_4(X1,X2,X3,X4)
    | esk2655_4(X1,X2,X3,X4) )).

cnf(i_0_18651,axiom,
    ( esk6789_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_18652,axiom,
    ( p(X2)
    | p(X1)
    | esk2956_4(X1,X2,X3,X4)
    | ~ esk1325_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_18653,axiom,
    ( esk2887_4(X1,X2,X3,X4)
    | ~ esk1441_4(X1,X2,X3,X4) )).

cnf(i_0_18654,axiom,
    ( esk4367_4(X1,X2,X3,X4)
    | ~ esk4401_4(X1,X2,X3,X4) )).

cnf(i_0_18655,axiom,
    ( esk828_0
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_18656,axiom,
    ( esk9456_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18657,axiom,
    ( ~ esk5278_4(X1,X2,X3,X4)
    | esk5279_4(X1,X2,X3,X4)
    | ~ esk5265_4(X1,X2,X3,X4) )).

cnf(i_0_18658,axiom,
    ( ~ esk5916_4(X1,X2,X3,X4)
    | esk5888_4(X1,X2,X3,X4) )).

cnf(i_0_18659,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk1138_0
    | p(X4)
    | p(X2)
    | esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_18660,axiom,
    ( ~ esk6775_4(X1,X2,X3,X4)
    | ~ esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_18661,axiom,
    ( p(X1)
    | p(X4)
    | esk184_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_18662,axiom,
    ( ~ esk2140_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_18663,axiom,
    ( ~ esk9607_4(X1,X2,X3,X4)
    | ~ esk9037_4(X1,X2,X3,X4)
    | esk9038_4(X1,X2,X3,X4) )).

cnf(i_0_18664,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4114_4(X1,X2,X3,X4) )).

cnf(i_0_18665,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5246_4(X1,X2,X3,X4) )).

cnf(i_0_18666,axiom,
    ( ~ esk4041_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_18667,axiom,
    ( ~ esk2021_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_18668,axiom,
    ( ~ esk1559_4(X1,X2,X3,X4)
    | esk1558_4(X1,X2,X3,X4)
    | esk1557_4(X1,X2,X3,X4) )).

cnf(i_0_18669,axiom,
    ( esk3559_4(X1,X2,X3,X4)
    | ~ esk3558_4(X1,X2,X3,X4) )).

cnf(i_0_18670,axiom,
    ( ~ esk9152_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_18671,axiom,
    ( esk5288_4(X1,X2,X3,X4)
    | esk5287_4(X1,X2,X3,X4)
    | ~ esk5289_4(X1,X2,X3,X4) )).

cnf(i_0_18672,axiom,
    ( ~ esk8325_4(X1,X2,X3,X4)
    | esk8323_4(X1,X2,X3,X4)
    | esk8324_4(X1,X2,X3,X4) )).

cnf(i_0_18673,axiom,
    ( ~ esk4516_4(X1,X2,X3,X4)
    | esk4014_4(X1,X2,X3,X4) )).

cnf(i_0_18674,axiom,
    ( ~ p(X1)
    | ~ esk1198_0
    | ~ p(X3)
    | esk9190_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_18675,axiom,
    ( ~ esk5855_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_18676,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | ~ esk5703_4(X1,X2,X3,X4) )).

cnf(i_0_18677,axiom,
    ( ~ esk4678_4(X1,X2,X3,X4)
    | ~ esk5401_4(X1,X2,X3,X4) )).

cnf(i_0_18678,axiom,
    ( ~ esk7921_4(X1,X2,X3,X4)
    | ~ esk9229_4(X1,X2,X3,X4)
    | esk7922_4(X1,X2,X3,X4) )).

cnf(i_0_18679,axiom,
    ( ~ esk5646_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_18680,axiom,
    ( ~ esk5312_4(X1,X2,X3,X4)
    | esk5309_4(X1,X2,X3,X4) )).

cnf(i_0_18681,axiom,
    ( esk7012_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_18682,axiom,
    ( ~ esk1439_4(X1,X2,X3,X4)
    | esk1644_4(X1,X2,X3,X4) )).

cnf(i_0_18683,axiom,
    ( esk1280_0
    | p(X2)
    | p(X1)
    | p(X4)
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_18684,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | esk2600_4(X1,X2,X3,X4)
    | ~ esk2599_4(X1,X2,X3,X4) )).

cnf(i_0_18685,axiom,
    ( ~ esk9269_4(X1,X2,X3,X4)
    | esk9271_4(X1,X2,X3,X4) )).

cnf(i_0_18686,axiom,
    ( esk8044_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk163_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_18687,axiom,
    ( esk7718_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_18688,axiom,
    ( ~ esk3875_4(X1,X2,X3,X4)
    | esk1775_4(X1,X2,X3,X4) )).

cnf(i_0_18689,axiom,
    ( esk4053_4(X1,X2,X3,X4)
    | ~ esk6153_4(X1,X2,X3,X4) )).

cnf(i_0_18690,axiom,
    ( ~ esk91_0
    | ~ p(X1)
    | p(X4)
    | esk1516_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_18691,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | p(X2)
    | esk716_0 )).

cnf(i_0_18692,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk8731_4(X1,X2,X3,X4)
    | esk680_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_18693,axiom,
    ( ~ esk4520_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4411_4(X1,X2,X3,X4) )).

cnf(i_0_18694,axiom,
    ( esk5817_4(X1,X2,X3,X4)
    | ~ esk5815_4(X1,X2,X3,X4) )).

cnf(i_0_18695,axiom,
    ( esk9071_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_18696,axiom,
    ( ~ esk7150_4(X1,X2,X3,X4)
    | ~ esk5830_4(X1,X2,X3,X4)
    | esk5831_4(X1,X2,X3,X4) )).

cnf(i_0_18697,axiom,
    ( ~ esk6680_4(X1,X2,X3,X4)
    | esk7117_4(X1,X2,X3,X4)
    | esk7061_4(X1,X2,X3,X4) )).

cnf(i_0_18698,axiom,
    ( ~ esk7862_4(X1,X2,X3,X4)
    | esk9239_4(X1,X2,X3,X4) )).

cnf(i_0_18699,axiom,
    ( esk3418_4(X1,X2,X3,X4)
    | ~ esk3416_4(X1,X2,X3,X4) )).

cnf(i_0_18700,axiom,
    ( ~ p(X2)
    | ~ esk736_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_18701,axiom,
    ( ~ esk2112_4(X1,X2,X3,X4)
    | esk2113_4(X1,X2,X3,X4) )).

cnf(i_0_18702,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9210_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk1233_0 )).

cnf(i_0_18703,axiom,
    ( ~ esk144_0
    | esk1746_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_18704,axiom,
    ( esk9131_4(X1,X2,X3,X4)
    | ~ esk9125_4(X1,X2,X3,X4)
    | ~ esk9130_4(X1,X2,X3,X4) )).

cnf(i_0_18705,axiom,
    ( esk4776_4(X1,X2,X3,X4)
    | esk4775_4(X1,X2,X3,X4)
    | ~ esk4777_4(X1,X2,X3,X4) )).

cnf(i_0_18706,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_18707,axiom,
    ( ~ esk8599_4(X1,X2,X3,X4)
    | esk8600_4(X1,X2,X3,X4) )).

cnf(i_0_18708,axiom,
    ( ~ esk7227_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_18709,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | esk2203_4(X1,X2,X3,X4)
    | ~ esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_18710,axiom,
    ( esk4997_4(X1,X2,X3,X4)
    | ~ esk3787_4(X1,X2,X3,X4) )).

cnf(i_0_18711,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk628_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_18712,axiom,
    ( p(X4)
    | p(X3)
    | esk1038_0
    | p(X2)
    | p(X1)
    | ~ esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_18713,axiom,
    ( esk1671_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ esk1_0
    | p(X4)
    | p(X1) )).

cnf(i_0_18714,axiom,
    ( esk2618_4(X1,X2,X3,X4)
    | ~ esk2616_4(X1,X2,X3,X4) )).

cnf(i_0_18715,axiom,
    ( ~ esk4469_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_18716,axiom,
    ( ~ p(X3)
    | ~ esk7740_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk51_0
    | p(X2) )).

cnf(i_0_18717,axiom,
    ( ~ esk5225_4(X1,X2,X3,X4)
    | esk5223_4(X1,X2,X3,X4)
    | esk5224_4(X1,X2,X3,X4) )).

cnf(i_0_18718,axiom,
    ( ~ esk3093_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_18719,axiom,
    ( esk6657_4(X1,X2,X3,X4)
    | ~ esk5635_4(X1,X2,X3,X4) )).

cnf(i_0_18720,axiom,
    ( ~ esk1679_4(X1,X2,X3,X4)
    | ~ esk2480_4(X1,X2,X3,X4)
    | esk2503_4(X1,X2,X3,X4) )).

cnf(i_0_18721,axiom,
    ( ~ esk6214_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_18722,axiom,
    ( ~ esk9254_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | esk1340_0 )).

cnf(i_0_18723,axiom,
    ( ~ esk9238_4(X1,X2,X3,X4)
    | esk1306_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_18724,axiom,
    ( ~ esk1762_4(X1,X2,X3,X4)
    | esk1761_4(X1,X2,X3,X4) )).

cnf(i_0_18725,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6105_4(X1,X2,X3,X4) )).

cnf(i_0_18726,axiom,
    ( esk7474_4(X1,X2,X3,X4)
    | ~ esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_18727,axiom,
    ( ~ esk5371_4(X1,X2,X3,X4)
    | esk4528_4(X1,X2,X3,X4)
    | esk4526_4(X1,X2,X3,X4) )).

cnf(i_0_18728,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4570_4(X1,X2,X3,X4)
    | esk4571_4(X1,X2,X3,X4) )).

cnf(i_0_18729,axiom,
    ( esk8526_4(X1,X2,X3,X4)
    | ~ esk8524_4(X1,X2,X3,X4) )).

cnf(i_0_18730,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk3425_4(X1,X2,X3,X4) )).

cnf(i_0_18731,axiom,
    ( ~ esk9137_4(X1,X2,X3,X4)
    | esk9135_4(X1,X2,X3,X4)
    | esk9136_4(X1,X2,X3,X4) )).

cnf(i_0_18732,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5428_4(X1,X2,X3,X4) )).

cnf(i_0_18733,axiom,
    ( ~ esk4260_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_18734,axiom,
    ( esk4524_4(X1,X2,X3,X4)
    | ~ esk4341_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_18735,axiom,
    ( esk3534_4(X1,X2,X3,X4)
    | esk4918_4(X1,X2,X3,X4)
    | ~ esk3751_4(X1,X2,X3,X4) )).

cnf(i_0_18736,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk992_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_18737,axiom,
    ( esk3025_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3022_4(X1,X2,X3,X4) )).

cnf(i_0_18738,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2235_4(X1,X2,X3,X4) )).

cnf(i_0_18739,axiom,
    ( esk1429_4(X1,X2,X3,X4)
    | ~ esk1761_4(X1,X2,X3,X4) )).

cnf(i_0_18740,axiom,
    ( esk2943_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_18741,axiom,
    ( ~ p(X1)
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk1181_0 )).

cnf(i_0_18742,axiom,
    ( ~ esk6801_4(X1,X2,X3,X4)
    | ~ esk6997_4(X1,X2,X3,X4)
    | esk6802_4(X1,X2,X3,X4) )).

cnf(i_0_18743,axiom,
    ( esk8742_4(X1,X2,X3,X4)
    | ~ esk9581_4(X1,X2,X3,X4) )).

cnf(i_0_18744,axiom,
    ( ~ esk3123_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_18745,axiom,
    ( ~ esk7873_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_18746,axiom,
    ( esk4613_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4612_4(X1,X2,X3,X4) )).

cnf(i_0_18747,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk2429_4(X1,X2,X3,X4)
    | p(X4)
    | esk634_0 )).

cnf(i_0_18748,axiom,
    ( ~ esk8146_4(X1,X2,X3,X4)
    | esk8110_4(X1,X2,X3,X4) )).

cnf(i_0_18749,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk2922_4(X1,X2,X3,X4)
    | esk1269_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_18750,axiom,
    ( esk9732_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_18751,axiom,
    ( esk7282_4(X1,X2,X3,X4)
    | esk7283_4(X1,X2,X3,X4)
    | ~ esk7284_4(X1,X2,X3,X4) )).

cnf(i_0_18752,axiom,
    ( esk6278_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_18753,axiom,
    ( esk3231_4(X1,X2,X3,X4)
    | ~ esk3232_4(X1,X2,X3,X4) )).

cnf(i_0_18754,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk1337_0
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_18755,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3666_4(X1,X2,X3,X4)
    | esk3729_4(X1,X2,X3,X4) )).

cnf(i_0_18756,axiom,
    ( esk1570_4(X1,X2,X3,X4)
    | ~ esk1481_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_18757,axiom,
    ( ~ esk9461_4(X1,X2,X3,X4)
    | esk8659_4(X1,X2,X3,X4) )).

cnf(i_0_18758,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk7131_4(X1,X2,X3,X4) )).

cnf(i_0_18759,axiom,
    ( esk3899_4(X1,X2,X3,X4)
    | ~ esk3897_4(X1,X2,X3,X4) )).

cnf(i_0_18760,axiom,
    ( esk9433_4(X1,X2,X3,X4)
    | ~ esk9432_4(X1,X2,X3,X4)
    | ~ esk9427_4(X1,X2,X3,X4) )).

cnf(i_0_18761,axiom,
    ( ~ esk7518_4(X1,X2,X3,X4)
    | esk7517_4(X1,X2,X3,X4) )).

cnf(i_0_18762,axiom,
    ( esk8480_4(X1,X2,X3,X4)
    | ~ esk8481_4(X1,X2,X3,X4) )).

cnf(i_0_18763,axiom,
    ( ~ esk5169_4(X1,X2,X3,X4)
    | esk5199_4(X1,X2,X3,X4)
    | ~ esk5198_4(X1,X2,X3,X4) )).

cnf(i_0_18764,axiom,
    ( ~ esk4423_4(X1,X2,X3,X4)
    | esk4425_4(X1,X2,X3,X4) )).

cnf(i_0_18765,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk3790_4(X1,X2,X3,X4) )).

cnf(i_0_18766,axiom,
    ( ~ esk6026_4(X1,X2,X3,X4)
    | esk6025_4(X1,X2,X3,X4)
    | esk6024_4(X1,X2,X3,X4) )).

cnf(i_0_18767,axiom,
    ( ~ esk8536_4(X1,X2,X3,X4)
    | esk8501_4(X1,X2,X3,X4) )).

cnf(i_0_18768,axiom,
    ( esk5868_4(X1,X2,X3,X4)
    | ~ esk7968_4(X1,X2,X3,X4) )).

cnf(i_0_18769,axiom,
    ( ~ esk3361_4(X1,X2,X3,X4)
    | esk3362_4(X1,X2,X3,X4) )).

cnf(i_0_18770,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk1224_0
    | esk2908_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_18771,axiom,
    ( ~ esk5501_4(X1,X2,X3,X4)
    | esk5499_4(X1,X2,X3,X4)
    | esk5500_4(X1,X2,X3,X4) )).

cnf(i_0_18772,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | esk1276_0 )).

cnf(i_0_18773,axiom,
    ( ~ esk6894_4(X1,X2,X3,X4)
    | esk6893_4(X1,X2,X3,X4) )).

cnf(i_0_18774,axiom,
    ( ~ esk4594_4(X1,X2,X3,X4)
    | ~ esk4270_4(X1,X2,X3,X4) )).

cnf(i_0_18775,axiom,
    ( esk2350_4(X1,X2,X3,X4)
    | ~ esk2996_4(X1,X2,X3,X4) )).

cnf(i_0_18776,axiom,
    ( ~ esk5892_4(X1,X2,X3,X4)
    | esk5893_4(X1,X2,X3,X4) )).

cnf(i_0_18777,axiom,
    ( ~ esk848_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk2793_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_18778,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6568_4(X1,X2,X3,X4) )).

cnf(i_0_18779,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7333_4(X1,X2,X3,X4) )).

cnf(i_0_18780,axiom,
    ( ~ esk3766_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_18781,axiom,
    ( esk6332_4(X1,X2,X3,X4)
    | ~ esk5554_4(X1,X2,X3,X4) )).

cnf(i_0_18782,axiom,
    ( esk8828_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_18783,axiom,
    ( esk7562_4(X1,X2,X3,X4)
    | ~ esk7561_4(X1,X2,X3,X4)
    | ~ esk6884_4(X1,X2,X3,X4) )).

cnf(i_0_18784,axiom,
    ( ~ esk7510_4(X1,X2,X3,X4)
    | esk7509_4(X1,X2,X3,X4) )).

cnf(i_0_18785,axiom,
    ( esk6645_4(X1,X2,X3,X4)
    | ~ esk6007_4(X1,X2,X3,X4) )).

cnf(i_0_18786,axiom,
    ( ~ esk2173_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2)
    | p(X3)
    | esk1_0 )).

cnf(i_0_18787,axiom,
    ( esk1490_4(X1,X2,X3,X4)
    | ~ esk1582_4(X1,X2,X3,X4) )).

cnf(i_0_18788,axiom,
    ( esk8099_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8098_4(X1,X2,X3,X4) )).

cnf(i_0_18789,axiom,
    ( ~ esk2221_4(X1,X2,X3,X4)
    | esk2220_4(X1,X2,X3,X4)
    | esk2219_4(X1,X2,X3,X4) )).

cnf(i_0_18790,axiom,
    ( ~ esk6745_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_18791,axiom,
    ( esk8423_4(X1,X2,X3,X4)
    | esk8728_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_18792,axiom,
    ( ~ esk3186_4(X1,X2,X3,X4)
    | ~ esk3191_4(X1,X2,X3,X4)
    | esk3192_4(X1,X2,X3,X4) )).

cnf(i_0_18793,axiom,
    ( ~ esk2034_4(X1,X2,X3,X4)
    | esk2033_4(X1,X2,X3,X4) )).

cnf(i_0_18794,axiom,
    ( ~ esk5060_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_18795,axiom,
    ( esk4590_4(X1,X2,X3,X4)
    | ~ esk4591_4(X1,X2,X3,X4) )).

cnf(i_0_18796,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6740_4(X1,X2,X3,X4) )).

cnf(i_0_18797,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8476_4(X1,X2,X3,X4) )).

cnf(i_0_18798,axiom,
    ( ~ esk5724_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_18799,axiom,
    ( esk5851_4(X1,X2,X3,X4)
    | esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_18800,axiom,
    ( ~ esk7005_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6883_4(X1,X2,X3,X4) )).

cnf(i_0_18801,axiom,
    ( esk9084_4(X1,X2,X3,X4)
    | ~ esk8986_4(X1,X2,X3,X4) )).

cnf(i_0_18802,axiom,
    ( ~ esk2926_4(X1,X2,X3,X4)
    | esk1755_4(X1,X2,X3,X4) )).

cnf(i_0_18803,axiom,
    ( ~ esk986_0
    | esk2811_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_18804,axiom,
    ( esk1363_4(X1,X2,X3,X4)
    | ~ esk1474_4(X1,X2,X3,X4) )).

cnf(i_0_18805,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4383_4(X1,X2,X3,X4) )).

cnf(i_0_18806,axiom,
    ( esk3822_4(X1,X2,X3,X4)
    | ~ esk3821_4(X1,X2,X3,X4) )).

cnf(i_0_18807,axiom,
    ( ~ esk8362_4(X1,X2,X3,X4)
    | esk8364_4(X1,X2,X3,X4) )).

cnf(i_0_18808,axiom,
    ( esk9631_4(X1,X2,X3,X4)
    | ~ esk9629_4(X1,X2,X3,X4) )).

cnf(i_0_18809,axiom,
    ( ~ esk5253_4(X1,X2,X3,X4)
    | esk5251_4(X1,X2,X3,X4)
    | esk5252_4(X1,X2,X3,X4) )).

cnf(i_0_18810,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7407_4(X1,X2,X3,X4) )).

cnf(i_0_18811,axiom,
    ( esk1700_4(X1,X2,X3,X4)
    | ~ esk1470_4(X1,X2,X3,X4) )).

cnf(i_0_18812,axiom,
    ( ~ esk7240_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | esk7243_4(X1,X2,X3,X4) )).

cnf(i_0_18813,axiom,
    ( ~ esk7234_4(X1,X2,X3,X4)
    | esk7236_4(X1,X2,X3,X4) )).

cnf(i_0_18814,axiom,
    ( esk246_0
    | p(X4)
    | ~ esk1776_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_18815,axiom,
    ( ~ esk6534_4(X1,X2,X3,X4)
    | esk6536_4(X1,X2,X3,X4) )).

cnf(i_0_18816,axiom,
    ( ~ esk4468_4(X1,X2,X3,X4)
    | esk4467_4(X1,X2,X3,X4) )).

cnf(i_0_18817,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6014_4(X1,X2,X3,X4) )).

cnf(i_0_18818,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk1_0
    | esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_18819,axiom,
    ( p(X3)
    | ~ esk389_0
    | ~ p(X2)
    | p(X4)
    | esk1995_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_18820,axiom,
    ( ~ esk7126_4(X1,X2,X3,X4)
    | esk5904_4(X1,X2,X3,X4) )).

cnf(i_0_18821,axiom,
    ( ~ esk8850_4(X1,X2,X3,X4)
    | esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_18822,axiom,
    ( esk8212_4(X1,X2,X3,X4)
    | ~ esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_18823,axiom,
    ( ~ esk6889_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_18824,axiom,
    ( ~ p(X3)
    | ~ esk9105_4(X1,X2,X3,X4)
    | esk970_0
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_18825,axiom,
    ( esk7156_4(X1,X2,X3,X4)
    | ~ esk5960_4(X1,X2,X3,X4) )).

cnf(i_0_18826,axiom,
    ( esk7022_4(X1,X2,X3,X4)
    | esk7023_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_18827,axiom,
    ( ~ esk8207_4(X1,X2,X3,X4)
    | esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_18828,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8552_4(X1,X2,X3,X4) )).

cnf(i_0_18829,axiom,
    ( esk9215_4(X1,X2,X3,X4)
    | ~ esk7115_4(X1,X2,X3,X4) )).

cnf(i_0_18830,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk3895_4(X1,X2,X3,X4)
    | esk3878_4(X1,X2,X3,X4) )).

cnf(i_0_18831,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5418_4(X1,X2,X3,X4) )).

cnf(i_0_18832,axiom,
    ( esk3623_4(X1,X2,X3,X4)
    | ~ esk3471_4(X1,X2,X3,X4) )).

cnf(i_0_18833,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6942_4(X1,X2,X3,X4) )).

cnf(i_0_18834,axiom,
    ( ~ esk5071_4(X1,X2,X3,X4)
    | esk5073_4(X1,X2,X3,X4) )).

cnf(i_0_18835,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ esk1334_0
    | esk2956_4(X1,X2,X3,X4) )).

cnf(i_0_18836,axiom,
    ( ~ esk6819_4(X1,X2,X3,X4)
    | esk6820_4(X1,X2,X3,X4) )).

cnf(i_0_18837,axiom,
    ( ~ esk3990_4(X1,X2,X3,X4)
    | esk3991_4(X1,X2,X3,X4) )).

cnf(i_0_18838,axiom,
    ( esk2870_4(X1,X2,X3,X4)
    | ~ esk1400_4(X1,X2,X3,X4) )).

cnf(i_0_18839,axiom,
    ( p(X3)
    | ~ esk1021_0
    | esk9111_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_18840,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4140_4(X1,X2,X3,X4) )).

cnf(i_0_18841,axiom,
    ( esk4416_4(X1,X2,X3,X4)
    | esk4013_4(X1,X2,X3,X4)
    | ~ esk4012_4(X1,X2,X3,X4) )).

cnf(i_0_18842,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3727_4(X1,X2,X3,X4) )).

cnf(i_0_18843,axiom,
    ( ~ esk8622_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_18844,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9316_4(X1,X2,X3,X4) )).

cnf(i_0_18845,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3606_4(X1,X2,X3,X4) )).

cnf(i_0_18846,axiom,
    ( esk7487_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_18847,axiom,
    ( ~ esk3177_4(X1,X2,X3,X4)
    | esk3178_4(X1,X2,X3,X4) )).

cnf(i_0_18848,axiom,
    ( ~ esk2150_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_18849,axiom,
    ( esk3728_4(X1,X2,X3,X4)
    | esk3729_4(X1,X2,X3,X4)
    | ~ esk3730_4(X1,X2,X3,X4) )).

cnf(i_0_18850,axiom,
    ( esk1913_4(X1,X2,X3,X4)
    | ~ esk2317_4(X1,X2,X3,X4)
    | esk1914_4(X1,X2,X3,X4) )).

cnf(i_0_18851,axiom,
    ( esk2448_4(X1,X2,X3,X4)
    | ~ esk2443_4(X1,X2,X3,X4) )).

cnf(i_0_18852,axiom,
    ( esk5979_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_18853,axiom,
    ( ~ esk6150_4(X1,X2,X3,X4)
    | ~ esk6643_4(X1,X2,X3,X4)
    | esk7482_4(X1,X2,X3,X4) )).

cnf(i_0_18854,axiom,
    ( ~ esk6443_4(X1,X2,X3,X4)
    | esk6444_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_18855,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6911_4(X1,X2,X3,X4) )).

cnf(i_0_18856,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk860_0
    | ~ esk2795_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_18857,axiom,
    ( esk8303_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_18858,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk5623_4(X1,X2,X3,X4) )).

cnf(i_0_18859,axiom,
    ( ~ esk8522_4(X1,X2,X3,X4)
    | esk8560_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_18860,axiom,
    ( esk4482_4(X1,X2,X3,X4)
    | ~ esk4519_4(X1,X2,X3,X4) )).

cnf(i_0_18861,axiom,
    ( ~ esk9349_4(X1,X2,X3,X4)
    | esk9351_4(X1,X2,X3,X4) )).

cnf(i_0_18862,axiom,
    ( ~ esk6849_4(X1,X2,X3,X4)
    | ~ esk7007_4(X1,X2,X3,X4) )).

cnf(i_0_18863,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk7736_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk31_0
    | ~ p(X2) )).

cnf(i_0_18864,axiom,
    ( ~ esk9180_4(X1,X2,X3,X4)
    | esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_18865,axiom,
    ( esk8325_4(X1,X2,X3,X4)
    | ~ esk8473_4(X1,X2,X3,X4) )).

cnf(i_0_18866,axiom,
    ( ~ esk9197_4(X1,X2,X3,X4)
    | esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_18867,axiom,
    ( esk6526_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6525_4(X1,X2,X3,X4) )).

cnf(i_0_18868,axiom,
    ( esk8362_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8361_4(X1,X2,X3,X4) )).

cnf(i_0_18869,axiom,
    ( esk5872_4(X1,X2,X3,X4)
    | ~ esk5874_4(X1,X2,X3,X4)
    | esk5873_4(X1,X2,X3,X4) )).

cnf(i_0_18870,axiom,
    ( ~ esk7587_4(X1,X2,X3,X4)
    | esk7584_4(X1,X2,X3,X4) )).

cnf(i_0_18871,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5446_4(X1,X2,X3,X4) )).

cnf(i_0_18872,axiom,
    ( esk999_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk9109_4(X1,X2,X3,X4) )).

cnf(i_0_18873,axiom,
    ( ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk954_0
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_18874,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7209_4(X1,X2,X3,X4) )).

cnf(i_0_18875,axiom,
    ( esk2610_4(X1,X2,X3,X4)
    | ~ esk3337_4(X1,X2,X3,X4) )).

cnf(i_0_18876,axiom,
    ( p(X4)
    | ~ esk81_0
    | p(X1)
    | ~ p(X2)
    | esk1516_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_18877,axiom,
    ( esk8988_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_18878,axiom,
    ( ~ esk8503_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_18879,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4837_4(X1,X2,X3,X4) )).

cnf(i_0_18880,axiom,
    ( p(X2)
    | p(X1)
    | p(X4)
    | ~ esk619_0
    | esk2427_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_18881,axiom,
    ( esk9340_4(X1,X2,X3,X4)
    | esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_18882,axiom,
    ( esk6548_4(X1,X2,X3,X4)
    | ~ esk6546_4(X1,X2,X3,X4) )).

cnf(i_0_18883,axiom,
    ( esk1593_4(X1,X2,X3,X4)
    | esk1594_4(X1,X2,X3,X4)
    | ~ esk1595_4(X1,X2,X3,X4) )).

cnf(i_0_18884,axiom,
    ( esk2035_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_18885,axiom,
    ( esk5142_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_18886,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk1140_0 )).

cnf(i_0_18887,axiom,
    ( p(X2)
    | ~ esk1308_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_18888,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6165_4(X1,X2,X3,X4) )).

cnf(i_0_18889,axiom,
    ( ~ p(X2)
    | ~ esk8729_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk1_0 )).

cnf(i_0_18890,axiom,
    ( ~ esk2154_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_18891,axiom,
    ( ~ esk5954_4(X1,X2,X3,X4)
    | esk3854_4(X1,X2,X3,X4) )).

cnf(i_0_18892,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2603_4(X1,X2,X3,X4) )).

cnf(i_0_18893,axiom,
    ( ~ esk5985_4(X1,X2,X3,X4)
    | esk5986_4(X1,X2,X3,X4) )).

cnf(i_0_18894,axiom,
    ( ~ esk5041_4(X1,X2,X3,X4)
    | ~ esk3663_4(X1,X2,X3,X4)
    | esk3664_4(X1,X2,X3,X4) )).

cnf(i_0_18895,axiom,
    ( esk1494_4(X1,X2,X3,X4)
    | ~ esk1492_4(X1,X2,X3,X4) )).

cnf(i_0_18896,axiom,
    ( ~ esk5084_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_18897,axiom,
    ( ~ esk5099_4(X1,X2,X3,X4)
    | esk5098_4(X1,X2,X3,X4) )).

cnf(i_0_18898,axiom,
    ( ~ esk5076_4(X1,X2,X3,X4)
    | esk5077_4(X1,X2,X3,X4) )).

cnf(i_0_18899,axiom,
    ( esk11_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_18900,axiom,
    ( ~ esk3925_4(X1,X2,X3,X4)
    | esk4593_4(X1,X2,X3,X4) )).

cnf(i_0_18901,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9514_4(X1,X2,X3,X4) )).

cnf(i_0_18902,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | esk2433_4(X1,X2,X3,X4)
    | ~ esk672_0 )).

cnf(i_0_18903,axiom,
    ( ~ esk4875_4(X1,X2,X3,X4)
    | esk4876_4(X1,X2,X3,X4)
    | ~ esk5521_4(X1,X2,X3,X4) )).

cnf(i_0_18904,axiom,
    ( esk3413_4(X1,X2,X3,X4)
    | ~ esk3410_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_18905,axiom,
    ( ~ esk7976_4(X1,X2,X3,X4)
    | ~ esk8831_4(X1,X2,X3,X4) )).

cnf(i_0_18906,axiom,
    ( esk9639_4(X1,X2,X3,X4)
    | ~ esk9638_4(X1,X2,X3,X4) )).

cnf(i_0_18907,axiom,
    ( ~ esk2799_4(X1,X2,X3,X4)
    | esk2552_4(X1,X2,X3,X4) )).

cnf(i_0_18908,axiom,
    ( esk9295_4(X1,X2,X3,X4)
    | ~ esk9294_4(X1,X2,X3,X4) )).

cnf(i_0_18909,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk32_0 )).

cnf(i_0_18910,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | esk5705_4(X1,X2,X3,X4) )).

cnf(i_0_18911,axiom,
    ( esk2245_4(X1,X2,X3,X4)
    | esk1373_4(X1,X2,X3,X4) )).

cnf(i_0_18912,axiom,
    ( esk7724_4(X1,X2,X3,X4)
    | ~ esk7731_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_18913,axiom,
    ( ~ esk5455_4(X1,X2,X3,X4)
    | esk4781_4(X1,X2,X3,X4) )).

cnf(i_0_18914,axiom,
    ( ~ esk7659_4(X1,X2,X3,X4)
    | esk8216_4(X1,X2,X3,X4) )).

cnf(i_0_18915,axiom,
    ( ~ esk4107_4(X1,X2,X3,X4)
    | esk4069_4(X1,X2,X3,X4) )).

cnf(i_0_18916,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4944_4(X1,X2,X3,X4) )).

cnf(i_0_18917,axiom,
    ( esk2482_4(X1,X2,X3,X4)
    | ~ esk2859_4(X1,X2,X3,X4) )).

cnf(i_0_18918,axiom,
    ( ~ esk7255_4(X1,X2,X3,X4)
    | esk7256_4(X1,X2,X3,X4) )).

cnf(i_0_18919,axiom,
    ( p(X4)
    | esk8170_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ esk292_0
    | ~ p(X2) )).

cnf(i_0_18920,axiom,
    ( esk5025_4(X1,X2,X3,X4)
    | ~ esk5024_4(X1,X2,X3,X4) )).

cnf(i_0_18921,axiom,
    ( esk8284_4(X1,X2,X3,X4)
    | ~ esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_18922,axiom,
    ( esk4906_4(X1,X2,X3,X4)
    | ~ esk5459_4(X1,X2,X3,X4) )).

cnf(i_0_18923,axiom,
    ( esk9559_4(X1,X2,X3,X4)
    | ~ esk9558_4(X1,X2,X3,X4) )).

cnf(i_0_18924,axiom,
    ( ~ esk4888_4(X1,X2,X3,X4)
    | ~ esk4726_4(X1,X2,X3,X4)
    | esk4727_4(X1,X2,X3,X4) )).

cnf(i_0_18925,axiom,
    ( ~ esk4745_4(X1,X2,X3,X4)
    | esk4744_4(X1,X2,X3,X4)
    | esk4743_4(X1,X2,X3,X4) )).

cnf(i_0_18926,axiom,
    ( esk6218_4(X1,X2,X3,X4)
    | ~ esk6367_4(X1,X2,X3,X4) )).

cnf(i_0_18927,axiom,
    ( esk7796_4(X1,X2,X3,X4)
    | ~ esk7797_4(X1,X2,X3,X4) )).

cnf(i_0_18928,axiom,
    ( esk3648_4(X1,X2,X3,X4)
    | ~ esk5013_4(X1,X2,X3,X4)
    | ~ esk3647_4(X1,X2,X3,X4) )).

cnf(i_0_18929,axiom,
    ( esk9154_4(X1,X2,X3,X4)
    | ~ esk7725_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_18930,axiom,
    ( esk4757_4(X1,X2,X3,X4)
    | ~ esk4050_4(X1,X2,X3,X4) )).

cnf(i_0_18931,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8494_4(X1,X2,X3,X4) )).

cnf(i_0_18932,axiom,
    ( ~ esk8020_4(X1,X2,X3,X4)
    | esk8018_4(X1,X2,X3,X4)
    | esk8019_4(X1,X2,X3,X4) )).

cnf(i_0_18933,axiom,
    ( ~ esk5794_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_18934,axiom,
    ( esk8692_4(X1,X2,X3,X4)
    | ~ esk8723_4(X1,X2,X3,X4) )).

cnf(i_0_18935,axiom,
    ( ~ esk8634_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_18936,axiom,
    ( ~ esk6737_4(X1,X2,X3,X4)
    | esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_18937,axiom,
    ( esk1652_4(X1,X2,X3,X4)
    | esk3450_4(X1,X2,X3,X4) )).

cnf(i_0_18938,axiom,
    ( ~ esk4593_4(X1,X2,X3,X4)
    | ~ esk3924_4(X1,X2,X3,X4)
    | esk3925_4(X1,X2,X3,X4) )).

cnf(i_0_18939,axiom,
    ( esk6617_4(X1,X2,X3,X4)
    | ~ esk6107_4(X1,X2,X3,X4) )).

cnf(i_0_18940,axiom,
    ( ~ esk5323_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_18941,axiom,
    ( esk9426_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_18942,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3171_4(X1,X2,X3,X4) )).

cnf(i_0_18943,axiom,
    ( ~ esk939_0
    | ~ p(X3)
    | ~ p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_18944,axiom,
    ( ~ esk4510_4(X1,X2,X3,X4)
    | esk4533_4(X1,X2,X3,X4) )).

cnf(i_0_18945,axiom,
    ( ~ esk9264_4(X1,X2,X3,X4)
    | esk9265_4(X1,X2,X3,X4)
    | ~ esk9259_4(X1,X2,X3,X4) )).

cnf(i_0_18946,axiom,
    ( esk8469_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk471_0 )).

cnf(i_0_18947,axiom,
    ( ~ esk7997_4(X1,X2,X3,X4)
    | esk7821_4(X1,X2,X3,X4) )).

cnf(i_0_18948,axiom,
    ( ~ esk6240_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_18949,axiom,
    ( ~ esk8106_4(X1,X2,X3,X4)
    | ~ esk9744_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_18950,axiom,
    ( esk7437_4(X1,X2,X3,X4)
    | ~ esk7438_4(X1,X2,X3,X4) )).

cnf(i_0_18951,axiom,
    ( esk1455_4(X1,X2,X3,X4)
    | esk1454_4(X1,X2,X3,X4)
    | ~ esk1456_4(X1,X2,X3,X4) )).

cnf(i_0_18952,axiom,
    ( esk4381_4(X1,X2,X3,X4)
    | esk4342_4(X1,X2,X3,X4)
    | ~ esk4380_4(X1,X2,X3,X4) )).

cnf(i_0_18953,axiom,
    ( esk2148_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_18954,axiom,
    ( esk9211_4(X1,X2,X3,X4)
    | ~ esk8006_4(X1,X2,X3,X4) )).

cnf(i_0_18955,axiom,
    ( ~ esk9738_4(X1,X2,X3,X4)
    | esk7749_4(X1,X2,X3,X4) )).

cnf(i_0_18956,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | esk8687_4(X1,X2,X3,X4)
    | ~ esk8538_4(X1,X2,X3,X4) )).

cnf(i_0_18957,axiom,
    ( ~ esk8347_4(X1,X2,X3,X4)
    | ~ esk8290_4(X1,X2,X3,X4)
    | ~ esk8346_4(X1,X2,X3,X4) )).

cnf(i_0_18958,axiom,
    ( ~ esk3817_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_18959,axiom,
    ( esk6271_4(X1,X2,X3,X4)
    | ~ esk6273_4(X1,X2,X3,X4)
    | esk6272_4(X1,X2,X3,X4) )).

cnf(i_0_18960,axiom,
    ( p(X3)
    | esk631_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk8723_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_18961,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8845_4(X1,X2,X3,X4) )).

cnf(i_0_18962,axiom,
    ( ~ esk9422_4(X1,X2,X3,X4)
    | esk9423_4(X1,X2,X3,X4) )).

cnf(i_0_18963,axiom,
    ( ~ esk9127_4(X1,X2,X3,X4)
    | esk9124_4(X1,X2,X3,X4) )).

cnf(i_0_18964,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk752_0 )).

cnf(i_0_18965,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1885_4(X1,X2,X3,X4)
    | ~ esk1884_4(X1,X2,X3,X4) )).

cnf(i_0_18966,axiom,
    ( ~ esk8716_4(X1,X2,X3,X4)
    | esk6616_4(X1,X2,X3,X4) )).

cnf(i_0_18967,axiom,
    ( ~ esk1799_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_18968,axiom,
    ( ~ esk9151_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4)
    | esk9121_4(X1,X2,X3,X4) )).

cnf(i_0_18969,axiom,
    ( p(X3)
    | p(X4)
    | esk2809_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk970_0
    | p(X2) )).

cnf(i_0_18970,axiom,
    ( esk8335_4(X1,X2,X3,X4)
    | esk8336_4(X1,X2,X3,X4)
    | ~ esk8337_4(X1,X2,X3,X4) )).

cnf(i_0_18971,axiom,
    ( ~ esk1773_4(X1,X2,X3,X4)
    | ~ esk1429_4(X1,X2,X3,X4)
    | esk1774_4(X1,X2,X3,X4) )).

cnf(i_0_18972,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9416_4(X1,X2,X3,X4) )).

cnf(i_0_18973,axiom,
    ( ~ esk8848_4(X1,X2,X3,X4)
    | esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_18974,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2750_4(X1,X2,X3,X4) )).

cnf(i_0_18975,axiom,
    ( ~ esk7482_4(X1,X2,X3,X4)
    | esk7483_4(X1,X2,X3,X4) )).

cnf(i_0_18976,axiom,
    ( ~ esk2177_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_18977,axiom,
    ( esk7497_4(X1,X2,X3,X4)
    | ~ esk7498_4(X1,X2,X3,X4)
    | esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_18978,axiom,
    ( esk2437_4(X1,X2,X3,X4)
    | esk1877_4(X1,X2,X3,X4)
    | ~ esk2128_4(X1,X2,X3,X4) )).

cnf(i_0_18979,axiom,
    ( ~ esk2885_4(X1,X2,X3,X4)
    | esk4985_4(X1,X2,X3,X4) )).

cnf(i_0_18980,axiom,
    ( esk6084_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_18981,axiom,
    ( ~ p(X3)
    | ~ esk9111_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk1014_0 )).

cnf(i_0_18982,axiom,
    ( ~ esk4883_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_18983,axiom,
    ( ~ esk8956_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_18984,axiom,
    ( ~ p(X2)
    | esk9087_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk832_0
    | p(X3)
    | p(X1) )).

cnf(i_0_18985,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk118_0 )).

cnf(i_0_18986,axiom,
    ( ~ esk5955_4(X1,X2,X3,X4)
    | esk8055_4(X1,X2,X3,X4) )).

cnf(i_0_18987,axiom,
    ( ~ esk6136_4(X1,X2,X3,X4)
    | esk6102_4(X1,X2,X3,X4) )).

cnf(i_0_18988,axiom,
    ( ~ p(X3)
    | esk2321_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk541_0 )).

cnf(i_0_18989,axiom,
    ( esk5645_4(X1,X2,X3,X4)
    | ~ esk5566_4(X1,X2,X3,X4) )).

cnf(i_0_18990,axiom,
    ( ~ esk9178_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | esk1155_0
    | ~ p(X2) )).

cnf(i_0_18991,axiom,
    ( esk1800_4(X1,X2,X3,X4)
    | ~ esk1798_4(X1,X2,X3,X4) )).

cnf(i_0_18992,axiom,
    ( ~ esk8657_4(X1,X2,X3,X4)
    | esk8659_4(X1,X2,X3,X4) )).

cnf(i_0_18993,axiom,
    ( ~ esk576_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | p(X4)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_18994,axiom,
    ( ~ esk7917_4(X1,X2,X3,X4)
    | esk7918_4(X1,X2,X3,X4)
    | ~ esk9219_4(X1,X2,X3,X4) )).

cnf(i_0_18995,axiom,
    ( esk5899_4(X1,X2,X3,X4)
    | ~ esk7094_4(X1,X2,X3,X4) )).

cnf(i_0_18996,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk1038_0
    | p(X3)
    | esk2868_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_18997,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk6508_4(X1,X2,X3,X4) )).

cnf(i_0_18998,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk9230_4(X1,X2,X3,X4) )).

cnf(i_0_18999,axiom,
    ( esk8072_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk244_0
    | p(X2)
    | p(X1) )).

cnf(i_0_19000,axiom,
    ( esk8249_4(X1,X2,X3,X4)
    | ~ esk6149_4(X1,X2,X3,X4) )).

cnf(i_0_19001,axiom,
    ( ~ p(X1)
    | esk2793_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk857_0
    | ~ p(X2) )).

cnf(i_0_19002,axiom,
    ( ~ esk2526_4(X1,X2,X3,X4)
    | esk2525_4(X1,X2,X3,X4) )).

cnf(i_0_19003,axiom,
    ( esk8880_4(X1,X2,X3,X4)
    | esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_19004,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2795_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_19005,axiom,
    ( ~ esk4381_4(X1,X2,X3,X4)
    | esk4415_4(X1,X2,X3,X4)
    | esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_19006,axiom,
    ( esk6453_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_19007,axiom,
    ( ~ esk5636_4(X1,X2,X3,X4)
    | esk3536_4(X1,X2,X3,X4) )).

cnf(i_0_19008,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4)
    | ~ esk1916_4(X1,X2,X3,X4) )).

cnf(i_0_19009,axiom,
    ( ~ esk2901_4(X1,X2,X3,X4)
    | esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_19010,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk613_0
    | p(X2)
    | ~ p(X3)
    | ~ esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_19011,axiom,
    ( ~ esk8874_4(X1,X2,X3,X4)
    | esk8881_4(X1,X2,X3,X4)
    | ~ esk8880_4(X1,X2,X3,X4) )).

cnf(i_0_19012,axiom,
    ( esk1780_4(X1,X2,X3,X4)
    | ~ esk1778_4(X1,X2,X3,X4) )).

cnf(i_0_19013,axiom,
    ( esk9254_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1_0
    | ~ p(X2) )).

cnf(i_0_19014,axiom,
    ( esk4993_4(X1,X2,X3,X4)
    | ~ esk3700_4(X1,X2,X3,X4) )).

cnf(i_0_19015,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9548_4(X1,X2,X3,X4) )).

cnf(i_0_19016,axiom,
    ( p(X2)
    | ~ esk140_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_19017,axiom,
    ( ~ esk4931_4(X1,X2,X3,X4)
    | esk4929_4(X1,X2,X3,X4)
    | esk4930_4(X1,X2,X3,X4) )).

cnf(i_0_19018,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9668_4(X1,X2,X3,X4) )).

cnf(i_0_19019,axiom,
    ( esk4922_4(X1,X2,X3,X4)
    | ~ esk4921_4(X1,X2,X3,X4) )).

cnf(i_0_19020,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6968_4(X1,X2,X3,X4) )).

cnf(i_0_19021,axiom,
    ( ~ esk3762_4(X1,X2,X3,X4)
    | esk3763_4(X1,X2,X3,X4) )).

cnf(i_0_19022,axiom,
    ( ~ esk6262_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6263_4(X1,X2,X3,X4) )).

cnf(i_0_19023,axiom,
    ( esk7501_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_19024,axiom,
    ( esk3432_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2825_4(X1,X2,X3,X4) )).

cnf(i_0_19025,axiom,
    ( ~ esk7979_4(X1,X2,X3,X4)
    | ~ esk8152_4(X1,X2,X3,X4) )).

cnf(i_0_19026,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4827_4(X1,X2,X3,X4) )).

cnf(i_0_19027,axiom,
    ( ~ esk4940_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_19028,axiom,
    ( esk9248_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk1316_0
    | p(X2) )).

cnf(i_0_19029,axiom,
    ( esk6239_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19030,axiom,
    ( esk3214_4(X1,X2,X3,X4)
    | ~ esk2409_4(X1,X2,X3,X4) )).

cnf(i_0_19031,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk9182_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk2_0
    | ~ p(X3) )).

cnf(i_0_19032,axiom,
    ( esk7296_4(X1,X2,X3,X4)
    | ~ esk7299_4(X1,X2,X3,X4) )).

cnf(i_0_19033,axiom,
    ( esk1614_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1551_4(X1,X2,X3,X4) )).

cnf(i_0_19034,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5102_4(X1,X2,X3,X4) )).

cnf(i_0_19035,axiom,
    ( ~ esk2436_4(X1,X2,X3,X4)
    | esk4536_4(X1,X2,X3,X4) )).

cnf(i_0_19036,axiom,
    ( esk3686_4(X1,X2,X3,X4)
    | ~ esk4978_4(X1,X2,X3,X4) )).

cnf(i_0_19037,axiom,
    ( ~ esk6290_4(X1,X2,X3,X4)
    | esk6408_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_19038,axiom,
    ( ~ esk3565_4(X1,X2,X3,X4)
    | esk3564_4(X1,X2,X3,X4) )).

cnf(i_0_19039,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6559_4(X1,X2,X3,X4) )).

cnf(i_0_19040,axiom,
    ( esk4139_4(X1,X2,X3,X4)
    | ~ esk4137_4(X1,X2,X3,X4) )).

cnf(i_0_19041,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5150_4(X1,X2,X3,X4) )).

cnf(i_0_19042,axiom,
    ( esk4406_4(X1,X2,X3,X4)
    | ~ esk4002_4(X1,X2,X3,X4) )).

cnf(i_0_19043,axiom,
    ( ~ esk9022_4(X1,X2,X3,X4)
    | esk9703_4(X1,X2,X3,X4) )).

cnf(i_0_19044,axiom,
    ( esk8868_4(X1,X2,X3,X4)
    | ~ esk7982_4(X1,X2,X3,X4) )).

cnf(i_0_19045,axiom,
    ( esk9527_4(X1,X2,X3,X4)
    | ~ esk9525_4(X1,X2,X3,X4) )).

cnf(i_0_19046,axiom,
    ( ~ esk796_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_19047,axiom,
    ( ~ esk3776_4(X1,X2,X3,X4)
    | esk3528_4(X1,X2,X3,X4) )).

cnf(i_0_19048,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | p(X1)
    | esk185_0
    | ~ esk8048_4(X1,X2,X3,X4) )).

cnf(i_0_19049,axiom,
    ( ~ esk8469_4(X1,X2,X3,X4)
    | esk479_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_19050,axiom,
    ( p(X3)
    | esk1275_0
    | p(X4)
    | ~ esk9218_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19051,axiom,
    ( esk3421_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3418_4(X1,X2,X3,X4) )).

cnf(i_0_19052,axiom,
    ( esk4291_4(X1,X2,X3,X4)
    | ~ esk4293_4(X1,X2,X3,X4)
    | esk4292_4(X1,X2,X3,X4) )).

cnf(i_0_19053,axiom,
    ( ~ esk2922_4(X1,X2,X3,X4)
    | esk1272_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_19054,axiom,
    ( ~ esk7756_4(X1,X2,X3,X4)
    | esk7957_4(X1,X2,X3,X4) )).

cnf(i_0_19055,axiom,
    ( esk9304_4(X1,X2,X3,X4)
    | ~ esk9305_4(X1,X2,X3,X4) )).

cnf(i_0_19056,axiom,
    ( ~ esk2869_4(X1,X2,X3,X4)
    | esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_19057,axiom,
    ( ~ p(X4)
    | esk1_0
    | ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_19058,axiom,
    ( ~ esk8514_4(X1,X2,X3,X4)
    | esk8589_4(X1,X2,X3,X4)
    | ~ esk8588_4(X1,X2,X3,X4) )).

cnf(i_0_19059,axiom,
    ( ~ esk6002_4(X1,X2,X3,X4)
    | esk6000_4(X1,X2,X3,X4)
    | esk6001_4(X1,X2,X3,X4) )).

cnf(i_0_19060,axiom,
    ( ~ esk1_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_19061,axiom,
    ( esk6479_4(X1,X2,X3,X4)
    | ~ esk6480_4(X1,X2,X3,X4)
    | esk6441_4(X1,X2,X3,X4) )).

cnf(i_0_19062,axiom,
    ( ~ esk4910_4(X1,X2,X3,X4)
    | esk2810_4(X1,X2,X3,X4) )).

cnf(i_0_19063,axiom,
    ( ~ esk3875_4(X1,X2,X3,X4)
    | ~ esk3780_4(X1,X2,X3,X4)
    | esk3971_4(X1,X2,X3,X4) )).

cnf(i_0_19064,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk2321_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_19065,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1691_4(X1,X2,X3,X4) )).

cnf(i_0_19066,axiom,
    ( ~ p(X4)
    | ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk182_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19067,axiom,
    ( esk6558_4(X1,X2,X3,X4)
    | esk6559_4(X1,X2,X3,X4)
    | ~ esk6560_4(X1,X2,X3,X4) )).

cnf(i_0_19068,axiom,
    ( p(X2)
    | p(X3)
    | esk2022_4(X1,X2,X3,X4)
    | ~ esk393_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_19069,axiom,
    ( ~ esk6516_4(X1,X2,X3,X4)
    | esk6183_4(X1,X2,X3,X4) )).

cnf(i_0_19070,axiom,
    ( ~ esk3584_4(X1,X2,X3,X4)
    | esk3585_4(X1,X2,X3,X4) )).

cnf(i_0_19071,axiom,
    ( ~ esk1958_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk349_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_19072,axiom,
    ( ~ esk5681_4(X1,X2,X3,X4)
    | esk5682_4(X1,X2,X3,X4)
    | ~ esk7066_4(X1,X2,X3,X4) )).

cnf(i_0_19073,axiom,
    ( esk3181_4(X1,X2,X3,X4)
    | esk3180_4(X1,X2,X3,X4)
    | ~ esk3182_4(X1,X2,X3,X4) )).

cnf(i_0_19074,axiom,
    ( ~ esk7752_4(X1,X2,X3,X4)
    | esk9108_4(X1,X2,X3,X4) )).

cnf(i_0_19075,axiom,
    ( p(X3)
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1290_0 )).

cnf(i_0_19076,axiom,
    ( ~ esk6491_4(X1,X2,X3,X4)
    | esk6492_4(X1,X2,X3,X4) )).

cnf(i_0_19077,axiom,
    ( ~ p(X4)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | esk414_0 )).

cnf(i_0_19078,axiom,
    ( esk9744_4(X1,X2,X3,X4)
    | ~ esk9743_4(X1,X2,X3,X4) )).

cnf(i_0_19079,axiom,
    ( ~ esk8399_4(X1,X2,X3,X4)
    | esk8400_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_19080,axiom,
    ( ~ esk2387_4(X1,X2,X3,X4)
    | esk2386_4(X1,X2,X3,X4)
    | esk2385_4(X1,X2,X3,X4) )).

cnf(i_0_19081,axiom,
    ( esk4007_4(X1,X2,X3,X4)
    | ~ esk4075_4(X1,X2,X3,X4) )).

cnf(i_0_19082,axiom,
    ( ~ esk2956_4(X1,X2,X3,X4)
    | p(X1)
    | esk1323_0
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_19083,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7213_4(X1,X2,X3,X4) )).

cnf(i_0_19084,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2237_4(X1,X2,X3,X4)
    | esk2275_4(X1,X2,X3,X4) )).

cnf(i_0_19085,axiom,
    ( esk3732_4(X1,X2,X3,X4)
    | ~ esk5051_4(X1,X2,X3,X4)
    | ~ esk3731_4(X1,X2,X3,X4) )).

cnf(i_0_19086,axiom,
    ( ~ esk3052_4(X1,X2,X3,X4)
    | esk2354_4(X1,X2,X3,X4) )).

cnf(i_0_19087,axiom,
    ( esk7612_4(X1,X2,X3,X4)
    | ~ esk6979_4(X1,X2,X3,X4) )).

cnf(i_0_19088,axiom,
    ( ~ esk2825_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk2824_4(X1,X2,X3,X4) )).

cnf(i_0_19089,axiom,
    ( ~ esk8655_4(X1,X2,X3,X4)
    | esk8653_4(X1,X2,X3,X4)
    | esk8654_4(X1,X2,X3,X4) )).

cnf(i_0_19090,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4536_4(X1,X2,X3,X4)
    | esk3981_4(X1,X2,X3,X4) )).

cnf(i_0_19091,axiom,
    ( ~ esk3866_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19092,axiom,
    ( ~ esk2351_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_19093,axiom,
    ( ~ esk4326_4(X1,X2,X3,X4)
    | esk4328_4(X1,X2,X3,X4) )).

cnf(i_0_19094,axiom,
    ( ~ esk7771_4(X1,X2,X3,X4)
    | esk7782_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_19095,axiom,
    ( esk5777_4(X1,X2,X3,X4)
    | ~ esk5776_4(X1,X2,X3,X4) )).

cnf(i_0_19096,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | ~ esk2479_4(X1,X2,X3,X4) )).

cnf(i_0_19097,axiom,
    ( ~ esk2813_4(X1,X2,X3,X4)
    | p(X1)
    | esk995_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_19098,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk539_0
    | p(X3)
    | ~ p(X2)
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_19099,axiom,
    ( esk3693_4(X1,X2,X3,X4)
    | ~ esk3694_4(X1,X2,X3,X4)
    | esk3692_4(X1,X2,X3,X4) )).

cnf(i_0_19100,axiom,
    ( ~ esk7219_4(X1,X2,X3,X4)
    | esk7220_4(X1,X2,X3,X4) )).

cnf(i_0_19101,axiom,
    ( ~ esk6092_4(X1,X2,X3,X4)
    | esk6094_4(X1,X2,X3,X4) )).

cnf(i_0_19102,axiom,
    ( esk4458_4(X1,X2,X3,X4)
    | ~ esk4459_4(X1,X2,X3,X4) )).

cnf(i_0_19103,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1_0 )).

cnf(i_0_19104,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9672_4(X1,X2,X3,X4) )).

cnf(i_0_19105,axiom,
    ( esk2388_4(X1,X2,X3,X4)
    | ~ esk2389_4(X1,X2,X3,X4) )).

cnf(i_0_19106,axiom,
    ( ~ esk4550_4(X1,X2,X3,X4)
    | esk3506_4(X1,X2,X3,X4) )).

cnf(i_0_19107,axiom,
    ( esk6178_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_19108,axiom,
    ( p(X2)
    | esk2807_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk949_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_19109,axiom,
    ( ~ esk1472_4(X1,X2,X3,X4)
    | esk1470_4(X1,X2,X3,X4)
    | esk1471_4(X1,X2,X3,X4) )).

cnf(i_0_19110,axiom,
    ( esk1665_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_19111,axiom,
    ( ~ esk6802_4(X1,X2,X3,X4)
    | esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_19112,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk1542_4(X1,X2,X3,X4) )).

cnf(i_0_19113,axiom,
    ( ~ p(X2)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1125_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_19114,axiom,
    ( esk1640_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_19115,axiom,
    ( ~ esk3921_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_19116,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1172_0
    | esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_19117,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | esk1478_4(X1,X2,X3,X4)
    | ~ esk70_0
    | p(X4) )).

cnf(i_0_19118,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6012_4(X1,X2,X3,X4) )).

cnf(i_0_19119,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk9194_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1_0 )).

cnf(i_0_19120,axiom,
    ( esk2533_4(X1,X2,X3,X4)
    | ~ esk1991_4(X1,X2,X3,X4) )).

cnf(i_0_19121,axiom,
    ( ~ esk8156_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_19122,axiom,
    ( ~ esk6943_4(X1,X2,X3,X4)
    | esk6942_4(X1,X2,X3,X4) )).

cnf(i_0_19123,axiom,
    ( ~ esk6699_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_19124,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3631_4(X1,X2,X3,X4) )).

cnf(i_0_19125,axiom,
    ( ~ esk5400_4(X1,X2,X3,X4)
    | esk4657_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_19126,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk8617_4(X1,X2,X3,X4)
    | p(X1)
    | esk530_0 )).

cnf(i_0_19127,axiom,
    ( esk7340_4(X1,X2,X3,X4)
    | ~ esk7338_4(X1,X2,X3,X4) )).

cnf(i_0_19128,axiom,
    ( ~ esk1987_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X4)
    | esk366_0
    | ~ p(X2) )).

cnf(i_0_19129,axiom,
    ( ~ esk4814_4(X1,X2,X3,X4)
    | esk4815_4(X1,X2,X3,X4)
    | ~ esk4615_4(X1,X2,X3,X4) )).

cnf(i_0_19130,axiom,
    ( ~ esk7615_4(X1,X2,X3,X4)
    | esk7616_4(X1,X2,X3,X4) )).

cnf(i_0_19131,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3868_4(X1,X2,X3,X4) )).

cnf(i_0_19132,axiom,
    ( ~ esk4040_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19133,axiom,
    ( esk4993_4(X1,X2,X3,X4)
    | ~ esk3786_4(X1,X2,X3,X4) )).

cnf(i_0_19134,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk831_0
    | p(X3)
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_19135,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ esk9182_4(X1,X2,X3,X4)
    | esk1158_0 )).

cnf(i_0_19136,axiom,
    ( esk7552_4(X1,X2,X3,X4)
    | ~ esk7555_4(X1,X2,X3,X4) )).

cnf(i_0_19137,axiom,
    ( ~ esk1479_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4)
    | esk1562_4(X1,X2,X3,X4) )).

cnf(i_0_19138,axiom,
    ( ~ esk2514_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19139,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2202_4(X1,X2,X3,X4)
    | esk2394_4(X1,X2,X3,X4) )).

cnf(i_0_19140,axiom,
    ( esk1940_4(X1,X2,X3,X4)
    | ~ esk1941_4(X1,X2,X3,X4) )).

cnf(i_0_19141,axiom,
    ( esk8276_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_19142,axiom,
    ( ~ esk3325_4(X1,X2,X3,X4)
    | esk3326_4(X1,X2,X3,X4) )).

cnf(i_0_19143,axiom,
    ( esk6208_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19144,axiom,
    ( ~ esk7248_4(X1,X2,X3,X4)
    | esk7247_4(X1,X2,X3,X4)
    | esk7246_4(X1,X2,X3,X4) )).

cnf(i_0_19145,axiom,
    ( p(X3)
    | ~ esk237_0
    | esk8054_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_19146,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3173_4(X1,X2,X3,X4) )).

cnf(i_0_19147,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | esk421_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19148,axiom,
    ( esk3710_4(X1,X2,X3,X4)
    | ~ esk5006_4(X1,X2,X3,X4) )).

cnf(i_0_19149,axiom,
    ( p(X4)
    | esk1102_0
    | p(X1)
    | p(X3)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_19150,axiom,
    ( ~ esk3714_4(X1,X2,X3,X4)
    | esk3712_4(X1,X2,X3,X4)
    | esk3713_4(X1,X2,X3,X4) )).

cnf(i_0_19151,axiom,
    ( esk1229_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_19152,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1899_4(X1,X2,X3,X4) )).

cnf(i_0_19153,axiom,
    ( ~ esk6668_4(X1,X2,X3,X4)
    | esk7489_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_19154,axiom,
    ( esk3817_4(X1,X2,X3,X4)
    | ~ esk3789_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_19155,axiom,
    ( esk2434_4(X1,X2,X3,X4)
    | ~ esk4534_4(X1,X2,X3,X4) )).

cnf(i_0_19156,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9262_4(X1,X2,X3,X4) )).

cnf(i_0_19157,axiom,
    ( ~ esk3368_4(X1,X2,X3,X4)
    | esk3370_4(X1,X2,X3,X4) )).

cnf(i_0_19158,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ esk1454_4(X1,X2,X3,X4) )).

cnf(i_0_19159,axiom,
    ( ~ esk6999_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk6871_4(X1,X2,X3,X4) )).

cnf(i_0_19160,axiom,
    ( esk8917_4(X1,X2,X3,X4)
    | ~ esk9104_4(X1,X2,X3,X4)
    | ~ esk8916_4(X1,X2,X3,X4) )).

cnf(i_0_19161,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk1018_0
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_19162,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6082_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_19163,axiom,
    ( ~ esk2961_4(X1,X2,X3,X4)
    | esk2962_4(X1,X2,X3,X4) )).

cnf(i_0_19164,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3210_4(X1,X2,X3,X4)
    | esk3213_4(X1,X2,X3,X4) )).

cnf(i_0_19165,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2329_4(X1,X2,X3,X4) )).

cnf(i_0_19166,axiom,
    ( ~ esk6964_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_19167,axiom,
    ( ~ esk8018_4(X1,X2,X3,X4)
    | esk8020_4(X1,X2,X3,X4) )).

cnf(i_0_19168,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8980_4(X1,X2,X3,X4) )).

cnf(i_0_19169,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9059_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_19170,axiom,
    ( ~ esk6080_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_19171,axiom,
    ( ~ esk8896_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_19172,axiom,
    ( esk3226_4(X1,X2,X3,X4)
    | ~ esk3232_4(X1,X2,X3,X4) )).

cnf(i_0_19173,axiom,
    ( esk1756_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk216_0
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_19174,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7361_4(X1,X2,X3,X4) )).

cnf(i_0_19175,axiom,
    ( esk4510_4(X1,X2,X3,X4)
    | ~ esk4508_4(X1,X2,X3,X4) )).

cnf(i_0_19176,axiom,
    ( ~ esk2570_4(X1,X2,X3,X4)
    | esk1986_4(X1,X2,X3,X4) )).

cnf(i_0_19177,axiom,
    ( esk6939_4(X1,X2,X3,X4)
    | ~ esk7508_4(X1,X2,X3,X4)
    | ~ esk6938_4(X1,X2,X3,X4) )).

cnf(i_0_19178,axiom,
    ( ~ esk8501_4(X1,X2,X3,X4)
    | ~ esk8539_4(X1,X2,X3,X4)
    | ~ esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_19179,axiom,
    ( esk4090_4(X1,X2,X3,X4)
    | ~ esk4632_4(X1,X2,X3,X4) )).

cnf(i_0_19180,axiom,
    ( ~ esk6863_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_19181,axiom,
    ( esk9141_4(X1,X2,X3,X4)
    | ~ esk9147_4(X1,X2,X3,X4) )).

cnf(i_0_19182,axiom,
    ( esk4367_4(X1,X2,X3,X4)
    | ~ esk4365_4(X1,X2,X3,X4) )).

cnf(i_0_19183,axiom,
    ( ~ esk8300_4(X1,X2,X3,X4)
    | esk8302_4(X1,X2,X3,X4) )).

cnf(i_0_19184,axiom,
    ( esk875_0
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_19185,axiom,
    ( ~ esk2827_4(X1,X2,X3,X4)
    | esk1708_4(X1,X2,X3,X4) )).

cnf(i_0_19186,axiom,
    ( esk1814_4(X1,X2,X3,X4)
    | ~ esk1815_4(X1,X2,X3,X4) )).

cnf(i_0_19187,axiom,
    ( esk8392_4(X1,X2,X3,X4)
    | ~ esk8616_4(X1,X2,X3,X4) )).

cnf(i_0_19188,axiom,
    ( esk6693_4(X1,X2,X3,X4)
    | esk6369_4(X1,X2,X3,X4) )).

cnf(i_0_19189,axiom,
    ( ~ p(X2)
    | esk8318_4(X1,X2,X3,X4)
    | ~ esk405_0
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_19190,axiom,
    ( ~ esk6437_4(X1,X2,X3,X4)
    | esk6402_4(X1,X2,X3,X4) )).

cnf(i_0_19191,axiom,
    ( ~ esk3957_4(X1,X2,X3,X4)
    | esk3940_4(X1,X2,X3,X4) )).

cnf(i_0_19192,axiom,
    ( ~ esk8413_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_19193,axiom,
    ( ~ p(X4)
    | ~ esk8054_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk2_0
    | ~ p(X2) )).

cnf(i_0_19194,axiom,
    ( ~ esk8762_4(X1,X2,X3,X4)
    | esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_19195,axiom,
    ( ~ p(X1)
    | ~ esk375_0
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_19196,axiom,
    ( esk7210_4(X1,X2,X3,X4)
    | ~ esk7209_4(X1,X2,X3,X4)
    | ~ esk7196_4(X1,X2,X3,X4) )).

cnf(i_0_19197,axiom,
    ( p(X3)
    | ~ esk1274_0
    | p(X4)
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19198,axiom,
    ( ~ p(X4)
    | esk1_0
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_19199,axiom,
    ( ~ esk9170_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk1089_0 )).

cnf(i_0_19200,axiom,
    ( ~ esk2369_4(X1,X2,X3,X4)
    | esk2368_4(X1,X2,X3,X4) )).

cnf(i_0_19201,axiom,
    ( esk337_0
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | ~ esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_19202,axiom,
    ( esk7491_4(X1,X2,X3,X4)
    | ~ esk6668_4(X1,X2,X3,X4)
    | esk7492_4(X1,X2,X3,X4) )).

cnf(i_0_19203,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk152_0
    | ~ p(X1)
    | p(X4)
    | esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_19204,axiom,
    ( esk8542_4(X1,X2,X3,X4)
    | esk7670_4(X1,X2,X3,X4) )).

cnf(i_0_19205,axiom,
    ( esk6523_4(X1,X2,X3,X4)
    | ~ esk6524_4(X1,X2,X3,X4)
    | esk6522_4(X1,X2,X3,X4) )).

cnf(i_0_19206,axiom,
    ( ~ p(X1)
    | ~ esk476_0
    | p(X2)
    | ~ p(X4)
    | esk2173_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_19207,axiom,
    ( ~ esk6627_4(X1,X2,X3,X4)
    | ~ esk6362_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_19208,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk3265_4(X1,X2,X3,X4) )).

cnf(i_0_19209,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4385_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19210,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk57_0
    | esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_19211,axiom,
    ( esk3613_4(X1,X2,X3,X4)
    | ~ esk3612_4(X1,X2,X3,X4) )).

cnf(i_0_19212,axiom,
    ( ~ esk2578_4(X1,X2,X3,X4)
    | esk1354_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_19213,axiom,
    ( ~ esk6073_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4)
    | esk7484_4(X1,X2,X3,X4) )).

cnf(i_0_19214,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk8052_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19215,axiom,
    ( esk4657_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_19216,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5130_4(X1,X2,X3,X4) )).

cnf(i_0_19217,axiom,
    ( ~ esk8950_4(X1,X2,X3,X4)
    | esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_19218,axiom,
    ( ~ p(X2)
    | ~ esk1201_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_19219,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9298_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_19220,axiom,
    ( ~ esk4978_4(X1,X2,X3,X4)
    | esk7078_4(X1,X2,X3,X4) )).

cnf(i_0_19221,axiom,
    ( ~ esk4548_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4)
    | esk4088_4(X1,X2,X3,X4) )).

cnf(i_0_19222,axiom,
    ( esk2918_4(X1,X2,X3,X4)
    | ~ esk1553_4(X1,X2,X3,X4) )).

cnf(i_0_19223,axiom,
    ( ~ esk3200_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_19224,axiom,
    ( esk8032_4(X1,X2,X3,X4)
    | ~ esk8030_4(X1,X2,X3,X4) )).

cnf(i_0_19225,axiom,
    ( ~ esk5585_4(X1,X2,X3,X4)
    | esk5952_4(X1,X2,X3,X4) )).

cnf(i_0_19226,axiom,
    ( ~ esk9462_4(X1,X2,X3,X4)
    | esk9459_4(X1,X2,X3,X4) )).

cnf(i_0_19227,axiom,
    ( ~ esk4071_4(X1,X2,X3,X4)
    | esk4073_4(X1,X2,X3,X4) )).

cnf(i_0_19228,axiom,
    ( ~ esk5877_4(X1,X2,X3,X4)
    | esk5878_4(X1,X2,X3,X4)
    | ~ esk6517_4(X1,X2,X3,X4) )).

cnf(i_0_19229,axiom,
    ( esk2520_4(X1,X2,X3,X4)
    | ~ esk2518_4(X1,X2,X3,X4) )).

cnf(i_0_19230,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8554_4(X1,X2,X3,X4) )).

cnf(i_0_19231,axiom,
    ( esk7334_4(X1,X2,X3,X4)
    | ~ esk7328_4(X1,X2,X3,X4)
    | ~ esk7333_4(X1,X2,X3,X4) )).

cnf(i_0_19232,axiom,
    ( esk5662_4(X1,X2,X3,X4)
    | ~ esk5732_4(X1,X2,X3,X4) )).

cnf(i_0_19233,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk3988_4(X1,X2,X3,X4) )).

cnf(i_0_19234,axiom,
    ( ~ esk4628_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19235,axiom,
    ( esk8510_4(X1,X2,X3,X4)
    | ~ esk7675_4(X1,X2,X3,X4) )).

cnf(i_0_19236,axiom,
    ( esk6808_4(X1,X2,X3,X4)
    | ~ esk6806_4(X1,X2,X3,X4) )).

cnf(i_0_19237,axiom,
    ( ~ esk1621_4(X1,X2,X3,X4)
    | esk1623_4(X1,X2,X3,X4) )).

cnf(i_0_19238,axiom,
    ( ~ esk8127_4(X1,X2,X3,X4)
    | esk8129_4(X1,X2,X3,X4) )).

cnf(i_0_19239,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6934_4(X1,X2,X3,X4) )).

cnf(i_0_19240,axiom,
    ( ~ esk6990_4(X1,X2,X3,X4)
    | esk6941_4(X1,X2,X3,X4) )).

cnf(i_0_19241,axiom,
    ( esk5821_4(X1,X2,X3,X4)
    | ~ esk5820_4(X1,X2,X3,X4) )).

cnf(i_0_19242,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk940_0
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_19243,axiom,
    ( ~ esk4094_4(X1,X2,X3,X4)
    | esk1994_4(X1,X2,X3,X4) )).

cnf(i_0_19244,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk1860_4(X1,X2,X3,X4)
    | esk279_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_19245,axiom,
    ( ~ p(X1)
    | ~ esk1860_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk280_0
    | p(X2) )).

cnf(i_0_19246,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7338_4(X1,X2,X3,X4) )).

cnf(i_0_19247,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk4739_4(X1,X2,X3,X4)
    | ~ esk4738_4(X1,X2,X3,X4) )).

cnf(i_0_19248,axiom,
    ( esk1958_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk352_0
    | ~ p(X4) )).

cnf(i_0_19249,axiom,
    ( esk8893_4(X1,X2,X3,X4)
    | ~ esk8895_4(X1,X2,X3,X4)
    | esk8894_4(X1,X2,X3,X4) )).

cnf(i_0_19250,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk296_0 )).

cnf(i_0_19251,axiom,
    ( ~ esk7843_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_19252,axiom,
    ( esk7450_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk7449_4(X1,X2,X3,X4) )).

cnf(i_0_19253,axiom,
    ( ~ esk7817_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4)
    | ~ esk9115_4(X1,X2,X3,X4) )).

cnf(i_0_19254,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk848_0
    | esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_19255,axiom,
    ( ~ esk7508_4(X1,X2,X3,X4)
    | esk7506_4(X1,X2,X3,X4)
    | esk7507_4(X1,X2,X3,X4) )).

cnf(i_0_19256,axiom,
    ( esk6464_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6463_4(X1,X2,X3,X4) )).

cnf(i_0_19257,axiom,
    ( esk8873_4(X1,X2,X3,X4)
    | ~ esk8354_4(X1,X2,X3,X4) )).

cnf(i_0_19258,axiom,
    ( ~ esk2764_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_19259,axiom,
    ( ~ esk4418_4(X1,X2,X3,X4)
    | esk4183_4(X1,X2,X3,X4) )).

cnf(i_0_19260,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | ~ esk2208_4(X1,X2,X3,X4) )).

cnf(i_0_19261,axiom,
    ( ~ esk8847_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | esk8890_4(X1,X2,X3,X4) )).

cnf(i_0_19262,axiom,
    ( ~ esk3408_4(X1,X2,X3,X4)
    | esk3410_4(X1,X2,X3,X4) )).

cnf(i_0_19263,axiom,
    ( ~ esk8718_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8613_4(X1,X2,X3,X4) )).

cnf(i_0_19264,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk2429_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk645_0 )).

cnf(i_0_19265,axiom,
    ( ~ esk6663_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_19266,axiom,
    ( ~ esk458_0
    | ~ p(X2)
    | p(X1)
    | esk8391_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_19267,axiom,
    ( ~ esk2452_4(X1,X2,X3,X4)
    | esk2912_4(X1,X2,X3,X4) )).

cnf(i_0_19268,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4)
    | esk7640_4(X1,X2,X3,X4) )).

cnf(i_0_19269,axiom,
    ( esk4832_4(X1,X2,X3,X4)
    | ~ esk5481_4(X1,X2,X3,X4)
    | ~ esk4831_4(X1,X2,X3,X4) )).

cnf(i_0_19270,axiom,
    ( esk5260_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19271,axiom,
    ( ~ esk6995_4(X1,X2,X3,X4)
    | ~ esk7517_4(X1,X2,X3,X4)
    | esk7518_4(X1,X2,X3,X4) )).

cnf(i_0_19272,axiom,
    ( ~ esk8866_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_19273,axiom,
    ( esk1842_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk263_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_19274,axiom,
    ( ~ esk3946_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_19275,axiom,
    ( ~ esk8547_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | esk499_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_19276,axiom,
    ( ~ esk9556_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_19277,axiom,
    ( p(X1)
    | esk2791_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1_0
    | p(X4)
    | p(X3) )).

cnf(i_0_19278,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk1314_0
    | ~ p(X4)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_19279,axiom,
    ( ~ esk2838_4(X1,X2,X3,X4)
    | esk2840_4(X1,X2,X3,X4) )).

cnf(i_0_19280,axiom,
    ( esk5393_4(X1,X2,X3,X4)
    | ~ esk5396_4(X1,X2,X3,X4) )).

cnf(i_0_19281,axiom,
    ( esk1817_4(X1,X2,X3,X4)
    | ~ esk1816_4(X1,X2,X3,X4) )).

cnf(i_0_19282,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ esk8735_4(X1,X2,X3,X4)
    | esk708_0 )).

cnf(i_0_19283,axiom,
    ( ~ esk5263_4(X1,X2,X3,X4)
    | esk5262_4(X1,X2,X3,X4) )).

cnf(i_0_19284,axiom,
    ( ~ p(X3)
    | esk5_0
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_19285,axiom,
    ( ~ p(X3)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk36_0
    | ~ p(X4) )).

cnf(i_0_19286,axiom,
    ( esk9224_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_19287,axiom,
    ( ~ esk6416_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19288,axiom,
    ( ~ esk9526_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_19289,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk8998_4(X1,X2,X3,X4) )).

cnf(i_0_19290,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk263_0
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_19291,axiom,
    ( esk3151_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_19292,axiom,
    ( esk9459_4(X1,X2,X3,X4)
    | ~ esk9458_4(X1,X2,X3,X4) )).

cnf(i_0_19293,axiom,
    ( ~ p(X2)
    | ~ esk181_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_19294,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | esk1746_4(X1,X2,X3,X4)
    | ~ esk141_0
    | p(X4) )).

cnf(i_0_19295,axiom,
    ( ~ esk6405_4(X1,X2,X3,X4)
    | esk6407_4(X1,X2,X3,X4) )).

cnf(i_0_19296,axiom,
    ( esk1656_4(X1,X2,X3,X4)
    | ~ esk1654_4(X1,X2,X3,X4) )).

cnf(i_0_19297,axiom,
    ( ~ esk8183_4(X1,X2,X3,X4)
    | esk8316_4(X1,X2,X3,X4) )).

cnf(i_0_19298,axiom,
    ( esk3984_4(X1,X2,X3,X4)
    | ~ esk4152_4(X1,X2,X3,X4) )).

cnf(i_0_19299,axiom,
    ( ~ p(X4)
    | esk2872_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1082_0 )).

cnf(i_0_19300,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk487_0
    | ~ p(X4)
    | esk2212_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_19301,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk9164_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X4) )).

cnf(i_0_19302,axiom,
    ( p(X3)
    | esk228_0
    | p(X4)
    | p(X1)
    | ~ esk8054_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_19303,axiom,
    ( esk7819_4(X1,X2,X3,X4)
    | ~ esk7818_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_19304,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | esk1950_4(X1,X2,X3,X4) )).

cnf(i_0_19305,axiom,
    ( esk7062_4(X1,X2,X3,X4)
    | ~ esk7640_4(X1,X2,X3,X4)
    | esk7641_4(X1,X2,X3,X4) )).

cnf(i_0_19306,axiom,
    ( esk7348_4(X1,X2,X3,X4)
    | ~ esk7351_4(X1,X2,X3,X4) )).

cnf(i_0_19307,axiom,
    ( ~ esk4120_4(X1,X2,X3,X4)
    | esk6220_4(X1,X2,X3,X4) )).

cnf(i_0_19308,axiom,
    ( esk8102_4(X1,X2,X3,X4)
    | ~ esk8103_4(X1,X2,X3,X4) )).

cnf(i_0_19309,axiom,
    ( esk6467_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19310,axiom,
    ( ~ esk360_0
    | ~ p(X1)
    | esk8254_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_19311,axiom,
    ( ~ esk7743_4(X1,X2,X3,X4)
    | esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_19312,axiom,
    ( esk2000_4(X1,X2,X3,X4)
    | esk1999_4(X1,X2,X3,X4)
    | ~ esk2001_4(X1,X2,X3,X4) )).

cnf(i_0_19313,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk751_0 )).

cnf(i_0_19314,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3319_4(X1,X2,X3,X4) )).

cnf(i_0_19315,axiom,
    ( ~ esk354_0
    | ~ p(X2)
    | p(X4)
    | esk8254_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_19316,axiom,
    ( esk2185_4(X1,X2,X3,X4)
    | ~ esk2186_4(X1,X2,X3,X4)
    | esk2184_4(X1,X2,X3,X4) )).

cnf(i_0_19317,axiom,
    ( ~ esk8309_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_19318,axiom,
    ( p(X1)
    | p(X4)
    | esk8721_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk607_0
    | ~ p(X2) )).

cnf(i_0_19319,axiom,
    ( esk8873_4(X1,X2,X3,X4)
    | ~ esk8872_4(X1,X2,X3,X4) )).

cnf(i_0_19320,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | ~ esk6767_4(X1,X2,X3,X4) )).

cnf(i_0_19321,axiom,
    ( ~ esk2026_4(X1,X2,X3,X4)
    | esk2028_4(X1,X2,X3,X4) )).

cnf(i_0_19322,axiom,
    ( ~ esk6848_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk7615_4(X1,X2,X3,X4) )).

cnf(i_0_19323,axiom,
    ( ~ esk4377_4(X1,X2,X3,X4)
    | esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_19324,axiom,
    ( ~ esk6831_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_19325,axiom,
    ( esk5039_4(X1,X2,X3,X4)
    | ~ esk5038_4(X1,X2,X3,X4) )).

cnf(i_0_19326,axiom,
    ( ~ esk9397_4(X1,X2,X3,X4)
    | esk9396_4(X1,X2,X3,X4) )).

cnf(i_0_19327,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk481_0
    | esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_19328,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2768_4(X1,X2,X3,X4) )).

cnf(i_0_19329,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_19330,axiom,
    ( esk7520_4(X1,X2,X3,X4)
    | ~ esk7523_4(X1,X2,X3,X4) )).

cnf(i_0_19331,axiom,
    ( ~ esk6631_4(X1,X2,X3,X4)
    | esk6565_4(X1,X2,X3,X4) )).

cnf(i_0_19332,axiom,
    ( esk2612_4(X1,X2,X3,X4)
    | ~ esk2611_4(X1,X2,X3,X4)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_19333,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | esk1249_0
    | ~ esk9214_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_19334,axiom,
    ( ~ esk1440_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk20_0
    | p(X1)
    | p(X2) )).

cnf(i_0_19335,axiom,
    ( esk1510_4(X1,X2,X3,X4)
    | ~ esk1508_4(X1,X2,X3,X4) )).

cnf(i_0_19336,axiom,
    ( esk6619_4(X1,X2,X3,X4)
    | ~ esk4519_4(X1,X2,X3,X4) )).

cnf(i_0_19337,axiom,
    ( ~ esk5430_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_19338,axiom,
    ( esk6666_4(X1,X2,X3,X4)
    | ~ esk6665_4(X1,X2,X3,X4) )).

cnf(i_0_19339,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk30_0
    | esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_19340,axiom,
    ( ~ esk5492_4(X1,X2,X3,X4)
    | esk5493_4(X1,X2,X3,X4) )).

cnf(i_0_19341,axiom,
    ( ~ esk4993_4(X1,X2,X3,X4)
    | esk3700_4(X1,X2,X3,X4)
    | ~ esk3699_4(X1,X2,X3,X4) )).

cnf(i_0_19342,axiom,
    ( esk8061_4(X1,X2,X3,X4)
    | esk9200_4(X1,X2,X3,X4) )).

cnf(i_0_19343,axiom,
    ( ~ esk9636_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_19344,axiom,
    ( esk8616_4(X1,X2,X3,X4)
    | ~ esk8165_4(X1,X2,X3,X4) )).

cnf(i_0_19345,axiom,
    ( ~ esk9057_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_19346,axiom,
    ( esk5737_4(X1,X2,X3,X4)
    | ~ esk5735_4(X1,X2,X3,X4) )).

cnf(i_0_19347,axiom,
    ( ~ esk6933_4(X1,X2,X3,X4)
    | esk6931_4(X1,X2,X3,X4)
    | esk6932_4(X1,X2,X3,X4) )).

cnf(i_0_19348,axiom,
    ( ~ esk3314_4(X1,X2,X3,X4)
    | esk3312_4(X1,X2,X3,X4)
    | esk3313_4(X1,X2,X3,X4) )).

cnf(i_0_19349,axiom,
    ( ~ esk8136_4(X1,X2,X3,X4)
    | esk8133_4(X1,X2,X3,X4) )).

cnf(i_0_19350,axiom,
    ( ~ esk3357_4(X1,X2,X3,X4)
    | esk3354_4(X1,X2,X3,X4) )).

cnf(i_0_19351,axiom,
    ( esk3350_4(X1,X2,X3,X4)
    | ~ esk2761_4(X1,X2,X3,X4) )).

cnf(i_0_19352,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7881_4(X1,X2,X3,X4) )).

cnf(i_0_19353,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1273_0
    | ~ p(X4)
    | ~ esk2922_4(X1,X2,X3,X4) )).

cnf(i_0_19354,axiom,
    ( ~ esk1643_4(X1,X2,X3,X4)
    | esk114_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_19355,axiom,
    ( esk9509_4(X1,X2,X3,X4)
    | ~ esk9511_4(X1,X2,X3,X4)
    | esk9510_4(X1,X2,X3,X4) )).

cnf(i_0_19356,axiom,
    ( ~ esk2523_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_19357,axiom,
    ( esk9164_4(X1,X2,X3,X4)
    | ~ esk7876_4(X1,X2,X3,X4) )).

cnf(i_0_19358,axiom,
    ( esk5220_4(X1,X2,X3,X4)
    | esk5219_4(X1,X2,X3,X4)
    | ~ esk5221_4(X1,X2,X3,X4) )).

cnf(i_0_19359,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8420_4(X1,X2,X3,X4) )).

cnf(i_0_19360,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk7939_4(X1,X2,X3,X4)
    | esk118_0 )).

cnf(i_0_19361,axiom,
    ( esk7995_4(X1,X2,X3,X4)
    | ~ esk8167_4(X1,X2,X3,X4) )).

cnf(i_0_19362,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | esk2573_4(X1,X2,X3,X4) )).

cnf(i_0_19363,axiom,
    ( ~ esk4002_4(X1,X2,X3,X4)
    | esk4003_4(X1,X2,X3,X4) )).

cnf(i_0_19364,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6276_4(X1,X2,X3,X4) )).

cnf(i_0_19365,axiom,
    ( esk2805_4(X1,X2,X3,X4)
    | ~ esk2555_4(X1,X2,X3,X4) )).

cnf(i_0_19366,axiom,
    ( esk9507_4(X1,X2,X3,X4)
    | ~ esk9505_4(X1,X2,X3,X4) )).

cnf(i_0_19367,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk9107_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk987_0
    | p(X3) )).

cnf(i_0_19368,axiom,
    ( p(X3)
    | p(X2)
    | esk897_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_19369,axiom,
    ( ~ esk6823_4(X1,X2,X3,X4)
    | esk6824_4(X1,X2,X3,X4) )).

cnf(i_0_19370,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4808_4(X1,X2,X3,X4) )).

cnf(i_0_19371,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6459_4(X1,X2,X3,X4) )).

cnf(i_0_19372,axiom,
    ( esk938_0
    | p(X1)
    | ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_19373,axiom,
    ( esk5497_4(X1,X2,X3,X4)
    | ~ esk4820_4(X1,X2,X3,X4) )).

cnf(i_0_19374,axiom,
    ( ~ esk227_0
    | p(X4)
    | ~ p(X3)
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_19375,axiom,
    ( ~ esk7088_4(X1,X2,X3,X4)
    | esk5702_4(X1,X2,X3,X4)
    | ~ esk5701_4(X1,X2,X3,X4) )).

cnf(i_0_19376,axiom,
    ( esk3851_4(X1,X2,X3,X4)
    | ~ esk3487_4(X1,X2,X3,X4) )).

cnf(i_0_19377,axiom,
    ( esk7328_4(X1,X2,X3,X4)
    | ~ esk7327_4(X1,X2,X3,X4) )).

cnf(i_0_19378,axiom,
    ( ~ esk7072_4(X1,X2,X3,X4)
    | esk4972_4(X1,X2,X3,X4) )).

cnf(i_0_19379,axiom,
    ( ~ esk8815_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_19380,axiom,
    ( ~ esk1556_4(X1,X2,X3,X4)
    | esk1557_4(X1,X2,X3,X4)
    | ~ esk2922_4(X1,X2,X3,X4) )).

cnf(i_0_19381,axiom,
    ( p(X1)
    | esk484_0
    | ~ p(X4)
    | ~ esk8508_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_19382,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1172_0
    | ~ esk2886_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_19383,axiom,
    ( esk3748_4(X1,X2,X3,X4)
    | ~ esk3750_4(X1,X2,X3,X4)
    | esk3749_4(X1,X2,X3,X4) )).

cnf(i_0_19384,axiom,
    ( esk5331_4(X1,X2,X3,X4)
    | ~ esk5333_4(X1,X2,X3,X4)
    | esk5332_4(X1,X2,X3,X4) )).

cnf(i_0_19385,axiom,
    ( ~ p(X3)
    | esk1_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8713_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_19386,axiom,
    ( ~ esk8874_4(X1,X2,X3,X4)
    | esk8808_4(X1,X2,X3,X4)
    | ~ esk7983_4(X1,X2,X3,X4) )).

cnf(i_0_19387,axiom,
    ( ~ esk3875_4(X1,X2,X3,X4)
    | esk3960_4(X1,X2,X3,X4) )).

cnf(i_0_19388,axiom,
    ( ~ esk7507_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_19389,axiom,
    ( esk6329_4(X1,X2,X3,X4)
    | ~ esk6330_4(X1,X2,X3,X4)
    | esk6328_4(X1,X2,X3,X4) )).

cnf(i_0_19390,axiom,
    ( ~ esk3867_4(X1,X2,X3,X4)
    | esk3525_4(X1,X2,X3,X4)
    | ~ esk3524_4(X1,X2,X3,X4) )).

cnf(i_0_19391,axiom,
    ( esk8106_4(X1,X2,X3,X4)
    | esk9115_4(X1,X2,X3,X4)
    | ~ esk8744_4(X1,X2,X3,X4) )).

cnf(i_0_19392,axiom,
    ( esk4711_4(X1,X2,X3,X4)
    | ~ esk4710_4(X1,X2,X3,X4)
    | ~ esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_19393,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk1944_4(X1,X2,X3,X4) )).

cnf(i_0_19394,axiom,
    ( esk7838_4(X1,X2,X3,X4)
    | esk7839_4(X1,X2,X3,X4)
    | ~ esk7840_4(X1,X2,X3,X4) )).

cnf(i_0_19395,axiom,
    ( esk8208_4(X1,X2,X3,X4)
    | ~ esk8716_4(X1,X2,X3,X4)
    | ~ esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_19396,axiom,
    ( esk1042_0
    | p(X1)
    | ~ p(X4)
    | ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_19397,axiom,
    ( esk6987_4(X1,X2,X3,X4)
    | ~ esk4887_4(X1,X2,X3,X4) )).

cnf(i_0_19398,axiom,
    ( ~ esk6435_4(X1,X2,X3,X4)
    | esk6433_4(X1,X2,X3,X4)
    | esk6434_4(X1,X2,X3,X4) )).

cnf(i_0_19399,axiom,
    ( esk4039_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19400,axiom,
    ( ~ esk8358_4(X1,X2,X3,X4)
    | esk7712_4(X1,X2,X3,X4) )).

cnf(i_0_19401,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5266_4(X1,X2,X3,X4) )).

cnf(i_0_19402,axiom,
    ( ~ esk5921_4(X1,X2,X3,X4)
    | esk5919_4(X1,X2,X3,X4)
    | esk5920_4(X1,X2,X3,X4) )).

cnf(i_0_19403,axiom,
    ( esk7541_4(X1,X2,X3,X4)
    | ~ esk7542_4(X1,X2,X3,X4) )).

cnf(i_0_19404,axiom,
    ( p(X2)
    | ~ esk246_0
    | p(X1)
    | ~ p(X3)
    | esk8072_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_19405,axiom,
    ( ~ esk7241_4(X1,X2,X3,X4)
    | esk7242_4(X1,X2,X3,X4)
    | ~ esk7212_4(X1,X2,X3,X4) )).

cnf(i_0_19406,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3162_4(X1,X2,X3,X4)
    | esk3165_4(X1,X2,X3,X4) )).

cnf(i_0_19407,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4426_4(X1,X2,X3,X4) )).

cnf(i_0_19408,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk1694_4(X1,X2,X3,X4) )).

cnf(i_0_19409,axiom,
    ( p(X4)
    | p(X1)
    | esk9089_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk849_0 )).

cnf(i_0_19410,axiom,
    ( esk1442_4(X1,X2,X3,X4)
    | ~ esk1404_4(X1,X2,X3,X4) )).

cnf(i_0_19411,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5187_4(X1,X2,X3,X4) )).

cnf(i_0_19412,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk584_0 )).

cnf(i_0_19413,axiom,
    ( ~ esk8882_4(X1,X2,X3,X4)
    | esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_19414,axiom,
    ( esk9540_4(X1,X2,X3,X4)
    | ~ esk9541_4(X1,X2,X3,X4) )).

cnf(i_0_19415,axiom,
    ( esk9461_4(X1,X2,X3,X4)
    | ~ esk9460_4(X1,X2,X3,X4)
    | ~ esk8659_4(X1,X2,X3,X4) )).

cnf(i_0_19416,axiom,
    ( ~ esk2681_4(X1,X2,X3,X4)
    | esk2682_4(X1,X2,X3,X4) )).

cnf(i_0_19417,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk2787_4(X1,X2,X3,X4)
    | esk811_0
    | ~ p(X1) )).

cnf(i_0_19418,axiom,
    ( esk6771_4(X1,X2,X3,X4)
    | ~ esk6772_4(X1,X2,X3,X4) )).

cnf(i_0_19419,axiom,
    ( esk7817_4(X1,X2,X3,X4)
    | esk8779_4(X1,X2,X3,X4)
    | ~ esk9115_4(X1,X2,X3,X4) )).

cnf(i_0_19420,axiom,
    ( ~ esk8734_4(X1,X2,X3,X4)
    | esk8425_4(X1,X2,X3,X4) )).

cnf(i_0_19421,axiom,
    ( ~ esk6617_4(X1,X2,X3,X4)
    | ~ esk6111_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_19422,axiom,
    ( ~ esk9154_4(X1,X2,X3,X4)
    | esk9155_4(X1,X2,X3,X4) )).

cnf(i_0_19423,axiom,
    ( esk5148_4(X1,X2,X3,X4)
    | ~ esk5149_4(X1,X2,X3,X4)
    | esk5147_4(X1,X2,X3,X4) )).

cnf(i_0_19424,axiom,
    ( esk9362_4(X1,X2,X3,X4)
    | ~ esk9363_4(X1,X2,X3,X4)
    | esk9361_4(X1,X2,X3,X4) )).

cnf(i_0_19425,axiom,
    ( ~ esk5281_4(X1,X2,X3,X4)
    | ~ esk5310_4(X1,X2,X3,X4)
    | esk5311_4(X1,X2,X3,X4) )).

cnf(i_0_19426,axiom,
    ( ~ p(X1)
    | esk331_0
    | ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_19427,axiom,
    ( esk9460_4(X1,X2,X3,X4)
    | ~ esk9461_4(X1,X2,X3,X4) )).

cnf(i_0_19428,axiom,
    ( ~ esk5032_4(X1,X2,X3,X4)
    | ~ esk3803_4(X1,X2,X3,X4)
    | esk5033_4(X1,X2,X3,X4) )).

cnf(i_0_19429,axiom,
    ( ~ esk2020_4(X1,X2,X3,X4)
    | ~ esk2167_4(X1,X2,X3,X4) )).

cnf(i_0_19430,axiom,
    ( ~ esk8571_4(X1,X2,X3,X4)
    | esk8573_4(X1,X2,X3,X4) )).

cnf(i_0_19431,axiom,
    ( ~ esk6871_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_19432,axiom,
    ( ~ esk2086_4(X1,X2,X3,X4)
    | esk2088_4(X1,X2,X3,X4) )).

cnf(i_0_19433,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk1_0
    | ~ p(X4)
    | ~ esk8735_4(X1,X2,X3,X4) )).

cnf(i_0_19434,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6514_4(X1,X2,X3,X4)
    | ~ esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_19435,axiom,
    ( ~ p(X4)
    | ~ esk543_0
    | p(X3)
    | p(X1)
    | esk2417_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_19436,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3141_4(X1,X2,X3,X4) )).

cnf(i_0_19437,axiom,
    ( esk2001_4(X1,X2,X3,X4)
    | ~ esk2027_4(X1,X2,X3,X4) )).

cnf(i_0_19438,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk1936_4(X1,X2,X3,X4) )).

cnf(i_0_19439,axiom,
    ( esk8341_4(X1,X2,X3,X4)
    | ~ esk8340_4(X1,X2,X3,X4) )).

cnf(i_0_19440,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8707_4(X1,X2,X3,X4) )).

cnf(i_0_19441,axiom,
    ( esk2807_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk959_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_19442,axiom,
    ( esk9611_4(X1,X2,X3,X4)
    | ~ esk9610_4(X1,X2,X3,X4) )).

cnf(i_0_19443,axiom,
    ( esk5959_4(X1,X2,X3,X4)
    | ~ esk5960_4(X1,X2,X3,X4) )).

cnf(i_0_19444,axiom,
    ( esk6056_4(X1,X2,X3,X4)
    | ~ esk6054_4(X1,X2,X3,X4) )).

cnf(i_0_19445,axiom,
    ( ~ esk4886_4(X1,X2,X3,X4)
    | esk2786_4(X1,X2,X3,X4) )).

cnf(i_0_19446,axiom,
    ( ~ esk5060_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_19447,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9274_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_19448,axiom,
    ( ~ esk8353_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4)
    | esk8384_4(X1,X2,X3,X4) )).

cnf(i_0_19449,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1273_0
    | p(X2)
    | esk2922_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_19450,axiom,
    ( ~ esk935_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_19451,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk6314_4(X1,X2,X3,X4) )).

cnf(i_0_19452,axiom,
    ( ~ esk8778_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk775_0
    | ~ p(X4) )).

cnf(i_0_19453,axiom,
    ( ~ esk4845_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19454,axiom,
    ( esk9431_4(X1,X2,X3,X4)
    | ~ esk9430_4(X1,X2,X3,X4) )).

cnf(i_0_19455,axiom,
    ( ~ esk9564_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_19456,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8441_4(X1,X2,X3,X4)
    | esk8442_4(X1,X2,X3,X4) )).

cnf(i_0_19457,axiom,
    ( ~ esk5442_4(X1,X2,X3,X4)
    | esk5443_4(X1,X2,X3,X4)
    | ~ esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_19458,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | esk941_0
    | ~ p(X1)
    | ~ esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_19459,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | esk649_0 )).

cnf(i_0_19460,axiom,
    ( esk1861_4(X1,X2,X3,X4)
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_19461,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1469_4(X1,X2,X3,X4) )).

cnf(i_0_19462,axiom,
    ( esk2566_4(X1,X2,X3,X4)
    | ~ esk2564_4(X1,X2,X3,X4) )).

cnf(i_0_19463,axiom,
    ( ~ esk4755_4(X1,X2,X3,X4)
    | esk4603_4(X1,X2,X3,X4) )).

cnf(i_0_19464,axiom,
    ( ~ esk4779_4(X1,X2,X3,X4)
    | esk4778_4(X1,X2,X3,X4) )).

cnf(i_0_19465,axiom,
    ( ~ p(X2)
    | esk2942_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1306_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_19466,axiom,
    ( ~ esk6288_4(X1,X2,X3,X4)
    | ~ esk6287_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4) )).

cnf(i_0_19467,axiom,
    ( ~ esk7765_4(X1,X2,X3,X4)
    | esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_19468,axiom,
    ( esk4895_4(X1,X2,X3,X4)
    | ~ esk6995_4(X1,X2,X3,X4) )).

cnf(i_0_19469,axiom,
    ( ~ esk8485_4(X1,X2,X3,X4)
    | esk8337_4(X1,X2,X3,X4) )).

cnf(i_0_19470,axiom,
    ( ~ esk5345_4(X1,X2,X3,X4)
    | esk5348_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_19471,axiom,
    ( ~ esk9321_4(X1,X2,X3,X4)
    | esk9320_4(X1,X2,X3,X4) )).

cnf(i_0_19472,axiom,
    ( ~ esk2729_4(X1,X2,X3,X4)
    | esk2728_4(X1,X2,X3,X4) )).

cnf(i_0_19473,axiom,
    ( ~ esk8130_4(X1,X2,X3,X4)
    | ~ esk8132_4(X1,X2,X3,X4)
    | esk8133_4(X1,X2,X3,X4) )).

cnf(i_0_19474,axiom,
    ( ~ esk4625_4(X1,X2,X3,X4)
    | esk4627_4(X1,X2,X3,X4) )).

cnf(i_0_19475,axiom,
    ( ~ esk5164_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_19476,axiom,
    ( ~ p(X2)
    | ~ esk1327_0
    | p(X3)
    | ~ p(X4)
    | esk2956_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_19477,axiom,
    ( ~ esk3266_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4)
    | esk3269_4(X1,X2,X3,X4) )).

cnf(i_0_19478,axiom,
    ( p(X4)
    | ~ esk8717_4(X1,X2,X3,X4)
    | esk575_0
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_19479,axiom,
    ( ~ esk4864_4(X1,X2,X3,X4)
    | esk5457_4(X1,X2,X3,X4) )).

cnf(i_0_19480,axiom,
    ( ~ esk8975_4(X1,X2,X3,X4)
    | ~ esk9644_4(X1,X2,X3,X4)
    | esk9645_4(X1,X2,X3,X4) )).

cnf(i_0_19481,axiom,
    ( ~ esk4311_4(X1,X2,X3,X4)
    | esk3517_4(X1,X2,X3,X4) )).

cnf(i_0_19482,axiom,
    ( esk6852_4(X1,X2,X3,X4)
    | ~ esk6772_4(X1,X2,X3,X4) )).

cnf(i_0_19483,axiom,
    ( esk4080_4(X1,X2,X3,X4)
    | ~ esk3973_4(X1,X2,X3,X4)
    | ~ esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_19484,axiom,
    ( esk8903_4(X1,X2,X3,X4)
    | ~ esk8902_4(X1,X2,X3,X4) )).

cnf(i_0_19485,axiom,
    ( esk7725_4(X1,X2,X3,X4)
    | ~ esk7724_4(X1,X2,X3,X4) )).

cnf(i_0_19486,axiom,
    ( esk411_0
    | ~ p(X3)
    | ~ esk8354_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_19487,axiom,
    ( p(X1)
    | esk84_0
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_19488,axiom,
    ( ~ esk7798_4(X1,X2,X3,X4)
    | esk7799_4(X1,X2,X3,X4) )).

cnf(i_0_19489,axiom,
    ( esk2815_4(X1,X2,X3,X4)
    | ~ esk2838_4(X1,X2,X3,X4) )).

cnf(i_0_19490,axiom,
    ( esk1809_4(X1,X2,X3,X4)
    | ~ esk2447_4(X1,X2,X3,X4)
    | esk2818_4(X1,X2,X3,X4) )).

cnf(i_0_19491,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk1072_0
    | esk9168_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_19492,axiom,
    ( p(X3)
    | ~ esk6_0
    | ~ p(X2)
    | p(X1)
    | p(X4)
    | esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_19493,axiom,
    ( ~ esk2329_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19494,axiom,
    ( ~ esk5452_4(X1,X2,X3,X4)
    | esk4717_4(X1,X2,X3,X4) )).

cnf(i_0_19495,axiom,
    ( esk2825_4(X1,X2,X3,X4)
    | esk3436_4(X1,X2,X3,X4)
    | ~ esk3435_4(X1,X2,X3,X4) )).

cnf(i_0_19496,axiom,
    ( esk5170_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19497,axiom,
    ( esk4890_4(X1,X2,X3,X4)
    | ~ esk4564_4(X1,X2,X3,X4) )).

cnf(i_0_19498,axiom,
    ( ~ esk8479_4(X1,X2,X3,X4)
    | esk8222_4(X1,X2,X3,X4)
    | ~ esk8221_4(X1,X2,X3,X4) )).

cnf(i_0_19499,axiom,
    ( esk7051_4(X1,X2,X3,X4)
    | ~ esk7050_4(X1,X2,X3,X4) )).

cnf(i_0_19500,axiom,
    ( esk7511_4(X1,X2,X3,X4)
    | esk7510_4(X1,X2,X3,X4)
    | ~ esk7512_4(X1,X2,X3,X4) )).

cnf(i_0_19501,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7907_4(X1,X2,X3,X4) )).

cnf(i_0_19502,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | esk2746_4(X1,X2,X3,X4) )).

cnf(i_0_19503,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk1134_0
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_19504,axiom,
    ( ~ esk7178_4(X1,X2,X3,X4)
    | esk7180_4(X1,X2,X3,X4) )).

cnf(i_0_19505,axiom,
    ( ~ esk1035_0
    | p(X3)
    | ~ p(X1)
    | esk9150_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_19506,axiom,
    ( ~ esk9389_4(X1,X2,X3,X4)
    | esk9391_4(X1,X2,X3,X4) )).

cnf(i_0_19507,axiom,
    ( ~ esk4564_4(X1,X2,X3,X4)
    | esk4567_4(X1,X2,X3,X4) )).

cnf(i_0_19508,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | ~ esk8875_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_19509,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6340_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_19510,axiom,
    ( p(X4)
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk503_0
    | p(X1) )).

cnf(i_0_19511,axiom,
    ( ~ esk417_0
    | ~ p(X1)
    | esk8354_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_19512,axiom,
    ( ~ esk2820_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_19513,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk1952_4(X1,X2,X3,X4)
    | ~ esk320_0 )).

cnf(i_0_19514,axiom,
    ( ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk975_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_19515,axiom,
    ( esk8065_4(X1,X2,X3,X4)
    | ~ esk8063_4(X1,X2,X3,X4) )).

cnf(i_0_19516,axiom,
    ( esk8369_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_19517,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5468_4(X1,X2,X3,X4) )).

cnf(i_0_19518,axiom,
    ( ~ esk7744_4(X1,X2,X3,X4)
    | esk8001_4(X1,X2,X3,X4) )).

cnf(i_0_19519,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8738_4(X1,X2,X3,X4) )).

cnf(i_0_19520,axiom,
    ( esk6688_4(X1,X2,X3,X4)
    | ~ esk6488_4(X1,X2,X3,X4) )).

cnf(i_0_19521,axiom,
    ( esk2716_4(X1,X2,X3,X4)
    | ~ esk2715_4(X1,X2,X3,X4)
    | ~ esk2516_4(X1,X2,X3,X4) )).

cnf(i_0_19522,axiom,
    ( ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk8388_4(X1,X2,X3,X4)
    | p(X1)
    | esk442_0 )).

cnf(i_0_19523,axiom,
    ( ~ esk6627_4(X1,X2,X3,X4)
    | esk6364_4(X1,X2,X3,X4) )).

cnf(i_0_19524,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4810_4(X1,X2,X3,X4) )).

cnf(i_0_19525,axiom,
    ( esk9438_4(X1,X2,X3,X4)
    | ~ esk9439_4(X1,X2,X3,X4)
    | esk9437_4(X1,X2,X3,X4) )).

cnf(i_0_19526,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8835_4(X1,X2,X3,X4) )).

cnf(i_0_19527,axiom,
    ( ~ esk7006_4(X1,X2,X3,X4)
    | esk6973_4(X1,X2,X3,X4) )).

cnf(i_0_19528,axiom,
    ( esk6970_4(X1,X2,X3,X4)
    | ~ esk6971_4(X1,X2,X3,X4) )).

cnf(i_0_19529,axiom,
    ( ~ esk2950_4(X1,X2,X3,X4)
    | esk2948_4(X1,X2,X3,X4)
    | esk2949_4(X1,X2,X3,X4) )).

cnf(i_0_19530,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk8170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk301_0
    | ~ p(X2) )).

cnf(i_0_19531,axiom,
    ( esk9150_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | ~ esk1027_0 )).

cnf(i_0_19532,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | ~ esk7072_4(X1,X2,X3,X4) )).

cnf(i_0_19533,axiom,
    ( esk8152_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_19534,axiom,
    ( esk7849_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_19535,axiom,
    ( ~ esk6691_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_19536,axiom,
    ( ~ esk8613_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_19537,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9630_4(X1,X2,X3,X4) )).

cnf(i_0_19538,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk119_0
    | p(X3) )).

cnf(i_0_19539,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2918_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1258_0 )).

cnf(i_0_19540,axiom,
    ( ~ esk7359_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19541,axiom,
    ( ~ esk4964_4(X1,X2,X3,X4)
    | esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_19542,axiom,
    ( ~ esk7869_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_19543,axiom,
    ( ~ esk4872_4(X1,X2,X3,X4)
    | esk4874_4(X1,X2,X3,X4) )).

cnf(i_0_19544,axiom,
    ( esk3274_4(X1,X2,X3,X4)
    | esk3279_4(X1,X2,X3,X4)
    | ~ esk3280_4(X1,X2,X3,X4) )).

cnf(i_0_19545,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6838_4(X1,X2,X3,X4) )).

cnf(i_0_19546,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3167_4(X1,X2,X3,X4) )).

cnf(i_0_19547,axiom,
    ( ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_19548,axiom,
    ( ~ esk3409_4(X1,X2,X3,X4)
    | esk3410_4(X1,X2,X3,X4) )).

cnf(i_0_19549,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8582_4(X1,X2,X3,X4) )).

cnf(i_0_19550,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8960_4(X1,X2,X3,X4) )).

cnf(i_0_19551,axiom,
    ( ~ p(X4)
    | ~ esk2425_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | esk607_0
    | p(X3) )).

cnf(i_0_19552,axiom,
    ( esk4575_4(X1,X2,X3,X4)
    | esk4576_4(X1,X2,X3,X4)
    | ~ esk4577_4(X1,X2,X3,X4) )).

cnf(i_0_19553,axiom,
    ( esk6949_4(X1,X2,X3,X4)
    | ~ esk6994_4(X1,X2,X3,X4) )).

cnf(i_0_19554,axiom,
    ( esk8556_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_19555,axiom,
    ( esk3263_4(X1,X2,X3,X4)
    | ~ esk3264_4(X1,X2,X3,X4) )).

cnf(i_0_19556,axiom,
    ( esk2690_4(X1,X2,X3,X4)
    | ~ esk3372_4(X1,X2,X3,X4) )).

cnf(i_0_19557,axiom,
    ( ~ esk2375_4(X1,X2,X3,X4)
    | esk2374_4(X1,X2,X3,X4)
    | esk2373_4(X1,X2,X3,X4) )).

cnf(i_0_19558,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk9089_4(X1,X2,X3,X4)
    | p(X3)
    | esk843_0
    | p(X1) )).

cnf(i_0_19559,axiom,
    ( ~ esk6605_4(X1,X2,X3,X4)
    | esk6630_4(X1,X2,X3,X4) )).

cnf(i_0_19560,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | ~ esk860_0
    | ~ p(X3)
    | esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_19561,axiom,
    ( ~ esk1064_0
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_19562,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6537_4(X1,X2,X3,X4) )).

cnf(i_0_19563,axiom,
    ( esk4233_4(X1,X2,X3,X4)
    | ~ esk3455_4(X1,X2,X3,X4) )).

cnf(i_0_19564,axiom,
    ( ~ esk4868_4(X1,X2,X3,X4)
    | esk4867_4(X1,X2,X3,X4) )).

cnf(i_0_19565,axiom,
    ( esk1_0
    | ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_19566,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1_0
    | esk8248_4(X1,X2,X3,X4) )).

cnf(i_0_19567,axiom,
    ( ~ esk2367_4(X1,X2,X3,X4)
    | esk2435_4(X1,X2,X3,X4)
    | esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_19568,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9402_4(X1,X2,X3,X4) )).

cnf(i_0_19569,axiom,
    ( ~ esk8658_4(X1,X2,X3,X4)
    | esk8659_4(X1,X2,X3,X4) )).

cnf(i_0_19570,axiom,
    ( ~ p(X1)
    | ~ esk296_0
    | esk8170_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_19571,axiom,
    ( esk545_0
    | p(X1)
    | ~ p(X3)
    | ~ esk8713_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_19572,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6795_4(X1,X2,X3,X4) )).

cnf(i_0_19573,axiom,
    ( p(X4)
    | esk8749_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk750_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_19574,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6759_4(X1,X2,X3,X4) )).

cnf(i_0_19575,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | esk956_0 )).

cnf(i_0_19576,axiom,
    ( esk1740_4(X1,X2,X3,X4)
    | ~ esk1741_4(X1,X2,X3,X4) )).

cnf(i_0_19577,axiom,
    ( ~ esk3617_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4) )).

cnf(i_0_19578,axiom,
    ( esk8254_4(X1,X2,X3,X4)
    | ~ esk349_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_19579,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | esk6853_4(X1,X2,X3,X4) )).

cnf(i_0_19580,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk56_0
    | p(X2)
    | esk1444_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_19581,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | ~ esk5744_4(X1,X2,X3,X4) )).

cnf(i_0_19582,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6799_4(X1,X2,X3,X4) )).

cnf(i_0_19583,axiom,
    ( ~ esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | esk986_0
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_19584,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk8021_4(X1,X2,X3,X4) )).

cnf(i_0_19585,axiom,
    ( esk6288_4(X1,X2,X3,X4)
    | ~ esk6325_4(X1,X2,X3,X4)
    | esk6324_4(X1,X2,X3,X4) )).

cnf(i_0_19586,axiom,
    ( ~ esk7340_4(X1,X2,X3,X4)
    | ~ esk7345_4(X1,X2,X3,X4)
    | esk7346_4(X1,X2,X3,X4) )).

cnf(i_0_19587,axiom,
    ( ~ esk2614_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3345_4(X1,X2,X3,X4) )).

cnf(i_0_19588,axiom,
    ( ~ esk4490_4(X1,X2,X3,X4)
    | esk4523_4(X1,X2,X3,X4) )).

cnf(i_0_19589,axiom,
    ( esk5572_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4) )).

cnf(i_0_19590,axiom,
    ( esk3708_4(X1,X2,X3,X4)
    | ~ esk3710_4(X1,X2,X3,X4)
    | esk3709_4(X1,X2,X3,X4) )).

cnf(i_0_19591,axiom,
    ( esk8036_4(X1,X2,X3,X4)
    | ~ esk8034_4(X1,X2,X3,X4) )).

cnf(i_0_19592,axiom,
    ( esk1953_4(X1,X2,X3,X4)
    | ~ esk1888_4(X1,X2,X3,X4)
    | esk1916_4(X1,X2,X3,X4) )).

cnf(i_0_19593,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk2365_4(X1,X2,X3,X4) )).

cnf(i_0_19594,axiom,
    ( ~ esk3586_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_19595,axiom,
    ( ~ esk2937_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_19596,axiom,
    ( esk4906_4(X1,X2,X3,X4)
    | ~ esk4719_4(X1,X2,X3,X4) )).

cnf(i_0_19597,axiom,
    ( ~ esk1895_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19598,axiom,
    ( ~ esk8716_4(X1,X2,X3,X4)
    | esk8210_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_19599,axiom,
    ( esk6714_4(X1,X2,X3,X4)
    | ~ esk6712_4(X1,X2,X3,X4) )).

cnf(i_0_19600,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8568_4(X1,X2,X3,X4) )).

cnf(i_0_19601,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk2927_4(X1,X2,X3,X4) )).

cnf(i_0_19602,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk8072_4(X1,X2,X3,X4)
    | esk251_0 )).

cnf(i_0_19603,axiom,
    ( ~ esk7531_4(X1,X2,X3,X4)
    | esk7532_4(X1,X2,X3,X4) )).

cnf(i_0_19604,axiom,
    ( ~ esk4625_4(X1,X2,X3,X4)
    | esk4670_4(X1,X2,X3,X4) )).

cnf(i_0_19605,axiom,
    ( esk2464_4(X1,X2,X3,X4)
    | ~ esk2457_4(X1,X2,X3,X4) )).

cnf(i_0_19606,axiom,
    ( esk9212_4(X1,X2,X3,X4)
    | ~ esk7752_4(X1,X2,X3,X4) )).

cnf(i_0_19607,axiom,
    ( esk2498_4(X1,X2,X3,X4)
    | ~ esk2499_4(X1,X2,X3,X4)
    | esk2497_4(X1,X2,X3,X4) )).

cnf(i_0_19608,axiom,
    ( esk2404_4(X1,X2,X3,X4)
    | ~ esk2405_4(X1,X2,X3,X4) )).

cnf(i_0_19609,axiom,
    ( esk4855_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_19610,axiom,
    ( ~ esk1748_4(X1,X2,X3,X4)
    | esk161_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_19611,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5147_4(X1,X2,X3,X4) )).

cnf(i_0_19612,axiom,
    ( ~ esk8036_4(X1,X2,X3,X4)
    | esk9221_4(X1,X2,X3,X4)
    | ~ esk9220_4(X1,X2,X3,X4) )).

cnf(i_0_19613,axiom,
    ( esk3256_4(X1,X2,X3,X4)
    | ~ esk3255_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_19614,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4806_4(X1,X2,X3,X4) )).

cnf(i_0_19615,axiom,
    ( esk5525_4(X1,X2,X3,X4)
    | ~ esk5523_4(X1,X2,X3,X4) )).

cnf(i_0_19616,axiom,
    ( p(X4)
    | p(X3)
    | esk858_0
    | p(X1)
    | p(X2)
    | ~ esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_19617,axiom,
    ( ~ esk594_0
    | p(X1)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_19618,axiom,
    ( esk4763_4(X1,X2,X3,X4)
    | ~ esk4765_4(X1,X2,X3,X4)
    | esk4764_4(X1,X2,X3,X4) )).

cnf(i_0_19619,axiom,
    ( ~ esk9214_4(X1,X2,X3,X4)
    | esk1257_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_19620,axiom,
    ( ~ esk6047_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_19621,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9302_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_19622,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | ~ esk7726_4(X1,X2,X3,X4)
    | ~ esk7672_4(X1,X2,X3,X4) )).

cnf(i_0_19623,axiom,
    ( ~ esk5010_4(X1,X2,X3,X4)
    | esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_19624,axiom,
    ( ~ esk4750_4(X1,X2,X3,X4)
    | ~ esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_19625,axiom,
    ( ~ esk1222_0
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | p(X4)
    | esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_19626,axiom,
    ( esk5036_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_19627,axiom,
    ( ~ esk1972_4(X1,X2,X3,X4)
    | esk1971_4(X1,X2,X3,X4) )).

cnf(i_0_19628,axiom,
    ( ~ esk6068_4(X1,X2,X3,X4)
    | esk7015_4(X1,X2,X3,X4) )).

cnf(i_0_19629,axiom,
    ( ~ esk3570_4(X1,X2,X3,X4)
    | esk3807_4(X1,X2,X3,X4) )).

cnf(i_0_19630,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4451_4(X1,X2,X3,X4) )).

cnf(i_0_19631,axiom,
    ( ~ esk9382_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_19632,axiom,
    ( ~ esk2470_4(X1,X2,X3,X4)
    | ~ esk3293_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_19633,axiom,
    ( esk1805_4(X1,X2,X3,X4)
    | ~ esk1806_4(X1,X2,X3,X4) )).

cnf(i_0_19634,axiom,
    ( esk9163_4(X1,X2,X3,X4)
    | esk7735_4(X1,X2,X3,X4) )).

cnf(i_0_19635,axiom,
    ( esk4704_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4652_4(X1,X2,X3,X4) )).

cnf(i_0_19636,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk2813_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk997_0 )).

cnf(i_0_19637,axiom,
    ( p(X1)
    | ~ esk8729_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk670_0 )).

cnf(i_0_19638,axiom,
    ( ~ esk4008_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_19639,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1052_0 )).

cnf(i_0_19640,axiom,
    ( esk5049_4(X1,X2,X3,X4)
    | ~ esk5044_4(X1,X2,X3,X4) )).

cnf(i_0_19641,axiom,
    ( esk8908_4(X1,X2,X3,X4)
    | ~ esk8909_4(X1,X2,X3,X4) )).

cnf(i_0_19642,axiom,
    ( ~ esk1405_4(X1,X2,X3,X4)
    | esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_19643,axiom,
    ( esk1602_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1510_4(X1,X2,X3,X4) )).

cnf(i_0_19644,axiom,
    ( ~ esk8773_4(X1,X2,X3,X4)
    | esk8772_4(X1,X2,X3,X4) )).

cnf(i_0_19645,axiom,
    ( esk5568_4(X1,X2,X3,X4)
    | ~ esk7093_4(X1,X2,X3,X4) )).

cnf(i_0_19646,axiom,
    ( ~ esk7137_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_19647,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_19648,axiom,
    ( esk2226_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_19649,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4456_4(X1,X2,X3,X4) )).

cnf(i_0_19650,axiom,
    ( ~ esk7366_4(X1,X2,X3,X4)
    | esk7365_4(X1,X2,X3,X4) )).

cnf(i_0_19651,axiom,
    ( ~ esk6923_4(X1,X2,X3,X4)
    | esk7604_4(X1,X2,X3,X4) )).

cnf(i_0_19652,axiom,
    ( ~ p(X1)
    | ~ esk1075_0
    | p(X3)
    | esk2872_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_19653,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2102_4(X1,X2,X3,X4) )).

cnf(i_0_19654,axiom,
    ( ~ esk8182_4(X1,X2,X3,X4)
    | ~ esk8352_4(X1,X2,X3,X4)
    | ~ esk8353_4(X1,X2,X3,X4) )).

cnf(i_0_19655,axiom,
    ( esk3959_4(X1,X2,X3,X4)
    | ~ esk1859_4(X1,X2,X3,X4) )).

cnf(i_0_19656,axiom,
    ( esk8327_4(X1,X2,X3,X4)
    | ~ esk8326_4(X1,X2,X3,X4)
    | ~ esk8263_4(X1,X2,X3,X4) )).

cnf(i_0_19657,axiom,
    ( esk2800_4(X1,X2,X3,X4)
    | ~ esk2759_4(X1,X2,X3,X4) )).

cnf(i_0_19658,axiom,
    ( ~ esk5211_4(X1,X2,X3,X4)
    | esk5210_4(X1,X2,X3,X4) )).

cnf(i_0_19659,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk348_0
    | p(X1)
    | p(X2)
    | esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_19660,axiom,
    ( esk9088_4(X1,X2,X3,X4)
    | ~ esk9681_4(X1,X2,X3,X4) )).

cnf(i_0_19661,axiom,
    ( ~ esk2356_4(X1,X2,X3,X4)
    | esk2358_4(X1,X2,X3,X4) )).

cnf(i_0_19662,axiom,
    ( esk2081_4(X1,X2,X3,X4)
    | ~ esk2080_4(X1,X2,X3,X4)
    | ~ esk2017_4(X1,X2,X3,X4) )).

cnf(i_0_19663,axiom,
    ( esk6557_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19664,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk1_0
    | ~ p(X2)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_19665,axiom,
    ( ~ esk5127_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_19666,axiom,
    ( ~ esk6814_4(X1,X2,X3,X4)
    | esk6816_4(X1,X2,X3,X4) )).

cnf(i_0_19667,axiom,
    ( esk7865_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_19668,axiom,
    ( esk2031_4(X1,X2,X3,X4)
    | esk2030_4(X1,X2,X3,X4)
    | ~ esk2032_4(X1,X2,X3,X4) )).

cnf(i_0_19669,axiom,
    ( ~ esk2265_4(X1,X2,X3,X4)
    | esk2266_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19670,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk5506_4(X1,X2,X3,X4) )).

cnf(i_0_19671,axiom,
    ( esk6505_4(X1,X2,X3,X4)
    | ~ esk6503_4(X1,X2,X3,X4) )).

cnf(i_0_19672,axiom,
    ( ~ esk8906_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_19673,axiom,
    ( esk7786_4(X1,X2,X3,X4)
    | esk7785_4(X1,X2,X3,X4)
    | ~ esk7787_4(X1,X2,X3,X4) )).

cnf(i_0_19674,axiom,
    ( ~ esk6146_4(X1,X2,X3,X4)
    | esk6147_4(X1,X2,X3,X4)
    | esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_19675,axiom,
    ( esk7016_4(X1,X2,X3,X4)
    | esk6007_4(X1,X2,X3,X4)
    | ~ esk6645_4(X1,X2,X3,X4) )).

cnf(i_0_19676,axiom,
    ( esk2994_4(X1,X2,X3,X4)
    | ~ esk2993_4(X1,X2,X3,X4) )).

cnf(i_0_19677,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | esk2419_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk558_0 )).

cnf(i_0_19678,axiom,
    ( esk2107_4(X1,X2,X3,X4)
    | ~ esk2109_4(X1,X2,X3,X4)
    | esk2108_4(X1,X2,X3,X4) )).

cnf(i_0_19679,axiom,
    ( ~ esk5187_4(X1,X2,X3,X4)
    | esk5189_4(X1,X2,X3,X4) )).

cnf(i_0_19680,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk9103_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_19681,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3303_4(X1,X2,X3,X4) )).

cnf(i_0_19682,axiom,
    ( ~ esk5134_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_19683,axiom,
    ( ~ esk1462_4(X1,X2,X3,X4)
    | esk1464_4(X1,X2,X3,X4) )).

cnf(i_0_19684,axiom,
    ( ~ esk5939_4(X1,X2,X3,X4)
    | esk5941_4(X1,X2,X3,X4) )).

cnf(i_0_19685,axiom,
    ( ~ esk4123_4(X1,X2,X3,X4)
    | esk3482_4(X1,X2,X3,X4) )).

cnf(i_0_19686,axiom,
    ( esk5665_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5866_4(X1,X2,X3,X4) )).

cnf(i_0_19687,axiom,
    ( esk6415_4(X1,X2,X3,X4)
    | ~ esk6490_4(X1,X2,X3,X4) )).

cnf(i_0_19688,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2044_4(X1,X2,X3,X4)
    | esk2082_4(X1,X2,X3,X4) )).

cnf(i_0_19689,axiom,
    ( esk6123_4(X1,X2,X3,X4)
    | ~ esk6122_4(X1,X2,X3,X4)
    | ~ esk6380_4(X1,X2,X3,X4) )).

cnf(i_0_19690,axiom,
    ( ~ esk8284_4(X1,X2,X3,X4)
    | esk6184_4(X1,X2,X3,X4) )).

cnf(i_0_19691,axiom,
    ( ~ esk7363_4(X1,X2,X3,X4)
    | esk7364_4(X1,X2,X3,X4) )).

cnf(i_0_19692,axiom,
    ( esk9326_4(X1,X2,X3,X4)
    | esk9325_4(X1,X2,X3,X4)
    | ~ esk9327_4(X1,X2,X3,X4) )).

cnf(i_0_19693,axiom,
    ( ~ esk2231_4(X1,X2,X3,X4)
    | esk2230_4(X1,X2,X3,X4) )).

cnf(i_0_19694,axiom,
    ( esk1582_4(X1,X2,X3,X4)
    | ~ esk1490_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_19695,axiom,
    ( esk5296_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_19696,axiom,
    ( esk6463_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19697,axiom,
    ( ~ esk5403_4(X1,X2,X3,X4)
    | esk5402_4(X1,X2,X3,X4) )).

cnf(i_0_19698,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9476_4(X1,X2,X3,X4) )).

cnf(i_0_19699,axiom,
    ( ~ esk3597_4(X1,X2,X3,X4)
    | esk3595_4(X1,X2,X3,X4)
    | esk3596_4(X1,X2,X3,X4) )).

cnf(i_0_19700,axiom,
    ( ~ esk290_0
    | esk8170_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_19701,axiom,
    ( ~ esk3058_4(X1,X2,X3,X4)
    | esk3056_4(X1,X2,X3,X4)
    | esk3057_4(X1,X2,X3,X4) )).

cnf(i_0_19702,axiom,
    ( ~ esk2498_4(X1,X2,X3,X4)
    | esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_19703,axiom,
    ( esk4448_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19704,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk864_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_19705,axiom,
    ( esk3917_4(X1,X2,X3,X4)
    | esk5086_4(X1,X2,X3,X4) )).

cnf(i_0_19706,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk312_0 )).

cnf(i_0_19707,axiom,
    ( ~ esk2702_4(X1,X2,X3,X4)
    | esk3396_4(X1,X2,X3,X4)
    | ~ esk3395_4(X1,X2,X3,X4) )).

cnf(i_0_19708,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7339_4(X1,X2,X3,X4) )).

cnf(i_0_19709,axiom,
    ( ~ esk5940_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_19710,axiom,
    ( ~ esk2340_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19711,axiom,
    ( ~ esk8734_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4)
    | esk8177_4(X1,X2,X3,X4) )).

cnf(i_0_19712,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5287_4(X1,X2,X3,X4)
    | ~ esk5286_4(X1,X2,X3,X4) )).

cnf(i_0_19713,axiom,
    ( esk2407_4(X1,X2,X3,X4)
    | ~ esk2406_4(X1,X2,X3,X4) )).

cnf(i_0_19714,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3590_4(X1,X2,X3,X4) )).

cnf(i_0_19715,axiom,
    ( ~ esk7812_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk89_0
    | ~ p(X4) )).

cnf(i_0_19716,axiom,
    ( ~ esk9111_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk1020_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_19717,axiom,
    ( ~ esk5271_4(X1,X2,X3,X4)
    | esk5273_4(X1,X2,X3,X4) )).

cnf(i_0_19718,axiom,
    ( ~ esk814_0
    | p(X1)
    | p(X2)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_19719,axiom,
    ( esk7440_4(X1,X2,X3,X4)
    | ~ esk7438_4(X1,X2,X3,X4) )).

cnf(i_0_19720,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1337_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_19721,axiom,
    ( esk6146_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4) )).

cnf(i_0_19722,axiom,
    ( p(X2)
    | ~ esk942_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_19723,axiom,
    ( ~ esk3959_4(X1,X2,X3,X4)
    | esk3492_4(X1,X2,X3,X4) )).

cnf(i_0_19724,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7777_4(X1,X2,X3,X4)
    | esk7802_4(X1,X2,X3,X4) )).

cnf(i_0_19725,axiom,
    ( esk2095_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk457_0
    | ~ p(X4) )).

cnf(i_0_19726,axiom,
    ( esk3146_4(X1,X2,X3,X4)
    | ~ esk3145_4(X1,X2,X3,X4) )).

cnf(i_0_19727,axiom,
    ( esk2323_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_19728,axiom,
    ( ~ esk4877_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_19729,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk1137_0
    | ~ esk9176_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_19730,axiom,
    ( esk7500_4(X1,X2,X3,X4)
    | ~ esk6779_4(X1,X2,X3,X4) )).

cnf(i_0_19731,axiom,
    ( ~ esk9310_4(X1,X2,X3,X4)
    | esk9311_4(X1,X2,X3,X4) )).

cnf(i_0_19732,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk189_0
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_19733,axiom,
    ( esk7972_4(X1,X2,X3,X4)
    | ~ esk7973_4(X1,X2,X3,X4)
    | esk7971_4(X1,X2,X3,X4) )).

cnf(i_0_19734,axiom,
    ( esk6600_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6323_4(X1,X2,X3,X4) )).

cnf(i_0_19735,axiom,
    ( ~ esk7287_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19736,axiom,
    ( esk3862_4(X1,X2,X3,X4)
    | esk3474_4(X1,X2,X3,X4) )).

cnf(i_0_19737,axiom,
    ( ~ esk9241_4(X1,X2,X3,X4)
    | esk9243_4(X1,X2,X3,X4) )).

cnf(i_0_19738,axiom,
    ( ~ esk6606_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_19739,axiom,
    ( ~ esk3311_4(X1,X2,X3,X4)
    | esk3312_4(X1,X2,X3,X4)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_19740,axiom,
    ( ~ esk2184_4(X1,X2,X3,X4)
    | esk2183_4(X1,X2,X3,X4) )).

cnf(i_0_19741,axiom,
    ( ~ esk4565_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_19742,axiom,
    ( ~ esk1364_4(X1,X2,X3,X4)
    | esk2557_4(X1,X2,X3,X4) )).

cnf(i_0_19743,axiom,
    ( ~ esk943_0
    | esk2805_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_19744,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5470_4(X1,X2,X3,X4) )).

cnf(i_0_19745,axiom,
    ( ~ esk6540_4(X1,X2,X3,X4)
    | esk5980_4(X1,X2,X3,X4)
    | ~ esk5979_4(X1,X2,X3,X4) )).

cnf(i_0_19746,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9071_4(X1,X2,X3,X4) )).

cnf(i_0_19747,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk8469_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk476_0
    | p(X2) )).

cnf(i_0_19748,axiom,
    ( esk6145_4(X1,X2,X3,X4)
    | ~ esk6144_4(X1,X2,X3,X4) )).

cnf(i_0_19749,axiom,
    ( ~ esk6674_4(X1,X2,X3,X4)
    | esk6676_4(X1,X2,X3,X4) )).

cnf(i_0_19750,axiom,
    ( esk7016_4(X1,X2,X3,X4)
    | esk5718_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_19751,axiom,
    ( esk1877_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_19752,axiom,
    ( esk8637_4(X1,X2,X3,X4)
    | ~ esk8636_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_19753,axiom,
    ( esk4450_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19754,axiom,
    ( esk4340_4(X1,X2,X3,X4)
    | ~ esk4339_4(X1,X2,X3,X4) )).

cnf(i_0_19755,axiom,
    ( esk3170_4(X1,X2,X3,X4)
    | ~ esk3169_4(X1,X2,X3,X4) )).

cnf(i_0_19756,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X3)
    | esk1301_0
    | p(X2) )).

cnf(i_0_19757,axiom,
    ( ~ esk6540_4(X1,X2,X3,X4)
    | esk6538_4(X1,X2,X3,X4)
    | esk6539_4(X1,X2,X3,X4) )).

cnf(i_0_19758,axiom,
    ( ~ esk7736_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk18_0
    | p(X1)
    | p(X2) )).

cnf(i_0_19759,axiom,
    ( ~ esk6670_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_19760,axiom,
    ( ~ esk2464_4(X1,X2,X3,X4)
    | ~ esk2456_4(X1,X2,X3,X4)
    | esk2457_4(X1,X2,X3,X4) )).

cnf(i_0_19761,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2267_4(X1,X2,X3,X4) )).

cnf(i_0_19762,axiom,
    ( ~ esk1485_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_19763,axiom,
    ( esk6999_4(X1,X2,X3,X4)
    | ~ esk4899_4(X1,X2,X3,X4) )).

cnf(i_0_19764,axiom,
    ( ~ esk8147_4(X1,X2,X3,X4)
    | esk8682_4(X1,X2,X3,X4)
    | ~ esk8681_4(X1,X2,X3,X4) )).

cnf(i_0_19765,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | ~ esk937_0
    | p(X3) )).

cnf(i_0_19766,axiom,
    ( ~ esk5255_4(X1,X2,X3,X4)
    | esk5254_4(X1,X2,X3,X4) )).

cnf(i_0_19767,axiom,
    ( ~ esk4469_4(X1,X2,X3,X4)
    | esk4081_4(X1,X2,X3,X4) )).

cnf(i_0_19768,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9256_4(X1,X2,X3,X4) )).

cnf(i_0_19769,axiom,
    ( esk9528_4(X1,X2,X3,X4)
    | ~ esk9529_4(X1,X2,X3,X4) )).

cnf(i_0_19770,axiom,
    ( ~ esk4151_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_19771,axiom,
    ( esk1914_4(X1,X2,X3,X4)
    | ~ esk1946_4(X1,X2,X3,X4) )).

cnf(i_0_19772,axiom,
    ( ~ esk8206_4(X1,X2,X3,X4)
    | esk8209_4(X1,X2,X3,X4) )).

cnf(i_0_19773,axiom,
    ( ~ esk6577_4(X1,X2,X3,X4)
    | esk6616_4(X1,X2,X3,X4) )).

cnf(i_0_19774,axiom,
    ( esk3391_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_19775,axiom,
    ( ~ esk4893_4(X1,X2,X3,X4)
    | esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_19776,axiom,
    ( ~ esk9013_4(X1,X2,X3,X4)
    | esk9012_4(X1,X2,X3,X4) )).

cnf(i_0_19777,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk655_0
    | ~ p(X2)
    | ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_19778,axiom,
    ( ~ esk7922_4(X1,X2,X3,X4)
    | esk7924_4(X1,X2,X3,X4) )).

cnf(i_0_19779,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4448_4(X1,X2,X3,X4) )).

cnf(i_0_19780,axiom,
    ( esk8579_4(X1,X2,X3,X4)
    | ~ esk8540_4(X1,X2,X3,X4)
    | esk8578_4(X1,X2,X3,X4) )).

cnf(i_0_19781,axiom,
    ( ~ p(X1)
    | esk1225_0
    | p(X4)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_19782,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7197_4(X1,X2,X3,X4) )).

cnf(i_0_19783,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7310_4(X1,X2,X3,X4) )).

cnf(i_0_19784,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk1211_0
    | p(X3)
    | esk2898_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_19785,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9004_4(X1,X2,X3,X4) )).

cnf(i_0_19786,axiom,
    ( ~ esk6773_4(X1,X2,X3,X4)
    | esk6291_4(X1,X2,X3,X4) )).

cnf(i_0_19787,axiom,
    ( ~ p(X3)
    | ~ esk822_0
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_19788,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk101_0
    | ~ p(X4)
    | ~ esk1641_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_19789,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk2945_4(X1,X2,X3,X4) )).

cnf(i_0_19790,axiom,
    ( ~ esk7005_4(X1,X2,X3,X4)
    | esk6818_4(X1,X2,X3,X4)
    | ~ esk6817_4(X1,X2,X3,X4) )).

cnf(i_0_19791,axiom,
    ( ~ esk6074_4(X1,X2,X3,X4)
    | ~ esk5846_4(X1,X2,X3,X4) )).

cnf(i_0_19792,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk484_0
    | p(X1)
    | esk8508_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_19793,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2707_4(X1,X2,X3,X4) )).

cnf(i_0_19794,axiom,
    ( ~ esk2493_4(X1,X2,X3,X4)
    | esk2494_4(X1,X2,X3,X4) )).

cnf(i_0_19795,axiom,
    ( esk3114_4(X1,X2,X3,X4)
    | ~ esk3112_4(X1,X2,X3,X4) )).

cnf(i_0_19796,axiom,
    ( esk2272_4(X1,X2,X3,X4)
    | ~ esk1902_4(X1,X2,X3,X4) )).

cnf(i_0_19797,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk982_0
    | p(X3)
    | esk9107_4(X1,X2,X3,X4) )).

cnf(i_0_19798,axiom,
    ( ~ p(X1)
    | esk721_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_19799,axiom,
    ( esk1539_4(X1,X2,X3,X4)
    | ~ esk1538_4(X1,X2,X3,X4) )).

cnf(i_0_19800,axiom,
    ( ~ esk7063_4(X1,X2,X3,X4)
    | esk7635_4(X1,X2,X3,X4) )).

cnf(i_0_19801,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk446_0
    | ~ p(X4) )).

cnf(i_0_19802,axiom,
    ( esk4263_4(X1,X2,X3,X4)
    | ~ esk4226_4(X1,X2,X3,X4)
    | esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_19803,axiom,
    ( esk3593_4(X1,X2,X3,X4)
    | ~ esk3591_4(X1,X2,X3,X4) )).

cnf(i_0_19804,axiom,
    ( esk1670_4(X1,X2,X3,X4)
    | ~ esk3770_4(X1,X2,X3,X4) )).

cnf(i_0_19805,axiom,
    ( ~ esk4543_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4)
    | esk4544_4(X1,X2,X3,X4) )).

cnf(i_0_19806,axiom,
    ( ~ p(X3)
    | ~ esk869_0
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_19807,axiom,
    ( esk1053_0
    | ~ esk2870_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_19808,axiom,
    ( esk9052_4(X1,X2,X3,X4)
    | ~ esk9095_4(X1,X2,X3,X4) )).

cnf(i_0_19809,axiom,
    ( esk7980_4(X1,X2,X3,X4)
    | ~ esk9177_4(X1,X2,X3,X4) )).

cnf(i_0_19810,axiom,
    ( ~ esk3168_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_19811,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2335_4(X1,X2,X3,X4) )).

cnf(i_0_19812,axiom,
    ( ~ esk3833_4(X1,X2,X3,X4)
    | esk3834_4(X1,X2,X3,X4) )).

cnf(i_0_19813,axiom,
    ( ~ esk4864_4(X1,X2,X3,X4)
    | esk4866_4(X1,X2,X3,X4) )).

cnf(i_0_19814,axiom,
    ( ~ esk6288_4(X1,X2,X3,X4)
    | esk6324_4(X1,X2,X3,X4)
    | esk6325_4(X1,X2,X3,X4) )).

cnf(i_0_19815,axiom,
    ( esk7672_4(X1,X2,X3,X4)
    | esk8060_4(X1,X2,X3,X4) )).

cnf(i_0_19816,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk490_0 )).

cnf(i_0_19817,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | ~ esk1_0
    | esk2417_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_19818,axiom,
    ( esk5041_4(X1,X2,X3,X4)
    | ~ esk3664_4(X1,X2,X3,X4) )).

cnf(i_0_19819,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4064_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_19820,axiom,
    ( p(X2)
    | ~ esk1092_0
    | ~ p(X3)
    | esk2874_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_19821,axiom,
    ( esk2734_4(X1,X2,X3,X4)
    | ~ esk2735_4(X1,X2,X3,X4)
    | esk2733_4(X1,X2,X3,X4) )).

cnf(i_0_19822,axiom,
    ( ~ esk9010_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_19823,axiom,
    ( ~ esk2414_4(X1,X2,X3,X4)
    | esk1883_4(X1,X2,X3,X4) )).

cnf(i_0_19824,axiom,
    ( ~ esk6575_4(X1,X2,X3,X4)
    | esk6577_4(X1,X2,X3,X4) )).

cnf(i_0_19825,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1932_4(X1,X2,X3,X4) )).

cnf(i_0_19826,axiom,
    ( ~ esk209_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk8050_4(X1,X2,X3,X4) )).

cnf(i_0_19827,axiom,
    ( ~ esk2731_4(X1,X2,X3,X4)
    | esk2786_4(X1,X2,X3,X4) )).

cnf(i_0_19828,axiom,
    ( ~ esk3775_4(X1,X2,X3,X4)
    | ~ esk3639_4(X1,X2,X3,X4)
    | esk3640_4(X1,X2,X3,X4) )).

cnf(i_0_19829,axiom,
    ( ~ p(X1)
    | esk8318_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk404_0 )).

cnf(i_0_19830,axiom,
    ( ~ esk3135_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_19831,axiom,
    ( esk7420_4(X1,X2,X3,X4)
    | ~ esk7419_4(X1,X2,X3,X4) )).

cnf(i_0_19832,axiom,
    ( ~ esk8500_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8724_4(X1,X2,X3,X4) )).

cnf(i_0_19833,axiom,
    ( ~ esk3773_4(X1,X2,X3,X4)
    | esk3780_4(X1,X2,X3,X4) )).

cnf(i_0_19834,axiom,
    ( ~ esk4924_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_19835,axiom,
    ( ~ esk7181_4(X1,X2,X3,X4)
    | esk7182_4(X1,X2,X3,X4)
    | ~ esk7168_4(X1,X2,X3,X4) )).

cnf(i_0_19836,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8332_4(X1,X2,X3,X4) )).

cnf(i_0_19837,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk384_0
    | esk8291_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_19838,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk3282_4(X1,X2,X3,X4) )).

cnf(i_0_19839,axiom,
    ( ~ esk7566_4(X1,X2,X3,X4)
    | esk7565_4(X1,X2,X3,X4) )).

cnf(i_0_19840,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk2453_4(X1,X2,X3,X4)
    | ~ esk746_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_19841,axiom,
    ( esk7144_4(X1,X2,X3,X4)
    | ~ esk5943_4(X1,X2,X3,X4) )).

cnf(i_0_19842,axiom,
    ( ~ esk6443_4(X1,X2,X3,X4)
    | ~ esk5571_4(X1,X2,X3,X4) )).

cnf(i_0_19843,axiom,
    ( ~ esk7194_4(X1,X2,X3,X4)
    | esk7193_4(X1,X2,X3,X4) )).

cnf(i_0_19844,axiom,
    ( ~ esk2119_4(X1,X2,X3,X4)
    | esk2121_4(X1,X2,X3,X4) )).

cnf(i_0_19845,axiom,
    ( ~ esk4862_4(X1,X2,X3,X4)
    | esk4901_4(X1,X2,X3,X4) )).

cnf(i_0_19846,axiom,
    ( ~ esk8542_4(X1,X2,X3,X4)
    | esk8543_4(X1,X2,X3,X4)
    | ~ esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_19847,axiom,
    ( esk1044_0
    | ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_19848,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6541_4(X1,X2,X3,X4) )).

cnf(i_0_19849,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9326_4(X1,X2,X3,X4) )).

cnf(i_0_19850,axiom,
    ( esk4669_4(X1,X2,X3,X4)
    | ~ esk4668_4(X1,X2,X3,X4) )).

cnf(i_0_19851,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6894_4(X1,X2,X3,X4) )).

cnf(i_0_19852,axiom,
    ( ~ esk3544_4(X1,X2,X3,X4)
    | esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_19853,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5131_4(X1,X2,X3,X4) )).

cnf(i_0_19854,axiom,
    ( esk4718_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_19855,axiom,
    ( esk5841_4(X1,X2,X3,X4)
    | ~ esk5595_4(X1,X2,X3,X4) )).

cnf(i_0_19856,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4435_4(X1,X2,X3,X4) )).

cnf(i_0_19857,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5132_4(X1,X2,X3,X4) )).

cnf(i_0_19858,axiom,
    ( esk7792_4(X1,X2,X3,X4)
    | ~ esk7793_4(X1,X2,X3,X4) )).

cnf(i_0_19859,axiom,
    ( ~ p(X4)
    | ~ esk8735_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | esk717_0
    | p(X2) )).

cnf(i_0_19860,axiom,
    ( ~ esk7426_4(X1,X2,X3,X4)
    | esk7425_4(X1,X2,X3,X4) )).

cnf(i_0_19861,axiom,
    ( esk8600_4(X1,X2,X3,X4)
    | ~ esk8598_4(X1,X2,X3,X4) )).

cnf(i_0_19862,axiom,
    ( esk9719_4(X1,X2,X3,X4)
    | ~ esk9717_4(X1,X2,X3,X4) )).

cnf(i_0_19863,axiom,
    ( ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ esk340_0
    | esk1955_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_19864,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6316_4(X1,X2,X3,X4) )).

cnf(i_0_19865,axiom,
    ( ~ esk4642_4(X1,X2,X3,X4)
    | esk4641_4(X1,X2,X3,X4) )).

cnf(i_0_19866,axiom,
    ( esk105_0
    | ~ p(X2)
    | p(X4)
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_19867,axiom,
    ( ~ esk2277_4(X1,X2,X3,X4)
    | esk2280_4(X1,X2,X3,X4) )).

cnf(i_0_19868,axiom,
    ( esk4542_4(X1,X2,X3,X4)
    | ~ esk4541_4(X1,X2,X3,X4) )).

cnf(i_0_19869,axiom,
    ( esk5674_4(X1,X2,X3,X4)
    | ~ esk5691_4(X1,X2,X3,X4) )).

cnf(i_0_19870,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk537_0
    | p(X4)
    | ~ esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_19871,axiom,
    ( esk5509_4(X1,X2,X3,X4)
    | ~ esk5507_4(X1,X2,X3,X4) )).

cnf(i_0_19872,axiom,
    ( ~ esk3791_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk3792_4(X1,X2,X3,X4) )).

cnf(i_0_19873,axiom,
    ( ~ esk4883_4(X1,X2,X3,X4)
    | esk4826_4(X1,X2,X3,X4) )).

cnf(i_0_19874,axiom,
    ( ~ esk4534_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4150_4(X1,X2,X3,X4) )).

cnf(i_0_19875,axiom,
    ( esk4544_4(X1,X2,X3,X4)
    | esk5385_4(X1,X2,X3,X4)
    | ~ esk5386_4(X1,X2,X3,X4) )).

cnf(i_0_19876,axiom,
    ( ~ esk9512_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_19877,axiom,
    ( ~ esk4141_4(X1,X2,X3,X4)
    | esk4140_4(X1,X2,X3,X4) )).

cnf(i_0_19878,axiom,
    ( ~ esk9107_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk988_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_19879,axiom,
    ( ~ esk8168_4(X1,X2,X3,X4)
    | esk7733_4(X1,X2,X3,X4) )).

cnf(i_0_19880,axiom,
    ( ~ esk2882_4(X1,X2,X3,X4)
    | esk1684_4(X1,X2,X3,X4) )).

cnf(i_0_19881,axiom,
    ( ~ esk4684_4(X1,X2,X3,X4)
    | esk4685_4(X1,X2,X3,X4) )).

cnf(i_0_19882,axiom,
    ( esk9614_4(X1,X2,X3,X4)
    | ~ esk9611_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_19883,axiom,
    ( ~ esk3262_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk3265_4(X1,X2,X3,X4) )).

cnf(i_0_19884,axiom,
    ( ~ esk6836_4(X1,X2,X3,X4)
    | esk6835_4(X1,X2,X3,X4)
    | esk6834_4(X1,X2,X3,X4) )).

cnf(i_0_19885,axiom,
    ( ~ esk6806_4(X1,X2,X3,X4)
    | esk6999_4(X1,X2,X3,X4) )).

cnf(i_0_19886,axiom,
    ( esk5462_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_19887,axiom,
    ( ~ esk475_0
    | ~ p(X3)
    | ~ p(X4)
    | esk8469_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_19888,axiom,
    ( ~ esk7003_4(X1,X2,X3,X4)
    | esk7081_4(X1,X2,X3,X4) )).

cnf(i_0_19889,axiom,
    ( ~ p(X3)
    | ~ esk8357_4(X1,X2,X3,X4)
    | esk437_0
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_19890,axiom,
    ( ~ esk7748_4(X1,X2,X3,X4)
    | esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_19891,axiom,
    ( esk7632_4(X1,X2,X3,X4)
    | ~ esk7029_4(X1,X2,X3,X4) )).

cnf(i_0_19892,axiom,
    ( esk6576_4(X1,X2,X3,X4)
    | ~ esk6110_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_19893,axiom,
    ( ~ esk8272_4(X1,X2,X3,X4)
    | esk8273_4(X1,X2,X3,X4)
    | ~ esk8205_4(X1,X2,X3,X4) )).

cnf(i_0_19894,axiom,
    ( esk7200_4(X1,X2,X3,X4)
    | ~ esk7206_4(X1,X2,X3,X4) )).

cnf(i_0_19895,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | esk9254_4(X1,X2,X3,X4)
    | ~ esk1339_0
    | p(X3) )).

cnf(i_0_19896,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk1013_0
    | ~ p(X2)
    | esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_19897,axiom,
    ( ~ esk7620_4(X1,X2,X3,X4)
    | esk7619_4(X1,X2,X3,X4)
    | esk7618_4(X1,X2,X3,X4) )).

cnf(i_0_19898,axiom,
    ( ~ p(X4)
    | ~ esk2022_4(X1,X2,X3,X4)
    | esk397_0
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_19899,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk1860_4(X1,X2,X3,X4)
    | esk283_0 )).

cnf(i_0_19900,axiom,
    ( esk7655_4(X1,X2,X3,X4)
    | ~ esk7777_4(X1,X2,X3,X4) )).

cnf(i_0_19901,axiom,
    ( esk7757_4(X1,X2,X3,X4)
    | ~ esk8054_4(X1,X2,X3,X4) )).

cnf(i_0_19902,axiom,
    ( ~ esk6827_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_19903,axiom,
    ( ~ esk4053_4(X1,X2,X3,X4)
    | esk6153_4(X1,X2,X3,X4) )).

cnf(i_0_19904,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | esk7900_4(X1,X2,X3,X4) )).

cnf(i_0_19905,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4)
    | esk9160_4(X1,X2,X3,X4) )).

cnf(i_0_19906,axiom,
    ( esk5219_4(X1,X2,X3,X4)
    | ~ esk5213_4(X1,X2,X3,X4)
    | ~ esk5218_4(X1,X2,X3,X4) )).

cnf(i_0_19907,axiom,
    ( ~ esk1876_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4)
    | esk1528_4(X1,X2,X3,X4) )).

cnf(i_0_19908,axiom,
    ( esk6396_4(X1,X2,X3,X4)
    | ~ esk6395_4(X1,X2,X3,X4) )).

cnf(i_0_19909,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5258_4(X1,X2,X3,X4) )).

cnf(i_0_19910,axiom,
    ( ~ p(X2)
    | esk1752_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X4)
    | ~ esk186_0 )).

cnf(i_0_19911,axiom,
    ( ~ esk6096_4(X1,X2,X3,X4)
    | esk6095_4(X1,X2,X3,X4) )).

cnf(i_0_19912,axiom,
    ( ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk9508_4(X1,X2,X3,X4) )).

cnf(i_0_19913,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8972_4(X1,X2,X3,X4) )).

cnf(i_0_19914,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk379_0
    | p(X4)
    | esk1995_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_19915,axiom,
    ( p(X1)
    | ~ esk1_0
    | esk2898_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_19916,axiom,
    ( ~ esk4534_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk4154_4(X1,X2,X3,X4) )).

cnf(i_0_19917,axiom,
    ( esk1704_4(X1,X2,X3,X4)
    | ~ esk1447_4(X1,X2,X3,X4) )).

cnf(i_0_19918,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk8170_4(X1,X2,X3,X4)
    | esk300_0 )).

cnf(i_0_19919,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7369_4(X1,X2,X3,X4) )).

cnf(i_0_19920,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2965_4(X1,X2,X3,X4) )).

cnf(i_0_19921,axiom,
    ( esk1550_4(X1,X2,X3,X4)
    | ~ esk1475_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_19922,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk255_0
    | ~ p(X4)
    | esk1776_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_19923,axiom,
    ( p(X1)
    | ~ esk1072_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk2872_4(X1,X2,X3,X4) )).

cnf(i_0_19924,axiom,
    ( esk3342_4(X1,X2,X3,X4)
    | ~ esk3341_4(X1,X2,X3,X4) )).

cnf(i_0_19925,axiom,
    ( p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk334_0
    | esk8251_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_19926,axiom,
    ( ~ esk1398_4(X1,X2,X3,X4)
    | esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_19927,axiom,
    ( esk4746_4(X1,X2,X3,X4)
    | ~ esk4747_4(X1,X2,X3,X4) )).

cnf(i_0_19928,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2037_4(X1,X2,X3,X4) )).

cnf(i_0_19929,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk694_0
    | ~ p(X3)
    | esk2437_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_19930,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk37_0
    | esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_19931,axiom,
    ( ~ esk5490_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_19932,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk5631_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_19933,axiom,
    ( ~ esk5189_4(X1,X2,X3,X4)
    | esk5192_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_19934,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2390_4(X1,X2,X3,X4) )).

cnf(i_0_19935,axiom,
    ( esk6878_4(X1,X2,X3,X4)
    | esk6879_4(X1,X2,X3,X4)
    | ~ esk6880_4(X1,X2,X3,X4) )).

cnf(i_0_19936,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk3389_4(X1,X2,X3,X4)
    | ~ esk3386_4(X1,X2,X3,X4) )).

cnf(i_0_19937,axiom,
    ( esk2337_4(X1,X2,X3,X4)
    | ~ esk2338_4(X1,X2,X3,X4)
    | esk2336_4(X1,X2,X3,X4) )).

cnf(i_0_19938,axiom,
    ( ~ esk1764_4(X1,X2,X3,X4)
    | esk1762_4(X1,X2,X3,X4) )).

cnf(i_0_19939,axiom,
    ( esk6913_4(X1,X2,X3,X4)
    | ~ esk6914_4(X1,X2,X3,X4) )).

cnf(i_0_19940,axiom,
    ( ~ esk1422_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_19941,axiom,
    ( esk497_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2212_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_19942,axiom,
    ( esk8788_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_19943,axiom,
    ( ~ esk5560_4(X1,X2,X3,X4)
    | ~ esk6022_4(X1,X2,X3,X4)
    | esk6050_4(X1,X2,X3,X4) )).

cnf(i_0_19944,axiom,
    ( p(X4)
    | esk2868_4(X1,X2,X3,X4)
    | ~ esk1049_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_19945,axiom,
    ( esk98_0
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_19946,axiom,
    ( esk5270_4(X1,X2,X3,X4)
    | ~ esk5271_4(X1,X2,X3,X4) )).

cnf(i_0_19947,axiom,
    ( ~ esk4612_4(X1,X2,X3,X4)
    | ~ esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_19948,axiom,
    ( ~ esk5870_4(X1,X2,X3,X4)
    | esk5721_4(X1,X2,X3,X4) )).

cnf(i_0_19949,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4296_4(X1,X2,X3,X4) )).

cnf(i_0_19950,axiom,
    ( ~ p(X3)
    | ~ esk482_0
    | esk2173_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_19951,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5226_4(X1,X2,X3,X4) )).

cnf(i_0_19952,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk620_0
    | p(X1)
    | esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_19953,axiom,
    ( esk8723_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk631_0
    | ~ p(X2) )).

cnf(i_0_19954,axiom,
    ( ~ esk6421_4(X1,X2,X3,X4)
    | esk6345_4(X1,X2,X3,X4) )).

cnf(i_0_19955,axiom,
    ( esk4997_4(X1,X2,X3,X4)
    | ~ esk3611_4(X1,X2,X3,X4) )).

cnf(i_0_19956,axiom,
    ( esk715_0
    | p(X2)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_19957,axiom,
    ( ~ p(X3)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | esk942_0 )).

cnf(i_0_19958,axiom,
    ( ~ esk1857_4(X1,X2,X3,X4)
    | esk1854_4(X1,X2,X3,X4) )).

cnf(i_0_19959,axiom,
    ( ~ esk2401_4(X1,X2,X3,X4)
    | esk2400_4(X1,X2,X3,X4) )).

cnf(i_0_19960,axiom,
    ( ~ esk8377_4(X1,X2,X3,X4)
    | esk8378_4(X1,X2,X3,X4)
    | ~ esk8314_4(X1,X2,X3,X4) )).

cnf(i_0_19961,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk8170_4(X1,X2,X3,X4)
    | esk302_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_19962,axiom,
    ( esk5313_4(X1,X2,X3,X4)
    | ~ esk4508_4(X1,X2,X3,X4) )).

cnf(i_0_19963,axiom,
    ( esk2282_4(X1,X2,X3,X4)
    | ~ esk2314_4(X1,X2,X3,X4) )).

cnf(i_0_19964,axiom,
    ( ~ esk4168_4(X1,X2,X3,X4)
    | esk4030_4(X1,X2,X3,X4) )).

cnf(i_0_19965,axiom,
    ( esk4325_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_19966,axiom,
    ( ~ esk4370_4(X1,X2,X3,X4)
    | esk4371_4(X1,X2,X3,X4) )).

cnf(i_0_19967,axiom,
    ( ~ esk3189_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_19968,axiom,
    ( esk4573_4(X1,X2,X3,X4)
    | ~ esk4571_4(X1,X2,X3,X4) )).

cnf(i_0_19969,axiom,
    ( ~ esk2853_4(X1,X2,X3,X4)
    | esk2852_4(X1,X2,X3,X4) )).

cnf(i_0_19970,axiom,
    ( ~ esk7588_4(X1,X2,X3,X4)
    | ~ esk6934_4(X1,X2,X3,X4)
    | esk6935_4(X1,X2,X3,X4) )).

cnf(i_0_19971,axiom,
    ( ~ esk2904_4(X1,X2,X3,X4)
    | esk2906_4(X1,X2,X3,X4) )).

cnf(i_0_19972,axiom,
    ( esk1412_4(X1,X2,X3,X4)
    | ~ esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_19973,axiom,
    ( esk5205_4(X1,X2,X3,X4)
    | ~ esk5204_4(X1,X2,X3,X4) )).

cnf(i_0_19974,axiom,
    ( esk7640_4(X1,X2,X3,X4)
    | ~ esk7062_4(X1,X2,X3,X4)
    | esk7641_4(X1,X2,X3,X4) )).

cnf(i_0_19975,axiom,
    ( ~ esk4521_4(X1,X2,X3,X4)
    | esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_19976,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk9083_4(X1,X2,X3,X4)
    | ~ esk803_0 )).

cnf(i_0_19977,axiom,
    ( esk8439_4(X1,X2,X3,X4)
    | ~ esk8440_4(X1,X2,X3,X4)
    | esk8438_4(X1,X2,X3,X4) )).

cnf(i_0_19978,axiom,
    ( esk677_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_19979,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk520_0
    | ~ p(X3)
    | esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_19980,axiom,
    ( ~ esk2694_4(X1,X2,X3,X4)
    | esk2692_4(X1,X2,X3,X4)
    | esk2693_4(X1,X2,X3,X4) )).

cnf(i_0_19981,axiom,
    ( esk7962_4(X1,X2,X3,X4)
    | ~ esk7963_4(X1,X2,X3,X4) )).

cnf(i_0_19982,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk9176_4(X1,X2,X3,X4)
    | ~ esk1137_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_19983,axiom,
    ( ~ esk1533_4(X1,X2,X3,X4)
    | esk1535_4(X1,X2,X3,X4) )).

cnf(i_0_19984,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | ~ esk5912_4(X1,X2,X3,X4) )).

cnf(i_0_19985,axiom,
    ( esk6485_4(X1,X2,X3,X4)
    | ~ esk6484_4(X1,X2,X3,X4) )).

cnf(i_0_19986,axiom,
    ( esk3789_4(X1,X2,X3,X4)
    | ~ esk3817_4(X1,X2,X3,X4) )).

cnf(i_0_19987,axiom,
    ( esk4886_4(X1,X2,X3,X4)
    | ~ esk4657_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_19988,axiom,
    ( esk4919_4(X1,X2,X3,X4)
    | ~ esk4953_4(X1,X2,X3,X4)
    | ~ esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_19989,axiom,
    ( ~ esk1564_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_19990,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | esk8578_4(X1,X2,X3,X4)
    | ~ esk8720_4(X1,X2,X3,X4) )).

cnf(i_0_19991,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6875_4(X1,X2,X3,X4) )).

cnf(i_0_19992,axiom,
    ( esk4548_4(X1,X2,X3,X4)
    | ~ esk4088_4(X1,X2,X3,X4) )).

cnf(i_0_19993,axiom,
    ( ~ p(X3)
    | ~ esk1746_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | esk147_0 )).

cnf(i_0_19994,axiom,
    ( esk4954_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_19995,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk281_0 )).

cnf(i_0_19996,axiom,
    ( esk6303_4(X1,X2,X3,X4)
    | ~ esk6301_4(X1,X2,X3,X4) )).

cnf(i_0_19997,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5174_4(X1,X2,X3,X4) )).

cnf(i_0_19998,axiom,
    ( ~ esk7044_4(X1,X2,X3,X4)
    | esk7038_4(X1,X2,X3,X4) )).

cnf(i_0_19999,axiom,
    ( esk9544_4(X1,X2,X3,X4)
    | ~ esk9545_4(X1,X2,X3,X4) )).

cnf(i_0_20000,axiom,
    ( esk292_0
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_20001,axiom,
    ( esk7771_4(X1,X2,X3,X4)
    | ~ esk7843_4(X1,X2,X3,X4) )).

cnf(i_0_20002,axiom,
    ( esk9468_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20003,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3602_4(X1,X2,X3,X4) )).

cnf(i_0_20004,axiom,
    ( ~ esk7933_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_20005,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2807_4(X1,X2,X3,X4)
    | esk962_0 )).

cnf(i_0_20006,axiom,
    ( ~ esk5541_4(X1,X2,X3,X4)
    | esk5542_4(X1,X2,X3,X4)
    | esk4963_4(X1,X2,X3,X4) )).

cnf(i_0_20007,axiom,
    ( ~ esk6964_4(X1,X2,X3,X4)
    | esk6965_4(X1,X2,X3,X4) )).

cnf(i_0_20008,axiom,
    ( esk8253_4(X1,X2,X3,X4)
    | ~ esk7658_4(X1,X2,X3,X4) )).

cnf(i_0_20009,axiom,
    ( ~ esk8821_4(X1,X2,X3,X4)
    | ~ esk9000_4(X1,X2,X3,X4)
    | esk9001_4(X1,X2,X3,X4) )).

cnf(i_0_20010,axiom,
    ( ~ esk1633_4(X1,X2,X3,X4)
    | esk1632_4(X1,X2,X3,X4) )).

cnf(i_0_20011,axiom,
    ( ~ esk3636_4(X1,X2,X3,X4)
    | esk3635_4(X1,X2,X3,X4) )).

cnf(i_0_20012,axiom,
    ( ~ esk8820_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_20013,axiom,
    ( ~ esk4910_4(X1,X2,X3,X4)
    | ~ esk3752_4(X1,X2,X3,X4) )).

cnf(i_0_20014,axiom,
    ( ~ esk4361_4(X1,X2,X3,X4)
    | esk4363_4(X1,X2,X3,X4) )).

cnf(i_0_20015,axiom,
    ( ~ p(X3)
    | ~ esk1746_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk148_0 )).

cnf(i_0_20016,axiom,
    ( esk9179_4(X1,X2,X3,X4)
    | ~ esk7981_4(X1,X2,X3,X4) )).

cnf(i_0_20017,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk175_0 )).

cnf(i_0_20018,axiom,
    ( ~ esk4315_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20019,axiom,
    ( ~ esk7619_4(X1,X2,X3,X4)
    | esk7620_4(X1,X2,X3,X4) )).

cnf(i_0_20020,axiom,
    ( ~ esk4404_4(X1,X2,X3,X4)
    | esk4406_4(X1,X2,X3,X4) )).

cnf(i_0_20021,axiom,
    ( ~ esk3188_4(X1,X2,X3,X4)
    | esk3190_4(X1,X2,X3,X4) )).

cnf(i_0_20022,axiom,
    ( ~ esk7810_4(X1,X2,X3,X4)
    | esk7779_4(X1,X2,X3,X4) )).

cnf(i_0_20023,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | esk1032_0
    | ~ esk9150_4(X1,X2,X3,X4) )).

cnf(i_0_20024,axiom,
    ( esk2798_4(X1,X2,X3,X4)
    | ~ esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_20025,axiom,
    ( esk6555_4(X1,X2,X3,X4)
    | esk6554_4(X1,X2,X3,X4)
    | ~ esk6556_4(X1,X2,X3,X4) )).

cnf(i_0_20026,axiom,
    ( esk8999_4(X1,X2,X3,X4)
    | ~ esk8997_4(X1,X2,X3,X4) )).

cnf(i_0_20027,axiom,
    ( esk8120_4(X1,X2,X3,X4)
    | ~ esk9157_4(X1,X2,X3,X4) )).

cnf(i_0_20028,axiom,
    ( esk5434_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_20029,axiom,
    ( esk8001_4(X1,X2,X3,X4)
    | ~ esk9231_4(X1,X2,X3,X4) )).

cnf(i_0_20030,axiom,
    ( ~ esk5394_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_20031,axiom,
    ( ~ esk8966_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_20032,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4366_4(X1,X2,X3,X4) )).

cnf(i_0_20033,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | esk438_0
    | p(X2)
    | ~ esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_20034,axiom,
    ( esk6868_4(X1,X2,X3,X4)
    | ~ esk7530_4(X1,X2,X3,X4) )).

cnf(i_0_20035,axiom,
    ( ~ esk1052_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk9164_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20036,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk3053_4(X1,X2,X3,X4)
    | ~ esk3050_4(X1,X2,X3,X4) )).

cnf(i_0_20037,axiom,
    ( ~ esk9700_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_20038,axiom,
    ( ~ esk7390_4(X1,X2,X3,X4)
    | esk7384_4(X1,X2,X3,X4) )).

cnf(i_0_20039,axiom,
    ( ~ esk7005_4(X1,X2,X3,X4)
    | esk6754_4(X1,X2,X3,X4) )).

cnf(i_0_20040,axiom,
    ( ~ p(X2)
    | esk550_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_20041,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4199_4(X1,X2,X3,X4) )).

cnf(i_0_20042,axiom,
    ( ~ esk2555_4(X1,X2,X3,X4)
    | esk2613_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_20043,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk9107_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk987_0
    | p(X3) )).

cnf(i_0_20044,axiom,
    ( ~ esk8724_4(X1,X2,X3,X4)
    | esk8463_4(X1,X2,X3,X4) )).

cnf(i_0_20045,axiom,
    ( esk2587_4(X1,X2,X3,X4)
    | esk3302_4(X1,X2,X3,X4) )).

cnf(i_0_20046,axiom,
    ( ~ esk2953_4(X1,X2,X3,X4)
    | esk1566_4(X1,X2,X3,X4)
    | ~ esk1480_4(X1,X2,X3,X4) )).

cnf(i_0_20047,axiom,
    ( esk9416_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_20048,axiom,
    ( ~ esk7239_4(X1,X2,X3,X4)
    | esk7240_4(X1,X2,X3,X4) )).

cnf(i_0_20049,axiom,
    ( ~ esk9361_4(X1,X2,X3,X4)
    | esk9360_4(X1,X2,X3,X4) )).

cnf(i_0_20050,axiom,
    ( esk7599_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6840_4(X1,X2,X3,X4) )).

cnf(i_0_20051,axiom,
    ( esk171_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_20052,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk8713_4(X1,X2,X3,X4)
    | ~ esk552_0 )).

cnf(i_0_20053,axiom,
    ( ~ esk2435_4(X1,X2,X3,X4)
    | p(X4)
    | esk687_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_20054,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | ~ esk6362_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_20055,axiom,
    ( ~ esk3654_4(X1,X2,X3,X4)
    | esk3717_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_20056,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk1297_0
    | esk2942_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_20057,axiom,
    ( esk4793_4(X1,X2,X3,X4)
    | ~ esk4791_4(X1,X2,X3,X4) )).

cnf(i_0_20058,axiom,
    ( ~ esk8921_4(X1,X2,X3,X4)
    | esk8923_4(X1,X2,X3,X4) )).

cnf(i_0_20059,axiom,
    ( esk6589_4(X1,X2,X3,X4)
    | ~ esk6588_4(X1,X2,X3,X4) )).

cnf(i_0_20060,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5709_4(X1,X2,X3,X4) )).

cnf(i_0_20061,axiom,
    ( ~ esk9098_4(X1,X2,X3,X4)
    | esk8850_4(X1,X2,X3,X4) )).

cnf(i_0_20062,axiom,
    ( esk1904_4(X1,X2,X3,X4)
    | ~ esk1938_4(X1,X2,X3,X4) )).

cnf(i_0_20063,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk1079_0
    | ~ p(X1)
    | p(X4)
    | esk2872_4(X1,X2,X3,X4) )).

cnf(i_0_20064,axiom,
    ( esk7157_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20065,axiom,
    ( esk1_0
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_20066,axiom,
    ( ~ esk3928_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20067,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4640_4(X1,X2,X3,X4)
    | esk4808_4(X1,X2,X3,X4) )).

cnf(i_0_20068,axiom,
    ( ~ p(X1)
    | esk2868_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk1047_0 )).

cnf(i_0_20069,axiom,
    ( ~ esk6181_4(X1,X2,X3,X4)
    | ~ esk6182_4(X1,X2,X3,X4)
    | ~ esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_20070,axiom,
    ( ~ esk4944_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_20071,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk4630_4(X1,X2,X3,X4) )).

cnf(i_0_20072,axiom,
    ( esk2096_4(X1,X2,X3,X4)
    | ~ esk1357_4(X1,X2,X3,X4) )).

cnf(i_0_20073,axiom,
    ( esk3987_4(X1,X2,X3,X4)
    | ~ esk4052_4(X1,X2,X3,X4) )).

cnf(i_0_20074,axiom,
    ( ~ esk2576_4(X1,X2,X3,X4)
    | esk2057_4(X1,X2,X3,X4) )).

cnf(i_0_20075,axiom,
    ( ~ esk1017_0
    | ~ p(X4)
    | esk9111_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_20076,axiom,
    ( ~ esk5787_4(X1,X2,X3,X4)
    | esk5789_4(X1,X2,X3,X4) )).

cnf(i_0_20077,axiom,
    ( ~ esk1619_4(X1,X2,X3,X4)
    | esk2917_4(X1,X2,X3,X4) )).

cnf(i_0_20078,axiom,
    ( ~ esk3165_4(X1,X2,X3,X4)
    | esk3166_4(X1,X2,X3,X4) )).

cnf(i_0_20079,axiom,
    ( ~ esk8616_4(X1,X2,X3,X4)
    | esk8165_4(X1,X2,X3,X4) )).

cnf(i_0_20080,axiom,
    ( esk5934_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_20081,axiom,
    ( esk7077_4(X1,X2,X3,X4)
    | ~ esk5785_4(X1,X2,X3,X4) )).

cnf(i_0_20082,axiom,
    ( ~ esk1328_0
    | ~ p(X2)
    | ~ p(X3)
    | esk2956_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_20083,axiom,
    ( ~ p(X1)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X4)
    | esk601_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_20084,axiom,
    ( esk579_0
    | p(X4)
    | p(X1)
    | ~ esk8717_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_20085,axiom,
    ( esk5870_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_20086,axiom,
    ( esk4456_4(X1,X2,X3,X4)
    | ~ esk4457_4(X1,X2,X3,X4)
    | esk4455_4(X1,X2,X3,X4) )).

cnf(i_0_20087,axiom,
    ( esk8278_4(X1,X2,X3,X4)
    | ~ esk8279_4(X1,X2,X3,X4)
    | esk8276_4(X1,X2,X3,X4)
    | esk8277_4(X1,X2,X3,X4) )).

cnf(i_0_20088,axiom,
    ( ~ esk1390_4(X1,X2,X3,X4)
    | esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_20089,axiom,
    ( ~ esk7831_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_20090,axiom,
    ( ~ p(X2)
    | esk662_0
    | ~ p(X3)
    | p(X4)
    | ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_20091,axiom,
    ( ~ esk7162_4(X1,X2,X3,X4)
    | esk7164_4(X1,X2,X3,X4) )).

cnf(i_0_20092,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk791_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_20093,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4726_4(X1,X2,X3,X4) )).

cnf(i_0_20094,axiom,
    ( esk5437_4(X1,X2,X3,X4)
    | ~ esk5436_4(X1,X2,X3,X4) )).

cnf(i_0_20095,axiom,
    ( ~ esk3692_4(X1,X2,X3,X4)
    | esk3691_4(X1,X2,X3,X4) )).

cnf(i_0_20096,axiom,
    ( esk6892_4(X1,X2,X3,X4)
    | ~ esk6891_4(X1,X2,X3,X4) )).

cnf(i_0_20097,axiom,
    ( esk2460_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_20098,axiom,
    ( esk6165_4(X1,X2,X3,X4)
    | ~ esk6166_4(X1,X2,X3,X4) )).

cnf(i_0_20099,axiom,
    ( ~ esk5472_4(X1,X2,X3,X4)
    | esk5469_4(X1,X2,X3,X4) )).

cnf(i_0_20100,axiom,
    ( ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6247_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_20101,axiom,
    ( esk9238_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk1293_0 )).

cnf(i_0_20102,axiom,
    ( esk1710_4(X1,X2,X3,X4)
    | ~ esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_20103,axiom,
    ( ~ esk2579_4(X1,X2,X3,X4)
    | ~ esk3302_4(X1,X2,X3,X4) )).

cnf(i_0_20104,axiom,
    ( esk4695_4(X1,X2,X3,X4)
    | ~ esk4894_4(X1,X2,X3,X4)
    | ~ esk4694_4(X1,X2,X3,X4) )).

cnf(i_0_20105,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1212_0
    | p(X2)
    | ~ esk2898_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20106,axiom,
    ( esk7924_4(X1,X2,X3,X4)
    | ~ esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_20107,axiom,
    ( esk4446_4(X1,X2,X3,X4)
    | ~ esk4447_4(X1,X2,X3,X4) )).

cnf(i_0_20108,axiom,
    ( esk6870_4(X1,X2,X3,X4)
    | ~ esk6869_4(X1,X2,X3,X4)
    | ~ esk6685_4(X1,X2,X3,X4) )).

cnf(i_0_20109,axiom,
    ( ~ esk2886_4(X1,X2,X3,X4)
    | ~ esk1592_4(X1,X2,X3,X4)
    | esk1593_4(X1,X2,X3,X4) )).

cnf(i_0_20110,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_20111,axiom,
    ( esk2474_4(X1,X2,X3,X4)
    | ~ esk2506_4(X1,X2,X3,X4) )).

cnf(i_0_20112,axiom,
    ( esk2175_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_20113,axiom,
    ( esk1472_4(X1,X2,X3,X4)
    | ~ esk1470_4(X1,X2,X3,X4) )).

cnf(i_0_20114,axiom,
    ( esk2080_4(X1,X2,X3,X4)
    | ~ esk2081_4(X1,X2,X3,X4) )).

cnf(i_0_20115,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk9168_4(X1,X2,X3,X4)
    | ~ esk1081_0 )).

cnf(i_0_20116,axiom,
    ( esk9373_4(X1,X2,X3,X4)
    | ~ esk9375_4(X1,X2,X3,X4)
    | esk9374_4(X1,X2,X3,X4) )).

cnf(i_0_20117,axiom,
    ( ~ esk8742_4(X1,X2,X3,X4)
    | ~ esk9583_4(X1,X2,X3,X4)
    | ~ esk9584_4(X1,X2,X3,X4) )).

cnf(i_0_20118,axiom,
    ( p(X3)
    | esk2212_4(X1,X2,X3,X4)
    | ~ esk486_0
    | p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_20119,axiom,
    ( esk3066_4(X1,X2,X3,X4)
    | ~ esk3064_4(X1,X2,X3,X4) )).

cnf(i_0_20120,axiom,
    ( esk1836_4(X1,X2,X3,X4)
    | ~ esk1833_4(X1,X2,X3,X4)
    | ~ esk1835_4(X1,X2,X3,X4) )).

cnf(i_0_20121,axiom,
    ( esk5269_4(X1,X2,X3,X4)
    | ~ esk5275_4(X1,X2,X3,X4) )).

cnf(i_0_20122,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk9238_4(X1,X2,X3,X4)
    | esk1295_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_20123,axiom,
    ( ~ esk4236_4(X1,X2,X3,X4)
    | esk4238_4(X1,X2,X3,X4) )).

cnf(i_0_20124,axiom,
    ( esk4761_4(X1,X2,X3,X4)
    | ~ esk4760_4(X1,X2,X3,X4) )).

cnf(i_0_20125,axiom,
    ( ~ esk1717_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_20126,axiom,
    ( ~ esk8365_4(X1,X2,X3,X4)
    | esk8366_4(X1,X2,X3,X4)
    | ~ esk8228_4(X1,X2,X3,X4) )).

cnf(i_0_20127,axiom,
    ( ~ esk9305_4(X1,X2,X3,X4)
    | esk9307_4(X1,X2,X3,X4) )).

cnf(i_0_20128,axiom,
    ( esk3861_4(X1,X2,X3,X4)
    | ~ esk3863_4(X1,X2,X3,X4) )).

cnf(i_0_20129,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6202_4(X1,X2,X3,X4) )).

cnf(i_0_20130,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk2880_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1128_0
    | p(X2) )).

cnf(i_0_20131,axiom,
    ( ~ esk9098_4(X1,X2,X3,X4)
    | ~ esk8904_4(X1,X2,X3,X4)
    | esk8905_4(X1,X2,X3,X4) )).

cnf(i_0_20132,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6283_4(X1,X2,X3,X4) )).

cnf(i_0_20133,axiom,
    ( esk4223_4(X1,X2,X3,X4)
    | ~ esk4530_4(X1,X2,X3,X4)
    | ~ esk4189_4(X1,X2,X3,X4) )).

cnf(i_0_20134,axiom,
    ( ~ esk6433_4(X1,X2,X3,X4)
    | esk6435_4(X1,X2,X3,X4) )).

cnf(i_0_20135,axiom,
    ( ~ esk4646_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_20136,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk938_0
    | ~ esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_20137,axiom,
    ( esk3695_4(X1,X2,X3,X4)
    | ~ esk3696_4(X1,X2,X3,X4) )).

cnf(i_0_20138,axiom,
    ( esk9487_4(X1,X2,X3,X4)
    | ~ esk9485_4(X1,X2,X3,X4) )).

cnf(i_0_20139,axiom,
    ( ~ esk2406_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_20140,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7343_4(X1,X2,X3,X4) )).

cnf(i_0_20141,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk461_0
    | p(X3)
    | esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_20142,axiom,
    ( esk5006_4(X1,X2,X3,X4)
    | ~ esk3710_4(X1,X2,X3,X4) )).

cnf(i_0_20143,axiom,
    ( esk5293_4(X1,X2,X3,X4)
    | ~ esk5292_4(X1,X2,X3,X4) )).

cnf(i_0_20144,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk8357_4(X1,X2,X3,X4)
    | ~ esk434_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_20145,axiom,
    ( esk3937_4(X1,X2,X3,X4)
    | esk3938_4(X1,X2,X3,X4)
    | ~ esk3939_4(X1,X2,X3,X4) )).

cnf(i_0_20146,axiom,
    ( ~ esk2898_4(X1,X2,X3,X4)
    | esk1217_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_20147,axiom,
    ( ~ esk7153_4(X1,X2,X3,X4)
    | esk5837_4(X1,X2,X3,X4) )).

cnf(i_0_20148,axiom,
    ( ~ esk4930_4(X1,X2,X3,X4)
    | esk5533_4(X1,X2,X3,X4) )).

cnf(i_0_20149,axiom,
    ( ~ esk2639_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk2640_4(X1,X2,X3,X4) )).

cnf(i_0_20150,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk1938_4(X1,X2,X3,X4) )).

cnf(i_0_20151,axiom,
    ( esk5114_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20152,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk2_0
    | ~ esk8318_4(X1,X2,X3,X4) )).

cnf(i_0_20153,axiom,
    ( ~ esk311_0
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_20154,axiom,
    ( ~ esk4570_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20155,axiom,
    ( esk7731_4(X1,X2,X3,X4)
    | ~ esk7729_4(X1,X2,X3,X4) )).

cnf(i_0_20156,axiom,
    ( ~ esk9568_4(X1,X2,X3,X4)
    | esk9571_4(X1,X2,X3,X4) )).

cnf(i_0_20157,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk1842_4(X1,X2,X3,X4)
    | ~ esk266_0
    | p(X3) )).

cnf(i_0_20158,axiom,
    ( ~ esk5608_4(X1,X2,X3,X4)
    | esk6519_4(X1,X2,X3,X4) )).

cnf(i_0_20159,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5074_4(X1,X2,X3,X4) )).

cnf(i_0_20160,axiom,
    ( esk8987_4(X1,X2,X3,X4)
    | ~ esk9669_4(X1,X2,X3,X4) )).

cnf(i_0_20161,axiom,
    ( ~ esk3044_4(X1,X2,X3,X4)
    | esk3043_4(X1,X2,X3,X4) )).

cnf(i_0_20162,axiom,
    ( esk8414_4(X1,X2,X3,X4)
    | ~ esk8412_4(X1,X2,X3,X4) )).

cnf(i_0_20163,axiom,
    ( esk8863_4(X1,X2,X3,X4)
    | ~ esk8218_4(X1,X2,X3,X4) )).

cnf(i_0_20164,axiom,
    ( ~ esk5738_4(X1,X2,X3,X4)
    | esk5739_4(X1,X2,X3,X4)
    | ~ esk5874_4(X1,X2,X3,X4) )).

cnf(i_0_20165,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk7738_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk42_0
    | ~ p(X4) )).

cnf(i_0_20166,axiom,
    ( esk8378_4(X1,X2,X3,X4)
    | esk8379_4(X1,X2,X3,X4)
    | ~ esk8380_4(X1,X2,X3,X4) )).

cnf(i_0_20167,axiom,
    ( ~ esk8878_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20168,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2505_4(X1,X2,X3,X4) )).

cnf(i_0_20169,axiom,
    ( ~ esk8156_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk285_0 )).

cnf(i_0_20170,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_20171,axiom,
    ( esk9303_4(X1,X2,X3,X4)
    | ~ esk9306_4(X1,X2,X3,X4) )).

cnf(i_0_20172,axiom,
    ( esk5806_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_20173,axiom,
    ( ~ esk1620_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_20174,axiom,
    ( esk8817_4(X1,X2,X3,X4)
    | ~ esk8816_4(X1,X2,X3,X4) )).

cnf(i_0_20175,axiom,
    ( esk1431_4(X1,X2,X3,X4)
    | ~ esk1432_4(X1,X2,X3,X4) )).

cnf(i_0_20176,axiom,
    ( ~ esk7890_4(X1,X2,X3,X4)
    | esk7889_4(X1,X2,X3,X4) )).

cnf(i_0_20177,axiom,
    ( esk8658_4(X1,X2,X3,X4)
    | ~ esk8659_4(X1,X2,X3,X4)
    | esk8657_4(X1,X2,X3,X4) )).

cnf(i_0_20178,axiom,
    ( ~ esk7182_4(X1,X2,X3,X4)
    | esk7184_4(X1,X2,X3,X4) )).

cnf(i_0_20179,axiom,
    ( ~ esk3424_4(X1,X2,X3,X4)
    | esk3426_4(X1,X2,X3,X4) )).

cnf(i_0_20180,axiom,
    ( ~ esk9617_4(X1,X2,X3,X4)
    | esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_20181,axiom,
    ( esk8440_4(X1,X2,X3,X4)
    | ~ esk8439_4(X1,X2,X3,X4) )).

cnf(i_0_20182,axiom,
    ( ~ esk3977_4(X1,X2,X3,X4)
    | ~ esk4666_4(X1,X2,X3,X4) )).

cnf(i_0_20183,axiom,
    ( p(X4)
    | ~ esk782_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_20184,axiom,
    ( ~ esk4767_4(X1,X2,X3,X4)
    | esk4585_4(X1,X2,X3,X4) )).

cnf(i_0_20185,axiom,
    ( esk1291_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_20186,axiom,
    ( ~ p(X2)
    | esk8283_4(X1,X2,X3,X4)
    | ~ esk368_0
    | p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_20187,axiom,
    ( esk9745_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4)
    | ~ esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_20188,axiom,
    ( ~ esk5014_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4) )).

cnf(i_0_20189,axiom,
    ( ~ esk6354_4(X1,X2,X3,X4)
    | esk6355_4(X1,X2,X3,X4)
    | ~ esk6485_4(X1,X2,X3,X4) )).

cnf(i_0_20190,axiom,
    ( ~ esk2641_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_20191,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9697_4(X1,X2,X3,X4) )).

cnf(i_0_20192,axiom,
    ( p(X2)
    | ~ esk1_0
    | p(X4)
    | p(X3)
    | p(X1)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_20193,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2659_4(X1,X2,X3,X4) )).

cnf(i_0_20194,axiom,
    ( ~ esk4984_4(X1,X2,X3,X4)
    | esk7084_4(X1,X2,X3,X4) )).

cnf(i_0_20195,axiom,
    ( esk8722_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8539_4(X1,X2,X3,X4) )).

cnf(i_0_20196,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | ~ esk2925_4(X1,X2,X3,X4) )).

cnf(i_0_20197,axiom,
    ( esk1224_0
    | ~ p(X3)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_20198,axiom,
    ( ~ esk5859_4(X1,X2,X3,X4)
    | esk5860_4(X1,X2,X3,X4)
    | ~ esk5929_4(X1,X2,X3,X4) )).

cnf(i_0_20199,axiom,
    ( ~ esk4157_4(X1,X2,X3,X4)
    | ~ esk4148_4(X1,X2,X3,X4)
    | ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_20200,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9549_4(X1,X2,X3,X4) )).

cnf(i_0_20201,axiom,
    ( esk4603_4(X1,X2,X3,X4)
    | ~ esk4601_4(X1,X2,X3,X4) )).

cnf(i_0_20202,axiom,
    ( esk7336_4(X1,X2,X3,X4)
    | ~ esk7335_4(X1,X2,X3,X4) )).

cnf(i_0_20203,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9364_4(X1,X2,X3,X4) )).

cnf(i_0_20204,axiom,
    ( ~ esk5413_4(X1,X2,X3,X4)
    | esk5411_4(X1,X2,X3,X4)
    | esk5412_4(X1,X2,X3,X4) )).

cnf(i_0_20205,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2766_4(X1,X2,X3,X4) )).

cnf(i_0_20206,axiom,
    ( ~ esk9325_4(X1,X2,X3,X4)
    | esk9327_4(X1,X2,X3,X4) )).

cnf(i_0_20207,axiom,
    ( ~ esk6454_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6491_4(X1,X2,X3,X4) )).

cnf(i_0_20208,axiom,
    ( ~ esk2253_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_20209,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | ~ esk3588_4(X1,X2,X3,X4) )).

cnf(i_0_20210,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk2212_4(X1,X2,X3,X4)
    | ~ esk485_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_20211,axiom,
    ( esk6518_4(X1,X2,X3,X4)
    | ~ esk8618_4(X1,X2,X3,X4) )).

cnf(i_0_20212,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8603_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20213,axiom,
    ( esk8978_4(X1,X2,X3,X4)
    | esk8977_4(X1,X2,X3,X4)
    | ~ esk8979_4(X1,X2,X3,X4) )).

cnf(i_0_20214,axiom,
    ( esk6117_4(X1,X2,X3,X4)
    | ~ esk6370_4(X1,X2,X3,X4) )).

cnf(i_0_20215,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6752_4(X1,X2,X3,X4)
    | esk6807_4(X1,X2,X3,X4) )).

cnf(i_0_20216,axiom,
    ( esk8588_4(X1,X2,X3,X4)
    | ~ esk8589_4(X1,X2,X3,X4) )).

cnf(i_0_20217,axiom,
    ( ~ esk5907_4(X1,X2,X3,X4)
    | esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_20218,axiom,
    ( ~ esk4267_4(X1,X2,X3,X4)
    | esk4266_4(X1,X2,X3,X4) )).

cnf(i_0_20219,axiom,
    ( esk7148_4(X1,X2,X3,X4)
    | ~ esk7143_4(X1,X2,X3,X4) )).

cnf(i_0_20220,axiom,
    ( esk6706_4(X1,X2,X3,X4)
    | ~ esk6705_4(X1,X2,X3,X4) )).

cnf(i_0_20221,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4431_4(X1,X2,X3,X4) )).

cnf(i_0_20222,axiom,
    ( ~ esk6507_4(X1,X2,X3,X4)
    | esk6357_4(X1,X2,X3,X4) )).

cnf(i_0_20223,axiom,
    ( ~ esk7379_4(X1,X2,X3,X4)
    | esk7380_4(X1,X2,X3,X4) )).

cnf(i_0_20224,axiom,
    ( ~ esk9413_4(X1,X2,X3,X4)
    | esk9412_4(X1,X2,X3,X4) )).

cnf(i_0_20225,axiom,
    ( esk2061_4(X1,X2,X3,X4)
    | ~ esk1415_4(X1,X2,X3,X4) )).

cnf(i_0_20226,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk2289_4(X1,X2,X3,X4)
    | esk522_0
    | ~ p(X3) )).

cnf(i_0_20227,axiom,
    ( ~ esk8173_4(X1,X2,X3,X4)
    | esk7747_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_20228,axiom,
    ( ~ esk2600_4(X1,X2,X3,X4)
    | esk2599_4(X1,X2,X3,X4) )).

cnf(i_0_20229,axiom,
    ( esk4733_4(X1,X2,X3,X4)
    | ~ esk4732_4(X1,X2,X3,X4) )).

cnf(i_0_20230,axiom,
    ( ~ esk9656_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_20231,axiom,
    ( esk4333_4(X1,X2,X3,X4)
    | ~ esk4334_4(X1,X2,X3,X4) )).

cnf(i_0_20232,axiom,
    ( ~ esk8243_4(X1,X2,X3,X4)
    | esk8244_4(X1,X2,X3,X4) )).

cnf(i_0_20233,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk151_0
    | ~ p(X2)
    | esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_20234,axiom,
    ( ~ esk584_0
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_20235,axiom,
    ( ~ p(X1)
    | esk1748_4(X1,X2,X3,X4)
    | ~ esk161_0
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_20236,axiom,
    ( ~ esk8687_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_20237,axiom,
    ( esk5384_4(X1,X2,X3,X4)
    | ~ esk5381_4(X1,X2,X3,X4) )).

cnf(i_0_20238,axiom,
    ( esk3270_4(X1,X2,X3,X4)
    | ~ esk3268_4(X1,X2,X3,X4) )).

cnf(i_0_20239,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | esk3355_4(X1,X2,X3,X4) )).

cnf(i_0_20240,axiom,
    ( esk8662_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20241,axiom,
    ( esk7080_4(X1,X2,X3,X4)
    | ~ esk4980_4(X1,X2,X3,X4) )).

cnf(i_0_20242,axiom,
    ( esk9223_4(X1,X2,X3,X4)
    | ~ esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_20243,axiom,
    ( ~ esk6284_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_20244,axiom,
    ( ~ esk7242_4(X1,X2,X3,X4)
    | esk7244_4(X1,X2,X3,X4) )).

cnf(i_0_20245,axiom,
    ( esk6432_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20246,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2433_4(X1,X2,X3,X4)
    | esk664_0
    | p(X2) )).

cnf(i_0_20247,axiom,
    ( ~ esk5168_4(X1,X2,X3,X4)
    | esk5165_4(X1,X2,X3,X4) )).

cnf(i_0_20248,axiom,
    ( ~ p(X1)
    | ~ esk8747_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | esk733_0
    | p(X2) )).

cnf(i_0_20249,axiom,
    ( ~ esk3721_4(X1,X2,X3,X4)
    | esk3722_4(X1,X2,X3,X4) )).

cnf(i_0_20250,axiom,
    ( p(X4)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | ~ esk514_0 )).

cnf(i_0_20251,axiom,
    ( esk8137_4(X1,X2,X3,X4)
    | ~ esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_20252,axiom,
    ( ~ esk7013_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk7633_4(X1,X2,X3,X4) )).

cnf(i_0_20253,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk4148_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_20254,axiom,
    ( ~ esk5637_4(X1,X2,X3,X4)
    | esk5842_4(X1,X2,X3,X4) )).

cnf(i_0_20255,axiom,
    ( ~ esk8637_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20256,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | esk4107_4(X1,X2,X3,X4)
    | ~ esk4069_4(X1,X2,X3,X4) )).

cnf(i_0_20257,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk9099_4(X1,X2,X3,X4)
    | p(X3)
    | esk919_0
    | p(X2) )).

cnf(i_0_20258,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1507_4(X1,X2,X3,X4) )).

cnf(i_0_20259,axiom,
    ( p(X1)
    | ~ esk8254_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | esk352_0
    | p(X4) )).

cnf(i_0_20260,axiom,
    ( ~ esk5861_4(X1,X2,X3,X4)
    | esk7134_4(X1,X2,X3,X4) )).

cnf(i_0_20261,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk2803_4(X1,X2,X3,X4)
    | esk923_0
    | p(X1)
    | p(X4) )).

cnf(i_0_20262,axiom,
    ( esk9548_4(X1,X2,X3,X4)
    | ~ esk9549_4(X1,X2,X3,X4) )).

cnf(i_0_20263,axiom,
    ( ~ esk1886_4(X1,X2,X3,X4)
    | esk1879_4(X1,X2,X3,X4) )).

cnf(i_0_20264,axiom,
    ( ~ esk2919_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | esk1518_4(X1,X2,X3,X4) )).

cnf(i_0_20265,axiom,
    ( ~ esk2542_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | esk2543_4(X1,X2,X3,X4) )).

cnf(i_0_20266,axiom,
    ( esk9088_4(X1,X2,X3,X4)
    | ~ esk6988_4(X1,X2,X3,X4) )).

cnf(i_0_20267,axiom,
    ( ~ esk4755_4(X1,X2,X3,X4)
    | esk4754_4(X1,X2,X3,X4) )).

cnf(i_0_20268,axiom,
    ( ~ p(X1)
    | esk9238_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk1306_0
    | ~ p(X4) )).

cnf(i_0_20269,axiom,
    ( ~ p(X2)
    | esk2095_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk458_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_20270,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7269_4(X1,X2,X3,X4) )).

cnf(i_0_20271,axiom,
    ( esk7102_4(X1,X2,X3,X4)
    | ~ esk6649_4(X1,X2,X3,X4)
    | ~ esk7101_4(X1,X2,X3,X4) )).

cnf(i_0_20272,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk3029_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_20273,axiom,
    ( esk7831_4(X1,X2,X3,X4)
    | ~ esk7832_4(X1,X2,X3,X4)
    | esk7830_4(X1,X2,X3,X4) )).

cnf(i_0_20274,axiom,
    ( ~ esk3795_4(X1,X2,X3,X4)
    | esk3967_4(X1,X2,X3,X4) )).

cnf(i_0_20275,axiom,
    ( ~ esk6653_4(X1,X2,X3,X4)
    | ~ esk7646_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_20276,axiom,
    ( esk9523_4(X1,X2,X3,X4)
    | ~ esk9521_4(X1,X2,X3,X4) )).

cnf(i_0_20277,axiom,
    ( ~ esk9449_4(X1,X2,X3,X4)
    | esk9451_4(X1,X2,X3,X4) )).

cnf(i_0_20278,axiom,
    ( ~ esk5968_4(X1,X2,X3,X4)
    | esk5967_4(X1,X2,X3,X4) )).

cnf(i_0_20279,axiom,
    ( esk8729_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk676_0 )).

cnf(i_0_20280,axiom,
    ( ~ esk6740_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_20281,axiom,
    ( ~ esk5430_4(X1,X2,X3,X4)
    | esk5431_4(X1,X2,X3,X4)
    | ~ esk4769_4(X1,X2,X3,X4) )).

cnf(i_0_20282,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | esk3661_4(X1,X2,X3,X4)
    | ~ esk3578_4(X1,X2,X3,X4) )).

cnf(i_0_20283,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8851_4(X1,X2,X3,X4)
    | esk8906_4(X1,X2,X3,X4) )).

cnf(i_0_20284,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ esk11_0
    | esk1438_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_20285,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2778_4(X1,X2,X3,X4) )).

cnf(i_0_20286,axiom,
    ( p(X3)
    | p(X1)
    | ~ p(X2)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk922_0 )).

cnf(i_0_20287,axiom,
    ( ~ esk6382_4(X1,X2,X3,X4)
    | esk6381_4(X1,X2,X3,X4) )).

cnf(i_0_20288,axiom,
    ( ~ esk3632_4(X1,X2,X3,X4)
    | esk3634_4(X1,X2,X3,X4) )).

cnf(i_0_20289,axiom,
    ( ~ esk5686_4(X1,X2,X3,X4)
    | esk5685_4(X1,X2,X3,X4) )).

cnf(i_0_20290,axiom,
    ( esk6900_4(X1,X2,X3,X4)
    | ~ esk7594_4(X1,X2,X3,X4) )).

cnf(i_0_20291,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk2894_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk1199_0 )).

cnf(i_0_20292,axiom,
    ( esk1644_4(X1,X2,X3,X4)
    | ~ esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_20293,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ esk1_0
    | esk2809_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20294,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk394_0
    | esk8318_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_20295,axiom,
    ( p(X2)
    | ~ esk717_0
    | p(X4)
    | ~ p(X3)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_20296,axiom,
    ( ~ esk2741_4(X1,X2,X3,X4)
    | esk3310_4(X1,X2,X3,X4) )).

cnf(i_0_20297,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7323_4(X1,X2,X3,X4) )).

cnf(i_0_20298,axiom,
    ( esk4721_4(X1,X2,X3,X4)
    | ~ esk5460_4(X1,X2,X3,X4) )).

cnf(i_0_20299,axiom,
    ( ~ esk7052_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4)
    | esk7022_4(X1,X2,X3,X4) )).

cnf(i_0_20300,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9313_4(X1,X2,X3,X4) )).

cnf(i_0_20301,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1799_4(X1,X2,X3,X4) )).

cnf(i_0_20302,axiom,
    ( ~ esk9406_4(X1,X2,X3,X4)
    | esk9407_4(X1,X2,X3,X4) )).

cnf(i_0_20303,axiom,
    ( esk891_0
    | ~ p(X2)
    | p(X1)
    | ~ esk2799_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_20304,axiom,
    ( esk1966_4(X1,X2,X3,X4)
    | ~ esk1964_4(X1,X2,X3,X4) )).

cnf(i_0_20305,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk973_0
    | ~ esk9105_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_20306,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk5891_4(X1,X2,X3,X4) )).

cnf(i_0_20307,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk1746_4(X1,X2,X3,X4)
    | esk142_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_20308,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | esk427_0
    | ~ p(X2)
    | ~ esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_20309,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | esk8342_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_20310,axiom,
    ( ~ esk1670_4(X1,X2,X3,X4)
    | esk3770_4(X1,X2,X3,X4) )).

cnf(i_0_20311,axiom,
    ( esk3301_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_20312,axiom,
    ( esk94_0
    | p(X3)
    | ~ p(X4)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_20313,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk139_0
    | ~ esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_20314,axiom,
    ( esk3977_4(X1,X2,X3,X4)
    | esk4305_4(X1,X2,X3,X4) )).

cnf(i_0_20315,axiom,
    ( ~ esk8701_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_20316,axiom,
    ( ~ p(X3)
    | esk1223_0
    | ~ p(X2)
    | p(X4)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_20317,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7247_4(X1,X2,X3,X4) )).

cnf(i_0_20318,axiom,
    ( esk5933_4(X1,X2,X3,X4)
    | ~ esk5731_4(X1,X2,X3,X4) )).

cnf(i_0_20319,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk3019_4(X1,X2,X3,X4)
    | esk3020_4(X1,X2,X3,X4) )).

cnf(i_0_20320,axiom,
    ( esk6371_4(X1,X2,X3,X4)
    | ~ esk4271_4(X1,X2,X3,X4) )).

cnf(i_0_20321,axiom,
    ( esk5467_4(X1,X2,X3,X4)
    | ~ esk4886_4(X1,X2,X3,X4)
    | ~ esk5466_4(X1,X2,X3,X4) )).

cnf(i_0_20322,axiom,
    ( p(X4)
    | esk1300_0
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_20323,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1009_0
    | p(X3)
    | ~ p(X4)
    | esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_20324,axiom,
    ( esk6116_4(X1,X2,X3,X4)
    | ~ esk5609_4(X1,X2,X3,X4) )).

cnf(i_0_20325,axiom,
    ( ~ esk2270_4(X1,X2,X3,X4)
    | esk2269_4(X1,X2,X3,X4) )).

cnf(i_0_20326,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk278_0
    | p(X1)
    | esk1860_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20327,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | esk1758_4(X1,X2,X3,X4)
    | ~ esk228_0 )).

cnf(i_0_20328,axiom,
    ( esk7617_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_20329,axiom,
    ( ~ esk2733_4(X1,X2,X3,X4)
    | esk2732_4(X1,X2,X3,X4) )).

cnf(i_0_20330,axiom,
    ( esk5275_4(X1,X2,X3,X4)
    | esk5276_4(X1,X2,X3,X4)
    | ~ esk5277_4(X1,X2,X3,X4) )).

cnf(i_0_20331,axiom,
    ( ~ esk3633_4(X1,X2,X3,X4)
    | esk3563_4(X1,X2,X3,X4) )).

cnf(i_0_20332,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1126_0
    | esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_20333,axiom,
    ( p(X4)
    | ~ esk667_0
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_20334,axiom,
    ( esk8752_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | esk9745_4(X1,X2,X3,X4) )).

cnf(i_0_20335,axiom,
    ( esk7653_4(X1,X2,X3,X4)
    | ~ esk8431_4(X1,X2,X3,X4) )).

cnf(i_0_20336,axiom,
    ( ~ esk2268_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk2302_4(X1,X2,X3,X4) )).

cnf(i_0_20337,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk8251_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk341_0
    | p(X2) )).

cnf(i_0_20338,axiom,
    ( esk8928_4(X1,X2,X3,X4)
    | ~ esk8929_4(X1,X2,X3,X4) )).

cnf(i_0_20339,axiom,
    ( ~ esk9236_4(X1,X2,X3,X4)
    | esk9237_4(X1,X2,X3,X4) )).

cnf(i_0_20340,axiom,
    ( ~ esk2872_4(X1,X2,X3,X4)
    | esk1399_4(X1,X2,X3,X4) )).

cnf(i_0_20341,axiom,
    ( ~ esk3221_4(X1,X2,X3,X4)
    | esk3222_4(X1,X2,X3,X4) )).

cnf(i_0_20342,axiom,
    ( esk2431_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk653_0 )).

cnf(i_0_20343,axiom,
    ( ~ esk8749_4(X1,X2,X3,X4)
    | p(X4)
    | esk740_0
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_20344,axiom,
    ( ~ esk8933_4(X1,X2,X3,X4)
    | esk8932_4(X1,X2,X3,X4) )).

cnf(i_0_20345,axiom,
    ( esk1955_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk335_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_20346,axiom,
    ( esk4003_4(X1,X2,X3,X4)
    | ~ esk4001_4(X1,X2,X3,X4) )).

cnf(i_0_20347,axiom,
    ( ~ esk8015_4(X1,X2,X3,X4)
    | esk8016_4(X1,X2,X3,X4) )).

cnf(i_0_20348,axiom,
    ( ~ esk2767_4(X1,X2,X3,X4)
    | esk2804_4(X1,X2,X3,X4) )).

cnf(i_0_20349,axiom,
    ( ~ esk2760_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_20350,axiom,
    ( p(X3)
    | ~ esk2433_4(X1,X2,X3,X4)
    | p(X4)
    | esk1_0
    | p(X2)
    | p(X1) )).

cnf(i_0_20351,axiom,
    ( esk8478_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8440_4(X1,X2,X3,X4) )).

cnf(i_0_20352,axiom,
    ( ~ esk1543_4(X1,X2,X3,X4)
    | esk1670_4(X1,X2,X3,X4) )).

cnf(i_0_20353,axiom,
    ( esk6670_4(X1,X2,X3,X4)
    | ~ esk6669_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_20354,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1885_4(X1,X2,X3,X4)
    | esk2052_4(X1,X2,X3,X4) )).

cnf(i_0_20355,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk2932_4(X1,X2,X3,X4)
    | ~ esk1290_0 )).

cnf(i_0_20356,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | esk742_0
    | ~ esk8749_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20357,axiom,
    ( ~ esk7019_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_20358,axiom,
    ( ~ esk9169_4(X1,X2,X3,X4)
    | esk7696_4(X1,X2,X3,X4) )).

cnf(i_0_20359,axiom,
    ( esk7187_4(X1,X2,X3,X4)
    | ~ esk7184_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_20360,axiom,
    ( esk3473_4(X1,X2,X3,X4)
    | ~ esk3528_4(X1,X2,X3,X4) )).

cnf(i_0_20361,axiom,
    ( p(X1)
    | p(X4)
    | esk157_0
    | p(X3)
    | ~ p(X2)
    | ~ esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_20362,axiom,
    ( ~ esk4698_4(X1,X2,X3,X4)
    | esk4699_4(X1,X2,X3,X4)
    | ~ esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_20363,axiom,
    ( esk2318_4(X1,X2,X3,X4)
    | ~ esk2283_4(X1,X2,X3,X4) )).

cnf(i_0_20364,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1933_4(X1,X2,X3,X4) )).

cnf(i_0_20365,axiom,
    ( ~ esk2833_4(X1,X2,X3,X4)
    | esk2834_4(X1,X2,X3,X4)
    | ~ esk2828_4(X1,X2,X3,X4) )).

cnf(i_0_20366,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8621_4(X1,X2,X3,X4) )).

cnf(i_0_20367,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk832_0
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_20368,axiom,
    ( ~ esk5384_4(X1,X2,X3,X4)
    | esk4579_4(X1,X2,X3,X4) )).

cnf(i_0_20369,axiom,
    ( ~ esk4742_4(X1,X2,X3,X4)
    | esk4743_4(X1,X2,X3,X4)
    | ~ esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_20370,axiom,
    ( esk5202_4(X1,X2,X3,X4)
    | ~ esk5203_4(X1,X2,X3,X4) )).

cnf(i_0_20371,axiom,
    ( ~ esk9153_4(X1,X2,X3,X4)
    | esk9152_4(X1,X2,X3,X4) )).

cnf(i_0_20372,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk1457_4(X1,X2,X3,X4) )).

cnf(i_0_20373,axiom,
    ( ~ esk4088_4(X1,X2,X3,X4)
    | esk4090_4(X1,X2,X3,X4) )).

cnf(i_0_20374,axiom,
    ( ~ esk1181_0
    | p(X4)
    | esk9186_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_20375,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk3167_4(X1,X2,X3,X4)
    | esk3168_4(X1,X2,X3,X4) )).

cnf(i_0_20376,axiom,
    ( esk4052_4(X1,X2,X3,X4)
    | esk5384_4(X1,X2,X3,X4)
    | ~ esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_20377,axiom,
    ( esk5929_4(X1,X2,X3,X4)
    | ~ esk5928_4(X1,X2,X3,X4) )).

cnf(i_0_20378,axiom,
    ( ~ esk8292_4(X1,X2,X3,X4)
    | esk7710_4(X1,X2,X3,X4) )).

cnf(i_0_20379,axiom,
    ( ~ esk2091_4(X1,X2,X3,X4)
    | esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_20380,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9404_4(X1,X2,X3,X4) )).

cnf(i_0_20381,axiom,
    ( ~ esk4230_4(X1,X2,X3,X4)
    | esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_20382,axiom,
    ( p(X1)
    | p(X4)
    | esk9176_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk1132_0 )).

cnf(i_0_20383,axiom,
    ( ~ esk2252_4(X1,X2,X3,X4)
    | esk1377_4(X1,X2,X3,X4) )).

cnf(i_0_20384,axiom,
    ( ~ esk3020_4(X1,X2,X3,X4)
    | esk3019_4(X1,X2,X3,X4) )).

cnf(i_0_20385,axiom,
    ( ~ esk7522_4(X1,X2,X3,X4)
    | esk7521_4(X1,X2,X3,X4) )).

cnf(i_0_20386,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1632_4(X1,X2,X3,X4) )).

cnf(i_0_20387,axiom,
    ( ~ esk7388_4(X1,X2,X3,X4)
    | esk7386_4(X1,X2,X3,X4)
    | esk7387_4(X1,X2,X3,X4) )).

cnf(i_0_20388,axiom,
    ( esk2962_4(X1,X2,X3,X4)
    | ~ esk2960_4(X1,X2,X3,X4) )).

cnf(i_0_20389,axiom,
    ( ~ p(X3)
    | ~ esk1478_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk73_0 )).

cnf(i_0_20390,axiom,
    ( ~ esk5051_4(X1,X2,X3,X4)
    | esk2951_4(X1,X2,X3,X4) )).

cnf(i_0_20391,axiom,
    ( esk5343_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5342_4(X1,X2,X3,X4) )).

cnf(i_0_20392,axiom,
    ( esk7598_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk7597_4(X1,X2,X3,X4) )).

cnf(i_0_20393,axiom,
    ( esk1796_4(X1,X2,X3,X4)
    | ~ esk1794_4(X1,X2,X3,X4) )).

cnf(i_0_20394,axiom,
    ( ~ esk9222_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_20395,axiom,
    ( esk464_0
    | ~ p(X2)
    | p(X3)
    | ~ esk2095_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_20396,axiom,
    ( esk106_0
    | p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_20397,axiom,
    ( ~ esk637_0
    | p(X4)
    | ~ p(X2)
    | esk8725_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_20398,axiom,
    ( ~ esk8113_4(X1,X2,X3,X4)
    | esk8114_4(X1,X2,X3,X4) )).

cnf(i_0_20399,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk6045_4(X1,X2,X3,X4) )).

cnf(i_0_20400,axiom,
    ( ~ esk4164_4(X1,X2,X3,X4)
    | esk4163_4(X1,X2,X3,X4) )).

cnf(i_0_20401,axiom,
    ( esk3826_4(X1,X2,X3,X4)
    | ~ esk3825_4(X1,X2,X3,X4) )).

cnf(i_0_20402,axiom,
    ( ~ p(X3)
    | esk8721_4(X1,X2,X3,X4)
    | ~ esk610_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_20403,axiom,
    ( ~ esk2598_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3313_4(X1,X2,X3,X4) )).

cnf(i_0_20404,axiom,
    ( ~ esk4459_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_20405,axiom,
    ( p(X2)
    | p(X4)
    | esk1308_0
    | ~ esk9248_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_20406,axiom,
    ( ~ esk5401_4(X1,X2,X3,X4)
    | ~ esk4682_4(X1,X2,X3,X4) )).

cnf(i_0_20407,axiom,
    ( esk2421_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk587_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_20408,axiom,
    ( esk5660_4(X1,X2,X3,X4)
    | ~ esk5662_4(X1,X2,X3,X4)
    | esk5661_4(X1,X2,X3,X4) )).

cnf(i_0_20409,axiom,
    ( ~ esk2275_4(X1,X2,X3,X4)
    | esk2237_4(X1,X2,X3,X4) )).

cnf(i_0_20410,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6928_4(X1,X2,X3,X4) )).

cnf(i_0_20411,axiom,
    ( ~ esk3062_4(X1,X2,X3,X4)
    | esk3060_4(X1,X2,X3,X4)
    | esk3061_4(X1,X2,X3,X4) )).

cnf(i_0_20412,axiom,
    ( ~ esk2321_4(X1,X2,X3,X4)
    | esk1410_4(X1,X2,X3,X4) )).

cnf(i_0_20413,axiom,
    ( esk7648_4(X1,X2,X3,X4)
    | ~ esk5634_4(X1,X2,X3,X4) )).

cnf(i_0_20414,axiom,
    ( esk2438_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_20415,axiom,
    ( esk6216_4(X1,X2,X3,X4)
    | ~ esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_20416,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk2793_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk857_0 )).

cnf(i_0_20417,axiom,
    ( ~ esk7473_4(X1,X2,X3,X4)
    | esk7474_4(X1,X2,X3,X4) )).

cnf(i_0_20418,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6837_4(X1,X2,X3,X4)
    | esk6838_4(X1,X2,X3,X4) )).

cnf(i_0_20419,axiom,
    ( ~ esk7132_4(X1,X2,X3,X4)
    | esk7134_4(X1,X2,X3,X4) )).

cnf(i_0_20420,axiom,
    ( esk9639_4(X1,X2,X3,X4)
    | ~ esk9637_4(X1,X2,X3,X4) )).

cnf(i_0_20421,axiom,
    ( esk7219_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_20422,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5330_4(X1,X2,X3,X4) )).

cnf(i_0_20423,axiom,
    ( ~ esk8308_4(X1,X2,X3,X4)
    | esk8307_4(X1,X2,X3,X4) )).

cnf(i_0_20424,axiom,
    ( esk8623_4(X1,X2,X3,X4)
    | ~ esk8528_4(X1,X2,X3,X4) )).

cnf(i_0_20425,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8683_4(X1,X2,X3,X4) )).

cnf(i_0_20426,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk8978_4(X1,X2,X3,X4) )).

cnf(i_0_20427,axiom,
    ( esk3647_4(X1,X2,X3,X4)
    | esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_20428,axiom,
    ( esk4108_4(X1,X2,X3,X4)
    | ~ esk4107_4(X1,X2,X3,X4) )).

cnf(i_0_20429,axiom,
    ( ~ esk6999_4(X1,X2,X3,X4)
    | ~ esk6805_4(X1,X2,X3,X4)
    | esk6806_4(X1,X2,X3,X4) )).

cnf(i_0_20430,axiom,
    ( ~ esk3697_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_20431,axiom,
    ( esk3169_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_20432,axiom,
    ( ~ esk7907_4(X1,X2,X3,X4)
    | esk7908_4(X1,X2,X3,X4) )).

cnf(i_0_20433,axiom,
    ( ~ p(X3)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1118_0
    | p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_20434,axiom,
    ( ~ esk1876_4(X1,X2,X3,X4)
    | esk1450_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_20435,axiom,
    ( esk1440_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk27_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_20436,axiom,
    ( esk3636_4(X1,X2,X3,X4)
    | esk3637_4(X1,X2,X3,X4)
    | ~ esk3638_4(X1,X2,X3,X4) )).

cnf(i_0_20437,axiom,
    ( ~ esk1468_4(X1,X2,X3,X4)
    | esk1467_4(X1,X2,X3,X4)
    | esk1466_4(X1,X2,X3,X4) )).

cnf(i_0_20438,axiom,
    ( ~ esk5382_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_20439,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk8962_4(X1,X2,X3,X4) )).

cnf(i_0_20440,axiom,
    ( esk4889_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_20441,axiom,
    ( esk8050_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk205_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_20442,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk308_0
    | ~ p(X4)
    | p(X1)
    | ~ esk8214_4(X1,X2,X3,X4) )).

cnf(i_0_20443,axiom,
    ( ~ esk5717_4(X1,X2,X3,X4)
    | esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_20444,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2756_4(X1,X2,X3,X4) )).

cnf(i_0_20445,axiom,
    ( esk3220_4(X1,X2,X3,X4)
    | esk3221_4(X1,X2,X3,X4)
    | ~ esk3222_4(X1,X2,X3,X4) )).

cnf(i_0_20446,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk271_0
    | ~ p(X1) )).

cnf(i_0_20447,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | esk577_0
    | p(X1)
    | ~ esk8717_4(X1,X2,X3,X4) )).

cnf(i_0_20448,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | esk958_0
    | p(X2)
    | ~ esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_20449,axiom,
    ( ~ esk7937_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk103_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_20450,axiom,
    ( ~ esk3763_4(X1,X2,X3,X4)
    | esk3850_4(X1,X2,X3,X4) )).

cnf(i_0_20451,axiom,
    ( p(X2)
    | ~ esk148_0
    | ~ p(X1)
    | ~ p(X3)
    | esk8042_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20452,axiom,
    ( ~ esk3292_4(X1,X2,X3,X4)
    | esk3291_4(X1,X2,X3,X4)
    | esk3289_4(X1,X2,X3,X4)
    | esk3290_4(X1,X2,X3,X4) )).

cnf(i_0_20453,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9354_4(X1,X2,X3,X4) )).

cnf(i_0_20454,axiom,
    ( p(X2)
    | p(X3)
    | esk1077_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk9168_4(X1,X2,X3,X4) )).

cnf(i_0_20455,axiom,
    ( esk8225_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_20456,axiom,
    ( ~ esk6171_4(X1,X2,X3,X4)
    | esk6172_4(X1,X2,X3,X4) )).

cnf(i_0_20457,axiom,
    ( ~ esk8578_4(X1,X2,X3,X4)
    | ~ esk8540_4(X1,X2,X3,X4)
    | ~ esk8579_4(X1,X2,X3,X4) )).

cnf(i_0_20458,axiom,
    ( ~ esk1973_4(X1,X2,X3,X4)
    | esk1974_4(X1,X2,X3,X4) )).

cnf(i_0_20459,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6457_4(X1,X2,X3,X4) )).

cnf(i_0_20460,axiom,
    ( esk1555_4(X1,X2,X3,X4)
    | ~ esk1554_4(X1,X2,X3,X4) )).

cnf(i_0_20461,axiom,
    ( ~ esk7285_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20462,axiom,
    ( esk5547_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_20463,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | ~ esk5707_4(X1,X2,X3,X4) )).

cnf(i_0_20464,axiom,
    ( esk6775_4(X1,X2,X3,X4)
    | esk7011_4(X1,X2,X3,X4) )).

cnf(i_0_20465,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk769_0
    | p(X2)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_20466,axiom,
    ( esk3319_4(X1,X2,X3,X4)
    | ~ esk3320_4(X1,X2,X3,X4) )).

cnf(i_0_20467,axiom,
    ( esk2868_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ esk1045_0
    | ~ p(X1) )).

cnf(i_0_20468,axiom,
    ( ~ esk6593_4(X1,X2,X3,X4)
    | esk6624_4(X1,X2,X3,X4) )).

cnf(i_0_20469,axiom,
    ( ~ esk8247_4(X1,X2,X3,X4)
    | esk8212_4(X1,X2,X3,X4)
    | esk8716_4(X1,X2,X3,X4) )).

cnf(i_0_20470,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2675_4(X1,X2,X3,X4) )).

cnf(i_0_20471,axiom,
    ( ~ esk8413_4(X1,X2,X3,X4)
    | esk8414_4(X1,X2,X3,X4) )).

cnf(i_0_20472,axiom,
    ( ~ esk2664_4(X1,X2,X3,X4)
    | esk2666_4(X1,X2,X3,X4) )).

cnf(i_0_20473,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk6559_4(X1,X2,X3,X4) )).

cnf(i_0_20474,axiom,
    ( ~ p(X1)
    | ~ esk1018_0
    | p(X2)
    | esk9111_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_20475,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | esk2932_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1285_0 )).

cnf(i_0_20476,axiom,
    ( ~ p(X4)
    | ~ esk426_0
    | esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_20477,axiom,
    ( p(X2)
    | ~ esk251_0
    | p(X3)
    | esk8072_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_20478,axiom,
    ( ~ esk4794_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_20479,axiom,
    ( ~ p(X2)
    | esk1335_0
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk9252_4(X1,X2,X3,X4) )).

cnf(i_0_20480,axiom,
    ( ~ esk2076_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_20481,axiom,
    ( ~ esk3256_4(X1,X2,X3,X4)
    | esk3255_4(X1,X2,X3,X4) )).

cnf(i_0_20482,axiom,
    ( ~ esk1919_4(X1,X2,X3,X4)
    | esk1362_4(X1,X2,X3,X4) )).

cnf(i_0_20483,axiom,
    ( esk6072_4(X1,X2,X3,X4)
    | ~ esk6177_4(X1,X2,X3,X4) )).

cnf(i_0_20484,axiom,
    ( ~ p(X1)
    | esk687_0
    | p(X2)
    | ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_20485,axiom,
    ( ~ esk2285_4(X1,X2,X3,X4)
    | esk2287_4(X1,X2,X3,X4) )).

cnf(i_0_20486,axiom,
    ( ~ esk8535_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_20487,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk3196_4(X1,X2,X3,X4)
    | ~ esk3195_4(X1,X2,X3,X4) )).

cnf(i_0_20488,axiom,
    ( esk193_0
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_20489,axiom,
    ( esk6460_4(X1,X2,X3,X4)
    | ~ esk6462_4(X1,X2,X3,X4)
    | esk6461_4(X1,X2,X3,X4) )).

cnf(i_0_20490,axiom,
    ( esk2355_4(X1,X2,X3,X4)
    | ~ esk2356_4(X1,X2,X3,X4) )).

cnf(i_0_20491,axiom,
    ( ~ esk5907_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | esk7147_4(X1,X2,X3,X4) )).

cnf(i_0_20492,axiom,
    ( ~ esk8840_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_20493,axiom,
    ( ~ esk2461_4(X1,X2,X3,X4)
    | esk2463_4(X1,X2,X3,X4) )).

cnf(i_0_20494,axiom,
    ( ~ esk3315_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_20495,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk2880_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1138_0 )).

cnf(i_0_20496,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk53_0
    | esk7740_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_20497,axiom,
    ( esk5346_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_20498,axiom,
    ( esk7209_4(X1,X2,X3,X4)
    | ~ esk7210_4(X1,X2,X3,X4) )).

cnf(i_0_20499,axiom,
    ( ~ esk649_0
    | p(X4)
    | ~ p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_20500,axiom,
    ( ~ esk9268_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20501,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk805_0 )).

cnf(i_0_20502,axiom,
    ( esk4052_4(X1,X2,X3,X4)
    | esk4015_4(X1,X2,X3,X4)
    | ~ esk3987_4(X1,X2,X3,X4) )).

cnf(i_0_20503,axiom,
    ( esk3941_4(X1,X2,X3,X4)
    | ~ esk3961_4(X1,X2,X3,X4) )).

cnf(i_0_20504,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1190_0
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_20505,axiom,
    ( ~ esk9171_4(X1,X2,X3,X4)
    | esk7785_4(X1,X2,X3,X4)
    | ~ esk7784_4(X1,X2,X3,X4) )).

cnf(i_0_20506,axiom,
    ( esk7197_4(X1,X2,X3,X4)
    | ~ esk7198_4(X1,X2,X3,X4) )).

cnf(i_0_20507,axiom,
    ( esk5757_4(X1,X2,X3,X4)
    | ~ esk5756_4(X1,X2,X3,X4) )).

cnf(i_0_20508,axiom,
    ( esk1446_4(X1,X2,X3,X4)
    | ~ esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_20509,axiom,
    ( ~ esk6404_4(X1,X2,X3,X4)
    | esk6405_4(X1,X2,X3,X4)
    | ~ esk6368_4(X1,X2,X3,X4) )).

cnf(i_0_20510,axiom,
    ( esk3487_4(X1,X2,X3,X4)
    | ~ esk3851_4(X1,X2,X3,X4) )).

cnf(i_0_20511,axiom,
    ( ~ p(X4)
    | esk1182_0
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_20512,axiom,
    ( esk2614_4(X1,X2,X3,X4)
    | ~ esk3345_4(X1,X2,X3,X4) )).

cnf(i_0_20513,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8439_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20514,axiom,
    ( esk8791_4(X1,X2,X3,X4)
    | ~ esk8790_4(X1,X2,X3,X4) )).

cnf(i_0_20515,axiom,
    ( esk6292_4(X1,X2,X3,X4)
    | ~ esk6446_4(X1,X2,X3,X4) )).

cnf(i_0_20516,axiom,
    ( esk6337_4(X1,X2,X3,X4)
    | ~ esk6335_4(X1,X2,X3,X4) )).

cnf(i_0_20517,axiom,
    ( ~ esk2853_4(X1,X2,X3,X4)
    | esk4953_4(X1,X2,X3,X4) )).

cnf(i_0_20518,axiom,
    ( esk6202_4(X1,X2,X3,X4)
    | ~ esk6203_4(X1,X2,X3,X4)
    | esk6201_4(X1,X2,X3,X4) )).

cnf(i_0_20519,axiom,
    ( esk2882_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1149_0
    | p(X1) )).

cnf(i_0_20520,axiom,
    ( ~ esk290_0
    | esk1874_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_20521,axiom,
    ( esk4038_4(X1,X2,X3,X4)
    | ~ esk4326_4(X1,X2,X3,X4) )).

cnf(i_0_20522,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5454_4(X1,X2,X3,X4) )).

cnf(i_0_20523,axiom,
    ( ~ esk8128_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20524,axiom,
    ( p(X4)
    | ~ esk1444_4(X1,X2,X3,X4)
    | esk57_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_20525,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk1849_4(X1,X2,X3,X4) )).

cnf(i_0_20526,axiom,
    ( ~ p(X2)
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | esk895_0
    | ~ p(X4) )).

cnf(i_0_20527,axiom,
    ( p(X1)
    | ~ esk8725_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk638_0
    | p(X3) )).

cnf(i_0_20528,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ esk153_0
    | esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_20529,axiom,
    ( esk4489_4(X1,X2,X3,X4)
    | ~ esk4490_4(X1,X2,X3,X4)
    | esk4488_4(X1,X2,X3,X4) )).

cnf(i_0_20530,axiom,
    ( esk6273_4(X1,X2,X3,X4)
    | ~ esk6306_4(X1,X2,X3,X4) )).

cnf(i_0_20531,axiom,
    ( esk1790_4(X1,X2,X3,X4)
    | esk1791_4(X1,X2,X3,X4)
    | ~ esk1792_4(X1,X2,X3,X4) )).

cnf(i_0_20532,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4276_4(X1,X2,X3,X4) )).

cnf(i_0_20533,axiom,
    ( esk3994_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20534,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk2811_4(X1,X2,X3,X4)
    | esk987_0 )).

cnf(i_0_20535,axiom,
    ( esk3101_4(X1,X2,X3,X4)
    | esk3100_4(X1,X2,X3,X4)
    | ~ esk3102_4(X1,X2,X3,X4) )).

cnf(i_0_20536,axiom,
    ( esk1996_4(X1,X2,X3,X4)
    | ~ esk2250_4(X1,X2,X3,X4) )).

cnf(i_0_20537,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk2451_4(X1,X2,X3,X4)
    | ~ esk734_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_20538,axiom,
    ( ~ esk1955_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk337_0
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_20539,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk1891_4(X1,X2,X3,X4)
    | ~ esk2260_4(X1,X2,X3,X4) )).

cnf(i_0_20540,axiom,
    ( ~ p(X4)
    | esk122_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1643_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_20541,axiom,
    ( ~ esk9289_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20542,axiom,
    ( esk1767_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_20543,axiom,
    ( ~ esk2811_4(X1,X2,X3,X4)
    | ~ esk2837_4(X1,X2,X3,X4) )).

cnf(i_0_20544,axiom,
    ( ~ p(X2)
    | esk152_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_20545,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7177_4(X1,X2,X3,X4) )).

cnf(i_0_20546,axiom,
    ( esk9540_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20547,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk161_0
    | ~ esk8044_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_20548,axiom,
    ( esk4232_4(X1,X2,X3,X4)
    | ~ esk4270_4(X1,X2,X3,X4) )).

cnf(i_0_20549,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | esk7939_4(X1,X2,X3,X4)
    | ~ esk110_0
    | p(X1) )).

cnf(i_0_20550,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5234_4(X1,X2,X3,X4) )).

cnf(i_0_20551,axiom,
    ( ~ esk8561_4(X1,X2,X3,X4)
    | esk8559_4(X1,X2,X3,X4)
    | esk8560_4(X1,X2,X3,X4) )).

cnf(i_0_20552,axiom,
    ( ~ esk2068_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_20553,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X4)
    | esk699_0
    | ~ p(X2) )).

cnf(i_0_20554,axiom,
    ( p(X4)
    | esk2433_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_20555,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2352_4(X1,X2,X3,X4) )).

cnf(i_0_20556,axiom,
    ( esk8330_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20557,axiom,
    ( ~ esk8773_4(X1,X2,X3,X4)
    | esk8775_4(X1,X2,X3,X4) )).

cnf(i_0_20558,axiom,
    ( ~ esk7738_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | esk35_0
    | p(X2)
    | p(X1) )).

cnf(i_0_20559,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk7939_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk119_0
    | ~ p(X4) )).

cnf(i_0_20560,axiom,
    ( ~ esk8649_4(X1,X2,X3,X4)
    | esk8651_4(X1,X2,X3,X4) )).

cnf(i_0_20561,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk805_0
    | ~ esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_20562,axiom,
    ( esk4414_4(X1,X2,X3,X4)
    | ~ esk4481_4(X1,X2,X3,X4) )).

cnf(i_0_20563,axiom,
    ( esk6864_4(X1,X2,X3,X4)
    | ~ esk6863_4(X1,X2,X3,X4) )).

cnf(i_0_20564,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9689_4(X1,X2,X3,X4) )).

cnf(i_0_20565,axiom,
    ( ~ esk6298_4(X1,X2,X3,X4)
    | esk6299_4(X1,X2,X3,X4) )).

cnf(i_0_20566,axiom,
    ( esk427_0
    | ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_20567,axiom,
    ( ~ esk2210_4(X1,X2,X3,X4)
    | esk1997_4(X1,X2,X3,X4) )).

cnf(i_0_20568,axiom,
    ( p(X2)
    | ~ esk2421_4(X1,X2,X3,X4)
    | esk583_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_20569,axiom,
    ( esk7088_4(X1,X2,X3,X4)
    | ~ esk5884_4(X1,X2,X3,X4) )).

cnf(i_0_20570,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4447_4(X1,X2,X3,X4) )).

cnf(i_0_20571,axiom,
    ( esk6462_4(X1,X2,X3,X4)
    | ~ esk6461_4(X1,X2,X3,X4) )).

cnf(i_0_20572,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | ~ esk7798_4(X1,X2,X3,X4) )).

cnf(i_0_20573,axiom,
    ( esk5966_4(X1,X2,X3,X4)
    | ~ esk5624_4(X1,X2,X3,X4) )).

cnf(i_0_20574,axiom,
    ( ~ esk1694_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_20575,axiom,
    ( esk8438_4(X1,X2,X3,X4)
    | ~ esk8437_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_20576,axiom,
    ( ~ esk4384_4(X1,X2,X3,X4)
    | esk4386_4(X1,X2,X3,X4) )).

cnf(i_0_20577,axiom,
    ( p(X2)
    | esk508_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_20578,axiom,
    ( ~ esk9046_4(X1,X2,X3,X4)
    | esk9048_4(X1,X2,X3,X4) )).

cnf(i_0_20579,axiom,
    ( esk6191_4(X1,X2,X3,X4)
    | esk6248_4(X1,X2,X3,X4)
    | ~ esk6247_4(X1,X2,X3,X4) )).

cnf(i_0_20580,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk5026_4(X1,X2,X3,X4) )).

cnf(i_0_20581,axiom,
    ( p(X2)
    | ~ esk2880_4(X1,X2,X3,X4)
    | esk1129_0
    | p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_20582,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk5913_4(X1,X2,X3,X4) )).

cnf(i_0_20583,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5232_4(X1,X2,X3,X4) )).

cnf(i_0_20584,axiom,
    ( esk8627_4(X1,X2,X3,X4)
    | ~ esk8598_4(X1,X2,X3,X4) )).

cnf(i_0_20585,axiom,
    ( ~ esk1436_4(X1,X2,X3,X4)
    | esk2866_4(X1,X2,X3,X4) )).

cnf(i_0_20586,axiom,
    ( ~ esk6505_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6101_4(X1,X2,X3,X4) )).

cnf(i_0_20587,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | esk99_0
    | ~ p(X3)
    | ~ esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_20588,axiom,
    ( ~ esk7910_4(X1,X2,X3,X4)
    | esk9211_4(X1,X2,X3,X4) )).

cnf(i_0_20589,axiom,
    ( ~ esk7593_4(X1,X2,X3,X4)
    | ~ esk6900_4(X1,X2,X3,X4)
    | esk7594_4(X1,X2,X3,X4) )).

cnf(i_0_20590,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk9182_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1165_0
    | ~ p(X2) )).

cnf(i_0_20591,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1732_4(X1,X2,X3,X4) )).

cnf(i_0_20592,axiom,
    ( esk7735_4(X1,X2,X3,X4)
    | ~ esk8794_4(X1,X2,X3,X4) )).

cnf(i_0_20593,axiom,
    ( esk5073_4(X1,X2,X3,X4)
    | ~ esk5079_4(X1,X2,X3,X4) )).

cnf(i_0_20594,axiom,
    ( ~ esk4768_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_20595,axiom,
    ( esk4529_4(X1,X2,X3,X4)
    | ~ esk4502_4(X1,X2,X3,X4) )).

cnf(i_0_20596,axiom,
    ( ~ esk2601_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_20597,axiom,
    ( esk9567_4(X1,X2,X3,X4)
    | ~ esk9565_4(X1,X2,X3,X4) )).

cnf(i_0_20598,axiom,
    ( ~ esk9267_4(X1,X2,X3,X4)
    | ~ esk9280_4(X1,X2,X3,X4)
    | esk9281_4(X1,X2,X3,X4) )).

cnf(i_0_20599,axiom,
    ( ~ esk6284_4(X1,X2,X3,X4)
    | esk6286_4(X1,X2,X3,X4) )).

cnf(i_0_20600,axiom,
    ( p(X1)
    | ~ esk339_0
    | ~ p(X2)
    | p(X4)
    | esk8251_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_20601,axiom,
    ( ~ esk9605_4(X1,X2,X3,X4)
    | esk8859_4(X1,X2,X3,X4) )).

cnf(i_0_20602,axiom,
    ( ~ esk479_0
    | ~ p(X1)
    | ~ p(X3)
    | esk8469_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_20603,axiom,
    ( ~ esk6219_4(X1,X2,X3,X4)
    | esk8319_4(X1,X2,X3,X4) )).

cnf(i_0_20604,axiom,
    ( ~ esk304_0
    | p(X2)
    | p(X3)
    | esk8214_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_20605,axiom,
    ( ~ esk4811_4(X1,X2,X3,X4)
    | esk4813_4(X1,X2,X3,X4) )).

cnf(i_0_20606,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3556_4(X1,X2,X3,X4) )).

cnf(i_0_20607,axiom,
    ( esk8809_4(X1,X2,X3,X4)
    | ~ esk8824_4(X1,X2,X3,X4) )).

cnf(i_0_20608,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2384_4(X1,X2,X3,X4) )).

cnf(i_0_20609,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2671_4(X1,X2,X3,X4) )).

cnf(i_0_20610,axiom,
    ( ~ esk2243_4(X1,X2,X3,X4)
    | ~ esk2281_4(X1,X2,X3,X4)
    | ~ esk2282_4(X1,X2,X3,X4) )).

cnf(i_0_20611,axiom,
    ( ~ esk5674_4(X1,X2,X3,X4)
    | esk5752_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_20612,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk959_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_20613,axiom,
    ( ~ p(X2)
    | esk2427_4(X1,X2,X3,X4)
    | ~ esk621_0
    | p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_20614,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3321_4(X1,X2,X3,X4) )).

cnf(i_0_20615,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk646_0
    | ~ p(X2)
    | p(X3)
    | ~ esk8725_4(X1,X2,X3,X4) )).

cnf(i_0_20616,axiom,
    ( esk1403_4(X1,X2,X3,X4)
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_20617,axiom,
    ( esk8104_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20618,axiom,
    ( esk6334_4(X1,X2,X3,X4)
    | ~ esk6335_4(X1,X2,X3,X4) )).

cnf(i_0_20619,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2756_4(X1,X2,X3,X4) )).

cnf(i_0_20620,axiom,
    ( esk9161_4(X1,X2,X3,X4)
    | ~ esk9737_4(X1,X2,X3,X4) )).

cnf(i_0_20621,axiom,
    ( ~ esk33_0
    | esk7738_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_20622,axiom,
    ( ~ esk9509_4(X1,X2,X3,X4)
    | esk9511_4(X1,X2,X3,X4) )).

cnf(i_0_20623,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk2922_4(X1,X2,X3,X4)
    | p(X3)
    | esk1271_0
    | p(X2) )).

cnf(i_0_20624,axiom,
    ( ~ esk910_0
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | esk2801_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_20625,axiom,
    ( p(X3)
    | esk2022_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk397_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_20626,axiom,
    ( ~ esk9248_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | esk1310_0
    | p(X1) )).

cnf(i_0_20627,axiom,
    ( ~ esk4205_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_20628,axiom,
    ( ~ esk9102_4(X1,X2,X3,X4)
    | esk7002_4(X1,X2,X3,X4) )).

cnf(i_0_20629,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk518_0
    | ~ p(X2)
    | p(X3)
    | ~ esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_20630,axiom,
    ( esk4368_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20631,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | ~ esk8900_4(X1,X2,X3,X4)
    | esk8901_4(X1,X2,X3,X4) )).

cnf(i_0_20632,axiom,
    ( p(X3)
    | esk743_0
    | ~ p(X2)
    | p(X1)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_20633,axiom,
    ( ~ esk3160_4(X1,X2,X3,X4)
    | esk3159_4(X1,X2,X3,X4) )).

cnf(i_0_20634,axiom,
    ( ~ esk2992_4(X1,X2,X3,X4)
    | esk2994_4(X1,X2,X3,X4) )).

cnf(i_0_20635,axiom,
    ( esk9569_4(X1,X2,X3,X4)
    | ~ esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_20636,axiom,
    ( esk2385_4(X1,X2,X3,X4)
    | ~ esk1850_4(X1,X2,X3,X4)
    | ~ esk2384_4(X1,X2,X3,X4) )).

cnf(i_0_20637,axiom,
    ( ~ esk6474_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk6508_4(X1,X2,X3,X4) )).

cnf(i_0_20638,axiom,
    ( esk3629_4(X1,X2,X3,X4)
    | ~ esk3459_4(X1,X2,X3,X4) )).

cnf(i_0_20639,axiom,
    ( ~ esk3097_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_20640,axiom,
    ( ~ esk3133_4(X1,X2,X3,X4)
    | esk3134_4(X1,X2,X3,X4) )).

cnf(i_0_20641,axiom,
    ( esk6269_4(X1,X2,X3,X4)
    | ~ esk6267_4(X1,X2,X3,X4) )).

cnf(i_0_20642,axiom,
    ( ~ esk9178_4(X1,X2,X3,X4)
    | esk7888_4(X1,X2,X3,X4) )).

cnf(i_0_20643,axiom,
    ( ~ esk4155_4(X1,X2,X3,X4)
    | ~ esk4189_4(X1,X2,X3,X4)
    | ~ esk4188_4(X1,X2,X3,X4) )).

cnf(i_0_20644,axiom,
    ( esk2920_4(X1,X2,X3,X4)
    | esk1760_4(X1,X2,X3,X4) )).

cnf(i_0_20645,axiom,
    ( esk8148_4(X1,X2,X3,X4)
    | ~ esk8151_4(X1,X2,X3,X4) )).

cnf(i_0_20646,axiom,
    ( esk5580_4(X1,X2,X3,X4)
    | ~ esk6261_4(X1,X2,X3,X4) )).

cnf(i_0_20647,axiom,
    ( ~ esk1560_4(X1,X2,X3,X4)
    | ~ esk2932_4(X1,X2,X3,X4)
    | esk1561_4(X1,X2,X3,X4) )).

cnf(i_0_20648,axiom,
    ( ~ esk4895_4(X1,X2,X3,X4)
    | esk6995_4(X1,X2,X3,X4) )).

cnf(i_0_20649,axiom,
    ( esk1490_4(X1,X2,X3,X4)
    | ~ esk1488_4(X1,X2,X3,X4) )).

cnf(i_0_20650,axiom,
    ( ~ esk2953_4(X1,X2,X3,X4)
    | ~ esk1568_4(X1,X2,X3,X4) )).

cnf(i_0_20651,axiom,
    ( p(X3)
    | esk599_0
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_20652,axiom,
    ( esk5885_4(X1,X2,X3,X4)
    | ~ esk7092_4(X1,X2,X3,X4) )).

cnf(i_0_20653,axiom,
    ( esk5061_4(X1,X2,X3,X4)
    | ~ esk5067_4(X1,X2,X3,X4) )).

cnf(i_0_20654,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2027_4(X1,X2,X3,X4) )).

cnf(i_0_20655,axiom,
    ( ~ esk3367_4(X1,X2,X3,X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | esk3368_4(X1,X2,X3,X4) )).

cnf(i_0_20656,axiom,
    ( esk6845_4(X1,X2,X3,X4)
    | ~ esk6846_4(X1,X2,X3,X4) )).

cnf(i_0_20657,axiom,
    ( esk1683_4(X1,X2,X3,X4)
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_20658,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6527_4(X1,X2,X3,X4) )).

cnf(i_0_20659,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4097_4(X1,X2,X3,X4)
    | esk4098_4(X1,X2,X3,X4) )).

cnf(i_0_20660,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk8751_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk762_0
    | ~ p(X1) )).

cnf(i_0_20661,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9632_4(X1,X2,X3,X4) )).

cnf(i_0_20662,axiom,
    ( esk5185_4(X1,X2,X3,X4)
    | ~ esk5183_4(X1,X2,X3,X4) )).

cnf(i_0_20663,axiom,
    ( ~ esk6729_4(X1,X2,X3,X4)
    | esk6730_4(X1,X2,X3,X4) )).

cnf(i_0_20664,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2410_4(X1,X2,X3,X4) )).

cnf(i_0_20665,axiom,
    ( ~ esk7898_4(X1,X2,X3,X4)
    | esk7900_4(X1,X2,X3,X4) )).

cnf(i_0_20666,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk4537_4(X1,X2,X3,X4) )).

cnf(i_0_20667,axiom,
    ( esk1702_4(X1,X2,X3,X4)
    | ~ esk2895_4(X1,X2,X3,X4) )).

cnf(i_0_20668,axiom,
    ( ~ esk2263_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_20669,axiom,
    ( ~ esk4573_4(X1,X2,X3,X4)
    | esk4605_4(X1,X2,X3,X4)
    | ~ esk4604_4(X1,X2,X3,X4) )).

cnf(i_0_20670,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk422_0
    | esk8354_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_20671,axiom,
    ( esk316_0
    | ~ esk8214_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_20672,axiom,
    ( esk4752_4(X1,X2,X3,X4)
    | ~ esk4599_4(X1,X2,X3,X4)
    | ~ esk4908_4(X1,X2,X3,X4) )).

cnf(i_0_20673,axiom,
    ( ~ esk6527_4(X1,X2,X3,X4)
    | esk6528_4(X1,X2,X3,X4) )).

cnf(i_0_20674,axiom,
    ( ~ esk6619_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6514_4(X1,X2,X3,X4) )).

cnf(i_0_20675,axiom,
    ( ~ esk8031_4(X1,X2,X3,X4)
    | esk7994_4(X1,X2,X3,X4) )).

cnf(i_0_20676,axiom,
    ( esk2282_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4)
    | ~ esk2281_4(X1,X2,X3,X4) )).

cnf(i_0_20677,axiom,
    ( ~ esk7864_4(X1,X2,X3,X4)
    | esk7862_4(X1,X2,X3,X4)
    | esk7863_4(X1,X2,X3,X4) )).

cnf(i_0_20678,axiom,
    ( esk9280_4(X1,X2,X3,X4)
    | ~ esk9281_4(X1,X2,X3,X4) )).

cnf(i_0_20679,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | esk2337_4(X1,X2,X3,X4) )).

cnf(i_0_20680,axiom,
    ( esk6920_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_20681,axiom,
    ( ~ esk4696_4(X1,X2,X3,X4)
    | esk4650_4(X1,X2,X3,X4) )).

cnf(i_0_20682,axiom,
    ( esk5518_4(X1,X2,X3,X4)
    | ~ esk5519_4(X1,X2,X3,X4) )).

cnf(i_0_20683,axiom,
    ( ~ esk3448_4(X1,X2,X3,X4)
    | esk2455_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_20684,axiom,
    ( esk5725_4(X1,X2,X3,X4)
    | esk5726_4(X1,X2,X3,X4)
    | ~ esk5727_4(X1,X2,X3,X4) )).

cnf(i_0_20685,axiom,
    ( ~ esk4288_4(X1,X2,X3,X4)
    | esk4289_4(X1,X2,X3,X4) )).

cnf(i_0_20686,axiom,
    ( ~ esk660_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_20687,axiom,
    ( ~ esk2364_4(X1,X2,X3,X4)
    | esk2363_4(X1,X2,X3,X4) )).

cnf(i_0_20688,axiom,
    ( ~ esk6647_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4)
    | esk6638_4(X1,X2,X3,X4) )).

cnf(i_0_20689,axiom,
    ( esk3791_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20690,axiom,
    ( ~ esk3252_4(X1,X2,X3,X4)
    | esk3251_4(X1,X2,X3,X4) )).

cnf(i_0_20691,axiom,
    ( ~ esk9285_4(X1,X2,X3,X4)
    | esk9155_4(X1,X2,X3,X4) )).

cnf(i_0_20692,axiom,
    ( esk8389_4(X1,X2,X3,X4)
    | ~ esk8285_4(X1,X2,X3,X4) )).

cnf(i_0_20693,axiom,
    ( ~ esk1427_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_20694,axiom,
    ( ~ esk9136_4(X1,X2,X3,X4)
    | esk9137_4(X1,X2,X3,X4) )).

cnf(i_0_20695,axiom,
    ( esk7772_4(X1,X2,X3,X4)
    | ~ esk7659_4(X1,X2,X3,X4) )).

cnf(i_0_20696,axiom,
    ( esk6972_4(X1,X2,X3,X4)
    | esk6971_4(X1,X2,X3,X4)
    | ~ esk6973_4(X1,X2,X3,X4) )).

cnf(i_0_20697,axiom,
    ( esk1289_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk9228_4(X1,X2,X3,X4) )).

cnf(i_0_20698,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6922_4(X1,X2,X3,X4) )).

cnf(i_0_20699,axiom,
    ( ~ esk7564_4(X1,X2,X3,X4)
    | ~ esk6966_4(X1,X2,X3,X4)
    | esk6967_4(X1,X2,X3,X4) )).

cnf(i_0_20700,axiom,
    ( p(X4)
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | esk262_0 )).

cnf(i_0_20701,axiom,
    ( ~ esk8192_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20702,axiom,
    ( esk8399_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20703,axiom,
    ( esk8776_4(X1,X2,X3,X4)
    | ~ esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_20704,axiom,
    ( esk7534_4(X1,X2,X3,X4)
    | ~ esk6999_4(X1,X2,X3,X4)
    | ~ esk7533_4(X1,X2,X3,X4) )).

cnf(i_0_20705,axiom,
    ( esk2417_4(X1,X2,X3,X4)
    | ~ esk1944_4(X1,X2,X3,X4) )).

cnf(i_0_20706,axiom,
    ( esk2861_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_20707,axiom,
    ( ~ esk7513_4(X1,X2,X3,X4)
    | ~ esk6860_4(X1,X2,X3,X4)
    | esk7514_4(X1,X2,X3,X4) )).

cnf(i_0_20708,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | esk1532_4(X1,X2,X3,X4) )).

cnf(i_0_20709,axiom,
    ( esk6815_4(X1,X2,X3,X4)
    | ~ esk6754_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_20710,axiom,
    ( esk7462_4(X1,X2,X3,X4)
    | ~ esk7461_4(X1,X2,X3,X4)
    | ~ esk7448_4(X1,X2,X3,X4) )).

cnf(i_0_20711,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk1269_0
    | p(X4)
    | esk9218_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_20712,axiom,
    ( ~ esk8819_4(X1,X2,X3,X4)
    | esk8821_4(X1,X2,X3,X4) )).

cnf(i_0_20713,axiom,
    ( ~ esk6436_4(X1,X2,X3,X4)
    | esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_20714,axiom,
    ( esk8768_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20715,axiom,
    ( esk1133_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_20716,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk7985_4(X1,X2,X3,X4) )).

cnf(i_0_20717,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4440_4(X1,X2,X3,X4) )).

cnf(i_0_20718,axiom,
    ( ~ esk7382_4(X1,X2,X3,X4)
    | esk7384_4(X1,X2,X3,X4) )).

cnf(i_0_20719,axiom,
    ( ~ esk5006_4(X1,X2,X3,X4)
    | esk7106_4(X1,X2,X3,X4) )).

cnf(i_0_20720,axiom,
    ( ~ esk5433_4(X1,X2,X3,X4)
    | esk4852_4(X1,X2,X3,X4)
    | ~ esk4851_4(X1,X2,X3,X4) )).

cnf(i_0_20721,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | esk433_0
    | ~ p(X1)
    | ~ esk8357_4(X1,X2,X3,X4) )).

cnf(i_0_20722,axiom,
    ( esk2986_4(X1,X2,X3,X4)
    | ~ esk2984_4(X1,X2,X3,X4) )).

cnf(i_0_20723,axiom,
    ( ~ esk4191_4(X1,X2,X3,X4)
    | esk2091_4(X1,X2,X3,X4) )).

cnf(i_0_20724,axiom,
    ( ~ esk8640_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20725,axiom,
    ( ~ esk2231_4(X1,X2,X3,X4)
    | esk2326_4(X1,X2,X3,X4) )).

cnf(i_0_20726,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk7008_4(X1,X2,X3,X4) )).

cnf(i_0_20727,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | ~ esk1472_4(X1,X2,X3,X4)
    | esk1542_4(X1,X2,X3,X4) )).

cnf(i_0_20728,axiom,
    ( esk7964_4(X1,X2,X3,X4)
    | ~ esk8007_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_20729,axiom,
    ( esk7725_4(X1,X2,X3,X4)
    | ~ esk9154_4(X1,X2,X3,X4) )).

cnf(i_0_20730,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8096_4(X1,X2,X3,X4) )).

cnf(i_0_20731,axiom,
    ( esk6284_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_20732,axiom,
    ( esk6848_4(X1,X2,X3,X4)
    | ~ esk6847_4(X1,X2,X3,X4) )).

cnf(i_0_20733,axiom,
    ( esk3747_4(X1,X2,X3,X4)
    | esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_20734,axiom,
    ( esk1923_4(X1,X2,X3,X4)
    | ~ esk1922_4(X1,X2,X3,X4) )).

cnf(i_0_20735,axiom,
    ( esk7598_4(X1,X2,X3,X4)
    | esk7599_4(X1,X2,X3,X4)
    | ~ esk7600_4(X1,X2,X3,X4) )).

cnf(i_0_20736,axiom,
    ( esk5014_4(X1,X2,X3,X4)
    | ~ esk3554_4(X1,X2,X3,X4) )).

cnf(i_0_20737,axiom,
    ( ~ esk5941_4(X1,X2,X3,X4)
    | esk5939_4(X1,X2,X3,X4)
    | esk5940_4(X1,X2,X3,X4) )).

cnf(i_0_20738,axiom,
    ( ~ esk1786_4(X1,X2,X3,X4)
    | esk2346_4(X1,X2,X3,X4) )).

cnf(i_0_20739,axiom,
    ( ~ esk4878_4(X1,X2,X3,X4)
    | esk4876_4(X1,X2,X3,X4)
    | esk4877_4(X1,X2,X3,X4) )).

cnf(i_0_20740,axiom,
    ( ~ esk8747_4(X1,X2,X3,X4)
    | esk731_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_20741,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4)
    | esk3435_4(X1,X2,X3,X4) )).

cnf(i_0_20742,axiom,
    ( esk4700_4(X1,X2,X3,X4)
    | ~ esk4701_4(X1,X2,X3,X4)
    | esk4699_4(X1,X2,X3,X4) )).

cnf(i_0_20743,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk1641_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk107_0
    | ~ p(X4) )).

cnf(i_0_20744,axiom,
    ( esk8407_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20745,axiom,
    ( esk4246_4(X1,X2,X3,X4)
    | ~ esk4244_4(X1,X2,X3,X4) )).

cnf(i_0_20746,axiom,
    ( ~ esk2194_4(X1,X2,X3,X4)
    | esk2193_4(X1,X2,X3,X4)
    | esk2192_4(X1,X2,X3,X4) )).

cnf(i_0_20747,axiom,
    ( ~ esk4512_4(X1,X2,X3,X4)
    | esk4514_4(X1,X2,X3,X4) )).

cnf(i_0_20748,axiom,
    ( ~ esk5963_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20749,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7053_4(X1,X2,X3,X4) )).

cnf(i_0_20750,axiom,
    ( esk4518_4(X1,X2,X3,X4)
    | ~ esk2418_4(X1,X2,X3,X4) )).

cnf(i_0_20751,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk233_0
    | p(X3) )).

cnf(i_0_20752,axiom,
    ( esk1895_4(X1,X2,X3,X4)
    | ~ esk1896_4(X1,X2,X3,X4)
    | esk1894_4(X1,X2,X3,X4) )).

cnf(i_0_20753,axiom,
    ( ~ esk4918_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4) )).

cnf(i_0_20754,axiom,
    ( ~ esk9670_4(X1,X2,X3,X4)
    | esk9667_4(X1,X2,X3,X4) )).

cnf(i_0_20755,axiom,
    ( esk6795_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6749_4(X1,X2,X3,X4) )).

cnf(i_0_20756,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4424_4(X1,X2,X3,X4) )).

cnf(i_0_20757,axiom,
    ( ~ esk4181_4(X1,X2,X3,X4)
    | esk4143_4(X1,X2,X3,X4) )).

cnf(i_0_20758,axiom,
    ( esk8227_4(X1,X2,X3,X4)
    | ~ esk8193_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_20759,axiom,
    ( ~ esk7014_4(X1,X2,X3,X4)
    | esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_20760,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk3144_4(X1,X2,X3,X4)
    | ~ esk3143_4(X1,X2,X3,X4) )).

cnf(i_0_20761,axiom,
    ( ~ p(X4)
    | ~ esk859_0
    | p(X1)
    | p(X3)
    | esk9091_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_20762,axiom,
    ( esk3034_4(X1,X2,X3,X4)
    | ~ esk3032_4(X1,X2,X3,X4) )).

cnf(i_0_20763,axiom,
    ( ~ esk8069_4(X1,X2,X3,X4)
    | ~ esk8161_4(X1,X2,X3,X4)
    | esk8162_4(X1,X2,X3,X4) )).

cnf(i_0_20764,axiom,
    ( esk6322_4(X1,X2,X3,X4)
    | ~ esk6288_4(X1,X2,X3,X4)
    | ~ esk6629_4(X1,X2,X3,X4) )).

cnf(i_0_20765,axiom,
    ( ~ esk2360_4(X1,X2,X3,X4)
    | esk2362_4(X1,X2,X3,X4) )).

cnf(i_0_20766,axiom,
    ( esk3778_4(X1,X2,X3,X4)
    | ~ esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_20767,axiom,
    ( ~ esk8672_4(X1,X2,X3,X4)
    | esk8671_4(X1,X2,X3,X4)
    | esk8670_4(X1,X2,X3,X4) )).

cnf(i_0_20768,axiom,
    ( ~ p(X3)
    | ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk887_0
    | ~ p(X1) )).

cnf(i_0_20769,axiom,
    ( esk6428_4(X1,X2,X3,X4)
    | ~ esk6429_4(X1,X2,X3,X4) )).

cnf(i_0_20770,axiom,
    ( ~ esk6095_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6096_4(X1,X2,X3,X4) )).

cnf(i_0_20771,axiom,
    ( esk6791_4(X1,X2,X3,X4)
    | ~ esk6748_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_20772,axiom,
    ( esk3642_4(X1,X2,X3,X4)
    | ~ esk3641_4(X1,X2,X3,X4) )).

cnf(i_0_20773,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6811_4(X1,X2,X3,X4) )).

cnf(i_0_20774,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | esk9095_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk896_0 )).

cnf(i_0_20775,axiom,
    ( esk1764_4(X1,X2,X3,X4)
    | ~ esk2498_4(X1,X2,X3,X4) )).

cnf(i_0_20776,axiom,
    ( ~ esk7225_4(X1,X2,X3,X4)
    | esk7226_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_20777,axiom,
    ( ~ p(X3)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk1_0 )).

cnf(i_0_20778,axiom,
    ( esk6896_4(X1,X2,X3,X4)
    | ~ esk6894_4(X1,X2,X3,X4) )).

cnf(i_0_20779,axiom,
    ( esk5221_4(X1,X2,X3,X4)
    | ~ esk5220_4(X1,X2,X3,X4) )).

cnf(i_0_20780,axiom,
    ( ~ esk5132_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20781,axiom,
    ( ~ esk7931_4(X1,X2,X3,X4)
    | esk7868_4(X1,X2,X3,X4) )).

cnf(i_0_20782,axiom,
    ( ~ esk3075_4(X1,X2,X3,X4)
    | esk3076_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_20783,axiom,
    ( p(X1)
    | ~ esk201_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk8050_4(X1,X2,X3,X4) )).

cnf(i_0_20784,axiom,
    ( ~ esk4558_4(X1,X2,X3,X4)
    | esk3536_4(X1,X2,X3,X4) )).

cnf(i_0_20785,axiom,
    ( esk2905_4(X1,X2,X3,X4)
    | ~ esk2906_4(X1,X2,X3,X4)
    | esk2904_4(X1,X2,X3,X4) )).

cnf(i_0_20786,axiom,
    ( esk6833_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_20787,axiom,
    ( esk8997_4(X1,X2,X3,X4)
    | ~ esk8999_4(X1,X2,X3,X4)
    | esk8998_4(X1,X2,X3,X4) )).

cnf(i_0_20788,axiom,
    ( ~ esk7386_4(X1,X2,X3,X4)
    | esk7385_4(X1,X2,X3,X4) )).

cnf(i_0_20789,axiom,
    ( esk6193_4(X1,X2,X3,X4)
    | ~ esk4093_4(X1,X2,X3,X4) )).

cnf(i_0_20790,axiom,
    ( esk417_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2058_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_20791,axiom,
    ( esk2500_4(X1,X2,X3,X4)
    | ~ esk2048_4(X1,X2,X3,X4) )).

cnf(i_0_20792,axiom,
    ( ~ p(X3)
    | esk88_0
    | p(X4)
    | ~ esk7812_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_20793,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7591_4(X1,X2,X3,X4) )).

cnf(i_0_20794,axiom,
    ( esk1647_4(X1,X2,X3,X4)
    | ~ esk1369_4(X1,X2,X3,X4) )).

cnf(i_0_20795,axiom,
    ( ~ esk3947_4(X1,X2,X3,X4)
    | esk3949_4(X1,X2,X3,X4) )).

cnf(i_0_20796,axiom,
    ( esk1664_4(X1,X2,X3,X4)
    | ~ esk1751_4(X1,X2,X3,X4) )).

cnf(i_0_20797,axiom,
    ( esk2419_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk562_0 )).

cnf(i_0_20798,axiom,
    ( esk1888_4(X1,X2,X3,X4)
    | ~ esk1953_4(X1,X2,X3,X4) )).

cnf(i_0_20799,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk2_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_20800,axiom,
    ( esk7100_4(X1,X2,X3,X4)
    | ~ esk7098_4(X1,X2,X3,X4) )).

cnf(i_0_20801,axiom,
    ( p(X2)
    | esk1874_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk298_0 )).

cnf(i_0_20802,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2015_4(X1,X2,X3,X4) )).

cnf(i_0_20803,axiom,
    ( esk2919_4(X1,X2,X3,X4)
    | ~ esk2863_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_20804,axiom,
    ( ~ esk5293_4(X1,X2,X3,X4)
    | esk5307_4(X1,X2,X3,X4)
    | ~ esk5306_4(X1,X2,X3,X4) )).

cnf(i_0_20805,axiom,
    ( ~ esk9168_4(X1,X2,X3,X4)
    | p(X1)
    | esk1071_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_20806,axiom,
    ( ~ esk7146_4(X1,X2,X3,X4)
    | esk7145_4(X1,X2,X3,X4) )).

cnf(i_0_20807,axiom,
    ( ~ esk3691_4(X1,X2,X3,X4)
    | ~ esk4985_4(X1,X2,X3,X4)
    | esk3692_4(X1,X2,X3,X4) )).

cnf(i_0_20808,axiom,
    ( esk7157_4(X1,X2,X3,X4)
    | ~ esk7158_4(X1,X2,X3,X4) )).

cnf(i_0_20809,axiom,
    ( ~ esk2491_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_20810,axiom,
    ( esk3407_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_20811,axiom,
    ( esk9094_4(X1,X2,X3,X4)
    | ~ esk6994_4(X1,X2,X3,X4) )).

cnf(i_0_20812,axiom,
    ( esk7634_4(X1,X2,X3,X4)
    | ~ esk7633_4(X1,X2,X3,X4)
    | esk7023_4(X1,X2,X3,X4) )).

cnf(i_0_20813,axiom,
    ( ~ esk6931_4(X1,X2,X3,X4)
    | esk6933_4(X1,X2,X3,X4) )).

cnf(i_0_20814,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk9182_4(X1,X2,X3,X4)
    | esk1164_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_20815,axiom,
    ( ~ esk7259_4(X1,X2,X3,X4)
    | esk7260_4(X1,X2,X3,X4) )).

cnf(i_0_20816,axiom,
    ( ~ esk8449_4(X1,X2,X3,X4)
    | ~ esk8608_4(X1,X2,X3,X4)
    | esk8450_4(X1,X2,X3,X4) )).

cnf(i_0_20817,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2061_4(X1,X2,X3,X4)
    | esk433_0
    | ~ p(X4) )).

cnf(i_0_20818,axiom,
    ( ~ esk5273_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk5276_4(X1,X2,X3,X4) )).

cnf(i_0_20819,axiom,
    ( esk9498_4(X1,X2,X3,X4)
    | esk9497_4(X1,X2,X3,X4)
    | ~ esk9499_4(X1,X2,X3,X4) )).

cnf(i_0_20820,axiom,
    ( ~ esk7136_4(X1,X2,X3,X4)
    | esk7138_4(X1,X2,X3,X4) )).

cnf(i_0_20821,axiom,
    ( esk7516_4(X1,X2,X3,X4)
    | ~ esk6943_4(X1,X2,X3,X4) )).

cnf(i_0_20822,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6036_4(X1,X2,X3,X4) )).

cnf(i_0_20823,axiom,
    ( p(X4)
    | esk2251_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk1_0
    | p(X3) )).

cnf(i_0_20824,axiom,
    ( ~ esk2488_4(X1,X2,X3,X4)
    | esk2213_4(X1,X2,X3,X4) )).

cnf(i_0_20825,axiom,
    ( ~ esk6060_4(X1,X2,X3,X4)
    | esk6040_4(X1,X2,X3,X4) )).

cnf(i_0_20826,axiom,
    ( esk5825_4(X1,X2,X3,X4)
    | ~ esk5824_4(X1,X2,X3,X4) )).

cnf(i_0_20827,axiom,
    ( ~ esk7358_4(X1,X2,X3,X4)
    | esk7360_4(X1,X2,X3,X4) )).

cnf(i_0_20828,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk507_0
    | ~ esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_20829,axiom,
    ( ~ esk5909_4(X1,X2,X3,X4)
    | esk7120_4(X1,X2,X3,X4) )).

cnf(i_0_20830,axiom,
    ( esk2714_4(X1,X2,X3,X4)
    | ~ esk2713_4(X1,X2,X3,X4) )).

cnf(i_0_20831,axiom,
    ( esk6457_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_20832,axiom,
    ( ~ esk3480_4(X1,X2,X3,X4)
    | esk4196_4(X1,X2,X3,X4) )).

cnf(i_0_20833,axiom,
    ( ~ esk6248_4(X1,X2,X3,X4)
    | ~ esk6247_4(X1,X2,X3,X4)
    | ~ esk6191_4(X1,X2,X3,X4) )).

cnf(i_0_20834,axiom,
    ( esk4399_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_20835,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | esk2952_4(X1,X2,X3,X4)
    | ~ esk1312_0
    | ~ p(X4) )).

cnf(i_0_20836,axiom,
    ( ~ esk8739_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_20837,axiom,
    ( esk7086_4(X1,X2,X3,X4)
    | ~ esk5641_4(X1,X2,X3,X4) )).

cnf(i_0_20838,axiom,
    ( ~ esk8392_4(X1,X2,X3,X4)
    | ~ esk8426_4(X1,X2,X3,X4)
    | esk8427_4(X1,X2,X3,X4) )).

cnf(i_0_20839,axiom,
    ( esk3254_4(X1,X2,X3,X4)
    | ~ esk3252_4(X1,X2,X3,X4) )).

cnf(i_0_20840,axiom,
    ( ~ esk1196_0
    | esk9190_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_20841,axiom,
    ( esk2262_4(X1,X2,X3,X4)
    | esk2263_4(X1,X2,X3,X4)
    | ~ esk2264_4(X1,X2,X3,X4) )).

cnf(i_0_20842,axiom,
    ( esk560_0
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_20843,axiom,
    ( ~ esk5240_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20844,axiom,
    ( ~ esk7083_4(X1,X2,X3,X4)
    | esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_20845,axiom,
    ( ~ esk9246_4(X1,X2,X3,X4)
    | esk9247_4(X1,X2,X3,X4) )).

cnf(i_0_20846,axiom,
    ( p(X1)
    | esk1_0
    | p(X3)
    | p(X4)
    | ~ esk1860_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_20847,axiom,
    ( ~ esk8814_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | esk8815_4(X1,X2,X3,X4) )).

cnf(i_0_20848,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | esk6835_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_20849,axiom,
    ( esk5400_4(X1,X2,X3,X4)
    | ~ esk4657_4(X1,X2,X3,X4) )).

cnf(i_0_20850,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8261_4(X1,X2,X3,X4) )).

cnf(i_0_20851,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | esk2095_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk462_0 )).

cnf(i_0_20852,axiom,
    ( ~ esk2804_4(X1,X2,X3,X4)
    | esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_20853,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5175_4(X1,X2,X3,X4) )).

cnf(i_0_20854,axiom,
    ( ~ p(X1)
    | ~ esk689_0
    | ~ p(X3)
    | esk8731_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_20855,axiom,
    ( esk3048_4(X1,X2,X3,X4)
    | ~ esk3047_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_20856,axiom,
    ( ~ p(X2)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3)
    | esk711_0 )).

cnf(i_0_20857,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk1054_0
    | esk2870_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_20858,axiom,
    ( esk5845_4(X1,X2,X3,X4)
    | ~ esk5901_4(X1,X2,X3,X4) )).

cnf(i_0_20859,axiom,
    ( ~ esk6012_4(X1,X2,X3,X4)
    | esk6013_4(X1,X2,X3,X4)
    | ~ esk6006_4(X1,X2,X3,X4) )).

cnf(i_0_20860,axiom,
    ( ~ p(X2)
    | esk1187_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_20861,axiom,
    ( ~ esk1496_4(X1,X2,X3,X4)
    | esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_20862,axiom,
    ( esk4999_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4)
    | ~ esk4998_4(X1,X2,X3,X4) )).

cnf(i_0_20863,axiom,
    ( esk5345_4(X1,X2,X3,X4)
    | ~ esk5343_4(X1,X2,X3,X4) )).

cnf(i_0_20864,axiom,
    ( esk4669_4(X1,X2,X3,X4)
    | ~ esk4085_4(X1,X2,X3,X4) )).

cnf(i_0_20865,axiom,
    ( ~ esk1438_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk1_0
    | p(X4) )).

cnf(i_0_20866,axiom,
    ( ~ p(X4)
    | ~ esk2922_4(X1,X2,X3,X4)
    | esk1265_0
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_20867,axiom,
    ( esk7432_4(X1,X2,X3,X4)
    | ~ esk7430_4(X1,X2,X3,X4) )).

cnf(i_0_20868,axiom,
    ( esk7093_4(X1,X2,X3,X4)
    | ~ esk5900_4(X1,X2,X3,X4) )).

cnf(i_0_20869,axiom,
    ( esk2629_4(X1,X2,X3,X4)
    | ~ esk2630_4(X1,X2,X3,X4)
    | esk2628_4(X1,X2,X3,X4) )).

cnf(i_0_20870,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ esk2550_4(X1,X2,X3,X4) )).

cnf(i_0_20871,axiom,
    ( ~ esk5848_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_20872,axiom,
    ( esk1733_4(X1,X2,X3,X4)
    | ~ esk1735_4(X1,X2,X3,X4)
    | esk1734_4(X1,X2,X3,X4) )).

cnf(i_0_20873,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5426_4(X1,X2,X3,X4) )).

cnf(i_0_20874,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4074_4(X1,X2,X3,X4) )).

cnf(i_0_20875,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7553_4(X1,X2,X3,X4) )).

cnf(i_0_20876,axiom,
    ( esk7504_4(X1,X2,X3,X4)
    | ~ esk7507_4(X1,X2,X3,X4) )).

cnf(i_0_20877,axiom,
    ( ~ esk3325_4(X1,X2,X3,X4)
    | esk3322_4(X1,X2,X3,X4) )).

cnf(i_0_20878,axiom,
    ( ~ esk4030_4(X1,X2,X3,X4)
    | esk4029_4(X1,X2,X3,X4)
    | esk4028_4(X1,X2,X3,X4) )).

cnf(i_0_20879,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1121_0 )).

cnf(i_0_20880,axiom,
    ( esk9372_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20881,axiom,
    ( ~ esk7843_4(X1,X2,X3,X4)
    | esk7844_4(X1,X2,X3,X4) )).

cnf(i_0_20882,axiom,
    ( esk9397_4(X1,X2,X3,X4)
    | esk9398_4(X1,X2,X3,X4)
    | ~ esk9399_4(X1,X2,X3,X4) )).

cnf(i_0_20883,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk1021_0
    | esk2815_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_20884,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1830_4(X1,X2,X3,X4) )).

cnf(i_0_20885,axiom,
    ( ~ esk6582_4(X1,X2,X3,X4)
    | ~ esk6048_4(X1,X2,X3,X4)
    | esk6583_4(X1,X2,X3,X4) )).

cnf(i_0_20886,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk647_0
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_20887,axiom,
    ( ~ esk4008_4(X1,X2,X3,X4)
    | esk4518_4(X1,X2,X3,X4) )).

cnf(i_0_20888,axiom,
    ( ~ esk5433_4(X1,X2,X3,X4)
    | esk5432_4(X1,X2,X3,X4)
    | esk5431_4(X1,X2,X3,X4) )).

cnf(i_0_20889,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2975_4(X1,X2,X3,X4) )).

cnf(i_0_20890,axiom,
    ( ~ esk5259_4(X1,X2,X3,X4)
    | esk5258_4(X1,X2,X3,X4) )).

cnf(i_0_20891,axiom,
    ( esk5016_4(X1,X2,X3,X4)
    | ~ esk7116_4(X1,X2,X3,X4) )).

cnf(i_0_20892,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk7297_4(X1,X2,X3,X4) )).

cnf(i_0_20893,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk2061_4(X1,X2,X3,X4)
    | esk430_0 )).

cnf(i_0_20894,axiom,
    ( ~ p(X2)
    | ~ esk2289_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk519_0 )).

cnf(i_0_20895,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1797_4(X1,X2,X3,X4) )).

cnf(i_0_20896,axiom,
    ( esk4449_4(X1,X2,X3,X4)
    | ~ esk5095_4(X1,X2,X3,X4) )).

cnf(i_0_20897,axiom,
    ( esk6551_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_20898,axiom,
    ( ~ esk173_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_20899,axiom,
    ( esk4284_4(X1,X2,X3,X4)
    | ~ esk4285_4(X1,X2,X3,X4)
    | esk4283_4(X1,X2,X3,X4) )).

cnf(i_0_20900,axiom,
    ( ~ esk8858_4(X1,X2,X3,X4)
    | esk8859_4(X1,X2,X3,X4) )).

cnf(i_0_20901,axiom,
    ( ~ esk3411_4(X1,X2,X3,X4)
    | ~ esk2710_4(X1,X2,X3,X4)
    | esk3412_4(X1,X2,X3,X4) )).

cnf(i_0_20902,axiom,
    ( ~ esk6727_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20903,axiom,
    ( ~ esk4266_4(X1,X2,X3,X4)
    | ~ esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_20904,axiom,
    ( ~ p(X4)
    | ~ esk998_0
    | esk9109_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_20905,axiom,
    ( esk5514_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_20906,axiom,
    ( esk3807_4(X1,X2,X3,X4)
    | ~ esk4926_4(X1,X2,X3,X4) )).

cnf(i_0_20907,axiom,
    ( ~ esk1979_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_20908,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ esk9087_4(X1,X2,X3,X4)
    | esk828_0 )).

cnf(i_0_20909,axiom,
    ( ~ esk8421_4(X1,X2,X3,X4)
    | esk8422_4(X1,X2,X3,X4) )).

cnf(i_0_20910,axiom,
    ( ~ esk9288_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_20911,axiom,
    ( esk3035_4(X1,X2,X3,X4)
    | ~ esk3036_4(X1,X2,X3,X4) )).

cnf(i_0_20912,axiom,
    ( ~ esk2880_4(X1,X2,X3,X4)
    | ~ esk1584_4(X1,X2,X3,X4)
    | esk1585_4(X1,X2,X3,X4) )).

cnf(i_0_20913,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk2173_4(X1,X2,X3,X4)
    | esk468_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_20914,axiom,
    ( esk6452_4(X1,X2,X3,X4)
    | ~ esk6451_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_20915,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1_0
    | p(X4)
    | p(X2)
    | esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_20916,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk7191_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_20917,axiom,
    ( ~ esk572_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_20918,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4849_4(X1,X2,X3,X4) )).

cnf(i_0_20919,axiom,
    ( ~ esk6675_4(X1,X2,X3,X4)
    | esk6676_4(X1,X2,X3,X4) )).

cnf(i_0_20920,axiom,
    ( ~ esk1773_4(X1,X2,X3,X4)
    | ~ esk2958_4(X1,X2,X3,X4) )).

cnf(i_0_20921,axiom,
    ( esk2021_4(X1,X2,X3,X4)
    | ~ esk4121_4(X1,X2,X3,X4) )).

cnf(i_0_20922,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8082_4(X1,X2,X3,X4) )).

cnf(i_0_20923,axiom,
    ( ~ esk8459_4(X1,X2,X3,X4)
    | esk8424_4(X1,X2,X3,X4) )).

cnf(i_0_20924,axiom,
    ( ~ esk8769_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_20925,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | esk8138_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk268_0 )).

cnf(i_0_20926,axiom,
    ( esk9653_4(X1,X2,X3,X4)
    | ~ esk9652_4(X1,X2,X3,X4)
    | ~ esk8979_4(X1,X2,X3,X4) )).

cnf(i_0_20927,axiom,
    ( p(X1)
    | ~ esk9254_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1345_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_20928,axiom,
    ( esk5692_4(X1,X2,X3,X4)
    | ~ esk5690_4(X1,X2,X3,X4) )).

cnf(i_0_20929,axiom,
    ( esk2470_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4)
    | esk3293_4(X1,X2,X3,X4) )).

cnf(i_0_20930,axiom,
    ( esk6030_4(X1,X2,X3,X4)
    | ~ esk5981_4(X1,X2,X3,X4) )).

cnf(i_0_20931,axiom,
    ( esk8937_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8936_4(X1,X2,X3,X4) )).

cnf(i_0_20932,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9262_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_20933,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5174_4(X1,X2,X3,X4) )).

cnf(i_0_20934,axiom,
    ( ~ esk8183_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_20935,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9614_4(X1,X2,X3,X4) )).

cnf(i_0_20936,axiom,
    ( ~ esk7400_4(X1,X2,X3,X4)
    | esk7399_4(X1,X2,X3,X4)
    | esk7398_4(X1,X2,X3,X4) )).

cnf(i_0_20937,axiom,
    ( ~ esk4837_4(X1,X2,X3,X4)
    | esk4838_4(X1,X2,X3,X4) )).

cnf(i_0_20938,axiom,
    ( ~ esk3904_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20939,axiom,
    ( ~ esk5806_4(X1,X2,X3,X4)
    | esk5807_4(X1,X2,X3,X4)
    | ~ esk7106_4(X1,X2,X3,X4) )).

cnf(i_0_20940,axiom,
    ( esk3953_4(X1,X2,X3,X4)
    | ~ esk3952_4(X1,X2,X3,X4)
    | ~ esk3950_4(X1,X2,X3,X4) )).

cnf(i_0_20941,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4041_4(X1,X2,X3,X4) )).

cnf(i_0_20942,axiom,
    ( ~ esk6369_4(X1,X2,X3,X4)
    | esk6282_4(X1,X2,X3,X4) )).

cnf(i_0_20943,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk1085_0
    | ~ esk2874_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_20944,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2744_4(X1,X2,X3,X4) )).

cnf(i_0_20945,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2349_4(X1,X2,X3,X4) )).

cnf(i_0_20946,axiom,
    ( esk8998_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8842_4(X1,X2,X3,X4) )).

cnf(i_0_20947,axiom,
    ( ~ esk6020_4(X1,X2,X3,X4)
    | esk5958_4(X1,X2,X3,X4) )).

cnf(i_0_20948,axiom,
    ( esk5069_4(X1,X2,X3,X4)
    | ~ esk5083_4(X1,X2,X3,X4) )).

cnf(i_0_20949,axiom,
    ( ~ esk1512_4(X1,X2,X3,X4)
    | esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_20950,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk674_0
    | ~ esk8729_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_20951,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | esk8214_4(X1,X2,X3,X4)
    | ~ esk309_0 )).

cnf(i_0_20952,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk153_0
    | p(X1)
    | ~ esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_20953,axiom,
    ( ~ esk6231_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6232_4(X1,X2,X3,X4) )).

cnf(i_0_20954,axiom,
    ( p(X1)
    | esk8044_4(X1,X2,X3,X4)
    | ~ esk153_0
    | p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_20955,axiom,
    ( ~ esk7988_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4)
    | esk8023_4(X1,X2,X3,X4) )).

cnf(i_0_20956,axiom,
    ( esk2231_4(X1,X2,X3,X4)
    | ~ esk2326_4(X1,X2,X3,X4)
    | ~ esk2230_4(X1,X2,X3,X4) )).

cnf(i_0_20957,axiom,
    ( esk2787_4(X1,X2,X3,X4)
    | ~ esk2624_4(X1,X2,X3,X4) )).

cnf(i_0_20958,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk253_0
    | ~ p(X3)
    | p(X2)
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_20959,axiom,
    ( p(X4)
    | p(X1)
    | ~ p(X2)
    | esk967_0
    | p(X3)
    | ~ esk9105_4(X1,X2,X3,X4) )).

cnf(i_0_20960,axiom,
    ( ~ esk8420_4(X1,X2,X3,X4)
    | esk8422_4(X1,X2,X3,X4) )).

cnf(i_0_20961,axiom,
    ( ~ esk4359_4(X1,X2,X3,X4)
    | esk4358_4(X1,X2,X3,X4)
    | esk4357_4(X1,X2,X3,X4) )).

cnf(i_0_20962,axiom,
    ( ~ esk4762_4(X1,X2,X3,X4)
    | ~ esk4584_4(X1,X2,X3,X4)
    | esk4763_4(X1,X2,X3,X4) )).

cnf(i_0_20963,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9474_4(X1,X2,X3,X4) )).

cnf(i_0_20964,axiom,
    ( ~ esk1609_4(X1,X2,X3,X4)
    | esk2908_4(X1,X2,X3,X4) )).

cnf(i_0_20965,axiom,
    ( ~ esk5868_4(X1,X2,X3,X4)
    | esk7968_4(X1,X2,X3,X4) )).

cnf(i_0_20966,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk5028_4(X1,X2,X3,X4) )).

cnf(i_0_20967,axiom,
    ( esk9249_4(X1,X2,X3,X4)
    | ~ esk7149_4(X1,X2,X3,X4) )).

cnf(i_0_20968,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6845_4(X1,X2,X3,X4) )).

cnf(i_0_20969,axiom,
    ( p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk70_0 )).

cnf(i_0_20970,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5188_4(X1,X2,X3,X4) )).

cnf(i_0_20971,axiom,
    ( esk7025_4(X1,X2,X3,X4)
    | ~ esk7028_4(X1,X2,X3,X4) )).

cnf(i_0_20972,axiom,
    ( p(X2)
    | ~ esk634_0
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_20973,axiom,
    ( ~ esk8336_4(X1,X2,X3,X4)
    | esk8337_4(X1,X2,X3,X4) )).

cnf(i_0_20974,axiom,
    ( esk8767_4(X1,X2,X3,X4)
    | esk9591_4(X1,X2,X3,X4)
    | ~ esk9590_4(X1,X2,X3,X4) )).

cnf(i_0_20975,axiom,
    ( esk3950_4(X1,X2,X3,X4)
    | ~ esk3953_4(X1,X2,X3,X4) )).

cnf(i_0_20976,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk6089_4(X1,X2,X3,X4)
    | ~ esk6458_4(X1,X2,X3,X4) )).

cnf(i_0_20977,axiom,
    ( esk6692_4(X1,X2,X3,X4)
    | ~ esk6690_4(X1,X2,X3,X4) )).

cnf(i_0_20978,axiom,
    ( esk2247_4(X1,X2,X3,X4)
    | esk2246_4(X1,X2,X3,X4)
    | ~ esk2248_4(X1,X2,X3,X4) )).

cnf(i_0_20979,axiom,
    ( ~ esk8588_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_20980,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk9164_4(X1,X2,X3,X4)
    | esk1051_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_20981,axiom,
    ( ~ esk5260_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_20982,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk551_0
    | p(X3)
    | ~ p(X1)
    | esk8713_4(X1,X2,X3,X4) )).

cnf(i_0_20983,axiom,
    ( ~ esk8824_4(X1,X2,X3,X4)
    | esk8825_4(X1,X2,X3,X4) )).

cnf(i_0_20984,axiom,
    ( p(X4)
    | p(X3)
    | p(X2)
    | esk2813_4(X1,X2,X3,X4)
    | ~ esk1000_0
    | ~ p(X1) )).

cnf(i_0_20985,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk532_0
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_20986,axiom,
    ( esk8547_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk500_0
    | p(X4) )).

cnf(i_0_20987,axiom,
    ( ~ esk5761_4(X1,X2,X3,X4)
    | esk5759_4(X1,X2,X3,X4)
    | esk5760_4(X1,X2,X3,X4) )).

cnf(i_0_20988,axiom,
    ( esk9652_4(X1,X2,X3,X4)
    | ~ esk9653_4(X1,X2,X3,X4) )).

cnf(i_0_20989,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk656_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_20990,axiom,
    ( esk2795_4(X1,X2,X3,X4)
    | ~ esk3312_4(X1,X2,X3,X4) )).

cnf(i_0_20991,axiom,
    ( ~ esk4715_4(X1,X2,X3,X4)
    | esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_20992,axiom,
    ( esk8946_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8887_4(X1,X2,X3,X4) )).

cnf(i_0_20993,axiom,
    ( p(X1)
    | ~ esk815_0
    | ~ p(X3)
    | esk9085_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_20994,axiom,
    ( ~ esk4569_4(X1,X2,X3,X4)
    | esk5392_4(X1,X2,X3,X4)
    | esk5393_4(X1,X2,X3,X4) )).

cnf(i_0_20995,axiom,
    ( esk6183_4(X1,X2,X3,X4)
    | esk6442_4(X1,X2,X3,X4)
    | ~ esk6217_4(X1,X2,X3,X4) )).

cnf(i_0_20996,axiom,
    ( esk6056_4(X1,X2,X3,X4)
    | ~ esk6039_4(X1,X2,X3,X4) )).

cnf(i_0_20997,axiom,
    ( ~ esk5520_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_20998,axiom,
    ( esk8929_4(X1,X2,X3,X4)
    | ~ esk8931_4(X1,X2,X3,X4)
    | esk8930_4(X1,X2,X3,X4) )).

cnf(i_0_20999,axiom,
    ( ~ esk1440_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | esk31_0 )).

cnf(i_0_21000,axiom,
    ( ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7857_4(X1,X2,X3,X4) )).

cnf(i_0_21001,axiom,
    ( ~ esk4999_4(X1,X2,X3,X4)
    | esk4998_4(X1,X2,X3,X4) )).

cnf(i_0_21002,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk821_0
    | ~ p(X1)
    | ~ esk2789_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_21003,axiom,
    ( ~ p(X3)
    | ~ esk2880_4(X1,X2,X3,X4)
    | esk1137_0
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_21004,axiom,
    ( ~ p(X3)
    | esk788_0
    | ~ esk2785_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_21005,axiom,
    ( ~ esk7499_4(X1,X2,X3,X4)
    | ~ esk7500_4(X1,X2,X3,X4) )).

cnf(i_0_21006,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2993_4(X1,X2,X3,X4) )).

cnf(i_0_21007,axiom,
    ( ~ esk731_0
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_21008,axiom,
    ( esk8052_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk216_0 )).

cnf(i_0_21009,axiom,
    ( esk1679_4(X1,X2,X3,X4)
    | ~ esk2536_4(X1,X2,X3,X4) )).

cnf(i_0_21010,axiom,
    ( esk8460_4(X1,X2,X3,X4)
    | ~ esk8695_4(X1,X2,X3,X4) )).

cnf(i_0_21011,axiom,
    ( esk3582_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_21012,axiom,
    ( esk8776_4(X1,X2,X3,X4)
    | ~ esk8774_4(X1,X2,X3,X4) )).

cnf(i_0_21013,axiom,
    ( esk1963_4(X1,X2,X3,X4)
    | ~ esk1964_4(X1,X2,X3,X4) )).

cnf(i_0_21014,axiom,
    ( ~ esk5950_4(X1,X2,X3,X4)
    | esk3850_4(X1,X2,X3,X4) )).

cnf(i_0_21015,axiom,
    ( ~ esk4700_4(X1,X2,X3,X4)
    | esk4651_4(X1,X2,X3,X4) )).

cnf(i_0_21016,axiom,
    ( ~ esk9724_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_21017,axiom,
    ( esk4262_4(X1,X2,X3,X4)
    | ~ esk4259_4(X1,X2,X3,X4) )).

cnf(i_0_21018,axiom,
    ( ~ p(X3)
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2)
    | esk478_0 )).

cnf(i_0_21019,axiom,
    ( ~ esk4910_4(X1,X2,X3,X4)
    | esk4942_4(X1,X2,X3,X4)
    | ~ esk4935_4(X1,X2,X3,X4) )).

cnf(i_0_21020,axiom,
    ( esk4627_4(X1,X2,X3,X4)
    | ~ esk4807_4(X1,X2,X3,X4) )).

cnf(i_0_21021,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4739_4(X1,X2,X3,X4) )).

cnf(i_0_21022,axiom,
    ( esk9299_4(X1,X2,X3,X4)
    | ~ esk9298_4(X1,X2,X3,X4) )).

cnf(i_0_21023,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2663_4(X1,X2,X3,X4) )).

cnf(i_0_21024,axiom,
    ( esk4360_4(X1,X2,X3,X4)
    | ~ esk4361_4(X1,X2,X3,X4) )).

cnf(i_0_21025,axiom,
    ( ~ esk2048_4(X1,X2,X3,X4)
    | esk2046_4(X1,X2,X3,X4)
    | esk2047_4(X1,X2,X3,X4)
    | esk2045_4(X1,X2,X3,X4) )).

cnf(i_0_21026,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | esk1995_4(X1,X2,X3,X4)
    | ~ esk381_0
    | p(X1) )).

cnf(i_0_21027,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6140_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_21028,axiom,
    ( esk6491_4(X1,X2,X3,X4)
    | ~ esk6492_4(X1,X2,X3,X4)
    | esk6490_4(X1,X2,X3,X4) )).

cnf(i_0_21029,axiom,
    ( esk3480_4(X1,X2,X3,X4)
    | ~ esk4196_4(X1,X2,X3,X4) )).

cnf(i_0_21030,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk2890_4(X1,X2,X3,X4)
    | ~ esk1187_0
    | ~ p(X1) )).

cnf(i_0_21031,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3526_4(X1,X2,X3,X4) )).

cnf(i_0_21032,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk36_0
    | p(X3)
    | ~ esk1442_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_21033,axiom,
    ( ~ esk4409_4(X1,X2,X3,X4)
    | esk4410_4(X1,X2,X3,X4) )).

cnf(i_0_21034,axiom,
    ( esk9272_4(X1,X2,X3,X4)
    | ~ esk9273_4(X1,X2,X3,X4) )).

cnf(i_0_21035,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk2_0
    | ~ p(X3)
    | ~ esk8042_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_21036,axiom,
    ( ~ esk7927_4(X1,X2,X3,X4)
    | esk7864_4(X1,X2,X3,X4) )).

cnf(i_0_21037,axiom,
    ( ~ esk8866_4(X1,X2,X3,X4)
    | esk8867_4(X1,X2,X3,X4) )).

cnf(i_0_21038,axiom,
    ( esk1747_4(X1,X2,X3,X4)
    | ~ esk1468_4(X1,X2,X3,X4) )).

cnf(i_0_21039,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | esk1773_4(X1,X2,X3,X4) )).

cnf(i_0_21040,axiom,
    ( esk4526_4(X1,X2,X3,X4)
    | ~ esk2426_4(X1,X2,X3,X4) )).

cnf(i_0_21041,axiom,
    ( ~ esk5188_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_21042,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk1288_0
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_21043,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk9093_4(X1,X2,X3,X4)
    | esk873_0
    | p(X2)
    | p(X1) )).

cnf(i_0_21044,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk2942_4(X1,X2,X3,X4)
    | p(X2)
    | esk1_0
    | p(X4) )).

cnf(i_0_21045,axiom,
    ( ~ esk9653_4(X1,X2,X3,X4)
    | esk8979_4(X1,X2,X3,X4) )).

cnf(i_0_21046,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk7377_4(X1,X2,X3,X4) )).

cnf(i_0_21047,axiom,
    ( ~ esk1125_0
    | p(X3)
    | ~ p(X1)
    | esk9174_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_21048,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5484_4(X1,X2,X3,X4) )).

cnf(i_0_21049,axiom,
    ( esk7929_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_21050,axiom,
    ( ~ esk3436_4(X1,X2,X3,X4)
    | ~ esk2825_4(X1,X2,X3,X4)
    | ~ esk3435_4(X1,X2,X3,X4) )).

cnf(i_0_21051,axiom,
    ( ~ esk1662_4(X1,X2,X3,X4)
    | esk1731_4(X1,X2,X3,X4) )).

cnf(i_0_21052,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk2791_4(X1,X2,X3,X4)
    | p(X3)
    | esk839_0 )).

cnf(i_0_21053,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6300_4(X1,X2,X3,X4) )).

cnf(i_0_21054,axiom,
    ( ~ esk6359_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_21055,axiom,
    ( ~ esk4815_4(X1,X2,X3,X4)
    | esk4817_4(X1,X2,X3,X4) )).

cnf(i_0_21056,axiom,
    ( ~ esk6080_4(X1,X2,X3,X4)
    | esk6081_4(X1,X2,X3,X4) )).

cnf(i_0_21057,axiom,
    ( ~ esk2035_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_21058,axiom,
    ( ~ esk3613_4(X1,X2,X3,X4)
    | esk3611_4(X1,X2,X3,X4)
    | esk3612_4(X1,X2,X3,X4) )).

cnf(i_0_21059,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6813_4(X1,X2,X3,X4) )).

cnf(i_0_21060,axiom,
    ( ~ esk4208_4(X1,X2,X3,X4)
    | esk4206_4(X1,X2,X3,X4)
    | esk4207_4(X1,X2,X3,X4) )).

cnf(i_0_21061,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7270_4(X1,X2,X3,X4)
    | ~ esk7269_4(X1,X2,X3,X4) )).

cnf(i_0_21062,axiom,
    ( ~ esk7215_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_21063,axiom,
    ( ~ esk2787_4(X1,X2,X3,X4)
    | esk1_0
    | p(X2)
    | p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_21064,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4)
    | esk5392_4(X1,X2,X3,X4) )).

cnf(i_0_21065,axiom,
    ( ~ esk8224_4(X1,X2,X3,X4)
    | esk8222_4(X1,X2,X3,X4)
    | esk8223_4(X1,X2,X3,X4) )).

cnf(i_0_21066,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_21067,axiom,
    ( esk9331_4(X1,X2,X3,X4)
    | ~ esk9329_4(X1,X2,X3,X4) )).

cnf(i_0_21068,axiom,
    ( ~ esk9141_4(X1,X2,X3,X4)
    | ~ esk9146_4(X1,X2,X3,X4)
    | esk9147_4(X1,X2,X3,X4) )).

cnf(i_0_21069,axiom,
    ( esk6211_4(X1,X2,X3,X4)
    | ~ esk6237_4(X1,X2,X3,X4) )).

cnf(i_0_21070,axiom,
    ( ~ esk2236_4(X1,X2,X3,X4)
    | esk2237_4(X1,X2,X3,X4) )).

cnf(i_0_21071,axiom,
    ( p(X2)
    | esk763_0
    | ~ esk2455_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_21072,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk7487_4(X1,X2,X3,X4) )).

cnf(i_0_21073,axiom,
    ( esk4191_4(X1,X2,X3,X4)
    | ~ esk4548_4(X1,X2,X3,X4)
    | esk4091_4(X1,X2,X3,X4) )).

cnf(i_0_21074,axiom,
    ( esk7350_4(X1,X2,X3,X4)
    | ~ esk7336_4(X1,X2,X3,X4)
    | ~ esk7349_4(X1,X2,X3,X4) )).

cnf(i_0_21075,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1720_4(X1,X2,X3,X4) )).

cnf(i_0_21076,axiom,
    ( ~ esk6428_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_21077,axiom,
    ( ~ esk9520_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_21078,axiom,
    ( esk1669_4(X1,X2,X3,X4)
    | ~ esk1677_4(X1,X2,X3,X4) )).

cnf(i_0_21079,axiom,
    ( esk9017_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_21080,axiom,
    ( esk2379_4(X1,X2,X3,X4)
    | ~ esk2377_4(X1,X2,X3,X4) )).

cnf(i_0_21081,axiom,
    ( esk4737_4(X1,X2,X3,X4)
    | ~ esk4736_4(X1,X2,X3,X4) )).

cnf(i_0_21082,axiom,
    ( ~ esk3621_4(X1,X2,X3,X4)
    | esk3620_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4) )).

cnf(i_0_21083,axiom,
    ( ~ esk3374_4(X1,X2,X3,X4)
    | ~ esk2728_4(X1,X2,X3,X4)
    | esk2729_4(X1,X2,X3,X4) )).

cnf(i_0_21084,axiom,
    ( ~ esk6128_4(X1,X2,X3,X4)
    | esk6129_4(X1,X2,X3,X4) )).

cnf(i_0_21085,axiom,
    ( esk6917_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4) )).

cnf(i_0_21086,axiom,
    ( ~ esk4990_4(X1,X2,X3,X4)
    | esk3805_4(X1,X2,X3,X4) )).

cnf(i_0_21087,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5762_4(X1,X2,X3,X4) )).

cnf(i_0_21088,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk774_0
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_21089,axiom,
    ( esk8147_4(X1,X2,X3,X4)
    | ~ esk8146_4(X1,X2,X3,X4) )).

cnf(i_0_21090,axiom,
    ( ~ p(X1)
    | esk1075_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ esk2872_4(X1,X2,X3,X4) )).

cnf(i_0_21091,axiom,
    ( ~ esk7785_4(X1,X2,X3,X4)
    | esk9171_4(X1,X2,X3,X4) )).

cnf(i_0_21092,axiom,
    ( ~ esk7136_4(X1,X2,X3,X4)
    | esk7135_4(X1,X2,X3,X4) )).

cnf(i_0_21093,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2595_4(X1,X2,X3,X4) )).

cnf(i_0_21094,axiom,
    ( esk5427_4(X1,X2,X3,X4)
    | esk5428_4(X1,X2,X3,X4)
    | ~ esk5429_4(X1,X2,X3,X4) )).

cnf(i_0_21095,axiom,
    ( esk7555_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7552_4(X1,X2,X3,X4) )).

cnf(i_0_21096,axiom,
    ( ~ esk3924_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_21097,axiom,
    ( ~ esk6224_4(X1,X2,X3,X4)
    | esk6223_4(X1,X2,X3,X4) )).

cnf(i_0_21098,axiom,
    ( esk2128_4(X1,X2,X3,X4)
    | ~ esk2244_4(X1,X2,X3,X4)
    | esk2205_4(X1,X2,X3,X4) )).

cnf(i_0_21099,axiom,
    ( esk9129_4(X1,X2,X3,X4)
    | ~ esk9136_4(X1,X2,X3,X4) )).

cnf(i_0_21100,axiom,
    ( ~ esk1433_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_21101,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8581_4(X1,X2,X3,X4) )).

cnf(i_0_21102,axiom,
    ( ~ esk8404_4(X1,X2,X3,X4)
    | esk8403_4(X1,X2,X3,X4) )).

cnf(i_0_21103,axiom,
    ( ~ esk2311_4(X1,X2,X3,X4)
    | esk2310_4(X1,X2,X3,X4)
    | esk2309_4(X1,X2,X3,X4) )).

cnf(i_0_21104,axiom,
    ( ~ p(X2)
    | ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | esk435_0
    | p(X3) )).

cnf(i_0_21105,axiom,
    ( esk2436_4(X1,X2,X3,X4)
    | ~ esk2415_4(X1,X2,X3,X4) )).

cnf(i_0_21106,axiom,
    ( esk3748_4(X1,X2,X3,X4)
    | ~ esk5005_4(X1,X2,X3,X4)
    | ~ esk3747_4(X1,X2,X3,X4) )).

cnf(i_0_21107,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4431_4(X1,X2,X3,X4)
    | ~ esk4430_4(X1,X2,X3,X4) )).

cnf(i_0_21108,axiom,
    ( esk6372_4(X1,X2,X3,X4)
    | ~ esk6685_4(X1,X2,X3,X4) )).

cnf(i_0_21109,axiom,
    ( ~ esk7252_4(X1,X2,X3,X4)
    | esk7251_4(X1,X2,X3,X4)
    | esk7250_4(X1,X2,X3,X4) )).

cnf(i_0_21110,axiom,
    ( ~ esk9019_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_21111,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6942_4(X1,X2,X3,X4) )).

cnf(i_0_21112,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk9_0
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_21113,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk833_0
    | esk2791_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21114,axiom,
    ( ~ esk5877_4(X1,X2,X3,X4)
    | esk5573_4(X1,X2,X3,X4) )).

cnf(i_0_21115,axiom,
    ( esk7988_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21116,axiom,
    ( esk9246_4(X1,X2,X3,X4)
    | ~ esk9247_4(X1,X2,X3,X4)
    | esk9245_4(X1,X2,X3,X4) )).

cnf(i_0_21117,axiom,
    ( esk3337_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2610_4(X1,X2,X3,X4) )).

cnf(i_0_21118,axiom,
    ( ~ esk8087_4(X1,X2,X3,X4)
    | esk8089_4(X1,X2,X3,X4) )).

cnf(i_0_21119,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | esk568_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_21120,axiom,
    ( esk7359_4(X1,X2,X3,X4)
    | esk7358_4(X1,X2,X3,X4)
    | ~ esk7360_4(X1,X2,X3,X4) )).

cnf(i_0_21121,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk760_0
    | ~ esk2455_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_21122,axiom,
    ( ~ esk3644_4(X1,X2,X3,X4)
    | esk5007_4(X1,X2,X3,X4) )).

cnf(i_0_21123,axiom,
    ( ~ esk5401_4(X1,X2,X3,X4)
    | ~ esk4686_4(X1,X2,X3,X4) )).

cnf(i_0_21124,axiom,
    ( ~ esk7171_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_21125,axiom,
    ( ~ esk2394_4(X1,X2,X3,X4)
    | esk2202_4(X1,X2,X3,X4) )).

cnf(i_0_21126,axiom,
    ( ~ esk8483_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk8521_4(X1,X2,X3,X4) )).

cnf(i_0_21127,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6422_4(X1,X2,X3,X4) )).

cnf(i_0_21128,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | ~ esk3661_4(X1,X2,X3,X4) )).

cnf(i_0_21129,axiom,
    ( esk4308_4(X1,X2,X3,X4)
    | ~ esk4307_4(X1,X2,X3,X4) )).

cnf(i_0_21130,axiom,
    ( ~ esk4068_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_21131,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk713_0
    | ~ p(X2) )).

cnf(i_0_21132,axiom,
    ( esk2072_4(X1,X2,X3,X4)
    | ~ esk2073_4(X1,X2,X3,X4) )).

cnf(i_0_21133,axiom,
    ( esk3202_4(X1,X2,X3,X4)
    | ~ esk3201_4(X1,X2,X3,X4) )).

cnf(i_0_21134,axiom,
    ( ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk922_0
    | p(X3)
    | p(X1) )).

cnf(i_0_21135,axiom,
    ( ~ esk554_0
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_21136,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk433_0
    | esk2061_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_21137,axiom,
    ( esk9024_4(X1,X2,X3,X4)
    | ~ esk9081_4(X1,X2,X3,X4) )).

cnf(i_0_21138,axiom,
    ( esk2210_4(X1,X2,X3,X4)
    | ~ esk1997_4(X1,X2,X3,X4)
    | esk2249_4(X1,X2,X3,X4) )).

cnf(i_0_21139,axiom,
    ( ~ esk6571_4(X1,X2,X3,X4)
    | esk6573_4(X1,X2,X3,X4) )).

cnf(i_0_21140,axiom,
    ( esk1802_4(X1,X2,X3,X4)
    | ~ esk1804_4(X1,X2,X3,X4)
    | esk1803_4(X1,X2,X3,X4) )).

cnf(i_0_21141,axiom,
    ( ~ esk4390_4(X1,X2,X3,X4)
    | ~ esk4316_4(X1,X2,X3,X4)
    | esk4391_4(X1,X2,X3,X4) )).

cnf(i_0_21142,axiom,
    ( p(X1)
    | ~ esk2435_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk1_0
    | p(X2) )).

cnf(i_0_21143,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk470_0
    | ~ p(X3)
    | ~ p(X4)
    | esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_21144,axiom,
    ( ~ esk7550_4(X1,X2,X3,X4)
    | esk7549_4(X1,X2,X3,X4) )).

cnf(i_0_21145,axiom,
    ( esk9562_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk9559_4(X1,X2,X3,X4) )).

cnf(i_0_21146,axiom,
    ( esk4423_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4422_4(X1,X2,X3,X4) )).

cnf(i_0_21147,axiom,
    ( esk5987_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21148,axiom,
    ( p(X4)
    | esk2813_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk998_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_21149,axiom,
    ( esk4232_4(X1,X2,X3,X4)
    | esk4194_4(X1,X2,X3,X4) )).

cnf(i_0_21150,axiom,
    ( esk6742_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_21151,axiom,
    ( esk3946_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_21152,axiom,
    ( esk9016_4(X1,X2,X3,X4)
    | ~ esk9128_4(X1,X2,X3,X4) )).

cnf(i_0_21153,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | esk1323_0
    | p(X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_21154,axiom,
    ( p(X2)
    | esk415_0
    | p(X3)
    | ~ p(X1)
    | ~ esk2058_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21155,axiom,
    ( ~ esk3910_4(X1,X2,X3,X4)
    | esk3912_4(X1,X2,X3,X4) )).

cnf(i_0_21156,axiom,
    ( esk4332_4(X1,X2,X3,X4)
    | ~ esk4330_4(X1,X2,X3,X4) )).

cnf(i_0_21157,axiom,
    ( esk7508_4(X1,X2,X3,X4)
    | ~ esk7507_4(X1,X2,X3,X4) )).

cnf(i_0_21158,axiom,
    ( esk2596_4(X1,X2,X3,X4)
    | ~ esk2595_4(X1,X2,X3,X4)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_21159,axiom,
    ( p(X1)
    | p(X4)
    | esk9210_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ esk1233_0 )).

cnf(i_0_21160,axiom,
    ( ~ esk7630_4(X1,X2,X3,X4)
    | esk7632_4(X1,X2,X3,X4) )).

cnf(i_0_21161,axiom,
    ( ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8818_4(X1,X2,X3,X4) )).

cnf(i_0_21162,axiom,
    ( ~ esk3849_4(X1,X2,X3,X4)
    | esk3488_4(X1,X2,X3,X4) )).

cnf(i_0_21163,axiom,
    ( esk8597_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_21164,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8583_4(X1,X2,X3,X4) )).

cnf(i_0_21165,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1608_4(X1,X2,X3,X4) )).

cnf(i_0_21166,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7208_4(X1,X2,X3,X4)
    | esk7211_4(X1,X2,X3,X4) )).

cnf(i_0_21167,axiom,
    ( ~ esk1792_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk1787_4(X1,X2,X3,X4) )).

cnf(i_0_21168,axiom,
    ( esk3495_4(X1,X2,X3,X4)
    | ~ esk4975_4(X1,X2,X3,X4) )).

cnf(i_0_21169,axiom,
    ( ~ esk4273_4(X1,X2,X3,X4)
    | esk4586_4(X1,X2,X3,X4) )).

cnf(i_0_21170,axiom,
    ( ~ esk5660_4(X1,X2,X3,X4)
    | esk5903_4(X1,X2,X3,X4) )).

cnf(i_0_21171,axiom,
    ( esk7276_4(X1,X2,X3,X4)
    | ~ esk7274_4(X1,X2,X3,X4) )).

cnf(i_0_21172,axiom,
    ( ~ esk5447_4(X1,X2,X3,X4)
    | esk4777_4(X1,X2,X3,X4) )).

cnf(i_0_21173,axiom,
    ( ~ esk8410_4(X1,X2,X3,X4)
    | esk8408_4(X1,X2,X3,X4)
    | esk8409_4(X1,X2,X3,X4) )).

cnf(i_0_21174,axiom,
    ( ~ esk9176_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk1_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_21175,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7517_4(X1,X2,X3,X4) )).

cnf(i_0_21176,axiom,
    ( ~ esk9640_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_21177,axiom,
    ( ~ esk9248_4(X1,X2,X3,X4)
    | p(X4)
    | esk1314_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_21178,axiom,
    ( esk1750_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk170_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_21179,axiom,
    ( esk9403_4(X1,X2,X3,X4)
    | ~ esk9402_4(X1,X2,X3,X4) )).

cnf(i_0_21180,axiom,
    ( ~ esk6621_4(X1,X2,X3,X4)
    | esk4521_4(X1,X2,X3,X4) )).

cnf(i_0_21181,axiom,
    ( esk4123_4(X1,X2,X3,X4)
    | ~ esk4582_4(X1,X2,X3,X4) )).

cnf(i_0_21182,axiom,
    ( esk6390_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6389_4(X1,X2,X3,X4) )).

cnf(i_0_21183,axiom,
    ( esk5708_4(X1,X2,X3,X4)
    | ~ esk5707_4(X1,X2,X3,X4) )).

cnf(i_0_21184,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | esk384_0
    | ~ esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_21185,axiom,
    ( ~ p(X2)
    | ~ esk287_0
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | esk8156_4(X1,X2,X3,X4) )).

cnf(i_0_21186,axiom,
    ( ~ esk7522_4(X1,X2,X3,X4)
    | esk6864_4(X1,X2,X3,X4) )).

cnf(i_0_21187,axiom,
    ( ~ esk6179_4(X1,X2,X3,X4)
    | esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_21188,axiom,
    ( esk8722_4(X1,X2,X3,X4)
    | ~ esk8535_4(X1,X2,X3,X4) )).

cnf(i_0_21189,axiom,
    ( ~ esk7982_4(X1,X2,X3,X4)
    | esk9183_4(X1,X2,X3,X4) )).

cnf(i_0_21190,axiom,
    ( esk6234_4(X1,X2,X3,X4)
    | ~ esk6232_4(X1,X2,X3,X4) )).

cnf(i_0_21191,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk495_0
    | ~ p(X2)
    | ~ esk2212_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_21192,axiom,
    ( esk6353_4(X1,X2,X3,X4)
    | ~ esk6351_4(X1,X2,X3,X4) )).

cnf(i_0_21193,axiom,
    ( esk4528_4(X1,X2,X3,X4)
    | ~ esk4265_4(X1,X2,X3,X4)
    | esk4526_4(X1,X2,X3,X4) )).

cnf(i_0_21194,axiom,
    ( esk9518_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9515_4(X1,X2,X3,X4) )).

cnf(i_0_21195,axiom,
    ( ~ esk1518_4(X1,X2,X3,X4)
    | esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_21196,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk1007_0
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_21197,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3723_4(X1,X2,X3,X4) )).

cnf(i_0_21198,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk356_0
    | p(X3)
    | esk8254_4(X1,X2,X3,X4) )).

cnf(i_0_21199,axiom,
    ( ~ esk7562_4(X1,X2,X3,X4)
    | esk7564_4(X1,X2,X3,X4) )).

cnf(i_0_21200,axiom,
    ( esk8990_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_21201,axiom,
    ( ~ esk9449_4(X1,X2,X3,X4)
    | esk9435_4(X1,X2,X3,X4) )).

cnf(i_0_21202,axiom,
    ( esk6885_4(X1,X2,X3,X4)
    | ~ esk6886_4(X1,X2,X3,X4) )).

cnf(i_0_21203,axiom,
    ( ~ p(X4)
    | esk441_0
    | ~ esk8388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_21204,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6382_4(X1,X2,X3,X4) )).

cnf(i_0_21205,axiom,
    ( ~ esk5989_4(X1,X2,X3,X4)
    | esk5990_4(X1,X2,X3,X4) )).

cnf(i_0_21206,axiom,
    ( ~ esk1123_0
    | p(X2)
    | ~ p(X4)
    | esk2878_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_21207,axiom,
    ( ~ esk8121_4(X1,X2,X3,X4)
    | ~ esk7660_4(X1,X2,X3,X4)
    | esk8131_4(X1,X2,X3,X4) )).

cnf(i_0_21208,axiom,
    ( ~ esk1215_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | esk9194_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_21209,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3211_4(X1,X2,X3,X4) )).

cnf(i_0_21210,axiom,
    ( esk7600_4(X1,X2,X3,X4)
    | ~ esk7603_4(X1,X2,X3,X4) )).

cnf(i_0_21211,axiom,
    ( ~ esk5835_4(X1,X2,X3,X4)
    | esk5837_4(X1,X2,X3,X4) )).

cnf(i_0_21212,axiom,
    ( ~ esk9654_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_21213,axiom,
    ( esk3992_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_21214,axiom,
    ( ~ esk8434_4(X1,X2,X3,X4)
    | esk8436_4(X1,X2,X3,X4) )).

cnf(i_0_21215,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8564_4(X1,X2,X3,X4) )).

cnf(i_0_21216,axiom,
    ( ~ esk2668_4(X1,X2,X3,X4)
    | esk2486_4(X1,X2,X3,X4) )).

cnf(i_0_21217,axiom,
    ( esk8053_4(X1,X2,X3,X4)
    | ~ esk5953_4(X1,X2,X3,X4) )).

cnf(i_0_21218,axiom,
    ( esk1628_4(X1,X2,X3,X4)
    | ~ esk1629_4(X1,X2,X3,X4) )).

cnf(i_0_21219,axiom,
    ( esk8960_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_21220,axiom,
    ( esk1712_4(X1,X2,X3,X4)
    | ~ esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_21221,axiom,
    ( esk1127_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2878_4(X1,X2,X3,X4) )).

cnf(i_0_21222,axiom,
    ( esk4533_4(X1,X2,X3,X4)
    | ~ esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_21223,axiom,
    ( ~ esk7084_4(X1,X2,X3,X4)
    | ~ esk5790_4(X1,X2,X3,X4)
    | esk5791_4(X1,X2,X3,X4) )).

cnf(i_0_21224,axiom,
    ( ~ esk9474_4(X1,X2,X3,X4)
    | esk9475_4(X1,X2,X3,X4) )).

cnf(i_0_21225,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3831_4(X1,X2,X3,X4) )).

cnf(i_0_21226,axiom,
    ( ~ esk2745_4(X1,X2,X3,X4)
    | esk2747_4(X1,X2,X3,X4) )).

cnf(i_0_21227,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk2932_4(X1,X2,X3,X4)
    | p(X2)
    | esk1287_0 )).

cnf(i_0_21228,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk2043_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_21229,axiom,
    ( ~ esk5762_4(X1,X2,X3,X4)
    | esk5763_4(X1,X2,X3,X4)
    | ~ esk7140_4(X1,X2,X3,X4) )).

cnf(i_0_21230,axiom,
    ( esk2606_4(X1,X2,X3,X4)
    | ~ esk2605_4(X1,X2,X3,X4) )).

cnf(i_0_21231,axiom,
    ( ~ esk1685_4(X1,X2,X3,X4)
    | esk1729_4(X1,X2,X3,X4)
    | ~ esk1728_4(X1,X2,X3,X4) )).

cnf(i_0_21232,axiom,
    ( esk7946_4(X1,X2,X3,X4)
    | esk7947_4(X1,X2,X3,X4)
    | ~ esk7948_4(X1,X2,X3,X4) )).

cnf(i_0_21233,axiom,
    ( ~ esk3346_4(X1,X2,X3,X4)
    | esk3349_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_21234,axiom,
    ( ~ esk7214_4(X1,X2,X3,X4)
    | esk7213_4(X1,X2,X3,X4) )).

cnf(i_0_21235,axiom,
    ( esk4550_4(X1,X2,X3,X4)
    | ~ esk3506_4(X1,X2,X3,X4) )).

cnf(i_0_21236,axiom,
    ( esk4689_4(X1,X2,X3,X4)
    | ~ esk4748_4(X1,X2,X3,X4) )).

cnf(i_0_21237,axiom,
    ( esk9283_4(X1,X2,X3,X4)
    | ~ esk9281_4(X1,X2,X3,X4) )).

cnf(i_0_21238,axiom,
    ( esk4989_4(X1,X2,X3,X4)
    | ~ esk3785_4(X1,X2,X3,X4) )).

cnf(i_0_21239,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk939_0
    | ~ p(X2)
    | p(X1)
    | ~ esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_21240,axiom,
    ( esk3939_4(X1,X2,X3,X4)
    | ~ esk3874_4(X1,X2,X3,X4) )).

cnf(i_0_21241,axiom,
    ( ~ esk3592_4(X1,X2,X3,X4)
    | esk3575_4(X1,X2,X3,X4) )).

cnf(i_0_21242,axiom,
    ( esk7753_4(X1,X2,X3,X4)
    | ~ esk7751_4(X1,X2,X3,X4) )).

cnf(i_0_21243,axiom,
    ( esk6779_4(X1,X2,X3,X4)
    | ~ esk7500_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_21244,axiom,
    ( ~ esk2278_4(X1,X2,X3,X4)
    | esk2280_4(X1,X2,X3,X4) )).

cnf(i_0_21245,axiom,
    ( ~ esk958_0
    | esk9103_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_21246,axiom,
    ( ~ esk6210_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21247,axiom,
    ( ~ esk1810_4(X1,X2,X3,X4)
    | ~ esk2294_4(X1,X2,X3,X4)
    | esk1811_4(X1,X2,X3,X4) )).

cnf(i_0_21248,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | ~ esk1880_4(X1,X2,X3,X4) )).

cnf(i_0_21249,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk896_0 )).

cnf(i_0_21250,axiom,
    ( esk8256_4(X1,X2,X3,X4)
    | ~ esk8257_4(X1,X2,X3,X4) )).

cnf(i_0_21251,axiom,
    ( esk2147_4(X1,X2,X3,X4)
    | ~ esk2223_4(X1,X2,X3,X4) )).

cnf(i_0_21252,axiom,
    ( ~ esk2570_4(X1,X2,X3,X4)
    | esk2568_4(X1,X2,X3,X4)
    | esk2569_4(X1,X2,X3,X4) )).

cnf(i_0_21253,axiom,
    ( esk9310_4(X1,X2,X3,X4)
    | ~ esk9311_4(X1,X2,X3,X4)
    | esk9309_4(X1,X2,X3,X4) )).

cnf(i_0_21254,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk7237_4(X1,X2,X3,X4) )).

cnf(i_0_21255,axiom,
    ( esk5558_4(X1,X2,X3,X4)
    | ~ esk6194_4(X1,X2,X3,X4) )).

cnf(i_0_21256,axiom,
    ( esk3982_4(X1,X2,X3,X4)
    | ~ esk3981_4(X1,X2,X3,X4) )).

cnf(i_0_21257,axiom,
    ( ~ esk6347_4(X1,X2,X3,X4)
    | esk6349_4(X1,X2,X3,X4) )).

cnf(i_0_21258,axiom,
    ( ~ esk2688_4(X1,X2,X3,X4)
    | esk2690_4(X1,X2,X3,X4) )).

cnf(i_0_21259,axiom,
    ( ~ esk3981_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_21260,axiom,
    ( ~ esk5719_4(X1,X2,X3,X4)
    | esk5720_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_21261,axiom,
    ( ~ esk2449_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4)
    | esk2441_4(X1,X2,X3,X4) )).

cnf(i_0_21262,axiom,
    ( esk4526_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4302_4(X1,X2,X3,X4) )).

cnf(i_0_21263,axiom,
    ( ~ esk3128_4(X1,X2,X3,X4)
    | esk3130_4(X1,X2,X3,X4) )).

cnf(i_0_21264,axiom,
    ( ~ esk8153_4(X1,X2,X3,X4)
    | esk8152_4(X1,X2,X3,X4) )).

cnf(i_0_21265,axiom,
    ( esk1695_4(X1,X2,X3,X4)
    | ~ esk1694_4(X1,X2,X3,X4) )).

cnf(i_0_21266,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5154_4(X1,X2,X3,X4) )).

cnf(i_0_21267,axiom,
    ( esk2362_4(X1,X2,X3,X4)
    | ~ esk2361_4(X1,X2,X3,X4) )).

cnf(i_0_21268,axiom,
    ( ~ esk7894_4(X1,X2,X3,X4)
    | esk9187_4(X1,X2,X3,X4) )).

cnf(i_0_21269,axiom,
    ( esk6584_4(X1,X2,X3,X4)
    | esk6583_4(X1,X2,X3,X4)
    | ~ esk6585_4(X1,X2,X3,X4) )).

cnf(i_0_21270,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9093_4(X1,X2,X3,X4)
    | esk877_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_21271,axiom,
    ( esk9150_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk1033_0
    | ~ p(X1) )).

cnf(i_0_21272,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9428_4(X1,X2,X3,X4) )).

cnf(i_0_21273,axiom,
    ( ~ p(X1)
    | esk1302_0
    | ~ esk2942_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_21274,axiom,
    ( esk4582_4(X1,X2,X3,X4)
    | ~ esk4659_4(X1,X2,X3,X4) )).

cnf(i_0_21275,axiom,
    ( ~ esk7179_4(X1,X2,X3,X4)
    | esk7180_4(X1,X2,X3,X4) )).

cnf(i_0_21276,axiom,
    ( ~ esk5475_4(X1,X2,X3,X4)
    | esk5477_4(X1,X2,X3,X4) )).

cnf(i_0_21277,axiom,
    ( esk5444_4(X1,X2,X3,X4)
    | ~ esk5445_4(X1,X2,X3,X4)
    | esk5443_4(X1,X2,X3,X4) )).

cnf(i_0_21278,axiom,
    ( ~ esk5516_4(X1,X2,X3,X4)
    | esk5517_4(X1,X2,X3,X4) )).

cnf(i_0_21279,axiom,
    ( esk6731_4(X1,X2,X3,X4)
    | ~ esk6763_4(X1,X2,X3,X4) )).

cnf(i_0_21280,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7003_4(X1,X2,X3,X4)
    | esk6879_4(X1,X2,X3,X4) )).

cnf(i_0_21281,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4481_4(X1,X2,X3,X4) )).

cnf(i_0_21282,axiom,
    ( ~ esk2536_4(X1,X2,X3,X4)
    | esk2537_4(X1,X2,X3,X4) )).

cnf(i_0_21283,axiom,
    ( ~ esk5699_4(X1,X2,X3,X4)
    | esk5677_4(X1,X2,X3,X4) )).

cnf(i_0_21284,axiom,
    ( esk5458_4(X1,X2,X3,X4)
    | ~ esk5459_4(X1,X2,X3,X4) )).

cnf(i_0_21285,axiom,
    ( esk5004_4(X1,X2,X3,X4)
    | esk5003_4(X1,X2,X3,X4)
    | ~ esk5005_4(X1,X2,X3,X4) )).

cnf(i_0_21286,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk1169_0
    | esk2886_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_21287,axiom,
    ( ~ esk9446_4(X1,X2,X3,X4)
    | esk9447_4(X1,X2,X3,X4) )).

cnf(i_0_21288,axiom,
    ( esk2193_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_21289,axiom,
    ( ~ esk4398_4(X1,X2,X3,X4)
    | esk4397_4(X1,X2,X3,X4)
    | esk4396_4(X1,X2,X3,X4) )).

cnf(i_0_21290,axiom,
    ( ~ esk7998_4(X1,X2,X3,X4)
    | ~ esk9244_4(X1,X2,X3,X4)
    | esk9245_4(X1,X2,X3,X4) )).

cnf(i_0_21291,axiom,
    ( ~ esk9182_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | esk1160_0
    | p(X1) )).

cnf(i_0_21292,axiom,
    ( ~ p(X3)
    | ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk2_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_21293,axiom,
    ( ~ esk8157_4(X1,X2,X3,X4)
    | esk6057_4(X1,X2,X3,X4) )).

cnf(i_0_21294,axiom,
    ( ~ esk1284_0
    | ~ p(X2)
    | ~ p(X4)
    | esk2932_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_21295,axiom,
    ( esk8443_4(X1,X2,X3,X4)
    | ~ esk8444_4(X1,X2,X3,X4)
    | esk8442_4(X1,X2,X3,X4) )).

cnf(i_0_21296,axiom,
    ( esk7216_4(X1,X2,X3,X4)
    | ~ esk7214_4(X1,X2,X3,X4) )).

cnf(i_0_21297,axiom,
    ( ~ p(X3)
    | ~ esk28_0
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | esk7736_4(X1,X2,X3,X4) )).

cnf(i_0_21298,axiom,
    ( ~ esk7967_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | esk123_0
    | p(X2) )).

cnf(i_0_21299,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk1895_4(X1,X2,X3,X4) )).

cnf(i_0_21300,axiom,
    ( ~ esk5626_4(X1,X2,X3,X4)
    | esk5625_4(X1,X2,X3,X4)
    | esk5624_4(X1,X2,X3,X4) )).

cnf(i_0_21301,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8626_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21302,axiom,
    ( ~ esk3020_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_21303,axiom,
    ( esk8156_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk280_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_21304,axiom,
    ( ~ esk2212_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk492_0 )).

cnf(i_0_21305,axiom,
    ( esk7570_4(X1,X2,X3,X4)
    | esk7571_4(X1,X2,X3,X4)
    | ~ esk7572_4(X1,X2,X3,X4) )).

cnf(i_0_21306,axiom,
    ( ~ p(X3)
    | ~ esk1224_0
    | esk9204_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_21307,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8656_4(X1,X2,X3,X4)
    | esk8657_4(X1,X2,X3,X4) )).

cnf(i_0_21308,axiom,
    ( ~ p(X3)
    | ~ esk399_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_21309,axiom,
    ( ~ esk7296_4(X1,X2,X3,X4)
    | esk7299_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_21310,axiom,
    ( esk744_0
    | ~ p(X3)
    | ~ esk2453_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_21311,axiom,
    ( ~ esk3592_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_21312,axiom,
    ( esk4906_4(X1,X2,X3,X4)
    | ~ esk2806_4(X1,X2,X3,X4) )).

cnf(i_0_21313,axiom,
    ( ~ esk7510_4(X1,X2,X3,X4)
    | esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_21314,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6835_4(X1,X2,X3,X4) )).

cnf(i_0_21315,axiom,
    ( ~ esk5227_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_21316,axiom,
    ( esk8716_4(X1,X2,X3,X4)
    | ~ esk8206_4(X1,X2,X3,X4) )).

cnf(i_0_21317,axiom,
    ( ~ esk2717_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_21318,axiom,
    ( ~ esk8138_4(X1,X2,X3,X4)
    | esk263_0
    | ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_21319,axiom,
    ( esk2016_4(X1,X2,X3,X4)
    | ~ esk2017_4(X1,X2,X3,X4)
    | esk2015_4(X1,X2,X3,X4) )).

cnf(i_0_21320,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2772_4(X1,X2,X3,X4) )).

cnf(i_0_21321,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk5336_4(X1,X2,X3,X4) )).

cnf(i_0_21322,axiom,
    ( esk6387_4(X1,X2,X3,X4)
    | ~ esk6349_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_21323,axiom,
    ( esk2814_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_21324,axiom,
    ( esk7453_4(X1,X2,X3,X4)
    | ~ esk7454_4(X1,X2,X3,X4) )).

cnf(i_0_21325,axiom,
    ( esk5216_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_21326,axiom,
    ( esk5131_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk5130_4(X1,X2,X3,X4) )).

cnf(i_0_21327,axiom,
    ( esk9129_4(X1,X2,X3,X4)
    | ~ esk9128_4(X1,X2,X3,X4) )).

cnf(i_0_21328,axiom,
    ( ~ esk7232_4(X1,X2,X3,X4)
    | esk7230_4(X1,X2,X3,X4)
    | esk7231_4(X1,X2,X3,X4) )).

cnf(i_0_21329,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | esk6204_4(X1,X2,X3,X4) )).

cnf(i_0_21330,axiom,
    ( esk1784_4(X1,X2,X3,X4)
    | ~ esk2492_4(X1,X2,X3,X4) )).

cnf(i_0_21331,axiom,
    ( ~ esk8022_4(X1,X2,X3,X4)
    | esk8021_4(X1,X2,X3,X4) )).

cnf(i_0_21332,axiom,
    ( ~ esk4318_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_21333,axiom,
    ( esk5326_4(X1,X2,X3,X4)
    | ~ esk5327_4(X1,X2,X3,X4) )).

cnf(i_0_21334,axiom,
    ( ~ esk2561_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_21335,axiom,
    ( ~ esk7517_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_21336,axiom,
    ( ~ esk2558_4(X1,X2,X3,X4)
    | esk2787_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_21337,axiom,
    ( esk1833_4(X1,X2,X3,X4)
    | ~ esk1776_4(X1,X2,X3,X4) )).

cnf(i_0_21338,axiom,
    ( ~ esk6150_4(X1,X2,X3,X4)
    | ~ esk6699_4(X1,X2,X3,X4)
    | esk6700_4(X1,X2,X3,X4) )).

cnf(i_0_21339,axiom,
    ( esk9454_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4)
    | ~ esk9451_4(X1,X2,X3,X4) )).

cnf(i_0_21340,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk8725_4(X1,X2,X3,X4)
    | p(X2)
    | esk642_0 )).

cnf(i_0_21341,axiom,
    ( p(X2)
    | esk1188_0
    | ~ esk2894_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_21342,axiom,
    ( esk7646_4(X1,X2,X3,X4)
    | esk5720_4(X1,X2,X3,X4)
    | ~ esk7647_4(X1,X2,X3,X4) )).

cnf(i_0_21343,axiom,
    ( ~ esk126_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_21344,axiom,
    ( ~ esk6138_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21345,axiom,
    ( ~ esk8719_4(X1,X2,X3,X4)
    | p(X1)
    | esk588_0
    | p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_21346,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk3240_4(X1,X2,X3,X4)
    | ~ esk3239_4(X1,X2,X3,X4) )).

cnf(i_0_21347,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | esk6996_4(X1,X2,X3,X4) )).

cnf(i_0_21348,axiom,
    ( ~ esk8617_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk532_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_21349,axiom,
    ( esk9388_4(X1,X2,X3,X4)
    | ~ esk9389_4(X1,X2,X3,X4) )).

cnf(i_0_21350,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ esk365_0
    | ~ p(X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_21351,axiom,
    ( esk5374_4(X1,X2,X3,X4)
    | esk4524_4(X1,X2,X3,X4)
    | ~ esk5375_4(X1,X2,X3,X4) )).

cnf(i_0_21352,axiom,
    ( ~ esk4699_4(X1,X2,X3,X4)
    | esk4698_4(X1,X2,X3,X4) )).

cnf(i_0_21353,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk3329_4(X1,X2,X3,X4) )).

cnf(i_0_21354,axiom,
    ( esk5819_4(X1,X2,X3,X4)
    | ~ esk7120_4(X1,X2,X3,X4)
    | ~ esk5818_4(X1,X2,X3,X4) )).

cnf(i_0_21355,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk1140_0
    | ~ p(X2)
    | p(X3)
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_21356,axiom,
    ( esk9081_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk2_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_21357,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk905_0
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21358,axiom,
    ( ~ esk7963_4(X1,X2,X3,X4)
    | esk7999_4(X1,X2,X3,X4) )).

cnf(i_0_21359,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3063_4(X1,X2,X3,X4) )).

cnf(i_0_21360,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6354_4(X1,X2,X3,X4) )).

cnf(i_0_21361,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3594_4(X1,X2,X3,X4) )).

cnf(i_0_21362,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5627_4(X1,X2,X3,X4)
    | ~ esk5573_4(X1,X2,X3,X4) )).

cnf(i_0_21363,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4829_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_21364,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5315_4(X1,X2,X3,X4) )).

cnf(i_0_21365,axiom,
    ( ~ esk5154_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5155_4(X1,X2,X3,X4) )).

cnf(i_0_21366,axiom,
    ( ~ esk5239_4(X1,X2,X3,X4)
    | esk5241_4(X1,X2,X3,X4) )).

cnf(i_0_21367,axiom,
    ( esk4229_4(X1,X2,X3,X4)
    | esk4230_4(X1,X2,X3,X4)
    | ~ esk4231_4(X1,X2,X3,X4) )).

cnf(i_0_21368,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ esk8508_4(X1,X2,X3,X4)
    | esk495_0
    | ~ p(X2) )).

cnf(i_0_21369,axiom,
    ( esk6574_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_21370,axiom,
    ( esk8267_4(X1,X2,X3,X4)
    | ~ esk8266_4(X1,X2,X3,X4) )).

cnf(i_0_21371,axiom,
    ( esk4562_4(X1,X2,X3,X4)
    | ~ esk4561_4(X1,X2,X3,X4) )).

cnf(i_0_21372,axiom,
    ( esk5253_4(X1,X2,X3,X4)
    | ~ esk5251_4(X1,X2,X3,X4) )).

cnf(i_0_21373,axiom,
    ( ~ esk5368_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_21374,axiom,
    ( esk9146_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_21375,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4471_4(X1,X2,X3,X4) )).

cnf(i_0_21376,axiom,
    ( ~ esk5549_4(X1,X2,X3,X4)
    | ~ esk3751_4(X1,X2,X3,X4) )).

cnf(i_0_21377,axiom,
    ( ~ esk2442_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_21378,axiom,
    ( esk6682_4(X1,X2,X3,X4)
    | ~ esk6858_4(X1,X2,X3,X4) )).

cnf(i_0_21379,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9373_4(X1,X2,X3,X4) )).

cnf(i_0_21380,axiom,
    ( ~ esk7863_4(X1,X2,X3,X4)
    | esk7864_4(X1,X2,X3,X4) )).

cnf(i_0_21381,axiom,
    ( p(X1)
    | p(X2)
    | esk2868_4(X1,X2,X3,X4)
    | ~ esk1040_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_21382,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3560_4(X1,X2,X3,X4) )).

cnf(i_0_21383,axiom,
    ( ~ esk7502_4(X1,X2,X3,X4)
    | esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_21384,axiom,
    ( esk9122_4(X1,X2,X3,X4)
    | ~ esk9121_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_21385,axiom,
    ( esk3737_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3674_4(X1,X2,X3,X4) )).

cnf(i_0_21386,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X3)
    | esk8046_4(X1,X2,X3,X4)
    | ~ esk176_0
    | p(X2) )).

cnf(i_0_21387,axiom,
    ( esk9115_4(X1,X2,X3,X4)
    | ~ esk7817_4(X1,X2,X3,X4)
    | esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_21388,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk9164_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1043_0
    | p(X1) )).

cnf(i_0_21389,axiom,
    ( esk8425_4(X1,X2,X3,X4)
    | ~ esk8541_4(X1,X2,X3,X4)
    | esk8502_4(X1,X2,X3,X4) )).

cnf(i_0_21390,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | ~ esk7187_4(X1,X2,X3,X4) )).

cnf(i_0_21391,axiom,
    ( esk6409_4(X1,X2,X3,X4)
    | ~ esk6154_4(X1,X2,X3,X4) )).

cnf(i_0_21392,axiom,
    ( esk2946_4(X1,X2,X3,X4)
    | ~ esk2944_4(X1,X2,X3,X4) )).

cnf(i_0_21393,axiom,
    ( ~ esk1796_4(X1,X2,X3,X4)
    | esk1794_4(X1,X2,X3,X4)
    | esk1795_4(X1,X2,X3,X4) )).

cnf(i_0_21394,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | ~ esk9160_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_21395,axiom,
    ( ~ esk1981_4(X1,X2,X3,X4)
    | esk1982_4(X1,X2,X3,X4) )).

cnf(i_0_21396,axiom,
    ( esk3703_4(X1,X2,X3,X4)
    | ~ esk3704_4(X1,X2,X3,X4) )).

cnf(i_0_21397,axiom,
    ( esk2563_4(X1,X2,X3,X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_21398,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk7812_4(X1,X2,X3,X4)
    | esk80_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_21399,axiom,
    ( ~ esk5280_4(X1,X2,X3,X4)
    | esk5277_4(X1,X2,X3,X4) )).

cnf(i_0_21400,axiom,
    ( esk5302_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_21401,axiom,
    ( esk8105_4(X1,X2,X3,X4)
    | ~ esk8104_4(X1,X2,X3,X4) )).

cnf(i_0_21402,axiom,
    ( ~ esk3573_4(X1,X2,X3,X4)
    | esk3462_4(X1,X2,X3,X4) )).

cnf(i_0_21403,axiom,
    ( esk4745_4(X1,X2,X3,X4)
    | ~ esk4743_4(X1,X2,X3,X4) )).

cnf(i_0_21404,axiom,
    ( ~ esk5464_4(X1,X2,X3,X4)
    | esk5465_4(X1,X2,X3,X4) )).

cnf(i_0_21405,axiom,
    ( ~ esk5655_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_21406,axiom,
    ( ~ p(X2)
    | esk9228_4(X1,X2,X3,X4)
    | ~ esk1292_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_21407,axiom,
    ( esk1952_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk318_0
    | ~ p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_21408,axiom,
    ( ~ esk7027_4(X1,X2,X3,X4)
    | esk7028_4(X1,X2,X3,X4)
    | ~ esk7025_4(X1,X2,X3,X4) )).

cnf(i_0_21409,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7259_4(X1,X2,X3,X4) )).

cnf(i_0_21410,axiom,
    ( esk7585_4(X1,X2,X3,X4)
    | ~ esk7586_4(X1,X2,X3,X4) )).

cnf(i_0_21411,axiom,
    ( ~ esk5044_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_21412,axiom,
    ( esk82_0
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_21413,axiom,
    ( esk6569_4(X1,X2,X3,X4)
    | ~ esk6071_4(X1,X2,X3,X4) )).

cnf(i_0_21414,axiom,
    ( ~ esk4335_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_21415,axiom,
    ( esk4420_4(X1,X2,X3,X4)
    | ~ esk3509_4(X1,X2,X3,X4) )).

cnf(i_0_21416,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk153_0
    | p(X1)
    | p(X3)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_21417,axiom,
    ( esk4358_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_21418,axiom,
    ( esk8729_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk674_0
    | p(X2) )).

cnf(i_0_21419,axiom,
    ( esk6627_4(X1,X2,X3,X4)
    | esk6625_4(X1,X2,X3,X4)
    | ~ esk6364_4(X1,X2,X3,X4) )).

cnf(i_0_21420,axiom,
    ( ~ esk7003_4(X1,X2,X3,X4)
    | esk6753_4(X1,X2,X3,X4) )).

cnf(i_0_21421,axiom,
    ( ~ esk4192_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_21422,axiom,
    ( esk9154_4(X1,X2,X3,X4)
    | esk9153_4(X1,X2,X3,X4)
    | ~ esk9155_4(X1,X2,X3,X4) )).

cnf(i_0_21423,axiom,
    ( ~ esk3333_4(X1,X2,X3,X4)
    | esk3330_4(X1,X2,X3,X4) )).

cnf(i_0_21424,axiom,
    ( ~ esk2626_4(X1,X2,X3,X4)
    | esk2624_4(X1,X2,X3,X4)
    | esk2625_4(X1,X2,X3,X4) )).

cnf(i_0_21425,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8649_4(X1,X2,X3,X4) )).

cnf(i_0_21426,axiom,
    ( ~ esk7878_4(X1,X2,X3,X4)
    | esk7880_4(X1,X2,X3,X4) )).

cnf(i_0_21427,axiom,
    ( ~ esk7358_4(X1,X2,X3,X4)
    | esk7357_4(X1,X2,X3,X4) )).

cnf(i_0_21428,axiom,
    ( ~ esk5644_4(X1,X2,X3,X4)
    | esk6991_4(X1,X2,X3,X4) )).

cnf(i_0_21429,axiom,
    ( esk4070_4(X1,X2,X3,X4)
    | ~ esk4071_4(X1,X2,X3,X4) )).

cnf(i_0_21430,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5830_4(X1,X2,X3,X4) )).

cnf(i_0_21431,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8650_4(X1,X2,X3,X4) )).

cnf(i_0_21432,axiom,
    ( p(X2)
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk694_0
    | ~ p(X4) )).

cnf(i_0_21433,axiom,
    ( ~ esk8320_4(X1,X2,X3,X4)
    | esk7656_4(X1,X2,X3,X4) )).

cnf(i_0_21434,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk1_0
    | esk2425_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_21435,axiom,
    ( ~ esk4520_4(X1,X2,X3,X4)
    | esk4413_4(X1,X2,X3,X4)
    | ~ esk4381_4(X1,X2,X3,X4) )).

cnf(i_0_21436,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4877_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_21437,axiom,
    ( esk129_0
    | p(X1)
    | ~ p(X3)
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_21438,axiom,
    ( ~ esk4263_4(X1,X2,X3,X4)
    | ~ esk4528_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_21439,axiom,
    ( esk9389_4(X1,X2,X3,X4)
    | ~ esk9391_4(X1,X2,X3,X4)
    | esk9390_4(X1,X2,X3,X4) )).

cnf(i_0_21440,axiom,
    ( ~ p(X1)
    | p(X4)
    | esk2289_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk524_0
    | p(X3) )).

cnf(i_0_21441,axiom,
    ( ~ p(X1)
    | ~ esk586_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_21442,axiom,
    ( ~ esk6696_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_21443,axiom,
    ( ~ esk9105_4(X1,X2,X3,X4)
    | esk971_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_21444,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | esk6447_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_21445,axiom,
    ( ~ esk5613_4(X1,X2,X3,X4)
    | esk6259_4(X1,X2,X3,X4) )).

cnf(i_0_21446,axiom,
    ( ~ esk1631_4(X1,X2,X3,X4)
    | esk2941_4(X1,X2,X3,X4) )).

cnf(i_0_21447,axiom,
    ( p(X2)
    | esk934_0
    | ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_21448,axiom,
    ( ~ esk276_0
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | esk1860_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_21449,axiom,
    ( esk5496_4(X1,X2,X3,X4)
    | esk5495_4(X1,X2,X3,X4)
    | ~ esk5497_4(X1,X2,X3,X4) )).

cnf(i_0_21450,axiom,
    ( esk5471_4(X1,X2,X3,X4)
    | ~ esk5470_4(X1,X2,X3,X4)
    | ~ esk4789_4(X1,X2,X3,X4) )).

cnf(i_0_21451,axiom,
    ( ~ esk3641_4(X1,X2,X3,X4)
    | esk3571_4(X1,X2,X3,X4) )).

cnf(i_0_21452,axiom,
    ( esk2942_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1307_0 )).

cnf(i_0_21453,axiom,
    ( ~ esk6828_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk7575_4(X1,X2,X3,X4) )).

cnf(i_0_21454,axiom,
    ( esk1693_4(X1,X2,X3,X4)
    | esk1694_4(X1,X2,X3,X4)
    | ~ esk1695_4(X1,X2,X3,X4) )).

cnf(i_0_21455,axiom,
    ( ~ esk8934_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21456,axiom,
    ( ~ esk4532_4(X1,X2,X3,X4)
    | esk4466_4(X1,X2,X3,X4) )).

cnf(i_0_21457,axiom,
    ( esk6289_4(X1,X2,X3,X4)
    | ~ esk6121_4(X1,X2,X3,X4) )).

cnf(i_0_21458,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk363_0
    | p(X1)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_21459,axiom,
    ( esk6075_4(X1,X2,X3,X4)
    | ~ esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_21460,axiom,
    ( ~ esk3008_4(X1,X2,X3,X4)
    | esk3010_4(X1,X2,X3,X4) )).

cnf(i_0_21461,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8455_4(X1,X2,X3,X4) )).

cnf(i_0_21462,axiom,
    ( esk4316_4(X1,X2,X3,X4)
    | ~ esk4391_4(X1,X2,X3,X4) )).

cnf(i_0_21463,axiom,
    ( ~ esk7891_4(X1,X2,X3,X4)
    | esk7799_4(X1,X2,X3,X4) )).

cnf(i_0_21464,axiom,
    ( ~ esk5273_4(X1,X2,X3,X4)
    | esk5272_4(X1,X2,X3,X4)
    | esk5271_4(X1,X2,X3,X4) )).

cnf(i_0_21465,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6223_4(X1,X2,X3,X4) )).

cnf(i_0_21466,axiom,
    ( ~ esk7170_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_21467,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | esk1251_0
    | p(X1)
    | ~ esk2918_4(X1,X2,X3,X4) )).

cnf(i_0_21468,axiom,
    ( esk2254_4(X1,X2,X3,X4)
    | esk2255_4(X1,X2,X3,X4)
    | ~ esk2256_4(X1,X2,X3,X4) )).

cnf(i_0_21469,axiom,
    ( ~ esk2857_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_21470,axiom,
    ( esk3389_4(X1,X2,X3,X4)
    | esk3388_4(X1,X2,X3,X4)
    | ~ esk3390_4(X1,X2,X3,X4) )).

cnf(i_0_21471,axiom,
    ( ~ esk2373_4(X1,X2,X3,X4)
    | esk2375_4(X1,X2,X3,X4) )).

cnf(i_0_21472,axiom,
    ( ~ esk6239_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk6240_4(X1,X2,X3,X4) )).

cnf(i_0_21473,axiom,
    ( esk6392_4(X1,X2,X3,X4)
    | ~ esk6430_4(X1,X2,X3,X4) )).

cnf(i_0_21474,axiom,
    ( esk9575_4(X1,X2,X3,X4)
    | ~ esk9574_4(X1,X2,X3,X4) )).

cnf(i_0_21475,axiom,
    ( ~ esk3728_4(X1,X2,X3,X4)
    | esk3730_4(X1,X2,X3,X4) )).

cnf(i_0_21476,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk4105_4(X1,X2,X3,X4) )).

cnf(i_0_21477,axiom,
    ( ~ esk4531_4(X1,X2,X3,X4)
    | esk4506_4(X1,X2,X3,X4) )).

cnf(i_0_21478,axiom,
    ( ~ esk8606_4(X1,X2,X3,X4)
    | esk8456_4(X1,X2,X3,X4) )).

cnf(i_0_21479,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk2455_4(X1,X2,X3,X4)
    | esk3448_4(X1,X2,X3,X4) )).

cnf(i_0_21480,axiom,
    ( ~ esk2616_4(X1,X2,X3,X4)
    | esk2615_4(X1,X2,X3,X4) )).

cnf(i_0_21481,axiom,
    ( ~ esk6726_4(X1,X2,X3,X4)
    | ~ esk6905_4(X1,X2,X3,X4)
    | esk6906_4(X1,X2,X3,X4) )).

cnf(i_0_21482,axiom,
    ( esk6088_4(X1,X2,X3,X4)
    | ~ esk6090_4(X1,X2,X3,X4)
    | esk6089_4(X1,X2,X3,X4) )).

cnf(i_0_21483,axiom,
    ( esk2914_4(X1,X2,X3,X4)
    | ~ esk1613_4(X1,X2,X3,X4) )).

cnf(i_0_21484,axiom,
    ( ~ esk7015_4(X1,X2,X3,X4)
    | esk6068_4(X1,X2,X3,X4) )).

cnf(i_0_21485,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4)
    | esk6247_4(X1,X2,X3,X4) )).

cnf(i_0_21486,axiom,
    ( esk7595_4(X1,X2,X3,X4)
    | esk7594_4(X1,X2,X3,X4)
    | ~ esk7596_4(X1,X2,X3,X4) )).

cnf(i_0_21487,axiom,
    ( ~ esk5535_4(X1,X2,X3,X4)
    | ~ esk5534_4(X1,X2,X3,X4)
    | ~ esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_21488,axiom,
    ( esk1540_4(X1,X2,X3,X4)
    | ~ esk1541_4(X1,X2,X3,X4) )).

cnf(i_0_21489,axiom,
    ( ~ esk9240_4(X1,X2,X3,X4)
    | esk9241_4(X1,X2,X3,X4)
    | ~ esk8016_4(X1,X2,X3,X4) )).

cnf(i_0_21490,axiom,
    ( ~ esk5736_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_21491,axiom,
    ( esk6836_4(X1,X2,X3,X4)
    | ~ esk7591_4(X1,X2,X3,X4) )).

cnf(i_0_21492,axiom,
    ( esk4218_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4217_4(X1,X2,X3,X4) )).

cnf(i_0_21493,axiom,
    ( esk886_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk9093_4(X1,X2,X3,X4) )).

cnf(i_0_21494,axiom,
    ( esk4530_4(X1,X2,X3,X4)
    | esk4265_4(X1,X2,X3,X4)
    | ~ esk4304_4(X1,X2,X3,X4) )).

cnf(i_0_21495,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9728_4(X1,X2,X3,X4) )).

cnf(i_0_21496,axiom,
    ( ~ esk2801_4(X1,X2,X3,X4)
    | esk2608_4(X1,X2,X3,X4)
    | ~ esk2607_4(X1,X2,X3,X4) )).

cnf(i_0_21497,axiom,
    ( ~ esk3553_4(X1,X2,X3,X4)
    | esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_21498,axiom,
    ( esk3272_4(X1,X2,X3,X4)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk3273_4(X1,X2,X3,X4) )).

cnf(i_0_21499,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7567_4(X1,X2,X3,X4) )).

cnf(i_0_21500,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6974_4(X1,X2,X3,X4) )).

cnf(i_0_21501,axiom,
    ( ~ esk8919_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4)
    | esk9658_4(X1,X2,X3,X4) )).

cnf(i_0_21502,axiom,
    ( esk6506_4(X1,X2,X3,X4)
    | ~ esk6507_4(X1,X2,X3,X4) )).

cnf(i_0_21503,axiom,
    ( ~ esk5038_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_21504,axiom,
    ( ~ p(X1)
    | ~ esk961_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | esk2807_4(X1,X2,X3,X4) )).

cnf(i_0_21505,axiom,
    ( ~ p(X2)
    | esk8469_4(X1,X2,X3,X4)
    | ~ esk472_0
    | p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_21506,axiom,
    ( esk7138_4(X1,X2,X3,X4)
    | ~ esk5947_4(X1,X2,X3,X4) )).

cnf(i_0_21507,axiom,
    ( esk8213_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4)
    | ~ esk8740_4(X1,X2,X3,X4) )).

cnf(i_0_21508,axiom,
    ( esk7844_4(X1,X2,X3,X4)
    | ~ esk7907_4(X1,X2,X3,X4) )).

cnf(i_0_21509,axiom,
    ( esk8506_4(X1,X2,X3,X4)
    | ~ esk8504_4(X1,X2,X3,X4) )).

cnf(i_0_21510,axiom,
    ( esk2990_4(X1,X2,X3,X4)
    | ~ esk2988_4(X1,X2,X3,X4) )).

cnf(i_0_21511,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7437_4(X1,X2,X3,X4) )).

cnf(i_0_21512,axiom,
    ( esk6708_4(X1,X2,X3,X4)
    | esk6709_4(X1,X2,X3,X4)
    | ~ esk6710_4(X1,X2,X3,X4) )).

cnf(i_0_21513,axiom,
    ( ~ esk9390_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_21514,axiom,
    ( esk6402_4(X1,X2,X3,X4)
    | ~ esk6438_4(X1,X2,X3,X4) )).

cnf(i_0_21515,axiom,
    ( ~ esk5740_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_21516,axiom,
    ( esk8532_4(X1,X2,X3,X4)
    | esk8533_4(X1,X2,X3,X4)
    | ~ esk8534_4(X1,X2,X3,X4) )).

cnf(i_0_21517,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | ~ esk6776_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_21518,axiom,
    ( ~ esk4996_4(X1,X2,X3,X4)
    | esk7096_4(X1,X2,X3,X4) )).

cnf(i_0_21519,axiom,
    ( esk786_0
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_21520,axiom,
    ( ~ esk5727_4(X1,X2,X3,X4)
    | esk6652_4(X1,X2,X3,X4) )).

cnf(i_0_21521,axiom,
    ( ~ esk4185_4(X1,X2,X3,X4)
    | esk4187_4(X1,X2,X3,X4) )).

cnf(i_0_21522,axiom,
    ( ~ esk2078_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_21523,axiom,
    ( ~ esk3365_4(X1,X2,X3,X4)
    | esk3362_4(X1,X2,X3,X4) )).

cnf(i_0_21524,axiom,
    ( ~ esk3574_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4)
    | esk3649_4(X1,X2,X3,X4) )).

cnf(i_0_21525,axiom,
    ( ~ esk2998_4(X1,X2,X3,X4)
    | ~ esk3011_4(X1,X2,X3,X4)
    | esk3012_4(X1,X2,X3,X4) )).

cnf(i_0_21526,axiom,
    ( ~ esk8493_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21527,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1734_4(X1,X2,X3,X4) )).

cnf(i_0_21528,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2003_4(X1,X2,X3,X4) )).

cnf(i_0_21529,axiom,
    ( ~ esk7262_4(X1,X2,X3,X4)
    | esk7261_4(X1,X2,X3,X4) )).

cnf(i_0_21530,axiom,
    ( ~ esk4819_4(X1,X2,X3,X4)
    | esk4820_4(X1,X2,X3,X4)
    | ~ esk5497_4(X1,X2,X3,X4) )).

cnf(i_0_21531,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6342_4(X1,X2,X3,X4) )).

cnf(i_0_21532,axiom,
    ( ~ esk7769_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4)
    | esk7839_4(X1,X2,X3,X4) )).

cnf(i_0_21533,axiom,
    ( ~ esk7088_4(X1,X2,X3,X4)
    | esk4988_4(X1,X2,X3,X4) )).

cnf(i_0_21534,axiom,
    ( ~ esk6716_4(X1,X2,X3,X4)
    | esk6718_4(X1,X2,X3,X4) )).

cnf(i_0_21535,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1115_0 )).

cnf(i_0_21536,axiom,
    ( esk3722_4(X1,X2,X3,X4)
    | ~ esk5020_4(X1,X2,X3,X4) )).

cnf(i_0_21537,axiom,
    ( esk7046_4(X1,X2,X3,X4)
    | ~ esk7044_4(X1,X2,X3,X4) )).

cnf(i_0_21538,axiom,
    ( ~ esk5295_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_21539,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk9398_4(X1,X2,X3,X4) )).

cnf(i_0_21540,axiom,
    ( ~ esk9689_4(X1,X2,X3,X4)
    | esk9688_4(X1,X2,X3,X4) )).

cnf(i_0_21541,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7337_4(X1,X2,X3,X4) )).

cnf(i_0_21542,axiom,
    ( p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk246_0
    | esk1776_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_21543,axiom,
    ( esk5465_4(X1,X2,X3,X4)
    | ~ esk4868_4(X1,X2,X3,X4) )).

cnf(i_0_21544,axiom,
    ( esk8587_4(X1,X2,X3,X4)
    | ~ esk8787_4(X1,X2,X3,X4) )).

cnf(i_0_21545,axiom,
    ( esk2094_4(X1,X2,X3,X4)
    | ~ esk2248_4(X1,X2,X3,X4) )).

cnf(i_0_21546,axiom,
    ( ~ esk3653_4(X1,X2,X3,X4)
    | esk3654_4(X1,X2,X3,X4) )).

cnf(i_0_21547,axiom,
    ( esk5713_4(X1,X2,X3,X4)
    | ~ esk5644_4(X1,X2,X3,X4) )).

cnf(i_0_21548,axiom,
    ( ~ esk2612_4(X1,X2,X3,X4)
    | esk2611_4(X1,X2,X3,X4) )).

cnf(i_0_21549,axiom,
    ( esk215_0
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_21550,axiom,
    ( ~ esk8807_4(X1,X2,X3,X4)
    | esk8868_4(X1,X2,X3,X4) )).

cnf(i_0_21551,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2386_4(X1,X2,X3,X4) )).

cnf(i_0_21552,axiom,
    ( ~ esk2588_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_21553,axiom,
    ( p(X4)
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | esk341_0
    | ~ p(X1) )).

cnf(i_0_21554,axiom,
    ( ~ esk3976_4(X1,X2,X3,X4)
    | esk4534_4(X1,X2,X3,X4)
    | esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_21555,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1624_4(X1,X2,X3,X4) )).

cnf(i_0_21556,axiom,
    ( esk3264_4(X1,X2,X3,X4)
    | ~ esk3263_4(X1,X2,X3,X4)
    | ~ esk3250_4(X1,X2,X3,X4) )).

cnf(i_0_21557,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3405_4(X1,X2,X3,X4) )).

cnf(i_0_21558,axiom,
    ( esk9399_4(X1,X2,X3,X4)
    | ~ esk8698_4(X1,X2,X3,X4) )).

cnf(i_0_21559,axiom,
    ( ~ esk1993_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4)
    | esk1992_4(X1,X2,X3,X4) )).

cnf(i_0_21560,axiom,
    ( ~ esk2645_4(X1,X2,X3,X4)
    | esk2646_4(X1,X2,X3,X4) )).

cnf(i_0_21561,axiom,
    ( ~ p(X2)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk827_0
    | ~ p(X3) )).

cnf(i_0_21562,axiom,
    ( ~ esk7617_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_21563,axiom,
    ( esk5529_4(X1,X2,X3,X4)
    | ~ esk5528_4(X1,X2,X3,X4) )).

cnf(i_0_21564,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8100_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_21565,axiom,
    ( ~ esk7039_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_21566,axiom,
    ( esk2125_4(X1,X2,X3,X4)
    | ~ esk2122_4(X1,X2,X3,X4) )).

cnf(i_0_21567,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4660_4(X1,X2,X3,X4) )).

cnf(i_0_21568,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X1)
    | esk9089_4(X1,X2,X3,X4)
    | ~ esk844_0
    | p(X3) )).

cnf(i_0_21569,axiom,
    ( ~ esk4416_4(X1,X2,X3,X4)
    | esk4013_4(X1,X2,X3,X4)
    | esk4012_4(X1,X2,X3,X4) )).

cnf(i_0_21570,axiom,
    ( esk8538_4(X1,X2,X3,X4)
    | ~ esk8537_4(X1,X2,X3,X4) )).

cnf(i_0_21571,axiom,
    ( ~ esk7406_4(X1,X2,X3,X4)
    | esk7392_4(X1,X2,X3,X4) )).

cnf(i_0_21572,axiom,
    ( esk7076_4(X1,X2,X3,X4)
    | ~ esk5593_4(X1,X2,X3,X4) )).

cnf(i_0_21573,axiom,
    ( p(X3)
    | esk368_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8283_4(X1,X2,X3,X4) )).

cnf(i_0_21574,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk429_0
    | ~ p(X3)
    | esk2061_4(X1,X2,X3,X4) )).

cnf(i_0_21575,axiom,
    ( ~ esk5369_4(X1,X2,X3,X4)
    | ~ esk4511_4(X1,X2,X3,X4)
    | esk4512_4(X1,X2,X3,X4) )).

cnf(i_0_21576,axiom,
    ( ~ esk8158_4(X1,X2,X3,X4)
    | esk7986_4(X1,X2,X3,X4) )).

cnf(i_0_21577,axiom,
    ( esk4935_4(X1,X2,X3,X4)
    | ~ esk4933_4(X1,X2,X3,X4) )).

cnf(i_0_21578,axiom,
    ( esk8585_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk526_0
    | ~ p(X4) )).

cnf(i_0_21579,axiom,
    ( esk7323_4(X1,X2,X3,X4)
    | ~ esk7324_4(X1,X2,X3,X4)
    | esk7322_4(X1,X2,X3,X4) )).

cnf(i_0_21580,axiom,
    ( ~ esk2889_4(X1,X2,X3,X4)
    | esk4989_4(X1,X2,X3,X4) )).

cnf(i_0_21581,axiom,
    ( esk5543_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_21582,axiom,
    ( ~ esk8450_4(X1,X2,X3,X4)
    | esk8452_4(X1,X2,X3,X4) )).

cnf(i_0_21583,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7233_4(X1,X2,X3,X4) )).

cnf(i_0_21584,axiom,
    ( esk1525_4(X1,X2,X3,X4)
    | ~ esk2901_4(X1,X2,X3,X4) )).

cnf(i_0_21585,axiom,
    ( esk2306_4(X1,X2,X3,X4)
    | ~ esk2307_4(X1,X2,X3,X4)
    | esk2305_4(X1,X2,X3,X4) )).

cnf(i_0_21586,axiom,
    ( ~ esk6656_4(X1,X2,X3,X4)
    | esk6661_4(X1,X2,X3,X4) )).

cnf(i_0_21587,axiom,
    ( esk8604_4(X1,X2,X3,X4)
    | ~ esk8200_4(X1,X2,X3,X4) )).

cnf(i_0_21588,axiom,
    ( esk5809_4(X1,X2,X3,X4)
    | ~ esk5807_4(X1,X2,X3,X4) )).

cnf(i_0_21589,axiom,
    ( esk7436_4(X1,X2,X3,X4)
    | ~ esk7435_4(X1,X2,X3,X4) )).

cnf(i_0_21590,axiom,
    ( ~ esk6914_4(X1,X2,X3,X4)
    | esk6714_4(X1,X2,X3,X4) )).

cnf(i_0_21591,axiom,
    ( ~ esk4555_4(X1,X2,X3,X4)
    | esk4556_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_21592,axiom,
    ( ~ esk6960_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_21593,axiom,
    ( ~ esk3503_4(X1,X2,X3,X4)
    | esk3541_4(X1,X2,X3,X4) )).

cnf(i_0_21594,axiom,
    ( ~ esk4792_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_21595,axiom,
    ( esk9720_4(X1,X2,X3,X4)
    | ~ esk9721_4(X1,X2,X3,X4) )).

cnf(i_0_21596,axiom,
    ( esk6357_4(X1,X2,X3,X4)
    | ~ esk6356_4(X1,X2,X3,X4) )).

cnf(i_0_21597,axiom,
    ( esk9319_4(X1,X2,X3,X4)
    | ~ esk9318_4(X1,X2,X3,X4) )).

cnf(i_0_21598,axiom,
    ( esk8756_4(X1,X2,X3,X4)
    | ~ esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_21599,axiom,
    ( esk8249_4(X1,X2,X3,X4)
    | esk8546_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_21600,axiom,
    ( ~ esk8749_4(X1,X2,X3,X4)
    | esk9209_4(X1,X2,X3,X4) )).

cnf(i_0_21601,axiom,
    ( ~ esk4659_4(X1,X2,X3,X4)
    | esk4658_4(X1,X2,X3,X4) )).

cnf(i_0_21602,axiom,
    ( esk7832_4(X1,X2,X3,X4)
    | ~ esk7830_4(X1,X2,X3,X4) )).

cnf(i_0_21603,axiom,
    ( ~ esk3391_4(X1,X2,X3,X4)
    | esk3392_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_21604,axiom,
    ( ~ esk3659_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_21605,axiom,
    ( p(X1)
    | ~ esk668_0
    | ~ p(X2)
    | esk8729_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_21606,axiom,
    ( ~ esk9258_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_21607,axiom,
    ( esk3246_4(X1,X2,X3,X4)
    | ~ esk3244_4(X1,X2,X3,X4) )).

cnf(i_0_21608,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | esk2942_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1300_0 )).

cnf(i_0_21609,axiom,
    ( esk1682_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_21610,axiom,
    ( ~ esk8641_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21611,axiom,
    ( esk2114_4(X1,X2,X3,X4)
    | ~ esk2115_4(X1,X2,X3,X4) )).

cnf(i_0_21612,axiom,
    ( esk3519_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_21613,axiom,
    ( ~ esk4967_4(X1,X2,X3,X4)
    | esk2867_4(X1,X2,X3,X4) )).

cnf(i_0_21614,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5820_4(X1,X2,X3,X4) )).

cnf(i_0_21615,axiom,
    ( esk1400_4(X1,X2,X3,X4)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_21616,axiom,
    ( esk6653_4(X1,X2,X3,X4)
    | ~ esk7644_4(X1,X2,X3,X4) )).

cnf(i_0_21617,axiom,
    ( ~ esk9313_4(X1,X2,X3,X4)
    | esk9315_4(X1,X2,X3,X4) )).

cnf(i_0_21618,axiom,
    ( ~ esk7140_4(X1,X2,X3,X4)
    | ~ esk5826_4(X1,X2,X3,X4)
    | esk5827_4(X1,X2,X3,X4) )).

cnf(i_0_21619,axiom,
    ( esk7800_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_21620,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk422_0 )).

cnf(i_0_21621,axiom,
    ( esk9086_4(X1,X2,X3,X4)
    | ~ esk9588_4(X1,X2,X3,X4) )).

cnf(i_0_21622,axiom,
    ( ~ esk4111_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_21623,axiom,
    ( ~ esk5869_4(X1,X2,X3,X4)
    | esk5590_4(X1,X2,X3,X4) )).

cnf(i_0_21624,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7258_4(X1,X2,X3,X4) )).

cnf(i_0_21625,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk58_0
    | ~ p(X1)
    | esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_21626,axiom,
    ( esk4705_4(X1,X2,X3,X4)
    | ~ esk4704_4(X1,X2,X3,X4) )).

cnf(i_0_21627,axiom,
    ( esk2334_4(X1,X2,X3,X4)
    | ~ esk2333_4(X1,X2,X3,X4) )).

cnf(i_0_21628,axiom,
    ( esk3718_4(X1,X2,X3,X4)
    | ~ esk3717_4(X1,X2,X3,X4) )).

cnf(i_0_21629,axiom,
    ( p(X2)
    | ~ esk1776_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | esk243_0 )).

cnf(i_0_21630,axiom,
    ( ~ esk9257_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_21631,axiom,
    ( esk5706_4(X1,X2,X3,X4)
    | ~ esk5708_4(X1,X2,X3,X4)
    | esk5707_4(X1,X2,X3,X4) )).

cnf(i_0_21632,axiom,
    ( esk8115_4(X1,X2,X3,X4)
    | ~ esk9566_4(X1,X2,X3,X4) )).

cnf(i_0_21633,axiom,
    ( ~ esk5816_4(X1,X2,X3,X4)
    | esk5817_4(X1,X2,X3,X4) )).

cnf(i_0_21634,axiom,
    ( esk9137_4(X1,X2,X3,X4)
    | ~ esk9143_4(X1,X2,X3,X4) )).

cnf(i_0_21635,axiom,
    ( ~ esk4553_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_21636,axiom,
    ( esk4022_4(X1,X2,X3,X4)
    | ~ esk4020_4(X1,X2,X3,X4) )).

cnf(i_0_21637,axiom,
    ( ~ p(X1)
    | ~ esk2886_4(X1,X2,X3,X4)
    | esk1166_0
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_21638,axiom,
    ( esk7693_4(X1,X2,X3,X4)
    | ~ esk9173_4(X1,X2,X3,X4) )).

cnf(i_0_21639,axiom,
    ( esk4192_4(X1,X2,X3,X4)
    | ~ esk4307_4(X1,X2,X3,X4) )).

cnf(i_0_21640,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2400_4(X1,X2,X3,X4) )).

cnf(i_0_21641,axiom,
    ( ~ esk1554_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_21642,axiom,
    ( p(X2)
    | p(X4)
    | p(X3)
    | ~ esk1756_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1) )).

cnf(i_0_21643,axiom,
    ( ~ esk6088_4(X1,X2,X3,X4)
    | esk6419_4(X1,X2,X3,X4) )).

cnf(i_0_21644,axiom,
    ( ~ esk18_0
    | p(X2)
    | p(X3)
    | esk1440_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_21645,axiom,
    ( ~ esk7638_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_21646,axiom,
    ( esk3119_4(X1,X2,X3,X4)
    | ~ esk3120_4(X1,X2,X3,X4) )).

cnf(i_0_21647,axiom,
    ( esk3169_4(X1,X2,X3,X4)
    | esk3168_4(X1,X2,X3,X4)
    | ~ esk3170_4(X1,X2,X3,X4) )).

cnf(i_0_21648,axiom,
    ( ~ esk9633_4(X1,X2,X3,X4)
    | esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_21649,axiom,
    ( esk8499_4(X1,X2,X3,X4)
    | ~ esk8498_4(X1,X2,X3,X4) )).

cnf(i_0_21650,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk8725_4(X1,X2,X3,X4)
    | esk637_0
    | p(X4)
    | p(X3) )).

cnf(i_0_21651,axiom,
    ( ~ esk8941_4(X1,X2,X3,X4)
    | esk8940_4(X1,X2,X3,X4) )).

cnf(i_0_21652,axiom,
    ( esk7103_4(X1,X2,X3,X4)
    | esk7102_4(X1,X2,X3,X4)
    | ~ esk7104_4(X1,X2,X3,X4) )).

cnf(i_0_21653,axiom,
    ( ~ p(X2)
    | ~ esk7740_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X4)
    | esk52_0 )).

cnf(i_0_21654,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6901_4(X1,X2,X3,X4) )).

cnf(i_0_21655,axiom,
    ( ~ esk8023_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_21656,axiom,
    ( ~ esk9500_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_21657,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X2)
    | esk8778_4(X1,X2,X3,X4)
    | ~ esk770_0
    | p(X1) )).

cnf(i_0_21658,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk457_0
    | ~ p(X2)
    | ~ esk2095_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_21659,axiom,
    ( esk3178_4(X1,X2,X3,X4)
    | ~ esk3176_4(X1,X2,X3,X4) )).

cnf(i_0_21660,axiom,
    ( esk9106_4(X1,X2,X3,X4)
    | ~ esk7006_4(X1,X2,X3,X4) )).

cnf(i_0_21661,axiom,
    ( ~ esk4078_4(X1,X2,X3,X4)
    | esk4081_4(X1,X2,X3,X4) )).

cnf(i_0_21662,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | ~ esk2047_4(X1,X2,X3,X4) )).

cnf(i_0_21663,axiom,
    ( ~ esk6573_4(X1,X2,X3,X4)
    | esk6614_4(X1,X2,X3,X4) )).

cnf(i_0_21664,axiom,
    ( ~ esk9184_4(X1,X2,X3,X4)
    | esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_21665,axiom,
    ( p(X4)
    | esk8729_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk675_0
    | ~ p(X1) )).

cnf(i_0_21666,axiom,
    ( esk2800_4(X1,X2,X3,X4)
    | ~ esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_21667,axiom,
    ( ~ esk8753_4(X1,X2,X3,X4)
    | ~ esk7670_4(X1,X2,X3,X4) )).

cnf(i_0_21668,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | esk5215_4(X1,X2,X3,X4)
    | ~ esk5214_4(X1,X2,X3,X4) )).

cnf(i_0_21669,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk299_0
    | p(X2)
    | ~ esk8170_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_21670,axiom,
    ( ~ esk9070_4(X1,X2,X3,X4)
    | esk9727_4(X1,X2,X3,X4) )).

cnf(i_0_21671,axiom,
    ( ~ esk9446_4(X1,X2,X3,X4)
    | esk9443_4(X1,X2,X3,X4) )).

cnf(i_0_21672,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk7246_4(X1,X2,X3,X4)
    | ~ esk7245_4(X1,X2,X3,X4) )).

cnf(i_0_21673,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | esk596_0
    | ~ esk8719_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21674,axiom,
    ( ~ esk8352_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_21675,axiom,
    ( esk8390_4(X1,X2,X3,X4)
    | ~ esk8505_4(X1,X2,X3,X4) )).

cnf(i_0_21676,axiom,
    ( ~ esk6005_4(X1,X2,X3,X4)
    | esk6006_4(X1,X2,X3,X4) )).

cnf(i_0_21677,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | esk382_0
    | ~ esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_21678,axiom,
    ( ~ esk8870_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_21679,axiom,
    ( esk8008_4(X1,X2,X3,X4)
    | ~ esk9219_4(X1,X2,X3,X4) )).

cnf(i_0_21680,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk694_0
    | ~ p(X4)
    | esk8733_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_21681,axiom,
    ( esk2_0
    | ~ p(X1)
    | ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_21682,axiom,
    ( ~ esk1670_4(X1,X2,X3,X4)
    | esk1543_4(X1,X2,X3,X4) )).

cnf(i_0_21683,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4948_4(X1,X2,X3,X4) )).

cnf(i_0_21684,axiom,
    ( p(X3)
    | ~ esk2421_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | esk576_0
    | ~ p(X2) )).

cnf(i_0_21685,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8100_4(X1,X2,X3,X4) )).

cnf(i_0_21686,axiom,
    ( ~ esk6895_4(X1,X2,X3,X4)
    | esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_21687,axiom,
    ( ~ esk4308_4(X1,X2,X3,X4)
    | esk4306_4(X1,X2,X3,X4)
    | esk4307_4(X1,X2,X3,X4) )).

cnf(i_0_21688,axiom,
    ( esk2290_4(X1,X2,X3,X4)
    | ~ esk1376_4(X1,X2,X3,X4) )).

cnf(i_0_21689,axiom,
    ( esk2773_4(X1,X2,X3,X4)
    | esk2774_4(X1,X2,X3,X4)
    | ~ esk2775_4(X1,X2,X3,X4) )).

cnf(i_0_21690,axiom,
    ( ~ esk2627_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_21691,axiom,
    ( ~ esk2724_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_21692,axiom,
    ( ~ esk7790_4(X1,X2,X3,X4)
    | esk7791_4(X1,X2,X3,X4) )).

cnf(i_0_21693,axiom,
    ( esk2091_4(X1,X2,X3,X4)
    | ~ esk1923_4(X1,X2,X3,X4) )).

cnf(i_0_21694,axiom,
    ( ~ esk9742_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_21695,axiom,
    ( esk8617_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk536_0
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_21696,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6275_4(X1,X2,X3,X4) )).

cnf(i_0_21697,axiom,
    ( esk325_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_21698,axiom,
    ( esk8585_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk518_0 )).

cnf(i_0_21699,axiom,
    ( esk1768_4(X1,X2,X3,X4)
    | ~ esk1426_4(X1,X2,X3,X4) )).

cnf(i_0_21700,axiom,
    ( p(X4)
    | ~ esk1671_4(X1,X2,X3,X4)
    | esk130_0
    | p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_21701,axiom,
    ( ~ p(X4)
    | esk64_0
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_21702,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk5395_4(X1,X2,X3,X4) )).

cnf(i_0_21703,axiom,
    ( ~ esk9268_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk9269_4(X1,X2,X3,X4) )).

cnf(i_0_21704,axiom,
    ( esk8696_4(X1,X2,X3,X4)
    | ~ esk8695_4(X1,X2,X3,X4) )).

cnf(i_0_21705,axiom,
    ( esk3664_4(X1,X2,X3,X4)
    | ~ esk3666_4(X1,X2,X3,X4)
    | esk3665_4(X1,X2,X3,X4) )).

cnf(i_0_21706,axiom,
    ( esk5349_4(X1,X2,X3,X4)
    | ~ esk5347_4(X1,X2,X3,X4) )).

cnf(i_0_21707,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | esk2813_4(X1,X2,X3,X4)
    | ~ esk1004_0 )).

cnf(i_0_21708,axiom,
    ( p(X4)
    | p(X2)
    | esk1_0
    | p(X3)
    | p(X1)
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_21709,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk2451_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | esk726_0 )).

cnf(i_0_21710,axiom,
    ( esk9323_4(X1,X2,X3,X4)
    | ~ esk9321_4(X1,X2,X3,X4) )).

cnf(i_0_21711,axiom,
    ( ~ esk8871_4(X1,X2,X3,X4)
    | esk8873_4(X1,X2,X3,X4) )).

cnf(i_0_21712,axiom,
    ( ~ esk6198_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21713,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk1942_4(X1,X2,X3,X4) )).

cnf(i_0_21714,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk3189_4(X1,X2,X3,X4) )).

cnf(i_0_21715,axiom,
    ( esk7336_4(X1,X2,X3,X4)
    | ~ esk7350_4(X1,X2,X3,X4) )).

cnf(i_0_21716,axiom,
    ( ~ esk6856_4(X1,X2,X3,X4)
    | esk6855_4(X1,X2,X3,X4)
    | esk6854_4(X1,X2,X3,X4) )).

cnf(i_0_21717,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk749_0
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_21718,axiom,
    ( ~ esk7025_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk7045_4(X1,X2,X3,X4) )).

cnf(i_0_21719,axiom,
    ( esk5497_4(X1,X2,X3,X4)
    | ~ esk5495_4(X1,X2,X3,X4) )).

cnf(i_0_21720,axiom,
    ( ~ esk7483_4(X1,X2,X3,X4)
    | esk7481_4(X1,X2,X3,X4)
    | esk7480_4(X1,X2,X3,X4)
    | esk7482_4(X1,X2,X3,X4) )).

cnf(i_0_21721,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4681_4(X1,X2,X3,X4)
    | esk4740_4(X1,X2,X3,X4) )).

cnf(i_0_21722,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk8482_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_21723,axiom,
    ( ~ esk5732_4(X1,X2,X3,X4)
    | esk5733_4(X1,X2,X3,X4) )).

cnf(i_0_21724,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | esk7545_4(X1,X2,X3,X4) )).

cnf(i_0_21725,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7449_4(X1,X2,X3,X4) )).

cnf(i_0_21726,axiom,
    ( ~ esk8200_4(X1,X2,X3,X4)
    | esk8201_4(X1,X2,X3,X4) )).

cnf(i_0_21727,axiom,
    ( ~ esk9219_4(X1,X2,X3,X4)
    | esk7119_4(X1,X2,X3,X4) )).

cnf(i_0_21728,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk2793_4(X1,X2,X3,X4)
    | ~ esk853_0
    | ~ p(X3) )).

cnf(i_0_21729,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk611_0
    | esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_21730,axiom,
    ( ~ esk8063_4(X1,X2,X3,X4)
    | esk8062_4(X1,X2,X3,X4) )).

cnf(i_0_21731,axiom,
    ( esk4508_4(X1,X2,X3,X4)
    | ~ esk4507_4(X1,X2,X3,X4)
    | ~ esk5313_4(X1,X2,X3,X4) )).

cnf(i_0_21732,axiom,
    ( ~ esk808_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_21733,axiom,
    ( esk2429_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_21734,axiom,
    ( esk2860_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_21735,axiom,
    ( esk1518_4(X1,X2,X3,X4)
    | ~ esk1520_4(X1,X2,X3,X4)
    | esk1517_4(X1,X2,X3,X4)
    | esk1519_4(X1,X2,X3,X4) )).

cnf(i_0_21736,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9346_4(X1,X2,X3,X4) )).

cnf(i_0_21737,axiom,
    ( ~ esk1436_4(X1,X2,X3,X4)
    | esk3450_4(X1,X2,X3,X4) )).

cnf(i_0_21738,axiom,
    ( esk2482_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk768_0 )).

cnf(i_0_21739,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | esk3277_4(X1,X2,X3,X4) )).

cnf(i_0_21740,axiom,
    ( ~ p(X4)
    | esk587_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_21741,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk452_0
    | ~ p(X1)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_21742,axiom,
    ( ~ esk1537_4(X1,X2,X3,X4)
    | esk1536_4(X1,X2,X3,X4) )).

cnf(i_0_21743,axiom,
    ( ~ esk441_0
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_21744,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk1078_0
    | ~ esk2872_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_21745,axiom,
    ( esk5886_4(X1,X2,X3,X4)
    | ~ esk7096_4(X1,X2,X3,X4) )).

cnf(i_0_21746,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk7409_4(X1,X2,X3,X4) )).

cnf(i_0_21747,axiom,
    ( ~ esk5841_4(X1,X2,X3,X4)
    | esk3741_4(X1,X2,X3,X4) )).

cnf(i_0_21748,axiom,
    ( ~ esk4126_4(X1,X2,X3,X4)
    | esk4100_4(X1,X2,X3,X4) )).

cnf(i_0_21749,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk2212_4(X1,X2,X3,X4)
    | ~ esk489_0
    | ~ p(X4) )).

cnf(i_0_21750,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | ~ esk3319_4(X1,X2,X3,X4)
    | esk3320_4(X1,X2,X3,X4) )).

cnf(i_0_21751,axiom,
    ( ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk42_0 )).

cnf(i_0_21752,axiom,
    ( esk6413_4(X1,X2,X3,X4)
    | ~ esk6412_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_21753,axiom,
    ( esk7388_4(X1,X2,X3,X4)
    | ~ esk7387_4(X1,X2,X3,X4) )).

cnf(i_0_21754,axiom,
    ( ~ esk5516_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_21755,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk1066_0
    | esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_21756,axiom,
    ( esk9608_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_21757,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9324_4(X1,X2,X3,X4) )).

cnf(i_0_21758,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | esk649_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_21759,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5438_4(X1,X2,X3,X4) )).

cnf(i_0_21760,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9075_4(X1,X2,X3,X4) )).

cnf(i_0_21761,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1766_4(X1,X2,X3,X4)
    | ~ esk1765_4(X1,X2,X3,X4) )).

cnf(i_0_21762,axiom,
    ( ~ esk797_0
    | ~ p(X3)
    | esk2785_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_21763,axiom,
    ( p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | esk9218_4(X1,X2,X3,X4)
    | ~ esk1265_0 )).

cnf(i_0_21764,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk3027_4(X1,X2,X3,X4) )).

cnf(i_0_21765,axiom,
    ( esk7896_4(X1,X2,X3,X4)
    | ~ esk7894_4(X1,X2,X3,X4) )).

cnf(i_0_21766,axiom,
    ( esk7819_4(X1,X2,X3,X4)
    | ~ esk9743_4(X1,X2,X3,X4) )).

cnf(i_0_21767,axiom,
    ( ~ esk3415_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk3416_4(X1,X2,X3,X4) )).

cnf(i_0_21768,axiom,
    ( ~ esk6881_4(X1,X2,X3,X4)
    | esk6882_4(X1,X2,X3,X4)
    | ~ esk6688_4(X1,X2,X3,X4) )).

cnf(i_0_21769,axiom,
    ( ~ esk2540_4(X1,X2,X3,X4)
    | esk2541_4(X1,X2,X3,X4) )).

cnf(i_0_21770,axiom,
    ( ~ p(X2)
    | esk876_0
    | p(X1)
    | p(X4)
    | ~ esk2797_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_21771,axiom,
    ( p(X3)
    | ~ esk821_0
    | p(X2)
    | ~ p(X4)
    | esk2789_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_21772,axiom,
    ( p(X1)
    | esk488_0
    | ~ p(X3)
    | p(X4)
    | ~ esk2212_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_21773,axiom,
    ( esk6648_4(X1,X2,X3,X4)
    | ~ esk5849_4(X1,X2,X3,X4) )).

cnf(i_0_21774,axiom,
    ( ~ esk8182_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8349_4(X1,X2,X3,X4) )).

cnf(i_0_21775,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | esk7740_4(X1,X2,X3,X4)
    | ~ esk57_0 )).

cnf(i_0_21776,axiom,
    ( ~ esk2952_4(X1,X2,X3,X4)
    | ~ esk1568_4(X1,X2,X3,X4)
    | esk1569_4(X1,X2,X3,X4) )).

cnf(i_0_21777,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk1909_4(X1,X2,X3,X4) )).

cnf(i_0_21778,axiom,
    ( ~ p(X2)
    | esk2874_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk1086_0
    | p(X3) )).

cnf(i_0_21779,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4070_4(X1,X2,X3,X4) )).

cnf(i_0_21780,axiom,
    ( esk2707_4(X1,X2,X3,X4)
    | ~ esk2708_4(X1,X2,X3,X4) )).

cnf(i_0_21781,axiom,
    ( esk2194_4(X1,X2,X3,X4)
    | ~ esk2193_4(X1,X2,X3,X4) )).

cnf(i_0_21782,axiom,
    ( esk8655_4(X1,X2,X3,X4)
    | ~ esk9405_4(X1,X2,X3,X4) )).

cnf(i_0_21783,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2638_4(X1,X2,X3,X4)
    | esk3393_4(X1,X2,X3,X4) )).

cnf(i_0_21784,axiom,
    ( ~ esk5927_4(X1,X2,X3,X4)
    | esk5883_4(X1,X2,X3,X4) )).

cnf(i_0_21785,axiom,
    ( esk1287_0
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_21786,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6948_4(X1,X2,X3,X4) )).

cnf(i_0_21787,axiom,
    ( esk8156_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | ~ esk282_0 )).

cnf(i_0_21788,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk1170_0
    | ~ p(X1) )).

cnf(i_0_21789,axiom,
    ( esk9633_4(X1,X2,X3,X4)
    | esk9634_4(X1,X2,X3,X4)
    | ~ esk9635_4(X1,X2,X3,X4) )).

cnf(i_0_21790,axiom,
    ( p(X2)
    | ~ esk2423_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk588_0
    | p(X1) )).

cnf(i_0_21791,axiom,
    ( esk4381_4(X1,X2,X3,X4)
    | ~ esk4342_4(X1,X2,X3,X4)
    | esk4380_4(X1,X2,X3,X4) )).

cnf(i_0_21792,axiom,
    ( esk8793_4(X1,X2,X3,X4)
    | esk8061_4(X1,X2,X3,X4) )).

cnf(i_0_21793,axiom,
    ( esk6445_4(X1,X2,X3,X4)
    | ~ esk5571_4(X1,X2,X3,X4)
    | ~ esk6407_4(X1,X2,X3,X4) )).

cnf(i_0_21794,axiom,
    ( ~ esk7480_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_21795,axiom,
    ( esk9516_4(X1,X2,X3,X4)
    | ~ esk9517_4(X1,X2,X3,X4) )).

cnf(i_0_21796,axiom,
    ( esk2139_4(X1,X2,X3,X4)
    | ~ esk2177_4(X1,X2,X3,X4) )).

cnf(i_0_21797,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7254_4(X1,X2,X3,X4) )).

cnf(i_0_21798,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4462_4(X1,X2,X3,X4) )).

cnf(i_0_21799,axiom,
    ( esk6706_4(X1,X2,X3,X4)
    | ~ esk6704_4(X1,X2,X3,X4) )).

cnf(i_0_21800,axiom,
    ( ~ esk4370_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_21801,axiom,
    ( ~ esk8300_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_21802,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk8291_4(X1,X2,X3,X4)
    | esk391_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_21803,axiom,
    ( esk5898_4(X1,X2,X3,X4)
    | ~ esk5668_4(X1,X2,X3,X4) )).

cnf(i_0_21804,axiom,
    ( esk1752_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk189_0
    | ~ p(X2) )).

cnf(i_0_21805,axiom,
    ( ~ esk8970_4(X1,X2,X3,X4)
    | esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_21806,axiom,
    ( esk7391_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7388_4(X1,X2,X3,X4) )).

cnf(i_0_21807,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5302_4(X1,X2,X3,X4) )).

cnf(i_0_21808,axiom,
    ( esk5713_4(X1,X2,X3,X4)
    | ~ esk7813_4(X1,X2,X3,X4) )).

cnf(i_0_21809,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | esk7768_4(X1,X2,X3,X4)
    | ~ esk8005_4(X1,X2,X3,X4) )).

cnf(i_0_21810,axiom,
    ( esk5394_4(X1,X2,X3,X4)
    | ~ esk5397_4(X1,X2,X3,X4)
    | esk5396_4(X1,X2,X3,X4)
    | esk5395_4(X1,X2,X3,X4) )).

cnf(i_0_21811,axiom,
    ( ~ esk4772_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_21812,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9604_4(X1,X2,X3,X4) )).

cnf(i_0_21813,axiom,
    ( p(X2)
    | ~ esk20_0
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_21814,axiom,
    ( ~ esk7361_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_21815,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ esk8391_4(X1,X2,X3,X4)
    | esk465_0
    | p(X4) )).

cnf(i_0_21816,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk834_0
    | ~ esk9087_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_21817,axiom,
    ( ~ esk3971_4(X1,X2,X3,X4)
    | esk3780_4(X1,X2,X3,X4) )).

cnf(i_0_21818,axiom,
    ( ~ esk5488_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_21819,axiom,
    ( ~ esk5919_4(X1,X2,X3,X4)
    | esk5918_4(X1,X2,X3,X4) )).

cnf(i_0_21820,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6097_4(X1,X2,X3,X4) )).

cnf(i_0_21821,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6865_4(X1,X2,X3,X4) )).

cnf(i_0_21822,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4070_4(X1,X2,X3,X4)
    | esk4071_4(X1,X2,X3,X4) )).

cnf(i_0_21823,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1963_4(X1,X2,X3,X4) )).

cnf(i_0_21824,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3076_4(X1,X2,X3,X4) )).

cnf(i_0_21825,axiom,
    ( esk45_0
    | ~ p(X2)
    | ~ esk7738_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_21826,axiom,
    ( ~ esk6168_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk6206_4(X1,X2,X3,X4) )).

cnf(i_0_21827,axiom,
    ( esk2451_4(X1,X2,X3,X4)
    | esk1809_4(X1,X2,X3,X4)
    | ~ esk3447_4(X1,X2,X3,X4) )).

cnf(i_0_21828,axiom,
    ( esk2026_4(X1,X2,X3,X4)
    | ~ esk2025_4(X1,X2,X3,X4)
    | ~ esk2338_4(X1,X2,X3,X4) )).

cnf(i_0_21829,axiom,
    ( ~ esk3387_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_21830,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk422_0
    | ~ esk8354_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21831,axiom,
    ( ~ esk4725_4(X1,X2,X3,X4)
    | esk4723_4(X1,X2,X3,X4)
    | esk4724_4(X1,X2,X3,X4) )).

cnf(i_0_21832,axiom,
    ( esk1966_4(X1,X2,X3,X4)
    | ~ esk2030_4(X1,X2,X3,X4) )).

cnf(i_0_21833,axiom,
    ( ~ esk1671_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | esk129_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_21834,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | ~ esk3600_4(X1,X2,X3,X4) )).

cnf(i_0_21835,axiom,
    ( esk7478_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_21836,axiom,
    ( esk9466_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_21837,axiom,
    ( ~ esk7993_4(X1,X2,X3,X4)
    | esk8165_4(X1,X2,X3,X4) )).

cnf(i_0_21838,axiom,
    ( ~ esk4803_4(X1,X2,X3,X4)
    | esk4805_4(X1,X2,X3,X4) )).

cnf(i_0_21839,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4354_4(X1,X2,X3,X4) )).

cnf(i_0_21840,axiom,
    ( ~ esk2890_4(X1,X2,X3,X4)
    | p(X3)
    | esk1180_0
    | p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_21841,axiom,
    ( ~ esk6843_4(X1,X2,X3,X4)
    | esk6844_4(X1,X2,X3,X4) )).

cnf(i_0_21842,axiom,
    ( esk7115_4(X1,X2,X3,X4)
    | ~ esk9215_4(X1,X2,X3,X4) )).

cnf(i_0_21843,axiom,
    ( ~ esk6521_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21844,axiom,
    ( esk7645_4(X1,X2,X3,X4)
    | ~ esk7644_4(X1,X2,X3,X4) )).

cnf(i_0_21845,axiom,
    ( esk5281_4(X1,X2,X3,X4)
    | ~ esk5280_4(X1,X2,X3,X4) )).

cnf(i_0_21846,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3257_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_21847,axiom,
    ( ~ esk4963_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4)
    | esk4962_4(X1,X2,X3,X4) )).

cnf(i_0_21848,axiom,
    ( esk1851_4(X1,X2,X3,X4)
    | ~ esk1842_4(X1,X2,X3,X4) )).

cnf(i_0_21849,axiom,
    ( esk1780_4(X1,X2,X3,X4)
    | ~ esk1844_4(X1,X2,X3,X4) )).

cnf(i_0_21850,axiom,
    ( esk2736_4(X1,X2,X3,X4)
    | ~ esk2737_4(X1,X2,X3,X4) )).

cnf(i_0_21851,axiom,
    ( ~ esk7046_4(X1,X2,X3,X4)
    | esk7044_4(X1,X2,X3,X4)
    | esk7045_4(X1,X2,X3,X4) )).

cnf(i_0_21852,axiom,
    ( ~ esk2285_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_21853,axiom,
    ( ~ esk5184_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_21854,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3061_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_21855,axiom,
    ( ~ esk7282_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_21856,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3112_4(X1,X2,X3,X4) )).

cnf(i_0_21857,axiom,
    ( esk484_0
    | ~ p(X3)
    | p(X1)
    | ~ esk2212_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_21858,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk881_0
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_21859,axiom,
    ( esk4491_4(X1,X2,X3,X4)
    | ~ esk4492_4(X1,X2,X3,X4) )).

cnf(i_0_21860,axiom,
    ( ~ esk5444_4(X1,X2,X3,X4)
    | esk5445_4(X1,X2,X3,X4) )).

cnf(i_0_21861,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X4)
    | esk8469_4(X1,X2,X3,X4)
    | ~ esk477_0
    | ~ p(X1) )).

cnf(i_0_21862,axiom,
    ( esk2075_4(X1,X2,X3,X4)
    | ~ esk2073_4(X1,X2,X3,X4) )).

cnf(i_0_21863,axiom,
    ( ~ esk7341_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_21864,axiom,
    ( esk6261_4(X1,X2,X3,X4)
    | ~ esk6682_4(X1,X2,X3,X4) )).

cnf(i_0_21865,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3786_4(X1,X2,X3,X4) )).

cnf(i_0_21866,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | esk9248_4(X1,X2,X3,X4)
    | ~ esk1317_0
    | ~ p(X1) )).

cnf(i_0_21867,axiom,
    ( esk4522_4(X1,X2,X3,X4)
    | ~ esk4376_4(X1,X2,X3,X4) )).

cnf(i_0_21868,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk2703_4(X1,X2,X3,X4) )).

cnf(i_0_21869,axiom,
    ( ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4)
    | ~ esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_21870,axiom,
    ( p(X1)
    | esk1179_0
    | ~ p(X3)
    | ~ esk9186_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_21871,axiom,
    ( ~ esk5799_4(X1,X2,X3,X4)
    | esk5801_4(X1,X2,X3,X4) )).

cnf(i_0_21872,axiom,
    ( esk3813_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_21873,axiom,
    ( ~ esk8102_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_21874,axiom,
    ( esk6720_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6719_4(X1,X2,X3,X4) )).

cnf(i_0_21875,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | esk8318_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk397_0 )).

cnf(i_0_21876,axiom,
    ( esk8925_4(X1,X2,X3,X4)
    | ~ esk8924_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_21877,axiom,
    ( esk1772_4(X1,X2,X3,X4)
    | ~ esk1770_4(X1,X2,X3,X4) )).

cnf(i_0_21878,axiom,
    ( esk3863_4(X1,X2,X3,X4)
    | esk4998_4(X1,X2,X3,X4) )).

cnf(i_0_21879,axiom,
    ( ~ esk6238_4(X1,X2,X3,X4)
    | ~ esk6385_4(X1,X2,X3,X4)
    | esk6386_4(X1,X2,X3,X4) )).

cnf(i_0_21880,axiom,
    ( ~ esk6867_4(X1,X2,X3,X4)
    | esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_21881,axiom,
    ( esk2024_4(X1,X2,X3,X4)
    | ~ esk2483_4(X1,X2,X3,X4) )).

cnf(i_0_21882,axiom,
    ( ~ esk4280_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_21883,axiom,
    ( esk3681_4(X1,X2,X3,X4)
    | ~ esk3589_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_21884,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1576_4(X1,X2,X3,X4) )).

cnf(i_0_21885,axiom,
    ( ~ esk7187_4(X1,X2,X3,X4)
    | esk7184_4(X1,X2,X3,X4) )).

cnf(i_0_21886,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | esk2701_4(X1,X2,X3,X4)
    | ~ esk2545_4(X1,X2,X3,X4) )).

cnf(i_0_21887,axiom,
    ( esk6797_4(X1,X2,X3,X4)
    | ~ esk6798_4(X1,X2,X3,X4) )).

cnf(i_0_21888,axiom,
    ( ~ esk9680_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_21889,axiom,
    ( p(X4)
    | esk361_0
    | ~ p(X1)
    | ~ esk1958_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_21890,axiom,
    ( ~ esk9195_4(X1,X2,X3,X4)
    | esk7985_4(X1,X2,X3,X4) )).

cnf(i_0_21891,axiom,
    ( ~ esk1558_4(X1,X2,X3,X4)
    | esk1559_4(X1,X2,X3,X4) )).

cnf(i_0_21892,axiom,
    ( ~ esk7993_4(X1,X2,X3,X4)
    | esk8027_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_21893,axiom,
    ( esk7156_4(X1,X2,X3,X4)
    | ~ esk5876_4(X1,X2,X3,X4) )).

cnf(i_0_21894,axiom,
    ( esk6832_4(X1,X2,X3,X4)
    | ~ esk6831_4(X1,X2,X3,X4) )).

cnf(i_0_21895,axiom,
    ( esk1634_4(X1,X2,X3,X4)
    | ~ esk1635_4(X1,X2,X3,X4)
    | esk1633_4(X1,X2,X3,X4) )).

cnf(i_0_21896,axiom,
    ( ~ esk9637_4(X1,X2,X3,X4)
    | esk9636_4(X1,X2,X3,X4) )).

cnf(i_0_21897,axiom,
    ( ~ esk1826_4(X1,X2,X3,X4)
    | esk1828_4(X1,X2,X3,X4) )).

cnf(i_0_21898,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5102_4(X1,X2,X3,X4)
    | esk5103_4(X1,X2,X3,X4) )).

cnf(i_0_21899,axiom,
    ( esk6492_4(X1,X2,X3,X4)
    | ~ esk6009_4(X1,X2,X3,X4) )).

cnf(i_0_21900,axiom,
    ( esk5414_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_21901,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ esk1573_4(X1,X2,X3,X4) )).

cnf(i_0_21902,axiom,
    ( esk7753_4(X1,X2,X3,X4)
    | ~ esk7752_4(X1,X2,X3,X4) )).

cnf(i_0_21903,axiom,
    ( ~ esk8617_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | esk538_0
    | ~ p(X1) )).

cnf(i_0_21904,axiom,
    ( ~ esk7491_4(X1,X2,X3,X4)
    | ~ esk7492_4(X1,X2,X3,X4)
    | ~ esk6668_4(X1,X2,X3,X4) )).

cnf(i_0_21905,axiom,
    ( ~ p(X1)
    | ~ esk492_0
    | ~ p(X3)
    | esk2212_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_21906,axiom,
    ( esk2868_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk1051_0
    | ~ p(X1) )).

cnf(i_0_21907,axiom,
    ( esk3928_4(X1,X2,X3,X4)
    | ~ esk3929_4(X1,X2,X3,X4) )).

cnf(i_0_21908,axiom,
    ( ~ p(X1)
    | ~ esk2431_4(X1,X2,X3,X4)
    | esk661_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_21909,axiom,
    ( esk1389_4(X1,X2,X3,X4)
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_21910,axiom,
    ( ~ esk7767_4(X1,X2,X3,X4)
    | esk7997_4(X1,X2,X3,X4) )).

cnf(i_0_21911,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7456_4(X1,X2,X3,X4)
    | esk7459_4(X1,X2,X3,X4) )).

cnf(i_0_21912,axiom,
    ( esk2952_4(X1,X2,X3,X4)
    | ~ esk1569_4(X1,X2,X3,X4) )).

cnf(i_0_21913,axiom,
    ( ~ esk7267_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_21914,axiom,
    ( ~ esk1450_4(X1,X2,X3,X4)
    | esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_21915,axiom,
    ( ~ esk6477_4(X1,X2,X3,X4)
    | esk6441_4(X1,X2,X3,X4) )).

cnf(i_0_21916,axiom,
    ( ~ esk4943_4(X1,X2,X3,X4)
    | esk4941_4(X1,X2,X3,X4)
    | esk4942_4(X1,X2,X3,X4) )).

cnf(i_0_21917,axiom,
    ( ~ esk1990_4(X1,X2,X3,X4)
    | esk1991_4(X1,X2,X3,X4) )).

cnf(i_0_21918,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk6_0
    | ~ p(X4)
    | p(X1)
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_21919,axiom,
    ( esk8427_4(X1,X2,X3,X4)
    | esk8428_4(X1,X2,X3,X4)
    | ~ esk8429_4(X1,X2,X3,X4) )).

cnf(i_0_21920,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk7353_4(X1,X2,X3,X4) )).

cnf(i_0_21921,axiom,
    ( esk4158_4(X1,X2,X3,X4)
    | ~ esk4268_4(X1,X2,X3,X4) )).

cnf(i_0_21922,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk1338_0
    | esk9254_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_21923,axiom,
    ( ~ esk4581_4(X1,X2,X3,X4)
    | esk3534_4(X1,X2,X3,X4)
    | esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_21924,axiom,
    ( esk2696_4(X1,X2,X3,X4)
    | esk2697_4(X1,X2,X3,X4)
    | ~ esk2698_4(X1,X2,X3,X4) )).

cnf(i_0_21925,axiom,
    ( esk6488_4(X1,X2,X3,X4)
    | ~ esk6688_4(X1,X2,X3,X4) )).

cnf(i_0_21926,axiom,
    ( ~ esk4106_4(X1,X2,X3,X4)
    | esk4105_4(X1,X2,X3,X4) )).

cnf(i_0_21927,axiom,
    ( ~ esk6397_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_21928,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6356_4(X1,X2,X3,X4) )).

cnf(i_0_21929,axiom,
    ( ~ esk8978_4(X1,X2,X3,X4)
    | esk8979_4(X1,X2,X3,X4) )).

cnf(i_0_21930,axiom,
    ( ~ esk2696_4(X1,X2,X3,X4)
    | esk2695_4(X1,X2,X3,X4) )).

cnf(i_0_21931,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk549_0 )).

cnf(i_0_21932,axiom,
    ( ~ esk5479_4(X1,X2,X3,X4)
    | esk4793_4(X1,X2,X3,X4) )).

cnf(i_0_21933,axiom,
    ( esk9095_4(X1,X2,X3,X4)
    | ~ esk888_0
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_21934,axiom,
    ( esk1301_0
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_21935,axiom,
    ( esk6112_4(X1,X2,X3,X4)
    | esk6146_4(X1,X2,X3,X4)
    | ~ esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_21936,axiom,
    ( esk4377_4(X1,X2,X3,X4)
    | esk4378_4(X1,X2,X3,X4)
    | ~ esk4379_4(X1,X2,X3,X4)
    | esk4376_4(X1,X2,X3,X4) )).

cnf(i_0_21937,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | esk6839_4(X1,X2,X3,X4)
    | ~ esk6780_4(X1,X2,X3,X4) )).

cnf(i_0_21938,axiom,
    ( esk1832_4(X1,X2,X3,X4)
    | ~ esk1783_4(X1,X2,X3,X4) )).

cnf(i_0_21939,axiom,
    ( p(X2)
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk506_0 )).

cnf(i_0_21940,axiom,
    ( ~ esk6425_4(X1,X2,X3,X4)
    | esk6427_4(X1,X2,X3,X4) )).

cnf(i_0_21941,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | ~ esk6406_4(X1,X2,X3,X4) )).

cnf(i_0_21942,axiom,
    ( ~ esk2071_4(X1,X2,X3,X4)
    | esk2069_4(X1,X2,X3,X4)
    | esk2070_4(X1,X2,X3,X4) )).

cnf(i_0_21943,axiom,
    ( ~ esk8237_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_21944,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2080_4(X1,X2,X3,X4) )).

cnf(i_0_21945,axiom,
    ( esk6647_4(X1,X2,X3,X4)
    | ~ esk6187_4(X1,X2,X3,X4) )).

cnf(i_0_21946,axiom,
    ( ~ esk3261_4(X1,X2,X3,X4)
    | esk3258_4(X1,X2,X3,X4) )).

cnf(i_0_21947,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk2070_4(X1,X2,X3,X4) )).

cnf(i_0_21948,axiom,
    ( ~ esk9426_4(X1,X2,X3,X4)
    | esk9427_4(X1,X2,X3,X4) )).

cnf(i_0_21949,axiom,
    ( ~ esk2361_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_21950,axiom,
    ( p(X1)
    | p(X2)
    | esk500_0
    | ~ p(X3)
    | p(X4)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_21951,axiom,
    ( ~ esk4037_4(X1,X2,X3,X4)
    | esk4003_4(X1,X2,X3,X4) )).

cnf(i_0_21952,axiom,
    ( esk1529_4(X1,X2,X3,X4)
    | ~ esk2454_4(X1,X2,X3,X4) )).

cnf(i_0_21953,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1829_4(X1,X2,X3,X4) )).

cnf(i_0_21954,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk8042_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk149_0 )).

cnf(i_0_21955,axiom,
    ( esk7987_4(X1,X2,X3,X4)
    | ~ esk8015_4(X1,X2,X3,X4) )).

cnf(i_0_21956,axiom,
    ( ~ esk7254_4(X1,X2,X3,X4)
    | esk7256_4(X1,X2,X3,X4) )).

cnf(i_0_21957,axiom,
    ( ~ esk3305_4(X1,X2,X3,X4)
    | esk3306_4(X1,X2,X3,X4) )).

cnf(i_0_21958,axiom,
    ( esk9582_4(X1,X2,X3,X4)
    | esk8250_4(X1,X2,X3,X4)
    | ~ esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_21959,axiom,
    ( ~ esk4897_4(X1,X2,X3,X4)
    | esk4854_4(X1,X2,X3,X4) )).

cnf(i_0_21960,axiom,
    ( ~ esk8507_4(X1,X2,X3,X4)
    | esk8284_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_21961,axiom,
    ( esk5459_4(X1,X2,X3,X4)
    | ~ esk4906_4(X1,X2,X3,X4)
    | ~ esk5458_4(X1,X2,X3,X4) )).

cnf(i_0_21962,axiom,
    ( ~ esk8905_4(X1,X2,X3,X4)
    | esk9098_4(X1,X2,X3,X4) )).

cnf(i_0_21963,axiom,
    ( esk7496_4(X1,X2,X3,X4)
    | ~ esk6823_4(X1,X2,X3,X4) )).

cnf(i_0_21964,axiom,
    ( esk2322_4(X1,X2,X3,X4)
    | ~ esk1363_4(X1,X2,X3,X4) )).

cnf(i_0_21965,axiom,
    ( p(X1)
    | esk8617_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ esk534_0
    | ~ p(X3) )).

cnf(i_0_21966,axiom,
    ( ~ esk3106_4(X1,X2,X3,X4)
    | esk3105_4(X1,X2,X3,X4)
    | esk3104_4(X1,X2,X3,X4) )).

cnf(i_0_21967,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8231_4(X1,X2,X3,X4) )).

cnf(i_0_21968,axiom,
    ( esk1356_4(X1,X2,X3,X4)
    | ~ esk2134_4(X1,X2,X3,X4) )).

cnf(i_0_21969,axiom,
    ( ~ esk2165_4(X1,X2,X3,X4)
    | esk2127_4(X1,X2,X3,X4)
    | esk2164_4(X1,X2,X3,X4) )).

cnf(i_0_21970,axiom,
    ( ~ esk5467_4(X1,X2,X3,X4)
    | esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_21971,axiom,
    ( esk4500_4(X1,X2,X3,X4)
    | ~ esk5201_4(X1,X2,X3,X4)
    | ~ esk4499_4(X1,X2,X3,X4) )).

cnf(i_0_21972,axiom,
    ( ~ esk9271_4(X1,X2,X3,X4)
    | esk9277_4(X1,X2,X3,X4)
    | ~ esk9276_4(X1,X2,X3,X4) )).

cnf(i_0_21973,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9486_4(X1,X2,X3,X4) )).

cnf(i_0_21974,axiom,
    ( esk5291_4(X1,X2,X3,X4)
    | ~ esk5290_4(X1,X2,X3,X4)
    | ~ esk5285_4(X1,X2,X3,X4) )).

cnf(i_0_21975,axiom,
    ( esk1544_4(X1,X2,X3,X4)
    | ~ esk1545_4(X1,X2,X3,X4) )).

cnf(i_0_21976,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk62_0
    | ~ p(X3)
    | esk7740_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_21977,axiom,
    ( ~ esk4489_4(X1,X2,X3,X4)
    | esk4490_4(X1,X2,X3,X4) )).

cnf(i_0_21978,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk8046_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk181_0 )).

cnf(i_0_21979,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | esk8747_4(X1,X2,X3,X4)
    | ~ esk725_0 )).

cnf(i_0_21980,axiom,
    ( esk5461_4(X1,X2,X3,X4)
    | ~ esk5459_4(X1,X2,X3,X4) )).

cnf(i_0_21981,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | esk9186_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1176_0 )).

cnf(i_0_21982,axiom,
    ( ~ p(X3)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | esk904_0
    | p(X4) )).

cnf(i_0_21983,axiom,
    ( ~ esk7067_4(X1,X2,X3,X4)
    | esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_21984,axiom,
    ( ~ p(X1)
    | ~ esk1111_0
    | p(X3)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_21985,axiom,
    ( esk1687_4(X1,X2,X3,X4)
    | ~ esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_21986,axiom,
    ( p(X3)
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk386_0
    | p(X2)
    | p(X4) )).

cnf(i_0_21987,axiom,
    ( esk6288_4(X1,X2,X3,X4)
    | ~ esk6321_4(X1,X2,X3,X4) )).

cnf(i_0_21988,axiom,
    ( ~ esk1241_0
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_21989,axiom,
    ( esk7738_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_21990,axiom,
    ( ~ esk8568_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_21991,axiom,
    ( esk6948_4(X1,X2,X3,X4)
    | ~ esk6949_4(X1,X2,X3,X4)
    | esk6947_4(X1,X2,X3,X4) )).

cnf(i_0_21992,axiom,
    ( esk5691_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5674_4(X1,X2,X3,X4) )).

cnf(i_0_21993,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9729_4(X1,X2,X3,X4) )).

cnf(i_0_21994,axiom,
    ( ~ esk9250_4(X1,X2,X3,X4)
    | ~ esk7845_4(X1,X2,X3,X4) )).

cnf(i_0_21995,axiom,
    ( esk1514_4(X1,X2,X3,X4)
    | ~ esk1512_4(X1,X2,X3,X4) )).

cnf(i_0_21996,axiom,
    ( ~ esk9276_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_21997,axiom,
    ( ~ esk4701_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk5420_4(X1,X2,X3,X4) )).

cnf(i_0_21998,axiom,
    ( ~ esk6367_4(X1,X2,X3,X4)
    | esk6368_4(X1,X2,X3,X4) )).

cnf(i_0_21999,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4829_4(X1,X2,X3,X4) )).

cnf(i_0_22000,axiom,
    ( esk1391_4(X1,X2,X3,X4)
    | ~ esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_22001,axiom,
    ( esk6739_4(X1,X2,X3,X4)
    | ~ esk6907_4(X1,X2,X3,X4) )).

cnf(i_0_22002,axiom,
    ( p(X1)
    | p(X4)
    | esk2022_4(X1,X2,X3,X4)
    | ~ esk398_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_22003,axiom,
    ( ~ esk8678_4(X1,X2,X3,X4)
    | esk8677_4(X1,X2,X3,X4) )).

cnf(i_0_22004,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk9075_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_22005,axiom,
    ( esk7167_4(X1,X2,X3,X4)
    | ~ esk7164_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_22006,axiom,
    ( ~ esk7278_4(X1,X2,X3,X4)
    | esk7272_4(X1,X2,X3,X4) )).

cnf(i_0_22007,axiom,
    ( ~ esk9056_4(X1,X2,X3,X4)
    | esk9097_4(X1,X2,X3,X4) )).

cnf(i_0_22008,axiom,
    ( esk1665_4(X1,X2,X3,X4)
    | ~ esk1666_4(X1,X2,X3,X4) )).

cnf(i_0_22009,axiom,
    ( ~ esk2023_4(X1,X2,X3,X4)
    | esk1359_4(X1,X2,X3,X4) )).

cnf(i_0_22010,axiom,
    ( ~ esk7736_4(X1,X2,X3,X4)
    | esk7941_4(X1,X2,X3,X4) )).

cnf(i_0_22011,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | esk282_0
    | ~ p(X1)
    | ~ esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_22012,axiom,
    ( esk2719_4(X1,X2,X3,X4)
    | ~ esk2835_4(X1,X2,X3,X4) )).

cnf(i_0_22013,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | esk469_0
    | ~ p(X3)
    | ~ esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_22014,axiom,
    ( esk102_0
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_22015,axiom,
    ( ~ esk3341_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22016,axiom,
    ( esk3600_4(X1,X2,X3,X4)
    | ~ esk3578_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_22017,axiom,
    ( esk8493_4(X1,X2,X3,X4)
    | esk8494_4(X1,X2,X3,X4)
    | ~ esk8495_4(X1,X2,X3,X4) )).

cnf(i_0_22018,axiom,
    ( esk7726_4(X1,X2,X3,X4)
    | ~ esk8071_4(X1,X2,X3,X4) )).

cnf(i_0_22019,axiom,
    ( ~ esk3289_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_22020,axiom,
    ( ~ esk3413_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22021,axiom,
    ( ~ esk92_0
    | ~ p(X3)
    | ~ p(X1)
    | esk1516_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_22022,axiom,
    ( esk5451_4(X1,X2,X3,X4)
    | ~ esk5450_4(X1,X2,X3,X4)
    | ~ esk4904_4(X1,X2,X3,X4) )).

cnf(i_0_22023,axiom,
    ( esk6110_4(X1,X2,X3,X4)
    | ~ esk6107_4(X1,X2,X3,X4) )).

cnf(i_0_22024,axiom,
    ( esk1443_4(X1,X2,X3,X4)
    | ~ esk2888_4(X1,X2,X3,X4) )).

cnf(i_0_22025,axiom,
    ( esk2192_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2191_4(X1,X2,X3,X4) )).

cnf(i_0_22026,axiom,
    ( ~ esk7742_4(X1,X2,X3,X4)
    | esk9174_4(X1,X2,X3,X4) )).

cnf(i_0_22027,axiom,
    ( ~ esk5175_4(X1,X2,X3,X4)
    | esk5174_4(X1,X2,X3,X4) )).

cnf(i_0_22028,axiom,
    ( ~ esk4849_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_22029,axiom,
    ( ~ esk1071_0
    | p(X2)
    | esk9168_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_22030,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2914_4(X1,X2,X3,X4)
    | ~ esk1239_0
    | p(X1) )).

cnf(i_0_22031,axiom,
    ( esk1714_4(X1,X2,X3,X4)
    | ~ esk2929_4(X1,X2,X3,X4) )).

cnf(i_0_22032,axiom,
    ( ~ esk7117_4(X1,X2,X3,X4)
    | esk5716_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_22033,axiom,
    ( esk5872_4(X1,X2,X3,X4)
    | ~ esk5871_4(X1,X2,X3,X4)
    | ~ esk5879_4(X1,X2,X3,X4) )).

cnf(i_0_22034,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk21_0
    | esk7736_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22035,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8076_4(X1,X2,X3,X4) )).

cnf(i_0_22036,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7872_4(X1,X2,X3,X4)
    | esk7935_4(X1,X2,X3,X4) )).

cnf(i_0_22037,axiom,
    ( esk2088_4(X1,X2,X3,X4)
    | ~ esk2406_4(X1,X2,X3,X4) )).

cnf(i_0_22038,axiom,
    ( esk7940_4(X1,X2,X3,X4)
    | ~ esk7694_4(X1,X2,X3,X4) )).

cnf(i_0_22039,axiom,
    ( ~ esk8342_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_22040,axiom,
    ( esk3483_4(X1,X2,X3,X4)
    | ~ esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_22041,axiom,
    ( esk7153_4(X1,X2,X3,X4)
    | ~ esk9253_4(X1,X2,X3,X4) )).

cnf(i_0_22042,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2267_4(X1,X2,X3,X4) )).

cnf(i_0_22043,axiom,
    ( esk4615_4(X1,X2,X3,X4)
    | ~ esk4613_4(X1,X2,X3,X4) )).

cnf(i_0_22044,axiom,
    ( p(X3)
    | p(X4)
    | esk355_0
    | ~ p(X1)
    | ~ esk1958_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22045,axiom,
    ( esk1851_4(X1,X2,X3,X4)
    | ~ esk1680_4(X1,X2,X3,X4) )).

cnf(i_0_22046,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | ~ esk2440_4(X1,X2,X3,X4) )).

cnf(i_0_22047,axiom,
    ( ~ esk2322_4(X1,X2,X3,X4)
    | esk1363_4(X1,X2,X3,X4) )).

cnf(i_0_22048,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk1093_0
    | p(X2)
    | ~ esk2874_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_22049,axiom,
    ( ~ esk2717_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_22050,axiom,
    ( ~ esk9148_4(X1,X2,X3,X4)
    | esk9125_4(X1,X2,X3,X4) )).

cnf(i_0_22051,axiom,
    ( ~ esk3199_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk3200_4(X1,X2,X3,X4) )).

cnf(i_0_22052,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2408_4(X1,X2,X3,X4) )).

cnf(i_0_22053,axiom,
    ( esk7134_4(X1,X2,X3,X4)
    | ~ esk7133_4(X1,X2,X3,X4) )).

cnf(i_0_22054,axiom,
    ( ~ esk4627_4(X1,X2,X3,X4)
    | esk4807_4(X1,X2,X3,X4)
    | ~ esk4806_4(X1,X2,X3,X4) )).

cnf(i_0_22055,axiom,
    ( ~ esk7160_4(X1,X2,X3,X4)
    | esk7159_4(X1,X2,X3,X4)
    | esk7158_4(X1,X2,X3,X4) )).

cnf(i_0_22056,axiom,
    ( esk4494_4(X1,X2,X3,X4)
    | ~ esk4525_4(X1,X2,X3,X4) )).

cnf(i_0_22057,axiom,
    ( esk4862_4(X1,X2,X3,X4)
    | ~ esk4901_4(X1,X2,X3,X4) )).

cnf(i_0_22058,axiom,
    ( ~ esk3364_4(X1,X2,X3,X4)
    | esk3363_4(X1,X2,X3,X4) )).

cnf(i_0_22059,axiom,
    ( ~ esk2052_4(X1,X2,X3,X4)
    | esk2054_4(X1,X2,X3,X4) )).

cnf(i_0_22060,axiom,
    ( ~ esk2092_4(X1,X2,X3,X4)
    | esk447_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_22061,axiom,
    ( ~ esk6529_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22062,axiom,
    ( esk9581_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4)
    | ~ esk8742_4(X1,X2,X3,X4) )).

cnf(i_0_22063,axiom,
    ( ~ p(X4)
    | ~ esk1016_0
    | esk2815_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_22064,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2197_4(X1,X2,X3,X4) )).

cnf(i_0_22065,axiom,
    ( esk3589_4(X1,X2,X3,X4)
    | ~ esk3587_4(X1,X2,X3,X4) )).

cnf(i_0_22066,axiom,
    ( esk3456_4(X1,X2,X3,X4)
    | ~ esk4195_4(X1,X2,X3,X4) )).

cnf(i_0_22067,axiom,
    ( ~ esk550_0
    | ~ p(X4)
    | esk8713_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_22068,axiom,
    ( ~ esk9381_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_22069,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ esk638_0
    | p(X3)
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22070,axiom,
    ( esk4526_4(X1,X2,X3,X4)
    | ~ esk4298_4(X1,X2,X3,X4) )).

cnf(i_0_22071,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk293_0
    | p(X4)
    | esk1874_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22072,axiom,
    ( ~ esk4975_4(X1,X2,X3,X4)
    | esk2875_4(X1,X2,X3,X4) )).

cnf(i_0_22073,axiom,
    ( esk8112_4(X1,X2,X3,X4)
    | esk8113_4(X1,X2,X3,X4)
    | ~ esk8114_4(X1,X2,X3,X4) )).

cnf(i_0_22074,axiom,
    ( ~ esk5668_4(X1,X2,X3,X4)
    | esk5667_4(X1,X2,X3,X4) )).

cnf(i_0_22075,axiom,
    ( esk5777_4(X1,X2,X3,X4)
    | ~ esk5775_4(X1,X2,X3,X4) )).

cnf(i_0_22076,axiom,
    ( ~ esk3805_4(X1,X2,X3,X4)
    | esk5027_4(X1,X2,X3,X4)
    | ~ esk5026_4(X1,X2,X3,X4) )).

cnf(i_0_22077,axiom,
    ( esk4460_4(X1,X2,X3,X4)
    | ~ esk4461_4(X1,X2,X3,X4)
    | esk4459_4(X1,X2,X3,X4) )).

cnf(i_0_22078,axiom,
    ( esk6905_4(X1,X2,X3,X4)
    | ~ esk6906_4(X1,X2,X3,X4) )).

cnf(i_0_22079,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | esk3859_4(X1,X2,X3,X4) )).

cnf(i_0_22080,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7163_4(X1,X2,X3,X4) )).

cnf(i_0_22081,axiom,
    ( ~ esk9623_4(X1,X2,X3,X4)
    | esk9046_4(X1,X2,X3,X4)
    | ~ esk9045_4(X1,X2,X3,X4) )).

cnf(i_0_22082,axiom,
    ( ~ esk7484_4(X1,X2,X3,X4)
    | esk6150_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_22083,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4892_4(X1,X2,X3,X4)
    | esk4660_4(X1,X2,X3,X4) )).

cnf(i_0_22084,axiom,
    ( esk8764_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_22085,axiom,
    ( esk8183_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_22086,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5204_4(X1,X2,X3,X4) )).

cnf(i_0_22087,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk220_0
    | ~ p(X1)
    | p(X4)
    | esk1756_4(X1,X2,X3,X4) )).

cnf(i_0_22088,axiom,
    ( esk4313_4(X1,X2,X3,X4)
    | ~ esk4314_4(X1,X2,X3,X4) )).

cnf(i_0_22089,axiom,
    ( ~ esk235_0
    | esk1758_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_22090,axiom,
    ( ~ esk6615_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6146_4(X1,X2,X3,X4) )).

cnf(i_0_22091,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk1754_4(X1,X2,X3,X4)
    | esk199_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_22092,axiom,
    ( esk5230_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22093,axiom,
    ( p(X1)
    | ~ esk696_0
    | p(X4)
    | esk2437_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_22094,axiom,
    ( esk4810_4(X1,X2,X3,X4)
    | ~ esk4811_4(X1,X2,X3,X4) )).

cnf(i_0_22095,axiom,
    ( ~ esk7788_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_22096,axiom,
    ( esk4326_4(X1,X2,X3,X4)
    | ~ esk4038_4(X1,X2,X3,X4)
    | ~ esk4325_4(X1,X2,X3,X4) )).

cnf(i_0_22097,axiom,
    ( esk4329_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22098,axiom,
    ( ~ p(X3)
    | esk2811_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk992_0 )).

cnf(i_0_22099,axiom,
    ( ~ p(X1)
    | esk2801_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk916_0 )).

cnf(i_0_22100,axiom,
    ( esk6986_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_22101,axiom,
    ( esk3018_4(X1,X2,X3,X4)
    | ~ esk3016_4(X1,X2,X3,X4) )).

cnf(i_0_22102,axiom,
    ( ~ esk1459_4(X1,X2,X3,X4)
    | esk1660_4(X1,X2,X3,X4) )).

cnf(i_0_22103,axiom,
    ( esk4519_4(X1,X2,X3,X4)
    | ~ esk4482_4(X1,X2,X3,X4) )).

cnf(i_0_22104,axiom,
    ( esk5483_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4)
    | ~ esk5482_4(X1,X2,X3,X4) )).

cnf(i_0_22105,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9674_4(X1,X2,X3,X4) )).

cnf(i_0_22106,axiom,
    ( esk1344_0
    | ~ p(X2)
    | ~ esk9254_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_22107,axiom,
    ( ~ esk8501_4(X1,X2,X3,X4)
    | ~ esk8722_4(X1,X2,X3,X4)
    | esk8537_4(X1,X2,X3,X4) )).

cnf(i_0_22108,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk735_0
    | ~ p(X1)
    | p(X3)
    | ~ esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_22109,axiom,
    ( esk9186_4(X1,X2,X3,X4)
    | ~ esk1180_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_22110,axiom,
    ( ~ esk5682_4(X1,X2,X3,X4)
    | esk5684_4(X1,X2,X3,X4) )).

cnf(i_0_22111,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X3)
    | esk1070_0
    | ~ esk9168_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_22112,axiom,
    ( ~ p(X1)
    | esk810_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_22113,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk9089_4(X1,X2,X3,X4)
    | esk849_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_22114,axiom,
    ( p(X3)
    | p(X2)
    | p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1105_0 )).

cnf(i_0_22115,axiom,
    ( esk8726_4(X1,X2,X3,X4)
    | ~ esk8457_4(X1,X2,X3,X4) )).

cnf(i_0_22116,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | ~ esk4561_4(X1,X2,X3,X4) )).

cnf(i_0_22117,axiom,
    ( ~ esk2108_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_22118,axiom,
    ( esk2999_4(X1,X2,X3,X4)
    | ~ esk3000_4(X1,X2,X3,X4) )).

cnf(i_0_22119,axiom,
    ( esk6469_4(X1,X2,X3,X4)
    | esk6468_4(X1,X2,X3,X4)
    | ~ esk6470_4(X1,X2,X3,X4) )).

cnf(i_0_22120,axiom,
    ( esk2490_4(X1,X2,X3,X4)
    | ~ esk2290_4(X1,X2,X3,X4) )).

cnf(i_0_22121,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8088_4(X1,X2,X3,X4) )).

cnf(i_0_22122,axiom,
    ( ~ esk8792_4(X1,X2,X3,X4)
    | ~ esk8468_4(X1,X2,X3,X4) )).

cnf(i_0_22123,axiom,
    ( ~ esk4153_4(X1,X2,X3,X4)
    | esk4152_4(X1,X2,X3,X4)
    | esk4150_4(X1,X2,X3,X4)
    | esk4151_4(X1,X2,X3,X4) )).

cnf(i_0_22124,axiom,
    ( ~ esk3424_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_22125,axiom,
    ( ~ esk6823_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_22126,axiom,
    ( ~ esk2393_4(X1,X2,X3,X4)
    | esk2395_4(X1,X2,X3,X4) )).

cnf(i_0_22127,axiom,
    ( esk8684_4(X1,X2,X3,X4)
    | ~ esk8682_4(X1,X2,X3,X4) )).

cnf(i_0_22128,axiom,
    ( ~ esk9540_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22129,axiom,
    ( ~ esk2173_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | esk470_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_22130,axiom,
    ( ~ esk5729_4(X1,X2,X3,X4)
    | ~ esk5942_4(X1,X2,X3,X4) )).

cnf(i_0_22131,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk2811_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | esk991_0 )).

cnf(i_0_22132,axiom,
    ( esk9393_4(X1,X2,X3,X4)
    | ~ esk9392_4(X1,X2,X3,X4)
    | ~ esk9379_4(X1,X2,X3,X4) )).

cnf(i_0_22133,axiom,
    ( esk6642_4(X1,X2,X3,X4)
    | esk6647_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_22134,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk533_0
    | p(X1)
    | ~ p(X2)
    | esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_22135,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk7728_4(X1,X2,X3,X4) )).

cnf(i_0_22136,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X2)
    | esk851_0 )).

cnf(i_0_22137,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6928_4(X1,X2,X3,X4) )).

cnf(i_0_22138,axiom,
    ( p(X2)
    | ~ esk499_0
    | p(X3)
    | ~ p(X4)
    | esk8547_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_22139,axiom,
    ( p(X3)
    | p(X4)
    | esk2958_4(X1,X2,X3,X4)
    | ~ esk1349_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_22140,axiom,
    ( esk9076_4(X1,X2,X3,X4)
    | ~ esk9075_4(X1,X2,X3,X4) )).

cnf(i_0_22141,axiom,
    ( ~ p(X4)
    | esk2815_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1010_0
    | p(X1) )).

cnf(i_0_22142,axiom,
    ( ~ esk8145_4(X1,X2,X3,X4)
    | esk8475_4(X1,X2,X3,X4) )).

cnf(i_0_22143,axiom,
    ( ~ esk7994_4(X1,X2,X3,X4)
    | esk8031_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_22144,axiom,
    ( esk5822_4(X1,X2,X3,X4)
    | ~ esk5823_4(X1,X2,X3,X4) )).

cnf(i_0_22145,axiom,
    ( ~ esk8364_4(X1,X2,X3,X4)
    | esk8434_4(X1,X2,X3,X4)
    | ~ esk8433_4(X1,X2,X3,X4) )).

cnf(i_0_22146,axiom,
    ( ~ esk9466_4(X1,X2,X3,X4)
    | esk9467_4(X1,X2,X3,X4) )).

cnf(i_0_22147,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk2898_4(X1,X2,X3,X4)
    | ~ esk1215_0 )).

cnf(i_0_22148,axiom,
    ( esk7445_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_22149,axiom,
    ( ~ esk5135_4(X1,X2,X3,X4)
    | esk5129_4(X1,X2,X3,X4) )).

cnf(i_0_22150,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9304_4(X1,X2,X3,X4) )).

cnf(i_0_22151,axiom,
    ( ~ esk9231_4(X1,X2,X3,X4)
    | esk9230_4(X1,X2,X3,X4) )).

cnf(i_0_22152,axiom,
    ( ~ esk6320_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_22153,axiom,
    ( esk5274_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22154,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | esk5808_4(X1,X2,X3,X4)
    | ~ esk5745_4(X1,X2,X3,X4) )).

cnf(i_0_22155,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | esk3627_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_22156,axiom,
    ( ~ esk1889_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_22157,axiom,
    ( ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | esk943_0
    | ~ p(X1) )).

cnf(i_0_22158,axiom,
    ( ~ esk3525_4(X1,X2,X3,X4)
    | esk3867_4(X1,X2,X3,X4) )).

cnf(i_0_22159,axiom,
    ( esk9379_4(X1,X2,X3,X4)
    | ~ esk9378_4(X1,X2,X3,X4) )).

cnf(i_0_22160,axiom,
    ( ~ esk4622_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_22161,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk444_0
    | p(X1) )).

cnf(i_0_22162,axiom,
    ( ~ esk5655_4(X1,X2,X3,X4)
    | esk5656_4(X1,X2,X3,X4)
    | ~ esk5941_4(X1,X2,X3,X4) )).

cnf(i_0_22163,axiom,
    ( ~ esk4295_4(X1,X2,X3,X4)
    | esk4297_4(X1,X2,X3,X4) )).

cnf(i_0_22164,axiom,
    ( ~ esk3732_4(X1,X2,X3,X4)
    | esk3731_4(X1,X2,X3,X4) )).

cnf(i_0_22165,axiom,
    ( esk5070_4(X1,X2,X3,X4)
    | ~ esk5071_4(X1,X2,X3,X4) )).

cnf(i_0_22166,axiom,
    ( esk1842_4(X1,X2,X3,X4)
    | ~ esk1862_4(X1,X2,X3,X4) )).

cnf(i_0_22167,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3021_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_22168,axiom,
    ( esk2793_4(X1,X2,X3,X4)
    | ~ esk3304_4(X1,X2,X3,X4) )).

cnf(i_0_22169,axiom,
    ( ~ esk7772_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4)
    | esk7847_4(X1,X2,X3,X4) )).

cnf(i_0_22170,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk9162_4(X1,X2,X3,X4) )).

cnf(i_0_22171,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2679_4(X1,X2,X3,X4) )).

cnf(i_0_22172,axiom,
    ( ~ esk614_0
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_22173,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6338_4(X1,X2,X3,X4)
    | esk6339_4(X1,X2,X3,X4) )).

cnf(i_0_22174,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4432_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22175,axiom,
    ( esk9332_4(X1,X2,X3,X4)
    | ~ esk9333_4(X1,X2,X3,X4) )).

cnf(i_0_22176,axiom,
    ( ~ esk8131_4(X1,X2,X3,X4)
    | esk8121_4(X1,X2,X3,X4) )).

cnf(i_0_22177,axiom,
    ( ~ esk9087_4(X1,X2,X3,X4)
    | esk9036_4(X1,X2,X3,X4) )).

cnf(i_0_22178,axiom,
    ( ~ esk1176_0
    | p(X4)
    | p(X1)
    | esk2890_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_22179,axiom,
    ( p(X1)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk984_0 )).

cnf(i_0_22180,axiom,
    ( p(X1)
    | p(X4)
    | esk1219_0
    | ~ p(X3)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22181,axiom,
    ( esk7328_4(X1,X2,X3,X4)
    | ~ esk7334_4(X1,X2,X3,X4) )).

cnf(i_0_22182,axiom,
    ( esk3158_4(X1,X2,X3,X4)
    | ~ esk2405_4(X1,X2,X3,X4) )).

cnf(i_0_22183,axiom,
    ( esk9058_4(X1,X2,X3,X4)
    | ~ esk9647_4(X1,X2,X3,X4)
    | ~ esk9057_4(X1,X2,X3,X4) )).

cnf(i_0_22184,axiom,
    ( ~ esk1778_4(X1,X2,X3,X4)
    | esk2532_4(X1,X2,X3,X4) )).

cnf(i_0_22185,axiom,
    ( esk1627_4(X1,X2,X3,X4)
    | ~ esk2931_4(X1,X2,X3,X4) )).

cnf(i_0_22186,axiom,
    ( ~ esk4929_4(X1,X2,X3,X4)
    | esk4926_4(X1,X2,X3,X4) )).

cnf(i_0_22187,axiom,
    ( ~ esk5962_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4)
    | esk6696_4(X1,X2,X3,X4) )).

cnf(i_0_22188,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk254_0
    | p(X3)
    | esk1776_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22189,axiom,
    ( ~ esk8366_4(X1,X2,X3,X4)
    | esk8228_4(X1,X2,X3,X4) )).

cnf(i_0_22190,axiom,
    ( ~ esk3897_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_22191,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk786_0
    | p(X2)
    | esk9081_4(X1,X2,X3,X4) )).

cnf(i_0_22192,axiom,
    ( ~ esk5332_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22193,axiom,
    ( ~ esk3077_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_22194,axiom,
    ( esk8522_4(X1,X2,X3,X4)
    | ~ esk8520_4(X1,X2,X3,X4) )).

cnf(i_0_22195,axiom,
    ( p(X4)
    | ~ esk132_0
    | ~ p(X1)
    | esk1671_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_22196,axiom,
    ( esk7976_4(X1,X2,X3,X4)
    | esk8831_4(X1,X2,X3,X4) )).

cnf(i_0_22197,axiom,
    ( ~ esk3610_4(X1,X2,X3,X4)
    | esk3611_4(X1,X2,X3,X4)
    | ~ esk4997_4(X1,X2,X3,X4) )).

cnf(i_0_22198,axiom,
    ( ~ esk3203_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_22199,axiom,
    ( ~ esk8308_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_22200,axiom,
    ( ~ esk8742_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8741_4(X1,X2,X3,X4) )).

cnf(i_0_22201,axiom,
    ( esk7247_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_22202,axiom,
    ( ~ esk8626_4(X1,X2,X3,X4)
    | esk8627_4(X1,X2,X3,X4) )).

cnf(i_0_22203,axiom,
    ( esk6595_4(X1,X2,X3,X4)
    | ~ esk6597_4(X1,X2,X3,X4)
    | esk6596_4(X1,X2,X3,X4) )).

cnf(i_0_22204,axiom,
    ( ~ esk2989_4(X1,X2,X3,X4)
    | esk2986_4(X1,X2,X3,X4) )).

cnf(i_0_22205,axiom,
    ( esk1_0
    | ~ esk1478_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_22206,axiom,
    ( ~ esk6405_4(X1,X2,X3,X4)
    | esk6404_4(X1,X2,X3,X4) )).

cnf(i_0_22207,axiom,
    ( esk3589_4(X1,X2,X3,X4)
    | ~ esk3588_4(X1,X2,X3,X4) )).

cnf(i_0_22208,axiom,
    ( esk2152_4(X1,X2,X3,X4)
    | ~ esk2153_4(X1,X2,X3,X4) )).

cnf(i_0_22209,axiom,
    ( esk5065_4(X1,X2,X3,X4)
    | ~ esk5064_4(X1,X2,X3,X4) )).

cnf(i_0_22210,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8992_4(X1,X2,X3,X4)
    | esk8993_4(X1,X2,X3,X4) )).

cnf(i_0_22211,axiom,
    ( ~ esk9418_4(X1,X2,X3,X4)
    | esk9419_4(X1,X2,X3,X4) )).

cnf(i_0_22212,axiom,
    ( esk6731_4(X1,X2,X3,X4)
    | ~ esk6189_4(X1,X2,X3,X4) )).

cnf(i_0_22213,axiom,
    ( esk3814_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_22214,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk1827_4(X1,X2,X3,X4) )).

cnf(i_0_22215,axiom,
    ( esk6745_4(X1,X2,X3,X4)
    | esk6746_4(X1,X2,X3,X4)
    | ~ esk6747_4(X1,X2,X3,X4) )).

cnf(i_0_22216,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9254_4(X1,X2,X3,X4)
    | esk1349_0 )).

cnf(i_0_22217,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk809_0
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_22218,axiom,
    ( esk2775_4(X1,X2,X3,X4)
    | ~ esk2808_4(X1,X2,X3,X4) )).

cnf(i_0_22219,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3115_4(X1,X2,X3,X4) )).

cnf(i_0_22220,axiom,
    ( ~ esk6376_4(X1,X2,X3,X4)
    | ~ esk6045_4(X1,X2,X3,X4)
    | esk6046_4(X1,X2,X3,X4) )).

cnf(i_0_22221,axiom,
    ( ~ esk6882_4(X1,X2,X3,X4)
    | esk6884_4(X1,X2,X3,X4) )).

cnf(i_0_22222,axiom,
    ( ~ esk5139_4(X1,X2,X3,X4)
    | esk5125_4(X1,X2,X3,X4) )).

cnf(i_0_22223,axiom,
    ( ~ esk2477_4(X1,X2,X3,X4)
    | esk2572_4(X1,X2,X3,X4) )).

cnf(i_0_22224,axiom,
    ( ~ esk3347_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22225,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk238_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_22226,axiom,
    ( ~ esk1996_4(X1,X2,X3,X4)
    | esk2250_4(X1,X2,X3,X4) )).

cnf(i_0_22227,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk1643_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk113_0 )).

cnf(i_0_22228,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | esk3444_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_22229,axiom,
    ( esk5857_4(X1,X2,X3,X4)
    | ~ esk5858_4(X1,X2,X3,X4)
    | esk5856_4(X1,X2,X3,X4) )).

cnf(i_0_22230,axiom,
    ( ~ esk3842_4(X1,X2,X3,X4)
    | esk3840_4(X1,X2,X3,X4)
    | esk3841_4(X1,X2,X3,X4) )).

cnf(i_0_22231,axiom,
    ( esk3829_4(X1,X2,X3,X4)
    | ~ esk3795_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_22232,axiom,
    ( ~ esk7253_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22233,axiom,
    ( ~ esk5195_4(X1,X2,X3,X4)
    | esk5197_4(X1,X2,X3,X4) )).

cnf(i_0_22234,axiom,
    ( ~ esk7130_4(X1,X2,X3,X4)
    | esk5910_4(X1,X2,X3,X4) )).

cnf(i_0_22235,axiom,
    ( esk7751_4(X1,X2,X3,X4)
    | esk7752_4(X1,X2,X3,X4)
    | ~ esk7753_4(X1,X2,X3,X4) )).

cnf(i_0_22236,axiom,
    ( ~ esk8469_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | esk476_0 )).

cnf(i_0_22237,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9332_4(X1,X2,X3,X4) )).

cnf(i_0_22238,axiom,
    ( ~ esk1671_4(X1,X2,X3,X4)
    | esk1392_4(X1,X2,X3,X4) )).

cnf(i_0_22239,axiom,
    ( ~ esk8761_4(X1,X2,X3,X4)
    | ~ esk8061_4(X1,X2,X3,X4)
    | esk8795_4(X1,X2,X3,X4) )).

cnf(i_0_22240,axiom,
    ( ~ esk9677_4(X1,X2,X3,X4)
    | esk9679_4(X1,X2,X3,X4) )).

cnf(i_0_22241,axiom,
    ( ~ esk3599_4(X1,X2,X3,X4)
    | esk3601_4(X1,X2,X3,X4) )).

cnf(i_0_22242,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk819_0
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_22243,axiom,
    ( ~ esk3966_4(X1,X2,X3,X4)
    | esk3944_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_22244,axiom,
    ( ~ esk8835_4(X1,X2,X3,X4)
    | esk8836_4(X1,X2,X3,X4)
    | ~ esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_22245,axiom,
    ( esk4212_4(X1,X2,X3,X4)
    | ~ esk4211_4(X1,X2,X3,X4) )).

cnf(i_0_22246,axiom,
    ( ~ esk9501_4(X1,X2,X3,X4)
    | esk9495_4(X1,X2,X3,X4) )).

cnf(i_0_22247,axiom,
    ( esk5152_4(X1,X2,X3,X4)
    | ~ esk5149_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22248,axiom,
    ( esk6685_4(X1,X2,X3,X4)
    | ~ esk6870_4(X1,X2,X3,X4) )).

cnf(i_0_22249,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | esk811_0
    | ~ esk9083_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22250,axiom,
    ( esk4943_4(X1,X2,X3,X4)
    | ~ esk4941_4(X1,X2,X3,X4) )).

cnf(i_0_22251,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7342_4(X1,X2,X3,X4) )).

cnf(i_0_22252,axiom,
    ( esk8052_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk214_0
    | p(X2)
    | p(X1) )).

cnf(i_0_22253,axiom,
    ( ~ esk2712_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_22254,axiom,
    ( esk5913_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_22255,axiom,
    ( esk4278_4(X1,X2,X3,X4)
    | ~ esk4279_4(X1,X2,X3,X4) )).

cnf(i_0_22256,axiom,
    ( ~ esk8897_4(X1,X2,X3,X4)
    | esk8896_4(X1,X2,X3,X4) )).

cnf(i_0_22257,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9696_4(X1,X2,X3,X4) )).

cnf(i_0_22258,axiom,
    ( ~ esk8291_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk385_0 )).

cnf(i_0_22259,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | ~ esk1655_4(X1,X2,X3,X4) )).

cnf(i_0_22260,axiom,
    ( esk3151_4(X1,X2,X3,X4)
    | ~ esk3152_4(X1,X2,X3,X4) )).

cnf(i_0_22261,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6797_4(X1,X2,X3,X4) )).

cnf(i_0_22262,axiom,
    ( ~ esk9195_4(X1,X2,X3,X4)
    | esk7095_4(X1,X2,X3,X4) )).

cnf(i_0_22263,axiom,
    ( ~ esk2557_4(X1,X2,X3,X4)
    | esk1364_4(X1,X2,X3,X4) )).

cnf(i_0_22264,axiom,
    ( ~ esk4337_4(X1,X2,X3,X4)
    | esk4340_4(X1,X2,X3,X4) )).

cnf(i_0_22265,axiom,
    ( ~ esk9046_4(X1,X2,X3,X4)
    | esk9045_4(X1,X2,X3,X4) )).

cnf(i_0_22266,axiom,
    ( esk1154_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_22267,axiom,
    ( ~ esk9725_4(X1,X2,X3,X4)
    | esk9724_4(X1,X2,X3,X4) )).

cnf(i_0_22268,axiom,
    ( ~ esk3140_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_22269,axiom,
    ( ~ esk4896_4(X1,X2,X3,X4)
    | esk4650_4(X1,X2,X3,X4) )).

cnf(i_0_22270,axiom,
    ( esk5905_4(X1,X2,X3,X4)
    | ~ esk5844_4(X1,X2,X3,X4) )).

cnf(i_0_22271,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | esk3272_4(X1,X2,X3,X4) )).

cnf(i_0_22272,axiom,
    ( ~ esk1802_4(X1,X2,X3,X4)
    | esk1804_4(X1,X2,X3,X4) )).

cnf(i_0_22273,axiom,
    ( esk7003_4(X1,X2,X3,X4)
    | ~ esk4903_4(X1,X2,X3,X4) )).

cnf(i_0_22274,axiom,
    ( ~ esk6898_4(X1,X2,X3,X4)
    | esk6900_4(X1,X2,X3,X4) )).

cnf(i_0_22275,axiom,
    ( ~ esk8954_4(X1,X2,X3,X4)
    | esk8955_4(X1,X2,X3,X4) )).

cnf(i_0_22276,axiom,
    ( ~ esk3792_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_22277,axiom,
    ( esk7172_4(X1,X2,X3,X4)
    | ~ esk7171_4(X1,X2,X3,X4) )).

cnf(i_0_22278,axiom,
    ( esk2487_4(X1,X2,X3,X4)
    | ~ esk2672_4(X1,X2,X3,X4) )).

cnf(i_0_22279,axiom,
    ( ~ esk5857_4(X1,X2,X3,X4)
    | esk5858_4(X1,X2,X3,X4) )).

cnf(i_0_22280,axiom,
    ( p(X2)
    | ~ esk552_0
    | esk2417_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_22281,axiom,
    ( ~ esk2807_4(X1,X2,X3,X4)
    | ~ esk2619_4(X1,X2,X3,X4)
    | esk2620_4(X1,X2,X3,X4) )).

cnf(i_0_22282,axiom,
    ( ~ esk8013_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4)
    | esk8014_4(X1,X2,X3,X4) )).

cnf(i_0_22283,axiom,
    ( ~ esk8379_4(X1,X2,X3,X4)
    | esk8380_4(X1,X2,X3,X4) )).

cnf(i_0_22284,axiom,
    ( ~ esk5949_4(X1,X2,X3,X4)
    | esk5862_4(X1,X2,X3,X4) )).

cnf(i_0_22285,axiom,
    ( ~ esk4301_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4)
    | esk4493_4(X1,X2,X3,X4) )).

cnf(i_0_22286,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk3886_4(X1,X2,X3,X4) )).

cnf(i_0_22287,axiom,
    ( esk5850_4(X1,X2,X3,X4)
    | ~ esk7017_4(X1,X2,X3,X4) )).

cnf(i_0_22288,axiom,
    ( ~ esk5276_4(X1,X2,X3,X4)
    | esk5273_4(X1,X2,X3,X4) )).

cnf(i_0_22289,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8233_4(X1,X2,X3,X4) )).

cnf(i_0_22290,axiom,
    ( esk6864_4(X1,X2,X3,X4)
    | ~ esk6862_4(X1,X2,X3,X4) )).

cnf(i_0_22291,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2341_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22292,axiom,
    ( esk8664_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4) )).

cnf(i_0_22293,axiom,
    ( esk8715_4(X1,X2,X3,X4)
    | ~ esk8676_4(X1,X2,X3,X4) )).

cnf(i_0_22294,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk7937_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ esk101_0 )).

cnf(i_0_22295,axiom,
    ( esk3117_4(X1,X2,X3,X4)
    | esk3116_4(X1,X2,X3,X4)
    | ~ esk3118_4(X1,X2,X3,X4) )).

cnf(i_0_22296,axiom,
    ( esk7420_4(X1,X2,X3,X4)
    | ~ esk7418_4(X1,X2,X3,X4) )).

cnf(i_0_22297,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2074_4(X1,X2,X3,X4) )).

cnf(i_0_22298,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3119_4(X1,X2,X3,X4) )).

cnf(i_0_22299,axiom,
    ( esk6365_4(X1,X2,X3,X4)
    | esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_22300,axiom,
    ( ~ esk5115_4(X1,X2,X3,X4)
    | esk5117_4(X1,X2,X3,X4) )).

cnf(i_0_22301,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk1270_0
    | esk2922_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_22302,axiom,
    ( p(X3)
    | ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | esk982_0
    | ~ p(X4) )).

cnf(i_0_22303,axiom,
    ( esk8232_4(X1,X2,X3,X4)
    | ~ esk8230_4(X1,X2,X3,X4) )).

cnf(i_0_22304,axiom,
    ( esk5413_4(X1,X2,X3,X4)
    | ~ esk5411_4(X1,X2,X3,X4) )).

cnf(i_0_22305,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | ~ esk1988_4(X1,X2,X3,X4) )).

cnf(i_0_22306,axiom,
    ( ~ esk9615_4(X1,X2,X3,X4)
    | esk9042_4(X1,X2,X3,X4)
    | ~ esk9041_4(X1,X2,X3,X4) )).

cnf(i_0_22307,axiom,
    ( esk5620_4(X1,X2,X3,X4)
    | ~ esk6664_4(X1,X2,X3,X4) )).

cnf(i_0_22308,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7885_4(X1,X2,X3,X4) )).

cnf(i_0_22309,axiom,
    ( esk5630_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk5629_4(X1,X2,X3,X4) )).

cnf(i_0_22310,axiom,
    ( ~ esk6191_4(X1,X2,X3,X4)
    | esk6244_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_22311,axiom,
    ( p(X4)
    | esk9178_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1149_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_22312,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6538_4(X1,X2,X3,X4) )).

cnf(i_0_22313,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | ~ esk2455_4(X1,X2,X3,X4)
    | esk1_0
    | p(X4) )).

cnf(i_0_22314,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9270_4(X1,X2,X3,X4) )).

cnf(i_0_22315,axiom,
    ( ~ esk5020_4(X1,X2,X3,X4)
    | esk7120_4(X1,X2,X3,X4) )).

cnf(i_0_22316,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2548_4(X1,X2,X3,X4) )).

cnf(i_0_22317,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk42_0
    | ~ p(X1)
    | esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_22318,axiom,
    ( ~ p(X3)
    | ~ esk8391_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk467_0
    | ~ p(X1) )).

cnf(i_0_22319,axiom,
    ( ~ esk3245_4(X1,X2,X3,X4)
    | esk3246_4(X1,X2,X3,X4) )).

cnf(i_0_22320,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6610_4(X1,X2,X3,X4) )).

cnf(i_0_22321,axiom,
    ( esk4868_4(X1,X2,X3,X4)
    | ~ esk4867_4(X1,X2,X3,X4)
    | ~ esk5465_4(X1,X2,X3,X4) )).

cnf(i_0_22322,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk2045_4(X1,X2,X3,X4) )).

cnf(i_0_22323,axiom,
    ( ~ esk7058_4(X1,X2,X3,X4)
    | esk7060_4(X1,X2,X3,X4) )).

cnf(i_0_22324,axiom,
    ( ~ esk9537_4(X1,X2,X3,X4)
    | esk9536_4(X1,X2,X3,X4) )).

cnf(i_0_22325,axiom,
    ( ~ esk7920_4(X1,X2,X3,X4)
    | esk7919_4(X1,X2,X3,X4)
    | esk7918_4(X1,X2,X3,X4) )).

cnf(i_0_22326,axiom,
    ( ~ esk4305_4(X1,X2,X3,X4)
    | ~ esk4269_4(X1,X2,X3,X4)
    | esk4306_4(X1,X2,X3,X4) )).

cnf(i_0_22327,axiom,
    ( esk8921_4(X1,X2,X3,X4)
    | ~ esk8923_4(X1,X2,X3,X4)
    | esk8922_4(X1,X2,X3,X4) )).

cnf(i_0_22328,axiom,
    ( ~ esk4886_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk5398_4(X1,X2,X3,X4) )).

cnf(i_0_22329,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk8937_4(X1,X2,X3,X4) )).

cnf(i_0_22330,axiom,
    ( p(X3)
    | esk2870_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ esk1064_0
    | ~ p(X1) )).

cnf(i_0_22331,axiom,
    ( esk8120_4(X1,X2,X3,X4)
    | ~ esk7815_4(X1,X2,X3,X4) )).

cnf(i_0_22332,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8609_4(X1,X2,X3,X4)
    | ~ esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_22333,axiom,
    ( ~ esk8375_4(X1,X2,X3,X4)
    | esk8376_4(X1,X2,X3,X4) )).

cnf(i_0_22334,axiom,
    ( esk4006_4(X1,X2,X3,X4)
    | ~ esk4007_4(X1,X2,X3,X4)
    | esk4005_4(X1,X2,X3,X4) )).

cnf(i_0_22335,axiom,
    ( esk6753_4(X1,X2,X3,X4)
    | ~ esk6811_4(X1,X2,X3,X4) )).

cnf(i_0_22336,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk5885_4(X1,X2,X3,X4) )).

cnf(i_0_22337,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk88_0
    | p(X2) )).

cnf(i_0_22338,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4687_4(X1,X2,X3,X4) )).

cnf(i_0_22339,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk9204_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1221_0
    | ~ p(X3) )).

cnf(i_0_22340,axiom,
    ( esk4524_4(X1,X2,X3,X4)
    | ~ esk4339_4(X1,X2,X3,X4) )).

cnf(i_0_22341,axiom,
    ( ~ esk1973_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22342,axiom,
    ( esk4139_4(X1,X2,X3,X4)
    | ~ esk4287_4(X1,X2,X3,X4) )).

cnf(i_0_22343,axiom,
    ( esk3638_4(X1,X2,X3,X4)
    | ~ esk3636_4(X1,X2,X3,X4) )).

cnf(i_0_22344,axiom,
    ( esk366_0
    | ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_22345,axiom,
    ( esk5020_4(X1,X2,X3,X4)
    | ~ esk3722_4(X1,X2,X3,X4) )).

cnf(i_0_22346,axiom,
    ( ~ esk7166_4(X1,X2,X3,X4)
    | esk7168_4(X1,X2,X3,X4) )).

cnf(i_0_22347,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk8729_4(X1,X2,X3,X4)
    | esk673_0 )).

cnf(i_0_22348,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8632_4(X1,X2,X3,X4) )).

cnf(i_0_22349,axiom,
    ( esk8792_4(X1,X2,X3,X4)
    | esk8814_4(X1,X2,X3,X4) )).

cnf(i_0_22350,axiom,
    ( ~ esk3836_4(X1,X2,X3,X4)
    | esk3838_4(X1,X2,X3,X4) )).

cnf(i_0_22351,axiom,
    ( ~ esk6473_4(X1,X2,X3,X4)
    | esk6474_4(X1,X2,X3,X4) )).

cnf(i_0_22352,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5166_4(X1,X2,X3,X4) )).

cnf(i_0_22353,axiom,
    ( esk5240_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22354,axiom,
    ( ~ esk2554_4(X1,X2,X3,X4)
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_22355,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | esk6118_4(X1,X2,X3,X4) )).

cnf(i_0_22356,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | ~ esk2770_4(X1,X2,X3,X4) )).

cnf(i_0_22357,axiom,
    ( ~ esk2877_4(X1,X2,X3,X4)
    | esk1445_4(X1,X2,X3,X4) )).

cnf(i_0_22358,axiom,
    ( esk2832_4(X1,X2,X3,X4)
    | ~ esk2839_4(X1,X2,X3,X4) )).

cnf(i_0_22359,axiom,
    ( esk8399_4(X1,X2,X3,X4)
    | ~ esk8400_4(X1,X2,X3,X4) )).

cnf(i_0_22360,axiom,
    ( ~ esk4136_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22361,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk5983_4(X1,X2,X3,X4) )).

cnf(i_0_22362,axiom,
    ( esk2599_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_22363,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | esk1675_4(X1,X2,X3,X4)
    | ~ esk1689_4(X1,X2,X3,X4) )).

cnf(i_0_22364,axiom,
    ( ~ esk5803_4(X1,X2,X3,X4)
    | esk7096_4(X1,X2,X3,X4) )).

cnf(i_0_22365,axiom,
    ( esk6995_4(X1,X2,X3,X4)
    | ~ esk6798_4(X1,X2,X3,X4) )).

cnf(i_0_22366,axiom,
    ( esk1_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk8778_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_22367,axiom,
    ( ~ esk3383_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_22368,axiom,
    ( esk2824_4(X1,X2,X3,X4)
    | esk2825_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_22369,axiom,
    ( ~ esk3768_4(X1,X2,X3,X4)
    | ~ esk3622_4(X1,X2,X3,X4) )).

cnf(i_0_22370,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X2)
    | esk1190_0
    | ~ p(X4) )).

cnf(i_0_22371,axiom,
    ( ~ esk4001_4(X1,X2,X3,X4)
    | esk4000_4(X1,X2,X3,X4) )).

cnf(i_0_22372,axiom,
    ( ~ esk9051_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_22373,axiom,
    ( esk2756_4(X1,X2,X3,X4)
    | ~ esk2757_4(X1,X2,X3,X4) )).

cnf(i_0_22374,axiom,
    ( esk8537_4(X1,X2,X3,X4)
    | esk8535_4(X1,X2,X3,X4)
    | ~ esk8538_4(X1,X2,X3,X4)
    | esk8536_4(X1,X2,X3,X4) )).

cnf(i_0_22375,axiom,
    ( esk4581_4(X1,X2,X3,X4)
    | ~ esk3619_4(X1,X2,X3,X4)
    | esk4917_4(X1,X2,X3,X4) )).

cnf(i_0_22376,axiom,
    ( ~ esk1_0
    | p(X3)
    | esk2868_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_22377,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | esk763_0
    | p(X4)
    | ~ esk8751_4(X1,X2,X3,X4) )).

cnf(i_0_22378,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk651_0
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_22379,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4317_4(X1,X2,X3,X4) )).

cnf(i_0_22380,axiom,
    ( esk3442_4(X1,X2,X3,X4)
    | esk2864_4(X1,X2,X3,X4)
    | ~ esk3443_4(X1,X2,X3,X4) )).

cnf(i_0_22381,axiom,
    ( esk554_0
    | p(X3)
    | ~ p(X1)
    | ~ esk2417_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_22382,axiom,
    ( ~ esk6460_4(X1,X2,X3,X4)
    | esk6459_4(X1,X2,X3,X4) )).

cnf(i_0_22383,axiom,
    ( ~ esk2371_4(X1,X2,X3,X4)
    | esk1873_4(X1,X2,X3,X4) )).

cnf(i_0_22384,axiom,
    ( ~ p(X1)
    | ~ esk1200_0
    | ~ p(X4)
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_22385,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk2_0
    | ~ p(X2)
    | ~ esk8046_4(X1,X2,X3,X4) )).

cnf(i_0_22386,axiom,
    ( ~ esk834_0
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk9087_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_22387,axiom,
    ( esk229_0
    | ~ p(X4)
    | p(X2)
    | ~ esk8054_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_22388,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2259_4(X1,X2,X3,X4) )).

cnf(i_0_22389,axiom,
    ( ~ esk5681_4(X1,X2,X3,X4)
    | ~ esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_22390,axiom,
    ( ~ esk9278_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_22391,axiom,
    ( esk2242_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4)
    | ~ esk2204_4(X1,X2,X3,X4) )).

cnf(i_0_22392,axiom,
    ( esk2502_4(X1,X2,X3,X4)
    | ~ esk2504_4(X1,X2,X3,X4)
    | esk2503_4(X1,X2,X3,X4) )).

cnf(i_0_22393,axiom,
    ( esk9344_4(X1,X2,X3,X4)
    | ~ esk9345_4(X1,X2,X3,X4) )).

cnf(i_0_22394,axiom,
    ( esk7249_4(X1,X2,X3,X4)
    | ~ esk7250_4(X1,X2,X3,X4) )).

cnf(i_0_22395,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk9091_4(X1,X2,X3,X4)
    | esk871_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_22396,axiom,
    ( ~ esk7306_4(X1,X2,X3,X4)
    | esk7308_4(X1,X2,X3,X4) )).

cnf(i_0_22397,axiom,
    ( esk4364_4(X1,X2,X3,X4)
    | ~ esk4365_4(X1,X2,X3,X4) )).

cnf(i_0_22398,axiom,
    ( esk6069_4(X1,X2,X3,X4)
    | ~ esk5634_4(X1,X2,X3,X4) )).

cnf(i_0_22399,axiom,
    ( ~ esk2687_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk2688_4(X1,X2,X3,X4) )).

cnf(i_0_22400,axiom,
    ( ~ esk7645_4(X1,X2,X3,X4)
    | esk6007_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_22401,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk902_0
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_22402,axiom,
    ( ~ esk8679_4(X1,X2,X3,X4)
    | esk8680_4(X1,X2,X3,X4) )).

cnf(i_0_22403,axiom,
    ( ~ esk6389_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22404,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | esk7593_4(X1,X2,X3,X4) )).

cnf(i_0_22405,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9326_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22406,axiom,
    ( esk8811_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8810_4(X1,X2,X3,X4) )).

cnf(i_0_22407,axiom,
    ( ~ esk1381_4(X1,X2,X3,X4)
    | esk2097_4(X1,X2,X3,X4) )).

cnf(i_0_22408,axiom,
    ( ~ esk8567_4(X1,X2,X3,X4)
    | esk8566_4(X1,X2,X3,X4) )).

cnf(i_0_22409,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2187_4(X1,X2,X3,X4) )).

cnf(i_0_22410,axiom,
    ( esk3621_4(X1,X2,X3,X4)
    | ~ esk5544_4(X1,X2,X3,X4) )).

cnf(i_0_22411,axiom,
    ( esk7476_4(X1,X2,X3,X4)
    | ~ esk7475_4(X1,X2,X3,X4) )).

cnf(i_0_22412,axiom,
    ( ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk7745_4(X1,X2,X3,X4) )).

cnf(i_0_22413,axiom,
    ( ~ esk8861_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_22414,axiom,
    ( esk1463_4(X1,X2,X3,X4)
    | esk1462_4(X1,X2,X3,X4)
    | ~ esk1464_4(X1,X2,X3,X4) )).

cnf(i_0_22415,axiom,
    ( ~ esk9217_4(X1,X2,X3,X4)
    | esk8121_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_22416,axiom,
    ( ~ p(X1)
    | esk1_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9238_4(X1,X2,X3,X4) )).

cnf(i_0_22417,axiom,
    ( esk754_0
    | ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | p(X2) )).

cnf(i_0_22418,axiom,
    ( ~ esk8363_4(X1,X2,X3,X4)
    | esk8364_4(X1,X2,X3,X4) )).

cnf(i_0_22419,axiom,
    ( esk5667_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_22420,axiom,
    ( ~ esk6642_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | ~ esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_22421,axiom,
    ( p(X2)
    | esk2809_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk972_0
    | ~ p(X3) )).

cnf(i_0_22422,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8562_4(X1,X2,X3,X4)
    | esk8563_4(X1,X2,X3,X4) )).

cnf(i_0_22423,axiom,
    ( ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | p(X1)
    | esk189_0 )).

cnf(i_0_22424,axiom,
    ( ~ esk1757_4(X1,X2,X3,X4)
    | esk1460_4(X1,X2,X3,X4) )).

cnf(i_0_22425,axiom,
    ( esk3327_4(X1,X2,X3,X4)
    | ~ esk3328_4(X1,X2,X3,X4) )).

cnf(i_0_22426,axiom,
    ( ~ esk4708_4(X1,X2,X3,X4)
    | esk4709_4(X1,X2,X3,X4) )).

cnf(i_0_22427,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | esk2058_4(X1,X2,X3,X4)
    | ~ esk415_0
    | p(X4) )).

cnf(i_0_22428,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1461_4(X1,X2,X3,X4) )).

cnf(i_0_22429,axiom,
    ( esk4839_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_22430,axiom,
    ( ~ p(X2)
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk369_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_22431,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9318_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_22432,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2959_4(X1,X2,X3,X4) )).

cnf(i_0_22433,axiom,
    ( esk6793_4(X1,X2,X3,X4)
    | ~ esk6794_4(X1,X2,X3,X4) )).

cnf(i_0_22434,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8352_4(X1,X2,X3,X4)
    | ~ esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_22435,axiom,
    ( ~ esk5130_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22436,axiom,
    ( ~ esk9246_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_22437,axiom,
    ( esk9595_4(X1,X2,X3,X4)
    | ~ esk9592_4(X1,X2,X3,X4) )).

cnf(i_0_22438,axiom,
    ( esk6252_4(X1,X2,X3,X4)
    | ~ esk6250_4(X1,X2,X3,X4) )).

cnf(i_0_22439,axiom,
    ( ~ esk9528_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_22440,axiom,
    ( esk9291_4(X1,X2,X3,X4)
    | ~ esk9289_4(X1,X2,X3,X4) )).

cnf(i_0_22441,axiom,
    ( esk8838_4(X1,X2,X3,X4)
    | ~ esk9006_4(X1,X2,X3,X4) )).

cnf(i_0_22442,axiom,
    ( ~ esk2189_4(X1,X2,X3,X4)
    | esk2190_4(X1,X2,X3,X4) )).

cnf(i_0_22443,axiom,
    ( ~ esk2794_4(X1,X2,X3,X4)
    | esk4894_4(X1,X2,X3,X4) )).

cnf(i_0_22444,axiom,
    ( esk9185_4(X1,X2,X3,X4)
    | ~ esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_22445,axiom,
    ( p(X4)
    | esk511_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_22446,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8603_4(X1,X2,X3,X4) )).

cnf(i_0_22447,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1942_4(X1,X2,X3,X4) )).

cnf(i_0_22448,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk87_0
    | p(X2)
    | ~ p(X4)
    | ~ esk7812_4(X1,X2,X3,X4) )).

cnf(i_0_22449,axiom,
    ( ~ esk2795_4(X1,X2,X3,X4)
    | esk2888_4(X1,X2,X3,X4) )).

cnf(i_0_22450,axiom,
    ( esk4791_4(X1,X2,X3,X4)
    | esk4792_4(X1,X2,X3,X4)
    | ~ esk4793_4(X1,X2,X3,X4) )).

cnf(i_0_22451,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2417_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk555_0 )).

cnf(i_0_22452,axiom,
    ( ~ esk4215_4(X1,X2,X3,X4)
    | esk4216_4(X1,X2,X3,X4) )).

cnf(i_0_22453,axiom,
    ( ~ esk3627_4(X1,X2,X3,X4)
    | esk3628_4(X1,X2,X3,X4) )).

cnf(i_0_22454,axiom,
    ( esk4324_4(X1,X2,X3,X4)
    | ~ esk4323_4(X1,X2,X3,X4) )).

cnf(i_0_22455,axiom,
    ( esk4659_4(X1,X2,X3,X4)
    | ~ esk4658_4(X1,X2,X3,X4)
    | ~ esk4582_4(X1,X2,X3,X4) )).

cnf(i_0_22456,axiom,
    ( esk5655_4(X1,X2,X3,X4)
    | esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_22457,axiom,
    ( p(X2)
    | esk298_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_22458,axiom,
    ( ~ esk8044_4(X1,X2,X3,X4)
    | p(X4)
    | esk159_0
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_22459,axiom,
    ( esk7110_4(X1,X2,X3,X4)
    | ~ esk7108_4(X1,X2,X3,X4) )).

cnf(i_0_22460,axiom,
    ( ~ esk8108_4(X1,X2,X3,X4)
    | esk8591_4(X1,X2,X3,X4) )).

cnf(i_0_22461,axiom,
    ( esk5205_4(X1,X2,X3,X4)
    | ~ esk5203_4(X1,X2,X3,X4) )).

cnf(i_0_22462,axiom,
    ( esk5874_4(X1,X2,X3,X4)
    | ~ esk5739_4(X1,X2,X3,X4) )).

cnf(i_0_22463,axiom,
    ( ~ esk1413_4(X1,X2,X3,X4)
    | esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_22464,axiom,
    ( esk1180_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk9186_4(X1,X2,X3,X4) )).

cnf(i_0_22465,axiom,
    ( esk4171_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22466,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk2061_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk435_0 )).

cnf(i_0_22467,axiom,
    ( esk7144_4(X1,X2,X3,X4)
    | ~ esk7142_4(X1,X2,X3,X4) )).

cnf(i_0_22468,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk9238_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1303_0
    | ~ p(X1) )).

cnf(i_0_22469,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8324_4(X1,X2,X3,X4) )).

cnf(i_0_22470,axiom,
    ( ~ esk4416_4(X1,X2,X3,X4)
    | ~ esk4013_4(X1,X2,X3,X4)
    | ~ esk4012_4(X1,X2,X3,X4) )).

cnf(i_0_22471,axiom,
    ( ~ esk8249_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | esk9579_4(X1,X2,X3,X4) )).

cnf(i_0_22472,axiom,
    ( esk1476_4(X1,X2,X3,X4)
    | ~ esk1493_4(X1,X2,X3,X4) )).

cnf(i_0_22473,axiom,
    ( esk8731_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk678_0
    | p(X3) )).

cnf(i_0_22474,axiom,
    ( ~ esk3279_4(X1,X2,X3,X4)
    | esk3280_4(X1,X2,X3,X4) )).

cnf(i_0_22475,axiom,
    ( ~ p(X4)
    | esk9087_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk829_0
    | p(X2)
    | p(X3) )).

cnf(i_0_22476,axiom,
    ( ~ esk4280_4(X1,X2,X3,X4)
    | esk4242_4(X1,X2,X3,X4) )).

cnf(i_0_22477,axiom,
    ( ~ esk643_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_22478,axiom,
    ( ~ esk2423_4(X1,X2,X3,X4)
    | esk2283_4(X1,X2,X3,X4) )).

cnf(i_0_22479,axiom,
    ( esk4099_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22480,axiom,
    ( ~ esk4970_4(X1,X2,X3,X4)
    | esk7070_4(X1,X2,X3,X4) )).

cnf(i_0_22481,axiom,
    ( esk6723_4(X1,X2,X3,X4)
    | ~ esk6724_4(X1,X2,X3,X4) )).

cnf(i_0_22482,axiom,
    ( ~ esk1513_4(X1,X2,X3,X4)
    | esk1482_4(X1,X2,X3,X4) )).

cnf(i_0_22483,axiom,
    ( esk4389_4(X1,X2,X3,X4)
    | ~ esk3475_4(X1,X2,X3,X4) )).

cnf(i_0_22484,axiom,
    ( esk8322_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_22485,axiom,
    ( esk7050_4(X1,X2,X3,X4)
    | ~ esk7048_4(X1,X2,X3,X4) )).

cnf(i_0_22486,axiom,
    ( esk8615_4(X1,X2,X3,X4)
    | ~ esk8722_4(X1,X2,X3,X4) )).

cnf(i_0_22487,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9457_4(X1,X2,X3,X4) )).

cnf(i_0_22488,axiom,
    ( ~ esk4282_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22489,axiom,
    ( ~ esk8039_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_22490,axiom,
    ( ~ p(X2)
    | ~ esk2958_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk1342_0
    | p(X3) )).

cnf(i_0_22491,axiom,
    ( ~ esk188_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | esk8048_4(X1,X2,X3,X4) )).

cnf(i_0_22492,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk7939_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk120_0 )).

cnf(i_0_22493,axiom,
    ( ~ esk2834_4(X1,X2,X3,X4)
    | esk2828_4(X1,X2,X3,X4) )).

cnf(i_0_22494,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7283_4(X1,X2,X3,X4) )).

cnf(i_0_22495,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | esk83_0
    | ~ esk1516_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22496,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5212_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_22497,axiom,
    ( ~ esk2124_4(X1,X2,X3,X4)
    | esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_22498,axiom,
    ( ~ p(X4)
    | esk618_0
    | ~ esk2427_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_22499,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk8072_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk256_0 )).

cnf(i_0_22500,axiom,
    ( esk6454_4(X1,X2,X3,X4)
    | ~ esk6453_4(X1,X2,X3,X4) )).

cnf(i_0_22501,axiom,
    ( ~ esk6546_4(X1,X2,X3,X4)
    | esk6545_4(X1,X2,X3,X4) )).

cnf(i_0_22502,axiom,
    ( esk6511_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_22503,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6559_4(X1,X2,X3,X4) )).

cnf(i_0_22504,axiom,
    ( ~ esk2830_4(X1,X2,X3,X4)
    | esk2829_4(X1,X2,X3,X4) )).

cnf(i_0_22505,axiom,
    ( ~ esk4915_4(X1,X2,X3,X4)
    | esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_22506,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5432_4(X1,X2,X3,X4) )).

cnf(i_0_22507,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_22508,axiom,
    ( ~ esk5483_4(X1,X2,X3,X4)
    | esk5482_4(X1,X2,X3,X4) )).

cnf(i_0_22509,axiom,
    ( ~ p(X3)
    | esk1641_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk107_0 )).

cnf(i_0_22510,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk117_0
    | p(X2)
    | p(X4) )).

cnf(i_0_22511,axiom,
    ( esk1647_4(X1,X2,X3,X4)
    | ~ esk1703_4(X1,X2,X3,X4) )).

cnf(i_0_22512,axiom,
    ( ~ esk6640_4(X1,X2,X3,X4)
    | esk6641_4(X1,X2,X3,X4) )).

cnf(i_0_22513,axiom,
    ( esk5797_4(X1,X2,X3,X4)
    | ~ esk7087_4(X1,X2,X3,X4) )).

cnf(i_0_22514,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2236_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22515,axiom,
    ( esk8733_4(X1,X2,X3,X4)
    | ~ esk705_0
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_22516,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | esk8691_4(X1,X2,X3,X4)
    | ~ esk8499_4(X1,X2,X3,X4) )).

cnf(i_0_22517,axiom,
    ( ~ esk5767_4(X1,X2,X3,X4)
    | esk5769_4(X1,X2,X3,X4) )).

cnf(i_0_22518,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9358_4(X1,X2,X3,X4) )).

cnf(i_0_22519,axiom,
    ( esk3274_4(X1,X2,X3,X4)
    | ~ esk3271_4(X1,X2,X3,X4) )).

cnf(i_0_22520,axiom,
    ( esk3579_4(X1,X2,X3,X4)
    | ~ esk3604_4(X1,X2,X3,X4) )).

cnf(i_0_22521,axiom,
    ( esk5243_4(X1,X2,X3,X4)
    | esk5244_4(X1,X2,X3,X4)
    | ~ esk5245_4(X1,X2,X3,X4) )).

cnf(i_0_22522,axiom,
    ( ~ esk9613_4(X1,X2,X3,X4)
    | esk9615_4(X1,X2,X3,X4) )).

cnf(i_0_22523,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3032_4(X1,X2,X3,X4) )).

cnf(i_0_22524,axiom,
    ( esk8284_4(X1,X2,X3,X4)
    | ~ esk8737_4(X1,X2,X3,X4) )).

cnf(i_0_22525,axiom,
    ( ~ esk2706_4(X1,X2,X3,X4)
    | esk2705_4(X1,X2,X3,X4)
    | esk2704_4(X1,X2,X3,X4) )).

cnf(i_0_22526,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | esk6582_4(X1,X2,X3,X4) )).

cnf(i_0_22527,axiom,
    ( esk7168_4(X1,X2,X3,X4)
    | ~ esk7167_4(X1,X2,X3,X4) )).

cnf(i_0_22528,axiom,
    ( ~ esk2122_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_22529,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_22530,axiom,
    ( ~ esk7883_4(X1,X2,X3,X4)
    | esk7884_4(X1,X2,X3,X4) )).

cnf(i_0_22531,axiom,
    ( esk2330_4(X1,X2,X3,X4)
    | ~ esk2329_4(X1,X2,X3,X4) )).

cnf(i_0_22532,axiom,
    ( ~ esk7827_4(X1,X2,X3,X4)
    | esk7657_4(X1,X2,X3,X4) )).

cnf(i_0_22533,axiom,
    ( esk4769_4(X1,X2,X3,X4)
    | ~ esk4768_4(X1,X2,X3,X4) )).

cnf(i_0_22534,axiom,
    ( p(X4)
    | esk787_0
    | ~ p(X2)
    | ~ esk9081_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_22535,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3023_4(X1,X2,X3,X4) )).

cnf(i_0_22536,axiom,
    ( ~ p(X4)
    | ~ esk44_0
    | esk7738_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_22537,axiom,
    ( esk6296_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22538,axiom,
    ( esk8185_4(X1,X2,X3,X4)
    | ~ esk8213_4(X1,X2,X3,X4) )).

cnf(i_0_22539,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk11_0
    | esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_22540,axiom,
    ( ~ esk3668_4(X1,X2,X3,X4)
    | esk3670_4(X1,X2,X3,X4) )).

cnf(i_0_22541,axiom,
    ( esk9400_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22542,axiom,
    ( esk3718_4(X1,X2,X3,X4)
    | ~ esk5016_4(X1,X2,X3,X4) )).

cnf(i_0_22543,axiom,
    ( esk4386_4(X1,X2,X3,X4)
    | ~ esk4385_4(X1,X2,X3,X4) )).

cnf(i_0_22544,axiom,
    ( esk9091_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk868_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_22545,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4)
    | esk7818_4(X1,X2,X3,X4) )).

cnf(i_0_22546,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9518_4(X1,X2,X3,X4) )).

cnf(i_0_22547,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk8309_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22548,axiom,
    ( esk1912_4(X1,X2,X3,X4)
    | ~ esk1910_4(X1,X2,X3,X4) )).

cnf(i_0_22549,axiom,
    ( ~ esk6671_4(X1,X2,X3,X4)
    | esk6672_4(X1,X2,X3,X4) )).

cnf(i_0_22550,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5115_4(X1,X2,X3,X4) )).

cnf(i_0_22551,axiom,
    ( esk1439_4(X1,X2,X3,X4)
    | ~ esk1644_4(X1,X2,X3,X4) )).

cnf(i_0_22552,axiom,
    ( ~ esk6065_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk6043_4(X1,X2,X3,X4) )).

cnf(i_0_22553,axiom,
    ( ~ esk857_0
    | esk9089_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_22554,axiom,
    ( ~ esk6724_4(X1,X2,X3,X4)
    | esk6726_4(X1,X2,X3,X4) )).

cnf(i_0_22555,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk1671_4(X1,X2,X3,X4)
    | ~ esk123_0
    | p(X2)
    | p(X3) )).

cnf(i_0_22556,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk2880_4(X1,X2,X3,X4)
    | ~ esk1141_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_22557,axiom,
    ( ~ esk5363_4(X1,X2,X3,X4)
    | esk5349_4(X1,X2,X3,X4) )).

cnf(i_0_22558,axiom,
    ( esk293_0
    | p(X4)
    | ~ esk1874_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_22559,axiom,
    ( ~ esk3572_4(X1,X2,X3,X4)
    | esk3921_4(X1,X2,X3,X4)
    | esk3771_4(X1,X2,X3,X4) )).

cnf(i_0_22560,axiom,
    ( esk1703_4(X1,X2,X3,X4)
    | ~ esk1537_4(X1,X2,X3,X4) )).

cnf(i_0_22561,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | esk9099_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk925_0 )).

cnf(i_0_22562,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk5975_4(X1,X2,X3,X4) )).

cnf(i_0_22563,axiom,
    ( ~ esk1180_0
    | p(X3)
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_22564,axiom,
    ( ~ esk8350_4(X1,X2,X3,X4)
    | esk8732_4(X1,X2,X3,X4) )).

cnf(i_0_22565,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk462_0
    | p(X4)
    | ~ esk2095_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22566,axiom,
    ( ~ esk9207_4(X1,X2,X3,X4)
    | esk9206_4(X1,X2,X3,X4) )).

cnf(i_0_22567,axiom,
    ( ~ esk7558_4(X1,X2,X3,X4)
    | esk7005_4(X1,X2,X3,X4) )).

cnf(i_0_22568,axiom,
    ( ~ esk9411_4(X1,X2,X3,X4)
    | esk9410_4(X1,X2,X3,X4)
    | esk9409_4(X1,X2,X3,X4) )).

cnf(i_0_22569,axiom,
    ( esk8943_4(X1,X2,X3,X4)
    | ~ esk8942_4(X1,X2,X3,X4) )).

cnf(i_0_22570,axiom,
    ( esk6647_4(X1,X2,X3,X4)
    | ~ esk6257_4(X1,X2,X3,X4) )).

cnf(i_0_22571,axiom,
    ( ~ esk8624_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22572,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk9093_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk874_0
    | p(X1) )).

cnf(i_0_22573,axiom,
    ( esk2157_4(X1,X2,X3,X4)
    | ~ esk2287_4(X1,X2,X3,X4)
    | ~ esk2156_4(X1,X2,X3,X4) )).

cnf(i_0_22574,axiom,
    ( ~ esk9678_4(X1,X2,X3,X4)
    | esk9679_4(X1,X2,X3,X4) )).

cnf(i_0_22575,axiom,
    ( esk7730_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_22576,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4530_4(X1,X2,X3,X4)
    | ~ esk4225_4(X1,X2,X3,X4) )).

cnf(i_0_22577,axiom,
    ( esk8449_4(X1,X2,X3,X4)
    | ~ esk8450_4(X1,X2,X3,X4) )).

cnf(i_0_22578,axiom,
    ( ~ esk4616_4(X1,X2,X3,X4)
    | esk4617_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_22579,axiom,
    ( esk8800_4(X1,X2,X3,X4)
    | ~ esk7976_4(X1,X2,X3,X4)
    | ~ esk8777_4(X1,X2,X3,X4) )).

cnf(i_0_22580,axiom,
    ( esk5328_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22581,axiom,
    ( ~ p(X3)
    | esk298_0
    | p(X4)
    | ~ esk8170_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_22582,axiom,
    ( esk3441_4(X1,X2,X3,X4)
    | ~ esk3438_4(X1,X2,X3,X4) )).

cnf(i_0_22583,axiom,
    ( ~ p(X2)
    | p(X1)
    | p(X3)
    | ~ esk2092_4(X1,X2,X3,X4)
    | esk441_0
    | p(X4) )).

cnf(i_0_22584,axiom,
    ( esk5557_4(X1,X2,X3,X4)
    | ~ esk6221_4(X1,X2,X3,X4) )).

cnf(i_0_22585,axiom,
    ( ~ esk2043_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22586,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | esk2929_4(X1,X2,X3,X4)
    | ~ esk1714_4(X1,X2,X3,X4) )).

cnf(i_0_22587,axiom,
    ( ~ esk7729_4(X1,X2,X3,X4)
    | esk7728_4(X1,X2,X3,X4) )).

cnf(i_0_22588,axiom,
    ( esk203_0
    | ~ p(X4)
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_22589,axiom,
    ( ~ esk7860_4(X1,X2,X3,X4)
    | esk7858_4(X1,X2,X3,X4)
    | esk7859_4(X1,X2,X3,X4) )).

cnf(i_0_22590,axiom,
    ( esk9218_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk1272_0
    | ~ p(X1) )).

cnf(i_0_22591,axiom,
    ( esk1440_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ esk21_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_22592,axiom,
    ( ~ esk7099_4(X1,X2,X3,X4)
    | esk5962_4(X1,X2,X3,X4) )).

cnf(i_0_22593,axiom,
    ( p(X2)
    | esk1440_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ esk25_0
    | p(X3) )).

cnf(i_0_22594,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7504_4(X1,X2,X3,X4)
    | esk7507_4(X1,X2,X3,X4) )).

cnf(i_0_22595,axiom,
    ( esk1516_4(X1,X2,X3,X4)
    | ~ esk90_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_22596,axiom,
    ( esk5990_4(X1,X2,X3,X4)
    | ~ esk5988_4(X1,X2,X3,X4) )).

cnf(i_0_22597,axiom,
    ( esk8285_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_22598,axiom,
    ( ~ esk8746_4(X1,X2,X3,X4)
    | ~ esk8289_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_22599,axiom,
    ( esk1935_4(X1,X2,X3,X4)
    | ~ esk1969_4(X1,X2,X3,X4) )).

cnf(i_0_22600,axiom,
    ( ~ esk8907_4(X1,X2,X3,X4)
    | esk8905_4(X1,X2,X3,X4)
    | esk8906_4(X1,X2,X3,X4) )).

cnf(i_0_22601,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8662_4(X1,X2,X3,X4) )).

cnf(i_0_22602,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6310_4(X1,X2,X3,X4) )).

cnf(i_0_22603,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4507_4(X1,X2,X3,X4) )).

cnf(i_0_22604,axiom,
    ( esk6811_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6753_4(X1,X2,X3,X4) )).

cnf(i_0_22605,axiom,
    ( esk8527_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_22606,axiom,
    ( ~ esk2878_4(X1,X2,X3,X4)
    | esk1395_4(X1,X2,X3,X4) )).

cnf(i_0_22607,axiom,
    ( esk6299_4(X1,X2,X3,X4)
    | ~ esk6336_4(X1,X2,X3,X4) )).

cnf(i_0_22608,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6940_4(X1,X2,X3,X4) )).

cnf(i_0_22609,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2300_4(X1,X2,X3,X4) )).

cnf(i_0_22610,axiom,
    ( p(X2)
    | p(X3)
    | esk9252_4(X1,X2,X3,X4)
    | ~ esk1332_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_22611,axiom,
    ( esk8963_4(X1,X2,X3,X4)
    | ~ esk8961_4(X1,X2,X3,X4) )).

cnf(i_0_22612,axiom,
    ( esk4775_4(X1,X2,X3,X4)
    | ~ esk4587_4(X1,X2,X3,X4)
    | ~ esk4774_4(X1,X2,X3,X4) )).

cnf(i_0_22613,axiom,
    ( esk2576_4(X1,X2,X3,X4)
    | ~ esk2574_4(X1,X2,X3,X4) )).

cnf(i_0_22614,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2789_4(X1,X2,X3,X4)
    | ~ esk3293_4(X1,X2,X3,X4) )).

cnf(i_0_22615,axiom,
    ( esk2282_4(X1,X2,X3,X4)
    | ~ esk2313_4(X1,X2,X3,X4) )).

cnf(i_0_22616,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4041_4(X1,X2,X3,X4) )).

cnf(i_0_22617,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk1001_0
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_22618,axiom,
    ( ~ esk8601_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8602_4(X1,X2,X3,X4) )).

cnf(i_0_22619,axiom,
    ( ~ esk8677_4(X1,X2,X3,X4)
    | esk8678_4(X1,X2,X3,X4)
    | ~ esk8259_4(X1,X2,X3,X4) )).

cnf(i_0_22620,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk9210_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1236_0
    | p(X2) )).

cnf(i_0_22621,axiom,
    ( ~ esk2482_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk780_0 )).

cnf(i_0_22622,axiom,
    ( esk3330_4(X1,X2,X3,X4)
    | ~ esk3329_4(X1,X2,X3,X4) )).

cnf(i_0_22623,axiom,
    ( esk5189_4(X1,X2,X3,X4)
    | ~ esk5188_4(X1,X2,X3,X4) )).

cnf(i_0_22624,axiom,
    ( p(X2)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk596_0
    | ~ p(X4) )).

cnf(i_0_22625,axiom,
    ( ~ esk2002_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22626,axiom,
    ( esk4226_4(X1,X2,X3,X4)
    | ~ esk4263_4(X1,X2,X3,X4)
    | esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_22627,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2224_4(X1,X2,X3,X4) )).

cnf(i_0_22628,axiom,
    ( ~ esk7976_4(X1,X2,X3,X4)
    | ~ esk8616_4(X1,X2,X3,X4)
    | esk7977_4(X1,X2,X3,X4) )).

cnf(i_0_22629,axiom,
    ( ~ esk7786_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_22630,axiom,
    ( ~ esk7781_4(X1,X2,X3,X4)
    | esk7780_4(X1,X2,X3,X4) )).

cnf(i_0_22631,axiom,
    ( ~ esk6890_4(X1,X2,X3,X4)
    | esk6889_4(X1,X2,X3,X4) )).

cnf(i_0_22632,axiom,
    ( esk1884_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk1885_4(X1,X2,X3,X4) )).

cnf(i_0_22633,axiom,
    ( ~ esk1845_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_22634,axiom,
    ( ~ esk7913_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_22635,axiom,
    ( esk2669_4(X1,X2,X3,X4)
    | ~ esk2670_4(X1,X2,X3,X4)
    | esk2668_4(X1,X2,X3,X4) )).

cnf(i_0_22636,axiom,
    ( ~ esk5156_4(X1,X2,X3,X4)
    | esk5157_4(X1,X2,X3,X4) )).

cnf(i_0_22637,axiom,
    ( esk2451_4(X1,X2,X3,X4)
    | ~ esk2455_4(X1,X2,X3,X4)
    | esk2819_4(X1,X2,X3,X4) )).

cnf(i_0_22638,axiom,
    ( esk8714_4(X1,X2,X3,X4)
    | ~ esk8245_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_22639,axiom,
    ( esk9205_4(X1,X2,X3,X4)
    | ~ esk8005_4(X1,X2,X3,X4) )).

cnf(i_0_22640,axiom,
    ( esk1413_4(X1,X2,X3,X4)
    | ~ esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_22641,axiom,
    ( ~ esk5008_4(X1,X2,X3,X4)
    | ~ esk3975_4(X1,X2,X3,X4) )).

cnf(i_0_22642,axiom,
    ( ~ esk4984_4(X1,X2,X3,X4)
    | esk3694_4(X1,X2,X3,X4) )).

cnf(i_0_22643,axiom,
    ( ~ esk3692_4(X1,X2,X3,X4)
    | esk3694_4(X1,X2,X3,X4) )).

cnf(i_0_22644,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9688_4(X1,X2,X3,X4) )).

cnf(i_0_22645,axiom,
    ( esk7176_4(X1,X2,X3,X4)
    | ~ esk7175_4(X1,X2,X3,X4) )).

cnf(i_0_22646,axiom,
    ( ~ esk4186_4(X1,X2,X3,X4)
    | esk4187_4(X1,X2,X3,X4) )).

cnf(i_0_22647,axiom,
    ( esk5498_4(X1,X2,X3,X4)
    | ~ esk5499_4(X1,X2,X3,X4) )).

cnf(i_0_22648,axiom,
    ( p(X4)
    | ~ esk455_0
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | esk8391_4(X1,X2,X3,X4) )).

cnf(i_0_22649,axiom,
    ( esk3840_4(X1,X2,X3,X4)
    | ~ esk3787_4(X1,X2,X3,X4)
    | ~ esk3839_4(X1,X2,X3,X4) )).

cnf(i_0_22650,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7569_4(X1,X2,X3,X4) )).

cnf(i_0_22651,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | esk1138_0
    | ~ p(X1)
    | ~ esk2880_4(X1,X2,X3,X4) )).

cnf(i_0_22652,axiom,
    ( ~ esk3237_4(X1,X2,X3,X4)
    | esk3238_4(X1,X2,X3,X4) )).

cnf(i_0_22653,axiom,
    ( ~ esk5031_4(X1,X2,X3,X4)
    | esk3660_4(X1,X2,X3,X4)
    | ~ esk3659_4(X1,X2,X3,X4) )).

cnf(i_0_22654,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5834_4(X1,X2,X3,X4) )).

cnf(i_0_22655,axiom,
    ( p(X3)
    | ~ esk1_0
    | p(X2)
    | esk2455_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4) )).

cnf(i_0_22656,axiom,
    ( esk5561_4(X1,X2,X3,X4)
    | ~ esk5672_4(X1,X2,X3,X4) )).

cnf(i_0_22657,axiom,
    ( ~ esk3295_4(X1,X2,X3,X4)
    | esk3298_4(X1,X2,X3,X4) )).

cnf(i_0_22658,axiom,
    ( esk2908_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1220_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_22659,axiom,
    ( p(X2)
    | esk951_0
    | p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_22660,axiom,
    ( esk9124_4(X1,X2,X3,X4)
    | ~ esk8005_4(X1,X2,X3,X4) )).

cnf(i_0_22661,axiom,
    ( ~ esk2803_4(X1,X2,X3,X4)
    | esk2554_4(X1,X2,X3,X4) )).

cnf(i_0_22662,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1776_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk252_0 )).

cnf(i_0_22663,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk2228_4(X1,X2,X3,X4) )).

cnf(i_0_22664,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk370_0
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_22665,axiom,
    ( ~ esk3814_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_22666,axiom,
    ( esk5703_4(X1,X2,X3,X4)
    | ~ esk5704_4(X1,X2,X3,X4)
    | esk5702_4(X1,X2,X3,X4) )).

cnf(i_0_22667,axiom,
    ( ~ esk8468_4(X1,X2,X3,X4)
    | esk8166_4(X1,X2,X3,X4) )).

cnf(i_0_22668,axiom,
    ( esk7616_4(X1,X2,X3,X4)
    | ~ esk7614_4(X1,X2,X3,X4) )).

cnf(i_0_22669,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7415_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22670,axiom,
    ( esk8829_4(X1,X2,X3,X4)
    | ~ esk8075_4(X1,X2,X3,X4) )).

cnf(i_0_22671,axiom,
    ( esk7744_4(X1,X2,X3,X4)
    | ~ esk8001_4(X1,X2,X3,X4) )).

cnf(i_0_22672,axiom,
    ( ~ esk2824_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_22673,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk849_0
    | esk2793_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_22674,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk2797_4(X1,X2,X3,X4)
    | esk884_0 )).

cnf(i_0_22675,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4062_4(X1,X2,X3,X4) )).

cnf(i_0_22676,axiom,
    ( ~ esk4862_4(X1,X2,X3,X4)
    | esk4861_4(X1,X2,X3,X4)
    | esk4860_4(X1,X2,X3,X4) )).

cnf(i_0_22677,axiom,
    ( ~ esk2222_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_22678,axiom,
    ( ~ esk569_0
    | esk2419_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_22679,axiom,
    ( esk9345_4(X1,X2,X3,X4)
    | ~ esk9347_4(X1,X2,X3,X4)
    | esk9346_4(X1,X2,X3,X4) )).

cnf(i_0_22680,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1657_4(X1,X2,X3,X4) )).

cnf(i_0_22681,axiom,
    ( ~ esk6954_4(X1,X2,X3,X4)
    | esk6955_4(X1,X2,X3,X4)
    | ~ esk7540_4(X1,X2,X3,X4) )).

cnf(i_0_22682,axiom,
    ( ~ esk9150_4(X1,X2,X3,X4)
    | esk9149_4(X1,X2,X3,X4) )).

cnf(i_0_22683,axiom,
    ( p(X2)
    | esk8729_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ esk671_0
    | ~ p(X1) )).

cnf(i_0_22684,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6202_4(X1,X2,X3,X4) )).

cnf(i_0_22685,axiom,
    ( ~ esk9314_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_22686,axiom,
    ( esk8731_4(X1,X2,X3,X4)
    | ~ esk684_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_22687,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7525_4(X1,X2,X3,X4) )).

cnf(i_0_22688,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk328_0
    | ~ p(X1)
    | esk1952_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_22689,axiom,
    ( ~ esk4941_4(X1,X2,X3,X4)
    | esk4940_4(X1,X2,X3,X4) )).

cnf(i_0_22690,axiom,
    ( esk5269_4(X1,X2,X3,X4)
    | ~ esk5268_4(X1,X2,X3,X4) )).

cnf(i_0_22691,axiom,
    ( esk2520_4(X1,X2,X3,X4)
    | ~ esk2700_4(X1,X2,X3,X4) )).

cnf(i_0_22692,axiom,
    ( esk7275_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_22693,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4823_4(X1,X2,X3,X4) )).

cnf(i_0_22694,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk643_0
    | ~ p(X3)
    | esk8725_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22695,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4)
    | esk4566_4(X1,X2,X3,X4) )).

cnf(i_0_22696,axiom,
    ( ~ esk4448_4(X1,X2,X3,X4)
    | esk4449_4(X1,X2,X3,X4) )).

cnf(i_0_22697,axiom,
    ( ~ esk8382_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_22698,axiom,
    ( p(X1)
    | ~ esk8354_4(X1,X2,X3,X4)
    | esk409_0
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_22699,axiom,
    ( esk2918_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ esk1248_0 )).

cnf(i_0_22700,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk5076_4(X1,X2,X3,X4) )).

cnf(i_0_22701,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk1341_0 )).

cnf(i_0_22702,axiom,
    ( ~ esk6402_4(X1,X2,X3,X4)
    | esk6441_4(X1,X2,X3,X4)
    | esk6440_4(X1,X2,X3,X4) )).

cnf(i_0_22703,axiom,
    ( esk8386_4(X1,X2,X3,X4)
    | esk8353_4(X1,X2,X3,X4)
    | ~ esk8387_4(X1,X2,X3,X4) )).

cnf(i_0_22704,axiom,
    ( ~ p(X1)
    | esk629_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk8723_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22705,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4853_4(X1,X2,X3,X4) )).

cnf(i_0_22706,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9412_4(X1,X2,X3,X4) )).

cnf(i_0_22707,axiom,
    ( ~ esk5720_4(X1,X2,X3,X4)
    | ~ esk6653_4(X1,X2,X3,X4)
    | esk7644_4(X1,X2,X3,X4) )).

cnf(i_0_22708,axiom,
    ( esk4530_4(X1,X2,X3,X4)
    | ~ esk2430_4(X1,X2,X3,X4) )).

cnf(i_0_22709,axiom,
    ( esk1876_4(X1,X2,X3,X4)
    | ~ esk1528_4(X1,X2,X3,X4) )).

cnf(i_0_22710,axiom,
    ( esk3403_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22711,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk485_0
    | p(X4)
    | ~ esk8508_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22712,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2339_4(X1,X2,X3,X4) )).

cnf(i_0_22713,axiom,
    ( esk4175_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22714,axiom,
    ( ~ esk88_0
    | ~ p(X1)
    | p(X2)
    | esk1516_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_22715,axiom,
    ( ~ esk1749_4(X1,X2,X3,X4)
    | esk2940_4(X1,X2,X3,X4) )).

cnf(i_0_22716,axiom,
    ( esk8087_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8086_4(X1,X2,X3,X4) )).

cnf(i_0_22717,axiom,
    ( esk2896_4(X1,X2,X3,X4)
    | ~ esk1701_4(X1,X2,X3,X4) )).

cnf(i_0_22718,axiom,
    ( ~ esk2987_4(X1,X2,X3,X4)
    | ~ esk2858_4(X1,X2,X3,X4)
    | esk2988_4(X1,X2,X3,X4) )).

cnf(i_0_22719,axiom,
    ( esk6783_4(X1,X2,X3,X4)
    | esk6782_4(X1,X2,X3,X4)
    | ~ esk6784_4(X1,X2,X3,X4) )).

cnf(i_0_22720,axiom,
    ( ~ esk7050_4(X1,X2,X3,X4)
    | esk7048_4(X1,X2,X3,X4)
    | esk7049_4(X1,X2,X3,X4) )).

cnf(i_0_22721,axiom,
    ( ~ esk8444_4(X1,X2,X3,X4)
    | esk8520_4(X1,X2,X3,X4)
    | ~ esk8519_4(X1,X2,X3,X4) )).

cnf(i_0_22722,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9017_4(X1,X2,X3,X4) )).

cnf(i_0_22723,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk1159_0
    | p(X3) )).

cnf(i_0_22724,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk7049_4(X1,X2,X3,X4) )).

cnf(i_0_22725,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4658_4(X1,X2,X3,X4) )).

cnf(i_0_22726,axiom,
    ( esk1741_4(X1,X2,X3,X4)
    | ~ esk1740_4(X1,X2,X3,X4)
    | ~ esk1688_4(X1,X2,X3,X4) )).

cnf(i_0_22727,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6090_4(X1,X2,X3,X4)
    | esk6124_4(X1,X2,X3,X4) )).

cnf(i_0_22728,axiom,
    ( esk7869_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_22729,axiom,
    ( ~ esk1139_0
    | esk2880_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_22730,axiom,
    ( ~ esk425_0
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | esk2061_4(X1,X2,X3,X4) )).

cnf(i_0_22731,axiom,
    ( ~ esk4192_4(X1,X2,X3,X4)
    | esk4345_4(X1,X2,X3,X4)
    | ~ esk4344_4(X1,X2,X3,X4) )).

cnf(i_0_22732,axiom,
    ( ~ esk8195_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_22733,axiom,
    ( ~ esk9739_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4)
    | ~ esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_22734,axiom,
    ( ~ esk1391_4(X1,X2,X3,X4)
    | esk1746_4(X1,X2,X3,X4) )).

cnf(i_0_22735,axiom,
    ( ~ esk9028_4(X1,X2,X3,X4)
    | esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_22736,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ esk1166_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_22737,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | esk4702_4(X1,X2,X3,X4) )).

cnf(i_0_22738,axiom,
    ( ~ esk1768_4(X1,X2,X3,X4)
    | esk1766_4(X1,X2,X3,X4)
    | esk1767_4(X1,X2,X3,X4) )).

cnf(i_0_22739,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6412_4(X1,X2,X3,X4) )).

cnf(i_0_22740,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5118_4(X1,X2,X3,X4) )).

cnf(i_0_22741,axiom,
    ( ~ esk2472_4(X1,X2,X3,X4)
    | esk2471_4(X1,X2,X3,X4) )).

cnf(i_0_22742,axiom,
    ( esk463_0
    | ~ p(X1)
    | ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_22743,axiom,
    ( ~ esk4387_4(X1,X2,X3,X4)
    | esk4122_4(X1,X2,X3,X4) )).

cnf(i_0_22744,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2615_4(X1,X2,X3,X4) )).

cnf(i_0_22745,axiom,
    ( esk9170_4(X1,X2,X3,X4)
    | ~ esk7880_4(X1,X2,X3,X4) )).

cnf(i_0_22746,axiom,
    ( esk1311_0
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_22747,axiom,
    ( ~ esk8487_4(X1,X2,X3,X4)
    | esk8525_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_22748,axiom,
    ( esk5573_4(X1,X2,X3,X4)
    | esk5961_4(X1,X2,X3,X4) )).

cnf(i_0_22749,axiom,
    ( ~ esk2680_4(X1,X2,X3,X4)
    | esk2682_4(X1,X2,X3,X4) )).

cnf(i_0_22750,axiom,
    ( p(X2)
    | esk9238_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1296_0
    | p(X1) )).

cnf(i_0_22751,axiom,
    ( ~ esk1662_4(X1,X2,X3,X4)
    | esk1661_4(X1,X2,X3,X4) )).

cnf(i_0_22752,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2398_4(X1,X2,X3,X4) )).

cnf(i_0_22753,axiom,
    ( esk3442_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_22754,axiom,
    ( esk4633_4(X1,X2,X3,X4)
    | ~ esk4634_4(X1,X2,X3,X4) )).

cnf(i_0_22755,axiom,
    ( esk2590_4(X1,X2,X3,X4)
    | ~ esk2588_4(X1,X2,X3,X4) )).

cnf(i_0_22756,axiom,
    ( ~ esk1878_4(X1,X2,X3,X4)
    | ~ esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_22757,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk9450_4(X1,X2,X3,X4) )).

cnf(i_0_22758,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1659_4(X1,X2,X3,X4) )).

cnf(i_0_22759,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk1326_0
    | ~ p(X4)
    | esk9252_4(X1,X2,X3,X4) )).

cnf(i_0_22760,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8993_4(X1,X2,X3,X4) )).

cnf(i_0_22761,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk7052_4(X1,X2,X3,X4)
    | esk7020_4(X1,X2,X3,X4) )).

cnf(i_0_22762,axiom,
    ( ~ esk5183_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_22763,axiom,
    ( esk2743_4(X1,X2,X3,X4)
    | ~ esk2742_4(X1,X2,X3,X4) )).

cnf(i_0_22764,axiom,
    ( ~ esk798_0
    | p(X3)
    | esk9083_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_22765,axiom,
    ( esk8077_4(X1,X2,X3,X4)
    | ~ esk8141_4(X1,X2,X3,X4) )).

cnf(i_0_22766,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6318_4(X1,X2,X3,X4) )).

cnf(i_0_22767,axiom,
    ( ~ esk3360_4(X1,X2,X3,X4)
    | esk3362_4(X1,X2,X3,X4) )).

cnf(i_0_22768,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3051_4(X1,X2,X3,X4) )).

cnf(i_0_22769,axiom,
    ( ~ esk3041_4(X1,X2,X3,X4)
    | esk3038_4(X1,X2,X3,X4) )).

cnf(i_0_22770,axiom,
    ( esk1749_4(X1,X2,X3,X4)
    | ~ esk3849_4(X1,X2,X3,X4) )).

cnf(i_0_22771,axiom,
    ( ~ esk9377_4(X1,X2,X3,X4)
    | esk9379_4(X1,X2,X3,X4) )).

cnf(i_0_22772,axiom,
    ( ~ esk1470_4(X1,X2,X3,X4)
    | esk1469_4(X1,X2,X3,X4) )).

cnf(i_0_22773,axiom,
    ( ~ esk4783_4(X1,X2,X3,X4)
    | esk4785_4(X1,X2,X3,X4) )).

cnf(i_0_22774,axiom,
    ( ~ esk7515_4(X1,X2,X3,X4)
    | esk7512_4(X1,X2,X3,X4) )).

cnf(i_0_22775,axiom,
    ( esk4051_4(X1,X2,X3,X4)
    | ~ esk5383_4(X1,X2,X3,X4) )).

cnf(i_0_22776,axiom,
    ( ~ esk3314_4(X1,X2,X3,X4)
    | esk3317_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22777,axiom,
    ( esk1699_4(X1,X2,X3,X4)
    | ~ esk1871_4(X1,X2,X3,X4) )).

cnf(i_0_22778,axiom,
    ( esk6230_4(X1,X2,X3,X4)
    | ~ esk6228_4(X1,X2,X3,X4) )).

cnf(i_0_22779,axiom,
    ( esk213_0
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_22780,axiom,
    ( esk4664_4(X1,X2,X3,X4)
    | esk4663_4(X1,X2,X3,X4)
    | ~ esk4665_4(X1,X2,X3,X4) )).

cnf(i_0_22781,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6103_4(X1,X2,X3,X4) )).

cnf(i_0_22782,axiom,
    ( esk4251_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_22783,axiom,
    ( esk732_0
    | p(X4)
    | p(X2)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_22784,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk9164_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ esk1044_0 )).

cnf(i_0_22785,axiom,
    ( esk4380_4(X1,X2,X3,X4)
    | ~ esk4381_4(X1,X2,X3,X4)
    | esk4342_4(X1,X2,X3,X4) )).

cnf(i_0_22786,axiom,
    ( ~ esk9098_4(X1,X2,X3,X4)
    | ~ esk9632_4(X1,X2,X3,X4)
    | esk9633_4(X1,X2,X3,X4) )).

cnf(i_0_22787,axiom,
    ( esk9285_4(X1,X2,X3,X4)
    | esk9286_4(X1,X2,X3,X4)
    | ~ esk9287_4(X1,X2,X3,X4) )).

cnf(i_0_22788,axiom,
    ( esk3674_4(X1,X2,X3,X4)
    | ~ esk3672_4(X1,X2,X3,X4) )).

cnf(i_0_22789,axiom,
    ( ~ esk5222_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_22790,axiom,
    ( ~ esk5994_4(X1,X2,X3,X4)
    | esk5993_4(X1,X2,X3,X4)
    | esk5992_4(X1,X2,X3,X4) )).

cnf(i_0_22791,axiom,
    ( ~ esk6803_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_22792,axiom,
    ( ~ esk7991_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_22793,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X2)
    | esk710_0
    | p(X1) )).

cnf(i_0_22794,axiom,
    ( ~ esk7820_4(X1,X2,X3,X4)
    | esk7969_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_22795,axiom,
    ( esk4765_4(X1,X2,X3,X4)
    | ~ esk5423_4(X1,X2,X3,X4) )).

cnf(i_0_22796,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3145_4(X1,X2,X3,X4) )).

cnf(i_0_22797,axiom,
    ( ~ esk1561_4(X1,X2,X3,X4)
    | esk1563_4(X1,X2,X3,X4) )).

cnf(i_0_22798,axiom,
    ( ~ esk9720_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_22799,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk1056_0
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_22800,axiom,
    ( esk6680_4(X1,X2,X3,X4)
    | ~ esk4580_4(X1,X2,X3,X4) )).

cnf(i_0_22801,axiom,
    ( esk3067_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_22802,axiom,
    ( ~ p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | esk1329_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_22803,axiom,
    ( esk3963_4(X1,X2,X3,X4)
    | ~ esk3964_4(X1,X2,X3,X4) )).

cnf(i_0_22804,axiom,
    ( ~ esk1565_4(X1,X2,X3,X4)
    | esk1567_4(X1,X2,X3,X4) )).

cnf(i_0_22805,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk599_0
    | ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_22806,axiom,
    ( ~ esk711_0
    | esk2439_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_22807,axiom,
    ( esk4813_4(X1,X2,X3,X4)
    | ~ esk5519_4(X1,X2,X3,X4) )).

cnf(i_0_22808,axiom,
    ( esk7600_4(X1,X2,X3,X4)
    | ~ esk7598_4(X1,X2,X3,X4) )).

cnf(i_0_22809,axiom,
    ( esk6788_4(X1,X2,X3,X4)
    | ~ esk6787_4(X1,X2,X3,X4) )).

cnf(i_0_22810,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk8354_4(X1,X2,X3,X4)
    | esk419_0
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_22811,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | esk4505_4(X1,X2,X3,X4)
    | ~ esk4187_4(X1,X2,X3,X4) )).

cnf(i_0_22812,axiom,
    ( ~ esk1885_4(X1,X2,X3,X4)
    | esk2053_4(X1,X2,X3,X4)
    | ~ esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_22813,axiom,
    ( ~ esk3765_4(X1,X2,X3,X4)
    | esk3767_4(X1,X2,X3,X4) )).

cnf(i_0_22814,axiom,
    ( ~ esk2089_4(X1,X2,X3,X4)
    | ~ esk2056_4(X1,X2,X3,X4)
    | ~ esk2090_4(X1,X2,X3,X4) )).

cnf(i_0_22815,axiom,
    ( esk2647_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_22816,axiom,
    ( p(X4)
    | esk21_0
    | p(X1)
    | ~ esk1440_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_22817,axiom,
    ( esk93_0
    | p(X4)
    | p(X2)
    | p(X3)
    | ~ esk7937_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_22818,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4)
    | esk7022_4(X1,X2,X3,X4) )).

cnf(i_0_22819,axiom,
    ( esk8085_4(X1,X2,X3,X4)
    | ~ esk9153_4(X1,X2,X3,X4) )).

cnf(i_0_22820,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2)
    | esk703_0
    | ~ esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_22821,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk5128_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_22822,axiom,
    ( ~ esk6984_4(X1,X2,X3,X4)
    | esk9084_4(X1,X2,X3,X4) )).

cnf(i_0_22823,axiom,
    ( esk3645_4(X1,X2,X3,X4)
    | ~ esk3573_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_22824,axiom,
    ( esk1900_4(X1,X2,X3,X4)
    | ~ esk1899_4(X1,X2,X3,X4) )).

cnf(i_0_22825,axiom,
    ( ~ esk9699_4(X1,X2,X3,X4)
    | esk9697_4(X1,X2,X3,X4)
    | esk9698_4(X1,X2,X3,X4) )).

cnf(i_0_22826,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6506_4(X1,X2,X3,X4) )).

cnf(i_0_22827,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | p(X3)
    | esk621_0
    | p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_22828,axiom,
    ( ~ esk8544_4(X1,X2,X3,X4)
    | esk7670_4(X1,X2,X3,X4) )).

cnf(i_0_22829,axiom,
    ( ~ esk3605_4(X1,X2,X3,X4)
    | esk3603_4(X1,X2,X3,X4)
    | esk3604_4(X1,X2,X3,X4) )).

cnf(i_0_22830,axiom,
    ( ~ esk3647_4(X1,X2,X3,X4)
    | ~ esk5052_4(X1,X2,X3,X4) )).

cnf(i_0_22831,axiom,
    ( esk7628_4(X1,X2,X3,X4)
    | ~ esk6971_4(X1,X2,X3,X4) )).

cnf(i_0_22832,axiom,
    ( ~ esk1992_4(X1,X2,X3,X4)
    | ~ esk1875_4(X1,X2,X3,X4)
    | ~ esk1993_4(X1,X2,X3,X4) )).

cnf(i_0_22833,axiom,
    ( esk4281_4(X1,X2,X3,X4)
    | ~ esk4024_4(X1,X2,X3,X4) )).

cnf(i_0_22834,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk3909_4(X1,X2,X3,X4) )).

cnf(i_0_22835,axiom,
    ( esk1885_4(X1,X2,X3,X4)
    | ~ esk2056_4(X1,X2,X3,X4)
    | esk2055_4(X1,X2,X3,X4) )).

cnf(i_0_22836,axiom,
    ( esk6698_4(X1,X2,X3,X4)
    | ~ esk6246_4(X1,X2,X3,X4) )).

cnf(i_0_22837,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk846_0
    | esk9089_4(X1,X2,X3,X4) )).

cnf(i_0_22838,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4881_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_22839,axiom,
    ( esk5556_4(X1,X2,X3,X4)
    | ~ esk5678_4(X1,X2,X3,X4) )).

cnf(i_0_22840,axiom,
    ( esk7464_4(X1,X2,X3,X4)
    | ~ esk7463_4(X1,X2,X3,X4) )).

cnf(i_0_22841,axiom,
    ( ~ esk7087_4(X1,X2,X3,X4)
    | esk9187_4(X1,X2,X3,X4) )).

cnf(i_0_22842,axiom,
    ( ~ esk7185_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_22843,axiom,
    ( esk3411_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22844,axiom,
    ( ~ esk2311_4(X1,X2,X3,X4)
    | esk2153_4(X1,X2,X3,X4)
    | ~ esk2152_4(X1,X2,X3,X4) )).

cnf(i_0_22845,axiom,
    ( ~ esk7215_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22846,axiom,
    ( ~ esk2035_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_22847,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | esk3659_4(X1,X2,X3,X4) )).

cnf(i_0_22848,axiom,
    ( ~ esk8997_4(X1,X2,X3,X4)
    | esk8817_4(X1,X2,X3,X4) )).

cnf(i_0_22849,axiom,
    ( esk9226_4(X1,X2,X3,X4)
    | ~ esk8011_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_22850,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk9008_4(X1,X2,X3,X4) )).

cnf(i_0_22851,axiom,
    ( ~ esk5035_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4)
    | esk3762_4(X1,X2,X3,X4) )).

cnf(i_0_22852,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk286_0
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_22853,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk2791_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk837_0 )).

cnf(i_0_22854,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk8052_4(X1,X2,X3,X4)
    | esk214_0
    | p(X1)
    | p(X2) )).

cnf(i_0_22855,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7189_4(X1,X2,X3,X4) )).

cnf(i_0_22856,axiom,
    ( esk8137_4(X1,X2,X3,X4)
    | ~ esk8136_4(X1,X2,X3,X4) )).

cnf(i_0_22857,axiom,
    ( esk9676_4(X1,X2,X3,X4)
    | ~ esk9677_4(X1,X2,X3,X4) )).

cnf(i_0_22858,axiom,
    ( esk2491_4(X1,X2,X3,X4)
    | ~ esk2492_4(X1,X2,X3,X4) )).

cnf(i_0_22859,axiom,
    ( esk8696_4(X1,X2,X3,X4)
    | ~ esk8725_4(X1,X2,X3,X4) )).

cnf(i_0_22860,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk8138_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk261_0
    | p(X2) )).

cnf(i_0_22861,axiom,
    ( esk3456_4(X1,X2,X3,X4)
    | ~ esk3580_4(X1,X2,X3,X4) )).

cnf(i_0_22862,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk1671_4(X1,X2,X3,X4)
    | esk124_0 )).

cnf(i_0_22863,axiom,
    ( p(X3)
    | p(X2)
    | ~ p(X1)
    | esk1752_4(X1,X2,X3,X4)
    | ~ esk191_0
    | ~ p(X4) )).

cnf(i_0_22864,axiom,
    ( ~ esk5500_4(X1,X2,X3,X4)
    | esk4741_4(X1,X2,X3,X4) )).

cnf(i_0_22865,axiom,
    ( esk7946_4(X1,X2,X3,X4)
    | ~ esk7945_4(X1,X2,X3,X4)
    | ~ esk9203_4(X1,X2,X3,X4) )).

cnf(i_0_22866,axiom,
    ( ~ esk127_0
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_22867,axiom,
    ( ~ esk2522_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_22868,axiom,
    ( esk6735_4(X1,X2,X3,X4)
    | ~ esk6766_4(X1,X2,X3,X4) )).

cnf(i_0_22869,axiom,
    ( esk2777_4(X1,X2,X3,X4)
    | ~ esk2776_4(X1,X2,X3,X4)
    | ~ esk3422_4(X1,X2,X3,X4) )).

cnf(i_0_22870,axiom,
    ( ~ esk7386_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_22871,axiom,
    ( esk3527_4(X1,X2,X3,X4)
    | ~ esk3525_4(X1,X2,X3,X4) )).

cnf(i_0_22872,axiom,
    ( ~ esk8889_4(X1,X2,X3,X4)
    | esk9090_4(X1,X2,X3,X4) )).

cnf(i_0_22873,axiom,
    ( ~ esk4528_4(X1,X2,X3,X4)
    | esk2428_4(X1,X2,X3,X4) )).

cnf(i_0_22874,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8916_4(X1,X2,X3,X4) )).

cnf(i_0_22875,axiom,
    ( esk7367_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22876,axiom,
    ( esk2151_4(X1,X2,X3,X4)
    | ~ esk2149_4(X1,X2,X3,X4) )).

cnf(i_0_22877,axiom,
    ( ~ p(X4)
    | ~ esk8044_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | esk166_0
    | ~ p(X2) )).

cnf(i_0_22878,axiom,
    ( esk3660_4(X1,X2,X3,X4)
    | esk3661_4(X1,X2,X3,X4)
    | ~ esk3662_4(X1,X2,X3,X4) )).

cnf(i_0_22879,axiom,
    ( ~ esk12_0
    | p(X2)
    | ~ p(X4)
    | esk7734_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_22880,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6471_4(X1,X2,X3,X4) )).

cnf(i_0_22881,axiom,
    ( ~ esk8154_4(X1,X2,X3,X4)
    | esk8151_4(X1,X2,X3,X4) )).

cnf(i_0_22882,axiom,
    ( p(X4)
    | ~ esk9176_4(X1,X2,X3,X4)
    | p(X1)
    | esk1132_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_22883,axiom,
    ( ~ esk8547_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk512_0
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_22884,axiom,
    ( esk4416_4(X1,X2,X3,X4)
    | ~ esk4010_4(X1,X2,X3,X4) )).

cnf(i_0_22885,axiom,
    ( esk7665_4(X1,X2,X3,X4)
    | ~ esk7744_4(X1,X2,X3,X4) )).

cnf(i_0_22886,axiom,
    ( p(X1)
    | p(X4)
    | esk1149_0
    | ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_22887,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4778_4(X1,X2,X3,X4) )).

cnf(i_0_22888,axiom,
    ( esk1569_4(X1,X2,X3,X4)
    | esk1570_4(X1,X2,X3,X4)
    | ~ esk1571_4(X1,X2,X3,X4) )).

cnf(i_0_22889,axiom,
    ( ~ p(X3)
    | esk1752_4(X1,X2,X3,X4)
    | ~ esk188_0
    | p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_22890,axiom,
    ( ~ esk3693_4(X1,X2,X3,X4)
    | esk3601_4(X1,X2,X3,X4) )).

cnf(i_0_22891,axiom,
    ( ~ esk2319_4(X1,X2,X3,X4)
    | ~ esk1679_4(X1,X2,X3,X4)
    | esk1680_4(X1,X2,X3,X4) )).

cnf(i_0_22892,axiom,
    ( ~ esk1_0
    | p(X3)
    | p(X1)
    | p(X4)
    | esk1842_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_22893,axiom,
    ( ~ esk7702_4(X1,X2,X3,X4)
    | esk7775_4(X1,X2,X3,X4) )).

cnf(i_0_22894,axiom,
    ( esk9161_4(X1,X2,X3,X4)
    | ~ esk9736_4(X1,X2,X3,X4) )).

cnf(i_0_22895,axiom,
    ( esk5343_4(X1,X2,X3,X4)
    | ~ esk5345_4(X1,X2,X3,X4)
    | esk5344_4(X1,X2,X3,X4) )).

cnf(i_0_22896,axiom,
    ( ~ p(X2)
    | ~ esk2854_4(X1,X2,X3,X4)
    | esk1027_0
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_22897,axiom,
    ( ~ esk1878_4(X1,X2,X3,X4)
    | ~ esk2655_4(X1,X2,X3,X4) )).

cnf(i_0_22898,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk5892_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22899,axiom,
    ( ~ esk2069_4(X1,X2,X3,X4)
    | esk1931_4(X1,X2,X3,X4) )).

cnf(i_0_22900,axiom,
    ( ~ esk1892_4(X1,X2,X3,X4)
    | esk1890_4(X1,X2,X3,X4)
    | esk1891_4(X1,X2,X3,X4) )).

cnf(i_0_22901,axiom,
    ( ~ esk4712_4(X1,X2,X3,X4)
    | esk4713_4(X1,X2,X3,X4) )).

cnf(i_0_22902,axiom,
    ( esk8186_4(X1,X2,X3,X4)
    | ~ esk8187_4(X1,X2,X3,X4) )).

cnf(i_0_22903,axiom,
    ( ~ esk8861_4(X1,X2,X3,X4)
    | esk8863_4(X1,X2,X3,X4) )).

cnf(i_0_22904,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk297_0
    | ~ p(X1)
    | p(X2)
    | esk1874_4(X1,X2,X3,X4) )).

cnf(i_0_22905,axiom,
    ( ~ p(X2)
    | esk712_0
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_22906,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | p(X2)
    | ~ esk1442_4(X1,X2,X3,X4)
    | esk40_0 )).

cnf(i_0_22907,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | esk6980_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_22908,axiom,
    ( ~ esk1674_4(X1,X2,X3,X4)
    | esk1676_4(X1,X2,X3,X4) )).

cnf(i_0_22909,axiom,
    ( esk4388_4(X1,X2,X3,X4)
    | ~ esk3508_4(X1,X2,X3,X4) )).

cnf(i_0_22910,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk2472_4(X1,X2,X3,X4)
    | ~ esk2471_4(X1,X2,X3,X4) )).

cnf(i_0_22911,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk9190_4(X1,X2,X3,X4)
    | esk1199_0 )).

cnf(i_0_22912,axiom,
    ( ~ esk6170_4(X1,X2,X3,X4)
    | esk6172_4(X1,X2,X3,X4) )).

cnf(i_0_22913,axiom,
    ( ~ esk7170_4(X1,X2,X3,X4)
    | esk7169_4(X1,X2,X3,X4) )).

cnf(i_0_22914,axiom,
    ( ~ esk1838_4(X1,X2,X3,X4)
    | esk1837_4(X1,X2,X3,X4) )).

cnf(i_0_22915,axiom,
    ( esk5321_4(X1,X2,X3,X4)
    | ~ esk5319_4(X1,X2,X3,X4) )).

cnf(i_0_22916,axiom,
    ( ~ esk1771_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_22917,axiom,
    ( esk7362_4(X1,X2,X3,X4)
    | ~ esk7361_4(X1,X2,X3,X4)
    | ~ esk6560_4(X1,X2,X3,X4) )).

cnf(i_0_22918,axiom,
    ( ~ esk2792_4(X1,X2,X3,X4)
    | esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_22919,axiom,
    ( ~ esk7146_4(X1,X2,X3,X4)
    | esk7148_4(X1,X2,X3,X4) )).

cnf(i_0_22920,axiom,
    ( ~ p(X4)
    | p(X1)
    | p(X2)
    | esk9190_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1191_0 )).

cnf(i_0_22921,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk957_0
    | p(X2)
    | ~ p(X4)
    | ~ esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_22922,axiom,
    ( esk6330_4(X1,X2,X3,X4)
    | ~ esk6329_4(X1,X2,X3,X4) )).

cnf(i_0_22923,axiom,
    ( ~ esk3922_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4)
    | esk5541_4(X1,X2,X3,X4) )).

cnf(i_0_22924,axiom,
    ( ~ esk4181_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22925,axiom,
    ( esk8721_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ esk613_0
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_22926,axiom,
    ( ~ esk7441_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_22927,axiom,
    ( p(X4)
    | ~ esk50_0
    | esk7740_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_22928,axiom,
    ( ~ esk8328_4(X1,X2,X3,X4)
    | esk8329_4(X1,X2,X3,X4) )).

cnf(i_0_22929,axiom,
    ( esk3235_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_22930,axiom,
    ( ~ esk4402_4(X1,X2,X3,X4)
    | esk4106_4(X1,X2,X3,X4)
    | ~ esk4105_4(X1,X2,X3,X4) )).

cnf(i_0_22931,axiom,
    ( ~ esk7166_4(X1,X2,X3,X4)
    | esk7160_4(X1,X2,X3,X4) )).

cnf(i_0_22932,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4821_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_22933,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5218_4(X1,X2,X3,X4) )).

cnf(i_0_22934,axiom,
    ( ~ esk5543_4(X1,X2,X3,X4)
    | esk5546_4(X1,X2,X3,X4) )).

cnf(i_0_22935,axiom,
    ( esk493_0
    | ~ esk8508_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_22936,axiom,
    ( esk3776_4(X1,X2,X3,X4)
    | ~ esk3768_4(X1,X2,X3,X4)
    | ~ esk3528_4(X1,X2,X3,X4) )).

cnf(i_0_22937,axiom,
    ( ~ esk5799_4(X1,X2,X3,X4)
    | esk5798_4(X1,X2,X3,X4) )).

cnf(i_0_22938,axiom,
    ( esk5_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ esk1438_4(X1,X2,X3,X4) )).

cnf(i_0_22939,axiom,
    ( esk9131_4(X1,X2,X3,X4)
    | esk9132_4(X1,X2,X3,X4)
    | ~ esk9133_4(X1,X2,X3,X4) )).

cnf(i_0_22940,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | esk2112_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_22941,axiom,
    ( ~ esk4764_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_22942,axiom,
    ( esk2930_4(X1,X2,X3,X4)
    | ~ esk2928_4(X1,X2,X3,X4) )).

cnf(i_0_22943,axiom,
    ( p(X4)
    | p(X3)
    | esk2061_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X1)
    | p(X2) )).

cnf(i_0_22944,axiom,
    ( esk9402_4(X1,X2,X3,X4)
    | ~ esk9403_4(X1,X2,X3,X4)
    | esk9401_4(X1,X2,X3,X4) )).

cnf(i_0_22945,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk9577_4(X1,X2,X3,X4) )).

cnf(i_0_22946,axiom,
    ( esk4263_4(X1,X2,X3,X4)
    | esk4528_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_22947,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_22948,axiom,
    ( esk5604_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_22949,axiom,
    ( esk1993_4(X1,X2,X3,X4)
    | ~ esk2046_4(X1,X2,X3,X4) )).

cnf(i_0_22950,axiom,
    ( esk7577_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_22951,axiom,
    ( esk2204_4(X1,X2,X3,X4)
    | ~ esk2239_4(X1,X2,X3,X4) )).

cnf(i_0_22952,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | esk559_0
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_22953,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4774_4(X1,X2,X3,X4) )).

cnf(i_0_22954,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk317_0
    | esk1918_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_22955,axiom,
    ( ~ esk2983_4(X1,X2,X3,X4)
    | esk2984_4(X1,X2,X3,X4)
    | ~ esk2970_4(X1,X2,X3,X4) )).

cnf(i_0_22956,axiom,
    ( ~ esk4436_4(X1,X2,X3,X4)
    | esk4437_4(X1,X2,X3,X4) )).

cnf(i_0_22957,axiom,
    ( ~ esk3573_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4)
    | esk3584_4(X1,X2,X3,X4) )).

cnf(i_0_22958,axiom,
    ( ~ esk8667_4(X1,X2,X3,X4)
    | esk8279_4(X1,X2,X3,X4) )).

cnf(i_0_22959,axiom,
    ( esk4818_4(X1,X2,X3,X4)
    | esk4932_4(X1,X2,X3,X4) )).

cnf(i_0_22960,axiom,
    ( ~ esk4128_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_22961,axiom,
    ( p(X1)
    | ~ esk383_0
    | esk1995_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_22962,axiom,
    ( esk7061_4(X1,X2,X3,X4)
    | ~ esk7062_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_22963,axiom,
    ( ~ esk7802_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_22964,axiom,
    ( esk4279_4(X1,X2,X3,X4)
    | ~ esk4278_4(X1,X2,X3,X4)
    | ~ esk4204_4(X1,X2,X3,X4) )).

cnf(i_0_22965,axiom,
    ( ~ esk7835_4(X1,X2,X3,X4)
    | esk8008_4(X1,X2,X3,X4) )).

cnf(i_0_22966,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ esk1165_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_22967,axiom,
    ( esk6377_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_22968,axiom,
    ( ~ esk6182_4(X1,X2,X3,X4)
    | esk6181_4(X1,X2,X3,X4)
    | esk6147_4(X1,X2,X3,X4) )).

cnf(i_0_22969,axiom,
    ( esk9234_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_22970,axiom,
    ( ~ esk5407_4(X1,X2,X3,X4)
    | esk5406_4(X1,X2,X3,X4) )).

cnf(i_0_22971,axiom,
    ( esk7354_4(X1,X2,X3,X4)
    | ~ esk7356_4(X1,X2,X3,X4)
    | esk7355_4(X1,X2,X3,X4) )).

cnf(i_0_22972,axiom,
    ( ~ p(X2)
    | esk1111_0
    | ~ p(X4)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_22973,axiom,
    ( esk5065_4(X1,X2,X3,X4)
    | ~ esk5068_4(X1,X2,X3,X4) )).

cnf(i_0_22974,axiom,
    ( esk6584_4(X1,X2,X3,X4)
    | ~ esk6478_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_22975,axiom,
    ( ~ esk784_0
    | p(X1)
    | p(X4)
    | esk2785_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_22976,axiom,
    ( esk9503_4(X1,X2,X3,X4)
    | ~ esk9501_4(X1,X2,X3,X4) )).

cnf(i_0_22977,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | esk7754_4(X1,X2,X3,X4) )).

cnf(i_0_22978,axiom,
    ( esk7776_4(X1,X2,X3,X4)
    | ~ esk7798_4(X1,X2,X3,X4) )).

cnf(i_0_22979,axiom,
    ( ~ esk7195_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_22980,axiom,
    ( ~ esk105_0
    | ~ p(X1)
    | ~ p(X2)
    | esk1641_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_22981,axiom,
    ( ~ esk9410_4(X1,X2,X3,X4)
    | esk9411_4(X1,X2,X3,X4) )).

cnf(i_0_22982,axiom,
    ( ~ esk7152_4(X1,X2,X3,X4)
    | ~ esk5705_4(X1,X2,X3,X4) )).

cnf(i_0_22983,axiom,
    ( ~ esk2786_4(X1,X2,X3,X4)
    | esk2731_4(X1,X2,X3,X4) )).

cnf(i_0_22984,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | esk3099_4(X1,X2,X3,X4) )).

cnf(i_0_22985,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | esk8254_4(X1,X2,X3,X4)
    | ~ esk362_0 )).

cnf(i_0_22986,axiom,
    ( esk5545_4(X1,X2,X3,X4)
    | esk5544_4(X1,X2,X3,X4)
    | esk5543_4(X1,X2,X3,X4)
    | ~ esk5546_4(X1,X2,X3,X4) )).

cnf(i_0_22987,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5738_4(X1,X2,X3,X4) )).

cnf(i_0_22988,axiom,
    ( esk4522_4(X1,X2,X3,X4)
    | esk4520_4(X1,X2,X3,X4)
    | ~ esk5374_4(X1,X2,X3,X4) )).

cnf(i_0_22989,axiom,
    ( esk2617_4(X1,X2,X3,X4)
    | esk2616_4(X1,X2,X3,X4)
    | ~ esk2618_4(X1,X2,X3,X4) )).

cnf(i_0_22990,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5700_4(X1,X2,X3,X4)
    | esk5792_4(X1,X2,X3,X4) )).

cnf(i_0_22991,axiom,
    ( esk2478_4(X1,X2,X3,X4)
    | ~ esk2477_4(X1,X2,X3,X4) )).

cnf(i_0_22992,axiom,
    ( esk7088_4(X1,X2,X3,X4)
    | ~ esk4988_4(X1,X2,X3,X4) )).

cnf(i_0_22993,axiom,
    ( ~ esk7869_4(X1,X2,X3,X4)
    | ~ esk9253_4(X1,X2,X3,X4)
    | esk7870_4(X1,X2,X3,X4) )).

cnf(i_0_22994,axiom,
    ( esk8047_4(X1,X2,X3,X4)
    | ~ esk5947_4(X1,X2,X3,X4) )).

cnf(i_0_22995,axiom,
    ( ~ esk3286_4(X1,X2,X3,X4)
    | esk2445_4(X1,X2,X3,X4)
    | esk3287_4(X1,X2,X3,X4) )).

cnf(i_0_22996,axiom,
    ( ~ esk1945_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_22997,axiom,
    ( ~ esk2423_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk2281_4(X1,X2,X3,X4) )).

cnf(i_0_22998,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6102_4(X1,X2,X3,X4)
    | esk6136_4(X1,X2,X3,X4) )).

cnf(i_0_22999,axiom,
    ( ~ esk6542_4(X1,X2,X3,X4)
    | esk6541_4(X1,X2,X3,X4) )).

cnf(i_0_23000,axiom,
    ( ~ esk2199_4(X1,X2,X3,X4)
    | esk2427_4(X1,X2,X3,X4) )).

cnf(i_0_23001,axiom,
    ( ~ esk4029_4(X1,X2,X3,X4)
    | esk3995_4(X1,X2,X3,X4) )).

cnf(i_0_23002,axiom,
    ( esk5419_4(X1,X2,X3,X4)
    | ~ esk5421_4(X1,X2,X3,X4)
    | esk5420_4(X1,X2,X3,X4) )).

cnf(i_0_23003,axiom,
    ( ~ esk4687_4(X1,X2,X3,X4)
    | esk4686_4(X1,X2,X3,X4) )).

cnf(i_0_23004,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk1789_4(X1,X2,X3,X4) )).

cnf(i_0_23005,axiom,
    ( esk5718_4(X1,X2,X3,X4)
    | ~ esk5716_4(X1,X2,X3,X4) )).

cnf(i_0_23006,axiom,
    ( esk9305_4(X1,X2,X3,X4)
    | ~ esk9304_4(X1,X2,X3,X4)
    | ~ esk9299_4(X1,X2,X3,X4) )).

cnf(i_0_23007,axiom,
    ( ~ p(X1)
    | esk1260_0
    | p(X3)
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_23008,axiom,
    ( ~ esk5817_4(X1,X2,X3,X4)
    | esk7115_4(X1,X2,X3,X4) )).

cnf(i_0_23009,axiom,
    ( esk2132_4(X1,X2,X3,X4)
    | ~ esk2131_4(X1,X2,X3,X4) )).

cnf(i_0_23010,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2607_4(X1,X2,X3,X4) )).

cnf(i_0_23011,axiom,
    ( esk4854_4(X1,X2,X3,X4)
    | ~ esk4852_4(X1,X2,X3,X4) )).

cnf(i_0_23012,axiom,
    ( ~ esk7001_4(X1,X2,X3,X4)
    | esk6752_4(X1,X2,X3,X4) )).

cnf(i_0_23013,axiom,
    ( esk6363_4(X1,X2,X3,X4)
    | ~ esk6401_4(X1,X2,X3,X4)
    | esk6402_4(X1,X2,X3,X4) )).

cnf(i_0_23014,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4) )).

cnf(i_0_23015,axiom,
    ( ~ esk7734_4(X1,X2,X3,X4)
    | esk4_0
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_23016,axiom,
    ( ~ esk6401_4(X1,X2,X3,X4)
    | ~ esk6402_4(X1,X2,X3,X4)
    | ~ esk6363_4(X1,X2,X3,X4) )).

cnf(i_0_23017,axiom,
    ( esk9190_4(X1,X2,X3,X4)
    | ~ esk1199_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_23018,axiom,
    ( ~ esk4653_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4)
    | esk4708_4(X1,X2,X3,X4) )).

cnf(i_0_23019,axiom,
    ( esk9003_4(X1,X2,X3,X4)
    | ~ esk9002_4(X1,X2,X3,X4) )).

cnf(i_0_23020,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4)
    | esk6329_4(X1,X2,X3,X4) )).

cnf(i_0_23021,axiom,
    ( ~ esk8645_4(X1,X2,X3,X4)
    | esk8644_4(X1,X2,X3,X4) )).

cnf(i_0_23022,axiom,
    ( esk3129_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23023,axiom,
    ( ~ esk8679_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_23024,axiom,
    ( esk6795_4(X1,X2,X3,X4)
    | ~ esk6796_4(X1,X2,X3,X4)
    | esk6794_4(X1,X2,X3,X4) )).

cnf(i_0_23025,axiom,
    ( ~ esk7938_4(X1,X2,X3,X4)
    | esk5838_4(X1,X2,X3,X4) )).

cnf(i_0_23026,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk9492_4(X1,X2,X3,X4) )).

cnf(i_0_23027,axiom,
    ( ~ esk2405_4(X1,X2,X3,X4)
    | esk2407_4(X1,X2,X3,X4) )).

cnf(i_0_23028,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5671_4(X1,X2,X3,X4) )).

cnf(i_0_23029,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5216_4(X1,X2,X3,X4) )).

cnf(i_0_23030,axiom,
    ( esk4554_4(X1,X2,X3,X4)
    | esk3922_4(X1,X2,X3,X4)
    | ~ esk5547_4(X1,X2,X3,X4) )).

cnf(i_0_23031,axiom,
    ( ~ esk2011_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_23032,axiom,
    ( ~ esk1476_4(X1,X2,X3,X4)
    | esk1361_4(X1,X2,X3,X4) )).

cnf(i_0_23033,axiom,
    ( esk9616_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_23034,axiom,
    ( ~ esk6332_4(X1,X2,X3,X4)
    | esk5554_4(X1,X2,X3,X4) )).

cnf(i_0_23035,axiom,
    ( p(X2)
    | p(X4)
    | ~ esk2854_4(X1,X2,X3,X4)
    | esk1_0
    | p(X1)
    | p(X3) )).

cnf(i_0_23036,axiom,
    ( ~ esk4951_4(X1,X2,X3,X4)
    | esk4952_4(X1,X2,X3,X4) )).

cnf(i_0_23037,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4201_4(X1,X2,X3,X4) )).

cnf(i_0_23038,axiom,
    ( ~ esk4483_4(X1,X2,X3,X4)
    | esk4484_4(X1,X2,X3,X4)
    | ~ esk3949_4(X1,X2,X3,X4) )).

cnf(i_0_23039,axiom,
    ( ~ esk3757_4(X1,X2,X3,X4)
    | esk3756_4(X1,X2,X3,X4) )).

cnf(i_0_23040,axiom,
    ( ~ esk1598_4(X1,X2,X3,X4)
    | esk1599_4(X1,X2,X3,X4) )).

cnf(i_0_23041,axiom,
    ( ~ esk840_0
    | p(X3)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_23042,axiom,
    ( esk2342_4(X1,X2,X3,X4)
    | ~ esk2340_4(X1,X2,X3,X4) )).

cnf(i_0_23043,axiom,
    ( ~ esk2414_4(X1,X2,X3,X4)
    | esk2415_4(X1,X2,X3,X4) )).

cnf(i_0_23044,axiom,
    ( ~ esk929_0
    | esk9099_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_23045,axiom,
    ( esk9693_4(X1,X2,X3,X4)
    | esk9694_4(X1,X2,X3,X4)
    | ~ esk9695_4(X1,X2,X3,X4) )).

cnf(i_0_23046,axiom,
    ( ~ esk8642_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_23047,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2351_4(X1,X2,X3,X4) )).

cnf(i_0_23048,axiom,
    ( ~ esk4360_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23049,axiom,
    ( esk8402_4(X1,X2,X3,X4)
    | ~ esk8401_4(X1,X2,X3,X4) )).

cnf(i_0_23050,axiom,
    ( esk5924_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | ~ esk5889_4(X1,X2,X3,X4) )).

cnf(i_0_23051,axiom,
    ( ~ esk3326_4(X1,X2,X3,X4)
    | esk3324_4(X1,X2,X3,X4)
    | esk3325_4(X1,X2,X3,X4) )).

cnf(i_0_23052,axiom,
    ( esk9028_4(X1,X2,X3,X4)
    | ~ esk9026_4(X1,X2,X3,X4) )).

cnf(i_0_23053,axiom,
    ( ~ esk7375_4(X1,X2,X3,X4)
    | esk7376_4(X1,X2,X3,X4) )).

cnf(i_0_23054,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk150_0
    | ~ p(X1)
    | esk1746_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_23055,axiom,
    ( ~ esk6647_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4)
    | esk6187_4(X1,X2,X3,X4) )).

cnf(i_0_23056,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2039_4(X1,X2,X3,X4) )).

cnf(i_0_23057,axiom,
    ( esk2056_4(X1,X2,X3,X4)
    | ~ esk2087_4(X1,X2,X3,X4) )).

cnf(i_0_23058,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk1983_4(X1,X2,X3,X4) )).

cnf(i_0_23059,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2000_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_23060,axiom,
    ( ~ esk6257_4(X1,X2,X3,X4)
    | esk6367_4(X1,X2,X3,X4)
    | ~ esk6218_4(X1,X2,X3,X4) )).

cnf(i_0_23061,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk1860_4(X1,X2,X3,X4)
    | ~ esk285_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_23062,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk829_0
    | p(X2)
    | p(X3)
    | ~ esk9087_4(X1,X2,X3,X4) )).

cnf(i_0_23063,axiom,
    ( ~ esk8045_4(X1,X2,X3,X4)
    | esk7687_4(X1,X2,X3,X4) )).

cnf(i_0_23064,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1736_4(X1,X2,X3,X4) )).

cnf(i_0_23065,axiom,
    ( p(X2)
    | p(X4)
    | esk7736_4(X1,X2,X3,X4)
    | ~ esk26_0
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_23066,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk7225_4(X1,X2,X3,X4) )).

cnf(i_0_23067,axiom,
    ( esk6780_4(X1,X2,X3,X4)
    | ~ esk6839_4(X1,X2,X3,X4) )).

cnf(i_0_23068,axiom,
    ( ~ esk3419_4(X1,X2,X3,X4)
    | ~ esk2714_4(X1,X2,X3,X4)
    | esk3420_4(X1,X2,X3,X4) )).

cnf(i_0_23069,axiom,
    ( ~ esk5151_4(X1,X2,X3,X4)
    | esk5150_4(X1,X2,X3,X4) )).

cnf(i_0_23070,axiom,
    ( esk3182_4(X1,X2,X3,X4)
    | ~ esk3212_4(X1,X2,X3,X4) )).

cnf(i_0_23071,axiom,
    ( ~ esk4488_4(X1,X2,X3,X4)
    | esk3927_4(X1,X2,X3,X4) )).

cnf(i_0_23072,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8274_4(X1,X2,X3,X4) )).

cnf(i_0_23073,axiom,
    ( esk1526_4(X1,X2,X3,X4)
    | ~ esk1527_4(X1,X2,X3,X4) )).

cnf(i_0_23074,axiom,
    ( ~ esk3592_4(X1,X2,X3,X4)
    | esk3593_4(X1,X2,X3,X4) )).

cnf(i_0_23075,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3119_4(X1,X2,X3,X4) )).

cnf(i_0_23076,axiom,
    ( ~ esk2601_4(X1,X2,X3,X4)
    | esk2602_4(X1,X2,X3,X4) )).

cnf(i_0_23077,axiom,
    ( ~ esk4275_4(X1,X2,X3,X4)
    | esk4127_4(X1,X2,X3,X4) )).

cnf(i_0_23078,axiom,
    ( ~ esk8123_4(X1,X2,X3,X4)
    | esk8122_4(X1,X2,X3,X4) )).

cnf(i_0_23079,axiom,
    ( ~ esk8305_4(X1,X2,X3,X4)
    | esk8306_4(X1,X2,X3,X4) )).

cnf(i_0_23080,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2993_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_23081,axiom,
    ( esk2845_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_23082,axiom,
    ( ~ esk7985_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23083,axiom,
    ( esk2118_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23084,axiom,
    ( ~ esk2842_4(X1,X2,X3,X4)
    | esk2841_4(X1,X2,X3,X4) )).

cnf(i_0_23085,axiom,
    ( ~ esk5092_4(X1,X2,X3,X4)
    | esk5093_4(X1,X2,X3,X4) )).

cnf(i_0_23086,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | esk7587_4(X1,X2,X3,X4)
    | ~ esk7584_4(X1,X2,X3,X4) )).

cnf(i_0_23087,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ esk7738_4(X1,X2,X3,X4)
    | p(X2)
    | esk34_0 )).

cnf(i_0_23088,axiom,
    ( esk2364_4(X1,X2,X3,X4)
    | ~ esk2366_4(X1,X2,X3,X4)
    | esk2365_4(X1,X2,X3,X4) )).

cnf(i_0_23089,axiom,
    ( esk2307_4(X1,X2,X3,X4)
    | ~ esk1903_4(X1,X2,X3,X4) )).

cnf(i_0_23090,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7792_4(X1,X2,X3,X4) )).

cnf(i_0_23091,axiom,
    ( ~ esk3129_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23092,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9466_4(X1,X2,X3,X4) )).

cnf(i_0_23093,axiom,
    ( ~ esk6854_4(X1,X2,X3,X4)
    | esk6856_4(X1,X2,X3,X4) )).

cnf(i_0_23094,axiom,
    ( esk7128_4(X1,X2,X3,X4)
    | ~ esk7123_4(X1,X2,X3,X4) )).

cnf(i_0_23095,axiom,
    ( esk5937_4(X1,X2,X3,X4)
    | ~ esk5935_4(X1,X2,X3,X4) )).

cnf(i_0_23096,axiom,
    ( ~ esk8832_4(X1,X2,X3,X4)
    | esk8284_4(X1,X2,X3,X4) )).

cnf(i_0_23097,axiom,
    ( ~ esk2035_4(X1,X2,X3,X4)
    | esk2036_4(X1,X2,X3,X4) )).

cnf(i_0_23098,axiom,
    ( ~ p(X3)
    | ~ esk103_0
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_23099,axiom,
    ( ~ esk2130_4(X1,X2,X3,X4)
    | esk2129_4(X1,X2,X3,X4) )).

cnf(i_0_23100,axiom,
    ( ~ esk9251_4(X1,X2,X3,X4)
    | ~ esk7780_4(X1,X2,X3,X4) )).

cnf(i_0_23101,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9612_4(X1,X2,X3,X4) )).

cnf(i_0_23102,axiom,
    ( ~ esk6174_4(X1,X2,X3,X4)
    | esk6176_4(X1,X2,X3,X4) )).

cnf(i_0_23103,axiom,
    ( ~ esk4970_4(X1,X2,X3,X4)
    | esk4554_4(X1,X2,X3,X4) )).

cnf(i_0_23104,axiom,
    ( esk6330_4(X1,X2,X3,X4)
    | ~ esk6366_4(X1,X2,X3,X4) )).

cnf(i_0_23105,axiom,
    ( esk3800_4(X1,X2,X3,X4)
    | ~ esk5047_4(X1,X2,X3,X4) )).

cnf(i_0_23106,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | ~ esk501_0
    | esk2251_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_23107,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | esk3160_4(X1,X2,X3,X4)
    | ~ esk3159_4(X1,X2,X3,X4) )).

cnf(i_0_23108,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk112_0
    | ~ p(X2)
    | p(X4)
    | esk7939_4(X1,X2,X3,X4) )).

cnf(i_0_23109,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2400_4(X1,X2,X3,X4) )).

cnf(i_0_23110,axiom,
    ( esk4689_4(X1,X2,X3,X4)
    | ~ esk4688_4(X1,X2,X3,X4) )).

cnf(i_0_23111,axiom,
    ( ~ esk4355_4(X1,X2,X3,X4)
    | esk4353_4(X1,X2,X3,X4)
    | esk4354_4(X1,X2,X3,X4) )).

cnf(i_0_23112,axiom,
    ( p(X1)
    | ~ esk1_0
    | p(X4)
    | p(X3)
    | p(X2)
    | esk1641_4(X1,X2,X3,X4) )).

cnf(i_0_23113,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5810_4(X1,X2,X3,X4) )).

cnf(i_0_23114,axiom,
    ( ~ esk7554_4(X1,X2,X3,X4)
    | esk7553_4(X1,X2,X3,X4) )).

cnf(i_0_23115,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3771_4(X1,X2,X3,X4) )).

cnf(i_0_23116,axiom,
    ( ~ p(X2)
    | ~ esk675_0
    | esk2433_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_23117,axiom,
    ( ~ esk2459_4(X1,X2,X3,X4)
    | esk2457_4(X1,X2,X3,X4)
    | esk2458_4(X1,X2,X3,X4) )).

cnf(i_0_23118,axiom,
    ( esk9287_4(X1,X2,X3,X4)
    | ~ esk9286_4(X1,X2,X3,X4) )).

cnf(i_0_23119,axiom,
    ( esk4327_4(X1,X2,X3,X4)
    | ~ esk4328_4(X1,X2,X3,X4)
    | esk4326_4(X1,X2,X3,X4) )).

cnf(i_0_23120,axiom,
    ( ~ esk8203_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_23121,axiom,
    ( ~ esk4443_4(X1,X2,X3,X4)
    | esk4445_4(X1,X2,X3,X4) )).

cnf(i_0_23122,axiom,
    ( ~ esk8467_4(X1,X2,X3,X4)
    | esk8465_4(X1,X2,X3,X4)
    | esk8466_4(X1,X2,X3,X4) )).

cnf(i_0_23123,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | esk3387_4(X1,X2,X3,X4) )).

cnf(i_0_23124,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1075_0
    | ~ p(X2) )).

cnf(i_0_23125,axiom,
    ( ~ esk7984_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23126,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk4294_4(X1,X2,X3,X4) )).

cnf(i_0_23127,axiom,
    ( esk5149_4(X1,X2,X3,X4)
    | ~ esk5147_4(X1,X2,X3,X4) )).

cnf(i_0_23128,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4374_4(X1,X2,X3,X4) )).

cnf(i_0_23129,axiom,
    ( esk7422_4(X1,X2,X3,X4)
    | esk7423_4(X1,X2,X3,X4)
    | ~ esk7424_4(X1,X2,X3,X4) )).

cnf(i_0_23130,axiom,
    ( ~ esk7188_4(X1,X2,X3,X4)
    | esk7186_4(X1,X2,X3,X4)
    | esk7187_4(X1,X2,X3,X4) )).

cnf(i_0_23131,axiom,
    ( ~ esk9255_4(X1,X2,X3,X4)
    | esk7975_4(X1,X2,X3,X4)
    | ~ esk7974_4(X1,X2,X3,X4) )).

cnf(i_0_23132,axiom,
    ( esk8248_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk332_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_23133,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk5886_4(X1,X2,X3,X4) )).

cnf(i_0_23134,axiom,
    ( ~ esk6223_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_23135,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk1816_4(X1,X2,X3,X4) )).

cnf(i_0_23136,axiom,
    ( esk4537_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_23137,axiom,
    ( p(X3)
    | ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk1080_0
    | p(X4) )).

cnf(i_0_23138,axiom,
    ( ~ esk7377_4(X1,X2,X3,X4)
    | ~ esk7364_4(X1,X2,X3,X4)
    | esk7378_4(X1,X2,X3,X4) )).

cnf(i_0_23139,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4464_4(X1,X2,X3,X4) )).

cnf(i_0_23140,axiom,
    ( ~ esk1060_0
    | p(X1)
    | esk9166_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_23141,axiom,
    ( ~ esk302_0
    | ~ p(X4)
    | ~ p(X2)
    | esk1874_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_23142,axiom,
    ( ~ esk6410_4(X1,X2,X3,X4)
    | esk4310_4(X1,X2,X3,X4) )).

cnf(i_0_23143,axiom,
    ( esk9009_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9008_4(X1,X2,X3,X4) )).

cnf(i_0_23144,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2593_4(X1,X2,X3,X4) )).

cnf(i_0_23145,axiom,
    ( ~ esk9101_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk946_0
    | ~ p(X2) )).

cnf(i_0_23146,axiom,
    ( ~ esk7283_4(X1,X2,X3,X4)
    | esk7284_4(X1,X2,X3,X4) )).

cnf(i_0_23147,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk872_0
    | ~ p(X4)
    | ~ esk2795_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_23148,axiom,
    ( esk3856_4(X1,X2,X3,X4)
    | ~ esk5956_4(X1,X2,X3,X4) )).

cnf(i_0_23149,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8301_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23150,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk6879_4(X1,X2,X3,X4) )).

cnf(i_0_23151,axiom,
    ( esk5105_4(X1,X2,X3,X4)
    | ~ esk5108_4(X1,X2,X3,X4) )).

cnf(i_0_23152,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7375_4(X1,X2,X3,X4) )).

cnf(i_0_23153,axiom,
    ( esk1506_4(X1,X2,X3,X4)
    | ~ esk1504_4(X1,X2,X3,X4) )).

cnf(i_0_23154,axiom,
    ( ~ esk1759_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_23155,axiom,
    ( ~ esk8103_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_23156,axiom,
    ( ~ esk4671_4(X1,X2,X3,X4)
    | ~ esk4574_4(X1,X2,X3,X4) )).

cnf(i_0_23157,axiom,
    ( esk6391_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23158,axiom,
    ( esk9360_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23159,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk2_0
    | esk8318_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_23160,axiom,
    ( ~ esk3062_4(X1,X2,X3,X4)
    | esk3065_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_23161,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk3870_4(X1,X2,X3,X4) )).

cnf(i_0_23162,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | esk9166_4(X1,X2,X3,X4) )).

cnf(i_0_23163,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9348_4(X1,X2,X3,X4) )).

cnf(i_0_23164,axiom,
    ( ~ esk2004_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_23165,axiom,
    ( ~ esk9445_4(X1,X2,X3,X4)
    | esk9447_4(X1,X2,X3,X4) )).

cnf(i_0_23166,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5203_4(X1,X2,X3,X4) )).

cnf(i_0_23167,axiom,
    ( ~ esk5365_4(X1,X2,X3,X4)
    | ~ esk3917_4(X1,X2,X3,X4)
    | esk5368_4(X1,X2,X3,X4) )).

cnf(i_0_23168,axiom,
    ( ~ esk6603_4(X1,X2,X3,X4)
    | esk6602_4(X1,X2,X3,X4) )).

cnf(i_0_23169,axiom,
    ( p(X2)
    | esk539_0
    | ~ esk8617_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_23170,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7415_4(X1,X2,X3,X4) )).

cnf(i_0_23171,axiom,
    ( ~ esk8106_4(X1,X2,X3,X4)
    | esk8744_4(X1,X2,X3,X4) )).

cnf(i_0_23172,axiom,
    ( esk5122_4(X1,X2,X3,X4)
    | ~ esk5123_4(X1,X2,X3,X4) )).

cnf(i_0_23173,axiom,
    ( ~ esk7946_4(X1,X2,X3,X4)
    | esk9203_4(X1,X2,X3,X4) )).

cnf(i_0_23174,axiom,
    ( ~ esk4296_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23175,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4415_4(X1,X2,X3,X4)
    | ~ esk4520_4(X1,X2,X3,X4) )).

cnf(i_0_23176,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8730_4(X1,X2,X3,X4)
    | ~ esk8386_4(X1,X2,X3,X4) )).

cnf(i_0_23177,axiom,
    ( esk1643_4(X1,X2,X3,X4)
    | ~ esk1397_4(X1,X2,X3,X4) )).

cnf(i_0_23178,axiom,
    ( ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk1521_4(X1,X2,X3,X4)
    | ~ esk1522_4(X1,X2,X3,X4) )).

cnf(i_0_23179,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2780_4(X1,X2,X3,X4) )).

cnf(i_0_23180,axiom,
    ( esk4167_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23181,axiom,
    ( ~ esk4861_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_23182,axiom,
    ( esk7460_4(X1,X2,X3,X4)
    | ~ esk7459_4(X1,X2,X3,X4) )).

cnf(i_0_23183,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6312_4(X1,X2,X3,X4) )).

cnf(i_0_23184,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | esk831_0
    | ~ esk9087_4(X1,X2,X3,X4) )).

cnf(i_0_23185,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9652_4(X1,X2,X3,X4) )).

cnf(i_0_23186,axiom,
    ( ~ esk7908_4(X1,X2,X3,X4)
    | esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_23187,axiom,
    ( ~ esk3658_4(X1,X2,X3,X4)
    | esk3656_4(X1,X2,X3,X4)
    | esk3657_4(X1,X2,X3,X4) )).

cnf(i_0_23188,axiom,
    ( ~ esk3604_4(X1,X2,X3,X4)
    | esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_23189,axiom,
    ( esk4789_4(X1,X2,X3,X4)
    | ~ esk4788_4(X1,X2,X3,X4) )).

cnf(i_0_23190,axiom,
    ( ~ esk4028_4(X1,X2,X3,X4)
    | esk4433_4(X1,X2,X3,X4) )).

cnf(i_0_23191,axiom,
    ( esk2807_4(X1,X2,X3,X4)
    | ~ esk2556_4(X1,X2,X3,X4) )).

cnf(i_0_23192,axiom,
    ( ~ esk3088_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_23193,axiom,
    ( esk9252_4(X1,X2,X3,X4)
    | ~ esk7936_4(X1,X2,X3,X4) )).

cnf(i_0_23194,axiom,
    ( esk6417_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6416_4(X1,X2,X3,X4) )).

cnf(i_0_23195,axiom,
    ( ~ esk1952_4(X1,X2,X3,X4)
    | ~ esk2249_4(X1,X2,X3,X4)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_23196,axiom,
    ( esk8628_4(X1,X2,X3,X4)
    | ~ esk8629_4(X1,X2,X3,X4) )).

cnf(i_0_23197,axiom,
    ( ~ esk1841_4(X1,X2,X3,X4)
    | esk1858_4(X1,X2,X3,X4) )).

cnf(i_0_23198,axiom,
    ( ~ esk2323_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23199,axiom,
    ( esk6872_4(X1,X2,X3,X4)
    | ~ esk6871_4(X1,X2,X3,X4) )).

cnf(i_0_23200,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X2)
    | esk636_0
    | ~ p(X4)
    | ~ esk8725_4(X1,X2,X3,X4) )).

cnf(i_0_23201,axiom,
    ( ~ p(X3)
    | esk2918_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk1254_0
    | ~ p(X2) )).

cnf(i_0_23202,axiom,
    ( esk121_0
    | ~ esk1643_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_23203,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | esk4572_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23204,axiom,
    ( ~ esk3907_4(X1,X2,X3,X4)
    | esk3914_4(X1,X2,X3,X4)
    | ~ esk3913_4(X1,X2,X3,X4) )).

cnf(i_0_23205,axiom,
    ( ~ esk1921_4(X1,X2,X3,X4)
    | esk2566_4(X1,X2,X3,X4) )).

cnf(i_0_23206,axiom,
    ( esk280_0
    | ~ esk8156_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_23207,axiom,
    ( esk4558_4(X1,X2,X3,X4)
    | ~ esk4557_4(X1,X2,X3,X4) )).

cnf(i_0_23208,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4749_4(X1,X2,X3,X4)
    | esk5516_4(X1,X2,X3,X4) )).

cnf(i_0_23209,axiom,
    ( p(X1)
    | ~ p(X4)
    | esk8731_4(X1,X2,X3,X4)
    | ~ esk683_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_23210,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk9136_4(X1,X2,X3,X4) )).

cnf(i_0_23211,axiom,
    ( esk9127_4(X1,X2,X3,X4)
    | ~ esk9129_4(X1,X2,X3,X4)
    | esk9128_4(X1,X2,X3,X4) )).

cnf(i_0_23212,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk9166_4(X1,X2,X3,X4)
    | esk1057_0
    | p(X1)
    | p(X3) )).

cnf(i_0_23213,axiom,
    ( ~ esk23_0
    | p(X1)
    | esk7736_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_23214,axiom,
    ( esk8760_4(X1,X2,X3,X4)
    | ~ esk8755_4(X1,X2,X3,X4) )).

cnf(i_0_23215,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6775_4(X1,X2,X3,X4)
    | esk6738_4(X1,X2,X3,X4) )).

cnf(i_0_23216,axiom,
    ( esk7316_4(X1,X2,X3,X4)
    | ~ esk7319_4(X1,X2,X3,X4) )).

cnf(i_0_23217,axiom,
    ( p(X1)
    | ~ esk1251_0
    | p(X2)
    | ~ p(X3)
    | esk9214_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_23218,axiom,
    ( ~ p(X1)
    | esk1874_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk296_0
    | p(X3) )).

cnf(i_0_23219,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2618_4(X1,X2,X3,X4)
    | esk3353_4(X1,X2,X3,X4) )).

cnf(i_0_23220,axiom,
    ( esk471_0
    | ~ esk8469_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_23221,axiom,
    ( ~ esk3538_4(X1,X2,X3,X4)
    | esk3743_4(X1,X2,X3,X4) )).

cnf(i_0_23222,axiom,
    ( esk9214_4(X1,X2,X3,X4)
    | ~ esk1257_0
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_23223,axiom,
    ( esk7268_4(X1,X2,X3,X4)
    | ~ esk7298_4(X1,X2,X3,X4) )).

cnf(i_0_23224,axiom,
    ( esk3887_4(X1,X2,X3,X4)
    | ~ esk4955_4(X1,X2,X3,X4) )).

cnf(i_0_23225,axiom,
    ( ~ esk6472_4(X1,X2,X3,X4)
    | esk6471_4(X1,X2,X3,X4) )).

cnf(i_0_23226,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8533_4(X1,X2,X3,X4) )).

cnf(i_0_23227,axiom,
    ( ~ p(X4)
    | p(X3)
    | p(X2)
    | esk2421_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk573_0 )).

cnf(i_0_23228,axiom,
    ( ~ esk2435_4(X1,X2,X3,X4)
    | esk680_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_23229,axiom,
    ( esk3262_4(X1,X2,X3,X4)
    | ~ esk3260_4(X1,X2,X3,X4) )).

cnf(i_0_23230,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk9252_4(X1,X2,X3,X4)
    | ~ esk1333_0 )).

cnf(i_0_23231,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5782_4(X1,X2,X3,X4) )).

cnf(i_0_23232,axiom,
    ( esk5301_4(X1,X2,X3,X4)
    | ~ esk5299_4(X1,X2,X3,X4) )).

cnf(i_0_23233,axiom,
    ( ~ esk1365_4(X1,X2,X3,X4)
    | esk1646_4(X1,X2,X3,X4) )).

cnf(i_0_23234,axiom,
    ( ~ esk8344_4(X1,X2,X3,X4)
    | esk8345_4(X1,X2,X3,X4) )).

cnf(i_0_23235,axiom,
    ( esk4912_4(X1,X2,X3,X4)
    | ~ esk5507_4(X1,X2,X3,X4) )).

cnf(i_0_23236,axiom,
    ( p(X4)
    | esk11_0
    | p(X3)
    | ~ p(X1)
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_23237,axiom,
    ( ~ esk7801_4(X1,X2,X3,X4)
    | esk7803_4(X1,X2,X3,X4) )).

cnf(i_0_23238,axiom,
    ( ~ esk3419_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_23239,axiom,
    ( ~ esk4741_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk5500_4(X1,X2,X3,X4) )).

cnf(i_0_23240,axiom,
    ( esk5539_4(X1,X2,X3,X4)
    | ~ esk5540_4(X1,X2,X3,X4)
    | esk5538_4(X1,X2,X3,X4)
    | esk5537_4(X1,X2,X3,X4) )).

cnf(i_0_23241,axiom,
    ( esk9582_4(X1,X2,X3,X4)
    | ~ esk9579_4(X1,X2,X3,X4) )).

cnf(i_0_23242,axiom,
    ( p(X2)
    | ~ esk1228_0
    | ~ p(X1)
    | p(X4)
    | esk9204_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_23243,axiom,
    ( ~ esk1746_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | esk151_0
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_23244,axiom,
    ( esk5938_4(X1,X2,X3,X4)
    | ~ esk5939_4(X1,X2,X3,X4) )).

cnf(i_0_23245,axiom,
    ( esk8295_4(X1,X2,X3,X4)
    | ~ esk8296_4(X1,X2,X3,X4) )).

cnf(i_0_23246,axiom,
    ( esk1443_4(X1,X2,X3,X4)
    | ~ esk3543_4(X1,X2,X3,X4) )).

cnf(i_0_23247,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk1341_0
    | p(X2)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_23248,axiom,
    ( ~ esk2641_4(X1,X2,X3,X4)
    | esk2582_4(X1,X2,X3,X4) )).

cnf(i_0_23249,axiom,
    ( p(X1)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ esk8254_4(X1,X2,X3,X4)
    | esk348_0 )).

cnf(i_0_23250,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | esk1324_0
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_23251,axiom,
    ( esk3801_4(X1,X2,X3,X4)
    | ~ esk4994_4(X1,X2,X3,X4) )).

cnf(i_0_23252,axiom,
    ( ~ esk4153_4(X1,X2,X3,X4)
    | esk4509_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_23253,axiom,
    ( ~ esk3133_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23254,axiom,
    ( esk3244_4(X1,X2,X3,X4)
    | esk3245_4(X1,X2,X3,X4)
    | ~ esk3246_4(X1,X2,X3,X4) )).

cnf(i_0_23255,axiom,
    ( esk9186_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk1179_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_23256,axiom,
    ( ~ esk8804_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23257,axiom,
    ( esk6362_4(X1,X2,X3,X4)
    | ~ esk6325_4(X1,X2,X3,X4)
    | esk6363_4(X1,X2,X3,X4) )).

cnf(i_0_23258,axiom,
    ( esk1859_4(X1,X2,X3,X4)
    | ~ esk1872_4(X1,X2,X3,X4) )).

cnf(i_0_23259,axiom,
    ( esk5397_4(X1,X2,X3,X4)
    | ~ esk5395_4(X1,X2,X3,X4) )).

cnf(i_0_23260,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk5985_4(X1,X2,X3,X4) )).

cnf(i_0_23261,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | ~ esk2819_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4) )).

cnf(i_0_23262,axiom,
    ( esk4886_4(X1,X2,X3,X4)
    | ~ esk5396_4(X1,X2,X3,X4) )).

cnf(i_0_23263,axiom,
    ( ~ esk8748_4(X1,X2,X3,X4)
    | esk8106_4(X1,X2,X3,X4)
    | esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_23264,axiom,
    ( esk5907_4(X1,X2,X3,X4)
    | ~ esk7147_4(X1,X2,X3,X4) )).

cnf(i_0_23265,axiom,
    ( esk7643_4(X1,X2,X3,X4)
    | ~ esk5720_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_23266,axiom,
    ( ~ esk4526_4(X1,X2,X3,X4)
    | esk2426_4(X1,X2,X3,X4) )).

cnf(i_0_23267,axiom,
    ( ~ esk2934_4(X1,X2,X3,X4)
    | esk1704_4(X1,X2,X3,X4) )).

cnf(i_0_23268,axiom,
    ( ~ esk5966_4(X1,X2,X3,X4)
    | esk5965_4(X1,X2,X3,X4)
    | esk5964_4(X1,X2,X3,X4) )).

cnf(i_0_23269,axiom,
    ( esk2803_4(X1,X2,X3,X4)
    | ~ esk2884_4(X1,X2,X3,X4) )).

cnf(i_0_23270,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | esk2240_4(X1,X2,X3,X4)
    | ~ esk2204_4(X1,X2,X3,X4) )).

cnf(i_0_23271,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk77_0
    | esk7774_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_23272,axiom,
    ( esk5028_4(X1,X2,X3,X4)
    | ~ esk3813_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_23273,axiom,
    ( esk9217_4(X1,X2,X3,X4)
    | ~ esk8121_4(X1,X2,X3,X4) )).

cnf(i_0_23274,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk707_0
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_23275,axiom,
    ( ~ esk6108_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_23276,axiom,
    ( esk8493_4(X1,X2,X3,X4)
    | ~ esk8492_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_23277,axiom,
    ( esk7308_4(X1,X2,X3,X4)
    | ~ esk7322_4(X1,X2,X3,X4) )).

cnf(i_0_23278,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk7965_4(X1,X2,X3,X4)
    | esk7764_4(X1,X2,X3,X4) )).

cnf(i_0_23279,axiom,
    ( esk4952_4(X1,X2,X3,X4)
    | ~ esk7052_4(X1,X2,X3,X4) )).

cnf(i_0_23280,axiom,
    ( esk4375_4(X1,X2,X3,X4)
    | ~ esk4373_4(X1,X2,X3,X4) )).

cnf(i_0_23281,axiom,
    ( ~ esk5630_4(X1,X2,X3,X4)
    | esk5629_4(X1,X2,X3,X4) )).

cnf(i_0_23282,axiom,
    ( ~ esk2346_4(X1,X2,X3,X4)
    | esk2345_4(X1,X2,X3,X4)
    | esk2344_4(X1,X2,X3,X4) )).

cnf(i_0_23283,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk1987_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk376_0
    | ~ p(X1) )).

cnf(i_0_23284,axiom,
    ( ~ p(X2)
    | esk9164_4(X1,X2,X3,X4)
    | ~ esk1045_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_23285,axiom,
    ( esk2098_4(X1,X2,X3,X4)
    | ~ esk2099_4(X1,X2,X3,X4) )).

cnf(i_0_23286,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2421_4(X1,X2,X3,X4)
    | esk2316_4(X1,X2,X3,X4) )).

cnf(i_0_23287,axiom,
    ( ~ esk2530_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23288,axiom,
    ( ~ esk4190_4(X1,X2,X3,X4)
    | esk4022_4(X1,X2,X3,X4) )).

cnf(i_0_23289,axiom,
    ( esk9047_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_23290,axiom,
    ( esk6459_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_23291,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6504_4(X1,X2,X3,X4) )).

cnf(i_0_23292,axiom,
    ( esk6252_4(X1,X2,X3,X4)
    | ~ esk6251_4(X1,X2,X3,X4) )).

cnf(i_0_23293,axiom,
    ( ~ esk491_0
    | esk8508_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_23294,axiom,
    ( ~ esk4151_4(X1,X2,X3,X4)
    | esk3984_4(X1,X2,X3,X4) )).

cnf(i_0_23295,axiom,
    ( esk1867_4(X1,X2,X3,X4)
    | ~ esk1865_4(X1,X2,X3,X4) )).

cnf(i_0_23296,axiom,
    ( esk8902_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8850_4(X1,X2,X3,X4) )).

cnf(i_0_23297,axiom,
    ( ~ esk2199_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_23298,axiom,
    ( esk8203_4(X1,X2,X3,X4)
    | ~ esk8205_4(X1,X2,X3,X4)
    | esk8204_4(X1,X2,X3,X4) )).

cnf(i_0_23299,axiom,
    ( ~ esk8260_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8261_4(X1,X2,X3,X4) )).

cnf(i_0_23300,axiom,
    ( ~ esk6236_4(X1,X2,X3,X4)
    | esk6235_4(X1,X2,X3,X4) )).

cnf(i_0_23301,axiom,
    ( ~ esk9055_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_23302,axiom,
    ( esk4612_4(X1,X2,X3,X4)
    | esk4594_4(X1,X2,X3,X4) )).

cnf(i_0_23303,axiom,
    ( esk2635_4(X1,X2,X3,X4)
    | ~ esk2636_4(X1,X2,X3,X4) )).

cnf(i_0_23304,axiom,
    ( esk8951_4(X1,X2,X3,X4)
    | ~ esk8950_4(X1,X2,X3,X4) )).

cnf(i_0_23305,axiom,
    ( ~ p(X1)
    | ~ esk452_0
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23306,axiom,
    ( ~ esk8691_4(X1,X2,X3,X4)
    | esk8692_4(X1,X2,X3,X4) )).

cnf(i_0_23307,axiom,
    ( ~ esk5695_4(X1,X2,X3,X4)
    | esk5696_4(X1,X2,X3,X4) )).

cnf(i_0_23308,axiom,
    ( ~ esk707_0
    | esk8733_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23309,axiom,
    ( esk2537_4(X1,X2,X3,X4)
    | ~ esk2568_4(X1,X2,X3,X4) )).

cnf(i_0_23310,axiom,
    ( ~ esk7022_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk7023_4(X1,X2,X3,X4) )).

cnf(i_0_23311,axiom,
    ( ~ p(X3)
    | esk350_0
    | ~ p(X4)
    | ~ esk1958_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_23312,axiom,
    ( esk2595_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_23313,axiom,
    ( ~ esk8210_4(X1,X2,X3,X4)
    | esk8614_4(X1,X2,X3,X4)
    | esk8211_4(X1,X2,X3,X4) )).

cnf(i_0_23314,axiom,
    ( ~ esk6557_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23315,axiom,
    ( esk7162_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7161_4(X1,X2,X3,X4) )).

cnf(i_0_23316,axiom,
    ( ~ esk7740_4(X1,X2,X3,X4)
    | esk60_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_23317,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | esk543_0
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_23318,axiom,
    ( p(X2)
    | ~ esk9150_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk1034_0
    | ~ p(X1) )).

cnf(i_0_23319,axiom,
    ( esk5737_4(X1,X2,X3,X4)
    | ~ esk5736_4(X1,X2,X3,X4) )).

cnf(i_0_23320,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7379_4(X1,X2,X3,X4) )).

cnf(i_0_23321,axiom,
    ( ~ esk6810_4(X1,X2,X3,X4)
    | esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_23322,axiom,
    ( esk7410_4(X1,X2,X3,X4)
    | ~ esk7412_4(X1,X2,X3,X4)
    | esk7411_4(X1,X2,X3,X4) )).

cnf(i_0_23323,axiom,
    ( ~ esk9625_4(X1,X2,X3,X4)
    | esk9624_4(X1,X2,X3,X4) )).

cnf(i_0_23324,axiom,
    ( ~ esk7467_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_23325,axiom,
    ( ~ esk2391_4(X1,X2,X3,X4)
    | esk2424_4(X1,X2,X3,X4) )).

cnf(i_0_23326,axiom,
    ( ~ esk4680_4(X1,X2,X3,X4)
    | esk4681_4(X1,X2,X3,X4) )).

cnf(i_0_23327,axiom,
    ( esk7356_4(X1,X2,X3,X4)
    | ~ esk6603_4(X1,X2,X3,X4) )).

cnf(i_0_23328,axiom,
    ( esk8796_4(X1,X2,X3,X4)
    | ~ esk8795_4(X1,X2,X3,X4) )).

cnf(i_0_23329,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6739_4(X1,X2,X3,X4)
    | esk6907_4(X1,X2,X3,X4) )).

cnf(i_0_23330,axiom,
    ( ~ esk3713_4(X1,X2,X3,X4)
    | esk3714_4(X1,X2,X3,X4) )).

cnf(i_0_23331,axiom,
    ( ~ esk5348_4(X1,X2,X3,X4)
    | esk5349_4(X1,X2,X3,X4) )).

cnf(i_0_23332,axiom,
    ( esk2048_4(X1,X2,X3,X4)
    | ~ esk2500_4(X1,X2,X3,X4) )).

cnf(i_0_23333,axiom,
    ( ~ esk6707_4(X1,X2,X3,X4)
    | esk6708_4(X1,X2,X3,X4)
    | ~ esk6769_4(X1,X2,X3,X4) )).

cnf(i_0_23334,axiom,
    ( esk7646_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_23335,axiom,
    ( ~ esk6603_4(X1,X2,X3,X4)
    | esk6605_4(X1,X2,X3,X4) )).

cnf(i_0_23336,axiom,
    ( ~ esk1752_4(X1,X2,X3,X4)
    | esk190_0
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_23337,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | esk718_0
    | p(X2)
    | ~ esk8735_4(X1,X2,X3,X4) )).

cnf(i_0_23338,axiom,
    ( ~ p(X2)
    | esk2453_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk751_0
    | p(X4) )).

cnf(i_0_23339,axiom,
    ( ~ esk2265_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23340,axiom,
    ( esk5087_4(X1,X2,X3,X4)
    | esk5088_4(X1,X2,X3,X4)
    | ~ esk5089_4(X1,X2,X3,X4) )).

cnf(i_0_23341,axiom,
    ( ~ esk8725_4(X1,X2,X3,X4)
    | esk639_0
    | p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_23342,axiom,
    ( esk4534_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk4154_4(X1,X2,X3,X4) )).

cnf(i_0_23343,axiom,
    ( esk9541_4(X1,X2,X3,X4)
    | esk9542_4(X1,X2,X3,X4)
    | ~ esk9543_4(X1,X2,X3,X4) )).

cnf(i_0_23344,axiom,
    ( ~ esk8018_4(X1,X2,X3,X4)
    | esk7980_4(X1,X2,X3,X4) )).

cnf(i_0_23345,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2102_4(X1,X2,X3,X4) )).

cnf(i_0_23346,axiom,
    ( esk4084_4(X1,X2,X3,X4)
    | ~ esk4049_4(X1,X2,X3,X4) )).

cnf(i_0_23347,axiom,
    ( ~ esk3313_4(X1,X2,X3,X4)
    | esk2598_4(X1,X2,X3,X4) )).

cnf(i_0_23348,axiom,
    ( esk2796_4(X1,X2,X3,X4)
    | ~ esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_23349,axiom,
    ( ~ esk1929_4(X1,X2,X3,X4)
    | esk1928_4(X1,X2,X3,X4) )).

cnf(i_0_23350,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6555_4(X1,X2,X3,X4) )).

cnf(i_0_23351,axiom,
    ( esk9173_4(X1,X2,X3,X4)
    | ~ esk7073_4(X1,X2,X3,X4) )).

cnf(i_0_23352,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4)
    | esk9039_4(X1,X2,X3,X4) )).

cnf(i_0_23353,axiom,
    ( ~ esk3291_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_23354,axiom,
    ( esk7734_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | ~ esk15_0
    | ~ p(X1) )).

cnf(i_0_23355,axiom,
    ( esk9525_4(X1,X2,X3,X4)
    | ~ esk9524_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_23356,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8379_4(X1,X2,X3,X4) )).

cnf(i_0_23357,axiom,
    ( esk5197_4(X1,X2,X3,X4)
    | ~ esk5196_4(X1,X2,X3,X4) )).

cnf(i_0_23358,axiom,
    ( ~ esk3532_4(X1,X2,X3,X4)
    | esk3533_4(X1,X2,X3,X4) )).

cnf(i_0_23359,axiom,
    ( esk3238_4(X1,X2,X3,X4)
    | ~ esk3236_4(X1,X2,X3,X4) )).

cnf(i_0_23360,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk531_0
    | esk2321_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_23361,axiom,
    ( esk5521_4(X1,X2,X3,X4)
    | ~ esk5519_4(X1,X2,X3,X4) )).

cnf(i_0_23362,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | esk882_0
    | ~ p(X1) )).

cnf(i_0_23363,axiom,
    ( esk2890_4(X1,X2,X3,X4)
    | ~ esk1597_4(X1,X2,X3,X4) )).

cnf(i_0_23364,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7539_4(X1,X2,X3,X4) )).

cnf(i_0_23365,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5790_4(X1,X2,X3,X4) )).

cnf(i_0_23366,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2973_4(X1,X2,X3,X4) )).

cnf(i_0_23367,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4202_4(X1,X2,X3,X4) )).

cnf(i_0_23368,axiom,
    ( esk4468_4(X1,X2,X3,X4)
    | ~ esk4470_4(X1,X2,X3,X4)
    | esk4469_4(X1,X2,X3,X4) )).

cnf(i_0_23369,axiom,
    ( esk8732_4(X1,X2,X3,X4)
    | ~ esk8348_4(X1,X2,X3,X4) )).

cnf(i_0_23370,axiom,
    ( esk9727_4(X1,X2,X3,X4)
    | ~ esk9726_4(X1,X2,X3,X4) )).

cnf(i_0_23371,axiom,
    ( esk2375_4(X1,X2,X3,X4)
    | ~ esk2374_4(X1,X2,X3,X4) )).

cnf(i_0_23372,axiom,
    ( ~ esk3642_4(X1,X2,X3,X4)
    | esk3769_4(X1,X2,X3,X4) )).

cnf(i_0_23373,axiom,
    ( esk2911_4(X1,X2,X3,X4)
    | ~ esk2464_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4) )).

cnf(i_0_23374,axiom,
    ( esk7094_4(X1,X2,X3,X4)
    | ~ esk5569_4(X1,X2,X3,X4) )).

cnf(i_0_23375,axiom,
    ( ~ esk8994_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_23376,axiom,
    ( ~ p(X4)
    | ~ esk8713_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk556_0
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_23377,axiom,
    ( esk4231_4(X1,X2,X3,X4)
    | ~ esk4229_4(X1,X2,X3,X4) )).

cnf(i_0_23378,axiom,
    ( esk5222_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23379,axiom,
    ( ~ esk8135_4(X1,X2,X3,X4)
    | esk8134_4(X1,X2,X3,X4) )).

cnf(i_0_23380,axiom,
    ( ~ esk5059_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_23381,axiom,
    ( esk5413_4(X1,X2,X3,X4)
    | ~ esk5416_4(X1,X2,X3,X4) )).

cnf(i_0_23382,axiom,
    ( ~ esk1852_4(X1,X2,X3,X4)
    | esk1824_4(X1,X2,X3,X4) )).

cnf(i_0_23383,axiom,
    ( ~ esk7502_4(X1,X2,X3,X4)
    | esk7501_4(X1,X2,X3,X4) )).

cnf(i_0_23384,axiom,
    ( esk8739_4(X1,X2,X3,X4)
    | ~ esk8284_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_23385,axiom,
    ( ~ esk6227_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_23386,axiom,
    ( ~ esk1602_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_23387,axiom,
    ( ~ esk2267_4(X1,X2,X3,X4)
    | esk2268_4(X1,X2,X3,X4) )).

cnf(i_0_23388,axiom,
    ( ~ esk8210_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8716_4(X1,X2,X3,X4) )).

cnf(i_0_23389,axiom,
    ( ~ esk9325_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_23390,axiom,
    ( esk6442_4(X1,X2,X3,X4)
    | ~ esk6403_4(X1,X2,X3,X4) )).

cnf(i_0_23391,axiom,
    ( ~ esk807_0
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk9083_4(X1,X2,X3,X4) )).

cnf(i_0_23392,axiom,
    ( ~ esk8524_4(X1,X2,X3,X4)
    | esk8236_4(X1,X2,X3,X4) )).

cnf(i_0_23393,axiom,
    ( esk5720_4(X1,X2,X3,X4)
    | ~ esk7643_4(X1,X2,X3,X4) )).

cnf(i_0_23394,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6239_4(X1,X2,X3,X4) )).

cnf(i_0_23395,axiom,
    ( ~ esk1630_4(X1,X2,X3,X4)
    | esk1631_4(X1,X2,X3,X4) )).

cnf(i_0_23396,axiom,
    ( esk4467_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_23397,axiom,
    ( ~ esk9369_4(X1,X2,X3,X4)
    | esk9371_4(X1,X2,X3,X4) )).

cnf(i_0_23398,axiom,
    ( ~ esk6185_4(X1,X2,X3,X4)
    | esk6219_4(X1,X2,X3,X4) )).

cnf(i_0_23399,axiom,
    ( esk9636_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_23400,axiom,
    ( ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk944_0
    | p(X4)
    | p(X3) )).

cnf(i_0_23401,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2140_4(X1,X2,X3,X4) )).

cnf(i_0_23402,axiom,
    ( ~ esk2575_4(X1,X2,X3,X4)
    | esk2576_4(X1,X2,X3,X4) )).

cnf(i_0_23403,axiom,
    ( ~ esk7085_4(X1,X2,X3,X4)
    | esk6995_4(X1,X2,X3,X4) )).

cnf(i_0_23404,axiom,
    ( ~ esk9290_4(X1,X2,X3,X4)
    | esk9291_4(X1,X2,X3,X4) )).

cnf(i_0_23405,axiom,
    ( esk6828_4(X1,X2,X3,X4)
    | ~ esk7575_4(X1,X2,X3,X4) )).

cnf(i_0_23406,axiom,
    ( esk6517_4(X1,X2,X3,X4)
    | ~ esk5878_4(X1,X2,X3,X4) )).

cnf(i_0_23407,axiom,
    ( p(X3)
    | esk420_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_23408,axiom,
    ( ~ esk3975_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4)
    | esk3749_4(X1,X2,X3,X4) )).

cnf(i_0_23409,axiom,
    ( ~ esk1541_4(X1,X2,X3,X4)
    | esk1676_4(X1,X2,X3,X4) )).

cnf(i_0_23410,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4414_4(X1,X2,X3,X4)
    | esk4481_4(X1,X2,X3,X4) )).

cnf(i_0_23411,axiom,
    ( ~ p(X4)
    | esk8054_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk233_0
    | ~ p(X2) )).

cnf(i_0_23412,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9498_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23413,axiom,
    ( ~ esk2166_4(X1,X2,X3,X4)
    | esk2205_4(X1,X2,X3,X4) )).

cnf(i_0_23414,axiom,
    ( esk3329_4(X1,X2,X3,X4)
    | esk3328_4(X1,X2,X3,X4)
    | ~ esk3330_4(X1,X2,X3,X4) )).

cnf(i_0_23415,axiom,
    ( ~ esk4389_4(X1,X2,X3,X4)
    | esk4589_4(X1,X2,X3,X4) )).

cnf(i_0_23416,axiom,
    ( esk7815_4(X1,X2,X3,X4)
    | esk7816_4(X1,X2,X3,X4)
    | esk7814_4(X1,X2,X3,X4)
    | ~ esk7817_4(X1,X2,X3,X4) )).

cnf(i_0_23417,axiom,
    ( ~ esk3426_4(X1,X2,X3,X4)
    | esk3429_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_23418,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5250_4(X1,X2,X3,X4) )).

cnf(i_0_23419,axiom,
    ( esk8593_4(X1,X2,X3,X4)
    | ~ esk8594_4(X1,X2,X3,X4) )).

cnf(i_0_23420,axiom,
    ( esk659_0
    | p(X2)
    | ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_23421,axiom,
    ( ~ esk2410_4(X1,X2,X3,X4)
    | esk2054_4(X1,X2,X3,X4) )).

cnf(i_0_23422,axiom,
    ( ~ esk6116_4(X1,X2,X3,X4)
    | esk5609_4(X1,X2,X3,X4) )).

cnf(i_0_23423,axiom,
    ( ~ esk3679_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_23424,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2425_4(X1,X2,X3,X4)
    | esk2238_4(X1,X2,X3,X4) )).

cnf(i_0_23425,axiom,
    ( ~ esk3778_4(X1,X2,X3,X4)
    | esk3777_4(X1,X2,X3,X4) )).

cnf(i_0_23426,axiom,
    ( ~ esk8240_4(X1,X2,X3,X4)
    | esk8238_4(X1,X2,X3,X4)
    | esk8239_4(X1,X2,X3,X4) )).

cnf(i_0_23427,axiom,
    ( esk2945_4(X1,X2,X3,X4)
    | esk2944_4(X1,X2,X3,X4)
    | ~ esk2946_4(X1,X2,X3,X4) )).

cnf(i_0_23428,axiom,
    ( esk4757_4(X1,X2,X3,X4)
    | ~ esk4755_4(X1,X2,X3,X4) )).

cnf(i_0_23429,axiom,
    ( ~ esk2419_4(X1,X2,X3,X4)
    | ~ esk1913_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_23430,axiom,
    ( esk7141_4(X1,X2,X3,X4)
    | ~ esk7142_4(X1,X2,X3,X4) )).

cnf(i_0_23431,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5857_4(X1,X2,X3,X4) )).

cnf(i_0_23432,axiom,
    ( esk8660_4(X1,X2,X3,X4)
    | ~ esk8661_4(X1,X2,X3,X4) )).

cnf(i_0_23433,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5922_4(X1,X2,X3,X4) )).

cnf(i_0_23434,axiom,
    ( ~ esk390_0
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_23435,axiom,
    ( ~ esk3008_4(X1,X2,X3,X4)
    | esk3002_4(X1,X2,X3,X4) )).

cnf(i_0_23436,axiom,
    ( esk589_0
    | ~ p(X4)
    | ~ esk8719_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_23437,axiom,
    ( ~ esk7682_4(X1,X2,X3,X4)
    | esk8055_4(X1,X2,X3,X4) )).

cnf(i_0_23438,axiom,
    ( esk8648_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23439,axiom,
    ( ~ esk6501_4(X1,X2,X3,X4)
    | esk6205_4(X1,X2,X3,X4)
    | ~ esk6204_4(X1,X2,X3,X4) )).

cnf(i_0_23440,axiom,
    ( ~ esk4288_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23441,axiom,
    ( ~ esk5364_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23442,axiom,
    ( ~ esk4535_4(X1,X2,X3,X4)
    | esk6635_4(X1,X2,X3,X4) )).

cnf(i_0_23443,axiom,
    ( ~ esk6291_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4)
    | esk6773_4(X1,X2,X3,X4) )).

cnf(i_0_23444,axiom,
    ( ~ esk4626_4(X1,X2,X3,X4)
    | esk4611_4(X1,X2,X3,X4) )).

cnf(i_0_23445,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X3)
    | esk9174_4(X1,X2,X3,X4)
    | ~ esk1121_0
    | p(X4) )).

cnf(i_0_23446,axiom,
    ( ~ esk6523_4(X1,X2,X3,X4)
    | esk6524_4(X1,X2,X3,X4) )).

cnf(i_0_23447,axiom,
    ( ~ esk6294_4(X1,X2,X3,X4)
    | esk6115_4(X1,X2,X3,X4) )).

cnf(i_0_23448,axiom,
    ( esk5769_4(X1,X2,X3,X4)
    | ~ esk5832_4(X1,X2,X3,X4) )).

cnf(i_0_23449,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk9033_4(X1,X2,X3,X4) )).

cnf(i_0_23450,axiom,
    ( ~ esk1779_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_23451,axiom,
    ( ~ esk9414_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23452,axiom,
    ( ~ esk7943_4(X1,X2,X3,X4)
    | esk8004_4(X1,X2,X3,X4) )).

cnf(i_0_23453,axiom,
    ( esk8068_4(X1,X2,X3,X4)
    | esk8067_4(X1,X2,X3,X4)
    | ~ esk8069_4(X1,X2,X3,X4) )).

cnf(i_0_23454,axiom,
    ( esk9635_4(X1,X2,X3,X4)
    | ~ esk9633_4(X1,X2,X3,X4) )).

cnf(i_0_23455,axiom,
    ( ~ esk8034_4(X1,X2,X3,X4)
    | esk8033_4(X1,X2,X3,X4) )).

cnf(i_0_23456,axiom,
    ( ~ esk6595_4(X1,X2,X3,X4)
    | esk6594_4(X1,X2,X3,X4) )).

cnf(i_0_23457,axiom,
    ( p(X4)
    | esk2815_4(X1,X2,X3,X4)
    | ~ esk1017_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_23458,axiom,
    ( ~ esk5076_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_23459,axiom,
    ( esk3381_4(X1,X2,X3,X4)
    | ~ esk3378_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_23460,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | esk1952_4(X1,X2,X3,X4)
    | ~ esk327_0 )).

cnf(i_0_23461,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | esk2551_4(X1,X2,X3,X4) )).

cnf(i_0_23462,axiom,
    ( ~ esk2977_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_23463,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ esk9083_4(X1,X2,X3,X4)
    | esk812_0
    | ~ p(X1) )).

cnf(i_0_23464,axiom,
    ( ~ esk7979_4(X1,X2,X3,X4)
    | esk9171_4(X1,X2,X3,X4) )).

cnf(i_0_23465,axiom,
    ( ~ esk2538_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_23466,axiom,
    ( ~ esk6733_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_23467,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk9462_4(X1,X2,X3,X4)
    | ~ esk9459_4(X1,X2,X3,X4) )).

cnf(i_0_23468,axiom,
    ( ~ esk9498_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_23469,axiom,
    ( esk9354_4(X1,X2,X3,X4)
    | esk9353_4(X1,X2,X3,X4)
    | ~ esk9355_4(X1,X2,X3,X4) )).

cnf(i_0_23470,axiom,
    ( p(X3)
    | esk8214_4(X1,X2,X3,X4)
    | ~ esk315_0
    | ~ p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_23471,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk4033_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_23472,axiom,
    ( esk2882_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk1147_0 )).

cnf(i_0_23473,axiom,
    ( esk4770_4(X1,X2,X3,X4)
    | ~ esk4771_4(X1,X2,X3,X4) )).

cnf(i_0_23474,axiom,
    ( esk7850_4(X1,X2,X3,X4)
    | ~ esk9215_4(X1,X2,X3,X4)
    | ~ esk7849_4(X1,X2,X3,X4) )).

cnf(i_0_23475,axiom,
    ( esk2640_4(X1,X2,X3,X4)
    | esk2641_4(X1,X2,X3,X4)
    | ~ esk2642_4(X1,X2,X3,X4) )).

cnf(i_0_23476,axiom,
    ( ~ esk3832_4(X1,X2,X3,X4)
    | esk3831_4(X1,X2,X3,X4) )).

cnf(i_0_23477,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | esk5100_4(X1,X2,X3,X4) )).

cnf(i_0_23478,axiom,
    ( ~ esk6783_4(X1,X2,X3,X4)
    | esk6784_4(X1,X2,X3,X4) )).

cnf(i_0_23479,axiom,
    ( ~ esk7817_4(X1,X2,X3,X4)
    | esk9212_4(X1,X2,X3,X4) )).

cnf(i_0_23480,axiom,
    ( esk4451_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4450_4(X1,X2,X3,X4) )).

cnf(i_0_23481,axiom,
    ( esk4563_4(X1,X2,X3,X4)
    | ~ esk4561_4(X1,X2,X3,X4) )).

cnf(i_0_23482,axiom,
    ( esk2141_4(X1,X2,X3,X4)
    | ~ esk2140_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23483,axiom,
    ( ~ esk6076_4(X1,X2,X3,X4)
    | ~ esk6404_4(X1,X2,X3,X4) )).

cnf(i_0_23484,axiom,
    ( esk4767_4(X1,X2,X3,X4)
    | ~ esk4766_4(X1,X2,X3,X4)
    | ~ esk4585_4(X1,X2,X3,X4) )).

cnf(i_0_23485,axiom,
    ( esk8079_4(X1,X2,X3,X4)
    | ~ esk8639_4(X1,X2,X3,X4)
    | ~ esk8078_4(X1,X2,X3,X4) )).

cnf(i_0_23486,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk1207_0
    | esk9194_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_23487,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk577_0
    | p(X3)
    | esk8717_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_23488,axiom,
    ( p(X3)
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk747_0 )).

cnf(i_0_23489,axiom,
    ( esk6110_4(X1,X2,X3,X4)
    | ~ esk6108_4(X1,X2,X3,X4) )).

cnf(i_0_23490,axiom,
    ( esk7315_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_23491,axiom,
    ( esk8571_4(X1,X2,X3,X4)
    | ~ esk8495_4(X1,X2,X3,X4)
    | ~ esk8570_4(X1,X2,X3,X4) )).

cnf(i_0_23492,axiom,
    ( ~ esk6318_4(X1,X2,X3,X4)
    | esk6319_4(X1,X2,X3,X4) )).

cnf(i_0_23493,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk455_0
    | esk2095_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_23494,axiom,
    ( esk3923_4(X1,X2,X3,X4)
    | ~ esk3933_4(X1,X2,X3,X4) )).

cnf(i_0_23495,axiom,
    ( ~ esk7892_4(X1,X2,X3,X4)
    | esk7891_4(X1,X2,X3,X4)
    | esk7890_4(X1,X2,X3,X4) )).

cnf(i_0_23496,axiom,
    ( ~ esk7785_4(X1,X2,X3,X4)
    | esk7787_4(X1,X2,X3,X4) )).

cnf(i_0_23497,axiom,
    ( ~ esk3766_4(X1,X2,X3,X4)
    | esk3767_4(X1,X2,X3,X4) )).

cnf(i_0_23498,axiom,
    ( esk8957_4(X1,X2,X3,X4)
    | ~ esk8959_4(X1,X2,X3,X4)
    | esk8958_4(X1,X2,X3,X4) )).

cnf(i_0_23499,axiom,
    ( esk6176_4(X1,X2,X3,X4)
    | ~ esk6175_4(X1,X2,X3,X4) )).

cnf(i_0_23500,axiom,
    ( esk5180_4(X1,X2,X3,X4)
    | esk5179_4(X1,X2,X3,X4)
    | ~ esk5181_4(X1,X2,X3,X4) )).

cnf(i_0_23501,axiom,
    ( ~ esk4362_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_23502,axiom,
    ( esk4449_4(X1,X2,X3,X4)
    | ~ esk4447_4(X1,X2,X3,X4) )).

cnf(i_0_23503,axiom,
    ( esk6613_4(X1,X2,X3,X4)
    | ~ esk6634_4(X1,X2,X3,X4) )).

cnf(i_0_23504,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk4564_4(X1,X2,X3,X4) )).

cnf(i_0_23505,axiom,
    ( ~ p(X3)
    | ~ esk861_0
    | esk9091_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_23506,axiom,
    ( ~ esk8240_4(X1,X2,X3,X4)
    | esk8274_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23507,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | esk2932_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_23508,axiom,
    ( ~ esk8893_4(X1,X2,X3,X4)
    | esk8892_4(X1,X2,X3,X4) )).

cnf(i_0_23509,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk5859_4(X1,X2,X3,X4) )).

cnf(i_0_23510,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4)
    | esk4148_4(X1,X2,X3,X4) )).

cnf(i_0_23511,axiom,
    ( ~ esk830_0
    | esk9087_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23512,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk2815_4(X1,X2,X3,X4)
    | esk1019_0 )).

cnf(i_0_23513,axiom,
    ( ~ esk6208_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23514,axiom,
    ( ~ esk9634_4(X1,X2,X3,X4)
    | esk8907_4(X1,X2,X3,X4) )).

cnf(i_0_23515,axiom,
    ( ~ esk4636_4(X1,X2,X3,X4)
    | esk4635_4(X1,X2,X3,X4)
    | esk4634_4(X1,X2,X3,X4) )).

cnf(i_0_23516,axiom,
    ( ~ esk5832_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_23517,axiom,
    ( ~ esk1926_4(X1,X2,X3,X4)
    | esk1927_4(X1,X2,X3,X4) )).

cnf(i_0_23518,axiom,
    ( p(X3)
    | esk1252_0
    | p(X1)
    | ~ p(X2)
    | ~ esk9214_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_23519,axiom,
    ( ~ esk8727_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | esk653_0 )).

cnf(i_0_23520,axiom,
    ( ~ esk6268_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_23521,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk9006_4(X1,X2,X3,X4)
    | ~ esk8838_4(X1,X2,X3,X4) )).

cnf(i_0_23522,axiom,
    ( ~ esk4338_4(X1,X2,X3,X4)
    | esk4303_4(X1,X2,X3,X4) )).

cnf(i_0_23523,axiom,
    ( ~ esk7049_4(X1,X2,X3,X4)
    | esk7050_4(X1,X2,X3,X4) )).

cnf(i_0_23524,axiom,
    ( ~ esk1676_4(X1,X2,X3,X4)
    | esk1674_4(X1,X2,X3,X4)
    | esk1675_4(X1,X2,X3,X4) )).

cnf(i_0_23525,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3764_4(X1,X2,X3,X4) )).

cnf(i_0_23526,axiom,
    ( esk8718_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4)
    | ~ esk8580_4(X1,X2,X3,X4) )).

cnf(i_0_23527,axiom,
    ( ~ esk9542_4(X1,X2,X3,X4)
    | esk9543_4(X1,X2,X3,X4) )).

cnf(i_0_23528,axiom,
    ( esk1986_4(X1,X2,X3,X4)
    | ~ esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_23529,axiom,
    ( ~ esk5223_4(X1,X2,X3,X4)
    | esk5209_4(X1,X2,X3,X4) )).

cnf(i_0_23530,axiom,
    ( ~ p(X3)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk1120_0 )).

cnf(i_0_23531,axiom,
    ( esk9649_4(X1,X2,X3,X4)
    | ~ esk9102_4(X1,X2,X3,X4)
    | ~ esk9648_4(X1,X2,X3,X4) )).

cnf(i_0_23532,axiom,
    ( esk5373_4(X1,X2,X3,X4)
    | ~ esk5372_4(X1,X2,X3,X4) )).

cnf(i_0_23533,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk4245_4(X1,X2,X3,X4) )).

cnf(i_0_23534,axiom,
    ( ~ esk79_0
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | esk1516_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_23535,axiom,
    ( ~ esk3485_4(X1,X2,X3,X4)
    | esk3855_4(X1,X2,X3,X4) )).

cnf(i_0_23536,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5122_4(X1,X2,X3,X4) )).

cnf(i_0_23537,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | ~ esk1421_4(X1,X2,X3,X4) )).

cnf(i_0_23538,axiom,
    ( ~ esk6649_4(X1,X2,X3,X4)
    | esk4549_4(X1,X2,X3,X4) )).

cnf(i_0_23539,axiom,
    ( p(X3)
    | ~ esk1641_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk96_0
    | p(X4)
    | p(X1) )).

cnf(i_0_23540,axiom,
    ( p(X4)
    | ~ esk2419_4(X1,X2,X3,X4)
    | p(X3)
    | esk1_0
    | p(X1)
    | p(X2) )).

cnf(i_0_23541,axiom,
    ( ~ esk2758_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_23542,axiom,
    ( ~ esk9090_4(X1,X2,X3,X4)
    | esk9113_4(X1,X2,X3,X4) )).

cnf(i_0_23543,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk9140_4(X1,X2,X3,X4) )).

cnf(i_0_23544,axiom,
    ( esk6055_4(X1,X2,X3,X4)
    | esk6054_4(X1,X2,X3,X4)
    | ~ esk6056_4(X1,X2,X3,X4) )).

cnf(i_0_23545,axiom,
    ( ~ esk386_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_23546,axiom,
    ( esk9703_4(X1,X2,X3,X4)
    | ~ esk9701_4(X1,X2,X3,X4) )).

cnf(i_0_23547,axiom,
    ( esk2925_4(X1,X2,X3,X4)
    | ~ esk2930_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_23548,axiom,
    ( esk3140_4(X1,X2,X3,X4)
    | ~ esk3139_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_23549,axiom,
    ( ~ esk1884_4(X1,X2,X3,X4)
    | esk2437_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_23550,axiom,
    ( ~ p(X2)
    | ~ esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1216_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_23551,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7365_4(X1,X2,X3,X4) )).

cnf(i_0_23552,axiom,
    ( p(X1)
    | ~ esk9085_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | esk820_0 )).

cnf(i_0_23553,axiom,
    ( esk5053_4(X1,X2,X3,X4)
    | esk3586_4(X1,X2,X3,X4) )).

cnf(i_0_23554,axiom,
    ( esk6849_4(X1,X2,X3,X4)
    | ~ esk6850_4(X1,X2,X3,X4) )).

cnf(i_0_23555,axiom,
    ( ~ esk1785_4(X1,X2,X3,X4)
    | ~ esk2346_4(X1,X2,X3,X4)
    | esk1786_4(X1,X2,X3,X4) )).

cnf(i_0_23556,axiom,
    ( esk8855_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_23557,axiom,
    ( esk6150_4(X1,X2,X3,X4)
    | ~ esk7480_4(X1,X2,X3,X4) )).

cnf(i_0_23558,axiom,
    ( ~ esk2081_4(X1,X2,X3,X4)
    | esk2017_4(X1,X2,X3,X4) )).

cnf(i_0_23559,axiom,
    ( ~ esk3005_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23560,axiom,
    ( p(X1)
    | ~ esk621_0
    | ~ p(X3)
    | p(X2)
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_23561,axiom,
    ( ~ esk3701_4(X1,X2,X3,X4)
    | esk3609_4(X1,X2,X3,X4) )).

cnf(i_0_23562,axiom,
    ( ~ esk2690_4(X1,X2,X3,X4)
    | esk2688_4(X1,X2,X3,X4)
    | esk2689_4(X1,X2,X3,X4) )).

cnf(i_0_23563,axiom,
    ( ~ p(X4)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1157_0 )).

cnf(i_0_23564,axiom,
    ( esk8061_4(X1,X2,X3,X4)
    | ~ esk9202_4(X1,X2,X3,X4) )).

cnf(i_0_23565,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7303_4(X1,X2,X3,X4) )).

cnf(i_0_23566,axiom,
    ( ~ esk8438_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_23567,axiom,
    ( esk6593_4(X1,X2,X3,X4)
    | ~ esk6624_4(X1,X2,X3,X4) )).

cnf(i_0_23568,axiom,
    ( ~ esk2133_4(X1,X2,X3,X4)
    | ~ esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_23569,axiom,
    ( ~ esk6948_4(X1,X2,X3,X4)
    | esk6949_4(X1,X2,X3,X4) )).

cnf(i_0_23570,axiom,
    ( ~ esk8526_4(X1,X2,X3,X4)
    | ~ esk8669_4(X1,X2,X3,X4)
    | esk8670_4(X1,X2,X3,X4) )).

cnf(i_0_23571,axiom,
    ( esk6190_4(X1,X2,X3,X4)
    | ~ esk6191_4(X1,X2,X3,X4)
    | esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_23572,axiom,
    ( esk8685_4(X1,X2,X3,X4)
    | esk8184_4(X1,X2,X3,X4) )).

cnf(i_0_23573,axiom,
    ( ~ esk9176_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk1130_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_23574,axiom,
    ( ~ esk8673_4(X1,X2,X3,X4)
    | esk8674_4(X1,X2,X3,X4)
    | ~ esk8596_4(X1,X2,X3,X4) )).

cnf(i_0_23575,axiom,
    ( ~ esk5733_4(X1,X2,X3,X4)
    | esk5951_4(X1,X2,X3,X4) )).

cnf(i_0_23576,axiom,
    ( ~ esk8543_4(X1,X2,X3,X4)
    | esk8390_4(X1,X2,X3,X4) )).

cnf(i_0_23577,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1814_4(X1,X2,X3,X4) )).

cnf(i_0_23578,axiom,
    ( esk3382_4(X1,X2,X3,X4)
    | ~ esk2733_4(X1,X2,X3,X4) )).

cnf(i_0_23579,axiom,
    ( ~ esk7027_4(X1,X2,X3,X4)
    | ~ esk6917_4(X1,X2,X3,X4) )).

cnf(i_0_23580,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | esk401_0
    | ~ esk2022_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_23581,axiom,
    ( ~ esk2467_4(X1,X2,X3,X4)
    | esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_23582,axiom,
    ( ~ esk424_0
    | p(X2)
    | p(X4)
    | esk2061_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_23583,axiom,
    ( ~ esk9472_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23584,axiom,
    ( esk3435_4(X1,X2,X3,X4)
    | esk2825_4(X1,X2,X3,X4)
    | ~ esk3436_4(X1,X2,X3,X4) )).

cnf(i_0_23585,axiom,
    ( esk6179_4(X1,X2,X3,X4)
    | esk6177_4(X1,X2,X3,X4)
    | ~ esk6180_4(X1,X2,X3,X4)
    | esk6178_4(X1,X2,X3,X4) )).

cnf(i_0_23586,axiom,
    ( p(X3)
    | p(X1)
    | esk651_0
    | p(X4)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_23587,axiom,
    ( ~ esk7120_4(X1,X2,X3,X4)
    | esk5020_4(X1,X2,X3,X4) )).

cnf(i_0_23588,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | esk7601_4(X1,X2,X3,X4) )).

cnf(i_0_23589,axiom,
    ( ~ esk3305_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_23590,axiom,
    ( esk514_0
    | p(X1)
    | ~ esk8585_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_23591,axiom,
    ( esk3250_4(X1,X2,X3,X4)
    | ~ esk3249_4(X1,X2,X3,X4) )).

cnf(i_0_23592,axiom,
    ( esk2413_4(X1,X2,X3,X4)
    | ~ esk2415_4(X1,X2,X3,X4)
    | esk2414_4(X1,X2,X3,X4) )).

cnf(i_0_23593,axiom,
    ( ~ p(X2)
    | ~ esk9186_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | esk1177_0
    | p(X4) )).

cnf(i_0_23594,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk9194_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1205_0
    | p(X2) )).

cnf(i_0_23595,axiom,
    ( ~ esk6766_4(X1,X2,X3,X4)
    | esk6768_4(X1,X2,X3,X4) )).

cnf(i_0_23596,axiom,
    ( ~ esk3353_4(X1,X2,X3,X4)
    | esk3354_4(X1,X2,X3,X4) )).

cnf(i_0_23597,axiom,
    ( esk4908_4(X1,X2,X3,X4)
    | esk4662_4(X1,X2,X3,X4) )).

cnf(i_0_23598,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2404_4(X1,X2,X3,X4) )).

cnf(i_0_23599,axiom,
    ( ~ esk6063_4(X1,X2,X3,X4)
    | esk6065_4(X1,X2,X3,X4) )).

cnf(i_0_23600,axiom,
    ( esk7888_4(X1,X2,X3,X4)
    | ~ esk7886_4(X1,X2,X3,X4) )).

cnf(i_0_23601,axiom,
    ( ~ esk8074_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23602,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk1105_0
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_23603,axiom,
    ( ~ esk9118_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_23604,axiom,
    ( ~ esk9204_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3)
    | esk1218_0
    | p(X2) )).

cnf(i_0_23605,axiom,
    ( ~ esk7261_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_23606,axiom,
    ( esk3094_4(X1,X2,X3,X4)
    | ~ esk3097_4(X1,X2,X3,X4) )).

cnf(i_0_23607,axiom,
    ( ~ esk468_0
    | p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | esk2173_4(X1,X2,X3,X4) )).

cnf(i_0_23608,axiom,
    ( ~ esk2207_4(X1,X2,X3,X4)
    | esk2206_4(X1,X2,X3,X4) )).

cnf(i_0_23609,axiom,
    ( esk2806_4(X1,X2,X3,X4)
    | ~ esk4906_4(X1,X2,X3,X4) )).

cnf(i_0_23610,axiom,
    ( ~ esk6972_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_23611,axiom,
    ( esk5210_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23612,axiom,
    ( ~ esk3694_4(X1,X2,X3,X4)
    | esk4984_4(X1,X2,X3,X4) )).

cnf(i_0_23613,axiom,
    ( esk7463_4(X1,X2,X3,X4)
    | ~ esk7464_4(X1,X2,X3,X4)
    | esk7462_4(X1,X2,X3,X4) )).

cnf(i_0_23614,axiom,
    ( p(X1)
    | esk1113_0
    | p(X3)
    | ~ esk2878_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_23615,axiom,
    ( esk3700_4(X1,X2,X3,X4)
    | ~ esk3702_4(X1,X2,X3,X4)
    | esk3701_4(X1,X2,X3,X4) )).

cnf(i_0_23616,axiom,
    ( esk3784_4(X1,X2,X3,X4)
    | ~ esk4670_4(X1,X2,X3,X4) )).

cnf(i_0_23617,axiom,
    ( p(X3)
    | ~ esk8723_4(X1,X2,X3,X4)
    | p(X1)
    | esk619_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_23618,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk7331_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_23619,axiom,
    ( esk5377_4(X1,X2,X3,X4)
    | ~ esk4518_4(X1,X2,X3,X4) )).

cnf(i_0_23620,axiom,
    ( ~ esk1489_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_23621,axiom,
    ( esk6631_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk6287_4(X1,X2,X3,X4) )).

cnf(i_0_23622,axiom,
    ( esk7319_4(X1,X2,X3,X4)
    | ~ esk7316_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_23623,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3053_4(X1,X2,X3,X4) )).

cnf(i_0_23624,axiom,
    ( esk6477_4(X1,X2,X3,X4)
    | ~ esk6441_4(X1,X2,X3,X4)
    | ~ esk6621_4(X1,X2,X3,X4) )).

cnf(i_0_23625,axiom,
    ( esk7666_4(X1,X2,X3,X4)
    | ~ esk7944_4(X1,X2,X3,X4) )).

cnf(i_0_23626,axiom,
    ( esk9239_4(X1,X2,X3,X4)
    | ~ esk7926_4(X1,X2,X3,X4) )).

cnf(i_0_23627,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk2089_4(X1,X2,X3,X4) )).

cnf(i_0_23628,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk2427_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk622_0 )).

cnf(i_0_23629,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | esk7625_4(X1,X2,X3,X4) )).

cnf(i_0_23630,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3359_4(X1,X2,X3,X4) )).

cnf(i_0_23631,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1767_4(X1,X2,X3,X4) )).

cnf(i_0_23632,axiom,
    ( ~ esk7906_4(X1,X2,X3,X4)
    | esk9205_4(X1,X2,X3,X4) )).

cnf(i_0_23633,axiom,
    ( esk6915_4(X1,X2,X3,X4)
    | esk6914_4(X1,X2,X3,X4)
    | ~ esk6916_4(X1,X2,X3,X4) )).

cnf(i_0_23634,axiom,
    ( ~ esk7129_4(X1,X2,X3,X4)
    | esk9229_4(X1,X2,X3,X4) )).

cnf(i_0_23635,axiom,
    ( esk6285_4(X1,X2,X3,X4)
    | ~ esk6631_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4) )).

cnf(i_0_23636,axiom,
    ( ~ esk5121_4(X1,X2,X3,X4)
    | esk5124_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_23637,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | esk1007_0
    | ~ esk9109_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23638,axiom,
    ( ~ esk5347_4(X1,X2,X3,X4)
    | esk5341_4(X1,X2,X3,X4) )).

cnf(i_0_23639,axiom,
    ( ~ p(X4)
    | esk442_0
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_23640,axiom,
    ( ~ esk4747_4(X1,X2,X3,X4)
    | esk4749_4(X1,X2,X3,X4) )).

cnf(i_0_23641,axiom,
    ( ~ esk8922_4(X1,X2,X3,X4)
    | esk8923_4(X1,X2,X3,X4) )).

cnf(i_0_23642,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk9238_4(X1,X2,X3,X4)
    | ~ esk1302_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_23643,axiom,
    ( ~ esk5976_4(X1,X2,X3,X4)
    | esk5975_4(X1,X2,X3,X4) )).

cnf(i_0_23644,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4816_4(X1,X2,X3,X4) )).

cnf(i_0_23645,axiom,
    ( esk7835_4(X1,X2,X3,X4)
    | ~ esk7836_4(X1,X2,X3,X4)
    | esk7834_4(X1,X2,X3,X4) )).

cnf(i_0_23646,axiom,
    ( ~ esk1663_4(X1,X2,X3,X4)
    | esk1664_4(X1,X2,X3,X4) )).

cnf(i_0_23647,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3564_4(X1,X2,X3,X4) )).

cnf(i_0_23648,axiom,
    ( esk9575_4(X1,X2,X3,X4)
    | ~ esk9576_4(X1,X2,X3,X4)
    | esk9573_4(X1,X2,X3,X4) )).

cnf(i_0_23649,axiom,
    ( ~ p(X4)
    | ~ esk818_0
    | esk9085_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_23650,axiom,
    ( esk3156_4(X1,X2,X3,X4)
    | esk3157_4(X1,X2,X3,X4)
    | ~ esk3158_4(X1,X2,X3,X4) )).

cnf(i_0_23651,axiom,
    ( ~ esk4898_4(X1,X2,X3,X4)
    | esk4768_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_23652,axiom,
    ( ~ esk3550_4(X1,X2,X3,X4)
    | esk4580_4(X1,X2,X3,X4) )).

cnf(i_0_23653,axiom,
    ( ~ esk4126_4(X1,X2,X3,X4)
    | esk4127_4(X1,X2,X3,X4) )).

cnf(i_0_23654,axiom,
    ( ~ esk8170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk295_0 )).

cnf(i_0_23655,axiom,
    ( ~ esk3282_4(X1,X2,X3,X4)
    | esk3285_4(X1,X2,X3,X4) )).

cnf(i_0_23656,axiom,
    ( esk8255_4(X1,X2,X3,X4)
    | ~ esk7713_4(X1,X2,X3,X4) )).

cnf(i_0_23657,axiom,
    ( esk9591_4(X1,X2,X3,X4)
    | ~ esk9594_4(X1,X2,X3,X4) )).

cnf(i_0_23658,axiom,
    ( ~ esk1956_4(X1,X2,X3,X4)
    | esk1361_4(X1,X2,X3,X4) )).

cnf(i_0_23659,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3255_4(X1,X2,X3,X4) )).

cnf(i_0_23660,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk9218_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1273_0 )).

cnf(i_0_23661,axiom,
    ( esk4801_4(X1,X2,X3,X4)
    | ~ esk5495_4(X1,X2,X3,X4) )).

cnf(i_0_23662,axiom,
    ( p(X1)
    | esk728_0
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_23663,axiom,
    ( ~ esk8394_4(X1,X2,X3,X4)
    | esk7678_4(X1,X2,X3,X4) )).

cnf(i_0_23664,axiom,
    ( esk6482_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23665,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | ~ esk2861_4(X1,X2,X3,X4) )).

cnf(i_0_23666,axiom,
    ( esk2135_4(X1,X2,X3,X4)
    | ~ esk2486_4(X1,X2,X3,X4) )).

cnf(i_0_23667,axiom,
    ( esk8398_4(X1,X2,X3,X4)
    | ~ esk8396_4(X1,X2,X3,X4) )).

cnf(i_0_23668,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8268_4(X1,X2,X3,X4)
    | esk8269_4(X1,X2,X3,X4) )).

cnf(i_0_23669,axiom,
    ( esk8553_4(X1,X2,X3,X4)
    | ~ esk8590_4(X1,X2,X3,X4) )).

cnf(i_0_23670,axiom,
    ( ~ esk3228_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23671,axiom,
    ( ~ esk5845_4(X1,X2,X3,X4)
    | esk5901_4(X1,X2,X3,X4) )).

cnf(i_0_23672,axiom,
    ( esk5456_4(X1,X2,X3,X4)
    | ~ esk5457_4(X1,X2,X3,X4)
    | esk5455_4(X1,X2,X3,X4) )).

cnf(i_0_23673,axiom,
    ( p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk1_0
    | p(X1) )).

cnf(i_0_23674,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7219_4(X1,X2,X3,X4) )).

cnf(i_0_23675,axiom,
    ( ~ esk2332_4(X1,X2,X3,X4)
    | esk2331_4(X1,X2,X3,X4) )).

cnf(i_0_23676,axiom,
    ( ~ esk4953_4(X1,X2,X3,X4)
    | esk2853_4(X1,X2,X3,X4) )).

cnf(i_0_23677,axiom,
    ( ~ esk4133_4(X1,X2,X3,X4)
    | esk4132_4(X1,X2,X3,X4) )).

cnf(i_0_23678,axiom,
    ( ~ esk2797_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk885_0
    | p(X3) )).

cnf(i_0_23679,axiom,
    ( esk1529_4(X1,X2,X3,X4)
    | ~ esk1527_4(X1,X2,X3,X4) )).

cnf(i_0_23680,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk204_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_23681,axiom,
    ( esk6353_4(X1,X2,X3,X4)
    | ~ esk6567_4(X1,X2,X3,X4) )).

cnf(i_0_23682,axiom,
    ( ~ esk7585_4(X1,X2,X3,X4)
    | esk7586_4(X1,X2,X3,X4)
    | ~ esk6896_4(X1,X2,X3,X4) )).

cnf(i_0_23683,axiom,
    ( esk8168_4(X1,X2,X3,X4)
    | ~ esk7733_4(X1,X2,X3,X4) )).

cnf(i_0_23684,axiom,
    ( ~ esk5011_4(X1,X2,X3,X4)
    | esk4551_4(X1,X2,X3,X4) )).

cnf(i_0_23685,axiom,
    ( ~ esk3561_4(X1,X2,X3,X4)
    | esk3563_4(X1,X2,X3,X4) )).

cnf(i_0_23686,axiom,
    ( ~ esk610_0
    | p(X2)
    | esk2425_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_23687,axiom,
    ( ~ esk2242_4(X1,X2,X3,X4)
    | ~ esk2425_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_23688,axiom,
    ( esk9391_4(X1,X2,X3,X4)
    | ~ esk9390_4(X1,X2,X3,X4) )).

cnf(i_0_23689,axiom,
    ( esk4453_4(X1,X2,X3,X4)
    | ~ esk4451_4(X1,X2,X3,X4) )).

cnf(i_0_23690,axiom,
    ( p(X2)
    | p(X1)
    | esk66_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk7774_4(X1,X2,X3,X4) )).

cnf(i_0_23691,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3079_4(X1,X2,X3,X4) )).

cnf(i_0_23692,axiom,
    ( ~ esk5403_4(X1,X2,X3,X4)
    | esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_23693,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk8388_4(X1,X2,X3,X4)
    | esk452_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23694,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4184_4(X1,X2,X3,X4)
    | ~ esk4532_4(X1,X2,X3,X4) )).

cnf(i_0_23695,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | esk7008_4(X1,X2,X3,X4) )).

cnf(i_0_23696,axiom,
    ( ~ esk2449_4(X1,X2,X3,X4)
    | esk1992_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_23697,axiom,
    ( ~ esk3041_4(X1,X2,X3,X4)
    | esk3042_4(X1,X2,X3,X4) )).

cnf(i_0_23698,axiom,
    ( esk1801_4(X1,X2,X3,X4)
    | ~ esk1802_4(X1,X2,X3,X4) )).

cnf(i_0_23699,axiom,
    ( esk5380_4(X1,X2,X3,X4)
    | ~ esk4639_4(X1,X2,X3,X4) )).

cnf(i_0_23700,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk85_0 )).

cnf(i_0_23701,axiom,
    ( ~ esk1713_4(X1,X2,X3,X4)
    | esk1463_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_23702,axiom,
    ( ~ esk2146_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23703,axiom,
    ( ~ esk8383_4(X1,X2,X3,X4)
    | esk8353_4(X1,X2,X3,X4) )).

cnf(i_0_23704,axiom,
    ( esk9728_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_23705,axiom,
    ( ~ esk9283_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4)
    | esk9286_4(X1,X2,X3,X4) )).

cnf(i_0_23706,axiom,
    ( ~ esk1478_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk74_0 )).

cnf(i_0_23707,axiom,
    ( esk9178_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1150_0
    | ~ p(X3) )).

cnf(i_0_23708,axiom,
    ( ~ esk8431_4(X1,X2,X3,X4)
    | esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_23709,axiom,
    ( esk9535_4(X1,X2,X3,X4)
    | ~ esk9534_4(X1,X2,X3,X4) )).

cnf(i_0_23710,axiom,
    ( ~ esk2144_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2145_4(X1,X2,X3,X4) )).

cnf(i_0_23711,axiom,
    ( esk2588_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2587_4(X1,X2,X3,X4) )).

cnf(i_0_23712,axiom,
    ( ~ esk5168_4(X1,X2,X3,X4)
    | esk5169_4(X1,X2,X3,X4) )).

cnf(i_0_23713,axiom,
    ( esk9273_4(X1,X2,X3,X4)
    | ~ esk9272_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_23714,axiom,
    ( ~ esk3778_4(X1,X2,X3,X4)
    | esk3474_4(X1,X2,X3,X4) )).

cnf(i_0_23715,axiom,
    ( ~ esk9641_4(X1,X2,X3,X4)
    | esk9643_4(X1,X2,X3,X4) )).

cnf(i_0_23716,axiom,
    ( esk7780_4(X1,X2,X3,X4)
    | esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_23717,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk8585_4(X1,X2,X3,X4)
    | esk517_0 )).

cnf(i_0_23718,axiom,
    ( ~ esk2299_4(X1,X2,X3,X4)
    | esk2297_4(X1,X2,X3,X4)
    | esk2298_4(X1,X2,X3,X4) )).

cnf(i_0_23719,axiom,
    ( esk2378_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk1912_4(X1,X2,X3,X4) )).

cnf(i_0_23720,axiom,
    ( ~ esk5652_4(X1,X2,X3,X4)
    | esk5651_4(X1,X2,X3,X4) )).

cnf(i_0_23721,axiom,
    ( esk6895_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_23722,axiom,
    ( esk8964_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_23723,axiom,
    ( ~ esk5524_4(X1,X2,X3,X4)
    | esk5525_4(X1,X2,X3,X4) )).

cnf(i_0_23724,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ esk9176_4(X1,X2,X3,X4)
    | p(X1)
    | esk1134_0 )).

cnf(i_0_23725,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9708_4(X1,X2,X3,X4) )).

cnf(i_0_23726,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ esk661_0
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_23727,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk945_0
    | ~ p(X1)
    | ~ esk2805_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_23728,axiom,
    ( ~ esk7948_4(X1,X2,X3,X4)
    | esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_23729,axiom,
    ( ~ esk9709_4(X1,X2,X3,X4)
    | esk9711_4(X1,X2,X3,X4) )).

cnf(i_0_23730,axiom,
    ( esk4985_4(X1,X2,X3,X4)
    | ~ esk3692_4(X1,X2,X3,X4) )).

cnf(i_0_23731,axiom,
    ( esk2991_4(X1,X2,X3,X4)
    | ~ esk2992_4(X1,X2,X3,X4) )).

cnf(i_0_23732,axiom,
    ( esk6923_4(X1,X2,X3,X4)
    | ~ esk6925_4(X1,X2,X3,X4)
    | esk6924_4(X1,X2,X3,X4) )).

cnf(i_0_23733,axiom,
    ( ~ esk8095_4(X1,X2,X3,X4)
    | esk8097_4(X1,X2,X3,X4) )).

cnf(i_0_23734,axiom,
    ( ~ esk3712_4(X1,X2,X3,X4)
    | esk3714_4(X1,X2,X3,X4) )).

cnf(i_0_23735,axiom,
    ( esk4914_4(X1,X2,X3,X4)
    | esk5534_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_23736,axiom,
    ( ~ esk7165_4(X1,X2,X3,X4)
    | ~ esk7160_4(X1,X2,X3,X4)
    | esk7166_4(X1,X2,X3,X4) )).

cnf(i_0_23737,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | esk8503_4(X1,X2,X3,X4) )).

cnf(i_0_23738,axiom,
    ( ~ esk5722_4(X1,X2,X3,X4)
    | esk5898_4(X1,X2,X3,X4) )).

cnf(i_0_23739,axiom,
    ( ~ esk4711_4(X1,X2,X3,X4)
    | esk4710_4(X1,X2,X3,X4) )).

cnf(i_0_23740,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | esk8057_4(X1,X2,X3,X4) )).

cnf(i_0_23741,axiom,
    ( esk3874_4(X1,X2,X3,X4)
    | ~ esk3939_4(X1,X2,X3,X4) )).

cnf(i_0_23742,axiom,
    ( ~ esk6074_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4)
    | esk6660_4(X1,X2,X3,X4) )).

cnf(i_0_23743,axiom,
    ( ~ esk5259_4(X1,X2,X3,X4)
    | esk5261_4(X1,X2,X3,X4) )).

cnf(i_0_23744,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | ~ esk1_0
    | esk2952_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_23745,axiom,
    ( ~ esk9284_4(X1,X2,X3,X4)
    | ~ esk8115_4(X1,X2,X3,X4) )).

cnf(i_0_23746,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5116_4(X1,X2,X3,X4) )).

cnf(i_0_23747,axiom,
    ( esk8372_4(X1,X2,X3,X4)
    | ~ esk8370_4(X1,X2,X3,X4) )).

cnf(i_0_23748,axiom,
    ( ~ esk6135_4(X1,X2,X3,X4)
    | esk6431_4(X1,X2,X3,X4) )).

cnf(i_0_23749,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5924_4(X1,X2,X3,X4) )).

cnf(i_0_23750,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6197_4(X1,X2,X3,X4) )).

cnf(i_0_23751,axiom,
    ( ~ esk7257_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23752,axiom,
    ( ~ esk3282_4(X1,X2,X3,X4)
    | esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_23753,axiom,
    ( ~ esk2809_4(X1,X2,X3,X4)
    | ~ esk2129_4(X1,X2,X3,X4) )).

cnf(i_0_23754,axiom,
    ( ~ esk2075_4(X1,X2,X3,X4)
    | esk2073_4(X1,X2,X3,X4)
    | esk2074_4(X1,X2,X3,X4) )).

cnf(i_0_23755,axiom,
    ( p(X4)
    | ~ esk1_0
    | p(X1)
    | p(X2)
    | p(X3)
    | esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_23756,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3715_4(X1,X2,X3,X4) )).

cnf(i_0_23757,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4132_4(X1,X2,X3,X4) )).

cnf(i_0_23758,axiom,
    ( ~ esk6633_4(X1,X2,X3,X4)
    | esk6565_4(X1,X2,X3,X4) )).

cnf(i_0_23759,axiom,
    ( esk1563_4(X1,X2,X3,X4)
    | ~ esk1562_4(X1,X2,X3,X4) )).

cnf(i_0_23760,axiom,
    ( ~ esk4714_4(X1,X2,X3,X4)
    | ~ esk4904_4(X1,X2,X3,X4)
    | esk4715_4(X1,X2,X3,X4) )).

cnf(i_0_23761,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk7734_4(X1,X2,X3,X4) )).

cnf(i_0_23762,axiom,
    ( esk6085_4(X1,X2,X3,X4)
    | ~ esk6588_4(X1,X2,X3,X4) )).

cnf(i_0_23763,axiom,
    ( ~ esk5480_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_23764,axiom,
    ( esk5217_4(X1,X2,X3,X4)
    | ~ esk5220_4(X1,X2,X3,X4) )).

cnf(i_0_23765,axiom,
    ( p(X2)
    | p(X4)
    | ~ p(X3)
    | esk1258_0
    | ~ p(X1)
    | ~ esk9214_4(X1,X2,X3,X4) )).

cnf(i_0_23766,axiom,
    ( ~ esk2213_4(X1,X2,X3,X4)
    | esk1378_4(X1,X2,X3,X4) )).

cnf(i_0_23767,axiom,
    ( ~ esk3178_4(X1,X2,X3,X4)
    | esk3176_4(X1,X2,X3,X4)
    | esk3177_4(X1,X2,X3,X4) )).

cnf(i_0_23768,axiom,
    ( ~ esk3068_4(X1,X2,X3,X4)
    | esk3054_4(X1,X2,X3,X4) )).

cnf(i_0_23769,axiom,
    ( ~ esk294_0
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | esk1874_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_23770,axiom,
    ( esk5379_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_23771,axiom,
    ( ~ esk9674_4(X1,X2,X3,X4)
    | esk9675_4(X1,X2,X3,X4) )).

cnf(i_0_23772,axiom,
    ( esk9424_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23773,axiom,
    ( ~ esk5021_4(X1,X2,X3,X4)
    | esk2921_4(X1,X2,X3,X4) )).

cnf(i_0_23774,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | esk665_0
    | p(X1)
    | ~ esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_23775,axiom,
    ( ~ esk2644_4(X1,X2,X3,X4)
    | esk2643_4(X1,X2,X3,X4) )).

cnf(i_0_23776,axiom,
    ( esk5877_4(X1,X2,X3,X4)
    | esk6732_4(X1,X2,X3,X4) )).

cnf(i_0_23777,axiom,
    ( ~ esk9456_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23778,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3025_4(X1,X2,X3,X4) )).

cnf(i_0_23779,axiom,
    ( ~ esk7030_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4)
    | esk7037_4(X1,X2,X3,X4) )).

cnf(i_0_23780,axiom,
    ( ~ esk1685_4(X1,X2,X3,X4)
    | esk2886_4(X1,X2,X3,X4) )).

cnf(i_0_23781,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk9214_4(X1,X2,X3,X4)
    | esk1253_0 )).

cnf(i_0_23782,axiom,
    ( ~ esk7881_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_23783,axiom,
    ( ~ esk6674_4(X1,X2,X3,X4)
    | esk6697_4(X1,X2,X3,X4) )).

cnf(i_0_23784,axiom,
    ( esk5501_4(X1,X2,X3,X4)
    | ~ esk5500_4(X1,X2,X3,X4) )).

cnf(i_0_23785,axiom,
    ( ~ esk6536_4(X1,X2,X3,X4)
    | ~ esk6223_4(X1,X2,X3,X4)
    | esk6224_4(X1,X2,X3,X4) )).

cnf(i_0_23786,axiom,
    ( ~ esk3971_4(X1,X2,X3,X4)
    | esk3958_4(X1,X2,X3,X4) )).

cnf(i_0_23787,axiom,
    ( esk6073_4(X1,X2,X3,X4)
    | esk7484_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_23788,axiom,
    ( ~ esk8185_4(X1,X2,X3,X4)
    | ~ esk8315_4(X1,X2,X3,X4) )).

cnf(i_0_23789,axiom,
    ( esk6200_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23790,axiom,
    ( ~ esk6987_4(X1,X2,X3,X4)
    | ~ esk6825_4(X1,X2,X3,X4)
    | esk6826_4(X1,X2,X3,X4) )).

cnf(i_0_23791,axiom,
    ( esk2897_4(X1,X2,X3,X4)
    | ~ esk4997_4(X1,X2,X3,X4) )).

cnf(i_0_23792,axiom,
    ( ~ esk4416_4(X1,X2,X3,X4)
    | ~ esk4518_4(X1,X2,X3,X4)
    | esk4010_4(X1,X2,X3,X4) )).

cnf(i_0_23793,axiom,
    ( ~ esk3395_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_23794,axiom,
    ( esk6438_4(X1,X2,X3,X4)
    | ~ esk6439_4(X1,X2,X3,X4)
    | esk6437_4(X1,X2,X3,X4)
    | esk6436_4(X1,X2,X3,X4) )).

cnf(i_0_23795,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk3185_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_23796,axiom,
    ( ~ esk6736_4(X1,X2,X3,X4)
    | ~ esk7011_4(X1,X2,X3,X4)
    | esk6737_4(X1,X2,X3,X4) )).

cnf(i_0_23797,axiom,
    ( ~ esk9119_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_23798,axiom,
    ( esk5708_4(X1,X2,X3,X4)
    | ~ esk5800_4(X1,X2,X3,X4) )).

cnf(i_0_23799,axiom,
    ( p(X3)
    | ~ p(X1)
    | p(X2)
    | ~ esk776_0
    | p(X4)
    | esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_23800,axiom,
    ( esk9707_4(X1,X2,X3,X4)
    | ~ esk9705_4(X1,X2,X3,X4) )).

cnf(i_0_23801,axiom,
    ( esk6083_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4)
    | esk6253_4(X1,X2,X3,X4) )).

cnf(i_0_23802,axiom,
    ( ~ esk9277_4(X1,X2,X3,X4)
    | esk9276_4(X1,X2,X3,X4) )).

cnf(i_0_23803,axiom,
    ( ~ esk2819_4(X1,X2,X3,X4)
    | esk2451_4(X1,X2,X3,X4)
    | esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_23804,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | esk8658_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23805,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk2529_4(X1,X2,X3,X4)
    | esk2530_4(X1,X2,X3,X4) )).

cnf(i_0_23806,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk2787_4(X1,X2,X3,X4)
    | ~ esk800_0
    | p(X1) )).

cnf(i_0_23807,axiom,
    ( esk6921_4(X1,X2,X3,X4)
    | ~ esk6919_4(X1,X2,X3,X4) )).

cnf(i_0_23808,axiom,
    ( esk9259_4(X1,X2,X3,X4)
    | ~ esk9258_4(X1,X2,X3,X4) )).

cnf(i_0_23809,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9014_4(X1,X2,X3,X4) )).

cnf(i_0_23810,axiom,
    ( esk2408_4(X1,X2,X3,X4)
    | ~ esk2409_4(X1,X2,X3,X4) )).

cnf(i_0_23811,axiom,
    ( ~ esk2235_4(X1,X2,X3,X4)
    | esk2234_4(X1,X2,X3,X4) )).

cnf(i_0_23812,axiom,
    ( esk1671_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk128_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_23813,axiom,
    ( p(X3)
    | ~ esk443_0
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_23814,axiom,
    ( ~ esk2572_4(X1,X2,X3,X4)
    | ~ esk2475_4(X1,X2,X3,X4) )).

cnf(i_0_23815,axiom,
    ( p(X2)
    | esk890_0
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X4) )).

cnf(i_0_23816,axiom,
    ( ~ esk4522_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | esk4380_4(X1,X2,X3,X4) )).

cnf(i_0_23817,axiom,
    ( esk9656_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_23818,axiom,
    ( ~ esk2085_4(X1,X2,X3,X4)
    | esk2088_4(X1,X2,X3,X4) )).

cnf(i_0_23819,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8415_4(X1,X2,X3,X4) )).

cnf(i_0_23820,axiom,
    ( p(X4)
    | esk2453_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk741_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_23821,axiom,
    ( ~ p(X1)
    | esk689_0
    | ~ esk2435_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3) )).

cnf(i_0_23822,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk4177_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23823,axiom,
    ( esk403_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2022_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_23824,axiom,
    ( ~ esk1517_4(X1,X2,X3,X4)
    | esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_23825,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk568_0
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_23826,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4436_4(X1,X2,X3,X4) )).

cnf(i_0_23827,axiom,
    ( esk6197_4(X1,X2,X3,X4)
    | esk6198_4(X1,X2,X3,X4)
    | ~ esk6199_4(X1,X2,X3,X4) )).

cnf(i_0_23828,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8126_4(X1,X2,X3,X4) )).

cnf(i_0_23829,axiom,
    ( esk2882_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ esk1145_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_23830,axiom,
    ( ~ esk2135_4(X1,X2,X3,X4)
    | esk1380_4(X1,X2,X3,X4) )).

cnf(i_0_23831,axiom,
    ( ~ esk3781_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_23832,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4837_4(X1,X2,X3,X4) )).

cnf(i_0_23833,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3215_4(X1,X2,X3,X4) )).

cnf(i_0_23834,axiom,
    ( ~ esk5200_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_23835,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2803_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk924_0 )).

cnf(i_0_23836,axiom,
    ( esk378_0
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ esk1995_4(X1,X2,X3,X4) )).

cnf(i_0_23837,axiom,
    ( esk2779_4(X1,X2,X3,X4)
    | ~ esk2778_4(X1,X2,X3,X4) )).

cnf(i_0_23838,axiom,
    ( esk6836_4(X1,X2,X3,X4)
    | ~ esk6835_4(X1,X2,X3,X4) )).

cnf(i_0_23839,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk171_0 )).

cnf(i_0_23840,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk2958_4(X1,X2,X3,X4)
    | p(X4)
    | esk1_0
    | p(X3) )).

cnf(i_0_23841,axiom,
    ( ~ esk6279_4(X1,X2,X3,X4)
    | esk6281_4(X1,X2,X3,X4) )).

cnf(i_0_23842,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk2296_4(X1,X2,X3,X4) )).

cnf(i_0_23843,axiom,
    ( esk3357_4(X1,X2,X3,X4)
    | esk3356_4(X1,X2,X3,X4)
    | ~ esk3358_4(X1,X2,X3,X4) )).

cnf(i_0_23844,axiom,
    ( esk1899_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23845,axiom,
    ( esk6762_4(X1,X2,X3,X4)
    | ~ esk6761_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_23846,axiom,
    ( ~ esk1440_4(X1,X2,X3,X4)
    | esk1398_4(X1,X2,X3,X4) )).

cnf(i_0_23847,axiom,
    ( ~ esk6064_4(X1,X2,X3,X4)
    | esk6065_4(X1,X2,X3,X4) )).

cnf(i_0_23848,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | ~ esk7143_4(X1,X2,X3,X4) )).

cnf(i_0_23849,axiom,
    ( ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2)
    | esk940_0
    | ~ p(X4) )).

cnf(i_0_23850,axiom,
    ( ~ esk9091_4(X1,X2,X3,X4)
    | esk9044_4(X1,X2,X3,X4) )).

cnf(i_0_23851,axiom,
    ( esk1925_4(X1,X2,X3,X4)
    | ~ esk2182_4(X1,X2,X3,X4)
    | ~ esk1924_4(X1,X2,X3,X4) )).

cnf(i_0_23852,axiom,
    ( ~ esk4904_4(X1,X2,X3,X4)
    | esk4654_4(X1,X2,X3,X4) )).

cnf(i_0_23853,axiom,
    ( ~ esk6013_4(X1,X2,X3,X4)
    | esk6012_4(X1,X2,X3,X4) )).

cnf(i_0_23854,axiom,
    ( esk3145_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23855,axiom,
    ( ~ esk5531_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_23856,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk1758_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk240_0
    | ~ p(X1) )).

cnf(i_0_23857,axiom,
    ( esk8979_4(X1,X2,X3,X4)
    | ~ esk8977_4(X1,X2,X3,X4) )).

cnf(i_0_23858,axiom,
    ( esk2844_4(X1,X2,X3,X4)
    | ~ esk2843_4(X1,X2,X3,X4) )).

cnf(i_0_23859,axiom,
    ( ~ esk3366_4(X1,X2,X3,X4)
    | esk3364_4(X1,X2,X3,X4)
    | esk3365_4(X1,X2,X3,X4) )).

cnf(i_0_23860,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk7738_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk46_0 )).

cnf(i_0_23861,axiom,
    ( esk1035_0
    | ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_23862,axiom,
    ( esk2702_4(X1,X2,X3,X4)
    | ~ esk2700_4(X1,X2,X3,X4) )).

cnf(i_0_23863,axiom,
    ( esk4548_4(X1,X2,X3,X4)
    | ~ esk4539_4(X1,X2,X3,X4) )).

cnf(i_0_23864,axiom,
    ( ~ esk7353_4(X1,X2,X3,X4)
    | esk7354_4(X1,X2,X3,X4)
    | ~ esk7324_4(X1,X2,X3,X4) )).

cnf(i_0_23865,axiom,
    ( esk8421_4(X1,X2,X3,X4)
    | ~ esk8422_4(X1,X2,X3,X4)
    | esk8420_4(X1,X2,X3,X4)
    | esk8419_4(X1,X2,X3,X4) )).

cnf(i_0_23866,axiom,
    ( ~ esk3429_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_23867,axiom,
    ( ~ esk478_0
    | ~ p(X1)
    | esk2173_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_23868,axiom,
    ( ~ esk8138_4(X1,X2,X3,X4)
    | p(X2)
    | esk261_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_23869,axiom,
    ( esk6700_4(X1,X2,X3,X4)
    | esk6701_4(X1,X2,X3,X4)
    | ~ esk6702_4(X1,X2,X3,X4) )).

cnf(i_0_23870,axiom,
    ( ~ esk7354_4(X1,X2,X3,X4)
    | esk7353_4(X1,X2,X3,X4) )).

cnf(i_0_23871,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9458_4(X1,X2,X3,X4) )).

cnf(i_0_23872,axiom,
    ( ~ esk4201_4(X1,X2,X3,X4)
    | esk4202_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_23873,axiom,
    ( esk4705_4(X1,X2,X3,X4)
    | ~ esk4703_4(X1,X2,X3,X4) )).

cnf(i_0_23874,axiom,
    ( ~ esk8653_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_23875,axiom,
    ( esk8847_4(X1,X2,X3,X4)
    | ~ esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_23876,axiom,
    ( esk2922_4(X1,X2,X3,X4)
    | ~ esk1557_4(X1,X2,X3,X4) )).

cnf(i_0_23877,axiom,
    ( esk3409_4(X1,X2,X3,X4)
    | ~ esk2646_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_23878,axiom,
    ( esk8270_4(X1,X2,X3,X4)
    | esk8269_4(X1,X2,X3,X4)
    | ~ esk8271_4(X1,X2,X3,X4) )).

cnf(i_0_23879,axiom,
    ( ~ esk6049_4(X1,X2,X3,X4)
    | esk6040_4(X1,X2,X3,X4)
    | esk5878_4(X1,X2,X3,X4) )).

cnf(i_0_23880,axiom,
    ( ~ esk3641_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_23881,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk7121_4(X1,X2,X3,X4) )).

cnf(i_0_23882,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ esk2453_4(X1,X2,X3,X4)
    | esk749_0 )).

cnf(i_0_23883,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk7794_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_23884,axiom,
    ( ~ esk6861_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_23885,axiom,
    ( ~ esk6396_4(X1,X2,X3,X4)
    | esk6472_4(X1,X2,X3,X4)
    | ~ esk6471_4(X1,X2,X3,X4) )).

cnf(i_0_23886,axiom,
    ( esk5052_4(X1,X2,X3,X4)
    | esk3643_4(X1,X2,X3,X4) )).

cnf(i_0_23887,axiom,
    ( ~ esk3775_4(X1,X2,X3,X4)
    | esk3774_4(X1,X2,X3,X4)
    | esk3773_4(X1,X2,X3,X4) )).

cnf(i_0_23888,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9264_4(X1,X2,X3,X4) )).

cnf(i_0_23889,axiom,
    ( ~ p(X2)
    | esk2882_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk1154_0
    | p(X4) )).

cnf(i_0_23890,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ esk8044_4(X1,X2,X3,X4)
    | esk165_0 )).

cnf(i_0_23891,axiom,
    ( ~ p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | esk8725_4(X1,X2,X3,X4)
    | ~ esk639_0 )).

cnf(i_0_23892,axiom,
    ( ~ esk6136_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_23893,axiom,
    ( p(X2)
    | esk8248_4(X1,X2,X3,X4)
    | ~ esk328_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_23894,axiom,
    ( ~ esk8531_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23895,axiom,
    ( ~ esk5752_4(X1,X2,X3,X4)
    | esk5753_4(X1,X2,X3,X4) )).

cnf(i_0_23896,axiom,
    ( esk9644_4(X1,X2,X3,X4)
    | ~ esk9645_4(X1,X2,X3,X4) )).

cnf(i_0_23897,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk1085_0
    | ~ esk9170_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_23898,axiom,
    ( esk2719_4(X1,X2,X3,X4)
    | ~ esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_23899,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | esk1600_4(X1,X2,X3,X4) )).

cnf(i_0_23900,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7369_4(X1,X2,X3,X4) )).

cnf(i_0_23901,axiom,
    ( ~ esk1427_4(X1,X2,X3,X4)
    | esk1434_4(X1,X2,X3,X4) )).

cnf(i_0_23902,axiom,
    ( ~ esk4033_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_23903,axiom,
    ( esk4465_4(X1,X2,X3,X4)
    | ~ esk4463_4(X1,X2,X3,X4) )).

cnf(i_0_23904,axiom,
    ( ~ esk7203_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_23905,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5290_4(X1,X2,X3,X4) )).

cnf(i_0_23906,axiom,
    ( ~ esk5311_4(X1,X2,X3,X4)
    | esk5281_4(X1,X2,X3,X4) )).

cnf(i_0_23907,axiom,
    ( ~ p(X1)
    | esk701_0
    | ~ p(X4)
    | ~ esk2437_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_23908,axiom,
    ( ~ esk3124_4(X1,X2,X3,X4)
    | esk3110_4(X1,X2,X3,X4) )).

cnf(i_0_23909,axiom,
    ( ~ esk661_0
    | ~ p(X1)
    | ~ p(X4)
    | esk8727_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_23910,axiom,
    ( esk3763_4(X1,X2,X3,X4)
    | ~ esk3850_4(X1,X2,X3,X4) )).

cnf(i_0_23911,axiom,
    ( esk8283_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk369_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_23912,axiom,
    ( esk4911_4(X1,X2,X3,X4)
    | ~ esk4882_4(X1,X2,X3,X4) )).

cnf(i_0_23913,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | ~ esk9213_4(X1,X2,X3,X4)
    | esk7952_4(X1,X2,X3,X4) )).

cnf(i_0_23914,axiom,
    ( esk3667_4(X1,X2,X3,X4)
    | ~ esk3668_4(X1,X2,X3,X4) )).

cnf(i_0_23915,axiom,
    ( ~ esk3622_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4)
    | esk3771_4(X1,X2,X3,X4) )).

cnf(i_0_23916,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk1_0
    | esk8508_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_23917,axiom,
    ( esk2724_4(X1,X2,X3,X4)
    | ~ esk2725_4(X1,X2,X3,X4) )).

cnf(i_0_23918,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk356_0
    | ~ esk1958_4(X1,X2,X3,X4) )).

cnf(i_0_23919,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | esk2318_4(X1,X2,X3,X4) )).

cnf(i_0_23920,axiom,
    ( esk4546_4(X1,X2,X3,X4)
    | ~ esk3908_4(X1,X2,X3,X4) )).

cnf(i_0_23921,axiom,
    ( esk1957_4(X1,X2,X3,X4)
    | ~ esk2322_4(X1,X2,X3,X4) )).

cnf(i_0_23922,axiom,
    ( ~ p(X2)
    | esk1955_4(X1,X2,X3,X4)
    | ~ esk344_0
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_23923,axiom,
    ( esk7668_4(X1,X2,X3,X4)
    | ~ esk9193_4(X1,X2,X3,X4) )).

cnf(i_0_23924,axiom,
    ( esk5999_4(X1,X2,X3,X4)
    | ~ esk6000_4(X1,X2,X3,X4) )).

cnf(i_0_23925,axiom,
    ( p(X3)
    | esk491_0
    | ~ esk8508_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_23926,axiom,
    ( ~ esk9005_4(X1,X2,X3,X4)
    | esk9004_4(X1,X2,X3,X4) )).

cnf(i_0_23927,axiom,
    ( esk5379_4(X1,X2,X3,X4)
    | ~ esk5378_4(X1,X2,X3,X4) )).

cnf(i_0_23928,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2878_4(X1,X2,X3,X4)
    | p(X2)
    | esk1114_0 )).

cnf(i_0_23929,axiom,
    ( esk7660_4(X1,X2,X3,X4)
    | ~ esk8619_4(X1,X2,X3,X4) )).

cnf(i_0_23930,axiom,
    ( ~ esk2874_4(X1,X2,X3,X4)
    | esk1581_4(X1,X2,X3,X4)
    | ~ esk1580_4(X1,X2,X3,X4) )).

cnf(i_0_23931,axiom,
    ( p(X2)
    | esk1076_0
    | ~ esk9168_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_23932,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | esk908_0
    | p(X3)
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_23933,axiom,
    ( esk4381_4(X1,X2,X3,X4)
    | esk4415_4(X1,X2,X3,X4)
    | ~ esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_23934,axiom,
    ( esk7248_4(X1,X2,X3,X4)
    | ~ esk7246_4(X1,X2,X3,X4) )).

cnf(i_0_23935,axiom,
    ( esk293_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | ~ p(X2)
    | ~ esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_23936,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | esk6662_4(X1,X2,X3,X4) )).

cnf(i_0_23937,axiom,
    ( esk8248_4(X1,X2,X3,X4)
    | ~ esk8955_4(X1,X2,X3,X4) )).

cnf(i_0_23938,axiom,
    ( esk2644_4(X1,X2,X3,X4)
    | ~ esk2643_4(X1,X2,X3,X4)
    | ~ esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_23939,axiom,
    ( ~ esk7121_4(X1,X2,X3,X4)
    | ~ esk5937_4(X1,X2,X3,X4)
    | esk7122_4(X1,X2,X3,X4) )).

cnf(i_0_23940,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | esk2878_4(X1,X2,X3,X4)
    | ~ esk1114_0
    | p(X2) )).

cnf(i_0_23941,axiom,
    ( esk1516_4(X1,X2,X3,X4)
    | ~ esk1402_4(X1,X2,X3,X4) )).

cnf(i_0_23942,axiom,
    ( esk4606_4(X1,X2,X3,X4)
    | ~ esk4607_4(X1,X2,X3,X4)
    | esk4605_4(X1,X2,X3,X4) )).

cnf(i_0_23943,axiom,
    ( esk3014_4(X1,X2,X3,X4)
    | ~ esk3013_4(X1,X2,X3,X4) )).

cnf(i_0_23944,axiom,
    ( ~ esk3302_4(X1,X2,X3,X4)
    | ~ esk2583_4(X1,X2,X3,X4) )).

cnf(i_0_23945,axiom,
    ( ~ esk5136_4(X1,X2,X3,X4)
    | esk5133_4(X1,X2,X3,X4) )).

cnf(i_0_23946,axiom,
    ( esk1974_4(X1,X2,X3,X4)
    | ~ esk1972_4(X1,X2,X3,X4) )).

cnf(i_0_23947,axiom,
    ( ~ esk5703_4(X1,X2,X3,X4)
    | esk5704_4(X1,X2,X3,X4) )).

cnf(i_0_23948,axiom,
    ( esk1673_4(X1,X2,X3,X4)
    | ~ esk1674_4(X1,X2,X3,X4) )).

cnf(i_0_23949,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk3638_4(X1,X2,X3,X4)
    | esk5038_4(X1,X2,X3,X4) )).

cnf(i_0_23950,axiom,
    ( esk3755_4(X1,X2,X3,X4)
    | ~ esk3626_4(X1,X2,X3,X4) )).

cnf(i_0_23951,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk7398_4(X1,X2,X3,X4) )).

cnf(i_0_23952,axiom,
    ( esk5233_4(X1,X2,X3,X4)
    | ~ esk5232_4(X1,X2,X3,X4) )).

cnf(i_0_23953,axiom,
    ( ~ esk8026_4(X1,X2,X3,X4)
    | esk8025_4(X1,X2,X3,X4) )).

cnf(i_0_23954,axiom,
    ( esk9512_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23955,axiom,
    ( esk2443_4(X1,X2,X3,X4)
    | ~ esk2442_4(X1,X2,X3,X4) )).

cnf(i_0_23956,axiom,
    ( esk4322_4(X1,X2,X3,X4)
    | ~ esk4324_4(X1,X2,X3,X4)
    | esk4323_4(X1,X2,X3,X4) )).

cnf(i_0_23957,axiom,
    ( esk9582_4(X1,X2,X3,X4)
    | ~ esk8250_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_23958,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk1_0
    | ~ p(X3)
    | ~ esk9214_4(X1,X2,X3,X4) )).

cnf(i_0_23959,axiom,
    ( esk3651_4(X1,X2,X3,X4)
    | ~ esk3652_4(X1,X2,X3,X4) )).

cnf(i_0_23960,axiom,
    ( esk9364_4(X1,X2,X3,X4)
    | ~ esk9365_4(X1,X2,X3,X4) )).

cnf(i_0_23961,axiom,
    ( ~ esk2899_4(X1,X2,X3,X4)
    | ~ esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_23962,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9712_4(X1,X2,X3,X4) )).

cnf(i_0_23963,axiom,
    ( ~ esk3218_4(X1,X2,X3,X4)
    | esk3217_4(X1,X2,X3,X4)
    | esk3216_4(X1,X2,X3,X4) )).

cnf(i_0_23964,axiom,
    ( p(X4)
    | p(X2)
    | p(X1)
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk635_0 )).

cnf(i_0_23965,axiom,
    ( esk8074_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_23966,axiom,
    ( ~ esk2014_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_23967,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8891_4(X1,X2,X3,X4)
    | esk9602_4(X1,X2,X3,X4) )).

cnf(i_0_23968,axiom,
    ( p(X2)
    | ~ esk948_0
    | p(X3)
    | p(X1)
    | p(X4)
    | esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_23969,axiom,
    ( esk4506_4(X1,X2,X3,X4)
    | ~ esk4504_4(X1,X2,X3,X4) )).

cnf(i_0_23970,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4730_4(X1,X2,X3,X4) )).

cnf(i_0_23971,axiom,
    ( ~ esk6771_4(X1,X2,X3,X4)
    | esk6772_4(X1,X2,X3,X4)
    | ~ esk6852_4(X1,X2,X3,X4) )).

cnf(i_0_23972,axiom,
    ( ~ esk1564_4(X1,X2,X3,X4)
    | ~ esk2942_4(X1,X2,X3,X4)
    | esk1565_4(X1,X2,X3,X4) )).

cnf(i_0_23973,axiom,
    ( esk9235_4(X1,X2,X3,X4)
    | ~ esk9237_4(X1,X2,X3,X4)
    | esk9236_4(X1,X2,X3,X4) )).

cnf(i_0_23974,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | esk1149_0
    | ~ p(X4)
    | ~ esk2882_4(X1,X2,X3,X4) )).

cnf(i_0_23975,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9610_4(X1,X2,X3,X4) )).

cnf(i_0_23976,axiom,
    ( esk6629_4(X1,X2,X3,X4)
    | ~ esk4529_4(X1,X2,X3,X4) )).

cnf(i_0_23977,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk198_0
    | p(X3)
    | ~ p(X4)
    | esk1754_4(X1,X2,X3,X4) )).

cnf(i_0_23978,axiom,
    ( ~ esk3039_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_23979,axiom,
    ( esk5163_4(X1,X2,X3,X4)
    | ~ esk5162_4(X1,X2,X3,X4)
    | ~ esk5157_4(X1,X2,X3,X4) )).

cnf(i_0_23980,axiom,
    ( esk9514_4(X1,X2,X3,X4)
    | esk9513_4(X1,X2,X3,X4)
    | ~ esk9515_4(X1,X2,X3,X4) )).

cnf(i_0_23981,axiom,
    ( esk4665_4(X1,X2,X3,X4)
    | ~ esk4664_4(X1,X2,X3,X4) )).

cnf(i_0_23982,axiom,
    ( ~ esk8108_4(X1,X2,X3,X4)
    | esk8107_4(X1,X2,X3,X4) )).

cnf(i_0_23983,axiom,
    ( esk5245_4(X1,X2,X3,X4)
    | ~ esk5248_4(X1,X2,X3,X4) )).

cnf(i_0_23984,axiom,
    ( ~ esk8513_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_23985,axiom,
    ( ~ esk6706_4(X1,X2,X3,X4)
    | esk6691_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_23986,axiom,
    ( ~ esk4658_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_23987,axiom,
    ( ~ esk9737_4(X1,X2,X3,X4)
    | esk9738_4(X1,X2,X3,X4) )).

cnf(i_0_23988,axiom,
    ( ~ esk5611_4(X1,X2,X3,X4)
    | esk6193_4(X1,X2,X3,X4) )).

cnf(i_0_23989,axiom,
    ( esk6115_4(X1,X2,X3,X4)
    | ~ esk8215_4(X1,X2,X3,X4) )).

cnf(i_0_23990,axiom,
    ( esk4530_4(X1,X2,X3,X4)
    | ~ esk4223_4(X1,X2,X3,X4) )).

cnf(i_0_23991,axiom,
    ( esk4963_4(X1,X2,X3,X4)
    | ~ esk5539_4(X1,X2,X3,X4) )).

cnf(i_0_23992,axiom,
    ( ~ esk8395_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_23993,axiom,
    ( esk6606_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_23994,axiom,
    ( ~ esk7246_4(X1,X2,X3,X4)
    | esk7245_4(X1,X2,X3,X4) )).

cnf(i_0_23995,axiom,
    ( esk4194_4(X1,X2,X3,X4)
    | ~ esk2094_4(X1,X2,X3,X4) )).

cnf(i_0_23996,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5119_4(X1,X2,X3,X4) )).

cnf(i_0_23997,axiom,
    ( ~ esk1988_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_23998,axiom,
    ( ~ esk6822_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_23999,axiom,
    ( ~ esk6748_4(X1,X2,X3,X4)
    | esk6993_4(X1,X2,X3,X4) )).

cnf(i_0_24000,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | ~ esk1538_4(X1,X2,X3,X4) )).

cnf(i_0_24001,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9460_4(X1,X2,X3,X4) )).

cnf(i_0_24002,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk4919_4(X1,X2,X3,X4) )).

cnf(i_0_24003,axiom,
    ( esk6985_4(X1,X2,X3,X4)
    | ~ esk4885_4(X1,X2,X3,X4) )).

cnf(i_0_24004,axiom,
    ( p(X2)
    | ~ p(X4)
    | esk679_0
    | p(X1)
    | p(X3)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_24005,axiom,
    ( esk7024_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4) )).

cnf(i_0_24006,axiom,
    ( ~ esk5718_4(X1,X2,X3,X4)
    | esk5717_4(X1,X2,X3,X4)
    | esk5716_4(X1,X2,X3,X4)
    | esk5715_4(X1,X2,X3,X4) )).

cnf(i_0_24007,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1643_4(X1,X2,X3,X4)
    | esk112_0
    | p(X3) )).

cnf(i_0_24008,axiom,
    ( ~ esk3711_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_24009,axiom,
    ( ~ esk7902_4(X1,X2,X3,X4)
    | esk7901_4(X1,X2,X3,X4) )).

cnf(i_0_24010,axiom,
    ( p(X4)
    | esk7738_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk39_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_24011,axiom,
    ( esk8463_4(X1,X2,X3,X4)
    | esk8728_4(X1,X2,X3,X4)
    | ~ esk8502_4(X1,X2,X3,X4) )).

cnf(i_0_24012,axiom,
    ( esk7288_4(X1,X2,X3,X4)
    | ~ esk7287_4(X1,X2,X3,X4) )).

cnf(i_0_24013,axiom,
    ( ~ esk4685_4(X1,X2,X3,X4)
    | esk4684_4(X1,X2,X3,X4)
    | esk4683_4(X1,X2,X3,X4) )).

cnf(i_0_24014,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | esk479_0 )).

cnf(i_0_24015,axiom,
    ( esk9309_4(X1,X2,X3,X4)
    | ~ esk9295_4(X1,X2,X3,X4)
    | ~ esk9308_4(X1,X2,X3,X4) )).

cnf(i_0_24016,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk9091_4(X1,X2,X3,X4)
    | esk861_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_24017,axiom,
    ( ~ esk4799_4(X1,X2,X3,X4)
    | esk4619_4(X1,X2,X3,X4) )).

cnf(i_0_24018,axiom,
    ( ~ p(X3)
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk107_0 )).

cnf(i_0_24019,axiom,
    ( ~ esk2438_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_24020,axiom,
    ( esk4484_4(X1,X2,X3,X4)
    | esk4485_4(X1,X2,X3,X4)
    | ~ esk4486_4(X1,X2,X3,X4) )).

cnf(i_0_24021,axiom,
    ( ~ esk6240_4(X1,X2,X3,X4)
    | esk6239_4(X1,X2,X3,X4) )).

cnf(i_0_24022,axiom,
    ( esk9448_4(X1,X2,X3,X4)
    | ~ esk9449_4(X1,X2,X3,X4) )).

cnf(i_0_24023,axiom,
    ( ~ esk2801_4(X1,X2,X3,X4)
    | esk2553_4(X1,X2,X3,X4) )).

cnf(i_0_24024,axiom,
    ( esk4961_4(X1,X2,X3,X4)
    | ~ esk4960_4(X1,X2,X3,X4) )).

cnf(i_0_24025,axiom,
    ( p(X1)
    | esk2908_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | ~ esk1218_0
    | ~ p(X4) )).

cnf(i_0_24026,axiom,
    ( esk8706_4(X1,X2,X3,X4)
    | ~ esk8705_4(X1,X2,X3,X4)
    | ~ esk9511_4(X1,X2,X3,X4) )).

cnf(i_0_24027,axiom,
    ( ~ esk3244_4(X1,X2,X3,X4)
    | esk3243_4(X1,X2,X3,X4) )).

cnf(i_0_24028,axiom,
    ( esk4551_4(X1,X2,X3,X4)
    | ~ esk6651_4(X1,X2,X3,X4) )).

cnf(i_0_24029,axiom,
    ( ~ esk5880_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_24030,axiom,
    ( p(X1)
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1285_0
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_24031,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2335_4(X1,X2,X3,X4) )).

cnf(i_0_24032,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X4)
    | ~ esk1114_0
    | esk9174_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_24033,axiom,
    ( ~ esk6616_4(X1,X2,X3,X4)
    | esk6577_4(X1,X2,X3,X4) )).

cnf(i_0_24034,axiom,
    ( ~ esk2251_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk500_0
    | p(X2)
    | p(X1) )).

cnf(i_0_24035,axiom,
    ( ~ esk7638_4(X1,X2,X3,X4)
    | esk7639_4(X1,X2,X3,X4) )).

cnf(i_0_24036,axiom,
    ( esk4362_4(X1,X2,X3,X4)
    | ~ esk4324_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_24037,axiom,
    ( esk4031_4(X1,X2,X3,X4)
    | ~ esk4032_4(X1,X2,X3,X4) )).

cnf(i_0_24038,axiom,
    ( ~ esk9221_4(X1,X2,X3,X4)
    | esk9220_4(X1,X2,X3,X4) )).

cnf(i_0_24039,axiom,
    ( ~ esk2418_4(X1,X2,X3,X4)
    | esk2379_4(X1,X2,X3,X4) )).

cnf(i_0_24040,axiom,
    ( ~ esk7927_4(X1,X2,X3,X4)
    | esk7928_4(X1,X2,X3,X4) )).

cnf(i_0_24041,axiom,
    ( ~ esk8914_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_24042,axiom,
    ( ~ esk6546_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_24043,axiom,
    ( esk5208_4(X1,X2,X3,X4)
    | esk5207_4(X1,X2,X3,X4)
    | ~ esk5209_4(X1,X2,X3,X4) )).

cnf(i_0_24044,axiom,
    ( ~ esk9282_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24045,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3229_4(X1,X2,X3,X4) )).

cnf(i_0_24046,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6633_4(X1,X2,X3,X4)
    | esk6249_4(X1,X2,X3,X4) )).

cnf(i_0_24047,axiom,
    ( esk9331_4(X1,X2,X3,X4)
    | ~ esk9330_4(X1,X2,X3,X4) )).

cnf(i_0_24048,axiom,
    ( ~ esk8390_4(X1,X2,X3,X4)
    | esk8866_4(X1,X2,X3,X4)
    | ~ esk8175_4(X1,X2,X3,X4) )).

cnf(i_0_24049,axiom,
    ( esk4923_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_24050,axiom,
    ( ~ esk2441_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4) )).

cnf(i_0_24051,axiom,
    ( ~ esk7980_4(X1,X2,X3,X4)
    | esk9177_4(X1,X2,X3,X4) )).

cnf(i_0_24052,axiom,
    ( esk7337_4(X1,X2,X3,X4)
    | ~ esk7338_4(X1,X2,X3,X4) )).

cnf(i_0_24053,axiom,
    ( ~ esk9436_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk9437_4(X1,X2,X3,X4) )).

cnf(i_0_24054,axiom,
    ( esk2545_4(X1,X2,X3,X4)
    | ~ esk2543_4(X1,X2,X3,X4) )).

cnf(i_0_24055,axiom,
    ( ~ esk7889_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_24056,axiom,
    ( esk8719_4(X1,X2,X3,X4)
    | ~ esk601_0
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_24057,axiom,
    ( esk9123_4(X1,X2,X3,X4)
    | esk9734_4(X1,X2,X3,X4) )).

cnf(i_0_24058,axiom,
    ( ~ esk3028_4(X1,X2,X3,X4)
    | esk3030_4(X1,X2,X3,X4) )).

cnf(i_0_24059,axiom,
    ( ~ p(X1)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | esk9186_4(X1,X2,X3,X4)
    | ~ esk1183_0 )).

cnf(i_0_24060,axiom,
    ( esk9022_4(X1,X2,X3,X4)
    | ~ esk9024_4(X1,X2,X3,X4)
    | esk9023_4(X1,X2,X3,X4) )).

cnf(i_0_24061,axiom,
    ( ~ esk1685_4(X1,X2,X3,X4)
    | esk2571_4(X1,X2,X3,X4) )).

cnf(i_0_24062,axiom,
    ( esk44_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk7738_4(X1,X2,X3,X4) )).

cnf(i_0_24063,axiom,
    ( ~ esk8436_4(X1,X2,X3,X4)
    | esk8474_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24064,axiom,
    ( ~ esk1756_4(X1,X2,X3,X4)
    | esk1386_4(X1,X2,X3,X4) )).

cnf(i_0_24065,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk9214_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk1261_0 )).

cnf(i_0_24066,axiom,
    ( esk6120_4(X1,X2,X3,X4)
    | ~ esk6291_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_24067,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | esk6314_4(X1,X2,X3,X4)
    | ~ esk6281_4(X1,X2,X3,X4) )).

cnf(i_0_24068,axiom,
    ( esk5552_4(X1,X2,X3,X4)
    | esk5738_4(X1,X2,X3,X4) )).

cnf(i_0_24069,axiom,
    ( ~ esk9730_4(X1,X2,X3,X4)
    | esk9112_4(X1,X2,X3,X4) )).

cnf(i_0_24070,axiom,
    ( esk9662_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9659_4(X1,X2,X3,X4) )).

cnf(i_0_24071,axiom,
    ( esk3076_4(X1,X2,X3,X4)
    | ~ esk3078_4(X1,X2,X3,X4)
    | esk3077_4(X1,X2,X3,X4) )).

cnf(i_0_24072,axiom,
    ( esk8298_4(X1,X2,X3,X4)
    | ~ esk8296_4(X1,X2,X3,X4) )).

cnf(i_0_24073,axiom,
    ( ~ esk5504_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_24074,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk1164_0
    | esk9182_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_24075,axiom,
    ( ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6191_4(X1,X2,X3,X4)
    | esk6245_4(X1,X2,X3,X4) )).

cnf(i_0_24076,axiom,
    ( ~ p(X3)
    | ~ esk1_0
    | esk8778_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_24077,axiom,
    ( ~ esk6151_4(X1,X2,X3,X4)
    | esk6086_4(X1,X2,X3,X4) )).

cnf(i_0_24078,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | esk6809_4(X1,X2,X3,X4) )).

cnf(i_0_24079,axiom,
    ( esk7770_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_24080,axiom,
    ( esk9254_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1342_0 )).

cnf(i_0_24081,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk2922_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ esk1266_0 )).

cnf(i_0_24082,axiom,
    ( ~ esk7537_4(X1,X2,X3,X4)
    | ~ esk6872_4(X1,X2,X3,X4)
    | esk7538_4(X1,X2,X3,X4) )).

cnf(i_0_24083,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | esk7258_4(X1,X2,X3,X4)
    | ~ esk7257_4(X1,X2,X3,X4) )).

cnf(i_0_24084,axiom,
    ( esk5992_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk5991_4(X1,X2,X3,X4) )).

cnf(i_0_24085,axiom,
    ( ~ esk2269_4(X1,X2,X3,X4)
    | esk2270_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_24086,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2076_4(X1,X2,X3,X4) )).

cnf(i_0_24087,axiom,
    ( ~ esk6940_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_24088,axiom,
    ( esk8884_4(X1,X2,X3,X4)
    | ~ esk8885_4(X1,X2,X3,X4) )).

cnf(i_0_24089,axiom,
    ( ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk612_0
    | esk2425_4(X1,X2,X3,X4) )).

cnf(i_0_24090,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5967_4(X1,X2,X3,X4) )).

cnf(i_0_24091,axiom,
    ( esk4716_4(X1,X2,X3,X4)
    | ~ esk4717_4(X1,X2,X3,X4)
    | esk4715_4(X1,X2,X3,X4) )).

cnf(i_0_24092,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk50_0
    | p(X1)
    | ~ p(X4)
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_24093,axiom,
    ( ~ esk7299_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_24094,axiom,
    ( ~ esk4936_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_24095,axiom,
    ( ~ esk3043_4(X1,X2,X3,X4)
    | ~ esk3014_4(X1,X2,X3,X4)
    | esk3044_4(X1,X2,X3,X4) )).

cnf(i_0_24096,axiom,
    ( ~ esk6144_4(X1,X2,X3,X4)
    | esk6615_4(X1,X2,X3,X4) )).

cnf(i_0_24097,axiom,
    ( ~ esk1811_4(X1,X2,X3,X4)
    | esk1810_4(X1,X2,X3,X4) )).

cnf(i_0_24098,axiom,
    ( ~ esk5480_4(X1,X2,X3,X4)
    | esk5481_4(X1,X2,X3,X4) )).

cnf(i_0_24099,axiom,
    ( esk8044_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk161_0
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_24100,axiom,
    ( esk7433_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_24101,axiom,
    ( p(X3)
    | p(X4)
    | p(X2)
    | esk8357_4(X1,X2,X3,X4)
    | ~ esk431_0
    | ~ p(X1) )).

cnf(i_0_24102,axiom,
    ( p(X2)
    | esk2437_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk700_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_24103,axiom,
    ( ~ esk382_0
    | esk8291_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_24104,axiom,
    ( ~ esk3136_4(X1,X2,X3,X4)
    | esk3130_4(X1,X2,X3,X4) )).

cnf(i_0_24105,axiom,
    ( esk4301_4(X1,X2,X3,X4)
    | ~ esk4493_4(X1,X2,X3,X4) )).

cnf(i_0_24106,axiom,
    ( esk4220_4(X1,X2,X3,X4)
    | ~ esk4219_4(X1,X2,X3,X4) )).

cnf(i_0_24107,axiom,
    ( ~ esk2598_4(X1,X2,X3,X4)
    | esk2596_4(X1,X2,X3,X4)
    | esk2597_4(X1,X2,X3,X4) )).

cnf(i_0_24108,axiom,
    ( ~ esk2097_4(X1,X2,X3,X4)
    | esk2485_4(X1,X2,X3,X4) )).

cnf(i_0_24109,axiom,
    ( esk4997_4(X1,X2,X3,X4)
    | ~ esk2897_4(X1,X2,X3,X4) )).

cnf(i_0_24110,axiom,
    ( ~ esk5467_4(X1,X2,X3,X4)
    | esk5469_4(X1,X2,X3,X4) )).

cnf(i_0_24111,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | esk317_0
    | ~ esk1918_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_24112,axiom,
    ( p(X1)
    | p(X4)
    | p(X2)
    | ~ esk1_0
    | p(X3)
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_24113,axiom,
    ( ~ esk5910_4(X1,X2,X3,X4)
    | esk7130_4(X1,X2,X3,X4) )).

cnf(i_0_24114,axiom,
    ( ~ p(X3)
    | esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk425_0
    | p(X1)
    | p(X4) )).

cnf(i_0_24115,axiom,
    ( ~ esk926_0
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | esk9099_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_24116,axiom,
    ( esk5195_4(X1,X2,X3,X4)
    | esk5196_4(X1,X2,X3,X4)
    | ~ esk5197_4(X1,X2,X3,X4) )).

cnf(i_0_24117,axiom,
    ( ~ esk2811_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X3)
    | esk990_0 )).

cnf(i_0_24118,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ esk2429_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk636_0 )).

cnf(i_0_24119,axiom,
    ( ~ esk5164_4(X1,X2,X3,X4)
    | esk5165_4(X1,X2,X3,X4) )).

cnf(i_0_24120,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk7177_4(X1,X2,X3,X4) )).

cnf(i_0_24121,axiom,
    ( ~ esk5951_4(X1,X2,X3,X4)
    | esk8051_4(X1,X2,X3,X4) )).

cnf(i_0_24122,axiom,
    ( esk4164_4(X1,X2,X3,X4)
    | ~ esk4166_4(X1,X2,X3,X4)
    | esk4165_4(X1,X2,X3,X4) )).

cnf(i_0_24123,axiom,
    ( ~ esk7374_4(X1,X2,X3,X4)
    | esk7373_4(X1,X2,X3,X4) )).

cnf(i_0_24124,axiom,
    ( ~ esk8094_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24125,axiom,
    ( esk6800_4(X1,X2,X3,X4)
    | ~ esk6798_4(X1,X2,X3,X4) )).

cnf(i_0_24126,axiom,
    ( ~ esk5880_4(X1,X2,X3,X4)
    | esk7072_4(X1,X2,X3,X4) )).

cnf(i_0_24127,axiom,
    ( esk4761_4(X1,X2,X3,X4)
    | ~ esk5415_4(X1,X2,X3,X4) )).

cnf(i_0_24128,axiom,
    ( ~ esk6991_4(X1,X2,X3,X4)
    | esk6759_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_24129,axiom,
    ( ~ esk5021_4(X1,X2,X3,X4)
    | ~ esk3719_4(X1,X2,X3,X4)
    | esk3720_4(X1,X2,X3,X4) )).

cnf(i_0_24130,axiom,
    ( esk4124_4(X1,X2,X3,X4)
    | ~ esk4125_4(X1,X2,X3,X4) )).

cnf(i_0_24131,axiom,
    ( esk9047_4(X1,X2,X3,X4)
    | ~ esk9048_4(X1,X2,X3,X4)
    | esk9046_4(X1,X2,X3,X4) )).

cnf(i_0_24132,axiom,
    ( esk1211_0
    | ~ p(X4)
    | p(X2)
    | ~ esk2898_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_24133,axiom,
    ( esk8617_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ esk528_0 )).

cnf(i_0_24134,axiom,
    ( ~ esk5080_4(X1,X2,X3,X4)
    | esk5081_4(X1,X2,X3,X4) )).

cnf(i_0_24135,axiom,
    ( esk3262_4(X1,X2,X3,X4)
    | ~ esk3265_4(X1,X2,X3,X4) )).

cnf(i_0_24136,axiom,
    ( esk4968_4(X1,X2,X3,X4)
    | ~ esk4552_4(X1,X2,X3,X4) )).

cnf(i_0_24137,axiom,
    ( ~ p(X3)
    | ~ esk2876_4(X1,X2,X3,X4)
    | p(X1)
    | esk1104_0
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_24138,axiom,
    ( ~ esk6209_4(X1,X2,X3,X4)
    | esk6208_4(X1,X2,X3,X4) )).

cnf(i_0_24139,axiom,
    ( ~ esk7378_4(X1,X2,X3,X4)
    | esk7364_4(X1,X2,X3,X4) )).

cnf(i_0_24140,axiom,
    ( ~ esk7134_4(X1,X2,X3,X4)
    | esk5861_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4) )).

cnf(i_0_24141,axiom,
    ( esk6960_4(X1,X2,X3,X4)
    | esk6959_4(X1,X2,X3,X4)
    | ~ esk6961_4(X1,X2,X3,X4) )).

cnf(i_0_24142,axiom,
    ( esk4163_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24143,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk261_0 )).

cnf(i_0_24144,axiom,
    ( ~ p(X3)
    | esk711_0
    | p(X2)
    | ~ esk8735_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_24145,axiom,
    ( esk9120_4(X1,X2,X3,X4)
    | ~ esk9132_4(X1,X2,X3,X4) )).

cnf(i_0_24146,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4446_4(X1,X2,X3,X4) )).

cnf(i_0_24147,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk9152_4(X1,X2,X3,X4) )).

cnf(i_0_24148,axiom,
    ( ~ esk7611_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_24149,axiom,
    ( ~ esk1866_4(X1,X2,X3,X4)
    | esk1867_4(X1,X2,X3,X4) )).

cnf(i_0_24150,axiom,
    ( ~ esk3740_4(X1,X2,X3,X4)
    | esk3500_4(X1,X2,X3,X4) )).

cnf(i_0_24151,axiom,
    ( esk9470_4(X1,X2,X3,X4)
    | ~ esk9471_4(X1,X2,X3,X4)
    | esk9469_4(X1,X2,X3,X4) )).

cnf(i_0_24152,axiom,
    ( esk3670_4(X1,X2,X3,X4)
    | ~ esk3733_4(X1,X2,X3,X4) )).

cnf(i_0_24153,axiom,
    ( esk1596_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_24154,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5208_4(X1,X2,X3,X4) )).

cnf(i_0_24155,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk1671_4(X1,X2,X3,X4)
    | esk131_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_24156,axiom,
    ( ~ esk4072_4(X1,X2,X3,X4)
    | esk4073_4(X1,X2,X3,X4) )).

cnf(i_0_24157,axiom,
    ( p(X3)
    | p(X1)
    | p(X2)
    | ~ esk483_0
    | p(X4)
    | esk8508_4(X1,X2,X3,X4) )).

cnf(i_0_24158,axiom,
    ( esk910_0
    | p(X4)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_24159,axiom,
    ( ~ esk4799_4(X1,X2,X3,X4)
    | esk4798_4(X1,X2,X3,X4) )).

cnf(i_0_24160,axiom,
    ( ~ esk7035_4(X1,X2,X3,X4)
    | ~ esk7009_4(X1,X2,X3,X4) )).

cnf(i_0_24161,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8691_4(X1,X2,X3,X4) )).

cnf(i_0_24162,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk3333_4(X1,X2,X3,X4)
    | ~ esk3330_4(X1,X2,X3,X4) )).

cnf(i_0_24163,axiom,
    ( p(X3)
    | ~ esk732_0
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_24164,axiom,
    ( esk8136_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4)
    | ~ esk8133_4(X1,X2,X3,X4) )).

cnf(i_0_24165,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | ~ esk1278_0
    | esk9228_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_24166,axiom,
    ( esk8180_4(X1,X2,X3,X4)
    | ~ esk8711_4(X1,X2,X3,X4) )).

cnf(i_0_24167,axiom,
    ( ~ esk2177_4(X1,X2,X3,X4)
    | esk2178_4(X1,X2,X3,X4) )).

cnf(i_0_24168,axiom,
    ( esk2695_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_24169,axiom,
    ( ~ esk7648_4(X1,X2,X3,X4)
    | ~ esk5636_4(X1,X2,X3,X4)
    | esk7015_4(X1,X2,X3,X4) )).

cnf(i_0_24170,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk1261_0
    | esk9214_4(X1,X2,X3,X4) )).

cnf(i_0_24171,axiom,
    ( ~ esk9087_4(X1,X2,X3,X4)
    | esk832_0
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_24172,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk4758_4(X1,X2,X3,X4) )).

cnf(i_0_24173,axiom,
    ( ~ esk7289_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_24174,axiom,
    ( ~ esk8003_4(X1,X2,X3,X4)
    | esk9188_4(X1,X2,X3,X4) )).

cnf(i_0_24175,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8624_4(X1,X2,X3,X4) )).

cnf(i_0_24176,axiom,
    ( ~ esk5338_4(X1,X2,X3,X4)
    | esk5339_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_24177,axiom,
    ( ~ esk2130_4(X1,X2,X3,X4)
    | esk2132_4(X1,X2,X3,X4) )).

cnf(i_0_24178,axiom,
    ( esk7274_4(X1,X2,X3,X4)
    | ~ esk7276_4(X1,X2,X3,X4)
    | esk7275_4(X1,X2,X3,X4) )).

cnf(i_0_24179,axiom,
    ( esk8862_4(X1,X2,X3,X4)
    | ~ esk8863_4(X1,X2,X3,X4)
    | esk8861_4(X1,X2,X3,X4) )).

cnf(i_0_24180,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | esk177_0 )).

cnf(i_0_24181,axiom,
    ( ~ esk6696_4(X1,X2,X3,X4)
    | esk6697_4(X1,X2,X3,X4) )).

cnf(i_0_24182,axiom,
    ( ~ esk2631_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_24183,axiom,
    ( ~ esk1566_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_24184,axiom,
    ( esk3842_4(X1,X2,X3,X4)
    | ~ esk3557_4(X1,X2,X3,X4) )).

cnf(i_0_24185,axiom,
    ( ~ esk8934_4(X1,X2,X3,X4)
    | esk8935_4(X1,X2,X3,X4) )).

cnf(i_0_24186,axiom,
    ( ~ esk3956_4(X1,X2,X3,X4)
    | esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_24187,axiom,
    ( ~ esk8171_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | esk8280_4(X1,X2,X3,X4) )).

cnf(i_0_24188,axiom,
    ( p(X3)
    | esk9178_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk1155_0
    | ~ p(X2) )).

cnf(i_0_24189,axiom,
    ( ~ esk1738_4(X1,X2,X3,X4)
    | esk1698_4(X1,X2,X3,X4) )).

cnf(i_0_24190,axiom,
    ( esk5476_4(X1,X2,X3,X4)
    | esk5475_4(X1,X2,X3,X4)
    | ~ esk5477_4(X1,X2,X3,X4) )).

cnf(i_0_24191,axiom,
    ( ~ esk9634_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_24192,axiom,
    ( ~ esk2316_4(X1,X2,X3,X4)
    | ~ esk2421_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_24193,axiom,
    ( ~ esk3800_4(X1,X2,X3,X4)
    | ~ esk5046_4(X1,X2,X3,X4)
    | esk5047_4(X1,X2,X3,X4) )).

cnf(i_0_24194,axiom,
    ( ~ esk2812_4(X1,X2,X3,X4)
    | esk4912_4(X1,X2,X3,X4) )).

cnf(i_0_24195,axiom,
    ( ~ esk2915_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_24196,axiom,
    ( ~ esk8867_4(X1,X2,X3,X4)
    | esk8865_4(X1,X2,X3,X4)
    | esk8866_4(X1,X2,X3,X4) )).

cnf(i_0_24197,axiom,
    ( esk3379_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_24198,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk7613_4(X1,X2,X3,X4) )).

cnf(i_0_24199,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk8248_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk1_0 )).

cnf(i_0_24200,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk314_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk8214_4(X1,X2,X3,X4) )).

cnf(i_0_24201,axiom,
    ( ~ p(X4)
    | ~ esk387_0
    | ~ p(X1)
    | p(X3)
    | esk8291_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_24202,axiom,
    ( ~ esk6573_4(X1,X2,X3,X4)
    | esk6571_4(X1,X2,X3,X4)
    | esk6572_4(X1,X2,X3,X4) )).

cnf(i_0_24203,axiom,
    ( ~ esk2010_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24204,axiom,
    ( ~ p(X4)
    | esk239_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk8054_4(X1,X2,X3,X4) )).

cnf(i_0_24205,axiom,
    ( esk3127_4(X1,X2,X3,X4)
    | ~ esk3128_4(X1,X2,X3,X4) )).

cnf(i_0_24206,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5214_4(X1,X2,X3,X4) )).

cnf(i_0_24207,axiom,
    ( ~ esk7413_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7414_4(X1,X2,X3,X4) )).

cnf(i_0_24208,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8134_4(X1,X2,X3,X4)
    | esk8135_4(X1,X2,X3,X4) )).

cnf(i_0_24209,axiom,
    ( esk3733_4(X1,X2,X3,X4)
    | ~ esk3670_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_24210,axiom,
    ( esk8283_4(X1,X2,X3,X4)
    | ~ esk8867_4(X1,X2,X3,X4) )).

cnf(i_0_24211,axiom,
    ( esk8805_4(X1,X2,X3,X4)
    | ~ esk8804_4(X1,X2,X3,X4) )).

cnf(i_0_24212,axiom,
    ( esk8860_4(X1,X2,X3,X4)
    | ~ esk8861_4(X1,X2,X3,X4) )).

cnf(i_0_24213,axiom,
    ( esk6376_4(X1,X2,X3,X4)
    | ~ esk6046_4(X1,X2,X3,X4) )).

cnf(i_0_24214,axiom,
    ( ~ esk4801_4(X1,X2,X3,X4)
    | esk5495_4(X1,X2,X3,X4)
    | ~ esk5494_4(X1,X2,X3,X4) )).

cnf(i_0_24215,axiom,
    ( esk7873_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_24216,axiom,
    ( esk6441_4(X1,X2,X3,X4)
    | ~ esk6476_4(X1,X2,X3,X4) )).

cnf(i_0_24217,axiom,
    ( esk9413_4(X1,X2,X3,X4)
    | ~ esk9412_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_24218,axiom,
    ( esk5828_4(X1,X2,X3,X4)
    | ~ esk5765_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_24219,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk480_0
    | esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_24220,axiom,
    ( esk5852_4(X1,X2,X3,X4)
    | esk5853_4(X1,X2,X3,X4)
    | ~ esk5854_4(X1,X2,X3,X4) )).

cnf(i_0_24221,axiom,
    ( p(X4)
    | esk8508_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk487_0
    | p(X3)
    | p(X1) )).

cnf(i_0_24222,axiom,
    ( ~ esk8269_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_24223,axiom,
    ( ~ esk1854_4(X1,X2,X3,X4)
    | esk1857_4(X1,X2,X3,X4)
    | ~ esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_24224,axiom,
    ( esk8663_4(X1,X2,X3,X4)
    | ~ esk9517_4(X1,X2,X3,X4) )).

cnf(i_0_24225,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | esk8170_4(X1,X2,X3,X4)
    | ~ esk298_0 )).

cnf(i_0_24226,axiom,
    ( esk1473_4(X1,X2,X3,X4)
    | ~ esk1822_4(X1,X2,X3,X4) )).

cnf(i_0_24227,axiom,
    ( ~ esk5798_4(X1,X2,X3,X4)
    | esk5799_4(X1,X2,X3,X4)
    | ~ esk7092_4(X1,X2,X3,X4) )).

cnf(i_0_24228,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1748_4(X1,X2,X3,X4)
    | p(X4)
    | esk158_0 )).

cnf(i_0_24229,axiom,
    ( esk1909_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_24230,axiom,
    ( ~ esk8724_4(X1,X2,X3,X4)
    | esk9569_4(X1,X2,X3,X4) )).

cnf(i_0_24231,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | esk619_0
    | p(X4)
    | p(X1) )).

cnf(i_0_24232,axiom,
    ( esk1919_4(X1,X2,X3,X4)
    | ~ esk2172_4(X1,X2,X3,X4) )).

cnf(i_0_24233,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6027_4(X1,X2,X3,X4) )).

cnf(i_0_24234,axiom,
    ( ~ esk9533_4(X1,X2,X3,X4)
    | esk9535_4(X1,X2,X3,X4) )).

cnf(i_0_24235,axiom,
    ( ~ esk6627_4(X1,X2,X3,X4)
    | esk4527_4(X1,X2,X3,X4) )).

cnf(i_0_24236,axiom,
    ( ~ esk4023_4(X1,X2,X3,X4)
    | ~ esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_24237,axiom,
    ( ~ esk3338_4(X1,X2,X3,X4)
    | esk3341_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_24238,axiom,
    ( ~ esk2037_4(X1,X2,X3,X4)
    | ~ esk1974_4(X1,X2,X3,X4)
    | esk2038_4(X1,X2,X3,X4) )).

cnf(i_0_24239,axiom,
    ( ~ esk3234_4(X1,X2,X3,X4)
    | esk3237_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_24240,axiom,
    ( ~ p(X1)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1110_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_24241,axiom,
    ( ~ esk7124_4(X1,X2,X3,X4)
    | esk5953_4(X1,X2,X3,X4) )).

cnf(i_0_24242,axiom,
    ( ~ esk1949_4(X1,X2,X3,X4)
    | ~ esk1948_4(X1,X2,X3,X4)
    | ~ esk1914_4(X1,X2,X3,X4) )).

cnf(i_0_24243,axiom,
    ( esk2755_4(X1,X2,X3,X4)
    | ~ esk2753_4(X1,X2,X3,X4) )).

cnf(i_0_24244,axiom,
    ( esk2211_4(X1,X2,X3,X4)
    | ~ esk1956_4(X1,X2,X3,X4) )).

cnf(i_0_24245,axiom,
    ( ~ esk4651_4(X1,X2,X3,X4)
    | esk4700_4(X1,X2,X3,X4)
    | ~ esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_24246,axiom,
    ( ~ esk4310_4(X1,X2,X3,X4)
    | esk4055_4(X1,X2,X3,X4) )).

cnf(i_0_24247,axiom,
    ( esk7479_4(X1,X2,X3,X4)
    | ~ esk6742_4(X1,X2,X3,X4) )).

cnf(i_0_24248,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk8248_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk321_0
    | p(X1) )).

cnf(i_0_24249,axiom,
    ( esk5374_4(X1,X2,X3,X4)
    | ~ esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_24250,axiom,
    ( esk8424_4(X1,X2,X3,X4)
    | ~ esk8458_4(X1,X2,X3,X4) )).

cnf(i_0_24251,axiom,
    ( ~ esk4103_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_24252,axiom,
    ( esk2918_4(X1,X2,X3,X4)
    | ~ esk1617_4(X1,X2,X3,X4) )).

cnf(i_0_24253,axiom,
    ( ~ esk9433_4(X1,X2,X3,X4)
    | esk9435_4(X1,X2,X3,X4) )).

cnf(i_0_24254,axiom,
    ( esk6796_4(X1,X2,X3,X4)
    | ~ esk6795_4(X1,X2,X3,X4) )).

cnf(i_0_24255,axiom,
    ( esk5664_4(X1,X2,X3,X4)
    | esk5665_4(X1,X2,X3,X4)
    | ~ esk5666_4(X1,X2,X3,X4) )).

cnf(i_0_24256,axiom,
    ( ~ esk8024_4(X1,X2,X3,X4)
    | esk9235_4(X1,X2,X3,X4)
    | ~ esk9234_4(X1,X2,X3,X4) )).

cnf(i_0_24257,axiom,
    ( ~ esk3667_4(X1,X2,X3,X4)
    | ~ esk5051_4(X1,X2,X3,X4)
    | esk3668_4(X1,X2,X3,X4) )).

cnf(i_0_24258,axiom,
    ( ~ esk3143_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24259,axiom,
    ( p(X2)
    | ~ esk9174_4(X1,X2,X3,X4)
    | esk1122_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_24260,axiom,
    ( ~ esk2878_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk1124_0 )).

cnf(i_0_24261,axiom,
    ( esk6258_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4) )).

cnf(i_0_24262,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5068_4(X1,X2,X3,X4) )).

cnf(i_0_24263,axiom,
    ( esk4997_4(X1,X2,X3,X4)
    | ~ esk3704_4(X1,X2,X3,X4) )).

cnf(i_0_24264,axiom,
    ( ~ esk5561_4(X1,X2,X3,X4)
    | esk6520_4(X1,X2,X3,X4) )).

cnf(i_0_24265,axiom,
    ( ~ esk5282_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24266,axiom,
    ( ~ esk1220_0
    | ~ p(X3)
    | p(X4)
    | esk9204_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_24267,axiom,
    ( esk8919_4(X1,X2,X3,X4)
    | ~ esk8918_4(X1,X2,X3,X4) )).

cnf(i_0_24268,axiom,
    ( ~ esk7965_4(X1,X2,X3,X4)
    | esk7963_4(X1,X2,X3,X4)
    | esk7964_4(X1,X2,X3,X4) )).

cnf(i_0_24269,axiom,
    ( ~ esk6590_4(X1,X2,X3,X4)
    | ~ esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_24270,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2594_4(X1,X2,X3,X4)
    | esk3305_4(X1,X2,X3,X4) )).

cnf(i_0_24271,axiom,
    ( ~ p(X2)
    | esk9103_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | ~ esk954_0
    | ~ p(X3) )).

cnf(i_0_24272,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | ~ esk5824_4(X1,X2,X3,X4) )).

cnf(i_0_24273,axiom,
    ( ~ esk8914_4(X1,X2,X3,X4)
    | esk8853_4(X1,X2,X3,X4) )).

cnf(i_0_24274,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | ~ esk9242_4(X1,X2,X3,X4) )).

cnf(i_0_24275,axiom,
    ( esk8715_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk558_0
    | p(X4)
    | p(X2) )).

cnf(i_0_24276,axiom,
    ( ~ esk7763_4(X1,X2,X3,X4)
    | esk7765_4(X1,X2,X3,X4) )).

cnf(i_0_24277,axiom,
    ( esk2256_4(X1,X2,X3,X4)
    | ~ esk2293_4(X1,X2,X3,X4) )).

cnf(i_0_24278,axiom,
    ( ~ esk2742_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_24279,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8517_4(X1,X2,X3,X4) )).

cnf(i_0_24280,axiom,
    ( esk6492_4(X1,X2,X3,X4)
    | ~ esk6490_4(X1,X2,X3,X4) )).

cnf(i_0_24281,axiom,
    ( ~ esk8893_4(X1,X2,X3,X4)
    | esk8895_4(X1,X2,X3,X4) )).

cnf(i_0_24282,axiom,
    ( esk7465_4(X1,X2,X3,X4)
    | ~ esk7466_4(X1,X2,X3,X4) )).

cnf(i_0_24283,axiom,
    ( esk1987_4(X1,X2,X3,X4)
    | ~ esk2440_4(X1,X2,X3,X4) )).

cnf(i_0_24284,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk1995_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | esk388_0 )).

cnf(i_0_24285,axiom,
    ( ~ esk9649_4(X1,X2,X3,X4)
    | esk9651_4(X1,X2,X3,X4) )).

cnf(i_0_24286,axiom,
    ( esk7190_4(X1,X2,X3,X4)
    | ~ esk7192_4(X1,X2,X3,X4)
    | esk7191_4(X1,X2,X3,X4) )).

cnf(i_0_24287,axiom,
    ( esk8552_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_24288,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8067_4(X1,X2,X3,X4) )).

cnf(i_0_24289,axiom,
    ( ~ esk3465_4(X1,X2,X3,X4)
    | esk4990_4(X1,X2,X3,X4) )).

cnf(i_0_24290,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | esk1875_4(X1,X2,X3,X4)
    | ~ esk2049_4(X1,X2,X3,X4) )).

cnf(i_0_24291,axiom,
    ( ~ esk3213_4(X1,X2,X3,X4)
    | esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_24292,axiom,
    ( esk2803_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_24293,axiom,
    ( p(X4)
    | ~ esk1007_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk9109_4(X1,X2,X3,X4) )).

cnf(i_0_24294,axiom,
    ( ~ esk2854_4(X1,X2,X3,X4)
    | p(X3)
    | esk1030_0
    | p(X4)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_24295,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | esk7347_4(X1,X2,X3,X4)
    | ~ esk7344_4(X1,X2,X3,X4) )).

cnf(i_0_24296,axiom,
    ( esk3678_4(X1,X2,X3,X4)
    | ~ esk3676_4(X1,X2,X3,X4) )).

cnf(i_0_24297,axiom,
    ( ~ esk3540_4(X1,X2,X3,X4)
    | esk4986_4(X1,X2,X3,X4) )).

cnf(i_0_24298,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | esk3319_4(X1,X2,X3,X4) )).

cnf(i_0_24299,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk271_0
    | ~ esk8138_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_24300,axiom,
    ( esk4672_4(X1,X2,X3,X4)
    | esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_24301,axiom,
    ( ~ esk6409_4(X1,X2,X3,X4)
    | esk8509_4(X1,X2,X3,X4) )).

cnf(i_0_24302,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk8713_4(X1,X2,X3,X4)
    | esk547_0
    | p(X3) )).

cnf(i_0_24303,axiom,
    ( ~ esk3159_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24304,axiom,
    ( esk709_0
    | ~ p(X3)
    | p(X1)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2) )).

cnf(i_0_24305,axiom,
    ( ~ esk2022_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | esk395_0 )).

cnf(i_0_24306,axiom,
    ( ~ p(X2)
    | ~ esk826_0
    | ~ p(X4)
    | ~ p(X1)
    | esk9085_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_24307,axiom,
    ( ~ esk6619_4(X1,X2,X3,X4)
    | esk7473_4(X1,X2,X3,X4) )).

cnf(i_0_24308,axiom,
    ( esk5534_4(X1,X2,X3,X4)
    | ~ esk5535_4(X1,X2,X3,X4)
    | esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_24309,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk7045_4(X1,X2,X3,X4) )).

cnf(i_0_24310,axiom,
    ( ~ esk7481_4(X1,X2,X3,X4)
    | esk6643_4(X1,X2,X3,X4) )).

cnf(i_0_24311,axiom,
    ( ~ esk1928_4(X1,X2,X3,X4)
    | esk1929_4(X1,X2,X3,X4)
    | ~ esk2334_4(X1,X2,X3,X4) )).

cnf(i_0_24312,axiom,
    ( p(X2)
    | p(X4)
    | esk7736_4(X1,X2,X3,X4)
    | ~ esk18_0
    | p(X1)
    | p(X3) )).

cnf(i_0_24313,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk5305_4(X1,X2,X3,X4)
    | esk5308_4(X1,X2,X3,X4) )).

cnf(i_0_24314,axiom,
    ( esk6734_4(X1,X2,X3,X4)
    | ~ esk5877_4(X1,X2,X3,X4)
    | ~ esk6646_4(X1,X2,X3,X4) )).

cnf(i_0_24315,axiom,
    ( esk6483_4(X1,X2,X3,X4)
    | esk6484_4(X1,X2,X3,X4)
    | ~ esk6485_4(X1,X2,X3,X4) )).

cnf(i_0_24316,axiom,
    ( esk1959_4(X1,X2,X3,X4)
    | ~ esk1960_4(X1,X2,X3,X4) )).

cnf(i_0_24317,axiom,
    ( ~ esk5546_4(X1,X2,X3,X4)
    | esk4550_4(X1,X2,X3,X4)
    | esk3908_4(X1,X2,X3,X4) )).

cnf(i_0_24318,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk743_0
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_24319,axiom,
    ( ~ esk618_0
    | p(X3)
    | esk8723_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_24320,axiom,
    ( ~ esk8820_4(X1,X2,X3,X4)
    | esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_24321,axiom,
    ( ~ esk6449_4(X1,X2,X3,X4)
    | esk4349_4(X1,X2,X3,X4) )).

cnf(i_0_24322,axiom,
    ( esk528_0
    | p(X2)
    | p(X4)
    | ~ esk8617_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_24323,axiom,
    ( esk5245_4(X1,X2,X3,X4)
    | ~ esk5244_4(X1,X2,X3,X4) )).

cnf(i_0_24324,axiom,
    ( esk5361_4(X1,X2,X3,X4)
    | ~ esk5364_4(X1,X2,X3,X4) )).

cnf(i_0_24325,axiom,
    ( ~ esk5052_4(X1,X2,X3,X4)
    | ~ esk3663_4(X1,X2,X3,X4) )).

cnf(i_0_24326,axiom,
    ( esk9619_4(X1,X2,X3,X4)
    | ~ esk9617_4(X1,X2,X3,X4) )).

cnf(i_0_24327,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ esk225_0
    | ~ p(X1)
    | esk8052_4(X1,X2,X3,X4) )).

cnf(i_0_24328,axiom,
    ( ~ esk9654_4(X1,X2,X3,X4)
    | esk9651_4(X1,X2,X3,X4) )).

cnf(i_0_24329,axiom,
    ( esk3224_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk3223_4(X1,X2,X3,X4) )).

cnf(i_0_24330,axiom,
    ( esk883_0
    | ~ p(X1)
    | ~ esk9093_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_24331,axiom,
    ( esk6800_4(X1,X2,X3,X4)
    | ~ esk6799_4(X1,X2,X3,X4) )).

cnf(i_0_24332,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk1228_0
    | p(X4)
    | ~ p(X1)
    | ~ esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_24333,axiom,
    ( esk1615_4(X1,X2,X3,X4)
    | ~ esk1614_4(X1,X2,X3,X4) )).

cnf(i_0_24334,axiom,
    ( ~ esk6173_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_24335,axiom,
    ( esk2431_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | ~ esk2126_4(X1,X2,X3,X4) )).

cnf(i_0_24336,axiom,
    ( esk3074_4(X1,X2,X3,X4)
    | ~ esk3072_4(X1,X2,X3,X4) )).

cnf(i_0_24337,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk2551_4(X1,X2,X3,X4) )).

cnf(i_0_24338,axiom,
    ( ~ esk6836_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | esk7591_4(X1,X2,X3,X4) )).

cnf(i_0_24339,axiom,
    ( esk3223_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24340,axiom,
    ( esk8042_4(X1,X2,X3,X4)
    | ~ esk9243_4(X1,X2,X3,X4) )).

cnf(i_0_24341,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2995_4(X1,X2,X3,X4) )).

cnf(i_0_24342,axiom,
    ( esk9182_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1160_0
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_24343,axiom,
    ( ~ esk2238_4(X1,X2,X3,X4)
    | esk2241_4(X1,X2,X3,X4) )).

cnf(i_0_24344,axiom,
    ( ~ esk4894_4(X1,X2,X3,X4)
    | esk4987_4(X1,X2,X3,X4) )).

cnf(i_0_24345,axiom,
    ( esk7719_4(X1,X2,X3,X4)
    | ~ esk8766_4(X1,X2,X3,X4)
    | esk9088_4(X1,X2,X3,X4) )).

cnf(i_0_24346,axiom,
    ( ~ esk8248_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk322_0 )).

cnf(i_0_24347,axiom,
    ( p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk9111_4(X1,X2,X3,X4)
    | esk1010_0
    | p(X2) )).

cnf(i_0_24348,axiom,
    ( esk3736_4(X1,X2,X3,X4)
    | ~ esk3735_4(X1,X2,X3,X4)
    | ~ esk5055_4(X1,X2,X3,X4) )).

cnf(i_0_24349,axiom,
    ( ~ esk5075_4(X1,X2,X3,X4)
    | esk5074_4(X1,X2,X3,X4) )).

cnf(i_0_24350,axiom,
    ( esk373_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk1987_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_24351,axiom,
    ( ~ p(X3)
    | ~ esk8469_4(X1,X2,X3,X4)
    | esk470_0
    | p(X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_24352,axiom,
    ( esk2803_4(X1,X2,X3,X4)
    | ~ esk2677_4(X1,X2,X3,X4) )).

cnf(i_0_24353,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk9087_4(X1,X2,X3,X4)
    | esk842_0
    | ~ p(X3) )).

cnf(i_0_24354,axiom,
    ( ~ esk4838_4(X1,X2,X3,X4)
    | esk4837_4(X1,X2,X3,X4)
    | esk4836_4(X1,X2,X3,X4) )).

cnf(i_0_24355,axiom,
    ( esk7833_4(X1,X2,X3,X4)
    | esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_24356,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk2933_4(X1,X2,X3,X4) )).

cnf(i_0_24357,axiom,
    ( ~ esk2139_4(X1,X2,X3,X4)
    | esk2137_4(X1,X2,X3,X4)
    | esk2138_4(X1,X2,X3,X4) )).

cnf(i_0_24358,axiom,
    ( esk2453_4(X1,X2,X3,X4)
    | ~ esk1521_4(X1,X2,X3,X4)
    | esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_24359,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8638_4(X1,X2,X3,X4) )).

cnf(i_0_24360,axiom,
    ( esk5789_4(X1,X2,X3,X4)
    | ~ esk5788_4(X1,X2,X3,X4) )).

cnf(i_0_24361,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | esk145_0
    | ~ esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_24362,axiom,
    ( esk99_0
    | ~ esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | p(X1) )).

cnf(i_0_24363,axiom,
    ( esk2765_4(X1,X2,X3,X4)
    | ~ esk3358_4(X1,X2,X3,X4)
    | ~ esk2764_4(X1,X2,X3,X4) )).

cnf(i_0_24364,axiom,
    ( ~ esk2830_4(X1,X2,X3,X4)
    | esk2827_4(X1,X2,X3,X4) )).

cnf(i_0_24365,axiom,
    ( ~ esk4997_4(X1,X2,X3,X4)
    | ~ esk3703_4(X1,X2,X3,X4)
    | esk3704_4(X1,X2,X3,X4) )).

cnf(i_0_24366,axiom,
    ( esk1_0
    | ~ esk1955_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | p(X3)
    | p(X4) )).

cnf(i_0_24367,axiom,
    ( ~ esk6301_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_24368,axiom,
    ( ~ esk9164_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk1046_0
    | p(X2)
    | p(X3) )).

cnf(i_0_24369,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk640_0
    | esk8725_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_24370,axiom,
    ( ~ esk4225_4(X1,X2,X3,X4)
    | ~ esk4530_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_24371,axiom,
    ( esk5929_4(X1,X2,X3,X4)
    | ~ esk5927_4(X1,X2,X3,X4) )).

cnf(i_0_24372,axiom,
    ( esk9083_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | p(X1)
    | p(X2)
    | ~ esk799_0 )).

cnf(i_0_24373,axiom,
    ( esk8263_4(X1,X2,X3,X4)
    | ~ esk8327_4(X1,X2,X3,X4) )).

cnf(i_0_24374,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk459_0
    | p(X1) )).

cnf(i_0_24375,axiom,
    ( ~ esk6118_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_24376,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2276_4(X1,X2,X3,X4)
    | esk2310_4(X1,X2,X3,X4) )).

cnf(i_0_24377,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ esk189_0
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_24378,axiom,
    ( esk7629_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_24379,axiom,
    ( esk4429_4(X1,X2,X3,X4)
    | ~ esk4427_4(X1,X2,X3,X4) )).

cnf(i_0_24380,axiom,
    ( esk2528_4(X1,X2,X3,X4)
    | ~ esk2526_4(X1,X2,X3,X4) )).

cnf(i_0_24381,axiom,
    ( esk8577_4(X1,X2,X3,X4)
    | ~ esk8574_4(X1,X2,X3,X4) )).

cnf(i_0_24382,axiom,
    ( esk6585_4(X1,X2,X3,X4)
    | ~ esk6583_4(X1,X2,X3,X4) )).

cnf(i_0_24383,axiom,
    ( ~ p(X4)
    | ~ esk444_0
    | esk2092_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_24384,axiom,
    ( p(X3)
    | p(X1)
    | p(X4)
    | ~ esk9101_4(X1,X2,X3,X4)
    | esk937_0
    | ~ p(X2) )).

cnf(i_0_24385,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4443_4(X1,X2,X3,X4) )).

cnf(i_0_24386,axiom,
    ( esk9268_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24387,axiom,
    ( esk4393_4(X1,X2,X3,X4)
    | ~ esk4391_4(X1,X2,X3,X4) )).

cnf(i_0_24388,axiom,
    ( ~ esk432_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk2061_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_24389,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk145_0
    | esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_24390,axiom,
    ( esk2764_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_24391,axiom,
    ( ~ esk8740_4(X1,X2,X3,X4)
    | esk8745_4(X1,X2,X3,X4) )).

cnf(i_0_24392,axiom,
    ( ~ esk8394_4(X1,X2,X3,X4)
    | esk8782_4(X1,X2,X3,X4) )).

cnf(i_0_24393,axiom,
    ( esk6917_4(X1,X2,X3,X4)
    | esk7027_4(X1,X2,X3,X4) )).

cnf(i_0_24394,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8435_4(X1,X2,X3,X4) )).

cnf(i_0_24395,axiom,
    ( esk4101_4(X1,X2,X3,X4)
    | ~ esk4102_4(X1,X2,X3,X4) )).

cnf(i_0_24396,axiom,
    ( esk4250_4(X1,X2,X3,X4)
    | ~ esk4288_4(X1,X2,X3,X4) )).

cnf(i_0_24397,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | ~ esk8680_4(X1,X2,X3,X4) )).

cnf(i_0_24398,axiom,
    ( esk6817_4(X1,X2,X3,X4)
    | ~ esk6818_4(X1,X2,X3,X4) )).

cnf(i_0_24399,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_24400,axiom,
    ( ~ esk1341_0
    | esk2958_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_24401,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk2918_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1262_0 )).

cnf(i_0_24402,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3892_4(X1,X2,X3,X4) )).

cnf(i_0_24403,axiom,
    ( esk8510_4(X1,X2,X3,X4)
    | ~ esk8785_4(X1,X2,X3,X4) )).

cnf(i_0_24404,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk4524_4(X1,X2,X3,X4)
    | esk4341_4(X1,X2,X3,X4) )).

cnf(i_0_24405,axiom,
    ( ~ esk4535_4(X1,X2,X3,X4)
    | esk4514_4(X1,X2,X3,X4) )).

cnf(i_0_24406,axiom,
    ( esk4847_4(X1,X2,X3,X4)
    | esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_24407,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6198_4(X1,X2,X3,X4) )).

cnf(i_0_24408,axiom,
    ( ~ p(X3)
    | ~ esk2801_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk912_0
    | p(X4)
    | p(X2) )).

cnf(i_0_24409,axiom,
    ( ~ esk6139_4(X1,X2,X3,X4)
    | esk6141_4(X1,X2,X3,X4) )).

cnf(i_0_24410,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk2886_4(X1,X2,X3,X4)
    | ~ esk1160_0
    | ~ p(X4) )).

cnf(i_0_24411,axiom,
    ( ~ esk1949_4(X1,X2,X3,X4)
    | ~ esk1874_4(X1,X2,X3,X4)
    | esk1981_4(X1,X2,X3,X4) )).

cnf(i_0_24412,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk2136_4(X1,X2,X3,X4) )).

cnf(i_0_24413,axiom,
    ( esk7557_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_24414,axiom,
    ( ~ esk8958_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_24415,axiom,
    ( ~ esk3373_4(X1,X2,X3,X4)
    | esk3370_4(X1,X2,X3,X4) )).

cnf(i_0_24416,axiom,
    ( ~ esk8472_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24417,axiom,
    ( esk7596_4(X1,X2,X3,X4)
    | ~ esk6919_4(X1,X2,X3,X4) )).

cnf(i_0_24418,axiom,
    ( ~ esk5288_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24419,axiom,
    ( ~ esk8635_4(X1,X2,X3,X4)
    | ~ esk8322_4(X1,X2,X3,X4)
    | esk8323_4(X1,X2,X3,X4) )).

cnf(i_0_24420,axiom,
    ( esk179_0
    | ~ p(X1)
    | p(X4)
    | ~ esk1750_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_24421,axiom,
    ( esk8460_4(X1,X2,X3,X4)
    | ~ esk8457_4(X1,X2,X3,X4) )).

cnf(i_0_24422,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | ~ esk2652_4(X1,X2,X3,X4) )).

cnf(i_0_24423,axiom,
    ( esk2074_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24424,axiom,
    ( ~ esk7488_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_24425,axiom,
    ( ~ esk8171_4(X1,X2,X3,X4)
    | ~ esk8280_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_24426,axiom,
    ( ~ esk6348_4(X1,X2,X3,X4)
    | esk6349_4(X1,X2,X3,X4) )).

cnf(i_0_24427,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk1536_4(X1,X2,X3,X4) )).

cnf(i_0_24428,axiom,
    ( esk4424_4(X1,X2,X3,X4)
    | esk4423_4(X1,X2,X3,X4)
    | ~ esk4425_4(X1,X2,X3,X4) )).

cnf(i_0_24429,axiom,
    ( esk2440_4(X1,X2,X3,X4)
    | ~ esk2449_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_24430,axiom,
    ( esk8558_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24431,axiom,
    ( esk4872_4(X1,X2,X3,X4)
    | ~ esk4871_4(X1,X2,X3,X4)
    | ~ esk5529_4(X1,X2,X3,X4) )).

cnf(i_0_24432,axiom,
    ( esk1594_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1502_4(X1,X2,X3,X4) )).

cnf(i_0_24433,axiom,
    ( esk3355_4(X1,X2,X3,X4)
    | ~ esk3356_4(X1,X2,X3,X4) )).

cnf(i_0_24434,axiom,
    ( esk2825_4(X1,X2,X3,X4)
    | ~ esk3432_4(X1,X2,X3,X4) )).

cnf(i_0_24435,axiom,
    ( ~ esk1529_4(X1,X2,X3,X4)
    | esk2454_4(X1,X2,X3,X4) )).

cnf(i_0_24436,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | esk673_0
    | ~ p(X1)
    | ~ esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_24437,axiom,
    ( ~ esk3409_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_24438,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk9107_4(X1,X2,X3,X4)
    | esk1_0
    | ~ p(X4) )).

cnf(i_0_24439,axiom,
    ( esk6715_4(X1,X2,X3,X4)
    | esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_24440,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ esk625_0 )).

cnf(i_0_24441,axiom,
    ( esk676_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk8729_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_24442,axiom,
    ( esk8731_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ esk686_0
    | p(X3)
    | p(X2) )).

cnf(i_0_24443,axiom,
    ( ~ esk6169_4(X1,X2,X3,X4)
    | esk6170_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_24444,axiom,
    ( ~ esk3374_4(X1,X2,X3,X4)
    | esk3372_4(X1,X2,X3,X4)
    | esk3373_4(X1,X2,X3,X4) )).

cnf(i_0_24445,axiom,
    ( esk9096_4(X1,X2,X3,X4)
    | ~ esk8966_4(X1,X2,X3,X4) )).

cnf(i_0_24446,axiom,
    ( esk7435_4(X1,X2,X3,X4)
    | ~ esk7432_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_24447,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8229_4(X1,X2,X3,X4) )).

cnf(i_0_24448,axiom,
    ( ~ esk4498_4(X1,X2,X3,X4)
    | esk4496_4(X1,X2,X3,X4)
    | esk4497_4(X1,X2,X3,X4) )).

cnf(i_0_24449,axiom,
    ( ~ esk3256_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_24450,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk1879_4(X1,X2,X3,X4) )).

cnf(i_0_24451,axiom,
    ( esk8586_4(X1,X2,X3,X4)
    | ~ esk6486_4(X1,X2,X3,X4) )).

cnf(i_0_24452,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk285_0
    | ~ p(X4)
    | ~ esk1860_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_24453,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1245_0 )).

cnf(i_0_24454,axiom,
    ( esk7887_4(X1,X2,X3,X4)
    | esk7886_4(X1,X2,X3,X4)
    | ~ esk7888_4(X1,X2,X3,X4) )).

cnf(i_0_24455,axiom,
    ( ~ esk4048_4(X1,X2,X3,X4)
    | esk4047_4(X1,X2,X3,X4)
    | esk4013_4(X1,X2,X3,X4) )).

cnf(i_0_24456,axiom,
    ( esk6834_4(X1,X2,X3,X4)
    | ~ esk6833_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_24457,axiom,
    ( ~ esk5908_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4)
    | esk5865_4(X1,X2,X3,X4) )).

cnf(i_0_24458,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3397_4(X1,X2,X3,X4) )).

cnf(i_0_24459,axiom,
    ( esk3306_4(X1,X2,X3,X4)
    | ~ esk3304_4(X1,X2,X3,X4) )).

cnf(i_0_24460,axiom,
    ( esk8804_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8097_4(X1,X2,X3,X4) )).

cnf(i_0_24461,axiom,
    ( ~ esk3679_4(X1,X2,X3,X4)
    | esk3680_4(X1,X2,X3,X4)
    | ~ esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_24462,axiom,
    ( esk898_0
    | ~ esk2799_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_24463,axiom,
    ( esk4904_4(X1,X2,X3,X4)
    | ~ esk5451_4(X1,X2,X3,X4) )).

cnf(i_0_24464,axiom,
    ( esk5627_4(X1,X2,X3,X4)
    | ~ esk5572_4(X1,X2,X3,X4)
    | ~ esk5553_4(X1,X2,X3,X4) )).

cnf(i_0_24465,axiom,
    ( esk1991_4(X1,X2,X3,X4)
    | ~ esk1989_4(X1,X2,X3,X4) )).

cnf(i_0_24466,axiom,
    ( esk7543_4(X1,X2,X3,X4)
    | ~ esk6812_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_24467,axiom,
    ( esk7412_4(X1,X2,X3,X4)
    | ~ esk7411_4(X1,X2,X3,X4) )).

cnf(i_0_24468,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk7465_4(X1,X2,X3,X4) )).

cnf(i_0_24469,axiom,
    ( esk3931_4(X1,X2,X3,X4)
    | ~ esk3930_4(X1,X2,X3,X4) )).

cnf(i_0_24470,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9544_4(X1,X2,X3,X4) )).

cnf(i_0_24471,axiom,
    ( ~ esk7037_4(X1,X2,X3,X4)
    | esk7038_4(X1,X2,X3,X4) )).

cnf(i_0_24472,axiom,
    ( ~ p(X3)
    | ~ esk8054_4(X1,X2,X3,X4)
    | esk235_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_24473,axiom,
    ( esk5813_4(X1,X2,X3,X4)
    | ~ esk5812_4(X1,X2,X3,X4) )).

cnf(i_0_24474,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8671_4(X1,X2,X3,X4) )).

cnf(i_0_24475,axiom,
    ( ~ esk729_0
    | ~ p(X3)
    | ~ p(X2)
    | esk8747_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_24476,axiom,
    ( esk8387_4(X1,X2,X3,X4)
    | esk8423_4(X1,X2,X3,X4)
    | ~ esk8424_4(X1,X2,X3,X4) )).

cnf(i_0_24477,axiom,
    ( esk8284_4(X1,X2,X3,X4)
    | ~ esk6184_4(X1,X2,X3,X4) )).

cnf(i_0_24478,axiom,
    ( esk3070_4(X1,X2,X3,X4)
    | ~ esk3069_4(X1,X2,X3,X4) )).

cnf(i_0_24479,axiom,
    ( esk2958_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1350_0 )).

cnf(i_0_24480,axiom,
    ( ~ esk4732_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_24481,axiom,
    ( esk6917_4(X1,X2,X3,X4)
    | ~ esk7033_4(X1,X2,X3,X4) )).

cnf(i_0_24482,axiom,
    ( esk3292_4(X1,X2,X3,X4)
    | ~ esk3290_4(X1,X2,X3,X4) )).

cnf(i_0_24483,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8934_4(X1,X2,X3,X4) )).

cnf(i_0_24484,axiom,
    ( esk2954_4(X1,X2,X3,X4)
    | esk1503_4(X1,X2,X3,X4) )).

cnf(i_0_24485,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk391_0
    | ~ p(X2)
    | ~ p(X1)
    | esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_24486,axiom,
    ( esk7356_4(X1,X2,X3,X4)
    | ~ esk7354_4(X1,X2,X3,X4) )).

cnf(i_0_24487,axiom,
    ( ~ esk1267_0
    | p(X4)
    | p(X1)
    | esk9218_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_24488,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk195_0
    | esk8048_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_24489,axiom,
    ( esk8673_4(X1,X2,X3,X4)
    | ~ esk8674_4(X1,X2,X3,X4) )).

cnf(i_0_24490,axiom,
    ( esk1405_4(X1,X2,X3,X4)
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_24491,axiom,
    ( esk7440_4(X1,X2,X3,X4)
    | ~ esk7446_4(X1,X2,X3,X4) )).

cnf(i_0_24492,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | ~ esk9715_4(X1,X2,X3,X4)
    | esk9718_4(X1,X2,X3,X4) )).

cnf(i_0_24493,axiom,
    ( esk7905_4(X1,X2,X3,X4)
    | ~ esk7906_4(X1,X2,X3,X4) )).

cnf(i_0_24494,axiom,
    ( p(X3)
    | p(X4)
    | esk8733_4(X1,X2,X3,X4)
    | ~ esk693_0
    | p(X1)
    | p(X2) )).

cnf(i_0_24495,axiom,
    ( ~ esk2934_4(X1,X2,X3,X4)
    | esk2936_4(X1,X2,X3,X4) )).

cnf(i_0_24496,axiom,
    ( ~ esk8957_4(X1,X2,X3,X4)
    | esk8781_4(X1,X2,X3,X4) )).

cnf(i_0_24497,axiom,
    ( esk7573_4(X1,X2,X3,X4)
    | ~ esk7574_4(X1,X2,X3,X4) )).

cnf(i_0_24498,axiom,
    ( ~ esk8277_4(X1,X2,X3,X4)
    | esk8246_4(X1,X2,X3,X4) )).

cnf(i_0_24499,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk793_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_24500,axiom,
    ( esk2843_4(X1,X2,X3,X4)
    | ~ esk2836_4(X1,X2,X3,X4)
    | ~ esk2811_4(X1,X2,X3,X4) )).

cnf(i_0_24501,axiom,
    ( ~ esk1741_4(X1,X2,X3,X4)
    | esk1743_4(X1,X2,X3,X4) )).

cnf(i_0_24502,axiom,
    ( ~ esk4174_4(X1,X2,X3,X4)
    | esk4172_4(X1,X2,X3,X4)
    | esk4173_4(X1,X2,X3,X4) )).

cnf(i_0_24503,axiom,
    ( ~ esk4683_4(X1,X2,X3,X4)
    | esk4676_4(X1,X2,X3,X4) )).

cnf(i_0_24504,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk3980_4(X1,X2,X3,X4) )).

cnf(i_0_24505,axiom,
    ( esk6981_4(X1,X2,X3,X4)
    | ~ esk6979_4(X1,X2,X3,X4) )).

cnf(i_0_24506,axiom,
    ( ~ esk6611_4(X1,X2,X3,X4)
    | esk6610_4(X1,X2,X3,X4) )).

cnf(i_0_24507,axiom,
    ( esk9387_4(X1,X2,X3,X4)
    | ~ esk9385_4(X1,X2,X3,X4) )).

cnf(i_0_24508,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk2801_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ esk909_0 )).

cnf(i_0_24509,axiom,
    ( esk8741_4(X1,X2,X3,X4)
    | esk8284_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_24510,axiom,
    ( esk8765_4(X1,X2,X3,X4)
    | ~ esk8930_4(X1,X2,X3,X4) )).

cnf(i_0_24511,axiom,
    ( esk7078_4(X1,X2,X3,X4)
    | ~ esk5783_4(X1,X2,X3,X4) )).

cnf(i_0_24512,axiom,
    ( ~ esk9598_4(X1,X2,X3,X4)
    | ~ esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_24513,axiom,
    ( ~ esk4462_4(X1,X2,X3,X4)
    | esk4463_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_24514,axiom,
    ( ~ esk2643_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_24515,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk3057_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24516,axiom,
    ( p(X3)
    | esk9095_4(X1,X2,X3,X4)
    | ~ esk892_0
    | ~ p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_24517,axiom,
    ( esk5987_4(X1,X2,X3,X4)
    | ~ esk5988_4(X1,X2,X3,X4) )).

cnf(i_0_24518,axiom,
    ( esk2229_4(X1,X2,X3,X4)
    | ~ esk2227_4(X1,X2,X3,X4) )).

cnf(i_0_24519,axiom,
    ( ~ esk8266_4(X1,X2,X3,X4)
    | esk8232_4(X1,X2,X3,X4) )).

cnf(i_0_24520,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8453_4(X1,X2,X3,X4) )).

cnf(i_0_24521,axiom,
    ( esk1220_0
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk9204_4(X1,X2,X3,X4) )).

cnf(i_0_24522,axiom,
    ( esk8198_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_24523,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk148_0
    | esk1746_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_24524,axiom,
    ( ~ esk8736_4(X1,X2,X3,X4)
    | esk9670_4(X1,X2,X3,X4)
    | ~ esk9667_4(X1,X2,X3,X4) )).

cnf(i_0_24525,axiom,
    ( esk4892_4(X1,X2,X3,X4)
    | ~ esk4691_4(X1,X2,X3,X4) )).

cnf(i_0_24526,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | esk2429_4(X1,X2,X3,X4)
    | ~ esk2166_4(X1,X2,X3,X4) )).

cnf(i_0_24527,axiom,
    ( ~ esk3111_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24528,axiom,
    ( esk2830_4(X1,X2,X3,X4)
    | esk2831_4(X1,X2,X3,X4)
    | ~ esk2832_4(X1,X2,X3,X4) )).

cnf(i_0_24529,axiom,
    ( ~ esk7589_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_24530,axiom,
    ( esk1949_4(X1,X2,X3,X4)
    | ~ esk1983_4(X1,X2,X3,X4)
    | esk1984_4(X1,X2,X3,X4) )).

cnf(i_0_24531,axiom,
    ( ~ esk7206_4(X1,X2,X3,X4)
    | esk7205_4(X1,X2,X3,X4) )).

cnf(i_0_24532,axiom,
    ( esk501_0
    | ~ esk2251_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_24533,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk2870_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1067_0
    | ~ p(X2) )).

cnf(i_0_24534,axiom,
    ( ~ esk9421_4(X1,X2,X3,X4)
    | esk9420_4(X1,X2,X3,X4) )).

cnf(i_0_24535,axiom,
    ( esk7921_4(X1,X2,X3,X4)
    | ~ esk7922_4(X1,X2,X3,X4) )).

cnf(i_0_24536,axiom,
    ( esk1098_0
    | p(X3)
    | p(X4)
    | ~ esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_24537,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5352_4(X1,X2,X3,X4) )).

cnf(i_0_24538,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk2918_4(X1,X2,X3,X4)
    | ~ esk1258_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_24539,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | esk1641_4(X1,X2,X3,X4)
    | ~ esk94_0
    | p(X4) )).

cnf(i_0_24540,axiom,
    ( ~ esk3531_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_24541,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2034_4(X1,X2,X3,X4) )).

cnf(i_0_24542,axiom,
    ( esk6649_4(X1,X2,X3,X4)
    | ~ esk7017_4(X1,X2,X3,X4)
    | esk6653_4(X1,X2,X3,X4) )).

cnf(i_0_24543,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | ~ esk3237_4(X1,X2,X3,X4) )).

cnf(i_0_24544,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4031_4(X1,X2,X3,X4) )).

cnf(i_0_24545,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | ~ p(X3)
    | ~ esk2022_4(X1,X2,X3,X4)
    | esk394_0 )).

cnf(i_0_24546,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4004_4(X1,X2,X3,X4)
    | esk4005_4(X1,X2,X3,X4) )).

cnf(i_0_24547,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8550_4(X1,X2,X3,X4) )).

cnf(i_0_24548,axiom,
    ( ~ esk9434_4(X1,X2,X3,X4)
    | esk9431_4(X1,X2,X3,X4) )).

cnf(i_0_24549,axiom,
    ( esk4132_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24550,axiom,
    ( ~ esk8371_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24551,axiom,
    ( esk4494_4(X1,X2,X3,X4)
    | ~ esk4493_4(X1,X2,X3,X4) )).

cnf(i_0_24552,axiom,
    ( esk8128_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24553,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk7794_4(X1,X2,X3,X4) )).

cnf(i_0_24554,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk264_0
    | esk1842_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_24555,axiom,
    ( esk5607_4(X1,X2,X3,X4)
    | ~ esk6487_4(X1,X2,X3,X4) )).

cnf(i_0_24556,axiom,
    ( esk9219_4(X1,X2,X3,X4)
    | ~ esk8008_4(X1,X2,X3,X4) )).

cnf(i_0_24557,axiom,
    ( esk4753_4(X1,X2,X3,X4)
    | ~ esk4751_4(X1,X2,X3,X4) )).

cnf(i_0_24558,axiom,
    ( ~ esk6353_4(X1,X2,X3,X4)
    | esk6352_4(X1,X2,X3,X4)
    | esk6351_4(X1,X2,X3,X4) )).

cnf(i_0_24559,axiom,
    ( esk1020_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_24560,axiom,
    ( ~ esk3156_4(X1,X2,X3,X4)
    | esk3155_4(X1,X2,X3,X4) )).

cnf(i_0_24561,axiom,
    ( esk7329_4(X1,X2,X3,X4)
    | ~ esk7330_4(X1,X2,X3,X4) )).

cnf(i_0_24562,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4098_4(X1,X2,X3,X4) )).

cnf(i_0_24563,axiom,
    ( ~ esk4517_4(X1,X2,X3,X4)
    | esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_24564,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4)
    | esk7171_4(X1,X2,X3,X4) )).

cnf(i_0_24565,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk302_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk1874_4(X1,X2,X3,X4) )).

cnf(i_0_24566,axiom,
    ( ~ esk6279_4(X1,X2,X3,X4)
    | esk6278_4(X1,X2,X3,X4) )).

cnf(i_0_24567,axiom,
    ( ~ esk4318_4(X1,X2,X3,X4)
    | esk4320_4(X1,X2,X3,X4) )).

cnf(i_0_24568,axiom,
    ( ~ esk5170_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24569,axiom,
    ( esk5198_4(X1,X2,X3,X4)
    | ~ esk5199_4(X1,X2,X3,X4) )).

cnf(i_0_24570,axiom,
    ( esk1935_4(X1,X2,X3,X4)
    | ~ esk1934_4(X1,X2,X3,X4) )).

cnf(i_0_24571,axiom,
    ( ~ esk8278_4(X1,X2,X3,X4)
    | esk8246_4(X1,X2,X3,X4) )).

cnf(i_0_24572,axiom,
    ( esk8077_4(X1,X2,X3,X4)
    | ~ esk8075_4(X1,X2,X3,X4) )).

cnf(i_0_24573,axiom,
    ( ~ esk4950_4(X1,X2,X3,X4)
    | esk4927_4(X1,X2,X3,X4) )).

cnf(i_0_24574,axiom,
    ( ~ esk1999_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_24575,axiom,
    ( ~ esk4189_4(X1,X2,X3,X4)
    | ~ esk4226_4(X1,X2,X3,X4)
    | ~ esk4225_4(X1,X2,X3,X4) )).

cnf(i_0_24576,axiom,
    ( ~ esk6411_4(X1,X2,X3,X4)
    | esk6686_4(X1,X2,X3,X4) )).

cnf(i_0_24577,axiom,
    ( ~ esk3837_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_24578,axiom,
    ( esk6719_4(X1,X2,X3,X4)
    | esk6693_4(X1,X2,X3,X4) )).

cnf(i_0_24579,axiom,
    ( ~ esk9627_4(X1,X2,X3,X4)
    | esk9625_4(X1,X2,X3,X4)
    | esk9626_4(X1,X2,X3,X4) )).

cnf(i_0_24580,axiom,
    ( ~ esk2685_4(X1,X2,X3,X4)
    | esk2686_4(X1,X2,X3,X4) )).

cnf(i_0_24581,axiom,
    ( ~ esk2059_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_24582,axiom,
    ( ~ esk4516_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4043_4(X1,X2,X3,X4) )).

cnf(i_0_24583,axiom,
    ( ~ esk3884_4(X1,X2,X3,X4)
    | esk3885_4(X1,X2,X3,X4)
    | ~ esk4445_4(X1,X2,X3,X4) )).

cnf(i_0_24584,axiom,
    ( ~ esk8828_4(X1,X2,X3,X4)
    | esk8829_4(X1,X2,X3,X4) )).

cnf(i_0_24585,axiom,
    ( esk5868_4(X1,X2,X3,X4)
    | ~ esk5741_4(X1,X2,X3,X4) )).

cnf(i_0_24586,axiom,
    ( ~ esk2080_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_24587,axiom,
    ( esk6905_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_24588,axiom,
    ( ~ p(X2)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk2_0
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_24589,axiom,
    ( esk4796_4(X1,X2,X3,X4)
    | ~ esk4797_4(X1,X2,X3,X4)
    | esk4795_4(X1,X2,X3,X4) )).

cnf(i_0_24590,axiom,
    ( ~ esk4361_4(X1,X2,X3,X4)
    | esk4208_4(X1,X2,X3,X4) )).

cnf(i_0_24591,axiom,
    ( p(X2)
    | esk1264_0
    | p(X3)
    | ~ esk9218_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_24592,axiom,
    ( esk1266_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_24593,axiom,
    ( ~ esk7689_4(X1,X2,X3,X4)
    | esk7968_4(X1,X2,X3,X4) )).

cnf(i_0_24594,axiom,
    ( esk5767_4(X1,X2,X3,X4)
    | ~ esk5769_4(X1,X2,X3,X4)
    | esk5768_4(X1,X2,X3,X4) )).

cnf(i_0_24595,axiom,
    ( ~ esk3117_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24596,axiom,
    ( esk6475_4(X1,X2,X3,X4)
    | ~ esk6621_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_24597,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6958_4(X1,X2,X3,X4) )).

cnf(i_0_24598,axiom,
    ( esk4513_4(X1,X2,X3,X4)
    | esk4512_4(X1,X2,X3,X4)
    | ~ esk4514_4(X1,X2,X3,X4) )).

cnf(i_0_24599,axiom,
    ( esk8067_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8066_4(X1,X2,X3,X4) )).

cnf(i_0_24600,axiom,
    ( esk7990_4(X1,X2,X3,X4)
    | esk7991_4(X1,X2,X3,X4)
    | ~ esk7992_4(X1,X2,X3,X4) )).

cnf(i_0_24601,axiom,
    ( esk2632_4(X1,X2,X3,X4)
    | ~ esk2631_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_24602,axiom,
    ( ~ esk8159_4(X1,X2,X3,X4)
    | esk7987_4(X1,X2,X3,X4) )).

cnf(i_0_24603,axiom,
    ( ~ esk2058_4(X1,X2,X3,X4)
    | ~ esk3285_4(X1,X2,X3,X4)
    | ~ esk1953_4(X1,X2,X3,X4) )).

cnf(i_0_24604,axiom,
    ( ~ esk9134_4(X1,X2,X3,X4)
    | ~ esk9112_4(X1,X2,X3,X4)
    | esk9135_4(X1,X2,X3,X4) )).

cnf(i_0_24605,axiom,
    ( p(X2)
    | ~ esk258_0
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk1842_4(X1,X2,X3,X4) )).

cnf(i_0_24606,axiom,
    ( esk4879_4(X1,X2,X3,X4)
    | ~ esk4880_4(X1,X2,X3,X4) )).

cnf(i_0_24607,axiom,
    ( esk2084_4(X1,X2,X3,X4)
    | ~ esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_24608,axiom,
    ( esk7034_4(X1,X2,X3,X4)
    | ~ esk7033_4(X1,X2,X3,X4) )).

cnf(i_0_24609,axiom,
    ( esk4012_4(X1,X2,X3,X4)
    | ~ esk4013_4(X1,X2,X3,X4)
    | esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_24610,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk1289_0
    | p(X3)
    | ~ esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_24611,axiom,
    ( esk2468_4(X1,X2,X3,X4)
    | ~ esk2467_4(X1,X2,X3,X4) )).

cnf(i_0_24612,axiom,
    ( ~ esk8836_4(X1,X2,X3,X4)
    | esk9110_4(X1,X2,X3,X4) )).

cnf(i_0_24613,axiom,
    ( ~ esk5248_4(X1,X2,X3,X4)
    | esk5249_4(X1,X2,X3,X4) )).

cnf(i_0_24614,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5500_4(X1,X2,X3,X4) )).

cnf(i_0_24615,axiom,
    ( esk7420_4(X1,X2,X3,X4)
    | ~ esk7434_4(X1,X2,X3,X4) )).

cnf(i_0_24616,axiom,
    ( esk3358_4(X1,X2,X3,X4)
    | ~ esk3356_4(X1,X2,X3,X4) )).

cnf(i_0_24617,axiom,
    ( ~ esk4557_4(X1,X2,X3,X4)
    | esk3472_4(X1,X2,X3,X4) )).

cnf(i_0_24618,axiom,
    ( esk8857_4(X1,X2,X3,X4)
    | ~ esk8859_4(X1,X2,X3,X4)
    | esk8858_4(X1,X2,X3,X4) )).

cnf(i_0_24619,axiom,
    ( ~ esk5805_4(X1,X2,X3,X4)
    | esk5804_4(X1,X2,X3,X4)
    | esk5803_4(X1,X2,X3,X4) )).

cnf(i_0_24620,axiom,
    ( ~ esk7608_4(X1,X2,X3,X4)
    | esk7606_4(X1,X2,X3,X4)
    | esk7607_4(X1,X2,X3,X4) )).

cnf(i_0_24621,axiom,
    ( esk4262_4(X1,X2,X3,X4)
    | ~ esk4260_4(X1,X2,X3,X4) )).

cnf(i_0_24622,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8445_4(X1,X2,X3,X4) )).

cnf(i_0_24623,axiom,
    ( esk8354_4(X1,X2,X3,X4)
    | ~ esk8873_4(X1,X2,X3,X4) )).

cnf(i_0_24624,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9027_4(X1,X2,X3,X4) )).

cnf(i_0_24625,axiom,
    ( ~ esk8465_4(X1,X2,X3,X4)
    | esk8464_4(X1,X2,X3,X4) )).

cnf(i_0_24626,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5162_4(X1,X2,X3,X4) )).

cnf(i_0_24627,axiom,
    ( ~ esk2398_4(X1,X2,X3,X4)
    | esk2399_4(X1,X2,X3,X4) )).

cnf(i_0_24628,axiom,
    ( esk9145_4(X1,X2,X3,X4)
    | ~ esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_24629,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4442_4(X1,X2,X3,X4) )).

cnf(i_0_24630,axiom,
    ( esk2717_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_24631,axiom,
    ( ~ esk4047_4(X1,X2,X3,X4)
    | ~ esk4013_4(X1,X2,X3,X4)
    | ~ esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_24632,axiom,
    ( ~ p(X1)
    | esk1748_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk163_0
    | ~ p(X3) )).

cnf(i_0_24633,axiom,
    ( ~ esk68_0
    | ~ p(X2)
    | p(X1)
    | esk1478_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_24634,axiom,
    ( ~ p(X1)
    | ~ esk2801_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk916_0
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_24635,axiom,
    ( ~ esk8828_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24636,axiom,
    ( ~ esk8543_4(X1,X2,X3,X4)
    | esk8545_4(X1,X2,X3,X4) )).

cnf(i_0_24637,axiom,
    ( esk8531_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24638,axiom,
    ( ~ esk9198_4(X1,X2,X3,X4)
    | esk8061_4(X1,X2,X3,X4) )).

cnf(i_0_24639,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk5108_4(X1,X2,X3,X4) )).

cnf(i_0_24640,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | esk1_0
    | ~ esk9099_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_24641,axiom,
    ( esk35_0
    | ~ p(X3)
    | p(X1)
    | ~ esk1442_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_24642,axiom,
    ( esk6908_4(X1,X2,X3,X4)
    | ~ esk6906_4(X1,X2,X3,X4) )).

cnf(i_0_24643,axiom,
    ( esk1304_0
    | ~ p(X1)
    | ~ esk9238_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_24644,axiom,
    ( ~ esk8339_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_24645,axiom,
    ( ~ esk6976_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_24646,axiom,
    ( ~ esk3071_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24647,axiom,
    ( esk4225_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4530_4(X1,X2,X3,X4) )).

cnf(i_0_24648,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5870_4(X1,X2,X3,X4)
    | ~ esk5721_4(X1,X2,X3,X4) )).

cnf(i_0_24649,axiom,
    ( ~ esk8575_4(X1,X2,X3,X4)
    | esk8540_4(X1,X2,X3,X4) )).

cnf(i_0_24650,axiom,
    ( ~ esk2878_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1126_0 )).

cnf(i_0_24651,axiom,
    ( esk6892_4(X1,X2,X3,X4)
    | ~ esk7578_4(X1,X2,X3,X4) )).

cnf(i_0_24652,axiom,
    ( ~ esk6927_4(X1,X2,X3,X4)
    | esk7572_4(X1,X2,X3,X4) )).

cnf(i_0_24653,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk2880_4(X1,X2,X3,X4)
    | esk1128_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_24654,axiom,
    ( esk4127_4(X1,X2,X3,X4)
    | ~ esk4125_4(X1,X2,X3,X4) )).

cnf(i_0_24655,axiom,
    ( esk6080_4(X1,X2,X3,X4)
    | ~ esk6635_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_24656,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk1067_0
    | esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_24657,axiom,
    ( ~ esk5937_4(X1,X2,X3,X4)
    | esk5936_4(X1,X2,X3,X4)
    | esk5935_4(X1,X2,X3,X4) )).

cnf(i_0_24658,axiom,
    ( ~ esk8012_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24659,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | esk483_0
    | ~ esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_24660,axiom,
    ( esk7188_4(X1,X2,X3,X4)
    | ~ esk7186_4(X1,X2,X3,X4) )).

cnf(i_0_24661,axiom,
    ( esk6280_4(X1,X2,X3,X4)
    | ~ esk6281_4(X1,X2,X3,X4)
    | esk6279_4(X1,X2,X3,X4) )).

cnf(i_0_24662,axiom,
    ( ~ p(X1)
    | ~ esk56_0
    | p(X3)
    | p(X4)
    | p(X2)
    | esk7740_4(X1,X2,X3,X4) )).

cnf(i_0_24663,axiom,
    ( esk8030_4(X1,X2,X3,X4)
    | ~ esk7983_4(X1,X2,X3,X4)
    | ~ esk8029_4(X1,X2,X3,X4) )).

cnf(i_0_24664,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | esk5734_4(X1,X2,X3,X4) )).

cnf(i_0_24665,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5445_4(X1,X2,X3,X4)
    | esk5448_4(X1,X2,X3,X4) )).

cnf(i_0_24666,axiom,
    ( ~ esk3790_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4)
    | esk3825_4(X1,X2,X3,X4) )).

cnf(i_0_24667,axiom,
    ( ~ esk9090_4(X1,X2,X3,X4)
    | esk6990_4(X1,X2,X3,X4) )).

cnf(i_0_24668,axiom,
    ( p(X4)
    | ~ esk583_0
    | esk8717_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_24669,axiom,
    ( esk8611_4(X1,X2,X3,X4)
    | ~ esk8718_4(X1,X2,X3,X4)
    | ~ esk8579_4(X1,X2,X3,X4) )).

cnf(i_0_24670,axiom,
    ( ~ esk9348_4(X1,X2,X3,X4)
    | esk9349_4(X1,X2,X3,X4)
    | ~ esk8651_4(X1,X2,X3,X4) )).

cnf(i_0_24671,axiom,
    ( ~ esk5284_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24672,axiom,
    ( esk5531_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4924_4(X1,X2,X3,X4) )).

cnf(i_0_24673,axiom,
    ( ~ esk7018_4(X1,X2,X3,X4)
    | esk7021_4(X1,X2,X3,X4) )).

cnf(i_0_24674,axiom,
    ( p(X1)
    | esk172_0
    | p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_24675,axiom,
    ( ~ esk7898_4(X1,X2,X3,X4)
    | esk7897_4(X1,X2,X3,X4) )).

cnf(i_0_24676,axiom,
    ( ~ esk6188_4(X1,X2,X3,X4)
    | esk6189_4(X1,X2,X3,X4) )).

cnf(i_0_24677,axiom,
    ( esk296_0
    | p(X4)
    | ~ p(X1)
    | ~ esk8170_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_24678,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | esk3827_4(X1,X2,X3,X4) )).

cnf(i_0_24679,axiom,
    ( esk4632_4(X1,X2,X3,X4)
    | ~ esk4664_4(X1,X2,X3,X4) )).

cnf(i_0_24680,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk7734_4(X1,X2,X3,X4)
    | p(X4)
    | esk15_0 )).

cnf(i_0_24681,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7365_4(X1,X2,X3,X4)
    | esk7366_4(X1,X2,X3,X4) )).

cnf(i_0_24682,axiom,
    ( p(X2)
    | ~ esk265_0
    | esk1842_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_24683,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk2952_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1318_0
    | p(X2) )).

cnf(i_0_24684,axiom,
    ( esk2485_4(X1,X2,X3,X4)
    | ~ esk2664_4(X1,X2,X3,X4) )).

cnf(i_0_24685,axiom,
    ( ~ esk6760_4(X1,X2,X3,X4)
    | esk6759_4(X1,X2,X3,X4)
    | esk6758_4(X1,X2,X3,X4) )).

cnf(i_0_24686,axiom,
    ( esk2932_4(X1,X2,X3,X4)
    | ~ esk1712_4(X1,X2,X3,X4) )).

cnf(i_0_24687,axiom,
    ( esk9255_4(X1,X2,X3,X4)
    | esk8070_4(X1,X2,X3,X4) )).

cnf(i_0_24688,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5100_4(X1,X2,X3,X4) )).

cnf(i_0_24689,axiom,
    ( ~ esk7763_4(X1,X2,X3,X4)
    | esk8020_4(X1,X2,X3,X4) )).

cnf(i_0_24690,axiom,
    ( esk8740_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4)
    | esk8213_4(X1,X2,X3,X4) )).

cnf(i_0_24691,axiom,
    ( esk5879_4(X1,X2,X3,X4)
    | ~ esk6070_4(X1,X2,X3,X4) )).

cnf(i_0_24692,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2589_4(X1,X2,X3,X4) )).

cnf(i_0_24693,axiom,
    ( esk4066_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_24694,axiom,
    ( ~ esk1542_4(X1,X2,X3,X4)
    | esk1472_4(X1,X2,X3,X4) )).

cnf(i_0_24695,axiom,
    ( ~ esk8731_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk2_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_24696,axiom,
    ( esk2464_4(X1,X2,X3,X4)
    | ~ esk1528_4(X1,X2,X3,X4) )).

cnf(i_0_24697,axiom,
    ( esk2417_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk546_0
    | ~ p(X2)
    | p(X3)
    | p(X1) )).

cnf(i_0_24698,axiom,
    ( p(X1)
    | ~ esk9107_4(X1,X2,X3,X4)
    | p(X3)
    | esk979_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_24699,axiom,
    ( ~ esk7315_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_24700,axiom,
    ( ~ esk4568_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4) )).

cnf(i_0_24701,axiom,
    ( esk6262_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_24702,axiom,
    ( esk4023_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_24703,axiom,
    ( ~ esk78_0
    | p(X1)
    | ~ p(X4)
    | esk1516_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_24704,axiom,
    ( esk4204_4(X1,X2,X3,X4)
    | ~ esk4279_4(X1,X2,X3,X4) )).

cnf(i_0_24705,axiom,
    ( esk5962_4(X1,X2,X3,X4)
    | esk7101_4(X1,X2,X3,X4) )).

cnf(i_0_24706,axiom,
    ( esk2974_4(X1,X2,X3,X4)
    | ~ esk2973_4(X1,X2,X3,X4) )).

cnf(i_0_24707,axiom,
    ( esk9588_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4)
    | ~ esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_24708,axiom,
    ( esk8050_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk208_0
    | ~ p(X1) )).

cnf(i_0_24709,axiom,
    ( ~ esk7759_4(X1,X2,X3,X4)
    | esk7761_4(X1,X2,X3,X4) )).

cnf(i_0_24710,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk1298_0
    | ~ p(X3)
    | ~ p(X2)
    | esk2942_4(X1,X2,X3,X4) )).

cnf(i_0_24711,axiom,
    ( p(X1)
    | p(X2)
    | p(X3)
    | esk1248_0
    | ~ esk2918_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_24712,axiom,
    ( ~ esk5202_4(X1,X2,X3,X4)
    | esk5203_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_24713,axiom,
    ( ~ p(X3)
    | ~ esk516_0
    | p(X1)
    | esk8585_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_24714,axiom,
    ( ~ esk5886_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_24715,axiom,
    ( ~ esk4756_4(X1,X2,X3,X4)
    | esk4192_4(X1,X2,X3,X4) )).

cnf(i_0_24716,axiom,
    ( esk7490_4(X1,X2,X3,X4)
    | ~ esk6827_4(X1,X2,X3,X4) )).

cnf(i_0_24717,axiom,
    ( esk7124_4(X1,X2,X3,X4)
    | ~ esk5953_4(X1,X2,X3,X4) )).

cnf(i_0_24718,axiom,
    ( ~ esk299_0
    | ~ p(X3)
    | ~ p(X4)
    | esk8170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_24719,axiom,
    ( ~ esk4358_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_24720,axiom,
    ( esk2815_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ esk1014_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_24721,axiom,
    ( ~ esk3700_4(X1,X2,X3,X4)
    | esk3702_4(X1,X2,X3,X4) )).

cnf(i_0_24722,axiom,
    ( ~ p(X1)
    | esk466_0
    | ~ esk2095_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_24723,axiom,
    ( ~ esk3316_4(X1,X2,X3,X4)
    | esk2662_4(X1,X2,X3,X4) )).

cnf(i_0_24724,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4000_4(X1,X2,X3,X4) )).

cnf(i_0_24725,axiom,
    ( ~ esk1558_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_24726,axiom,
    ( ~ esk9626_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_24727,axiom,
    ( ~ esk5179_4(X1,X2,X3,X4)
    | esk5173_4(X1,X2,X3,X4) )).

cnf(i_0_24728,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk2569_4(X1,X2,X3,X4) )).

cnf(i_0_24729,axiom,
    ( p(X4)
    | ~ p(X2)
    | esk383_0
    | ~ esk1995_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_24730,axiom,
    ( ~ esk5819_4(X1,X2,X3,X4)
    | esk7120_4(X1,X2,X3,X4) )).

cnf(i_0_24731,axiom,
    ( esk5970_4(X1,X2,X3,X4)
    | ~ esk5968_4(X1,X2,X3,X4) )).

cnf(i_0_24732,axiom,
    ( ~ esk1954_4(X1,X2,X3,X4)
    | esk2134_4(X1,X2,X3,X4) )).

cnf(i_0_24733,axiom,
    ( esk5507_4(X1,X2,X3,X4)
    | ~ esk5509_4(X1,X2,X3,X4)
    | esk5508_4(X1,X2,X3,X4) )).

cnf(i_0_24734,axiom,
    ( esk2482_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | ~ p(X2)
    | ~ esk779_0 )).

cnf(i_0_24735,axiom,
    ( ~ esk4110_4(X1,X2,X3,X4)
    | esk4112_4(X1,X2,X3,X4) )).

cnf(i_0_24736,axiom,
    ( p(X1)
    | ~ esk2787_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk798_0 )).

cnf(i_0_24737,axiom,
    ( ~ esk8309_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24738,axiom,
    ( ~ esk8833_4(X1,X2,X3,X4)
    | esk7976_4(X1,X2,X3,X4) )).

cnf(i_0_24739,axiom,
    ( p(X2)
    | p(X1)
    | esk8042_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk140_0 )).

cnf(i_0_24740,axiom,
    ( esk6076_4(X1,X2,X3,X4)
    | esk6404_4(X1,X2,X3,X4) )).

cnf(i_0_24741,axiom,
    ( esk5201_4(X1,X2,X3,X4)
    | ~ esk5199_4(X1,X2,X3,X4) )).

cnf(i_0_24742,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | esk2874_4(X1,X2,X3,X4)
    | ~ esk1089_0
    | ~ p(X2) )).

cnf(i_0_24743,axiom,
    ( ~ p(X4)
    | ~ esk9099_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | esk929_0
    | ~ p(X3) )).

cnf(i_0_24744,axiom,
    ( ~ esk9531_4(X1,X2,X3,X4)
    | esk9534_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_24745,axiom,
    ( ~ esk1471_4(X1,X2,X3,X4)
    | esk1708_4(X1,X2,X3,X4) )).

cnf(i_0_24746,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3357_4(X1,X2,X3,X4) )).

cnf(i_0_24747,axiom,
    ( esk8447_4(X1,X2,X3,X4)
    | ~ esk8410_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_24748,axiom,
    ( esk8612_4(X1,X2,X3,X4)
    | ~ esk8610_4(X1,X2,X3,X4) )).

cnf(i_0_24749,axiom,
    ( esk6452_4(X1,X2,X3,X4)
    | esk6453_4(X1,X2,X3,X4)
    | ~ esk6454_4(X1,X2,X3,X4) )).

cnf(i_0_24750,axiom,
    ( esk5712_4(X1,X2,X3,X4)
    | ~ esk5710_4(X1,X2,X3,X4) )).

cnf(i_0_24751,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | ~ esk4867_4(X1,X2,X3,X4) )).

cnf(i_0_24752,axiom,
    ( ~ esk4162_4(X1,X2,X3,X4)
    | esk4583_4(X1,X2,X3,X4) )).

cnf(i_0_24753,axiom,
    ( ~ esk1534_4(X1,X2,X3,X4)
    | esk1535_4(X1,X2,X3,X4) )).

cnf(i_0_24754,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk1065_0
    | p(X3)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_24755,axiom,
    ( ~ p(X2)
    | ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | esk1230_0 )).

cnf(i_0_24756,axiom,
    ( esk8283_4(X1,X2,X3,X4)
    | ~ esk377_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_24757,axiom,
    ( ~ esk7072_4(X1,X2,X3,X4)
    | ~ esk5685_4(X1,X2,X3,X4)
    | esk5686_4(X1,X2,X3,X4) )).

cnf(i_0_24758,axiom,
    ( ~ esk2892_4(X1,X2,X3,X4)
    | esk1705_4(X1,X2,X3,X4) )).

cnf(i_0_24759,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7417_4(X1,X2,X3,X4) )).

cnf(i_0_24760,axiom,
    ( esk7140_4(X1,X2,X3,X4)
    | ~ esk5040_4(X1,X2,X3,X4) )).

cnf(i_0_24761,axiom,
    ( ~ esk6374_4(X1,X2,X3,X4)
    | esk6226_4(X1,X2,X3,X4) )).

cnf(i_0_24762,axiom,
    ( ~ esk9741_4(X1,X2,X3,X4)
    | esk9744_4(X1,X2,X3,X4) )).

cnf(i_0_24763,axiom,
    ( ~ esk6109_4(X1,X2,X3,X4)
    | esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_24764,axiom,
    ( ~ esk9746_4(X1,X2,X3,X4)
    | ~ esk9745_4(X1,X2,X3,X4)
    | ~ esk7819_4(X1,X2,X3,X4) )).

cnf(i_0_24765,axiom,
    ( esk4477_4(X1,X2,X3,X4)
    | ~ esk4011_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_24766,axiom,
    ( esk3942_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_24767,axiom,
    ( ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1_0 )).

cnf(i_0_24768,axiom,
    ( esk9703_4(X1,X2,X3,X4)
    | ~ esk9702_4(X1,X2,X3,X4) )).

cnf(i_0_24769,axiom,
    ( ~ esk6661_4(X1,X2,X3,X4)
    | esk6660_4(X1,X2,X3,X4)
    | esk6659_4(X1,X2,X3,X4) )).

cnf(i_0_24770,axiom,
    ( ~ esk6543_4(X1,X2,X3,X4)
    | esk6544_4(X1,X2,X3,X4) )).

cnf(i_0_24771,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk9326_4(X1,X2,X3,X4) )).

cnf(i_0_24772,axiom,
    ( esk3268_4(X1,X2,X3,X4)
    | ~ esk3267_4(X1,X2,X3,X4)
    | ~ esk3238_4(X1,X2,X3,X4) )).

cnf(i_0_24773,axiom,
    ( ~ esk5683_4(X1,X2,X3,X4)
    | esk7152_4(X1,X2,X3,X4) )).

cnf(i_0_24774,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk3009_4(X1,X2,X3,X4) )).

cnf(i_0_24775,axiom,
    ( esk8727_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk657_0
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_24776,axiom,
    ( esk3302_4(X1,X2,X3,X4)
    | esk2583_4(X1,X2,X3,X4) )).

cnf(i_0_24777,axiom,
    ( esk4224_4(X1,X2,X3,X4)
    | ~ esk4222_4(X1,X2,X3,X4) )).

cnf(i_0_24778,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2667_4(X1,X2,X3,X4) )).

cnf(i_0_24779,axiom,
    ( ~ esk3817_4(X1,X2,X3,X4)
    | esk3818_4(X1,X2,X3,X4) )).

cnf(i_0_24780,axiom,
    ( ~ esk2814_4(X1,X2,X3,X4)
    | esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_24781,axiom,
    ( ~ esk9562_4(X1,X2,X3,X4)
    | esk9559_4(X1,X2,X3,X4) )).

cnf(i_0_24782,axiom,
    ( esk3285_4(X1,X2,X3,X4)
    | ~ esk2058_4(X1,X2,X3,X4)
    | esk1953_4(X1,X2,X3,X4) )).

cnf(i_0_24783,axiom,
    ( esk2005_4(X1,X2,X3,X4)
    | ~ esk2003_4(X1,X2,X3,X4) )).

cnf(i_0_24784,axiom,
    ( ~ esk6276_4(X1,X2,X3,X4)
    | esk6277_4(X1,X2,X3,X4) )).

cnf(i_0_24785,axiom,
    ( ~ esk6501_4(X1,X2,X3,X4)
    | esk6500_4(X1,X2,X3,X4)
    | esk6499_4(X1,X2,X3,X4) )).

cnf(i_0_24786,axiom,
    ( esk682_0
    | p(X1)
    | p(X4)
    | ~ esk8731_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_24787,axiom,
    ( esk345_0
    | ~ p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_24788,axiom,
    ( esk2195_4(X1,X2,X3,X4)
    | ~ esk2196_4(X1,X2,X3,X4) )).

cnf(i_0_24789,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | esk780_0
    | ~ esk8778_4(X1,X2,X3,X4) )).

cnf(i_0_24790,axiom,
    ( ~ esk4497_4(X1,X2,X3,X4)
    | esk4498_4(X1,X2,X3,X4) )).

cnf(i_0_24791,axiom,
    ( esk6989_4(X1,X2,X3,X4)
    | ~ esk6665_4(X1,X2,X3,X4) )).

cnf(i_0_24792,axiom,
    ( ~ esk9066_4(X1,X2,X3,X4)
    | esk9663_4(X1,X2,X3,X4) )).

cnf(i_0_24793,axiom,
    ( ~ esk6043_4(X1,X2,X3,X4)
    | esk6044_4(X1,X2,X3,X4) )).

cnf(i_0_24794,axiom,
    ( esk2139_4(X1,X2,X3,X4)
    | ~ esk2138_4(X1,X2,X3,X4) )).

cnf(i_0_24795,axiom,
    ( ~ esk3296_4(X1,X2,X3,X4)
    | esk3298_4(X1,X2,X3,X4) )).

cnf(i_0_24796,axiom,
    ( ~ esk6995_4(X1,X2,X3,X4)
    | esk7085_4(X1,X2,X3,X4) )).

cnf(i_0_24797,axiom,
    ( esk4280_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4242_4(X1,X2,X3,X4) )).

cnf(i_0_24798,axiom,
    ( ~ esk9160_4(X1,X2,X3,X4)
    | esk9161_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_24799,axiom,
    ( ~ esk4086_4(X1,X2,X3,X4)
    | ~ esk4548_4(X1,X2,X3,X4)
    | ~ esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_24800,axiom,
    ( esk1970_4(X1,X2,X3,X4)
    | ~ esk1969_4(X1,X2,X3,X4) )).

cnf(i_0_24801,axiom,
    ( ~ p(X1)
    | esk1_0
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk9166_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_24802,axiom,
    ( esk1923_4(X1,X2,X3,X4)
    | ~ esk1921_4(X1,X2,X3,X4) )).

cnf(i_0_24803,axiom,
    ( ~ esk1513_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_24804,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4171_4(X1,X2,X3,X4) )).

cnf(i_0_24805,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk3028_4(X1,X2,X3,X4) )).

cnf(i_0_24806,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk8092_4(X1,X2,X3,X4) )).

cnf(i_0_24807,axiom,
    ( ~ esk4783_4(X1,X2,X3,X4)
    | esk4589_4(X1,X2,X3,X4) )).

cnf(i_0_24808,axiom,
    ( ~ esk9227_4(X1,X2,X3,X4)
    | esk9222_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_24809,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk2791_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | esk832_0 )).

cnf(i_0_24810,axiom,
    ( ~ esk7195_4(X1,X2,X3,X4)
    | esk7192_4(X1,X2,X3,X4) )).

cnf(i_0_24811,axiom,
    ( ~ esk6256_4(X1,X2,X3,X4)
    | ~ esk6151_4(X1,X2,X3,X4)
    | ~ esk7483_4(X1,X2,X3,X4) )).

cnf(i_0_24812,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk9382_4(X1,X2,X3,X4) )).

cnf(i_0_24813,axiom,
    ( ~ esk2376_4(X1,X2,X3,X4)
    | esk2377_4(X1,X2,X3,X4)
    | ~ esk2299_4(X1,X2,X3,X4) )).

cnf(i_0_24814,axiom,
    ( ~ esk5759_4(X1,X2,X3,X4)
    | esk5758_4(X1,X2,X3,X4) )).

cnf(i_0_24815,axiom,
    ( esk9109_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | p(X2)
    | p(X4)
    | ~ esk993_0 )).

cnf(i_0_24816,axiom,
    ( esk3968_4(X1,X2,X3,X4)
    | ~ esk4270_4(X1,X2,X3,X4) )).

cnf(i_0_24817,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk9478_4(X1,X2,X3,X4) )).

cnf(i_0_24818,axiom,
    ( esk8172_4(X1,X2,X3,X4)
    | ~ esk8346_4(X1,X2,X3,X4)
    | esk8355_4(X1,X2,X3,X4) )).

cnf(i_0_24819,axiom,
    ( ~ esk4321_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_24820,axiom,
    ( esk9122_4(X1,X2,X3,X4)
    | ~ esk9730_4(X1,X2,X3,X4) )).

cnf(i_0_24821,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8129_4(X1,X2,X3,X4)
    | esk8080_4(X1,X2,X3,X4) )).

cnf(i_0_24822,axiom,
    ( ~ esk4596_4(X1,X2,X3,X4)
    | esk3537_4(X1,X2,X3,X4) )).

cnf(i_0_24823,axiom,
    ( esk2504_4(X1,X2,X3,X4)
    | ~ esk2503_4(X1,X2,X3,X4) )).

cnf(i_0_24824,axiom,
    ( ~ esk804_0
    | esk2787_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_24825,axiom,
    ( ~ esk794_0
    | esk9081_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_24826,axiom,
    ( esk4191_4(X1,X2,X3,X4)
    | ~ esk4089_4(X1,X2,X3,X4) )).

cnf(i_0_24827,axiom,
    ( esk1575_4(X1,X2,X3,X4)
    | ~ esk1573_4(X1,X2,X3,X4) )).

cnf(i_0_24828,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5324_4(X1,X2,X3,X4) )).

cnf(i_0_24829,axiom,
    ( esk9691_4(X1,X2,X3,X4)
    | ~ esk9689_4(X1,X2,X3,X4) )).

cnf(i_0_24830,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | esk2607_4(X1,X2,X3,X4) )).

cnf(i_0_24831,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk4395_4(X1,X2,X3,X4) )).

cnf(i_0_24832,axiom,
    ( esk1915_4(X1,X2,X3,X4)
    | ~ esk2417_4(X1,X2,X3,X4) )).

cnf(i_0_24833,axiom,
    ( ~ esk3596_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_24834,axiom,
    ( esk5434_4(X1,X2,X3,X4)
    | ~ esk5435_4(X1,X2,X3,X4) )).

cnf(i_0_24835,axiom,
    ( esk4964_4(X1,X2,X3,X4)
    | esk3875_4(X1,X2,X3,X4)
    | ~ esk3932_4(X1,X2,X3,X4) )).

cnf(i_0_24836,axiom,
    ( ~ esk4876_4(X1,X2,X3,X4)
    | esk4875_4(X1,X2,X3,X4) )).

cnf(i_0_24837,axiom,
    ( ~ esk2437_4(X1,X2,X3,X4)
    | esk3271_4(X1,X2,X3,X4) )).

cnf(i_0_24838,axiom,
    ( ~ esk5100_4(X1,X2,X3,X4)
    | esk5101_4(X1,X2,X3,X4) )).

cnf(i_0_24839,axiom,
    ( esk3244_4(X1,X2,X3,X4)
    | ~ esk3243_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_24840,axiom,
    ( ~ esk9218_4(X1,X2,X3,X4)
    | p(X1)
    | esk1265_0
    | p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_24841,axiom,
    ( ~ esk1758_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | esk237_0 )).

cnf(i_0_24842,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk467_0
    | esk2095_4(X1,X2,X3,X4) )).

cnf(i_0_24843,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk2855_4(X1,X2,X3,X4) )).

cnf(i_0_24844,axiom,
    ( ~ esk7548_4(X1,X2,X3,X4)
    | esk6959_4(X1,X2,X3,X4)
    | ~ esk6958_4(X1,X2,X3,X4) )).

cnf(i_0_24845,axiom,
    ( ~ p(X1)
    | ~ esk2803_4(X1,X2,X3,X4)
    | esk932_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_24846,axiom,
    ( esk4962_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4)
    | ~ esk5018_4(X1,X2,X3,X4) )).

cnf(i_0_24847,axiom,
    ( esk9700_4(X1,X2,X3,X4)
    | ~ esk9701_4(X1,X2,X3,X4) )).

cnf(i_0_24848,axiom,
    ( ~ esk2224_4(X1,X2,X3,X4)
    | esk2186_4(X1,X2,X3,X4) )).

cnf(i_0_24849,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6287_4(X1,X2,X3,X4)
    | esk6631_4(X1,X2,X3,X4) )).

cnf(i_0_24850,axiom,
    ( esk8340_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24851,axiom,
    ( ~ esk3884_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_24852,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9442_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_24853,axiom,
    ( esk6337_4(X1,X2,X3,X4)
    | ~ esk6375_4(X1,X2,X3,X4) )).

cnf(i_0_24854,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | esk380_0
    | p(X4)
    | ~ esk8291_4(X1,X2,X3,X4) )).

cnf(i_0_24855,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4499_4(X1,X2,X3,X4) )).

cnf(i_0_24856,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3163_4(X1,X2,X3,X4) )).

cnf(i_0_24857,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | p(X2)
    | ~ esk2427_4(X1,X2,X3,X4)
    | esk625_0 )).

cnf(i_0_24858,axiom,
    ( ~ esk1934_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_24859,axiom,
    ( esk7748_4(X1,X2,X3,X4)
    | ~ esk7747_4(X1,X2,X3,X4) )).

cnf(i_0_24860,axiom,
    ( ~ esk2741_4(X1,X2,X3,X4)
    | esk2740_4(X1,X2,X3,X4) )).

cnf(i_0_24861,axiom,
    ( esk2200_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk2165_4(X1,X2,X3,X4) )).

cnf(i_0_24862,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk2799_4(X1,X2,X3,X4)
    | ~ esk899_0
    | p(X4) )).

cnf(i_0_24863,axiom,
    ( ~ esk2392_4(X1,X2,X3,X4)
    | esk2393_4(X1,X2,X3,X4)
    | ~ esk2990_4(X1,X2,X3,X4) )).

cnf(i_0_24864,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2750_4(X1,X2,X3,X4) )).

cnf(i_0_24865,axiom,
    ( p(X1)
    | p(X2)
    | ~ p(X4)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1236_0
    | ~ p(X3) )).

cnf(i_0_24866,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk970_0
    | p(X3)
    | ~ esk2809_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_24867,axiom,
    ( esk7812_4(X1,X2,X3,X4)
    | ~ esk81_0
    | p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_24868,axiom,
    ( esk5283_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5282_4(X1,X2,X3,X4) )).

cnf(i_0_24869,axiom,
    ( esk5721_4(X1,X2,X3,X4)
    | esk5867_4(X1,X2,X3,X4) )).

cnf(i_0_24870,axiom,
    ( ~ p(X1)
    | esk9083_4(X1,X2,X3,X4)
    | ~ esk809_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_24871,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk9204_4(X1,X2,X3,X4)
    | esk1224_0
    | p(X1)
    | p(X4) )).

cnf(i_0_24872,axiom,
    ( p(X1)
    | ~ esk1_0
    | p(X2)
    | p(X3)
    | esk2874_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_24873,axiom,
    ( ~ esk6053_4(X1,X2,X3,X4)
    | ~ esk5880_4(X1,X2,X3,X4) )).

cnf(i_0_24874,axiom,
    ( ~ esk2962_4(X1,X2,X3,X4)
    | esk2961_4(X1,X2,X3,X4)
    | esk2960_4(X1,X2,X3,X4) )).

cnf(i_0_24875,axiom,
    ( esk8287_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_24876,axiom,
    ( ~ esk1500_4(X1,X2,X3,X4)
    | esk1502_4(X1,X2,X3,X4) )).

cnf(i_0_24877,axiom,
    ( ~ esk4458_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_24878,axiom,
    ( ~ esk3890_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_24879,axiom,
    ( p(X1)
    | ~ esk157_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_24880,axiom,
    ( ~ esk4836_4(X1,X2,X3,X4)
    | esk5489_4(X1,X2,X3,X4) )).

cnf(i_0_24881,axiom,
    ( esk4750_4(X1,X2,X3,X4)
    | ~ esk4751_4(X1,X2,X3,X4) )).

cnf(i_0_24882,axiom,
    ( ~ esk5016_4(X1,X2,X3,X4)
    | esk7116_4(X1,X2,X3,X4) )).

cnf(i_0_24883,axiom,
    ( ~ esk2535_4(X1,X2,X3,X4)
    | esk2537_4(X1,X2,X3,X4) )).

cnf(i_0_24884,axiom,
    ( ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | esk209_0
    | ~ p(X4) )).

cnf(i_0_24885,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | esk748_0
    | ~ p(X1)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_24886,axiom,
    ( ~ esk4562_4(X1,X2,X3,X4)
    | esk4561_4(X1,X2,X3,X4)
    | esk4560_4(X1,X2,X3,X4) )).

cnf(i_0_24887,axiom,
    ( ~ esk3813_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_24888,axiom,
    ( ~ esk8231_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_24889,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3900_4(X1,X2,X3,X4)
    | esk3901_4(X1,X2,X3,X4) )).

cnf(i_0_24890,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6944_4(X1,X2,X3,X4) )).

cnf(i_0_24891,axiom,
    ( ~ esk4905_4(X1,X2,X3,X4)
    | esk7005_4(X1,X2,X3,X4) )).

cnf(i_0_24892,axiom,
    ( esk8365_4(X1,X2,X3,X4)
    | ~ esk8366_4(X1,X2,X3,X4) )).

cnf(i_0_24893,axiom,
    ( ~ esk9245_4(X1,X2,X3,X4)
    | esk7998_4(X1,X2,X3,X4) )).

cnf(i_0_24894,axiom,
    ( ~ esk9027_4(X1,X2,X3,X4)
    | esk9028_4(X1,X2,X3,X4) )).

cnf(i_0_24895,axiom,
    ( esk4443_4(X1,X2,X3,X4)
    | esk4444_4(X1,X2,X3,X4)
    | ~ esk4445_4(X1,X2,X3,X4) )).

cnf(i_0_24896,axiom,
    ( ~ esk2738_4(X1,X2,X3,X4)
    | esk2739_4(X1,X2,X3,X4) )).

cnf(i_0_24897,axiom,
    ( esk6362_4(X1,X2,X3,X4)
    | esk6325_4(X1,X2,X3,X4)
    | ~ esk6363_4(X1,X2,X3,X4) )).

cnf(i_0_24898,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk9109_4(X1,X2,X3,X4)
    | esk1005_0
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_24899,axiom,
    ( ~ esk3783_4(X1,X2,X3,X4)
    | esk4981_4(X1,X2,X3,X4) )).

cnf(i_0_24900,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9706_4(X1,X2,X3,X4) )).

cnf(i_0_24901,axiom,
    ( esk6045_4(X1,X2,X3,X4)
    | ~ esk6046_4(X1,X2,X3,X4) )).

cnf(i_0_24902,axiom,
    ( esk2496_4(X1,X2,X3,X4)
    | esk1764_4(X1,X2,X3,X4) )).

cnf(i_0_24903,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk842_0
    | ~ p(X1) )).

cnf(i_0_24904,axiom,
    ( ~ p(X2)
    | esk8617_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ esk541_0
    | ~ p(X1) )).

cnf(i_0_24905,axiom,
    ( ~ esk3792_4(X1,X2,X3,X4)
    | esk3791_4(X1,X2,X3,X4) )).

cnf(i_0_24906,axiom,
    ( esk9037_4(X1,X2,X3,X4)
    | ~ esk9038_4(X1,X2,X3,X4) )).

cnf(i_0_24907,axiom,
    ( ~ esk8316_4(X1,X2,X3,X4)
    | esk8282_4(X1,X2,X3,X4)
    | esk8541_4(X1,X2,X3,X4) )).

cnf(i_0_24908,axiom,
    ( ~ esk3333_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_24909,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | ~ esk1546_4(X1,X2,X3,X4) )).

cnf(i_0_24910,axiom,
    ( ~ esk8039_4(X1,X2,X3,X4)
    | esk7996_4(X1,X2,X3,X4) )).

cnf(i_0_24911,axiom,
    ( esk8887_4(X1,X2,X3,X4)
    | ~ esk8886_4(X1,X2,X3,X4) )).

cnf(i_0_24912,axiom,
    ( ~ esk8762_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_24913,axiom,
    ( esk7645_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4)
    | ~ esk6007_4(X1,X2,X3,X4) )).

cnf(i_0_24914,axiom,
    ( ~ esk7292_4(X1,X2,X3,X4)
    | esk7295_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_24915,axiom,
    ( esk2371_4(X1,X2,X3,X4)
    | ~ esk1873_4(X1,X2,X3,X4) )).

cnf(i_0_24916,axiom,
    ( ~ esk8120_4(X1,X2,X3,X4)
    | esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_24917,axiom,
    ( esk6816_4(X1,X2,X3,X4)
    | ~ esk7551_4(X1,X2,X3,X4) )).

cnf(i_0_24918,axiom,
    ( esk334_0
    | p(X3)
    | p(X1)
    | ~ esk8251_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_24919,axiom,
    ( esk7828_4(X1,X2,X3,X4)
    | ~ esk8058_4(X1,X2,X3,X4) )).

cnf(i_0_24920,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk304_0
    | ~ p(X3)
    | p(X1)
    | esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_24921,axiom,
    ( ~ esk9671_4(X1,X2,X3,X4)
    | esk9670_4(X1,X2,X3,X4)
    | esk9669_4(X1,X2,X3,X4) )).

cnf(i_0_24922,axiom,
    ( ~ esk7827_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4)
    | esk7855_4(X1,X2,X3,X4) )).

cnf(i_0_24923,axiom,
    ( ~ esk2959_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24924,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk294_0
    | p(X1)
    | ~ esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_24925,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8268_4(X1,X2,X3,X4) )).

cnf(i_0_24926,axiom,
    ( ~ esk2683_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_24927,axiom,
    ( esk9183_4(X1,X2,X3,X4)
    | ~ esk7797_4(X1,X2,X3,X4) )).

cnf(i_0_24928,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | esk6954_4(X1,X2,X3,X4) )).

cnf(i_0_24929,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ esk914_0
    | ~ p(X1)
    | p(X3)
    | esk2801_4(X1,X2,X3,X4) )).

cnf(i_0_24930,axiom,
    ( ~ esk6919_4(X1,X2,X3,X4)
    | esk6918_4(X1,X2,X3,X4) )).

cnf(i_0_24931,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6264_4(X1,X2,X3,X4) )).

cnf(i_0_24932,axiom,
    ( esk2807_4(X1,X2,X3,X4)
    | ~ esk1644_4(X1,X2,X3,X4) )).

cnf(i_0_24933,axiom,
    ( esk4995_4(X1,X2,X3,X4)
    | ~ esk3800_4(X1,X2,X3,X4) )).

cnf(i_0_24934,axiom,
    ( ~ esk4423_4(X1,X2,X3,X4)
    | esk4422_4(X1,X2,X3,X4) )).

cnf(i_0_24935,axiom,
    ( esk8804_4(X1,X2,X3,X4)
    | esk8803_4(X1,X2,X3,X4)
    | ~ esk8805_4(X1,X2,X3,X4) )).

cnf(i_0_24936,axiom,
    ( esk7548_4(X1,X2,X3,X4)
    | ~ esk7547_4(X1,X2,X3,X4) )).

cnf(i_0_24937,axiom,
    ( esk2405_4(X1,X2,X3,X4)
    | ~ esk3158_4(X1,X2,X3,X4)
    | ~ esk2404_4(X1,X2,X3,X4) )).

cnf(i_0_24938,axiom,
    ( esk1430_4(X1,X2,X3,X4)
    | ~ esk1614_4(X1,X2,X3,X4) )).

cnf(i_0_24939,axiom,
    ( ~ esk6431_4(X1,X2,X3,X4)
    | esk6135_4(X1,X2,X3,X4)
    | ~ esk6134_4(X1,X2,X3,X4) )).

cnf(i_0_24940,axiom,
    ( ~ esk7207_4(X1,X2,X3,X4)
    | esk7204_4(X1,X2,X3,X4) )).

cnf(i_0_24941,axiom,
    ( esk3508_4(X1,X2,X3,X4)
    | ~ esk4388_4(X1,X2,X3,X4) )).

cnf(i_0_24942,axiom,
    ( ~ esk5698_4(X1,X2,X3,X4)
    | esk7084_4(X1,X2,X3,X4) )).

cnf(i_0_24943,axiom,
    ( ~ esk5818_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_24944,axiom,
    ( ~ esk7721_4(X1,X2,X3,X4)
    | esk9441_4(X1,X2,X3,X4)
    | ~ esk9440_4(X1,X2,X3,X4) )).

cnf(i_0_24945,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9294_4(X1,X2,X3,X4) )).

cnf(i_0_24946,axiom,
    ( ~ esk1350_0
    | esk9254_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_24947,axiom,
    ( ~ esk7376_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | esk7379_4(X1,X2,X3,X4) )).

cnf(i_0_24948,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | esk6250_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_24949,axiom,
    ( esk3573_4(X1,X2,X3,X4)
    | ~ esk3462_4(X1,X2,X3,X4) )).

cnf(i_0_24950,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2849_4(X1,X2,X3,X4) )).

cnf(i_0_24951,axiom,
    ( esk1478_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk66_0
    | p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_24952,axiom,
    ( ~ esk1650_4(X1,X2,X3,X4)
    | esk1651_4(X1,X2,X3,X4) )).

cnf(i_0_24953,axiom,
    ( esk6670_4(X1,X2,X3,X4)
    | ~ esk6672_4(X1,X2,X3,X4)
    | esk6671_4(X1,X2,X3,X4) )).

cnf(i_0_24954,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3719_4(X1,X2,X3,X4) )).

cnf(i_0_24955,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2404_4(X1,X2,X3,X4) )).

cnf(i_0_24956,axiom,
    ( ~ p(X3)
    | ~ esk8547_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk504_0
    | p(X1) )).

cnf(i_0_24957,axiom,
    ( esk372_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk8283_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_24958,axiom,
    ( esk2523_4(X1,X2,X3,X4)
    | ~ esk2524_4(X1,X2,X3,X4)
    | esk2522_4(X1,X2,X3,X4) )).

cnf(i_0_24959,axiom,
    ( ~ esk6829_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_24960,axiom,
    ( esk1918_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk316_0
    | ~ p(X2) )).

cnf(i_0_24961,axiom,
    ( ~ esk7314_4(X1,X2,X3,X4)
    | esk7316_4(X1,X2,X3,X4) )).

cnf(i_0_24962,axiom,
    ( ~ esk665_0
    | p(X1)
    | esk8729_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_24963,axiom,
    ( ~ p(X1)
    | esk8391_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk464_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_24964,axiom,
    ( ~ esk3510_4(X1,X2,X3,X4)
    | esk4017_4(X1,X2,X3,X4) )).

cnf(i_0_24965,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2_0
    | esk7740_4(X1,X2,X3,X4) )).

cnf(i_0_24966,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ esk3403_4(X1,X2,X3,X4) )).

cnf(i_0_24967,axiom,
    ( esk2105_4(X1,X2,X3,X4)
    | ~ esk2103_4(X1,X2,X3,X4) )).

cnf(i_0_24968,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6893_4(X1,X2,X3,X4) )).

cnf(i_0_24969,axiom,
    ( ~ esk1800_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk2507_4(X1,X2,X3,X4) )).

cnf(i_0_24970,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6786_4(X1,X2,X3,X4) )).

cnf(i_0_24971,axiom,
    ( ~ esk4856_4(X1,X2,X3,X4)
    | esk4855_4(X1,X2,X3,X4) )).

cnf(i_0_24972,axiom,
    ( ~ esk2092_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | esk440_0
    | ~ p(X4) )).

cnf(i_0_24973,axiom,
    ( esk4596_4(X1,X2,X3,X4)
    | esk4597_4(X1,X2,X3,X4)
    | ~ esk4598_4(X1,X2,X3,X4) )).

cnf(i_0_24974,axiom,
    ( esk9010_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_24975,axiom,
    ( ~ esk4703_4(X1,X2,X3,X4)
    | esk4702_4(X1,X2,X3,X4) )).

cnf(i_0_24976,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8910_4(X1,X2,X3,X4) )).

cnf(i_0_24977,axiom,
    ( ~ esk7216_4(X1,X2,X3,X4)
    | ~ esk7221_4(X1,X2,X3,X4)
    | esk7222_4(X1,X2,X3,X4) )).

cnf(i_0_24978,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk9492_4(X1,X2,X3,X4) )).

cnf(i_0_24979,axiom,
    ( esk2661_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_24980,axiom,
    ( ~ esk3169_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_24981,axiom,
    ( ~ esk7657_4(X1,X2,X3,X4)
    | esk8293_4(X1,X2,X3,X4) )).

cnf(i_0_24982,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk7724_4(X1,X2,X3,X4) )).

cnf(i_0_24983,axiom,
    ( ~ esk3698_4(X1,X2,X3,X4)
    | esk4988_4(X1,X2,X3,X4) )).

cnf(i_0_24984,axiom,
    ( esk9583_4(X1,X2,X3,X4)
    | ~ esk8172_4(X1,X2,X3,X4)
    | esk8249_4(X1,X2,X3,X4) )).

cnf(i_0_24985,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | ~ esk3627_4(X1,X2,X3,X4) )).

cnf(i_0_24986,axiom,
    ( ~ esk8796_4(X1,X2,X3,X4)
    | esk8773_4(X1,X2,X3,X4)
    | ~ esk8772_4(X1,X2,X3,X4) )).

cnf(i_0_24987,axiom,
    ( ~ esk9546_4(X1,X2,X3,X4)
    | esk9543_4(X1,X2,X3,X4) )).

cnf(i_0_24988,axiom,
    ( ~ esk2762_4(X1,X2,X3,X4)
    | esk2763_4(X1,X2,X3,X4) )).

cnf(i_0_24989,axiom,
    ( ~ esk6386_4(X1,X2,X3,X4)
    | esk6238_4(X1,X2,X3,X4) )).

cnf(i_0_24990,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk6029_4(X1,X2,X3,X4) )).

cnf(i_0_24991,axiom,
    ( esk7200_4(X1,X2,X3,X4)
    | ~ esk7198_4(X1,X2,X3,X4) )).

cnf(i_0_24992,axiom,
    ( ~ esk6697_4(X1,X2,X3,X4)
    | esk6696_4(X1,X2,X3,X4)
    | esk6695_4(X1,X2,X3,X4) )).

cnf(i_0_24993,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk8254_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk360_0 )).

cnf(i_0_24994,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk1_0
    | esk1958_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_24995,axiom,
    ( ~ esk9669_4(X1,X2,X3,X4)
    | esk9668_4(X1,X2,X3,X4) )).

cnf(i_0_24996,axiom,
    ( ~ esk5954_4(X1,X2,X3,X4)
    | esk5584_4(X1,X2,X3,X4) )).

cnf(i_0_24997,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7163_4(X1,X2,X3,X4) )).

cnf(i_0_24998,axiom,
    ( esk3794_4(X1,X2,X3,X4)
    | ~ esk3965_4(X1,X2,X3,X4) )).

cnf(i_0_24999,axiom,
    ( esk6882_4(X1,X2,X3,X4)
    | esk6883_4(X1,X2,X3,X4)
    | ~ esk6884_4(X1,X2,X3,X4) )).

cnf(i_0_25000,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7339_4(X1,X2,X3,X4) )).

cnf(i_0_25001,axiom,
    ( esk3165_4(X1,X2,X3,X4)
    | ~ esk3166_4(X1,X2,X3,X4)
    | esk3164_4(X1,X2,X3,X4) )).

cnf(i_0_25002,axiom,
    ( ~ esk1597_4(X1,X2,X3,X4)
    | esk1599_4(X1,X2,X3,X4) )).

cnf(i_0_25003,axiom,
    ( p(X1)
    | ~ esk589_0
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_25004,axiom,
    ( ~ esk6637_4(X1,X2,X3,X4)
    | ~ esk7545_4(X1,X2,X3,X4) )).

cnf(i_0_25005,axiom,
    ( esk6615_4(X1,X2,X3,X4)
    | ~ esk6142_4(X1,X2,X3,X4) )).

cnf(i_0_25006,axiom,
    ( ~ esk3151_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_25007,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk658_0
    | ~ p(X3)
    | ~ p(X4)
    | esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_25008,axiom,
    ( ~ esk6974_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_25009,axiom,
    ( ~ esk2581_4(X1,X2,X3,X4)
    | esk2582_4(X1,X2,X3,X4) )).

cnf(i_0_25010,axiom,
    ( esk9000_4(X1,X2,X3,X4)
    | ~ esk9001_4(X1,X2,X3,X4) )).

cnf(i_0_25011,axiom,
    ( ~ esk7578_4(X1,X2,X3,X4)
    | esk7580_4(X1,X2,X3,X4) )).

cnf(i_0_25012,axiom,
    ( esk9268_4(X1,X2,X3,X4)
    | ~ esk9269_4(X1,X2,X3,X4) )).

cnf(i_0_25013,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5228_4(X1,X2,X3,X4) )).

cnf(i_0_25014,axiom,
    ( esk5913_4(X1,X2,X3,X4)
    | ~ esk5857_4(X1,X2,X3,X4) )).

cnf(i_0_25015,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk6982_4(X1,X2,X3,X4) )).

cnf(i_0_25016,axiom,
    ( ~ esk6852_4(X1,X2,X3,X4)
    | esk6850_4(X1,X2,X3,X4)
    | esk6851_4(X1,X2,X3,X4) )).

cnf(i_0_25017,axiom,
    ( esk3297_4(X1,X2,X3,X4)
    | ~ esk2787_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_25018,axiom,
    ( ~ esk4953_4(X1,X2,X3,X4)
    | esk4818_4(X1,X2,X3,X4) )).

cnf(i_0_25019,axiom,
    ( p(X1)
    | esk1_0
    | p(X3)
    | ~ esk2789_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_25020,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk5022_4(X1,X2,X3,X4) )).

cnf(i_0_25021,axiom,
    ( esk9279_4(X1,X2,X3,X4)
    | ~ esk9278_4(X1,X2,X3,X4) )).

cnf(i_0_25022,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | esk8652_4(X1,X2,X3,X4) )).

cnf(i_0_25023,axiom,
    ( ~ esk4021_4(X1,X2,X3,X4)
    | esk4192_4(X1,X2,X3,X4) )).

cnf(i_0_25024,axiom,
    ( ~ p(X2)
    | ~ esk2854_4(X1,X2,X3,X4)
    | esk1034_0
    | p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_25025,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | esk9297_4(X1,X2,X3,X4)
    | ~ esk9296_4(X1,X2,X3,X4) )).

cnf(i_0_25026,axiom,
    ( ~ p(X1)
    | ~ esk344_0
    | esk8251_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_25027,axiom,
    ( ~ esk1633_4(X1,X2,X3,X4)
    | esk2952_4(X1,X2,X3,X4) )).

cnf(i_0_25028,axiom,
    ( esk2224_4(X1,X2,X3,X4)
    | esk2223_4(X1,X2,X3,X4)
    | ~ esk2225_4(X1,X2,X3,X4) )).

cnf(i_0_25029,axiom,
    ( esk3677_4(X1,X2,X3,X4)
    | ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3585_4(X1,X2,X3,X4) )).

cnf(i_0_25030,axiom,
    ( esk5244_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25031,axiom,
    ( ~ esk4919_4(X1,X2,X3,X4)
    | esk4922_4(X1,X2,X3,X4) )).

cnf(i_0_25032,axiom,
    ( ~ esk6795_4(X1,X2,X3,X4)
    | esk6749_4(X1,X2,X3,X4) )).

cnf(i_0_25033,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6930_4(X1,X2,X3,X4) )).

cnf(i_0_25034,axiom,
    ( ~ esk3230_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | esk3233_4(X1,X2,X3,X4) )).

cnf(i_0_25035,axiom,
    ( ~ esk7740_4(X1,X2,X3,X4)
    | esk57_0
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_25036,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X4)
    | p(X2)
    | ~ esk529_0
    | esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_25037,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk8048_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk186_0
    | ~ p(X3) )).

cnf(i_0_25038,axiom,
    ( ~ esk9126_4(X1,X2,X3,X4)
    | ~ esk9124_4(X1,X2,X3,X4)
    | esk9127_4(X1,X2,X3,X4) )).

cnf(i_0_25039,axiom,
    ( esk6157_4(X1,X2,X3,X4)
    | ~ esk6158_4(X1,X2,X3,X4) )).

cnf(i_0_25040,axiom,
    ( ~ esk2887_4(X1,X2,X3,X4)
    | esk2797_4(X1,X2,X3,X4) )).

cnf(i_0_25041,axiom,
    ( p(X2)
    | ~ esk8170_4(X1,X2,X3,X4)
    | esk289_0
    | p(X1)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_25042,axiom,
    ( ~ esk3216_4(X1,X2,X3,X4)
    | esk3215_4(X1,X2,X3,X4) )).

cnf(i_0_25043,axiom,
    ( esk1153_0
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk9178_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_25044,axiom,
    ( ~ esk2455_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk766_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_25045,axiom,
    ( esk7369_4(X1,X2,X3,X4)
    | ~ esk7370_4(X1,X2,X3,X4) )).

cnf(i_0_25046,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk2544_4(X1,X2,X3,X4) )).

cnf(i_0_25047,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk591_0
    | ~ esk8719_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_25048,axiom,
    ( esk6358_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6627_4(X1,X2,X3,X4) )).

cnf(i_0_25049,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk8046_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk177_0
    | p(X2) )).

cnf(i_0_25050,axiom,
    ( ~ esk4411_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_25051,axiom,
    ( ~ esk4617_4(X1,X2,X3,X4)
    | esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_25052,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4806_4(X1,X2,X3,X4) )).

cnf(i_0_25053,axiom,
    ( ~ esk4382_4(X1,X2,X3,X4)
    | esk4522_4(X1,X2,X3,X4)
    | esk4520_4(X1,X2,X3,X4) )).

cnf(i_0_25054,axiom,
    ( ~ esk8282_4(X1,X2,X3,X4)
    | esk8316_4(X1,X2,X3,X4) )).

cnf(i_0_25055,axiom,
    ( ~ esk1638_4(X1,X2,X3,X4)
    | esk1639_4(X1,X2,X3,X4) )).

cnf(i_0_25056,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5294_4(X1,X2,X3,X4) )).

cnf(i_0_25057,axiom,
    ( ~ esk9004_4(X1,X2,X3,X4)
    | ~ esk8825_4(X1,X2,X3,X4)
    | esk9005_4(X1,X2,X3,X4) )).

cnf(i_0_25058,axiom,
    ( esk7781_4(X1,X2,X3,X4)
    | ~ esk7780_4(X1,X2,X3,X4)
    | ~ esk9165_4(X1,X2,X3,X4) )).

cnf(i_0_25059,axiom,
    ( esk4491_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_25060,axiom,
    ( esk7825_4(X1,X2,X3,X4)
    | ~ esk8173_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_25061,axiom,
    ( esk5383_4(X1,X2,X3,X4)
    | ~ esk4544_4(X1,X2,X3,X4)
    | ~ esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_25062,axiom,
    ( ~ p(X1)
    | esk707_0
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2) )).

cnf(i_0_25063,axiom,
    ( ~ esk4150_4(X1,X2,X3,X4)
    | esk4534_4(X1,X2,X3,X4) )).

cnf(i_0_25064,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ esk1048_0
    | esk2868_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_25065,axiom,
    ( ~ esk7959_4(X1,X2,X3,X4)
    | esk7958_4(X1,X2,X3,X4) )).

cnf(i_0_25066,axiom,
    ( esk3809_4(X1,X2,X3,X4)
    | ~ esk5017_4(X1,X2,X3,X4) )).

cnf(i_0_25067,axiom,
    ( esk6513_4(X1,X2,X3,X4)
    | ~ esk6512_4(X1,X2,X3,X4) )).

cnf(i_0_25068,axiom,
    ( ~ esk4727_4(X1,X2,X3,X4)
    | esk4888_4(X1,X2,X3,X4) )).

cnf(i_0_25069,axiom,
    ( esk5551_4(X1,X2,X3,X4)
    | ~ esk5661_4(X1,X2,X3,X4) )).

cnf(i_0_25070,axiom,
    ( esk5302_4(X1,X2,X3,X4)
    | ~ esk5303_4(X1,X2,X3,X4) )).

cnf(i_0_25071,axiom,
    ( esk7320_4(X1,X2,X3,X4)
    | ~ esk7318_4(X1,X2,X3,X4) )).

cnf(i_0_25072,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | ~ esk1585_4(X1,X2,X3,X4) )).

cnf(i_0_25073,axiom,
    ( ~ esk7323_4(X1,X2,X3,X4)
    | esk7324_4(X1,X2,X3,X4) )).

cnf(i_0_25074,axiom,
    ( ~ esk8597_4(X1,X2,X3,X4)
    | esk8598_4(X1,X2,X3,X4)
    | ~ esk8627_4(X1,X2,X3,X4) )).

cnf(i_0_25075,axiom,
    ( esk7164_4(X1,X2,X3,X4)
    | ~ esk7163_4(X1,X2,X3,X4) )).

cnf(i_0_25076,axiom,
    ( esk9300_4(X1,X2,X3,X4)
    | ~ esk9301_4(X1,X2,X3,X4) )).

cnf(i_0_25077,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk9430_4(X1,X2,X3,X4) )).

cnf(i_0_25078,axiom,
    ( esk5536_4(X1,X2,X3,X4)
    | esk4925_4(X1,X2,X3,X4) )).

cnf(i_0_25079,axiom,
    ( ~ esk7637_4(X1,X2,X3,X4)
    | esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_25080,axiom,
    ( esk5938_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_25081,axiom,
    ( esk2461_4(X1,X2,X3,X4)
    | esk2462_4(X1,X2,X3,X4)
    | ~ esk2463_4(X1,X2,X3,X4) )).

cnf(i_0_25082,axiom,
    ( ~ esk6022_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_25083,axiom,
    ( ~ esk2240_4(X1,X2,X3,X4)
    | esk2241_4(X1,X2,X3,X4) )).

cnf(i_0_25084,axiom,
    ( ~ p(X2)
    | esk2429_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk639_0
    | ~ p(X3) )).

cnf(i_0_25085,axiom,
    ( ~ esk7727_4(X1,X2,X3,X4)
    | ~ esk7877_4(X1,X2,X3,X4) )).

cnf(i_0_25086,axiom,
    ( ~ esk2_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk7967_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_25087,axiom,
    ( ~ esk1775_4(X1,X2,X3,X4)
    | esk1840_4(X1,X2,X3,X4) )).

cnf(i_0_25088,axiom,
    ( ~ esk7954_4(X1,X2,X3,X4)
    | ~ esk7650_4(X1,X2,X3,X4) )).

cnf(i_0_25089,axiom,
    ( esk7534_4(X1,X2,X3,X4)
    | ~ esk7536_4(X1,X2,X3,X4)
    | esk7535_4(X1,X2,X3,X4) )).

cnf(i_0_25090,axiom,
    ( ~ esk2936_4(X1,X2,X3,X4)
    | esk2934_4(X1,X2,X3,X4)
    | esk2935_4(X1,X2,X3,X4) )).

cnf(i_0_25091,axiom,
    ( esk3655_4(X1,X2,X3,X4)
    | ~ esk3656_4(X1,X2,X3,X4) )).

cnf(i_0_25092,axiom,
    ( esk8248_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk331_0
    | p(X3) )).

cnf(i_0_25093,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X4)
    | esk9194_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1213_0 )).

cnf(i_0_25094,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | ~ esk9702_4(X1,X2,X3,X4) )).

cnf(i_0_25095,axiom,
    ( ~ esk2315_4(X1,X2,X3,X4)
    | esk2314_4(X1,X2,X3,X4)
    | esk2313_4(X1,X2,X3,X4)
    | esk2312_4(X1,X2,X3,X4) )).

cnf(i_0_25096,axiom,
    ( esk4651_4(X1,X2,X3,X4)
    | ~ esk4898_4(X1,X2,X3,X4) )).

cnf(i_0_25097,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5510_4(X1,X2,X3,X4) )).

cnf(i_0_25098,axiom,
    ( ~ esk2473_4(X1,X2,X3,X4)
    | esk2474_4(X1,X2,X3,X4) )).

cnf(i_0_25099,axiom,
    ( ~ esk7102_4(X1,X2,X3,X4)
    | esk6649_4(X1,X2,X3,X4) )).

cnf(i_0_25100,axiom,
    ( esk5151_4(X1,X2,X3,X4)
    | esk5152_4(X1,X2,X3,X4)
    | ~ esk5153_4(X1,X2,X3,X4) )).

cnf(i_0_25101,axiom,
    ( ~ esk6345_4(X1,X2,X3,X4)
    | esk6343_4(X1,X2,X3,X4)
    | esk6344_4(X1,X2,X3,X4) )).

cnf(i_0_25102,axiom,
    ( ~ esk7425_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25103,axiom,
    ( esk5756_4(X1,X2,X3,X4)
    | esk5755_4(X1,X2,X3,X4)
    | ~ esk5757_4(X1,X2,X3,X4) )).

cnf(i_0_25104,axiom,
    ( ~ esk3536_4(X1,X2,X3,X4)
    | esk4558_4(X1,X2,X3,X4) )).

cnf(i_0_25105,axiom,
    ( ~ esk1556_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_25106,axiom,
    ( esk8987_4(X1,X2,X3,X4)
    | ~ esk8986_4(X1,X2,X3,X4) )).

cnf(i_0_25107,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | esk2329_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_25108,axiom,
    ( ~ esk5639_4(X1,X2,X3,X4)
    | esk7085_4(X1,X2,X3,X4) )).

cnf(i_0_25109,axiom,
    ( esk8818_4(X1,X2,X3,X4)
    | esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_25110,axiom,
    ( esk2610_4(X1,X2,X3,X4)
    | ~ esk2609_4(X1,X2,X3,X4) )).

cnf(i_0_25111,axiom,
    ( ~ p(X2)
    | ~ esk2894_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk1193_0
    | p(X4) )).

cnf(i_0_25112,axiom,
    ( ~ esk1967_4(X1,X2,X3,X4)
    | esk1968_4(X1,X2,X3,X4)
    | ~ esk1900_4(X1,X2,X3,X4) )).

cnf(i_0_25113,axiom,
    ( ~ esk4524_4(X1,X2,X3,X4)
    | esk5375_4(X1,X2,X3,X4) )).

cnf(i_0_25114,axiom,
    ( esk7344_4(X1,X2,X3,X4)
    | ~ esk7343_4(X1,X2,X3,X4) )).

cnf(i_0_25115,axiom,
    ( esk5828_4(X1,X2,X3,X4)
    | ~ esk5829_4(X1,X2,X3,X4)
    | esk5827_4(X1,X2,X3,X4) )).

cnf(i_0_25116,axiom,
    ( ~ esk7182_4(X1,X2,X3,X4)
    | esk7181_4(X1,X2,X3,X4) )).

cnf(i_0_25117,axiom,
    ( ~ p(X3)
    | esk1311_0
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_25118,axiom,
    ( ~ esk3954_4(X1,X2,X3,X4)
    | ~ esk3781_4(X1,X2,X3,X4) )).

cnf(i_0_25119,axiom,
    ( ~ esk2900_4(X1,X2,X3,X4)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_25120,axiom,
    ( ~ p(X3)
    | esk8354_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | ~ esk411_0 )).

cnf(i_0_25121,axiom,
    ( esk5233_4(X1,X2,X3,X4)
    | ~ esk5236_4(X1,X2,X3,X4) )).

cnf(i_0_25122,axiom,
    ( esk9443_4(X1,X2,X3,X4)
    | ~ esk9442_4(X1,X2,X3,X4) )).

cnf(i_0_25123,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk1324_0
    | p(X1)
    | esk2956_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_25124,axiom,
    ( esk6775_4(X1,X2,X3,X4)
    | ~ esk6782_4(X1,X2,X3,X4) )).

cnf(i_0_25125,axiom,
    ( esk2496_4(X1,X2,X3,X4)
    | ~ esk2497_4(X1,X2,X3,X4) )).

cnf(i_0_25126,axiom,
    ( ~ esk8451_4(X1,X2,X3,X4)
    | esk8452_4(X1,X2,X3,X4) )).

cnf(i_0_25127,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk2697_4(X1,X2,X3,X4) )).

cnf(i_0_25128,axiom,
    ( esk3022_4(X1,X2,X3,X4)
    | ~ esk3021_4(X1,X2,X3,X4) )).

cnf(i_0_25129,axiom,
    ( ~ esk7258_4(X1,X2,X3,X4)
    | esk7257_4(X1,X2,X3,X4) )).

cnf(i_0_25130,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | p(X3)
    | esk1002_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_25131,axiom,
    ( ~ esk1870_4(X1,X2,X3,X4)
    | esk2817_4(X1,X2,X3,X4) )).

cnf(i_0_25132,axiom,
    ( esk9439_4(X1,X2,X3,X4)
    | ~ esk9438_4(X1,X2,X3,X4) )).

cnf(i_0_25133,axiom,
    ( ~ esk7645_4(X1,X2,X3,X4)
    | esk7114_4(X1,X2,X3,X4) )).

cnf(i_0_25134,axiom,
    ( esk8628_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25135,axiom,
    ( esk5940_4(X1,X2,X3,X4)
    | ~ esk5897_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_25136,axiom,
    ( ~ esk8935_4(X1,X2,X3,X4)
    | esk9690_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_25137,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk320_0 )).

cnf(i_0_25138,axiom,
    ( esk5066_4(X1,X2,X3,X4)
    | ~ esk5067_4(X1,X2,X3,X4) )).

cnf(i_0_25139,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2394_4(X1,X2,X3,X4) )).

cnf(i_0_25140,axiom,
    ( esk3191_4(X1,X2,X3,X4)
    | ~ esk3192_4(X1,X2,X3,X4) )).

cnf(i_0_25141,axiom,
    ( ~ esk7066_4(X1,X2,X3,X4)
    | esk5775_4(X1,X2,X3,X4)
    | ~ esk5774_4(X1,X2,X3,X4) )).

cnf(i_0_25142,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | esk2206_4(X1,X2,X3,X4) )).

cnf(i_0_25143,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ esk2423_4(X1,X2,X3,X4)
    | p(X3)
    | esk596_0
    | ~ p(X1) )).

cnf(i_0_25144,axiom,
    ( esk9275_4(X1,X2,X3,X4)
    | ~ esk9273_4(X1,X2,X3,X4) )).

cnf(i_0_25145,axiom,
    ( ~ esk4455_4(X1,X2,X3,X4)
    | esk4457_4(X1,X2,X3,X4) )).

cnf(i_0_25146,axiom,
    ( p(X3)
    | p(X4)
    | ~ esk1754_4(X1,X2,X3,X4)
    | p(X1)
    | esk1_0
    | p(X2) )).

cnf(i_0_25147,axiom,
    ( esk1980_4(X1,X2,X3,X4)
    | esk1981_4(X1,X2,X3,X4)
    | esk1979_4(X1,X2,X3,X4)
    | ~ esk1982_4(X1,X2,X3,X4) )).

cnf(i_0_25148,axiom,
    ( esk3241_4(X1,X2,X3,X4)
    | esk3240_4(X1,X2,X3,X4)
    | ~ esk3242_4(X1,X2,X3,X4) )).

cnf(i_0_25149,axiom,
    ( esk7949_4(X1,X2,X3,X4)
    | ~ esk9116_4(X1,X2,X3,X4) )).

cnf(i_0_25150,axiom,
    ( ~ esk2606_4(X1,X2,X3,X4)
    | esk3329_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_25151,axiom,
    ( ~ esk3586_4(X1,X2,X3,X4)
    | esk3587_4(X1,X2,X3,X4)
    | ~ esk4973_4(X1,X2,X3,X4) )).

cnf(i_0_25152,axiom,
    ( esk4840_4(X1,X2,X3,X4)
    | esk4841_4(X1,X2,X3,X4)
    | ~ esk4842_4(X1,X2,X3,X4) )).

cnf(i_0_25153,axiom,
    ( p(X3)
    | esk63_0
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_25154,axiom,
    ( esk6185_4(X1,X2,X3,X4)
    | ~ esk6640_4(X1,X2,X3,X4) )).

cnf(i_0_25155,axiom,
    ( esk1353_4(X1,X2,X3,X4)
    | esk2933_4(X1,X2,X3,X4) )).

cnf(i_0_25156,axiom,
    ( ~ esk5239_4(X1,X2,X3,X4)
    | esk5238_4(X1,X2,X3,X4) )).

cnf(i_0_25157,axiom,
    ( ~ esk7268_4(X1,X2,X3,X4)
    | ~ esk7297_4(X1,X2,X3,X4)
    | esk7298_4(X1,X2,X3,X4) )).

cnf(i_0_25158,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | esk3286_4(X1,X2,X3,X4) )).

cnf(i_0_25159,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk180_0
    | ~ p(X1)
    | esk1750_4(X1,X2,X3,X4) )).

cnf(i_0_25160,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk1874_4(X1,X2,X3,X4)
    | ~ esk292_0 )).

cnf(i_0_25161,axiom,
    ( ~ p(X1)
    | ~ esk2421_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | esk580_0
    | p(X3) )).

cnf(i_0_25162,axiom,
    ( ~ esk1860_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk277_0
    | p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_25163,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | esk315_0
    | ~ esk1918_4(X1,X2,X3,X4) )).

cnf(i_0_25164,axiom,
    ( esk7023_4(X1,X2,X3,X4)
    | ~ esk7630_4(X1,X2,X3,X4) )).

cnf(i_0_25165,axiom,
    ( ~ p(X1)
    | ~ esk1079_0
    | esk9168_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_25166,axiom,
    ( esk6061_4(X1,X2,X3,X4)
    | ~ esk7622_4(X1,X2,X3,X4) )).

cnf(i_0_25167,axiom,
    ( ~ esk1540_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_25168,axiom,
    ( ~ esk9059_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_25169,axiom,
    ( ~ p(X3)
    | ~ esk7939_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_25170,axiom,
    ( ~ esk7653_4(X1,X2,X3,X4)
    | esk7779_4(X1,X2,X3,X4) )).

cnf(i_0_25171,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8375_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_25172,axiom,
    ( p(X4)
    | esk2431_4(X1,X2,X3,X4)
    | ~ esk657_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_25173,axiom,
    ( esk8557_4(X1,X2,X3,X4)
    | ~ esk8188_4(X1,X2,X3,X4) )).

cnf(i_0_25174,axiom,
    ( esk2171_4(X1,X2,X3,X4)
    | esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_25175,axiom,
    ( esk5954_4(X1,X2,X3,X4)
    | ~ esk5584_4(X1,X2,X3,X4) )).

cnf(i_0_25176,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5267_4(X1,X2,X3,X4) )).

cnf(i_0_25177,axiom,
    ( ~ esk8564_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25178,axiom,
    ( esk6736_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_25179,axiom,
    ( esk2202_4(X1,X2,X3,X4)
    | ~ esk2200_4(X1,X2,X3,X4) )).

cnf(i_0_25180,axiom,
    ( esk1719_4(X1,X2,X3,X4)
    | ~ esk1718_4(X1,X2,X3,X4) )).

cnf(i_0_25181,axiom,
    ( ~ esk3007_4(X1,X2,X3,X4)
    | ~ esk3002_4(X1,X2,X3,X4)
    | esk3008_4(X1,X2,X3,X4) )).

cnf(i_0_25182,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk1124_0 )).

cnf(i_0_25183,axiom,
    ( ~ esk7625_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_25184,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk2932_4(X1,X2,X3,X4)
    | esk1_0
    | p(X2)
    | p(X4) )).

cnf(i_0_25185,axiom,
    ( ~ p(X2)
    | esk1079_0
    | p(X3)
    | ~ esk2872_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4) )).

cnf(i_0_25186,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ esk8354_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | esk1_0 )).

cnf(i_0_25187,axiom,
    ( esk8909_4(X1,X2,X3,X4)
    | ~ esk9100_4(X1,X2,X3,X4)
    | ~ esk8908_4(X1,X2,X3,X4) )).

cnf(i_0_25188,axiom,
    ( ~ esk9581_4(X1,X2,X3,X4)
    | esk9582_4(X1,X2,X3,X4) )).

cnf(i_0_25189,axiom,
    ( ~ esk4472_4(X1,X2,X3,X4)
    | esk4474_4(X1,X2,X3,X4) )).

cnf(i_0_25190,axiom,
    ( ~ esk8827_4(X1,X2,X3,X4)
    | esk8829_4(X1,X2,X3,X4) )).

cnf(i_0_25191,axiom,
    ( p(X4)
    | ~ esk1322_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | esk9248_4(X1,X2,X3,X4) )).

cnf(i_0_25192,axiom,
    ( esk8900_4(X1,X2,X3,X4)
    | ~ esk8901_4(X1,X2,X3,X4) )).

cnf(i_0_25193,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2267_4(X1,X2,X3,X4) )).

cnf(i_0_25194,axiom,
    ( esk344_0
    | p(X4)
    | ~ esk1955_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_25195,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk9107_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ esk981_0 )).

cnf(i_0_25196,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9528_4(X1,X2,X3,X4) )).

cnf(i_0_25197,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk7774_4(X1,X2,X3,X4)
    | p(X4)
    | esk77_0 )).

cnf(i_0_25198,axiom,
    ( ~ esk3922_4(X1,X2,X3,X4)
    | esk4563_4(X1,X2,X3,X4) )).

cnf(i_0_25199,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | esk6350_4(X1,X2,X3,X4) )).

cnf(i_0_25200,axiom,
    ( esk6167_4(X1,X2,X3,X4)
    | ~ esk6133_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_25201,axiom,
    ( esk7878_4(X1,X2,X3,X4)
    | ~ esk7880_4(X1,X2,X3,X4)
    | esk7879_4(X1,X2,X3,X4) )).

cnf(i_0_25202,axiom,
    ( esk4342_4(X1,X2,X3,X4)
    | ~ esk4378_4(X1,X2,X3,X4) )).

cnf(i_0_25203,axiom,
    ( esk2282_4(X1,X2,X3,X4)
    | ~ esk2317_4(X1,X2,X3,X4)
    | esk2316_4(X1,X2,X3,X4) )).

cnf(i_0_25204,axiom,
    ( ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk3399_4(X1,X2,X3,X4) )).

cnf(i_0_25205,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1907_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25206,axiom,
    ( ~ esk8750_4(X1,X2,X3,X4)
    | esk6650_4(X1,X2,X3,X4) )).

cnf(i_0_25207,axiom,
    ( esk7528_4(X1,X2,X3,X4)
    | ~ esk7526_4(X1,X2,X3,X4) )).

cnf(i_0_25208,axiom,
    ( ~ esk4130_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25209,axiom,
    ( esk3401_4(X1,X2,X3,X4)
    | ~ esk2642_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_25210,axiom,
    ( esk1_0
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2)
    | ~ esk1758_4(X1,X2,X3,X4) )).

cnf(i_0_25211,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | ~ esk2958_4(X1,X2,X3,X4)
    | esk1346_0
    | ~ p(X4) )).

cnf(i_0_25212,axiom,
    ( esk5933_4(X1,X2,X3,X4)
    | ~ esk5931_4(X1,X2,X3,X4) )).

cnf(i_0_25213,axiom,
    ( ~ esk3763_4(X1,X2,X3,X4)
    | esk3761_4(X1,X2,X3,X4)
    | esk3762_4(X1,X2,X3,X4) )).

cnf(i_0_25214,axiom,
    ( ~ esk7293_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_25215,axiom,
    ( esk2854_4(X1,X2,X3,X4)
    | ~ esk1023_0
    | p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_25216,axiom,
    ( esk6792_4(X1,X2,X3,X4)
    | ~ esk7503_4(X1,X2,X3,X4) )).

cnf(i_0_25217,axiom,
    ( ~ esk4832_4(X1,X2,X3,X4)
    | esk4831_4(X1,X2,X3,X4) )).

cnf(i_0_25218,axiom,
    ( esk4241_4(X1,X2,X3,X4)
    | ~ esk4242_4(X1,X2,X3,X4)
    | esk4240_4(X1,X2,X3,X4) )).

cnf(i_0_25219,axiom,
    ( esk9668_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_25220,axiom,
    ( ~ esk8704_4(X1,X2,X3,X4)
    | esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_25221,axiom,
    ( ~ esk7151_4(X1,X2,X3,X4)
    | ~ esk5766_4(X1,X2,X3,X4) )).

cnf(i_0_25222,axiom,
    ( ~ esk8191_4(X1,X2,X3,X4)
    | esk8193_4(X1,X2,X3,X4) )).

cnf(i_0_25223,axiom,
    ( ~ p(X2)
    | esk9252_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1335_0
    | p(X4)
    | p(X3) )).

cnf(i_0_25224,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2581_4(X1,X2,X3,X4) )).

cnf(i_0_25225,axiom,
    ( ~ esk6300_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25226,axiom,
    ( ~ esk7470_4(X1,X2,X3,X4)
    | esk6625_4(X1,X2,X3,X4)
    | esk6627_4(X1,X2,X3,X4) )).

cnf(i_0_25227,axiom,
    ( esk485_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | ~ esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_25228,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk1061_0
    | p(X3)
    | p(X4)
    | esk9166_4(X1,X2,X3,X4) )).

cnf(i_0_25229,axiom,
    ( esk2465_4(X1,X2,X3,X4)
    | ~ esk2468_4(X1,X2,X3,X4)
    | esk2466_4(X1,X2,X3,X4)
    | esk2467_4(X1,X2,X3,X4) )).

cnf(i_0_25230,axiom,
    ( esk8046_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk179_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_25231,axiom,
    ( p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4)
    | esk52_0
    | ~ esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_25232,axiom,
    ( ~ esk9599_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk8878_4(X1,X2,X3,X4) )).

cnf(i_0_25233,axiom,
    ( esk8402_4(X1,X2,X3,X4)
    | ~ esk8400_4(X1,X2,X3,X4) )).

cnf(i_0_25234,axiom,
    ( esk9284_4(X1,X2,X3,X4)
    | ~ esk9285_4(X1,X2,X3,X4) )).

cnf(i_0_25235,axiom,
    ( ~ esk9569_4(X1,X2,X3,X4)
    | esk8724_4(X1,X2,X3,X4)
    | esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_25236,axiom,
    ( esk9178_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk1151_0
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_25237,axiom,
    ( esk8043_4(X1,X2,X3,X4)
    | ~ esk5943_4(X1,X2,X3,X4) )).

cnf(i_0_25238,axiom,
    ( ~ esk7023_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk7630_4(X1,X2,X3,X4) )).

cnf(i_0_25239,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5478_4(X1,X2,X3,X4) )).

cnf(i_0_25240,axiom,
    ( esk5942_4(X1,X2,X3,X4)
    | ~ esk5957_4(X1,X2,X3,X4) )).

cnf(i_0_25241,axiom,
    ( esk8708_4(X1,X2,X3,X4)
    | ~ esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_25242,axiom,
    ( esk8733_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X3)
    | ~ esk697_0
    | ~ p(X2) )).

cnf(i_0_25243,axiom,
    ( ~ esk4518_4(X1,X2,X3,X4)
    | esk4049_4(X1,X2,X3,X4) )).

cnf(i_0_25244,axiom,
    ( esk6121_4(X1,X2,X3,X4)
    | ~ esk6120_4(X1,X2,X3,X4) )).

cnf(i_0_25245,axiom,
    ( ~ esk7535_4(X1,X2,X3,X4)
    | esk7536_4(X1,X2,X3,X4) )).

cnf(i_0_25246,axiom,
    ( ~ p(X2)
    | ~ esk8725_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | esk640_0
    | ~ p(X3) )).

cnf(i_0_25247,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | ~ esk2793_4(X1,X2,X3,X4)
    | esk846_0
    | ~ p(X2) )).

cnf(i_0_25248,axiom,
    ( esk3658_4(X1,X2,X3,X4)
    | ~ esk3721_4(X1,X2,X3,X4) )).

cnf(i_0_25249,axiom,
    ( esk3769_4(X1,X2,X3,X4)
    | ~ esk5869_4(X1,X2,X3,X4) )).

cnf(i_0_25250,axiom,
    ( esk8319_4(X1,X2,X3,X4)
    | ~ esk7711_4(X1,X2,X3,X4) )).

cnf(i_0_25251,axiom,
    ( ~ p(X3)
    | esk1328_0
    | ~ esk2956_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_25252,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | p(X2)
    | esk663_0
    | p(X1) )).

cnf(i_0_25253,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | esk6671_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25254,axiom,
    ( esk6987_4(X1,X2,X3,X4)
    | ~ esk6756_4(X1,X2,X3,X4)
    | esk6985_4(X1,X2,X3,X4) )).

cnf(i_0_25255,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk531_0
    | esk8617_4(X1,X2,X3,X4) )).

cnf(i_0_25256,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | esk4766_4(X1,X2,X3,X4) )).

cnf(i_0_25257,axiom,
    ( esk3296_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk3294_4(X1,X2,X3,X4) )).

cnf(i_0_25258,axiom,
    ( ~ esk6050_4(X1,X2,X3,X4)
    | esk6022_4(X1,X2,X3,X4) )).

cnf(i_0_25259,axiom,
    ( ~ p(X2)
    | ~ esk510_0
    | esk8547_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_25260,axiom,
    ( ~ esk3721_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_25261,axiom,
    ( ~ esk3420_4(X1,X2,X3,X4)
    | esk3422_4(X1,X2,X3,X4) )).

cnf(i_0_25262,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | esk45_0
    | p(X3)
    | ~ esk1442_4(X1,X2,X3,X4) )).

cnf(i_0_25263,axiom,
    ( ~ esk9317_4(X1,X2,X3,X4)
    | esk9319_4(X1,X2,X3,X4) )).

cnf(i_0_25264,axiom,
    ( ~ esk2171_4(X1,X2,X3,X4)
    | esk2084_4(X1,X2,X3,X4) )).

cnf(i_0_25265,axiom,
    ( ~ esk3066_4(X1,X2,X3,X4)
    | esk3065_4(X1,X2,X3,X4)
    | esk3064_4(X1,X2,X3,X4) )).

cnf(i_0_25266,axiom,
    ( esk9700_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_25267,axiom,
    ( ~ esk187_0
    | esk1752_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_25268,axiom,
    ( ~ esk9119_4(X1,X2,X3,X4)
    | esk9151_4(X1,X2,X3,X4) )).

cnf(i_0_25269,axiom,
    ( p(X3)
    | ~ p(X2)
    | esk8052_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk226_0
    | ~ p(X4) )).

cnf(i_0_25270,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk8778_4(X1,X2,X3,X4)
    | esk773_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_25271,axiom,
    ( esk9334_4(X1,X2,X3,X4)
    | esk9333_4(X1,X2,X3,X4)
    | ~ esk9335_4(X1,X2,X3,X4) )).

cnf(i_0_25272,axiom,
    ( ~ esk4724_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_25273,axiom,
    ( esk4614_4(X1,X2,X3,X4)
    | esk4613_4(X1,X2,X3,X4)
    | ~ esk4615_4(X1,X2,X3,X4) )).

cnf(i_0_25274,axiom,
    ( p(X4)
    | esk1182_0
    | ~ p(X3)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_25275,axiom,
    ( ~ esk2153_4(X1,X2,X3,X4)
    | esk2311_4(X1,X2,X3,X4) )).

cnf(i_0_25276,axiom,
    ( ~ esk2055_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_25277,axiom,
    ( p(X1)
    | p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk1955_4(X1,X2,X3,X4)
    | esk334_0 )).

cnf(i_0_25278,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4126_4(X1,X2,X3,X4) )).

cnf(i_0_25279,axiom,
    ( ~ esk6597_4(X1,X2,X3,X4)
    | esk6626_4(X1,X2,X3,X4) )).

cnf(i_0_25280,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1495_4(X1,X2,X3,X4) )).

cnf(i_0_25281,axiom,
    ( ~ esk2613_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_25282,axiom,
    ( ~ p(X1)
    | esk1108_0
    | ~ p(X3)
    | p(X2)
    | ~ esk2876_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_25283,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9374_4(X1,X2,X3,X4) )).

cnf(i_0_25284,axiom,
    ( ~ esk7685_4(X1,X2,X3,X4)
    | esk8049_4(X1,X2,X3,X4) )).

cnf(i_0_25285,axiom,
    ( ~ esk6945_4(X1,X2,X3,X4)
    | esk6992_4(X1,X2,X3,X4) )).

cnf(i_0_25286,axiom,
    ( esk5646_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_25287,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk1_0
    | p(X2)
    | esk2429_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_25288,axiom,
    ( ~ esk4796_4(X1,X2,X3,X4)
    | esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_25289,axiom,
    ( ~ esk1463_4(X1,X2,X3,X4)
    | esk1713_4(X1,X2,X3,X4) )).

cnf(i_0_25290,axiom,
    ( esk8762_4(X1,X2,X3,X4)
    | ~ esk9088_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_25291,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ esk2894_4(X1,X2,X3,X4)
    | esk1192_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_25292,axiom,
    ( esk8727_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk653_0
    | p(X3)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_25293,axiom,
    ( ~ esk2850_4(X1,X2,X3,X4)
    | esk2852_4(X1,X2,X3,X4) )).

cnf(i_0_25294,axiom,
    ( esk3084_4(X1,X2,X3,X4)
    | ~ esk3083_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_25295,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9521_4(X1,X2,X3,X4) )).

cnf(i_0_25296,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1766_4(X1,X2,X3,X4) )).

cnf(i_0_25297,axiom,
    ( ~ esk8641_4(X1,X2,X3,X4)
    | esk8643_4(X1,X2,X3,X4) )).

cnf(i_0_25298,axiom,
    ( ~ esk2870_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk1063_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_25299,axiom,
    ( esk3438_4(X1,X2,X3,X4)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_25300,axiom,
    ( ~ esk2372_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_25301,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk673_0
    | ~ p(X4)
    | esk2433_4(X1,X2,X3,X4) )).

cnf(i_0_25302,axiom,
    ( ~ esk5002_4(X1,X2,X3,X4)
    | ~ esk4550_4(X1,X2,X3,X4)
    | esk5003_4(X1,X2,X3,X4) )).

cnf(i_0_25303,axiom,
    ( esk1519_4(X1,X2,X3,X4)
    | ~ esk1823_4(X1,X2,X3,X4)
    | ~ esk2453_4(X1,X2,X3,X4) )).

cnf(i_0_25304,axiom,
    ( esk7774_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk76_0
    | ~ p(X4) )).

cnf(i_0_25305,axiom,
    ( ~ esk2090_4(X1,X2,X3,X4)
    | esk2089_4(X1,X2,X3,X4)
    | esk2056_4(X1,X2,X3,X4) )).

cnf(i_0_25306,axiom,
    ( ~ esk8249_4(X1,X2,X3,X4)
    | esk6149_4(X1,X2,X3,X4) )).

cnf(i_0_25307,axiom,
    ( p(X2)
    | esk8072_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk243_0
    | p(X3)
    | p(X4) )).

cnf(i_0_25308,axiom,
    ( esk5701_4(X1,X2,X3,X4)
    | ~ esk5702_4(X1,X2,X3,X4) )).

cnf(i_0_25309,axiom,
    ( p(X3)
    | p(X2)
    | p(X1)
    | ~ p(X4)
    | esk1750_4(X1,X2,X3,X4)
    | ~ esk168_0 )).

cnf(i_0_25310,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk8050_4(X1,X2,X3,X4)
    | esk205_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_25311,axiom,
    ( esk4760_4(X1,X2,X3,X4)
    | ~ esk4761_4(X1,X2,X3,X4)
    | esk4759_4(X1,X2,X3,X4) )).

cnf(i_0_25312,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk9168_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1079_0
    | ~ p(X1) )).

cnf(i_0_25313,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5286_4(X1,X2,X3,X4) )).

cnf(i_0_25314,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk5398_4(X1,X2,X3,X4)
    | ~ esk4886_4(X1,X2,X3,X4) )).

cnf(i_0_25315,axiom,
    ( ~ esk6830_4(X1,X2,X3,X4)
    | esk6829_4(X1,X2,X3,X4) )).

cnf(i_0_25316,axiom,
    ( ~ esk4791_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_25317,axiom,
    ( esk6629_4(X1,X2,X3,X4)
    | ~ esk7471_4(X1,X2,X3,X4)
    | esk7470_4(X1,X2,X3,X4) )).

cnf(i_0_25318,axiom,
    ( ~ esk5292_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25319,axiom,
    ( p(X1)
    | esk2908_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_25320,axiom,
    ( ~ esk9166_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | p(X2)
    | esk1053_0 )).

cnf(i_0_25321,axiom,
    ( esk8700_4(X1,X2,X3,X4)
    | ~ esk8698_4(X1,X2,X3,X4) )).

cnf(i_0_25322,axiom,
    ( ~ esk30_0
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | ~ p(X1)
    | esk7736_4(X1,X2,X3,X4) )).

cnf(i_0_25323,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3613_4(X1,X2,X3,X4)
    | esk3705_4(X1,X2,X3,X4) )).

cnf(i_0_25324,axiom,
    ( esk9275_4(X1,X2,X3,X4)
    | ~ esk9274_4(X1,X2,X3,X4) )).

cnf(i_0_25325,axiom,
    ( esk1776_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk250_0
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_25326,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7270_4(X1,X2,X3,X4) )).

cnf(i_0_25327,axiom,
    ( ~ esk2396_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_25328,axiom,
    ( esk9367_4(X1,X2,X3,X4)
    | ~ esk9365_4(X1,X2,X3,X4) )).

cnf(i_0_25329,axiom,
    ( ~ p(X4)
    | p(X1)
    | esk8054_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk235_0
    | ~ p(X3) )).

cnf(i_0_25330,axiom,
    ( esk2308_4(X1,X2,X3,X4)
    | ~ esk2309_4(X1,X2,X3,X4) )).

cnf(i_0_25331,axiom,
    ( ~ esk6781_4(X1,X2,X3,X4)
    | esk6782_4(X1,X2,X3,X4)
    | ~ esk6775_4(X1,X2,X3,X4) )).

cnf(i_0_25332,axiom,
    ( esk736_0
    | ~ p(X1)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_25333,axiom,
    ( ~ esk5270_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5271_4(X1,X2,X3,X4) )).

cnf(i_0_25334,axiom,
    ( esk6641_4(X1,X2,X3,X4)
    | ~ esk6638_4(X1,X2,X3,X4) )).

cnf(i_0_25335,axiom,
    ( esk2359_4(X1,X2,X3,X4)
    | ~ esk2360_4(X1,X2,X3,X4) )).

cnf(i_0_25336,axiom,
    ( ~ esk5100_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_25337,axiom,
    ( esk8488_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25338,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | esk5796_4(X1,X2,X3,X4)
    | ~ esk5704_4(X1,X2,X3,X4) )).

cnf(i_0_25339,axiom,
    ( p(X4)
    | ~ p(X1)
    | esk2908_4(X1,X2,X3,X4)
    | ~ esk1227_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_25340,axiom,
    ( esk8415_4(X1,X2,X3,X4)
    | ~ esk8416_4(X1,X2,X3,X4) )).

cnf(i_0_25341,axiom,
    ( ~ esk2823_4(X1,X2,X3,X4)
    | esk2835_4(X1,X2,X3,X4)
    | ~ esk2719_4(X1,X2,X3,X4) )).

cnf(i_0_25342,axiom,
    ( esk2353_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25343,axiom,
    ( esk8094_4(X1,X2,X3,X4)
    | ~ esk8095_4(X1,X2,X3,X4) )).

cnf(i_0_25344,axiom,
    ( esk6256_4(X1,X2,X3,X4)
    | esk6151_4(X1,X2,X3,X4)
    | ~ esk7483_4(X1,X2,X3,X4) )).

cnf(i_0_25345,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9538_4(X1,X2,X3,X4) )).

cnf(i_0_25346,axiom,
    ( ~ esk5725_4(X1,X2,X3,X4)
    | esk5727_4(X1,X2,X3,X4) )).

cnf(i_0_25347,axiom,
    ( ~ p(X1)
    | esk267_0
    | p(X4)
    | p(X2)
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_25348,axiom,
    ( ~ p(X1)
    | esk1_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk9172_4(X1,X2,X3,X4) )).

cnf(i_0_25349,axiom,
    ( p(X1)
    | ~ esk1189_0
    | p(X2)
    | p(X4)
    | esk2894_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_25350,axiom,
    ( ~ esk5398_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4)
    | ~ esk5399_4(X1,X2,X3,X4) )).

cnf(i_0_25351,axiom,
    ( ~ esk3382_4(X1,X2,X3,X4)
    | esk2733_4(X1,X2,X3,X4)
    | ~ esk2732_4(X1,X2,X3,X4) )).

cnf(i_0_25352,axiom,
    ( esk1442_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk34_0
    | p(X2)
    | p(X1)
    | p(X4) )).

cnf(i_0_25353,axiom,
    ( ~ esk5562_4(X1,X2,X3,X4)
    | esk6755_4(X1,X2,X3,X4) )).

cnf(i_0_25354,axiom,
    ( ~ esk6681_4(X1,X2,X3,X4)
    | esk6222_4(X1,X2,X3,X4) )).

cnf(i_0_25355,axiom,
    ( p(X2)
    | p(X4)
    | esk402_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_25356,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk3246_4(X1,X2,X3,X4)
    | esk3249_4(X1,X2,X3,X4) )).

cnf(i_0_25357,axiom,
    ( ~ esk3877_4(X1,X2,X3,X4)
    | esk4631_4(X1,X2,X3,X4) )).

cnf(i_0_25358,axiom,
    ( esk5800_4(X1,X2,X3,X4)
    | esk5799_4(X1,X2,X3,X4)
    | ~ esk5801_4(X1,X2,X3,X4) )).

cnf(i_0_25359,axiom,
    ( ~ esk7051_4(X1,X2,X3,X4)
    | esk7050_4(X1,X2,X3,X4) )).

cnf(i_0_25360,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4134_4(X1,X2,X3,X4) )).

cnf(i_0_25361,axiom,
    ( ~ esk9109_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk998_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_25362,axiom,
    ( ~ esk1478_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk64_0
    | p(X1)
    | p(X4)
    | p(X2) )).

cnf(i_0_25363,axiom,
    ( ~ esk4210_4(X1,X2,X3,X4)
    | esk4212_4(X1,X2,X3,X4) )).

cnf(i_0_25364,axiom,
    ( esk7574_4(X1,X2,X3,X4)
    | ~ esk7576_4(X1,X2,X3,X4)
    | esk7575_4(X1,X2,X3,X4) )).

cnf(i_0_25365,axiom,
    ( ~ p(X4)
    | ~ esk8048_4(X1,X2,X3,X4)
    | p(X2)
    | esk192_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_25366,axiom,
    ( esk8155_4(X1,X2,X3,X4)
    | ~ esk8154_4(X1,X2,X3,X4) )).

cnf(i_0_25367,axiom,
    ( esk6297_4(X1,X2,X3,X4)
    | esk6298_4(X1,X2,X3,X4)
    | ~ esk6299_4(X1,X2,X3,X4) )).

cnf(i_0_25368,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk407_0 )).

cnf(i_0_25369,axiom,
    ( esk6458_4(X1,X2,X3,X4)
    | ~ esk6456_4(X1,X2,X3,X4) )).

cnf(i_0_25370,axiom,
    ( ~ esk1875_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ esk3286_4(X1,X2,X3,X4) )).

cnf(i_0_25371,axiom,
    ( esk4631_4(X1,X2,X3,X4)
    | ~ esk4630_4(X1,X2,X3,X4) )).

cnf(i_0_25372,axiom,
    ( ~ p(X2)
    | ~ esk1178_0
    | p(X4)
    | p(X1)
    | esk2890_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_25373,axiom,
    ( esk7940_4(X1,X2,X3,X4)
    | ~ esk5840_4(X1,X2,X3,X4) )).

cnf(i_0_25374,axiom,
    ( esk4591_4(X1,X2,X3,X4)
    | esk4592_4(X1,X2,X3,X4)
    | ~ esk4593_4(X1,X2,X3,X4) )).

cnf(i_0_25375,axiom,
    ( esk3814_4(X1,X2,X3,X4)
    | ~ esk5055_4(X1,X2,X3,X4) )).

cnf(i_0_25376,axiom,
    ( esk2664_4(X1,X2,X3,X4)
    | esk2665_4(X1,X2,X3,X4)
    | ~ esk2666_4(X1,X2,X3,X4) )).

cnf(i_0_25377,axiom,
    ( esk2989_4(X1,X2,X3,X4)
    | ~ esk2986_4(X1,X2,X3,X4)
    | ~ esk1818_4(X1,X2,X3,X4) )).

cnf(i_0_25378,axiom,
    ( ~ esk9362_4(X1,X2,X3,X4)
    | esk9359_4(X1,X2,X3,X4) )).

cnf(i_0_25379,axiom,
    ( esk9271_4(X1,X2,X3,X4)
    | ~ esk9277_4(X1,X2,X3,X4) )).

cnf(i_0_25380,axiom,
    ( esk2850_4(X1,X2,X3,X4)
    | esk2851_4(X1,X2,X3,X4)
    | ~ esk2852_4(X1,X2,X3,X4) )).

cnf(i_0_25381,axiom,
    ( ~ esk8087_4(X1,X2,X3,X4)
    | esk8086_4(X1,X2,X3,X4) )).

cnf(i_0_25382,axiom,
    ( ~ esk8646_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25383,axiom,
    ( esk1916_4(X1,X2,X3,X4)
    | ~ esk2443_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_25384,axiom,
    ( p(X1)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | esk79_0
    | ~ esk1516_4(X1,X2,X3,X4) )).

cnf(i_0_25385,axiom,
    ( esk5237_4(X1,X2,X3,X4)
    | ~ esk5235_4(X1,X2,X3,X4) )).

cnf(i_0_25386,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk5262_4(X1,X2,X3,X4) )).

cnf(i_0_25387,axiom,
    ( ~ esk9038_4(X1,X2,X3,X4)
    | esk9607_4(X1,X2,X3,X4) )).

cnf(i_0_25388,axiom,
    ( ~ esk8975_4(X1,X2,X3,X4)
    | esk8974_4(X1,X2,X3,X4)
    | esk8973_4(X1,X2,X3,X4) )).

cnf(i_0_25389,axiom,
    ( esk2593_4(X1,X2,X3,X4)
    | esk2592_4(X1,X2,X3,X4)
    | ~ esk2594_4(X1,X2,X3,X4) )).

cnf(i_0_25390,axiom,
    ( ~ esk9356_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25391,axiom,
    ( ~ esk2820_4(X1,X2,X3,X4)
    | esk2823_4(X1,X2,X3,X4) )).

cnf(i_0_25392,axiom,
    ( esk1346_0
    | p(X2)
    | ~ esk9254_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_25393,axiom,
    ( esk6315_4(X1,X2,X3,X4)
    | ~ esk6314_4(X1,X2,X3,X4) )).

cnf(i_0_25394,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk1235_0
    | p(X2)
    | ~ p(X4)
    | esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_25395,axiom,
    ( esk8106_4(X1,X2,X3,X4)
    | ~ esk9744_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_25396,axiom,
    ( esk2167_4(X1,X2,X3,X4)
    | esk2020_4(X1,X2,X3,X4) )).

cnf(i_0_25397,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5750_4(X1,X2,X3,X4) )).

cnf(i_0_25398,axiom,
    ( esk3612_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3581_4(X1,X2,X3,X4) )).

cnf(i_0_25399,axiom,
    ( ~ esk3784_4(X1,X2,X3,X4)
    | esk4985_4(X1,X2,X3,X4) )).

cnf(i_0_25400,axiom,
    ( esk4029_4(X1,X2,X3,X4)
    | ~ esk3995_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25401,axiom,
    ( ~ esk2433_4(X1,X2,X3,X4)
    | esk669_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_25402,axiom,
    ( esk4611_4(X1,X2,X3,X4)
    | ~ esk4610_4(X1,X2,X3,X4) )).

cnf(i_0_25403,axiom,
    ( esk9577_4(X1,X2,X3,X4)
    | ~ esk9576_4(X1,X2,X3,X4) )).

cnf(i_0_25404,axiom,
    ( p(X1)
    | p(X2)
    | esk1_0
    | ~ esk2425_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_25405,axiom,
    ( ~ esk8813_4(X1,X2,X3,X4)
    | ~ esk9012_4(X1,X2,X3,X4)
    | esk9013_4(X1,X2,X3,X4) )).

cnf(i_0_25406,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | p(X1)
    | esk664_0
    | ~ p(X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_25407,axiom,
    ( ~ esk3005_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25408,axiom,
    ( ~ esk9683_4(X1,X2,X3,X4)
    | esk9686_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_25409,axiom,
    ( ~ esk7423_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_25410,axiom,
    ( p(X2)
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk700_0 )).

cnf(i_0_25411,axiom,
    ( ~ esk5381_4(X1,X2,X3,X4)
    | esk4051_4(X1,X2,X3,X4) )).

cnf(i_0_25412,axiom,
    ( ~ esk9071_4(X1,X2,X3,X4)
    | esk9072_4(X1,X2,X3,X4) )).

cnf(i_0_25413,axiom,
    ( ~ esk9340_4(X1,X2,X3,X4)
    | esk9341_4(X1,X2,X3,X4)
    | ~ esk9311_4(X1,X2,X3,X4) )).

cnf(i_0_25414,axiom,
    ( p(X2)
    | ~ p(X1)
    | ~ esk9166_4(X1,X2,X3,X4)
    | esk1062_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_25415,axiom,
    ( ~ p(X3)
    | esk126_0
    | ~ esk7967_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_25416,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5234_4(X1,X2,X3,X4) )).

cnf(i_0_25417,axiom,
    ( esk8358_4(X1,X2,X3,X4)
    | ~ esk7712_4(X1,X2,X3,X4) )).

cnf(i_0_25418,axiom,
    ( p(X4)
    | ~ esk2805_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3)
    | esk934_0 )).

cnf(i_0_25419,axiom,
    ( esk147_0
    | ~ p(X1)
    | p(X2)
    | ~ esk8042_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_25420,axiom,
    ( esk2427_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ esk627_0
    | p(X4) )).

cnf(i_0_25421,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7223_4(X1,X2,X3,X4) )).

cnf(i_0_25422,axiom,
    ( ~ esk9318_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25423,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk8388_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk448_0
    | p(X4) )).

cnf(i_0_25424,axiom,
    ( esk9084_4(X1,X2,X3,X4)
    | esk9086_4(X1,X2,X3,X4)
    | ~ esk8855_4(X1,X2,X3,X4) )).

cnf(i_0_25425,axiom,
    ( esk9531_4(X1,X2,X3,X4)
    | ~ esk9529_4(X1,X2,X3,X4) )).

cnf(i_0_25426,axiom,
    ( esk6192_4(X1,X2,X3,X4)
    | ~ esk8292_4(X1,X2,X3,X4) )).

cnf(i_0_25427,axiom,
    ( ~ esk4817_4(X1,X2,X3,X4)
    | esk4816_4(X1,X2,X3,X4)
    | esk4815_4(X1,X2,X3,X4) )).

cnf(i_0_25428,axiom,
    ( esk9251_4(X1,X2,X3,X4)
    | esk7784_4(X1,X2,X3,X4) )).

cnf(i_0_25429,axiom,
    ( ~ esk7140_4(X1,X2,X3,X4)
    | esk5040_4(X1,X2,X3,X4) )).

cnf(i_0_25430,axiom,
    ( esk4438_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25431,axiom,
    ( ~ esk8728_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8423_4(X1,X2,X3,X4) )).

cnf(i_0_25432,axiom,
    ( ~ esk7310_4(X1,X2,X3,X4)
    | esk7312_4(X1,X2,X3,X4) )).

cnf(i_0_25433,axiom,
    ( ~ esk5755_4(X1,X2,X3,X4)
    | esk5754_4(X1,X2,X3,X4) )).

cnf(i_0_25434,axiom,
    ( ~ esk5287_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_25435,axiom,
    ( esk5249_4(X1,X2,X3,X4)
    | ~ esk5247_4(X1,X2,X3,X4) )).

cnf(i_0_25436,axiom,
    ( esk3843_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_25437,axiom,
    ( esk6668_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | ~ esk6667_4(X1,X2,X3,X4) )).

cnf(i_0_25438,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | p(X1)
    | esk1918_4(X1,X2,X3,X4)
    | ~ esk307_0 )).

cnf(i_0_25439,axiom,
    ( esk8876_4(X1,X2,X3,X4)
    | esk9599_4(X1,X2,X3,X4) )).

cnf(i_0_25440,axiom,
    ( esk1427_4(X1,X2,X3,X4)
    | ~ esk1434_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_25441,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk2795_4(X1,X2,X3,X4)
    | ~ esk871_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_25442,axiom,
    ( esk4001_4(X1,X2,X3,X4)
    | ~ esk4371_4(X1,X2,X3,X4)
    | ~ esk4000_4(X1,X2,X3,X4) )).

cnf(i_0_25443,axiom,
    ( esk2811_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk988_0
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_25444,axiom,
    ( esk1354_4(X1,X2,X3,X4)
    | esk2923_4(X1,X2,X3,X4) )).

cnf(i_0_25445,axiom,
    ( esk6016_4(X1,X2,X3,X4)
    | ~ esk7355_4(X1,X2,X3,X4) )).

cnf(i_0_25446,axiom,
    ( ~ esk1_0
    | ~ p(X4)
    | ~ p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_25447,axiom,
    ( p(X1)
    | ~ esk1250_0
    | ~ p(X3)
    | ~ p(X4)
    | esk2918_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_25448,axiom,
    ( esk1589_4(X1,X2,X3,X4)
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ esk1588_4(X1,X2,X3,X4) )).

cnf(i_0_25449,axiom,
    ( ~ esk3217_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25450,axiom,
    ( esk7741_4(X1,X2,X3,X4)
    | ~ esk5641_4(X1,X2,X3,X4) )).

cnf(i_0_25451,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5259_4(X1,X2,X3,X4) )).

cnf(i_0_25452,axiom,
    ( p(X4)
    | p(X1)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk1104_0 )).

cnf(i_0_25453,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk2813_4(X1,X2,X3,X4)
    | ~ esk1005_0 )).

cnf(i_0_25454,axiom,
    ( ~ esk6530_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_25455,axiom,
    ( esk5816_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5753_4(X1,X2,X3,X4) )).

cnf(i_0_25456,axiom,
    ( ~ esk6709_4(X1,X2,X3,X4)
    | esk5884_4(X1,X2,X3,X4) )).

cnf(i_0_25457,axiom,
    ( ~ esk4469_4(X1,X2,X3,X4)
    | esk4470_4(X1,X2,X3,X4) )).

cnf(i_0_25458,axiom,
    ( ~ esk7559_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_25459,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6099_4(X1,X2,X3,X4) )).

cnf(i_0_25460,axiom,
    ( esk2859_4(X1,X2,X3,X4)
    | ~ esk2482_4(X1,X2,X3,X4)
    | ~ esk2919_4(X1,X2,X3,X4) )).

cnf(i_0_25461,axiom,
    ( esk2575_4(X1,X2,X3,X4)
    | ~ esk2576_4(X1,X2,X3,X4)
    | esk2574_4(X1,X2,X3,X4) )).

cnf(i_0_25462,axiom,
    ( ~ esk8972_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_25463,axiom,
    ( ~ esk5427_4(X1,X2,X3,X4)
    | esk5429_4(X1,X2,X3,X4) )).

cnf(i_0_25464,axiom,
    ( ~ esk7029_4(X1,X2,X3,X4)
    | esk7030_4(X1,X2,X3,X4) )).

cnf(i_0_25465,axiom,
    ( ~ esk1373_4(X1,X2,X3,X4)
    | ~ esk2245_4(X1,X2,X3,X4) )).

cnf(i_0_25466,axiom,
    ( esk8655_4(X1,X2,X3,X4)
    | ~ esk8653_4(X1,X2,X3,X4) )).

cnf(i_0_25467,axiom,
    ( ~ esk5327_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_25468,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | esk4831_4(X1,X2,X3,X4) )).

cnf(i_0_25469,axiom,
    ( esk1450_4(X1,X2,X3,X4)
    | esk1449_4(X1,X2,X3,X4)
    | ~ esk1451_4(X1,X2,X3,X4) )).

cnf(i_0_25470,axiom,
    ( ~ esk5853_4(X1,X2,X3,X4)
    | esk7114_4(X1,X2,X3,X4) )).

cnf(i_0_25471,axiom,
    ( esk3899_4(X1,X2,X3,X4)
    | ~ esk4606_4(X1,X2,X3,X4) )).

cnf(i_0_25472,axiom,
    ( esk5628_4(X1,X2,X3,X4)
    | esk5802_4(X1,X2,X3,X4) )).

cnf(i_0_25473,axiom,
    ( esk6702_4(X1,X2,X3,X4)
    | ~ esk6700_4(X1,X2,X3,X4) )).

cnf(i_0_25474,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8072_4(X1,X2,X3,X4) )).

cnf(i_0_25475,axiom,
    ( ~ p(X4)
    | p(X3)
    | esk48_0
    | ~ esk1444_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2) )).

cnf(i_0_25476,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | esk1756_4(X1,X2,X3,X4)
    | ~ esk218_0
    | p(X1) )).

cnf(i_0_25477,axiom,
    ( esk8184_4(X1,X2,X3,X4)
    | ~ esk8703_4(X1,X2,X3,X4) )).

cnf(i_0_25478,axiom,
    ( esk5963_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25479,axiom,
    ( ~ esk6641_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4)
    | ~ esk6114_4(X1,X2,X3,X4) )).

cnf(i_0_25480,axiom,
    ( ~ esk2165_4(X1,X2,X3,X4)
    | ~ esk2164_4(X1,X2,X3,X4)
    | ~ esk2127_4(X1,X2,X3,X4) )).

cnf(i_0_25481,axiom,
    ( esk1281_0
    | p(X3)
    | p(X1)
    | p(X4)
    | ~ p(X2)
    | ~ esk2932_4(X1,X2,X3,X4) )).

cnf(i_0_25482,axiom,
    ( esk3275_4(X1,X2,X3,X4)
    | esk2425_4(X1,X2,X3,X4)
    | ~ esk3276_4(X1,X2,X3,X4) )).

cnf(i_0_25483,axiom,
    ( ~ esk1501_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_25484,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4072_4(X1,X2,X3,X4) )).

cnf(i_0_25485,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4290_4(X1,X2,X3,X4) )).

cnf(i_0_25486,axiom,
    ( ~ esk8738_4(X1,X2,X3,X4)
    | esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_25487,axiom,
    ( ~ esk7100_4(X1,X2,X3,X4)
    | esk7098_4(X1,X2,X3,X4)
    | esk7099_4(X1,X2,X3,X4) )).

cnf(i_0_25488,axiom,
    ( esk3629_4(X1,X2,X3,X4)
    | ~ esk3657_4(X1,X2,X3,X4) )).

cnf(i_0_25489,axiom,
    ( esk9647_4(X1,X2,X3,X4)
    | ~ esk9645_4(X1,X2,X3,X4) )).

cnf(i_0_25490,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk477_0
    | p(X3)
    | p(X2)
    | ~ esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_25491,axiom,
    ( ~ esk5380_4(X1,X2,X3,X4)
    | ~ esk4718_4(X1,X2,X3,X4) )).

cnf(i_0_25492,axiom,
    ( ~ esk1536_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_25493,axiom,
    ( ~ esk4962_4(X1,X2,X3,X4)
    | ~ esk3922_4(X1,X2,X3,X4)
    | ~ esk4963_4(X1,X2,X3,X4) )).

cnf(i_0_25494,axiom,
    ( esk8899_4(X1,X2,X3,X4)
    | ~ esk8897_4(X1,X2,X3,X4) )).

cnf(i_0_25495,axiom,
    ( ~ p(X3)
    | p(X1)
    | esk170_0
    | p(X4)
    | ~ esk8046_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_25496,axiom,
    ( ~ esk9582_4(X1,X2,X3,X4)
    | esk8777_4(X1,X2,X3,X4) )).

cnf(i_0_25497,axiom,
    ( esk4978_4(X1,X2,X3,X4)
    | ~ esk3686_4(X1,X2,X3,X4) )).

cnf(i_0_25498,axiom,
    ( ~ esk5510_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4) )).

cnf(i_0_25499,axiom,
    ( esk1444_4(X1,X2,X3,X4)
    | ~ esk1403_4(X1,X2,X3,X4) )).

cnf(i_0_25500,axiom,
    ( ~ esk4215_4(X1,X2,X3,X4)
    | esk4182_4(X1,X2,X3,X4) )).

cnf(i_0_25501,axiom,
    ( ~ esk4550_4(X1,X2,X3,X4)
    | ~ esk5546_4(X1,X2,X3,X4)
    | ~ esk3908_4(X1,X2,X3,X4) )).

cnf(i_0_25502,axiom,
    ( esk1950_4(X1,X2,X3,X4)
    | ~ esk1915_4(X1,X2,X3,X4) )).

cnf(i_0_25503,axiom,
    ( ~ esk3549_4(X1,X2,X3,X4)
    | esk3550_4(X1,X2,X3,X4) )).

cnf(i_0_25504,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | esk4263_4(X1,X2,X3,X4)
    | ~ esk4528_4(X1,X2,X3,X4) )).

cnf(i_0_25505,axiom,
    ( esk1602_4(X1,X2,X3,X4)
    | esk1601_4(X1,X2,X3,X4)
    | ~ esk1603_4(X1,X2,X3,X4) )).

cnf(i_0_25506,axiom,
    ( ~ esk6644_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6932_4(X1,X2,X3,X4) )).

cnf(i_0_25507,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk7263_4(X1,X2,X3,X4) )).

cnf(i_0_25508,axiom,
    ( esk2455_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk766_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_25509,axiom,
    ( ~ esk3084_4(X1,X2,X3,X4)
    | esk3086_4(X1,X2,X3,X4) )).

cnf(i_0_25510,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk2439_4(X1,X2,X3,X4)
    | p(X2)
    | esk717_0 )).

cnf(i_0_25511,axiom,
    ( esk4264_4(X1,X2,X3,X4)
    | ~ esk4300_4(X1,X2,X3,X4) )).

cnf(i_0_25512,axiom,
    ( esk3023_4(X1,X2,X3,X4)
    | ~ esk3024_4(X1,X2,X3,X4) )).

cnf(i_0_25513,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3835_4(X1,X2,X3,X4) )).

cnf(i_0_25514,axiom,
    ( ~ esk5720_4(X1,X2,X3,X4)
    | esk7646_4(X1,X2,X3,X4)
    | esk7647_4(X1,X2,X3,X4) )).

cnf(i_0_25515,axiom,
    ( esk2272_4(X1,X2,X3,X4)
    | ~ esk2270_4(X1,X2,X3,X4) )).

cnf(i_0_25516,axiom,
    ( ~ esk4764_4(X1,X2,X3,X4)
    | esk4896_4(X1,X2,X3,X4) )).

cnf(i_0_25517,axiom,
    ( ~ esk2921_4(X1,X2,X3,X4)
    | esk1623_4(X1,X2,X3,X4) )).

cnf(i_0_25518,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk2785_4(X1,X2,X3,X4)
    | ~ esk786_0
    | p(X3)
    | p(X4) )).

cnf(i_0_25519,axiom,
    ( esk6025_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6044_4(X1,X2,X3,X4) )).

cnf(i_0_25520,axiom,
    ( ~ esk2791_4(X1,X2,X3,X4)
    | ~ esk2469_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_25521,axiom,
    ( esk7393_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25522,axiom,
    ( esk9716_4(X1,X2,X3,X4)
    | ~ esk9717_4(X1,X2,X3,X4) )).

cnf(i_0_25523,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk2061_4(X1,X2,X3,X4)
    | p(X1)
    | esk426_0 )).

cnf(i_0_25524,axiom,
    ( p(X2)
    | p(X1)
    | ~ esk319_0
    | p(X3)
    | esk8248_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_25525,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk728_0
    | ~ esk8747_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_25526,axiom,
    ( ~ esk2353_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_25527,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | esk4907_4(X1,X2,X3,X4) )).

cnf(i_0_25528,axiom,
    ( esk5812_4(X1,X2,X3,X4)
    | ~ esk5813_4(X1,X2,X3,X4)
    | esk5811_4(X1,X2,X3,X4) )).

cnf(i_0_25529,axiom,
    ( esk1929_4(X1,X2,X3,X4)
    | ~ esk1931_4(X1,X2,X3,X4)
    | esk1930_4(X1,X2,X3,X4) )).

cnf(i_0_25530,axiom,
    ( esk2840_4(X1,X2,X3,X4)
    | ~ esk2839_4(X1,X2,X3,X4) )).

cnf(i_0_25531,axiom,
    ( esk6031_4(X1,X2,X3,X4)
    | ~ esk6034_4(X1,X2,X3,X4) )).

cnf(i_0_25532,axiom,
    ( ~ esk7526_4(X1,X2,X3,X4)
    | esk6997_4(X1,X2,X3,X4) )).

cnf(i_0_25533,axiom,
    ( esk7969_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_25534,axiom,
    ( ~ esk5162_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25535,axiom,
    ( p(X4)
    | ~ esk2419_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | p(X2)
    | esk565_0 )).

cnf(i_0_25536,axiom,
    ( p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk865_0 )).

cnf(i_0_25537,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | esk6776_4(X1,X2,X3,X4) )).

cnf(i_0_25538,axiom,
    ( ~ esk3085_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_25539,axiom,
    ( ~ esk2880_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | p(X4)
    | p(X1)
    | esk1131_0 )).

cnf(i_0_25540,axiom,
    ( ~ esk4858_4(X1,X2,X3,X4)
    | esk4899_4(X1,X2,X3,X4) )).

cnf(i_0_25541,axiom,
    ( ~ esk8141_4(X1,X2,X3,X4)
    | esk8143_4(X1,X2,X3,X4) )).

cnf(i_0_25542,axiom,
    ( esk6108_4(X1,X2,X3,X4)
    | ~ esk6515_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_25543,axiom,
    ( esk1709_4(X1,X2,X3,X4)
    | ~ esk2828_4(X1,X2,X3,X4) )).

cnf(i_0_25544,axiom,
    ( esk4254_4(X1,X2,X3,X4)
    | ~ esk4253_4(X1,X2,X3,X4) )).

cnf(i_0_25545,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8646_4(X1,X2,X3,X4) )).

cnf(i_0_25546,axiom,
    ( ~ esk106_0
    | p(X4)
    | ~ p(X3)
    | esk1641_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_25547,axiom,
    ( ~ p(X2)
    | ~ esk570_0
    | p(X3)
    | ~ p(X1)
    | esk2419_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_25548,axiom,
    ( esk8922_4(X1,X2,X3,X4)
    | ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk9595_4(X1,X2,X3,X4) )).

cnf(i_0_25549,axiom,
    ( esk4902_4(X1,X2,X3,X4)
    | ~ esk5443_4(X1,X2,X3,X4) )).

cnf(i_0_25550,axiom,
    ( esk2_0 )).

cnf(i_0_25551,axiom,
    ( esk8826_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25552,axiom,
    ( ~ esk6066_4(X1,X2,X3,X4)
    | esk5894_4(X1,X2,X3,X4) )).

cnf(i_0_25553,axiom,
    ( esk1935_4(X1,X2,X3,X4)
    | ~ esk1933_4(X1,X2,X3,X4) )).

cnf(i_0_25554,axiom,
    ( esk4819_4(X1,X2,X3,X4)
    | ~ esk4820_4(X1,X2,X3,X4) )).

cnf(i_0_25555,axiom,
    ( ~ esk5181_4(X1,X2,X3,X4)
    | esk5195_4(X1,X2,X3,X4)
    | ~ esk5194_4(X1,X2,X3,X4) )).

cnf(i_0_25556,axiom,
    ( esk4953_4(X1,X2,X3,X4)
    | ~ esk4941_4(X1,X2,X3,X4) )).

cnf(i_0_25557,axiom,
    ( ~ esk6452_4(X1,X2,X3,X4)
    | esk6451_4(X1,X2,X3,X4) )).

cnf(i_0_25558,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk690_0
    | p(X3)
    | ~ p(X1)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_25559,axiom,
    ( esk4981_4(X1,X2,X3,X4)
    | ~ esk3595_4(X1,X2,X3,X4) )).

cnf(i_0_25560,axiom,
    ( ~ esk5058_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25561,axiom,
    ( ~ esk1584_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_25562,axiom,
    ( ~ esk4135_4(X1,X2,X3,X4)
    | esk4206_4(X1,X2,X3,X4)
    | ~ esk4205_4(X1,X2,X3,X4) )).

cnf(i_0_25563,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk923_0
    | ~ esk9099_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_25564,axiom,
    ( esk3082_4(X1,X2,X3,X4)
    | ~ esk3080_4(X1,X2,X3,X4) )).

cnf(i_0_25565,axiom,
    ( esk2291_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_25566,axiom,
    ( esk5140_4(X1,X2,X3,X4)
    | esk5139_4(X1,X2,X3,X4)
    | ~ esk5141_4(X1,X2,X3,X4) )).

cnf(i_0_25567,axiom,
    ( esk2574_4(X1,X2,X3,X4)
    | ~ esk2654_4(X1,X2,X3,X4)
    | ~ esk2573_4(X1,X2,X3,X4) )).

cnf(i_0_25568,axiom,
    ( esk9381_4(X1,X2,X3,X4)
    | ~ esk9380_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_25569,axiom,
    ( ~ esk6064_4(X1,X2,X3,X4)
    | esk5893_4(X1,X2,X3,X4) )).

cnf(i_0_25570,axiom,
    ( esk4907_4(X1,X2,X3,X4)
    | ~ esk4874_4(X1,X2,X3,X4) )).

cnf(i_0_25571,axiom,
    ( ~ esk3528_4(X1,X2,X3,X4)
    | ~ esk3872_4(X1,X2,X3,X4)
    | esk3873_4(X1,X2,X3,X4) )).

cnf(i_0_25572,axiom,
    ( esk2785_4(X1,X2,X3,X4)
    | ~ esk2547_4(X1,X2,X3,X4) )).

cnf(i_0_25573,axiom,
    ( ~ esk7709_4(X1,X2,X3,X4)
    | esk8252_4(X1,X2,X3,X4) )).

cnf(i_0_25574,axiom,
    ( ~ p(X4)
    | esk1750_4(X1,X2,X3,X4)
    | ~ esk176_0
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_25575,axiom,
    ( esk9068_4(X1,X2,X3,X4)
    | ~ esk9103_4(X1,X2,X3,X4) )).

cnf(i_0_25576,axiom,
    ( ~ esk5385_4(X1,X2,X3,X4)
    | ~ esk5386_4(X1,X2,X3,X4)
    | ~ esk4544_4(X1,X2,X3,X4) )).

cnf(i_0_25577,axiom,
    ( esk5357_4(X1,X2,X3,X4)
    | ~ esk5356_4(X1,X2,X3,X4) )).

cnf(i_0_25578,axiom,
    ( ~ esk3873_4(X1,X2,X3,X4)
    | esk5056_4(X1,X2,X3,X4) )).

cnf(i_0_25579,axiom,
    ( ~ esk4185_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_25580,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | ~ esk2_0
    | esk8723_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_25581,axiom,
    ( ~ esk6968_4(X1,X2,X3,X4)
    | esk6969_4(X1,X2,X3,X4) )).

cnf(i_0_25582,axiom,
    ( ~ esk8629_4(X1,X2,X3,X4)
    | esk8631_4(X1,X2,X3,X4) )).

cnf(i_0_25583,axiom,
    ( p(X4)
    | ~ p(X1)
    | ~ esk706_0
    | ~ p(X3)
    | ~ p(X2)
    | esk2437_4(X1,X2,X3,X4) )).

cnf(i_0_25584,axiom,
    ( ~ esk333_0
    | p(X4)
    | esk8251_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_25585,axiom,
    ( ~ esk2278_4(X1,X2,X3,X4)
    | esk2243_4(X1,X2,X3,X4) )).

cnf(i_0_25586,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4)
    | esk1232_0 )).

cnf(i_0_25587,axiom,
    ( ~ esk2051_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_25588,axiom,
    ( esk9659_4(X1,X2,X3,X4)
    | ~ esk9657_4(X1,X2,X3,X4) )).

cnf(i_0_25589,axiom,
    ( ~ esk5048_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_25590,axiom,
    ( ~ esk3013_4(X1,X2,X3,X4)
    | esk1819_4(X1,X2,X3,X4) )).

cnf(i_0_25591,axiom,
    ( esk8945_4(X1,X2,X3,X4)
    | ~ esk8944_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_25592,axiom,
    ( ~ esk4138_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25593,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk702_0
    | ~ esk2437_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_25594,axiom,
    ( esk8097_4(X1,X2,X3,X4)
    | ~ esk8096_4(X1,X2,X3,X4) )).

cnf(i_0_25595,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | esk9081_4(X1,X2,X3,X4)
    | ~ esk789_0
    | p(X1) )).

cnf(i_0_25596,axiom,
    ( ~ esk2123_4(X1,X2,X3,X4)
    | esk2090_4(X1,X2,X3,X4) )).

cnf(i_0_25597,axiom,
    ( ~ esk3384_4(X1,X2,X3,X4)
    | esk3386_4(X1,X2,X3,X4) )).

cnf(i_0_25598,axiom,
    ( esk7833_4(X1,X2,X3,X4)
    | ~ esk7834_4(X1,X2,X3,X4) )).

cnf(i_0_25599,axiom,
    ( ~ esk8419_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_25600,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1665_4(X1,X2,X3,X4) )).

cnf(i_0_25601,axiom,
    ( p(X3)
    | esk457_0
    | ~ esk8391_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_25602,axiom,
    ( esk3309_4(X1,X2,X3,X4)
    | ~ esk3306_4(X1,X2,X3,X4)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_25603,axiom,
    ( esk4321_4(X1,X2,X3,X4)
    | ~ esk4322_4(X1,X2,X3,X4) )).

cnf(i_0_25604,axiom,
    ( ~ esk6362_4(X1,X2,X3,X4)
    | esk6363_4(X1,X2,X3,X4)
    | esk6325_4(X1,X2,X3,X4) )).

cnf(i_0_25605,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5098_4(X1,X2,X3,X4) )).

cnf(i_0_25606,axiom,
    ( esk5622_4(X1,X2,X3,X4)
    | ~ esk6383_4(X1,X2,X3,X4) )).

cnf(i_0_25607,axiom,
    ( ~ esk9664_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_25608,axiom,
    ( ~ esk4152_4(X1,X2,X3,X4)
    | esk4153_4(X1,X2,X3,X4) )).

cnf(i_0_25609,axiom,
    ( esk3471_4(X1,X2,X3,X4)
    | ~ esk3623_4(X1,X2,X3,X4) )).

cnf(i_0_25610,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk4796_4(X1,X2,X3,X4) )).

cnf(i_0_25611,axiom,
    ( ~ esk3804_4(X1,X2,X3,X4)
    | esk4991_4(X1,X2,X3,X4) )).

cnf(i_0_25612,axiom,
    ( esk5677_4(X1,X2,X3,X4)
    | ~ esk5760_4(X1,X2,X3,X4) )).

cnf(i_0_25613,axiom,
    ( esk9685_4(X1,X2,X3,X4)
    | esk9686_4(X1,X2,X3,X4)
    | ~ esk9687_4(X1,X2,X3,X4) )).

cnf(i_0_25614,axiom,
    ( ~ esk5344_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25615,axiom,
    ( esk5648_4(X1,X2,X3,X4)
    | ~ esk6662_4(X1,X2,X3,X4)
    | ~ esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_25616,axiom,
    ( ~ esk7749_4(X1,X2,X3,X4)
    | esk9738_4(X1,X2,X3,X4) )).

cnf(i_0_25617,axiom,
    ( esk4645_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_25618,axiom,
    ( ~ esk2828_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | esk2851_4(X1,X2,X3,X4) )).

cnf(i_0_25619,axiom,
    ( ~ p(X4)
    | p(X3)
    | ~ p(X1)
    | esk9174_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk1122_0 )).

cnf(i_0_25620,axiom,
    ( ~ p(X2)
    | ~ esk1036_0
    | p(X3)
    | esk9150_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_25621,axiom,
    ( esk5439_4(X1,X2,X3,X4)
    | ~ esk4773_4(X1,X2,X3,X4)
    | ~ esk5438_4(X1,X2,X3,X4) )).

cnf(i_0_25622,axiom,
    ( esk8614_4(X1,X2,X3,X4)
    | ~ esk8208_4(X1,X2,X3,X4) )).

cnf(i_0_25623,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk579_0
    | esk8717_4(X1,X2,X3,X4) )).

cnf(i_0_25624,axiom,
    ( esk8144_4(X1,X2,X3,X4)
    | ~ esk8145_4(X1,X2,X3,X4) )).

cnf(i_0_25625,axiom,
    ( esk3871_4(X1,X2,X3,X4)
    | ~ esk3870_4(X1,X2,X3,X4) )).

cnf(i_0_25626,axiom,
    ( ~ esk9608_4(X1,X2,X3,X4)
    | esk9609_4(X1,X2,X3,X4)
    | ~ esk9092_4(X1,X2,X3,X4) )).

cnf(i_0_25627,axiom,
    ( ~ esk7931_4(X1,X2,X3,X4)
    | esk7932_4(X1,X2,X3,X4) )).

cnf(i_0_25628,axiom,
    ( esk9646_4(X1,X2,X3,X4)
    | ~ esk9647_4(X1,X2,X3,X4)
    | esk9645_4(X1,X2,X3,X4) )).

cnf(i_0_25629,axiom,
    ( esk3255_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25630,axiom,
    ( ~ esk3450_4(X1,X2,X3,X4)
    | ~ esk1652_4(X1,X2,X3,X4) )).

cnf(i_0_25631,axiom,
    ( ~ esk2734_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_25632,axiom,
    ( ~ p(X3)
    | ~ esk8747_4(X1,X2,X3,X4)
    | p(X2)
    | esk734_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_25633,axiom,
    ( esk6386_4(X1,X2,X3,X4)
    | esk6387_4(X1,X2,X3,X4)
    | ~ esk6388_4(X1,X2,X3,X4) )).

cnf(i_0_25634,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4366_4(X1,X2,X3,X4) )).

cnf(i_0_25635,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk6344_4(X1,X2,X3,X4) )).

cnf(i_0_25636,axiom,
    ( esk6479_4(X1,X2,X3,X4)
    | esk6621_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_25637,axiom,
    ( esk1842_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ esk267_0
    | ~ p(X3) )).

cnf(i_0_25638,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk9178_4(X1,X2,X3,X4)
    | esk1150_0 )).

cnf(i_0_25639,axiom,
    ( esk3650_4(X1,X2,X3,X4)
    | ~ esk3649_4(X1,X2,X3,X4) )).

cnf(i_0_25640,axiom,
    ( ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | p(X3)
    | esk705_0 )).

cnf(i_0_25641,axiom,
    ( esk7097_4(X1,X2,X3,X4)
    | ~ esk7098_4(X1,X2,X3,X4) )).

cnf(i_0_25642,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk935_0
    | p(X4)
    | ~ esk9101_4(X1,X2,X3,X4) )).

cnf(i_0_25643,axiom,
    ( esk8314_4(X1,X2,X3,X4)
    | ~ esk8313_4(X1,X2,X3,X4) )).

cnf(i_0_25644,axiom,
    ( esk214_0
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_25645,axiom,
    ( esk6337_4(X1,X2,X3,X4)
    | ~ esk6336_4(X1,X2,X3,X4) )).

cnf(i_0_25646,axiom,
    ( ~ esk1430_4(X1,X2,X3,X4)
    | ~ esk1588_4(X1,X2,X3,X4) )).

cnf(i_0_25647,axiom,
    ( ~ esk2850_4(X1,X2,X3,X4)
    | esk2849_4(X1,X2,X3,X4) )).

cnf(i_0_25648,axiom,
    ( esk1591_4(X1,X2,X3,X4)
    | ~ esk1590_4(X1,X2,X3,X4) )).

cnf(i_0_25649,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7213_4(X1,X2,X3,X4) )).

cnf(i_0_25650,axiom,
    ( ~ esk2830_4(X1,X2,X3,X4)
    | esk2832_4(X1,X2,X3,X4) )).

cnf(i_0_25651,axiom,
    ( esk4788_4(X1,X2,X3,X4)
    | ~ esk4886_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_25652,axiom,
    ( p(X2)
    | p(X3)
    | esk2801_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk903_0 )).

cnf(i_0_25653,axiom,
    ( esk1042_0
    | ~ esk9164_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_25654,axiom,
    ( ~ esk3593_4(X1,X2,X3,X4)
    | esk3591_4(X1,X2,X3,X4)
    | esk3592_4(X1,X2,X3,X4) )).

cnf(i_0_25655,axiom,
    ( ~ esk2766_4(X1,X2,X3,X4)
    | esk2767_4(X1,X2,X3,X4) )).

cnf(i_0_25656,axiom,
    ( ~ esk4146_4(X1,X2,X3,X4)
    | esk4147_4(X1,X2,X3,X4) )).

cnf(i_0_25657,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6311_4(X1,X2,X3,X4)
    | esk6348_4(X1,X2,X3,X4) )).

cnf(i_0_25658,axiom,
    ( ~ esk6388_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | esk6426_4(X1,X2,X3,X4) )).

cnf(i_0_25659,axiom,
    ( ~ p(X1)
    | esk9099_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | ~ esk931_0 )).

cnf(i_0_25660,axiom,
    ( esk4181_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4143_4(X1,X2,X3,X4) )).

cnf(i_0_25661,axiom,
    ( esk671_0
    | p(X3)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | ~ esk8729_4(X1,X2,X3,X4) )).

cnf(i_0_25662,axiom,
    ( ~ esk3136_4(X1,X2,X3,X4)
    | esk3135_4(X1,X2,X3,X4) )).

cnf(i_0_25663,axiom,
    ( esk5329_4(X1,X2,X3,X4)
    | ~ esk5332_4(X1,X2,X3,X4) )).

cnf(i_0_25664,axiom,
    ( ~ esk3129_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25665,axiom,
    ( ~ esk6432_4(X1,X2,X3,X4)
    | esk6433_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_25666,axiom,
    ( p(X4)
    | p(X3)
    | p(X1)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk936_0 )).

cnf(i_0_25667,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1901_4(X1,X2,X3,X4) )).

cnf(i_0_25668,axiom,
    ( ~ esk5853_4(X1,X2,X3,X4)
    | esk5854_4(X1,X2,X3,X4) )).

cnf(i_0_25669,axiom,
    ( esk4180_4(X1,X2,X3,X4)
    | ~ esk4116_4(X1,X2,X3,X4)
    | ~ esk4179_4(X1,X2,X3,X4) )).

cnf(i_0_25670,axiom,
    ( esk1_0
    | p(X1)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_25671,axiom,
    ( esk1831_4(X1,X2,X3,X4)
    | esk1830_4(X1,X2,X3,X4)
    | ~ esk1832_4(X1,X2,X3,X4) )).

cnf(i_0_25672,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4101_4(X1,X2,X3,X4) )).

cnf(i_0_25673,axiom,
    ( ~ esk2687_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_25674,axiom,
    ( esk4798_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_25675,axiom,
    ( ~ esk3767_4(X1,X2,X3,X4)
    | esk3566_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_25676,axiom,
    ( ~ esk5124_4(X1,X2,X3,X4)
    | esk5125_4(X1,X2,X3,X4) )).

cnf(i_0_25677,axiom,
    ( p(X4)
    | ~ esk2882_4(X1,X2,X3,X4)
    | esk1154_0
    | ~ p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_25678,axiom,
    ( esk7458_4(X1,X2,X3,X4)
    | ~ esk7452_4(X1,X2,X3,X4)
    | ~ esk7457_4(X1,X2,X3,X4) )).

cnf(i_0_25679,axiom,
    ( esk6017_4(X1,X2,X3,X4)
    | ~ esk7295_4(X1,X2,X3,X4) )).

cnf(i_0_25680,axiom,
    ( esk8874_4(X1,X2,X3,X4)
    | ~ esk8881_4(X1,X2,X3,X4) )).

cnf(i_0_25681,axiom,
    ( esk1668_4(X1,X2,X3,X4)
    | ~ esk1467_4(X1,X2,X3,X4) )).

cnf(i_0_25682,axiom,
    ( ~ esk3237_4(X1,X2,X3,X4)
    | esk3234_4(X1,X2,X3,X4) )).

cnf(i_0_25683,axiom,
    ( esk7500_4(X1,X2,X3,X4)
    | esk6777_4(X1,X2,X3,X4) )).

cnf(i_0_25684,axiom,
    ( ~ esk9067_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_25685,axiom,
    ( esk8715_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk1_0
    | ~ p(X4) )).

cnf(i_0_25686,axiom,
    ( esk8388_4(X1,X2,X3,X4)
    | ~ esk446_0
    | p(X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_25687,axiom,
    ( esk7484_4(X1,X2,X3,X4)
    | ~ esk6643_4(X1,X2,X3,X4)
    | esk7485_4(X1,X2,X3,X4) )).

cnf(i_0_25688,axiom,
    ( p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | ~ esk8715_4(X1,X2,X3,X4)
    | esk564_0 )).

cnf(i_0_25689,axiom,
    ( esk8459_4(X1,X2,X3,X4)
    | ~ esk8424_4(X1,X2,X3,X4)
    | ~ esk8726_4(X1,X2,X3,X4) )).

cnf(i_0_25690,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8837_4(X1,X2,X3,X4) )).

cnf(i_0_25691,axiom,
    ( ~ esk7393_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25692,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk1233_0
    | p(X1)
    | p(X2)
    | esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_25693,axiom,
    ( esk4725_4(X1,X2,X3,X4)
    | ~ esk5468_4(X1,X2,X3,X4) )).

cnf(i_0_25694,axiom,
    ( ~ esk3986_4(X1,X2,X3,X4)
    | ~ esk4081_4(X1,X2,X3,X4)
    | esk4469_4(X1,X2,X3,X4) )).

cnf(i_0_25695,axiom,
    ( esk4884_4(X1,X2,X3,X4)
    | ~ esk5460_4(X1,X2,X3,X4) )).

cnf(i_0_25696,axiom,
    ( ~ esk4099_4(X1,X2,X3,X4)
    | esk4100_4(X1,X2,X3,X4) )).

cnf(i_0_25697,axiom,
    ( esk8779_4(X1,X2,X3,X4)
    | esk7732_4(X1,X2,X3,X4)
    | ~ esk8750_4(X1,X2,X3,X4) )).

cnf(i_0_25698,axiom,
    ( ~ esk2104_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_25699,axiom,
    ( esk2022_4(X1,X2,X3,X4)
    | ~ esk1414_4(X1,X2,X3,X4) )).

cnf(i_0_25700,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2392_4(X1,X2,X3,X4) )).

cnf(i_0_25701,axiom,
    ( ~ p(X1)
    | esk930_0
    | ~ p(X2)
    | ~ esk2803_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_25702,axiom,
    ( esk1428_4(X1,X2,X3,X4)
    | ~ esk1427_4(X1,X2,X3,X4) )).

cnf(i_0_25703,axiom,
    ( ~ esk4331_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25704,axiom,
    ( esk730_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_25705,axiom,
    ( ~ esk7577_4(X1,X2,X3,X4)
    | ~ esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_25706,axiom,
    ( esk7721_4(X1,X2,X3,X4)
    | ~ esk8442_4(X1,X2,X3,X4) )).

cnf(i_0_25707,axiom,
    ( ~ esk6302_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_25708,axiom,
    ( esk9174_4(X1,X2,X3,X4)
    | p(X1)
    | p(X2)
    | ~ esk1115_0
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_25709,axiom,
    ( esk7490_4(X1,X2,X3,X4)
    | ~ esk7488_4(X1,X2,X3,X4) )).

cnf(i_0_25710,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk9170_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ esk1097_0 )).

cnf(i_0_25711,axiom,
    ( ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk9166_4(X1,X2,X3,X4)
    | p(X1)
    | ~ esk1059_0 )).

cnf(i_0_25712,axiom,
    ( ~ esk3672_4(X1,X2,X3,X4)
    | esk3671_4(X1,X2,X3,X4) )).

cnf(i_0_25713,axiom,
    ( esk2287_4(X1,X2,X3,X4)
    | ~ esk2157_4(X1,X2,X3,X4) )).

cnf(i_0_25714,axiom,
    ( esk4845_4(X1,X2,X3,X4)
    | esk4844_4(X1,X2,X3,X4)
    | ~ esk4846_4(X1,X2,X3,X4) )).

cnf(i_0_25715,axiom,
    ( ~ esk9494_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25716,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2976_4(X1,X2,X3,X4) )).

cnf(i_0_25717,axiom,
    ( ~ esk9243_4(X1,X2,X3,X4)
    | esk9241_4(X1,X2,X3,X4)
    | esk9242_4(X1,X2,X3,X4) )).

cnf(i_0_25718,axiom,
    ( ~ p(X1)
    | ~ esk1756_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3)
    | p(X4)
    | esk220_0 )).

cnf(i_0_25719,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4)
    | ~ esk6181_4(X1,X2,X3,X4) )).

cnf(i_0_25720,axiom,
    ( ~ esk1522_4(X1,X2,X3,X4)
    | esk3449_4(X1,X2,X3,X4)
    | esk3448_4(X1,X2,X3,X4) )).

cnf(i_0_25721,axiom,
    ( esk6002_4(X1,X2,X3,X4)
    | ~ esk6001_4(X1,X2,X3,X4) )).

cnf(i_0_25722,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9462_4(X1,X2,X3,X4) )).

cnf(i_0_25723,axiom,
    ( ~ esk4727_4(X1,X2,X3,X4)
    | esk4726_4(X1,X2,X3,X4) )).

cnf(i_0_25724,axiom,
    ( ~ esk3002_4(X1,X2,X3,X4)
    | esk3000_4(X1,X2,X3,X4)
    | esk3001_4(X1,X2,X3,X4) )).

cnf(i_0_25725,axiom,
    ( esk3472_4(X1,X2,X3,X4)
    | esk4344_4(X1,X2,X3,X4) )).

cnf(i_0_25726,axiom,
    ( esk2217_4(X1,X2,X3,X4)
    | ~ esk2292_4(X1,X2,X3,X4) )).

cnf(i_0_25727,axiom,
    ( ~ esk2630_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk3377_4(X1,X2,X3,X4) )).

cnf(i_0_25728,axiom,
    ( p(X1)
    | ~ esk2872_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk1074_0
    | ~ p(X3) )).

cnf(i_0_25729,axiom,
    ( ~ esk2098_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2099_4(X1,X2,X3,X4) )).

cnf(i_0_25730,axiom,
    ( esk4767_4(X1,X2,X3,X4)
    | ~ esk4769_4(X1,X2,X3,X4)
    | esk4768_4(X1,X2,X3,X4) )).

cnf(i_0_25731,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2236_4(X1,X2,X3,X4) )).

cnf(i_0_25732,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk9008_4(X1,X2,X3,X4) )).

cnf(i_0_25733,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | esk899_0
    | p(X3)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_25734,axiom,
    ( ~ esk3535_4(X1,X2,X3,X4)
    | esk5549_4(X1,X2,X3,X4) )).

cnf(i_0_25735,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5270_4(X1,X2,X3,X4) )).

cnf(i_0_25736,axiom,
    ( ~ esk7279_4(X1,X2,X3,X4)
    | esk7276_4(X1,X2,X3,X4) )).

cnf(i_0_25737,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9292_4(X1,X2,X3,X4) )).

cnf(i_0_25738,axiom,
    ( ~ esk3361_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_25739,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk656_0
    | p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_25740,axiom,
    ( ~ esk6324_4(X1,X2,X3,X4)
    | ~ esk6629_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_25741,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk2_0
    | ~ p(X3)
    | esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_25742,axiom,
    ( ~ esk7007_4(X1,X2,X3,X4)
    | ~ esk6761_4(X1,X2,X3,X4) )).

cnf(i_0_25743,axiom,
    ( ~ esk4505_4(X1,X2,X3,X4)
    | esk4506_4(X1,X2,X3,X4) )).

cnf(i_0_25744,axiom,
    ( ~ p(X3)
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk733_0
    | p(X4)
    | p(X2) )).

cnf(i_0_25745,axiom,
    ( esk1511_4(X1,X2,X3,X4)
    | esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_25746,axiom,
    ( ~ esk4877_4(X1,X2,X3,X4)
    | esk4878_4(X1,X2,X3,X4) )).

cnf(i_0_25747,axiom,
    ( esk3853_4(X1,X2,X3,X4)
    | ~ esk1753_4(X1,X2,X3,X4) )).

cnf(i_0_25748,axiom,
    ( p(X4)
    | ~ p(X3)
    | esk234_0
    | ~ p(X2)
    | p(X1)
    | ~ esk8054_4(X1,X2,X3,X4) )).

cnf(i_0_25749,axiom,
    ( ~ esk2958_4(X1,X2,X3,X4)
    | esk1349_0
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_25750,axiom,
    ( ~ esk4759_4(X1,X2,X3,X4)
    | esk4583_4(X1,X2,X3,X4) )).

cnf(i_0_25751,axiom,
    ( esk2009_4(X1,X2,X3,X4)
    | ~ esk2297_4(X1,X2,X3,X4) )).

cnf(i_0_25752,axiom,
    ( ~ esk1_0
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3)
    | esk2805_4(X1,X2,X3,X4) )).

cnf(i_0_25753,axiom,
    ( p(X2)
    | ~ esk8283_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk374_0
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_25754,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6350_4(X1,X2,X3,X4) )).

cnf(i_0_25755,axiom,
    ( esk7499_4(X1,X2,X3,X4)
    | ~ esk6756_4(X1,X2,X3,X4) )).

cnf(i_0_25756,axiom,
    ( esk6255_4(X1,X2,X3,X4)
    | ~ esk6774_4(X1,X2,X3,X4) )).

cnf(i_0_25757,axiom,
    ( esk6478_4(X1,X2,X3,X4)
    | ~ esk6477_4(X1,X2,X3,X4) )).

cnf(i_0_25758,axiom,
    ( p(X2)
    | esk2807_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ esk957_0
    | p(X4) )).

cnf(i_0_25759,axiom,
    ( p(X2)
    | p(X1)
    | p(X3)
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X4)
    | esk1_0 )).

cnf(i_0_25760,axiom,
    ( esk1150_0
    | p(X2)
    | ~ p(X1)
    | ~ esk2882_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_25761,axiom,
    ( ~ esk9739_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_25762,axiom,
    ( esk4696_4(X1,X2,X3,X4)
    | esk4695_4(X1,X2,X3,X4)
    | ~ esk4697_4(X1,X2,X3,X4) )).

cnf(i_0_25763,axiom,
    ( ~ esk3482_4(X1,X2,X3,X4)
    | esk4123_4(X1,X2,X3,X4) )).

cnf(i_0_25764,axiom,
    ( esk6816_4(X1,X2,X3,X4)
    | ~ esk6815_4(X1,X2,X3,X4) )).

cnf(i_0_25765,axiom,
    ( esk2339_4(X1,X2,X3,X4)
    | ~ esk2340_4(X1,X2,X3,X4) )).

cnf(i_0_25766,axiom,
    ( esk9086_4(X1,X2,X3,X4)
    | ~ esk8925_4(X1,X2,X3,X4) )).

cnf(i_0_25767,axiom,
    ( ~ esk7760_4(X1,X2,X3,X4)
    | esk7761_4(X1,X2,X3,X4) )).

cnf(i_0_25768,axiom,
    ( esk2113_4(X1,X2,X3,X4)
    | ~ esk2111_4(X1,X2,X3,X4) )).

cnf(i_0_25769,axiom,
    ( esk6904_4(X1,X2,X3,X4)
    | ~ esk6902_4(X1,X2,X3,X4) )).

cnf(i_0_25770,axiom,
    ( ~ esk1503_4(X1,X2,X3,X4)
    | ~ esk2890_4(X1,X2,X3,X4)
    | esk1504_4(X1,X2,X3,X4) )).

cnf(i_0_25771,axiom,
    ( esk1685_4(X1,X2,X3,X4)
    | ~ esk1729_4(X1,X2,X3,X4) )).

cnf(i_0_25772,axiom,
    ( esk837_0
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | ~ p(X3)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_25773,axiom,
    ( ~ p(X4)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk722_0 )).

cnf(i_0_25774,axiom,
    ( esk2891_4(X1,X2,X3,X4)
    | ~ esk1366_4(X1,X2,X3,X4) )).

cnf(i_0_25775,axiom,
    ( ~ esk428_0
    | esk2061_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_25776,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | ~ esk8019_4(X1,X2,X3,X4) )).

cnf(i_0_25777,axiom,
    ( ~ p(X2)
    | esk2482_4(X1,X2,X3,X4)
    | ~ esk780_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_25778,axiom,
    ( esk5150_4(X1,X2,X3,X4)
    | esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_25779,axiom,
    ( ~ esk4528_4(X1,X2,X3,X4)
    | esk5371_4(X1,X2,X3,X4) )).

cnf(i_0_25780,axiom,
    ( esk672_0
    | ~ esk2433_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_25781,axiom,
    ( esk1527_4(X1,X2,X3,X4)
    | ~ esk1656_4(X1,X2,X3,X4)
    | ~ esk1526_4(X1,X2,X3,X4) )).

cnf(i_0_25782,axiom,
    ( ~ esk9728_4(X1,X2,X3,X4)
    | esk9731_4(X1,X2,X3,X4) )).

cnf(i_0_25783,axiom,
    ( esk2101_4(X1,X2,X3,X4)
    | ~ esk2138_4(X1,X2,X3,X4) )).

cnf(i_0_25784,axiom,
    ( ~ esk2407_4(X1,X2,X3,X4)
    | esk2405_4(X1,X2,X3,X4)
    | esk2406_4(X1,X2,X3,X4) )).

cnf(i_0_25785,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | esk3474_4(X1,X2,X3,X4) )).

cnf(i_0_25786,axiom,
    ( ~ esk2755_4(X1,X2,X3,X4)
    | esk2753_4(X1,X2,X3,X4)
    | esk2754_4(X1,X2,X3,X4) )).

cnf(i_0_25787,axiom,
    ( ~ esk6789_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_25788,axiom,
    ( ~ esk2045_4(X1,X2,X3,X4)
    | esk2048_4(X1,X2,X3,X4) )).

cnf(i_0_25789,axiom,
    ( ~ esk6834_4(X1,X2,X3,X4)
    | esk6833_4(X1,X2,X3,X4) )).

cnf(i_0_25790,axiom,
    ( ~ esk9051_4(X1,X2,X3,X4)
    | esk9052_4(X1,X2,X3,X4) )).

cnf(i_0_25791,axiom,
    ( esk1523_4(X1,X2,X3,X4)
    | ~ esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_25792,axiom,
    ( esk3058_4(X1,X2,X3,X4)
    | ~ esk3057_4(X1,X2,X3,X4) )).

cnf(i_0_25793,axiom,
    ( ~ esk6623_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4)
    | esk6440_4(X1,X2,X3,X4) )).

cnf(i_0_25794,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk1998_4(X1,X2,X3,X4)
    | esk1999_4(X1,X2,X3,X4) )).

cnf(i_0_25795,axiom,
    ( esk3600_4(X1,X2,X3,X4)
    | ~ esk3601_4(X1,X2,X3,X4)
    | esk3599_4(X1,X2,X3,X4) )).

cnf(i_0_25796,axiom,
    ( ~ esk4266_4(X1,X2,X3,X4)
    | esk4267_4(X1,X2,X3,X4)
    | ~ esk4231_4(X1,X2,X3,X4) )).

cnf(i_0_25797,axiom,
    ( esk2425_4(X1,X2,X3,X4)
    | esk2242_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_25798,axiom,
    ( ~ esk2779_4(X1,X2,X3,X4)
    | esk2778_4(X1,X2,X3,X4)
    | esk2777_4(X1,X2,X3,X4) )).

cnf(i_0_25799,axiom,
    ( ~ esk8261_4(X1,X2,X3,X4)
    | esk8260_4(X1,X2,X3,X4) )).

cnf(i_0_25800,axiom,
    ( ~ esk3044_4(X1,X2,X3,X4)
    | esk3014_4(X1,X2,X3,X4) )).

cnf(i_0_25801,axiom,
    ( esk9689_4(X1,X2,X3,X4)
    | esk9690_4(X1,X2,X3,X4)
    | ~ esk9691_4(X1,X2,X3,X4) )).

cnf(i_0_25802,axiom,
    ( esk5519_4(X1,X2,X3,X4)
    | ~ esk5521_4(X1,X2,X3,X4)
    | esk5520_4(X1,X2,X3,X4) )).

cnf(i_0_25803,axiom,
    ( esk1125_0
    | p(X4)
    | p(X3)
    | ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_25804,axiom,
    ( ~ p(X3)
    | ~ esk2799_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | ~ p(X1)
    | esk897_0 )).

cnf(i_0_25805,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk7453_4(X1,X2,X3,X4) )).

cnf(i_0_25806,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | ~ esk8357_4(X1,X2,X3,X4)
    | esk430_0 )).

cnf(i_0_25807,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6800_4(X1,X2,X3,X4)
    | esk7519_4(X1,X2,X3,X4) )).

cnf(i_0_25808,axiom,
    ( ~ esk4855_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_25809,axiom,
    ( esk272_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk1842_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_25810,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9043_4(X1,X2,X3,X4) )).

cnf(i_0_25811,axiom,
    ( ~ esk1853_4(X1,X2,X3,X4)
    | ~ esk1852_4(X1,X2,X3,X4) )).

cnf(i_0_25812,axiom,
    ( ~ esk2984_4(X1,X2,X3,X4)
    | esk2983_4(X1,X2,X3,X4) )).

cnf(i_0_25813,axiom,
    ( esk9105_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk972_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_25814,axiom,
    ( ~ esk4772_4(X1,X2,X3,X4)
    | esk4900_4(X1,X2,X3,X4) )).

cnf(i_0_25815,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | esk8590_4(X1,X2,X3,X4)
    | ~ esk8553_4(X1,X2,X3,X4) )).

cnf(i_0_25816,axiom,
    ( ~ esk2958_4(X1,X2,X3,X4)
    | ~ esk1677_4(X1,X2,X3,X4)
    | esk1678_4(X1,X2,X3,X4) )).

cnf(i_0_25817,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk1770_4(X1,X2,X3,X4) )).

cnf(i_0_25818,axiom,
    ( esk9080_4(X1,X2,X3,X4)
    | ~ esk9109_4(X1,X2,X3,X4) )).

cnf(i_0_25819,axiom,
    ( esk8351_4(X1,X2,X3,X4)
    | ~ esk8707_4(X1,X2,X3,X4) )).

cnf(i_0_25820,axiom,
    ( esk6601_4(X1,X2,X3,X4)
    | ~ esk6599_4(X1,X2,X3,X4) )).

cnf(i_0_25821,axiom,
    ( ~ esk1994_4(X1,X2,X3,X4)
    | esk4094_4(X1,X2,X3,X4) )).

cnf(i_0_25822,axiom,
    ( esk1541_4(X1,X2,X3,X4)
    | ~ esk1540_4(X1,X2,X3,X4)
    | ~ esk1676_4(X1,X2,X3,X4) )).

cnf(i_0_25823,axiom,
    ( ~ esk4617_4(X1,X2,X3,X4)
    | esk4619_4(X1,X2,X3,X4) )).

cnf(i_0_25824,axiom,
    ( ~ esk4440_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25825,axiom,
    ( esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_25826,axiom,
    ( ~ esk7527_4(X1,X2,X3,X4)
    | esk6804_4(X1,X2,X3,X4) )).

cnf(i_0_25827,axiom,
    ( esk6503_4(X1,X2,X3,X4)
    | ~ esk6502_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_25828,axiom,
    ( ~ esk4711_4(X1,X2,X3,X4)
    | esk4902_4(X1,X2,X3,X4) )).

cnf(i_0_25829,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | p(X1)
    | esk9190_4(X1,X2,X3,X4)
    | ~ esk1192_0 )).

cnf(i_0_25830,axiom,
    ( ~ esk7883_4(X1,X2,X3,X4)
    | esk7791_4(X1,X2,X3,X4) )).

cnf(i_0_25831,axiom,
    ( esk6418_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25832,axiom,
    ( ~ esk6962_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_25833,axiom,
    ( esk8396_4(X1,X2,X3,X4)
    | ~ esk8395_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_25834,axiom,
    ( esk7860_4(X1,X2,X3,X4)
    | ~ esk7859_4(X1,X2,X3,X4) )).

cnf(i_0_25835,axiom,
    ( ~ esk2793_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | p(X4)
    | esk848_0 )).

cnf(i_0_25836,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | esk3752_4(X1,X2,X3,X4) )).

cnf(i_0_25837,axiom,
    ( ~ esk9651_4(X1,X2,X3,X4)
    | esk9650_4(X1,X2,X3,X4)
    | esk9649_4(X1,X2,X3,X4) )).

cnf(i_0_25838,axiom,
    ( esk6743_4(X1,X2,X3,X4)
    | ~ esk6899_4(X1,X2,X3,X4) )).

cnf(i_0_25839,axiom,
    ( ~ esk2458_4(X1,X2,X3,X4)
    | esk2463_4(X1,X2,X3,X4) )).

cnf(i_0_25840,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8843_4(X1,X2,X3,X4) )).

cnf(i_0_25841,axiom,
    ( ~ esk2146_4(X1,X2,X3,X4)
    | esk2147_4(X1,X2,X3,X4) )).

cnf(i_0_25842,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk2886_4(X1,X2,X3,X4)
    | ~ esk1168_0
    | ~ p(X1) )).

cnf(i_0_25843,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk3325_4(X1,X2,X3,X4) )).

cnf(i_0_25844,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8843_4(X1,X2,X3,X4) )).

cnf(i_0_25845,axiom,
    ( esk8076_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8093_4(X1,X2,X3,X4) )).

cnf(i_0_25846,axiom,
    ( esk1425_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_25847,axiom,
    ( ~ esk8089_4(X1,X2,X3,X4)
    | esk8084_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_25848,axiom,
    ( ~ esk3101_4(X1,X2,X3,X4)
    | esk3098_4(X1,X2,X3,X4) )).

cnf(i_0_25849,axiom,
    ( ~ esk2681_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_25850,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk886_0
    | ~ esk2797_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_25851,axiom,
    ( ~ esk4419_4(X1,X2,X3,X4)
    | esk6519_4(X1,X2,X3,X4) )).

cnf(i_0_25852,axiom,
    ( ~ esk479_0
    | p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk2173_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_25853,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk507_0
    | ~ p(X3)
    | p(X2)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_25854,axiom,
    ( ~ esk3303_4(X1,X2,X3,X4)
    | esk3304_4(X1,X2,X3,X4)
    | ~ esk2793_4(X1,X2,X3,X4) )).

cnf(i_0_25855,axiom,
    ( ~ esk5995_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_25856,axiom,
    ( esk6479_4(X1,X2,X3,X4)
    | ~ esk6441_4(X1,X2,X3,X4)
    | esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_25857,axiom,
    ( ~ esk8733_4(X1,X2,X3,X4)
    | esk8712_4(X1,X2,X3,X4) )).

cnf(i_0_25858,axiom,
    ( ~ esk4826_4(X1,X2,X3,X4)
    | esk4825_4(X1,X2,X3,X4)
    | esk4824_4(X1,X2,X3,X4) )).

cnf(i_0_25859,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2197_4(X1,X2,X3,X4) )).

cnf(i_0_25860,axiom,
    ( esk7892_4(X1,X2,X3,X4)
    | ~ esk9182_4(X1,X2,X3,X4) )).

cnf(i_0_25861,axiom,
    ( ~ esk2628_4(X1,X2,X3,X4)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_25862,axiom,
    ( ~ esk8626_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_25863,axiom,
    ( ~ esk7770_4(X1,X2,X3,X4)
    | ~ esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_25864,axiom,
    ( ~ esk2924_4(X1,X2,X3,X4)
    | esk2923_4(X1,X2,X3,X4) )).

cnf(i_0_25865,axiom,
    ( ~ esk3789_4(X1,X2,X3,X4)
    | esk3961_4(X1,X2,X3,X4) )).

cnf(i_0_25866,axiom,
    ( ~ esk3786_4(X1,X2,X3,X4)
    | esk3836_4(X1,X2,X3,X4)
    | ~ esk3835_4(X1,X2,X3,X4) )).

cnf(i_0_25867,axiom,
    ( esk9213_4(X1,X2,X3,X4)
    | ~ esk7952_4(X1,X2,X3,X4) )).

cnf(i_0_25868,axiom,
    ( ~ esk2421_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | p(X3)
    | esk577_0
    | p(X1) )).

cnf(i_0_25869,axiom,
    ( esk3675_4(X1,X2,X3,X4)
    | ~ esk3676_4(X1,X2,X3,X4) )).

cnf(i_0_25870,axiom,
    ( ~ esk1438_4(X1,X2,X3,X4)
    | esk2497_4(X1,X2,X3,X4)
    | ~ esk2496_4(X1,X2,X3,X4) )).

cnf(i_0_25871,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | esk3043_4(X1,X2,X3,X4) )).

cnf(i_0_25872,axiom,
    ( esk7923_4(X1,X2,X3,X4)
    | esk7922_4(X1,X2,X3,X4)
    | ~ esk7924_4(X1,X2,X3,X4) )).

cnf(i_0_25873,axiom,
    ( ~ esk2039_4(X1,X2,X3,X4)
    | esk2013_4(X1,X2,X3,X4) )).

cnf(i_0_25874,axiom,
    ( esk2895_4(X1,X2,X3,X4)
    | ~ esk1702_4(X1,X2,X3,X4) )).

cnf(i_0_25875,axiom,
    ( ~ esk2894_4(X1,X2,X3,X4)
    | esk1198_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_25876,axiom,
    ( ~ esk9238_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk1300_0
    | ~ p(X4) )).

cnf(i_0_25877,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8296_4(X1,X2,X3,X4) )).

cnf(i_0_25878,axiom,
    ( ~ esk7183_4(X1,X2,X3,X4)
    | esk7180_4(X1,X2,X3,X4) )).

cnf(i_0_25879,axiom,
    ( ~ esk1719_4(X1,X2,X3,X4)
    | esk1718_4(X1,X2,X3,X4)
    | esk1717_4(X1,X2,X3,X4) )).

cnf(i_0_25880,axiom,
    ( p(X1)
    | esk1207_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_25881,axiom,
    ( esk3738_4(X1,X2,X3,X4)
    | ~ esk3737_4(X1,X2,X3,X4) )).

cnf(i_0_25882,axiom,
    ( ~ esk1154_0
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | esk9178_4(X1,X2,X3,X4) )).

cnf(i_0_25883,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk2_0
    | ~ p(X3)
    | esk8731_4(X1,X2,X3,X4) )).

cnf(i_0_25884,axiom,
    ( ~ esk1700_4(X1,X2,X3,X4)
    | ~ esk1469_4(X1,X2,X3,X4)
    | esk1470_4(X1,X2,X3,X4) )).

cnf(i_0_25885,axiom,
    ( ~ esk6021_4(X1,X2,X3,X4)
    | esk7059_4(X1,X2,X3,X4)
    | ~ esk6680_4(X1,X2,X3,X4) )).

cnf(i_0_25886,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk8235_4(X1,X2,X3,X4) )).

cnf(i_0_25887,axiom,
    ( esk6221_4(X1,X2,X3,X4)
    | ~ esk5557_4(X1,X2,X3,X4) )).

cnf(i_0_25888,axiom,
    ( esk1781_4(X1,X2,X3,X4)
    | ~ esk1782_4(X1,X2,X3,X4) )).

cnf(i_0_25889,axiom,
    ( esk3986_4(X1,X2,X3,X4)
    | ~ esk4497_4(X1,X2,X3,X4) )).

cnf(i_0_25890,axiom,
    ( esk4990_4(X1,X2,X3,X4)
    | ~ esk3805_4(X1,X2,X3,X4) )).

cnf(i_0_25891,axiom,
    ( esk1744_4(X1,X2,X3,X4)
    | ~ esk1759_4(X1,X2,X3,X4) )).

cnf(i_0_25892,axiom,
    ( esk9247_4(X1,X2,X3,X4)
    | ~ esk9242_4(X1,X2,X3,X4) )).

cnf(i_0_25893,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ esk289_0
    | esk8170_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_25894,axiom,
    ( ~ esk7156_4(X1,X2,X3,X4)
    | ~ esk5971_4(X1,X2,X3,X4) )).

cnf(i_0_25895,axiom,
    ( esk1008_0
    | ~ esk2815_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_25896,axiom,
    ( ~ esk581_0
    | ~ p(X4)
    | p(X2)
    | esk2421_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_25897,axiom,
    ( ~ esk2278_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_25898,axiom,
    ( ~ esk6535_4(X1,X2,X3,X4)
    | esk6536_4(X1,X2,X3,X4) )).

cnf(i_0_25899,axiom,
    ( esk8059_4(X1,X2,X3,X4)
    | ~ esk8061_4(X1,X2,X3,X4) )).

cnf(i_0_25900,axiom,
    ( ~ esk4173_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_25901,axiom,
    ( esk9651_4(X1,X2,X3,X4)
    | ~ esk9650_4(X1,X2,X3,X4) )).

cnf(i_0_25902,axiom,
    ( esk6912_4(X1,X2,X3,X4)
    | ~ esk6910_4(X1,X2,X3,X4) )).

cnf(i_0_25903,axiom,
    ( esk6199_4(X1,X2,X3,X4)
    | ~ esk6225_4(X1,X2,X3,X4) )).

cnf(i_0_25904,axiom,
    ( esk6840_4(X1,X2,X3,X4)
    | ~ esk7599_4(X1,X2,X3,X4) )).

cnf(i_0_25905,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | esk7857_4(X1,X2,X3,X4) )).

cnf(i_0_25906,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk4786_4(X1,X2,X3,X4)
    | esk4787_4(X1,X2,X3,X4) )).

cnf(i_0_25907,axiom,
    ( ~ esk2692_4(X1,X2,X3,X4)
    | esk2694_4(X1,X2,X3,X4) )).

cnf(i_0_25908,axiom,
    ( ~ esk8805_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk8790_4(X1,X2,X3,X4) )).

cnf(i_0_25909,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk2799_4(X1,X2,X3,X4)
    | ~ esk890_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_25910,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ esk767_0
    | ~ p(X1)
    | esk8751_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_25911,axiom,
    ( esk8093_4(X1,X2,X3,X4)
    | ~ esk8091_4(X1,X2,X3,X4) )).

cnf(i_0_25912,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2_0
    | ~ p(X1)
    | esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_25913,axiom,
    ( esk4048_4(X1,X2,X3,X4)
    | esk4083_4(X1,X2,X3,X4)
    | ~ esk4082_4(X1,X2,X3,X4) )).

cnf(i_0_25914,axiom,
    ( ~ esk4335_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_25915,axiom,
    ( ~ esk8412_4(X1,X2,X3,X4)
    | esk8411_4(X1,X2,X3,X4) )).

cnf(i_0_25916,axiom,
    ( esk5309_4(X1,X2,X3,X4)
    | ~ esk5308_4(X1,X2,X3,X4) )).

cnf(i_0_25917,axiom,
    ( ~ esk5441_4(X1,X2,X3,X4)
    | ~ esk4855_4(X1,X2,X3,X4)
    | esk4856_4(X1,X2,X3,X4) )).

cnf(i_0_25918,axiom,
    ( ~ p(X3)
    | p(X1)
    | p(X2)
    | esk1671_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk125_0 )).

cnf(i_0_25919,axiom,
    ( esk2421_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | p(X2)
    | ~ esk582_0 )).

cnf(i_0_25920,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | esk7939_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk2_0
    | ~ p(X4) )).

cnf(i_0_25921,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1317_0
    | p(X2)
    | ~ p(X3) )).

cnf(i_0_25922,axiom,
    ( p(X1)
    | p(X3)
    | esk1_0
    | p(X2)
    | p(X4)
    | ~ esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_25923,axiom,
    ( ~ esk9067_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_25924,axiom,
    ( p(X2)
    | p(X3)
    | esk7740_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ esk49_0 )).

cnf(i_0_25925,axiom,
    ( ~ esk1343_0
    | ~ p(X4)
    | esk9254_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_25926,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8353_4(X1,X2,X3,X4)
    | esk8383_4(X1,X2,X3,X4) )).

cnf(i_0_25927,axiom,
    ( esk4523_4(X1,X2,X3,X4)
    | ~ esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_25928,axiom,
    ( ~ p(X3)
    | p(X2)
    | esk501_0
    | ~ p(X4)
    | p(X1)
    | ~ esk8547_4(X1,X2,X3,X4) )).

cnf(i_0_25929,axiom,
    ( esk5486_4(X1,X2,X3,X4)
    | ~ esk5487_4(X1,X2,X3,X4) )).

cnf(i_0_25930,axiom,
    ( esk8736_4(X1,X2,X3,X4)
    | esk9708_4(X1,X2,X3,X4) )).

cnf(i_0_25931,axiom,
    ( ~ esk4908_4(X1,X2,X3,X4)
    | ~ esk4228_4(X1,X2,X3,X4) )).

cnf(i_0_25932,axiom,
    ( ~ esk7670_4(X1,X2,X3,X4)
    | ~ esk8542_4(X1,X2,X3,X4) )).

cnf(i_0_25933,axiom,
    ( ~ esk9194_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3)
    | esk1215_0 )).

cnf(i_0_25934,axiom,
    ( p(X4)
    | p(X3)
    | ~ p(X2)
    | esk2482_4(X1,X2,X3,X4)
    | ~ esk771_0
    | p(X1) )).

cnf(i_0_25935,axiom,
    ( ~ esk8851_4(X1,X2,X3,X4)
    | esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_25936,axiom,
    ( ~ esk2591_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_25937,axiom,
    ( ~ esk8427_4(X1,X2,X3,X4)
    | esk8392_4(X1,X2,X3,X4) )).

cnf(i_0_25938,axiom,
    ( ~ esk392_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk8291_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_25939,axiom,
    ( p(X2)
    | p(X4)
    | esk9170_4(X1,X2,X3,X4)
    | ~ esk1085_0
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_25940,axiom,
    ( esk2932_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ esk1283_0
    | p(X4) )).

cnf(i_0_25941,axiom,
    ( esk6602_4(X1,X2,X3,X4)
    | esk6085_4(X1,X2,X3,X4) )).

cnf(i_0_25942,axiom,
    ( ~ esk2286_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_25943,axiom,
    ( ~ esk9661_4(X1,X2,X3,X4)
    | esk9660_4(X1,X2,X3,X4) )).

cnf(i_0_25944,axiom,
    ( esk9313_4(X1,X2,X3,X4)
    | ~ esk9315_4(X1,X2,X3,X4)
    | esk9314_4(X1,X2,X3,X4) )).

cnf(i_0_25945,axiom,
    ( esk5182_4(X1,X2,X3,X4)
    | ~ esk5183_4(X1,X2,X3,X4) )).

cnf(i_0_25946,axiom,
    ( esk2854_4(X1,X2,X3,X4)
    | ~ esk1_0
    | p(X4)
    | p(X2)
    | p(X1)
    | p(X3) )).

cnf(i_0_25947,axiom,
    ( ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6869_4(X1,X2,X3,X4) )).

cnf(i_0_25948,axiom,
    ( ~ p(X3)
    | ~ esk1_0
    | ~ p(X1)
    | ~ p(X2)
    | esk9204_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_25949,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk3075_4(X1,X2,X3,X4) )).

cnf(i_0_25950,axiom,
    ( esk7112_4(X1,X2,X3,X4)
    | ~ esk5811_4(X1,X2,X3,X4) )).

cnf(i_0_25951,axiom,
    ( ~ esk3660_4(X1,X2,X3,X4)
    | esk3659_4(X1,X2,X3,X4) )).

cnf(i_0_25952,axiom,
    ( p(X3)
    | ~ esk2956_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | p(X1)
    | esk1326_0 )).

cnf(i_0_25953,axiom,
    ( esk2680_4(X1,X2,X3,X4)
    | ~ esk2682_4(X1,X2,X3,X4)
    | esk2681_4(X1,X2,X3,X4) )).

cnf(i_0_25954,axiom,
    ( esk6400_4(X1,X2,X3,X4)
    | ~ esk6398_4(X1,X2,X3,X4) )).

cnf(i_0_25955,axiom,
    ( esk6400_4(X1,X2,X3,X4)
    | ~ esk6399_4(X1,X2,X3,X4) )).

cnf(i_0_25956,axiom,
    ( esk2418_4(X1,X2,X3,X4)
    | ~ esk4518_4(X1,X2,X3,X4) )).

cnf(i_0_25957,axiom,
    ( ~ esk5862_4(X1,X2,X3,X4)
    | esk5949_4(X1,X2,X3,X4) )).

cnf(i_0_25958,axiom,
    ( ~ p(X3)
    | p(X2)
    | p(X1)
    | esk65_0
    | ~ p(X4)
    | ~ esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_25959,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | esk2372_4(X1,X2,X3,X4) )).

cnf(i_0_25960,axiom,
    ( ~ esk7946_4(X1,X2,X3,X4)
    | esk7945_4(X1,X2,X3,X4) )).

cnf(i_0_25961,axiom,
    ( esk4414_4(X1,X2,X3,X4)
    | ~ esk4413_4(X1,X2,X3,X4) )).

cnf(i_0_25962,axiom,
    ( ~ esk9081_4(X1,X2,X3,X4)
    | esk796_0
    | ~ p(X1)
    | ~ p(X4)
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_25963,axiom,
    ( ~ esk7804_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_25964,axiom,
    ( esk4913_4(X1,X2,X3,X4)
    | ~ esk4947_4(X1,X2,X3,X4) )).

cnf(i_0_25965,axiom,
    ( ~ esk6778_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_25966,axiom,
    ( ~ esk5745_4(X1,X2,X3,X4)
    | esk5744_4(X1,X2,X3,X4)
    | esk5743_4(X1,X2,X3,X4) )).

cnf(i_0_25967,axiom,
    ( esk8607_4(X1,X2,X3,X4)
    | ~ esk8608_4(X1,X2,X3,X4)
    | esk8606_4(X1,X2,X3,X4) )).

cnf(i_0_25968,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4292_4(X1,X2,X3,X4) )).

cnf(i_0_25969,axiom,
    ( ~ esk4780_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_25970,axiom,
    ( esk2266_4(X1,X2,X3,X4)
    | ~ esk2268_4(X1,X2,X3,X4)
    | esk2267_4(X1,X2,X3,X4) )).

cnf(i_0_25971,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk9186_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk1178_0 )).

cnf(i_0_25972,axiom,
    ( esk8228_4(X1,X2,X3,X4)
    | ~ esk8226_4(X1,X2,X3,X4) )).

cnf(i_0_25973,axiom,
    ( ~ esk6099_4(X1,X2,X3,X4)
    | ~ esk6470_4(X1,X2,X3,X4)
    | esk6100_4(X1,X2,X3,X4) )).

cnf(i_0_25974,axiom,
    ( esk5064_4(X1,X2,X3,X4)
    | esk5063_4(X1,X2,X3,X4)
    | ~ esk5065_4(X1,X2,X3,X4) )).

cnf(i_0_25975,axiom,
    ( ~ esk4841_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_25976,axiom,
    ( ~ esk1518_4(X1,X2,X3,X4)
    | esk1520_4(X1,X2,X3,X4) )).

cnf(i_0_25977,axiom,
    ( ~ esk1985_4(X1,X2,X3,X4)
    | esk2019_4(X1,X2,X3,X4) )).

cnf(i_0_25978,axiom,
    ( ~ esk5053_4(X1,X2,X3,X4)
    | ~ esk3598_4(X1,X2,X3,X4) )).

cnf(i_0_25979,axiom,
    ( esk8294_4(X1,X2,X3,X4)
    | ~ esk8507_4(X1,X2,X3,X4) )).

cnf(i_0_25980,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk1250_0
    | p(X1)
    | esk9214_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_25981,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ esk8050_4(X1,X2,X3,X4)
    | esk204_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_25982,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | esk1973_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_25983,axiom,
    ( ~ esk2539_4(X1,X2,X3,X4)
    | esk2813_4(X1,X2,X3,X4) )).

cnf(i_0_25984,axiom,
    ( ~ esk5303_4(X1,X2,X3,X4)
    | esk5305_4(X1,X2,X3,X4) )).

cnf(i_0_25985,axiom,
    ( ~ p(X2)
    | esk2805_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk945_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_25986,axiom,
    ( ~ p(X4)
    | esk745_0
    | ~ esk8749_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_25987,axiom,
    ( esk9723_4(X1,X2,X3,X4)
    | ~ esk9726_4(X1,X2,X3,X4) )).

cnf(i_0_25988,axiom,
    ( esk490_0
    | p(X4)
    | p(X3)
    | p(X2)
    | ~ p(X1)
    | ~ esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_25989,axiom,
    ( esk9170_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ esk1083_0
    | p(X4)
    | p(X2) )).

cnf(i_0_25990,axiom,
    ( ~ esk6297_4(X1,X2,X3,X4)
    | esk6296_4(X1,X2,X3,X4) )).

cnf(i_0_25991,axiom,
    ( ~ esk9601_4(X1,X2,X3,X4)
    | esk9603_4(X1,X2,X3,X4) )).

cnf(i_0_25992,axiom,
    ( esk4220_4(X1,X2,X3,X4)
    | ~ esk4218_4(X1,X2,X3,X4) )).

cnf(i_0_25993,axiom,
    ( ~ p(X4)
    | ~ esk872_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | esk2795_4(X1,X2,X3,X4) )).

cnf(i_0_25994,axiom,
    ( esk4160_4(X1,X2,X3,X4)
    | ~ esk3514_4(X1,X2,X3,X4) )).

cnf(i_0_25995,axiom,
    ( ~ esk7490_4(X1,X2,X3,X4)
    | esk6827_4(X1,X2,X3,X4)
    | ~ esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_25996,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8500_4(X1,X2,X3,X4)
    | ~ esk8724_4(X1,X2,X3,X4) )).

cnf(i_0_25997,axiom,
    ( ~ esk9385_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_25998,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk8264_4(X1,X2,X3,X4) )).

cnf(i_0_25999,axiom,
    ( ~ esk7112_4(X1,X2,X3,X4)
    | esk5747_4(X1,X2,X3,X4)
    | ~ esk5746_4(X1,X2,X3,X4) )).

cnf(i_0_26000,axiom,
    ( esk5840_4(X1,X2,X3,X4)
    | ~ esk7940_4(X1,X2,X3,X4) )).

cnf(i_0_26001,axiom,
    ( esk4785_4(X1,X2,X3,X4)
    | ~ esk4784_4(X1,X2,X3,X4) )).

cnf(i_0_26002,axiom,
    ( esk4391_4(X1,X2,X3,X4)
    | esk4392_4(X1,X2,X3,X4)
    | ~ esk4393_4(X1,X2,X3,X4) )).

cnf(i_0_26003,axiom,
    ( esk714_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ esk2439_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_26004,axiom,
    ( ~ esk6119_4(X1,X2,X3,X4)
    | esk6764_4(X1,X2,X3,X4) )).

cnf(i_0_26005,axiom,
    ( ~ esk9307_4(X1,X2,X3,X4)
    | esk9305_4(X1,X2,X3,X4)
    | esk9306_4(X1,X2,X3,X4) )).

cnf(i_0_26006,axiom,
    ( ~ esk6159_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_26007,axiom,
    ( esk7548_4(X1,X2,X3,X4)
    | ~ esk7546_4(X1,X2,X3,X4) )).

cnf(i_0_26008,axiom,
    ( ~ esk269_0
    | ~ p(X2)
    | ~ p(X1)
    | esk1842_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_26009,axiom,
    ( ~ esk7754_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_26010,axiom,
    ( p(X2)
    | esk9174_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1116_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_26011,axiom,
    ( esk7012_4(X1,X2,X3,X4)
    | ~ esk7046_4(X1,X2,X3,X4) )).

cnf(i_0_26012,axiom,
    ( ~ esk8775_4(X1,X2,X3,X4)
    | esk8773_4(X1,X2,X3,X4)
    | esk8774_4(X1,X2,X3,X4) )).

cnf(i_0_26013,axiom,
    ( ~ esk2954_4(X1,X2,X3,X4)
    | ~ esk1511_4(X1,X2,X3,X4) )).

cnf(i_0_26014,axiom,
    ( p(X2)
    | ~ esk1205_0
    | p(X1)
    | esk2898_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_26015,axiom,
    ( ~ esk8812_4(X1,X2,X3,X4)
    | esk8792_4(X1,X2,X3,X4) )).

cnf(i_0_26016,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk3147_4(X1,X2,X3,X4) )).

cnf(i_0_26017,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4888_4(X1,X2,X3,X4)
    | esk5392_4(X1,X2,X3,X4) )).

cnf(i_0_26018,axiom,
    ( esk1887_4(X1,X2,X3,X4)
    | ~ esk2370_4(X1,X2,X3,X4) )).

cnf(i_0_26019,axiom,
    ( ~ esk3936_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk3937_4(X1,X2,X3,X4) )).

cnf(i_0_26020,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | esk8650_4(X1,X2,X3,X4) )).

cnf(i_0_26021,axiom,
    ( p(X4)
    | esk122_0
    | ~ p(X2)
    | ~ esk7939_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_26022,axiom,
    ( ~ esk2204_4(X1,X2,X3,X4)
    | ~ esk2203_4(X1,X2,X3,X4)
    | ~ esk2165_4(X1,X2,X3,X4) )).

cnf(i_0_26023,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | ~ esk5687_4(X1,X2,X3,X4) )).

cnf(i_0_26024,axiom,
    ( esk9036_4(X1,X2,X3,X4)
    | ~ esk9034_4(X1,X2,X3,X4) )).

cnf(i_0_26025,axiom,
    ( esk8353_4(X1,X2,X3,X4)
    | ~ esk8384_4(X1,X2,X3,X4) )).

cnf(i_0_26026,axiom,
    ( esk3521_4(X1,X2,X3,X4)
    | ~ esk4565_4(X1,X2,X3,X4) )).

cnf(i_0_26027,axiom,
    ( esk2332_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2331_4(X1,X2,X3,X4) )).

cnf(i_0_26028,axiom,
    ( ~ esk6989_4(X1,X2,X3,X4)
    | ~ esk5620_4(X1,X2,X3,X4)
    | ~ esk6667_4(X1,X2,X3,X4) )).

cnf(i_0_26029,axiom,
    ( p(X1)
    | ~ esk8747_4(X1,X2,X3,X4)
    | esk729_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_26030,axiom,
    ( esk2674_4(X1,X2,X3,X4)
    | ~ esk2672_4(X1,X2,X3,X4) )).

cnf(i_0_26031,axiom,
    ( esk1875_4(X1,X2,X3,X4)
    | esk2049_4(X1,X2,X3,X4)
    | ~ esk2058_4(X1,X2,X3,X4) )).

cnf(i_0_26032,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9514_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26033,axiom,
    ( esk3161_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_26034,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3819_4(X1,X2,X3,X4) )).

cnf(i_0_26035,axiom,
    ( ~ esk8737_4(X1,X2,X3,X4)
    | esk8740_4(X1,X2,X3,X4) )).

cnf(i_0_26036,axiom,
    ( esk2413_4(X1,X2,X3,X4)
    | ~ esk2412_4(X1,X2,X3,X4)
    | ~ esk3270_4(X1,X2,X3,X4) )).

cnf(i_0_26037,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ esk887_0
    | esk2797_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26038,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk3898_4(X1,X2,X3,X4) )).

cnf(i_0_26039,axiom,
    ( ~ esk9163_4(X1,X2,X3,X4)
    | ~ esk9747_4(X1,X2,X3,X4)
    | esk7733_4(X1,X2,X3,X4) )).

cnf(i_0_26040,axiom,
    ( ~ esk1754_4(X1,X2,X3,X4)
    | esk201_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_26041,axiom,
    ( ~ esk927_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_26042,axiom,
    ( p(X4)
    | ~ esk9172_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1112_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_26043,axiom,
    ( ~ esk6059_4(X1,X2,X3,X4)
    | esk5974_4(X1,X2,X3,X4) )).

cnf(i_0_26044,axiom,
    ( ~ esk3396_4(X1,X2,X3,X4)
    | esk3395_4(X1,X2,X3,X4) )).

cnf(i_0_26045,axiom,
    ( ~ esk1876_4(X1,X2,X3,X4)
    | ~ esk1448_4(X1,X2,X3,X4) )).

cnf(i_0_26046,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4)
    | esk5228_4(X1,X2,X3,X4) )).

cnf(i_0_26047,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | ~ esk8539_4(X1,X2,X3,X4)
    | ~ esk8722_4(X1,X2,X3,X4) )).

cnf(i_0_26048,axiom,
    ( ~ esk1932_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk1933_4(X1,X2,X3,X4) )).

cnf(i_0_26049,axiom,
    ( ~ esk9622_4(X1,X2,X3,X4)
    | esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_26050,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3788_4(X1,X2,X3,X4)
    | esk3774_4(X1,X2,X3,X4) )).

cnf(i_0_26051,axiom,
    ( ~ p(X2)
    | ~ esk1141_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_26052,axiom,
    ( ~ esk5871_4(X1,X2,X3,X4)
    | ~ esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_26053,axiom,
    ( ~ esk9554_4(X1,X2,X3,X4)
    | esk7721_4(X1,X2,X3,X4) )).

cnf(i_0_26054,axiom,
    ( esk8247_4(X1,X2,X3,X4)
    | ~ esk8212_4(X1,X2,X3,X4) )).

cnf(i_0_26055,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | ~ esk1218_0
    | esk9204_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_26056,axiom,
    ( ~ esk5904_4(X1,X2,X3,X4)
    | ~ esk7125_4(X1,X2,X3,X4)
    | esk7126_4(X1,X2,X3,X4) )).

cnf(i_0_26057,axiom,
    ( esk4869_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4) )).

cnf(i_0_26058,axiom,
    ( p(X1)
    | esk1143_0
    | p(X4)
    | ~ esk9178_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_26059,axiom,
    ( esk6328_4(X1,X2,X3,X4)
    | ~ esk6293_4(X1,X2,X3,X4)
    | ~ esk6327_4(X1,X2,X3,X4) )).

cnf(i_0_26060,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | esk5268_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_26061,axiom,
    ( ~ esk7884_4(X1,X2,X3,X4)
    | esk9176_4(X1,X2,X3,X4) )).

cnf(i_0_26062,axiom,
    ( esk2731_4(X1,X2,X3,X4)
    | ~ esk2729_4(X1,X2,X3,X4) )).

cnf(i_0_26063,axiom,
    ( esk2322_4(X1,X2,X3,X4)
    | ~ esk1957_4(X1,X2,X3,X4) )).

cnf(i_0_26064,axiom,
    ( p(X2)
    | ~ esk2807_4(X1,X2,X3,X4)
    | esk957_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_26065,axiom,
    ( ~ esk4979_4(X1,X2,X3,X4)
    | esk3684_4(X1,X2,X3,X4)
    | ~ esk3683_4(X1,X2,X3,X4) )).

cnf(i_0_26066,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk4540_4(X1,X2,X3,X4) )).

cnf(i_0_26067,axiom,
    ( ~ esk7108_4(X1,X2,X3,X4)
    | esk7107_4(X1,X2,X3,X4) )).

cnf(i_0_26068,axiom,
    ( esk6739_4(X1,X2,X3,X4)
    | ~ esk6738_4(X1,X2,X3,X4) )).

cnf(i_0_26069,axiom,
    ( ~ esk2720_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_26070,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X1)
    | esk2095_4(X1,X2,X3,X4)
    | ~ esk453_0
    | p(X2) )).

cnf(i_0_26071,axiom,
    ( ~ esk1240_0
    | p(X4)
    | esk2914_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_26072,axiom,
    ( ~ esk5882_4(X1,X2,X3,X4)
    | esk7080_4(X1,X2,X3,X4) )).

cnf(i_0_26073,axiom,
    ( esk6169_4(X1,X2,X3,X4)
    | ~ esk6170_4(X1,X2,X3,X4) )).

cnf(i_0_26074,axiom,
    ( ~ esk7210_4(X1,X2,X3,X4)
    | esk7196_4(X1,X2,X3,X4) )).

cnf(i_0_26075,axiom,
    ( ~ esk1769_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk1770_4(X1,X2,X3,X4) )).

cnf(i_0_26076,axiom,
    ( ~ esk8760_4(X1,X2,X3,X4)
    | esk8755_4(X1,X2,X3,X4)
    | ~ esk7670_4(X1,X2,X3,X4) )).

cnf(i_0_26077,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | p(X3)
    | esk837_0
    | ~ esk9087_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_26078,axiom,
    ( ~ esk3755_4(X1,X2,X3,X4)
    | esk3753_4(X1,X2,X3,X4)
    | esk3754_4(X1,X2,X3,X4) )).

cnf(i_0_26079,axiom,
    ( esk9036_4(X1,X2,X3,X4)
    | ~ esk9035_4(X1,X2,X3,X4) )).

cnf(i_0_26080,axiom,
    ( esk1782_4(X1,X2,X3,X4)
    | ~ esk1781_4(X1,X2,X3,X4)
    | ~ esk2342_4(X1,X2,X3,X4) )).

cnf(i_0_26081,axiom,
    ( p(X2)
    | esk208_0
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_26082,axiom,
    ( esk9102_4(X1,X2,X3,X4)
    | ~ esk8852_4(X1,X2,X3,X4) )).

cnf(i_0_26083,axiom,
    ( p(X4)
    | ~ esk9099_4(X1,X2,X3,X4)
    | esk926_0
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_26084,axiom,
    ( ~ esk6639_4(X1,X2,X3,X4)
    | esk6647_4(X1,X2,X3,X4) )).

cnf(i_0_26085,axiom,
    ( ~ esk2941_4(X1,X2,X3,X4)
    | esk1631_4(X1,X2,X3,X4) )).

cnf(i_0_26086,axiom,
    ( esk7726_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_26087,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | esk8888_4(X1,X2,X3,X4) )).

cnf(i_0_26088,axiom,
    ( esk3030_4(X1,X2,X3,X4)
    | ~ esk3029_4(X1,X2,X3,X4) )).

cnf(i_0_26089,axiom,
    ( esk8418_4(X1,X2,X3,X4)
    | ~ esk8417_4(X1,X2,X3,X4) )).

cnf(i_0_26090,axiom,
    ( ~ esk6164_4(X1,X2,X3,X4)
    | esk6162_4(X1,X2,X3,X4)
    | esk6163_4(X1,X2,X3,X4) )).

cnf(i_0_26091,axiom,
    ( esk9151_4(X1,X2,X3,X4)
    | ~ esk9121_4(X1,X2,X3,X4)
    | esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_26092,axiom,
    ( esk4226_4(X1,X2,X3,X4)
    | ~ esk4261_4(X1,X2,X3,X4) )).

cnf(i_0_26093,axiom,
    ( ~ esk6770_4(X1,X2,X3,X4)
    | ~ esk6673_4(X1,X2,X3,X4) )).

cnf(i_0_26094,axiom,
    ( p(X3)
    | esk8751_4(X1,X2,X3,X4)
    | p(X4)
    | p(X2)
    | p(X1)
    | ~ esk753_0 )).

cnf(i_0_26095,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7275_4(X1,X2,X3,X4) )).

cnf(i_0_26096,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X4)
    | esk719_0
    | ~ p(X2) )).

cnf(i_0_26097,axiom,
    ( ~ esk9094_4(X1,X2,X3,X4)
    | esk9184_4(X1,X2,X3,X4) )).

cnf(i_0_26098,axiom,
    ( esk5035_4(X1,X2,X3,X4)
    | ~ esk5034_4(X1,X2,X3,X4) )).

cnf(i_0_26099,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8685_4(X1,X2,X3,X4) )).

cnf(i_0_26100,axiom,
    ( esk2932_4(X1,X2,X3,X4)
    | ~ esk1561_4(X1,X2,X3,X4) )).

cnf(i_0_26101,axiom,
    ( esk5669_4(X1,X2,X3,X4)
    | ~ esk5670_4(X1,X2,X3,X4)
    | esk5668_4(X1,X2,X3,X4) )).

cnf(i_0_26102,axiom,
    ( esk3002_4(X1,X2,X3,X4)
    | ~ esk3000_4(X1,X2,X3,X4) )).

cnf(i_0_26103,axiom,
    ( esk1_0
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk2801_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_26104,axiom,
    ( ~ esk5075_4(X1,X2,X3,X4)
    | esk5077_4(X1,X2,X3,X4) )).

cnf(i_0_26105,axiom,
    ( p(X4)
    | esk141_0
    | p(X3)
    | ~ p(X2)
    | ~ esk1746_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_26106,axiom,
    ( esk1818_4(X1,X2,X3,X4)
    | ~ esk1714_4(X1,X2,X3,X4) )).

cnf(i_0_26107,axiom,
    ( ~ esk2382_4(X1,X2,X3,X4)
    | esk2315_4(X1,X2,X3,X4) )).

cnf(i_0_26108,axiom,
    ( ~ esk3725_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_26109,axiom,
    ( esk8490_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_26110,axiom,
    ( esk6074_4(X1,X2,X3,X4)
    | esk7107_4(X1,X2,X3,X4) )).

cnf(i_0_26111,axiom,
    ( ~ esk9330_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26112,axiom,
    ( esk2630_4(X1,X2,X3,X4)
    | ~ esk2628_4(X1,X2,X3,X4) )).

cnf(i_0_26113,axiom,
    ( ~ esk7851_4(X1,X2,X3,X4)
    | esk7773_4(X1,X2,X3,X4) )).

cnf(i_0_26114,axiom,
    ( ~ esk6615_4(X1,X2,X3,X4)
    | esk6144_4(X1,X2,X3,X4)
    | ~ esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_26115,axiom,
    ( esk1486_4(X1,X2,X3,X4)
    | ~ esk1485_4(X1,X2,X3,X4) )).

cnf(i_0_26116,axiom,
    ( ~ esk2414_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_26117,axiom,
    ( ~ esk8286_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_26118,axiom,
    ( esk5910_4(X1,X2,X3,X4)
    | ~ esk7133_4(X1,X2,X3,X4) )).

cnf(i_0_26119,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk646_0
    | ~ p(X2) )).

cnf(i_0_26120,axiom,
    ( ~ esk5224_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_26121,axiom,
    ( esk8065_4(X1,X2,X3,X4)
    | ~ esk7723_4(X1,X2,X3,X4) )).

cnf(i_0_26122,axiom,
    ( ~ esk8417_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_26123,axiom,
    ( esk1615_4(X1,X2,X3,X4)
    | ~ esk2913_4(X1,X2,X3,X4) )).

cnf(i_0_26124,axiom,
    ( esk6994_4(X1,X2,X3,X4)
    | ~ esk9094_4(X1,X2,X3,X4) )).

cnf(i_0_26125,axiom,
    ( ~ esk1776_4(X1,X2,X3,X4)
    | esk1872_4(X1,X2,X3,X4)
    | ~ esk1681_4(X1,X2,X3,X4) )).

cnf(i_0_26126,axiom,
    ( esk8846_4(X1,X2,X3,X4)
    | ~ esk8845_4(X1,X2,X3,X4) )).

cnf(i_0_26127,axiom,
    ( ~ esk2521_4(X1,X2,X3,X4)
    | ~ esk2495_4(X1,X2,X3,X4) )).

cnf(i_0_26128,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6262_4(X1,X2,X3,X4) )).

cnf(i_0_26129,axiom,
    ( ~ esk4628_4(X1,X2,X3,X4)
    | esk4629_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_26130,axiom,
    ( ~ esk34_0
    | ~ p(X4)
    | p(X1)
    | esk7738_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2) )).

cnf(i_0_26131,axiom,
    ( esk5629_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26132,axiom,
    ( esk7847_4(X1,X2,X3,X4)
    | ~ esk7848_4(X1,X2,X3,X4)
    | esk7846_4(X1,X2,X3,X4) )).

cnf(i_0_26133,axiom,
    ( esk1769_4(X1,X2,X3,X4)
    | ~ esk1770_4(X1,X2,X3,X4) )).

cnf(i_0_26134,axiom,
    ( ~ esk5091_4(X1,X2,X3,X4)
    | esk5090_4(X1,X2,X3,X4) )).

cnf(i_0_26135,axiom,
    ( ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk1046_0
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_26136,axiom,
    ( esk3824_4(X1,X2,X3,X4)
    | esk3825_4(X1,X2,X3,X4)
    | ~ esk3826_4(X1,X2,X3,X4) )).

cnf(i_0_26137,axiom,
    ( esk4569_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4)
    | ~ esk4568_4(X1,X2,X3,X4) )).

cnf(i_0_26138,axiom,
    ( ~ esk9131_4(X1,X2,X3,X4)
    | esk9130_4(X1,X2,X3,X4) )).

cnf(i_0_26139,axiom,
    ( ~ p(X3)
    | ~ esk272_0
    | esk8138_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_26140,axiom,
    ( ~ esk3228_4(X1,X2,X3,X4)
    | esk3230_4(X1,X2,X3,X4) )).

cnf(i_0_26141,axiom,
    ( ~ esk9320_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_26142,axiom,
    ( ~ esk2257_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2258_4(X1,X2,X3,X4) )).

cnf(i_0_26143,axiom,
    ( ~ esk2942_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X2)
    | esk1298_0
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_26144,axiom,
    ( esk5836_4(X1,X2,X3,X4)
    | ~ esk5773_4(X1,X2,X3,X4)
    | ~ esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_26145,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk9404_4(X1,X2,X3,X4) )).

cnf(i_0_26146,axiom,
    ( esk3490_4(X1,X2,X3,X4)
    | ~ esk3845_4(X1,X2,X3,X4) )).

cnf(i_0_26147,axiom,
    ( ~ esk4559_4(X1,X2,X3,X4)
    | esk4560_4(X1,X2,X3,X4)
    | ~ esk4577_4(X1,X2,X3,X4) )).

cnf(i_0_26148,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2849_4(X1,X2,X3,X4) )).

cnf(i_0_26149,axiom,
    ( ~ esk3401_4(X1,X2,X3,X4)
    | esk3402_4(X1,X2,X3,X4) )).

cnf(i_0_26150,axiom,
    ( ~ p(X4)
    | p(X2)
    | ~ p(X1)
    | esk164_0
    | ~ p(X3)
    | ~ esk8044_4(X1,X2,X3,X4) )).

cnf(i_0_26151,axiom,
    ( ~ esk4596_4(X1,X2,X3,X4)
    | esk4595_4(X1,X2,X3,X4) )).

cnf(i_0_26152,axiom,
    ( ~ p(X2)
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk278_0
    | p(X1) )).

cnf(i_0_26153,axiom,
    ( ~ esk2210_4(X1,X2,X3,X4)
    | esk2092_4(X1,X2,X3,X4)
    | esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_26154,axiom,
    ( ~ esk9696_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_26155,axiom,
    ( ~ esk6190_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_26156,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2776_4(X1,X2,X3,X4) )).

cnf(i_0_26157,axiom,
    ( p(X4)
    | ~ esk2417_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk552_0
    | ~ p(X3) )).

cnf(i_0_26158,axiom,
    ( ~ esk3873_4(X1,X2,X3,X4)
    | esk3528_4(X1,X2,X3,X4) )).

cnf(i_0_26159,axiom,
    ( esk2178_4(X1,X2,X3,X4)
    | ~ esk2176_4(X1,X2,X3,X4) )).

cnf(i_0_26160,axiom,
    ( esk7647_4(X1,X2,X3,X4)
    | ~ esk7646_4(X1,X2,X3,X4)
    | esk5720_4(X1,X2,X3,X4) )).

cnf(i_0_26161,axiom,
    ( ~ esk9651_4(X1,X2,X3,X4)
    | esk9654_4(X1,X2,X3,X4)
    | ~ esk8736_4(X1,X2,X3,X4) )).

cnf(i_0_26162,axiom,
    ( ~ esk4677_4(X1,X2,X3,X4)
    | esk3452_4(X1,X2,X3,X4)
    | esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_26163,axiom,
    ( ~ esk818_0
    | p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | esk2789_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_26164,axiom,
    ( ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk2772_4(X1,X2,X3,X4) )).

cnf(i_0_26165,axiom,
    ( esk9374_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26166,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9542_4(X1,X2,X3,X4) )).

cnf(i_0_26167,axiom,
    ( esk9120_4(X1,X2,X3,X4)
    | ~ esk9117_4(X1,X2,X3,X4) )).

cnf(i_0_26168,axiom,
    ( esk9238_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | ~ esk1301_0
    | p(X3)
    | p(X4) )).

cnf(i_0_26169,axiom,
    ( esk7156_4(X1,X2,X3,X4)
    | ~ esk5582_4(X1,X2,X3,X4) )).

cnf(i_0_26170,axiom,
    ( ~ esk7539_4(X1,X2,X3,X4)
    | esk7536_4(X1,X2,X3,X4) )).

cnf(i_0_26171,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4035_4(X1,X2,X3,X4) )).

cnf(i_0_26172,axiom,
    ( ~ esk2908_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk1228_0 )).

cnf(i_0_26173,axiom,
    ( esk6363_4(X1,X2,X3,X4)
    | ~ esk6398_4(X1,X2,X3,X4) )).

cnf(i_0_26174,axiom,
    ( esk2813_4(X1,X2,X3,X4)
    | esk2577_4(X1,X2,X3,X4) )).

cnf(i_0_26175,axiom,
    ( p(X4)
    | ~ p(X3)
    | p(X2)
    | p(X1)
    | esk20_0
    | ~ esk7736_4(X1,X2,X3,X4) )).

cnf(i_0_26176,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk5138_4(X1,X2,X3,X4) )).

cnf(i_0_26177,axiom,
    ( p(X3)
    | esk2423_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk600_0 )).

cnf(i_0_26178,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7889_4(X1,X2,X3,X4) )).

cnf(i_0_26179,axiom,
    ( esk8604_4(X1,X2,X3,X4)
    | ~ esk8602_4(X1,X2,X3,X4) )).

cnf(i_0_26180,axiom,
    ( ~ esk4949_4(X1,X2,X3,X4)
    | esk4943_4(X1,X2,X3,X4) )).

cnf(i_0_26181,axiom,
    ( ~ esk6553_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26182,axiom,
    ( esk7633_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_26183,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk8391_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ esk463_0 )).

cnf(i_0_26184,axiom,
    ( ~ p(X1)
    | p(X4)
    | ~ esk8721_4(X1,X2,X3,X4)
    | esk617_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_26185,axiom,
    ( esk8488_4(X1,X2,X3,X4)
    | ~ esk8489_4(X1,X2,X3,X4) )).

cnf(i_0_26186,axiom,
    ( esk9715_4(X1,X2,X3,X4)
    | ~ esk9713_4(X1,X2,X3,X4) )).

cnf(i_0_26187,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8918_4(X1,X2,X3,X4) )).

cnf(i_0_26188,axiom,
    ( esk7137_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5737_4(X1,X2,X3,X4) )).

cnf(i_0_26189,axiom,
    ( esk5772_4(X1,X2,X3,X4)
    | esk5771_4(X1,X2,X3,X4)
    | ~ esk5773_4(X1,X2,X3,X4) )).

cnf(i_0_26190,axiom,
    ( ~ esk3045_4(X1,X2,X3,X4)
    | esk3046_4(X1,X2,X3,X4) )).

cnf(i_0_26191,axiom,
    ( esk3931_4(X1,X2,X3,X4)
    | ~ esk3929_4(X1,X2,X3,X4) )).

cnf(i_0_26192,axiom,
    ( ~ esk8982_4(X1,X2,X3,X4)
    | esk9104_4(X1,X2,X3,X4) )).

cnf(i_0_26193,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | esk120_0
    | ~ p(X4)
    | ~ esk1643_4(X1,X2,X3,X4) )).

cnf(i_0_26194,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk9095_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk902_0
    | ~ p(X2) )).

cnf(i_0_26195,axiom,
    ( esk8118_4(X1,X2,X3,X4)
    | ~ esk8270_4(X1,X2,X3,X4) )).

cnf(i_0_26196,axiom,
    ( esk2257_4(X1,X2,X3,X4)
    | ~ esk2258_4(X1,X2,X3,X4) )).

cnf(i_0_26197,axiom,
    ( ~ esk4634_4(X1,X2,X3,X4)
    | esk4086_4(X1,X2,X3,X4) )).

cnf(i_0_26198,axiom,
    ( p(X2)
    | p(X3)
    | esk10_0
    | p(X4)
    | ~ esk1438_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26199,axiom,
    ( ~ esk8963_4(X1,X2,X3,X4)
    | esk8962_4(X1,X2,X3,X4)
    | esk8961_4(X1,X2,X3,X4) )).

cnf(i_0_26200,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2138_4(X1,X2,X3,X4) )).

cnf(i_0_26201,axiom,
    ( ~ esk236_0
    | p(X2)
    | esk8054_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_26202,axiom,
    ( ~ esk1890_4(X1,X2,X3,X4)
    | esk2221_4(X1,X2,X3,X4) )).

cnf(i_0_26203,axiom,
    ( ~ esk1594_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_26204,axiom,
    ( esk5671_4(X1,X2,X3,X4)
    | ~ esk5870_4(X1,X2,X3,X4) )).

cnf(i_0_26205,axiom,
    ( ~ esk4378_4(X1,X2,X3,X4)
    | esk4522_4(X1,X2,X3,X4) )).

cnf(i_0_26206,axiom,
    ( p(X3)
    | ~ esk772_0
    | ~ p(X2)
    | ~ p(X4)
    | p(X1)
    | esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_26207,axiom,
    ( esk3617_4(X1,X2,X3,X4)
    | ~ esk3619_4(X1,X2,X3,X4)
    | esk3618_4(X1,X2,X3,X4)
    | esk3616_4(X1,X2,X3,X4) )).

cnf(i_0_26208,axiom,
    ( ~ esk5303_4(X1,X2,X3,X4)
    | esk5297_4(X1,X2,X3,X4) )).

cnf(i_0_26209,axiom,
    ( ~ esk7934_4(X1,X2,X3,X4)
    | esk7933_4(X1,X2,X3,X4) )).

cnf(i_0_26210,axiom,
    ( esk5745_4(X1,X2,X3,X4)
    | ~ esk5744_4(X1,X2,X3,X4) )).

cnf(i_0_26211,axiom,
    ( esk7232_4(X1,X2,X3,X4)
    | ~ esk7231_4(X1,X2,X3,X4) )).

cnf(i_0_26212,axiom,
    ( ~ esk9101_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | esk942_0
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_26213,axiom,
    ( ~ esk7191_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26214,axiom,
    ( p(X4)
    | p(X1)
    | esk563_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_26215,axiom,
    ( ~ esk6901_4(X1,X2,X3,X4)
    | ~ esk6722_4(X1,X2,X3,X4)
    | esk6902_4(X1,X2,X3,X4) )).

cnf(i_0_26216,axiom,
    ( ~ esk7887_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_26217,axiom,
    ( esk7239_4(X1,X2,X3,X4)
    | esk7238_4(X1,X2,X3,X4)
    | ~ esk7240_4(X1,X2,X3,X4) )).

cnf(i_0_26218,axiom,
    ( ~ esk2605_4(X1,X2,X3,X4)
    | esk2553_4(X1,X2,X3,X4) )).

cnf(i_0_26219,axiom,
    ( ~ esk1756_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk215_0
    | ~ p(X3)
    | p(X2)
    | p(X1) )).

cnf(i_0_26220,axiom,
    ( ~ esk5055_4(X1,X2,X3,X4)
    | ~ esk3671_4(X1,X2,X3,X4)
    | esk3672_4(X1,X2,X3,X4) )).

cnf(i_0_26221,axiom,
    ( ~ esk9475_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4)
    | esk9478_4(X1,X2,X3,X4) )).

cnf(i_0_26222,axiom,
    ( esk4168_4(X1,X2,X3,X4)
    | esk4169_4(X1,X2,X3,X4)
    | ~ esk4170_4(X1,X2,X3,X4) )).

cnf(i_0_26223,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6689_4(X1,X2,X3,X4) )).

cnf(i_0_26224,axiom,
    ( esk4319_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_26225,axiom,
    ( esk6450_4(X1,X2,X3,X4)
    | ~ esk5575_4(X1,X2,X3,X4) )).

cnf(i_0_26226,axiom,
    ( ~ esk837_0
    | p(X2)
    | ~ p(X1)
    | esk9087_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4) )).

cnf(i_0_26227,axiom,
    ( ~ p(X1)
    | ~ esk1051_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk9164_4(X1,X2,X3,X4) )).

cnf(i_0_26228,axiom,
    ( esk7054_4(X1,X2,X3,X4)
    | ~ esk7056_4(X1,X2,X3,X4)
    | esk7055_4(X1,X2,X3,X4) )).

cnf(i_0_26229,axiom,
    ( ~ esk1_0
    | esk9083_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_26230,axiom,
    ( ~ esk3327_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_26231,axiom,
    ( ~ esk5336_4(X1,X2,X3,X4)
    | esk5337_4(X1,X2,X3,X4) )).

cnf(i_0_26232,axiom,
    ( ~ esk2227_4(X1,X2,X3,X4)
    | esk2226_4(X1,X2,X3,X4) )).

cnf(i_0_26233,axiom,
    ( p(X3)
    | p(X4)
    | esk9103_4(X1,X2,X3,X4)
    | ~ esk956_0
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_26234,axiom,
    ( esk5265_4(X1,X2,X3,X4)
    | ~ esk5263_4(X1,X2,X3,X4) )).

cnf(i_0_26235,axiom,
    ( esk1868_4(X1,X2,X3,X4)
    | ~ esk1696_4(X1,X2,X3,X4) )).

cnf(i_0_26236,axiom,
    ( ~ esk7971_4(X1,X2,X3,X4)
    | esk7978_4(X1,X2,X3,X4) )).

cnf(i_0_26237,axiom,
    ( ~ esk8320_4(X1,X2,X3,X4)
    | esk8585_4(X1,X2,X3,X4) )).

cnf(i_0_26238,axiom,
    ( p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | esk1023_0
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_26239,axiom,
    ( ~ esk3180_4(X1,X2,X3,X4)
    | esk3182_4(X1,X2,X3,X4) )).

cnf(i_0_26240,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk5075_4(X1,X2,X3,X4) )).

cnf(i_0_26241,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk8474_4(X1,X2,X3,X4) )).

cnf(i_0_26242,axiom,
    ( esk9010_4(X1,X2,X3,X4)
    | esk9009_4(X1,X2,X3,X4)
    | ~ esk9011_4(X1,X2,X3,X4) )).

cnf(i_0_26243,axiom,
    ( esk4517_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_26244,axiom,
    ( ~ p(X3)
    | esk8729_4(X1,X2,X3,X4)
    | ~ esk666_0
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_26245,axiom,
    ( ~ esk7538_4(X1,X2,X3,X4)
    | esk6872_4(X1,X2,X3,X4) )).

cnf(i_0_26246,axiom,
    ( ~ esk2907_4(X1,X2,X3,X4)
    | esk5007_4(X1,X2,X3,X4) )).

cnf(i_0_26247,axiom,
    ( esk1746_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk139_0
    | p(X1)
    | p(X2)
    | p(X4) )).

cnf(i_0_26248,axiom,
    ( esk1422_4(X1,X2,X3,X4)
    | ~ esk2821_4(X1,X2,X3,X4) )).

cnf(i_0_26249,axiom,
    ( esk3522_4(X1,X2,X3,X4)
    | ~ esk4079_4(X1,X2,X3,X4) )).

cnf(i_0_26250,axiom,
    ( ~ esk4886_4(X1,X2,X3,X4)
    | ~ esk5393_4(X1,X2,X3,X4)
    | esk5396_4(X1,X2,X3,X4) )).

cnf(i_0_26251,axiom,
    ( esk9471_4(X1,X2,X3,X4)
    | ~ esk9474_4(X1,X2,X3,X4) )).

cnf(i_0_26252,axiom,
    ( esk5745_4(X1,X2,X3,X4)
    | ~ esk5743_4(X1,X2,X3,X4) )).

cnf(i_0_26253,axiom,
    ( ~ esk2726_4(X1,X2,X3,X4)
    | esk2727_4(X1,X2,X3,X4) )).

cnf(i_0_26254,axiom,
    ( ~ p(X1)
    | p(X2)
    | ~ esk8050_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | esk206_0 )).

cnf(i_0_26255,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk1210_0
    | p(X4)
    | p(X2)
    | ~ esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_26256,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9298_4(X1,X2,X3,X4) )).

cnf(i_0_26257,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk5252_4(X1,X2,X3,X4) )).

cnf(i_0_26258,axiom,
    ( esk1576_4(X1,X2,X3,X4)
    | ~ esk1577_4(X1,X2,X3,X4) )).

cnf(i_0_26259,axiom,
    ( esk3778_4(X1,X2,X3,X4)
    | ~ esk4635_4(X1,X2,X3,X4) )).

cnf(i_0_26260,axiom,
    ( esk9287_4(X1,X2,X3,X4)
    | ~ esk8690_4(X1,X2,X3,X4) )).

cnf(i_0_26261,axiom,
    ( p(X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk300_0
    | ~ p(X1)
    | esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_26262,axiom,
    ( ~ esk2218_4(X1,X2,X3,X4)
    | esk2219_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_26263,axiom,
    ( ~ esk5288_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_26264,axiom,
    ( ~ p(X1)
    | esk8046_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk182_0
    | p(X4) )).

cnf(i_0_26265,axiom,
    ( ~ esk6181_4(X1,X2,X3,X4)
    | esk6072_4(X1,X2,X3,X4)
    | esk5621_4(X1,X2,X3,X4) )).

cnf(i_0_26266,axiom,
    ( ~ esk1577_4(X1,X2,X3,X4)
    | esk1579_4(X1,X2,X3,X4) )).

cnf(i_0_26267,axiom,
    ( ~ esk4497_4(X1,X2,X3,X4)
    | esk4262_4(X1,X2,X3,X4) )).

cnf(i_0_26268,axiom,
    ( ~ esk6755_4(X1,X2,X3,X4)
    | esk5562_4(X1,X2,X3,X4) )).

cnf(i_0_26269,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | esk2453_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk750_0 )).

cnf(i_0_26270,axiom,
    ( ~ esk4715_4(X1,X2,X3,X4)
    | esk4717_4(X1,X2,X3,X4) )).

cnf(i_0_26271,axiom,
    ( ~ esk2076_4(X1,X2,X3,X4)
    | esk2077_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_26272,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8062_4(X1,X2,X3,X4)
    | esk8063_4(X1,X2,X3,X4) )).

cnf(i_0_26273,axiom,
    ( ~ esk4942_4(X1,X2,X3,X4)
    | esk4935_4(X1,X2,X3,X4) )).

cnf(i_0_26274,axiom,
    ( ~ esk4209_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_26275,axiom,
    ( ~ esk5791_4(X1,X2,X3,X4)
    | esk5790_4(X1,X2,X3,X4) )).

cnf(i_0_26276,axiom,
    ( ~ esk4302_4(X1,X2,X3,X4)
    | ~ esk4303_4(X1,X2,X3,X4)
    | ~ esk4264_4(X1,X2,X3,X4) )).

cnf(i_0_26277,axiom,
    ( ~ esk5965_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26278,axiom,
    ( esk5841_4(X1,X2,X3,X4)
    | ~ esk3741_4(X1,X2,X3,X4) )).

cnf(i_0_26279,axiom,
    ( esk1868_4(X1,X2,X3,X4)
    | ~ esk2319_4(X1,X2,X3,X4) )).

cnf(i_0_26280,axiom,
    ( ~ esk5747_4(X1,X2,X3,X4)
    | esk5749_4(X1,X2,X3,X4) )).

cnf(i_0_26281,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk2365_4(X1,X2,X3,X4) )).

cnf(i_0_26282,axiom,
    ( esk2763_4(X1,X2,X3,X4)
    | ~ esk2761_4(X1,X2,X3,X4) )).

cnf(i_0_26283,axiom,
    ( esk1748_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk167_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_26284,axiom,
    ( ~ esk8317_4(X1,X2,X3,X4)
    | esk8315_4(X1,X2,X3,X4) )).

cnf(i_0_26285,axiom,
    ( esk6496_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6462_4(X1,X2,X3,X4) )).

cnf(i_0_26286,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ p(X2)
    | esk1641_4(X1,X2,X3,X4)
    | ~ esk104_0
    | p(X4) )).

cnf(i_0_26287,axiom,
    ( esk1365_4(X1,X2,X3,X4)
    | ~ esk1646_4(X1,X2,X3,X4) )).

cnf(i_0_26288,axiom,
    ( esk7432_4(X1,X2,X3,X4)
    | ~ esk7435_4(X1,X2,X3,X4) )).

cnf(i_0_26289,axiom,
    ( p(X2)
    | ~ p(X3)
    | ~ esk965_0
    | p(X1)
    | esk9105_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_26290,axiom,
    ( ~ esk7294_4(X1,X2,X3,X4)
    | esk7293_4(X1,X2,X3,X4) )).

cnf(i_0_26291,axiom,
    ( ~ esk8160_4(X1,X2,X3,X4)
    | ~ esk8229_4(X1,X2,X3,X4)
    | esk8230_4(X1,X2,X3,X4) )).

cnf(i_0_26292,axiom,
    ( esk1554_4(X1,X2,X3,X4)
    | ~ esk1555_4(X1,X2,X3,X4)
    | esk1553_4(X1,X2,X3,X4) )).

cnf(i_0_26293,axiom,
    ( ~ esk8587_4(X1,X2,X3,X4)
    | esk8787_4(X1,X2,X3,X4) )).

cnf(i_0_26294,axiom,
    ( ~ esk9720_4(X1,X2,X3,X4)
    | ~ esk8160_4(X1,X2,X3,X4)
    | esk9721_4(X1,X2,X3,X4) )).

cnf(i_0_26295,axiom,
    ( ~ esk9633_4(X1,X2,X3,X4)
    | esk9632_4(X1,X2,X3,X4) )).

cnf(i_0_26296,axiom,
    ( esk3546_4(X1,X2,X3,X4)
    | ~ esk3467_4(X1,X2,X3,X4) )).

cnf(i_0_26297,axiom,
    ( ~ esk4087_4(X1,X2,X3,X4)
    | esk4090_4(X1,X2,X3,X4) )).

cnf(i_0_26298,axiom,
    ( esk5257_4(X1,X2,X3,X4)
    | ~ esk5255_4(X1,X2,X3,X4) )).

cnf(i_0_26299,axiom,
    ( ~ esk7273_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26300,axiom,
    ( esk2874_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1091_0
    | p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_26301,axiom,
    ( esk9573_4(X1,X2,X3,X4)
    | ~ esk8722_4(X1,X2,X3,X4) )).

cnf(i_0_26302,axiom,
    ( esk5821_4(X1,X2,X3,X4)
    | ~ esk7119_4(X1,X2,X3,X4) )).

cnf(i_0_26303,axiom,
    ( ~ esk9679_4(X1,X2,X3,X4)
    | esk9678_4(X1,X2,X3,X4)
    | esk9677_4(X1,X2,X3,X4) )).

cnf(i_0_26304,axiom,
    ( esk5173_4(X1,X2,X3,X4)
    | ~ esk5172_4(X1,X2,X3,X4) )).

cnf(i_0_26305,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk386_0
    | p(X2)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_26306,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | esk1003_0
    | ~ esk2813_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_26307,axiom,
    ( esk1836_4(X1,X2,X3,X4)
    | ~ esk1839_4(X1,X2,X3,X4) )).

cnf(i_0_26308,axiom,
    ( esk195_0
    | ~ p(X2)
    | ~ esk1752_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_26309,axiom,
    ( esk8579_4(X1,X2,X3,X4)
    | esk8613_4(X1,X2,X3,X4)
    | ~ esk8614_4(X1,X2,X3,X4) )).

cnf(i_0_26310,axiom,
    ( ~ esk4051_4(X1,X2,X3,X4)
    | esk4348_4(X1,X2,X3,X4)
    | esk4157_4(X1,X2,X3,X4) )).

cnf(i_0_26311,axiom,
    ( ~ p(X3)
    | ~ esk9103_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk958_0 )).

cnf(i_0_26312,axiom,
    ( esk8592_4(X1,X2,X3,X4)
    | ~ esk9301_4(X1,X2,X3,X4) )).

cnf(i_0_26313,axiom,
    ( ~ esk4108_4(X1,X2,X3,X4)
    | esk4106_4(X1,X2,X3,X4)
    | esk4107_4(X1,X2,X3,X4) )).

cnf(i_0_26314,axiom,
    ( ~ p(X1)
    | esk720_0
    | ~ p(X2)
    | p(X4)
    | ~ esk8735_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_26315,axiom,
    ( esk5041_4(X1,X2,X3,X4)
    | ~ esk3728_4(X1,X2,X3,X4) )).

cnf(i_0_26316,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | ~ esk9714_4(X1,X2,X3,X4) )).

cnf(i_0_26317,axiom,
    ( ~ esk6291_4(X1,X2,X3,X4)
    | esk6855_4(X1,X2,X3,X4)
    | ~ esk6076_4(X1,X2,X3,X4) )).

cnf(i_0_26318,axiom,
    ( esk5905_4(X1,X2,X3,X4)
    | ~ esk5856_4(X1,X2,X3,X4) )).

cnf(i_0_26319,axiom,
    ( ~ esk8079_4(X1,X2,X3,X4)
    | esk8078_4(X1,X2,X3,X4) )).

cnf(i_0_26320,axiom,
    ( esk4525_4(X1,X2,X3,X4)
    | ~ esk6625_4(X1,X2,X3,X4) )).

cnf(i_0_26321,axiom,
    ( ~ esk2161_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_26322,axiom,
    ( ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6385_4(X1,X2,X3,X4) )).

cnf(i_0_26323,axiom,
    ( esk3638_4(X1,X2,X3,X4)
    | ~ esk3637_4(X1,X2,X3,X4) )).

cnf(i_0_26324,axiom,
    ( ~ esk9482_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26325,axiom,
    ( esk2464_4(X1,X2,X3,X4)
    | ~ esk2911_4(X1,X2,X3,X4) )).

cnf(i_0_26326,axiom,
    ( p(X3)
    | ~ esk2451_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk735_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_26327,axiom,
    ( esk8995_4(X1,X2,X3,X4)
    | ~ esk8993_4(X1,X2,X3,X4) )).

cnf(i_0_26328,axiom,
    ( ~ esk5728_4(X1,X2,X3,X4)
    | esk5558_4(X1,X2,X3,X4) )).

cnf(i_0_26329,axiom,
    ( ~ esk5546_4(X1,X2,X3,X4)
    | esk5015_4(X1,X2,X3,X4) )).

cnf(i_0_26330,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk6455_4(X1,X2,X3,X4) )).

cnf(i_0_26331,axiom,
    ( ~ esk2295_4(X1,X2,X3,X4)
    | ~ esk1431_4(X1,X2,X3,X4)
    | esk1432_4(X1,X2,X3,X4) )).

cnf(i_0_26332,axiom,
    ( esk5168_4(X1,X2,X3,X4)
    | ~ esk5169_4(X1,X2,X3,X4)
    | esk5167_4(X1,X2,X3,X4) )).

cnf(i_0_26333,axiom,
    ( ~ esk7479_4(X1,X2,X3,X4)
    | ~ esk6751_4(X1,X2,X3,X4)
    | esk6803_4(X1,X2,X3,X4) )).

cnf(i_0_26334,axiom,
    ( esk2124_4(X1,X2,X3,X4)
    | ~ esk2090_4(X1,X2,X3,X4)
    | ~ esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_26335,axiom,
    ( esk1612_4(X1,X2,X3,X4)
    | ~ esk1613_4(X1,X2,X3,X4) )).

cnf(i_0_26336,axiom,
    ( esk1614_4(X1,X2,X3,X4)
    | esk1613_4(X1,X2,X3,X4)
    | ~ esk1615_4(X1,X2,X3,X4) )).

cnf(i_0_26337,axiom,
    ( esk5833_4(X1,X2,X3,X4)
    | ~ esk5831_4(X1,X2,X3,X4) )).

cnf(i_0_26338,axiom,
    ( ~ esk7955_4(X1,X2,X3,X4)
    | esk7954_4(X1,X2,X3,X4) )).

cnf(i_0_26339,axiom,
    ( ~ esk167_0
    | esk8044_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_26340,axiom,
    ( ~ esk3541_4(X1,X2,X3,X4)
    | esk3503_4(X1,X2,X3,X4) )).

cnf(i_0_26341,axiom,
    ( ~ esk9426_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26342,axiom,
    ( ~ esk5208_4(X1,X2,X3,X4)
    | esk5205_4(X1,X2,X3,X4) )).

cnf(i_0_26343,axiom,
    ( esk6673_4(X1,X2,X3,X4)
    | ~ esk6674_4(X1,X2,X3,X4) )).

cnf(i_0_26344,axiom,
    ( ~ p(X3)
    | esk2799_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk889_0 )).

cnf(i_0_26345,axiom,
    ( ~ esk5776_4(X1,X2,X3,X4)
    | esk5684_4(X1,X2,X3,X4) )).

cnf(i_0_26346,axiom,
    ( ~ esk7746_4(X1,X2,X3,X4)
    | esk7745_4(X1,X2,X3,X4) )).

cnf(i_0_26347,axiom,
    ( esk2551_4(X1,X2,X3,X4)
    | ~ esk2597_4(X1,X2,X3,X4) )).

cnf(i_0_26348,axiom,
    ( ~ esk9324_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk9325_4(X1,X2,X3,X4) )).

cnf(i_0_26349,axiom,
    ( esk4718_4(X1,X2,X3,X4)
    | ~ esk4719_4(X1,X2,X3,X4) )).

cnf(i_0_26350,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk7758_4(X1,X2,X3,X4) )).

cnf(i_0_26351,axiom,
    ( ~ esk6493_4(X1,X2,X3,X4)
    | ~ esk7217_4(X1,X2,X3,X4)
    | esk7218_4(X1,X2,X3,X4) )).

cnf(i_0_26352,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4278_4(X1,X2,X3,X4) )).

cnf(i_0_26353,axiom,
    ( esk4299_4(X1,X2,X3,X4)
    | esk4300_4(X1,X2,X3,X4)
    | esk4298_4(X1,X2,X3,X4)
    | ~ esk4301_4(X1,X2,X3,X4) )).

cnf(i_0_26354,axiom,
    ( ~ esk5227_4(X1,X2,X3,X4)
    | esk5229_4(X1,X2,X3,X4) )).

cnf(i_0_26355,axiom,
    ( ~ esk3537_4(X1,X2,X3,X4)
    | ~ esk4595_4(X1,X2,X3,X4)
    | esk4596_4(X1,X2,X3,X4) )).

cnf(i_0_26356,axiom,
    ( esk6254_4(X1,X2,X3,X4)
    | ~ esk6253_4(X1,X2,X3,X4)
    | esk6083_4(X1,X2,X3,X4) )).

cnf(i_0_26357,axiom,
    ( ~ p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X1)
    | esk695_0 )).

cnf(i_0_26358,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4460_4(X1,X2,X3,X4) )).

cnf(i_0_26359,axiom,
    ( ~ esk4371_4(X1,X2,X3,X4)
    | esk4370_4(X1,X2,X3,X4)
    | esk4369_4(X1,X2,X3,X4) )).

cnf(i_0_26360,axiom,
    ( esk6514_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | esk6619_4(X1,X2,X3,X4) )).

cnf(i_0_26361,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk3902_4(X1,X2,X3,X4) )).

cnf(i_0_26362,axiom,
    ( esk7196_4(X1,X2,X3,X4)
    | ~ esk7194_4(X1,X2,X3,X4) )).

cnf(i_0_26363,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3900_4(X1,X2,X3,X4) )).

cnf(i_0_26364,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk9358_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26365,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8629_4(X1,X2,X3,X4) )).

cnf(i_0_26366,axiom,
    ( esk2801_4(X1,X2,X3,X4)
    | ~ esk1445_4(X1,X2,X3,X4) )).

cnf(i_0_26367,axiom,
    ( esk8728_4(X1,X2,X3,X4)
    | ~ esk8421_4(X1,X2,X3,X4) )).

cnf(i_0_26368,axiom,
    ( esk2791_4(X1,X2,X3,X4)
    | ~ esk3301_4(X1,X2,X3,X4)
    | esk2558_4(X1,X2,X3,X4) )).

cnf(i_0_26369,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk544_0
    | p(X2)
    | esk2417_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_26370,axiom,
    ( esk8402_4(X1,X2,X3,X4)
    | ~ esk8477_4(X1,X2,X3,X4) )).

cnf(i_0_26371,axiom,
    ( esk3452_4(X1,X2,X3,X4)
    | ~ esk3821_4(X1,X2,X3,X4) )).

cnf(i_0_26372,axiom,
    ( ~ esk8658_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26373,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8289_4(X1,X2,X3,X4)
    | ~ esk8290_4(X1,X2,X3,X4) )).

cnf(i_0_26374,axiom,
    ( ~ esk1968_4(X1,X2,X3,X4)
    | esk1967_4(X1,X2,X3,X4) )).

cnf(i_0_26375,axiom,
    ( esk3067_4(X1,X2,X3,X4)
    | ~ esk3068_4(X1,X2,X3,X4) )).

cnf(i_0_26376,axiom,
    ( esk2759_4(X1,X2,X3,X4)
    | ~ esk2757_4(X1,X2,X3,X4) )).

cnf(i_0_26377,axiom,
    ( esk4992_4(X1,X2,X3,X4)
    | ~ esk3702_4(X1,X2,X3,X4) )).

cnf(i_0_26378,axiom,
    ( esk5778_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_26379,axiom,
    ( ~ esk3769_4(X1,X2,X3,X4)
    | esk3642_4(X1,X2,X3,X4) )).

cnf(i_0_26380,axiom,
    ( ~ esk7693_4(X1,X2,X3,X4)
    | esk9173_4(X1,X2,X3,X4) )).

cnf(i_0_26381,axiom,
    ( esk2872_4(X1,X2,X3,X4)
    | ~ esk1399_4(X1,X2,X3,X4) )).

cnf(i_0_26382,axiom,
    ( ~ esk1340_0
    | p(X4)
    | p(X1)
    | esk9254_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_26383,axiom,
    ( esk2718_4(X1,X2,X3,X4)
    | ~ esk2716_4(X1,X2,X3,X4) )).

cnf(i_0_26384,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | esk5502_4(X1,X2,X3,X4) )).

cnf(i_0_26385,axiom,
    ( ~ esk3823_4(X1,X2,X3,X4)
    | esk3824_4(X1,X2,X3,X4)
    | ~ esk3783_4(X1,X2,X3,X4) )).

cnf(i_0_26386,axiom,
    ( esk3820_4(X1,X2,X3,X4)
    | esk3821_4(X1,X2,X3,X4)
    | ~ esk3822_4(X1,X2,X3,X4) )).

cnf(i_0_26387,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5410_4(X1,X2,X3,X4) )).

cnf(i_0_26388,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk1995_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | esk380_0 )).

cnf(i_0_26389,axiom,
    ( esk8792_4(X1,X2,X3,X4)
    | esk8468_4(X1,X2,X3,X4) )).

cnf(i_0_26390,axiom,
    ( ~ esk6846_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26391,axiom,
    ( esk210_0
    | p(X3)
    | p(X4)
    | ~ esk8050_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_26392,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk9214_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ esk1260_0 )).

cnf(i_0_26393,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | esk6173_4(X1,X2,X3,X4) )).

cnf(i_0_26394,axiom,
    ( ~ p(X1)
    | esk521_0
    | ~ esk8585_4(X1,X2,X3,X4)
    | p(X3)
    | p(X2)
    | p(X4) )).

cnf(i_0_26395,axiom,
    ( esk1029_0
    | ~ p(X3)
    | p(X4)
    | ~ esk9150_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_26396,axiom,
    ( ~ esk1597_4(X1,X2,X3,X4)
    | esk1596_4(X1,X2,X3,X4) )).

cnf(i_0_26397,axiom,
    ( ~ esk2967_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_26398,axiom,
    ( esk9561_4(X1,X2,X3,X4)
    | ~ esk9563_4(X1,X2,X3,X4)
    | esk9562_4(X1,X2,X3,X4) )).

cnf(i_0_26399,axiom,
    ( ~ esk2815_4(X1,X2,X3,X4)
    | esk3431_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_26400,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk7721_4(X1,X2,X3,X4)
    | esk9386_4(X1,X2,X3,X4) )).

cnf(i_0_26401,axiom,
    ( ~ esk410_0
    | p(X2)
    | esk2058_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_26402,axiom,
    ( esk8013_4(X1,X2,X3,X4)
    | ~ esk8014_4(X1,X2,X3,X4) )).

cnf(i_0_26403,axiom,
    ( ~ esk1474_4(X1,X2,X3,X4)
    | ~ esk2953_4(X1,X2,X3,X4)
    | esk1546_4(X1,X2,X3,X4) )).

cnf(i_0_26404,axiom,
    ( ~ esk4648_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4)
    | esk4804_4(X1,X2,X3,X4) )).

cnf(i_0_26405,axiom,
    ( esk2932_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk1278_0
    | p(X2) )).

cnf(i_0_26406,axiom,
    ( ~ esk2890_4(X1,X2,X3,X4)
    | esk1177_0
    | p(X3)
    | ~ p(X2)
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_26407,axiom,
    ( ~ esk4716_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_26408,axiom,
    ( ~ esk75_0
    | p(X3)
    | esk1478_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_26409,axiom,
    ( ~ esk5409_4(X1,X2,X3,X4)
    | ~ esk4839_4(X1,X2,X3,X4)
    | esk4840_4(X1,X2,X3,X4) )).

cnf(i_0_26410,axiom,
    ( ~ esk4438_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4)
    | esk4439_4(X1,X2,X3,X4) )).

cnf(i_0_26411,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk8013_4(X1,X2,X3,X4) )).

cnf(i_0_26412,axiom,
    ( ~ esk8339_4(X1,X2,X3,X4)
    | esk8338_4(X1,X2,X3,X4) )).

cnf(i_0_26413,axiom,
    ( esk1866_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk1695_4(X1,X2,X3,X4) )).

cnf(i_0_26414,axiom,
    ( p(X3)
    | ~ p(X1)
    | ~ esk805_0
    | p(X2)
    | p(X4)
    | esk2787_4(X1,X2,X3,X4) )).

cnf(i_0_26415,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4)
    | esk9088_4(X1,X2,X3,X4)
    | esk8766_4(X1,X2,X3,X4) )).

cnf(i_0_26416,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | esk9087_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk835_0 )).

cnf(i_0_26417,axiom,
    ( ~ esk6708_4(X1,X2,X3,X4)
    | esk6769_4(X1,X2,X3,X4) )).

cnf(i_0_26418,axiom,
    ( ~ esk8864_4(X1,X2,X3,X4)
    | esk8865_4(X1,X2,X3,X4)
    | ~ esk8834_4(X1,X2,X3,X4) )).

cnf(i_0_26419,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | ~ esk7952_4(X1,X2,X3,X4) )).

cnf(i_0_26420,axiom,
    ( ~ esk3587_4(X1,X2,X3,X4)
    | esk3586_4(X1,X2,X3,X4) )).

cnf(i_0_26421,axiom,
    ( ~ esk9096_4(X1,X2,X3,X4)
    | esk8849_4(X1,X2,X3,X4) )).

cnf(i_0_26422,axiom,
    ( ~ esk8780_4(X1,X2,X3,X4)
    | esk8321_4(X1,X2,X3,X4) )).

cnf(i_0_26423,axiom,
    ( esk7596_4(X1,X2,X3,X4)
    | ~ esk7594_4(X1,X2,X3,X4) )).

cnf(i_0_26424,axiom,
    ( esk1424_4(X1,X2,X3,X4)
    | ~ esk2016_4(X1,X2,X3,X4) )).

cnf(i_0_26425,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | esk4642_4(X1,X2,X3,X4)
    | ~ esk4641_4(X1,X2,X3,X4) )).

cnf(i_0_26426,axiom,
    ( esk6093_4(X1,X2,X3,X4)
    | ~ esk6094_4(X1,X2,X3,X4)
    | esk6092_4(X1,X2,X3,X4) )).

cnf(i_0_26427,axiom,
    ( esk7090_4(X1,X2,X3,X4)
    | ~ esk5903_4(X1,X2,X3,X4) )).

cnf(i_0_26428,axiom,
    ( esk6589_4(X1,X2,X3,X4)
    | ~ esk6622_4(X1,X2,X3,X4) )).

cnf(i_0_26429,axiom,
    ( esk6761_4(X1,X2,X3,X4)
    | ~ esk6762_4(X1,X2,X3,X4) )).

cnf(i_0_26430,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | esk2939_4(X1,X2,X3,X4)
    | ~ esk1539_4(X1,X2,X3,X4) )).

cnf(i_0_26431,axiom,
    ( ~ esk9672_4(X1,X2,X3,X4)
    | esk9673_4(X1,X2,X3,X4)
    | ~ esk9086_4(X1,X2,X3,X4) )).

cnf(i_0_26432,axiom,
    ( ~ esk6728_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_26433,axiom,
    ( esk5533_4(X1,X2,X3,X4)
    | ~ esk5530_4(X1,X2,X3,X4) )).

cnf(i_0_26434,axiom,
    ( esk6799_4(X1,X2,X3,X4)
    | ~ esk6800_4(X1,X2,X3,X4)
    | esk6798_4(X1,X2,X3,X4) )).

cnf(i_0_26435,axiom,
    ( ~ esk9454_4(X1,X2,X3,X4)
    | esk9455_4(X1,X2,X3,X4) )).

cnf(i_0_26436,axiom,
    ( ~ esk8173_4(X1,X2,X3,X4)
    | esk8759_4(X1,X2,X3,X4)
    | ~ esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_26437,axiom,
    ( ~ esk4528_4(X1,X2,X3,X4)
    | esk4265_4(X1,X2,X3,X4) )).

cnf(i_0_26438,axiom,
    ( esk7992_4(X1,X2,X3,X4)
    | ~ esk7990_4(X1,X2,X3,X4) )).

cnf(i_0_26439,axiom,
    ( ~ esk242_0
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2)
    | esk1758_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26440,axiom,
    ( esk4908_4(X1,X2,X3,X4)
    | ~ esk4752_4(X1,X2,X3,X4) )).

cnf(i_0_26441,axiom,
    ( ~ esk9489_4(X1,X2,X3,X4)
    | esk9483_4(X1,X2,X3,X4) )).

cnf(i_0_26442,axiom,
    ( ~ esk1920_4(X1,X2,X3,X4)
    | ~ esk2566_4(X1,X2,X3,X4)
    | esk1921_4(X1,X2,X3,X4) )).

cnf(i_0_26443,axiom,
    ( ~ esk4974_4(X1,X2,X3,X4)
    | esk4983_4(X1,X2,X3,X4) )).

cnf(i_0_26444,axiom,
    ( esk3390_4(X1,X2,X3,X4)
    | ~ esk3389_4(X1,X2,X3,X4) )).

cnf(i_0_26445,axiom,
    ( esk4960_4(X1,X2,X3,X4)
    | ~ esk4961_4(X1,X2,X3,X4)
    | esk4958_4(X1,X2,X3,X4)
    | esk4959_4(X1,X2,X3,X4) )).

cnf(i_0_26446,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9047_4(X1,X2,X3,X4) )).

cnf(i_0_26447,axiom,
    ( esk3605_4(X1,X2,X3,X4)
    | ~ esk3697_4(X1,X2,X3,X4) )).

cnf(i_0_26448,axiom,
    ( ~ p(X4)
    | ~ esk815_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | esk2789_4(X1,X2,X3,X4) )).

cnf(i_0_26449,axiom,
    ( esk8651_4(X1,X2,X3,X4)
    | ~ esk9349_4(X1,X2,X3,X4) )).

cnf(i_0_26450,axiom,
    ( esk7124_4(X1,X2,X3,X4)
    | ~ esk7122_4(X1,X2,X3,X4) )).

cnf(i_0_26451,axiom,
    ( ~ esk7052_4(X1,X2,X3,X4)
    | esk7024_4(X1,X2,X3,X4) )).

cnf(i_0_26452,axiom,
    ( ~ esk3541_4(X1,X2,X3,X4)
    | esk1441_4(X1,X2,X3,X4) )).

cnf(i_0_26453,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9362_4(X1,X2,X3,X4) )).

cnf(i_0_26454,axiom,
    ( p(X4)
    | ~ esk270_0
    | p(X3)
    | ~ p(X2)
    | esk8138_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26455,axiom,
    ( ~ esk7876_4(X1,X2,X3,X4)
    | esk7874_4(X1,X2,X3,X4)
    | esk7875_4(X1,X2,X3,X4) )).

cnf(i_0_26456,axiom,
    ( ~ p(X1)
    | p(X3)
    | esk616_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk8721_4(X1,X2,X3,X4) )).

cnf(i_0_26457,axiom,
    ( esk3888_4(X1,X2,X3,X4)
    | ~ esk3889_4(X1,X2,X3,X4) )).

cnf(i_0_26458,axiom,
    ( esk110_0
    | ~ esk1643_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | p(X2) )).

cnf(i_0_26459,axiom,
    ( esk4444_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_26460,axiom,
    ( ~ esk3984_4(X1,X2,X3,X4)
    | esk4154_4(X1,X2,X3,X4)
    | esk4155_4(X1,X2,X3,X4) )).

cnf(i_0_26461,axiom,
    ( esk9698_4(X1,X2,X3,X4)
    | ~ esk8939_4(X1,X2,X3,X4)
    | ~ esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_26462,axiom,
    ( esk2440_4(X1,X2,X3,X4)
    | ~ esk2443_4(X1,X2,X3,X4)
    | esk2441_4(X1,X2,X3,X4)
    | esk2442_4(X1,X2,X3,X4) )).

cnf(i_0_26463,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk9111_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | ~ esk1019_0 )).

cnf(i_0_26464,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk268_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk1842_4(X1,X2,X3,X4) )).

cnf(i_0_26465,axiom,
    ( esk4754_4(X1,X2,X3,X4)
    | esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_26466,axiom,
    ( ~ esk3564_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_26467,axiom,
    ( esk3733_4(X1,X2,X3,X4)
    | esk3732_4(X1,X2,X3,X4)
    | ~ esk3734_4(X1,X2,X3,X4) )).

cnf(i_0_26468,axiom,
    ( ~ esk9071_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_26469,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7511_4(X1,X2,X3,X4) )).

cnf(i_0_26470,axiom,
    ( ~ esk5647_4(X1,X2,X3,X4)
    | esk7100_4(X1,X2,X3,X4) )).

cnf(i_0_26471,axiom,
    ( esk4550_4(X1,X2,X3,X4)
    | esk5546_4(X1,X2,X3,X4)
    | ~ esk3908_4(X1,X2,X3,X4) )).

cnf(i_0_26472,axiom,
    ( ~ esk3684_4(X1,X2,X3,X4)
    | esk4979_4(X1,X2,X3,X4) )).

cnf(i_0_26473,axiom,
    ( esk1777_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_26474,axiom,
    ( esk3090_4(X1,X2,X3,X4)
    | ~ esk3088_4(X1,X2,X3,X4) )).

cnf(i_0_26475,axiom,
    ( esk9096_4(X1,X2,X3,X4)
    | ~ esk6996_4(X1,X2,X3,X4) )).

cnf(i_0_26476,axiom,
    ( esk8912_4(X1,X2,X3,X4)
    | ~ esk8913_4(X1,X2,X3,X4) )).

cnf(i_0_26477,axiom,
    ( esk5875_4(X1,X2,X3,X4)
    | ~ esk5876_4(X1,X2,X3,X4) )).

cnf(i_0_26478,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | esk4590_4(X1,X2,X3,X4) )).

cnf(i_0_26479,axiom,
    ( ~ esk8877_4(X1,X2,X3,X4)
    | esk8876_4(X1,X2,X3,X4) )).

cnf(i_0_26480,axiom,
    ( esk2040_4(X1,X2,X3,X4)
    | ~ esk2039_4(X1,X2,X3,X4) )).

cnf(i_0_26481,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1564_4(X1,X2,X3,X4) )).

cnf(i_0_26482,axiom,
    ( ~ esk4192_4(X1,X2,X3,X4)
    | esk4668_4(X1,X2,X3,X4)
    | ~ esk3977_4(X1,X2,X3,X4) )).

cnf(i_0_26483,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4)
    | esk5969_4(X1,X2,X3,X4) )).

cnf(i_0_26484,axiom,
    ( ~ esk5884_4(X1,X2,X3,X4)
    | esk6709_4(X1,X2,X3,X4)
    | ~ esk6775_4(X1,X2,X3,X4) )).

cnf(i_0_26485,axiom,
    ( esk5421_4(X1,X2,X3,X4)
    | ~ esk5424_4(X1,X2,X3,X4) )).

cnf(i_0_26486,axiom,
    ( ~ esk2429_4(X1,X2,X3,X4)
    | esk645_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_26487,axiom,
    ( ~ esk4601_4(X1,X2,X3,X4)
    | esk4600_4(X1,X2,X3,X4) )).

cnf(i_0_26488,axiom,
    ( esk6107_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6617_4(X1,X2,X3,X4) )).

cnf(i_0_26489,axiom,
    ( esk1804_4(X1,X2,X3,X4)
    | ~ esk1816_4(X1,X2,X3,X4) )).

cnf(i_0_26490,axiom,
    ( ~ esk8061_4(X1,X2,X3,X4)
    | ~ esk7749_4(X1,X2,X3,X4)
    | esk9202_4(X1,X2,X3,X4) )).

cnf(i_0_26491,axiom,
    ( esk4733_4(X1,X2,X3,X4)
    | ~ esk5484_4(X1,X2,X3,X4) )).

cnf(i_0_26492,axiom,
    ( ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X4)
    | esk765_0
    | p(X3)
    | ~ p(X2) )).

cnf(i_0_26493,axiom,
    ( ~ esk7238_4(X1,X2,X3,X4)
    | esk7237_4(X1,X2,X3,X4) )).

cnf(i_0_26494,axiom,
    ( ~ esk3197_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_26495,axiom,
    ( esk3294_4(X1,X2,X3,X4)
    | ~ esk3296_4(X1,X2,X3,X4) )).

cnf(i_0_26496,axiom,
    ( esk4145_4(X1,X2,X3,X4)
    | ~ esk4147_4(X1,X2,X3,X4)
    | esk4144_4(X1,X2,X3,X4)
    | esk4146_4(X1,X2,X3,X4) )).

cnf(i_0_26497,axiom,
    ( ~ esk9106_4(X1,X2,X3,X4)
    | ~ esk8426_4(X1,X2,X3,X4) )).

cnf(i_0_26498,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | ~ esk1724_4(X1,X2,X3,X4) )).

cnf(i_0_26499,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | p(X2)
    | ~ esk858_0
    | esk9091_4(X1,X2,X3,X4) )).

cnf(i_0_26500,axiom,
    ( esk6524_4(X1,X2,X3,X4)
    | ~ esk6429_4(X1,X2,X3,X4) )).

cnf(i_0_26501,axiom,
    ( ~ esk2357_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26502,axiom,
    ( p(X3)
    | p(X4)
    | esk8725_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk645_0 )).

cnf(i_0_26503,axiom,
    ( ~ esk5873_4(X1,X2,X3,X4)
    | esk5887_4(X1,X2,X3,X4) )).

cnf(i_0_26504,axiom,
    ( p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1754_4(X1,X2,X3,X4)
    | esk207_0
    | ~ p(X1) )).

cnf(i_0_26505,axiom,
    ( esk323_0
    | p(X1)
    | ~ p(X3)
    | ~ esk1952_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_26506,axiom,
    ( ~ p(X1)
    | esk329_0
    | p(X4)
    | ~ p(X2)
    | ~ esk1952_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_26507,axiom,
    ( esk3453_4(X1,X2,X3,X4)
    | esk3771_4(X1,X2,X3,X4) )).

cnf(i_0_26508,axiom,
    ( esk6726_4(X1,X2,X3,X4)
    | ~ esk6725_4(X1,X2,X3,X4) )).

cnf(i_0_26509,axiom,
    ( ~ p(X4)
    | p(X2)
    | p(X3)
    | esk2455_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk761_0 )).

cnf(i_0_26510,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | esk8411_4(X1,X2,X3,X4) )).

cnf(i_0_26511,axiom,
    ( esk1819_4(X1,X2,X3,X4)
    | esk3179_4(X1,X2,X3,X4) )).

cnf(i_0_26512,axiom,
    ( ~ esk8112_4(X1,X2,X3,X4)
    | esk8114_4(X1,X2,X3,X4) )).

cnf(i_0_26513,axiom,
    ( ~ esk5512_4(X1,X2,X3,X4)
    | esk5513_4(X1,X2,X3,X4) )).

cnf(i_0_26514,axiom,
    ( esk6843_4(X1,X2,X3,X4)
    | esk6842_4(X1,X2,X3,X4)
    | ~ esk6844_4(X1,X2,X3,X4) )).

cnf(i_0_26515,axiom,
    ( esk7038_4(X1,X2,X3,X4)
    | ~ esk7036_4(X1,X2,X3,X4) )).

cnf(i_0_26516,axiom,
    ( esk2658_4(X1,X2,X3,X4)
    | ~ esk2656_4(X1,X2,X3,X4) )).

cnf(i_0_26517,axiom,
    ( ~ esk8502_4(X1,X2,X3,X4)
    | esk8541_4(X1,X2,X3,X4) )).

cnf(i_0_26518,axiom,
    ( ~ esk2661_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_26519,axiom,
    ( esk1914_4(X1,X2,X3,X4)
    | ~ esk1945_4(X1,X2,X3,X4) )).

cnf(i_0_26520,axiom,
    ( ~ esk3065_4(X1,X2,X3,X4)
    | esk3062_4(X1,X2,X3,X4) )).

cnf(i_0_26521,axiom,
    ( ~ esk6091_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26522,axiom,
    ( esk4924_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4923_4(X1,X2,X3,X4) )).

cnf(i_0_26523,axiom,
    ( esk6681_4(X1,X2,X3,X4)
    | ~ esk6758_4(X1,X2,X3,X4) )).

cnf(i_0_26524,axiom,
    ( ~ esk1874_4(X1,X2,X3,X4)
    | esk299_0
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_26525,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk6873_4(X1,X2,X3,X4) )).

cnf(i_0_26526,axiom,
    ( esk9578_4(X1,X2,X3,X4)
    | ~ esk8894_4(X1,X2,X3,X4) )).

cnf(i_0_26527,axiom,
    ( ~ esk4853_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_26528,axiom,
    ( ~ esk1771_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26529,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk2952_4(X1,X2,X3,X4)
    | esk1312_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_26530,axiom,
    ( esk3772_4(X1,X2,X3,X4)
    | ~ esk3773_4(X1,X2,X3,X4) )).

cnf(i_0_26531,axiom,
    ( ~ esk8182_4(X1,X2,X3,X4)
    | esk8353_4(X1,X2,X3,X4)
    | esk8352_4(X1,X2,X3,X4) )).

cnf(i_0_26532,axiom,
    ( ~ esk6543_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26533,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk6498_4(X1,X2,X3,X4) )).

cnf(i_0_26534,axiom,
    ( ~ p(X3)
    | ~ esk1120_0
    | esk9174_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_26535,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk9176_4(X1,X2,X3,X4)
    | esk1135_0
    | p(X1) )).

cnf(i_0_26536,axiom,
    ( ~ esk5484_4(X1,X2,X3,X4)
    | esk5485_4(X1,X2,X3,X4) )).

cnf(i_0_26537,axiom,
    ( esk4009_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4416_4(X1,X2,X3,X4) )).

cnf(i_0_26538,axiom,
    ( ~ esk3522_4(X1,X2,X3,X4)
    | esk5530_4(X1,X2,X3,X4)
    | ~ esk4914_4(X1,X2,X3,X4) )).

cnf(i_0_26539,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | esk7936_4(X1,X2,X3,X4) )).

cnf(i_0_26540,axiom,
    ( ~ esk2028_4(X1,X2,X3,X4)
    | esk2176_4(X1,X2,X3,X4)
    | ~ esk2175_4(X1,X2,X3,X4) )).

cnf(i_0_26541,axiom,
    ( ~ p(X2)
    | esk2898_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | ~ esk1207_0
    | p(X1) )).

cnf(i_0_26542,axiom,
    ( ~ esk6211_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4)
    | esk6237_4(X1,X2,X3,X4) )).

cnf(i_0_26543,axiom,
    ( ~ esk5986_4(X1,X2,X3,X4)
    | ~ esk7053_4(X1,X2,X3,X4)
    | esk7054_4(X1,X2,X3,X4) )).

cnf(i_0_26544,axiom,
    ( esk8975_4(X1,X2,X3,X4)
    | ~ esk8974_4(X1,X2,X3,X4) )).

cnf(i_0_26545,axiom,
    ( ~ esk1101_0
    | p(X2)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_26546,axiom,
    ( p(X1)
    | ~ p(X2)
    | ~ esk1206_0
    | esk2898_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3) )).

cnf(i_0_26547,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | esk3622_4(X1,X2,X3,X4) )).

cnf(i_0_26548,axiom,
    ( ~ esk2098_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26549,axiom,
    ( ~ esk4137_4(X1,X2,X3,X4)
    | esk4136_4(X1,X2,X3,X4) )).

cnf(i_0_26550,axiom,
    ( ~ esk2112_4(X1,X2,X3,X4)
    | esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_26551,axiom,
    ( esk928_0
    | p(X2)
    | ~ esk9099_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1)
    | ~ p(X3) )).

cnf(i_0_26552,axiom,
    ( esk7468_4(X1,X2,X3,X4)
    | ~ esk7467_4(X1,X2,X3,X4) )).

cnf(i_0_26553,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5062_4(X1,X2,X3,X4) )).

cnf(i_0_26554,axiom,
    ( ~ esk9574_4(X1,X2,X3,X4)
    | esk8714_4(X1,X2,X3,X4)
    | esk8171_4(X1,X2,X3,X4) )).

cnf(i_0_26555,axiom,
    ( esk6964_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_26556,axiom,
    ( esk4545_4(X1,X2,X3,X4)
    | ~ esk4946_4(X1,X2,X3,X4) )).

cnf(i_0_26557,axiom,
    ( ~ esk1641_4(X1,X2,X3,X4)
    | esk104_0
    | p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_26558,axiom,
    ( esk7000_4(X1,X2,X3,X4)
    | ~ esk9100_4(X1,X2,X3,X4) )).

cnf(i_0_26559,axiom,
    ( ~ esk5443_4(X1,X2,X3,X4)
    | esk5442_4(X1,X2,X3,X4) )).

cnf(i_0_26560,axiom,
    ( esk1056_0
    | ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X1)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_26561,axiom,
    ( esk9443_4(X1,X2,X3,X4)
    | ~ esk9441_4(X1,X2,X3,X4) )).

cnf(i_0_26562,axiom,
    ( esk7004_4(X1,X2,X3,X4)
    | ~ esk6969_4(X1,X2,X3,X4) )).

cnf(i_0_26563,axiom,
    ( ~ esk8636_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26564,axiom,
    ( esk7290_4(X1,X2,X3,X4)
    | ~ esk7292_4(X1,X2,X3,X4)
    | esk7291_4(X1,X2,X3,X4) )).

cnf(i_0_26565,axiom,
    ( esk8635_4(X1,X2,X3,X4)
    | ~ esk8323_4(X1,X2,X3,X4) )).

cnf(i_0_26566,axiom,
    ( ~ esk8735_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | esk719_0 )).

cnf(i_0_26567,axiom,
    ( esk6435_4(X1,X2,X3,X4)
    | ~ esk6473_4(X1,X2,X3,X4) )).

cnf(i_0_26568,axiom,
    ( ~ esk2621_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_26569,axiom,
    ( esk7920_4(X1,X2,X3,X4)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_26570,axiom,
    ( ~ p(X2)
    | p(X4)
    | esk953_0
    | p(X1)
    | ~ esk2807_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26571,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6484_4(X1,X2,X3,X4) )).

cnf(i_0_26572,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8480_4(X1,X2,X3,X4) )).

cnf(i_0_26573,axiom,
    ( ~ esk8390_4(X1,X2,X3,X4)
    | esk8172_4(X1,X2,X3,X4) )).

cnf(i_0_26574,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | ~ esk502_0
    | p(X3)
    | p(X1)
    | esk2251_4(X1,X2,X3,X4) )).

cnf(i_0_26575,axiom,
    ( ~ esk5962_4(X1,X2,X3,X4)
    | esk5961_4(X1,X2,X3,X4) )).

cnf(i_0_26576,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk5116_4(X1,X2,X3,X4) )).

cnf(i_0_26577,axiom,
    ( ~ p(X4)
    | esk967_0
    | ~ esk2809_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_26578,axiom,
    ( ~ esk4894_4(X1,X2,X3,X4)
    | esk2794_4(X1,X2,X3,X4) )).

cnf(i_0_26579,axiom,
    ( esk6341_4(X1,X2,X3,X4)
    | ~ esk6379_4(X1,X2,X3,X4) )).

cnf(i_0_26580,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk2312_4(X1,X2,X3,X4) )).

cnf(i_0_26581,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk1061_0
    | p(X3)
    | ~ p(X1)
    | esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_26582,axiom,
    ( esk8036_4(X1,X2,X3,X4)
    | ~ esk8035_4(X1,X2,X3,X4) )).

cnf(i_0_26583,axiom,
    ( ~ esk6209_4(X1,X2,X3,X4)
    | esk6211_4(X1,X2,X3,X4) )).

cnf(i_0_26584,axiom,
    ( esk3100_4(X1,X2,X3,X4)
    | ~ esk3099_4(X1,X2,X3,X4)
    | ~ esk3070_4(X1,X2,X3,X4) )).

cnf(i_0_26585,axiom,
    ( esk4319_4(X1,X2,X3,X4)
    | ~ esk4320_4(X1,X2,X3,X4)
    | esk4318_4(X1,X2,X3,X4) )).

cnf(i_0_26586,axiom,
    ( p(X1)
    | p(X3)
    | ~ esk1_0
    | p(X4)
    | esk2886_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_26587,axiom,
    ( esk2207_4(X1,X2,X3,X4)
    | ~ esk2209_4(X1,X2,X3,X4)
    | esk2208_4(X1,X2,X3,X4) )).

cnf(i_0_26588,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk9118_4(X1,X2,X3,X4) )).

cnf(i_0_26589,axiom,
    ( ~ esk1961_4(X1,X2,X3,X4)
    | esk1962_4(X1,X2,X3,X4) )).

cnf(i_0_26590,axiom,
    ( p(X4)
    | ~ esk744_0
    | ~ p(X3)
    | ~ p(X2)
    | p(X1)
    | esk8749_4(X1,X2,X3,X4) )).

cnf(i_0_26591,axiom,
    ( esk9172_4(X1,X2,X3,X4)
    | ~ esk9181_4(X1,X2,X3,X4) )).

cnf(i_0_26592,axiom,
    ( esk9025_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_26593,axiom,
    ( ~ esk3027_4(X1,X2,X3,X4)
    | esk3028_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4) )).

cnf(i_0_26594,axiom,
    ( esk7885_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_26595,axiom,
    ( esk5724_4(X1,X2,X3,X4)
    | ~ esk5725_4(X1,X2,X3,X4) )).

cnf(i_0_26596,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | esk9002_4(X1,X2,X3,X4)
    | ~ esk8846_4(X1,X2,X3,X4) )).

cnf(i_0_26597,axiom,
    ( esk3999_4(X1,X2,X3,X4)
    | ~ esk4067_4(X1,X2,X3,X4) )).

cnf(i_0_26598,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk7331_4(X1,X2,X3,X4) )).

cnf(i_0_26599,axiom,
    ( ~ esk3812_4(X1,X2,X3,X4)
    | esk5041_4(X1,X2,X3,X4) )).

cnf(i_0_26600,axiom,
    ( ~ p(X4)
    | esk1025_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_26601,axiom,
    ( esk2093_4(X1,X2,X3,X4)
    | ~ esk1922_4(X1,X2,X3,X4) )).

cnf(i_0_26602,axiom,
    ( ~ esk6016_4(X1,X2,X3,X4)
    | ~ esk6494_4(X1,X2,X3,X4) )).

cnf(i_0_26603,axiom,
    ( ~ esk2565_4(X1,X2,X3,X4)
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_26604,axiom,
    ( esk4113_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_26605,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | ~ esk5350_4(X1,X2,X3,X4)
    | esk5351_4(X1,X2,X3,X4) )).

cnf(i_0_26606,axiom,
    ( esk6188_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4)
    | ~ esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_26607,axiom,
    ( esk7795_4(X1,X2,X3,X4)
    | ~ esk7793_4(X1,X2,X3,X4) )).

cnf(i_0_26608,axiom,
    ( esk2955_4(X1,X2,X3,X4)
    | ~ esk5055_4(X1,X2,X3,X4) )).

cnf(i_0_26609,axiom,
    ( p(X2)
    | esk371_0
    | p(X4)
    | ~ p(X1)
    | ~ esk8283_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_26610,axiom,
    ( esk4677_4(X1,X2,X3,X4)
    | ~ esk3453_4(X1,X2,X3,X4) )).

cnf(i_0_26611,axiom,
    ( esk9688_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_26612,axiom,
    ( p(X2)
    | ~ esk2914_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X3)
    | esk1243_0 )).

cnf(i_0_26613,axiom,
    ( p(X3)
    | ~ p(X1)
    | esk9238_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk1305_0
    | ~ p(X2) )).

cnf(i_0_26614,axiom,
    ( ~ esk715_0
    | p(X4)
    | p(X2)
    | esk2439_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_26615,axiom,
    ( esk6390_4(X1,X2,X3,X4)
    | ~ esk6392_4(X1,X2,X3,X4)
    | esk6391_4(X1,X2,X3,X4) )).

cnf(i_0_26616,axiom,
    ( esk2737_4(X1,X2,X3,X4)
    | ~ esk2736_4(X1,X2,X3,X4)
    | ~ esk3390_4(X1,X2,X3,X4) )).

cnf(i_0_26617,axiom,
    ( esk6803_4(X1,X2,X3,X4)
    | ~ esk6804_4(X1,X2,X3,X4)
    | esk6802_4(X1,X2,X3,X4) )).

cnf(i_0_26618,axiom,
    ( esk5561_4(X1,X2,X3,X4)
    | ~ esk6520_4(X1,X2,X3,X4) )).

cnf(i_0_26619,axiom,
    ( p(X2)
    | esk1442_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3)
    | ~ esk1_0 )).

cnf(i_0_26620,axiom,
    ( ~ esk3453_4(X1,X2,X3,X4)
    | ~ esk5022_4(X1,X2,X3,X4) )).

cnf(i_0_26621,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | esk7549_4(X1,X2,X3,X4) )).

cnf(i_0_26622,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6936_4(X1,X2,X3,X4) )).

cnf(i_0_26623,axiom,
    ( ~ esk8376_4(X1,X2,X3,X4)
    | esk8374_4(X1,X2,X3,X4)
    | esk8375_4(X1,X2,X3,X4) )).

cnf(i_0_26624,axiom,
    ( ~ esk3063_4(X1,X2,X3,X4)
    | esk3064_4(X1,X2,X3,X4)
    | ~ esk3058_4(X1,X2,X3,X4) )).

cnf(i_0_26625,axiom,
    ( esk6159_4(X1,X2,X3,X4)
    | ~ esk6125_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_26626,axiom,
    ( esk3281_4(X1,X2,X3,X4)
    | ~ esk2633_4(X1,X2,X3,X4) )).

cnf(i_0_26627,axiom,
    ( ~ esk6922_4(X1,X2,X3,X4)
    | esk6923_4(X1,X2,X3,X4)
    | ~ esk7604_4(X1,X2,X3,X4) )).

cnf(i_0_26628,axiom,
    ( ~ esk7571_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_26629,axiom,
    ( esk5049_4(X1,X2,X3,X4)
    | ~ esk5047_4(X1,X2,X3,X4) )).

cnf(i_0_26630,axiom,
    ( esk5039_4(X1,X2,X3,X4)
    | ~ esk5037_4(X1,X2,X3,X4) )).

cnf(i_0_26631,axiom,
    ( esk6312_4(X1,X2,X3,X4)
    | ~ esk6313_4(X1,X2,X3,X4) )).

cnf(i_0_26632,axiom,
    ( esk1649_4(X1,X2,X3,X4)
    | ~ esk1648_4(X1,X2,X3,X4)
    | ~ esk2906_4(X1,X2,X3,X4) )).

cnf(i_0_26633,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | esk2822_4(X1,X2,X3,X4)
    | ~ esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_26634,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | ~ esk3043_4(X1,X2,X3,X4) )).

cnf(i_0_26635,axiom,
    ( ~ esk2896_4(X1,X2,X3,X4)
    | esk1701_4(X1,X2,X3,X4) )).

cnf(i_0_26636,axiom,
    ( esk6257_4(X1,X2,X3,X4)
    | ~ esk6367_4(X1,X2,X3,X4) )).

cnf(i_0_26637,axiom,
    ( esk6290_4(X1,X2,X3,X4)
    | ~ esk6188_4(X1,X2,X3,X4) )).

cnf(i_0_26638,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8936_4(X1,X2,X3,X4) )).

cnf(i_0_26639,axiom,
    ( esk6057_4(X1,X2,X3,X4)
    | ~ esk6070_4(X1,X2,X3,X4) )).

cnf(i_0_26640,axiom,
    ( esk4478_4(X1,X2,X3,X4)
    | ~ esk4517_4(X1,X2,X3,X4) )).

cnf(i_0_26641,axiom,
    ( ~ esk8650_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26642,axiom,
    ( ~ esk2693_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_26643,axiom,
    ( ~ esk5297_4(X1,X2,X3,X4)
    | esk5303_4(X1,X2,X3,X4)
    | ~ esk5302_4(X1,X2,X3,X4) )).

cnf(i_0_26644,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk5243_4(X1,X2,X3,X4)
    | ~ esk5242_4(X1,X2,X3,X4) )).

cnf(i_0_26645,axiom,
    ( ~ esk2407_4(X1,X2,X3,X4)
    | esk2432_4(X1,X2,X3,X4) )).

cnf(i_0_26646,axiom,
    ( ~ esk5945_4(X1,X2,X3,X4)
    | esk8045_4(X1,X2,X3,X4) )).

cnf(i_0_26647,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | esk797_0 )).

cnf(i_0_26648,axiom,
    ( ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | esk2770_4(X1,X2,X3,X4) )).

cnf(i_0_26649,axiom,
    ( p(X2)
    | p(X1)
    | esk9194_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk1206_0
    | ~ p(X4) )).

cnf(i_0_26650,axiom,
    ( ~ esk3415_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_26651,axiom,
    ( esk7774_4(X1,X2,X3,X4)
    | p(X4)
    | ~ esk67_0
    | p(X3)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_26652,axiom,
    ( esk5233_4(X1,X2,X3,X4)
    | ~ esk5231_4(X1,X2,X3,X4) )).

cnf(i_0_26653,axiom,
    ( esk7502_4(X1,X2,X3,X4)
    | esk7503_4(X1,X2,X3,X4)
    | ~ esk7504_4(X1,X2,X3,X4) )).

cnf(i_0_26654,axiom,
    ( ~ esk2896_4(X1,X2,X3,X4)
    | esk1371_4(X1,X2,X3,X4) )).

cnf(i_0_26655,axiom,
    ( ~ esk8926_4(X1,X2,X3,X4)
    | esk8927_4(X1,X2,X3,X4) )).

cnf(i_0_26656,axiom,
    ( ~ esk7720_4(X1,X2,X3,X4)
    | esk8613_4(X1,X2,X3,X4)
    | esk8718_4(X1,X2,X3,X4) )).

cnf(i_0_26657,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | esk5999_4(X1,X2,X3,X4) )).

cnf(i_0_26658,axiom,
    ( ~ esk3049_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_26659,axiom,
    ( esk9153_4(X1,X2,X3,X4)
    | ~ esk9152_4(X1,X2,X3,X4)
    | ~ esk8085_4(X1,X2,X3,X4) )).

cnf(i_0_26660,axiom,
    ( esk3159_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26661,axiom,
    ( esk1792_4(X1,X2,X3,X4)
    | ~ esk1790_4(X1,X2,X3,X4) )).

cnf(i_0_26662,axiom,
    ( ~ esk7622_4(X1,X2,X3,X4)
    | esk7624_4(X1,X2,X3,X4) )).

cnf(i_0_26663,axiom,
    ( ~ esk6569_4(X1,X2,X3,X4)
    | esk6568_4(X1,X2,X3,X4)
    | esk6567_4(X1,X2,X3,X4) )).

cnf(i_0_26664,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk6886_4(X1,X2,X3,X4) )).

cnf(i_0_26665,axiom,
    ( ~ esk2198_4(X1,X2,X3,X4)
    | esk2197_4(X1,X2,X3,X4)
    | esk2196_4(X1,X2,X3,X4) )).

cnf(i_0_26666,axiom,
    ( esk1756_4(X1,X2,X3,X4)
    | ~ esk1386_4(X1,X2,X3,X4) )).

cnf(i_0_26667,axiom,
    ( esk4915_4(X1,X2,X3,X4)
    | ~ esk4892_4(X1,X2,X3,X4) )).

cnf(i_0_26668,axiom,
    ( p(X2)
    | ~ esk709_0
    | ~ p(X3)
    | esk2439_4(X1,X2,X3,X4)
    | p(X4)
    | p(X1) )).

cnf(i_0_26669,axiom,
    ( esk8991_4(X1,X2,X3,X4)
    | ~ esk9677_4(X1,X2,X3,X4) )).

cnf(i_0_26670,axiom,
    ( esk4015_4(X1,X2,X3,X4)
    | esk4542_4(X1,X2,X3,X4)
    | ~ esk4191_4(X1,X2,X3,X4) )).

cnf(i_0_26671,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk5338_4(X1,X2,X3,X4) )).

cnf(i_0_26672,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk605_0
    | p(X4)
    | esk8721_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_26673,axiom,
    ( ~ esk4571_4(X1,X2,X3,X4)
    | esk4570_4(X1,X2,X3,X4) )).

cnf(i_0_26674,axiom,
    ( ~ p(X3)
    | esk9107_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_26675,axiom,
    ( ~ esk7383_4(X1,X2,X3,X4)
    | esk7384_4(X1,X2,X3,X4) )).

cnf(i_0_26676,axiom,
    ( esk6861_4(X1,X2,X3,X4)
    | ~ esk6862_4(X1,X2,X3,X4) )).

cnf(i_0_26677,axiom,
    ( ~ esk4944_4(X1,X2,X3,X4)
    | ~ esk4939_4(X1,X2,X3,X4)
    | esk4945_4(X1,X2,X3,X4) )).

cnf(i_0_26678,axiom,
    ( ~ esk7819_4(X1,X2,X3,X4)
    | esk9742_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_26679,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk1860_4(X1,X2,X3,X4)
    | ~ esk277_0
    | p(X3) )).

cnf(i_0_26680,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | esk3978_4(X1,X2,X3,X4) )).

cnf(i_0_26681,axiom,
    ( esk801_0
    | p(X1)
    | ~ p(X2)
    | ~ esk2787_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_26682,axiom,
    ( p(X2)
    | p(X3)
    | ~ p(X1)
    | ~ esk280_0
    | p(X4)
    | esk1860_4(X1,X2,X3,X4) )).

cnf(i_0_26683,axiom,
    ( esk9029_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_26684,axiom,
    ( ~ esk3807_4(X1,X2,X3,X4)
    | esk4926_4(X1,X2,X3,X4) )).

cnf(i_0_26685,axiom,
    ( esk3089_4(X1,X2,X3,X4)
    | ~ esk3090_4(X1,X2,X3,X4)
    | esk3088_4(X1,X2,X3,X4) )).

cnf(i_0_26686,axiom,
    ( esk795_0
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_26687,axiom,
    ( ~ esk8047_4(X1,X2,X3,X4)
    | esk5947_4(X1,X2,X3,X4) )).

cnf(i_0_26688,axiom,
    ( ~ p(X1)
    | ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3)
    | esk872_0 )).

cnf(i_0_26689,axiom,
    ( ~ esk3807_4(X1,X2,X3,X4)
    | esk5007_4(X1,X2,X3,X4) )).

cnf(i_0_26690,axiom,
    ( esk5213_4(X1,X2,X3,X4)
    | ~ esk5219_4(X1,X2,X3,X4) )).

cnf(i_0_26691,axiom,
    ( ~ esk9105_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk972_0
    | p(X3)
    | p(X2)
    | ~ p(X1) )).

cnf(i_0_26692,axiom,
    ( esk8643_4(X1,X2,X3,X4)
    | ~ esk8083_4(X1,X2,X3,X4) )).

cnf(i_0_26693,axiom,
    ( esk9216_4(X1,X2,X3,X4)
    | esk9160_4(X1,X2,X3,X4)
    | ~ esk8779_4(X1,X2,X3,X4) )).

cnf(i_0_26694,axiom,
    ( ~ esk6085_4(X1,X2,X3,X4)
    | ~ esk6180_4(X1,X2,X3,X4)
    | esk6568_4(X1,X2,X3,X4) )).

cnf(i_0_26695,axiom,
    ( ~ esk5680_4(X1,X2,X3,X4)
    | esk5554_4(X1,X2,X3,X4) )).

cnf(i_0_26696,axiom,
    ( ~ esk9383_4(X1,X2,X3,X4)
    | esk9389_4(X1,X2,X3,X4)
    | ~ esk9388_4(X1,X2,X3,X4) )).

cnf(i_0_26697,axiom,
    ( esk2915_4(X1,X2,X3,X4)
    | ~ esk1455_4(X1,X2,X3,X4) )).

cnf(i_0_26698,axiom,
    ( ~ esk8729_4(X1,X2,X3,X4)
    | esk8704_4(X1,X2,X3,X4) )).

cnf(i_0_26699,axiom,
    ( ~ esk8721_4(X1,X2,X3,X4)
    | esk8688_4(X1,X2,X3,X4) )).

cnf(i_0_26700,axiom,
    ( esk1357_4(X1,X2,X3,X4)
    | ~ esk1481_4(X1,X2,X3,X4) )).

cnf(i_0_26701,axiom,
    ( esk7212_4(X1,X2,X3,X4)
    | ~ esk7211_4(X1,X2,X3,X4) )).

cnf(i_0_26702,axiom,
    ( esk3875_4(X1,X2,X3,X4)
    | ~ esk3960_4(X1,X2,X3,X4) )).

cnf(i_0_26703,axiom,
    ( esk6147_4(X1,X2,X3,X4)
    | ~ esk6178_4(X1,X2,X3,X4) )).

cnf(i_0_26704,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk1805_4(X1,X2,X3,X4) )).

cnf(i_0_26705,axiom,
    ( esk1465_4(X1,X2,X3,X4)
    | ~ esk1466_4(X1,X2,X3,X4) )).

cnf(i_0_26706,axiom,
    ( ~ esk1817_4(X1,X2,X3,X4)
    | ~ esk1819_4(X1,X2,X3,X4)
    | esk1812_4(X1,X2,X3,X4) )).

cnf(i_0_26707,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | esk6181_4(X1,X2,X3,X4)
    | ~ esk6072_4(X1,X2,X3,X4) )).

cnf(i_0_26708,axiom,
    ( esk2797_4(X1,X2,X3,X4)
    | ~ esk3320_4(X1,X2,X3,X4) )).

cnf(i_0_26709,axiom,
    ( p(X4)
    | ~ p(X1)
    | p(X3)
    | ~ esk9166_4(X1,X2,X3,X4)
    | esk1065_0
    | ~ p(X2) )).

cnf(i_0_26710,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | ~ esk3554_4(X1,X2,X3,X4) )).

cnf(i_0_26711,axiom,
    ( esk2451_4(X1,X2,X3,X4)
    | ~ esk3440_4(X1,X2,X3,X4) )).

cnf(i_0_26712,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk2807_4(X1,X2,X3,X4)
    | esk961_0
    | ~ p(X3) )).

cnf(i_0_26713,axiom,
    ( esk3252_4(X1,X2,X3,X4)
    | esk3253_4(X1,X2,X3,X4)
    | ~ esk3254_4(X1,X2,X3,X4) )).

cnf(i_0_26714,axiom,
    ( esk8316_4(X1,X2,X3,X4)
    | ~ esk8541_4(X1,X2,X3,X4) )).

cnf(i_0_26715,axiom,
    ( esk9745_4(X1,X2,X3,X4)
    | ~ esk9746_4(X1,X2,X3,X4)
    | esk7819_4(X1,X2,X3,X4) )).

cnf(i_0_26716,axiom,
    ( p(X4)
    | esk529_0
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk2321_4(X1,X2,X3,X4) )).

cnf(i_0_26717,axiom,
    ( ~ esk3343_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_26718,axiom,
    ( p(X2)
    | ~ esk1349_0
    | ~ p(X4)
    | ~ p(X1)
    | esk9254_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26719,axiom,
    ( esk5830_4(X1,X2,X3,X4)
    | esk5628_4(X1,X2,X3,X4) )).

cnf(i_0_26720,axiom,
    ( ~ esk3015_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26721,axiom,
    ( esk8306_4(X1,X2,X3,X4)
    | ~ esk8594_4(X1,X2,X3,X4) )).

cnf(i_0_26722,axiom,
    ( ~ esk8675_4(X1,X2,X3,X4)
    | esk8676_4(X1,X2,X3,X4) )).

cnf(i_0_26723,axiom,
    ( esk6514_4(X1,X2,X3,X4)
    | ~ esk6515_4(X1,X2,X3,X4)
    | esk6480_4(X1,X2,X3,X4) )).

cnf(i_0_26724,axiom,
    ( ~ esk3537_4(X1,X2,X3,X4)
    | esk1437_4(X1,X2,X3,X4) )).

cnf(i_0_26725,axiom,
    ( esk2092_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4)
    | ~ esk1992_4(X1,X2,X3,X4) )).

cnf(i_0_26726,axiom,
    ( esk9486_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26727,axiom,
    ( esk381_0
    | ~ p(X4)
    | ~ esk8291_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ p(X3) )).

cnf(i_0_26728,axiom,
    ( ~ esk6585_4(X1,X2,X3,X4)
    | esk6620_4(X1,X2,X3,X4) )).

cnf(i_0_26729,axiom,
    ( ~ esk3428_4(X1,X2,X3,X4)
    | esk3430_4(X1,X2,X3,X4) )).

cnf(i_0_26730,axiom,
    ( ~ esk8117_4(X1,X2,X3,X4)
    | ~ esk8565_4(X1,X2,X3,X4)
    | esk8599_4(X1,X2,X3,X4) )).

cnf(i_0_26731,axiom,
    ( ~ esk7442_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_26732,axiom,
    ( ~ esk124_0
    | p(X1)
    | ~ p(X4)
    | p(X2)
    | p(X3)
    | esk7967_4(X1,X2,X3,X4) )).

cnf(i_0_26733,axiom,
    ( ~ p(X2)
    | ~ p(X4)
    | ~ esk8721_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | esk610_0 )).

cnf(i_0_26734,axiom,
    ( ~ esk4300_4(X1,X2,X3,X4)
    | esk4301_4(X1,X2,X3,X4) )).

cnf(i_0_26735,axiom,
    ( esk3130_4(X1,X2,X3,X4)
    | ~ esk3129_4(X1,X2,X3,X4) )).

cnf(i_0_26736,axiom,
    ( ~ esk4221_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_26737,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1572_4(X1,X2,X3,X4) )).

cnf(i_0_26738,axiom,
    ( ~ p(X2)
    | ~ esk8617_4(X1,X2,X3,X4)
    | esk542_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_26739,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7372_4(X1,X2,X3,X4)
    | esk7375_4(X1,X2,X3,X4) )).

cnf(i_0_26740,axiom,
    ( ~ esk9341_4(X1,X2,X3,X4)
    | esk9311_4(X1,X2,X3,X4) )).

cnf(i_0_26741,axiom,
    ( ~ esk7614_4(X1,X2,X3,X4)
    | esk7613_4(X1,X2,X3,X4) )).

cnf(i_0_26742,axiom,
    ( esk3974_4(X1,X2,X3,X4)
    | ~ esk4144_4(X1,X2,X3,X4) )).

cnf(i_0_26743,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk2099_4(X1,X2,X3,X4) )).

cnf(i_0_26744,axiom,
    ( ~ esk6910_4(X1,X2,X3,X4)
    | esk6909_4(X1,X2,X3,X4) )).

cnf(i_0_26745,axiom,
    ( esk2166_4(X1,X2,X3,X4)
    | ~ esk2429_4(X1,X2,X3,X4) )).

cnf(i_0_26746,axiom,
    ( esk2956_4(X1,X2,X3,X4)
    | ~ esk1332_0
    | p(X2)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_26747,axiom,
    ( p(X2)
    | ~ p(X1)
    | esk2932_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1288_0
    | ~ p(X3) )).

cnf(i_0_26748,axiom,
    ( esk4714_4(X1,X2,X3,X4)
    | ~ esk4715_4(X1,X2,X3,X4) )).

cnf(i_0_26749,axiom,
    ( ~ esk4782_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_26750,axiom,
    ( esk5474_4(X1,X2,X3,X4)
    | esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_26751,axiom,
    ( esk6254_4(X1,X2,X3,X4)
    | esk6288_4(X1,X2,X3,X4)
    | ~ esk6287_4(X1,X2,X3,X4) )).

cnf(i_0_26752,axiom,
    ( ~ esk7542_4(X1,X2,X3,X4)
    | esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_26753,axiom,
    ( esk5912_4(X1,X2,X3,X4)
    | ~ esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_26754,axiom,
    ( ~ esk1859_4(X1,X2,X3,X4)
    | esk1872_4(X1,X2,X3,X4) )).

cnf(i_0_26755,axiom,
    ( ~ esk4534_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | ~ esk4154_4(X1,X2,X3,X4) )).

cnf(i_0_26756,axiom,
    ( ~ esk5768_4(X1,X2,X3,X4)
    | esk5769_4(X1,X2,X3,X4) )).

cnf(i_0_26757,axiom,
    ( esk3079_4(X1,X2,X3,X4)
    | ~ esk3080_4(X1,X2,X3,X4) )).

cnf(i_0_26758,axiom,
    ( esk9149_4(X1,X2,X3,X4)
    | ~ esk9148_4(X1,X2,X3,X4) )).

cnf(i_0_26759,axiom,
    ( esk3608_4(X1,X2,X3,X4)
    | esk3607_4(X1,X2,X3,X4)
    | ~ esk3609_4(X1,X2,X3,X4) )).

cnf(i_0_26760,axiom,
    ( ~ esk7038_4(X1,X2,X3,X4)
    | esk7044_4(X1,X2,X3,X4)
    | ~ esk7043_4(X1,X2,X3,X4) )).

cnf(i_0_26761,axiom,
    ( esk7009_4(X1,X2,X3,X4)
    | ~ esk7063_4(X1,X2,X3,X4) )).

cnf(i_0_26762,axiom,
    ( esk6033_4(X1,X2,X3,X4)
    | ~ esk6034_4(X1,X2,X3,X4) )).

cnf(i_0_26763,axiom,
    ( esk1476_4(X1,X2,X3,X4)
    | ~ esk1361_4(X1,X2,X3,X4) )).

cnf(i_0_26764,axiom,
    ( ~ esk4931_4(X1,X2,X3,X4)
    | esk4938_4(X1,X2,X3,X4)
    | ~ esk4910_4(X1,X2,X3,X4) )).

cnf(i_0_26765,axiom,
    ( ~ esk2484_4(X1,X2,X3,X4)
    | esk2063_4(X1,X2,X3,X4) )).

cnf(i_0_26766,axiom,
    ( ~ esk4264_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4)
    | esk4299_4(X1,X2,X3,X4) )).

cnf(i_0_26767,axiom,
    ( esk7009_4(X1,X2,X3,X4)
    | ~ esk5653_4(X1,X2,X3,X4) )).

cnf(i_0_26768,axiom,
    ( esk4874_4(X1,X2,X3,X4)
    | ~ esk4873_4(X1,X2,X3,X4) )).

cnf(i_0_26769,axiom,
    ( ~ esk7808_4(X1,X2,X3,X4)
    | ~ esk9251_4(X1,X2,X3,X4) )).

cnf(i_0_26770,axiom,
    ( ~ esk7958_4(X1,X2,X3,X4)
    | esk7959_4(X1,X2,X3,X4)
    | ~ esk8028_4(X1,X2,X3,X4) )).

cnf(i_0_26771,axiom,
    ( ~ p(X4)
    | esk9186_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | ~ esk1186_0
    | ~ p(X1) )).

cnf(i_0_26772,axiom,
    ( esk8554_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26773,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | ~ esk9051_4(X1,X2,X3,X4) )).

cnf(i_0_26774,axiom,
    ( ~ esk2427_4(X1,X2,X3,X4)
    | esk2166_4(X1,X2,X3,X4) )).

cnf(i_0_26775,axiom,
    ( ~ esk6822_4(X1,X2,X3,X4)
    | esk6824_4(X1,X2,X3,X4) )).

cnf(i_0_26776,axiom,
    ( esk8141_4(X1,X2,X3,X4)
    | esk8142_4(X1,X2,X3,X4)
    | ~ esk8143_4(X1,X2,X3,X4) )).

cnf(i_0_26777,axiom,
    ( ~ esk4727_4(X1,X2,X3,X4)
    | esk4729_4(X1,X2,X3,X4) )).

cnf(i_0_26778,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk7040_4(X1,X2,X3,X4) )).

cnf(i_0_26779,axiom,
    ( ~ esk5997_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26780,axiom,
    ( esk2762_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_26781,axiom,
    ( esk7439_4(X1,X2,X3,X4)
    | ~ esk7440_4(X1,X2,X3,X4)
    | esk7438_4(X1,X2,X3,X4) )).

cnf(i_0_26782,axiom,
    ( esk5488_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5485_4(X1,X2,X3,X4) )).

cnf(i_0_26783,axiom,
    ( esk3975_4(X1,X2,X3,X4)
    | ~ esk3549_4(X1,X2,X3,X4) )).

cnf(i_0_26784,axiom,
    ( ~ esk2173_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3)
    | esk482_0 )).

cnf(i_0_26785,axiom,
    ( esk6494_4(X1,X2,X3,X4)
    | esk6016_4(X1,X2,X3,X4) )).

cnf(i_0_26786,axiom,
    ( ~ esk6960_4(X1,X2,X3,X4)
    | esk6961_4(X1,X2,X3,X4) )).

cnf(i_0_26787,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4)
    | esk343_0
    | ~ esk1955_4(X1,X2,X3,X4) )).

cnf(i_0_26788,axiom,
    ( esk4900_4(X1,X2,X3,X4)
    | ~ esk5435_4(X1,X2,X3,X4) )).

cnf(i_0_26789,axiom,
    ( esk7531_4(X1,X2,X3,X4)
    | ~ esk7532_4(X1,X2,X3,X4)
    | esk7530_4(X1,X2,X3,X4) )).

cnf(i_0_26790,axiom,
    ( esk1577_4(X1,X2,X3,X4)
    | ~ esk1579_4(X1,X2,X3,X4)
    | esk1578_4(X1,X2,X3,X4) )).

cnf(i_0_26791,axiom,
    ( ~ esk302_0
    | ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk8170_4(X1,X2,X3,X4) )).

cnf(i_0_26792,axiom,
    ( p(X3)
    | esk8138_4(X1,X2,X3,X4)
    | ~ esk262_0
    | p(X4)
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_26793,axiom,
    ( ~ p(X3)
    | p(X4)
    | esk1337_0
    | ~ p(X2)
    | ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26794,axiom,
    ( ~ esk6340_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_26795,axiom,
    ( p(X1)
    | ~ p(X3)
    | esk1100_0
    | ~ esk2876_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_26796,axiom,
    ( ~ esk9190_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X4)
    | esk1201_0
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_26797,axiom,
    ( ~ esk1328_0
    | p(X1)
    | ~ p(X2)
    | p(X3)
    | ~ p(X4)
    | esk9252_4(X1,X2,X3,X4) )).

cnf(i_0_26798,axiom,
    ( ~ esk718_0
    | p(X2)
    | ~ p(X1)
    | esk2439_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_26799,axiom,
    ( ~ esk4661_4(X1,X2,X3,X4)
    | esk4659_4(X1,X2,X3,X4)
    | esk4660_4(X1,X2,X3,X4) )).

cnf(i_0_26800,axiom,
    ( ~ esk4536_4(X1,X2,X3,X4)
    | esk5370_4(X1,X2,X3,X4) )).

cnf(i_0_26801,axiom,
    ( ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2)
    | esk1021_0
    | ~ esk2815_4(X1,X2,X3,X4) )).

cnf(i_0_26802,axiom,
    ( esk3074_4(X1,X2,X3,X4)
    | ~ esk3073_4(X1,X2,X3,X4) )).

cnf(i_0_26803,axiom,
    ( p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk278_0
    | p(X1)
    | esk8156_4(X1,X2,X3,X4) )).

cnf(i_0_26804,axiom,
    ( ~ p(X2)
    | ~ esk9105_4(X1,X2,X3,X4)
    | esk976_0
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_26805,axiom,
    ( ~ esk3468_4(X1,X2,X3,X4)
    | esk3746_4(X1,X2,X3,X4) )).

cnf(i_0_26806,axiom,
    ( esk5416_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5413_4(X1,X2,X3,X4) )).

cnf(i_0_26807,axiom,
    ( ~ esk2944_4(X1,X2,X3,X4)
    | esk2943_4(X1,X2,X3,X4) )).

cnf(i_0_26808,axiom,
    ( p(X2)
    | esk7967_4(X1,X2,X3,X4)
    | ~ esk123_0
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_26809,axiom,
    ( esk1707_4(X1,X2,X3,X4)
    | ~ esk1658_4(X1,X2,X3,X4) )).

cnf(i_0_26810,axiom,
    ( p(X2)
    | ~ esk431_0
    | esk2061_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_26811,axiom,
    ( esk7047_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_26812,axiom,
    ( esk915_0
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X2)
    | ~ p(X1) )).

cnf(i_0_26813,axiom,
    ( esk2225_4(X1,X2,X3,X4)
    | ~ esk2223_4(X1,X2,X3,X4) )).

cnf(i_0_26814,axiom,
    ( p(X4)
    | esk347_0
    | ~ p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk8251_4(X1,X2,X3,X4) )).

cnf(i_0_26815,axiom,
    ( ~ esk6253_4(X1,X2,X3,X4)
    | ~ esk6083_4(X1,X2,X3,X4)
    | ~ esk6254_4(X1,X2,X3,X4) )).

cnf(i_0_26816,axiom,
    ( esk7156_4(X1,X2,X3,X4)
    | esk5971_4(X1,X2,X3,X4) )).

cnf(i_0_26817,axiom,
    ( ~ esk4336_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4)
    | esk4374_4(X1,X2,X3,X4) )).

cnf(i_0_26818,axiom,
    ( ~ esk8578_4(X1,X2,X3,X4)
    | esk8720_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_26819,axiom,
    ( esk8042_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk151_0
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_26820,axiom,
    ( ~ esk6847_4(X1,X2,X3,X4)
    | esk6788_4(X1,X2,X3,X4) )).

cnf(i_0_26821,axiom,
    ( ~ esk6084_4(X1,X2,X3,X4)
    | esk6077_4(X1,X2,X3,X4) )).

cnf(i_0_26822,axiom,
    ( esk1449_4(X1,X2,X3,X4)
    | ~ esk2902_4(X1,X2,X3,X4)
    | ~ esk1448_4(X1,X2,X3,X4) )).

cnf(i_0_26823,axiom,
    ( esk7144_4(X1,X2,X3,X4)
    | ~ esk7143_4(X1,X2,X3,X4) )).

cnf(i_0_26824,axiom,
    ( ~ esk9424_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26825,axiom,
    ( ~ esk7029_4(X1,X2,X3,X4)
    | esk6917_4(X1,X2,X3,X4) )).

cnf(i_0_26826,axiom,
    ( esk2791_4(X1,X2,X3,X4)
    | ~ esk3384_4(X1,X2,X3,X4) )).

cnf(i_0_26827,axiom,
    ( esk4050_4(X1,X2,X3,X4)
    | ~ esk6150_4(X1,X2,X3,X4) )).

cnf(i_0_26828,axiom,
    ( ~ esk2439_4(X1,X2,X3,X4)
    | esk3325_4(X1,X2,X3,X4)
    | ~ esk3322_4(X1,X2,X3,X4) )).

cnf(i_0_26829,axiom,
    ( ~ esk6386_4(X1,X2,X3,X4)
    | esk6388_4(X1,X2,X3,X4) )).

cnf(i_0_26830,axiom,
    ( esk6151_4(X1,X2,X3,X4)
    | esk7483_4(X1,X2,X3,X4)
    | ~ esk6256_4(X1,X2,X3,X4) )).

cnf(i_0_26831,axiom,
    ( esk9250_4(X1,X2,X3,X4)
    | esk7841_4(X1,X2,X3,X4) )).

cnf(i_0_26832,axiom,
    ( ~ esk7019_4(X1,X2,X3,X4)
    | esk7021_4(X1,X2,X3,X4) )).

cnf(i_0_26833,axiom,
    ( esk6252_4(X1,X2,X3,X4)
    | ~ esk6249_4(X1,X2,X3,X4) )).

cnf(i_0_26834,axiom,
    ( esk5110_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_26835,axiom,
    ( esk6257_4(X1,X2,X3,X4)
    | ~ esk6647_4(X1,X2,X3,X4) )).

cnf(i_0_26836,axiom,
    ( esk3218_4(X1,X2,X3,X4)
    | ~ esk3221_4(X1,X2,X3,X4) )).

cnf(i_0_26837,axiom,
    ( esk1226_0
    | ~ p(X1)
    | p(X3)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_26838,axiom,
    ( ~ esk2010_4(X1,X2,X3,X4)
    | esk2011_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_26839,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk1_0
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26840,axiom,
    ( ~ esk2061_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk434_0
    | p(X4)
    | ~ p(X2)
    | p(X3) )).

cnf(i_0_26841,axiom,
    ( ~ esk3039_4(X1,X2,X3,X4)
    | ~ esk3026_4(X1,X2,X3,X4)
    | esk3040_4(X1,X2,X3,X4) )).

cnf(i_0_26842,axiom,
    ( ~ esk9199_4(X1,X2,X3,X4)
    | esk9197_4(X1,X2,X3,X4)
    | esk9198_4(X1,X2,X3,X4) )).

cnf(i_0_26843,axiom,
    ( ~ esk4999_4(X1,X2,X3,X4)
    | esk5001_4(X1,X2,X3,X4) )).

cnf(i_0_26844,axiom,
    ( ~ esk6547_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26845,axiom,
    ( ~ esk1818_4(X1,X2,X3,X4)
    | esk1714_4(X1,X2,X3,X4) )).

cnf(i_0_26846,axiom,
    ( esk3111_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26847,axiom,
    ( p(X4)
    | esk1249_0
    | p(X1)
    | ~ p(X3)
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_26848,axiom,
    ( esk9549_4(X1,X2,X3,X4)
    | esk9550_4(X1,X2,X3,X4)
    | ~ esk9551_4(X1,X2,X3,X4) )).

cnf(i_0_26849,axiom,
    ( ~ esk1887_4(X1,X2,X3,X4)
    | ~ esk2125_4(X1,X2,X3,X4)
    | esk2402_4(X1,X2,X3,X4) )).

cnf(i_0_26850,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk3906_4(X1,X2,X3,X4) )).

cnf(i_0_26851,axiom,
    ( esk5587_4(X1,X2,X3,X4)
    | ~ esk5948_4(X1,X2,X3,X4) )).

cnf(i_0_26852,axiom,
    ( ~ esk2746_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_26853,axiom,
    ( ~ esk6680_4(X1,X2,X3,X4)
    | esk4580_4(X1,X2,X3,X4) )).

cnf(i_0_26854,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk126_0
    | p(X4)
    | p(X1)
    | esk1671_4(X1,X2,X3,X4) )).

cnf(i_0_26855,axiom,
    ( ~ esk2216_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_26856,axiom,
    ( ~ esk1869_4(X1,X2,X3,X4)
    | esk2171_4(X1,X2,X3,X4) )).

cnf(i_0_26857,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk5176_4(X1,X2,X3,X4) )).

cnf(i_0_26858,axiom,
    ( esk3678_4(X1,X2,X3,X4)
    | ~ esk4966_4(X1,X2,X3,X4) )).

cnf(i_0_26859,axiom,
    ( esk7215_4(X1,X2,X3,X4)
    | ~ esk7216_4(X1,X2,X3,X4)
    | esk7214_4(X1,X2,X3,X4) )).

cnf(i_0_26860,axiom,
    ( p(X1)
    | p(X3)
    | esk1_0
    | p(X2)
    | ~ esk2289_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_26861,axiom,
    ( p(X4)
    | ~ esk659_0
    | ~ p(X1)
    | p(X3)
    | esk2431_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_26862,axiom,
    ( esk8679_4(X1,X2,X3,X4)
    | ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8612_4(X1,X2,X3,X4) )).

cnf(i_0_26863,axiom,
    ( esk2343_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26864,axiom,
    ( esk2535_4(X1,X2,X3,X4)
    | ~ esk2534_4(X1,X2,X3,X4)
    | ~ esk1987_4(X1,X2,X3,X4) )).

cnf(i_0_26865,axiom,
    ( esk5162_4(X1,X2,X3,X4)
    | ~ esk5163_4(X1,X2,X3,X4) )).

cnf(i_0_26866,axiom,
    ( ~ esk7199_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_26867,axiom,
    ( ~ esk3796_4(X1,X2,X3,X4)
    | esk3968_4(X1,X2,X3,X4) )).

cnf(i_0_26868,axiom,
    ( ~ p(X2)
    | esk2876_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk1111_0 )).

cnf(i_0_26869,axiom,
    ( esk9328_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26870,axiom,
    ( ~ p(X3)
    | esk2_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ esk8721_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26871,axiom,
    ( ~ esk4047_4(X1,X2,X3,X4)
    | esk4013_4(X1,X2,X3,X4)
    | esk4048_4(X1,X2,X3,X4) )).

cnf(i_0_26872,axiom,
    ( ~ esk4028_4(X1,X2,X3,X4)
    | esk4030_4(X1,X2,X3,X4) )).

cnf(i_0_26873,axiom,
    ( esk5493_4(X1,X2,X3,X4)
    | ~ esk5491_4(X1,X2,X3,X4) )).

cnf(i_0_26874,axiom,
    ( p(X3)
    | esk852_0
    | ~ esk9089_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_26875,axiom,
    ( ~ esk7847_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_26876,axiom,
    ( esk6018_4(X1,X2,X3,X4)
    | ~ esk6237_4(X1,X2,X3,X4) )).

cnf(i_0_26877,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk3523_4(X1,X2,X3,X4)
    | esk3902_4(X1,X2,X3,X4) )).

cnf(i_0_26878,axiom,
    ( ~ p(X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X2)
    | esk8731_4(X1,X2,X3,X4)
    | ~ esk685_0 )).

cnf(i_0_26879,axiom,
    ( ~ esk1882_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_26880,axiom,
    ( ~ p(X3)
    | p(X4)
    | ~ esk7774_4(X1,X2,X3,X4)
    | esk69_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_26881,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8119_4(X1,X2,X3,X4) )).

cnf(i_0_26882,axiom,
    ( ~ p(X1)
    | ~ esk791_0
    | ~ p(X4)
    | p(X2)
    | esk2785_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_26883,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4198_4(X1,X2,X3,X4) )).

cnf(i_0_26884,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | esk9172_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | ~ esk1109_0 )).

cnf(i_0_26885,axiom,
    ( ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6440_4(X1,X2,X3,X4)
    | ~ esk6623_4(X1,X2,X3,X4) )).

cnf(i_0_26886,axiom,
    ( p(X3)
    | p(X4)
    | ~ p(X1)
    | esk9109_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1005_0 )).

cnf(i_0_26887,axiom,
    ( ~ p(X1)
    | ~ p(X4)
    | ~ esk2435_4(X1,X2,X3,X4)
    | ~ p(X3)
    | esk688_0
    | p(X2) )).

cnf(i_0_26888,axiom,
    ( ~ esk5312_4(X1,X2,X3,X4)
    | esk3917_4(X1,X2,X3,X4) )).

cnf(i_0_26889,axiom,
    ( esk8333_4(X1,X2,X3,X4)
    | ~ esk8332_4(X1,X2,X3,X4) )).

cnf(i_0_26890,axiom,
    ( esk5984_4(X1,X2,X3,X4)
    | ~ esk6544_4(X1,X2,X3,X4)
    | ~ esk5983_4(X1,X2,X3,X4) )).

cnf(i_0_26891,axiom,
    ( esk7925_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_26892,axiom,
    ( esk9635_4(X1,X2,X3,X4)
    | ~ esk9634_4(X1,X2,X3,X4) )).

cnf(i_0_26893,axiom,
    ( esk5871_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_26894,axiom,
    ( esk6766_4(X1,X2,X3,X4)
    | ~ esk6735_4(X1,X2,X3,X4)
    | ~ esk6765_4(X1,X2,X3,X4) )).

cnf(i_0_26895,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4)
    | esk7215_4(X1,X2,X3,X4) )).

cnf(i_0_26896,axiom,
    ( p(X1)
    | p(X2)
    | ~ esk8391_4(X1,X2,X3,X4)
    | esk454_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_26897,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | esk5264_4(X1,X2,X3,X4)
    | ~ esk5261_4(X1,X2,X3,X4) )).

cnf(i_0_26898,axiom,
    ( esk6961_4(X1,X2,X3,X4)
    | ~ esk7000_4(X1,X2,X3,X4) )).

cnf(i_0_26899,axiom,
    ( esk2543_4(X1,X2,X3,X4)
    | esk2544_4(X1,X2,X3,X4)
    | ~ esk2545_4(X1,X2,X3,X4) )).

cnf(i_0_26900,axiom,
    ( p(X2)
    | ~ p(X4)
    | ~ esk2952_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk1318_0 )).

cnf(i_0_26901,axiom,
    ( ~ esk2182_4(X1,X2,X3,X4)
    | esk2181_4(X1,X2,X3,X4)
    | esk2180_4(X1,X2,X3,X4) )).

cnf(i_0_26902,axiom,
    ( esk9086_4(X1,X2,X3,X4)
    | ~ esk8990_4(X1,X2,X3,X4) )).

cnf(i_0_26903,axiom,
    ( ~ esk9502_4(X1,X2,X3,X4)
    | esk9503_4(X1,X2,X3,X4) )).

cnf(i_0_26904,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4134_4(X1,X2,X3,X4) )).

cnf(i_0_26905,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | esk1928_4(X1,X2,X3,X4) )).

cnf(i_0_26906,axiom,
    ( ~ esk9314_4(X1,X2,X3,X4)
    | esk9315_4(X1,X2,X3,X4) )).

cnf(i_0_26907,axiom,
    ( ~ esk3962_4(X1,X2,X3,X4)
    | ~ esk4545_4(X1,X2,X3,X4)
    | esk4857_4(X1,X2,X3,X4) )).

cnf(i_0_26908,axiom,
    ( ~ esk7829_4(X1,X2,X3,X4)
    | ~ esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_26909,axiom,
    ( esk6530_4(X1,X2,X3,X4)
    | ~ esk6529_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26910,axiom,
    ( esk5990_4(X1,X2,X3,X4)
    | ~ esk5985_4(X1,X2,X3,X4) )).

cnf(i_0_26911,axiom,
    ( esk3464_4(X1,X2,X3,X4)
    | ~ esk3745_4(X1,X2,X3,X4) )).

cnf(i_0_26912,axiom,
    ( ~ esk2458_4(X1,X2,X3,X4)
    | esk2459_4(X1,X2,X3,X4) )).

cnf(i_0_26913,axiom,
    ( esk4108_4(X1,X2,X3,X4)
    | ~ esk4106_4(X1,X2,X3,X4) )).

cnf(i_0_26914,axiom,
    ( ~ esk7302_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26915,axiom,
    ( esk5595_4(X1,X2,X3,X4)
    | ~ esk5841_4(X1,X2,X3,X4) )).

cnf(i_0_26916,axiom,
    ( esk3666_4(X1,X2,X3,X4)
    | ~ esk3665_4(X1,X2,X3,X4) )).

cnf(i_0_26917,axiom,
    ( esk8500_4(X1,X2,X3,X4)
    | esk8501_4(X1,X2,X3,X4)
    | ~ esk8462_4(X1,X2,X3,X4) )).

cnf(i_0_26918,axiom,
    ( esk6290_4(X1,X2,X3,X4)
    | ~ esk4190_4(X1,X2,X3,X4) )).

cnf(i_0_26919,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8532_4(X1,X2,X3,X4) )).

cnf(i_0_26920,axiom,
    ( ~ p(X1)
    | p(X3)
    | ~ esk599_0
    | p(X4)
    | ~ p(X2)
    | esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_26921,axiom,
    ( ~ esk372_0
    | esk1987_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_26922,axiom,
    ( esk1889_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_26923,axiom,
    ( p(X3)
    | ~ p(X4)
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk98_0 )).

cnf(i_0_26924,axiom,
    ( esk9145_4(X1,X2,X3,X4)
    | ~ esk9143_4(X1,X2,X3,X4) )).

cnf(i_0_26925,axiom,
    ( ~ esk8664_4(X1,X2,X3,X4)
    | esk9568_4(X1,X2,X3,X4) )).

cnf(i_0_26926,axiom,
    ( esk5126_4(X1,X2,X3,X4)
    | ~ esk5127_4(X1,X2,X3,X4) )).

cnf(i_0_26927,axiom,
    ( ~ esk8607_4(X1,X2,X3,X4)
    | esk8608_4(X1,X2,X3,X4) )).

cnf(i_0_26928,axiom,
    ( ~ esk103_0
    | esk7937_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_26929,axiom,
    ( esk3663_4(X1,X2,X3,X4)
    | ~ esk3664_4(X1,X2,X3,X4) )).

cnf(i_0_26930,axiom,
    ( ~ p(X1)
    | ~ esk73_0
    | ~ p(X3)
    | ~ p(X4)
    | p(X2)
    | esk1478_4(X1,X2,X3,X4) )).

cnf(i_0_26931,axiom,
    ( ~ esk5013_4(X1,X2,X3,X4)
    | esk3712_4(X1,X2,X3,X4)
    | ~ esk3711_4(X1,X2,X3,X4) )).

cnf(i_0_26932,axiom,
    ( ~ esk7465_4(X1,X2,X3,X4)
    | ~ esk7436_4(X1,X2,X3,X4)
    | esk7466_4(X1,X2,X3,X4) )).

cnf(i_0_26933,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ esk8156_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | esk275_0 )).

cnf(i_0_26934,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2175_4(X1,X2,X3,X4) )).

cnf(i_0_26935,axiom,
    ( esk2484_4(X1,X2,X3,X4)
    | ~ esk2063_4(X1,X2,X3,X4) )).

cnf(i_0_26936,axiom,
    ( ~ esk5331_4(X1,X2,X3,X4)
    | esk5330_4(X1,X2,X3,X4) )).

cnf(i_0_26937,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8904_4(X1,X2,X3,X4) )).

cnf(i_0_26938,axiom,
    ( esk8594_4(X1,X2,X3,X4)
    | ~ esk8596_4(X1,X2,X3,X4)
    | esk8595_4(X1,X2,X3,X4) )).

cnf(i_0_26939,axiom,
    ( ~ esk4158_4(X1,X2,X3,X4)
    | esk4268_4(X1,X2,X3,X4)
    | ~ esk4119_4(X1,X2,X3,X4) )).

cnf(i_0_26940,axiom,
    ( esk1452_4(X1,X2,X3,X4)
    | ~ esk2905_4(X1,X2,X3,X4) )).

cnf(i_0_26941,axiom,
    ( esk1769_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_26942,axiom,
    ( ~ esk3006_4(X1,X2,X3,X4)
    | esk3009_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_26943,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | ~ esk212_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_26944,axiom,
    ( ~ esk736_0
    | ~ p(X4)
    | ~ p(X2)
    | p(X3)
    | esk8747_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_26945,axiom,
    ( esk5379_4(X1,X2,X3,X4)
    | ~ esk5373_4(X1,X2,X3,X4) )).

cnf(i_0_26946,axiom,
    ( esk2874_4(X1,X2,X3,X4)
    | ~ esk1488_4(X1,X2,X3,X4) )).

cnf(i_0_26947,axiom,
    ( ~ esk3733_4(X1,X2,X3,X4)
    | esk3529_4(X1,X2,X3,X4) )).

cnf(i_0_26948,axiom,
    ( ~ esk4284_4(X1,X2,X3,X4)
    | esk4285_4(X1,X2,X3,X4) )).

cnf(i_0_26949,axiom,
    ( ~ esk3965_4(X1,X2,X3,X4)
    | esk3966_4(X1,X2,X3,X4) )).

cnf(i_0_26950,axiom,
    ( p(X4)
    | ~ esk283_0
    | p(X2)
    | ~ p(X1)
    | esk8156_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26951,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4747_4(X1,X2,X3,X4) )).

cnf(i_0_26952,axiom,
    ( ~ esk3837_4(X1,X2,X3,X4)
    | esk3797_4(X1,X2,X3,X4) )).

cnf(i_0_26953,axiom,
    ( ~ esk1911_4(X1,X2,X3,X4)
    | esk2419_4(X1,X2,X3,X4) )).

cnf(i_0_26954,axiom,
    ( ~ esk6988_4(X1,X2,X3,X4)
    | esk6937_4(X1,X2,X3,X4) )).

cnf(i_0_26955,axiom,
    ( esk4151_4(X1,X2,X3,X4)
    | ~ esk3984_4(X1,X2,X3,X4)
    | ~ esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_26956,axiom,
    ( ~ esk2357_4(X1,X2,X3,X4)
    | esk2358_4(X1,X2,X3,X4) )).

cnf(i_0_26957,axiom,
    ( esk7408_4(X1,X2,X3,X4)
    | ~ esk7406_4(X1,X2,X3,X4) )).

cnf(i_0_26958,axiom,
    ( esk4741_4(X1,X2,X3,X4)
    | ~ esk4740_4(X1,X2,X3,X4) )).

cnf(i_0_26959,axiom,
    ( ~ p(X4)
    | esk849_0
    | ~ esk2793_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_26960,axiom,
    ( ~ esk1120_0
    | p(X2)
    | p(X3)
    | ~ p(X1)
    | esk2878_4(X1,X2,X3,X4)
    | p(X4) )).

cnf(i_0_26961,axiom,
    ( esk6021_4(X1,X2,X3,X4)
    | ~ esk7642_4(X1,X2,X3,X4) )).

cnf(i_0_26962,axiom,
    ( esk3006_4(X1,X2,X3,X4)
    | ~ esk3009_4(X1,X2,X3,X4) )).

cnf(i_0_26963,axiom,
    ( ~ esk9482_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_26964,axiom,
    ( ~ esk4477_4(X1,X2,X3,X4)
    | esk4011_4(X1,X2,X3,X4) )).

cnf(i_0_26965,axiom,
    ( esk1587_4(X1,X2,X3,X4)
    | ~ esk1585_4(X1,X2,X3,X4) )).

cnf(i_0_26966,axiom,
    ( esk7405_4(X1,X2,X3,X4)
    | esk6017_4(X1,X2,X3,X4) )).

cnf(i_0_26967,axiom,
    ( ~ p(X2)
    | ~ esk8048_4(X1,X2,X3,X4)
    | esk195_0
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_26968,axiom,
    ( ~ esk9486_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26969,axiom,
    ( esk7740_4(X1,X2,X3,X4)
    | ~ esk55_0
    | ~ p(X2)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_26970,axiom,
    ( ~ p(X3)
    | esk1054_0
    | p(X4)
    | p(X1)
    | p(X2)
    | ~ esk2870_4(X1,X2,X3,X4) )).

cnf(i_0_26971,axiom,
    ( ~ esk9357_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26972,axiom,
    ( ~ esk2258_4(X1,X2,X3,X4)
    | esk2260_4(X1,X2,X3,X4) )).

cnf(i_0_26973,axiom,
    ( ~ esk7287_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_26974,axiom,
    ( ~ esk7347_4(X1,X2,X3,X4)
    | esk7348_4(X1,X2,X3,X4) )).

cnf(i_0_26975,axiom,
    ( ~ esk6786_4(X1,X2,X3,X4)
    | esk6785_4(X1,X2,X3,X4) )).

cnf(i_0_26976,axiom,
    ( ~ esk5768_4(X1,X2,X3,X4)
    | esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_26977,axiom,
    ( ~ esk8172_4(X1,X2,X3,X4)
    | ~ esk8249_4(X1,X2,X3,X4)
    | ~ esk9583_4(X1,X2,X3,X4) )).

cnf(i_0_26978,axiom,
    ( esk6542_4(X1,X2,X3,X4)
    | ~ esk6541_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26979,axiom,
    ( ~ esk6344_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_26980,axiom,
    ( ~ esk3607_4(X1,X2,X3,X4)
    | esk3609_4(X1,X2,X3,X4) )).

cnf(i_0_26981,axiom,
    ( ~ esk6469_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_26982,axiom,
    ( ~ esk4501_4(X1,X2,X3,X4)
    | esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_26983,axiom,
    ( ~ esk844_0
    | p(X1)
    | p(X2)
    | esk2793_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_26984,axiom,
    ( esk1142_0
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X1)
    | ~ esk2880_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_26985,axiom,
    ( ~ esk7730_4(X1,X2,X3,X4)
    | esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_26986,axiom,
    ( ~ esk4152_4(X1,X2,X3,X4)
    | esk4534_4(X1,X2,X3,X4) )).

cnf(i_0_26987,axiom,
    ( ~ esk1_0
    | esk2451_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | p(X1) )).

cnf(i_0_26988,axiom,
    ( ~ p(X2)
    | ~ esk1246_0
    | ~ p(X1)
    | ~ p(X3)
    | p(X4)
    | esk2914_4(X1,X2,X3,X4) )).

cnf(i_0_26989,axiom,
    ( ~ esk2351_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | esk2352_4(X1,X2,X3,X4) )).

cnf(i_0_26990,axiom,
    ( ~ esk1857_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_26991,axiom,
    ( ~ p(X2)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk1440_4(X1,X2,X3,X4)
    | esk32_0
    | ~ p(X4) )).

cnf(i_0_26992,axiom,
    ( ~ esk2733_4(X1,X2,X3,X4)
    | esk2735_4(X1,X2,X3,X4) )).

cnf(i_0_26993,axiom,
    ( esk6891_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4)
    | ~ esk6987_4(X1,X2,X3,X4) )).

cnf(i_0_26994,axiom,
    ( ~ esk9397_4(X1,X2,X3,X4)
    | esk9399_4(X1,X2,X3,X4) )).

cnf(i_0_26995,axiom,
    ( esk9086_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4)
    | ~ esk9590_4(X1,X2,X3,X4) )).

cnf(i_0_26996,axiom,
    ( ~ p(X3)
    | ~ esk2870_4(X1,X2,X3,X4)
    | p(X2)
    | esk1055_0
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_26997,axiom,
    ( p(X3)
    | p(X4)
    | p(X1)
    | esk138_0
    | p(X2)
    | ~ esk8042_4(X1,X2,X3,X4) )).

cnf(i_0_26998,axiom,
    ( ~ esk6476_4(X1,X2,X3,X4)
    | esk6478_4(X1,X2,X3,X4) )).

cnf(i_0_26999,axiom,
    ( ~ esk9618_4(X1,X2,X3,X4)
    | esk9619_4(X1,X2,X3,X4) )).

cnf(i_0_27000,axiom,
    ( esk3604_4(X1,X2,X3,X4)
    | ~ esk3579_4(X1,X2,X3,X4)
    | ~ esk5053_4(X1,X2,X3,X4) )).

cnf(i_0_27001,axiom,
    ( ~ esk6044_4(X1,X2,X3,X4)
    | esk6042_4(X1,X2,X3,X4)
    | esk6043_4(X1,X2,X3,X4) )).

cnf(i_0_27002,axiom,
    ( ~ esk2232_4(X1,X2,X3,X4)
    | esk2233_4(X1,X2,X3,X4) )).

cnf(i_0_27003,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk4205_4(X1,X2,X3,X4) )).

cnf(i_0_27004,axiom,
    ( ~ esk3046_4(X1,X2,X3,X4)
    | esk3044_4(X1,X2,X3,X4)
    | esk3045_4(X1,X2,X3,X4) )).

cnf(i_0_27005,axiom,
    ( ~ esk1575_4(X1,X2,X3,X4)
    | esk1573_4(X1,X2,X3,X4)
    | esk1574_4(X1,X2,X3,X4) )).

cnf(i_0_27006,axiom,
    ( ~ esk7024_4(X1,X2,X3,X4)
    | esk7013_4(X1,X2,X3,X4)
    | esk7052_4(X1,X2,X3,X4) )).

cnf(i_0_27007,axiom,
    ( ~ esk8819_4(X1,X2,X3,X4)
    | esk9082_4(X1,X2,X3,X4) )).

cnf(i_0_27008,axiom,
    ( ~ esk6018_4(X1,X2,X3,X4)
    | ~ esk7401_4(X1,X2,X3,X4) )).

cnf(i_0_27009,axiom,
    ( esk1755_4(X1,X2,X3,X4)
    | ~ esk3855_4(X1,X2,X3,X4) )).

cnf(i_0_27010,axiom,
    ( esk5293_4(X1,X2,X3,X4)
    | ~ esk5307_4(X1,X2,X3,X4) )).

cnf(i_0_27011,axiom,
    ( esk2643_4(X1,X2,X3,X4)
    | esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_27012,axiom,
    ( ~ esk2871_4(X1,X2,X3,X4)
    | esk2455_4(X1,X2,X3,X4) )).

cnf(i_0_27013,axiom,
    ( ~ esk9252_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | p(X2)
    | ~ p(X1)
    | esk1334_0 )).

cnf(i_0_27014,axiom,
    ( esk3158_4(X1,X2,X3,X4)
    | ~ esk3157_4(X1,X2,X3,X4) )).

cnf(i_0_27015,axiom,
    ( esk6637_4(X1,X2,X3,X4)
    | ~ esk7555_4(X1,X2,X3,X4) )).

cnf(i_0_27016,axiom,
    ( ~ esk8930_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_27017,axiom,
    ( esk3798_4(X1,X2,X3,X4)
    | ~ esk3970_4(X1,X2,X3,X4) )).

cnf(i_0_27018,axiom,
    ( esk9024_4(X1,X2,X3,X4)
    | ~ esk9023_4(X1,X2,X3,X4) )).

cnf(i_0_27019,axiom,
    ( ~ esk5622_4(X1,X2,X3,X4)
    | esk7282_4(X1,X2,X3,X4)
    | ~ esk7281_4(X1,X2,X3,X4) )).

cnf(i_0_27020,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk9190_4(X1,X2,X3,X4)
    | p(X1)
    | esk1195_0
    | ~ p(X2) )).

cnf(i_0_27021,axiom,
    ( esk5427_4(X1,X2,X3,X4)
    | ~ esk4898_4(X1,X2,X3,X4)
    | ~ esk5426_4(X1,X2,X3,X4) )).

cnf(i_0_27022,axiom,
    ( ~ esk7771_4(X1,X2,X3,X4)
    | esk7660_4(X1,X2,X3,X4) )).

cnf(i_0_27023,axiom,
    ( esk4487_4(X1,X2,X3,X4)
    | ~ esk4488_4(X1,X2,X3,X4) )).

cnf(i_0_27024,axiom,
    ( esk2880_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ esk1142_0
    | ~ p(X3)
    | ~ p(X1)
    | ~ p(X2) )).

cnf(i_0_27025,axiom,
    ( ~ esk7019_4(X1,X2,X3,X4)
    | esk5620_4(X1,X2,X3,X4) )).

cnf(i_0_27026,axiom,
    ( esk7961_4(X1,X2,X3,X4)
    | ~ esk7960_4(X1,X2,X3,X4) )).

cnf(i_0_27027,axiom,
    ( ~ esk3057_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_27028,axiom,
    ( esk3976_4(X1,X2,X3,X4)
    | esk4536_4(X1,X2,X3,X4)
    | ~ esk4227_4(X1,X2,X3,X4) )).

cnf(i_0_27029,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk7231_4(X1,X2,X3,X4) )).

cnf(i_0_27030,axiom,
    ( esk3784_4(X1,X2,X3,X4)
    | ~ esk4985_4(X1,X2,X3,X4) )).

cnf(i_0_27031,axiom,
    ( esk6265_4(X1,X2,X3,X4)
    | ~ esk6264_4(X1,X2,X3,X4) )).

cnf(i_0_27032,axiom,
    ( esk8943_4(X1,X2,X3,X4)
    | ~ esk8941_4(X1,X2,X3,X4) )).

cnf(i_0_27033,axiom,
    ( esk1423_4(X1,X2,X3,X4)
    | ~ esk3290_4(X1,X2,X3,X4) )).

cnf(i_0_27034,axiom,
    ( esk1894_4(X1,X2,X3,X4)
    | ~ esk1893_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_27035,axiom,
    ( ~ esk5299_4(X1,X2,X3,X4)
    | esk3523_4(X1,X2,X3,X4) )).

cnf(i_0_27036,axiom,
    ( ~ esk8671_4(X1,X2,X3,X4)
    | esk8244_4(X1,X2,X3,X4) )).

cnf(i_0_27037,axiom,
    ( esk2204_4(X1,X2,X3,X4)
    | ~ esk2243_4(X1,X2,X3,X4)
    | esk2242_4(X1,X2,X3,X4) )).

cnf(i_0_27038,axiom,
    ( ~ esk1679_4(X1,X2,X3,X4)
    | esk1375_4(X1,X2,X3,X4) )).

cnf(i_0_27039,axiom,
    ( ~ esk8272_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_27040,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk9019_4(X1,X2,X3,X4) )).

cnf(i_0_27041,axiom,
    ( esk6769_4(X1,X2,X3,X4)
    | ~ esk5883_4(X1,X2,X3,X4) )).

cnf(i_0_27042,axiom,
    ( ~ esk5906_4(X1,X2,X3,X4)
    | esk7025_4(X1,X2,X3,X4) )).

cnf(i_0_27043,axiom,
    ( esk2602_4(X1,X2,X3,X4)
    | ~ esk3321_4(X1,X2,X3,X4) )).

cnf(i_0_27044,axiom,
    ( esk1740_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_27045,axiom,
    ( p(X3)
    | p(X1)
    | esk983_0
    | ~ p(X4)
    | ~ esk9107_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_27046,axiom,
    ( esk7557_4(X1,X2,X3,X4)
    | ~ esk7558_4(X1,X2,X3,X4) )).

cnf(i_0_27047,axiom,
    ( ~ esk3918_4(X1,X2,X3,X4)
    | ~ esk5278_4(X1,X2,X3,X4) )).

cnf(i_0_27048,axiom,
    ( esk7836_4(X1,X2,X3,X4)
    | ~ esk7835_4(X1,X2,X3,X4) )).

cnf(i_0_27049,axiom,
    ( esk2552_4(X1,X2,X3,X4)
    | ~ esk2601_4(X1,X2,X3,X4) )).

cnf(i_0_27050,axiom,
    ( ~ esk1748_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | esk157_0
    | p(X1)
    | p(X3) )).

cnf(i_0_27051,axiom,
    ( ~ esk4808_4(X1,X2,X3,X4)
    | esk4640_4(X1,X2,X3,X4) )).

cnf(i_0_27052,axiom,
    ( esk6291_4(X1,X2,X3,X4)
    | ~ esk6073_4(X1,X2,X3,X4) )).

cnf(i_0_27053,axiom,
    ( p(X4)
    | p(X2)
    | ~ esk1212_0
    | ~ p(X1)
    | ~ p(X3)
    | esk2898_4(X1,X2,X3,X4) )).

cnf(i_0_27054,axiom,
    ( ~ esk1547_4(X1,X2,X3,X4)
    | esk1610_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_27055,axiom,
    ( ~ esk9110_4(X1,X2,X3,X4)
    | esk8941_4(X1,X2,X3,X4)
    | ~ esk8940_4(X1,X2,X3,X4) )).

cnf(i_0_27056,axiom,
    ( ~ esk8225_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_27057,axiom,
    ( esk5369_4(X1,X2,X3,X4)
    | ~ esk4512_4(X1,X2,X3,X4) )).

cnf(i_0_27058,axiom,
    ( ~ esk1672_4(X1,X2,X3,X4)
    | ~ esk1354_4(X1,X2,X3,X4) )).

cnf(i_0_27059,axiom,
    ( esk5082_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_27060,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ esk2809_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | esk965_0 )).

cnf(i_0_27061,axiom,
    ( esk2910_4(X1,X2,X3,X4)
    | ~ esk2912_4(X1,X2,X3,X4)
    | esk2911_4(X1,X2,X3,X4) )).

cnf(i_0_27062,axiom,
    ( esk3090_4(X1,X2,X3,X4)
    | ~ esk3089_4(X1,X2,X3,X4) )).

cnf(i_0_27063,axiom,
    ( p(X2)
    | ~ p(X1)
    | p(X3)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1242_0
    | ~ p(X4) )).

cnf(i_0_27064,axiom,
    ( ~ esk2586_4(X1,X2,X3,X4)
    | esk2584_4(X1,X2,X3,X4)
    | esk2585_4(X1,X2,X3,X4) )).

cnf(i_0_27065,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3173_4(X1,X2,X3,X4) )).

cnf(i_0_27066,axiom,
    ( ~ p(X4)
    | p(X2)
    | esk9101_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk942_0
    | p(X3) )).

cnf(i_0_27067,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk2092_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | esk448_0 )).

cnf(i_0_27068,axiom,
    ( esk7149_4(X1,X2,X3,X4)
    | ~ esk9249_4(X1,X2,X3,X4) )).

cnf(i_0_27069,axiom,
    ( ~ esk3899_4(X1,X2,X3,X4)
    | esk3897_4(X1,X2,X3,X4)
    | esk3898_4(X1,X2,X3,X4) )).

cnf(i_0_27070,axiom,
    ( ~ p(X1)
    | ~ esk565_0
    | p(X3)
    | esk2419_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_27071,axiom,
    ( ~ esk7719_4(X1,X2,X3,X4)
    | esk8160_4(X1,X2,X3,X4) )).

cnf(i_0_27072,axiom,
    ( esk3680_4(X1,X2,X3,X4)
    | ~ esk3682_4(X1,X2,X3,X4)
    | esk3681_4(X1,X2,X3,X4) )).

cnf(i_0_27073,axiom,
    ( ~ esk4538_4(X1,X2,X3,X4)
    | ~ esk5486_4(X1,X2,X3,X4) )).

cnf(i_0_27074,axiom,
    ( ~ esk2599_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_27075,axiom,
    ( esk3978_4(X1,X2,X3,X4)
    | ~ esk3985_4(X1,X2,X3,X4) )).

cnf(i_0_27076,axiom,
    ( esk5641_4(X1,X2,X3,X4)
    | ~ esk7741_4(X1,X2,X3,X4) )).

cnf(i_0_27077,axiom,
    ( ~ esk4825_4(X1,X2,X3,X4)
    | esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_27078,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk5093_4(X1,X2,X3,X4)
    | esk5096_4(X1,X2,X3,X4) )).

cnf(i_0_27079,axiom,
    ( ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4)
    | esk6976_4(X1,X2,X3,X4) )).

cnf(i_0_27080,axiom,
    ( ~ esk4643_4(X1,X2,X3,X4)
    | esk5380_4(X1,X2,X3,X4) )).

cnf(i_0_27081,axiom,
    ( ~ esk6522_4(X1,X2,X3,X4)
    | esk6524_4(X1,X2,X3,X4) )).

cnf(i_0_27082,axiom,
    ( p(X2)
    | ~ p(X3)
    | esk9150_4(X1,X2,X3,X4)
    | ~ esk1034_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_27083,axiom,
    ( esk7036_4(X1,X2,X3,X4)
    | ~ esk7013_4(X1,X2,X3,X4)
    | ~ esk7035_4(X1,X2,X3,X4) )).

cnf(i_0_27084,axiom,
    ( esk6621_4(X1,X2,X3,X4)
    | ~ esk6477_4(X1,X2,X3,X4) )).

cnf(i_0_27085,axiom,
    ( ~ esk7546_4(X1,X2,X3,X4)
    | esk7545_4(X1,X2,X3,X4) )).

cnf(i_0_27086,axiom,
    ( ~ esk2811_4(X1,X2,X3,X4)
    | ~ esk2841_4(X1,X2,X3,X4) )).

cnf(i_0_27087,axiom,
    ( p(X2)
    | ~ p(X3)
    | p(X1)
    | ~ esk9252_4(X1,X2,X3,X4)
    | p(X4)
    | esk1325_0 )).

cnf(i_0_27088,axiom,
    ( ~ esk4040_4(X1,X2,X3,X4)
    | esk4039_4(X1,X2,X3,X4) )).

cnf(i_0_27089,axiom,
    ( ~ p(X4)
    | ~ esk2874_4(X1,X2,X3,X4)
    | p(X3)
    | esk1087_0
    | ~ p(X2)
    | p(X1) )).

cnf(i_0_27090,axiom,
    ( esk7651_4(X1,X2,X3,X4)
    | esk7958_4(X1,X2,X3,X4) )).

cnf(i_0_27091,axiom,
    ( ~ p(X2)
    | esk700_0
    | ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk8733_4(X1,X2,X3,X4) )).

cnf(i_0_27092,axiom,
    ( esk4485_4(X1,X2,X3,X4)
    | ~ esk4379_4(X1,X2,X3,X4)
    | ~ esk3986_4(X1,X2,X3,X4) )).

cnf(i_0_27093,axiom,
    ( ~ esk2999_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4)
    | esk3000_4(X1,X2,X3,X4) )).

cnf(i_0_27094,axiom,
    ( ~ esk9600_4(X1,X2,X3,X4)
    | esk9601_4(X1,X2,X3,X4)
    | ~ esk9090_4(X1,X2,X3,X4) )).

cnf(i_0_27095,axiom,
    ( ~ esk1353_4(X1,X2,X3,X4)
    | esk1742_4(X1,X2,X3,X4)
    | ~ esk1699_4(X1,X2,X3,X4) )).

cnf(i_0_27096,axiom,
    ( p(X2)
    | esk8042_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X1)
    | ~ esk139_0
    | p(X3) )).

cnf(i_0_27097,axiom,
    ( esk2182_4(X1,X2,X3,X4)
    | ~ esk2181_4(X1,X2,X3,X4) )).

cnf(i_0_27098,axiom,
    ( esk3552_4(X1,X2,X3,X4)
    | ~ esk3553_4(X1,X2,X3,X4) )).

cnf(i_0_27099,axiom,
    ( esk2303_4(X1,X2,X3,X4)
    | ~ esk2302_4(X1,X2,X3,X4) )).

cnf(i_0_27100,axiom,
    ( ~ esk3455_4(X1,X2,X3,X4)
    | esk3581_4(X1,X2,X3,X4) )).

cnf(i_0_27101,axiom,
    ( ~ esk6752_4(X1,X2,X3,X4)
    | esk7001_4(X1,X2,X3,X4) )).

cnf(i_0_27102,axiom,
    ( ~ esk3404_4(X1,X2,X3,X4)
    | esk3403_4(X1,X2,X3,X4) )).

cnf(i_0_27103,axiom,
    ( esk3845_4(X1,X2,X3,X4)
    | ~ esk3490_4(X1,X2,X3,X4) )).

cnf(i_0_27104,axiom,
    ( p(X1)
    | p(X2)
    | esk1_0
    | p(X4)
    | p(X3)
    | ~ esk2803_4(X1,X2,X3,X4) )).

cnf(i_0_27105,axiom,
    ( ~ esk6729_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_27106,axiom,
    ( esk8717_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ p(X1)
    | ~ esk587_0 )).

cnf(i_0_27107,axiom,
    ( ~ esk8592_4(X1,X2,X3,X4)
    | ~ esk8876_4(X1,X2,X3,X4)
    | esk8877_4(X1,X2,X3,X4) )).

cnf(i_0_27108,axiom,
    ( esk1390_4(X1,X2,X3,X4)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_27109,axiom,
    ( esk1651_4(X1,X2,X3,X4)
    | ~ esk1649_4(X1,X2,X3,X4) )).

cnf(i_0_27110,axiom,
    ( ~ esk1692_4(X1,X2,X3,X4)
    | ~ esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27111,axiom,
    ( ~ esk8287_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4) )).

cnf(i_0_27112,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ esk1142_0
    | esk9176_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_27113,axiom,
    ( esk3054_4(X1,X2,X3,X4)
    | ~ esk3052_4(X1,X2,X3,X4) )).

cnf(i_0_27114,axiom,
    ( ~ esk7358_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_27115,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8947_4(X1,X2,X3,X4)
    | esk9714_4(X1,X2,X3,X4) )).

cnf(i_0_27116,axiom,
    ( p(X4)
    | ~ p(X3)
    | ~ esk650_0
    | p(X2)
    | p(X1)
    | esk8727_4(X1,X2,X3,X4) )).

cnf(i_0_27117,axiom,
    ( esk4228_4(X1,X2,X3,X4)
    | ~ esk4229_4(X1,X2,X3,X4) )).

cnf(i_0_27118,axiom,
    ( esk3817_4(X1,X2,X3,X4)
    | esk3816_4(X1,X2,X3,X4)
    | ~ esk3818_4(X1,X2,X3,X4) )).

cnf(i_0_27119,axiom,
    ( esk6254_4(X1,X2,X3,X4)
    | ~ esk6284_4(X1,X2,X3,X4) )).

cnf(i_0_27120,axiom,
    ( esk3915_4(X1,X2,X3,X4)
    | ~ esk3903_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_27121,axiom,
    ( esk2876_4(X1,X2,X3,X4)
    | ~ esk1396_4(X1,X2,X3,X4) )).

cnf(i_0_27122,axiom,
    ( esk3302_4(X1,X2,X3,X4)
    | esk2579_4(X1,X2,X3,X4) )).

cnf(i_0_27123,axiom,
    ( esk7657_4(X1,X2,X3,X4)
    | ~ esk8293_4(X1,X2,X3,X4) )).

cnf(i_0_27124,axiom,
    ( ~ esk7061_4(X1,X2,X3,X4)
    | ~ esk7062_4(X1,X2,X3,X4)
    | ~ esk6021_4(X1,X2,X3,X4) )).

cnf(i_0_27125,axiom,
    ( ~ p(X2)
    | ~ esk1776_4(X1,X2,X3,X4)
    | p(X1)
    | esk248_0
    | ~ p(X3)
    | p(X4) )).

cnf(i_0_27126,axiom,
    ( ~ esk3963_4(X1,X2,X3,X4)
    | ~ esk3919_4(X1,X2,X3,X4) )).

cnf(i_0_27127,axiom,
    ( ~ esk2917_4(X1,X2,X3,X4)
    | esk1619_4(X1,X2,X3,X4) )).

cnf(i_0_27128,axiom,
    ( ~ esk6495_4(X1,X2,X3,X4)
    | esk6494_4(X1,X2,X3,X4) )).

cnf(i_0_27129,axiom,
    ( esk8119_4(X1,X2,X3,X4)
    | ~ esk8057_4(X1,X2,X3,X4)
    | esk7651_4(X1,X2,X3,X4) )).

cnf(i_0_27130,axiom,
    ( ~ esk4346_4(X1,X2,X3,X4)
    | esk4347_4(X1,X2,X3,X4) )).

cnf(i_0_27131,axiom,
    ( p(X4)
    | esk1286_0
    | ~ esk9228_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_27132,axiom,
    ( ~ esk3730_4(X1,X2,X3,X4)
    | esk5040_4(X1,X2,X3,X4) )).

cnf(i_0_27133,axiom,
    ( ~ esk3407_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_27134,axiom,
    ( ~ esk9578_4(X1,X2,X3,X4)
    | ~ esk8928_4(X1,X2,X3,X4) )).

cnf(i_0_27135,axiom,
    ( p(X1)
    | esk9248_4(X1,X2,X3,X4)
    | ~ esk1311_0
    | p(X2)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_27136,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk8200_4(X1,X2,X3,X4) )).

cnf(i_0_27137,axiom,
    ( esk4597_4(X1,X2,X3,X4)
    | ~ esk4563_4(X1,X2,X3,X4)
    | ~ esk3863_4(X1,X2,X3,X4) )).

cnf(i_0_27138,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | ~ esk4257_4(X1,X2,X3,X4) )).

cnf(i_0_27139,axiom,
    ( ~ esk1639_4(X1,X2,X3,X4)
    | esk1637_4(X1,X2,X3,X4)
    | esk1638_4(X1,X2,X3,X4) )).

cnf(i_0_27140,axiom,
    ( esk1907_4(X1,X2,X3,X4)
    | ~ esk1908_4(X1,X2,X3,X4)
    | esk1906_4(X1,X2,X3,X4) )).

cnf(i_0_27141,axiom,
    ( esk1824_4(X1,X2,X3,X4)
    | ~ esk1834_4(X1,X2,X3,X4) )).

cnf(i_0_27142,axiom,
    ( esk2666_4(X1,X2,X3,X4)
    | ~ esk2665_4(X1,X2,X3,X4) )).

cnf(i_0_27143,axiom,
    ( esk1858_4(X1,X2,X3,X4)
    | ~ esk1856_4(X1,X2,X3,X4) )).

cnf(i_0_27144,axiom,
    ( ~ p(X2)
    | esk1254_0
    | ~ esk2918_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_27145,axiom,
    ( ~ esk3154_4(X1,X2,X3,X4)
    | esk3152_4(X1,X2,X3,X4)
    | esk3153_4(X1,X2,X3,X4) )).

cnf(i_0_27146,axiom,
    ( ~ esk2721_4(X1,X2,X3,X4)
    | esk2720_4(X1,X2,X3,X4) )).

cnf(i_0_27147,axiom,
    ( esk7396_4(X1,X2,X3,X4)
    | ~ esk7395_4(X1,X2,X3,X4) )).

cnf(i_0_27148,axiom,
    ( esk4785_4(X1,X2,X3,X4)
    | ~ esk5463_4(X1,X2,X3,X4) )).

cnf(i_0_27149,axiom,
    ( esk9567_4(X1,X2,X3,X4)
    | ~ esk8710_4(X1,X2,X3,X4) )).

cnf(i_0_27150,axiom,
    ( esk3785_4(X1,X2,X3,X4)
    | ~ esk3832_4(X1,X2,X3,X4) )).

cnf(i_0_27151,axiom,
    ( ~ esk2512_4(X1,X2,X3,X4)
    | ~ esk2495_4(X1,X2,X3,X4)
    | esk2527_4(X1,X2,X3,X4) )).

cnf(i_0_27152,axiom,
    ( esk9104_4(X1,X2,X3,X4)
    | ~ esk8917_4(X1,X2,X3,X4) )).

cnf(i_0_27153,axiom,
    ( p(X3)
    | ~ esk1267_0
    | esk2922_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_27154,axiom,
    ( ~ esk7903_4(X1,X2,X3,X4)
    | esk7811_4(X1,X2,X3,X4) )).

cnf(i_0_27155,axiom,
    ( ~ p(X2)
    | p(X3)
    | esk8717_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ esk585_0
    | p(X4) )).

cnf(i_0_27156,axiom,
    ( ~ esk2093_4(X1,X2,X3,X4)
    | esk2246_4(X1,X2,X3,X4)
    | ~ esk2245_4(X1,X2,X3,X4) )).

cnf(i_0_27157,axiom,
    ( ~ esk4536_4(X1,X2,X3,X4)
    | esk4227_4(X1,X2,X3,X4) )).

cnf(i_0_27158,axiom,
    ( esk9436_4(X1,X2,X3,X4)
    | ~ esk9437_4(X1,X2,X3,X4) )).

cnf(i_0_27159,axiom,
    ( esk3115_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27160,axiom,
    ( ~ esk6219_4(X1,X2,X3,X4)
    | esk6185_4(X1,X2,X3,X4) )).

cnf(i_0_27161,axiom,
    ( p(X1)
    | p(X3)
    | esk966_0
    | ~ esk2809_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4) )).

cnf(i_0_27162,axiom,
    ( esk7417_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_27163,axiom,
    ( ~ esk8521_4(X1,X2,X3,X4)
    | esk8483_4(X1,X2,X3,X4) )).

cnf(i_0_27164,axiom,
    ( esk9218_4(X1,X2,X3,X4)
    | ~ esk1274_0
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | p(X2) )).

cnf(i_0_27165,axiom,
    ( esk5522_4(X1,X2,X3,X4)
    | ~ esk5523_4(X1,X2,X3,X4) )).

cnf(i_0_27166,axiom,
    ( ~ esk9645_4(X1,X2,X3,X4)
    | esk8975_4(X1,X2,X3,X4) )).

cnf(i_0_27167,axiom,
    ( ~ esk6530_4(X1,X2,X3,X4)
    | esk6532_4(X1,X2,X3,X4) )).

cnf(i_0_27168,axiom,
    ( ~ esk3108_4(X1,X2,X3,X4)
    | esk3107_4(X1,X2,X3,X4) )).

cnf(i_0_27169,axiom,
    ( esk3328_4(X1,X2,X3,X4)
    | ~ esk3327_4(X1,X2,X3,X4)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_27170,axiom,
    ( esk7499_4(X1,X2,X3,X4)
    | ~ esk6989_4(X1,X2,X3,X4) )).

cnf(i_0_27171,axiom,
    ( esk2166_4(X1,X2,X3,X4)
    | ~ esk2205_4(X1,X2,X3,X4)
    | esk2431_4(X1,X2,X3,X4) )).

cnf(i_0_27172,axiom,
    ( esk8752_4(X1,X2,X3,X4)
    | ~ esk6652_4(X1,X2,X3,X4) )).

cnf(i_0_27173,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | ~ p(X4)
    | esk9190_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk1201_0 )).

cnf(i_0_27174,axiom,
    ( esk7007_4(X1,X2,X3,X4)
    | esk6849_4(X1,X2,X3,X4) )).

cnf(i_0_27175,axiom,
    ( ~ esk2920_4(X1,X2,X3,X4)
    | ~ esk1430_4(X1,X2,X3,X4)
    | esk1824_4(X1,X2,X3,X4) )).

cnf(i_0_27176,axiom,
    ( ~ esk3523_4(X1,X2,X3,X4)
    | esk3869_4(X1,X2,X3,X4)
    | ~ esk3868_4(X1,X2,X3,X4) )).

cnf(i_0_27177,axiom,
    ( ~ esk9082_4(X1,X2,X3,X4)
    | ~ esk8911_4(X1,X2,X3,X4)
    | esk9642_4(X1,X2,X3,X4) )).

cnf(i_0_27178,axiom,
    ( ~ esk8863_4(X1,X2,X3,X4)
    | esk8218_4(X1,X2,X3,X4)
    | ~ esk8217_4(X1,X2,X3,X4) )).

cnf(i_0_27179,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8180_4(X1,X2,X3,X4)
    | esk8711_4(X1,X2,X3,X4) )).

cnf(i_0_27180,axiom,
    ( ~ esk6932_4(X1,X2,X3,X4)
    | esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_27181,axiom,
    ( ~ esk1601_4(X1,X2,X3,X4)
    | esk1600_4(X1,X2,X3,X4) )).

cnf(i_0_27182,axiom,
    ( esk4568_4(X1,X2,X3,X4)
    | esk3521_4(X1,X2,X3,X4)
    | ~ esk4890_4(X1,X2,X3,X4) )).

cnf(i_0_27183,axiom,
    ( ~ p(X3)
    | esk683_0
    | p(X4)
    | ~ p(X2)
    | ~ esk2435_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_27184,axiom,
    ( ~ esk5442_4(X1,X2,X3,X4)
    | ~ esk4884_4(X1,X2,X3,X4) )).

cnf(i_0_27185,axiom,
    ( esk2499_4(X1,X2,X3,X4)
    | ~ esk2498_4(X1,X2,X3,X4) )).

cnf(i_0_27186,axiom,
    ( esk3909_4(X1,X2,X3,X4)
    | esk3918_4(X1,X2,X3,X4) )).

cnf(i_0_27187,axiom,
    ( esk1764_4(X1,X2,X3,X4)
    | esk2903_4(X1,X2,X3,X4) )).

cnf(i_0_27188,axiom,
    ( ~ esk2476_4(X1,X2,X3,X4)
    | esk2475_4(X1,X2,X3,X4) )).

cnf(i_0_27189,axiom,
    ( p(X3)
    | ~ esk1076_0
    | esk2872_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_27190,axiom,
    ( esk4394_4(X1,X2,X3,X4)
    | ~ esk4647_4(X1,X2,X3,X4) )).

cnf(i_0_27191,axiom,
    ( ~ p(X1)
    | p(X2)
    | esk7967_4(X1,X2,X3,X4)
    | ~ esk134_0
    | ~ p(X3)
    | ~ p(X4) )).

cnf(i_0_27192,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk5091_4(X1,X2,X3,X4) )).

cnf(i_0_27193,axiom,
    ( ~ esk6178_4(X1,X2,X3,X4)
    | esk6180_4(X1,X2,X3,X4) )).

cnf(i_0_27194,axiom,
    ( esk1612_4(X1,X2,X3,X4)
    | esk1430_4(X1,X2,X3,X4) )).

cnf(i_0_27195,axiom,
    ( ~ p(X2)
    | ~ esk449_0
    | esk2092_4(X1,X2,X3,X4)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_27196,axiom,
    ( esk5907_4(X1,X2,X3,X4)
    | ~ esk7112_4(X1,X2,X3,X4) )).

cnf(i_0_27197,axiom,
    ( ~ esk1354_4(X1,X2,X3,X4)
    | esk1663_4(X1,X2,X3,X4)
    | ~ esk2936_4(X1,X2,X3,X4) )).

cnf(i_0_27198,axiom,
    ( esk4898_4(X1,X2,X3,X4)
    | ~ esk3744_4(X1,X2,X3,X4) )).

cnf(i_0_27199,axiom,
    ( esk5037_4(X1,X2,X3,X4)
    | ~ esk3826_4(X1,X2,X3,X4)
    | ~ esk5036_4(X1,X2,X3,X4) )).

cnf(i_0_27200,axiom,
    ( esk5621_4(X1,X2,X3,X4)
    | ~ esk6665_4(X1,X2,X3,X4) )).

cnf(i_0_27201,axiom,
    ( esk8431_4(X1,X2,X3,X4)
    | ~ esk7653_4(X1,X2,X3,X4) )).

cnf(i_0_27202,axiom,
    ( esk6821_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_27203,axiom,
    ( esk8365_4(X1,X2,X3,X4)
    | esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_27204,axiom,
    ( ~ esk4674_4(X1,X2,X3,X4)
    | esk4192_4(X1,X2,X3,X4) )).

cnf(i_0_27205,axiom,
    ( ~ esk1731_4(X1,X2,X3,X4)
    | ~ esk1661_4(X1,X2,X3,X4)
    | esk1662_4(X1,X2,X3,X4) )).

cnf(i_0_27206,axiom,
    ( esk1991_4(X1,X2,X3,X4)
    | ~ esk1988_4(X1,X2,X3,X4) )).

cnf(i_0_27207,axiom,
    ( esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_27208,axiom,
    ( esk1514_4(X1,X2,X3,X4)
    | ~ esk1606_4(X1,X2,X3,X4) )).

cnf(i_0_27209,axiom,
    ( esk8333_4(X1,X2,X3,X4)
    | ~ esk8331_4(X1,X2,X3,X4) )).

cnf(i_0_27210,axiom,
    ( esk7727_4(X1,X2,X3,X4)
    | esk7893_4(X1,X2,X3,X4) )).

cnf(i_0_27211,axiom,
    ( ~ esk4323_4(X1,X2,X3,X4)
    | esk4285_4(X1,X2,X3,X4) )).

cnf(i_0_27212,axiom,
    ( esk4011_4(X1,X2,X3,X4)
    | ~ esk4009_4(X1,X2,X3,X4) )).

cnf(i_0_27213,axiom,
    ( esk7943_4(X1,X2,X3,X4)
    | ~ esk7662_4(X1,X2,X3,X4) )).

cnf(i_0_27214,axiom,
    ( ~ esk4913_4(X1,X2,X3,X4)
    | esk4947_4(X1,X2,X3,X4) )).

cnf(i_0_27215,axiom,
    ( ~ esk4508_4(X1,X2,X3,X4)
    | esk4507_4(X1,X2,X3,X4) )).

cnf(i_0_27216,axiom,
    ( ~ esk6093_4(X1,X2,X3,X4)
    | esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_27217,axiom,
    ( ~ esk2464_4(X1,X2,X3,X4)
    | ~ esk1876_4(X1,X2,X3,X4)
    | esk1650_4(X1,X2,X3,X4) )).

cnf(i_0_27218,axiom,
    ( ~ esk7419_4(X1,X2,X3,X4)
    | esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_27219,axiom,
    ( ~ esk8344_4(X1,X2,X3,X4)
    | esk8290_4(X1,X2,X3,X4) )).

cnf(i_0_27220,axiom,
    ( ~ esk2546_4(X1,X2,X3,X4)
    | ~ esk3281_4(X1,X2,X3,X4) )).

cnf(i_0_27221,axiom,
    ( esk8928_4(X1,X2,X3,X4)
    | esk9578_4(X1,X2,X3,X4) )).

cnf(i_0_27222,axiom,
    ( ~ esk5628_4(X1,X2,X3,X4)
    | ~ esk5786_4(X1,X2,X3,X4) )).

cnf(i_0_27223,axiom,
    ( p(X2)
    | esk1748_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk162_0
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_27224,axiom,
    ( ~ esk3974_4(X1,X2,X3,X4) )).

cnf(i_0_27225,axiom,
    ( ~ esk8890_4(X1,X2,X3,X4)
    | esk8891_4(X1,X2,X3,X4) )).

cnf(i_0_27226,axiom,
    ( ~ esk2629_4(X1,X2,X3,X4)
    | esk3292_4(X1,X2,X3,X4) )).

cnf(i_0_27227,axiom,
    ( esk1863_4(X1,X2,X3,X4)
    | ~ esk1973_4(X1,X2,X3,X4) )).

cnf(i_0_27228,axiom,
    ( esk2648_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4)
    | ~ esk2647_4(X1,X2,X3,X4) )).

cnf(i_0_27229,axiom,
    ( ~ p(X2)
    | ~ esk1_0
    | esk9218_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X3)
    | ~ p(X1) )).

cnf(i_0_27230,axiom,
    ( esk2224_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4)
    | ~ esk2186_4(X1,X2,X3,X4) )).

cnf(i_0_27231,axiom,
    ( p(X3)
    | p(X1)
    | esk8357_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X4)
    | ~ esk424_0 )).

cnf(i_0_27232,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk92_0
    | esk7812_4(X1,X2,X3,X4)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_27233,axiom,
    ( ~ esk8428_4(X1,X2,X3,X4)
    | esk9106_4(X1,X2,X3,X4) )).

cnf(i_0_27234,axiom,
    ( esk8713_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X2)
    | p(X4)
    | ~ esk545_0
    | p(X1) )).

cnf(i_0_27235,axiom,
    ( esk6901_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_27236,axiom,
    ( ~ esk5777_4(X1,X2,X3,X4)
    | esk7065_4(X1,X2,X3,X4) )).

cnf(i_0_27237,axiom,
    ( ~ esk1110_0
    | p(X4)
    | esk9172_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_27238,axiom,
    ( esk1832_4(X1,X2,X3,X4)
    | ~ esk1831_4(X1,X2,X3,X4) )).

cnf(i_0_27239,axiom,
    ( esk4948_4(X1,X2,X3,X4)
    | ~ esk4949_4(X1,X2,X3,X4) )).

cnf(i_0_27240,axiom,
    ( esk6872_4(X1,X2,X3,X4)
    | ~ esk6870_4(X1,X2,X3,X4) )).

cnf(i_0_27241,axiom,
    ( ~ esk6292_4(X1,X2,X3,X4)
    | esk8392_4(X1,X2,X3,X4) )).

cnf(i_0_27242,axiom,
    ( esk5200_4(X1,X2,X3,X4)
    | esk5199_4(X1,X2,X3,X4)
    | ~ esk5201_4(X1,X2,X3,X4) )).

cnf(i_0_27243,axiom,
    ( esk6019_4(X1,X2,X3,X4)
    | ~ esk6395_4(X1,X2,X3,X4) )).

cnf(i_0_27244,axiom,
    ( ~ esk3435_4(X1,X2,X3,X4)
    | esk2815_4(X1,X2,X3,X4)
    | esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_27245,axiom,
    ( esk2778_4(X1,X2,X3,X4)
    | ~ esk2446_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_27246,axiom,
    ( ~ p(X1)
    | ~ p(X2)
    | esk2_0
    | ~ p(X3)
    | ~ esk8751_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_27247,axiom,
    ( esk4880_4(X1,X2,X3,X4)
    | ~ esk4882_4(X1,X2,X3,X4)
    | esk4881_4(X1,X2,X3,X4) )).

cnf(i_0_27248,axiom,
    ( ~ esk8942_4(X1,X2,X3,X4)
    | esk8883_4(X1,X2,X3,X4) )).

cnf(i_0_27249,axiom,
    ( esk2669_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2799_4(X1,X2,X3,X4) )).

cnf(i_0_27250,axiom,
    ( ~ esk1550_4(X1,X2,X3,X4)
    | esk2953_4(X1,X2,X3,X4) )).

cnf(i_0_27251,axiom,
    ( esk9022_4(X1,X2,X3,X4)
    | ~ esk9703_4(X1,X2,X3,X4)
    | ~ esk9021_4(X1,X2,X3,X4) )).

cnf(i_0_27252,axiom,
    ( esk1754_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk202_0
    | p(X3)
    | ~ p(X4)
    | p(X1) )).

cnf(i_0_27253,axiom,
    ( ~ esk8982_4(X1,X2,X3,X4)
    | esk8983_4(X1,X2,X3,X4) )).

cnf(i_0_27254,axiom,
    ( esk2433_4(X1,X2,X3,X4)
    | ~ esk1877_4(X1,X2,X3,X4)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_27255,axiom,
    ( esk7530_4(X1,X2,X3,X4)
    | ~ esk6868_4(X1,X2,X3,X4)
    | ~ esk7529_4(X1,X2,X3,X4) )).

cnf(i_0_27256,axiom,
    ( ~ esk1177_0
    | ~ p(X4)
    | esk2890_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_27257,axiom,
    ( ~ esk990_0
    | p(X4)
    | p(X3)
    | ~ p(X1)
    | esk9107_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_27258,axiom,
    ( ~ p(X4)
    | ~ esk8717_4(X1,X2,X3,X4)
    | esk2_0
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_27259,axiom,
    ( esk6495_4(X1,X2,X3,X4)
    | esk6496_4(X1,X2,X3,X4)
    | ~ esk6497_4(X1,X2,X3,X4) )).

cnf(i_0_27260,axiom,
    ( ~ esk8759_4(X1,X2,X3,X4)
    | esk8761_4(X1,X2,X3,X4) )).

cnf(i_0_27261,axiom,
    ( ~ esk5865_4(X1,X2,X3,X4)
    | esk5551_4(X1,X2,X3,X4) )).

cnf(i_0_27262,axiom,
    ( ~ p(X2)
    | p(X3)
    | ~ esk8751_4(X1,X2,X3,X4)
    | esk766_0
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_27263,axiom,
    ( esk7529_4(X1,X2,X3,X4)
    | esk6637_4(X1,X2,X3,X4) )).

cnf(i_0_27264,axiom,
    ( ~ esk1370_4(X1,X2,X3,X4)
    | esk2895_4(X1,X2,X3,X4) )).

cnf(i_0_27265,axiom,
    ( ~ esk1868_4(X1,X2,X3,X4)
    | esk1696_4(X1,X2,X3,X4) )).

cnf(i_0_27266,axiom,
    ( esk3605_4(X1,X2,X3,X4)
    | ~ esk3604_4(X1,X2,X3,X4) )).

cnf(i_0_27267,axiom,
    ( ~ esk6252_4(X1,X2,X3,X4)
    | esk6249_4(X1,X2,X3,X4)
    | esk6251_4(X1,X2,X3,X4)
    | esk6250_4(X1,X2,X3,X4) )).

cnf(i_0_27268,axiom,
    ( ~ esk6911_4(X1,X2,X3,X4)
    | esk6912_4(X1,X2,X3,X4) )).

cnf(i_0_27269,axiom,
    ( ~ esk8761_4(X1,X2,X3,X4)
    | esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_27270,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | esk1038_0
    | ~ esk2868_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_27271,axiom,
    ( esk5983_4(X1,X2,X3,X4)
    | ~ esk5984_4(X1,X2,X3,X4) )).

cnf(i_0_27272,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | esk9095_4(X1,X2,X3,X4)
    | p(X2)
    | ~ esk898_0 )).

cnf(i_0_27273,axiom,
    ( esk2743_4(X1,X2,X3,X4)
    | ~ esk2741_4(X1,X2,X3,X4) )).

cnf(i_0_27274,axiom,
    ( esk1804_4(X1,X2,X3,X4)
    | ~ esk1803_4(X1,X2,X3,X4) )).

cnf(i_0_27275,axiom,
    ( p(X2)
    | p(X3)
    | ~ esk9214_4(X1,X2,X3,X4)
    | esk1248_0
    | p(X1)
    | p(X4) )).

cnf(i_0_27276,axiom,
    ( ~ esk3056_4(X1,X2,X3,X4)
    | esk3058_4(X1,X2,X3,X4) )).

cnf(i_0_27277,axiom,
    ( p(X3)
    | ~ esk596_0
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk8719_4(X1,X2,X3,X4) )).

cnf(i_0_27278,axiom,
    ( p(X3)
    | ~ esk2453_4(X1,X2,X3,X4)
    | ~ p(X4)
    | esk738_0
    | p(X2)
    | p(X1) )).

cnf(i_0_27279,axiom,
    ( ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk977_0
    | esk2809_4(X1,X2,X3,X4) )).

cnf(i_0_27280,axiom,
    ( p(X3)
    | ~ p(X2)
    | ~ esk616_0
    | ~ p(X1)
    | esk8721_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_27281,axiom,
    ( ~ esk9219_4(X1,X2,X3,X4)
    | ~ esk7853_4(X1,X2,X3,X4)
    | esk7854_4(X1,X2,X3,X4) )).

cnf(i_0_27282,axiom,
    ( ~ esk8752_4(X1,X2,X3,X4)
    | ~ esk9745_4(X1,X2,X3,X4)
    | ~ esk8120_4(X1,X2,X3,X4) )).

cnf(i_0_27283,axiom,
    ( ~ esk7781_4(X1,X2,X3,X4)
    | esk7783_4(X1,X2,X3,X4) )).

cnf(i_0_27284,axiom,
    ( ~ esk1782_4(X1,X2,X3,X4)
    | esk2342_4(X1,X2,X3,X4) )).

cnf(i_0_27285,axiom,
    ( esk7609_4(X1,X2,X3,X4)
    | ~ esk7610_4(X1,X2,X3,X4) )).

cnf(i_0_27286,axiom,
    ( ~ p(X2)
    | p(X3)
    | p(X4)
    | p(X1)
    | esk2795_4(X1,X2,X3,X4)
    | ~ esk861_0 )).

cnf(i_0_27287,axiom,
    ( ~ esk447_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X4)
    | p(X2)
    | esk8388_4(X1,X2,X3,X4) )).

cnf(i_0_27288,axiom,
    ( ~ p(X1)
    | esk2809_4(X1,X2,X3,X4)
    | ~ esk971_0
    | p(X3)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_27289,axiom,
    ( ~ esk6581_4(X1,X2,X3,X4)
    | esk6580_4(X1,X2,X3,X4)
    | esk6579_4(X1,X2,X3,X4) )).

cnf(i_0_27290,axiom,
    ( esk8931_4(X1,X2,X3,X4)
    | ~ esk8930_4(X1,X2,X3,X4) )).

cnf(i_0_27291,axiom,
    ( esk2446_4(X1,X2,X3,X4)
    | esk2760_4(X1,X2,X3,X4) )).

cnf(i_0_27292,axiom,
    ( ~ esk6572_4(X1,X2,X3,X4)
    | esk6145_4(X1,X2,X3,X4) )).

cnf(i_0_27293,axiom,
    ( esk7308_4(X1,X2,X3,X4)
    | ~ esk7307_4(X1,X2,X3,X4) )).

cnf(i_0_27294,axiom,
    ( esk8124_4(X1,X2,X3,X4)
    | ~ esk8125_4(X1,X2,X3,X4)
    | esk8123_4(X1,X2,X3,X4) )).

cnf(i_0_27295,axiom,
    ( esk2126_4(X1,X2,X3,X4)
    | ~ esk2090_4(X1,X2,X3,X4)
    | esk2127_4(X1,X2,X3,X4) )).

cnf(i_0_27296,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | esk8875_4(X1,X2,X3,X4) )).

cnf(i_0_27297,axiom,
    ( esk9581_4(X1,X2,X3,X4)
    | esk9580_4(X1,X2,X3,X4)
    | ~ esk9582_4(X1,X2,X3,X4)
    | esk9579_4(X1,X2,X3,X4) )).

cnf(i_0_27298,axiom,
    ( esk3523_4(X1,X2,X3,X4)
    | ~ esk3905_4(X1,X2,X3,X4) )).

cnf(i_0_27299,axiom,
    ( ~ esk6155_4(X1,X2,X3,X4)
    | esk8255_4(X1,X2,X3,X4) )).

cnf(i_0_27300,axiom,
    ( ~ esk5694_4(X1,X2,X3,X4)
    | esk7080_4(X1,X2,X3,X4) )).

cnf(i_0_27301,axiom,
    ( esk5714_4(X1,X2,X3,X4)
    | ~ esk5600_4(X1,X2,X3,X4) )).

cnf(i_0_27302,axiom,
    ( ~ esk3827_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_27303,axiom,
    ( ~ esk7151_4(X1,X2,X3,X4)
    | ~ esk5770_4(X1,X2,X3,X4) )).

cnf(i_0_27304,axiom,
    ( esk1823_4(X1,X2,X3,X4)
    | esk2863_4(X1,X2,X3,X4)
    | ~ esk2864_4(X1,X2,X3,X4) )).

cnf(i_0_27305,axiom,
    ( ~ esk9496_4(X1,X2,X3,X4)
    | ~ esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_27306,axiom,
    ( esk7659_4(X1,X2,X3,X4)
    | ~ esk8216_4(X1,X2,X3,X4) )).

cnf(i_0_27307,axiom,
    ( ~ p(X2)
    | p(X1)
    | ~ p(X4)
    | esk1776_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ esk249_0 )).

cnf(i_0_27308,axiom,
    ( esk724_0
    | p(X2)
    | ~ p(X4)
    | p(X1)
    | p(X3)
    | ~ esk8747_4(X1,X2,X3,X4) )).

cnf(i_0_27309,axiom,
    ( esk2697_4(X1,X2,X3,X4)
    | ~ esk2785_4(X1,X2,X3,X4)
    | ~ esk2791_4(X1,X2,X3,X4) )).

cnf(i_0_27310,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | esk9388_4(X1,X2,X3,X4) )).

cnf(i_0_27311,axiom,
    ( ~ esk3021_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_27312,axiom,
    ( esk1360_4(X1,X2,X3,X4)
    | ~ esk1530_4(X1,X2,X3,X4) )).

cnf(i_0_27313,axiom,
    ( ~ esk2495_4(X1,X2,X3,X4)
    | esk2515_4(X1,X2,X3,X4)
    | ~ esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_27314,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk2898_4(X1,X2,X3,X4)
    | esk1206_0
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_27315,axiom,
    ( ~ esk7311_4(X1,X2,X3,X4)
    | esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_27316,axiom,
    ( esk9082_4(X1,X2,X3,X4)
    | esk8992_4(X1,X2,X3,X4) )).

cnf(i_0_27317,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk8291_4(X1,X2,X3,X4)
    | ~ p(X4)
    | ~ p(X2)
    | esk2_0 )).

cnf(i_0_27318,axiom,
    ( ~ esk1718_4(X1,X2,X3,X4)
    | esk1353_4(X1,X2,X3,X4) )).

cnf(i_0_27319,axiom,
    ( ~ esk6651_4(X1,X2,X3,X4)
    | ~ esk5651_4(X1,X2,X3,X4)
    | esk5652_4(X1,X2,X3,X4) )).

cnf(i_0_27320,axiom,
    ( esk2353_4(X1,X2,X3,X4)
    | ~ esk2354_4(X1,X2,X3,X4)
    | esk2352_4(X1,X2,X3,X4) )).

cnf(i_0_27321,axiom,
    ( ~ esk6785_4(X1,X2,X3,X4)
    | esk6786_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_27322,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | ~ esk1671_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk136_0
    | p(X4) )).

cnf(i_0_27323,axiom,
    ( ~ esk2426_4(X1,X2,X3,X4)
    | esk2395_4(X1,X2,X3,X4) )).

cnf(i_0_27324,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ p(X3)
    | ~ esk2890_4(X1,X2,X3,X4)
    | ~ p(X2)
    | esk1179_0 )).

cnf(i_0_27325,axiom,
    ( ~ esk5473_4(X1,X2,X3,X4)
    | esk5471_4(X1,X2,X3,X4)
    | esk5472_4(X1,X2,X3,X4) )).

cnf(i_0_27326,axiom,
    ( esk9061_4(X1,X2,X3,X4)
    | esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_27327,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | ~ esk2216_4(X1,X2,X3,X4) )).

cnf(i_0_27328,axiom,
    ( esk768_0
    | p(X2)
    | p(X1)
    | p(X3)
    | ~ p(X4)
    | ~ esk2482_4(X1,X2,X3,X4) )).

cnf(i_0_27329,axiom,
    ( ~ esk8365_4(X1,X2,X3,X4)
    | ~ esk8116_4(X1,X2,X3,X4) )).

cnf(i_0_27330,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4099_4(X1,X2,X3,X4) )).

cnf(i_0_27331,axiom,
    ( esk6652_4(X1,X2,X3,X4)
    | ~ esk8752_4(X1,X2,X3,X4) )).

cnf(i_0_27332,axiom,
    ( ~ esk5968_4(X1,X2,X3,X4)
    | esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_27333,axiom,
    ( esk9108_4(X1,X2,X3,X4)
    | esk7750_4(X1,X2,X3,X4) )).

cnf(i_0_27334,axiom,
    ( ~ esk4544_4(X1,X2,X3,X4)
    | esk3974_4(X1,X2,X3,X4)
    | esk4543_4(X1,X2,X3,X4) )).

cnf(i_0_27335,axiom,
    ( ~ esk4630_4(X1,X2,X3,X4)
    | esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_27336,axiom,
    ( esk5662_4(X1,X2,X3,X4)
    | ~ esk5660_4(X1,X2,X3,X4) )).

cnf(i_0_27337,axiom,
    ( p(X4)
    | p(X2)
    | p(X3)
    | p(X1)
    | ~ esk1440_4(X1,X2,X3,X4)
    | esk1_0 )).

cnf(i_0_27338,axiom,
    ( ~ esk7598_4(X1,X2,X3,X4)
    | esk7597_4(X1,X2,X3,X4) )).

cnf(i_0_27339,axiom,
    ( p(X3)
    | ~ p(X4)
    | p(X2)
    | ~ esk2797_4(X1,X2,X3,X4)
    | esk873_0
    | p(X1) )).

cnf(i_0_27340,axiom,
    ( ~ esk7704_4(X1,X2,X3,X4)
    | esk8748_4(X1,X2,X3,X4) )).

cnf(i_0_27341,axiom,
    ( ~ esk6926_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_27342,axiom,
    ( ~ esk8717_4(X1,X2,X3,X4)
    | esk8680_4(X1,X2,X3,X4) )).

cnf(i_0_27343,axiom,
    ( ~ esk9529_4(X1,X2,X3,X4)
    | esk9523_4(X1,X2,X3,X4) )).

cnf(i_0_27344,axiom,
    ( ~ esk5161_4(X1,X2,X3,X4)
    | esk5159_4(X1,X2,X3,X4)
    | esk5160_4(X1,X2,X3,X4) )).

cnf(i_0_27345,axiom,
    ( esk7440_4(X1,X2,X3,X4)
    | ~ esk7439_4(X1,X2,X3,X4) )).

cnf(i_0_27346,axiom,
    ( ~ p(X3)
    | ~ esk658_0
    | p(X4)
    | p(X2)
    | esk8727_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_27347,axiom,
    ( ~ esk7582_4(X1,X2,X3,X4)
    | esk7581_4(X1,X2,X3,X4) )).

cnf(i_0_27348,axiom,
    ( ~ esk3092_4(X1,X2,X3,X4)
    | esk3094_4(X1,X2,X3,X4) )).

cnf(i_0_27349,axiom,
    ( esk2354_4(X1,X2,X3,X4)
    | ~ esk2353_4(X1,X2,X3,X4) )).

cnf(i_0_27350,axiom,
    ( esk7151_4(X1,X2,X3,X4)
    | esk5754_4(X1,X2,X3,X4) )).

cnf(i_0_27351,axiom,
    ( ~ esk850_0
    | esk2793_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_27352,axiom,
    ( ~ esk2689_4(X1,X2,X3,X4)
    | esk2785_4(X1,X2,X3,X4) )).

cnf(i_0_27353,axiom,
    ( ~ esk7571_4(X1,X2,X3,X4)
    | esk7568_4(X1,X2,X3,X4) )).

cnf(i_0_27354,axiom,
    ( ~ p(X3)
    | esk8725_4(X1,X2,X3,X4)
    | ~ esk644_0
    | p(X2)
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_27355,axiom,
    ( esk4062_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_27356,axiom,
    ( ~ esk1312_0
    | ~ p(X2)
    | p(X1)
    | esk9248_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4) )).

cnf(i_0_27357,axiom,
    ( ~ esk5552_4(X1,X2,X3,X4)
    | ~ esk5957_4(X1,X2,X3,X4) )).

cnf(i_0_27358,axiom,
    ( ~ esk5232_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_27359,axiom,
    ( ~ esk2822_4(X1,X2,X3,X4)
    | esk2854_4(X1,X2,X3,X4) )).

cnf(i_0_27360,axiom,
    ( ~ esk8262_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_27361,axiom,
    ( p(X4)
    | esk194_0
    | ~ p(X2)
    | ~ esk1752_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_27362,axiom,
    ( ~ esk8446_4(X1,X2,X3,X4)
    | esk8376_4(X1,X2,X3,X4) )).

cnf(i_0_27363,axiom,
    ( ~ esk3630_4(X1,X2,X3,X4)
    | ~ esk3843_4(X1,X2,X3,X4) )).

cnf(i_0_27364,axiom,
    ( ~ esk8476_4(X1,X2,X3,X4)
    | esk8477_4(X1,X2,X3,X4)
    | ~ esk8402_4(X1,X2,X3,X4) )).

cnf(i_0_27365,axiom,
    ( esk6858_4(X1,X2,X3,X4)
    | ~ esk6857_4(X1,X2,X3,X4)
    | ~ esk6682_4(X1,X2,X3,X4) )).

cnf(i_0_27366,axiom,
    ( ~ esk3919_4(X1,X2,X3,X4)
    | ~ esk4390_4(X1,X2,X3,X4) )).

cnf(i_0_27367,axiom,
    ( esk2295_4(X1,X2,X3,X4)
    | ~ esk3072_4(X1,X2,X3,X4) )).

cnf(i_0_27368,axiom,
    ( ~ esk5597_4(X1,X2,X3,X4)
    | esk7070_4(X1,X2,X3,X4) )).

cnf(i_0_27369,axiom,
    ( ~ esk9452_4(X1,X2,X3,X4)
    | esk9453_4(X1,X2,X3,X4)
    | ~ esk9423_4(X1,X2,X3,X4) )).

cnf(i_0_27370,axiom,
    ( esk2854_4(X1,X2,X3,X4)
    | ~ esk2820_4(X1,X2,X3,X4) )).

cnf(i_0_27371,axiom,
    ( esk941_0
    | ~ p(X4)
    | p(X2)
    | ~ esk2805_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1) )).

cnf(i_0_27372,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | ~ esk3691_4(X1,X2,X3,X4) )).

cnf(i_0_27373,axiom,
    ( esk2657_4(X1,X2,X3,X4)
    | ~ esk2658_4(X1,X2,X3,X4)
    | esk2656_4(X1,X2,X3,X4) )).

cnf(i_0_27374,axiom,
    ( ~ esk2730_4(X1,X2,X3,X4)
    | esk2446_4(X1,X2,X3,X4) )).

cnf(i_0_27375,axiom,
    ( ~ esk5574_4(X1,X2,X3,X4)
    | esk6488_4(X1,X2,X3,X4) )).

cnf(i_0_27376,axiom,
    ( esk1821_4(X1,X2,X3,X4)
    | esk2359_4(X1,X2,X3,X4) )).

cnf(i_0_27377,axiom,
    ( ~ esk8099_4(X1,X2,X3,X4)
    | esk8098_4(X1,X2,X3,X4) )).

cnf(i_0_27378,axiom,
    ( p(X4)
    | p(X1)
    | p(X3)
    | ~ p(X2)
    | esk2894_4(X1,X2,X3,X4)
    | ~ esk1191_0 )).

cnf(i_0_27379,axiom,
    ( ~ esk6791_4(X1,X2,X3,X4)
    | esk7479_4(X1,X2,X3,X4) )).

cnf(i_0_27380,axiom,
    ( ~ esk7060_4(X1,X2,X3,X4)
    | esk7058_4(X1,X2,X3,X4)
    | esk7057_4(X1,X2,X3,X4)
    | esk7059_4(X1,X2,X3,X4) )).

cnf(i_0_27381,axiom,
    ( ~ esk7650_4(X1,X2,X3,X4)
    | ~ esk8021_4(X1,X2,X3,X4) )).

cnf(i_0_27382,axiom,
    ( ~ esk3446_4(X1,X2,X3,X4)
    | esk1522_4(X1,X2,X3,X4) )).

cnf(i_0_27383,axiom,
    ( esk7009_4(X1,X2,X3,X4)
    | ~ esk5853_4(X1,X2,X3,X4) )).

cnf(i_0_27384,axiom,
    ( ~ esk7845_4(X1,X2,X3,X4)
    | ~ esk9211_4(X1,X2,X3,X4)
    | esk7846_4(X1,X2,X3,X4) )).

cnf(i_0_27385,axiom,
    ( p(X2)
    | esk1018_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | ~ esk9111_4(X1,X2,X3,X4) )).

cnf(i_0_27386,axiom,
    ( p(X1)
    | p(X4)
    | ~ esk2876_4(X1,X2,X3,X4)
    | esk1103_0
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_27387,axiom,
    ( ~ esk1482_4(X1,X2,X3,X4)
    | esk1356_4(X1,X2,X3,X4) )).

cnf(i_0_27388,axiom,
    ( ~ esk7271_4(X1,X2,X3,X4)
    | esk7272_4(X1,X2,X3,X4) )).

cnf(i_0_27389,axiom,
    ( ~ esk7263_4(X1,X2,X3,X4)
    | esk7264_4(X1,X2,X3,X4) )).

cnf(i_0_27390,axiom,
    ( ~ esk7309_4(X1,X2,X3,X4)
    | esk7310_4(X1,X2,X3,X4)
    | ~ esk6493_4(X1,X2,X3,X4) )).

cnf(i_0_27391,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | esk165_0
    | p(X3)
    | ~ p(X2)
    | ~ esk1748_4(X1,X2,X3,X4) )).

cnf(i_0_27392,axiom,
    ( esk7611_4(X1,X2,X3,X4)
    | ~ esk7612_4(X1,X2,X3,X4)
    | esk7610_4(X1,X2,X3,X4) )).

cnf(i_0_27393,axiom,
    ( ~ esk6482_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_27394,axiom,
    ( esk4777_4(X1,X2,X3,X4)
    | ~ esk4775_4(X1,X2,X3,X4) )).

cnf(i_0_27395,axiom,
    ( esk6004_4(X1,X2,X3,X4)
    | ~ esk6003_4(X1,X2,X3,X4)
    | ~ esk5622_4(X1,X2,X3,X4) )).

cnf(i_0_27396,axiom,
    ( ~ esk5809_4(X1,X2,X3,X4)
    | esk7105_4(X1,X2,X3,X4) )).

cnf(i_0_27397,axiom,
    ( esk3636_4(X1,X2,X3,X4)
    | ~ esk3635_4(X1,X2,X3,X4)
    | ~ esk3802_4(X1,X2,X3,X4) )).

cnf(i_0_27398,axiom,
    ( ~ esk1881_4(X1,X2,X3,X4)
    | esk1422_4(X1,X2,X3,X4) )).

cnf(i_0_27399,axiom,
    ( ~ esk1820_4(X1,X2,X3,X4)
    | esk1783_4(X1,X2,X3,X4)
    | ~ esk1832_4(X1,X2,X3,X4) )).

cnf(i_0_27400,axiom,
    ( ~ esk2312_4(X1,X2,X3,X4)
    | esk2421_4(X1,X2,X3,X4) )).

cnf(i_0_27401,axiom,
    ( esk6515_4(X1,X2,X3,X4)
    | esk6111_4(X1,X2,X3,X4)
    | ~ esk6112_4(X1,X2,X3,X4) )).

cnf(i_0_27402,axiom,
    ( ~ esk9073_4(X1,X2,X3,X4)
    | ~ esk8743_4(X1,X2,X3,X4) )).

cnf(i_0_27403,axiom,
    ( ~ esk4373_4(X1,X2,X3,X4)
    | esk4372_4(X1,X2,X3,X4) )).

cnf(i_0_27404,axiom,
    ( ~ esk3853_4(X1,X2,X3,X4)
    | esk3486_4(X1,X2,X3,X4) )).

cnf(i_0_27405,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | p(X2)
    | p(X4)
    | esk2872_4(X1,X2,X3,X4)
    | ~ esk1077_0 )).

cnf(i_0_27406,axiom,
    ( ~ p(X3)
    | ~ esk8357_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk1_0
    | ~ p(X4) )).

cnf(i_0_27407,axiom,
    ( ~ esk6075_4(X1,X2,X3,X4)
    | esk6631_4(X1,X2,X3,X4)
    | esk6633_4(X1,X2,X3,X4) )).

cnf(i_0_27408,axiom,
    ( p(X4)
    | p(X3)
    | ~ esk839_0
    | ~ p(X1)
    | esk2791_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_27409,axiom,
    ( ~ esk2054_4(X1,X2,X3,X4)
    | ~ esk1887_4(X1,X2,X3,X4)
    | esk2410_4(X1,X2,X3,X4) )).

cnf(i_0_27410,axiom,
    ( ~ esk7470_4(X1,X2,X3,X4)
    | esk7471_4(X1,X2,X3,X4) )).

cnf(i_0_27411,axiom,
    ( ~ esk1909_4(X1,X2,X3,X4)
    | esk1912_4(X1,X2,X3,X4) )).

cnf(i_0_27412,axiom,
    ( esk5136_4(X1,X2,X3,X4)
    | esk5135_4(X1,X2,X3,X4)
    | ~ esk5137_4(X1,X2,X3,X4) )).

cnf(i_0_27413,axiom,
    ( ~ esk5764_4(X1,X2,X3,X4)
    | esk5765_4(X1,X2,X3,X4) )).

cnf(i_0_27414,axiom,
    ( esk3919_4(X1,X2,X3,X4)
    | esk3884_4(X1,X2,X3,X4) )).

cnf(i_0_27415,axiom,
    ( esk9507_4(X1,X2,X3,X4)
    | ~ esk9506_4(X1,X2,X3,X4) )).

cnf(i_0_27416,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | esk6504_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_27417,axiom,
    ( ~ esk5849_4(X1,X2,X3,X4)
    | esk5848_4(X1,X2,X3,X4)
    | esk5847_4(X1,X2,X3,X4) )).

cnf(i_0_27418,axiom,
    ( p(X2)
    | esk1516_4(X1,X2,X3,X4)
    | ~ p(X3)
    | ~ p(X1)
    | ~ esk87_0
    | p(X4) )).

cnf(i_0_27419,axiom,
    ( esk4910_4(X1,X2,X3,X4)
    | ~ esk3739_4(X1,X2,X3,X4) )).

cnf(i_0_27420,axiom,
    ( ~ p(X4)
    | ~ esk9097_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X3)
    | p(X1)
    | esk906_0 )).

cnf(i_0_27421,axiom,
    ( esk9026_4(X1,X2,X3,X4)
    | esk9027_4(X1,X2,X3,X4)
    | ~ esk9028_4(X1,X2,X3,X4) )).

cnf(i_0_27422,axiom,
    ( ~ esk7225_4(X1,X2,X3,X4)
    | ~ esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_27423,axiom,
    ( ~ esk2425_4(X1,X2,X3,X4)
    | esk3276_4(X1,X2,X3,X4) )).

cnf(i_0_27424,axiom,
    ( esk2439_4(X1,X2,X3,X4)
    | ~ esk2543_4(X1,X2,X3,X4) )).

cnf(i_0_27425,axiom,
    ( ~ esk6103_4(X1,X2,X3,X4)
    | esk6104_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4) )).

cnf(i_0_27426,axiom,
    ( ~ esk8532_4(X1,X2,X3,X4)
    | esk8534_4(X1,X2,X3,X4) )).

cnf(i_0_27427,axiom,
    ( esk6900_4(X1,X2,X3,X4)
    | ~ esk6899_4(X1,X2,X3,X4) )).

cnf(i_0_27428,axiom,
    ( esk8743_4(X1,X2,X3,X4)
    | esk9142_4(X1,X2,X3,X4) )).

cnf(i_0_27429,axiom,
    ( ~ esk8379_4(X1,X2,X3,X4)
    | esk8341_4(X1,X2,X3,X4) )).

cnf(i_0_27430,axiom,
    ( esk2261_4(X1,X2,X3,X4)
    | ~ esk2262_4(X1,X2,X3,X4) )).

cnf(i_0_27431,axiom,
    ( ~ esk3291_4(X1,X2,X3,X4)
    | esk2470_4(X1,X2,X3,X4) )).

cnf(i_0_27432,axiom,
    ( ~ esk1481_4(X1,X2,X3,X4)
    | esk1509_4(X1,X2,X3,X4)
    | ~ esk2954_4(X1,X2,X3,X4) )).

cnf(i_0_27433,axiom,
    ( esk5958_4(X1,X2,X3,X4)
    | esk7118_4(X1,X2,X3,X4) )).

cnf(i_0_27434,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk452_0
    | ~ p(X1)
    | esk2092_4(X1,X2,X3,X4) )).

cnf(i_0_27435,axiom,
    ( ~ esk9174_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X1)
    | p(X2)
    | ~ p(X4)
    | esk1116_0 )).

cnf(i_0_27436,axiom,
    ( esk7052_4(X1,X2,X3,X4)
    | ~ esk4952_4(X1,X2,X3,X4) )).

cnf(i_0_27437,axiom,
    ( esk1878_4(X1,X2,X3,X4)
    | esk1682_4(X1,X2,X3,X4) )).

cnf(i_0_27438,axiom,
    ( ~ esk8184_4(X1,X2,X3,X4)
    | ~ esk8693_4(X1,X2,X3,X4) )).

cnf(i_0_27439,axiom,
    ( esk6403_4(X1,X2,X3,X4)
    | ~ esk6442_4(X1,X2,X3,X4)
    | esk6326_4(X1,X2,X3,X4) )).

cnf(i_0_27440,axiom,
    ( p(X1)
    | p(X4)
    | esk697_0
    | p(X3)
    | ~ esk8733_4(X1,X2,X3,X4)
    | ~ p(X2) )).

cnf(i_0_27441,axiom,
    ( ~ esk3138_4(X1,X2,X3,X4)
    | esk3136_4(X1,X2,X3,X4)
    | esk3137_4(X1,X2,X3,X4) )).

cnf(i_0_27442,axiom,
    ( p(X4)
    | ~ p(X2)
    | ~ esk2942_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk1304_0
    | p(X3) )).

cnf(i_0_27443,axiom,
    ( ~ esk3452_4(X1,X2,X3,X4)
    | ~ esk3756_4(X1,X2,X3,X4) )).

cnf(i_0_27444,axiom,
    ( ~ esk8743_4(X1,X2,X3,X4)
    | ~ esk7979_4(X1,X2,X3,X4) )).

cnf(i_0_27445,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | esk5070_4(X1,X2,X3,X4) )).

cnf(i_0_27446,axiom,
    ( p(X2)
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk9210_4(X1,X2,X3,X4)
    | ~ esk1234_0 )).

cnf(i_0_27447,axiom,
    ( ~ esk7864_4(X1,X2,X3,X4)
    | ~ esk7727_4(X1,X2,X3,X4)
    | esk7927_4(X1,X2,X3,X4) )).

cnf(i_0_27448,axiom,
    ( ~ esk3185_4(X1,X2,X3,X4)
    | esk2295_4(X1,X2,X3,X4) )).

cnf(i_0_27449,axiom,
    ( ~ esk6876_4(X1,X2,X3,X4)
    | esk6875_4(X1,X2,X3,X4)
    | esk6874_4(X1,X2,X3,X4) )).

cnf(i_0_27450,axiom,
    ( ~ esk8466_4(X1,X2,X3,X4)
    | esk8356_4(X1,X2,X3,X4) )).

cnf(i_0_27451,axiom,
    ( ~ esk2066_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27452,axiom,
    ( esk6693_4(X1,X2,X3,X4)
    | ~ esk6725_4(X1,X2,X3,X4) )).

cnf(i_0_27453,axiom,
    ( esk1444_4(X1,X2,X3,X4)
    | ~ esk50_0
    | p(X1)
    | ~ p(X3)
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_27454,axiom,
    ( ~ esk6340_4(X1,X2,X3,X4)
    | esk6019_4(X1,X2,X3,X4) )).

cnf(i_0_27455,axiom,
    ( ~ esk7278_4(X1,X2,X3,X4)
    | esk7277_4(X1,X2,X3,X4) )).

cnf(i_0_27456,axiom,
    ( esk7449_4(X1,X2,X3,X4)
    | ~ esk7450_4(X1,X2,X3,X4) )).

cnf(i_0_27457,axiom,
    ( ~ esk8118_4(X1,X2,X3,X4)
    | esk8371_4(X1,X2,X3,X4)
    | ~ esk8592_4(X1,X2,X3,X4) )).

cnf(i_0_27458,axiom,
    ( esk2113_4(X1,X2,X3,X4)
    | ~ esk2150_4(X1,X2,X3,X4) )).

cnf(i_0_27459,axiom,
    ( ~ esk1423_4(X1,X2,X3,X4)
    | ~ esk1422_4(X1,X2,X3,X4)
    | esk2466_4(X1,X2,X3,X4) )).

cnf(i_0_27460,axiom,
    ( esk8171_4(X1,X2,X3,X4)
    | ~ esk8212_4(X1,X2,X3,X4)
    | esk8714_4(X1,X2,X3,X4) )).

cnf(i_0_27461,axiom,
    ( ~ esk7651_4(X1,X2,X3,X4)
    | ~ esk9240_4(X1,X2,X3,X4) )).

cnf(i_0_27462,axiom,
    ( ~ esk9621_4(X1,X2,X3,X4)
    | esk9623_4(X1,X2,X3,X4) )).

cnf(i_0_27463,axiom,
    ( ~ esk6222_4(X1,X2,X3,X4)
    | esk6681_4(X1,X2,X3,X4) )).

cnf(i_0_27464,axiom,
    ( ~ esk664_0
    | p(X3)
    | p(X1)
    | ~ p(X4)
    | esk8729_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_27465,axiom,
    ( esk5880_4(X1,X2,X3,X4)
    | esk6074_4(X1,X2,X3,X4) )).

cnf(i_0_27466,axiom,
    ( ~ esk4915_4(X1,X2,X3,X4)
    | esk3493_4(X1,X2,X3,X4) )).

cnf(i_0_27467,axiom,
    ( esk6461_4(X1,X2,X3,X4)
    | ~ esk6017_4(X1,X2,X3,X4)
    | ~ esk6423_4(X1,X2,X3,X4) )).

cnf(i_0_27468,axiom,
    ( ~ esk2481_4(X1,X2,X3,X4)
    | esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_27469,axiom,
    ( ~ esk3529_4(X1,X2,X3,X4)
    | esk3709_4(X1,X2,X3,X4)
    | ~ esk3646_4(X1,X2,X3,X4) )).

cnf(i_0_27470,axiom,
    ( esk5255_4(X1,X2,X3,X4)
    | esk5256_4(X1,X2,X3,X4)
    | ~ esk5257_4(X1,X2,X3,X4) )).

cnf(i_0_27471,axiom,
    ( esk5869_4(X1,X2,X3,X4)
    | ~ esk3769_4(X1,X2,X3,X4) )).

cnf(i_0_27472,axiom,
    ( ~ esk2171_4(X1,X2,X3,X4)
    | esk1869_4(X1,X2,X3,X4) )).

cnf(i_0_27473,axiom,
    ( esk6868_4(X1,X2,X3,X4)
    | ~ esk6867_4(X1,X2,X3,X4) )).

cnf(i_0_27474,axiom,
    ( ~ esk896_0
    | ~ p(X4)
    | ~ p(X1)
    | esk2799_4(X1,X2,X3,X4)
    | p(X2)
    | p(X3) )).

cnf(i_0_27475,axiom,
    ( ~ esk4545_4(X1,X2,X3,X4)
    | esk4837_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_27476,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | esk2249_4(X1,X2,X3,X4)
    | ~ esk1952_4(X1,X2,X3,X4) )).

cnf(i_0_27477,axiom,
    ( esk1222_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk2908_4(X1,X2,X3,X4)
    | p(X1)
    | p(X3) )).

cnf(i_0_27478,axiom,
    ( esk7734_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ esk16_0
    | ~ p(X4)
    | p(X3) )).

cnf(i_0_27479,axiom,
    ( ~ p(X3)
    | ~ p(X2)
    | ~ esk1255_0
    | ~ p(X4)
    | esk9214_4(X1,X2,X3,X4)
    | p(X1) )).

cnf(i_0_27480,axiom,
    ( ~ esk1041_0
    | ~ p(X2)
    | esk2868_4(X1,X2,X3,X4)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_27481,axiom,
    ( esk1727_4(X1,X2,X3,X4)
    | ~ esk1725_4(X1,X2,X3,X4) )).

cnf(i_0_27482,axiom,
    ( ~ esk6652_4(X1,X2,X3,X4)
    | esk5727_4(X1,X2,X3,X4) )).

cnf(i_0_27483,axiom,
    ( ~ esk2441_4(X1,X2,X3,X4)
    | esk2449_4(X1,X2,X3,X4) )).

cnf(i_0_27484,axiom,
    ( ~ esk1886_4(X1,X2,X3,X4)
    | esk2019_4(X1,X2,X3,X4) )).

cnf(i_0_27485,axiom,
    ( ~ esk4403_4(X1,X2,X3,X4)
    | esk4404_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_27486,axiom,
    ( esk7222_4(X1,X2,X3,X4)
    | esk7223_4(X1,X2,X3,X4)
    | ~ esk7224_4(X1,X2,X3,X4) )).

cnf(i_0_27487,axiom,
    ( esk7013_4(X1,X2,X3,X4)
    | esk7052_4(X1,X2,X3,X4)
    | ~ esk6917_4(X1,X2,X3,X4) )).

cnf(i_0_27488,axiom,
    ( esk8289_4(X1,X2,X3,X4)
    | esk8389_4(X1,X2,X3,X4)
    | ~ esk8746_4(X1,X2,X3,X4) )).

cnf(i_0_27489,axiom,
    ( esk6313_4(X1,X2,X3,X4)
    | esk6314_4(X1,X2,X3,X4)
    | ~ esk6315_4(X1,X2,X3,X4) )).

cnf(i_0_27490,axiom,
    ( ~ esk9084_4(X1,X2,X3,X4)
    | esk6984_4(X1,X2,X3,X4) )).

cnf(i_0_27491,axiom,
    ( esk2058_4(X1,X2,X3,X4)
    | ~ esk413_0
    | p(X4)
    | ~ p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_27492,axiom,
    ( esk7836_4(X1,X2,X3,X4)
    | ~ esk9236_4(X1,X2,X3,X4) )).

cnf(i_0_27493,axiom,
    ( esk3326_4(X1,X2,X3,X4)
    | ~ esk3324_4(X1,X2,X3,X4) )).

cnf(i_0_27494,axiom,
    ( esk7538_4(X1,X2,X3,X4)
    | esk7539_4(X1,X2,X3,X4)
    | ~ esk7540_4(X1,X2,X3,X4) )).

cnf(i_0_27495,axiom,
    ( p(X2)
    | esk27_0
    | ~ p(X3)
    | p(X4)
    | ~ p(X1)
    | ~ esk1440_4(X1,X2,X3,X4) )).

cnf(i_0_27496,axiom,
    ( esk5288_4(X1,X2,X3,X4)
    | ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4394_4(X1,X2,X3,X4) )).

cnf(i_0_27497,axiom,
    ( ~ esk5402_4(X1,X2,X3,X4)
    | ~ esk4892_4(X1,X2,X3,X4)
    | esk5403_4(X1,X2,X3,X4) )).

cnf(i_0_27498,axiom,
    ( ~ esk4016_4(X1,X2,X3,X4)
    | esk6116_4(X1,X2,X3,X4) )).

cnf(i_0_27499,axiom,
    ( esk7720_4(X1,X2,X3,X4)
    | ~ esk8766_4(X1,X2,X3,X4)
    | esk8767_4(X1,X2,X3,X4) )).

cnf(i_0_27500,axiom,
    ( esk4143_4(X1,X2,X3,X4)
    | ~ esk4142_4(X1,X2,X3,X4) )).

cnf(i_0_27501,axiom,
    ( ~ esk4967_4(X1,X2,X3,X4)
    | ~ esk3582_4(X1,X2,X3,X4)
    | esk3583_4(X1,X2,X3,X4) )).

cnf(i_0_27502,axiom,
    ( ~ esk6814_4(X1,X2,X3,X4)
    | esk6813_4(X1,X2,X3,X4) )).

cnf(i_0_27503,axiom,
    ( esk7154_4(X1,X2,X3,X4)
    | ~ esk5054_4(X1,X2,X3,X4) )).

cnf(i_0_27504,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2615_4(X1,X2,X3,X4) )).

cnf(i_0_27505,axiom,
    ( esk8160_4(X1,X2,X3,X4)
    | ~ esk8087_4(X1,X2,X3,X4) )).

cnf(i_0_27506,axiom,
    ( ~ esk5454_4(X1,X2,X3,X4)
    | esk5455_4(X1,X2,X3,X4)
    | ~ esk4781_4(X1,X2,X3,X4) )).

cnf(i_0_27507,axiom,
    ( esk7807_4(X1,X2,X3,X4)
    | ~ esk7806_4(X1,X2,X3,X4) )).

cnf(i_0_27508,axiom,
    ( ~ esk7935_4(X1,X2,X3,X4)
    | esk7727_4(X1,X2,X3,X4) )).

cnf(i_0_27509,axiom,
    ( ~ p(X3)
    | ~ p(X1)
    | esk1273_0
    | p(X2)
    | p(X4)
    | ~ esk9218_4(X1,X2,X3,X4) )).

cnf(i_0_27510,axiom,
    ( esk6929_4(X1,X2,X3,X4)
    | ~ esk6927_4(X1,X2,X3,X4) )).

cnf(i_0_27511,axiom,
    ( ~ esk3445_4(X1,X2,X3,X4)
    | esk1823_4(X1,X2,X3,X4) )).

cnf(i_0_27512,axiom,
    ( esk3962_4(X1,X2,X3,X4)
    | ~ esk4385_4(X1,X2,X3,X4) )).

cnf(i_0_27513,axiom,
    ( esk6031_4(X1,X2,X3,X4)
    | ~ esk5974_4(X1,X2,X3,X4) )).

cnf(i_0_27514,axiom,
    ( ~ esk490_0
    | p(X2)
    | ~ p(X1)
    | p(X4)
    | p(X3)
    | esk2212_4(X1,X2,X3,X4) )).

cnf(i_0_27515,axiom,
    ( ~ esk2798_4(X1,X2,X3,X4)
    | esk2755_4(X1,X2,X3,X4) )).

cnf(i_0_27516,axiom,
    ( ~ esk4924_4(X1,X2,X3,X4)
    | esk5534_4(X1,X2,X3,X4)
    | esk5535_4(X1,X2,X3,X4) )).

cnf(i_0_27517,axiom,
    ( ~ esk7049_4(X1,X2,X3,X4)
    | esk7026_4(X1,X2,X3,X4) )).

cnf(i_0_27518,axiom,
    ( ~ esk9121_4(X1,X2,X3,X4)
    | ~ esk9122_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_27519,axiom,
    ( ~ esk3917_4(X1,X2,X3,X4)
    | ~ esk5309_4(X1,X2,X3,X4)
    | esk5312_4(X1,X2,X3,X4) )).

cnf(i_0_27520,axiom,
    ( esk2931_4(X1,X2,X3,X4)
    | ~ esk1627_4(X1,X2,X3,X4) )).

cnf(i_0_27521,axiom,
    ( ~ esk8834_4(X1,X2,X3,X4)
    | esk8832_4(X1,X2,X3,X4)
    | esk8833_4(X1,X2,X3,X4) )).

cnf(i_0_27522,axiom,
    ( esk6936_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | ~ esk6644_4(X1,X2,X3,X4) )).

cnf(i_0_27523,axiom,
    ( esk6885_4(X1,X2,X3,X4)
    | esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_27524,axiom,
    ( ~ esk6893_4(X1,X2,X3,X4)
    | ~ esk6983_4(X1,X2,X3,X4) )).

cnf(i_0_27525,axiom,
    ( ~ p(X3)
    | ~ esk9238_4(X1,X2,X3,X4)
    | p(X1)
    | esk1299_0
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_27526,axiom,
    ( ~ esk2957_4(X1,X2,X3,X4)
    | esk5057_4(X1,X2,X3,X4) )).

cnf(i_0_27527,axiom,
    ( esk6331_4(X1,X2,X3,X4)
    | ~ esk6369_4(X1,X2,X3,X4) )).

cnf(i_0_27528,axiom,
    ( esk7016_4(X1,X2,X3,X4)
    | esk6680_4(X1,X2,X3,X4)
    | ~ esk5718_4(X1,X2,X3,X4) )).

cnf(i_0_27529,axiom,
    ( ~ esk2610_4(X1,X2,X3,X4)
    | esk2609_4(X1,X2,X3,X4)
    | esk2608_4(X1,X2,X3,X4) )).

cnf(i_0_27530,axiom,
    ( esk4818_4(X1,X2,X3,X4)
    | esk4928_4(X1,X2,X3,X4) )).

cnf(i_0_27531,axiom,
    ( ~ esk8500_4(X1,X2,X3,X4)
    | ~ esk8462_4(X1,X2,X3,X4)
    | ~ esk8501_4(X1,X2,X3,X4) )).

cnf(i_0_27532,axiom,
    ( ~ esk3761_4(X1,X2,X3,X4)
    | esk3830_4(X1,X2,X3,X4) )).

cnf(i_0_27533,axiom,
    ( p(X3)
    | p(X1)
    | ~ esk9091_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X4)
    | esk862_0 )).

cnf(i_0_27534,axiom,
    ( esk7714_4(X1,X2,X3,X4)
    | ~ esk8470_4(X1,X2,X3,X4) )).

cnf(i_0_27535,axiom,
    ( ~ esk2212_4(X1,X2,X3,X4)
    | p(X3)
    | p(X4)
    | p(X1)
    | esk486_0
    | ~ p(X2) )).

cnf(i_0_27536,axiom,
    ( ~ esk3474_4(X1,X2,X3,X4)
    | esk3778_4(X1,X2,X3,X4)
    | ~ esk3777_4(X1,X2,X3,X4) )).

cnf(i_0_27537,axiom,
    ( ~ esk6999_4(X1,X2,X3,X4)
    | esk5643_4(X1,X2,X3,X4) )).

cnf(i_0_27538,axiom,
    ( esk3288_4(X1,X2,X3,X4)
    | ~ esk2572_4(X1,X2,X3,X4) )).

cnf(i_0_27539,axiom,
    ( esk6397_4(X1,X2,X3,X4)
    | ~ esk5621_4(X1,X2,X3,X4)
    | ~ esk6625_4(X1,X2,X3,X4) )).

cnf(i_0_27540,axiom,
    ( esk5603_4(X1,X2,X3,X4)
    | ~ esk5676_4(X1,X2,X3,X4) )).

cnf(i_0_27541,axiom,
    ( ~ esk6019_4(X1,X2,X3,X4)
    | ~ esk6061_4(X1,X2,X3,X4)
    | esk6535_4(X1,X2,X3,X4) )).

cnf(i_0_27542,axiom,
    ( esk2218_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27543,axiom,
    ( ~ esk578_0
    | p(X1)
    | esk2421_4(X1,X2,X3,X4)
    | ~ p(X3)
    | p(X4)
    | ~ p(X2) )).

cnf(i_0_27544,axiom,
    ( ~ esk4590_4(X1,X2,X3,X4)
    | ~ esk3883_4(X1,X2,X3,X4)
    | esk4591_4(X1,X2,X3,X4) )).

cnf(i_0_27545,axiom,
    ( ~ esk2743_4(X1,X2,X3,X4)
    | esk2792_4(X1,X2,X3,X4) )).

cnf(i_0_27546,axiom,
    ( esk6977_4(X1,X2,X3,X4)
    | ~ esk6975_4(X1,X2,X3,X4) )).

cnf(i_0_27547,axiom,
    ( esk3140_4(X1,X2,X3,X4)
    | esk3141_4(X1,X2,X3,X4)
    | ~ esk3142_4(X1,X2,X3,X4) )).

cnf(i_0_27548,axiom,
    ( ~ esk9731_4(X1,X2,X3,X4)
    | esk9730_4(X1,X2,X3,X4)
    | esk9728_4(X1,X2,X3,X4)
    | esk9729_4(X1,X2,X3,X4) )).

cnf(i_0_27549,axiom,
    ( ~ esk3261_4(X1,X2,X3,X4)
    | esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_27550,axiom,
    ( esk3918_4(X1,X2,X3,X4)
    | ~ esk4037_4(X1,X2,X3,X4) )).

cnf(i_0_27551,axiom,
    ( esk6493_4(X1,X2,X3,X4)
    | ~ esk5695_4(X1,X2,X3,X4) )).

cnf(i_0_27552,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | ~ p(X1)
    | esk9103_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ esk1_0 )).

cnf(i_0_27553,axiom,
    ( ~ esk7906_4(X1,X2,X3,X4)
    | esk7908_4(X1,X2,X3,X4) )).

cnf(i_0_27554,axiom,
    ( esk1950_4(X1,X2,X3,X4)
    | ~ esk1985_4(X1,X2,X3,X4)
    | esk2318_4(X1,X2,X3,X4) )).

cnf(i_0_27555,axiom,
    ( esk2431_4(X1,X2,X3,X4)
    | ~ esk2122_4(X1,X2,X3,X4) )).

cnf(i_0_27556,axiom,
    ( esk7313_4(X1,X2,X3,X4)
    | ~ esk7314_4(X1,X2,X3,X4) )).

cnf(i_0_27557,axiom,
    ( ~ esk9108_4(X1,X2,X3,X4)
    | ~ esk7950_4(X1,X2,X3,X4) )).

cnf(i_0_27558,axiom,
    ( esk8318_4(X1,X2,X3,X4)
    | ~ esk393_0
    | p(X2)
    | p(X1)
    | p(X4)
    | p(X3) )).

cnf(i_0_27559,axiom,
    ( ~ esk445_0
    | p(X4)
    | esk2092_4(X1,X2,X3,X4)
    | p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_27560,axiom,
    ( ~ esk9490_4(X1,X2,X3,X4)
    | esk9491_4(X1,X2,X3,X4) )).

cnf(i_0_27561,axiom,
    ( esk1798_4(X1,X2,X3,X4)
    | ~ esk1797_4(X1,X2,X3,X4)
    | ~ esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_27562,axiom,
    ( ~ esk8462_4(X1,X2,X3,X4)
    | ~ esk7720_4(X1,X2,X3,X4)
    | esk8497_4(X1,X2,X3,X4) )).

cnf(i_0_27563,axiom,
    ( ~ esk3581_4(X1,X2,X3,X4)
    | esk3455_4(X1,X2,X3,X4) )).

cnf(i_0_27564,axiom,
    ( esk4538_4(X1,X2,X3,X4)
    | ~ esk5464_4(X1,X2,X3,X4) )).

cnf(i_0_27565,axiom,
    ( ~ esk7567_4(X1,X2,X3,X4)
    | esk6824_4(X1,X2,X3,X4) )).

cnf(i_0_27566,axiom,
    ( ~ esk8116_4(X1,X2,X3,X4)
    | ~ esk8201_4(X1,X2,X3,X4)
    | esk8235_4(X1,X2,X3,X4) )).

cnf(i_0_27567,axiom,
    ( ~ esk4203_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_27568,axiom,
    ( esk1960_4(X1,X2,X3,X4)
    | ~ esk1959_4(X1,X2,X3,X4)
    | ~ esk2071_4(X1,X2,X3,X4) )).

cnf(i_0_27569,axiom,
    ( esk3146_4(X1,X2,X3,X4)
    | ~ esk3149_4(X1,X2,X3,X4) )).

cnf(i_0_27570,axiom,
    ( esk6242_4(X1,X2,X3,X4)
    | ~ esk6241_4(X1,X2,X3,X4) )).

cnf(i_0_27571,axiom,
    ( ~ esk1_0
    | ~ p(X1)
    | esk8044_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_27572,axiom,
    ( esk2494_4(X1,X2,X3,X4)
    | ~ esk1826_4(X1,X2,X3,X4) )).

cnf(i_0_27573,axiom,
    ( ~ esk5762_4(X1,X2,X3,X4)
    | ~ esk7151_4(X1,X2,X3,X4) )).

cnf(i_0_27574,axiom,
    ( ~ esk9042_4(X1,X2,X3,X4)
    | esk9041_4(X1,X2,X3,X4) )).

cnf(i_0_27575,axiom,
    ( ~ p(X4)
    | esk2212_4(X1,X2,X3,X4)
    | p(X3)
    | p(X1)
    | ~ esk483_0
    | p(X2) )).

cnf(i_0_27576,axiom,
    ( ~ esk9498_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_27577,axiom,
    ( ~ esk8521_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_27578,axiom,
    ( esk3162_4(X1,X2,X3,X4)
    | ~ esk3161_4(X1,X2,X3,X4) )).

cnf(i_0_27579,axiom,
    ( p(X1)
    | esk440_0
    | ~ p(X3)
    | ~ esk8388_4(X1,X2,X3,X4)
    | p(X2)
    | p(X4) )).

cnf(i_0_27580,axiom,
    ( esk3868_4(X1,X2,X3,X4)
    | ~ esk3869_4(X1,X2,X3,X4) )).

cnf(i_0_27581,axiom,
    ( esk7845_4(X1,X2,X3,X4)
    | esk9250_4(X1,X2,X3,X4) )).

cnf(i_0_27582,axiom,
    ( esk6315_4(X1,X2,X3,X4)
    | ~ esk6352_4(X1,X2,X3,X4) )).

cnf(i_0_27583,axiom,
    ( esk7617_4(X1,X2,X3,X4)
    | ~ esk7618_4(X1,X2,X3,X4) )).

cnf(i_0_27584,axiom,
    ( ~ esk2636_4(X1,X2,X3,X4)
    | esk2439_4(X1,X2,X3,X4) )).

cnf(i_0_27585,axiom,
    ( esk4979_4(X1,X2,X3,X4)
    | ~ esk3782_4(X1,X2,X3,X4) )).

cnf(i_0_27586,axiom,
    ( ~ p(X3)
    | ~ esk2801_4(X1,X2,X3,X4)
    | esk908_0
    | ~ p(X2)
    | p(X4)
    | p(X1) )).

cnf(i_0_27587,axiom,
    ( ~ p(X4)
    | ~ p(X2)
    | p(X1)
    | ~ esk2942_4(X1,X2,X3,X4)
    | esk1299_0
    | ~ p(X3) )).

cnf(i_0_27588,axiom,
    ( ~ esk4683_4(X1,X2,X3,X4)
    | esk4682_4(X1,X2,X3,X4) )).

cnf(i_0_27589,axiom,
    ( esk8251_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X3)
    | ~ esk340_0
    | p(X1)
    | ~ p(X4) )).

cnf(i_0_27590,axiom,
    ( esk9093_4(X1,X2,X3,X4)
    | ~ esk1_0
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X3) )).

cnf(i_0_27591,axiom,
    ( esk7939_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk116_0
    | p(X2)
    | p(X4)
    | ~ p(X1) )).

cnf(i_0_27592,axiom,
    ( p(X1)
    | p(X2)
    | esk8735_4(X1,X2,X3,X4)
    | p(X3)
    | ~ esk709_0
    | ~ p(X4) )).

cnf(i_0_27593,axiom,
    ( esk5034_4(X1,X2,X3,X4)
    | ~ esk3811_4(X1,X2,X3,X4)
    | ~ esk3452_4(X1,X2,X3,X4) )).

cnf(i_0_27594,axiom,
    ( p(X4)
    | esk456_0
    | p(X3)
    | ~ esk2095_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X2) )).

cnf(i_0_27595,axiom,
    ( ~ esk5809_4(X1,X2,X3,X4)
    | esk5808_4(X1,X2,X3,X4)
    | esk5807_4(X1,X2,X3,X4) )).

cnf(i_0_27596,axiom,
    ( esk9368_4(X1,X2,X3,X4)
    | esk8118_4(X1,X2,X3,X4) )).

cnf(i_0_27597,axiom,
    ( esk4418_4(X1,X2,X3,X4)
    | ~ esk3779_4(X1,X2,X3,X4) )).

cnf(i_0_27598,axiom,
    ( esk5925_4(X1,X2,X3,X4)
    | ~ esk5924_4(X1,X2,X3,X4) )).

cnf(i_0_27599,axiom,
    ( esk2908_4(X1,X2,X3,X4)
    | ~ esk1232_0
    | ~ p(X4)
    | ~ p(X1)
    | ~ p(X2)
    | ~ p(X3) )).

cnf(i_0_27600,axiom,
    ( ~ esk2254_4(X1,X2,X3,X4)
    | esk2253_4(X1,X2,X3,X4) )).

cnf(i_0_27601,axiom,
    ( ~ esk2110_4(X1,X2,X3,X4)
    | ~ esk1424_4(X1,X2,X3,X4)
    | esk2111_4(X1,X2,X3,X4) )).

cnf(i_0_27602,axiom,
    ( ~ esk7735_4(X1,X2,X3,X4)
    | esk8794_4(X1,X2,X3,X4)
    | ~ esk8793_4(X1,X2,X3,X4) )).

cnf(i_0_27603,axiom,
    ( ~ esk2356_4(X1,X2,X3,X4)
    | esk1863_4(X1,X2,X3,X4) )).

cnf(i_0_27604,axiom,
    ( esk4917_4(X1,X2,X3,X4)
    | esk3619_4(X1,X2,X3,X4)
    | ~ esk4581_4(X1,X2,X3,X4) )).

cnf(i_0_27605,axiom,
    ( ~ esk1785_4(X1,X2,X3,X4)
    | ~ esk1820_4(X1,X2,X3,X4) )).

cnf(i_0_27606,axiom,
    ( esk482_0
    | ~ esk8469_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X2)
    | p(X4)
    | ~ p(X3) )).

cnf(i_0_27607,axiom,
    ( esk4324_4(X1,X2,X3,X4)
    | ~ esk4322_4(X1,X2,X3,X4) )).

cnf(i_0_27608,axiom,
    ( ~ esk3281_4(X1,X2,X3,X4)
    | ~ esk2542_4(X1,X2,X3,X4) )).

cnf(i_0_27609,axiom,
    ( esk2459_4(X1,X2,X3,X4)
    | ~ esk1437_4(X1,X2,X3,X4) )).

cnf(i_0_27610,axiom,
    ( esk2020_4(X1,X2,X3,X4)
    | ~ esk2169_4(X1,X2,X3,X4) )).

cnf(i_0_27611,axiom,
    ( ~ esk2157_4(X1,X2,X3,X4)
    | esk2156_4(X1,X2,X3,X4) )).

cnf(i_0_27612,axiom,
    ( esk3920_4(X1,X2,X3,X4)
    | ~ esk4370_4(X1,X2,X3,X4) )).

cnf(i_0_27613,axiom,
    ( ~ esk1682_4(X1,X2,X3,X4)
    | ~ esk1716_4(X1,X2,X3,X4)
    | esk1717_4(X1,X2,X3,X4) )).

cnf(i_0_27614,axiom,
    ( p(X3)
    | esk8585_4(X1,X2,X3,X4)
    | p(X2)
    | p(X1)
    | ~ esk513_0
    | p(X4) )).

cnf(i_0_27615,axiom,
    ( ~ esk6632_4(X1,X2,X3,X4)
    | esk6609_4(X1,X2,X3,X4) )).

cnf(i_0_27616,axiom,
    ( esk3122_4(X1,X2,X3,X4)
    | ~ esk3125_4(X1,X2,X3,X4) )).

cnf(i_0_27617,axiom,
    ( esk8448_4(X1,X2,X3,X4)
    | ~ esk8447_4(X1,X2,X3,X4) )).

cnf(i_0_27618,axiom,
    ( esk2953_4(X1,X2,X3,X4)
    | esk1552_4(X1,X2,X3,X4) )).

cnf(i_0_27619,axiom,
    ( ~ esk1068_0
    | p(X3)
    | p(X2)
    | p(X1)
    | esk2872_4(X1,X2,X3,X4)
    | ~ p(X4) )).

cnf(i_0_27620,axiom,
    ( esk2975_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27621,axiom,
    ( esk8175_4(X1,X2,X3,X4)
    | ~ esk8954_4(X1,X2,X3,X4) )).

cnf(i_0_27622,axiom,
    ( ~ esk8321_4(X1,X2,X3,X4)
    | esk8780_4(X1,X2,X3,X4) )).

cnf(i_0_27623,axiom,
    ( esk1290_0
    | p(X3)
    | ~ esk2932_4(X1,X2,X3,X4)
    | ~ p(X1)
    | ~ p(X4)
    | ~ p(X2) )).

cnf(i_0_27624,axiom,
    ( ~ esk2176_4(X1,X2,X3,X4)
    | esk2175_4(X1,X2,X3,X4) )).

cnf(i_0_27625,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | esk4760_4(X1,X2,X3,X4)
    | ~ esk4894_4(X1,X2,X3,X4) )).

cnf(i_0_27626,axiom,
    ( esk8570_4(X1,X2,X3,X4)
    | ~ esk8571_4(X1,X2,X3,X4) )).

cnf(i_0_27627,axiom,
    ( p(X4)
    | p(X1)
    | p(X2)
    | esk1264_0
    | ~ esk2922_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_27628,axiom,
    ( ~ esk1197_0
    | ~ p(X3)
    | ~ p(X1)
    | p(X4)
    | p(X2)
    | esk2894_4(X1,X2,X3,X4) )).

cnf(i_0_27629,axiom,
    ( ~ esk8179_4(X1,X2,X3,X4)
    | esk8180_4(X1,X2,X3,X4) )).

cnf(i_0_27630,axiom,
    ( ~ esk1821_4(X1,X2,X3,X4)
    | ~ esk2991_4(X1,X2,X3,X4) )).

cnf(i_0_27631,axiom,
    ( ~ esk7943_4(X1,X2,X3,X4)
    | esk7662_4(X1,X2,X3,X4) )).

cnf(i_0_27632,axiom,
    ( ~ esk1424_4(X1,X2,X3,X4)
    | ~ esk2971_4(X1,X2,X3,X4)
    | esk2972_4(X1,X2,X3,X4) )).

cnf(i_0_27633,axiom,
    ( ~ esk8353_4(X1,X2,X3,X4)
    | esk8352_4(X1,X2,X3,X4)
    | esk8182_4(X1,X2,X3,X4) )).

cnf(i_0_27634,axiom,
    ( esk8173_4(X1,X2,X3,X4)
    | esk7745_4(X1,X2,X3,X4) )).

cnf(i_0_27635,axiom,
    ( ~ esk1091_0
    | esk9170_4(X1,X2,X3,X4)
    | ~ p(X1)
    | p(X2)
    | p(X3)
    | p(X4) )).

cnf(i_0_27636,axiom,
    ( ~ p(X4)
    | ~ p(X1)
    | ~ esk8715_4(X1,X2,X3,X4)
    | ~ p(X2)
    | p(X3)
    | esk571_0 )).

cnf(i_0_27637,axiom,
    ( esk5786_4(X1,X2,X3,X4)
    | ~ esk5787_4(X1,X2,X3,X4) )).

cnf(i_0_27638,axiom,
    ( ~ esk7150_4(X1,X2,X3,X4)
    | esk5767_4(X1,X2,X3,X4)
    | ~ esk5766_4(X1,X2,X3,X4) )).

cnf(i_0_27639,axiom,
    ( ~ esk3168_4(X1,X2,X3,X4)
    | esk3170_4(X1,X2,X3,X4) )).

cnf(i_0_27640,axiom,
    ( esk9097_4(X1,X2,X3,X4)
    | ~ esk903_0
    | p(X1)
    | p(X3)
    | p(X4)
    | p(X2) )).

cnf(i_0_27641,axiom,
    ( ~ esk6843_4(X1,X2,X3,X4)
    | esk6784_4(X1,X2,X3,X4) )).

cnf(i_0_27642,axiom,
    ( esk5709_4(X1,X2,X3,X4)
    | ~ esk5710_4(X1,X2,X3,X4) )).

cnf(i_0_27643,axiom,
    ( esk9458_4(X1,X2,X3,X4)
    | ~ esk9459_4(X1,X2,X3,X4)
    | esk9457_4(X1,X2,X3,X4) )).

cnf(i_0_27644,axiom,
    ( ~ esk560_0
    | ~ p(X3)
    | esk2419_4(X1,X2,X3,X4)
    | p(X1)
    | ~ p(X4)
    | p(X2) )).

cnf(i_0_27645,axiom,
    ( esk7650_4(X1,X2,X3,X4)
    | esk7766_4(X1,X2,X3,X4) )).

cnf(i_0_27646,axiom,
    ( ~ esk7814_4(X1,X2,X3,X4)
    | esk9216_4(X1,X2,X3,X4) )).

cnf(i_0_27647,axiom,
    ( ~ esk4928_4(X1,X2,X3,X4)
    | esk4929_4(X1,X2,X3,X4)
    | ~ esk4926_4(X1,X2,X3,X4) )).

cnf(i_0_27648,axiom,
    ( esk5862_4(X1,X2,X3,X4)
    | ~ esk5860_4(X1,X2,X3,X4) )).

cnf(i_0_27649,axiom,
    ( p(X1)
    | ~ p(X4)
    | ~ esk1209_0
    | ~ p(X2)
    | esk2898_4(X1,X2,X3,X4)
    | ~ p(X3) )).

cnf(i_0_27650,axiom,
    ( esk6983_4(X1,X2,X3,X4)
    | ~ esk7543_4(X1,X2,X3,X4) )).

cnf(i_0_27651,axiom,
    ( ~ esk7066_4(X1,X2,X3,X4)
    | esk5879_4(X1,X2,X3,X4) )).

cnf(i_0_27652,axiom,
    ( ~ esk2374_4(X1,X2,X3,X4)
    | esk1887_4(X1,X2,X3,X4) )).

cnf(i_0_27653,axiom,
    ( esk2809_4(X1,X2,X3,X4)
    | esk2129_4(X1,X2,X3,X4) )).

cnf(i_0_27654,axiom,
    ( esk660_0
    | ~ p(X4)
    | ~ esk2431_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | p(X3) )).

cnf(i_0_27655,axiom,
    ( esk7452_4(X1,X2,X3,X4)
    | ~ esk7451_4(X1,X2,X3,X4) )).

cnf(i_0_27656,axiom,
    ( esk8116_4(X1,X2,X3,X4)
    | ~ esk9338_4(X1,X2,X3,X4) )).

cnf(i_0_27657,axiom,
    ( ~ p(X4)
    | ~ p(X3)
    | p(X1)
    | ~ esk8138_4(X1,X2,X3,X4)
    | esk265_0
    | ~ p(X2) )).

cnf(i_0_27658,axiom,
    ( ~ esk4364_4(X1,X2,X3,X4)
    | esk4365_4(X1,X2,X3,X4)
    | ~ esk3962_4(X1,X2,X3,X4) )).

cnf(i_0_27659,axiom,
    ( ~ p(X2)
    | ~ esk53_0
    | p(X4)
    | p(X1)
    | ~ p(X3)
    | esk1444_4(X1,X2,X3,X4) )).

cnf(i_0_27660,axiom,
    ( esk7300_4(X1,X2,X3,X4)
    | ~ esk7299_4(X1,X2,X3,X4) )).

cnf(i_0_27661,axiom,
    ( ~ esk3366_4(X1,X2,X3,X4)
    | ~ esk2768_4(X1,X2,X3,X4)
    | esk2769_4(X1,X2,X3,X4) )).

cnf(i_0_27662,axiom,
    ( ~ esk4884_4(X1,X2,X3,X4)
    | ~ esk5458_4(X1,X2,X3,X4) )).

cnf(i_0_27663,axiom,
    ( esk5338_4(X1,X2,X3,X4)
    | esk3920_4(X1,X2,X3,X4) )).

cnf(i_0_27664,axiom,
    ( p(X4)
    | esk2095_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X2)
    | ~ esk456_0
    | p(X1) )).

cnf(i_0_27665,axiom,
    ( esk6185_4(X1,X2,X3,X4)
    | ~ esk4085_4(X1,X2,X3,X4) )).

cnf(i_0_27666,axiom,
    ( ~ esk8803_4(X1,X2,X3,X4)
    | esk8771_4(X1,X2,X3,X4) )).

cnf(i_0_27667,axiom,
    ( ~ esk2662_4(X1,X2,X3,X4)
    | ~ esk3315_4(X1,X2,X3,X4)
    | esk3316_4(X1,X2,X3,X4) )).

cnf(i_0_27668,axiom,
    ( esk5866_4(X1,X2,X3,X4)
    | ~ esk5864_4(X1,X2,X3,X4) )).

cnf(i_0_27669,axiom,
    ( esk1671_4(X1,X2,X3,X4)
    | ~ esk135_0
    | ~ p(X1)
    | p(X3)
    | ~ p(X2)
    | ~ p(X4) )).

cnf(i_0_27670,axiom,
    ( esk8117_4(X1,X2,X3,X4)
    | ~ esk9322_4(X1,X2,X3,X4) )).

cnf(i_0_27671,axiom,
    ( ~ esk5662_4(X1,X2,X3,X4)
    | ~ esk5552_4(X1,X2,X3,X4)
    | esk5732_4(X1,X2,X3,X4) )).

cnf(i_0_27672,axiom,
    ( ~ esk7996_4(X1,X2,X3,X4)
    | esk8168_4(X1,X2,X3,X4) )).

cnf(i_0_27673,axiom,
    ( esk9527_4(X1,X2,X3,X4)
    | ~ esk9526_4(X1,X2,X3,X4) )).

cnf(i_0_27674,axiom,
    ( esk1820_4(X1,X2,X3,X4)
    | ~ esk2997_4(X1,X2,X3,X4) )).

cnf(i_0_27675,axiom,
    ( esk3219_4(X1,X2,X3,X4)
    | ~ esk3220_4(X1,X2,X3,X4) )).

cnf(i_0_27676,axiom,
    ( ~ esk873_0
    | p(X2)
    | p(X1)
    | p(X4)
    | esk9093_4(X1,X2,X3,X4)
    | p(X3) )).

cnf(i_0_27677,axiom,
    ( ~ esk4261_4(X1,X2,X3,X4)
    | esk4528_4(X1,X2,X3,X4) )).

cnf(i_0_27678,axiom,
    ( ~ esk6186_4(X1,X2,X3,X4)
    | esk6290_4(X1,X2,X3,X4) )).

cnf(i_0_27679,axiom,
    ( esk8676_4(X1,X2,X3,X4)
    | ~ esk8715_4(X1,X2,X3,X4) )).

cnf(i_0_27680,axiom,
    ( ~ p(X3)
    | esk1145_0
    | ~ esk2882_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | p(X1) )).

cnf(i_0_27681,axiom,
    ( esk2320_4(X1,X2,X3,X4)
    | ~ esk4420_4(X1,X2,X3,X4) )).

cnf(i_0_27682,axiom,
    ( esk2239_4(X1,X2,X3,X4)
    | ~ esk2204_4(X1,X2,X3,X4)
    | ~ esk1423_4(X1,X2,X3,X4) )).

cnf(i_0_27683,axiom,
    ( esk7152_4(X1,X2,X3,X4)
    | esk5701_4(X1,X2,X3,X4) )).

cnf(i_0_27684,axiom,
    ( esk7983_4(X1,X2,X3,X4)
    | ~ esk8030_4(X1,X2,X3,X4) )).

cnf(i_0_27685,axiom,
    ( esk5103_4(X1,X2,X3,X4)
    | esk5104_4(X1,X2,X3,X4)
    | ~ esk5105_4(X1,X2,X3,X4) )).

cnf(i_0_27686,axiom,
    ( esk6147_4(X1,X2,X3,X4)
    | esk6182_4(X1,X2,X3,X4)
    | ~ esk6181_4(X1,X2,X3,X4) )).

cnf(i_0_27687,axiom,
    ( ~ esk8642_4(X1,X2,X3,X4)
    | esk8643_4(X1,X2,X3,X4) )).

cnf(i_0_27688,axiom,
    ( ~ esk5804_4(X1,X2,X3,X4)
    | esk5805_4(X1,X2,X3,X4) )).

cnf(i_0_27689,axiom,
    ( esk2101_4(X1,X2,X3,X4)
    | ~ esk2100_4(X1,X2,X3,X4) )).

cnf(i_0_27690,axiom,
    ( esk8253_4(X1,X2,X3,X4)
    | ~ esk8508_4(X1,X2,X3,X4) )).

cnf(i_0_27691,axiom,
    ( ~ esk7205_4(X1,X2,X3,X4)
    | ~ esk6018_4(X1,X2,X3,X4) )).

cnf(i_0_27692,axiom,
    ( esk1277_0
    | ~ p(X3)
    | ~ esk2922_4(X1,X2,X3,X4)
    | ~ p(X2)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_27693,axiom,
    ( esk1086_0
    | ~ esk9170_4(X1,X2,X3,X4)
    | ~ p(X4)
    | p(X2)
    | ~ p(X3)
    | p(X1) )).

cnf(i_0_27694,axiom,
    ( ~ esk1465_4(X1,X2,X3,X4)
    | esk1466_4(X1,X2,X3,X4)
    | ~ esk1723_4(X1,X2,X3,X4) )).

cnf(i_0_27695,axiom,
    ( esk4281_4(X1,X2,X3,X4)
    | ~ esk4280_4(X1,X2,X3,X4) )).

cnf(i_0_27696,axiom,
    ( ~ esk8280_4(X1,X2,X3,X4)
    | esk8171_4(X1,X2,X3,X4)
    | esk7720_4(X1,X2,X3,X4) )).

cnf(i_0_27697,axiom,
    ( ~ esk9359_4(X1,X2,X3,X4)
    | ~ esk8117_4(X1,X2,X3,X4)
    | esk9362_4(X1,X2,X3,X4) )).

cnf(i_0_27698,axiom,
    ( ~ esk8003_4(X1,X2,X3,X4)
    | esk9225_4(X1,X2,X3,X4)
    | ~ esk9224_4(X1,X2,X3,X4) )).

cnf(i_0_27699,axiom,
    ( ~ esk2053_4(X1,X2,X3,X4)
    | esk2435_4(X1,X2,X3,X4) )).

cnf(i_0_27700,axiom,
    ( ~ esk4264_4(X1,X2,X3,X4)
    | ~ esk4526_4(X1,X2,X3,X4)
    | esk4300_4(X1,X2,X3,X4) )).

cnf(i_0_27701,axiom,
    ( esk2529_4(X1,X2,X3,X4)
    | esk1821_4(X1,X2,X3,X4) )).

cnf(i_0_27702,axiom,
    ( esk1667_4(X1,X2,X3,X4)
    | ~ esk1668_4(X1,X2,X3,X4)
    | esk1666_4(X1,X2,X3,X4) )).

cnf(i_0_27703,axiom,
    ( ~ esk1876_4(X1,X2,X3,X4)
    | ~ esk2460_4(X1,X2,X3,X4) )).

cnf(i_0_27704,axiom,
    ( ~ esk1819_4(X1,X2,X3,X4)
    | ~ esk2261_4(X1,X2,X3,X4) )).

cnf(i_0_27705,axiom,
    ( ~ p(X4)
    | esk1958_4(X1,X2,X3,X4)
    | ~ esk356_0
    | ~ p(X1)
    | p(X3)
    | p(X2) )).

cnf(i_0_27706,axiom,
    ( p(X3)
    | ~ esk481_0
    | ~ p(X4)
    | ~ p(X2)
    | ~ p(X1)
    | esk8469_4(X1,X2,X3,X4) )).

cnf(i_0_27707,axiom,
    ( esk1336_0
    | ~ p(X2)
    | ~ esk9252_4(X1,X2,X3,X4)
    | p(X3)
    | ~ p(X1)
    | ~ p(X4) )).

cnf(i_0_27708,axiom,
    ( ~ esk1489_4(X1,X2,X3,X4)
    | esk1490_4(X1,X2,X3,X4) )).

cnf(i_0_27709,axiom,
    ( ~ esk8076_4(X1,X2,X3,X4)
    | esk8077_4(X1,X2,X3,X4) )).

cnf(i_0_27710,axiom,
    ( ~ esk7995_4(X1,X2,X3,X4)
    | esk8167_4(X1,X2,X3,X4) )).

cnf(i_0_27711,axiom,
    ( ~ esk3653_4(X1,X2,X3,X4)
    | esk3575_4(X1,X2,X3,X4) )).

cnf(i_0_27712,axiom,
    ( esk2064_4(X1,X2,X3,X4)
    | ~ esk2065_4(X1,X2,X3,X4) )).

cnf(i_0_27713,axiom,
    ( esk5748_4(X1,X2,X3,X4)
    | esk5747_4(X1,X2,X3,X4)
    | ~ esk5749_4(X1,X2,X3,X4) )).

cnf(i_0_27714,axiom,
    ( ~ p(X4)
    | esk947_0
    | ~ p(X3)
    | ~ p(X2)
    | ~ esk2805_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_27715,axiom,
    ( esk7189_4(X1,X2,X3,X4)
    | ~ esk7190_4(X1,X2,X3,X4) )).

cnf(i_0_27716,axiom,
    ( esk4882_4(X1,X2,X3,X4)
    | ~ esk4881_4(X1,X2,X3,X4) )).

cnf(i_0_27717,axiom,
    ( ~ esk5025_4(X1,X2,X3,X4)
    | esk3854_4(X1,X2,X3,X4) )).

cnf(i_0_27718,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk2890_4(X1,X2,X3,X4)
    | ~ esk1179_0
    | ~ p(X2) )).

cnf(i_0_27719,axiom,
    ( ~ esk4394_4(X1,X2,X3,X4)
    | ~ esk5258_4(X1,X2,X3,X4)
    | esk5259_4(X1,X2,X3,X4) )).

cnf(i_0_27720,axiom,
    ( p(X3)
    | ~ esk8318_4(X1,X2,X3,X4)
    | ~ p(X1)
    | esk402_0
    | p(X2)
    | ~ p(X4) )).

cnf(i_0_27721,axiom,
    ( ~ esk5580_4(X1,X2,X3,X4)
    | esk6261_4(X1,X2,X3,X4) )).

cnf(i_0_27722,axiom,
    ( ~ esk7882_4(X1,X2,X3,X4)
    | esk7884_4(X1,X2,X3,X4) )).

cnf(i_0_27723,axiom,
    ( ~ p(X3)
    | p(X1)
    | ~ p(X4)
    | esk950_0
    | ~ esk2807_4(X1,X2,X3,X4)
    | p(X2) )).

cnf(i_0_27724,axiom,
    ( ~ p(X3)
    | ~ p(X4)
    | ~ p(X2)
    | ~ esk1_0
    | esk9089_4(X1,X2,X3,X4)
    | ~ p(X1) )).

cnf(i_0_27725,axiom,
    ( ~ esk3920_4(X1,X2,X3,X4)
    | ~ esk4438_4(X1,X2,X3,X4) )).

cnf(i_0_27726,axiom,
    ( p(X1)
    | p(X4)
    | esk1_0
    | p(X3)
    | p(X2)
    | ~ esk2022_4(X1,X2,X3,X4) )).

cnf(i_0_27727,axiom,
    ( esk9582_4(X1,X2,X3,X4)
    | ~ esk9580_4(X1,X2,X3,X4) )).

cnf(i_0_27728,axiom,
    ( esk5026_4(X1,X2,X3,X4)
    | ~ esk5027_4(X1,X2,X3,X4) )).

cnf(i_0_27729,axiom,
    ( ~ esk4332_4(X1,X2,X3,X4)
    | esk4036_4(X1,X2,X3,X4)
    | ~ esk4035_4(X1,X2,X3,X4) )).

cnf(i_0_27730,axiom,
    ( ~ esk5421_4(X1,X2,X3,X4)
    | ~ esk4538_4(X1,X2,X3,X4)
    | esk5424_4(X1,X2,X3,X4) )).

cnf(i_0_27731,axiom,
    ( ~ esk8572_4(X1,X2,X3,X4)
    | esk8117_4(X1,X2,X3,X4) )).

cnf(i_0_27732,axiom,
    ( esk3275_4(X1,X2,X3,X4)
    | ~ esk2423_4(X1,X2,X3,X4) )).

cnf(i_0_27733,axiom,
    ( esk9386_4(X1,X2,X3,X4)
    | esk9385_4(X1,X2,X3,X4)
    | ~ esk9387_4(X1,X2,X3,X4) )).

cnf(i_0_27734,axiom,
    ( esk2926_4(X1,X2,X3,X4)
    | ~ esk2924_4(X1,X2,X3,X4) )).

cnf(i_0_27735,axiom,
    ( esk6254_4(X1,X2,X3,X4)
    | ~ esk6285_4(X1,X2,X3,X4) )).

cnf(i_0_27736,axiom,
    ( esk4684_4(X1,X2,X3,X4)
    | ~ esk4670_4(X1,X2,X3,X4)
    | ~ esk5401_4(X1,X2,X3,X4) )).

cnf(i_0_27737,axiom,
    ( esk7731_4(X1,X2,X3,X4)
    | ~ esk7730_4(X1,X2,X3,X4) )).

cnf(i_0_27738,axiom,
    ( esk3249_4(X1,X2,X3,X4)
    | esk3248_4(X1,X2,X3,X4)
    | ~ esk3250_4(X1,X2,X3,X4) )).

cnf(i_0_27739,axiom,
    ( esk4302_4(X1,X2,X3,X4)
    | ~ esk4526_4(X1,X2,X3,X4)
    | esk3522_4(X1,X2,X3,X4) )).

cnf(i_0_27740,axiom,
    ( esk9151_4(X1,X2,X3,X4)
    | esk9121_4(X1,X2,X3,X4)
    | ~ esk7719_4(X1,X2,X3,X4) )).

cnf(i_0_27741,axiom,
    ( ~ p(X3)
    | p(X2)
    | ~ esk9109_4(X1,X2,X3,X4)
    | esk1004_0
    | ~ p(X4)
    | ~ p(X1) )).

cnf(i_0_27742,axiom,
    ( ~ esk2928_4(X1,X2,X3,X4)
    | esk2927_4(X1,X2,X3,X4) )).

cnf(i_0_27743,axiom,
    ( p(X1)
    | ~ p(X2)
    | esk203_0
    | ~ p(X3)
    | p(X4)
    | ~ esk1754_4(X1,X2,X3,X4) )).

cnf(i_0_27744,axiom,
    ( ~ esk7042_4(X1,X2,X3,X4)
    | esk7040_4(X1,X2,X3,X4)
    | esk7041_4(X1,X2,X3,X4) )).

cnf(i_0_27745,axiom,
    ( esk6644_4(X1,X2,X3,X4)
    | ~ esk6948_4(X1,X2,X3,X4) )).

cnf(i_0_27746,axiom,
    ( ~ esk3842_4(X1,X2,X3,X4)
    | esk3557_4(X1,X2,X3,X4)
    | ~ esk3556_4(X1,X2,X3,X4) )).

cnf(rule_true,axiom,
    ( p(true) )).

cnf(rule_false,axiom,
    ( ~ p(false) )).

cnf(true_not_false,axiom,
    true != false ).

%------------------------------------------------------------------------------
