%------------------------------------------------------------------------------
% File     : HWV111-1 : TPTP v6.1.0. Released v6.1.0.
% Domain   : Hardware Verification
% Problem  : dmu_rmu_rrm property 1 cone of influence 5_b20
% Version  : Especial.
% English  : Verification of a property of the SPARCT2 RTL hardware design.

% Refs     : [Kha14] Khasidashvili (2014), Email to Geoff Sutcliffe
% Source   : [Kha14]
% Names    : dmu_rmu_rrm_prop1_cone5_b20 [Kha14]

% Status   : Unsatisfiable
% Rating   : 0.88 v6.1.0
% Syntax   : Number of clauses     : 3438 ( 287 non-Horn; 252 unit;3406 RR)
%            Number of atoms       : 8775 ( 209 equality)
%            Maximal clause size   :   65 (   3 average)
%            Number of predicates  :  678 (   0 propositional; 1-2 arity)
%            Number of functors    :  396 ( 396 constant; 0-0 arity)
%            Number of variables   : 4574 ( 181 singleton)
%            Maximal term depth    :    1 (   1 average)
% SPC      : CNF_UNS_EPR

% Comments : Copyright 2013 Moshe Emmer and Zurab Khasidashvili
%            Licensed under the Apache License, Version 2.0 (the "License");
%            you may not use this file except in compliance with the License.
%            You may obtain a copy of the License at
%                http://www.apache.org/licenses/LICENSE-2.0
%            Unless required by applicable law or agreed to in writing,
%            software distributed under the License is distributed on an "AS
%            IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
%            express or implied. See the License for the specific language
%            governing permissions and limitations under the License.
%------------------------------------------------------------------------------
cnf(u14341,axiom,
    ( v17(VarCurr,bitIndex0)
    | ~ sP446_aig_name(VarCurr) )).

cnf(u14342,axiom,
    ( v17(VarCurr,bitIndex1)
    | ~ sP446_aig_name(VarCurr) )).

cnf(u14343,axiom,
    ( sP446_aig_name(VarCurr)
    | ~ v17(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u14336,axiom,
    ( ~ v653(VarCurr)
    | ~ sP447_aig_name(VarCurr) )).

cnf(u14337,axiom,
    ( ~ v17(VarCurr,bitIndex2)
    | ~ sP447_aig_name(VarCurr) )).

cnf(u14338,axiom,
    ( sP447_aig_name(VarCurr)
    | v17(VarCurr,bitIndex2)
    | v653(VarCurr) )).

cnf(u14331,axiom,
    ( v73(VarCurr)
    | ~ sP448_aig_name(VarCurr) )).

cnf(u14332,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ sP448_aig_name(VarCurr) )).

cnf(u14333,axiom,
    ( sP448_aig_name(VarCurr)
    | ~ v62(VarCurr,bitIndex0)
    | ~ v73(VarCurr) )).

cnf(u14326,axiom,
    ( ~ v653(VarCurr)
    | ~ sP449_aig_name(VarCurr) )).

cnf(u14327,axiom,
    ( ~ v17(VarCurr,bitIndex2)
    | ~ sP449_aig_name(VarCurr) )).

cnf(u14328,axiom,
    ( sP449_aig_name(VarCurr)
    | v17(VarCurr,bitIndex2)
    | v653(VarCurr) )).

cnf(u14322,axiom,
    ( ~ sP449_aig_name(VarCurr)
    | v574(VarCurr,bitIndex0) )).

cnf(u14323,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | sP449_aig_name(VarCurr) )).

cnf(u14313,axiom,
    ( bitIndex1 != B
    | range_7_1(B) )).

cnf(u14314,axiom,
    ( bitIndex2 != B
    | range_7_1(B) )).

cnf(u14315,axiom,
    ( bitIndex3 != B
    | range_7_1(B) )).

cnf(u14316,axiom,
    ( bitIndex4 != B
    | range_7_1(B) )).

cnf(u14317,axiom,
    ( bitIndex5 != B
    | range_7_1(B) )).

cnf(u14318,axiom,
    ( bitIndex6 != B
    | range_7_1(B) )).

cnf(u14319,axiom,
    ( bitIndex7 != B
    | range_7_1(B) )).

cnf(u14320,axiom,
    ( ~ range_7_1(B)
    | bitIndex7 = B
    | bitIndex6 = B
    | bitIndex5 = B
    | bitIndex4 = B
    | bitIndex3 = B
    | bitIndex2 = B
    | bitIndex1 = B )).

cnf(u14302,axiom,
    ( bitIndex63 != B
    | range_69_63(B) )).

cnf(u14303,axiom,
    ( bitIndex64 != B
    | range_69_63(B) )).

cnf(u14304,axiom,
    ( bitIndex65 != B
    | range_69_63(B) )).

cnf(u14305,axiom,
    ( bitIndex66 != B
    | range_69_63(B) )).

cnf(u14306,axiom,
    ( bitIndex67 != B
    | range_69_63(B) )).

cnf(u14307,axiom,
    ( bitIndex68 != B
    | range_69_63(B) )).

cnf(u14308,axiom,
    ( bitIndex69 != B
    | range_69_63(B) )).

cnf(u14309,axiom,
    ( ~ range_69_63(B)
    | bitIndex69 = B
    | bitIndex68 = B
    | bitIndex67 = B
    | bitIndex66 = B
    | bitIndex65 = B
    | bitIndex64 = B
    | bitIndex63 = B )).

cnf(u14289,axiom,
    ( bitIndex1 != B
    | ~ sP891(B) )).

cnf(u14290,axiom,
    ( bitIndex2 != B
    | ~ sP891(B) )).

cnf(u14291,axiom,
    ( bitIndex3 != B
    | ~ sP891(B) )).

cnf(u14292,axiom,
    ( bitIndex4 != B
    | ~ sP891(B) )).

cnf(u14293,axiom,
    ( bitIndex5 != B
    | ~ sP891(B) )).

cnf(u14294,axiom,
    ( bitIndex6 != B
    | ~ sP891(B) )).

cnf(u14295,axiom,
    ( bitIndex7 != B
    | ~ sP891(B) )).

cnf(u14296,axiom,
    ( bitIndex8 != B
    | ~ sP891(B) )).

cnf(u14297,axiom,
    ( bitIndex9 != B
    | ~ sP891(B) )).

cnf(u14298,axiom,
    ( bitIndex10 != B
    | ~ sP891(B) )).

cnf(u14286,axiom,
    ( sP891(B)
    | range_10_1(B) )).

cnf(u14287,axiom,
    ( ~ range_10_1(B)
    | bitIndex10 = B
    | bitIndex9 = B
    | bitIndex8 = B
    | bitIndex7 = B
    | bitIndex6 = B
    | bitIndex5 = B
    | bitIndex4 = B
    | bitIndex3 = B
    | bitIndex2 = B
    | bitIndex1 = B )).

cnf(u14280,axiom,
    ( v7(constB0,bitIndex0) )).

cnf(u14278,axiom,
    ( ~ v7(constB0,bitIndex2) )).

cnf(u14279,axiom,
    ( ~ v7(constB0,bitIndex1) )).

cnf(u14273,axiom,
    ( ~ v32(VarCurr)
    | ~ v47(VarCurr) )).

cnf(u14274,axiom,
    ( ~ v28(VarCurr,bitIndex0)
    | ~ v47(VarCurr) )).

cnf(u14275,axiom,
    ( ~ v28(VarCurr,bitIndex1)
    | ~ v47(VarCurr) )).

cnf(u14276,axiom,
    ( v7(VarCurr,bitIndex0)
    | ~ v47(VarCurr) )).

cnf(u14277,axiom,
    ( v47(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0)
    | v32(VarCurr) )).

cnf(u14270,axiom,
    ( v28(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex1)
    | v32(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v47(VarCurr) )).

cnf(u14269,axiom,
    ( ~ v47(VarCurr)
    | v47(VarCurr) )).

cnf(u14268,axiom,
    ( b00000000001(bitIndex0) )).

cnf(u14267,axiom,
    ( ~ b00000000001(bitIndex1) )).

cnf(u14266,axiom,
    ( ~ b00000000001(bitIndex2) )).

cnf(u14265,axiom,
    ( ~ b00000000001(bitIndex3) )).

cnf(u14264,axiom,
    ( ~ b00000000001(bitIndex4) )).

cnf(u14263,axiom,
    ( ~ b00000000001(bitIndex5) )).

cnf(u14262,axiom,
    ( ~ b00000000001(bitIndex6) )).

cnf(u14261,axiom,
    ( ~ b00000000001(bitIndex7) )).

cnf(u14260,axiom,
    ( ~ b00000000001(bitIndex8) )).

cnf(u14259,axiom,
    ( ~ b00000000001(bitIndex9) )).

cnf(u14258,axiom,
    ( ~ b00000000001(bitIndex10) )).

cnf(u14257,axiom,
    ( v107(constB0,bitIndex0) )).

cnf(u14256,axiom,
    ( ~ v107(constB0,bitIndex1) )).

cnf(u14255,axiom,
    ( ~ v107(constB0,bitIndex2) )).

cnf(u14254,axiom,
    ( ~ v107(constB0,bitIndex3) )).

cnf(u14253,axiom,
    ( ~ v107(constB0,bitIndex4) )).

cnf(u14252,axiom,
    ( ~ v107(constB0,bitIndex5) )).

cnf(u14251,axiom,
    ( ~ v107(constB0,bitIndex6) )).

cnf(u14250,axiom,
    ( ~ v107(constB0,bitIndex7) )).

cnf(u14249,axiom,
    ( ~ v107(constB0,bitIndex8) )).

cnf(u14248,axiom,
    ( ~ v107(constB0,bitIndex9) )).

cnf(u14247,axiom,
    ( ~ v107(constB0,bitIndex10) )).

cnf(u14245,axiom,
    ( v1(VarCurr)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14246,axiom,
    ( v119(VarNext)
    | ~ v1(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14241,axiom,
    ( v119(VarNext)
    | v117(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14242,axiom,
    ( ~ v117(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14236,axiom,
    ( v1(VarNext)
    | ~ v116(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14237,axiom,
    ( v117(VarNext)
    | ~ v116(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14238,axiom,
    ( v116(VarNext)
    | ~ v117(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14231,axiom,
    ( v116(VarNext)
    | ~ v115(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14232,axiom,
    ( v115(VarNext)
    | ~ v116(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14226,axiom,
    ( ~ range_10_1(B)
    | range_10_0(B) )).

cnf(u14227,axiom,
    ( bitIndex0 != B
    | range_10_0(B) )).

cnf(u14228,axiom,
    ( ~ range_10_0(B)
    | bitIndex0 = B
    | range_10_1(B) )).

cnf(u14222,axiom,
    ( b00000000001(B)
    | ~ v123(VarCurr,B)
    | v11(VarCurr) )).

cnf(u14223,axiom,
    ( v123(VarCurr,B)
    | ~ b00000000001(B)
    | v11(VarCurr) )).

cnf(u14218,axiom,
    ( v103(VarCurr,B)
    | ~ v123(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u14219,axiom,
    ( v123(VarCurr,B)
    | ~ v103(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u14214,axiom,
    ( v123(VarCurr,B)
    | ~ v125(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14215,axiom,
    ( v125(VarNext,B)
    | ~ v123(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14210,axiom,
    ( v125(VarNext,B)
    | ~ v114(VarNext,B)
    | ~ v115(VarNext) )).

cnf(u14211,axiom,
    ( v114(VarNext,B)
    | ~ v125(VarNext,B)
    | ~ v115(VarNext) )).

cnf(u14206,axiom,
    ( v107(VarCurr,B)
    | ~ v114(VarNext,B)
    | v115(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14207,axiom,
    ( v114(VarNext,B)
    | ~ v107(VarCurr,B)
    | v115(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14201,axiom,
    ( v114(VarNext,bitIndex2)
    | ~ v107(VarNext,bitIndex2) )).

cnf(u14202,axiom,
    ( v107(VarNext,bitIndex2)
    | ~ v114(VarNext,bitIndex2) )).

cnf(u14198,axiom,
    ( ~ range_10_1(B)
    | range_10_1(B) )).

cnf(u14199,axiom,
    ( ~ range_10_1(B)
    | range_10_1(B) )).

cnf(u14195,axiom,
    ( v107(VarCurr,B)
    | ~ v129(VarCurr,B)
    | ~ range_10_1(B) )).

cnf(u14196,axiom,
    ( v129(VarCurr,B)
    | ~ v107(VarCurr,B)
    | ~ range_10_1(B) )).

cnf(u14192,axiom,
    ( v129(VarCurr,bitIndex0) )).

cnf(u14190,axiom,
    ( v129(VarCurr,bitIndex2)
    | ~ v105(VarCurr,bitIndex2) )).

cnf(u14191,axiom,
    ( v105(VarCurr,bitIndex2)
    | ~ v129(VarCurr,bitIndex2) )).

cnf(u14187,axiom,
    ( v129(VarCurr,bitIndex3)
    | ~ v105(VarCurr,bitIndex3) )).

cnf(u14188,axiom,
    ( v105(VarCurr,bitIndex3)
    | ~ v129(VarCurr,bitIndex3) )).

cnf(u14184,axiom,
    ( v105(VarCurr,B)
    | ~ v133(VarCurr,B)
    | ~ range_10_1(B) )).

cnf(u14185,axiom,
    ( v133(VarCurr,B)
    | ~ v105(VarCurr,B)
    | ~ range_10_1(B) )).

cnf(u14181,axiom,
    ( v133(VarCurr,bitIndex0) )).

cnf(u14179,axiom,
    ( v136(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u14180,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v136(VarCurr,bitIndex1) )).

cnf(u14176,axiom,
    ( v136(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u14177,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v136(VarCurr,bitIndex0) )).

cnf(u14173,axiom,
    ( v138(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u14174,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v138(VarCurr,bitIndex1) )).

cnf(u14170,axiom,
    ( v138(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u14171,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v138(VarCurr,bitIndex0) )).

cnf(u14168,axiom,
    ( b01(bitIndex0) )).

cnf(u14167,axiom,
    ( ~ b01(bitIndex1) )).

cnf(u14166,axiom,
    ( ~ v139(VarCurr,bitIndex10) )).

cnf(u14146,axiom,
    ( v107(VarCurr,bitIndex10)
    | ~ v139(VarCurr,bitIndex9) )).

cnf(u14147,axiom,
    ( v139(VarCurr,bitIndex9)
    | ~ v107(VarCurr,bitIndex10) )).

cnf(u14148,axiom,
    ( v107(VarCurr,bitIndex9)
    | ~ v139(VarCurr,bitIndex8) )).

cnf(u14149,axiom,
    ( v139(VarCurr,bitIndex8)
    | ~ v107(VarCurr,bitIndex9) )).

cnf(u14150,axiom,
    ( v107(VarCurr,bitIndex8)
    | ~ v139(VarCurr,bitIndex7) )).

cnf(u14151,axiom,
    ( v139(VarCurr,bitIndex7)
    | ~ v107(VarCurr,bitIndex8) )).

cnf(u14152,axiom,
    ( v107(VarCurr,bitIndex7)
    | ~ v139(VarCurr,bitIndex6) )).

cnf(u14153,axiom,
    ( v139(VarCurr,bitIndex6)
    | ~ v107(VarCurr,bitIndex7) )).

cnf(u14154,axiom,
    ( v107(VarCurr,bitIndex6)
    | ~ v139(VarCurr,bitIndex5) )).

cnf(u14155,axiom,
    ( v139(VarCurr,bitIndex5)
    | ~ v107(VarCurr,bitIndex6) )).

cnf(u14156,axiom,
    ( v107(VarCurr,bitIndex5)
    | ~ v139(VarCurr,bitIndex4) )).

cnf(u14157,axiom,
    ( v139(VarCurr,bitIndex4)
    | ~ v107(VarCurr,bitIndex5) )).

cnf(u14158,axiom,
    ( v107(VarCurr,bitIndex4)
    | ~ v139(VarCurr,bitIndex3) )).

cnf(u14159,axiom,
    ( v139(VarCurr,bitIndex3)
    | ~ v107(VarCurr,bitIndex4) )).

cnf(u14160,axiom,
    ( v107(VarCurr,bitIndex3)
    | ~ v139(VarCurr,bitIndex2) )).

cnf(u14161,axiom,
    ( v139(VarCurr,bitIndex2)
    | ~ v107(VarCurr,bitIndex3) )).

cnf(u14162,axiom,
    ( v107(VarCurr,bitIndex2)
    | ~ v139(VarCurr,bitIndex1) )).

cnf(u14163,axiom,
    ( v139(VarCurr,bitIndex1)
    | ~ v107(VarCurr,bitIndex2) )).

cnf(u14164,axiom,
    ( v107(VarCurr,bitIndex1)
    | ~ v139(VarCurr,bitIndex0) )).

cnf(u14165,axiom,
    ( v139(VarCurr,bitIndex0)
    | ~ v107(VarCurr,bitIndex1) )).

cnf(u14142,axiom,
    ( v142(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u14143,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v142(VarCurr,bitIndex1) )).

cnf(u14139,axiom,
    ( v142(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u14140,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v142(VarCurr,bitIndex0) )).

cnf(u14137,axiom,
    ( ~ b10(bitIndex0) )).

cnf(u14136,axiom,
    ( b10(bitIndex1) )).

cnf(u14116,axiom,
    ( v107(VarCurr,bitIndex9)
    | ~ v143(VarCurr,bitIndex10) )).

cnf(u14117,axiom,
    ( v143(VarCurr,bitIndex10)
    | ~ v107(VarCurr,bitIndex9) )).

cnf(u14118,axiom,
    ( v107(VarCurr,bitIndex8)
    | ~ v143(VarCurr,bitIndex9) )).

cnf(u14119,axiom,
    ( v143(VarCurr,bitIndex9)
    | ~ v107(VarCurr,bitIndex8) )).

cnf(u14120,axiom,
    ( v107(VarCurr,bitIndex7)
    | ~ v143(VarCurr,bitIndex8) )).

cnf(u14121,axiom,
    ( v143(VarCurr,bitIndex8)
    | ~ v107(VarCurr,bitIndex7) )).

cnf(u14122,axiom,
    ( v107(VarCurr,bitIndex6)
    | ~ v143(VarCurr,bitIndex7) )).

cnf(u14123,axiom,
    ( v143(VarCurr,bitIndex7)
    | ~ v107(VarCurr,bitIndex6) )).

cnf(u14124,axiom,
    ( v107(VarCurr,bitIndex5)
    | ~ v143(VarCurr,bitIndex6) )).

cnf(u14125,axiom,
    ( v143(VarCurr,bitIndex6)
    | ~ v107(VarCurr,bitIndex5) )).

cnf(u14126,axiom,
    ( v107(VarCurr,bitIndex4)
    | ~ v143(VarCurr,bitIndex5) )).

cnf(u14127,axiom,
    ( v143(VarCurr,bitIndex5)
    | ~ v107(VarCurr,bitIndex4) )).

cnf(u14128,axiom,
    ( v107(VarCurr,bitIndex3)
    | ~ v143(VarCurr,bitIndex4) )).

cnf(u14129,axiom,
    ( v143(VarCurr,bitIndex4)
    | ~ v107(VarCurr,bitIndex3) )).

cnf(u14130,axiom,
    ( v107(VarCurr,bitIndex2)
    | ~ v143(VarCurr,bitIndex3) )).

cnf(u14131,axiom,
    ( v143(VarCurr,bitIndex3)
    | ~ v107(VarCurr,bitIndex2) )).

cnf(u14132,axiom,
    ( v107(VarCurr,bitIndex1)
    | ~ v143(VarCurr,bitIndex2) )).

cnf(u14133,axiom,
    ( v143(VarCurr,bitIndex2)
    | ~ v107(VarCurr,bitIndex1) )).

cnf(u14134,axiom,
    ( v107(VarCurr,bitIndex0)
    | ~ v143(VarCurr,bitIndex1) )).

cnf(u14135,axiom,
    ( v143(VarCurr,bitIndex1)
    | ~ v107(VarCurr,bitIndex0) )).

cnf(u14113,axiom,
    ( ~ v143(VarCurr,bitIndex0) )).

cnf(u14111,axiom,
    ( v146(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u14112,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v146(VarCurr,bitIndex1) )).

cnf(u14108,axiom,
    ( v146(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u14109,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v146(VarCurr,bitIndex0) )).

cnf(u14105,axiom,
    ( v107(VarCurr,B)
    | ~ v134(VarCurr,B)
    | v136(VarCurr,bitIndex1)
    | v136(VarCurr,bitIndex0) )).

cnf(u14106,axiom,
    ( v134(VarCurr,B)
    | ~ v107(VarCurr,B)
    | v136(VarCurr,bitIndex1)
    | v136(VarCurr,bitIndex0) )).

cnf(u14102,axiom,
    ( v139(VarCurr,B)
    | ~ v134(VarCurr,B)
    | v138(VarCurr,bitIndex1)
    | ~ v138(VarCurr,bitIndex0) )).

cnf(u14103,axiom,
    ( v134(VarCurr,B)
    | ~ v139(VarCurr,B)
    | v138(VarCurr,bitIndex1)
    | ~ v138(VarCurr,bitIndex0) )).

cnf(u14099,axiom,
    ( v143(VarCurr,B)
    | ~ v134(VarCurr,B)
    | ~ v142(VarCurr,bitIndex1)
    | v142(VarCurr,bitIndex0) )).

cnf(u14100,axiom,
    ( v134(VarCurr,B)
    | ~ v143(VarCurr,B)
    | ~ v142(VarCurr,bitIndex1)
    | v142(VarCurr,bitIndex0) )).

cnf(u14096,axiom,
    ( ~ v136(VarCurr,bitIndex0)
    | ~ sP890(VarCurr) )).

cnf(u14097,axiom,
    ( ~ v136(VarCurr,bitIndex1)
    | ~ sP890(VarCurr) )).

cnf(u14087,axiom,
    ( v107(VarCurr,B)
    | ~ v134(VarCurr,B)
    | ~ v142(VarCurr,bitIndex0)
    | ~ v138(VarCurr,bitIndex1)
    | sP890(VarCurr) )).

cnf(u14088,axiom,
    ( v107(VarCurr,B)
    | ~ v134(VarCurr,B)
    | ~ v142(VarCurr,bitIndex0)
    | v138(VarCurr,bitIndex0)
    | sP890(VarCurr) )).

cnf(u14089,axiom,
    ( v107(VarCurr,B)
    | ~ v134(VarCurr,B)
    | v142(VarCurr,bitIndex1)
    | ~ v138(VarCurr,bitIndex1)
    | sP890(VarCurr) )).

cnf(u14090,axiom,
    ( v107(VarCurr,B)
    | ~ v134(VarCurr,B)
    | v142(VarCurr,bitIndex1)
    | v138(VarCurr,bitIndex0)
    | sP890(VarCurr) )).

cnf(u14091,axiom,
    ( v134(VarCurr,B)
    | ~ v107(VarCurr,B)
    | ~ v142(VarCurr,bitIndex0)
    | ~ v138(VarCurr,bitIndex1)
    | sP890(VarCurr) )).

cnf(u14092,axiom,
    ( v134(VarCurr,B)
    | ~ v107(VarCurr,B)
    | ~ v142(VarCurr,bitIndex0)
    | v138(VarCurr,bitIndex0)
    | sP890(VarCurr) )).

cnf(u14093,axiom,
    ( v134(VarCurr,B)
    | ~ v107(VarCurr,B)
    | v142(VarCurr,bitIndex1)
    | ~ v138(VarCurr,bitIndex1)
    | sP890(VarCurr) )).

cnf(u14094,axiom,
    ( v134(VarCurr,B)
    | ~ v107(VarCurr,B)
    | v142(VarCurr,bitIndex1)
    | v138(VarCurr,bitIndex0)
    | sP890(VarCurr) )).

cnf(u14082,axiom,
    ( v133(VarCurr,B)
    | ~ v131(VarCurr,B)
    | v11(VarCurr) )).

cnf(u14083,axiom,
    ( v131(VarCurr,B)
    | ~ v133(VarCurr,B)
    | v11(VarCurr) )).

cnf(u14078,axiom,
    ( v134(VarCurr,B)
    | ~ v131(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u14079,axiom,
    ( v131(VarCurr,B)
    | ~ v134(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u14074,axiom,
    ( v131(VarCurr,bitIndex3)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u14075,axiom,
    ( v103(VarCurr,bitIndex3)
    | ~ v131(VarCurr,bitIndex3) )).

cnf(u14071,axiom,
    ( v119(VarNext)
    | v152(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14072,axiom,
    ( ~ v152(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14066,axiom,
    ( v1(VarNext)
    | ~ v150(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14067,axiom,
    ( v152(VarNext)
    | ~ v150(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14068,axiom,
    ( v150(VarNext)
    | ~ v152(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14061,axiom,
    ( v150(VarNext)
    | ~ v149(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14062,axiom,
    ( v149(VarNext)
    | ~ v150(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14057,axiom,
    ( v125(VarNext,B)
    | ~ v148(VarNext,B)
    | ~ v149(VarNext) )).

cnf(u14058,axiom,
    ( v148(VarNext,B)
    | ~ v125(VarNext,B)
    | ~ v149(VarNext) )).

cnf(u14053,axiom,
    ( v107(VarCurr,B)
    | ~ v148(VarNext,B)
    | v149(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14054,axiom,
    ( v148(VarNext,B)
    | ~ v107(VarCurr,B)
    | v149(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14048,axiom,
    ( v148(VarNext,bitIndex3)
    | ~ v107(VarNext,bitIndex3) )).

cnf(u14049,axiom,
    ( v107(VarNext,bitIndex3)
    | ~ v148(VarNext,bitIndex3) )).

cnf(u14045,axiom,
    ( v129(VarCurr,bitIndex1)
    | ~ v105(VarCurr,bitIndex1) )).

cnf(u14046,axiom,
    ( v105(VarCurr,bitIndex1)
    | ~ v129(VarCurr,bitIndex1) )).

cnf(u14042,axiom,
    ( v131(VarCurr,bitIndex0)
    | ~ v103(VarCurr,bitIndex0) )).

cnf(u14043,axiom,
    ( v103(VarCurr,bitIndex0)
    | ~ v131(VarCurr,bitIndex0) )).

cnf(u14039,axiom,
    ( v119(VarNext)
    | v160(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14040,axiom,
    ( ~ v160(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14034,axiom,
    ( v1(VarNext)
    | ~ v158(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14035,axiom,
    ( v160(VarNext)
    | ~ v158(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14036,axiom,
    ( v158(VarNext)
    | ~ v160(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14029,axiom,
    ( v158(VarNext)
    | ~ v157(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14030,axiom,
    ( v157(VarNext)
    | ~ v158(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14025,axiom,
    ( v125(VarNext,B)
    | ~ v156(VarNext,B)
    | ~ v157(VarNext) )).

cnf(u14026,axiom,
    ( v156(VarNext,B)
    | ~ v125(VarNext,B)
    | ~ v157(VarNext) )).

cnf(u14021,axiom,
    ( v107(VarCurr,B)
    | ~ v156(VarNext,B)
    | v157(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14022,axiom,
    ( v156(VarNext,B)
    | ~ v107(VarCurr,B)
    | v157(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14016,axiom,
    ( v156(VarNext,bitIndex0)
    | ~ v107(VarNext,bitIndex0) )).

cnf(u14017,axiom,
    ( v107(VarNext,bitIndex0)
    | ~ v156(VarNext,bitIndex0) )).

cnf(u14013,axiom,
    ( v131(VarCurr,bitIndex1)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u14014,axiom,
    ( v103(VarCurr,bitIndex1)
    | ~ v131(VarCurr,bitIndex1) )).

cnf(u14010,axiom,
    ( v119(VarNext)
    | v168(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14011,axiom,
    ( ~ v168(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14005,axiom,
    ( v1(VarNext)
    | ~ v166(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14006,axiom,
    ( v168(VarNext)
    | ~ v166(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14007,axiom,
    ( v166(VarNext)
    | ~ v168(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14000,axiom,
    ( v166(VarNext)
    | ~ v165(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u14001,axiom,
    ( v165(VarNext)
    | ~ v166(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13996,axiom,
    ( v125(VarNext,B)
    | ~ v164(VarNext,B)
    | ~ v165(VarNext) )).

cnf(u13997,axiom,
    ( v164(VarNext,B)
    | ~ v125(VarNext,B)
    | ~ v165(VarNext) )).

cnf(u13992,axiom,
    ( v107(VarCurr,B)
    | ~ v164(VarNext,B)
    | v165(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13993,axiom,
    ( v164(VarNext,B)
    | ~ v107(VarCurr,B)
    | v165(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13987,axiom,
    ( v164(VarNext,bitIndex1)
    | ~ v107(VarNext,bitIndex1) )).

cnf(u13988,axiom,
    ( v107(VarNext,bitIndex1)
    | ~ v164(VarNext,bitIndex1) )).

cnf(u13984,axiom,
    ( v131(VarCurr,bitIndex2)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u13985,axiom,
    ( v103(VarCurr,bitIndex2)
    | ~ v131(VarCurr,bitIndex2) )).

cnf(u13981,axiom,
    ( v176(VarCurr,bitIndex49)
    | ~ v174(VarCurr,bitIndex49) )).

cnf(u13982,axiom,
    ( v174(VarCurr,bitIndex49)
    | ~ v176(VarCurr,bitIndex49) )).

cnf(u13978,axiom,
    ( v174(VarCurr,bitIndex49)
    | ~ v172(VarCurr,bitIndex49) )).

cnf(u13979,axiom,
    ( v172(VarCurr,bitIndex49)
    | ~ v174(VarCurr,bitIndex49) )).

cnf(u13976,axiom,
    ( ~ v94(constB0,bitIndex49) )).

cnf(u13975,axiom,
    ( ~ v94(constB0,bitIndex63) )).

cnf(u13974,axiom,
    ( ~ v94(constB0,bitIndex64) )).

cnf(u13973,axiom,
    ( ~ v94(constB0,bitIndex65) )).

cnf(u13972,axiom,
    ( ~ v94(constB0,bitIndex66) )).

cnf(u13971,axiom,
    ( ~ v94(constB0,bitIndex67) )).

cnf(u13970,axiom,
    ( ~ v94(constB0,bitIndex68) )).

cnf(u13969,axiom,
    ( ~ v94(constB0,bitIndex69) )).

cnf(u13968,axiom,
    ( ~ v94(constB0,bitIndex119) )).

cnf(u13967,axiom,
    ( ~ v94(constB0,bitIndex133) )).

cnf(u13966,axiom,
    ( ~ v94(constB0,bitIndex134) )).

cnf(u13965,axiom,
    ( ~ v94(constB0,bitIndex135) )).

cnf(u13964,axiom,
    ( ~ v94(constB0,bitIndex136) )).

cnf(u13963,axiom,
    ( ~ v94(constB0,bitIndex137) )).

cnf(u13962,axiom,
    ( ~ v94(constB0,bitIndex138) )).

cnf(u13961,axiom,
    ( ~ v94(constB0,bitIndex139) )).

cnf(u13960,axiom,
    ( ~ v94(constB0,bitIndex189) )).

cnf(u13959,axiom,
    ( ~ v94(constB0,bitIndex203) )).

cnf(u13958,axiom,
    ( ~ v94(constB0,bitIndex204) )).

cnf(u13957,axiom,
    ( ~ v94(constB0,bitIndex205) )).

cnf(u13956,axiom,
    ( ~ v94(constB0,bitIndex206) )).

cnf(u13955,axiom,
    ( ~ v94(constB0,bitIndex207) )).

cnf(u13954,axiom,
    ( ~ v94(constB0,bitIndex208) )).

cnf(u13953,axiom,
    ( ~ v94(constB0,bitIndex209) )).

cnf(u13952,axiom,
    ( ~ v94(constB0,bitIndex259) )).

cnf(u13951,axiom,
    ( ~ v94(constB0,bitIndex273) )).

cnf(u13950,axiom,
    ( ~ v94(constB0,bitIndex274) )).

cnf(u13949,axiom,
    ( ~ v94(constB0,bitIndex275) )).

cnf(u13948,axiom,
    ( ~ v94(constB0,bitIndex276) )).

cnf(u13947,axiom,
    ( ~ v94(constB0,bitIndex277) )).

cnf(u13946,axiom,
    ( ~ v94(constB0,bitIndex278) )).

cnf(u13945,axiom,
    ( ~ v94(constB0,bitIndex279) )).

cnf(u13944,axiom,
    ( ~ v94(constB0,bitIndex329) )).

cnf(u13943,axiom,
    ( ~ v94(constB0,bitIndex343) )).

cnf(u13942,axiom,
    ( ~ v94(constB0,bitIndex344) )).

cnf(u13941,axiom,
    ( ~ v94(constB0,bitIndex345) )).

cnf(u13940,axiom,
    ( ~ v94(constB0,bitIndex346) )).

cnf(u13939,axiom,
    ( ~ v94(constB0,bitIndex347) )).

cnf(u13938,axiom,
    ( ~ v94(constB0,bitIndex348) )).

cnf(u13937,axiom,
    ( ~ v94(constB0,bitIndex349) )).

cnf(u13936,axiom,
    ( ~ v94(constB0,bitIndex399) )).

cnf(u13935,axiom,
    ( ~ v94(constB0,bitIndex413) )).

cnf(u13934,axiom,
    ( ~ v94(constB0,bitIndex414) )).

cnf(u13933,axiom,
    ( ~ v94(constB0,bitIndex415) )).

cnf(u13932,axiom,
    ( ~ v94(constB0,bitIndex416) )).

cnf(u13931,axiom,
    ( ~ v94(constB0,bitIndex417) )).

cnf(u13930,axiom,
    ( ~ v94(constB0,bitIndex418) )).

cnf(u13929,axiom,
    ( ~ v94(constB0,bitIndex419) )).

cnf(u13928,axiom,
    ( ~ v94(constB0,bitIndex469) )).

cnf(u13927,axiom,
    ( ~ v94(constB0,bitIndex483) )).

cnf(u13926,axiom,
    ( ~ v94(constB0,bitIndex484) )).

cnf(u13925,axiom,
    ( ~ v94(constB0,bitIndex485) )).

cnf(u13924,axiom,
    ( ~ v94(constB0,bitIndex486) )).

cnf(u13923,axiom,
    ( ~ v94(constB0,bitIndex487) )).

cnf(u13922,axiom,
    ( ~ v94(constB0,bitIndex488) )).

cnf(u13921,axiom,
    ( ~ v94(constB0,bitIndex489) )).

cnf(u13920,axiom,
    ( ~ v94(constB0,bitIndex539) )).

cnf(u13919,axiom,
    ( ~ v94(constB0,bitIndex553) )).

cnf(u13918,axiom,
    ( ~ v94(constB0,bitIndex554) )).

cnf(u13917,axiom,
    ( ~ v94(constB0,bitIndex555) )).

cnf(u13916,axiom,
    ( ~ v94(constB0,bitIndex556) )).

cnf(u13915,axiom,
    ( ~ v94(constB0,bitIndex557) )).

cnf(u13914,axiom,
    ( ~ v94(constB0,bitIndex558) )).

cnf(u13913,axiom,
    ( ~ v94(constB0,bitIndex559) )).

cnf(u13911,axiom,
    ( v94(VarCurr,bitIndex469)
    | ~ v178(VarCurr,bitIndex49) )).

cnf(u13912,axiom,
    ( v178(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex469) )).

cnf(u13846,axiom,
    ( ~ range_69_63(B)
    | ~ sP889(B) )).

cnf(u13847,axiom,
    ( bitIndex62 != B
    | ~ sP889(B) )).

cnf(u13848,axiom,
    ( bitIndex61 != B
    | ~ sP889(B) )).

cnf(u13849,axiom,
    ( bitIndex60 != B
    | ~ sP889(B) )).

cnf(u13850,axiom,
    ( bitIndex59 != B
    | ~ sP889(B) )).

cnf(u13851,axiom,
    ( bitIndex58 != B
    | ~ sP889(B) )).

cnf(u13852,axiom,
    ( bitIndex57 != B
    | ~ sP889(B) )).

cnf(u13853,axiom,
    ( bitIndex56 != B
    | ~ sP889(B) )).

cnf(u13854,axiom,
    ( bitIndex55 != B
    | ~ sP889(B) )).

cnf(u13855,axiom,
    ( bitIndex54 != B
    | ~ sP889(B) )).

cnf(u13856,axiom,
    ( bitIndex53 != B
    | ~ sP889(B) )).

cnf(u13857,axiom,
    ( bitIndex52 != B
    | ~ sP889(B) )).

cnf(u13858,axiom,
    ( bitIndex51 != B
    | ~ sP889(B) )).

cnf(u13859,axiom,
    ( bitIndex50 != B
    | ~ sP889(B) )).

cnf(u13860,axiom,
    ( bitIndex49 != B
    | ~ sP889(B) )).

cnf(u13861,axiom,
    ( bitIndex48 != B
    | ~ sP889(B) )).

cnf(u13862,axiom,
    ( bitIndex47 != B
    | ~ sP889(B) )).

cnf(u13863,axiom,
    ( bitIndex46 != B
    | ~ sP889(B) )).

cnf(u13864,axiom,
    ( bitIndex45 != B
    | ~ sP889(B) )).

cnf(u13865,axiom,
    ( bitIndex44 != B
    | ~ sP889(B) )).

cnf(u13866,axiom,
    ( bitIndex43 != B
    | ~ sP889(B) )).

cnf(u13867,axiom,
    ( bitIndex42 != B
    | ~ sP889(B) )).

cnf(u13868,axiom,
    ( bitIndex41 != B
    | ~ sP889(B) )).

cnf(u13869,axiom,
    ( bitIndex40 != B
    | ~ sP889(B) )).

cnf(u13870,axiom,
    ( bitIndex39 != B
    | ~ sP889(B) )).

cnf(u13871,axiom,
    ( bitIndex38 != B
    | ~ sP889(B) )).

cnf(u13872,axiom,
    ( bitIndex37 != B
    | ~ sP889(B) )).

cnf(u13873,axiom,
    ( bitIndex36 != B
    | ~ sP889(B) )).

cnf(u13874,axiom,
    ( bitIndex35 != B
    | ~ sP889(B) )).

cnf(u13875,axiom,
    ( bitIndex34 != B
    | ~ sP889(B) )).

cnf(u13876,axiom,
    ( bitIndex33 != B
    | ~ sP889(B) )).

cnf(u13877,axiom,
    ( bitIndex32 != B
    | ~ sP889(B) )).

cnf(u13878,axiom,
    ( bitIndex31 != B
    | ~ sP889(B) )).

cnf(u13879,axiom,
    ( bitIndex30 != B
    | ~ sP889(B) )).

cnf(u13880,axiom,
    ( bitIndex29 != B
    | ~ sP889(B) )).

cnf(u13881,axiom,
    ( bitIndex28 != B
    | ~ sP889(B) )).

cnf(u13882,axiom,
    ( bitIndex27 != B
    | ~ sP889(B) )).

cnf(u13883,axiom,
    ( bitIndex26 != B
    | ~ sP889(B) )).

cnf(u13884,axiom,
    ( bitIndex25 != B
    | ~ sP889(B) )).

cnf(u13885,axiom,
    ( bitIndex24 != B
    | ~ sP889(B) )).

cnf(u13886,axiom,
    ( bitIndex23 != B
    | ~ sP889(B) )).

cnf(u13887,axiom,
    ( bitIndex22 != B
    | ~ sP889(B) )).

cnf(u13888,axiom,
    ( bitIndex21 != B
    | ~ sP889(B) )).

cnf(u13889,axiom,
    ( bitIndex20 != B
    | ~ sP889(B) )).

cnf(u13890,axiom,
    ( bitIndex19 != B
    | ~ sP889(B) )).

cnf(u13891,axiom,
    ( bitIndex18 != B
    | ~ sP889(B) )).

cnf(u13892,axiom,
    ( bitIndex17 != B
    | ~ sP889(B) )).

cnf(u13893,axiom,
    ( bitIndex16 != B
    | ~ sP889(B) )).

cnf(u13894,axiom,
    ( bitIndex15 != B
    | ~ sP889(B) )).

cnf(u13895,axiom,
    ( bitIndex14 != B
    | ~ sP889(B) )).

cnf(u13896,axiom,
    ( bitIndex13 != B
    | ~ sP889(B) )).

cnf(u13897,axiom,
    ( bitIndex12 != B
    | ~ sP889(B) )).

cnf(u13898,axiom,
    ( bitIndex11 != B
    | ~ sP889(B) )).

cnf(u13899,axiom,
    ( bitIndex10 != B
    | ~ sP889(B) )).

cnf(u13900,axiom,
    ( bitIndex9 != B
    | ~ sP889(B) )).

cnf(u13901,axiom,
    ( bitIndex8 != B
    | ~ sP889(B) )).

cnf(u13902,axiom,
    ( bitIndex7 != B
    | ~ sP889(B) )).

cnf(u13903,axiom,
    ( bitIndex6 != B
    | ~ sP889(B) )).

cnf(u13904,axiom,
    ( bitIndex5 != B
    | ~ sP889(B) )).

cnf(u13905,axiom,
    ( bitIndex4 != B
    | ~ sP889(B) )).

cnf(u13906,axiom,
    ( bitIndex3 != B
    | ~ sP889(B) )).

cnf(u13907,axiom,
    ( bitIndex2 != B
    | ~ sP889(B) )).

cnf(u13908,axiom,
    ( bitIndex1 != B
    | ~ sP889(B) )).

cnf(u13909,axiom,
    ( bitIndex0 != B
    | ~ sP889(B) )).

cnf(u13843,axiom,
    ( sP889(B)
    | range_69_0(B) )).

cnf(u13844,axiom,
    ( ~ range_69_0(B)
    | bitIndex0 = B
    | bitIndex1 = B
    | bitIndex2 = B
    | bitIndex3 = B
    | bitIndex4 = B
    | bitIndex5 = B
    | bitIndex6 = B
    | bitIndex7 = B
    | bitIndex8 = B
    | bitIndex9 = B
    | bitIndex10 = B
    | bitIndex11 = B
    | bitIndex12 = B
    | bitIndex13 = B
    | bitIndex14 = B
    | bitIndex15 = B
    | bitIndex16 = B
    | bitIndex17 = B
    | bitIndex18 = B
    | bitIndex19 = B
    | bitIndex20 = B
    | bitIndex21 = B
    | bitIndex22 = B
    | bitIndex23 = B
    | bitIndex24 = B
    | bitIndex25 = B
    | bitIndex26 = B
    | bitIndex27 = B
    | bitIndex28 = B
    | bitIndex29 = B
    | bitIndex30 = B
    | bitIndex31 = B
    | bitIndex32 = B
    | bitIndex33 = B
    | bitIndex34 = B
    | bitIndex35 = B
    | bitIndex36 = B
    | bitIndex37 = B
    | bitIndex38 = B
    | bitIndex39 = B
    | bitIndex40 = B
    | bitIndex41 = B
    | bitIndex42 = B
    | bitIndex43 = B
    | bitIndex44 = B
    | bitIndex45 = B
    | bitIndex46 = B
    | bitIndex47 = B
    | bitIndex48 = B
    | bitIndex49 = B
    | bitIndex50 = B
    | bitIndex51 = B
    | bitIndex52 = B
    | bitIndex53 = B
    | bitIndex54 = B
    | bitIndex55 = B
    | bitIndex56 = B
    | bitIndex57 = B
    | bitIndex58 = B
    | bitIndex59 = B
    | bitIndex60 = B
    | bitIndex61 = B
    | bitIndex62 = B
    | range_69_63(B) )).

cnf(u13837,axiom,
    ( v172(VarCurr,B)
    | ~ v195(VarCurr,B)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u13838,axiom,
    ( v195(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u13833,axiom,
    ( v178(VarCurr,B)
    | ~ v195(VarCurr,B)
    | v103(VarCurr,bitIndex2) )).

cnf(u13834,axiom,
    ( v195(VarCurr,B)
    | ~ v178(VarCurr,B)
    | v103(VarCurr,bitIndex2) )).

cnf(u13829,axiom,
    ( v195(VarCurr,bitIndex49)
    | ~ v99(VarCurr,bitIndex49) )).

cnf(u13830,axiom,
    ( v99(VarCurr,bitIndex49)
    | ~ v195(VarCurr,bitIndex49) )).

cnf(u13826,axiom,
    ( v94(VarCurr,bitIndex399)
    | ~ v201(VarCurr,bitIndex49) )).

cnf(u13827,axiom,
    ( v201(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex399) )).

cnf(u13823,axiom,
    ( v172(VarCurr,B)
    | ~ v202(VarCurr,B)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u13824,axiom,
    ( v202(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u13819,axiom,
    ( v201(VarCurr,B)
    | ~ v202(VarCurr,B)
    | v103(VarCurr,bitIndex2) )).

cnf(u13820,axiom,
    ( v202(VarCurr,B)
    | ~ v201(VarCurr,B)
    | v103(VarCurr,bitIndex2) )).

cnf(u13815,axiom,
    ( v202(VarCurr,bitIndex49)
    | ~ v197(VarCurr,bitIndex49) )).

cnf(u13816,axiom,
    ( v197(VarCurr,bitIndex49)
    | ~ v202(VarCurr,bitIndex49) )).

cnf(u13812,axiom,
    ( v119(VarNext)
    | v207(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13813,axiom,
    ( ~ v207(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13807,axiom,
    ( v1(VarNext)
    | ~ v206(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13808,axiom,
    ( v207(VarNext)
    | ~ v206(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13809,axiom,
    ( v206(VarNext)
    | ~ v207(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13802,axiom,
    ( v220(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13803,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v220(VarCurr,bitIndex1) )).

cnf(u13799,axiom,
    ( v220(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13800,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v220(VarCurr,bitIndex0) )).

cnf(u13795,axiom,
    ( ~ v220(VarCurr,bitIndex1)
    | ~ v490(VarCurr) )).

cnf(u13796,axiom,
    ( v220(VarCurr,bitIndex0)
    | ~ v490(VarCurr) )).

cnf(u13797,axiom,
    ( v490(VarCurr)
    | ~ v220(VarCurr,bitIndex0)
    | v220(VarCurr,bitIndex1) )).

cnf(u13791,axiom,
    ( v222(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13792,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v222(VarCurr,bitIndex1) )).

cnf(u13788,axiom,
    ( v222(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13789,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v222(VarCurr,bitIndex0) )).

cnf(u13784,axiom,
    ( ~ v222(VarCurr,bitIndex0)
    | ~ v492(VarCurr) )).

cnf(u13785,axiom,
    ( v222(VarCurr,bitIndex1)
    | ~ v492(VarCurr) )).

cnf(u13786,axiom,
    ( v492(VarCurr)
    | ~ v222(VarCurr,bitIndex1)
    | v222(VarCurr,bitIndex0) )).

cnf(u13780,axiom,
    ( v224(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13781,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v224(VarCurr,bitIndex1) )).

cnf(u13777,axiom,
    ( v224(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13778,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v224(VarCurr,bitIndex0) )).

cnf(u13774,axiom,
    ( v229(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13775,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v229(VarCurr,bitIndex1) )).

cnf(u13771,axiom,
    ( v229(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13772,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v229(VarCurr,bitIndex0) )).

cnf(u13764,axiom,
    ( ~ v11(VarCurr)
    | v490(VarCurr)
    | v492(VarCurr)
    | v224(VarCurr,bitIndex1)
    | ~ sP888(VarCurr) )).

cnf(u13765,axiom,
    ( ~ v11(VarCurr)
    | v490(VarCurr)
    | v492(VarCurr)
    | v224(VarCurr,bitIndex0)
    | ~ sP888(VarCurr) )).

cnf(u13766,axiom,
    ( sP888(VarCurr)
    | ~ v224(VarCurr,bitIndex0)
    | ~ v224(VarCurr,bitIndex1) )).

cnf(u13767,axiom,
    ( sP888(VarCurr)
    | ~ v492(VarCurr) )).

cnf(u13768,axiom,
    ( sP888(VarCurr)
    | ~ v490(VarCurr) )).

cnf(u13769,axiom,
    ( sP888(VarCurr)
    | v11(VarCurr) )).

cnf(u13757,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | sP888(VarCurr)
    | ~ v213(VarNext) )).

cnf(u13758,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v229(VarCurr,bitIndex0)
    | v229(VarCurr,bitIndex1)
    | ~ v11(VarCurr)
    | ~ v213(VarNext) )).

cnf(u13759,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v213(VarNext)
    | v11(VarCurr)
    | ~ sP888(VarCurr) )).

cnf(u13760,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v213(VarNext)
    | ~ v229(VarCurr,bitIndex1)
    | ~ sP888(VarCurr) )).

cnf(u13761,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v213(VarNext)
    | ~ v229(VarCurr,bitIndex0)
    | ~ sP888(VarCurr) )).

cnf(u13748,axiom,
    ( v206(VarNext)
    | ~ v205(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13749,axiom,
    ( v213(VarNext)
    | ~ v205(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13750,axiom,
    ( v205(VarNext)
    | ~ v213(VarNext)
    | ~ v206(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13743,axiom,
    ( v94(VarCurr,bitIndex419)
    | ~ v233(VarCurr,bitIndex69)
    | ~ sP817(VarCurr) )).

cnf(u13744,axiom,
    ( v233(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex419)
    | ~ sP817(VarCurr) )).

cnf(u13739,axiom,
    ( v94(VarCurr,bitIndex418)
    | ~ v233(VarCurr,bitIndex68)
    | ~ sP818(VarCurr) )).

cnf(u13740,axiom,
    ( v233(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex418)
    | ~ sP818(VarCurr) )).

cnf(u13735,axiom,
    ( v94(VarCurr,bitIndex417)
    | ~ v233(VarCurr,bitIndex67)
    | ~ sP819(VarCurr) )).

cnf(u13736,axiom,
    ( v233(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex417)
    | ~ sP819(VarCurr) )).

cnf(u13731,axiom,
    ( v94(VarCurr,bitIndex416)
    | ~ v233(VarCurr,bitIndex66)
    | ~ sP820(VarCurr) )).

cnf(u13732,axiom,
    ( v233(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex416)
    | ~ sP820(VarCurr) )).

cnf(u13727,axiom,
    ( v94(VarCurr,bitIndex415)
    | ~ v233(VarCurr,bitIndex65)
    | ~ sP821(VarCurr) )).

cnf(u13728,axiom,
    ( v233(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex415)
    | ~ sP821(VarCurr) )).

cnf(u13723,axiom,
    ( v94(VarCurr,bitIndex414)
    | ~ v233(VarCurr,bitIndex64)
    | ~ sP822(VarCurr) )).

cnf(u13724,axiom,
    ( v233(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex414)
    | ~ sP822(VarCurr) )).

cnf(u13719,axiom,
    ( v94(VarCurr,bitIndex413)
    | ~ v233(VarCurr,bitIndex63)
    | ~ sP823(VarCurr) )).

cnf(u13720,axiom,
    ( v233(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex413)
    | ~ sP823(VarCurr) )).

cnf(u13715,axiom,
    ( v94(VarCurr,bitIndex412)
    | ~ v233(VarCurr,bitIndex62)
    | ~ sP824(VarCurr) )).

cnf(u13716,axiom,
    ( v233(VarCurr,bitIndex62)
    | ~ v94(VarCurr,bitIndex412)
    | ~ sP824(VarCurr) )).

cnf(u13711,axiom,
    ( v94(VarCurr,bitIndex411)
    | ~ v233(VarCurr,bitIndex61)
    | ~ sP825(VarCurr) )).

cnf(u13712,axiom,
    ( v233(VarCurr,bitIndex61)
    | ~ v94(VarCurr,bitIndex411)
    | ~ sP825(VarCurr) )).

cnf(u13707,axiom,
    ( v94(VarCurr,bitIndex410)
    | ~ v233(VarCurr,bitIndex60)
    | ~ sP826(VarCurr) )).

cnf(u13708,axiom,
    ( v233(VarCurr,bitIndex60)
    | ~ v94(VarCurr,bitIndex410)
    | ~ sP826(VarCurr) )).

cnf(u13703,axiom,
    ( v94(VarCurr,bitIndex409)
    | ~ v233(VarCurr,bitIndex59)
    | ~ sP827(VarCurr) )).

cnf(u13704,axiom,
    ( v233(VarCurr,bitIndex59)
    | ~ v94(VarCurr,bitIndex409)
    | ~ sP827(VarCurr) )).

cnf(u13699,axiom,
    ( v94(VarCurr,bitIndex408)
    | ~ v233(VarCurr,bitIndex58)
    | ~ sP828(VarCurr) )).

cnf(u13700,axiom,
    ( v233(VarCurr,bitIndex58)
    | ~ v94(VarCurr,bitIndex408)
    | ~ sP828(VarCurr) )).

cnf(u13695,axiom,
    ( v94(VarCurr,bitIndex407)
    | ~ v233(VarCurr,bitIndex57)
    | ~ sP829(VarCurr) )).

cnf(u13696,axiom,
    ( v233(VarCurr,bitIndex57)
    | ~ v94(VarCurr,bitIndex407)
    | ~ sP829(VarCurr) )).

cnf(u13691,axiom,
    ( v94(VarCurr,bitIndex406)
    | ~ v233(VarCurr,bitIndex56)
    | ~ sP830(VarCurr) )).

cnf(u13692,axiom,
    ( v233(VarCurr,bitIndex56)
    | ~ v94(VarCurr,bitIndex406)
    | ~ sP830(VarCurr) )).

cnf(u13687,axiom,
    ( v94(VarCurr,bitIndex405)
    | ~ v233(VarCurr,bitIndex55)
    | ~ sP831(VarCurr) )).

cnf(u13688,axiom,
    ( v233(VarCurr,bitIndex55)
    | ~ v94(VarCurr,bitIndex405)
    | ~ sP831(VarCurr) )).

cnf(u13683,axiom,
    ( v94(VarCurr,bitIndex404)
    | ~ v233(VarCurr,bitIndex54)
    | ~ sP832(VarCurr) )).

cnf(u13684,axiom,
    ( v233(VarCurr,bitIndex54)
    | ~ v94(VarCurr,bitIndex404)
    | ~ sP832(VarCurr) )).

cnf(u13679,axiom,
    ( v94(VarCurr,bitIndex403)
    | ~ v233(VarCurr,bitIndex53)
    | ~ sP833(VarCurr) )).

cnf(u13680,axiom,
    ( v233(VarCurr,bitIndex53)
    | ~ v94(VarCurr,bitIndex403)
    | ~ sP833(VarCurr) )).

cnf(u13675,axiom,
    ( v94(VarCurr,bitIndex402)
    | ~ v233(VarCurr,bitIndex52)
    | ~ sP834(VarCurr) )).

cnf(u13676,axiom,
    ( v233(VarCurr,bitIndex52)
    | ~ v94(VarCurr,bitIndex402)
    | ~ sP834(VarCurr) )).

cnf(u13671,axiom,
    ( v94(VarCurr,bitIndex401)
    | ~ v233(VarCurr,bitIndex51)
    | ~ sP835(VarCurr) )).

cnf(u13672,axiom,
    ( v233(VarCurr,bitIndex51)
    | ~ v94(VarCurr,bitIndex401)
    | ~ sP835(VarCurr) )).

cnf(u13667,axiom,
    ( v94(VarCurr,bitIndex400)
    | ~ v233(VarCurr,bitIndex50)
    | ~ sP836(VarCurr) )).

cnf(u13668,axiom,
    ( v233(VarCurr,bitIndex50)
    | ~ v94(VarCurr,bitIndex400)
    | ~ sP836(VarCurr) )).

cnf(u13663,axiom,
    ( v94(VarCurr,bitIndex399)
    | ~ v233(VarCurr,bitIndex49)
    | ~ sP837(VarCurr) )).

cnf(u13664,axiom,
    ( v233(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex399)
    | ~ sP837(VarCurr) )).

cnf(u13659,axiom,
    ( v94(VarCurr,bitIndex398)
    | ~ v233(VarCurr,bitIndex48)
    | ~ sP838(VarCurr) )).

cnf(u13660,axiom,
    ( v233(VarCurr,bitIndex48)
    | ~ v94(VarCurr,bitIndex398)
    | ~ sP838(VarCurr) )).

cnf(u13655,axiom,
    ( v94(VarCurr,bitIndex397)
    | ~ v233(VarCurr,bitIndex47)
    | ~ sP839(VarCurr) )).

cnf(u13656,axiom,
    ( v233(VarCurr,bitIndex47)
    | ~ v94(VarCurr,bitIndex397)
    | ~ sP839(VarCurr) )).

cnf(u13651,axiom,
    ( v94(VarCurr,bitIndex396)
    | ~ v233(VarCurr,bitIndex46)
    | ~ sP840(VarCurr) )).

cnf(u13652,axiom,
    ( v233(VarCurr,bitIndex46)
    | ~ v94(VarCurr,bitIndex396)
    | ~ sP840(VarCurr) )).

cnf(u13647,axiom,
    ( v94(VarCurr,bitIndex395)
    | ~ v233(VarCurr,bitIndex45)
    | ~ sP841(VarCurr) )).

cnf(u13648,axiom,
    ( v233(VarCurr,bitIndex45)
    | ~ v94(VarCurr,bitIndex395)
    | ~ sP841(VarCurr) )).

cnf(u13643,axiom,
    ( v94(VarCurr,bitIndex394)
    | ~ v233(VarCurr,bitIndex44)
    | ~ sP842(VarCurr) )).

cnf(u13644,axiom,
    ( v233(VarCurr,bitIndex44)
    | ~ v94(VarCurr,bitIndex394)
    | ~ sP842(VarCurr) )).

cnf(u13639,axiom,
    ( v94(VarCurr,bitIndex393)
    | ~ v233(VarCurr,bitIndex43)
    | ~ sP843(VarCurr) )).

cnf(u13640,axiom,
    ( v233(VarCurr,bitIndex43)
    | ~ v94(VarCurr,bitIndex393)
    | ~ sP843(VarCurr) )).

cnf(u13635,axiom,
    ( v94(VarCurr,bitIndex392)
    | ~ v233(VarCurr,bitIndex42)
    | ~ sP844(VarCurr) )).

cnf(u13636,axiom,
    ( v233(VarCurr,bitIndex42)
    | ~ v94(VarCurr,bitIndex392)
    | ~ sP844(VarCurr) )).

cnf(u13631,axiom,
    ( v94(VarCurr,bitIndex391)
    | ~ v233(VarCurr,bitIndex41)
    | ~ sP845(VarCurr) )).

cnf(u13632,axiom,
    ( v233(VarCurr,bitIndex41)
    | ~ v94(VarCurr,bitIndex391)
    | ~ sP845(VarCurr) )).

cnf(u13627,axiom,
    ( v94(VarCurr,bitIndex390)
    | ~ v233(VarCurr,bitIndex40)
    | ~ sP846(VarCurr) )).

cnf(u13628,axiom,
    ( v233(VarCurr,bitIndex40)
    | ~ v94(VarCurr,bitIndex390)
    | ~ sP846(VarCurr) )).

cnf(u13623,axiom,
    ( v94(VarCurr,bitIndex389)
    | ~ v233(VarCurr,bitIndex39)
    | ~ sP847(VarCurr) )).

cnf(u13624,axiom,
    ( v233(VarCurr,bitIndex39)
    | ~ v94(VarCurr,bitIndex389)
    | ~ sP847(VarCurr) )).

cnf(u13619,axiom,
    ( v94(VarCurr,bitIndex388)
    | ~ v233(VarCurr,bitIndex38)
    | ~ sP848(VarCurr) )).

cnf(u13620,axiom,
    ( v233(VarCurr,bitIndex38)
    | ~ v94(VarCurr,bitIndex388)
    | ~ sP848(VarCurr) )).

cnf(u13615,axiom,
    ( v94(VarCurr,bitIndex387)
    | ~ v233(VarCurr,bitIndex37)
    | ~ sP849(VarCurr) )).

cnf(u13616,axiom,
    ( v233(VarCurr,bitIndex37)
    | ~ v94(VarCurr,bitIndex387)
    | ~ sP849(VarCurr) )).

cnf(u13611,axiom,
    ( v94(VarCurr,bitIndex386)
    | ~ v233(VarCurr,bitIndex36)
    | ~ sP850(VarCurr) )).

cnf(u13612,axiom,
    ( v233(VarCurr,bitIndex36)
    | ~ v94(VarCurr,bitIndex386)
    | ~ sP850(VarCurr) )).

cnf(u13607,axiom,
    ( v94(VarCurr,bitIndex385)
    | ~ v233(VarCurr,bitIndex35)
    | ~ sP851(VarCurr) )).

cnf(u13608,axiom,
    ( v233(VarCurr,bitIndex35)
    | ~ v94(VarCurr,bitIndex385)
    | ~ sP851(VarCurr) )).

cnf(u13603,axiom,
    ( v94(VarCurr,bitIndex384)
    | ~ v233(VarCurr,bitIndex34)
    | ~ sP852(VarCurr) )).

cnf(u13604,axiom,
    ( v233(VarCurr,bitIndex34)
    | ~ v94(VarCurr,bitIndex384)
    | ~ sP852(VarCurr) )).

cnf(u13599,axiom,
    ( v94(VarCurr,bitIndex383)
    | ~ v233(VarCurr,bitIndex33)
    | ~ sP853(VarCurr) )).

cnf(u13600,axiom,
    ( v233(VarCurr,bitIndex33)
    | ~ v94(VarCurr,bitIndex383)
    | ~ sP853(VarCurr) )).

cnf(u13595,axiom,
    ( v94(VarCurr,bitIndex382)
    | ~ v233(VarCurr,bitIndex32)
    | ~ sP854(VarCurr) )).

cnf(u13596,axiom,
    ( v233(VarCurr,bitIndex32)
    | ~ v94(VarCurr,bitIndex382)
    | ~ sP854(VarCurr) )).

cnf(u13591,axiom,
    ( v94(VarCurr,bitIndex381)
    | ~ v233(VarCurr,bitIndex31)
    | ~ sP855(VarCurr) )).

cnf(u13592,axiom,
    ( v233(VarCurr,bitIndex31)
    | ~ v94(VarCurr,bitIndex381)
    | ~ sP855(VarCurr) )).

cnf(u13587,axiom,
    ( v94(VarCurr,bitIndex380)
    | ~ v233(VarCurr,bitIndex30)
    | ~ sP856(VarCurr) )).

cnf(u13588,axiom,
    ( v233(VarCurr,bitIndex30)
    | ~ v94(VarCurr,bitIndex380)
    | ~ sP856(VarCurr) )).

cnf(u13583,axiom,
    ( v94(VarCurr,bitIndex379)
    | ~ v233(VarCurr,bitIndex29)
    | ~ sP857(VarCurr) )).

cnf(u13584,axiom,
    ( v233(VarCurr,bitIndex29)
    | ~ v94(VarCurr,bitIndex379)
    | ~ sP857(VarCurr) )).

cnf(u13579,axiom,
    ( v94(VarCurr,bitIndex378)
    | ~ v233(VarCurr,bitIndex28)
    | ~ sP858(VarCurr) )).

cnf(u13580,axiom,
    ( v233(VarCurr,bitIndex28)
    | ~ v94(VarCurr,bitIndex378)
    | ~ sP858(VarCurr) )).

cnf(u13575,axiom,
    ( v94(VarCurr,bitIndex377)
    | ~ v233(VarCurr,bitIndex27)
    | ~ sP859(VarCurr) )).

cnf(u13576,axiom,
    ( v233(VarCurr,bitIndex27)
    | ~ v94(VarCurr,bitIndex377)
    | ~ sP859(VarCurr) )).

cnf(u13571,axiom,
    ( v94(VarCurr,bitIndex376)
    | ~ v233(VarCurr,bitIndex26)
    | ~ sP860(VarCurr) )).

cnf(u13572,axiom,
    ( v233(VarCurr,bitIndex26)
    | ~ v94(VarCurr,bitIndex376)
    | ~ sP860(VarCurr) )).

cnf(u13567,axiom,
    ( v94(VarCurr,bitIndex375)
    | ~ v233(VarCurr,bitIndex25)
    | ~ sP861(VarCurr) )).

cnf(u13568,axiom,
    ( v233(VarCurr,bitIndex25)
    | ~ v94(VarCurr,bitIndex375)
    | ~ sP861(VarCurr) )).

cnf(u13563,axiom,
    ( v94(VarCurr,bitIndex374)
    | ~ v233(VarCurr,bitIndex24)
    | ~ sP862(VarCurr) )).

cnf(u13564,axiom,
    ( v233(VarCurr,bitIndex24)
    | ~ v94(VarCurr,bitIndex374)
    | ~ sP862(VarCurr) )).

cnf(u13559,axiom,
    ( v94(VarCurr,bitIndex373)
    | ~ v233(VarCurr,bitIndex23)
    | ~ sP863(VarCurr) )).

cnf(u13560,axiom,
    ( v233(VarCurr,bitIndex23)
    | ~ v94(VarCurr,bitIndex373)
    | ~ sP863(VarCurr) )).

cnf(u13555,axiom,
    ( v94(VarCurr,bitIndex372)
    | ~ v233(VarCurr,bitIndex22)
    | ~ sP864(VarCurr) )).

cnf(u13556,axiom,
    ( v233(VarCurr,bitIndex22)
    | ~ v94(VarCurr,bitIndex372)
    | ~ sP864(VarCurr) )).

cnf(u13551,axiom,
    ( v94(VarCurr,bitIndex371)
    | ~ v233(VarCurr,bitIndex21)
    | ~ sP865(VarCurr) )).

cnf(u13552,axiom,
    ( v233(VarCurr,bitIndex21)
    | ~ v94(VarCurr,bitIndex371)
    | ~ sP865(VarCurr) )).

cnf(u13547,axiom,
    ( v94(VarCurr,bitIndex370)
    | ~ v233(VarCurr,bitIndex20)
    | ~ sP866(VarCurr) )).

cnf(u13548,axiom,
    ( v233(VarCurr,bitIndex20)
    | ~ v94(VarCurr,bitIndex370)
    | ~ sP866(VarCurr) )).

cnf(u13543,axiom,
    ( v94(VarCurr,bitIndex369)
    | ~ v233(VarCurr,bitIndex19)
    | ~ sP867(VarCurr) )).

cnf(u13544,axiom,
    ( v233(VarCurr,bitIndex19)
    | ~ v94(VarCurr,bitIndex369)
    | ~ sP867(VarCurr) )).

cnf(u13539,axiom,
    ( v94(VarCurr,bitIndex368)
    | ~ v233(VarCurr,bitIndex18)
    | ~ sP868(VarCurr) )).

cnf(u13540,axiom,
    ( v233(VarCurr,bitIndex18)
    | ~ v94(VarCurr,bitIndex368)
    | ~ sP868(VarCurr) )).

cnf(u13535,axiom,
    ( v94(VarCurr,bitIndex367)
    | ~ v233(VarCurr,bitIndex17)
    | ~ sP869(VarCurr) )).

cnf(u13536,axiom,
    ( v233(VarCurr,bitIndex17)
    | ~ v94(VarCurr,bitIndex367)
    | ~ sP869(VarCurr) )).

cnf(u13531,axiom,
    ( v94(VarCurr,bitIndex366)
    | ~ v233(VarCurr,bitIndex16)
    | ~ sP870(VarCurr) )).

cnf(u13532,axiom,
    ( v233(VarCurr,bitIndex16)
    | ~ v94(VarCurr,bitIndex366)
    | ~ sP870(VarCurr) )).

cnf(u13527,axiom,
    ( v94(VarCurr,bitIndex365)
    | ~ v233(VarCurr,bitIndex15)
    | ~ sP871(VarCurr) )).

cnf(u13528,axiom,
    ( v233(VarCurr,bitIndex15)
    | ~ v94(VarCurr,bitIndex365)
    | ~ sP871(VarCurr) )).

cnf(u13523,axiom,
    ( v94(VarCurr,bitIndex364)
    | ~ v233(VarCurr,bitIndex14)
    | ~ sP872(VarCurr) )).

cnf(u13524,axiom,
    ( v233(VarCurr,bitIndex14)
    | ~ v94(VarCurr,bitIndex364)
    | ~ sP872(VarCurr) )).

cnf(u13519,axiom,
    ( v94(VarCurr,bitIndex363)
    | ~ v233(VarCurr,bitIndex13)
    | ~ sP873(VarCurr) )).

cnf(u13520,axiom,
    ( v233(VarCurr,bitIndex13)
    | ~ v94(VarCurr,bitIndex363)
    | ~ sP873(VarCurr) )).

cnf(u13515,axiom,
    ( v94(VarCurr,bitIndex362)
    | ~ v233(VarCurr,bitIndex12)
    | ~ sP874(VarCurr) )).

cnf(u13516,axiom,
    ( v233(VarCurr,bitIndex12)
    | ~ v94(VarCurr,bitIndex362)
    | ~ sP874(VarCurr) )).

cnf(u13511,axiom,
    ( v94(VarCurr,bitIndex361)
    | ~ v233(VarCurr,bitIndex11)
    | ~ sP875(VarCurr) )).

cnf(u13512,axiom,
    ( v233(VarCurr,bitIndex11)
    | ~ v94(VarCurr,bitIndex361)
    | ~ sP875(VarCurr) )).

cnf(u13507,axiom,
    ( v94(VarCurr,bitIndex360)
    | ~ v233(VarCurr,bitIndex10)
    | ~ sP876(VarCurr) )).

cnf(u13508,axiom,
    ( v233(VarCurr,bitIndex10)
    | ~ v94(VarCurr,bitIndex360)
    | ~ sP876(VarCurr) )).

cnf(u13503,axiom,
    ( v94(VarCurr,bitIndex359)
    | ~ v233(VarCurr,bitIndex9)
    | ~ sP877(VarCurr) )).

cnf(u13504,axiom,
    ( v233(VarCurr,bitIndex9)
    | ~ v94(VarCurr,bitIndex359)
    | ~ sP877(VarCurr) )).

cnf(u13499,axiom,
    ( v94(VarCurr,bitIndex358)
    | ~ v233(VarCurr,bitIndex8)
    | ~ sP878(VarCurr) )).

cnf(u13500,axiom,
    ( v233(VarCurr,bitIndex8)
    | ~ v94(VarCurr,bitIndex358)
    | ~ sP878(VarCurr) )).

cnf(u13495,axiom,
    ( v94(VarCurr,bitIndex357)
    | ~ v233(VarCurr,bitIndex7)
    | ~ sP879(VarCurr) )).

cnf(u13496,axiom,
    ( v233(VarCurr,bitIndex7)
    | ~ v94(VarCurr,bitIndex357)
    | ~ sP879(VarCurr) )).

cnf(u13491,axiom,
    ( v94(VarCurr,bitIndex356)
    | ~ v233(VarCurr,bitIndex6)
    | ~ sP880(VarCurr) )).

cnf(u13492,axiom,
    ( v233(VarCurr,bitIndex6)
    | ~ v94(VarCurr,bitIndex356)
    | ~ sP880(VarCurr) )).

cnf(u13487,axiom,
    ( v94(VarCurr,bitIndex355)
    | ~ v233(VarCurr,bitIndex5)
    | ~ sP881(VarCurr) )).

cnf(u13488,axiom,
    ( v233(VarCurr,bitIndex5)
    | ~ v94(VarCurr,bitIndex355)
    | ~ sP881(VarCurr) )).

cnf(u13483,axiom,
    ( v94(VarCurr,bitIndex354)
    | ~ v233(VarCurr,bitIndex4)
    | ~ sP882(VarCurr) )).

cnf(u13484,axiom,
    ( v233(VarCurr,bitIndex4)
    | ~ v94(VarCurr,bitIndex354)
    | ~ sP882(VarCurr) )).

cnf(u13479,axiom,
    ( v94(VarCurr,bitIndex353)
    | ~ v233(VarCurr,bitIndex3)
    | ~ sP883(VarCurr) )).

cnf(u13480,axiom,
    ( v233(VarCurr,bitIndex3)
    | ~ v94(VarCurr,bitIndex353)
    | ~ sP883(VarCurr) )).

cnf(u13475,axiom,
    ( v94(VarCurr,bitIndex352)
    | ~ v233(VarCurr,bitIndex2)
    | ~ sP884(VarCurr) )).

cnf(u13476,axiom,
    ( v233(VarCurr,bitIndex2)
    | ~ v94(VarCurr,bitIndex352)
    | ~ sP884(VarCurr) )).

cnf(u13471,axiom,
    ( v94(VarCurr,bitIndex351)
    | ~ v233(VarCurr,bitIndex1)
    | ~ sP885(VarCurr) )).

cnf(u13472,axiom,
    ( v233(VarCurr,bitIndex1)
    | ~ v94(VarCurr,bitIndex351)
    | ~ sP885(VarCurr) )).

cnf(u13467,axiom,
    ( v94(VarCurr,bitIndex350)
    | ~ v233(VarCurr,bitIndex0)
    | ~ sP886(VarCurr) )).

cnf(u13468,axiom,
    ( v233(VarCurr,bitIndex0)
    | ~ v94(VarCurr,bitIndex350)
    | ~ sP886(VarCurr) )).

cnf(u13395,axiom,
    ( sP817(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13396,axiom,
    ( sP818(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13397,axiom,
    ( sP819(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13398,axiom,
    ( sP820(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13399,axiom,
    ( sP821(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13400,axiom,
    ( sP822(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13401,axiom,
    ( sP823(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13402,axiom,
    ( sP824(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13403,axiom,
    ( sP825(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13404,axiom,
    ( sP826(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13405,axiom,
    ( sP827(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13406,axiom,
    ( sP828(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13407,axiom,
    ( sP829(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13408,axiom,
    ( sP830(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13409,axiom,
    ( sP831(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13410,axiom,
    ( sP832(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13411,axiom,
    ( sP833(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13412,axiom,
    ( sP834(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13413,axiom,
    ( sP835(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13414,axiom,
    ( sP836(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13415,axiom,
    ( sP837(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13416,axiom,
    ( sP838(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13417,axiom,
    ( sP839(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13418,axiom,
    ( sP840(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13419,axiom,
    ( sP841(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13420,axiom,
    ( sP842(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13421,axiom,
    ( sP843(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13422,axiom,
    ( sP844(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13423,axiom,
    ( sP845(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13424,axiom,
    ( sP846(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13425,axiom,
    ( sP847(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13426,axiom,
    ( sP848(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13427,axiom,
    ( sP849(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13428,axiom,
    ( sP850(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13429,axiom,
    ( sP851(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13430,axiom,
    ( sP852(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13431,axiom,
    ( sP853(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13432,axiom,
    ( sP854(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13433,axiom,
    ( sP855(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13434,axiom,
    ( sP856(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13435,axiom,
    ( sP857(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13436,axiom,
    ( sP858(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13437,axiom,
    ( sP859(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13438,axiom,
    ( sP860(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13439,axiom,
    ( sP861(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13440,axiom,
    ( sP862(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13441,axiom,
    ( sP863(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13442,axiom,
    ( sP864(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13443,axiom,
    ( sP865(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13444,axiom,
    ( sP866(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13445,axiom,
    ( sP867(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13446,axiom,
    ( sP868(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13447,axiom,
    ( sP869(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13448,axiom,
    ( sP870(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13449,axiom,
    ( sP871(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13450,axiom,
    ( sP872(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13451,axiom,
    ( sP873(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13452,axiom,
    ( sP874(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13453,axiom,
    ( sP875(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13454,axiom,
    ( sP876(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13455,axiom,
    ( sP877(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13456,axiom,
    ( sP878(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13457,axiom,
    ( sP879(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13458,axiom,
    ( sP880(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13459,axiom,
    ( sP881(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13460,axiom,
    ( sP882(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13461,axiom,
    ( sP883(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13462,axiom,
    ( sP884(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13463,axiom,
    ( sP885(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13464,axiom,
    ( sP886(VarCurr)
    | ~ sP887(VarCurr) )).

cnf(u13393,axiom,
    ( ~ v220(VarCurr,bitIndex0)
    | v220(VarCurr,bitIndex1)
    | sP887(VarCurr) )).

cnf(u13319,axiom,
    ( v99(VarCurr,B)
    | ~ v233(VarCurr,B)
    | ~ v222(VarCurr,bitIndex1)
    | v222(VarCurr,bitIndex0) )).

cnf(u13320,axiom,
    ( v233(VarCurr,B)
    | ~ v99(VarCurr,B)
    | ~ v222(VarCurr,bitIndex1)
    | v222(VarCurr,bitIndex0) )).

cnf(u13316,axiom,
    ( v197(VarCurr,B)
    | ~ v233(VarCurr,B)
    | v492(VarCurr)
    | v490(VarCurr) )).

cnf(u13317,axiom,
    ( v233(VarCurr,B)
    | ~ v197(VarCurr,B)
    | v492(VarCurr)
    | v490(VarCurr) )).

cnf(u13314,axiom,
    ( ~ v230(VarCurr,B)
    | v11(VarCurr) )).

cnf(u13311,axiom,
    ( v233(VarCurr,B)
    | ~ v230(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u13312,axiom,
    ( v230(VarCurr,B)
    | ~ v233(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u13307,axiom,
    ( v230(VarCurr,B)
    | ~ v232(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13308,axiom,
    ( v232(VarNext,B)
    | ~ v230(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13303,axiom,
    ( v232(VarNext,B)
    | ~ v204(VarNext,B)
    | ~ v205(VarNext) )).

cnf(u13304,axiom,
    ( v204(VarNext,B)
    | ~ v232(VarNext,B)
    | ~ v205(VarNext) )).

cnf(u13161,axiom,
    ( v204(VarNext,bitIndex69)
    | ~ v94(VarCurr,bitIndex489)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13162,axiom,
    ( ~ v204(VarNext,bitIndex69)
    | v94(VarCurr,bitIndex489)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13163,axiom,
    ( v204(VarNext,bitIndex68)
    | ~ v94(VarCurr,bitIndex488)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13164,axiom,
    ( ~ v204(VarNext,bitIndex68)
    | v94(VarCurr,bitIndex488)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13165,axiom,
    ( v204(VarNext,bitIndex67)
    | ~ v94(VarCurr,bitIndex487)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13166,axiom,
    ( ~ v204(VarNext,bitIndex67)
    | v94(VarCurr,bitIndex487)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13167,axiom,
    ( v204(VarNext,bitIndex66)
    | ~ v94(VarCurr,bitIndex486)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13168,axiom,
    ( ~ v204(VarNext,bitIndex66)
    | v94(VarCurr,bitIndex486)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13169,axiom,
    ( v204(VarNext,bitIndex65)
    | ~ v94(VarCurr,bitIndex485)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13170,axiom,
    ( ~ v204(VarNext,bitIndex65)
    | v94(VarCurr,bitIndex485)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13171,axiom,
    ( v204(VarNext,bitIndex64)
    | ~ v94(VarCurr,bitIndex484)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13172,axiom,
    ( ~ v204(VarNext,bitIndex64)
    | v94(VarCurr,bitIndex484)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13173,axiom,
    ( v204(VarNext,bitIndex63)
    | ~ v94(VarCurr,bitIndex483)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13174,axiom,
    ( ~ v204(VarNext,bitIndex63)
    | v94(VarCurr,bitIndex483)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13175,axiom,
    ( v204(VarNext,bitIndex62)
    | ~ v94(VarCurr,bitIndex482)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13176,axiom,
    ( ~ v204(VarNext,bitIndex62)
    | v94(VarCurr,bitIndex482)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13177,axiom,
    ( v204(VarNext,bitIndex61)
    | ~ v94(VarCurr,bitIndex481)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13178,axiom,
    ( ~ v204(VarNext,bitIndex61)
    | v94(VarCurr,bitIndex481)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13179,axiom,
    ( v204(VarNext,bitIndex60)
    | ~ v94(VarCurr,bitIndex480)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13180,axiom,
    ( ~ v204(VarNext,bitIndex60)
    | v94(VarCurr,bitIndex480)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13181,axiom,
    ( v204(VarNext,bitIndex59)
    | ~ v94(VarCurr,bitIndex479)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13182,axiom,
    ( ~ v204(VarNext,bitIndex59)
    | v94(VarCurr,bitIndex479)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13183,axiom,
    ( v204(VarNext,bitIndex58)
    | ~ v94(VarCurr,bitIndex478)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13184,axiom,
    ( ~ v204(VarNext,bitIndex58)
    | v94(VarCurr,bitIndex478)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13185,axiom,
    ( v204(VarNext,bitIndex57)
    | ~ v94(VarCurr,bitIndex477)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13186,axiom,
    ( ~ v204(VarNext,bitIndex57)
    | v94(VarCurr,bitIndex477)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13187,axiom,
    ( v204(VarNext,bitIndex56)
    | ~ v94(VarCurr,bitIndex476)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13188,axiom,
    ( ~ v204(VarNext,bitIndex56)
    | v94(VarCurr,bitIndex476)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13189,axiom,
    ( v204(VarNext,bitIndex55)
    | ~ v94(VarCurr,bitIndex475)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13190,axiom,
    ( ~ v204(VarNext,bitIndex55)
    | v94(VarCurr,bitIndex475)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13191,axiom,
    ( v204(VarNext,bitIndex54)
    | ~ v94(VarCurr,bitIndex474)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13192,axiom,
    ( ~ v204(VarNext,bitIndex54)
    | v94(VarCurr,bitIndex474)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13193,axiom,
    ( v204(VarNext,bitIndex53)
    | ~ v94(VarCurr,bitIndex473)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13194,axiom,
    ( ~ v204(VarNext,bitIndex53)
    | v94(VarCurr,bitIndex473)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13195,axiom,
    ( v204(VarNext,bitIndex52)
    | ~ v94(VarCurr,bitIndex472)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13196,axiom,
    ( ~ v204(VarNext,bitIndex52)
    | v94(VarCurr,bitIndex472)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13197,axiom,
    ( v204(VarNext,bitIndex51)
    | ~ v94(VarCurr,bitIndex471)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13198,axiom,
    ( ~ v204(VarNext,bitIndex51)
    | v94(VarCurr,bitIndex471)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13199,axiom,
    ( v204(VarNext,bitIndex50)
    | ~ v94(VarCurr,bitIndex470)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13200,axiom,
    ( ~ v204(VarNext,bitIndex50)
    | v94(VarCurr,bitIndex470)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13201,axiom,
    ( v204(VarNext,bitIndex48)
    | ~ v94(VarCurr,bitIndex468)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13202,axiom,
    ( ~ v204(VarNext,bitIndex48)
    | v94(VarCurr,bitIndex468)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13203,axiom,
    ( v204(VarNext,bitIndex47)
    | ~ v94(VarCurr,bitIndex467)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13204,axiom,
    ( ~ v204(VarNext,bitIndex47)
    | v94(VarCurr,bitIndex467)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13205,axiom,
    ( v204(VarNext,bitIndex46)
    | ~ v94(VarCurr,bitIndex466)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13206,axiom,
    ( ~ v204(VarNext,bitIndex46)
    | v94(VarCurr,bitIndex466)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13207,axiom,
    ( v204(VarNext,bitIndex45)
    | ~ v94(VarCurr,bitIndex465)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13208,axiom,
    ( ~ v204(VarNext,bitIndex45)
    | v94(VarCurr,bitIndex465)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13209,axiom,
    ( v204(VarNext,bitIndex44)
    | ~ v94(VarCurr,bitIndex464)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13210,axiom,
    ( ~ v204(VarNext,bitIndex44)
    | v94(VarCurr,bitIndex464)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13211,axiom,
    ( v204(VarNext,bitIndex43)
    | ~ v94(VarCurr,bitIndex463)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13212,axiom,
    ( ~ v204(VarNext,bitIndex43)
    | v94(VarCurr,bitIndex463)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13213,axiom,
    ( v204(VarNext,bitIndex42)
    | ~ v94(VarCurr,bitIndex462)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13214,axiom,
    ( ~ v204(VarNext,bitIndex42)
    | v94(VarCurr,bitIndex462)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13215,axiom,
    ( v204(VarNext,bitIndex41)
    | ~ v94(VarCurr,bitIndex461)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13216,axiom,
    ( ~ v204(VarNext,bitIndex41)
    | v94(VarCurr,bitIndex461)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13217,axiom,
    ( v204(VarNext,bitIndex40)
    | ~ v94(VarCurr,bitIndex460)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13218,axiom,
    ( ~ v204(VarNext,bitIndex40)
    | v94(VarCurr,bitIndex460)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13219,axiom,
    ( v204(VarNext,bitIndex39)
    | ~ v94(VarCurr,bitIndex459)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13220,axiom,
    ( ~ v204(VarNext,bitIndex39)
    | v94(VarCurr,bitIndex459)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13221,axiom,
    ( v204(VarNext,bitIndex38)
    | ~ v94(VarCurr,bitIndex458)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13222,axiom,
    ( ~ v204(VarNext,bitIndex38)
    | v94(VarCurr,bitIndex458)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13223,axiom,
    ( v204(VarNext,bitIndex37)
    | ~ v94(VarCurr,bitIndex457)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13224,axiom,
    ( ~ v204(VarNext,bitIndex37)
    | v94(VarCurr,bitIndex457)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13225,axiom,
    ( v204(VarNext,bitIndex36)
    | ~ v94(VarCurr,bitIndex456)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13226,axiom,
    ( ~ v204(VarNext,bitIndex36)
    | v94(VarCurr,bitIndex456)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13227,axiom,
    ( v204(VarNext,bitIndex35)
    | ~ v94(VarCurr,bitIndex455)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13228,axiom,
    ( ~ v204(VarNext,bitIndex35)
    | v94(VarCurr,bitIndex455)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13229,axiom,
    ( v204(VarNext,bitIndex34)
    | ~ v94(VarCurr,bitIndex454)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13230,axiom,
    ( ~ v204(VarNext,bitIndex34)
    | v94(VarCurr,bitIndex454)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13231,axiom,
    ( v204(VarNext,bitIndex33)
    | ~ v94(VarCurr,bitIndex453)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13232,axiom,
    ( ~ v204(VarNext,bitIndex33)
    | v94(VarCurr,bitIndex453)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13233,axiom,
    ( v204(VarNext,bitIndex32)
    | ~ v94(VarCurr,bitIndex452)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13234,axiom,
    ( ~ v204(VarNext,bitIndex32)
    | v94(VarCurr,bitIndex452)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13235,axiom,
    ( v204(VarNext,bitIndex31)
    | ~ v94(VarCurr,bitIndex451)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13236,axiom,
    ( ~ v204(VarNext,bitIndex31)
    | v94(VarCurr,bitIndex451)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13237,axiom,
    ( v204(VarNext,bitIndex30)
    | ~ v94(VarCurr,bitIndex450)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13238,axiom,
    ( ~ v204(VarNext,bitIndex30)
    | v94(VarCurr,bitIndex450)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13239,axiom,
    ( v204(VarNext,bitIndex29)
    | ~ v94(VarCurr,bitIndex449)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13240,axiom,
    ( ~ v204(VarNext,bitIndex29)
    | v94(VarCurr,bitIndex449)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13241,axiom,
    ( v204(VarNext,bitIndex28)
    | ~ v94(VarCurr,bitIndex448)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13242,axiom,
    ( ~ v204(VarNext,bitIndex28)
    | v94(VarCurr,bitIndex448)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13243,axiom,
    ( v204(VarNext,bitIndex27)
    | ~ v94(VarCurr,bitIndex447)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13244,axiom,
    ( ~ v204(VarNext,bitIndex27)
    | v94(VarCurr,bitIndex447)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13245,axiom,
    ( v204(VarNext,bitIndex26)
    | ~ v94(VarCurr,bitIndex446)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13246,axiom,
    ( ~ v204(VarNext,bitIndex26)
    | v94(VarCurr,bitIndex446)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13247,axiom,
    ( v204(VarNext,bitIndex25)
    | ~ v94(VarCurr,bitIndex445)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13248,axiom,
    ( ~ v204(VarNext,bitIndex25)
    | v94(VarCurr,bitIndex445)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13249,axiom,
    ( v204(VarNext,bitIndex24)
    | ~ v94(VarCurr,bitIndex444)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13250,axiom,
    ( ~ v204(VarNext,bitIndex24)
    | v94(VarCurr,bitIndex444)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13251,axiom,
    ( v204(VarNext,bitIndex23)
    | ~ v94(VarCurr,bitIndex443)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13252,axiom,
    ( ~ v204(VarNext,bitIndex23)
    | v94(VarCurr,bitIndex443)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13253,axiom,
    ( v204(VarNext,bitIndex22)
    | ~ v94(VarCurr,bitIndex442)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13254,axiom,
    ( ~ v204(VarNext,bitIndex22)
    | v94(VarCurr,bitIndex442)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13255,axiom,
    ( v204(VarNext,bitIndex21)
    | ~ v94(VarCurr,bitIndex441)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13256,axiom,
    ( ~ v204(VarNext,bitIndex21)
    | v94(VarCurr,bitIndex441)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13257,axiom,
    ( v204(VarNext,bitIndex20)
    | ~ v94(VarCurr,bitIndex440)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13258,axiom,
    ( ~ v204(VarNext,bitIndex20)
    | v94(VarCurr,bitIndex440)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13259,axiom,
    ( v204(VarNext,bitIndex19)
    | ~ v94(VarCurr,bitIndex439)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13260,axiom,
    ( ~ v204(VarNext,bitIndex19)
    | v94(VarCurr,bitIndex439)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13261,axiom,
    ( v204(VarNext,bitIndex18)
    | ~ v94(VarCurr,bitIndex438)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13262,axiom,
    ( ~ v204(VarNext,bitIndex18)
    | v94(VarCurr,bitIndex438)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13263,axiom,
    ( v204(VarNext,bitIndex17)
    | ~ v94(VarCurr,bitIndex437)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13264,axiom,
    ( ~ v204(VarNext,bitIndex17)
    | v94(VarCurr,bitIndex437)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13265,axiom,
    ( v204(VarNext,bitIndex16)
    | ~ v94(VarCurr,bitIndex436)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13266,axiom,
    ( ~ v204(VarNext,bitIndex16)
    | v94(VarCurr,bitIndex436)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13267,axiom,
    ( v204(VarNext,bitIndex15)
    | ~ v94(VarCurr,bitIndex435)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13268,axiom,
    ( ~ v204(VarNext,bitIndex15)
    | v94(VarCurr,bitIndex435)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13269,axiom,
    ( v204(VarNext,bitIndex14)
    | ~ v94(VarCurr,bitIndex434)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13270,axiom,
    ( ~ v204(VarNext,bitIndex14)
    | v94(VarCurr,bitIndex434)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13271,axiom,
    ( v204(VarNext,bitIndex13)
    | ~ v94(VarCurr,bitIndex433)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13272,axiom,
    ( ~ v204(VarNext,bitIndex13)
    | v94(VarCurr,bitIndex433)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13273,axiom,
    ( v204(VarNext,bitIndex12)
    | ~ v94(VarCurr,bitIndex432)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13274,axiom,
    ( ~ v204(VarNext,bitIndex12)
    | v94(VarCurr,bitIndex432)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13275,axiom,
    ( v204(VarNext,bitIndex11)
    | ~ v94(VarCurr,bitIndex431)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13276,axiom,
    ( ~ v204(VarNext,bitIndex11)
    | v94(VarCurr,bitIndex431)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13277,axiom,
    ( v204(VarNext,bitIndex10)
    | ~ v94(VarCurr,bitIndex430)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13278,axiom,
    ( ~ v204(VarNext,bitIndex10)
    | v94(VarCurr,bitIndex430)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13279,axiom,
    ( v204(VarNext,bitIndex9)
    | ~ v94(VarCurr,bitIndex429)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13280,axiom,
    ( ~ v204(VarNext,bitIndex9)
    | v94(VarCurr,bitIndex429)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13281,axiom,
    ( v204(VarNext,bitIndex8)
    | ~ v94(VarCurr,bitIndex428)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13282,axiom,
    ( ~ v204(VarNext,bitIndex8)
    | v94(VarCurr,bitIndex428)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13283,axiom,
    ( v204(VarNext,bitIndex7)
    | ~ v94(VarCurr,bitIndex427)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13284,axiom,
    ( ~ v204(VarNext,bitIndex7)
    | v94(VarCurr,bitIndex427)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13285,axiom,
    ( v204(VarNext,bitIndex6)
    | ~ v94(VarCurr,bitIndex426)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13286,axiom,
    ( ~ v204(VarNext,bitIndex6)
    | v94(VarCurr,bitIndex426)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13287,axiom,
    ( v204(VarNext,bitIndex5)
    | ~ v94(VarCurr,bitIndex425)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13288,axiom,
    ( ~ v204(VarNext,bitIndex5)
    | v94(VarCurr,bitIndex425)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13289,axiom,
    ( v204(VarNext,bitIndex4)
    | ~ v94(VarCurr,bitIndex424)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13290,axiom,
    ( ~ v204(VarNext,bitIndex4)
    | v94(VarCurr,bitIndex424)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13291,axiom,
    ( v204(VarNext,bitIndex3)
    | ~ v94(VarCurr,bitIndex423)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13292,axiom,
    ( ~ v204(VarNext,bitIndex3)
    | v94(VarCurr,bitIndex423)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13293,axiom,
    ( v204(VarNext,bitIndex2)
    | ~ v94(VarCurr,bitIndex422)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13294,axiom,
    ( ~ v204(VarNext,bitIndex2)
    | v94(VarCurr,bitIndex422)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13295,axiom,
    ( v204(VarNext,bitIndex1)
    | ~ v94(VarCurr,bitIndex421)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13296,axiom,
    ( ~ v204(VarNext,bitIndex1)
    | v94(VarCurr,bitIndex421)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13297,axiom,
    ( v204(VarNext,bitIndex0)
    | ~ v94(VarCurr,bitIndex420)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13298,axiom,
    ( ~ v204(VarNext,bitIndex0)
    | v94(VarCurr,bitIndex420)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13299,axiom,
    ( v94(VarNext,bitIndex469)
    | ~ v94(VarCurr,bitIndex469)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13300,axiom,
    ( ~ v94(VarNext,bitIndex469)
    | v94(VarCurr,bitIndex469)
    | ~ sP816(VarNext,VarCurr) )).

cnf(u13159,axiom,
    ( sP816(VarNext,VarCurr)
    | v205(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13155,axiom,
    ( v204(VarNext,bitIndex49)
    | ~ v94(VarNext,bitIndex469) )).

cnf(u13156,axiom,
    ( v94(VarNext,bitIndex469)
    | ~ v204(VarNext,bitIndex49) )).

cnf(u13152,axiom,
    ( v94(VarCurr,bitIndex539)
    | ~ v241(VarCurr,bitIndex49) )).

cnf(u13153,axiom,
    ( v241(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex539) )).

cnf(u13149,axiom,
    ( v172(VarCurr,B)
    | ~ v242(VarCurr,B)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u13150,axiom,
    ( v242(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u13145,axiom,
    ( v241(VarCurr,B)
    | ~ v242(VarCurr,B)
    | v103(VarCurr,bitIndex1) )).

cnf(u13146,axiom,
    ( v242(VarCurr,B)
    | ~ v241(VarCurr,B)
    | v103(VarCurr,bitIndex1) )).

cnf(u13141,axiom,
    ( v242(VarCurr,bitIndex49)
    | ~ v237(VarCurr,bitIndex49) )).

cnf(u13142,axiom,
    ( v237(VarCurr,bitIndex49)
    | ~ v242(VarCurr,bitIndex49) )).

cnf(u13138,axiom,
    ( v94(VarCurr,bitIndex469)
    | ~ v248(VarCurr,bitIndex49) )).

cnf(u13139,axiom,
    ( v248(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex469) )).

cnf(u13135,axiom,
    ( v172(VarCurr,B)
    | ~ v249(VarCurr,B)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u13136,axiom,
    ( v249(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u13131,axiom,
    ( v248(VarCurr,B)
    | ~ v249(VarCurr,B)
    | v103(VarCurr,bitIndex1) )).

cnf(u13132,axiom,
    ( v249(VarCurr,B)
    | ~ v248(VarCurr,B)
    | v103(VarCurr,bitIndex1) )).

cnf(u13127,axiom,
    ( v249(VarCurr,bitIndex49)
    | ~ v244(VarCurr,bitIndex49) )).

cnf(u13128,axiom,
    ( v244(VarCurr,bitIndex49)
    | ~ v249(VarCurr,bitIndex49) )).

cnf(u13124,axiom,
    ( v119(VarNext)
    | v255(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13125,axiom,
    ( ~ v255(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13119,axiom,
    ( v1(VarNext)
    | ~ v253(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13120,axiom,
    ( v255(VarNext)
    | ~ v253(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13121,axiom,
    ( v253(VarNext)
    | ~ v255(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13114,axiom,
    ( v266(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13115,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v266(VarCurr,bitIndex1) )).

cnf(u13111,axiom,
    ( v266(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13112,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v266(VarCurr,bitIndex0) )).

cnf(u13107,axiom,
    ( ~ v266(VarCurr,bitIndex1)
    | ~ v490(VarCurr) )).

cnf(u13108,axiom,
    ( v266(VarCurr,bitIndex0)
    | ~ v490(VarCurr) )).

cnf(u13109,axiom,
    ( v490(VarCurr)
    | ~ v266(VarCurr,bitIndex0)
    | v266(VarCurr,bitIndex1) )).

cnf(u13103,axiom,
    ( v268(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13104,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v268(VarCurr,bitIndex1) )).

cnf(u13100,axiom,
    ( v268(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13101,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v268(VarCurr,bitIndex0) )).

cnf(u13096,axiom,
    ( ~ v268(VarCurr,bitIndex0)
    | ~ v492(VarCurr) )).

cnf(u13097,axiom,
    ( v268(VarCurr,bitIndex1)
    | ~ v492(VarCurr) )).

cnf(u13098,axiom,
    ( v492(VarCurr)
    | ~ v268(VarCurr,bitIndex1)
    | v268(VarCurr,bitIndex0) )).

cnf(u13092,axiom,
    ( v270(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13093,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v270(VarCurr,bitIndex1) )).

cnf(u13089,axiom,
    ( v270(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13090,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v270(VarCurr,bitIndex0) )).

cnf(u13086,axiom,
    ( v275(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u13087,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v275(VarCurr,bitIndex1) )).

cnf(u13083,axiom,
    ( v275(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u13084,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v275(VarCurr,bitIndex0) )).

cnf(u13076,axiom,
    ( ~ v11(VarCurr)
    | v490(VarCurr)
    | v492(VarCurr)
    | v270(VarCurr,bitIndex1)
    | ~ sP815(VarCurr) )).

cnf(u13077,axiom,
    ( ~ v11(VarCurr)
    | v490(VarCurr)
    | v492(VarCurr)
    | v270(VarCurr,bitIndex0)
    | ~ sP815(VarCurr) )).

cnf(u13078,axiom,
    ( sP815(VarCurr)
    | ~ v270(VarCurr,bitIndex0)
    | ~ v270(VarCurr,bitIndex1) )).

cnf(u13079,axiom,
    ( sP815(VarCurr)
    | ~ v492(VarCurr) )).

cnf(u13080,axiom,
    ( sP815(VarCurr)
    | ~ v490(VarCurr) )).

cnf(u13081,axiom,
    ( sP815(VarCurr)
    | v11(VarCurr) )).

cnf(u13069,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | sP815(VarCurr)
    | ~ v260(VarNext) )).

cnf(u13070,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v275(VarCurr,bitIndex0)
    | v275(VarCurr,bitIndex1)
    | ~ v11(VarCurr)
    | ~ v260(VarNext) )).

cnf(u13071,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v260(VarNext)
    | v11(VarCurr)
    | ~ sP815(VarCurr) )).

cnf(u13072,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v260(VarNext)
    | ~ v275(VarCurr,bitIndex1)
    | ~ sP815(VarCurr) )).

cnf(u13073,axiom,
    ( ~ nextState(VarCurr,VarNext)
    | v260(VarNext)
    | ~ v275(VarCurr,bitIndex0)
    | ~ sP815(VarCurr) )).

cnf(u13060,axiom,
    ( v253(VarNext)
    | ~ v252(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13061,axiom,
    ( v260(VarNext)
    | ~ v252(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13062,axiom,
    ( v252(VarNext)
    | ~ v260(VarNext)
    | ~ v253(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u13055,axiom,
    ( v94(VarCurr,bitIndex489)
    | ~ v279(VarCurr,bitIndex69)
    | ~ sP744(VarCurr) )).

cnf(u13056,axiom,
    ( v279(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex489)
    | ~ sP744(VarCurr) )).

cnf(u13051,axiom,
    ( v94(VarCurr,bitIndex488)
    | ~ v279(VarCurr,bitIndex68)
    | ~ sP745(VarCurr) )).

cnf(u13052,axiom,
    ( v279(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex488)
    | ~ sP745(VarCurr) )).

cnf(u13047,axiom,
    ( v94(VarCurr,bitIndex487)
    | ~ v279(VarCurr,bitIndex67)
    | ~ sP746(VarCurr) )).

cnf(u13048,axiom,
    ( v279(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex487)
    | ~ sP746(VarCurr) )).

cnf(u13043,axiom,
    ( v94(VarCurr,bitIndex486)
    | ~ v279(VarCurr,bitIndex66)
    | ~ sP747(VarCurr) )).

cnf(u13044,axiom,
    ( v279(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex486)
    | ~ sP747(VarCurr) )).

cnf(u13039,axiom,
    ( v94(VarCurr,bitIndex485)
    | ~ v279(VarCurr,bitIndex65)
    | ~ sP748(VarCurr) )).

cnf(u13040,axiom,
    ( v279(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex485)
    | ~ sP748(VarCurr) )).

cnf(u13035,axiom,
    ( v94(VarCurr,bitIndex484)
    | ~ v279(VarCurr,bitIndex64)
    | ~ sP749(VarCurr) )).

cnf(u13036,axiom,
    ( v279(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex484)
    | ~ sP749(VarCurr) )).

cnf(u13031,axiom,
    ( v94(VarCurr,bitIndex483)
    | ~ v279(VarCurr,bitIndex63)
    | ~ sP750(VarCurr) )).

cnf(u13032,axiom,
    ( v279(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex483)
    | ~ sP750(VarCurr) )).

cnf(u13027,axiom,
    ( v94(VarCurr,bitIndex482)
    | ~ v279(VarCurr,bitIndex62)
    | ~ sP751(VarCurr) )).

cnf(u13028,axiom,
    ( v279(VarCurr,bitIndex62)
    | ~ v94(VarCurr,bitIndex482)
    | ~ sP751(VarCurr) )).

cnf(u13023,axiom,
    ( v94(VarCurr,bitIndex481)
    | ~ v279(VarCurr,bitIndex61)
    | ~ sP752(VarCurr) )).

cnf(u13024,axiom,
    ( v279(VarCurr,bitIndex61)
    | ~ v94(VarCurr,bitIndex481)
    | ~ sP752(VarCurr) )).

cnf(u13019,axiom,
    ( v94(VarCurr,bitIndex480)
    | ~ v279(VarCurr,bitIndex60)
    | ~ sP753(VarCurr) )).

cnf(u13020,axiom,
    ( v279(VarCurr,bitIndex60)
    | ~ v94(VarCurr,bitIndex480)
    | ~ sP753(VarCurr) )).

cnf(u13015,axiom,
    ( v94(VarCurr,bitIndex479)
    | ~ v279(VarCurr,bitIndex59)
    | ~ sP754(VarCurr) )).

cnf(u13016,axiom,
    ( v279(VarCurr,bitIndex59)
    | ~ v94(VarCurr,bitIndex479)
    | ~ sP754(VarCurr) )).

cnf(u13011,axiom,
    ( v94(VarCurr,bitIndex478)
    | ~ v279(VarCurr,bitIndex58)
    | ~ sP755(VarCurr) )).

cnf(u13012,axiom,
    ( v279(VarCurr,bitIndex58)
    | ~ v94(VarCurr,bitIndex478)
    | ~ sP755(VarCurr) )).

cnf(u13007,axiom,
    ( v94(VarCurr,bitIndex477)
    | ~ v279(VarCurr,bitIndex57)
    | ~ sP756(VarCurr) )).

cnf(u13008,axiom,
    ( v279(VarCurr,bitIndex57)
    | ~ v94(VarCurr,bitIndex477)
    | ~ sP756(VarCurr) )).

cnf(u13003,axiom,
    ( v94(VarCurr,bitIndex476)
    | ~ v279(VarCurr,bitIndex56)
    | ~ sP757(VarCurr) )).

cnf(u13004,axiom,
    ( v279(VarCurr,bitIndex56)
    | ~ v94(VarCurr,bitIndex476)
    | ~ sP757(VarCurr) )).

cnf(u12999,axiom,
    ( v94(VarCurr,bitIndex475)
    | ~ v279(VarCurr,bitIndex55)
    | ~ sP758(VarCurr) )).

cnf(u13000,axiom,
    ( v279(VarCurr,bitIndex55)
    | ~ v94(VarCurr,bitIndex475)
    | ~ sP758(VarCurr) )).

cnf(u12995,axiom,
    ( v94(VarCurr,bitIndex474)
    | ~ v279(VarCurr,bitIndex54)
    | ~ sP759(VarCurr) )).

cnf(u12996,axiom,
    ( v279(VarCurr,bitIndex54)
    | ~ v94(VarCurr,bitIndex474)
    | ~ sP759(VarCurr) )).

cnf(u12991,axiom,
    ( v94(VarCurr,bitIndex473)
    | ~ v279(VarCurr,bitIndex53)
    | ~ sP760(VarCurr) )).

cnf(u12992,axiom,
    ( v279(VarCurr,bitIndex53)
    | ~ v94(VarCurr,bitIndex473)
    | ~ sP760(VarCurr) )).

cnf(u12987,axiom,
    ( v94(VarCurr,bitIndex472)
    | ~ v279(VarCurr,bitIndex52)
    | ~ sP761(VarCurr) )).

cnf(u12988,axiom,
    ( v279(VarCurr,bitIndex52)
    | ~ v94(VarCurr,bitIndex472)
    | ~ sP761(VarCurr) )).

cnf(u12983,axiom,
    ( v94(VarCurr,bitIndex471)
    | ~ v279(VarCurr,bitIndex51)
    | ~ sP762(VarCurr) )).

cnf(u12984,axiom,
    ( v279(VarCurr,bitIndex51)
    | ~ v94(VarCurr,bitIndex471)
    | ~ sP762(VarCurr) )).

cnf(u12979,axiom,
    ( v94(VarCurr,bitIndex470)
    | ~ v279(VarCurr,bitIndex50)
    | ~ sP763(VarCurr) )).

cnf(u12980,axiom,
    ( v279(VarCurr,bitIndex50)
    | ~ v94(VarCurr,bitIndex470)
    | ~ sP763(VarCurr) )).

cnf(u12975,axiom,
    ( v94(VarCurr,bitIndex469)
    | ~ v279(VarCurr,bitIndex49)
    | ~ sP764(VarCurr) )).

cnf(u12976,axiom,
    ( v279(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex469)
    | ~ sP764(VarCurr) )).

cnf(u12971,axiom,
    ( v94(VarCurr,bitIndex468)
    | ~ v279(VarCurr,bitIndex48)
    | ~ sP765(VarCurr) )).

cnf(u12972,axiom,
    ( v279(VarCurr,bitIndex48)
    | ~ v94(VarCurr,bitIndex468)
    | ~ sP765(VarCurr) )).

cnf(u12967,axiom,
    ( v94(VarCurr,bitIndex467)
    | ~ v279(VarCurr,bitIndex47)
    | ~ sP766(VarCurr) )).

cnf(u12968,axiom,
    ( v279(VarCurr,bitIndex47)
    | ~ v94(VarCurr,bitIndex467)
    | ~ sP766(VarCurr) )).

cnf(u12963,axiom,
    ( v94(VarCurr,bitIndex466)
    | ~ v279(VarCurr,bitIndex46)
    | ~ sP767(VarCurr) )).

cnf(u12964,axiom,
    ( v279(VarCurr,bitIndex46)
    | ~ v94(VarCurr,bitIndex466)
    | ~ sP767(VarCurr) )).

cnf(u12959,axiom,
    ( v94(VarCurr,bitIndex465)
    | ~ v279(VarCurr,bitIndex45)
    | ~ sP768(VarCurr) )).

cnf(u12960,axiom,
    ( v279(VarCurr,bitIndex45)
    | ~ v94(VarCurr,bitIndex465)
    | ~ sP768(VarCurr) )).

cnf(u12955,axiom,
    ( v94(VarCurr,bitIndex464)
    | ~ v279(VarCurr,bitIndex44)
    | ~ sP769(VarCurr) )).

cnf(u12956,axiom,
    ( v279(VarCurr,bitIndex44)
    | ~ v94(VarCurr,bitIndex464)
    | ~ sP769(VarCurr) )).

cnf(u12951,axiom,
    ( v94(VarCurr,bitIndex463)
    | ~ v279(VarCurr,bitIndex43)
    | ~ sP770(VarCurr) )).

cnf(u12952,axiom,
    ( v279(VarCurr,bitIndex43)
    | ~ v94(VarCurr,bitIndex463)
    | ~ sP770(VarCurr) )).

cnf(u12947,axiom,
    ( v94(VarCurr,bitIndex462)
    | ~ v279(VarCurr,bitIndex42)
    | ~ sP771(VarCurr) )).

cnf(u12948,axiom,
    ( v279(VarCurr,bitIndex42)
    | ~ v94(VarCurr,bitIndex462)
    | ~ sP771(VarCurr) )).

cnf(u12943,axiom,
    ( v94(VarCurr,bitIndex461)
    | ~ v279(VarCurr,bitIndex41)
    | ~ sP772(VarCurr) )).

cnf(u12944,axiom,
    ( v279(VarCurr,bitIndex41)
    | ~ v94(VarCurr,bitIndex461)
    | ~ sP772(VarCurr) )).

cnf(u12939,axiom,
    ( v94(VarCurr,bitIndex460)
    | ~ v279(VarCurr,bitIndex40)
    | ~ sP773(VarCurr) )).

cnf(u12940,axiom,
    ( v279(VarCurr,bitIndex40)
    | ~ v94(VarCurr,bitIndex460)
    | ~ sP773(VarCurr) )).

cnf(u12935,axiom,
    ( v94(VarCurr,bitIndex459)
    | ~ v279(VarCurr,bitIndex39)
    | ~ sP774(VarCurr) )).

cnf(u12936,axiom,
    ( v279(VarCurr,bitIndex39)
    | ~ v94(VarCurr,bitIndex459)
    | ~ sP774(VarCurr) )).

cnf(u12931,axiom,
    ( v94(VarCurr,bitIndex458)
    | ~ v279(VarCurr,bitIndex38)
    | ~ sP775(VarCurr) )).

cnf(u12932,axiom,
    ( v279(VarCurr,bitIndex38)
    | ~ v94(VarCurr,bitIndex458)
    | ~ sP775(VarCurr) )).

cnf(u12927,axiom,
    ( v94(VarCurr,bitIndex457)
    | ~ v279(VarCurr,bitIndex37)
    | ~ sP776(VarCurr) )).

cnf(u12928,axiom,
    ( v279(VarCurr,bitIndex37)
    | ~ v94(VarCurr,bitIndex457)
    | ~ sP776(VarCurr) )).

cnf(u12923,axiom,
    ( v94(VarCurr,bitIndex456)
    | ~ v279(VarCurr,bitIndex36)
    | ~ sP777(VarCurr) )).

cnf(u12924,axiom,
    ( v279(VarCurr,bitIndex36)
    | ~ v94(VarCurr,bitIndex456)
    | ~ sP777(VarCurr) )).

cnf(u12919,axiom,
    ( v94(VarCurr,bitIndex455)
    | ~ v279(VarCurr,bitIndex35)
    | ~ sP778(VarCurr) )).

cnf(u12920,axiom,
    ( v279(VarCurr,bitIndex35)
    | ~ v94(VarCurr,bitIndex455)
    | ~ sP778(VarCurr) )).

cnf(u12915,axiom,
    ( v94(VarCurr,bitIndex454)
    | ~ v279(VarCurr,bitIndex34)
    | ~ sP779(VarCurr) )).

cnf(u12916,axiom,
    ( v279(VarCurr,bitIndex34)
    | ~ v94(VarCurr,bitIndex454)
    | ~ sP779(VarCurr) )).

cnf(u12911,axiom,
    ( v94(VarCurr,bitIndex453)
    | ~ v279(VarCurr,bitIndex33)
    | ~ sP780(VarCurr) )).

cnf(u12912,axiom,
    ( v279(VarCurr,bitIndex33)
    | ~ v94(VarCurr,bitIndex453)
    | ~ sP780(VarCurr) )).

cnf(u12907,axiom,
    ( v94(VarCurr,bitIndex452)
    | ~ v279(VarCurr,bitIndex32)
    | ~ sP781(VarCurr) )).

cnf(u12908,axiom,
    ( v279(VarCurr,bitIndex32)
    | ~ v94(VarCurr,bitIndex452)
    | ~ sP781(VarCurr) )).

cnf(u12903,axiom,
    ( v94(VarCurr,bitIndex451)
    | ~ v279(VarCurr,bitIndex31)
    | ~ sP782(VarCurr) )).

cnf(u12904,axiom,
    ( v279(VarCurr,bitIndex31)
    | ~ v94(VarCurr,bitIndex451)
    | ~ sP782(VarCurr) )).

cnf(u12899,axiom,
    ( v94(VarCurr,bitIndex450)
    | ~ v279(VarCurr,bitIndex30)
    | ~ sP783(VarCurr) )).

cnf(u12900,axiom,
    ( v279(VarCurr,bitIndex30)
    | ~ v94(VarCurr,bitIndex450)
    | ~ sP783(VarCurr) )).

cnf(u12895,axiom,
    ( v94(VarCurr,bitIndex449)
    | ~ v279(VarCurr,bitIndex29)
    | ~ sP784(VarCurr) )).

cnf(u12896,axiom,
    ( v279(VarCurr,bitIndex29)
    | ~ v94(VarCurr,bitIndex449)
    | ~ sP784(VarCurr) )).

cnf(u12891,axiom,
    ( v94(VarCurr,bitIndex448)
    | ~ v279(VarCurr,bitIndex28)
    | ~ sP785(VarCurr) )).

cnf(u12892,axiom,
    ( v279(VarCurr,bitIndex28)
    | ~ v94(VarCurr,bitIndex448)
    | ~ sP785(VarCurr) )).

cnf(u12887,axiom,
    ( v94(VarCurr,bitIndex447)
    | ~ v279(VarCurr,bitIndex27)
    | ~ sP786(VarCurr) )).

cnf(u12888,axiom,
    ( v279(VarCurr,bitIndex27)
    | ~ v94(VarCurr,bitIndex447)
    | ~ sP786(VarCurr) )).

cnf(u12883,axiom,
    ( v94(VarCurr,bitIndex446)
    | ~ v279(VarCurr,bitIndex26)
    | ~ sP787(VarCurr) )).

cnf(u12884,axiom,
    ( v279(VarCurr,bitIndex26)
    | ~ v94(VarCurr,bitIndex446)
    | ~ sP787(VarCurr) )).

cnf(u12879,axiom,
    ( v94(VarCurr,bitIndex445)
    | ~ v279(VarCurr,bitIndex25)
    | ~ sP788(VarCurr) )).

cnf(u12880,axiom,
    ( v279(VarCurr,bitIndex25)
    | ~ v94(VarCurr,bitIndex445)
    | ~ sP788(VarCurr) )).

cnf(u12875,axiom,
    ( v94(VarCurr,bitIndex444)
    | ~ v279(VarCurr,bitIndex24)
    | ~ sP789(VarCurr) )).

cnf(u12876,axiom,
    ( v279(VarCurr,bitIndex24)
    | ~ v94(VarCurr,bitIndex444)
    | ~ sP789(VarCurr) )).

cnf(u12871,axiom,
    ( v94(VarCurr,bitIndex443)
    | ~ v279(VarCurr,bitIndex23)
    | ~ sP790(VarCurr) )).

cnf(u12872,axiom,
    ( v279(VarCurr,bitIndex23)
    | ~ v94(VarCurr,bitIndex443)
    | ~ sP790(VarCurr) )).

cnf(u12867,axiom,
    ( v94(VarCurr,bitIndex442)
    | ~ v279(VarCurr,bitIndex22)
    | ~ sP791(VarCurr) )).

cnf(u12868,axiom,
    ( v279(VarCurr,bitIndex22)
    | ~ v94(VarCurr,bitIndex442)
    | ~ sP791(VarCurr) )).

cnf(u12863,axiom,
    ( v94(VarCurr,bitIndex441)
    | ~ v279(VarCurr,bitIndex21)
    | ~ sP792(VarCurr) )).

cnf(u12864,axiom,
    ( v279(VarCurr,bitIndex21)
    | ~ v94(VarCurr,bitIndex441)
    | ~ sP792(VarCurr) )).

cnf(u12859,axiom,
    ( v94(VarCurr,bitIndex440)
    | ~ v279(VarCurr,bitIndex20)
    | ~ sP793(VarCurr) )).

cnf(u12860,axiom,
    ( v279(VarCurr,bitIndex20)
    | ~ v94(VarCurr,bitIndex440)
    | ~ sP793(VarCurr) )).

cnf(u12855,axiom,
    ( v94(VarCurr,bitIndex439)
    | ~ v279(VarCurr,bitIndex19)
    | ~ sP794(VarCurr) )).

cnf(u12856,axiom,
    ( v279(VarCurr,bitIndex19)
    | ~ v94(VarCurr,bitIndex439)
    | ~ sP794(VarCurr) )).

cnf(u12851,axiom,
    ( v94(VarCurr,bitIndex438)
    | ~ v279(VarCurr,bitIndex18)
    | ~ sP795(VarCurr) )).

cnf(u12852,axiom,
    ( v279(VarCurr,bitIndex18)
    | ~ v94(VarCurr,bitIndex438)
    | ~ sP795(VarCurr) )).

cnf(u12847,axiom,
    ( v94(VarCurr,bitIndex437)
    | ~ v279(VarCurr,bitIndex17)
    | ~ sP796(VarCurr) )).

cnf(u12848,axiom,
    ( v279(VarCurr,bitIndex17)
    | ~ v94(VarCurr,bitIndex437)
    | ~ sP796(VarCurr) )).

cnf(u12843,axiom,
    ( v94(VarCurr,bitIndex436)
    | ~ v279(VarCurr,bitIndex16)
    | ~ sP797(VarCurr) )).

cnf(u12844,axiom,
    ( v279(VarCurr,bitIndex16)
    | ~ v94(VarCurr,bitIndex436)
    | ~ sP797(VarCurr) )).

cnf(u12839,axiom,
    ( v94(VarCurr,bitIndex435)
    | ~ v279(VarCurr,bitIndex15)
    | ~ sP798(VarCurr) )).

cnf(u12840,axiom,
    ( v279(VarCurr,bitIndex15)
    | ~ v94(VarCurr,bitIndex435)
    | ~ sP798(VarCurr) )).

cnf(u12835,axiom,
    ( v94(VarCurr,bitIndex434)
    | ~ v279(VarCurr,bitIndex14)
    | ~ sP799(VarCurr) )).

cnf(u12836,axiom,
    ( v279(VarCurr,bitIndex14)
    | ~ v94(VarCurr,bitIndex434)
    | ~ sP799(VarCurr) )).

cnf(u12831,axiom,
    ( v94(VarCurr,bitIndex433)
    | ~ v279(VarCurr,bitIndex13)
    | ~ sP800(VarCurr) )).

cnf(u12832,axiom,
    ( v279(VarCurr,bitIndex13)
    | ~ v94(VarCurr,bitIndex433)
    | ~ sP800(VarCurr) )).

cnf(u12827,axiom,
    ( v94(VarCurr,bitIndex432)
    | ~ v279(VarCurr,bitIndex12)
    | ~ sP801(VarCurr) )).

cnf(u12828,axiom,
    ( v279(VarCurr,bitIndex12)
    | ~ v94(VarCurr,bitIndex432)
    | ~ sP801(VarCurr) )).

cnf(u12823,axiom,
    ( v94(VarCurr,bitIndex431)
    | ~ v279(VarCurr,bitIndex11)
    | ~ sP802(VarCurr) )).

cnf(u12824,axiom,
    ( v279(VarCurr,bitIndex11)
    | ~ v94(VarCurr,bitIndex431)
    | ~ sP802(VarCurr) )).

cnf(u12819,axiom,
    ( v94(VarCurr,bitIndex430)
    | ~ v279(VarCurr,bitIndex10)
    | ~ sP803(VarCurr) )).

cnf(u12820,axiom,
    ( v279(VarCurr,bitIndex10)
    | ~ v94(VarCurr,bitIndex430)
    | ~ sP803(VarCurr) )).

cnf(u12815,axiom,
    ( v94(VarCurr,bitIndex429)
    | ~ v279(VarCurr,bitIndex9)
    | ~ sP804(VarCurr) )).

cnf(u12816,axiom,
    ( v279(VarCurr,bitIndex9)
    | ~ v94(VarCurr,bitIndex429)
    | ~ sP804(VarCurr) )).

cnf(u12811,axiom,
    ( v94(VarCurr,bitIndex428)
    | ~ v279(VarCurr,bitIndex8)
    | ~ sP805(VarCurr) )).

cnf(u12812,axiom,
    ( v279(VarCurr,bitIndex8)
    | ~ v94(VarCurr,bitIndex428)
    | ~ sP805(VarCurr) )).

cnf(u12807,axiom,
    ( v94(VarCurr,bitIndex427)
    | ~ v279(VarCurr,bitIndex7)
    | ~ sP806(VarCurr) )).

cnf(u12808,axiom,
    ( v279(VarCurr,bitIndex7)
    | ~ v94(VarCurr,bitIndex427)
    | ~ sP806(VarCurr) )).

cnf(u12803,axiom,
    ( v94(VarCurr,bitIndex426)
    | ~ v279(VarCurr,bitIndex6)
    | ~ sP807(VarCurr) )).

cnf(u12804,axiom,
    ( v279(VarCurr,bitIndex6)
    | ~ v94(VarCurr,bitIndex426)
    | ~ sP807(VarCurr) )).

cnf(u12799,axiom,
    ( v94(VarCurr,bitIndex425)
    | ~ v279(VarCurr,bitIndex5)
    | ~ sP808(VarCurr) )).

cnf(u12800,axiom,
    ( v279(VarCurr,bitIndex5)
    | ~ v94(VarCurr,bitIndex425)
    | ~ sP808(VarCurr) )).

cnf(u12795,axiom,
    ( v94(VarCurr,bitIndex424)
    | ~ v279(VarCurr,bitIndex4)
    | ~ sP809(VarCurr) )).

cnf(u12796,axiom,
    ( v279(VarCurr,bitIndex4)
    | ~ v94(VarCurr,bitIndex424)
    | ~ sP809(VarCurr) )).

cnf(u12791,axiom,
    ( v94(VarCurr,bitIndex423)
    | ~ v279(VarCurr,bitIndex3)
    | ~ sP810(VarCurr) )).

cnf(u12792,axiom,
    ( v279(VarCurr,bitIndex3)
    | ~ v94(VarCurr,bitIndex423)
    | ~ sP810(VarCurr) )).

cnf(u12787,axiom,
    ( v94(VarCurr,bitIndex422)
    | ~ v279(VarCurr,bitIndex2)
    | ~ sP811(VarCurr) )).

cnf(u12788,axiom,
    ( v279(VarCurr,bitIndex2)
    | ~ v94(VarCurr,bitIndex422)
    | ~ sP811(VarCurr) )).

cnf(u12783,axiom,
    ( v94(VarCurr,bitIndex421)
    | ~ v279(VarCurr,bitIndex1)
    | ~ sP812(VarCurr) )).

cnf(u12784,axiom,
    ( v279(VarCurr,bitIndex1)
    | ~ v94(VarCurr,bitIndex421)
    | ~ sP812(VarCurr) )).

cnf(u12779,axiom,
    ( v94(VarCurr,bitIndex420)
    | ~ v279(VarCurr,bitIndex0)
    | ~ sP813(VarCurr) )).

cnf(u12780,axiom,
    ( v279(VarCurr,bitIndex0)
    | ~ v94(VarCurr,bitIndex420)
    | ~ sP813(VarCurr) )).

cnf(u12707,axiom,
    ( sP744(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12708,axiom,
    ( sP745(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12709,axiom,
    ( sP746(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12710,axiom,
    ( sP747(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12711,axiom,
    ( sP748(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12712,axiom,
    ( sP749(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12713,axiom,
    ( sP750(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12714,axiom,
    ( sP751(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12715,axiom,
    ( sP752(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12716,axiom,
    ( sP753(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12717,axiom,
    ( sP754(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12718,axiom,
    ( sP755(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12719,axiom,
    ( sP756(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12720,axiom,
    ( sP757(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12721,axiom,
    ( sP758(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12722,axiom,
    ( sP759(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12723,axiom,
    ( sP760(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12724,axiom,
    ( sP761(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12725,axiom,
    ( sP762(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12726,axiom,
    ( sP763(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12727,axiom,
    ( sP764(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12728,axiom,
    ( sP765(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12729,axiom,
    ( sP766(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12730,axiom,
    ( sP767(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12731,axiom,
    ( sP768(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12732,axiom,
    ( sP769(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12733,axiom,
    ( sP770(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12734,axiom,
    ( sP771(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12735,axiom,
    ( sP772(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12736,axiom,
    ( sP773(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12737,axiom,
    ( sP774(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12738,axiom,
    ( sP775(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12739,axiom,
    ( sP776(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12740,axiom,
    ( sP777(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12741,axiom,
    ( sP778(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12742,axiom,
    ( sP779(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12743,axiom,
    ( sP780(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12744,axiom,
    ( sP781(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12745,axiom,
    ( sP782(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12746,axiom,
    ( sP783(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12747,axiom,
    ( sP784(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12748,axiom,
    ( sP785(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12749,axiom,
    ( sP786(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12750,axiom,
    ( sP787(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12751,axiom,
    ( sP788(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12752,axiom,
    ( sP789(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12753,axiom,
    ( sP790(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12754,axiom,
    ( sP791(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12755,axiom,
    ( sP792(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12756,axiom,
    ( sP793(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12757,axiom,
    ( sP794(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12758,axiom,
    ( sP795(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12759,axiom,
    ( sP796(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12760,axiom,
    ( sP797(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12761,axiom,
    ( sP798(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12762,axiom,
    ( sP799(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12763,axiom,
    ( sP800(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12764,axiom,
    ( sP801(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12765,axiom,
    ( sP802(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12766,axiom,
    ( sP803(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12767,axiom,
    ( sP804(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12768,axiom,
    ( sP805(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12769,axiom,
    ( sP806(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12770,axiom,
    ( sP807(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12771,axiom,
    ( sP808(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12772,axiom,
    ( sP809(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12773,axiom,
    ( sP810(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12774,axiom,
    ( sP811(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12775,axiom,
    ( sP812(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12776,axiom,
    ( sP813(VarCurr)
    | ~ sP814(VarCurr) )).

cnf(u12705,axiom,
    ( ~ v266(VarCurr,bitIndex0)
    | v266(VarCurr,bitIndex1)
    | sP814(VarCurr) )).

cnf(u12631,axiom,
    ( v237(VarCurr,B)
    | ~ v279(VarCurr,B)
    | ~ v268(VarCurr,bitIndex1)
    | v268(VarCurr,bitIndex0) )).

cnf(u12632,axiom,
    ( v279(VarCurr,B)
    | ~ v237(VarCurr,B)
    | ~ v268(VarCurr,bitIndex1)
    | v268(VarCurr,bitIndex0) )).

cnf(u12628,axiom,
    ( v244(VarCurr,B)
    | ~ v279(VarCurr,B)
    | v492(VarCurr)
    | v490(VarCurr) )).

cnf(u12629,axiom,
    ( v279(VarCurr,B)
    | ~ v244(VarCurr,B)
    | v492(VarCurr)
    | v490(VarCurr) )).

cnf(u12626,axiom,
    ( ~ v276(VarCurr,B)
    | v11(VarCurr) )).

cnf(u12623,axiom,
    ( v279(VarCurr,B)
    | ~ v276(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12624,axiom,
    ( v276(VarCurr,B)
    | ~ v279(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12619,axiom,
    ( v276(VarCurr,B)
    | ~ v278(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12620,axiom,
    ( v278(VarNext,B)
    | ~ v276(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12615,axiom,
    ( v278(VarNext,B)
    | ~ v251(VarNext,B)
    | ~ v252(VarNext) )).

cnf(u12616,axiom,
    ( v251(VarNext,B)
    | ~ v278(VarNext,B)
    | ~ v252(VarNext) )).

cnf(u12473,axiom,
    ( v251(VarNext,bitIndex69)
    | ~ v94(VarCurr,bitIndex559)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12474,axiom,
    ( ~ v251(VarNext,bitIndex69)
    | v94(VarCurr,bitIndex559)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12475,axiom,
    ( v251(VarNext,bitIndex68)
    | ~ v94(VarCurr,bitIndex558)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12476,axiom,
    ( ~ v251(VarNext,bitIndex68)
    | v94(VarCurr,bitIndex558)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12477,axiom,
    ( v251(VarNext,bitIndex67)
    | ~ v94(VarCurr,bitIndex557)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12478,axiom,
    ( ~ v251(VarNext,bitIndex67)
    | v94(VarCurr,bitIndex557)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12479,axiom,
    ( v251(VarNext,bitIndex66)
    | ~ v94(VarCurr,bitIndex556)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12480,axiom,
    ( ~ v251(VarNext,bitIndex66)
    | v94(VarCurr,bitIndex556)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12481,axiom,
    ( v251(VarNext,bitIndex65)
    | ~ v94(VarCurr,bitIndex555)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12482,axiom,
    ( ~ v251(VarNext,bitIndex65)
    | v94(VarCurr,bitIndex555)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12483,axiom,
    ( v251(VarNext,bitIndex64)
    | ~ v94(VarCurr,bitIndex554)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12484,axiom,
    ( ~ v251(VarNext,bitIndex64)
    | v94(VarCurr,bitIndex554)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12485,axiom,
    ( v251(VarNext,bitIndex63)
    | ~ v94(VarCurr,bitIndex553)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12486,axiom,
    ( ~ v251(VarNext,bitIndex63)
    | v94(VarCurr,bitIndex553)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12487,axiom,
    ( v251(VarNext,bitIndex62)
    | ~ v94(VarCurr,bitIndex552)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12488,axiom,
    ( ~ v251(VarNext,bitIndex62)
    | v94(VarCurr,bitIndex552)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12489,axiom,
    ( v251(VarNext,bitIndex61)
    | ~ v94(VarCurr,bitIndex551)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12490,axiom,
    ( ~ v251(VarNext,bitIndex61)
    | v94(VarCurr,bitIndex551)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12491,axiom,
    ( v251(VarNext,bitIndex60)
    | ~ v94(VarCurr,bitIndex550)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12492,axiom,
    ( ~ v251(VarNext,bitIndex60)
    | v94(VarCurr,bitIndex550)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12493,axiom,
    ( v251(VarNext,bitIndex59)
    | ~ v94(VarCurr,bitIndex549)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12494,axiom,
    ( ~ v251(VarNext,bitIndex59)
    | v94(VarCurr,bitIndex549)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12495,axiom,
    ( v251(VarNext,bitIndex58)
    | ~ v94(VarCurr,bitIndex548)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12496,axiom,
    ( ~ v251(VarNext,bitIndex58)
    | v94(VarCurr,bitIndex548)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12497,axiom,
    ( v251(VarNext,bitIndex57)
    | ~ v94(VarCurr,bitIndex547)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12498,axiom,
    ( ~ v251(VarNext,bitIndex57)
    | v94(VarCurr,bitIndex547)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12499,axiom,
    ( v251(VarNext,bitIndex56)
    | ~ v94(VarCurr,bitIndex546)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12500,axiom,
    ( ~ v251(VarNext,bitIndex56)
    | v94(VarCurr,bitIndex546)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12501,axiom,
    ( v251(VarNext,bitIndex55)
    | ~ v94(VarCurr,bitIndex545)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12502,axiom,
    ( ~ v251(VarNext,bitIndex55)
    | v94(VarCurr,bitIndex545)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12503,axiom,
    ( v251(VarNext,bitIndex54)
    | ~ v94(VarCurr,bitIndex544)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12504,axiom,
    ( ~ v251(VarNext,bitIndex54)
    | v94(VarCurr,bitIndex544)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12505,axiom,
    ( v251(VarNext,bitIndex53)
    | ~ v94(VarCurr,bitIndex543)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12506,axiom,
    ( ~ v251(VarNext,bitIndex53)
    | v94(VarCurr,bitIndex543)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12507,axiom,
    ( v251(VarNext,bitIndex52)
    | ~ v94(VarCurr,bitIndex542)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12508,axiom,
    ( ~ v251(VarNext,bitIndex52)
    | v94(VarCurr,bitIndex542)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12509,axiom,
    ( v251(VarNext,bitIndex51)
    | ~ v94(VarCurr,bitIndex541)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12510,axiom,
    ( ~ v251(VarNext,bitIndex51)
    | v94(VarCurr,bitIndex541)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12511,axiom,
    ( v251(VarNext,bitIndex50)
    | ~ v94(VarCurr,bitIndex540)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12512,axiom,
    ( ~ v251(VarNext,bitIndex50)
    | v94(VarCurr,bitIndex540)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12513,axiom,
    ( v251(VarNext,bitIndex48)
    | ~ v94(VarCurr,bitIndex538)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12514,axiom,
    ( ~ v251(VarNext,bitIndex48)
    | v94(VarCurr,bitIndex538)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12515,axiom,
    ( v251(VarNext,bitIndex47)
    | ~ v94(VarCurr,bitIndex537)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12516,axiom,
    ( ~ v251(VarNext,bitIndex47)
    | v94(VarCurr,bitIndex537)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12517,axiom,
    ( v251(VarNext,bitIndex46)
    | ~ v94(VarCurr,bitIndex536)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12518,axiom,
    ( ~ v251(VarNext,bitIndex46)
    | v94(VarCurr,bitIndex536)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12519,axiom,
    ( v251(VarNext,bitIndex45)
    | ~ v94(VarCurr,bitIndex535)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12520,axiom,
    ( ~ v251(VarNext,bitIndex45)
    | v94(VarCurr,bitIndex535)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12521,axiom,
    ( v251(VarNext,bitIndex44)
    | ~ v94(VarCurr,bitIndex534)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12522,axiom,
    ( ~ v251(VarNext,bitIndex44)
    | v94(VarCurr,bitIndex534)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12523,axiom,
    ( v251(VarNext,bitIndex43)
    | ~ v94(VarCurr,bitIndex533)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12524,axiom,
    ( ~ v251(VarNext,bitIndex43)
    | v94(VarCurr,bitIndex533)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12525,axiom,
    ( v251(VarNext,bitIndex42)
    | ~ v94(VarCurr,bitIndex532)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12526,axiom,
    ( ~ v251(VarNext,bitIndex42)
    | v94(VarCurr,bitIndex532)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12527,axiom,
    ( v251(VarNext,bitIndex41)
    | ~ v94(VarCurr,bitIndex531)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12528,axiom,
    ( ~ v251(VarNext,bitIndex41)
    | v94(VarCurr,bitIndex531)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12529,axiom,
    ( v251(VarNext,bitIndex40)
    | ~ v94(VarCurr,bitIndex530)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12530,axiom,
    ( ~ v251(VarNext,bitIndex40)
    | v94(VarCurr,bitIndex530)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12531,axiom,
    ( v251(VarNext,bitIndex39)
    | ~ v94(VarCurr,bitIndex529)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12532,axiom,
    ( ~ v251(VarNext,bitIndex39)
    | v94(VarCurr,bitIndex529)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12533,axiom,
    ( v251(VarNext,bitIndex38)
    | ~ v94(VarCurr,bitIndex528)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12534,axiom,
    ( ~ v251(VarNext,bitIndex38)
    | v94(VarCurr,bitIndex528)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12535,axiom,
    ( v251(VarNext,bitIndex37)
    | ~ v94(VarCurr,bitIndex527)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12536,axiom,
    ( ~ v251(VarNext,bitIndex37)
    | v94(VarCurr,bitIndex527)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12537,axiom,
    ( v251(VarNext,bitIndex36)
    | ~ v94(VarCurr,bitIndex526)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12538,axiom,
    ( ~ v251(VarNext,bitIndex36)
    | v94(VarCurr,bitIndex526)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12539,axiom,
    ( v251(VarNext,bitIndex35)
    | ~ v94(VarCurr,bitIndex525)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12540,axiom,
    ( ~ v251(VarNext,bitIndex35)
    | v94(VarCurr,bitIndex525)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12541,axiom,
    ( v251(VarNext,bitIndex34)
    | ~ v94(VarCurr,bitIndex524)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12542,axiom,
    ( ~ v251(VarNext,bitIndex34)
    | v94(VarCurr,bitIndex524)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12543,axiom,
    ( v251(VarNext,bitIndex33)
    | ~ v94(VarCurr,bitIndex523)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12544,axiom,
    ( ~ v251(VarNext,bitIndex33)
    | v94(VarCurr,bitIndex523)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12545,axiom,
    ( v251(VarNext,bitIndex32)
    | ~ v94(VarCurr,bitIndex522)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12546,axiom,
    ( ~ v251(VarNext,bitIndex32)
    | v94(VarCurr,bitIndex522)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12547,axiom,
    ( v251(VarNext,bitIndex31)
    | ~ v94(VarCurr,bitIndex521)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12548,axiom,
    ( ~ v251(VarNext,bitIndex31)
    | v94(VarCurr,bitIndex521)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12549,axiom,
    ( v251(VarNext,bitIndex30)
    | ~ v94(VarCurr,bitIndex520)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12550,axiom,
    ( ~ v251(VarNext,bitIndex30)
    | v94(VarCurr,bitIndex520)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12551,axiom,
    ( v251(VarNext,bitIndex29)
    | ~ v94(VarCurr,bitIndex519)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12552,axiom,
    ( ~ v251(VarNext,bitIndex29)
    | v94(VarCurr,bitIndex519)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12553,axiom,
    ( v251(VarNext,bitIndex28)
    | ~ v94(VarCurr,bitIndex518)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12554,axiom,
    ( ~ v251(VarNext,bitIndex28)
    | v94(VarCurr,bitIndex518)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12555,axiom,
    ( v251(VarNext,bitIndex27)
    | ~ v94(VarCurr,bitIndex517)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12556,axiom,
    ( ~ v251(VarNext,bitIndex27)
    | v94(VarCurr,bitIndex517)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12557,axiom,
    ( v251(VarNext,bitIndex26)
    | ~ v94(VarCurr,bitIndex516)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12558,axiom,
    ( ~ v251(VarNext,bitIndex26)
    | v94(VarCurr,bitIndex516)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12559,axiom,
    ( v251(VarNext,bitIndex25)
    | ~ v94(VarCurr,bitIndex515)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12560,axiom,
    ( ~ v251(VarNext,bitIndex25)
    | v94(VarCurr,bitIndex515)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12561,axiom,
    ( v251(VarNext,bitIndex24)
    | ~ v94(VarCurr,bitIndex514)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12562,axiom,
    ( ~ v251(VarNext,bitIndex24)
    | v94(VarCurr,bitIndex514)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12563,axiom,
    ( v251(VarNext,bitIndex23)
    | ~ v94(VarCurr,bitIndex513)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12564,axiom,
    ( ~ v251(VarNext,bitIndex23)
    | v94(VarCurr,bitIndex513)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12565,axiom,
    ( v251(VarNext,bitIndex22)
    | ~ v94(VarCurr,bitIndex512)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12566,axiom,
    ( ~ v251(VarNext,bitIndex22)
    | v94(VarCurr,bitIndex512)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12567,axiom,
    ( v251(VarNext,bitIndex21)
    | ~ v94(VarCurr,bitIndex511)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12568,axiom,
    ( ~ v251(VarNext,bitIndex21)
    | v94(VarCurr,bitIndex511)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12569,axiom,
    ( v251(VarNext,bitIndex20)
    | ~ v94(VarCurr,bitIndex510)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12570,axiom,
    ( ~ v251(VarNext,bitIndex20)
    | v94(VarCurr,bitIndex510)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12571,axiom,
    ( v251(VarNext,bitIndex19)
    | ~ v94(VarCurr,bitIndex509)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12572,axiom,
    ( ~ v251(VarNext,bitIndex19)
    | v94(VarCurr,bitIndex509)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12573,axiom,
    ( v251(VarNext,bitIndex18)
    | ~ v94(VarCurr,bitIndex508)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12574,axiom,
    ( ~ v251(VarNext,bitIndex18)
    | v94(VarCurr,bitIndex508)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12575,axiom,
    ( v251(VarNext,bitIndex17)
    | ~ v94(VarCurr,bitIndex507)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12576,axiom,
    ( ~ v251(VarNext,bitIndex17)
    | v94(VarCurr,bitIndex507)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12577,axiom,
    ( v251(VarNext,bitIndex16)
    | ~ v94(VarCurr,bitIndex506)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12578,axiom,
    ( ~ v251(VarNext,bitIndex16)
    | v94(VarCurr,bitIndex506)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12579,axiom,
    ( v251(VarNext,bitIndex15)
    | ~ v94(VarCurr,bitIndex505)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12580,axiom,
    ( ~ v251(VarNext,bitIndex15)
    | v94(VarCurr,bitIndex505)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12581,axiom,
    ( v251(VarNext,bitIndex14)
    | ~ v94(VarCurr,bitIndex504)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12582,axiom,
    ( ~ v251(VarNext,bitIndex14)
    | v94(VarCurr,bitIndex504)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12583,axiom,
    ( v251(VarNext,bitIndex13)
    | ~ v94(VarCurr,bitIndex503)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12584,axiom,
    ( ~ v251(VarNext,bitIndex13)
    | v94(VarCurr,bitIndex503)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12585,axiom,
    ( v251(VarNext,bitIndex12)
    | ~ v94(VarCurr,bitIndex502)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12586,axiom,
    ( ~ v251(VarNext,bitIndex12)
    | v94(VarCurr,bitIndex502)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12587,axiom,
    ( v251(VarNext,bitIndex11)
    | ~ v94(VarCurr,bitIndex501)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12588,axiom,
    ( ~ v251(VarNext,bitIndex11)
    | v94(VarCurr,bitIndex501)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12589,axiom,
    ( v251(VarNext,bitIndex10)
    | ~ v94(VarCurr,bitIndex500)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12590,axiom,
    ( ~ v251(VarNext,bitIndex10)
    | v94(VarCurr,bitIndex500)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12591,axiom,
    ( v251(VarNext,bitIndex9)
    | ~ v94(VarCurr,bitIndex499)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12592,axiom,
    ( ~ v251(VarNext,bitIndex9)
    | v94(VarCurr,bitIndex499)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12593,axiom,
    ( v251(VarNext,bitIndex8)
    | ~ v94(VarCurr,bitIndex498)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12594,axiom,
    ( ~ v251(VarNext,bitIndex8)
    | v94(VarCurr,bitIndex498)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12595,axiom,
    ( v251(VarNext,bitIndex7)
    | ~ v94(VarCurr,bitIndex497)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12596,axiom,
    ( ~ v251(VarNext,bitIndex7)
    | v94(VarCurr,bitIndex497)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12597,axiom,
    ( v251(VarNext,bitIndex6)
    | ~ v94(VarCurr,bitIndex496)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12598,axiom,
    ( ~ v251(VarNext,bitIndex6)
    | v94(VarCurr,bitIndex496)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12599,axiom,
    ( v251(VarNext,bitIndex5)
    | ~ v94(VarCurr,bitIndex495)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12600,axiom,
    ( ~ v251(VarNext,bitIndex5)
    | v94(VarCurr,bitIndex495)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12601,axiom,
    ( v251(VarNext,bitIndex4)
    | ~ v94(VarCurr,bitIndex494)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12602,axiom,
    ( ~ v251(VarNext,bitIndex4)
    | v94(VarCurr,bitIndex494)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12603,axiom,
    ( v251(VarNext,bitIndex3)
    | ~ v94(VarCurr,bitIndex493)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12604,axiom,
    ( ~ v251(VarNext,bitIndex3)
    | v94(VarCurr,bitIndex493)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12605,axiom,
    ( v251(VarNext,bitIndex2)
    | ~ v94(VarCurr,bitIndex492)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12606,axiom,
    ( ~ v251(VarNext,bitIndex2)
    | v94(VarCurr,bitIndex492)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12607,axiom,
    ( v251(VarNext,bitIndex1)
    | ~ v94(VarCurr,bitIndex491)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12608,axiom,
    ( ~ v251(VarNext,bitIndex1)
    | v94(VarCurr,bitIndex491)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12609,axiom,
    ( v251(VarNext,bitIndex0)
    | ~ v94(VarCurr,bitIndex490)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12610,axiom,
    ( ~ v251(VarNext,bitIndex0)
    | v94(VarCurr,bitIndex490)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12611,axiom,
    ( v94(VarNext,bitIndex539)
    | ~ v94(VarCurr,bitIndex539)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12612,axiom,
    ( ~ v94(VarNext,bitIndex539)
    | v94(VarCurr,bitIndex539)
    | ~ sP743(VarNext,VarCurr) )).

cnf(u12471,axiom,
    ( sP743(VarNext,VarCurr)
    | v252(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12467,axiom,
    ( v251(VarNext,bitIndex49)
    | ~ v94(VarNext,bitIndex539) )).

cnf(u12468,axiom,
    ( v94(VarNext,bitIndex539)
    | ~ v251(VarNext,bitIndex49) )).

cnf(u12464,axiom,
    ( v94(VarCurr,bitIndex539)
    | ~ v92(VarCurr,bitIndex49) )).

cnf(u12465,axiom,
    ( v92(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex539) )).

cnf(u12461,axiom,
    ( v94(VarCurr,bitIndex539)
    | ~ v90(VarCurr,bitIndex49) )).

cnf(u12462,axiom,
    ( v90(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex539) )).

cnf(u12459,axiom,
    ( v62(constB0,bitIndex0) )).

cnf(u12456,axiom,
    ( ~ v62(constB0,bitIndex3) )).

cnf(u12457,axiom,
    ( ~ v62(constB0,bitIndex2) )).

cnf(u12458,axiom,
    ( ~ v62(constB0,bitIndex1) )).

cnf(u12454,axiom,
    ( ~ v62(VarCurr,bitIndex3)
    | v286(VarCurr)
    | v67(VarCurr,bitIndex3) )).

cnf(u12455,axiom,
    ( ~ v62(VarCurr,bitIndex2)
    | ~ v286(VarCurr)
    | v67(VarCurr,bitIndex3) )).

cnf(u12449,axiom,
    ( v286(VarCurr)
    | ~ v286(VarCurr)
    | ~ v67(VarCurr,bitIndex3) )).

cnf(u12450,axiom,
    ( v286(VarCurr)
    | v62(VarCurr,bitIndex3)
    | ~ v67(VarCurr,bitIndex3) )).

cnf(u12451,axiom,
    ( v62(VarCurr,bitIndex2)
    | ~ v286(VarCurr)
    | ~ v67(VarCurr,bitIndex3) )).

cnf(u12452,axiom,
    ( v62(VarCurr,bitIndex2)
    | v62(VarCurr,bitIndex3)
    | ~ v67(VarCurr,bitIndex3) )).

cnf(u12447,axiom,
    ( v1(VarCurr)
    | ~ v302(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12448,axiom,
    ( v302(VarNext)
    | ~ v1(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12443,axiom,
    ( v302(VarNext)
    | v300(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12444,axiom,
    ( ~ v300(VarNext)
    | ~ v302(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12438,axiom,
    ( v1(VarNext)
    | ~ v299(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12439,axiom,
    ( v300(VarNext)
    | ~ v299(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12440,axiom,
    ( v299(VarNext)
    | ~ v300(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12433,axiom,
    ( v299(VarNext)
    | ~ v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12434,axiom,
    ( v298(VarNext)
    | ~ v299(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12427,axiom,
    ( bitIndex2 = B
    | bitIndex1 = B
    | bitIndex0 = B
    | ~ range_2_0(B) )).

cnf(u12428,axiom,
    ( range_2_0(B)
    | bitIndex0 != B )).

cnf(u12429,axiom,
    ( range_2_0(B)
    | bitIndex1 != B )).

cnf(u12430,axiom,
    ( range_2_0(B)
    | bitIndex2 != B )).

cnf(u12424,axiom,
    ( ~ v306(VarCurr,B)
    | v11(VarCurr) )).

cnf(u12417,axiom,
    ( v67(VarCurr,bitIndex3)
    | ~ v306(VarCurr,bitIndex2)
    | ~ v11(VarCurr) )).

cnf(u12418,axiom,
    ( v306(VarCurr,bitIndex2)
    | ~ v67(VarCurr,bitIndex3)
    | ~ v11(VarCurr) )).

cnf(u12419,axiom,
    ( v67(VarCurr,bitIndex2)
    | ~ v306(VarCurr,bitIndex1)
    | ~ v11(VarCurr) )).

cnf(u12420,axiom,
    ( v306(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex2)
    | ~ v11(VarCurr) )).

cnf(u12421,axiom,
    ( v67(VarCurr,bitIndex1)
    | ~ v306(VarCurr,bitIndex0)
    | ~ v11(VarCurr) )).

cnf(u12422,axiom,
    ( v306(VarCurr,bitIndex0)
    | ~ v67(VarCurr,bitIndex1)
    | ~ v11(VarCurr) )).

cnf(u12412,axiom,
    ( v306(VarCurr,B)
    | ~ v308(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12413,axiom,
    ( v308(VarNext,B)
    | ~ v306(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12408,axiom,
    ( v308(VarNext,B)
    | ~ v297(VarNext,B)
    | ~ v298(VarNext) )).

cnf(u12409,axiom,
    ( v297(VarNext,B)
    | ~ v308(VarNext,B)
    | ~ v298(VarNext) )).

cnf(u12400,axiom,
    ( v297(VarNext,bitIndex1)
    | ~ v62(VarCurr,bitIndex2)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12401,axiom,
    ( ~ v297(VarNext,bitIndex1)
    | v62(VarCurr,bitIndex2)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12402,axiom,
    ( v297(VarNext,bitIndex0)
    | ~ v62(VarCurr,bitIndex1)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12403,axiom,
    ( ~ v297(VarNext,bitIndex0)
    | v62(VarCurr,bitIndex1)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12404,axiom,
    ( v62(VarNext,bitIndex3)
    | ~ v62(VarCurr,bitIndex3)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12405,axiom,
    ( ~ v62(VarNext,bitIndex3)
    | v62(VarCurr,bitIndex3)
    | v298(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12398,axiom,
    ( v297(VarNext,bitIndex2)
    | ~ v62(VarNext,bitIndex3) )).

cnf(u12399,axiom,
    ( v62(VarNext,bitIndex3)
    | ~ v297(VarNext,bitIndex2) )).

cnf(u12391,axiom,
    ( ~ v62(VarCurr,bitIndex1)
    | v286(VarCurr)
    | v67(VarCurr,bitIndex1) )).

cnf(u12392,axiom,
    ( ~ sP448_aig_name(VarCurr)
    | ~ v94(VarCurr,bitIndex539)
    | v67(VarCurr,bitIndex1) )).

cnf(u12393,axiom,
    ( ~ v67(VarCurr,bitIndex1)
    | v94(VarCurr,bitIndex539)
    | ~ v286(VarCurr) )).

cnf(u12394,axiom,
    ( ~ v67(VarCurr,bitIndex1)
    | v94(VarCurr,bitIndex539)
    | v62(VarCurr,bitIndex1) )).

cnf(u12395,axiom,
    ( ~ v67(VarCurr,bitIndex1)
    | sP448_aig_name(VarCurr)
    | ~ v286(VarCurr) )).

cnf(u12396,axiom,
    ( ~ v67(VarCurr,bitIndex1)
    | sP448_aig_name(VarCurr)
    | v62(VarCurr,bitIndex1) )).

cnf(u12387,axiom,
    ( v67(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex1) )).

cnf(u12386,axiom,
    ( ~ v67(VarCurr,bitIndex1)
    | v67(VarCurr,bitIndex1) )).

cnf(u12384,axiom,
    ( v302(VarNext)
    | v326(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12385,axiom,
    ( ~ v326(VarNext)
    | ~ v302(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12379,axiom,
    ( v1(VarNext)
    | ~ v324(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12380,axiom,
    ( v326(VarNext)
    | ~ v324(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12381,axiom,
    ( v324(VarNext)
    | ~ v326(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12374,axiom,
    ( v324(VarNext)
    | ~ v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12375,axiom,
    ( v323(VarNext)
    | ~ v324(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12370,axiom,
    ( v308(VarNext,B)
    | ~ v322(VarNext,B)
    | ~ v323(VarNext) )).

cnf(u12371,axiom,
    ( v322(VarNext,B)
    | ~ v308(VarNext,B)
    | ~ v323(VarNext) )).

cnf(u12362,axiom,
    ( v322(VarNext,bitIndex2)
    | ~ v62(VarCurr,bitIndex3)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12363,axiom,
    ( ~ v322(VarNext,bitIndex2)
    | v62(VarCurr,bitIndex3)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12364,axiom,
    ( v322(VarNext,bitIndex1)
    | ~ v62(VarCurr,bitIndex2)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12365,axiom,
    ( ~ v322(VarNext,bitIndex1)
    | v62(VarCurr,bitIndex2)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12366,axiom,
    ( v62(VarNext,bitIndex1)
    | ~ v62(VarCurr,bitIndex1)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12367,axiom,
    ( ~ v62(VarNext,bitIndex1)
    | v62(VarCurr,bitIndex1)
    | v323(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12360,axiom,
    ( v322(VarNext,bitIndex0)
    | ~ v62(VarNext,bitIndex1) )).

cnf(u12361,axiom,
    ( v62(VarNext,bitIndex1)
    | ~ v322(VarNext,bitIndex0) )).

cnf(u12356,axiom,
    ( ~ v62(VarCurr,bitIndex1)
    | ~ v286(VarCurr)
    | v67(VarCurr,bitIndex0) )).

cnf(u12357,axiom,
    ( ~ v62(VarCurr,bitIndex3)
    | ~ v286(VarCurr)
    | v67(VarCurr,bitIndex0) )).

cnf(u12358,axiom,
    ( ~ v62(VarCurr,bitIndex0)
    | v73(VarCurr)
    | v67(VarCurr,bitIndex0) )).

cnf(u12347,axiom,
    ( ~ v73(VarCurr)
    | v286(VarCurr)
    | v286(VarCurr)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12348,axiom,
    ( ~ v73(VarCurr)
    | v286(VarCurr)
    | v62(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12349,axiom,
    ( ~ v73(VarCurr)
    | v62(VarCurr,bitIndex3)
    | v286(VarCurr)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12350,axiom,
    ( ~ v73(VarCurr)
    | v62(VarCurr,bitIndex3)
    | v62(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12351,axiom,
    ( v62(VarCurr,bitIndex0)
    | v286(VarCurr)
    | v286(VarCurr)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12352,axiom,
    ( v62(VarCurr,bitIndex0)
    | v286(VarCurr)
    | v62(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12353,axiom,
    ( v62(VarCurr,bitIndex0)
    | v62(VarCurr,bitIndex3)
    | v286(VarCurr)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12354,axiom,
    ( v62(VarCurr,bitIndex0)
    | v62(VarCurr,bitIndex3)
    | v62(VarCurr,bitIndex1)
    | ~ v67(VarCurr,bitIndex0) )).

cnf(u12345,axiom,
    ( v302(VarNext)
    | v342(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12346,axiom,
    ( ~ v342(VarNext)
    | ~ v302(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12340,axiom,
    ( v1(VarNext)
    | ~ v340(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12341,axiom,
    ( v342(VarNext)
    | ~ v340(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12342,axiom,
    ( v340(VarNext)
    | ~ v342(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12335,axiom,
    ( v340(VarNext)
    | ~ v339(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12336,axiom,
    ( v339(VarNext)
    | ~ v340(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12332,axiom,
    ( v345(VarCurr)
    | v11(VarCurr) )).

cnf(u12329,axiom,
    ( v67(VarCurr,bitIndex0)
    | ~ v345(VarCurr)
    | ~ v11(VarCurr) )).

cnf(u12330,axiom,
    ( v345(VarCurr)
    | ~ v67(VarCurr,bitIndex0)
    | ~ v11(VarCurr) )).

cnf(u12325,axiom,
    ( v345(VarCurr)
    | ~ v347(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12326,axiom,
    ( v347(VarNext)
    | ~ v345(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12321,axiom,
    ( v347(VarNext)
    | ~ v62(VarNext,bitIndex0)
    | ~ v339(VarNext) )).

cnf(u12322,axiom,
    ( v62(VarNext,bitIndex0)
    | ~ v347(VarNext)
    | ~ v339(VarNext) )).

cnf(u12317,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ v62(VarNext,bitIndex0)
    | v339(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12318,axiom,
    ( v62(VarNext,bitIndex0)
    | ~ v62(VarCurr,bitIndex0)
    | v339(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12313,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ v62(VarCurr,bitIndex0) )).

cnf(u12311,axiom,
    ( ~ v62(VarCurr,bitIndex0)
    | v62(VarCurr,bitIndex0) )).

cnf(u12308,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ v73(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v32(VarCurr)
    | ~ v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0) )).

cnf(u12309,axiom,
    ( v73(VarCurr)
    | ~ v62(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex0)
    | v32(VarCurr)
    | ~ v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0) )).

cnf(u12303,axiom,
    ( ~ v73(VarCurr)
    | ~ v32(VarCurr) )).

cnf(u12304,axiom,
    ( ~ v73(VarCurr)
    | ~ v28(VarCurr,bitIndex0) )).

cnf(u12305,axiom,
    ( ~ v73(VarCurr)
    | v28(VarCurr,bitIndex1) )).

cnf(u12306,axiom,
    ( ~ v73(VarCurr)
    | v7(VarCurr,bitIndex0) )).

cnf(u12297,axiom,
    ( ~ v62(VarCurr,bitIndex2)
    | v286(VarCurr)
    | v67(VarCurr,bitIndex2) )).

cnf(u12298,axiom,
    ( ~ sP448_aig_name(VarCurr)
    | v94(VarCurr,bitIndex539)
    | v67(VarCurr,bitIndex2) )).

cnf(u12299,axiom,
    ( ~ v67(VarCurr,bitIndex2)
    | ~ v94(VarCurr,bitIndex539)
    | ~ v286(VarCurr) )).

cnf(u12300,axiom,
    ( ~ v67(VarCurr,bitIndex2)
    | ~ v94(VarCurr,bitIndex539)
    | v62(VarCurr,bitIndex2) )).

cnf(u12301,axiom,
    ( ~ v67(VarCurr,bitIndex2)
    | sP448_aig_name(VarCurr)
    | ~ v286(VarCurr) )).

cnf(u12302,axiom,
    ( ~ v67(VarCurr,bitIndex2)
    | sP448_aig_name(VarCurr)
    | v62(VarCurr,bitIndex2) )).

cnf(u12293,axiom,
    ( v67(VarCurr,bitIndex2)
    | ~ v67(VarCurr,bitIndex2) )).

cnf(u12292,axiom,
    ( ~ v67(VarCurr,bitIndex2)
    | v67(VarCurr,bitIndex2) )).

cnf(u12290,axiom,
    ( v302(VarNext)
    | v368(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12291,axiom,
    ( ~ v368(VarNext)
    | ~ v302(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12285,axiom,
    ( v1(VarNext)
    | ~ v366(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12286,axiom,
    ( v368(VarNext)
    | ~ v366(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12287,axiom,
    ( v366(VarNext)
    | ~ v368(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12280,axiom,
    ( v366(VarNext)
    | ~ v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12281,axiom,
    ( v365(VarNext)
    | ~ v366(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12276,axiom,
    ( v308(VarNext,B)
    | ~ v364(VarNext,B)
    | ~ v365(VarNext) )).

cnf(u12277,axiom,
    ( v364(VarNext,B)
    | ~ v308(VarNext,B)
    | ~ v365(VarNext) )).

cnf(u12268,axiom,
    ( ~ v62(VarCurr,bitIndex3)
    | v364(VarNext,bitIndex2)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12269,axiom,
    ( v62(VarCurr,bitIndex3)
    | ~ v364(VarNext,bitIndex2)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12270,axiom,
    ( v364(VarNext,bitIndex0)
    | ~ v62(VarCurr,bitIndex1)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12271,axiom,
    ( ~ v364(VarNext,bitIndex0)
    | v62(VarCurr,bitIndex1)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12272,axiom,
    ( v62(VarNext,bitIndex2)
    | ~ v62(VarCurr,bitIndex2)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12273,axiom,
    ( ~ v62(VarNext,bitIndex2)
    | v62(VarCurr,bitIndex2)
    | v365(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12266,axiom,
    ( v364(VarNext,bitIndex1)
    | ~ v62(VarNext,bitIndex2) )).

cnf(u12267,axiom,
    ( v62(VarNext,bitIndex2)
    | ~ v364(VarNext,bitIndex1) )).

cnf(u12261,axiom,
    ( ~ v62(VarCurr,bitIndex2)
    | ~ v286(VarCurr)
    | v602(VarCurr,bitIndex1) )).

cnf(u12262,axiom,
    ( ~ v62(VarCurr,bitIndex1)
    | ~ v286(VarCurr)
    | v602(VarCurr,bitIndex1) )).

cnf(u12263,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v286(VarCurr) )).

cnf(u12264,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v62(VarCurr,bitIndex1)
    | v62(VarCurr,bitIndex2) )).

cnf(u12253,axiom,
    ( ~ v32(VarCurr)
    | ~ v374(VarCurr) )).

cnf(u12254,axiom,
    ( ~ v28(VarCurr,bitIndex1)
    | ~ v374(VarCurr) )).

cnf(u12255,axiom,
    ( v28(VarCurr,bitIndex0)
    | ~ v374(VarCurr) )).

cnf(u12256,axiom,
    ( v7(VarCurr,bitIndex0)
    | ~ v374(VarCurr) )).

cnf(u12257,axiom,
    ( v374(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | ~ v28(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex1)
    | v32(VarCurr) )).

cnf(u12250,axiom,
    ( ~ v28(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex1)
    | v32(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v374(VarCurr) )).

cnf(u12249,axiom,
    ( v374(VarCurr)
    | ~ v374(VarCurr) )).

cnf(u12245,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex0) )).

cnf(u12246,axiom,
    ( ~ v374(VarCurr)
    | v495(VarCurr,bitIndex0) )).

cnf(u12247,axiom,
    ( ~ v47(VarCurr)
    | v495(VarCurr,bitIndex0) )).

cnf(u12248,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v47(VarCurr)
    | v374(VarCurr)
    | v602(VarCurr,bitIndex1) )).

cnf(u12242,axiom,
    ( ~ v382(constB0,bitIndex0) )).

cnf(u12241,axiom,
    ( ~ v382(constB0,bitIndex1) )).

cnf(u12240,axiom,
    ( ~ v382(constB0,bitIndex2) )).

cnf(u12239,axiom,
    ( ~ v382(constB0,bitIndex3) )).

cnf(u12238,axiom,
    ( ~ v382(constB0,bitIndex4) )).

cnf(u12237,axiom,
    ( ~ v382(constB0,bitIndex5) )).

cnf(u12236,axiom,
    ( ~ v382(constB0,bitIndex6) )).

cnf(u12222,axiom,
    ( v382(VarCurr,bitIndex6)
    | ~ v388(VarCurr,bitIndex7) )).

cnf(u12223,axiom,
    ( v388(VarCurr,bitIndex7)
    | ~ v382(VarCurr,bitIndex6) )).

cnf(u12224,axiom,
    ( v382(VarCurr,bitIndex5)
    | ~ v388(VarCurr,bitIndex6) )).

cnf(u12225,axiom,
    ( v388(VarCurr,bitIndex6)
    | ~ v382(VarCurr,bitIndex5) )).

cnf(u12226,axiom,
    ( v382(VarCurr,bitIndex4)
    | ~ v388(VarCurr,bitIndex5) )).

cnf(u12227,axiom,
    ( v388(VarCurr,bitIndex5)
    | ~ v382(VarCurr,bitIndex4) )).

cnf(u12228,axiom,
    ( v382(VarCurr,bitIndex3)
    | ~ v388(VarCurr,bitIndex4) )).

cnf(u12229,axiom,
    ( v388(VarCurr,bitIndex4)
    | ~ v382(VarCurr,bitIndex3) )).

cnf(u12230,axiom,
    ( v382(VarCurr,bitIndex2)
    | ~ v388(VarCurr,bitIndex3) )).

cnf(u12231,axiom,
    ( v388(VarCurr,bitIndex3)
    | ~ v382(VarCurr,bitIndex2) )).

cnf(u12232,axiom,
    ( v382(VarCurr,bitIndex1)
    | ~ v388(VarCurr,bitIndex2) )).

cnf(u12233,axiom,
    ( v388(VarCurr,bitIndex2)
    | ~ v382(VarCurr,bitIndex1) )).

cnf(u12234,axiom,
    ( v382(VarCurr,bitIndex0)
    | ~ v388(VarCurr,bitIndex1) )).

cnf(u12235,axiom,
    ( v388(VarCurr,bitIndex1)
    | ~ v382(VarCurr,bitIndex0) )).

cnf(u12219,axiom,
    ( ~ v388(VarCurr,bitIndex0) )).

cnf(u12217,axiom,
    ( v388(VarCurr,bitIndex2)
    | ~ v387(VarCurr,bitIndex2) )).

cnf(u12218,axiom,
    ( v387(VarCurr,bitIndex2)
    | ~ v388(VarCurr,bitIndex2) )).

cnf(u12214,axiom,
    ( v396(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u12215,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v396(VarCurr,bitIndex1) )).

cnf(u12211,axiom,
    ( v396(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u12212,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v396(VarCurr,bitIndex0) )).

cnf(u12208,axiom,
    ( v398(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u12209,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v398(VarCurr,bitIndex1) )).

cnf(u12205,axiom,
    ( v398(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u12206,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v398(VarCurr,bitIndex0) )).

cnf(u12203,axiom,
    ( ~ v399(VarCurr,bitIndex7) )).

cnf(u12189,axiom,
    ( v382(VarCurr,bitIndex7)
    | ~ v399(VarCurr,bitIndex6) )).

cnf(u12190,axiom,
    ( v399(VarCurr,bitIndex6)
    | ~ v382(VarCurr,bitIndex7) )).

cnf(u12191,axiom,
    ( v382(VarCurr,bitIndex6)
    | ~ v399(VarCurr,bitIndex5) )).

cnf(u12192,axiom,
    ( v399(VarCurr,bitIndex5)
    | ~ v382(VarCurr,bitIndex6) )).

cnf(u12193,axiom,
    ( v382(VarCurr,bitIndex5)
    | ~ v399(VarCurr,bitIndex4) )).

cnf(u12194,axiom,
    ( v399(VarCurr,bitIndex4)
    | ~ v382(VarCurr,bitIndex5) )).

cnf(u12195,axiom,
    ( v382(VarCurr,bitIndex4)
    | ~ v399(VarCurr,bitIndex3) )).

cnf(u12196,axiom,
    ( v399(VarCurr,bitIndex3)
    | ~ v382(VarCurr,bitIndex4) )).

cnf(u12197,axiom,
    ( v382(VarCurr,bitIndex3)
    | ~ v399(VarCurr,bitIndex2) )).

cnf(u12198,axiom,
    ( v399(VarCurr,bitIndex2)
    | ~ v382(VarCurr,bitIndex3) )).

cnf(u12199,axiom,
    ( v382(VarCurr,bitIndex2)
    | ~ v399(VarCurr,bitIndex1) )).

cnf(u12200,axiom,
    ( v399(VarCurr,bitIndex1)
    | ~ v382(VarCurr,bitIndex2) )).

cnf(u12201,axiom,
    ( v382(VarCurr,bitIndex1)
    | ~ v399(VarCurr,bitIndex0) )).

cnf(u12202,axiom,
    ( v399(VarCurr,bitIndex0)
    | ~ v382(VarCurr,bitIndex1) )).

cnf(u12185,axiom,
    ( v402(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u12186,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v402(VarCurr,bitIndex1) )).

cnf(u12182,axiom,
    ( v402(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u12183,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v402(VarCurr,bitIndex0) )).

cnf(u12179,axiom,
    ( ~ range_7_1(B)
    | range_7_1(B) )).

cnf(u12180,axiom,
    ( ~ range_7_1(B)
    | range_7_1(B) )).

cnf(u12176,axiom,
    ( v387(VarCurr,B)
    | ~ v403(VarCurr,B)
    | ~ range_7_1(B) )).

cnf(u12177,axiom,
    ( v403(VarCurr,B)
    | ~ v387(VarCurr,B)
    | ~ range_7_1(B) )).

cnf(u12173,axiom,
    ( v403(VarCurr,bitIndex0) )).

cnf(u12171,axiom,
    ( v405(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u12172,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v405(VarCurr,bitIndex1) )).

cnf(u12168,axiom,
    ( v405(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u12169,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v405(VarCurr,bitIndex0) )).

cnf(u12164,axiom,
    ( ~ range_7_1(B)
    | range_7_0(B) )).

cnf(u12165,axiom,
    ( bitIndex0 != B
    | range_7_0(B) )).

cnf(u12166,axiom,
    ( ~ range_7_0(B)
    | bitIndex0 = B
    | range_7_1(B) )).

cnf(u12160,axiom,
    ( v382(VarCurr,B)
    | ~ v394(VarCurr,B)
    | v396(VarCurr,bitIndex1)
    | v396(VarCurr,bitIndex0) )).

cnf(u12161,axiom,
    ( v394(VarCurr,B)
    | ~ v382(VarCurr,B)
    | v396(VarCurr,bitIndex1)
    | v396(VarCurr,bitIndex0) )).

cnf(u12157,axiom,
    ( v399(VarCurr,B)
    | ~ v394(VarCurr,B)
    | v398(VarCurr,bitIndex1)
    | ~ v398(VarCurr,bitIndex0) )).

cnf(u12158,axiom,
    ( v394(VarCurr,B)
    | ~ v399(VarCurr,B)
    | v398(VarCurr,bitIndex1)
    | ~ v398(VarCurr,bitIndex0) )).

cnf(u12154,axiom,
    ( v403(VarCurr,B)
    | ~ v394(VarCurr,B)
    | ~ v402(VarCurr,bitIndex1)
    | v402(VarCurr,bitIndex0) )).

cnf(u12155,axiom,
    ( v394(VarCurr,B)
    | ~ v403(VarCurr,B)
    | ~ v402(VarCurr,bitIndex1)
    | v402(VarCurr,bitIndex0) )).

cnf(u12151,axiom,
    ( ~ v396(VarCurr,bitIndex0)
    | ~ sP742(VarCurr) )).

cnf(u12152,axiom,
    ( ~ v396(VarCurr,bitIndex1)
    | ~ sP742(VarCurr) )).

cnf(u12142,axiom,
    ( v382(VarCurr,B)
    | ~ v394(VarCurr,B)
    | ~ v402(VarCurr,bitIndex0)
    | ~ v398(VarCurr,bitIndex1)
    | sP742(VarCurr) )).

cnf(u12143,axiom,
    ( v382(VarCurr,B)
    | ~ v394(VarCurr,B)
    | ~ v402(VarCurr,bitIndex0)
    | v398(VarCurr,bitIndex0)
    | sP742(VarCurr) )).

cnf(u12144,axiom,
    ( v382(VarCurr,B)
    | ~ v394(VarCurr,B)
    | v402(VarCurr,bitIndex1)
    | ~ v398(VarCurr,bitIndex1)
    | sP742(VarCurr) )).

cnf(u12145,axiom,
    ( v382(VarCurr,B)
    | ~ v394(VarCurr,B)
    | v402(VarCurr,bitIndex1)
    | v398(VarCurr,bitIndex0)
    | sP742(VarCurr) )).

cnf(u12146,axiom,
    ( v394(VarCurr,B)
    | ~ v382(VarCurr,B)
    | ~ v402(VarCurr,bitIndex0)
    | ~ v398(VarCurr,bitIndex1)
    | sP742(VarCurr) )).

cnf(u12147,axiom,
    ( v394(VarCurr,B)
    | ~ v382(VarCurr,B)
    | ~ v402(VarCurr,bitIndex0)
    | v398(VarCurr,bitIndex0)
    | sP742(VarCurr) )).

cnf(u12148,axiom,
    ( v394(VarCurr,B)
    | ~ v382(VarCurr,B)
    | v402(VarCurr,bitIndex1)
    | ~ v398(VarCurr,bitIndex1)
    | sP742(VarCurr) )).

cnf(u12149,axiom,
    ( v394(VarCurr,B)
    | ~ v382(VarCurr,B)
    | v402(VarCurr,bitIndex1)
    | v398(VarCurr,bitIndex0)
    | sP742(VarCurr) )).

cnf(u12138,axiom,
    ( ~ v392(VarCurr,B)
    | v11(VarCurr) )).

cnf(u12135,axiom,
    ( v394(VarCurr,B)
    | ~ v392(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12136,axiom,
    ( v392(VarCurr,B)
    | ~ v394(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12131,axiom,
    ( v392(VarCurr,bitIndex2)
    | ~ v385(VarCurr,bitIndex2) )).

cnf(u12132,axiom,
    ( v385(VarCurr,bitIndex2)
    | ~ v392(VarCurr,bitIndex2) )).

cnf(u12128,axiom,
    ( v119(VarNext)
    | v411(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12129,axiom,
    ( ~ v411(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12123,axiom,
    ( v1(VarNext)
    | ~ v409(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12124,axiom,
    ( v411(VarNext)
    | ~ v409(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12125,axiom,
    ( v409(VarNext)
    | ~ v411(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12118,axiom,
    ( v409(VarNext)
    | ~ v408(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12119,axiom,
    ( v408(VarNext)
    | ~ v409(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12115,axiom,
    ( ~ v414(VarCurr,B)
    | v11(VarCurr) )).

cnf(u12112,axiom,
    ( v385(VarCurr,B)
    | ~ v414(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12113,axiom,
    ( v414(VarCurr,B)
    | ~ v385(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u12108,axiom,
    ( v414(VarCurr,B)
    | ~ v416(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12109,axiom,
    ( v416(VarNext,B)
    | ~ v414(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12104,axiom,
    ( v416(VarNext,B)
    | ~ v407(VarNext,B)
    | ~ v408(VarNext) )).

cnf(u12105,axiom,
    ( v407(VarNext,B)
    | ~ v416(VarNext,B)
    | ~ v408(VarNext) )).

cnf(u12100,axiom,
    ( v382(VarCurr,B)
    | ~ v407(VarNext,B)
    | v408(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12101,axiom,
    ( v407(VarNext,B)
    | ~ v382(VarCurr,B)
    | v408(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12095,axiom,
    ( v407(VarNext,bitIndex2)
    | ~ v382(VarNext,bitIndex2) )).

cnf(u12096,axiom,
    ( v382(VarNext,bitIndex2)
    | ~ v407(VarNext,bitIndex2) )).

cnf(u12092,axiom,
    ( v392(VarCurr,bitIndex0)
    | ~ v385(VarCurr,bitIndex0) )).

cnf(u12093,axiom,
    ( v385(VarCurr,bitIndex0)
    | ~ v392(VarCurr,bitIndex0) )).

cnf(u12089,axiom,
    ( v119(VarNext)
    | v424(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12090,axiom,
    ( ~ v424(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12084,axiom,
    ( v1(VarNext)
    | ~ v422(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12085,axiom,
    ( v424(VarNext)
    | ~ v422(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12086,axiom,
    ( v422(VarNext)
    | ~ v424(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12079,axiom,
    ( v422(VarNext)
    | ~ v421(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12080,axiom,
    ( v421(VarNext)
    | ~ v422(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12075,axiom,
    ( v416(VarNext,B)
    | ~ v420(VarNext,B)
    | ~ v421(VarNext) )).

cnf(u12076,axiom,
    ( v420(VarNext,B)
    | ~ v416(VarNext,B)
    | ~ v421(VarNext) )).

cnf(u12071,axiom,
    ( v382(VarCurr,B)
    | ~ v420(VarNext,B)
    | v421(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12072,axiom,
    ( v420(VarNext,B)
    | ~ v382(VarCurr,B)
    | v421(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12066,axiom,
    ( v420(VarNext,bitIndex0)
    | ~ v382(VarNext,bitIndex0) )).

cnf(u12067,axiom,
    ( v382(VarNext,bitIndex0)
    | ~ v420(VarNext,bitIndex0) )).

cnf(u12063,axiom,
    ( v388(VarCurr,bitIndex1)
    | ~ v387(VarCurr,bitIndex1) )).

cnf(u12064,axiom,
    ( v387(VarCurr,bitIndex1)
    | ~ v388(VarCurr,bitIndex1) )).

cnf(u12060,axiom,
    ( v392(VarCurr,bitIndex1)
    | ~ v385(VarCurr,bitIndex1) )).

cnf(u12061,axiom,
    ( v385(VarCurr,bitIndex1)
    | ~ v392(VarCurr,bitIndex1) )).

cnf(u12057,axiom,
    ( v119(VarNext)
    | v432(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12058,axiom,
    ( ~ v432(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12052,axiom,
    ( v1(VarNext)
    | ~ v430(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12053,axiom,
    ( v432(VarNext)
    | ~ v430(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12054,axiom,
    ( v430(VarNext)
    | ~ v432(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12047,axiom,
    ( v430(VarNext)
    | ~ v429(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12048,axiom,
    ( v429(VarNext)
    | ~ v430(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12043,axiom,
    ( v416(VarNext,B)
    | ~ v428(VarNext,B)
    | ~ v429(VarNext) )).

cnf(u12044,axiom,
    ( v428(VarNext,B)
    | ~ v416(VarNext,B)
    | ~ v429(VarNext) )).

cnf(u12039,axiom,
    ( v382(VarCurr,B)
    | ~ v428(VarNext,B)
    | v429(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12040,axiom,
    ( v428(VarNext,B)
    | ~ v382(VarCurr,B)
    | v429(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12034,axiom,
    ( v428(VarNext,bitIndex1)
    | ~ v382(VarNext,bitIndex1) )).

cnf(u12035,axiom,
    ( v382(VarNext,bitIndex1)
    | ~ v428(VarNext,bitIndex1) )).

cnf(u12032,axiom,
    ( v105(VarCurr,bitIndex0) )).

cnf(u12030,axiom,
    ( v119(VarNext)
    | v439(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12031,axiom,
    ( ~ v439(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12025,axiom,
    ( v1(VarNext)
    | ~ v438(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12026,axiom,
    ( v439(VarNext)
    | ~ v438(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12027,axiom,
    ( v438(VarNext)
    | ~ v439(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12017,axiom,
    ( v11(VarCurr)
    | v445(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12018,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v445(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12019,axiom,
    ( v382(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex0)
    | v445(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12020,axiom,
    ( ~ v445(VarNext)
    | v495(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex1)
    | ~ v11(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12021,axiom,
    ( ~ v445(VarNext)
    | ~ v382(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1)
    | ~ v11(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12012,axiom,
    ( v438(VarNext)
    | ~ v437(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12013,axiom,
    ( v445(VarNext)
    | ~ v437(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12014,axiom,
    ( v437(VarNext)
    | ~ v445(VarNext)
    | ~ v438(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12008,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u12007,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u12006,axiom,
    ( v453(VarCurr)
    | v11(VarCurr) )).

cnf(u12003,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | ~ v453(VarCurr)
    | ~ v11(VarCurr) )).

cnf(u12004,axiom,
    ( v453(VarCurr)
    | v495(VarCurr,bitIndex1)
    | ~ v11(VarCurr) )).

cnf(u11999,axiom,
    ( v453(VarCurr)
    | ~ v455(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u12000,axiom,
    ( v455(VarNext)
    | ~ v453(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11995,axiom,
    ( v455(VarNext)
    | ~ v32(VarNext)
    | ~ v437(VarNext) )).

cnf(u11996,axiom,
    ( v32(VarNext)
    | ~ v455(VarNext)
    | ~ v437(VarNext) )).

cnf(u11991,axiom,
    ( v32(VarCurr)
    | ~ v32(VarNext)
    | v437(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11992,axiom,
    ( v32(VarNext)
    | ~ v32(VarCurr)
    | v437(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11986,axiom,
    ( ~ range_69_63(B)
    | range_69_63(B) )).

cnf(u11987,axiom,
    ( ~ range_69_63(B)
    | range_69_63(B) )).

cnf(u11983,axiom,
    ( v176(VarCurr,B)
    | ~ v174(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11984,axiom,
    ( v174(VarCurr,B)
    | ~ v176(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11979,axiom,
    ( v174(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11980,axiom,
    ( v172(VarCurr,B)
    | ~ v174(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11963,axiom,
    ( v94(VarCurr,bitIndex419)
    | ~ v466(VarCurr,bitIndex69) )).

cnf(u11964,axiom,
    ( v466(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex419) )).

cnf(u11965,axiom,
    ( v94(VarCurr,bitIndex418)
    | ~ v466(VarCurr,bitIndex68) )).

cnf(u11966,axiom,
    ( v466(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex418) )).

cnf(u11967,axiom,
    ( v94(VarCurr,bitIndex417)
    | ~ v466(VarCurr,bitIndex67) )).

cnf(u11968,axiom,
    ( v466(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex417) )).

cnf(u11969,axiom,
    ( v94(VarCurr,bitIndex416)
    | ~ v466(VarCurr,bitIndex66) )).

cnf(u11970,axiom,
    ( v466(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex416) )).

cnf(u11971,axiom,
    ( v94(VarCurr,bitIndex415)
    | ~ v466(VarCurr,bitIndex65) )).

cnf(u11972,axiom,
    ( v466(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex415) )).

cnf(u11973,axiom,
    ( v94(VarCurr,bitIndex414)
    | ~ v466(VarCurr,bitIndex64) )).

cnf(u11974,axiom,
    ( v466(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex414) )).

cnf(u11975,axiom,
    ( v94(VarCurr,bitIndex413)
    | ~ v466(VarCurr,bitIndex63) )).

cnf(u11976,axiom,
    ( v466(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex413) )).

cnf(u11959,axiom,
    ( v172(VarCurr,B)
    | ~ v467(VarCurr,B)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u11960,axiom,
    ( v467(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u11955,axiom,
    ( v466(VarCurr,B)
    | ~ v467(VarCurr,B)
    | v103(VarCurr,bitIndex3) )).

cnf(u11956,axiom,
    ( v467(VarCurr,B)
    | ~ v466(VarCurr,B)
    | v103(VarCurr,bitIndex3) )).

cnf(u11951,axiom,
    ( v467(VarCurr,B)
    | ~ v462(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11952,axiom,
    ( v462(VarCurr,B)
    | ~ v467(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11935,axiom,
    ( v94(VarCurr,bitIndex349)
    | ~ v473(VarCurr,bitIndex69) )).

cnf(u11936,axiom,
    ( v473(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex349) )).

cnf(u11937,axiom,
    ( v94(VarCurr,bitIndex348)
    | ~ v473(VarCurr,bitIndex68) )).

cnf(u11938,axiom,
    ( v473(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex348) )).

cnf(u11939,axiom,
    ( v94(VarCurr,bitIndex347)
    | ~ v473(VarCurr,bitIndex67) )).

cnf(u11940,axiom,
    ( v473(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex347) )).

cnf(u11941,axiom,
    ( v94(VarCurr,bitIndex346)
    | ~ v473(VarCurr,bitIndex66) )).

cnf(u11942,axiom,
    ( v473(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex346) )).

cnf(u11943,axiom,
    ( v94(VarCurr,bitIndex345)
    | ~ v473(VarCurr,bitIndex65) )).

cnf(u11944,axiom,
    ( v473(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex345) )).

cnf(u11945,axiom,
    ( v94(VarCurr,bitIndex344)
    | ~ v473(VarCurr,bitIndex64) )).

cnf(u11946,axiom,
    ( v473(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex344) )).

cnf(u11947,axiom,
    ( v94(VarCurr,bitIndex343)
    | ~ v473(VarCurr,bitIndex63) )).

cnf(u11948,axiom,
    ( v473(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex343) )).

cnf(u11931,axiom,
    ( v172(VarCurr,B)
    | ~ v474(VarCurr,B)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u11932,axiom,
    ( v474(VarCurr,B)
    | ~ v172(VarCurr,B)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u11927,axiom,
    ( v473(VarCurr,B)
    | ~ v474(VarCurr,B)
    | v103(VarCurr,bitIndex3) )).

cnf(u11928,axiom,
    ( v474(VarCurr,B)
    | ~ v473(VarCurr,B)
    | v103(VarCurr,bitIndex3) )).

cnf(u11923,axiom,
    ( v474(VarCurr,B)
    | ~ v469(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11924,axiom,
    ( v469(VarCurr,B)
    | ~ v474(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u11919,axiom,
    ( v119(VarNext)
    | v480(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11920,axiom,
    ( ~ v480(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11914,axiom,
    ( v1(VarNext)
    | ~ v478(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11915,axiom,
    ( v480(VarNext)
    | ~ v478(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11916,axiom,
    ( v478(VarNext)
    | ~ v480(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11909,axiom,
    ( v491(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u11910,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v491(VarCurr,bitIndex1) )).

cnf(u11906,axiom,
    ( v491(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u11907,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v491(VarCurr,bitIndex0) )).

cnf(u11902,axiom,
    ( ~ v491(VarCurr,bitIndex1)
    | ~ v490(VarCurr) )).

cnf(u11903,axiom,
    ( v491(VarCurr,bitIndex0)
    | ~ v490(VarCurr) )).

cnf(u11904,axiom,
    ( v490(VarCurr)
    | ~ v491(VarCurr,bitIndex0)
    | v491(VarCurr,bitIndex1) )).

cnf(u11898,axiom,
    ( v493(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u11899,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v493(VarCurr,bitIndex1) )).

cnf(u11895,axiom,
    ( v493(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u11896,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v493(VarCurr,bitIndex0) )).

cnf(u11891,axiom,
    ( ~ v493(VarCurr,bitIndex0)
    | ~ v492(VarCurr) )).

cnf(u11892,axiom,
    ( v493(VarCurr,bitIndex1)
    | ~ v492(VarCurr) )).

cnf(u11893,axiom,
    ( v492(VarCurr)
    | ~ v493(VarCurr,bitIndex1)
    | v493(VarCurr,bitIndex0) )).

cnf(u11887,axiom,
    ( v500(VarCurr,bitIndex1)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u11888,axiom,
    ( v495(VarCurr,bitIndex1)
    | ~ v500(VarCurr,bitIndex1) )).

cnf(u11884,axiom,
    ( v500(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex0) )).

cnf(u11885,axiom,
    ( v495(VarCurr,bitIndex0)
    | ~ v500(VarCurr,bitIndex0) )).

cnf(u11877,axiom,
    ( v495(VarCurr,bitIndex1)
    | v492(VarCurr)
    | v490(VarCurr)
    | ~ v11(VarCurr)
    | ~ sP741(VarCurr) )).

cnf(u11878,axiom,
    ( v495(VarCurr,bitIndex0)
    | v492(VarCurr)
    | v490(VarCurr)
    | ~ v11(VarCurr)
    | ~ sP741(VarCurr) )).

cnf(u11879,axiom,
    ( sP741(VarCurr)
    | v11(VarCurr) )).

cnf(u11880,axiom,
    ( sP741(VarCurr)
    | ~ v490(VarCurr) )).

cnf(u11881,axiom,
    ( sP741(VarCurr)
    | ~ v492(VarCurr) )).

cnf(u11882,axiom,
    ( sP741(VarCurr)
    | ~ v495(VarCurr,bitIndex0)
    | ~ v495(VarCurr,bitIndex1) )).

cnf(u11870,axiom,
    ( v495(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex1)
    | ~ v11(VarCurr)
    | ~ v485(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11871,axiom,
    ( sP741(VarCurr)
    | ~ v485(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11872,axiom,
    ( v485(VarNext)
    | ~ sP741(VarCurr)
    | v11(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11873,axiom,
    ( v485(VarNext)
    | ~ sP741(VarCurr)
    | ~ v495(VarCurr,bitIndex1)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11874,axiom,
    ( v485(VarNext)
    | ~ sP741(VarCurr)
    | ~ v495(VarCurr,bitIndex0)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11862,axiom,
    ( v478(VarNext)
    | ~ v477(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11863,axiom,
    ( v485(VarNext)
    | ~ v477(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11864,axiom,
    ( v477(VarNext)
    | ~ v485(VarNext)
    | ~ v478(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11857,axiom,
    ( v94(VarCurr,bitIndex349)
    | ~ v504(VarCurr,bitIndex69)
    | ~ sP670(VarCurr) )).

cnf(u11858,axiom,
    ( v504(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex349)
    | ~ sP670(VarCurr) )).

cnf(u11853,axiom,
    ( v94(VarCurr,bitIndex348)
    | ~ v504(VarCurr,bitIndex68)
    | ~ sP671(VarCurr) )).

cnf(u11854,axiom,
    ( v504(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex348)
    | ~ sP671(VarCurr) )).

cnf(u11849,axiom,
    ( v94(VarCurr,bitIndex347)
    | ~ v504(VarCurr,bitIndex67)
    | ~ sP672(VarCurr) )).

cnf(u11850,axiom,
    ( v504(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex347)
    | ~ sP672(VarCurr) )).

cnf(u11845,axiom,
    ( v94(VarCurr,bitIndex346)
    | ~ v504(VarCurr,bitIndex66)
    | ~ sP673(VarCurr) )).

cnf(u11846,axiom,
    ( v504(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex346)
    | ~ sP673(VarCurr) )).

cnf(u11841,axiom,
    ( v94(VarCurr,bitIndex345)
    | ~ v504(VarCurr,bitIndex65)
    | ~ sP674(VarCurr) )).

cnf(u11842,axiom,
    ( v504(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex345)
    | ~ sP674(VarCurr) )).

cnf(u11837,axiom,
    ( v94(VarCurr,bitIndex344)
    | ~ v504(VarCurr,bitIndex64)
    | ~ sP675(VarCurr) )).

cnf(u11838,axiom,
    ( v504(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex344)
    | ~ sP675(VarCurr) )).

cnf(u11833,axiom,
    ( v94(VarCurr,bitIndex343)
    | ~ v504(VarCurr,bitIndex63)
    | ~ sP676(VarCurr) )).

cnf(u11834,axiom,
    ( v504(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex343)
    | ~ sP676(VarCurr) )).

cnf(u11829,axiom,
    ( v94(VarCurr,bitIndex342)
    | ~ v504(VarCurr,bitIndex62)
    | ~ sP677(VarCurr) )).

cnf(u11830,axiom,
    ( v504(VarCurr,bitIndex62)
    | ~ v94(VarCurr,bitIndex342)
    | ~ sP677(VarCurr) )).

cnf(u11825,axiom,
    ( v94(VarCurr,bitIndex341)
    | ~ v504(VarCurr,bitIndex61)
    | ~ sP678(VarCurr) )).

cnf(u11826,axiom,
    ( v504(VarCurr,bitIndex61)
    | ~ v94(VarCurr,bitIndex341)
    | ~ sP678(VarCurr) )).

cnf(u11821,axiom,
    ( v94(VarCurr,bitIndex340)
    | ~ v504(VarCurr,bitIndex60)
    | ~ sP679(VarCurr) )).

cnf(u11822,axiom,
    ( v504(VarCurr,bitIndex60)
    | ~ v94(VarCurr,bitIndex340)
    | ~ sP679(VarCurr) )).

cnf(u11817,axiom,
    ( v94(VarCurr,bitIndex339)
    | ~ v504(VarCurr,bitIndex59)
    | ~ sP680(VarCurr) )).

cnf(u11818,axiom,
    ( v504(VarCurr,bitIndex59)
    | ~ v94(VarCurr,bitIndex339)
    | ~ sP680(VarCurr) )).

cnf(u11813,axiom,
    ( v94(VarCurr,bitIndex338)
    | ~ v504(VarCurr,bitIndex58)
    | ~ sP681(VarCurr) )).

cnf(u11814,axiom,
    ( v504(VarCurr,bitIndex58)
    | ~ v94(VarCurr,bitIndex338)
    | ~ sP681(VarCurr) )).

cnf(u11809,axiom,
    ( v94(VarCurr,bitIndex337)
    | ~ v504(VarCurr,bitIndex57)
    | ~ sP682(VarCurr) )).

cnf(u11810,axiom,
    ( v504(VarCurr,bitIndex57)
    | ~ v94(VarCurr,bitIndex337)
    | ~ sP682(VarCurr) )).

cnf(u11805,axiom,
    ( v94(VarCurr,bitIndex336)
    | ~ v504(VarCurr,bitIndex56)
    | ~ sP683(VarCurr) )).

cnf(u11806,axiom,
    ( v504(VarCurr,bitIndex56)
    | ~ v94(VarCurr,bitIndex336)
    | ~ sP683(VarCurr) )).

cnf(u11801,axiom,
    ( v94(VarCurr,bitIndex335)
    | ~ v504(VarCurr,bitIndex55)
    | ~ sP684(VarCurr) )).

cnf(u11802,axiom,
    ( v504(VarCurr,bitIndex55)
    | ~ v94(VarCurr,bitIndex335)
    | ~ sP684(VarCurr) )).

cnf(u11797,axiom,
    ( v94(VarCurr,bitIndex334)
    | ~ v504(VarCurr,bitIndex54)
    | ~ sP685(VarCurr) )).

cnf(u11798,axiom,
    ( v504(VarCurr,bitIndex54)
    | ~ v94(VarCurr,bitIndex334)
    | ~ sP685(VarCurr) )).

cnf(u11793,axiom,
    ( v94(VarCurr,bitIndex333)
    | ~ v504(VarCurr,bitIndex53)
    | ~ sP686(VarCurr) )).

cnf(u11794,axiom,
    ( v504(VarCurr,bitIndex53)
    | ~ v94(VarCurr,bitIndex333)
    | ~ sP686(VarCurr) )).

cnf(u11789,axiom,
    ( v94(VarCurr,bitIndex332)
    | ~ v504(VarCurr,bitIndex52)
    | ~ sP687(VarCurr) )).

cnf(u11790,axiom,
    ( v504(VarCurr,bitIndex52)
    | ~ v94(VarCurr,bitIndex332)
    | ~ sP687(VarCurr) )).

cnf(u11785,axiom,
    ( v94(VarCurr,bitIndex331)
    | ~ v504(VarCurr,bitIndex51)
    | ~ sP688(VarCurr) )).

cnf(u11786,axiom,
    ( v504(VarCurr,bitIndex51)
    | ~ v94(VarCurr,bitIndex331)
    | ~ sP688(VarCurr) )).

cnf(u11781,axiom,
    ( v94(VarCurr,bitIndex330)
    | ~ v504(VarCurr,bitIndex50)
    | ~ sP689(VarCurr) )).

cnf(u11782,axiom,
    ( v504(VarCurr,bitIndex50)
    | ~ v94(VarCurr,bitIndex330)
    | ~ sP689(VarCurr) )).

cnf(u11777,axiom,
    ( v94(VarCurr,bitIndex329)
    | ~ v504(VarCurr,bitIndex49)
    | ~ sP690(VarCurr) )).

cnf(u11778,axiom,
    ( v504(VarCurr,bitIndex49)
    | ~ v94(VarCurr,bitIndex329)
    | ~ sP690(VarCurr) )).

cnf(u11773,axiom,
    ( v94(VarCurr,bitIndex328)
    | ~ v504(VarCurr,bitIndex48)
    | ~ sP691(VarCurr) )).

cnf(u11774,axiom,
    ( v504(VarCurr,bitIndex48)
    | ~ v94(VarCurr,bitIndex328)
    | ~ sP691(VarCurr) )).

cnf(u11769,axiom,
    ( v94(VarCurr,bitIndex327)
    | ~ v504(VarCurr,bitIndex47)
    | ~ sP692(VarCurr) )).

cnf(u11770,axiom,
    ( v504(VarCurr,bitIndex47)
    | ~ v94(VarCurr,bitIndex327)
    | ~ sP692(VarCurr) )).

cnf(u11765,axiom,
    ( v94(VarCurr,bitIndex326)
    | ~ v504(VarCurr,bitIndex46)
    | ~ sP693(VarCurr) )).

cnf(u11766,axiom,
    ( v504(VarCurr,bitIndex46)
    | ~ v94(VarCurr,bitIndex326)
    | ~ sP693(VarCurr) )).

cnf(u11761,axiom,
    ( v94(VarCurr,bitIndex325)
    | ~ v504(VarCurr,bitIndex45)
    | ~ sP694(VarCurr) )).

cnf(u11762,axiom,
    ( v504(VarCurr,bitIndex45)
    | ~ v94(VarCurr,bitIndex325)
    | ~ sP694(VarCurr) )).

cnf(u11757,axiom,
    ( v94(VarCurr,bitIndex324)
    | ~ v504(VarCurr,bitIndex44)
    | ~ sP695(VarCurr) )).

cnf(u11758,axiom,
    ( v504(VarCurr,bitIndex44)
    | ~ v94(VarCurr,bitIndex324)
    | ~ sP695(VarCurr) )).

cnf(u11753,axiom,
    ( v94(VarCurr,bitIndex323)
    | ~ v504(VarCurr,bitIndex43)
    | ~ sP696(VarCurr) )).

cnf(u11754,axiom,
    ( v504(VarCurr,bitIndex43)
    | ~ v94(VarCurr,bitIndex323)
    | ~ sP696(VarCurr) )).

cnf(u11749,axiom,
    ( v94(VarCurr,bitIndex322)
    | ~ v504(VarCurr,bitIndex42)
    | ~ sP697(VarCurr) )).

cnf(u11750,axiom,
    ( v504(VarCurr,bitIndex42)
    | ~ v94(VarCurr,bitIndex322)
    | ~ sP697(VarCurr) )).

cnf(u11745,axiom,
    ( v94(VarCurr,bitIndex321)
    | ~ v504(VarCurr,bitIndex41)
    | ~ sP698(VarCurr) )).

cnf(u11746,axiom,
    ( v504(VarCurr,bitIndex41)
    | ~ v94(VarCurr,bitIndex321)
    | ~ sP698(VarCurr) )).

cnf(u11741,axiom,
    ( v94(VarCurr,bitIndex320)
    | ~ v504(VarCurr,bitIndex40)
    | ~ sP699(VarCurr) )).

cnf(u11742,axiom,
    ( v504(VarCurr,bitIndex40)
    | ~ v94(VarCurr,bitIndex320)
    | ~ sP699(VarCurr) )).

cnf(u11737,axiom,
    ( v94(VarCurr,bitIndex319)
    | ~ v504(VarCurr,bitIndex39)
    | ~ sP700(VarCurr) )).

cnf(u11738,axiom,
    ( v504(VarCurr,bitIndex39)
    | ~ v94(VarCurr,bitIndex319)
    | ~ sP700(VarCurr) )).

cnf(u11733,axiom,
    ( v94(VarCurr,bitIndex318)
    | ~ v504(VarCurr,bitIndex38)
    | ~ sP701(VarCurr) )).

cnf(u11734,axiom,
    ( v504(VarCurr,bitIndex38)
    | ~ v94(VarCurr,bitIndex318)
    | ~ sP701(VarCurr) )).

cnf(u11729,axiom,
    ( v94(VarCurr,bitIndex317)
    | ~ v504(VarCurr,bitIndex37)
    | ~ sP702(VarCurr) )).

cnf(u11730,axiom,
    ( v504(VarCurr,bitIndex37)
    | ~ v94(VarCurr,bitIndex317)
    | ~ sP702(VarCurr) )).

cnf(u11725,axiom,
    ( v94(VarCurr,bitIndex316)
    | ~ v504(VarCurr,bitIndex36)
    | ~ sP703(VarCurr) )).

cnf(u11726,axiom,
    ( v504(VarCurr,bitIndex36)
    | ~ v94(VarCurr,bitIndex316)
    | ~ sP703(VarCurr) )).

cnf(u11721,axiom,
    ( v94(VarCurr,bitIndex315)
    | ~ v504(VarCurr,bitIndex35)
    | ~ sP704(VarCurr) )).

cnf(u11722,axiom,
    ( v504(VarCurr,bitIndex35)
    | ~ v94(VarCurr,bitIndex315)
    | ~ sP704(VarCurr) )).

cnf(u11717,axiom,
    ( v94(VarCurr,bitIndex314)
    | ~ v504(VarCurr,bitIndex34)
    | ~ sP705(VarCurr) )).

cnf(u11718,axiom,
    ( v504(VarCurr,bitIndex34)
    | ~ v94(VarCurr,bitIndex314)
    | ~ sP705(VarCurr) )).

cnf(u11713,axiom,
    ( v94(VarCurr,bitIndex313)
    | ~ v504(VarCurr,bitIndex33)
    | ~ sP706(VarCurr) )).

cnf(u11714,axiom,
    ( v504(VarCurr,bitIndex33)
    | ~ v94(VarCurr,bitIndex313)
    | ~ sP706(VarCurr) )).

cnf(u11709,axiom,
    ( v94(VarCurr,bitIndex312)
    | ~ v504(VarCurr,bitIndex32)
    | ~ sP707(VarCurr) )).

cnf(u11710,axiom,
    ( v504(VarCurr,bitIndex32)
    | ~ v94(VarCurr,bitIndex312)
    | ~ sP707(VarCurr) )).

cnf(u11705,axiom,
    ( v94(VarCurr,bitIndex311)
    | ~ v504(VarCurr,bitIndex31)
    | ~ sP708(VarCurr) )).

cnf(u11706,axiom,
    ( v504(VarCurr,bitIndex31)
    | ~ v94(VarCurr,bitIndex311)
    | ~ sP708(VarCurr) )).

cnf(u11701,axiom,
    ( v94(VarCurr,bitIndex310)
    | ~ v504(VarCurr,bitIndex30)
    | ~ sP709(VarCurr) )).

cnf(u11702,axiom,
    ( v504(VarCurr,bitIndex30)
    | ~ v94(VarCurr,bitIndex310)
    | ~ sP709(VarCurr) )).

cnf(u11697,axiom,
    ( v94(VarCurr,bitIndex309)
    | ~ v504(VarCurr,bitIndex29)
    | ~ sP710(VarCurr) )).

cnf(u11698,axiom,
    ( v504(VarCurr,bitIndex29)
    | ~ v94(VarCurr,bitIndex309)
    | ~ sP710(VarCurr) )).

cnf(u11693,axiom,
    ( v94(VarCurr,bitIndex308)
    | ~ v504(VarCurr,bitIndex28)
    | ~ sP711(VarCurr) )).

cnf(u11694,axiom,
    ( v504(VarCurr,bitIndex28)
    | ~ v94(VarCurr,bitIndex308)
    | ~ sP711(VarCurr) )).

cnf(u11689,axiom,
    ( v94(VarCurr,bitIndex307)
    | ~ v504(VarCurr,bitIndex27)
    | ~ sP712(VarCurr) )).

cnf(u11690,axiom,
    ( v504(VarCurr,bitIndex27)
    | ~ v94(VarCurr,bitIndex307)
    | ~ sP712(VarCurr) )).

cnf(u11685,axiom,
    ( v94(VarCurr,bitIndex306)
    | ~ v504(VarCurr,bitIndex26)
    | ~ sP713(VarCurr) )).

cnf(u11686,axiom,
    ( v504(VarCurr,bitIndex26)
    | ~ v94(VarCurr,bitIndex306)
    | ~ sP713(VarCurr) )).

cnf(u11681,axiom,
    ( v94(VarCurr,bitIndex305)
    | ~ v504(VarCurr,bitIndex25)
    | ~ sP714(VarCurr) )).

cnf(u11682,axiom,
    ( v504(VarCurr,bitIndex25)
    | ~ v94(VarCurr,bitIndex305)
    | ~ sP714(VarCurr) )).

cnf(u11677,axiom,
    ( v94(VarCurr,bitIndex304)
    | ~ v504(VarCurr,bitIndex24)
    | ~ sP715(VarCurr) )).

cnf(u11678,axiom,
    ( v504(VarCurr,bitIndex24)
    | ~ v94(VarCurr,bitIndex304)
    | ~ sP715(VarCurr) )).

cnf(u11673,axiom,
    ( v94(VarCurr,bitIndex303)
    | ~ v504(VarCurr,bitIndex23)
    | ~ sP716(VarCurr) )).

cnf(u11674,axiom,
    ( v504(VarCurr,bitIndex23)
    | ~ v94(VarCurr,bitIndex303)
    | ~ sP716(VarCurr) )).

cnf(u11669,axiom,
    ( v94(VarCurr,bitIndex302)
    | ~ v504(VarCurr,bitIndex22)
    | ~ sP717(VarCurr) )).

cnf(u11670,axiom,
    ( v504(VarCurr,bitIndex22)
    | ~ v94(VarCurr,bitIndex302)
    | ~ sP717(VarCurr) )).

cnf(u11665,axiom,
    ( v94(VarCurr,bitIndex301)
    | ~ v504(VarCurr,bitIndex21)
    | ~ sP718(VarCurr) )).

cnf(u11666,axiom,
    ( v504(VarCurr,bitIndex21)
    | ~ v94(VarCurr,bitIndex301)
    | ~ sP718(VarCurr) )).

cnf(u11661,axiom,
    ( v94(VarCurr,bitIndex300)
    | ~ v504(VarCurr,bitIndex20)
    | ~ sP719(VarCurr) )).

cnf(u11662,axiom,
    ( v504(VarCurr,bitIndex20)
    | ~ v94(VarCurr,bitIndex300)
    | ~ sP719(VarCurr) )).

cnf(u11657,axiom,
    ( v94(VarCurr,bitIndex299)
    | ~ v504(VarCurr,bitIndex19)
    | ~ sP720(VarCurr) )).

cnf(u11658,axiom,
    ( v504(VarCurr,bitIndex19)
    | ~ v94(VarCurr,bitIndex299)
    | ~ sP720(VarCurr) )).

cnf(u11653,axiom,
    ( v94(VarCurr,bitIndex298)
    | ~ v504(VarCurr,bitIndex18)
    | ~ sP721(VarCurr) )).

cnf(u11654,axiom,
    ( v504(VarCurr,bitIndex18)
    | ~ v94(VarCurr,bitIndex298)
    | ~ sP721(VarCurr) )).

cnf(u11649,axiom,
    ( v94(VarCurr,bitIndex297)
    | ~ v504(VarCurr,bitIndex17)
    | ~ sP722(VarCurr) )).

cnf(u11650,axiom,
    ( v504(VarCurr,bitIndex17)
    | ~ v94(VarCurr,bitIndex297)
    | ~ sP722(VarCurr) )).

cnf(u11645,axiom,
    ( v94(VarCurr,bitIndex296)
    | ~ v504(VarCurr,bitIndex16)
    | ~ sP723(VarCurr) )).

cnf(u11646,axiom,
    ( v504(VarCurr,bitIndex16)
    | ~ v94(VarCurr,bitIndex296)
    | ~ sP723(VarCurr) )).

cnf(u11641,axiom,
    ( v94(VarCurr,bitIndex295)
    | ~ v504(VarCurr,bitIndex15)
    | ~ sP724(VarCurr) )).

cnf(u11642,axiom,
    ( v504(VarCurr,bitIndex15)
    | ~ v94(VarCurr,bitIndex295)
    | ~ sP724(VarCurr) )).

cnf(u11637,axiom,
    ( v94(VarCurr,bitIndex294)
    | ~ v504(VarCurr,bitIndex14)
    | ~ sP725(VarCurr) )).

cnf(u11638,axiom,
    ( v504(VarCurr,bitIndex14)
    | ~ v94(VarCurr,bitIndex294)
    | ~ sP725(VarCurr) )).

cnf(u11633,axiom,
    ( v94(VarCurr,bitIndex293)
    | ~ v504(VarCurr,bitIndex13)
    | ~ sP726(VarCurr) )).

cnf(u11634,axiom,
    ( v504(VarCurr,bitIndex13)
    | ~ v94(VarCurr,bitIndex293)
    | ~ sP726(VarCurr) )).

cnf(u11629,axiom,
    ( v94(VarCurr,bitIndex292)
    | ~ v504(VarCurr,bitIndex12)
    | ~ sP727(VarCurr) )).

cnf(u11630,axiom,
    ( v504(VarCurr,bitIndex12)
    | ~ v94(VarCurr,bitIndex292)
    | ~ sP727(VarCurr) )).

cnf(u11625,axiom,
    ( v94(VarCurr,bitIndex291)
    | ~ v504(VarCurr,bitIndex11)
    | ~ sP728(VarCurr) )).

cnf(u11626,axiom,
    ( v504(VarCurr,bitIndex11)
    | ~ v94(VarCurr,bitIndex291)
    | ~ sP728(VarCurr) )).

cnf(u11621,axiom,
    ( v94(VarCurr,bitIndex290)
    | ~ v504(VarCurr,bitIndex10)
    | ~ sP729(VarCurr) )).

cnf(u11622,axiom,
    ( v504(VarCurr,bitIndex10)
    | ~ v94(VarCurr,bitIndex290)
    | ~ sP729(VarCurr) )).

cnf(u11617,axiom,
    ( v94(VarCurr,bitIndex289)
    | ~ v504(VarCurr,bitIndex9)
    | ~ sP730(VarCurr) )).

cnf(u11618,axiom,
    ( v504(VarCurr,bitIndex9)
    | ~ v94(VarCurr,bitIndex289)
    | ~ sP730(VarCurr) )).

cnf(u11613,axiom,
    ( v94(VarCurr,bitIndex288)
    | ~ v504(VarCurr,bitIndex8)
    | ~ sP731(VarCurr) )).

cnf(u11614,axiom,
    ( v504(VarCurr,bitIndex8)
    | ~ v94(VarCurr,bitIndex288)
    | ~ sP731(VarCurr) )).

cnf(u11609,axiom,
    ( v94(VarCurr,bitIndex287)
    | ~ v504(VarCurr,bitIndex7)
    | ~ sP732(VarCurr) )).

cnf(u11610,axiom,
    ( v504(VarCurr,bitIndex7)
    | ~ v94(VarCurr,bitIndex287)
    | ~ sP732(VarCurr) )).

cnf(u11605,axiom,
    ( v94(VarCurr,bitIndex286)
    | ~ v504(VarCurr,bitIndex6)
    | ~ sP733(VarCurr) )).

cnf(u11606,axiom,
    ( v504(VarCurr,bitIndex6)
    | ~ v94(VarCurr,bitIndex286)
    | ~ sP733(VarCurr) )).

cnf(u11601,axiom,
    ( v94(VarCurr,bitIndex285)
    | ~ v504(VarCurr,bitIndex5)
    | ~ sP734(VarCurr) )).

cnf(u11602,axiom,
    ( v504(VarCurr,bitIndex5)
    | ~ v94(VarCurr,bitIndex285)
    | ~ sP734(VarCurr) )).

cnf(u11597,axiom,
    ( v94(VarCurr,bitIndex284)
    | ~ v504(VarCurr,bitIndex4)
    | ~ sP735(VarCurr) )).

cnf(u11598,axiom,
    ( v504(VarCurr,bitIndex4)
    | ~ v94(VarCurr,bitIndex284)
    | ~ sP735(VarCurr) )).

cnf(u11593,axiom,
    ( v94(VarCurr,bitIndex283)
    | ~ v504(VarCurr,bitIndex3)
    | ~ sP736(VarCurr) )).

cnf(u11594,axiom,
    ( v504(VarCurr,bitIndex3)
    | ~ v94(VarCurr,bitIndex283)
    | ~ sP736(VarCurr) )).

cnf(u11589,axiom,
    ( v94(VarCurr,bitIndex282)
    | ~ v504(VarCurr,bitIndex2)
    | ~ sP737(VarCurr) )).

cnf(u11590,axiom,
    ( v504(VarCurr,bitIndex2)
    | ~ v94(VarCurr,bitIndex282)
    | ~ sP737(VarCurr) )).

cnf(u11585,axiom,
    ( v94(VarCurr,bitIndex281)
    | ~ v504(VarCurr,bitIndex1)
    | ~ sP738(VarCurr) )).

cnf(u11586,axiom,
    ( v504(VarCurr,bitIndex1)
    | ~ v94(VarCurr,bitIndex281)
    | ~ sP738(VarCurr) )).

cnf(u11581,axiom,
    ( v94(VarCurr,bitIndex280)
    | ~ v504(VarCurr,bitIndex0)
    | ~ sP739(VarCurr) )).

cnf(u11582,axiom,
    ( v504(VarCurr,bitIndex0)
    | ~ v94(VarCurr,bitIndex280)
    | ~ sP739(VarCurr) )).

cnf(u11509,axiom,
    ( sP670(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11510,axiom,
    ( sP671(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11511,axiom,
    ( sP672(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11512,axiom,
    ( sP673(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11513,axiom,
    ( sP674(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11514,axiom,
    ( sP675(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11515,axiom,
    ( sP676(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11516,axiom,
    ( sP677(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11517,axiom,
    ( sP678(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11518,axiom,
    ( sP679(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11519,axiom,
    ( sP680(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11520,axiom,
    ( sP681(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11521,axiom,
    ( sP682(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11522,axiom,
    ( sP683(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11523,axiom,
    ( sP684(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11524,axiom,
    ( sP685(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11525,axiom,
    ( sP686(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11526,axiom,
    ( sP687(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11527,axiom,
    ( sP688(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11528,axiom,
    ( sP689(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11529,axiom,
    ( sP690(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11530,axiom,
    ( sP691(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11531,axiom,
    ( sP692(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11532,axiom,
    ( sP693(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11533,axiom,
    ( sP694(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11534,axiom,
    ( sP695(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11535,axiom,
    ( sP696(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11536,axiom,
    ( sP697(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11537,axiom,
    ( sP698(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11538,axiom,
    ( sP699(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11539,axiom,
    ( sP700(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11540,axiom,
    ( sP701(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11541,axiom,
    ( sP702(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11542,axiom,
    ( sP703(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11543,axiom,
    ( sP704(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11544,axiom,
    ( sP705(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11545,axiom,
    ( sP706(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11546,axiom,
    ( sP707(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11547,axiom,
    ( sP708(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11548,axiom,
    ( sP709(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11549,axiom,
    ( sP710(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11550,axiom,
    ( sP711(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11551,axiom,
    ( sP712(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11552,axiom,
    ( sP713(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11553,axiom,
    ( sP714(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11554,axiom,
    ( sP715(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11555,axiom,
    ( sP716(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11556,axiom,
    ( sP717(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11557,axiom,
    ( sP718(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11558,axiom,
    ( sP719(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11559,axiom,
    ( sP720(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11560,axiom,
    ( sP721(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11561,axiom,
    ( sP722(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11562,axiom,
    ( sP723(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11563,axiom,
    ( sP724(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11564,axiom,
    ( sP725(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11565,axiom,
    ( sP726(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11566,axiom,
    ( sP727(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11567,axiom,
    ( sP728(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11568,axiom,
    ( sP729(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11569,axiom,
    ( sP730(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11570,axiom,
    ( sP731(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11571,axiom,
    ( sP732(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11572,axiom,
    ( sP733(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11573,axiom,
    ( sP734(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11574,axiom,
    ( sP735(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11575,axiom,
    ( sP736(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11576,axiom,
    ( sP737(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11577,axiom,
    ( sP738(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11578,axiom,
    ( sP739(VarCurr)
    | ~ sP740(VarCurr) )).

cnf(u11507,axiom,
    ( ~ v491(VarCurr,bitIndex0)
    | v491(VarCurr,bitIndex1)
    | sP740(VarCurr) )).

cnf(u11433,axiom,
    ( v462(VarCurr,B)
    | ~ v504(VarCurr,B)
    | ~ v493(VarCurr,bitIndex1)
    | v493(VarCurr,bitIndex0) )).

cnf(u11434,axiom,
    ( v504(VarCurr,B)
    | ~ v462(VarCurr,B)
    | ~ v493(VarCurr,bitIndex1)
    | v493(VarCurr,bitIndex0) )).

cnf(u11430,axiom,
    ( v490(VarCurr)
    | v492(VarCurr)
    | v469(VarCurr,B)
    | ~ v504(VarCurr,B) )).

cnf(u11431,axiom,
    ( v490(VarCurr)
    | v492(VarCurr)
    | v504(VarCurr,B)
    | ~ v469(VarCurr,B) )).

cnf(u11428,axiom,
    ( ~ v501(VarCurr,B)
    | v11(VarCurr) )).

cnf(u11425,axiom,
    ( v504(VarCurr,B)
    | ~ v501(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u11426,axiom,
    ( v501(VarCurr,B)
    | ~ v504(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u11421,axiom,
    ( v501(VarCurr,B)
    | ~ v503(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11422,axiom,
    ( v503(VarNext,B)
    | ~ v501(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u11417,axiom,
    ( v503(VarNext,B)
    | ~ v476(VarNext,B)
    | ~ v477(VarNext) )).

cnf(u11418,axiom,
    ( v476(VarNext,B)
    | ~ v503(VarNext,B)
    | ~ v477(VarNext) )).

cnf(u11413,axiom,
    ( v94(VarCurr,bitIndex419)
    | ~ v476(VarNext,bitIndex69)
    | ~ sP599(VarCurr,VarNext) )).

cnf(u11414,axiom,
    ( v476(VarNext,bitIndex69)
    | ~ v94(VarCurr,bitIndex419)
    | ~ sP599(VarCurr,VarNext) )).

cnf(u11409,axiom,
    ( v94(VarCurr,bitIndex418)
    | ~ v476(VarNext,bitIndex68)
    | ~ sP600(VarCurr,VarNext) )).

cnf(u11410,axiom,
    ( v476(VarNext,bitIndex68)
    | ~ v94(VarCurr,bitIndex418)
    | ~ sP600(VarCurr,VarNext) )).

cnf(u11405,axiom,
    ( v94(VarCurr,bitIndex417)
    | ~ v476(VarNext,bitIndex67)
    | ~ sP601(VarCurr,VarNext) )).

cnf(u11406,axiom,
    ( v476(VarNext,bitIndex67)
    | ~ v94(VarCurr,bitIndex417)
    | ~ sP601(VarCurr,VarNext) )).

cnf(u11401,axiom,
    ( v94(VarCurr,bitIndex416)
    | ~ v476(VarNext,bitIndex66)
    | ~ sP602(VarCurr,VarNext) )).

cnf(u11402,axiom,
    ( v476(VarNext,bitIndex66)
    | ~ v94(VarCurr,bitIndex416)
    | ~ sP602(VarCurr,VarNext) )).

cnf(u11397,axiom,
    ( v94(VarCurr,bitIndex415)
    | ~ v476(VarNext,bitIndex65)
    | ~ sP603(VarCurr,VarNext) )).

cnf(u11398,axiom,
    ( v476(VarNext,bitIndex65)
    | ~ v94(VarCurr,bitIndex415)
    | ~ sP603(VarCurr,VarNext) )).

cnf(u11393,axiom,
    ( v94(VarCurr,bitIndex414)
    | ~ v476(VarNext,bitIndex64)
    | ~ sP604(VarCurr,VarNext) )).

cnf(u11394,axiom,
    ( v476(VarNext,bitIndex64)
    | ~ v94(VarCurr,bitIndex414)
    | ~ sP604(VarCurr,VarNext) )).

cnf(u11389,axiom,
    ( v94(VarCurr,bitIndex413)
    | ~ v476(VarNext,bitIndex63)
    | ~ sP605(VarCurr,VarNext) )).

cnf(u11390,axiom,
    ( v476(VarNext,bitIndex63)
    | ~ v94(VarCurr,bitIndex413)
    | ~ sP605(VarCurr,VarNext) )).

cnf(u11385,axiom,
    ( v94(VarCurr,bitIndex412)
    | ~ v476(VarNext,bitIndex62)
    | ~ sP606(VarCurr,VarNext) )).

cnf(u11386,axiom,
    ( v476(VarNext,bitIndex62)
    | ~ v94(VarCurr,bitIndex412)
    | ~ sP606(VarCurr,VarNext) )).

cnf(u11381,axiom,
    ( v94(VarCurr,bitIndex411)
    | ~ v476(VarNext,bitIndex61)
    | ~ sP607(VarCurr,VarNext) )).

cnf(u11382,axiom,
    ( v476(VarNext,bitIndex61)
    | ~ v94(VarCurr,bitIndex411)
    | ~ sP607(VarCurr,VarNext) )).

cnf(u11377,axiom,
    ( v94(VarCurr,bitIndex410)
    | ~ v476(VarNext,bitIndex60)
    | ~ sP608(VarCurr,VarNext) )).

cnf(u11378,axiom,
    ( v476(VarNext,bitIndex60)
    | ~ v94(VarCurr,bitIndex410)
    | ~ sP608(VarCurr,VarNext) )).

cnf(u11373,axiom,
    ( v94(VarCurr,bitIndex409)
    | ~ v476(VarNext,bitIndex59)
    | ~ sP609(VarCurr,VarNext) )).

cnf(u11374,axiom,
    ( v476(VarNext,bitIndex59)
    | ~ v94(VarCurr,bitIndex409)
    | ~ sP609(VarCurr,VarNext) )).

cnf(u11369,axiom,
    ( v94(VarCurr,bitIndex408)
    | ~ v476(VarNext,bitIndex58)
    | ~ sP610(VarCurr,VarNext) )).

cnf(u11370,axiom,
    ( v476(VarNext,bitIndex58)
    | ~ v94(VarCurr,bitIndex408)
    | ~ sP610(VarCurr,VarNext) )).

cnf(u11365,axiom,
    ( v94(VarCurr,bitIndex407)
    | ~ v476(VarNext,bitIndex57)
    | ~ sP611(VarCurr,VarNext) )).

cnf(u11366,axiom,
    ( v476(VarNext,bitIndex57)
    | ~ v94(VarCurr,bitIndex407)
    | ~ sP611(VarCurr,VarNext) )).

cnf(u11361,axiom,
    ( v94(VarCurr,bitIndex406)
    | ~ v476(VarNext,bitIndex56)
    | ~ sP612(VarCurr,VarNext) )).

cnf(u11362,axiom,
    ( v476(VarNext,bitIndex56)
    | ~ v94(VarCurr,bitIndex406)
    | ~ sP612(VarCurr,VarNext) )).

cnf(u11357,axiom,
    ( v94(VarCurr,bitIndex405)
    | ~ v476(VarNext,bitIndex55)
    | ~ sP613(VarCurr,VarNext) )).

cnf(u11358,axiom,
    ( v476(VarNext,bitIndex55)
    | ~ v94(VarCurr,bitIndex405)
    | ~ sP613(VarCurr,VarNext) )).

cnf(u11353,axiom,
    ( v94(VarCurr,bitIndex404)
    | ~ v476(VarNext,bitIndex54)
    | ~ sP614(VarCurr,VarNext) )).

cnf(u11354,axiom,
    ( v476(VarNext,bitIndex54)
    | ~ v94(VarCurr,bitIndex404)
    | ~ sP614(VarCurr,VarNext) )).

cnf(u11349,axiom,
    ( v94(VarCurr,bitIndex403)
    | ~ v476(VarNext,bitIndex53)
    | ~ sP615(VarCurr,VarNext) )).

cnf(u11350,axiom,
    ( v476(VarNext,bitIndex53)
    | ~ v94(VarCurr,bitIndex403)
    | ~ sP615(VarCurr,VarNext) )).

cnf(u11345,axiom,
    ( v94(VarCurr,bitIndex402)
    | ~ v476(VarNext,bitIndex52)
    | ~ sP616(VarCurr,VarNext) )).

cnf(u11346,axiom,
    ( v476(VarNext,bitIndex52)
    | ~ v94(VarCurr,bitIndex402)
    | ~ sP616(VarCurr,VarNext) )).

cnf(u11341,axiom,
    ( v94(VarCurr,bitIndex401)
    | ~ v476(VarNext,bitIndex51)
    | ~ sP617(VarCurr,VarNext) )).

cnf(u11342,axiom,
    ( v476(VarNext,bitIndex51)
    | ~ v94(VarCurr,bitIndex401)
    | ~ sP617(VarCurr,VarNext) )).

cnf(u11337,axiom,
    ( v94(VarCurr,bitIndex400)
    | ~ v476(VarNext,bitIndex50)
    | ~ sP618(VarCurr,VarNext) )).

cnf(u11338,axiom,
    ( v476(VarNext,bitIndex50)
    | ~ v94(VarCurr,bitIndex400)
    | ~ sP618(VarCurr,VarNext) )).

cnf(u11333,axiom,
    ( v94(VarCurr,bitIndex399)
    | ~ v476(VarNext,bitIndex49)
    | ~ sP619(VarCurr,VarNext) )).

cnf(u11334,axiom,
    ( v476(VarNext,bitIndex49)
    | ~ v94(VarCurr,bitIndex399)
    | ~ sP619(VarCurr,VarNext) )).

cnf(u11329,axiom,
    ( v94(VarCurr,bitIndex398)
    | ~ v476(VarNext,bitIndex48)
    | ~ sP620(VarCurr,VarNext) )).

cnf(u11330,axiom,
    ( v476(VarNext,bitIndex48)
    | ~ v94(VarCurr,bitIndex398)
    | ~ sP620(VarCurr,VarNext) )).

cnf(u11325,axiom,
    ( v94(VarCurr,bitIndex397)
    | ~ v476(VarNext,bitIndex47)
    | ~ sP621(VarCurr,VarNext) )).

cnf(u11326,axiom,
    ( v476(VarNext,bitIndex47)
    | ~ v94(VarCurr,bitIndex397)
    | ~ sP621(VarCurr,VarNext) )).

cnf(u11321,axiom,
    ( v94(VarCurr,bitIndex396)
    | ~ v476(VarNext,bitIndex46)
    | ~ sP622(VarCurr,VarNext) )).

cnf(u11322,axiom,
    ( v476(VarNext,bitIndex46)
    | ~ v94(VarCurr,bitIndex396)
    | ~ sP622(VarCurr,VarNext) )).

cnf(u11317,axiom,
    ( v94(VarCurr,bitIndex395)
    | ~ v476(VarNext,bitIndex45)
    | ~ sP623(VarCurr,VarNext) )).

cnf(u11318,axiom,
    ( v476(VarNext,bitIndex45)
    | ~ v94(VarCurr,bitIndex395)
    | ~ sP623(VarCurr,VarNext) )).

cnf(u11313,axiom,
    ( v94(VarCurr,bitIndex394)
    | ~ v476(VarNext,bitIndex44)
    | ~ sP624(VarCurr,VarNext) )).

cnf(u11314,axiom,
    ( v476(VarNext,bitIndex44)
    | ~ v94(VarCurr,bitIndex394)
    | ~ sP624(VarCurr,VarNext) )).

cnf(u11309,axiom,
    ( v94(VarCurr,bitIndex393)
    | ~ v476(VarNext,bitIndex43)
    | ~ sP625(VarCurr,VarNext) )).

cnf(u11310,axiom,
    ( v476(VarNext,bitIndex43)
    | ~ v94(VarCurr,bitIndex393)
    | ~ sP625(VarCurr,VarNext) )).

cnf(u11305,axiom,
    ( v94(VarCurr,bitIndex392)
    | ~ v476(VarNext,bitIndex42)
    | ~ sP626(VarCurr,VarNext) )).

cnf(u11306,axiom,
    ( v476(VarNext,bitIndex42)
    | ~ v94(VarCurr,bitIndex392)
    | ~ sP626(VarCurr,VarNext) )).

cnf(u11301,axiom,
    ( v94(VarCurr,bitIndex391)
    | ~ v476(VarNext,bitIndex41)
    | ~ sP627(VarCurr,VarNext) )).

cnf(u11302,axiom,
    ( v476(VarNext,bitIndex41)
    | ~ v94(VarCurr,bitIndex391)
    | ~ sP627(VarCurr,VarNext) )).

cnf(u11297,axiom,
    ( v94(VarCurr,bitIndex390)
    | ~ v476(VarNext,bitIndex40)
    | ~ sP628(VarCurr,VarNext) )).

cnf(u11298,axiom,
    ( v476(VarNext,bitIndex40)
    | ~ v94(VarCurr,bitIndex390)
    | ~ sP628(VarCurr,VarNext) )).

cnf(u11293,axiom,
    ( v94(VarCurr,bitIndex389)
    | ~ v476(VarNext,bitIndex39)
    | ~ sP629(VarCurr,VarNext) )).

cnf(u11294,axiom,
    ( v476(VarNext,bitIndex39)
    | ~ v94(VarCurr,bitIndex389)
    | ~ sP629(VarCurr,VarNext) )).

cnf(u11289,axiom,
    ( v94(VarCurr,bitIndex388)
    | ~ v476(VarNext,bitIndex38)
    | ~ sP630(VarCurr,VarNext) )).

cnf(u11290,axiom,
    ( v476(VarNext,bitIndex38)
    | ~ v94(VarCurr,bitIndex388)
    | ~ sP630(VarCurr,VarNext) )).

cnf(u11285,axiom,
    ( v94(VarCurr,bitIndex387)
    | ~ v476(VarNext,bitIndex37)
    | ~ sP631(VarCurr,VarNext) )).

cnf(u11286,axiom,
    ( v476(VarNext,bitIndex37)
    | ~ v94(VarCurr,bitIndex387)
    | ~ sP631(VarCurr,VarNext) )).

cnf(u11281,axiom,
    ( v94(VarCurr,bitIndex386)
    | ~ v476(VarNext,bitIndex36)
    | ~ sP632(VarCurr,VarNext) )).

cnf(u11282,axiom,
    ( v476(VarNext,bitIndex36)
    | ~ v94(VarCurr,bitIndex386)
    | ~ sP632(VarCurr,VarNext) )).

cnf(u11277,axiom,
    ( v94(VarCurr,bitIndex385)
    | ~ v476(VarNext,bitIndex35)
    | ~ sP633(VarCurr,VarNext) )).

cnf(u11278,axiom,
    ( v476(VarNext,bitIndex35)
    | ~ v94(VarCurr,bitIndex385)
    | ~ sP633(VarCurr,VarNext) )).

cnf(u11273,axiom,
    ( v94(VarCurr,bitIndex384)
    | ~ v476(VarNext,bitIndex34)
    | ~ sP634(VarCurr,VarNext) )).

cnf(u11274,axiom,
    ( v476(VarNext,bitIndex34)
    | ~ v94(VarCurr,bitIndex384)
    | ~ sP634(VarCurr,VarNext) )).

cnf(u11269,axiom,
    ( v94(VarCurr,bitIndex383)
    | ~ v476(VarNext,bitIndex33)
    | ~ sP635(VarCurr,VarNext) )).

cnf(u11270,axiom,
    ( v476(VarNext,bitIndex33)
    | ~ v94(VarCurr,bitIndex383)
    | ~ sP635(VarCurr,VarNext) )).

cnf(u11265,axiom,
    ( v94(VarCurr,bitIndex382)
    | ~ v476(VarNext,bitIndex32)
    | ~ sP636(VarCurr,VarNext) )).

cnf(u11266,axiom,
    ( v476(VarNext,bitIndex32)
    | ~ v94(VarCurr,bitIndex382)
    | ~ sP636(VarCurr,VarNext) )).

cnf(u11261,axiom,
    ( v94(VarCurr,bitIndex381)
    | ~ v476(VarNext,bitIndex31)
    | ~ sP637(VarCurr,VarNext) )).

cnf(u11262,axiom,
    ( v476(VarNext,bitIndex31)
    | ~ v94(VarCurr,bitIndex381)
    | ~ sP637(VarCurr,VarNext) )).

cnf(u11257,axiom,
    ( v94(VarCurr,bitIndex380)
    | ~ v476(VarNext,bitIndex30)
    | ~ sP638(VarCurr,VarNext) )).

cnf(u11258,axiom,
    ( v476(VarNext,bitIndex30)
    | ~ v94(VarCurr,bitIndex380)
    | ~ sP638(VarCurr,VarNext) )).

cnf(u11253,axiom,
    ( v94(VarCurr,bitIndex379)
    | ~ v476(VarNext,bitIndex29)
    | ~ sP639(VarCurr,VarNext) )).

cnf(u11254,axiom,
    ( v476(VarNext,bitIndex29)
    | ~ v94(VarCurr,bitIndex379)
    | ~ sP639(VarCurr,VarNext) )).

cnf(u11249,axiom,
    ( v94(VarCurr,bitIndex378)
    | ~ v476(VarNext,bitIndex28)
    | ~ sP640(VarCurr,VarNext) )).

cnf(u11250,axiom,
    ( v476(VarNext,bitIndex28)
    | ~ v94(VarCurr,bitIndex378)
    | ~ sP640(VarCurr,VarNext) )).

cnf(u11245,axiom,
    ( v94(VarCurr,bitIndex377)
    | ~ v476(VarNext,bitIndex27)
    | ~ sP641(VarCurr,VarNext) )).

cnf(u11246,axiom,
    ( v476(VarNext,bitIndex27)
    | ~ v94(VarCurr,bitIndex377)
    | ~ sP641(VarCurr,VarNext) )).

cnf(u11241,axiom,
    ( v94(VarCurr,bitIndex376)
    | ~ v476(VarNext,bitIndex26)
    | ~ sP642(VarCurr,VarNext) )).

cnf(u11242,axiom,
    ( v476(VarNext,bitIndex26)
    | ~ v94(VarCurr,bitIndex376)
    | ~ sP642(VarCurr,VarNext) )).

cnf(u11237,axiom,
    ( v94(VarCurr,bitIndex375)
    | ~ v476(VarNext,bitIndex25)
    | ~ sP643(VarCurr,VarNext) )).

cnf(u11238,axiom,
    ( v476(VarNext,bitIndex25)
    | ~ v94(VarCurr,bitIndex375)
    | ~ sP643(VarCurr,VarNext) )).

cnf(u11233,axiom,
    ( v94(VarCurr,bitIndex374)
    | ~ v476(VarNext,bitIndex24)
    | ~ sP644(VarCurr,VarNext) )).

cnf(u11234,axiom,
    ( v476(VarNext,bitIndex24)
    | ~ v94(VarCurr,bitIndex374)
    | ~ sP644(VarCurr,VarNext) )).

cnf(u11229,axiom,
    ( v94(VarCurr,bitIndex373)
    | ~ v476(VarNext,bitIndex23)
    | ~ sP645(VarCurr,VarNext) )).

cnf(u11230,axiom,
    ( v476(VarNext,bitIndex23)
    | ~ v94(VarCurr,bitIndex373)
    | ~ sP645(VarCurr,VarNext) )).

cnf(u11225,axiom,
    ( v94(VarCurr,bitIndex372)
    | ~ v476(VarNext,bitIndex22)
    | ~ sP646(VarCurr,VarNext) )).

cnf(u11226,axiom,
    ( v476(VarNext,bitIndex22)
    | ~ v94(VarCurr,bitIndex372)
    | ~ sP646(VarCurr,VarNext) )).

cnf(u11221,axiom,
    ( v94(VarCurr,bitIndex371)
    | ~ v476(VarNext,bitIndex21)
    | ~ sP647(VarCurr,VarNext) )).

cnf(u11222,axiom,
    ( v476(VarNext,bitIndex21)
    | ~ v94(VarCurr,bitIndex371)
    | ~ sP647(VarCurr,VarNext) )).

cnf(u11217,axiom,
    ( v94(VarCurr,bitIndex370)
    | ~ v476(VarNext,bitIndex20)
    | ~ sP648(VarCurr,VarNext) )).

cnf(u11218,axiom,
    ( v476(VarNext,bitIndex20)
    | ~ v94(VarCurr,bitIndex370)
    | ~ sP648(VarCurr,VarNext) )).

cnf(u11213,axiom,
    ( v94(VarCurr,bitIndex369)
    | ~ v476(VarNext,bitIndex19)
    | ~ sP649(VarCurr,VarNext) )).

cnf(u11214,axiom,
    ( v476(VarNext,bitIndex19)
    | ~ v94(VarCurr,bitIndex369)
    | ~ sP649(VarCurr,VarNext) )).

cnf(u11209,axiom,
    ( v94(VarCurr,bitIndex368)
    | ~ v476(VarNext,bitIndex18)
    | ~ sP650(VarCurr,VarNext) )).

cnf(u11210,axiom,
    ( v476(VarNext,bitIndex18)
    | ~ v94(VarCurr,bitIndex368)
    | ~ sP650(VarCurr,VarNext) )).

cnf(u11205,axiom,
    ( v94(VarCurr,bitIndex367)
    | ~ v476(VarNext,bitIndex17)
    | ~ sP651(VarCurr,VarNext) )).

cnf(u11206,axiom,
    ( v476(VarNext,bitIndex17)
    | ~ v94(VarCurr,bitIndex367)
    | ~ sP651(VarCurr,VarNext) )).

cnf(u11201,axiom,
    ( v94(VarCurr,bitIndex366)
    | ~ v476(VarNext,bitIndex16)
    | ~ sP652(VarCurr,VarNext) )).

cnf(u11202,axiom,
    ( v476(VarNext,bitIndex16)
    | ~ v94(VarCurr,bitIndex366)
    | ~ sP652(VarCurr,VarNext) )).

cnf(u11197,axiom,
    ( v94(VarCurr,bitIndex365)
    | ~ v476(VarNext,bitIndex15)
    | ~ sP653(VarCurr,VarNext) )).

cnf(u11198,axiom,
    ( v476(VarNext,bitIndex15)
    | ~ v94(VarCurr,bitIndex365)
    | ~ sP653(VarCurr,VarNext) )).

cnf(u11193,axiom,
    ( v94(VarCurr,bitIndex364)
    | ~ v476(VarNext,bitIndex14)
    | ~ sP654(VarCurr,VarNext) )).

cnf(u11194,axiom,
    ( v476(VarNext,bitIndex14)
    | ~ v94(VarCurr,bitIndex364)
    | ~ sP654(VarCurr,VarNext) )).

cnf(u11189,axiom,
    ( v94(VarCurr,bitIndex363)
    | ~ v476(VarNext,bitIndex13)
    | ~ sP655(VarCurr,VarNext) )).

cnf(u11190,axiom,
    ( v476(VarNext,bitIndex13)
    | ~ v94(VarCurr,bitIndex363)
    | ~ sP655(VarCurr,VarNext) )).

cnf(u11185,axiom,
    ( v94(VarCurr,bitIndex362)
    | ~ v476(VarNext,bitIndex12)
    | ~ sP656(VarCurr,VarNext) )).

cnf(u11186,axiom,
    ( v476(VarNext,bitIndex12)
    | ~ v94(VarCurr,bitIndex362)
    | ~ sP656(VarCurr,VarNext) )).

cnf(u11181,axiom,
    ( v94(VarCurr,bitIndex361)
    | ~ v476(VarNext,bitIndex11)
    | ~ sP657(VarCurr,VarNext) )).

cnf(u11182,axiom,
    ( v476(VarNext,bitIndex11)
    | ~ v94(VarCurr,bitIndex361)
    | ~ sP657(VarCurr,VarNext) )).

cnf(u11177,axiom,
    ( v94(VarCurr,bitIndex360)
    | ~ v476(VarNext,bitIndex10)
    | ~ sP658(VarCurr,VarNext) )).

cnf(u11178,axiom,
    ( v476(VarNext,bitIndex10)
    | ~ v94(VarCurr,bitIndex360)
    | ~ sP658(VarCurr,VarNext) )).

cnf(u11173,axiom,
    ( v94(VarCurr,bitIndex359)
    | ~ v476(VarNext,bitIndex9)
    | ~ sP659(VarCurr,VarNext) )).

cnf(u11174,axiom,
    ( v476(VarNext,bitIndex9)
    | ~ v94(VarCurr,bitIndex359)
    | ~ sP659(VarCurr,VarNext) )).

cnf(u11169,axiom,
    ( v94(VarCurr,bitIndex358)
    | ~ v476(VarNext,bitIndex8)
    | ~ sP660(VarCurr,VarNext) )).

cnf(u11170,axiom,
    ( v476(VarNext,bitIndex8)
    | ~ v94(VarCurr,bitIndex358)
    | ~ sP660(VarCurr,VarNext) )).

cnf(u11165,axiom,
    ( v94(VarCurr,bitIndex357)
    | ~ v476(VarNext,bitIndex7)
    | ~ sP661(VarCurr,VarNext) )).

cnf(u11166,axiom,
    ( v476(VarNext,bitIndex7)
    | ~ v94(VarCurr,bitIndex357)
    | ~ sP661(VarCurr,VarNext) )).

cnf(u11161,axiom,
    ( v94(VarCurr,bitIndex356)
    | ~ v476(VarNext,bitIndex6)
    | ~ sP662(VarCurr,VarNext) )).

cnf(u11162,axiom,
    ( v476(VarNext,bitIndex6)
    | ~ v94(VarCurr,bitIndex356)
    | ~ sP662(VarCurr,VarNext) )).

cnf(u11157,axiom,
    ( v94(VarCurr,bitIndex355)
    | ~ v476(VarNext,bitIndex5)
    | ~ sP663(VarCurr,VarNext) )).

cnf(u11158,axiom,
    ( v476(VarNext,bitIndex5)
    | ~ v94(VarCurr,bitIndex355)
    | ~ sP663(VarCurr,VarNext) )).

cnf(u11153,axiom,
    ( v94(VarCurr,bitIndex354)
    | ~ v476(VarNext,bitIndex4)
    | ~ sP664(VarCurr,VarNext) )).

cnf(u11154,axiom,
    ( v476(VarNext,bitIndex4)
    | ~ v94(VarCurr,bitIndex354)
    | ~ sP664(VarCurr,VarNext) )).

cnf(u11149,axiom,
    ( v94(VarCurr,bitIndex353)
    | ~ v476(VarNext,bitIndex3)
    | ~ sP665(VarCurr,VarNext) )).

cnf(u11150,axiom,
    ( v476(VarNext,bitIndex3)
    | ~ v94(VarCurr,bitIndex353)
    | ~ sP665(VarCurr,VarNext) )).

cnf(u11145,axiom,
    ( v94(VarCurr,bitIndex352)
    | ~ v476(VarNext,bitIndex2)
    | ~ sP666(VarCurr,VarNext) )).

cnf(u11146,axiom,
    ( v476(VarNext,bitIndex2)
    | ~ v94(VarCurr,bitIndex352)
    | ~ sP666(VarCurr,VarNext) )).

cnf(u11141,axiom,
    ( v94(VarCurr,bitIndex351)
    | ~ v476(VarNext,bitIndex1)
    | ~ sP667(VarCurr,VarNext) )).

cnf(u11142,axiom,
    ( v476(VarNext,bitIndex1)
    | ~ v94(VarCurr,bitIndex351)
    | ~ sP667(VarCurr,VarNext) )).

cnf(u11137,axiom,
    ( v94(VarCurr,bitIndex350)
    | ~ v476(VarNext,bitIndex0)
    | ~ sP668(VarCurr,VarNext) )).

cnf(u11138,axiom,
    ( v476(VarNext,bitIndex0)
    | ~ v94(VarCurr,bitIndex350)
    | ~ sP668(VarCurr,VarNext) )).

cnf(u11065,axiom,
    ( sP599(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11066,axiom,
    ( sP600(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11067,axiom,
    ( sP601(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11068,axiom,
    ( sP602(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11069,axiom,
    ( sP603(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11070,axiom,
    ( sP604(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11071,axiom,
    ( sP605(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11072,axiom,
    ( sP606(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11073,axiom,
    ( sP607(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11074,axiom,
    ( sP608(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11075,axiom,
    ( sP609(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11076,axiom,
    ( sP610(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11077,axiom,
    ( sP611(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11078,axiom,
    ( sP612(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11079,axiom,
    ( sP613(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11080,axiom,
    ( sP614(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11081,axiom,
    ( sP615(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11082,axiom,
    ( sP616(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11083,axiom,
    ( sP617(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11084,axiom,
    ( sP618(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11085,axiom,
    ( sP619(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11086,axiom,
    ( sP620(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11087,axiom,
    ( sP621(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11088,axiom,
    ( sP622(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11089,axiom,
    ( sP623(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11090,axiom,
    ( sP624(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11091,axiom,
    ( sP625(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11092,axiom,
    ( sP626(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11093,axiom,
    ( sP627(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11094,axiom,
    ( sP628(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11095,axiom,
    ( sP629(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11096,axiom,
    ( sP630(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11097,axiom,
    ( sP631(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11098,axiom,
    ( sP632(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11099,axiom,
    ( sP633(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11100,axiom,
    ( sP634(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11101,axiom,
    ( sP635(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11102,axiom,
    ( sP636(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11103,axiom,
    ( sP637(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11104,axiom,
    ( sP638(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11105,axiom,
    ( sP639(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11106,axiom,
    ( sP640(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11107,axiom,
    ( sP641(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11108,axiom,
    ( sP642(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11109,axiom,
    ( sP643(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11110,axiom,
    ( sP644(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11111,axiom,
    ( sP645(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11112,axiom,
    ( sP646(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11113,axiom,
    ( sP647(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11114,axiom,
    ( sP648(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11115,axiom,
    ( sP649(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11116,axiom,
    ( sP650(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11117,axiom,
    ( sP651(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11118,axiom,
    ( sP652(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11119,axiom,
    ( sP653(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11120,axiom,
    ( sP654(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11121,axiom,
    ( sP655(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11122,axiom,
    ( sP656(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11123,axiom,
    ( sP657(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11124,axiom,
    ( sP658(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11125,axiom,
    ( sP659(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11126,axiom,
    ( sP660(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11127,axiom,
    ( sP661(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11128,axiom,
    ( sP662(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11129,axiom,
    ( sP663(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11130,axiom,
    ( sP664(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11131,axiom,
    ( sP665(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11132,axiom,
    ( sP666(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11133,axiom,
    ( sP667(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11134,axiom,
    ( sP668(VarCurr,VarNext)
    | ~ sP669(VarCurr,VarNext) )).

cnf(u11063,axiom,
    ( sP669(VarCurr,VarNext)
    | v477(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10975,axiom,
    ( v476(VarNext,bitIndex69)
    | ~ v94(VarNext,bitIndex419) )).

cnf(u10976,axiom,
    ( v94(VarNext,bitIndex419)
    | ~ v476(VarNext,bitIndex69) )).

cnf(u10977,axiom,
    ( v476(VarNext,bitIndex68)
    | ~ v94(VarNext,bitIndex418) )).

cnf(u10978,axiom,
    ( v94(VarNext,bitIndex418)
    | ~ v476(VarNext,bitIndex68) )).

cnf(u10979,axiom,
    ( v476(VarNext,bitIndex67)
    | ~ v94(VarNext,bitIndex417) )).

cnf(u10980,axiom,
    ( v94(VarNext,bitIndex417)
    | ~ v476(VarNext,bitIndex67) )).

cnf(u10981,axiom,
    ( v476(VarNext,bitIndex66)
    | ~ v94(VarNext,bitIndex416) )).

cnf(u10982,axiom,
    ( v94(VarNext,bitIndex416)
    | ~ v476(VarNext,bitIndex66) )).

cnf(u10983,axiom,
    ( v476(VarNext,bitIndex65)
    | ~ v94(VarNext,bitIndex415) )).

cnf(u10984,axiom,
    ( v94(VarNext,bitIndex415)
    | ~ v476(VarNext,bitIndex65) )).

cnf(u10985,axiom,
    ( v476(VarNext,bitIndex64)
    | ~ v94(VarNext,bitIndex414) )).

cnf(u10986,axiom,
    ( v94(VarNext,bitIndex414)
    | ~ v476(VarNext,bitIndex64) )).

cnf(u10987,axiom,
    ( v476(VarNext,bitIndex63)
    | ~ v94(VarNext,bitIndex413) )).

cnf(u10988,axiom,
    ( v94(VarNext,bitIndex413)
    | ~ v476(VarNext,bitIndex63) )).

cnf(u10959,axiom,
    ( v94(VarCurr,bitIndex489)
    | ~ v178(VarCurr,bitIndex69) )).

cnf(u10960,axiom,
    ( v178(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex489) )).

cnf(u10961,axiom,
    ( v94(VarCurr,bitIndex488)
    | ~ v178(VarCurr,bitIndex68) )).

cnf(u10962,axiom,
    ( v178(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex488) )).

cnf(u10963,axiom,
    ( v94(VarCurr,bitIndex487)
    | ~ v178(VarCurr,bitIndex67) )).

cnf(u10964,axiom,
    ( v178(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex487) )).

cnf(u10965,axiom,
    ( v94(VarCurr,bitIndex486)
    | ~ v178(VarCurr,bitIndex66) )).

cnf(u10966,axiom,
    ( v178(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex486) )).

cnf(u10967,axiom,
    ( v94(VarCurr,bitIndex485)
    | ~ v178(VarCurr,bitIndex65) )).

cnf(u10968,axiom,
    ( v178(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex485) )).

cnf(u10969,axiom,
    ( v94(VarCurr,bitIndex484)
    | ~ v178(VarCurr,bitIndex64) )).

cnf(u10970,axiom,
    ( v178(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex484) )).

cnf(u10971,axiom,
    ( v94(VarCurr,bitIndex483)
    | ~ v178(VarCurr,bitIndex63) )).

cnf(u10972,axiom,
    ( v178(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex483) )).

cnf(u10955,axiom,
    ( v195(VarCurr,B)
    | ~ v99(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10956,axiom,
    ( v99(VarCurr,B)
    | ~ v195(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10939,axiom,
    ( v94(VarCurr,bitIndex419)
    | ~ v201(VarCurr,bitIndex69) )).

cnf(u10940,axiom,
    ( v201(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex419) )).

cnf(u10941,axiom,
    ( v94(VarCurr,bitIndex418)
    | ~ v201(VarCurr,bitIndex68) )).

cnf(u10942,axiom,
    ( v201(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex418) )).

cnf(u10943,axiom,
    ( v94(VarCurr,bitIndex417)
    | ~ v201(VarCurr,bitIndex67) )).

cnf(u10944,axiom,
    ( v201(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex417) )).

cnf(u10945,axiom,
    ( v94(VarCurr,bitIndex416)
    | ~ v201(VarCurr,bitIndex66) )).

cnf(u10946,axiom,
    ( v201(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex416) )).

cnf(u10947,axiom,
    ( v94(VarCurr,bitIndex415)
    | ~ v201(VarCurr,bitIndex65) )).

cnf(u10948,axiom,
    ( v201(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex415) )).

cnf(u10949,axiom,
    ( v94(VarCurr,bitIndex414)
    | ~ v201(VarCurr,bitIndex64) )).

cnf(u10950,axiom,
    ( v201(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex414) )).

cnf(u10951,axiom,
    ( v94(VarCurr,bitIndex413)
    | ~ v201(VarCurr,bitIndex63) )).

cnf(u10952,axiom,
    ( v201(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex413) )).

cnf(u10935,axiom,
    ( v202(VarCurr,B)
    | ~ v197(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10936,axiom,
    ( v197(VarCurr,B)
    | ~ v202(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10931,axiom,
    ( v119(VarNext)
    | v513(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10932,axiom,
    ( ~ v513(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10926,axiom,
    ( v1(VarNext)
    | ~ v511(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10927,axiom,
    ( v513(VarNext)
    | ~ v511(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10928,axiom,
    ( v511(VarNext)
    | ~ v513(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10920,axiom,
    ( v511(VarNext)
    | ~ v510(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10921,axiom,
    ( v213(VarNext)
    | ~ v510(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10922,axiom,
    ( v510(VarNext)
    | ~ v213(VarNext)
    | ~ v511(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10915,axiom,
    ( v232(VarNext,B)
    | ~ v508(VarNext,B)
    | ~ v510(VarNext) )).

cnf(u10916,axiom,
    ( v508(VarNext,B)
    | ~ v232(VarNext,B)
    | ~ v510(VarNext) )).

cnf(u10911,axiom,
    ( v94(VarCurr,bitIndex489)
    | ~ v508(VarNext,bitIndex69)
    | ~ sP528(VarCurr,VarNext) )).

cnf(u10912,axiom,
    ( v508(VarNext,bitIndex69)
    | ~ v94(VarCurr,bitIndex489)
    | ~ sP528(VarCurr,VarNext) )).

cnf(u10907,axiom,
    ( v94(VarCurr,bitIndex488)
    | ~ v508(VarNext,bitIndex68)
    | ~ sP529(VarCurr,VarNext) )).

cnf(u10908,axiom,
    ( v508(VarNext,bitIndex68)
    | ~ v94(VarCurr,bitIndex488)
    | ~ sP529(VarCurr,VarNext) )).

cnf(u10903,axiom,
    ( v94(VarCurr,bitIndex487)
    | ~ v508(VarNext,bitIndex67)
    | ~ sP530(VarCurr,VarNext) )).

cnf(u10904,axiom,
    ( v508(VarNext,bitIndex67)
    | ~ v94(VarCurr,bitIndex487)
    | ~ sP530(VarCurr,VarNext) )).

cnf(u10899,axiom,
    ( v94(VarCurr,bitIndex486)
    | ~ v508(VarNext,bitIndex66)
    | ~ sP531(VarCurr,VarNext) )).

cnf(u10900,axiom,
    ( v508(VarNext,bitIndex66)
    | ~ v94(VarCurr,bitIndex486)
    | ~ sP531(VarCurr,VarNext) )).

cnf(u10895,axiom,
    ( v94(VarCurr,bitIndex485)
    | ~ v508(VarNext,bitIndex65)
    | ~ sP532(VarCurr,VarNext) )).

cnf(u10896,axiom,
    ( v508(VarNext,bitIndex65)
    | ~ v94(VarCurr,bitIndex485)
    | ~ sP532(VarCurr,VarNext) )).

cnf(u10891,axiom,
    ( v94(VarCurr,bitIndex484)
    | ~ v508(VarNext,bitIndex64)
    | ~ sP533(VarCurr,VarNext) )).

cnf(u10892,axiom,
    ( v508(VarNext,bitIndex64)
    | ~ v94(VarCurr,bitIndex484)
    | ~ sP533(VarCurr,VarNext) )).

cnf(u10887,axiom,
    ( v94(VarCurr,bitIndex483)
    | ~ v508(VarNext,bitIndex63)
    | ~ sP534(VarCurr,VarNext) )).

cnf(u10888,axiom,
    ( v508(VarNext,bitIndex63)
    | ~ v94(VarCurr,bitIndex483)
    | ~ sP534(VarCurr,VarNext) )).

cnf(u10883,axiom,
    ( v94(VarCurr,bitIndex482)
    | ~ v508(VarNext,bitIndex62)
    | ~ sP535(VarCurr,VarNext) )).

cnf(u10884,axiom,
    ( v508(VarNext,bitIndex62)
    | ~ v94(VarCurr,bitIndex482)
    | ~ sP535(VarCurr,VarNext) )).

cnf(u10879,axiom,
    ( v94(VarCurr,bitIndex481)
    | ~ v508(VarNext,bitIndex61)
    | ~ sP536(VarCurr,VarNext) )).

cnf(u10880,axiom,
    ( v508(VarNext,bitIndex61)
    | ~ v94(VarCurr,bitIndex481)
    | ~ sP536(VarCurr,VarNext) )).

cnf(u10875,axiom,
    ( v94(VarCurr,bitIndex480)
    | ~ v508(VarNext,bitIndex60)
    | ~ sP537(VarCurr,VarNext) )).

cnf(u10876,axiom,
    ( v508(VarNext,bitIndex60)
    | ~ v94(VarCurr,bitIndex480)
    | ~ sP537(VarCurr,VarNext) )).

cnf(u10871,axiom,
    ( v94(VarCurr,bitIndex479)
    | ~ v508(VarNext,bitIndex59)
    | ~ sP538(VarCurr,VarNext) )).

cnf(u10872,axiom,
    ( v508(VarNext,bitIndex59)
    | ~ v94(VarCurr,bitIndex479)
    | ~ sP538(VarCurr,VarNext) )).

cnf(u10867,axiom,
    ( v94(VarCurr,bitIndex478)
    | ~ v508(VarNext,bitIndex58)
    | ~ sP539(VarCurr,VarNext) )).

cnf(u10868,axiom,
    ( v508(VarNext,bitIndex58)
    | ~ v94(VarCurr,bitIndex478)
    | ~ sP539(VarCurr,VarNext) )).

cnf(u10863,axiom,
    ( v94(VarCurr,bitIndex477)
    | ~ v508(VarNext,bitIndex57)
    | ~ sP540(VarCurr,VarNext) )).

cnf(u10864,axiom,
    ( v508(VarNext,bitIndex57)
    | ~ v94(VarCurr,bitIndex477)
    | ~ sP540(VarCurr,VarNext) )).

cnf(u10859,axiom,
    ( v94(VarCurr,bitIndex476)
    | ~ v508(VarNext,bitIndex56)
    | ~ sP541(VarCurr,VarNext) )).

cnf(u10860,axiom,
    ( v508(VarNext,bitIndex56)
    | ~ v94(VarCurr,bitIndex476)
    | ~ sP541(VarCurr,VarNext) )).

cnf(u10855,axiom,
    ( v94(VarCurr,bitIndex475)
    | ~ v508(VarNext,bitIndex55)
    | ~ sP542(VarCurr,VarNext) )).

cnf(u10856,axiom,
    ( v508(VarNext,bitIndex55)
    | ~ v94(VarCurr,bitIndex475)
    | ~ sP542(VarCurr,VarNext) )).

cnf(u10851,axiom,
    ( v94(VarCurr,bitIndex474)
    | ~ v508(VarNext,bitIndex54)
    | ~ sP543(VarCurr,VarNext) )).

cnf(u10852,axiom,
    ( v508(VarNext,bitIndex54)
    | ~ v94(VarCurr,bitIndex474)
    | ~ sP543(VarCurr,VarNext) )).

cnf(u10847,axiom,
    ( v94(VarCurr,bitIndex473)
    | ~ v508(VarNext,bitIndex53)
    | ~ sP544(VarCurr,VarNext) )).

cnf(u10848,axiom,
    ( v508(VarNext,bitIndex53)
    | ~ v94(VarCurr,bitIndex473)
    | ~ sP544(VarCurr,VarNext) )).

cnf(u10843,axiom,
    ( v94(VarCurr,bitIndex472)
    | ~ v508(VarNext,bitIndex52)
    | ~ sP545(VarCurr,VarNext) )).

cnf(u10844,axiom,
    ( v508(VarNext,bitIndex52)
    | ~ v94(VarCurr,bitIndex472)
    | ~ sP545(VarCurr,VarNext) )).

cnf(u10839,axiom,
    ( v94(VarCurr,bitIndex471)
    | ~ v508(VarNext,bitIndex51)
    | ~ sP546(VarCurr,VarNext) )).

cnf(u10840,axiom,
    ( v508(VarNext,bitIndex51)
    | ~ v94(VarCurr,bitIndex471)
    | ~ sP546(VarCurr,VarNext) )).

cnf(u10835,axiom,
    ( v94(VarCurr,bitIndex470)
    | ~ v508(VarNext,bitIndex50)
    | ~ sP547(VarCurr,VarNext) )).

cnf(u10836,axiom,
    ( v508(VarNext,bitIndex50)
    | ~ v94(VarCurr,bitIndex470)
    | ~ sP547(VarCurr,VarNext) )).

cnf(u10831,axiom,
    ( v94(VarCurr,bitIndex469)
    | ~ v508(VarNext,bitIndex49)
    | ~ sP548(VarCurr,VarNext) )).

cnf(u10832,axiom,
    ( v508(VarNext,bitIndex49)
    | ~ v94(VarCurr,bitIndex469)
    | ~ sP548(VarCurr,VarNext) )).

cnf(u10827,axiom,
    ( v94(VarCurr,bitIndex468)
    | ~ v508(VarNext,bitIndex48)
    | ~ sP549(VarCurr,VarNext) )).

cnf(u10828,axiom,
    ( v508(VarNext,bitIndex48)
    | ~ v94(VarCurr,bitIndex468)
    | ~ sP549(VarCurr,VarNext) )).

cnf(u10823,axiom,
    ( v94(VarCurr,bitIndex467)
    | ~ v508(VarNext,bitIndex47)
    | ~ sP550(VarCurr,VarNext) )).

cnf(u10824,axiom,
    ( v508(VarNext,bitIndex47)
    | ~ v94(VarCurr,bitIndex467)
    | ~ sP550(VarCurr,VarNext) )).

cnf(u10819,axiom,
    ( v94(VarCurr,bitIndex466)
    | ~ v508(VarNext,bitIndex46)
    | ~ sP551(VarCurr,VarNext) )).

cnf(u10820,axiom,
    ( v508(VarNext,bitIndex46)
    | ~ v94(VarCurr,bitIndex466)
    | ~ sP551(VarCurr,VarNext) )).

cnf(u10815,axiom,
    ( v94(VarCurr,bitIndex465)
    | ~ v508(VarNext,bitIndex45)
    | ~ sP552(VarCurr,VarNext) )).

cnf(u10816,axiom,
    ( v508(VarNext,bitIndex45)
    | ~ v94(VarCurr,bitIndex465)
    | ~ sP552(VarCurr,VarNext) )).

cnf(u10811,axiom,
    ( v94(VarCurr,bitIndex464)
    | ~ v508(VarNext,bitIndex44)
    | ~ sP553(VarCurr,VarNext) )).

cnf(u10812,axiom,
    ( v508(VarNext,bitIndex44)
    | ~ v94(VarCurr,bitIndex464)
    | ~ sP553(VarCurr,VarNext) )).

cnf(u10807,axiom,
    ( v94(VarCurr,bitIndex463)
    | ~ v508(VarNext,bitIndex43)
    | ~ sP554(VarCurr,VarNext) )).

cnf(u10808,axiom,
    ( v508(VarNext,bitIndex43)
    | ~ v94(VarCurr,bitIndex463)
    | ~ sP554(VarCurr,VarNext) )).

cnf(u10803,axiom,
    ( v94(VarCurr,bitIndex462)
    | ~ v508(VarNext,bitIndex42)
    | ~ sP555(VarCurr,VarNext) )).

cnf(u10804,axiom,
    ( v508(VarNext,bitIndex42)
    | ~ v94(VarCurr,bitIndex462)
    | ~ sP555(VarCurr,VarNext) )).

cnf(u10799,axiom,
    ( v94(VarCurr,bitIndex461)
    | ~ v508(VarNext,bitIndex41)
    | ~ sP556(VarCurr,VarNext) )).

cnf(u10800,axiom,
    ( v508(VarNext,bitIndex41)
    | ~ v94(VarCurr,bitIndex461)
    | ~ sP556(VarCurr,VarNext) )).

cnf(u10795,axiom,
    ( v94(VarCurr,bitIndex460)
    | ~ v508(VarNext,bitIndex40)
    | ~ sP557(VarCurr,VarNext) )).

cnf(u10796,axiom,
    ( v508(VarNext,bitIndex40)
    | ~ v94(VarCurr,bitIndex460)
    | ~ sP557(VarCurr,VarNext) )).

cnf(u10791,axiom,
    ( v94(VarCurr,bitIndex459)
    | ~ v508(VarNext,bitIndex39)
    | ~ sP558(VarCurr,VarNext) )).

cnf(u10792,axiom,
    ( v508(VarNext,bitIndex39)
    | ~ v94(VarCurr,bitIndex459)
    | ~ sP558(VarCurr,VarNext) )).

cnf(u10787,axiom,
    ( v94(VarCurr,bitIndex458)
    | ~ v508(VarNext,bitIndex38)
    | ~ sP559(VarCurr,VarNext) )).

cnf(u10788,axiom,
    ( v508(VarNext,bitIndex38)
    | ~ v94(VarCurr,bitIndex458)
    | ~ sP559(VarCurr,VarNext) )).

cnf(u10783,axiom,
    ( v94(VarCurr,bitIndex457)
    | ~ v508(VarNext,bitIndex37)
    | ~ sP560(VarCurr,VarNext) )).

cnf(u10784,axiom,
    ( v508(VarNext,bitIndex37)
    | ~ v94(VarCurr,bitIndex457)
    | ~ sP560(VarCurr,VarNext) )).

cnf(u10779,axiom,
    ( v94(VarCurr,bitIndex456)
    | ~ v508(VarNext,bitIndex36)
    | ~ sP561(VarCurr,VarNext) )).

cnf(u10780,axiom,
    ( v508(VarNext,bitIndex36)
    | ~ v94(VarCurr,bitIndex456)
    | ~ sP561(VarCurr,VarNext) )).

cnf(u10775,axiom,
    ( v94(VarCurr,bitIndex455)
    | ~ v508(VarNext,bitIndex35)
    | ~ sP562(VarCurr,VarNext) )).

cnf(u10776,axiom,
    ( v508(VarNext,bitIndex35)
    | ~ v94(VarCurr,bitIndex455)
    | ~ sP562(VarCurr,VarNext) )).

cnf(u10771,axiom,
    ( v94(VarCurr,bitIndex454)
    | ~ v508(VarNext,bitIndex34)
    | ~ sP563(VarCurr,VarNext) )).

cnf(u10772,axiom,
    ( v508(VarNext,bitIndex34)
    | ~ v94(VarCurr,bitIndex454)
    | ~ sP563(VarCurr,VarNext) )).

cnf(u10767,axiom,
    ( v94(VarCurr,bitIndex453)
    | ~ v508(VarNext,bitIndex33)
    | ~ sP564(VarCurr,VarNext) )).

cnf(u10768,axiom,
    ( v508(VarNext,bitIndex33)
    | ~ v94(VarCurr,bitIndex453)
    | ~ sP564(VarCurr,VarNext) )).

cnf(u10763,axiom,
    ( v94(VarCurr,bitIndex452)
    | ~ v508(VarNext,bitIndex32)
    | ~ sP565(VarCurr,VarNext) )).

cnf(u10764,axiom,
    ( v508(VarNext,bitIndex32)
    | ~ v94(VarCurr,bitIndex452)
    | ~ sP565(VarCurr,VarNext) )).

cnf(u10759,axiom,
    ( v94(VarCurr,bitIndex451)
    | ~ v508(VarNext,bitIndex31)
    | ~ sP566(VarCurr,VarNext) )).

cnf(u10760,axiom,
    ( v508(VarNext,bitIndex31)
    | ~ v94(VarCurr,bitIndex451)
    | ~ sP566(VarCurr,VarNext) )).

cnf(u10755,axiom,
    ( v94(VarCurr,bitIndex450)
    | ~ v508(VarNext,bitIndex30)
    | ~ sP567(VarCurr,VarNext) )).

cnf(u10756,axiom,
    ( v508(VarNext,bitIndex30)
    | ~ v94(VarCurr,bitIndex450)
    | ~ sP567(VarCurr,VarNext) )).

cnf(u10751,axiom,
    ( v94(VarCurr,bitIndex449)
    | ~ v508(VarNext,bitIndex29)
    | ~ sP568(VarCurr,VarNext) )).

cnf(u10752,axiom,
    ( v508(VarNext,bitIndex29)
    | ~ v94(VarCurr,bitIndex449)
    | ~ sP568(VarCurr,VarNext) )).

cnf(u10747,axiom,
    ( v94(VarCurr,bitIndex448)
    | ~ v508(VarNext,bitIndex28)
    | ~ sP569(VarCurr,VarNext) )).

cnf(u10748,axiom,
    ( v508(VarNext,bitIndex28)
    | ~ v94(VarCurr,bitIndex448)
    | ~ sP569(VarCurr,VarNext) )).

cnf(u10743,axiom,
    ( v94(VarCurr,bitIndex447)
    | ~ v508(VarNext,bitIndex27)
    | ~ sP570(VarCurr,VarNext) )).

cnf(u10744,axiom,
    ( v508(VarNext,bitIndex27)
    | ~ v94(VarCurr,bitIndex447)
    | ~ sP570(VarCurr,VarNext) )).

cnf(u10739,axiom,
    ( v94(VarCurr,bitIndex446)
    | ~ v508(VarNext,bitIndex26)
    | ~ sP571(VarCurr,VarNext) )).

cnf(u10740,axiom,
    ( v508(VarNext,bitIndex26)
    | ~ v94(VarCurr,bitIndex446)
    | ~ sP571(VarCurr,VarNext) )).

cnf(u10735,axiom,
    ( v94(VarCurr,bitIndex445)
    | ~ v508(VarNext,bitIndex25)
    | ~ sP572(VarCurr,VarNext) )).

cnf(u10736,axiom,
    ( v508(VarNext,bitIndex25)
    | ~ v94(VarCurr,bitIndex445)
    | ~ sP572(VarCurr,VarNext) )).

cnf(u10731,axiom,
    ( v94(VarCurr,bitIndex444)
    | ~ v508(VarNext,bitIndex24)
    | ~ sP573(VarCurr,VarNext) )).

cnf(u10732,axiom,
    ( v508(VarNext,bitIndex24)
    | ~ v94(VarCurr,bitIndex444)
    | ~ sP573(VarCurr,VarNext) )).

cnf(u10727,axiom,
    ( v94(VarCurr,bitIndex443)
    | ~ v508(VarNext,bitIndex23)
    | ~ sP574(VarCurr,VarNext) )).

cnf(u10728,axiom,
    ( v508(VarNext,bitIndex23)
    | ~ v94(VarCurr,bitIndex443)
    | ~ sP574(VarCurr,VarNext) )).

cnf(u10723,axiom,
    ( v94(VarCurr,bitIndex442)
    | ~ v508(VarNext,bitIndex22)
    | ~ sP575(VarCurr,VarNext) )).

cnf(u10724,axiom,
    ( v508(VarNext,bitIndex22)
    | ~ v94(VarCurr,bitIndex442)
    | ~ sP575(VarCurr,VarNext) )).

cnf(u10719,axiom,
    ( v94(VarCurr,bitIndex441)
    | ~ v508(VarNext,bitIndex21)
    | ~ sP576(VarCurr,VarNext) )).

cnf(u10720,axiom,
    ( v508(VarNext,bitIndex21)
    | ~ v94(VarCurr,bitIndex441)
    | ~ sP576(VarCurr,VarNext) )).

cnf(u10715,axiom,
    ( v94(VarCurr,bitIndex440)
    | ~ v508(VarNext,bitIndex20)
    | ~ sP577(VarCurr,VarNext) )).

cnf(u10716,axiom,
    ( v508(VarNext,bitIndex20)
    | ~ v94(VarCurr,bitIndex440)
    | ~ sP577(VarCurr,VarNext) )).

cnf(u10711,axiom,
    ( v94(VarCurr,bitIndex439)
    | ~ v508(VarNext,bitIndex19)
    | ~ sP578(VarCurr,VarNext) )).

cnf(u10712,axiom,
    ( v508(VarNext,bitIndex19)
    | ~ v94(VarCurr,bitIndex439)
    | ~ sP578(VarCurr,VarNext) )).

cnf(u10707,axiom,
    ( v94(VarCurr,bitIndex438)
    | ~ v508(VarNext,bitIndex18)
    | ~ sP579(VarCurr,VarNext) )).

cnf(u10708,axiom,
    ( v508(VarNext,bitIndex18)
    | ~ v94(VarCurr,bitIndex438)
    | ~ sP579(VarCurr,VarNext) )).

cnf(u10703,axiom,
    ( v94(VarCurr,bitIndex437)
    | ~ v508(VarNext,bitIndex17)
    | ~ sP580(VarCurr,VarNext) )).

cnf(u10704,axiom,
    ( v508(VarNext,bitIndex17)
    | ~ v94(VarCurr,bitIndex437)
    | ~ sP580(VarCurr,VarNext) )).

cnf(u10699,axiom,
    ( v94(VarCurr,bitIndex436)
    | ~ v508(VarNext,bitIndex16)
    | ~ sP581(VarCurr,VarNext) )).

cnf(u10700,axiom,
    ( v508(VarNext,bitIndex16)
    | ~ v94(VarCurr,bitIndex436)
    | ~ sP581(VarCurr,VarNext) )).

cnf(u10695,axiom,
    ( v94(VarCurr,bitIndex435)
    | ~ v508(VarNext,bitIndex15)
    | ~ sP582(VarCurr,VarNext) )).

cnf(u10696,axiom,
    ( v508(VarNext,bitIndex15)
    | ~ v94(VarCurr,bitIndex435)
    | ~ sP582(VarCurr,VarNext) )).

cnf(u10691,axiom,
    ( v94(VarCurr,bitIndex434)
    | ~ v508(VarNext,bitIndex14)
    | ~ sP583(VarCurr,VarNext) )).

cnf(u10692,axiom,
    ( v508(VarNext,bitIndex14)
    | ~ v94(VarCurr,bitIndex434)
    | ~ sP583(VarCurr,VarNext) )).

cnf(u10687,axiom,
    ( v94(VarCurr,bitIndex433)
    | ~ v508(VarNext,bitIndex13)
    | ~ sP584(VarCurr,VarNext) )).

cnf(u10688,axiom,
    ( v508(VarNext,bitIndex13)
    | ~ v94(VarCurr,bitIndex433)
    | ~ sP584(VarCurr,VarNext) )).

cnf(u10683,axiom,
    ( v94(VarCurr,bitIndex432)
    | ~ v508(VarNext,bitIndex12)
    | ~ sP585(VarCurr,VarNext) )).

cnf(u10684,axiom,
    ( v508(VarNext,bitIndex12)
    | ~ v94(VarCurr,bitIndex432)
    | ~ sP585(VarCurr,VarNext) )).

cnf(u10679,axiom,
    ( v94(VarCurr,bitIndex431)
    | ~ v508(VarNext,bitIndex11)
    | ~ sP586(VarCurr,VarNext) )).

cnf(u10680,axiom,
    ( v508(VarNext,bitIndex11)
    | ~ v94(VarCurr,bitIndex431)
    | ~ sP586(VarCurr,VarNext) )).

cnf(u10675,axiom,
    ( v94(VarCurr,bitIndex430)
    | ~ v508(VarNext,bitIndex10)
    | ~ sP587(VarCurr,VarNext) )).

cnf(u10676,axiom,
    ( v508(VarNext,bitIndex10)
    | ~ v94(VarCurr,bitIndex430)
    | ~ sP587(VarCurr,VarNext) )).

cnf(u10671,axiom,
    ( v94(VarCurr,bitIndex429)
    | ~ v508(VarNext,bitIndex9)
    | ~ sP588(VarCurr,VarNext) )).

cnf(u10672,axiom,
    ( v508(VarNext,bitIndex9)
    | ~ v94(VarCurr,bitIndex429)
    | ~ sP588(VarCurr,VarNext) )).

cnf(u10667,axiom,
    ( v94(VarCurr,bitIndex428)
    | ~ v508(VarNext,bitIndex8)
    | ~ sP589(VarCurr,VarNext) )).

cnf(u10668,axiom,
    ( v508(VarNext,bitIndex8)
    | ~ v94(VarCurr,bitIndex428)
    | ~ sP589(VarCurr,VarNext) )).

cnf(u10663,axiom,
    ( v94(VarCurr,bitIndex427)
    | ~ v508(VarNext,bitIndex7)
    | ~ sP590(VarCurr,VarNext) )).

cnf(u10664,axiom,
    ( v508(VarNext,bitIndex7)
    | ~ v94(VarCurr,bitIndex427)
    | ~ sP590(VarCurr,VarNext) )).

cnf(u10659,axiom,
    ( v94(VarCurr,bitIndex426)
    | ~ v508(VarNext,bitIndex6)
    | ~ sP591(VarCurr,VarNext) )).

cnf(u10660,axiom,
    ( v508(VarNext,bitIndex6)
    | ~ v94(VarCurr,bitIndex426)
    | ~ sP591(VarCurr,VarNext) )).

cnf(u10655,axiom,
    ( v94(VarCurr,bitIndex425)
    | ~ v508(VarNext,bitIndex5)
    | ~ sP592(VarCurr,VarNext) )).

cnf(u10656,axiom,
    ( v508(VarNext,bitIndex5)
    | ~ v94(VarCurr,bitIndex425)
    | ~ sP592(VarCurr,VarNext) )).

cnf(u10651,axiom,
    ( v94(VarCurr,bitIndex424)
    | ~ v508(VarNext,bitIndex4)
    | ~ sP593(VarCurr,VarNext) )).

cnf(u10652,axiom,
    ( v508(VarNext,bitIndex4)
    | ~ v94(VarCurr,bitIndex424)
    | ~ sP593(VarCurr,VarNext) )).

cnf(u10647,axiom,
    ( v94(VarCurr,bitIndex423)
    | ~ v508(VarNext,bitIndex3)
    | ~ sP594(VarCurr,VarNext) )).

cnf(u10648,axiom,
    ( v508(VarNext,bitIndex3)
    | ~ v94(VarCurr,bitIndex423)
    | ~ sP594(VarCurr,VarNext) )).

cnf(u10643,axiom,
    ( v94(VarCurr,bitIndex422)
    | ~ v508(VarNext,bitIndex2)
    | ~ sP595(VarCurr,VarNext) )).

cnf(u10644,axiom,
    ( v508(VarNext,bitIndex2)
    | ~ v94(VarCurr,bitIndex422)
    | ~ sP595(VarCurr,VarNext) )).

cnf(u10639,axiom,
    ( v94(VarCurr,bitIndex421)
    | ~ v508(VarNext,bitIndex1)
    | ~ sP596(VarCurr,VarNext) )).

cnf(u10640,axiom,
    ( v508(VarNext,bitIndex1)
    | ~ v94(VarCurr,bitIndex421)
    | ~ sP596(VarCurr,VarNext) )).

cnf(u10635,axiom,
    ( v94(VarCurr,bitIndex420)
    | ~ v508(VarNext,bitIndex0)
    | ~ sP597(VarCurr,VarNext) )).

cnf(u10636,axiom,
    ( v508(VarNext,bitIndex0)
    | ~ v94(VarCurr,bitIndex420)
    | ~ sP597(VarCurr,VarNext) )).

cnf(u10563,axiom,
    ( sP528(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10564,axiom,
    ( sP529(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10565,axiom,
    ( sP530(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10566,axiom,
    ( sP531(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10567,axiom,
    ( sP532(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10568,axiom,
    ( sP533(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10569,axiom,
    ( sP534(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10570,axiom,
    ( sP535(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10571,axiom,
    ( sP536(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10572,axiom,
    ( sP537(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10573,axiom,
    ( sP538(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10574,axiom,
    ( sP539(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10575,axiom,
    ( sP540(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10576,axiom,
    ( sP541(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10577,axiom,
    ( sP542(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10578,axiom,
    ( sP543(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10579,axiom,
    ( sP544(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10580,axiom,
    ( sP545(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10581,axiom,
    ( sP546(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10582,axiom,
    ( sP547(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10583,axiom,
    ( sP548(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10584,axiom,
    ( sP549(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10585,axiom,
    ( sP550(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10586,axiom,
    ( sP551(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10587,axiom,
    ( sP552(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10588,axiom,
    ( sP553(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10589,axiom,
    ( sP554(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10590,axiom,
    ( sP555(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10591,axiom,
    ( sP556(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10592,axiom,
    ( sP557(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10593,axiom,
    ( sP558(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10594,axiom,
    ( sP559(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10595,axiom,
    ( sP560(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10596,axiom,
    ( sP561(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10597,axiom,
    ( sP562(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10598,axiom,
    ( sP563(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10599,axiom,
    ( sP564(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10600,axiom,
    ( sP565(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10601,axiom,
    ( sP566(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10602,axiom,
    ( sP567(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10603,axiom,
    ( sP568(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10604,axiom,
    ( sP569(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10605,axiom,
    ( sP570(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10606,axiom,
    ( sP571(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10607,axiom,
    ( sP572(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10608,axiom,
    ( sP573(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10609,axiom,
    ( sP574(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10610,axiom,
    ( sP575(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10611,axiom,
    ( sP576(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10612,axiom,
    ( sP577(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10613,axiom,
    ( sP578(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10614,axiom,
    ( sP579(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10615,axiom,
    ( sP580(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10616,axiom,
    ( sP581(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10617,axiom,
    ( sP582(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10618,axiom,
    ( sP583(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10619,axiom,
    ( sP584(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10620,axiom,
    ( sP585(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10621,axiom,
    ( sP586(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10622,axiom,
    ( sP587(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10623,axiom,
    ( sP588(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10624,axiom,
    ( sP589(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10625,axiom,
    ( sP590(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10626,axiom,
    ( sP591(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10627,axiom,
    ( sP592(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10628,axiom,
    ( sP593(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10629,axiom,
    ( sP594(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10630,axiom,
    ( sP595(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10631,axiom,
    ( sP596(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10632,axiom,
    ( sP597(VarCurr,VarNext)
    | ~ sP598(VarCurr,VarNext) )).

cnf(u10561,axiom,
    ( sP598(VarCurr,VarNext)
    | v510(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10473,axiom,
    ( v508(VarNext,bitIndex69)
    | ~ v94(VarNext,bitIndex489) )).

cnf(u10474,axiom,
    ( v94(VarNext,bitIndex489)
    | ~ v508(VarNext,bitIndex69) )).

cnf(u10475,axiom,
    ( v508(VarNext,bitIndex68)
    | ~ v94(VarNext,bitIndex488) )).

cnf(u10476,axiom,
    ( v94(VarNext,bitIndex488)
    | ~ v508(VarNext,bitIndex68) )).

cnf(u10477,axiom,
    ( v508(VarNext,bitIndex67)
    | ~ v94(VarNext,bitIndex487) )).

cnf(u10478,axiom,
    ( v94(VarNext,bitIndex487)
    | ~ v508(VarNext,bitIndex67) )).

cnf(u10479,axiom,
    ( v508(VarNext,bitIndex66)
    | ~ v94(VarNext,bitIndex486) )).

cnf(u10480,axiom,
    ( v94(VarNext,bitIndex486)
    | ~ v508(VarNext,bitIndex66) )).

cnf(u10481,axiom,
    ( v508(VarNext,bitIndex65)
    | ~ v94(VarNext,bitIndex485) )).

cnf(u10482,axiom,
    ( v94(VarNext,bitIndex485)
    | ~ v508(VarNext,bitIndex65) )).

cnf(u10483,axiom,
    ( v508(VarNext,bitIndex64)
    | ~ v94(VarNext,bitIndex484) )).

cnf(u10484,axiom,
    ( v94(VarNext,bitIndex484)
    | ~ v508(VarNext,bitIndex64) )).

cnf(u10485,axiom,
    ( v508(VarNext,bitIndex63)
    | ~ v94(VarNext,bitIndex483) )).

cnf(u10486,axiom,
    ( v94(VarNext,bitIndex483)
    | ~ v508(VarNext,bitIndex63) )).

cnf(u10457,axiom,
    ( v94(VarCurr,bitIndex559)
    | ~ v241(VarCurr,bitIndex69) )).

cnf(u10458,axiom,
    ( v241(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex559) )).

cnf(u10459,axiom,
    ( v94(VarCurr,bitIndex558)
    | ~ v241(VarCurr,bitIndex68) )).

cnf(u10460,axiom,
    ( v241(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex558) )).

cnf(u10461,axiom,
    ( v94(VarCurr,bitIndex557)
    | ~ v241(VarCurr,bitIndex67) )).

cnf(u10462,axiom,
    ( v241(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex557) )).

cnf(u10463,axiom,
    ( v94(VarCurr,bitIndex556)
    | ~ v241(VarCurr,bitIndex66) )).

cnf(u10464,axiom,
    ( v241(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex556) )).

cnf(u10465,axiom,
    ( v94(VarCurr,bitIndex555)
    | ~ v241(VarCurr,bitIndex65) )).

cnf(u10466,axiom,
    ( v241(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex555) )).

cnf(u10467,axiom,
    ( v94(VarCurr,bitIndex554)
    | ~ v241(VarCurr,bitIndex64) )).

cnf(u10468,axiom,
    ( v241(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex554) )).

cnf(u10469,axiom,
    ( v94(VarCurr,bitIndex553)
    | ~ v241(VarCurr,bitIndex63) )).

cnf(u10470,axiom,
    ( v241(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex553) )).

cnf(u10453,axiom,
    ( v242(VarCurr,B)
    | ~ v237(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10454,axiom,
    ( v237(VarCurr,B)
    | ~ v242(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10437,axiom,
    ( v94(VarCurr,bitIndex489)
    | ~ v248(VarCurr,bitIndex69) )).

cnf(u10438,axiom,
    ( v248(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex489) )).

cnf(u10439,axiom,
    ( v94(VarCurr,bitIndex488)
    | ~ v248(VarCurr,bitIndex68) )).

cnf(u10440,axiom,
    ( v248(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex488) )).

cnf(u10441,axiom,
    ( v94(VarCurr,bitIndex487)
    | ~ v248(VarCurr,bitIndex67) )).

cnf(u10442,axiom,
    ( v248(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex487) )).

cnf(u10443,axiom,
    ( v94(VarCurr,bitIndex486)
    | ~ v248(VarCurr,bitIndex66) )).

cnf(u10444,axiom,
    ( v248(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex486) )).

cnf(u10445,axiom,
    ( v94(VarCurr,bitIndex485)
    | ~ v248(VarCurr,bitIndex65) )).

cnf(u10446,axiom,
    ( v248(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex485) )).

cnf(u10447,axiom,
    ( v94(VarCurr,bitIndex484)
    | ~ v248(VarCurr,bitIndex64) )).

cnf(u10448,axiom,
    ( v248(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex484) )).

cnf(u10449,axiom,
    ( v94(VarCurr,bitIndex483)
    | ~ v248(VarCurr,bitIndex63) )).

cnf(u10450,axiom,
    ( v248(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex483) )).

cnf(u10433,axiom,
    ( v249(VarCurr,B)
    | ~ v244(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10434,axiom,
    ( v244(VarCurr,B)
    | ~ v249(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u10429,axiom,
    ( v119(VarNext)
    | v521(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10430,axiom,
    ( ~ v521(VarNext)
    | ~ v119(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10424,axiom,
    ( v1(VarNext)
    | ~ v519(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10425,axiom,
    ( v521(VarNext)
    | ~ v519(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10426,axiom,
    ( v519(VarNext)
    | ~ v521(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10418,axiom,
    ( v519(VarNext)
    | ~ v518(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10419,axiom,
    ( v260(VarNext)
    | ~ v518(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10420,axiom,
    ( v518(VarNext)
    | ~ v260(VarNext)
    | ~ v519(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u10413,axiom,
    ( v278(VarNext,B)
    | ~ v516(VarNext,B)
    | ~ v518(VarNext) )).

cnf(u10414,axiom,
    ( v516(VarNext,B)
    | ~ v278(VarNext,B)
    | ~ v518(VarNext) )).

cnf(u10409,axiom,
    ( v94(VarCurr,bitIndex559)
    | ~ v516(VarNext,bitIndex69)
    | ~ sP457(VarCurr,VarNext) )).

cnf(u10410,axiom,
    ( v516(VarNext,bitIndex69)
    | ~ v94(VarCurr,bitIndex559)
    | ~ sP457(VarCurr,VarNext) )).

cnf(u10405,axiom,
    ( v94(VarCurr,bitIndex558)
    | ~ v516(VarNext,bitIndex68)
    | ~ sP458(VarCurr,VarNext) )).

cnf(u10406,axiom,
    ( v516(VarNext,bitIndex68)
    | ~ v94(VarCurr,bitIndex558)
    | ~ sP458(VarCurr,VarNext) )).

cnf(u10401,axiom,
    ( v94(VarCurr,bitIndex557)
    | ~ v516(VarNext,bitIndex67)
    | ~ sP459(VarCurr,VarNext) )).

cnf(u10402,axiom,
    ( v516(VarNext,bitIndex67)
    | ~ v94(VarCurr,bitIndex557)
    | ~ sP459(VarCurr,VarNext) )).

cnf(u10397,axiom,
    ( v94(VarCurr,bitIndex556)
    | ~ v516(VarNext,bitIndex66)
    | ~ sP460(VarCurr,VarNext) )).

cnf(u10398,axiom,
    ( v516(VarNext,bitIndex66)
    | ~ v94(VarCurr,bitIndex556)
    | ~ sP460(VarCurr,VarNext) )).

cnf(u10393,axiom,
    ( v94(VarCurr,bitIndex555)
    | ~ v516(VarNext,bitIndex65)
    | ~ sP461(VarCurr,VarNext) )).

cnf(u10394,axiom,
    ( v516(VarNext,bitIndex65)
    | ~ v94(VarCurr,bitIndex555)
    | ~ sP461(VarCurr,VarNext) )).

cnf(u10389,axiom,
    ( v94(VarCurr,bitIndex554)
    | ~ v516(VarNext,bitIndex64)
    | ~ sP462(VarCurr,VarNext) )).

cnf(u10390,axiom,
    ( v516(VarNext,bitIndex64)
    | ~ v94(VarCurr,bitIndex554)
    | ~ sP462(VarCurr,VarNext) )).

cnf(u10385,axiom,
    ( v94(VarCurr,bitIndex553)
    | ~ v516(VarNext,bitIndex63)
    | ~ sP463(VarCurr,VarNext) )).

cnf(u10386,axiom,
    ( v516(VarNext,bitIndex63)
    | ~ v94(VarCurr,bitIndex553)
    | ~ sP463(VarCurr,VarNext) )).

cnf(u10381,axiom,
    ( v94(VarCurr,bitIndex552)
    | ~ v516(VarNext,bitIndex62)
    | ~ sP464(VarCurr,VarNext) )).

cnf(u10382,axiom,
    ( v516(VarNext,bitIndex62)
    | ~ v94(VarCurr,bitIndex552)
    | ~ sP464(VarCurr,VarNext) )).

cnf(u10377,axiom,
    ( v94(VarCurr,bitIndex551)
    | ~ v516(VarNext,bitIndex61)
    | ~ sP465(VarCurr,VarNext) )).

cnf(u10378,axiom,
    ( v516(VarNext,bitIndex61)
    | ~ v94(VarCurr,bitIndex551)
    | ~ sP465(VarCurr,VarNext) )).

cnf(u10373,axiom,
    ( v94(VarCurr,bitIndex550)
    | ~ v516(VarNext,bitIndex60)
    | ~ sP466(VarCurr,VarNext) )).

cnf(u10374,axiom,
    ( v516(VarNext,bitIndex60)
    | ~ v94(VarCurr,bitIndex550)
    | ~ sP466(VarCurr,VarNext) )).

cnf(u10369,axiom,
    ( v94(VarCurr,bitIndex549)
    | ~ v516(VarNext,bitIndex59)
    | ~ sP467(VarCurr,VarNext) )).

cnf(u10370,axiom,
    ( v516(VarNext,bitIndex59)
    | ~ v94(VarCurr,bitIndex549)
    | ~ sP467(VarCurr,VarNext) )).

cnf(u10365,axiom,
    ( v94(VarCurr,bitIndex548)
    | ~ v516(VarNext,bitIndex58)
    | ~ sP468(VarCurr,VarNext) )).

cnf(u10366,axiom,
    ( v516(VarNext,bitIndex58)
    | ~ v94(VarCurr,bitIndex548)
    | ~ sP468(VarCurr,VarNext) )).

cnf(u10361,axiom,
    ( v94(VarCurr,bitIndex547)
    | ~ v516(VarNext,bitIndex57)
    | ~ sP469(VarCurr,VarNext) )).

cnf(u10362,axiom,
    ( v516(VarNext,bitIndex57)
    | ~ v94(VarCurr,bitIndex547)
    | ~ sP469(VarCurr,VarNext) )).

cnf(u10357,axiom,
    ( v94(VarCurr,bitIndex546)
    | ~ v516(VarNext,bitIndex56)
    | ~ sP470(VarCurr,VarNext) )).

cnf(u10358,axiom,
    ( v516(VarNext,bitIndex56)
    | ~ v94(VarCurr,bitIndex546)
    | ~ sP470(VarCurr,VarNext) )).

cnf(u10353,axiom,
    ( v94(VarCurr,bitIndex545)
    | ~ v516(VarNext,bitIndex55)
    | ~ sP471(VarCurr,VarNext) )).

cnf(u10354,axiom,
    ( v516(VarNext,bitIndex55)
    | ~ v94(VarCurr,bitIndex545)
    | ~ sP471(VarCurr,VarNext) )).

cnf(u10349,axiom,
    ( v94(VarCurr,bitIndex544)
    | ~ v516(VarNext,bitIndex54)
    | ~ sP472(VarCurr,VarNext) )).

cnf(u10350,axiom,
    ( v516(VarNext,bitIndex54)
    | ~ v94(VarCurr,bitIndex544)
    | ~ sP472(VarCurr,VarNext) )).

cnf(u10345,axiom,
    ( v94(VarCurr,bitIndex543)
    | ~ v516(VarNext,bitIndex53)
    | ~ sP473(VarCurr,VarNext) )).

cnf(u10346,axiom,
    ( v516(VarNext,bitIndex53)
    | ~ v94(VarCurr,bitIndex543)
    | ~ sP473(VarCurr,VarNext) )).

cnf(u10341,axiom,
    ( v94(VarCurr,bitIndex542)
    | ~ v516(VarNext,bitIndex52)
    | ~ sP474(VarCurr,VarNext) )).

cnf(u10342,axiom,
    ( v516(VarNext,bitIndex52)
    | ~ v94(VarCurr,bitIndex542)
    | ~ sP474(VarCurr,VarNext) )).

cnf(u10337,axiom,
    ( v94(VarCurr,bitIndex541)
    | ~ v516(VarNext,bitIndex51)
    | ~ sP475(VarCurr,VarNext) )).

cnf(u10338,axiom,
    ( v516(VarNext,bitIndex51)
    | ~ v94(VarCurr,bitIndex541)
    | ~ sP475(VarCurr,VarNext) )).

cnf(u10333,axiom,
    ( v94(VarCurr,bitIndex540)
    | ~ v516(VarNext,bitIndex50)
    | ~ sP476(VarCurr,VarNext) )).

cnf(u10334,axiom,
    ( v516(VarNext,bitIndex50)
    | ~ v94(VarCurr,bitIndex540)
    | ~ sP476(VarCurr,VarNext) )).

cnf(u10329,axiom,
    ( v94(VarCurr,bitIndex539)
    | ~ v516(VarNext,bitIndex49)
    | ~ sP477(VarCurr,VarNext) )).

cnf(u10330,axiom,
    ( v516(VarNext,bitIndex49)
    | ~ v94(VarCurr,bitIndex539)
    | ~ sP477(VarCurr,VarNext) )).

cnf(u10325,axiom,
    ( v94(VarCurr,bitIndex538)
    | ~ v516(VarNext,bitIndex48)
    | ~ sP478(VarCurr,VarNext) )).

cnf(u10326,axiom,
    ( v516(VarNext,bitIndex48)
    | ~ v94(VarCurr,bitIndex538)
    | ~ sP478(VarCurr,VarNext) )).

cnf(u10321,axiom,
    ( v94(VarCurr,bitIndex537)
    | ~ v516(VarNext,bitIndex47)
    | ~ sP479(VarCurr,VarNext) )).

cnf(u10322,axiom,
    ( v516(VarNext,bitIndex47)
    | ~ v94(VarCurr,bitIndex537)
    | ~ sP479(VarCurr,VarNext) )).

cnf(u10317,axiom,
    ( v94(VarCurr,bitIndex536)
    | ~ v516(VarNext,bitIndex46)
    | ~ sP480(VarCurr,VarNext) )).

cnf(u10318,axiom,
    ( v516(VarNext,bitIndex46)
    | ~ v94(VarCurr,bitIndex536)
    | ~ sP480(VarCurr,VarNext) )).

cnf(u10313,axiom,
    ( v94(VarCurr,bitIndex535)
    | ~ v516(VarNext,bitIndex45)
    | ~ sP481(VarCurr,VarNext) )).

cnf(u10314,axiom,
    ( v516(VarNext,bitIndex45)
    | ~ v94(VarCurr,bitIndex535)
    | ~ sP481(VarCurr,VarNext) )).

cnf(u10309,axiom,
    ( v94(VarCurr,bitIndex534)
    | ~ v516(VarNext,bitIndex44)
    | ~ sP482(VarCurr,VarNext) )).

cnf(u10310,axiom,
    ( v516(VarNext,bitIndex44)
    | ~ v94(VarCurr,bitIndex534)
    | ~ sP482(VarCurr,VarNext) )).

cnf(u10305,axiom,
    ( v94(VarCurr,bitIndex533)
    | ~ v516(VarNext,bitIndex43)
    | ~ sP483(VarCurr,VarNext) )).

cnf(u10306,axiom,
    ( v516(VarNext,bitIndex43)
    | ~ v94(VarCurr,bitIndex533)
    | ~ sP483(VarCurr,VarNext) )).

cnf(u10301,axiom,
    ( v94(VarCurr,bitIndex532)
    | ~ v516(VarNext,bitIndex42)
    | ~ sP484(VarCurr,VarNext) )).

cnf(u10302,axiom,
    ( v516(VarNext,bitIndex42)
    | ~ v94(VarCurr,bitIndex532)
    | ~ sP484(VarCurr,VarNext) )).

cnf(u10297,axiom,
    ( v94(VarCurr,bitIndex531)
    | ~ v516(VarNext,bitIndex41)
    | ~ sP485(VarCurr,VarNext) )).

cnf(u10298,axiom,
    ( v516(VarNext,bitIndex41)
    | ~ v94(VarCurr,bitIndex531)
    | ~ sP485(VarCurr,VarNext) )).

cnf(u10293,axiom,
    ( v94(VarCurr,bitIndex530)
    | ~ v516(VarNext,bitIndex40)
    | ~ sP486(VarCurr,VarNext) )).

cnf(u10294,axiom,
    ( v516(VarNext,bitIndex40)
    | ~ v94(VarCurr,bitIndex530)
    | ~ sP486(VarCurr,VarNext) )).

cnf(u10289,axiom,
    ( v94(VarCurr,bitIndex529)
    | ~ v516(VarNext,bitIndex39)
    | ~ sP487(VarCurr,VarNext) )).

cnf(u10290,axiom,
    ( v516(VarNext,bitIndex39)
    | ~ v94(VarCurr,bitIndex529)
    | ~ sP487(VarCurr,VarNext) )).

cnf(u10285,axiom,
    ( v94(VarCurr,bitIndex528)
    | ~ v516(VarNext,bitIndex38)
    | ~ sP488(VarCurr,VarNext) )).

cnf(u10286,axiom,
    ( v516(VarNext,bitIndex38)
    | ~ v94(VarCurr,bitIndex528)
    | ~ sP488(VarCurr,VarNext) )).

cnf(u10281,axiom,
    ( v94(VarCurr,bitIndex527)
    | ~ v516(VarNext,bitIndex37)
    | ~ sP489(VarCurr,VarNext) )).

cnf(u10282,axiom,
    ( v516(VarNext,bitIndex37)
    | ~ v94(VarCurr,bitIndex527)
    | ~ sP489(VarCurr,VarNext) )).

cnf(u10277,axiom,
    ( v94(VarCurr,bitIndex526)
    | ~ v516(VarNext,bitIndex36)
    | ~ sP490(VarCurr,VarNext) )).

cnf(u10278,axiom,
    ( v516(VarNext,bitIndex36)
    | ~ v94(VarCurr,bitIndex526)
    | ~ sP490(VarCurr,VarNext) )).

cnf(u10273,axiom,
    ( v94(VarCurr,bitIndex525)
    | ~ v516(VarNext,bitIndex35)
    | ~ sP491(VarCurr,VarNext) )).

cnf(u10274,axiom,
    ( v516(VarNext,bitIndex35)
    | ~ v94(VarCurr,bitIndex525)
    | ~ sP491(VarCurr,VarNext) )).

cnf(u10269,axiom,
    ( v94(VarCurr,bitIndex524)
    | ~ v516(VarNext,bitIndex34)
    | ~ sP492(VarCurr,VarNext) )).

cnf(u10270,axiom,
    ( v516(VarNext,bitIndex34)
    | ~ v94(VarCurr,bitIndex524)
    | ~ sP492(VarCurr,VarNext) )).

cnf(u10265,axiom,
    ( v94(VarCurr,bitIndex523)
    | ~ v516(VarNext,bitIndex33)
    | ~ sP493(VarCurr,VarNext) )).

cnf(u10266,axiom,
    ( v516(VarNext,bitIndex33)
    | ~ v94(VarCurr,bitIndex523)
    | ~ sP493(VarCurr,VarNext) )).

cnf(u10261,axiom,
    ( v94(VarCurr,bitIndex522)
    | ~ v516(VarNext,bitIndex32)
    | ~ sP494(VarCurr,VarNext) )).

cnf(u10262,axiom,
    ( v516(VarNext,bitIndex32)
    | ~ v94(VarCurr,bitIndex522)
    | ~ sP494(VarCurr,VarNext) )).

cnf(u10257,axiom,
    ( v94(VarCurr,bitIndex521)
    | ~ v516(VarNext,bitIndex31)
    | ~ sP495(VarCurr,VarNext) )).

cnf(u10258,axiom,
    ( v516(VarNext,bitIndex31)
    | ~ v94(VarCurr,bitIndex521)
    | ~ sP495(VarCurr,VarNext) )).

cnf(u10253,axiom,
    ( v94(VarCurr,bitIndex520)
    | ~ v516(VarNext,bitIndex30)
    | ~ sP496(VarCurr,VarNext) )).

cnf(u10254,axiom,
    ( v516(VarNext,bitIndex30)
    | ~ v94(VarCurr,bitIndex520)
    | ~ sP496(VarCurr,VarNext) )).

cnf(u10249,axiom,
    ( v94(VarCurr,bitIndex519)
    | ~ v516(VarNext,bitIndex29)
    | ~ sP497(VarCurr,VarNext) )).

cnf(u10250,axiom,
    ( v516(VarNext,bitIndex29)
    | ~ v94(VarCurr,bitIndex519)
    | ~ sP497(VarCurr,VarNext) )).

cnf(u10245,axiom,
    ( v94(VarCurr,bitIndex518)
    | ~ v516(VarNext,bitIndex28)
    | ~ sP498(VarCurr,VarNext) )).

cnf(u10246,axiom,
    ( v516(VarNext,bitIndex28)
    | ~ v94(VarCurr,bitIndex518)
    | ~ sP498(VarCurr,VarNext) )).

cnf(u10241,axiom,
    ( v94(VarCurr,bitIndex517)
    | ~ v516(VarNext,bitIndex27)
    | ~ sP499(VarCurr,VarNext) )).

cnf(u10242,axiom,
    ( v516(VarNext,bitIndex27)
    | ~ v94(VarCurr,bitIndex517)
    | ~ sP499(VarCurr,VarNext) )).

cnf(u10237,axiom,
    ( v94(VarCurr,bitIndex516)
    | ~ v516(VarNext,bitIndex26)
    | ~ sP500(VarCurr,VarNext) )).

cnf(u10238,axiom,
    ( v516(VarNext,bitIndex26)
    | ~ v94(VarCurr,bitIndex516)
    | ~ sP500(VarCurr,VarNext) )).

cnf(u10233,axiom,
    ( v94(VarCurr,bitIndex515)
    | ~ v516(VarNext,bitIndex25)
    | ~ sP501(VarCurr,VarNext) )).

cnf(u10234,axiom,
    ( v516(VarNext,bitIndex25)
    | ~ v94(VarCurr,bitIndex515)
    | ~ sP501(VarCurr,VarNext) )).

cnf(u10229,axiom,
    ( v94(VarCurr,bitIndex514)
    | ~ v516(VarNext,bitIndex24)
    | ~ sP502(VarCurr,VarNext) )).

cnf(u10230,axiom,
    ( v516(VarNext,bitIndex24)
    | ~ v94(VarCurr,bitIndex514)
    | ~ sP502(VarCurr,VarNext) )).

cnf(u10225,axiom,
    ( v94(VarCurr,bitIndex513)
    | ~ v516(VarNext,bitIndex23)
    | ~ sP503(VarCurr,VarNext) )).

cnf(u10226,axiom,
    ( v516(VarNext,bitIndex23)
    | ~ v94(VarCurr,bitIndex513)
    | ~ sP503(VarCurr,VarNext) )).

cnf(u10221,axiom,
    ( v94(VarCurr,bitIndex512)
    | ~ v516(VarNext,bitIndex22)
    | ~ sP504(VarCurr,VarNext) )).

cnf(u10222,axiom,
    ( v516(VarNext,bitIndex22)
    | ~ v94(VarCurr,bitIndex512)
    | ~ sP504(VarCurr,VarNext) )).

cnf(u10217,axiom,
    ( v94(VarCurr,bitIndex511)
    | ~ v516(VarNext,bitIndex21)
    | ~ sP505(VarCurr,VarNext) )).

cnf(u10218,axiom,
    ( v516(VarNext,bitIndex21)
    | ~ v94(VarCurr,bitIndex511)
    | ~ sP505(VarCurr,VarNext) )).

cnf(u10213,axiom,
    ( v94(VarCurr,bitIndex510)
    | ~ v516(VarNext,bitIndex20)
    | ~ sP506(VarCurr,VarNext) )).

cnf(u10214,axiom,
    ( v516(VarNext,bitIndex20)
    | ~ v94(VarCurr,bitIndex510)
    | ~ sP506(VarCurr,VarNext) )).

cnf(u10209,axiom,
    ( v94(VarCurr,bitIndex509)
    | ~ v516(VarNext,bitIndex19)
    | ~ sP507(VarCurr,VarNext) )).

cnf(u10210,axiom,
    ( v516(VarNext,bitIndex19)
    | ~ v94(VarCurr,bitIndex509)
    | ~ sP507(VarCurr,VarNext) )).

cnf(u10205,axiom,
    ( v94(VarCurr,bitIndex508)
    | ~ v516(VarNext,bitIndex18)
    | ~ sP508(VarCurr,VarNext) )).

cnf(u10206,axiom,
    ( v516(VarNext,bitIndex18)
    | ~ v94(VarCurr,bitIndex508)
    | ~ sP508(VarCurr,VarNext) )).

cnf(u10201,axiom,
    ( v94(VarCurr,bitIndex507)
    | ~ v516(VarNext,bitIndex17)
    | ~ sP509(VarCurr,VarNext) )).

cnf(u10202,axiom,
    ( v516(VarNext,bitIndex17)
    | ~ v94(VarCurr,bitIndex507)
    | ~ sP509(VarCurr,VarNext) )).

cnf(u10197,axiom,
    ( v94(VarCurr,bitIndex506)
    | ~ v516(VarNext,bitIndex16)
    | ~ sP510(VarCurr,VarNext) )).

cnf(u10198,axiom,
    ( v516(VarNext,bitIndex16)
    | ~ v94(VarCurr,bitIndex506)
    | ~ sP510(VarCurr,VarNext) )).

cnf(u10193,axiom,
    ( v94(VarCurr,bitIndex505)
    | ~ v516(VarNext,bitIndex15)
    | ~ sP511(VarCurr,VarNext) )).

cnf(u10194,axiom,
    ( v516(VarNext,bitIndex15)
    | ~ v94(VarCurr,bitIndex505)
    | ~ sP511(VarCurr,VarNext) )).

cnf(u10189,axiom,
    ( v94(VarCurr,bitIndex504)
    | ~ v516(VarNext,bitIndex14)
    | ~ sP512(VarCurr,VarNext) )).

cnf(u10190,axiom,
    ( v516(VarNext,bitIndex14)
    | ~ v94(VarCurr,bitIndex504)
    | ~ sP512(VarCurr,VarNext) )).

cnf(u10185,axiom,
    ( v94(VarCurr,bitIndex503)
    | ~ v516(VarNext,bitIndex13)
    | ~ sP513(VarCurr,VarNext) )).

cnf(u10186,axiom,
    ( v516(VarNext,bitIndex13)
    | ~ v94(VarCurr,bitIndex503)
    | ~ sP513(VarCurr,VarNext) )).

cnf(u10181,axiom,
    ( v94(VarCurr,bitIndex502)
    | ~ v516(VarNext,bitIndex12)
    | ~ sP514(VarCurr,VarNext) )).

cnf(u10182,axiom,
    ( v516(VarNext,bitIndex12)
    | ~ v94(VarCurr,bitIndex502)
    | ~ sP514(VarCurr,VarNext) )).

cnf(u10177,axiom,
    ( v94(VarCurr,bitIndex501)
    | ~ v516(VarNext,bitIndex11)
    | ~ sP515(VarCurr,VarNext) )).

cnf(u10178,axiom,
    ( v516(VarNext,bitIndex11)
    | ~ v94(VarCurr,bitIndex501)
    | ~ sP515(VarCurr,VarNext) )).

cnf(u10173,axiom,
    ( v94(VarCurr,bitIndex500)
    | ~ v516(VarNext,bitIndex10)
    | ~ sP516(VarCurr,VarNext) )).

cnf(u10174,axiom,
    ( v516(VarNext,bitIndex10)
    | ~ v94(VarCurr,bitIndex500)
    | ~ sP516(VarCurr,VarNext) )).

cnf(u10169,axiom,
    ( v94(VarCurr,bitIndex499)
    | ~ v516(VarNext,bitIndex9)
    | ~ sP517(VarCurr,VarNext) )).

cnf(u10170,axiom,
    ( v516(VarNext,bitIndex9)
    | ~ v94(VarCurr,bitIndex499)
    | ~ sP517(VarCurr,VarNext) )).

cnf(u10165,axiom,
    ( v94(VarCurr,bitIndex498)
    | ~ v516(VarNext,bitIndex8)
    | ~ sP518(VarCurr,VarNext) )).

cnf(u10166,axiom,
    ( v516(VarNext,bitIndex8)
    | ~ v94(VarCurr,bitIndex498)
    | ~ sP518(VarCurr,VarNext) )).

cnf(u10161,axiom,
    ( v94(VarCurr,bitIndex497)
    | ~ v516(VarNext,bitIndex7)
    | ~ sP519(VarCurr,VarNext) )).

cnf(u10162,axiom,
    ( v516(VarNext,bitIndex7)
    | ~ v94(VarCurr,bitIndex497)
    | ~ sP519(VarCurr,VarNext) )).

cnf(u10157,axiom,
    ( v94(VarCurr,bitIndex496)
    | ~ v516(VarNext,bitIndex6)
    | ~ sP520(VarCurr,VarNext) )).

cnf(u10158,axiom,
    ( v516(VarNext,bitIndex6)
    | ~ v94(VarCurr,bitIndex496)
    | ~ sP520(VarCurr,VarNext) )).

cnf(u10153,axiom,
    ( v94(VarCurr,bitIndex495)
    | ~ v516(VarNext,bitIndex5)
    | ~ sP521(VarCurr,VarNext) )).

cnf(u10154,axiom,
    ( v516(VarNext,bitIndex5)
    | ~ v94(VarCurr,bitIndex495)
    | ~ sP521(VarCurr,VarNext) )).

cnf(u10149,axiom,
    ( v94(VarCurr,bitIndex494)
    | ~ v516(VarNext,bitIndex4)
    | ~ sP522(VarCurr,VarNext) )).

cnf(u10150,axiom,
    ( v516(VarNext,bitIndex4)
    | ~ v94(VarCurr,bitIndex494)
    | ~ sP522(VarCurr,VarNext) )).

cnf(u10145,axiom,
    ( v94(VarCurr,bitIndex493)
    | ~ v516(VarNext,bitIndex3)
    | ~ sP523(VarCurr,VarNext) )).

cnf(u10146,axiom,
    ( v516(VarNext,bitIndex3)
    | ~ v94(VarCurr,bitIndex493)
    | ~ sP523(VarCurr,VarNext) )).

cnf(u10141,axiom,
    ( v94(VarCurr,bitIndex492)
    | ~ v516(VarNext,bitIndex2)
    | ~ sP524(VarCurr,VarNext) )).

cnf(u10142,axiom,
    ( v516(VarNext,bitIndex2)
    | ~ v94(VarCurr,bitIndex492)
    | ~ sP524(VarCurr,VarNext) )).

cnf(u10137,axiom,
    ( v94(VarCurr,bitIndex491)
    | ~ v516(VarNext,bitIndex1)
    | ~ sP525(VarCurr,VarNext) )).

cnf(u10138,axiom,
    ( v516(VarNext,bitIndex1)
    | ~ v94(VarCurr,bitIndex491)
    | ~ sP525(VarCurr,VarNext) )).

cnf(u10133,axiom,
    ( v94(VarCurr,bitIndex490)
    | ~ v516(VarNext,bitIndex0)
    | ~ sP526(VarCurr,VarNext) )).

cnf(u10134,axiom,
    ( v516(VarNext,bitIndex0)
    | ~ v94(VarCurr,bitIndex490)
    | ~ sP526(VarCurr,VarNext) )).

cnf(u10061,axiom,
    ( sP457(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10062,axiom,
    ( sP458(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10063,axiom,
    ( sP459(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10064,axiom,
    ( sP460(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10065,axiom,
    ( sP461(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10066,axiom,
    ( sP462(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10067,axiom,
    ( sP463(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10068,axiom,
    ( sP464(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10069,axiom,
    ( sP465(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10070,axiom,
    ( sP466(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10071,axiom,
    ( sP467(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10072,axiom,
    ( sP468(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10073,axiom,
    ( sP469(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10074,axiom,
    ( sP470(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10075,axiom,
    ( sP471(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10076,axiom,
    ( sP472(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10077,axiom,
    ( sP473(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10078,axiom,
    ( sP474(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10079,axiom,
    ( sP475(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10080,axiom,
    ( sP476(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10081,axiom,
    ( sP477(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10082,axiom,
    ( sP478(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10083,axiom,
    ( sP479(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10084,axiom,
    ( sP480(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10085,axiom,
    ( sP481(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10086,axiom,
    ( sP482(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10087,axiom,
    ( sP483(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10088,axiom,
    ( sP484(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10089,axiom,
    ( sP485(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10090,axiom,
    ( sP486(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10091,axiom,
    ( sP487(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10092,axiom,
    ( sP488(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10093,axiom,
    ( sP489(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10094,axiom,
    ( sP490(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10095,axiom,
    ( sP491(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10096,axiom,
    ( sP492(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10097,axiom,
    ( sP493(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10098,axiom,
    ( sP494(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10099,axiom,
    ( sP495(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10100,axiom,
    ( sP496(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10101,axiom,
    ( sP497(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10102,axiom,
    ( sP498(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10103,axiom,
    ( sP499(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10104,axiom,
    ( sP500(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10105,axiom,
    ( sP501(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10106,axiom,
    ( sP502(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10107,axiom,
    ( sP503(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10108,axiom,
    ( sP504(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10109,axiom,
    ( sP505(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10110,axiom,
    ( sP506(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10111,axiom,
    ( sP507(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10112,axiom,
    ( sP508(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10113,axiom,
    ( sP509(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10114,axiom,
    ( sP510(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10115,axiom,
    ( sP511(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10116,axiom,
    ( sP512(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10117,axiom,
    ( sP513(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10118,axiom,
    ( sP514(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10119,axiom,
    ( sP515(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10120,axiom,
    ( sP516(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10121,axiom,
    ( sP517(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10122,axiom,
    ( sP518(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10123,axiom,
    ( sP519(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10124,axiom,
    ( sP520(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10125,axiom,
    ( sP521(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10126,axiom,
    ( sP522(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10127,axiom,
    ( sP523(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10128,axiom,
    ( sP524(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10129,axiom,
    ( sP525(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10130,axiom,
    ( sP526(VarCurr,VarNext)
    | ~ sP527(VarCurr,VarNext) )).

cnf(u10059,axiom,
    ( sP527(VarCurr,VarNext)
    | v518(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9971,axiom,
    ( v516(VarNext,bitIndex69)
    | ~ v94(VarNext,bitIndex559) )).

cnf(u9972,axiom,
    ( v94(VarNext,bitIndex559)
    | ~ v516(VarNext,bitIndex69) )).

cnf(u9973,axiom,
    ( v516(VarNext,bitIndex68)
    | ~ v94(VarNext,bitIndex558) )).

cnf(u9974,axiom,
    ( v94(VarNext,bitIndex558)
    | ~ v516(VarNext,bitIndex68) )).

cnf(u9975,axiom,
    ( v516(VarNext,bitIndex67)
    | ~ v94(VarNext,bitIndex557) )).

cnf(u9976,axiom,
    ( v94(VarNext,bitIndex557)
    | ~ v516(VarNext,bitIndex67) )).

cnf(u9977,axiom,
    ( v516(VarNext,bitIndex66)
    | ~ v94(VarNext,bitIndex556) )).

cnf(u9978,axiom,
    ( v94(VarNext,bitIndex556)
    | ~ v516(VarNext,bitIndex66) )).

cnf(u9979,axiom,
    ( v516(VarNext,bitIndex65)
    | ~ v94(VarNext,bitIndex555) )).

cnf(u9980,axiom,
    ( v94(VarNext,bitIndex555)
    | ~ v516(VarNext,bitIndex65) )).

cnf(u9981,axiom,
    ( v516(VarNext,bitIndex64)
    | ~ v94(VarNext,bitIndex554) )).

cnf(u9982,axiom,
    ( v94(VarNext,bitIndex554)
    | ~ v516(VarNext,bitIndex64) )).

cnf(u9983,axiom,
    ( v516(VarNext,bitIndex63)
    | ~ v94(VarNext,bitIndex553) )).

cnf(u9984,axiom,
    ( v94(VarNext,bitIndex553)
    | ~ v516(VarNext,bitIndex63) )).

cnf(u9955,axiom,
    ( v94(VarCurr,bitIndex559)
    | ~ v92(VarCurr,bitIndex69) )).

cnf(u9956,axiom,
    ( v92(VarCurr,bitIndex69)
    | ~ v94(VarCurr,bitIndex559) )).

cnf(u9957,axiom,
    ( v94(VarCurr,bitIndex558)
    | ~ v92(VarCurr,bitIndex68) )).

cnf(u9958,axiom,
    ( v92(VarCurr,bitIndex68)
    | ~ v94(VarCurr,bitIndex558) )).

cnf(u9959,axiom,
    ( v94(VarCurr,bitIndex557)
    | ~ v92(VarCurr,bitIndex67) )).

cnf(u9960,axiom,
    ( v92(VarCurr,bitIndex67)
    | ~ v94(VarCurr,bitIndex557) )).

cnf(u9961,axiom,
    ( v94(VarCurr,bitIndex556)
    | ~ v92(VarCurr,bitIndex66) )).

cnf(u9962,axiom,
    ( v92(VarCurr,bitIndex66)
    | ~ v94(VarCurr,bitIndex556) )).

cnf(u9963,axiom,
    ( v94(VarCurr,bitIndex555)
    | ~ v92(VarCurr,bitIndex65) )).

cnf(u9964,axiom,
    ( v92(VarCurr,bitIndex65)
    | ~ v94(VarCurr,bitIndex555) )).

cnf(u9965,axiom,
    ( v94(VarCurr,bitIndex554)
    | ~ v92(VarCurr,bitIndex64) )).

cnf(u9966,axiom,
    ( v92(VarCurr,bitIndex64)
    | ~ v94(VarCurr,bitIndex554) )).

cnf(u9967,axiom,
    ( v94(VarCurr,bitIndex553)
    | ~ v92(VarCurr,bitIndex63) )).

cnf(u9968,axiom,
    ( v92(VarCurr,bitIndex63)
    | ~ v94(VarCurr,bitIndex553) )).

cnf(u9951,axiom,
    ( v92(VarCurr,B)
    | ~ v90(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u9952,axiom,
    ( v90(VarCurr,B)
    | ~ v92(VarCurr,B)
    | ~ range_69_63(B) )).

cnf(u9935,axiom,
    ( v90(VarCurr,bitIndex69)
    | ~ v460(VarCurr,bitIndex6) )).

cnf(u9936,axiom,
    ( v460(VarCurr,bitIndex6)
    | ~ v90(VarCurr,bitIndex69) )).

cnf(u9937,axiom,
    ( v90(VarCurr,bitIndex68)
    | ~ v460(VarCurr,bitIndex5) )).

cnf(u9938,axiom,
    ( v460(VarCurr,bitIndex5)
    | ~ v90(VarCurr,bitIndex68) )).

cnf(u9939,axiom,
    ( v90(VarCurr,bitIndex67)
    | ~ v460(VarCurr,bitIndex4) )).

cnf(u9940,axiom,
    ( v460(VarCurr,bitIndex4)
    | ~ v90(VarCurr,bitIndex67) )).

cnf(u9941,axiom,
    ( v90(VarCurr,bitIndex66)
    | ~ v460(VarCurr,bitIndex3) )).

cnf(u9942,axiom,
    ( v460(VarCurr,bitIndex3)
    | ~ v90(VarCurr,bitIndex66) )).

cnf(u9943,axiom,
    ( v90(VarCurr,bitIndex65)
    | ~ v460(VarCurr,bitIndex2) )).

cnf(u9944,axiom,
    ( v460(VarCurr,bitIndex2)
    | ~ v90(VarCurr,bitIndex65) )).

cnf(u9945,axiom,
    ( v90(VarCurr,bitIndex64)
    | ~ v460(VarCurr,bitIndex1) )).

cnf(u9946,axiom,
    ( v460(VarCurr,bitIndex1)
    | ~ v90(VarCurr,bitIndex64) )).

cnf(u9947,axiom,
    ( v90(VarCurr,bitIndex63)
    | ~ v460(VarCurr,bitIndex0) )).

cnf(u9948,axiom,
    ( v460(VarCurr,bitIndex0)
    | ~ v90(VarCurr,bitIndex63) )).

cnf(u9932,axiom,
    ( ~ b0100000(bitIndex0) )).

cnf(u9931,axiom,
    ( ~ b0100000(bitIndex1) )).

cnf(u9930,axiom,
    ( ~ b0100000(bitIndex2) )).

cnf(u9929,axiom,
    ( ~ b0100000(bitIndex3) )).

cnf(u9928,axiom,
    ( ~ b0100000(bitIndex4) )).

cnf(u9927,axiom,
    ( b0100000(bitIndex5) )).

cnf(u9926,axiom,
    ( ~ b0100000(bitIndex6) )).

cnf(u9925,axiom,
    ( ~ b0000010(bitIndex0) )).

cnf(u9924,axiom,
    ( b0000010(bitIndex1) )).

cnf(u9923,axiom,
    ( ~ b0000010(bitIndex2) )).

cnf(u9922,axiom,
    ( ~ b0000010(bitIndex3) )).

cnf(u9921,axiom,
    ( ~ b0000010(bitIndex4) )).

cnf(u9920,axiom,
    ( ~ b0000010(bitIndex5) )).

cnf(u9919,axiom,
    ( ~ b0000010(bitIndex6) )).

cnf(u9918,axiom,
    ( ~ b0000100(bitIndex0) )).

cnf(u9917,axiom,
    ( ~ b0000100(bitIndex1) )).

cnf(u9916,axiom,
    ( b0000100(bitIndex2) )).

cnf(u9915,axiom,
    ( ~ b0000100(bitIndex3) )).

cnf(u9914,axiom,
    ( ~ b0000100(bitIndex4) )).

cnf(u9913,axiom,
    ( ~ b0000100(bitIndex5) )).

cnf(u9912,axiom,
    ( ~ b0000100(bitIndex6) )).

cnf(u9911,axiom,
    ( b0000101(bitIndex0) )).

cnf(u9910,axiom,
    ( ~ b0000101(bitIndex1) )).

cnf(u9909,axiom,
    ( b0000101(bitIndex2) )).

cnf(u9908,axiom,
    ( ~ b0000101(bitIndex3) )).

cnf(u9907,axiom,
    ( ~ b0000101(bitIndex4) )).

cnf(u9906,axiom,
    ( ~ b0000101(bitIndex5) )).

cnf(u9905,axiom,
    ( ~ b0000101(bitIndex6) )).

cnf(u9904,axiom,
    ( ~ b1000010(bitIndex0) )).

cnf(u9903,axiom,
    ( b1000010(bitIndex1) )).

cnf(u9902,axiom,
    ( ~ b1000010(bitIndex2) )).

cnf(u9901,axiom,
    ( ~ b1000010(bitIndex3) )).

cnf(u9900,axiom,
    ( ~ b1000010(bitIndex4) )).

cnf(u9899,axiom,
    ( ~ b1000010(bitIndex5) )).

cnf(u9898,axiom,
    ( b1000010(bitIndex6) )).

cnf(u9897,axiom,
    ( ~ b1000000(bitIndex0) )).

cnf(u9896,axiom,
    ( ~ b1000000(bitIndex1) )).

cnf(u9895,axiom,
    ( ~ b1000000(bitIndex2) )).

cnf(u9894,axiom,
    ( ~ b1000000(bitIndex3) )).

cnf(u9893,axiom,
    ( ~ b1000000(bitIndex4) )).

cnf(u9892,axiom,
    ( ~ b1000000(bitIndex5) )).

cnf(u9891,axiom,
    ( b1000000(bitIndex6) )).

cnf(u9890,axiom,
    ( ~ b1100000(bitIndex0) )).

cnf(u9889,axiom,
    ( ~ b1100000(bitIndex1) )).

cnf(u9888,axiom,
    ( ~ b1100000(bitIndex2) )).

cnf(u9887,axiom,
    ( ~ b1100000(bitIndex3) )).

cnf(u9886,axiom,
    ( ~ b1100000(bitIndex4) )).

cnf(u9885,axiom,
    ( b1100000(bitIndex5) )).

cnf(u9884,axiom,
    ( b1100000(bitIndex6) )).

cnf(u9883,axiom,
    ( ~ b1000100(bitIndex0) )).

cnf(u9882,axiom,
    ( ~ b1000100(bitIndex1) )).

cnf(u9881,axiom,
    ( b1000100(bitIndex2) )).

cnf(u9880,axiom,
    ( ~ b1000100(bitIndex3) )).

cnf(u9879,axiom,
    ( ~ b1000100(bitIndex4) )).

cnf(u9878,axiom,
    ( ~ b1000100(bitIndex5) )).

cnf(u9877,axiom,
    ( b1000100(bitIndex6) )).

cnf(u9876,axiom,
    ( b1000101(bitIndex0) )).

cnf(u9875,axiom,
    ( ~ b1000101(bitIndex1) )).

cnf(u9874,axiom,
    ( b1000101(bitIndex2) )).

cnf(u9873,axiom,
    ( ~ b1000101(bitIndex3) )).

cnf(u9872,axiom,
    ( ~ b1000101(bitIndex4) )).

cnf(u9871,axiom,
    ( ~ b1000101(bitIndex5) )).

cnf(u9870,axiom,
    ( b1000101(bitIndex6) )).

cnf(u9869,axiom,
    ( ~ b1111010(bitIndex0) )).

cnf(u9868,axiom,
    ( b1111010(bitIndex1) )).

cnf(u9867,axiom,
    ( ~ b1111010(bitIndex2) )).

cnf(u9866,axiom,
    ( b1111010(bitIndex3) )).

cnf(u9865,axiom,
    ( b1111010(bitIndex4) )).

cnf(u9864,axiom,
    ( b1111010(bitIndex5) )).

cnf(u9863,axiom,
    ( b1111010(bitIndex6) )).

cnf(u9862,axiom,
    ( ~ b0001010(bitIndex0) )).

cnf(u9861,axiom,
    ( b0001010(bitIndex1) )).

cnf(u9860,axiom,
    ( ~ b0001010(bitIndex2) )).

cnf(u9859,axiom,
    ( b0001010(bitIndex3) )).

cnf(u9858,axiom,
    ( ~ b0001010(bitIndex4) )).

cnf(u9857,axiom,
    ( ~ b0001010(bitIndex5) )).

cnf(u9856,axiom,
    ( ~ b0001010(bitIndex6) )).

cnf(u9855,axiom,
    ( b0001011(bitIndex0) )).

cnf(u9854,axiom,
    ( b0001011(bitIndex1) )).

cnf(u9853,axiom,
    ( ~ b0001011(bitIndex2) )).

cnf(u9852,axiom,
    ( b0001011(bitIndex3) )).

cnf(u9851,axiom,
    ( ~ b0001011(bitIndex4) )).

cnf(u9850,axiom,
    ( ~ b0001011(bitIndex5) )).

cnf(u9849,axiom,
    ( ~ b0001011(bitIndex6) )).

cnf(u9848,axiom,
    ( ~ b1001010(bitIndex0) )).

cnf(u9847,axiom,
    ( b1001010(bitIndex1) )).

cnf(u9846,axiom,
    ( ~ b1001010(bitIndex2) )).

cnf(u9845,axiom,
    ( b1001010(bitIndex3) )).

cnf(u9844,axiom,
    ( ~ b1001010(bitIndex4) )).

cnf(u9843,axiom,
    ( ~ b1001010(bitIndex5) )).

cnf(u9842,axiom,
    ( b1001010(bitIndex6) )).

cnf(u9839,axiom,
    ( bitIndex1 = B
    | bitIndex0 = B
    | ~ range_1_0(B) )).

cnf(u9840,axiom,
    ( range_1_0(B)
    | bitIndex0 != B )).

cnf(u9841,axiom,
    ( range_1_0(B)
    | bitIndex1 != B )).

cnf(u9833,axiom,
    ( ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex1)
    | v460(VarCurr,bitIndex2)
    | v460(VarCurr,bitIndex0)
    | ~ v460(VarCurr,bitIndex5) )).

cnf(u9834,axiom,
    ( ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex0)
    | v460(VarCurr,bitIndex5) )).

cnf(u9835,axiom,
    ( ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex2)
    | v460(VarCurr,bitIndex0)
    | v460(VarCurr,bitIndex5) )).

cnf(u9836,axiom,
    ( ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex1)
    | v460(VarCurr,bitIndex0)
    | v460(VarCurr,bitIndex5) )).

cnf(u9830,axiom,
    ( b01(B)
    | ~ v538(VarCurr,B)
    | ~ v460(VarCurr,bitIndex6)
    | ~ v460(VarCurr,bitIndex5)
    | ~ v460(VarCurr,bitIndex4)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | v460(VarCurr,bitIndex0) )).

cnf(u9831,axiom,
    ( v538(VarCurr,B)
    | ~ b01(B)
    | ~ v460(VarCurr,bitIndex6)
    | ~ v460(VarCurr,bitIndex5)
    | ~ v460(VarCurr,bitIndex4)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | v460(VarCurr,bitIndex0) )).

cnf(u9825,axiom,
    ( b10(B)
    | ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex5)
    | v460(VarCurr,bitIndex6) )).

cnf(u9826,axiom,
    ( b10(B)
    | ~ v538(VarCurr,B)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex5)
    | v460(VarCurr,bitIndex0) )).

cnf(u9827,axiom,
    ( v538(VarCurr,B)
    | ~ b10(B)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex5)
    | v460(VarCurr,bitIndex6) )).

cnf(u9828,axiom,
    ( v538(VarCurr,B)
    | ~ b10(B)
    | v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex3)
    | v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex5)
    | v460(VarCurr,bitIndex0) )).

cnf(u9816,axiom,
    ( ~ v460(VarCurr,bitIndex5)
    | ~ sP454(VarCurr) )).

cnf(u9817,axiom,
    ( ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex0)
    | ~ sP454(VarCurr) )).

cnf(u9818,axiom,
    ( ~ v460(VarCurr,bitIndex1)
    | ~ v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ sP454(VarCurr) )).

cnf(u9819,axiom,
    ( v460(VarCurr,bitIndex0)
    | ~ v460(VarCurr,bitIndex0)
    | ~ sP454(VarCurr) )).

cnf(u9820,axiom,
    ( v460(VarCurr,bitIndex0)
    | ~ v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ sP454(VarCurr) )).

cnf(u9821,axiom,
    ( v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex0)
    | ~ sP454(VarCurr) )).

cnf(u9822,axiom,
    ( v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex2)
    | ~ v460(VarCurr,bitIndex1)
    | ~ sP454(VarCurr) )).

cnf(u9811,axiom,
    ( v460(VarCurr,bitIndex6)
    | ~ sP455(VarCurr) )).

cnf(u9812,axiom,
    ( ~ v460(VarCurr,bitIndex0)
    | ~ sP455(VarCurr) )).

cnf(u9813,axiom,
    ( ~ v460(VarCurr,bitIndex4)
    | v460(VarCurr,bitIndex5)
    | ~ sP455(VarCurr) )).

cnf(u9814,axiom,
    ( ~ v460(VarCurr,bitIndex5)
    | v460(VarCurr,bitIndex4)
    | ~ sP455(VarCurr) )).

cnf(u9802,axiom,
    ( ~ v460(VarCurr,bitIndex3)
    | ~ sP456(VarCurr) )).

cnf(u9803,axiom,
    ( ~ v460(VarCurr,bitIndex4)
    | ~ sP456(VarCurr) )).

cnf(u9804,axiom,
    ( sP454(VarCurr)
    | ~ v460(VarCurr,bitIndex0)
    | ~ sP456(VarCurr) )).

cnf(u9805,axiom,
    ( sP454(VarCurr)
    | ~ v460(VarCurr,bitIndex1)
    | ~ sP456(VarCurr) )).

cnf(u9806,axiom,
    ( sP454(VarCurr)
    | ~ v460(VarCurr,bitIndex2)
    | ~ sP456(VarCurr) )).

cnf(u9807,axiom,
    ( sP454(VarCurr)
    | v460(VarCurr,bitIndex5)
    | ~ sP456(VarCurr) )).

cnf(u9795,axiom,
    ( ~ v460(VarCurr,bitIndex2)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9796,axiom,
    ( v460(VarCurr,bitIndex1)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9797,axiom,
    ( v460(VarCurr,bitIndex3)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9798,axiom,
    ( sP455(VarCurr)
    | ~ v460(VarCurr,bitIndex6)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9799,axiom,
    ( sP455(VarCurr)
    | ~ v460(VarCurr,bitIndex5)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9800,axiom,
    ( sP455(VarCurr)
    | ~ v460(VarCurr,bitIndex4)
    | v538(VarCurr,B)
    | sP456(VarCurr) )).

cnf(u9790,axiom,
    ( ~ v28(VarCurr,B)
    | ~ v32(VarCurr) )).

cnf(u9787,axiom,
    ( v538(VarCurr,B)
    | ~ v28(VarCurr,B)
    | v32(VarCurr) )).

cnf(u9788,axiom,
    ( v28(VarCurr,B)
    | ~ v538(VarCurr,B)
    | v32(VarCurr) )).

cnf(u9783,axiom,
    ( v574(VarCurr,bitIndex1)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9784,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v574(VarCurr,bitIndex1) )).

cnf(u9780,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9781,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9777,axiom,
    ( v576(VarCurr,bitIndex1)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9778,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v576(VarCurr,bitIndex1) )).

cnf(u9774,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v576(VarCurr,bitIndex0) )).

cnf(u9775,axiom,
    ( ~ v576(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9765,axiom,
    ( sP447_aig_name(VarCurr)
    | v574(VarCurr,bitIndex1)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9766,axiom,
    ( v576(VarCurr,bitIndex1)
    | v653(VarCurr)
    | v17(VarCurr,bitIndex2)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9767,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex2)
    | ~ v574(VarCurr,bitIndex1) )).

cnf(u9768,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex2)
    | ~ sP447_aig_name(VarCurr) )).

cnf(u9769,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v653(VarCurr)
    | ~ v574(VarCurr,bitIndex1) )).

cnf(u9770,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v653(VarCurr)
    | ~ sP447_aig_name(VarCurr) )).

cnf(u9771,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v576(VarCurr,bitIndex1)
    | ~ v574(VarCurr,bitIndex1) )).

cnf(u9772,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v576(VarCurr,bitIndex1)
    | ~ sP447_aig_name(VarCurr) )).

cnf(u9760,axiom,
    ( ~ v62(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex0)
    | ~ v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0)
    | v32(VarCurr)
    | v13(VarCurr,bitIndex2) )).

cnf(u9761,axiom,
    ( sP447_aig_name(VarCurr)
    | v574(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex2)
    | v13(VarCurr,bitIndex2) )).

cnf(u9762,axiom,
    ( v576(VarCurr,bitIndex1)
    | v653(VarCurr)
    | v17(VarCurr,bitIndex2)
    | ~ v7(VarCurr,bitIndex2)
    | v13(VarCurr,bitIndex2) )).

cnf(u9754,axiom,
    ( v7(VarCurr,bitIndex0)
    | ~ sP453(VarCurr) )).

cnf(u9755,axiom,
    ( ~ v32(VarCurr)
    | ~ sP453(VarCurr) )).

cnf(u9756,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ sP453(VarCurr) )).

cnf(u9757,axiom,
    ( v28(VarCurr,bitIndex1)
    | ~ sP453(VarCurr) )).

cnf(u9758,axiom,
    ( ~ v28(VarCurr,bitIndex0)
    | ~ sP453(VarCurr) )).

cnf(u9751,axiom,
    ( sP453(VarCurr)
    | ~ v13(VarCurr,bitIndex2)
    | v7(VarCurr,bitIndex2) )).

cnf(u9752,axiom,
    ( sP453(VarCurr)
    | ~ v13(VarCurr,bitIndex2)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9747,axiom,
    ( v1(VarCurr)
    | ~ v584(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9748,axiom,
    ( v584(VarNext)
    | ~ v1(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9743,axiom,
    ( v584(VarNext)
    | v582(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9744,axiom,
    ( ~ v582(VarNext)
    | ~ v584(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9738,axiom,
    ( v1(VarNext)
    | ~ v581(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9739,axiom,
    ( v582(VarNext)
    | ~ v581(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9740,axiom,
    ( v581(VarNext)
    | ~ v582(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9733,axiom,
    ( v581(VarNext)
    | ~ v580(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9734,axiom,
    ( v580(VarNext)
    | ~ v581(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9730,axiom,
    ( ~ v588(VarCurr,B)
    | v11(VarCurr) )).

cnf(u9725,axiom,
    ( v13(VarCurr,bitIndex2)
    | ~ v588(VarCurr,bitIndex1)
    | ~ v11(VarCurr) )).

cnf(u9726,axiom,
    ( v588(VarCurr,bitIndex1)
    | ~ v13(VarCurr,bitIndex2)
    | ~ v11(VarCurr) )).

cnf(u9727,axiom,
    ( v13(VarCurr,bitIndex1)
    | ~ v588(VarCurr,bitIndex0)
    | ~ v11(VarCurr) )).

cnf(u9728,axiom,
    ( v588(VarCurr,bitIndex0)
    | ~ v13(VarCurr,bitIndex1)
    | ~ v11(VarCurr) )).

cnf(u9720,axiom,
    ( v588(VarCurr,B)
    | ~ v590(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9721,axiom,
    ( v590(VarNext,B)
    | ~ v588(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9716,axiom,
    ( v590(VarNext,B)
    | ~ v579(VarNext,B)
    | ~ v580(VarNext) )).

cnf(u9717,axiom,
    ( v579(VarNext,B)
    | ~ v590(VarNext,B)
    | ~ v580(VarNext) )).

cnf(u9710,axiom,
    ( v579(VarNext,bitIndex0)
    | ~ v7(VarCurr,bitIndex1)
    | v580(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9711,axiom,
    ( ~ v579(VarNext,bitIndex0)
    | v7(VarCurr,bitIndex1)
    | v580(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9712,axiom,
    ( v7(VarNext,bitIndex2)
    | ~ v7(VarCurr,bitIndex2)
    | v580(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9713,axiom,
    ( ~ v7(VarNext,bitIndex2)
    | v7(VarCurr,bitIndex2)
    | v580(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9708,axiom,
    ( v579(VarNext,bitIndex1)
    | ~ v7(VarNext,bitIndex2) )).

cnf(u9709,axiom,
    ( v7(VarNext,bitIndex2)
    | ~ v579(VarNext,bitIndex1) )).

cnf(u9705,axiom,
    ( v622(VarCurr,bitIndex1)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9706,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v622(VarCurr,bitIndex1) )).

cnf(u9702,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v602(VarCurr,bitIndex0) )).

cnf(u9703,axiom,
    ( ~ v602(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9694,axiom,
    ( ~ v7(VarCurr,bitIndex0)
    | v653(VarCurr)
    | v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0)
    | v32(VarCurr)
    | v17(VarCurr,bitIndex2)
    | ~ sP451(VarCurr) )).

cnf(u9695,axiom,
    ( sP451(VarCurr)
    | ~ v17(VarCurr,bitIndex2) )).

cnf(u9696,axiom,
    ( sP451(VarCurr)
    | ~ v32(VarCurr) )).

cnf(u9697,axiom,
    ( sP451(VarCurr)
    | ~ v28(VarCurr,bitIndex0) )).

cnf(u9698,axiom,
    ( sP451(VarCurr)
    | ~ v28(VarCurr,bitIndex1) )).

cnf(u9699,axiom,
    ( sP451(VarCurr)
    | ~ v653(VarCurr) )).

cnf(u9700,axiom,
    ( sP451(VarCurr)
    | v7(VarCurr,bitIndex0) )).

cnf(u9686,axiom,
    ( v17(VarCurr,bitIndex2)
    | v17(VarCurr,bitIndex1)
    | v17(VarCurr,bitIndex0)
    | ~ v602(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex2)
    | ~ sP452(VarCurr) )).

cnf(u9687,axiom,
    ( sP452(VarCurr)
    | v7(VarCurr,bitIndex2) )).

cnf(u9688,axiom,
    ( sP452(VarCurr)
    | v602(VarCurr,bitIndex1) )).

cnf(u9689,axiom,
    ( sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u9690,axiom,
    ( sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex1) )).

cnf(u9691,axiom,
    ( sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex2) )).

cnf(u9677,axiom,
    ( v17(VarCurr,bitIndex2)
    | v17(VarCurr,bitIndex1)
    | v17(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex1)
    | v13(VarCurr,bitIndex1) )).

cnf(u9678,axiom,
    ( sP452(VarCurr)
    | v13(VarCurr,bitIndex1) )).

cnf(u9679,axiom,
    ( sP451(VarCurr)
    | v13(VarCurr,bitIndex1) )).

cnf(u9680,axiom,
    ( ~ v13(VarCurr,bitIndex1)
    | ~ sP451(VarCurr)
    | ~ sP452(VarCurr)
    | v7(VarCurr,bitIndex1) )).

cnf(u9681,axiom,
    ( ~ v13(VarCurr,bitIndex1)
    | ~ sP451(VarCurr)
    | ~ sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u9682,axiom,
    ( ~ v13(VarCurr,bitIndex1)
    | ~ sP451(VarCurr)
    | ~ sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex1) )).

cnf(u9683,axiom,
    ( ~ v13(VarCurr,bitIndex1)
    | ~ sP451(VarCurr)
    | ~ sP452(VarCurr)
    | ~ v17(VarCurr,bitIndex2) )).

cnf(u9670,axiom,
    ( v13(VarCurr,bitIndex1)
    | ~ v13(VarCurr,bitIndex1) )).

cnf(u9669,axiom,
    ( ~ v13(VarCurr,bitIndex1)
    | v13(VarCurr,bitIndex1) )).

cnf(u9667,axiom,
    ( v584(VarNext)
    | v610(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9668,axiom,
    ( ~ v610(VarNext)
    | ~ v584(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9662,axiom,
    ( v1(VarNext)
    | ~ v608(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9663,axiom,
    ( v610(VarNext)
    | ~ v608(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9664,axiom,
    ( v608(VarNext)
    | ~ v610(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9657,axiom,
    ( v608(VarNext)
    | ~ v607(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9658,axiom,
    ( v607(VarNext)
    | ~ v608(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9653,axiom,
    ( v590(VarNext,B)
    | ~ v606(VarNext,B)
    | ~ v607(VarNext) )).

cnf(u9654,axiom,
    ( v606(VarNext,B)
    | ~ v590(VarNext,B)
    | ~ v607(VarNext) )).

cnf(u9647,axiom,
    ( v606(VarNext,bitIndex1)
    | ~ v7(VarCurr,bitIndex2)
    | v607(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9648,axiom,
    ( ~ v606(VarNext,bitIndex1)
    | v7(VarCurr,bitIndex2)
    | v607(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9649,axiom,
    ( v7(VarNext,bitIndex1)
    | ~ v7(VarCurr,bitIndex1)
    | v607(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9650,axiom,
    ( ~ v7(VarNext,bitIndex1)
    | v7(VarCurr,bitIndex1)
    | v607(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9645,axiom,
    ( v606(VarNext,bitIndex0)
    | ~ v7(VarNext,bitIndex1) )).

cnf(u9646,axiom,
    ( v7(VarNext,bitIndex1)
    | ~ v606(VarNext,bitIndex0) )).

cnf(u9643,axiom,
    ( ~ sP447_aig_name(VarCurr)
    | v574(VarCurr,bitIndex0) )).

cnf(u9642,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9640,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v622(VarCurr,bitIndex0) )).

cnf(u9641,axiom,
    ( ~ v622(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9634,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v620(VarCurr) )).

cnf(u9635,axiom,
    ( v17(VarCurr,bitIndex2)
    | v17(VarCurr,bitIndex1)
    | v17(VarCurr,bitIndex0)
    | ~ v620(VarCurr) )).

cnf(u9636,axiom,
    ( v620(VarCurr)
    | ~ v17(VarCurr,bitIndex0)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9637,axiom,
    ( v620(VarCurr)
    | ~ v17(VarCurr,bitIndex1)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9638,axiom,
    ( v620(VarCurr)
    | ~ v17(VarCurr,bitIndex2)
    | ~ v602(VarCurr,bitIndex1) )).

cnf(u9630,axiom,
    ( v602(VarCurr,bitIndex1)
    | ~ v620(VarCurr) )).

cnf(u9629,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v620(VarCurr)
    | v574(VarCurr,bitIndex0) )).

cnf(u9621,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v576(VarCurr,bitIndex1)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9622,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex2)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9623,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex1)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9624,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex0)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9625,axiom,
    ( ~ v574(VarCurr,bitIndex1)
    | ~ v576(VarCurr,bitIndex1)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9626,axiom,
    ( ~ v574(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex2)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9627,axiom,
    ( ~ v574(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex1)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9628,axiom,
    ( ~ v574(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex0)
    | v620(VarCurr)
    | ~ v620(VarCurr) )).

cnf(u9620,axiom,
    ( ~ sP447_aig_name(VarCurr)
    | v574(VarCurr,bitIndex0) )).

cnf(u9619,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u9617,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v618(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v32(VarCurr)
    | v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0) )).

cnf(u9618,axiom,
    ( v618(VarCurr)
    | v574(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex0)
    | v32(VarCurr)
    | v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0) )).

cnf(u9614,axiom,
    ( v620(VarCurr)
    | ~ v618(VarCurr)
    | ~ v7(VarCurr,bitIndex2) )).

cnf(u9615,axiom,
    ( v618(VarCurr)
    | ~ v620(VarCurr)
    | ~ v7(VarCurr,bitIndex2) )).

cnf(u9610,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v618(VarCurr)
    | v7(VarCurr,bitIndex2)
    | v47(VarCurr) )).

cnf(u9611,axiom,
    ( v618(VarCurr)
    | v574(VarCurr,bitIndex0)
    | v7(VarCurr,bitIndex2)
    | v47(VarCurr) )).

cnf(u9603,axiom,
    ( ~ v47(VarCurr)
    | ~ v618(VarCurr)
    | v656(VarCurr,bitIndex0) )).

cnf(u9604,axiom,
    ( ~ v47(VarCurr)
    | ~ v656(VarCurr,bitIndex0)
    | v618(VarCurr) )).

cnf(u9605,axiom,
    ( ~ v7(VarCurr,bitIndex2)
    | ~ v618(VarCurr)
    | v656(VarCurr,bitIndex0) )).

cnf(u9606,axiom,
    ( ~ v7(VarCurr,bitIndex2)
    | ~ v656(VarCurr,bitIndex0)
    | v618(VarCurr) )).

cnf(u9607,axiom,
    ( ~ v7(VarCurr,bitIndex1)
    | ~ v618(VarCurr)
    | v656(VarCurr,bitIndex0) )).

cnf(u9608,axiom,
    ( ~ v7(VarCurr,bitIndex1)
    | ~ v656(VarCurr,bitIndex0)
    | v618(VarCurr) )).

cnf(u9601,axiom,
    ( ~ v656(VarCurr,bitIndex0)
    | v7(VarCurr,bitIndex1)
    | v7(VarCurr,bitIndex2)
    | v47(VarCurr) )).

cnf(u9599,axiom,
    ( v627(VarCurr,bitIndex1)
    | ~ v656(VarCurr,bitIndex1) )).

cnf(u9600,axiom,
    ( v656(VarCurr,bitIndex1)
    | ~ v627(VarCurr,bitIndex1) )).

cnf(u9596,axiom,
    ( v627(VarCurr,bitIndex0)
    | ~ v656(VarCurr,bitIndex0) )).

cnf(u9597,axiom,
    ( v656(VarCurr,bitIndex0)
    | ~ v627(VarCurr,bitIndex0) )).

cnf(u9594,axiom,
    ( ~ b100(bitIndex0) )).

cnf(u9593,axiom,
    ( ~ b100(bitIndex1) )).

cnf(u9592,axiom,
    ( b100(bitIndex2) )).

cnf(u9591,axiom,
    ( ~ v17(constB0,bitIndex0) )).

cnf(u9590,axiom,
    ( ~ v17(constB0,bitIndex1) )).

cnf(u9589,axiom,
    ( v17(constB0,bitIndex2) )).

cnf(u9585,axiom,
    ( ~ v17(VarCurr,bitIndex1)
    | v17(VarCurr,bitIndex1)
    | ~ v653(VarCurr) )).

cnf(u9586,axiom,
    ( v17(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex1)
    | ~ v653(VarCurr) )).

cnf(u9587,axiom,
    ( v653(VarCurr)
    | ~ v17(VarCurr,bitIndex1) )).

cnf(u9588,axiom,
    ( v653(VarCurr)
    | ~ v17(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex1) )).

cnf(u9579,axiom,
    ( sP449_aig_name(VarCurr)
    | v653(VarCurr)
    | ~ v628(VarCurr,bitIndex2) )).

cnf(u9580,axiom,
    ( sP449_aig_name(VarCurr)
    | v17(VarCurr,bitIndex2)
    | ~ v628(VarCurr,bitIndex2) )).

cnf(u9581,axiom,
    ( v628(VarCurr,bitIndex2)
    | ~ v17(VarCurr,bitIndex2)
    | ~ v653(VarCurr) )).

cnf(u9582,axiom,
    ( v628(VarCurr,bitIndex2)
    | ~ sP449_aig_name(VarCurr) )).

cnf(u9575,axiom,
    ( ~ v628(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u9576,axiom,
    ( v17(VarCurr,bitIndex0)
    | v628(VarCurr,bitIndex0) )).

cnf(u9568,axiom,
    ( v17(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex1)
    | ~ v628(VarCurr,bitIndex1) )).

cnf(u9569,axiom,
    ( v628(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex1)
    | ~ v628(VarCurr,bitIndex1) )).

cnf(u9570,axiom,
    ( v628(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex1)
    | v17(VarCurr,bitIndex1) )).

cnf(u9571,axiom,
    ( v628(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex1)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u9572,axiom,
    ( v628(VarCurr,bitIndex1)
    | ~ v628(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex1) )).

cnf(u9573,axiom,
    ( v628(VarCurr,bitIndex1)
    | ~ v628(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex0) )).

cnf(u9564,axiom,
    ( v644(VarCurr,bitIndex0)
    | ~ v628(VarCurr,bitIndex0) )).

cnf(u9565,axiom,
    ( v628(VarCurr,bitIndex0)
    | ~ v644(VarCurr,bitIndex0) )).

cnf(u9561,axiom,
    ( v643(VarCurr,bitIndex1)
    | ~ v656(VarCurr,bitIndex1) )).

cnf(u9562,axiom,
    ( v656(VarCurr,bitIndex1)
    | ~ v643(VarCurr,bitIndex1) )).

cnf(u9558,axiom,
    ( v643(VarCurr,bitIndex0)
    | ~ v656(VarCurr,bitIndex0) )).

cnf(u9559,axiom,
    ( v656(VarCurr,bitIndex0)
    | ~ v643(VarCurr,bitIndex0) )).

cnf(u9553,axiom,
    ( sP446_aig_name(VarCurr)
    | v17(VarCurr,bitIndex2)
    | ~ v644(VarCurr,bitIndex2) )).

cnf(u9554,axiom,
    ( ~ v17(VarCurr,bitIndex2)
    | ~ sP446_aig_name(VarCurr)
    | ~ v644(VarCurr,bitIndex2) )).

cnf(u9555,axiom,
    ( v644(VarCurr,bitIndex2)
    | sP446_aig_name(VarCurr)
    | ~ v17(VarCurr,bitIndex2) )).

cnf(u9556,axiom,
    ( v644(VarCurr,bitIndex2)
    | ~ sP446_aig_name(VarCurr)
    | v17(VarCurr,bitIndex2) )).

cnf(u9548,axiom,
    ( ~ v653(VarCurr)
    | v17(VarCurr,bitIndex1)
    | v644(VarCurr,bitIndex1) )).

cnf(u9549,axiom,
    ( ~ v653(VarCurr)
    | ~ v628(VarCurr,bitIndex0)
    | v644(VarCurr,bitIndex1) )).

cnf(u9550,axiom,
    ( ~ v644(VarCurr,bitIndex1)
    | v628(VarCurr,bitIndex0)
    | ~ v17(VarCurr,bitIndex1) )).

cnf(u9551,axiom,
    ( ~ v644(VarCurr,bitIndex1)
    | v653(VarCurr) )).

cnf(u9543,axiom,
    ( v658(VarCurr,bitIndex1)
    | ~ v656(VarCurr,bitIndex1) )).

cnf(u9544,axiom,
    ( v656(VarCurr,bitIndex1)
    | ~ v658(VarCurr,bitIndex1) )).

cnf(u9540,axiom,
    ( v658(VarCurr,bitIndex0)
    | ~ v656(VarCurr,bitIndex0) )).

cnf(u9541,axiom,
    ( v656(VarCurr,bitIndex0)
    | ~ v658(VarCurr,bitIndex0) )).

cnf(u9537,axiom,
    ( v628(VarCurr,B)
    | ~ v20(VarCurr,B)
    | v627(VarCurr,bitIndex1)
    | ~ v627(VarCurr,bitIndex0) )).

cnf(u9538,axiom,
    ( v20(VarCurr,B)
    | ~ v628(VarCurr,B)
    | v627(VarCurr,bitIndex1)
    | ~ v627(VarCurr,bitIndex0) )).

cnf(u9534,axiom,
    ( v644(VarCurr,B)
    | ~ v20(VarCurr,B)
    | ~ v643(VarCurr,bitIndex1)
    | v643(VarCurr,bitIndex0) )).

cnf(u9535,axiom,
    ( v20(VarCurr,B)
    | ~ v644(VarCurr,B)
    | ~ v643(VarCurr,bitIndex1)
    | v643(VarCurr,bitIndex0) )).

cnf(u9525,axiom,
    ( v17(VarCurr,B)
    | ~ v20(VarCurr,B)
    | ~ v643(VarCurr,bitIndex0)
    | ~ v627(VarCurr,bitIndex1) )).

cnf(u9526,axiom,
    ( v17(VarCurr,B)
    | ~ v20(VarCurr,B)
    | ~ v643(VarCurr,bitIndex0)
    | v627(VarCurr,bitIndex0) )).

cnf(u9527,axiom,
    ( v17(VarCurr,B)
    | ~ v20(VarCurr,B)
    | v643(VarCurr,bitIndex1)
    | ~ v627(VarCurr,bitIndex1) )).

cnf(u9528,axiom,
    ( v17(VarCurr,B)
    | ~ v20(VarCurr,B)
    | v643(VarCurr,bitIndex1)
    | v627(VarCurr,bitIndex0) )).

cnf(u9529,axiom,
    ( v20(VarCurr,B)
    | ~ v17(VarCurr,B)
    | ~ v643(VarCurr,bitIndex0)
    | ~ v627(VarCurr,bitIndex1) )).

cnf(u9530,axiom,
    ( v20(VarCurr,B)
    | ~ v17(VarCurr,B)
    | ~ v643(VarCurr,bitIndex0)
    | v627(VarCurr,bitIndex0) )).

cnf(u9531,axiom,
    ( v20(VarCurr,B)
    | ~ v17(VarCurr,B)
    | v643(VarCurr,bitIndex1)
    | ~ v627(VarCurr,bitIndex1) )).

cnf(u9532,axiom,
    ( v20(VarCurr,B)
    | ~ v17(VarCurr,B)
    | v643(VarCurr,bitIndex1)
    | v627(VarCurr,bitIndex0) )).

cnf(u9522,axiom,
    ( v584(VarNext)
    | v663(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9523,axiom,
    ( ~ v663(VarNext)
    | ~ v584(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9517,axiom,
    ( v1(VarNext)
    | ~ v662(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9518,axiom,
    ( v663(VarNext)
    | ~ v662(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9519,axiom,
    ( v662(VarNext)
    | ~ v663(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9512,axiom,
    ( v662(VarNext)
    | ~ v661(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9513,axiom,
    ( v661(VarNext)
    | ~ v662(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9508,axiom,
    ( b100(B)
    | ~ v667(VarCurr,B)
    | v11(VarCurr) )).

cnf(u9509,axiom,
    ( v667(VarCurr,B)
    | ~ b100(B)
    | v11(VarCurr) )).

cnf(u9504,axiom,
    ( v20(VarCurr,B)
    | ~ v667(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u9505,axiom,
    ( v667(VarCurr,B)
    | ~ v20(VarCurr,B)
    | ~ v11(VarCurr) )).

cnf(u9500,axiom,
    ( v667(VarCurr,B)
    | ~ v669(VarNext,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9501,axiom,
    ( v669(VarNext,B)
    | ~ v667(VarCurr,B)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9496,axiom,
    ( v669(VarNext,B)
    | ~ v17(VarNext,B)
    | ~ v661(VarNext) )).

cnf(u9497,axiom,
    ( v17(VarNext,B)
    | ~ v669(VarNext,B)
    | ~ v661(VarNext) )).

cnf(u9492,axiom,
    ( v17(VarCurr,B)
    | ~ v17(VarNext,B)
    | v661(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9493,axiom,
    ( v17(VarNext,B)
    | ~ v17(VarCurr,B)
    | v661(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9482,axiom,
    ( ~ v32(VarCurr)
    | ~ v7(VarCurr,bitIndex0)
    | v13(VarCurr,bitIndex0) )).

cnf(u9483,axiom,
    ( v62(VarCurr,bitIndex0)
    | ~ v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex0)
    | v13(VarCurr,bitIndex0) )).

cnf(u9484,axiom,
    ( ~ v17(VarCurr,bitIndex2)
    | v28(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex0)
    | v13(VarCurr,bitIndex0) )).

cnf(u9485,axiom,
    ( ~ v653(VarCurr)
    | v28(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex0)
    | v13(VarCurr,bitIndex0) )).

cnf(u9486,axiom,
    ( ~ v28(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex0)
    | v13(VarCurr,bitIndex0) )).

cnf(u9487,axiom,
    ( sP447_aig_name(VarCurr)
    | ~ v7(VarCurr,bitIndex1)
    | v13(VarCurr,bitIndex0) )).

cnf(u9488,axiom,
    ( sP447_aig_name(VarCurr)
    | ~ v7(VarCurr,bitIndex2)
    | ~ v602(VarCurr,bitIndex1)
    | v13(VarCurr,bitIndex0) )).

cnf(u9474,axiom,
    ( v32(VarCurr)
    | ~ v62(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex0)
    | ~ v574(VarCurr,bitIndex0)
    | ~ sP450(VarCurr) )).

cnf(u9475,axiom,
    ( v32(VarCurr)
    | ~ v62(VarCurr,bitIndex0)
    | ~ v28(VarCurr,bitIndex1)
    | ~ sP450(VarCurr) )).

cnf(u9476,axiom,
    ( v32(VarCurr)
    | v28(VarCurr,bitIndex1)
    | v28(VarCurr,bitIndex0)
    | ~ v574(VarCurr,bitIndex0)
    | ~ sP450(VarCurr) )).

cnf(u9477,axiom,
    ( v32(VarCurr)
    | v28(VarCurr,bitIndex1)
    | ~ v28(VarCurr,bitIndex1)
    | ~ sP450(VarCurr) )).

cnf(u9478,axiom,
    ( v32(VarCurr)
    | ~ v28(VarCurr,bitIndex0)
    | v28(VarCurr,bitIndex0)
    | ~ v574(VarCurr,bitIndex0)
    | ~ sP450(VarCurr) )).

cnf(u9479,axiom,
    ( v32(VarCurr)
    | ~ v28(VarCurr,bitIndex0)
    | ~ v28(VarCurr,bitIndex1)
    | ~ sP450(VarCurr) )).

cnf(u9480,axiom,
    ( v7(VarCurr,bitIndex0)
    | ~ sP450(VarCurr) )).

cnf(u9467,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | ~ v574(VarCurr,bitIndex0)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9468,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v7(VarCurr,bitIndex2)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9469,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v602(VarCurr,bitIndex1)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9470,axiom,
    ( v7(VarCurr,bitIndex1)
    | ~ v574(VarCurr,bitIndex0)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9471,axiom,
    ( v7(VarCurr,bitIndex1)
    | v7(VarCurr,bitIndex2)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9472,axiom,
    ( v7(VarCurr,bitIndex1)
    | v602(VarCurr,bitIndex1)
    | ~ v13(VarCurr,bitIndex0)
    | sP450(VarCurr) )).

cnf(u9463,axiom,
    ( v584(VarNext)
    | v697(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9464,axiom,
    ( ~ v697(VarNext)
    | ~ v584(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9458,axiom,
    ( v1(VarNext)
    | ~ v695(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9459,axiom,
    ( v697(VarNext)
    | ~ v695(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9460,axiom,
    ( v695(VarNext)
    | ~ v697(VarNext)
    | ~ v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9453,axiom,
    ( v695(VarNext)
    | ~ v694(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9454,axiom,
    ( v694(VarNext)
    | ~ v695(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9450,axiom,
    ( v700(VarCurr)
    | v11(VarCurr) )).

cnf(u9447,axiom,
    ( v13(VarCurr,bitIndex0)
    | ~ v700(VarCurr)
    | ~ v11(VarCurr) )).

cnf(u9448,axiom,
    ( v700(VarCurr)
    | ~ v13(VarCurr,bitIndex0)
    | ~ v11(VarCurr) )).

cnf(u9443,axiom,
    ( v700(VarCurr)
    | ~ v702(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9444,axiom,
    ( v702(VarNext)
    | ~ v700(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9439,axiom,
    ( v702(VarNext)
    | ~ v7(VarNext,bitIndex0)
    | ~ v694(VarNext) )).

cnf(u9440,axiom,
    ( v7(VarNext,bitIndex0)
    | ~ v702(VarNext)
    | ~ v694(VarNext) )).

cnf(u9435,axiom,
    ( v7(VarCurr,bitIndex0)
    | ~ v7(VarNext,bitIndex0)
    | v694(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9436,axiom,
    ( v7(VarNext,bitIndex0)
    | ~ v7(VarCurr,bitIndex0)
    | v694(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9427,negated_conjecture,
    ( reachableState(sK445_VarCurr) )).

cnf(u9428,negated_conjecture,
    ( v7(sK445_VarCurr,bitIndex1)
    | v7(sK445_VarCurr,bitIndex0) )).

cnf(u9429,negated_conjecture,
    ( v7(sK445_VarCurr,bitIndex1)
    | v7(sK445_VarCurr,bitIndex2) )).

cnf(u9430,negated_conjecture,
    ( v7(sK445_VarCurr,bitIndex2)
    | v7(sK445_VarCurr,bitIndex0)
    | v7(sK445_VarCurr,bitIndex0) )).

cnf(u9431,negated_conjecture,
    ( v7(sK445_VarCurr,bitIndex2)
    | v7(sK445_VarCurr,bitIndex0)
    | v7(sK445_VarCurr,bitIndex2) )).

cnf(u9426,axiom,
    ( ~ v1(constB0) )).

cnf(u9424,axiom,
    ( ~ v1(VarNext)
    | ~ v1(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9425,axiom,
    ( v1(VarCurr)
    | v1(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9421,axiom,
    ( reachableState(constB0) )).

cnf(u9420,axiom,
    ( reachableState(constB1) )).

cnf(u9419,axiom,
    ( reachableState(constB2) )).

cnf(u9418,axiom,
    ( reachableState(constB3) )).

cnf(u9417,axiom,
    ( reachableState(constB4) )).

cnf(u9416,axiom,
    ( reachableState(constB5) )).

cnf(u9415,axiom,
    ( reachableState(constB6) )).

cnf(u9414,axiom,
    ( reachableState(constB7) )).

cnf(u9413,axiom,
    ( reachableState(constB8) )).

cnf(u9412,axiom,
    ( reachableState(constB9) )).

cnf(u9411,axiom,
    ( reachableState(constB10) )).

cnf(u9410,axiom,
    ( reachableState(constB11) )).

cnf(u9409,axiom,
    ( reachableState(constB12) )).

cnf(u9408,axiom,
    ( reachableState(constB13) )).

cnf(u9407,axiom,
    ( reachableState(constB14) )).

cnf(u9406,axiom,
    ( reachableState(constB15) )).

cnf(u9405,axiom,
    ( reachableState(constB16) )).

cnf(u9404,axiom,
    ( reachableState(constB17) )).

cnf(u9403,axiom,
    ( reachableState(constB18) )).

cnf(u9402,axiom,
    ( reachableState(constB19) )).

cnf(u9401,axiom,
    ( reachableState(constB20) )).

cnf(u9400,axiom,
    ( constB20 = VarState
    | constB19 = VarState
    | constB18 = VarState
    | constB17 = VarState
    | constB16 = VarState
    | constB15 = VarState
    | constB14 = VarState
    | constB13 = VarState
    | constB12 = VarState
    | constB11 = VarState
    | constB10 = VarState
    | constB9 = VarState
    | constB8 = VarState
    | constB7 = VarState
    | constB6 = VarState
    | constB5 = VarState
    | constB4 = VarState
    | constB3 = VarState
    | constB2 = VarState
    | constB1 = VarState
    | constB0 = VarState
    | ~ reachableState(VarState) )).

cnf(u9396,axiom,
    ( reachableState(VarCurr)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9397,axiom,
    ( reachableState(VarNext)
    | ~ nextState(VarCurr,VarNext) )).

cnf(u9394,axiom,
    ( nextState(constB0,constB1) )).

cnf(u9393,axiom,
    ( nextState(constB1,constB2) )).

cnf(u9392,axiom,
    ( nextState(constB2,constB3) )).

cnf(u9391,axiom,
    ( nextState(constB3,constB4) )).

cnf(u9390,axiom,
    ( nextState(constB4,constB5) )).

cnf(u9389,axiom,
    ( nextState(constB5,constB6) )).

cnf(u9388,axiom,
    ( nextState(constB6,constB7) )).

cnf(u9387,axiom,
    ( nextState(constB7,constB8) )).

cnf(u9386,axiom,
    ( nextState(constB8,constB9) )).

cnf(u9385,axiom,
    ( nextState(constB9,constB10) )).

cnf(u9384,axiom,
    ( nextState(constB10,constB11) )).

cnf(u9383,axiom,
    ( nextState(constB11,constB12) )).

cnf(u9382,axiom,
    ( nextState(constB12,constB13) )).

cnf(u9381,axiom,
    ( nextState(constB13,constB14) )).

cnf(u9380,axiom,
    ( nextState(constB14,constB15) )).

cnf(u9379,axiom,
    ( nextState(constB15,constB16) )).

cnf(u9378,axiom,
    ( nextState(constB16,constB17) )).

cnf(u9377,axiom,
    ( nextState(constB17,constB18) )).

cnf(u9376,axiom,
    ( nextState(constB18,constB19) )).

cnf(u9375,axiom,
    ( nextState(constB19,constB20) )).

cnf(u9373,axiom,
    ( v644(VarCurr,bitIndex1)
    | v628(VarCurr,bitIndex1) )).

cnf(u9374,axiom,
    ( ~ v628(VarCurr,bitIndex1)
    | ~ v644(VarCurr,bitIndex1) )).

cnf(u9370,axiom,
    ( ~ v658(VarCurr,bitIndex1)
    | v656(VarCurr,bitIndex1) )).

cnf(u9371,axiom,
    ( ~ v656(VarCurr,bitIndex1)
    | v658(VarCurr,bitIndex1) )).

cnf(u9367,axiom,
    ( ~ v643(VarCurr,bitIndex1)
    | v656(VarCurr,bitIndex1) )).

cnf(u9368,axiom,
    ( ~ v656(VarCurr,bitIndex1)
    | v643(VarCurr,bitIndex1) )).

cnf(u9364,axiom,
    ( ~ v627(VarCurr,bitIndex1)
    | v656(VarCurr,bitIndex1) )).

cnf(u9365,axiom,
    ( ~ v656(VarCurr,bitIndex1)
    | v627(VarCurr,bitIndex1) )).

cnf(u9361,axiom,
    ( ~ v658(VarCurr,bitIndex0)
    | v656(VarCurr,bitIndex0) )).

cnf(u9362,axiom,
    ( ~ v656(VarCurr,bitIndex0)
    | v658(VarCurr,bitIndex0) )).

cnf(u9358,axiom,
    ( ~ v643(VarCurr,bitIndex0)
    | v656(VarCurr,bitIndex0) )).

cnf(u9359,axiom,
    ( ~ v656(VarCurr,bitIndex0)
    | v643(VarCurr,bitIndex0) )).

cnf(u9355,axiom,
    ( ~ v627(VarCurr,bitIndex0)
    | v656(VarCurr,bitIndex0) )).

cnf(u9356,axiom,
    ( ~ v656(VarCurr,bitIndex0)
    | v627(VarCurr,bitIndex0) )).

cnf(u9352,axiom,
    ( v606(VarCurr,bitIndex0)
    | ~ v7(VarCurr,bitIndex1) )).

cnf(u9353,axiom,
    ( v7(VarCurr,bitIndex1)
    | ~ v606(VarCurr,bitIndex0) )).

cnf(u9349,axiom,
    ( v579(VarCurr,bitIndex1)
    | ~ v7(VarCurr,bitIndex2) )).

cnf(u9350,axiom,
    ( v7(VarCurr,bitIndex2)
    | ~ v579(VarCurr,bitIndex1) )).

cnf(u9346,axiom,
    ( v644(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex0) )).

cnf(u9347,axiom,
    ( ~ v17(VarCurr,bitIndex0)
    | ~ v644(VarCurr,bitIndex0) )).

cnf(u9343,axiom,
    ( v628(VarCurr,bitIndex0)
    | v17(VarCurr,bitIndex0) )).

cnf(u9344,axiom,
    ( ~ v17(VarCurr,bitIndex0)
    | ~ v628(VarCurr,bitIndex0) )).

cnf(u9340,axiom,
    ( ~ v90(VarCurr,bitIndex69)
    | v460(VarCurr,bitIndex6) )).

cnf(u9341,axiom,
    ( ~ v460(VarCurr,bitIndex6)
    | v90(VarCurr,bitIndex69) )).

cnf(u9337,axiom,
    ( ~ v90(VarCurr,bitIndex68)
    | v460(VarCurr,bitIndex5) )).

cnf(u9338,axiom,
    ( ~ v460(VarCurr,bitIndex5)
    | v90(VarCurr,bitIndex68) )).

cnf(u9334,axiom,
    ( ~ v90(VarCurr,bitIndex67)
    | v460(VarCurr,bitIndex4) )).

cnf(u9335,axiom,
    ( ~ v460(VarCurr,bitIndex4)
    | v90(VarCurr,bitIndex67) )).

cnf(u9331,axiom,
    ( v90(VarCurr,bitIndex66)
    | ~ v460(VarCurr,bitIndex3) )).

cnf(u9332,axiom,
    ( v460(VarCurr,bitIndex3)
    | ~ v90(VarCurr,bitIndex66) )).

cnf(u9328,axiom,
    ( ~ v90(VarCurr,bitIndex65)
    | v460(VarCurr,bitIndex2) )).

cnf(u9329,axiom,
    ( ~ v460(VarCurr,bitIndex2)
    | v90(VarCurr,bitIndex65) )).

cnf(u9325,axiom,
    ( v90(VarCurr,bitIndex64)
    | ~ v460(VarCurr,bitIndex1) )).

cnf(u9326,axiom,
    ( v460(VarCurr,bitIndex1)
    | ~ v90(VarCurr,bitIndex64) )).

cnf(u9322,axiom,
    ( v90(VarCurr,bitIndex63)
    | ~ v460(VarCurr,bitIndex0) )).

cnf(u9323,axiom,
    ( v460(VarCurr,bitIndex0)
    | ~ v90(VarCurr,bitIndex63) )).

cnf(u9319,axiom,
    ( ~ v94(VarCurr,bitIndex349)
    | v473(VarCurr,bitIndex69) )).

cnf(u9320,axiom,
    ( ~ v473(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex349) )).

cnf(u9316,axiom,
    ( ~ v94(VarCurr,bitIndex348)
    | v473(VarCurr,bitIndex68) )).

cnf(u9317,axiom,
    ( ~ v473(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex348) )).

cnf(u9313,axiom,
    ( ~ v94(VarCurr,bitIndex347)
    | v473(VarCurr,bitIndex67) )).

cnf(u9314,axiom,
    ( ~ v473(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex347) )).

cnf(u9310,axiom,
    ( ~ v94(VarCurr,bitIndex346)
    | v473(VarCurr,bitIndex66) )).

cnf(u9311,axiom,
    ( ~ v473(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex346) )).

cnf(u9307,axiom,
    ( ~ v94(VarCurr,bitIndex345)
    | v473(VarCurr,bitIndex65) )).

cnf(u9308,axiom,
    ( ~ v473(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex345) )).

cnf(u9304,axiom,
    ( ~ v94(VarCurr,bitIndex344)
    | v473(VarCurr,bitIndex64) )).

cnf(u9305,axiom,
    ( ~ v473(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex344) )).

cnf(u9301,axiom,
    ( ~ v94(VarCurr,bitIndex343)
    | v473(VarCurr,bitIndex63) )).

cnf(u9302,axiom,
    ( ~ v473(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex343) )).

cnf(u9298,axiom,
    ( ~ v392(VarCurr,bitIndex1)
    | v385(VarCurr,bitIndex1) )).

cnf(u9299,axiom,
    ( ~ v385(VarCurr,bitIndex1)
    | v392(VarCurr,bitIndex1) )).

cnf(u9295,axiom,
    ( ~ v392(VarCurr,bitIndex0)
    | v385(VarCurr,bitIndex0) )).

cnf(u9296,axiom,
    ( ~ v385(VarCurr,bitIndex0)
    | v392(VarCurr,bitIndex0) )).

cnf(u9292,axiom,
    ( ~ v392(VarCurr,bitIndex2)
    | v385(VarCurr,bitIndex2) )).

cnf(u9293,axiom,
    ( ~ v385(VarCurr,bitIndex2)
    | v392(VarCurr,bitIndex2) )).

cnf(u9289,axiom,
    ( ~ v382(VarCurr,bitIndex7)
    | v399(VarCurr,bitIndex6) )).

cnf(u9290,axiom,
    ( ~ v399(VarCurr,bitIndex6)
    | v382(VarCurr,bitIndex7) )).

cnf(u9286,axiom,
    ( ~ v399(VarCurr,bitIndex5)
    | v388(VarCurr,bitIndex7) )).

cnf(u9287,axiom,
    ( ~ v388(VarCurr,bitIndex7)
    | v399(VarCurr,bitIndex5) )).

cnf(u9283,axiom,
    ( ~ v382(VarCurr,bitIndex6)
    | v388(VarCurr,bitIndex7) )).

cnf(u9284,axiom,
    ( ~ v388(VarCurr,bitIndex7)
    | v382(VarCurr,bitIndex6) )).

cnf(u9280,axiom,
    ( ~ v399(VarCurr,bitIndex4)
    | v388(VarCurr,bitIndex6) )).

cnf(u9281,axiom,
    ( ~ v388(VarCurr,bitIndex6)
    | v399(VarCurr,bitIndex4) )).

cnf(u9277,axiom,
    ( ~ v382(VarCurr,bitIndex5)
    | v388(VarCurr,bitIndex6) )).

cnf(u9278,axiom,
    ( ~ v388(VarCurr,bitIndex6)
    | v382(VarCurr,bitIndex5) )).

cnf(u9274,axiom,
    ( ~ v399(VarCurr,bitIndex3)
    | v388(VarCurr,bitIndex5) )).

cnf(u9275,axiom,
    ( ~ v388(VarCurr,bitIndex5)
    | v399(VarCurr,bitIndex3) )).

cnf(u9271,axiom,
    ( ~ v382(VarCurr,bitIndex4)
    | v388(VarCurr,bitIndex5) )).

cnf(u9272,axiom,
    ( ~ v388(VarCurr,bitIndex5)
    | v382(VarCurr,bitIndex4) )).

cnf(u9268,axiom,
    ( ~ v399(VarCurr,bitIndex2)
    | v388(VarCurr,bitIndex4) )).

cnf(u9269,axiom,
    ( ~ v388(VarCurr,bitIndex4)
    | v399(VarCurr,bitIndex2) )).

cnf(u9265,axiom,
    ( ~ v382(VarCurr,bitIndex3)
    | v388(VarCurr,bitIndex4) )).

cnf(u9266,axiom,
    ( ~ v388(VarCurr,bitIndex4)
    | v382(VarCurr,bitIndex3) )).

cnf(u9262,axiom,
    ( ~ v407(VarCurr,bitIndex2)
    | v388(VarCurr,bitIndex3) )).

cnf(u9263,axiom,
    ( ~ v388(VarCurr,bitIndex3)
    | v407(VarCurr,bitIndex2) )).

cnf(u9259,axiom,
    ( ~ v399(VarCurr,bitIndex1)
    | v388(VarCurr,bitIndex3) )).

cnf(u9260,axiom,
    ( ~ v388(VarCurr,bitIndex3)
    | v399(VarCurr,bitIndex1) )).

cnf(u9256,axiom,
    ( ~ v382(VarCurr,bitIndex2)
    | v388(VarCurr,bitIndex3) )).

cnf(u9257,axiom,
    ( ~ v388(VarCurr,bitIndex3)
    | v382(VarCurr,bitIndex2) )).

cnf(u9253,axiom,
    ( ~ v428(VarCurr,bitIndex1)
    | v388(VarCurr,bitIndex2) )).

cnf(u9254,axiom,
    ( ~ v388(VarCurr,bitIndex2)
    | v428(VarCurr,bitIndex1) )).

cnf(u9250,axiom,
    ( ~ v399(VarCurr,bitIndex0)
    | v388(VarCurr,bitIndex2) )).

cnf(u9251,axiom,
    ( ~ v388(VarCurr,bitIndex2)
    | v399(VarCurr,bitIndex0) )).

cnf(u9247,axiom,
    ( ~ v387(VarCurr,bitIndex2)
    | v388(VarCurr,bitIndex2) )).

cnf(u9248,axiom,
    ( ~ v388(VarCurr,bitIndex2)
    | v387(VarCurr,bitIndex2) )).

cnf(u9244,axiom,
    ( ~ v382(VarCurr,bitIndex1)
    | v388(VarCurr,bitIndex2) )).

cnf(u9245,axiom,
    ( ~ v388(VarCurr,bitIndex2)
    | v382(VarCurr,bitIndex1) )).

cnf(u9241,axiom,
    ( ~ v387(VarCurr,bitIndex1)
    | v388(VarCurr,bitIndex1) )).

cnf(u9242,axiom,
    ( ~ v388(VarCurr,bitIndex1)
    | v387(VarCurr,bitIndex1) )).

cnf(u9238,axiom,
    ( ~ v420(VarCurr,bitIndex0)
    | v388(VarCurr,bitIndex1) )).

cnf(u9239,axiom,
    ( ~ v388(VarCurr,bitIndex1)
    | v420(VarCurr,bitIndex0) )).

cnf(u9235,axiom,
    ( ~ v382(VarCurr,bitIndex0)
    | v388(VarCurr,bitIndex1) )).

cnf(u9236,axiom,
    ( ~ v388(VarCurr,bitIndex1)
    | v382(VarCurr,bitIndex0) )).

cnf(u9232,axiom,
    ( ~ v622(VarCurr,bitIndex1)
    | v602(VarCurr,bitIndex1) )).

cnf(u9233,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v622(VarCurr,bitIndex1) )).

cnf(u9229,axiom,
    ( ~ v576(VarCurr,bitIndex1)
    | v602(VarCurr,bitIndex1) )).

cnf(u9230,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v576(VarCurr,bitIndex1) )).

cnf(u9226,axiom,
    ( ~ v574(VarCurr,bitIndex1)
    | v602(VarCurr,bitIndex1) )).

cnf(u9227,axiom,
    ( ~ v602(VarCurr,bitIndex1)
    | v574(VarCurr,bitIndex1) )).

cnf(u9223,axiom,
    ( ~ v322(VarCurr,bitIndex0)
    | v62(VarCurr,bitIndex1) )).

cnf(u9224,axiom,
    ( ~ v62(VarCurr,bitIndex1)
    | v322(VarCurr,bitIndex0) )).

cnf(u9220,axiom,
    ( v297(VarCurr,bitIndex2)
    | ~ v62(VarCurr,bitIndex3) )).

cnf(u9221,axiom,
    ( v62(VarCurr,bitIndex3)
    | ~ v297(VarCurr,bitIndex2) )).

cnf(u9217,axiom,
    ( ~ v364(VarCurr,bitIndex1)
    | v62(VarCurr,bitIndex2) )).

cnf(u9218,axiom,
    ( ~ v62(VarCurr,bitIndex2)
    | v364(VarCurr,bitIndex1) )).

cnf(u9214,axiom,
    ( ~ v92(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex559) )).

cnf(u9215,axiom,
    ( ~ v94(VarCurr,bitIndex559)
    | v92(VarCurr,bitIndex69) )).

cnf(u9211,axiom,
    ( ~ v516(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex559) )).

cnf(u9212,axiom,
    ( ~ v94(VarCurr,bitIndex559)
    | v516(VarCurr,bitIndex69) )).

cnf(u9208,axiom,
    ( ~ v241(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex559) )).

cnf(u9209,axiom,
    ( ~ v94(VarCurr,bitIndex559)
    | v241(VarCurr,bitIndex69) )).

cnf(u9205,axiom,
    ( ~ v92(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex558) )).

cnf(u9206,axiom,
    ( ~ v94(VarCurr,bitIndex558)
    | v92(VarCurr,bitIndex68) )).

cnf(u9202,axiom,
    ( ~ v516(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex558) )).

cnf(u9203,axiom,
    ( ~ v94(VarCurr,bitIndex558)
    | v516(VarCurr,bitIndex68) )).

cnf(u9199,axiom,
    ( ~ v241(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex558) )).

cnf(u9200,axiom,
    ( ~ v94(VarCurr,bitIndex558)
    | v241(VarCurr,bitIndex68) )).

cnf(u9196,axiom,
    ( ~ v92(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex557) )).

cnf(u9197,axiom,
    ( ~ v94(VarCurr,bitIndex557)
    | v92(VarCurr,bitIndex67) )).

cnf(u9193,axiom,
    ( ~ v516(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex557) )).

cnf(u9194,axiom,
    ( ~ v94(VarCurr,bitIndex557)
    | v516(VarCurr,bitIndex67) )).

cnf(u9190,axiom,
    ( ~ v241(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex557) )).

cnf(u9191,axiom,
    ( ~ v94(VarCurr,bitIndex557)
    | v241(VarCurr,bitIndex67) )).

cnf(u9187,axiom,
    ( ~ v92(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex556) )).

cnf(u9188,axiom,
    ( ~ v94(VarCurr,bitIndex556)
    | v92(VarCurr,bitIndex66) )).

cnf(u9184,axiom,
    ( ~ v516(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex556) )).

cnf(u9185,axiom,
    ( ~ v94(VarCurr,bitIndex556)
    | v516(VarCurr,bitIndex66) )).

cnf(u9181,axiom,
    ( ~ v241(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex556) )).

cnf(u9182,axiom,
    ( ~ v94(VarCurr,bitIndex556)
    | v241(VarCurr,bitIndex66) )).

cnf(u9178,axiom,
    ( ~ v92(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex555) )).

cnf(u9179,axiom,
    ( ~ v94(VarCurr,bitIndex555)
    | v92(VarCurr,bitIndex65) )).

cnf(u9175,axiom,
    ( ~ v516(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex555) )).

cnf(u9176,axiom,
    ( ~ v94(VarCurr,bitIndex555)
    | v516(VarCurr,bitIndex65) )).

cnf(u9172,axiom,
    ( ~ v241(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex555) )).

cnf(u9173,axiom,
    ( ~ v94(VarCurr,bitIndex555)
    | v241(VarCurr,bitIndex65) )).

cnf(u9169,axiom,
    ( ~ v92(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex554) )).

cnf(u9170,axiom,
    ( ~ v94(VarCurr,bitIndex554)
    | v92(VarCurr,bitIndex64) )).

cnf(u9166,axiom,
    ( ~ v516(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex554) )).

cnf(u9167,axiom,
    ( ~ v94(VarCurr,bitIndex554)
    | v516(VarCurr,bitIndex64) )).

cnf(u9163,axiom,
    ( ~ v241(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex554) )).

cnf(u9164,axiom,
    ( ~ v94(VarCurr,bitIndex554)
    | v241(VarCurr,bitIndex64) )).

cnf(u9160,axiom,
    ( ~ v92(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex553) )).

cnf(u9161,axiom,
    ( ~ v94(VarCurr,bitIndex553)
    | v92(VarCurr,bitIndex63) )).

cnf(u9157,axiom,
    ( ~ v516(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex553) )).

cnf(u9158,axiom,
    ( ~ v94(VarCurr,bitIndex553)
    | v516(VarCurr,bitIndex63) )).

cnf(u9154,axiom,
    ( ~ v241(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex553) )).

cnf(u9155,axiom,
    ( ~ v94(VarCurr,bitIndex553)
    | v241(VarCurr,bitIndex63) )).

cnf(u9151,axiom,
    ( ~ v249(VarCurr,bitIndex49)
    | v244(VarCurr,bitIndex49) )).

cnf(u9152,axiom,
    ( ~ v244(VarCurr,bitIndex49)
    | v249(VarCurr,bitIndex49) )).

cnf(u9148,axiom,
    ( ~ v242(VarCurr,bitIndex49)
    | v237(VarCurr,bitIndex49) )).

cnf(u9149,axiom,
    ( ~ v237(VarCurr,bitIndex49)
    | v242(VarCurr,bitIndex49) )).

cnf(u9145,axiom,
    ( ~ v90(VarCurr,bitIndex49)
    | v241(VarCurr,bitIndex49) )).

cnf(u9146,axiom,
    ( ~ v241(VarCurr,bitIndex49)
    | v90(VarCurr,bitIndex49) )).

cnf(u9142,axiom,
    ( ~ v92(VarCurr,bitIndex49)
    | v241(VarCurr,bitIndex49) )).

cnf(u9143,axiom,
    ( ~ v241(VarCurr,bitIndex49)
    | v92(VarCurr,bitIndex49) )).

cnf(u9139,axiom,
    ( ~ v251(VarCurr,bitIndex49)
    | v241(VarCurr,bitIndex49) )).

cnf(u9140,axiom,
    ( ~ v241(VarCurr,bitIndex49)
    | v251(VarCurr,bitIndex49) )).

cnf(u9136,axiom,
    ( ~ v94(VarCurr,bitIndex539)
    | v241(VarCurr,bitIndex49) )).

cnf(u9137,axiom,
    ( ~ v241(VarCurr,bitIndex49)
    | v94(VarCurr,bitIndex539) )).

cnf(u9133,axiom,
    ( ~ v248(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex489) )).

cnf(u9134,axiom,
    ( ~ v94(VarCurr,bitIndex489)
    | v248(VarCurr,bitIndex69) )).

cnf(u9130,axiom,
    ( ~ v508(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex489) )).

cnf(u9131,axiom,
    ( ~ v94(VarCurr,bitIndex489)
    | v508(VarCurr,bitIndex69) )).

cnf(u9127,axiom,
    ( ~ v178(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex489) )).

cnf(u9128,axiom,
    ( ~ v94(VarCurr,bitIndex489)
    | v178(VarCurr,bitIndex69) )).

cnf(u9124,axiom,
    ( ~ v248(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex488) )).

cnf(u9125,axiom,
    ( ~ v94(VarCurr,bitIndex488)
    | v248(VarCurr,bitIndex68) )).

cnf(u9121,axiom,
    ( ~ v508(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex488) )).

cnf(u9122,axiom,
    ( ~ v94(VarCurr,bitIndex488)
    | v508(VarCurr,bitIndex68) )).

cnf(u9118,axiom,
    ( ~ v178(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex488) )).

cnf(u9119,axiom,
    ( ~ v94(VarCurr,bitIndex488)
    | v178(VarCurr,bitIndex68) )).

cnf(u9115,axiom,
    ( ~ v248(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex487) )).

cnf(u9116,axiom,
    ( ~ v94(VarCurr,bitIndex487)
    | v248(VarCurr,bitIndex67) )).

cnf(u9112,axiom,
    ( ~ v508(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex487) )).

cnf(u9113,axiom,
    ( ~ v94(VarCurr,bitIndex487)
    | v508(VarCurr,bitIndex67) )).

cnf(u9109,axiom,
    ( ~ v178(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex487) )).

cnf(u9110,axiom,
    ( ~ v94(VarCurr,bitIndex487)
    | v178(VarCurr,bitIndex67) )).

cnf(u9106,axiom,
    ( ~ v248(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex486) )).

cnf(u9107,axiom,
    ( ~ v94(VarCurr,bitIndex486)
    | v248(VarCurr,bitIndex66) )).

cnf(u9103,axiom,
    ( ~ v508(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex486) )).

cnf(u9104,axiom,
    ( ~ v94(VarCurr,bitIndex486)
    | v508(VarCurr,bitIndex66) )).

cnf(u9100,axiom,
    ( ~ v178(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex486) )).

cnf(u9101,axiom,
    ( ~ v94(VarCurr,bitIndex486)
    | v178(VarCurr,bitIndex66) )).

cnf(u9097,axiom,
    ( ~ v248(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex485) )).

cnf(u9098,axiom,
    ( ~ v94(VarCurr,bitIndex485)
    | v248(VarCurr,bitIndex65) )).

cnf(u9094,axiom,
    ( ~ v508(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex485) )).

cnf(u9095,axiom,
    ( ~ v94(VarCurr,bitIndex485)
    | v508(VarCurr,bitIndex65) )).

cnf(u9091,axiom,
    ( ~ v178(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex485) )).

cnf(u9092,axiom,
    ( ~ v94(VarCurr,bitIndex485)
    | v178(VarCurr,bitIndex65) )).

cnf(u9088,axiom,
    ( ~ v248(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex484) )).

cnf(u9089,axiom,
    ( ~ v94(VarCurr,bitIndex484)
    | v248(VarCurr,bitIndex64) )).

cnf(u9085,axiom,
    ( ~ v508(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex484) )).

cnf(u9086,axiom,
    ( ~ v94(VarCurr,bitIndex484)
    | v508(VarCurr,bitIndex64) )).

cnf(u9082,axiom,
    ( ~ v178(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex484) )).

cnf(u9083,axiom,
    ( ~ v94(VarCurr,bitIndex484)
    | v178(VarCurr,bitIndex64) )).

cnf(u9079,axiom,
    ( ~ v248(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex483) )).

cnf(u9080,axiom,
    ( ~ v94(VarCurr,bitIndex483)
    | v248(VarCurr,bitIndex63) )).

cnf(u9076,axiom,
    ( ~ v508(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex483) )).

cnf(u9077,axiom,
    ( ~ v94(VarCurr,bitIndex483)
    | v508(VarCurr,bitIndex63) )).

cnf(u9073,axiom,
    ( ~ v178(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex483) )).

cnf(u9074,axiom,
    ( ~ v94(VarCurr,bitIndex483)
    | v178(VarCurr,bitIndex63) )).

cnf(u9070,axiom,
    ( ~ v201(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex419) )).

cnf(u9071,axiom,
    ( ~ v94(VarCurr,bitIndex419)
    | v201(VarCurr,bitIndex69) )).

cnf(u9067,axiom,
    ( ~ v476(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex419) )).

cnf(u9068,axiom,
    ( ~ v94(VarCurr,bitIndex419)
    | v476(VarCurr,bitIndex69) )).

cnf(u9064,axiom,
    ( ~ v466(VarCurr,bitIndex69)
    | v94(VarCurr,bitIndex419) )).

cnf(u9065,axiom,
    ( ~ v94(VarCurr,bitIndex419)
    | v466(VarCurr,bitIndex69) )).

cnf(u9061,axiom,
    ( ~ v201(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex418) )).

cnf(u9062,axiom,
    ( ~ v94(VarCurr,bitIndex418)
    | v201(VarCurr,bitIndex68) )).

cnf(u9058,axiom,
    ( ~ v476(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex418) )).

cnf(u9059,axiom,
    ( ~ v94(VarCurr,bitIndex418)
    | v476(VarCurr,bitIndex68) )).

cnf(u9055,axiom,
    ( ~ v466(VarCurr,bitIndex68)
    | v94(VarCurr,bitIndex418) )).

cnf(u9056,axiom,
    ( ~ v94(VarCurr,bitIndex418)
    | v466(VarCurr,bitIndex68) )).

cnf(u9052,axiom,
    ( ~ v201(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex417) )).

cnf(u9053,axiom,
    ( ~ v94(VarCurr,bitIndex417)
    | v201(VarCurr,bitIndex67) )).

cnf(u9049,axiom,
    ( ~ v476(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex417) )).

cnf(u9050,axiom,
    ( ~ v94(VarCurr,bitIndex417)
    | v476(VarCurr,bitIndex67) )).

cnf(u9046,axiom,
    ( ~ v466(VarCurr,bitIndex67)
    | v94(VarCurr,bitIndex417) )).

cnf(u9047,axiom,
    ( ~ v94(VarCurr,bitIndex417)
    | v466(VarCurr,bitIndex67) )).

cnf(u9043,axiom,
    ( ~ v201(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex416) )).

cnf(u9044,axiom,
    ( ~ v94(VarCurr,bitIndex416)
    | v201(VarCurr,bitIndex66) )).

cnf(u9040,axiom,
    ( ~ v476(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex416) )).

cnf(u9041,axiom,
    ( ~ v94(VarCurr,bitIndex416)
    | v476(VarCurr,bitIndex66) )).

cnf(u9037,axiom,
    ( ~ v466(VarCurr,bitIndex66)
    | v94(VarCurr,bitIndex416) )).

cnf(u9038,axiom,
    ( ~ v94(VarCurr,bitIndex416)
    | v466(VarCurr,bitIndex66) )).

cnf(u9034,axiom,
    ( ~ v201(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex415) )).

cnf(u9035,axiom,
    ( ~ v94(VarCurr,bitIndex415)
    | v201(VarCurr,bitIndex65) )).

cnf(u9031,axiom,
    ( ~ v476(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex415) )).

cnf(u9032,axiom,
    ( ~ v94(VarCurr,bitIndex415)
    | v476(VarCurr,bitIndex65) )).

cnf(u9028,axiom,
    ( ~ v466(VarCurr,bitIndex65)
    | v94(VarCurr,bitIndex415) )).

cnf(u9029,axiom,
    ( ~ v94(VarCurr,bitIndex415)
    | v466(VarCurr,bitIndex65) )).

cnf(u9025,axiom,
    ( ~ v201(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex414) )).

cnf(u9026,axiom,
    ( ~ v94(VarCurr,bitIndex414)
    | v201(VarCurr,bitIndex64) )).

cnf(u9022,axiom,
    ( ~ v476(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex414) )).

cnf(u9023,axiom,
    ( ~ v94(VarCurr,bitIndex414)
    | v476(VarCurr,bitIndex64) )).

cnf(u9019,axiom,
    ( ~ v466(VarCurr,bitIndex64)
    | v94(VarCurr,bitIndex414) )).

cnf(u9020,axiom,
    ( ~ v94(VarCurr,bitIndex414)
    | v466(VarCurr,bitIndex64) )).

cnf(u9016,axiom,
    ( ~ v201(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex413) )).

cnf(u9017,axiom,
    ( ~ v94(VarCurr,bitIndex413)
    | v201(VarCurr,bitIndex63) )).

cnf(u9013,axiom,
    ( ~ v476(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex413) )).

cnf(u9014,axiom,
    ( ~ v94(VarCurr,bitIndex413)
    | v476(VarCurr,bitIndex63) )).

cnf(u9010,axiom,
    ( ~ v466(VarCurr,bitIndex63)
    | v94(VarCurr,bitIndex413) )).

cnf(u9011,axiom,
    ( ~ v94(VarCurr,bitIndex413)
    | v466(VarCurr,bitIndex63) )).

cnf(u9007,axiom,
    ( ~ v202(VarCurr,bitIndex49)
    | v197(VarCurr,bitIndex49) )).

cnf(u9008,axiom,
    ( ~ v197(VarCurr,bitIndex49)
    | v202(VarCurr,bitIndex49) )).

cnf(u9004,axiom,
    ( ~ v94(VarCurr,bitIndex399)
    | v201(VarCurr,bitIndex49) )).

cnf(u9005,axiom,
    ( ~ v201(VarCurr,bitIndex49)
    | v94(VarCurr,bitIndex399) )).

cnf(u9001,axiom,
    ( ~ v195(VarCurr,bitIndex49)
    | v99(VarCurr,bitIndex49) )).

cnf(u9002,axiom,
    ( ~ v99(VarCurr,bitIndex49)
    | v195(VarCurr,bitIndex49) )).

cnf(u8998,axiom,
    ( ~ v248(VarCurr,bitIndex49)
    | v178(VarCurr,bitIndex49) )).

cnf(u8999,axiom,
    ( ~ v178(VarCurr,bitIndex49)
    | v248(VarCurr,bitIndex49) )).

cnf(u8995,axiom,
    ( ~ v204(VarCurr,bitIndex49)
    | v178(VarCurr,bitIndex49) )).

cnf(u8996,axiom,
    ( ~ v178(VarCurr,bitIndex49)
    | v204(VarCurr,bitIndex49) )).

cnf(u8992,axiom,
    ( ~ v94(VarCurr,bitIndex469)
    | v178(VarCurr,bitIndex49) )).

cnf(u8993,axiom,
    ( ~ v178(VarCurr,bitIndex49)
    | v94(VarCurr,bitIndex469) )).

cnf(u8989,axiom,
    ( ~ v172(VarCurr,bitIndex49)
    | v174(VarCurr,bitIndex49) )).

cnf(u8990,axiom,
    ( ~ v174(VarCurr,bitIndex49)
    | v172(VarCurr,bitIndex49) )).

cnf(u8986,axiom,
    ( ~ v176(VarCurr,bitIndex49)
    | v174(VarCurr,bitIndex49) )).

cnf(u8987,axiom,
    ( ~ v174(VarCurr,bitIndex49)
    | v176(VarCurr,bitIndex49) )).

cnf(u8983,axiom,
    ( v131(VarCurr,bitIndex2)
    | ~ v103(VarCurr,bitIndex2) )).

cnf(u8984,axiom,
    ( v103(VarCurr,bitIndex2)
    | ~ v131(VarCurr,bitIndex2) )).

cnf(u8980,axiom,
    ( v131(VarCurr,bitIndex1)
    | ~ v103(VarCurr,bitIndex1) )).

cnf(u8981,axiom,
    ( v103(VarCurr,bitIndex1)
    | ~ v131(VarCurr,bitIndex1) )).

cnf(u8977,axiom,
    ( ~ v131(VarCurr,bitIndex0)
    | v103(VarCurr,bitIndex0) )).

cnf(u8978,axiom,
    ( ~ v103(VarCurr,bitIndex0)
    | v131(VarCurr,bitIndex0) )).

cnf(u8974,axiom,
    ( ~ v129(VarCurr,bitIndex1)
    | v105(VarCurr,bitIndex1) )).

cnf(u8975,axiom,
    ( ~ v105(VarCurr,bitIndex1)
    | v129(VarCurr,bitIndex1) )).

cnf(u8971,axiom,
    ( v131(VarCurr,bitIndex3)
    | ~ v103(VarCurr,bitIndex3) )).

cnf(u8972,axiom,
    ( v103(VarCurr,bitIndex3)
    | ~ v131(VarCurr,bitIndex3) )).

cnf(u8968,axiom,
    ( ~ v156(VarCurr,bitIndex0)
    | v143(VarCurr,bitIndex1) )).

cnf(u8969,axiom,
    ( ~ v143(VarCurr,bitIndex1)
    | v156(VarCurr,bitIndex0) )).

cnf(u8965,axiom,
    ( ~ v107(VarCurr,bitIndex0)
    | v143(VarCurr,bitIndex1) )).

cnf(u8966,axiom,
    ( ~ v143(VarCurr,bitIndex1)
    | v107(VarCurr,bitIndex0) )).

cnf(u8962,axiom,
    ( ~ v107(VarCurr,bitIndex10)
    | v139(VarCurr,bitIndex9) )).

cnf(u8963,axiom,
    ( ~ v139(VarCurr,bitIndex9)
    | v107(VarCurr,bitIndex10) )).

cnf(u8959,axiom,
    ( ~ v143(VarCurr,bitIndex10)
    | v139(VarCurr,bitIndex8) )).

cnf(u8960,axiom,
    ( ~ v139(VarCurr,bitIndex8)
    | v143(VarCurr,bitIndex10) )).

cnf(u8956,axiom,
    ( ~ v107(VarCurr,bitIndex9)
    | v139(VarCurr,bitIndex8) )).

cnf(u8957,axiom,
    ( ~ v139(VarCurr,bitIndex8)
    | v107(VarCurr,bitIndex9) )).

cnf(u8953,axiom,
    ( ~ v143(VarCurr,bitIndex9)
    | v139(VarCurr,bitIndex7) )).

cnf(u8954,axiom,
    ( ~ v139(VarCurr,bitIndex7)
    | v143(VarCurr,bitIndex9) )).

cnf(u8950,axiom,
    ( ~ v107(VarCurr,bitIndex8)
    | v139(VarCurr,bitIndex7) )).

cnf(u8951,axiom,
    ( ~ v139(VarCurr,bitIndex7)
    | v107(VarCurr,bitIndex8) )).

cnf(u8947,axiom,
    ( ~ v143(VarCurr,bitIndex8)
    | v139(VarCurr,bitIndex6) )).

cnf(u8948,axiom,
    ( ~ v139(VarCurr,bitIndex6)
    | v143(VarCurr,bitIndex8) )).

cnf(u8944,axiom,
    ( ~ v107(VarCurr,bitIndex7)
    | v139(VarCurr,bitIndex6) )).

cnf(u8945,axiom,
    ( ~ v139(VarCurr,bitIndex6)
    | v107(VarCurr,bitIndex7) )).

cnf(u8941,axiom,
    ( ~ v143(VarCurr,bitIndex7)
    | v139(VarCurr,bitIndex5) )).

cnf(u8942,axiom,
    ( ~ v139(VarCurr,bitIndex5)
    | v143(VarCurr,bitIndex7) )).

cnf(u8938,axiom,
    ( ~ v107(VarCurr,bitIndex6)
    | v139(VarCurr,bitIndex5) )).

cnf(u8939,axiom,
    ( ~ v139(VarCurr,bitIndex5)
    | v107(VarCurr,bitIndex6) )).

cnf(u8935,axiom,
    ( ~ v143(VarCurr,bitIndex6)
    | v139(VarCurr,bitIndex4) )).

cnf(u8936,axiom,
    ( ~ v139(VarCurr,bitIndex4)
    | v143(VarCurr,bitIndex6) )).

cnf(u8932,axiom,
    ( ~ v107(VarCurr,bitIndex5)
    | v139(VarCurr,bitIndex4) )).

cnf(u8933,axiom,
    ( ~ v139(VarCurr,bitIndex4)
    | v107(VarCurr,bitIndex5) )).

cnf(u8929,axiom,
    ( ~ v143(VarCurr,bitIndex5)
    | v139(VarCurr,bitIndex3) )).

cnf(u8930,axiom,
    ( ~ v139(VarCurr,bitIndex3)
    | v143(VarCurr,bitIndex5) )).

cnf(u8926,axiom,
    ( ~ v107(VarCurr,bitIndex4)
    | v139(VarCurr,bitIndex3) )).

cnf(u8927,axiom,
    ( ~ v139(VarCurr,bitIndex3)
    | v107(VarCurr,bitIndex4) )).

cnf(u8923,axiom,
    ( ~ v148(VarCurr,bitIndex3)
    | v139(VarCurr,bitIndex2) )).

cnf(u8924,axiom,
    ( ~ v139(VarCurr,bitIndex2)
    | v148(VarCurr,bitIndex3) )).

cnf(u8920,axiom,
    ( ~ v143(VarCurr,bitIndex4)
    | v139(VarCurr,bitIndex2) )).

cnf(u8921,axiom,
    ( ~ v139(VarCurr,bitIndex2)
    | v143(VarCurr,bitIndex4) )).

cnf(u8917,axiom,
    ( ~ v107(VarCurr,bitIndex3)
    | v139(VarCurr,bitIndex2) )).

cnf(u8918,axiom,
    ( ~ v139(VarCurr,bitIndex2)
    | v107(VarCurr,bitIndex3) )).

cnf(u8914,axiom,
    ( ~ v164(VarCurr,bitIndex1)
    | v139(VarCurr,bitIndex0) )).

cnf(u8915,axiom,
    ( ~ v139(VarCurr,bitIndex0)
    | v164(VarCurr,bitIndex1) )).

cnf(u8911,axiom,
    ( ~ v143(VarCurr,bitIndex2)
    | v139(VarCurr,bitIndex0) )).

cnf(u8912,axiom,
    ( ~ v139(VarCurr,bitIndex0)
    | v143(VarCurr,bitIndex2) )).

cnf(u8908,axiom,
    ( ~ v107(VarCurr,bitIndex1)
    | v139(VarCurr,bitIndex0) )).

cnf(u8909,axiom,
    ( ~ v139(VarCurr,bitIndex0)
    | v107(VarCurr,bitIndex1) )).

cnf(u8905,axiom,
    ( ~ v500(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8906,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v500(VarCurr,bitIndex0) )).

cnf(u8902,axiom,
    ( ~ v493(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8903,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v493(VarCurr,bitIndex0) )).

cnf(u8899,axiom,
    ( ~ v491(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8900,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v491(VarCurr,bitIndex0) )).

cnf(u8896,axiom,
    ( ~ v405(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8897,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v405(VarCurr,bitIndex0) )).

cnf(u8893,axiom,
    ( ~ v402(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8894,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v402(VarCurr,bitIndex0) )).

cnf(u8890,axiom,
    ( ~ v398(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8891,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v398(VarCurr,bitIndex0) )).

cnf(u8887,axiom,
    ( ~ v396(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8888,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v396(VarCurr,bitIndex0) )).

cnf(u8884,axiom,
    ( ~ v275(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8885,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v275(VarCurr,bitIndex0) )).

cnf(u8881,axiom,
    ( ~ v270(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8882,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v270(VarCurr,bitIndex0) )).

cnf(u8878,axiom,
    ( ~ v268(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8879,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v268(VarCurr,bitIndex0) )).

cnf(u8875,axiom,
    ( ~ v266(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8876,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v266(VarCurr,bitIndex0) )).

cnf(u8872,axiom,
    ( ~ v229(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8873,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v229(VarCurr,bitIndex0) )).

cnf(u8869,axiom,
    ( ~ v224(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8870,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v224(VarCurr,bitIndex0) )).

cnf(u8866,axiom,
    ( ~ v222(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8867,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v222(VarCurr,bitIndex0) )).

cnf(u8863,axiom,
    ( ~ v220(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8864,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v220(VarCurr,bitIndex0) )).

cnf(u8860,axiom,
    ( ~ v146(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8861,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v146(VarCurr,bitIndex0) )).

cnf(u8857,axiom,
    ( ~ v142(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8858,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v142(VarCurr,bitIndex0) )).

cnf(u8854,axiom,
    ( ~ v138(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8855,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v138(VarCurr,bitIndex0) )).

cnf(u8851,axiom,
    ( ~ v136(VarCurr,bitIndex0)
    | v495(VarCurr,bitIndex0) )).

cnf(u8852,axiom,
    ( ~ v495(VarCurr,bitIndex0)
    | v136(VarCurr,bitIndex0) )).

cnf(u8848,axiom,
    ( ~ v500(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8849,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v500(VarCurr,bitIndex1) )).

cnf(u8845,axiom,
    ( ~ v493(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8846,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v493(VarCurr,bitIndex1) )).

cnf(u8842,axiom,
    ( ~ v491(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8843,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v491(VarCurr,bitIndex1) )).

cnf(u8839,axiom,
    ( ~ v405(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8840,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v405(VarCurr,bitIndex1) )).

cnf(u8836,axiom,
    ( ~ v402(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8837,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v402(VarCurr,bitIndex1) )).

cnf(u8833,axiom,
    ( ~ v398(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8834,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v398(VarCurr,bitIndex1) )).

cnf(u8830,axiom,
    ( ~ v396(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8831,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v396(VarCurr,bitIndex1) )).

cnf(u8827,axiom,
    ( ~ v275(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8828,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v275(VarCurr,bitIndex1) )).

cnf(u8824,axiom,
    ( ~ v270(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8825,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v270(VarCurr,bitIndex1) )).

cnf(u8821,axiom,
    ( ~ v268(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8822,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v268(VarCurr,bitIndex1) )).

cnf(u8818,axiom,
    ( ~ v266(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8819,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v266(VarCurr,bitIndex1) )).

cnf(u8815,axiom,
    ( ~ v229(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8816,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v229(VarCurr,bitIndex1) )).

cnf(u8812,axiom,
    ( ~ v224(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8813,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v224(VarCurr,bitIndex1) )).

cnf(u8809,axiom,
    ( ~ v222(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8810,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v222(VarCurr,bitIndex1) )).

cnf(u8806,axiom,
    ( ~ v220(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8807,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v220(VarCurr,bitIndex1) )).

cnf(u8803,axiom,
    ( ~ v146(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8804,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v146(VarCurr,bitIndex1) )).

cnf(u8800,axiom,
    ( ~ v142(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8801,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v142(VarCurr,bitIndex1) )).

cnf(u8797,axiom,
    ( ~ v138(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8798,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v138(VarCurr,bitIndex1) )).

cnf(u8794,axiom,
    ( ~ v136(VarCurr,bitIndex1)
    | v495(VarCurr,bitIndex1) )).

cnf(u8795,axiom,
    ( ~ v495(VarCurr,bitIndex1)
    | v136(VarCurr,bitIndex1) )).

cnf(u8791,axiom,
    ( ~ v129(VarCurr,bitIndex3)
    | v105(VarCurr,bitIndex3) )).

cnf(u8792,axiom,
    ( ~ v105(VarCurr,bitIndex3)
    | v129(VarCurr,bitIndex3) )).

cnf(u8788,axiom,
    ( ~ v129(VarCurr,bitIndex2)
    | v105(VarCurr,bitIndex2) )).

cnf(u8789,axiom,
    ( ~ v105(VarCurr,bitIndex2)
    | v129(VarCurr,bitIndex2) )).

cnf(u8785,axiom,
    ( ~ v143(VarCurr,bitIndex3)
    | v107(VarCurr,bitIndex2) )).

cnf(u8786,axiom,
    ( ~ v107(VarCurr,bitIndex2)
    | v143(VarCurr,bitIndex3) )).

cnf(u8782,axiom,
    ( ~ v139(VarCurr,bitIndex1)
    | v107(VarCurr,bitIndex2) )).

cnf(u8783,axiom,
    ( ~ v107(VarCurr,bitIndex2)
    | v139(VarCurr,bitIndex1) )).

cnf(u8779,axiom,
    ( ~ v114(VarCurr,bitIndex2)
    | v107(VarCurr,bitIndex2) )).

cnf(u8780,axiom,
    ( ~ v107(VarCurr,bitIndex2)
    | v114(VarCurr,bitIndex2) )).

cnf(u8776,axiom,
    ( ~ v622(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u8777,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v622(VarCurr,bitIndex0) )).

cnf(u8773,axiom,
    ( ~ v602(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u8774,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v602(VarCurr,bitIndex0) )).

cnf(u8770,axiom,
    ( ~ v576(VarCurr,bitIndex0)
    | v574(VarCurr,bitIndex0) )).

cnf(u8771,axiom,
    ( ~ v574(VarCurr,bitIndex0)
    | v576(VarCurr,bitIndex0) )).

%------------------------------------------------------------------------------
